diff -pruN 0.12~pre2.dfsg0-1/acinclude.m4 0.12~pre4-1/acinclude.m4
--- 0.12~pre2.dfsg0-1/acinclude.m4	2008-09-21 12:14:54.000000000 +0100
+++ 0.12~pre4-1/acinclude.m4	2009-05-31 10:03:48.000000000 +0100
@@ -28,6 +28,8 @@ AC_DEFUN([EL_CONFIG], [
 	  AC_DEFINE($1, 1, [Define if you want: $2 support])])
 
 dnl EL_LOG_CONFIG(define, description, value)
+dnl The first parameter (define) will not be expanded by m4,
+dnl and it must be a valid name for a shell variable.
 AC_DEFUN([EL_LOG_CONFIG],
 [
 	about="$2"
@@ -45,7 +47,7 @@ AC_DEFUN([EL_LOG_CONFIG],
 	fi
 
 	if test -z "$value"; then
-		value="[$]$1"
+		value="$[$1]"
 	fi
 
 	echo "$about $dots $value" >> features.log
diff -pruN 0.12~pre2.dfsg0-1/aclocal.m4 0.12~pre4-1/aclocal.m4
--- 0.12~pre2.dfsg0-1/aclocal.m4	2008-09-21 12:15:08.000000000 +0100
+++ 0.12~pre4-1/aclocal.m4	2009-05-31 10:04:03.000000000 +0100
@@ -1,7 +1,7 @@
-# generated automatically by aclocal 1.9.6 -*- Autoconf -*-
+# generated automatically by aclocal 1.10.1 -*- Autoconf -*-
 
 # Copyright (C) 1996, 1997, 1998, 1999, 2000, 2001, 2002, 2003, 2004,
-# 2005  Free Software Foundation, Inc.
+# 2005, 2006, 2007, 2008  Free Software Foundation, Inc.
 # This file is free software; the Free Software Foundation
 # gives unlimited permission to copy and/or distribute it,
 # with or without modifications, as long as this notice is preserved.
@@ -13,14 +13,14 @@
 
 # AM_CONDITIONAL                                            -*- Autoconf -*-
 
-# Copyright (C) 1997, 2000, 2001, 2003, 2004, 2005
+# Copyright (C) 1997, 2000, 2001, 2003, 2004, 2005, 2006
 # Free Software Foundation, Inc.
 #
 # This file is free software; the Free Software Foundation
 # gives unlimited permission to copy and/or distribute it,
 # with or without modifications, as long as this notice is preserved.
 
-# serial 7
+# serial 8
 
 # AM_CONDITIONAL(NAME, SHELL-CONDITION)
 # -------------------------------------
@@ -29,8 +29,10 @@ AC_DEFUN([AM_CONDITIONAL],
 [AC_PREREQ(2.52)dnl
  ifelse([$1], [TRUE],  [AC_FATAL([$0: invalid condition: $1])],
 	[$1], [FALSE], [AC_FATAL([$0: invalid condition: $1])])dnl
-AC_SUBST([$1_TRUE])
-AC_SUBST([$1_FALSE])
+AC_SUBST([$1_TRUE])dnl
+AC_SUBST([$1_FALSE])dnl
+_AM_SUBST_NOTMAKE([$1_TRUE])dnl
+_AM_SUBST_NOTMAKE([$1_FALSE])dnl
 if $2; then
   $1_TRUE=
   $1_FALSE='#'
@@ -44,4 +46,16 @@ AC_CONFIG_COMMANDS_PRE(
 Usually this means the macro was only invoked conditionally.]])
 fi])])
 
+# Copyright (C) 2006  Free Software Foundation, Inc.
+#
+# This file is free software; the Free Software Foundation
+# gives unlimited permission to copy and/or distribute it,
+# with or without modifications, as long as this notice is preserved.
+
+# _AM_SUBST_NOTMAKE(VARIABLE)
+# ---------------------------
+# Prevent Automake from outputting VARIABLE = @VARIABLE@ in Makefile.in.
+# This macro is traced by Automake.
+AC_DEFUN([_AM_SUBST_NOTMAKE])
+
 m4_include([acinclude.m4])
diff -pruN 0.12~pre2.dfsg0-1/AUTHORS 0.12~pre4-1/AUTHORS
--- 0.12~pre2.dfsg0-1/AUTHORS	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/AUTHORS	2009-05-31 09:48:47.000000000 +0100
@@ -214,6 +214,10 @@ Gianluca Montecchi <gianluca@pluto.linux
 Harold L Hunt II <huntharo@msu.edu>
 	Build system minor fixes
 
+Hema Seetharamaiah <hema@treap.net>
+	Licenses the change under GPLv2-or-later and the modified BSD and X11 license, and permits linking with OpenSSL and with code licensed under LGPL.
+	Add configure --without-tre option
+
 Hugo Haas <hugo@larve.net>
 	Minor random hacking
 	debian/watch file
@@ -279,6 +283,7 @@ Julian Kinraid <jkinraid@clear.net.nz>
 	QNX-related fixes
 
 Kalle Olavi Niemitalo <kon@iki.fi>
+	I allow relicensing under "GNU GPL v2 or later", or preferably under the ISC licence ("and/or" version).  This applies only to code or other works that I intended to be added to ELinks.
 	Scanning PO files for accelerator conflicts (msgaccel)
 	UTF-8 and terminal support enhancements
 	Build system fixes
@@ -343,6 +348,10 @@ M. K. Srikant <srix@vsnl.com>
 M. Levinson <levinsm@users.sourceforge.net>
 	Python scripting fixes
 
+M. Vefa Bicakci <bicave@superonline.com>
+	Licenses modifications under "GPL version 2 or any later version."
+	Locale-independent case-insensitive comparisons
+
 Malcolm Parsons <malcolm.parsons@gmail.com>
 	Typo fixes
 
@@ -444,6 +453,10 @@ Pavol Babincak <scroolik@gmail.com>
 Peder Stray <peder@ifi.uio.no>
 	Fix handling of key presses turning up as key prefixes
 
+Peter Collingbourne <peter@peter.uk.to>
+	Allows relicensing under GPLv2-or-later and linking with OpenSSL
+	Fixed bug relating to newlines in hidden input fields
+
 Peter Gervai <grin@tolna.net>
 	Manpage updates
 	Mailcap to links.cfg convertor
diff -pruN 0.12~pre2.dfsg0-1/config/m4/features.m4 0.12~pre4-1/config/m4/features.m4
--- 0.12~pre2.dfsg0-1/config/m4/features.m4	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/config/m4/features.m4	2009-05-31 09:48:47.000000000 +0100
@@ -12,6 +12,8 @@ AC_DEFUN([EL_CONFIG], [
 	  AC_DEFINE($1, 1, [Define if you want: $2 support])])
 
 dnl EL_LOG_CONFIG(define, description, value)
+dnl The first parameter (define) will not be expanded by m4,
+dnl and it must be a valid name for a shell variable.
 AC_DEFUN([EL_LOG_CONFIG],
 [
 	about="$2"
@@ -29,7 +31,7 @@ AC_DEFUN([EL_LOG_CONFIG],
 	fi
 
 	if test -z "$value"; then
-		value="[$]$1"
+		value="$[$1]"
 	fi
 
 	echo "$about $dots $value" >> features.log
diff -pruN 0.12~pre2.dfsg0-1/config.h.in 0.12~pre4-1/config.h.in
--- 0.12~pre2.dfsg0-1/config.h.in	2008-09-21 12:15:21.000000000 +0100
+++ 0.12~pre4-1/config.h.in	2009-05-31 10:04:16.000000000 +0100
@@ -209,6 +209,11 @@
 /* Define if you want: BSD sysmouse support */
 #undef CONFIG_SYSMOUSE
 
+/* Define as 1 to use the TRE library for regular expression searching. This
+   requires the <tre/regex.h> header file. If you define CONFIG_UTF8 too, then
+   wchar_t must be exactly 32-bit so that it matches unicode_val_T. */
+#undef CONFIG_TRE
+
 /* Define if you want: true color support */
 #undef CONFIG_TRUE_COLOR
 
@@ -357,6 +362,9 @@
 /* Define to 1 if you have the `getuid' function. */
 #undef HAVE_GETUID
 
+/* Define to 1 if you have the `gnutls_priority_set_direct' function. */
+#undef HAVE_GNUTLS_PRIORITY_SET_DIRECT
+
 /* Define to 1 if you have the <gpm.h> header file. */
 #undef HAVE_GPM_H
 
@@ -504,9 +512,6 @@
 /* Define if you have _read_kbd() */
 #undef HAVE_READ_KBD
 
-/* Define if you have regex_t */
-#undef HAVE_REGEX_H
-
 /* Define if you have struct sockaddr_in6 */
 #undef HAVE_SA_IN6
 
@@ -695,6 +700,9 @@
 /* Define to 1 if you have the <zlib.h> header file. */
 #undef HAVE_ZLIB_H
 
+/* Define to 1 if you have the `[JS_ReportAllocationOverflow]' function. */
+#undef HAVE__JS_REPORTALLOCATIONOVERFLOW_
+
 /* Define to 1 if you have the `__argz_count' function. */
 #undef HAVE___ARGZ_COUNT
 
@@ -728,6 +736,12 @@
 /* Define if you want: man (groff) support */
 #undef MAN_XMLTO
 
+/* Define as inline if the compiler lets you declare a function without
+   inline, then define it with inline, and have that definition refer to
+   identifiers with internal linkage. This is allowed by C99 6.7.4p6 and
+   6.7.4p3 together. Otherwise define as nothing. */
+#undef NONSTATIC_INLINE
+
 /* Package version */
 #undef PACKAGE
 
diff -pruN 0.12~pre2.dfsg0-1/configure 0.12~pre4-1/configure
--- 0.12~pre2.dfsg0-1/configure	2008-09-21 12:15:24.000000000 +0100
+++ 0.12~pre4-1/configure	2009-05-31 10:04:20.000000000 +0100
@@ -670,13 +670,12 @@ INSTALL_SCRIPT
 INSTALL_DATA
 GIT
 SPARSE
-ASCIIDOC
+PYTHON
 XMLTO
 JW
 POD2HTML
 DOXYGEN
 api_srcdir
-ASCIIDOC_FLAGS
 CONFIG_ASCIIDOC
 CONFIG_DOXYGEN
 CONFIG_POD2HTML
@@ -717,7 +716,6 @@ GUILE_CONFIG
 GUILE_CFLAGS
 PERL_LIBS
 PERL_CFLAGS
-PYTHON
 PYTHON_LIBS
 PYTHON_CFLAGS
 LUA_LIBS
@@ -732,7 +730,6 @@ CONFIG_SCRIPTING_PERL
 CONFIG_SCRIPTING_PYTHON
 CONFIG_SCRIPTING_SPIDERMONKEY
 OPENSSL_CFLAGS
-LIBGNUTLS_CONFIG
 GNUTLS_CFLAGS
 CONFIG_SSL
 CONFIG_GNUTLS_OPENSSL_COMPAT
@@ -796,6 +793,9 @@ CONFIG_FASTMEM
 CONFIG_OWN_LIBC
 CONFIG_SMALL
 CONFIG_UTF8
+TRE_CFLAGS
+TRE_LIBS
+CONFIG_TRE
 CONFDIR
 LOCALEDIR
 LIBDIR
@@ -1439,19 +1439,20 @@ Optional Packages:
   --without-bzlib         disable bzlib support
   --without-idn           disable international domain names support
   --with-gc               enable Boehm's garbage collector
-  --without-lzma          disable lzma encoding support
+  --with-lzma             enable lzma encoding support
   --with-gssapi           enable GSSAPI support
   --with-see              enable Simple Ecmascript Engine (SEE) support
   --without-spidermonkey  disable SpiderMonkey Mozilla JavaScript engine support
   --with-guile            enable Guile support
   --with-perl             enable Perl support
-  --with-python=DIR     enable Python support
+  --with-python[=DIR]     enable Python support
   --without-lua           disable Lua support
+  --without-tre           disable TRE regex search support
   --with-ruby             enable Ruby support
   --without-gnutls        disable GNUTLS SSL support
-  --with-gnutls=DIR     enable GNUTLS SSL support
+  --with-gnutls           enable GNUTLS SSL support
   --without-openssl       disable OpenSSL support
-  --with-openssl=DIR    enable OpenSSL support (default)
+  --with-openssl[=DIR]    enable OpenSSL support (default)
   --with-x                use the X Window System
   --with-libiconv=DIR     search for libiconv in DIR/include and DIR/lib
 
@@ -1922,7 +1923,7 @@ ac_configure="$SHELL $ac_aux_dir/configu
 
 
 PACKAGE=elinks
-VERSION=0.12pre2
+VERSION=0.12pre4
 
 
 
@@ -3453,18 +3454,18 @@ CONFIG_XMLTO="no"
 CONFIG_JW="no"
 
 if test "x$CONFIG_DOC" != xno; then
-	for ac_prog in "asciidoc"
+	for ac_prog in "python"
 do
   # Extract the first word of "$ac_prog", so it can be a program name with args.
 set dummy $ac_prog; ac_word=$2
 { echo "$as_me:$LINENO: checking for $ac_word" >&5
 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6; }
-if test "${ac_cv_path_ASCIIDOC+set}" = set; then
+if test "${ac_cv_path_PYTHON+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
-  case $ASCIIDOC in
+  case $PYTHON in
   [\\/]* | ?:[\\/]*)
-  ac_cv_path_ASCIIDOC="$ASCIIDOC" # Let the user override the test with a path.
+  ac_cv_path_PYTHON="$PYTHON" # Let the user override the test with a path.
   ;;
   *)
   as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
@@ -3474,7 +3475,7 @@ do
   test -z "$as_dir" && as_dir=.
   for ac_exec_ext in '' $ac_executable_extensions; do
   if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_test_x "$as_dir/$ac_word$ac_exec_ext"; }; then
-    ac_cv_path_ASCIIDOC="$as_dir/$ac_word$ac_exec_ext"
+    ac_cv_path_PYTHON="$as_dir/$ac_word$ac_exec_ext"
     echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
     break 2
   fi
@@ -3485,20 +3486,20 @@ IFS=$as_save_IFS
   ;;
 esac
 fi
-ASCIIDOC=$ac_cv_path_ASCIIDOC
-if test -n "$ASCIIDOC"; then
-  { echo "$as_me:$LINENO: result: $ASCIIDOC" >&5
-echo "${ECHO_T}$ASCIIDOC" >&6; }
+PYTHON=$ac_cv_path_PYTHON
+if test -n "$PYTHON"; then
+  { echo "$as_me:$LINENO: result: $PYTHON" >&5
+echo "${ECHO_T}$PYTHON" >&6; }
 else
   { echo "$as_me:$LINENO: result: no" >&5
 echo "${ECHO_T}no" >&6; }
 fi
 
 
-  test -n "$ASCIIDOC" && break
+  test -n "$PYTHON" && break
 done
 
-	if test "x$ASCIIDOC" != "x"; then
+	if test "x$PYTHON" != "x"; then
 
 	  CONFIG_ASCIIDOC=yes
 	  ABOUT_CONFIG_ASCIIDOC="AsciiDoc"
@@ -3523,12 +3524,6 @@ cat >>confdefs.h <<\_ACEOF
 #define MAN_ASCIIDOC 1
 _ACEOF
 
-
-		echo > config.asciidoc-unsafe.txt
-		if "$ASCIIDOC" --unsafe config.asciidoc-unsafe.txt >/dev/null 2>/dev/null; then
-			ASCIIDOC_FLAGS=--unsafe
-		fi
-		rm config.asciidoc-unsafe.*
 	fi
 
 	for ac_prog in "xmlto"
@@ -3789,7 +3784,6 @@ fi
 
 
 
-
 	CONFIG_DOC=no
 	el_value=
 
@@ -8443,6 +8437,64 @@ _ACEOF
     ;;
 esac
 
+{ echo "$as_me:$LINENO: checking for C99-conforming inline" >&5
+echo $ECHO_N "checking for C99-conforming inline... $ECHO_C" >&6; }
+cat >conftest.$ac_ext <<_ACEOF
+
+	int add(int change);
+
+	static int sum;
+
+	inline int
+	add(int change)
+	{
+		sum += change;
+		return sum;
+	}
+
+	int
+	sub(int change)
+	{
+		return add(-change);
+	}
+_ACEOF
+rm -f conftest.$ac_objext
+if { (ac_try="$ac_compile"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_compile") 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } && {
+	 test -z "$ac_c_werror_flag" ||
+	 test ! -s conftest.err
+       } && test -s conftest.$ac_objext; then
+  { echo "$as_me:$LINENO: result: yes" >&5
+echo "${ECHO_T}yes" >&6; }
+
+cat >>confdefs.h <<\_ACEOF
+#define NONSTATIC_INLINE inline
+_ACEOF
+
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+	{ echo "$as_me:$LINENO: result: no" >&5
+echo "${ECHO_T}no" >&6; }
+	 cat >>confdefs.h <<\_ACEOF
+#define NONSTATIC_INLINE
+_ACEOF
+
+fi
+
+rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
 
 	HAVE_TYPEOF=yes;
 	{ echo "$as_me:$LINENO: checking for typeof" >&5
@@ -11829,68 +11881,6 @@ echo "${ECHO_T}$HAVE_VARIADIC_MACROS" >&
 
 
 # ===================================================================
-# Check for POSIX <regex.h>
-# ===================================================================
-
-
-
-	HAVE_REGEX_H=yes;
-	{ echo "$as_me:$LINENO: checking for regex_t" >&5
-echo $ECHO_N "checking for regex_t... $ECHO_C" >&6; }
-	cat >conftest.$ac_ext <<_ACEOF
-/* confdefs.h.  */
-_ACEOF
-cat confdefs.h >>conftest.$ac_ext
-cat >>conftest.$ac_ext <<_ACEOF
-/* end confdefs.h.  */
-
-#include <sys/types.h>
-#include <regex.h>
-
-int
-main ()
-{
-int a = sizeof(regex_t);
-  ;
-  return 0;
-}
-_ACEOF
-rm -f conftest.$ac_objext
-if { (ac_try="$ac_compile"
-case "(($ac_try" in
-  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
-  *) ac_try_echo=$ac_try;;
-esac
-eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
-  (eval "$ac_compile") 2>conftest.er1
-  ac_status=$?
-  grep -v '^ *+' conftest.er1 >conftest.err
-  rm -f conftest.er1
-  cat conftest.err >&5
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
-	 test ! -s conftest.err
-       } && test -s conftest.$ac_objext; then
-
-cat >>confdefs.h <<\_ACEOF
-#define HAVE_REGEX_H 1
-_ACEOF
-
-else
-  echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-
-	HAVE_REGEX_H=no
-fi
-
-rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
-	{ echo "$as_me:$LINENO: result: $HAVE_REGEX_H" >&5
-echo "${ECHO_T}$HAVE_REGEX_H" >&6; }
-
-
-
-# ===================================================================
 # Checks for library functions.
 # ===================================================================
 
@@ -15047,7 +15037,7 @@ fi
 
 
 
-	CONFIG_GPM=yes
+	if test "x$CONFIG_GPM" != xno; then CONFIG_GPM=yes; fi
 	WITHVAL_CONFIG_GPM=
 
 
@@ -15057,6 +15047,7 @@ if test "${with_gpm+set}" = set; then
 fi
 
 	if test "x$WITHVAL_CONFIG_GPM" = xno; then CONFIG_GPM=no; fi
+	if test "x$WITHVAL_CONFIG_GPM" = xyes; then CONFIG_GPM=yes; fi
 
 
 	{ echo "$as_me:$LINENO: checking for gpm support" >&5
@@ -15362,7 +15353,7 @@ echo "${ECHO_T}disabled" >&6; }
 # The gzclearerr function was also added in zlib 1.2.0.2, so check for
 # that, even though ELinks does not actually call gzclearerr.
 
-	CONFIG_GZIP=yes
+	if test "x$CONFIG_GZIP" != xno; then CONFIG_GZIP=yes; fi
 	WITHVAL_CONFIG_GZIP=
 
 
@@ -15372,6 +15363,7 @@ if test "${with_zlib+set}" = set; then
 fi
 
 	if test "x$WITHVAL_CONFIG_GZIP" = xno; then CONFIG_GZIP=no; fi
+	if test "x$WITHVAL_CONFIG_GZIP" = xyes; then CONFIG_GZIP=yes; fi
 
 
 	{ echo "$as_me:$LINENO: checking for zlib support" >&5
@@ -15672,7 +15664,7 @@ echo "${ECHO_T}disabled" >&6; }
 
 
 
-	CONFIG_BZIP2=yes
+	if test "x$CONFIG_BZIP2" != xno; then CONFIG_BZIP2=yes; fi
 	WITHVAL_CONFIG_BZIP2=
 
 
@@ -15682,6 +15674,7 @@ if test "${with_bzlib+set}" = set; then
 fi
 
 	if test "x$WITHVAL_CONFIG_BZIP2" = xno; then CONFIG_BZIP2=no; fi
+	if test "x$WITHVAL_CONFIG_BZIP2" = xyes; then CONFIG_BZIP2=yes; fi
 
 
 	{ echo "$as_me:$LINENO: checking for bzlib support" >&5
@@ -15982,7 +15975,7 @@ echo "${ECHO_T}disabled" >&6; }
 
 
 
-	CONFIG_IDN=yes
+	if test "x$CONFIG_IDN" != xno; then CONFIG_IDN=yes; fi
 	WITHVAL_CONFIG_IDN=
 
 
@@ -15992,6 +15985,7 @@ if test "${with_idn+set}" = set; then
 fi
 
 	if test "x$WITHVAL_CONFIG_IDN" = xno; then CONFIG_IDN=no; fi
+	if test "x$WITHVAL_CONFIG_IDN" = xyes; then CONFIG_IDN=yes; fi
 
 
 	{ echo "$as_me:$LINENO: checking for idn support" >&5
@@ -16291,9 +16285,9 @@ echo "${ECHO_T}disabled" >&6; }
 
 
 
-if test "x{with_gc}" != xno; then
+if test "x${with_gc}" != xno; then
 
-	CONFIG_GC=yes
+	if test "x$CONFIG_GC" != xno; then CONFIG_GC=yes; fi
 	WITHVAL_CONFIG_GC=
 
 
@@ -16303,6 +16297,7 @@ if test "${with_gc+set}" = set; then
 fi
 
 	if test "x$WITHVAL_CONFIG_GC" = xno; then CONFIG_GC=no; fi
+	if test "x$WITHVAL_CONFIG_GC" = xyes; then CONFIG_GC=yes; fi
 
 
 	{ echo "$as_me:$LINENO: checking for gc support" >&5
@@ -16603,8 +16598,10 @@ echo "${ECHO_T}disabled" >&6; }
 
 fi
 
+# LZMA disabled by default, because of little usability and compilation problems
+# with new xz
 
-	CONFIG_LZMA=yes
+	if test "x$CONFIG_LZMA" != xno; then CONFIG_LZMA=yes; fi
 	WITHVAL_CONFIG_LZMA=
 
 
@@ -16614,6 +16611,7 @@ if test "${with_lzma+set}" = set; then
 fi
 
 	if test "x$WITHVAL_CONFIG_LZMA" = xno; then CONFIG_LZMA=no; fi
+	if test "x$WITHVAL_CONFIG_LZMA" = xyes; then CONFIG_LZMA=yes; fi
 
 
 	{ echo "$as_me:$LINENO: checking for lzma support" >&5
@@ -18069,7 +18067,7 @@ fi
 
 
 # The following is probably bad, ugly and so on. Stolen from Guile's (1.4)
-# SEE_FLAGS but I really don't want to require people to have Guile in order
+# GUILE_FLAGS but I really don't want to require people to have Guile in order
 # to compile CVS. Also, the macro seems to be really stupid regarding searching
 # for Guile in $PATH etc. --pasky
 
@@ -18304,6 +18302,102 @@ fi
 { echo "$as_me:$LINENO: result: $cf_result" >&5
 echo "${ECHO_T}$cf_result" >&6; }
 CONFIG_SPIDERMONKEY="$cf_result"
+if test "$cf_result" = "yes"; then
+
+for ac_func in JS_ReportAllocationOverflow
+do
+as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
+{ echo "$as_me:$LINENO: checking for $ac_func" >&5
+echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6; }
+if { as_var=$as_ac_var; eval "test \"\${$as_var+set}\" = set"; }; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+/* Define $ac_func to an innocuous variant, in case <limits.h> declares $ac_func.
+   For example, HP-UX 11i <limits.h> declares gettimeofday.  */
+#define $ac_func innocuous_$ac_func
+
+/* System header to define __stub macros and hopefully few prototypes,
+    which can conflict with char $ac_func (); below.
+    Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
+    <limits.h> exists even on freestanding compilers.  */
+
+#ifdef __STDC__
+# include <limits.h>
+#else
+# include <assert.h>
+#endif
+
+#undef $ac_func
+
+/* Override any GCC internal prototype to avoid an error.
+   Use char because int might match the return type of a GCC
+   builtin and then its argument prototype would still apply.  */
+#ifdef __cplusplus
+extern "C"
+#endif
+char $ac_func ();
+/* The GNU C library defines this for functions which it implements
+    to always fail with ENOSYS.  Some functions are actually named
+    something starting with __ and the normal name is an alias.  */
+#if defined __stub_$ac_func || defined __stub___$ac_func
+choke me
+#endif
+
+int
+main ()
+{
+return $ac_func ();
+  ;
+  return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext conftest$ac_exeext
+if { (ac_try="$ac_link"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_link") 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } && {
+	 test -z "$ac_c_werror_flag" ||
+	 test ! -s conftest.err
+       } && test -s conftest$ac_exeext &&
+       $as_test_x conftest$ac_exeext; then
+  eval "$as_ac_var=yes"
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+	eval "$as_ac_var=no"
+fi
+
+rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
+      conftest$ac_exeext conftest.$ac_ext
+fi
+ac_res=`eval echo '${'$as_ac_var'}'`
+	       { echo "$as_me:$LINENO: result: $ac_res" >&5
+echo "${ECHO_T}$ac_res" >&6; }
+if test `eval echo '${'$as_ac_var'}'` = yes; then
+  cat >>confdefs.h <<_ACEOF
+#define `echo "HAVE_$ac_func" | $as_tr_cpp` 1
+_ACEOF
+
+fi
+done
+
+fi
 
 	CFLAGS="$CFLAGS_X";
 	CPPFLAGS="$CPPFLAGS_X";
@@ -19129,28 +19223,137 @@ done
 
 fi
 
-
 # ===================================================================
-# Check for Ruby, optional even if installed.
+# Check for TRE library
 # ===================================================================
+#
+# This section only checks that --without-tre is not given and the
+# library seems to work, and sets TRE_CFLAGS, TRE_LIBS, and
+# tre_log.  It does not define CONFIG_TRE, and always resets
+# LIBS and CFLAGS back to their original values.
+#
+# After any --enable-utf-8 and --disable-utf-8 options have been
+# handled, a separate section decides whether to actually use TRE.
 
 
-{ echo "$as_me:$LINENO: checking for Ruby" >&5
-echo $ECHO_N "checking for Ruby... $ECHO_C" >&6; }
+# Check whether --with-[tre] was given.
+if test "${with_tre+set}" = set; then
+  withval=$with_tre;
+fi
 
-CONFIG_SCRIPTING_RUBY_WITHVAL="no"
-CONFIG_SCRIPTING_RUBY="no"
+if test "$with_tre" = no; then
+	{ echo "$as_me:$LINENO: checking for TRE" >&5
+echo $ECHO_N "checking for TRE... $ECHO_C" >&6; }
+	{ echo "$as_me:$LINENO: result: disabled" >&5
+echo "${ECHO_T}disabled" >&6; }
+	tre_log="no (explicitly disabled)"
+else
+	{ echo "$as_me:$LINENO: checking for TRE in pkg-config" >&5
+echo $ECHO_N "checking for TRE in pkg-config... $ECHO_C" >&6; }
+	if pkg-config tre; then
+		TRE_CFLAGS=`pkg-config --cflags tre`
+		TRE_LIBS=`pkg-config --libs tre`
+		{ echo "$as_me:$LINENO: result: yes" >&5
+echo "${ECHO_T}yes" >&6; }
+	else
+		# <http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=513055>
+		# "libtre-dev: /usr/lib/pkgconfig/tre.pc missing"
+		# so we look for the library even if pkg-config doesn't know about it.
+		TRE_CFLAGS=
+		TRE_LIBS=-ltre
+		{ echo "$as_me:$LINENO: result: no, but let's try defaults" >&5
+echo "${ECHO_T}no, but let's try defaults" >&6; }
+	fi
 
+	{ echo "$as_me:$LINENO: checking for TRE header and library" >&5
+echo $ECHO_N "checking for TRE header and library... $ECHO_C" >&6; }
 
 	CFLAGS_X="$CFLAGS";
 	CPPFLAGS_X="$CPPFLAGS";
 	LDFLAGS_X="$LDFLAGS";
 	LIBS_X="$LIBS";
 
+	CFLAGS="$TRE_CFLAGS $CFLAGS"
+	LIBS="$TRE_LIBS $LIBS"
+	cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+#include <tre/regex.h>
+int
+main ()
+{
+regex_t re;
+		     regmatch_t match[1];
+		     regwcomp(&re, L"zap", REG_ICASE);
+		     regwexec(&re, L"ELIZAPROGRAM", 1, match, 0);
+  ;
+  return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext conftest$ac_exeext
+if { (ac_try="$ac_link"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_link") 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } && {
+	 test -z "$ac_c_werror_flag" ||
+	 test ! -s conftest.err
+       } && test -s conftest$ac_exeext &&
+       $as_test_x conftest$ac_exeext; then
+  { echo "$as_me:$LINENO: result: yes" >&5
+echo "${ECHO_T}yes" >&6; }
+		     tre_log="available"
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
 
+	{ echo "$as_me:$LINENO: result: no" >&5
+echo "${ECHO_T}no" >&6; }
+		     tre_log="no (TRE not found)"
+fi
 
-# Check whether --with-ruby was given.
-if test "${with_ruby+set}" = set; then
+rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
+      conftest$ac_exeext conftest.$ac_ext
+
+	CFLAGS="$CFLAGS_X";
+	CPPFLAGS="$CPPFLAGS_X";
+	LDFLAGS="$LDFLAGS_X";
+	LIBS="$LIBS_X";
+
+fi
+
+# ===================================================================
+# Check for Ruby, optional even if installed.
+# ===================================================================
+
+
+{ echo "$as_me:$LINENO: checking for Ruby" >&5
+echo $ECHO_N "checking for Ruby... $ECHO_C" >&6; }
+
+CONFIG_SCRIPTING_RUBY_WITHVAL="no"
+CONFIG_SCRIPTING_RUBY="no"
+
+
+	CFLAGS_X="$CFLAGS";
+	CPPFLAGS_X="$CPPFLAGS";
+	LDFLAGS_X="$LDFLAGS";
+	LIBS_X="$LIBS";
+
+
+
+# Check whether --with-ruby was given.
+if test "${with_ruby+set}" = set; then
   withval=$with_ruby; CONFIG_SCRIPTING_RUBY_WITHVAL="$withval"
 fi
 
@@ -19423,41 +19626,44 @@ _ACEOF
 # For wiping SSL hooks..
 #ifdef CONFIG_SSL
 
-disable_openssl=""
-disable_gnutls=""
-enable_gnutls=""
+chosen_ssl_library=""
 
 
 # Check whether --with-gnutls was given.
 if test "${with_gnutls+set}" = set; then
-  withval=$with_gnutls; if test "$with_gnutls" = no;  then disable_gnutls=yes; fi
+  withval=$with_gnutls;
 fi
 
 
 # Check whether --with-gnutls was given.
 if test "${with_gnutls+set}" = set; then
-  withval=$with_gnutls; if test "$with_gnutls" != no;  then enable_gnutls=yes; fi
+  withval=$with_gnutls; case "$with_gnutls" in
+		"no")	: ;;
+		"yes")	chosen_ssl_library="GNUTLS" ;;
+		*)	chosen_ssl_library="GNUTLS"
+			{ echo "$as_me:$LINENO: WARNING: Support for --with-gnutls=DIR has been removed.
+You may have to set the PKG_CONFIG_PATH environment variable instead." >&5
+echo "$as_me: WARNING: Support for --with-gnutls=DIR has been removed.
+You may have to set the PKG_CONFIG_PATH environment variable instead." >&2;} ;;
+	     esac
 fi
 
-gnutls_withval="$withval"
-
-if test "$enable_gnutls" = yes; then
-	disable_openssl=yes;
-fi
 
 
 # Check whether --with-openssl was given.
 if test "${with_openssl+set}" = set; then
-  withval=$with_openssl; if test "$with_openssl" = no;  then disable_openssl=yes; fi
+  withval=$with_openssl;
 fi
 
 
 # Check whether --with-openssl was given.
 if test "${with_openssl+set}" = set; then
-  withval=$with_openssl;
+  withval=$with_openssl; case "$with_openssl" in
+		"no")	: ;;
+		*)	chosen_ssl_library="OpenSSL" ;;
+	     esac
 fi
 
-openssl_withval="$withval"
 
 # ---- OpenSSL
 
@@ -19470,12 +19676,16 @@ echo $ECHO_N "checking for OpenSSL... $E
 	LDFLAGS_X="$LDFLAGS";
 	LIBS_X="$LIBS";
 
-cf_result="no"
 
-if test "$disable_openssl" = yes; then
-	cf_result="not used"
+if test "$with_openssl" = no; then
+	cf_result="explicitly disabled"
+
+elif test -n "$chosen_ssl_library" && test "$chosen_ssl_library" != "OpenSSL"; then
+	cf_result="not used, because $chosen_ssl_library was chosen"
+
 else
-	for ssldir in "$openssl_withval" "" /usr /usr/local/openssl \
+	cf_result=no
+	for ssldir in "$with_openssl" "" /usr /usr/local/openssl \
 			 /usr/lib/openssl /usr/local/ssl \
 			 /usr/local/www /usr/lib/ssl /usr/local \
 			 /usr/pkg /opt /opt/openssl; do
@@ -19585,7 +19795,7 @@ rm -f core conftest.err conftest.$ac_obj
 	done
 
 	if test "$cf_result" != yes; then
-		if test -n "$openssl_withval" && test "x$openssl_withval" != xno; then
+		if test "${with_openssl-no}" != "no"; then
 			{ { echo "$as_me:$LINENO: error: OpenSSL not found" >&5
 echo "$as_me: error: OpenSSL not found" >&2;}
    { (exit 1); exit 1; }; }
@@ -19605,6 +19815,7 @@ cat >>confdefs.h <<\_ACEOF
 #define CONFIG_OPENSSL 1
 _ACEOF
 
+		chosen_ssl_library="OpenSSL"
 
 		CFLAGS="$CFLAGS_X"
 
@@ -19614,99 +19825,153 @@ fi
 { echo "$as_me:$LINENO: result: $cf_result" >&5
 echo "${ECHO_T}$cf_result" >&6; }
 
-CONFIG_GNUTLS_OPENSSL_COMPAT=no
 # ---- GNU TLS
 
-if test "$cf_result" = yes; then
-	cf_result="not used"
+# GnuTLS 2.2.0 changed libgnutls-openssl from GPLv2+
+# to GPLv3+.  Don't link that with the GPLv2 ELinks.
+# ELinks will use its internal MD5 code instead.
+CONFIG_GNUTLS_OPENSSL_COMPAT=no
+
+if test "$with_gnutls" = no; then
+	{ echo "$as_me:$LINENO: checking for GNUTLS" >&5
+echo $ECHO_N "checking for GNUTLS... $ECHO_C" >&6; }
+	{ echo "$as_me:$LINENO: result: explicitly disabled" >&5
+echo "${ECHO_T}explicitly disabled" >&6; }
+
+elif test -n "$chosen_ssl_library" && test "$chosen_ssl_library" != "GNUTLS"; then
+	{ echo "$as_me:$LINENO: checking for GNUTLS" >&5
+echo $ECHO_N "checking for GNUTLS... $ECHO_C" >&6; }
+	{ echo "$as_me:$LINENO: result: not used, because $chosen_ssl_library was chosen" >&5
+echo "${ECHO_T}not used, because $chosen_ssl_library was chosen" >&6; }
 
 else
+	cf_result=no
+	{ echo "$as_me:$LINENO: checking for GNUTLS (1.2 or later) in pkg-config" >&5
+echo $ECHO_N "checking for GNUTLS (1.2 or later) in pkg-config... $ECHO_C" >&6; }
+	if pkg-config --atleast-version=1.2 gnutls; then
+		GNUTLS_CFLAGS=`pkg-config --cflags gnutls`
+		GNUTLS_LIBS=`pkg-config --libs gnutls`
+		{ echo "$as_me:$LINENO: result: yes: $GNUTLS_CFLAGS $GNUTLS_LIBS" >&5
+echo "${ECHO_T}yes: $GNUTLS_CFLAGS $GNUTLS_LIBS" >&6; }
+
 
 	CFLAGS_X="$CFLAGS";
 	CPPFLAGS_X="$CPPFLAGS";
 	LDFLAGS_X="$LDFLAGS";
 	LIBS_X="$LIBS";
 
-	cf_result="no"
-
-	if test -z "$disable_gnutls"; then
-		# Sure, we maybe _could_ use their macro, but how to ensure
-		# that the ./configure script won't fail if the macro won't be
-		# found..? :( --pasky
-
-		GNUTLS_PATH="$PATH:/usr/local/gnutls:/opt:/opt/gnutls"
-
-		if test -d "$gnutls_withval"; then
-			GNUTLS_PATH="$gnutls_withval:$GNUTLS_PATH"
-		fi
-
-		# Extract the first word of "libgnutls-config", so it can be a program name with args.
-set dummy libgnutls-config; ac_word=$2
-{ echo "$as_me:$LINENO: checking for $ac_word" >&5
-echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6; }
-if test "${ac_cv_path_LIBGNUTLS_CONFIG+set}" = set; then
-  echo $ECHO_N "(cached) $ECHO_C" >&6
-else
-  case $LIBGNUTLS_CONFIG in
-  [\\/]* | ?:[\\/]*)
-  ac_cv_path_LIBGNUTLS_CONFIG="$LIBGNUTLS_CONFIG" # Let the user override the test with a path.
-  ;;
-  *)
-  as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
-for as_dir in $GNUTLS_PATH
-do
-  IFS=$as_save_IFS
-  test -z "$as_dir" && as_dir=.
-  for ac_exec_ext in '' $ac_executable_extensions; do
-  if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_test_x "$as_dir/$ac_word$ac_exec_ext"; }; then
-    ac_cv_path_LIBGNUTLS_CONFIG="$as_dir/$ac_word$ac_exec_ext"
-    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
-    break 2
-  fi
-done
-done
-IFS=$as_save_IFS
-
-  test -z "$ac_cv_path_LIBGNUTLS_CONFIG" && ac_cv_path_LIBGNUTLS_CONFIG="no"
-  ;;
+		LIBS="$GNUTLS_LIBS $LIBS"
+		CFLAGS="$CFLAGS $GNUTLS_CFLAGS"
+		CPPFLAGS="$CPPFLAGS $GNUTLS_CFLAGS"
+
+		# Verify if it's really usable.  gnutls_session was
+		# renamed to gnutls_session_t before GNU TLS 1.2.0
+		# (on 2004-06-13); ELinks now requires this.
+		{ echo "$as_me:$LINENO: checking whether GNUTLS can be linked with" >&5
+echo $ECHO_N "checking whether GNUTLS can be linked with... $ECHO_C" >&6; }
+		cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+#include <gnutls/gnutls.h>
+int
+main ()
+{
+gnutls_session_t dummy;
+						  gnutls_check_version(NULL)
+  ;
+  return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext conftest$ac_exeext
+if { (ac_try="$ac_link"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
 esac
-fi
-LIBGNUTLS_CONFIG=$ac_cv_path_LIBGNUTLS_CONFIG
-if test -n "$LIBGNUTLS_CONFIG"; then
-  { echo "$as_me:$LINENO: result: $LIBGNUTLS_CONFIG" >&5
-echo "${ECHO_T}$LIBGNUTLS_CONFIG" >&6; }
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_link") 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } && {
+	 test -z "$ac_c_werror_flag" ||
+	 test ! -s conftest.err
+       } && test -s conftest$ac_exeext &&
+       $as_test_x conftest$ac_exeext; then
+  cf_result=yes
 else
-  { echo "$as_me:$LINENO: result: no" >&5
-echo "${ECHO_T}no" >&6; }
-fi
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
 
+	cf_result=no
+fi
 
+rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
+      conftest$ac_exeext conftest.$ac_ext
+		{ echo "$as_me:$LINENO: result: $cf_result" >&5
+echo "${ECHO_T}$cf_result" >&6; }
 
-		if test "$LIBGNUTLS_CONFIG" = "no" ; then
-			cf_result=no
-		else
-			GNUTLS_CFLAGS=`$LIBGNUTLS_CONFIG --cflags`
-			GNUTLS_LIBS=`$LIBGNUTLS_CONFIG --libs`
+		if test "$cf_result" = yes; then
+			# According to gnutls/NEWS, the function was originally
+			# added as gnutls_set_default_priority2 in GNUTLS 2.1.4
+			# (released 2007-10-27) and then renamed to
+			# gnutls_priority_set_direct in GNUTLS 2.1.7 (released
+			# 2007-11-29).
 
-			LIBS="$GNUTLS_LIBS $LIBS_X"
-			CFLAGS="$CFLAGS_X $GNUTLS_CFLAGS"
-			CPPFLAGS="$CPPFLAGS_X $GNUTLS_CFLAGS"
-
-			# Verify if it's really usable.  gnutls_session was
-			# renamed to gnutls_session_t before GNU TLS 1.2.0
-			# (on 2004-06-13); ELinks now requires this.
-			cat >conftest.$ac_ext <<_ACEOF
+for ac_func in gnutls_priority_set_direct
+do
+as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
+{ echo "$as_me:$LINENO: checking for $ac_func" >&5
+echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6; }
+if { as_var=$as_ac_var; eval "test \"\${$as_var+set}\" = set"; }; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  cat >conftest.$ac_ext <<_ACEOF
 /* confdefs.h.  */
 _ACEOF
 cat confdefs.h >>conftest.$ac_ext
 cat >>conftest.$ac_ext <<_ACEOF
 /* end confdefs.h.  */
-#include <gnutls/gnutls.h>
+/* Define $ac_func to an innocuous variant, in case <limits.h> declares $ac_func.
+   For example, HP-UX 11i <limits.h> declares gettimeofday.  */
+#define $ac_func innocuous_$ac_func
+
+/* System header to define __stub macros and hopefully few prototypes,
+    which can conflict with char $ac_func (); below.
+    Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
+    <limits.h> exists even on freestanding compilers.  */
+
+#ifdef __STDC__
+# include <limits.h>
+#else
+# include <assert.h>
+#endif
+
+#undef $ac_func
+
+/* Override any GCC internal prototype to avoid an error.
+   Use char because int might match the return type of a GCC
+   builtin and then its argument prototype would still apply.  */
+#ifdef __cplusplus
+extern "C"
+#endif
+char $ac_func ();
+/* The GNU C library defines this for functions which it implements
+    to always fail with ENOSYS.  Some functions are actually named
+    something starting with __ and the normal name is an alias.  */
+#if defined __stub_$ac_func || defined __stub___$ac_func
+choke me
+#endif
+
 int
 main ()
 {
-gnutls_session_t dummy;
-				     gnutls_check_version(NULL)
+return $ac_func ();
   ;
   return 0;
 }
@@ -19729,19 +19994,42 @@ eval "echo \"\$as_me:$LINENO: $ac_try_ec
 	 test ! -s conftest.err
        } && test -s conftest$ac_exeext &&
        $as_test_x conftest$ac_exeext; then
-  cf_result=yes
+  eval "$as_ac_var=yes"
 else
   echo "$as_me: failed program was:" >&5
 sed 's/^/| /' conftest.$ac_ext >&5
 
-	cf_result=no
+	eval "$as_ac_var=no"
 fi
 
 rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
       conftest$ac_exeext conftest.$ac_ext
+fi
+ac_res=`eval echo '${'$as_ac_var'}'`
+	       { echo "$as_me:$LINENO: result: $ac_res" >&5
+echo "${ECHO_T}$ac_res" >&6; }
+if test `eval echo '${'$as_ac_var'}'` = yes; then
+  cat >>confdefs.h <<_ACEOF
+#define `echo "HAVE_$ac_func" | $as_tr_cpp` 1
+_ACEOF
+
+fi
+done
+
 		fi
 
-		if test "$cf_result" = yes; then
+
+	CFLAGS="$CFLAGS_X";
+	CPPFLAGS="$CPPFLAGS_X";
+	LDFLAGS="$LDFLAGS_X";
+	LIBS="$LIBS_X";
+
+	else
+		{ echo "$as_me:$LINENO: result: $cf_result" >&5
+echo "${ECHO_T}$cf_result" >&6; }
+	fi
+
+	if test "$cf_result" = yes; then
 
 	  CONFIG_GNUTLS=yes
 	  ABOUT_CONFIG_GNUTLS="GNUTLS"
@@ -19750,35 +20038,18 @@ cat >>confdefs.h <<\_ACEOF
 #define CONFIG_GNUTLS 1
 _ACEOF
 
+		chosen_ssl_library="GNUTLS"
 
-			CFLAGS="$CFLAGS_X"
+		LIBS="$GNUTLS_LIBS $LIBS"
 
 
-			# GnuTLS 2.2.0 changed libgnutls-openssl from GPLv2+
-			# to GPLv3+.  Don't link that with the GPLv2 ELinks.
-			# ELinks will use its internal MD5 code instead.
-			CONFIG_GNUTLS_OPENSSL_COMPAT=no
-		else
-			if test -n "$gnutls_withval" && test "x$gnutls_withval" != xno; then
-				{ { echo "$as_me:$LINENO: error: GNUTLS (1.2 or later) not found.  ELinks no longer supports GNUTLS 1.1." >&5
+	elif test "${with_gnutls-no}" != "no"; then
+		{ { echo "$as_me:$LINENO: error: GNUTLS (1.2 or later) not found.  ELinks no longer supports GNUTLS 1.1." >&5
 echo "$as_me: error: GNUTLS (1.2 or later) not found.  ELinks no longer supports GNUTLS 1.1." >&2;}
    { (exit 1); exit 1; }; }
-			fi
-
-	CFLAGS="$CFLAGS_X";
-	CPPFLAGS="$CPPFLAGS_X";
-	LDFLAGS="$LDFLAGS_X";
-	LIBS="$LIBS_X";
-
-		fi
 	fi
 fi
 
-{ echo "$as_me:$LINENO: checking for GNU TLS (1.2 or later)" >&5
-echo $ECHO_N "checking for GNU TLS (1.2 or later)... $ECHO_C" >&6; }
-{ echo "$as_me:$LINENO: result: $cf_result" >&5
-echo "${ECHO_T}$cf_result" >&6; }
-
 # Final SSL setup
 
 
@@ -21918,9 +22189,7 @@ _ACEOF
 echo "${ECHO_T}$CONFIG_NLS" >&6; }
 
 
-
-
-if test "$CONFIG_NLS" = "yes"; then
+     if test "$CONFIG_NLS" = "yes"; then
   CONFIG_NLS_TRUE=
   CONFIG_NLS_FALSE='#'
 else
@@ -24500,6 +24769,131 @@ fi
 
 
 # ===================================================================
+# Decide whether to use TRE
+# ===================================================================
+#
+# This must be done after the CONFIG_UTF8 check above.
+# The first part of the TRE check is separate, to get
+# the configure --help output in a sensible order.
+
+if test "$tre_log" = "available"; then
+	if test "$CONFIG_UTF8" = "yes"; then
+		# When CONFIG_UTF8 and CONFIG_TRE are both defined,
+		# src/viewer/text/search.c makes a string of
+		# unicode_val_T and gives it to regwexec(), which
+		# expects a string of wchar_t.  If the unicode_val_T
+		# and wchar_t types are too different, this won't
+		# work, so try to detect that and disable regexp
+		# operations entirely in that case.
+		#
+		# Currently, this code only compares the sizes of the
+		# types.  src/intl/charsets.h defines unicode_val_T as
+		# uint32_t, so we check whether wchar_t has exactly 32
+		# bits.  But don't use AC_CHECK_SIZEOF for this, because
+		# there doesn't seem to be a documented way to get the
+		# result of that for use in the configure script.
+		#
+		# C99 says the implementation can define
+		# __STDC_ISO_10646__ if wchar_t values match ISO 10646
+		# (or Unicode) numbers in all locales.  Do not check
+		# that macro here, because it is too restrictive: it
+		# should be enough for ELinks if the values match in
+		# the locales where ELinks is actually run.
+		{ echo "$as_me:$LINENO: checking whether wchar_t is exactly 32-bit" >&5
+echo $ECHO_N "checking whether wchar_t is exactly 32-bit... $ECHO_C" >&6; }
+		cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+
+#include <limits.h>
+#include <stddef.h>
+int dummy[(sizeof(wchar_t) * CHAR_BIT == 32) ? 1 : -1];
+int
+main ()
+{
+
+  ;
+  return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext
+if { (ac_try="$ac_compile"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_compile") 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } && {
+	 test -z "$ac_c_werror_flag" ||
+	 test ! -s conftest.err
+       } && test -s conftest.$ac_objext; then
+  { echo "$as_me:$LINENO: result: yes" >&5
+echo "${ECHO_T}yes" >&6; }
+			 tre_log="TRE"
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+	{ echo "$as_me:$LINENO: result: no" >&5
+echo "${ECHO_T}no" >&6; }
+			 tre_log="no (unsuitable wchar_t)"
+fi
+
+rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
+	else
+		# If UTF-8 is not used, then wchar_t doesn't matter.
+		tre_log="TRE"
+	fi
+fi
+
+if test "$tre_log" = "TRE"; then
+
+cat >>confdefs.h <<\_ACEOF
+#define CONFIG_TRE 1
+_ACEOF
+
+	# TRE_CFLAGS will be used only where needed.
+	LIBS="$LIBS $TRE_LIBS"
+else
+	TRE_LIBS=
+	TRE_CFLAGS=
+fi
+
+
+
+	about="Regexp searching"
+	value="$tre_log"
+	msgdots2="`echo $about | sed 's/[0-9]/./g'`"
+	msgdots1="`echo $msgdots2 | sed 's/[a-z]/./g'`"
+	msgdots0="`echo $msgdots1 | sed 's/[A-Z]/./g'`"
+	msgdots="`echo $msgdots0 | sed 's/[-_ ()]/./g'`"
+	DOTS="................................"
+	dots=`echo $DOTS | sed "s/$msgdots//"`
+
+	# $msgdots too big?
+	if test "$dots" = "$DOTS"; then
+		dots=""
+	fi
+
+	if test -z "$value"; then
+		value="$CONFIG_TRE"
+	fi
+
+	echo "$about $dots $value" >> features.log
+
+
+
+
+# ===================================================================
 # Further LDFLAGS tweaks
 # ===================================================================
 
@@ -25746,13 +26140,12 @@ INSTALL_SCRIPT!$INSTALL_SCRIPT$ac_delim
 INSTALL_DATA!$INSTALL_DATA$ac_delim
 GIT!$GIT$ac_delim
 SPARSE!$SPARSE$ac_delim
-ASCIIDOC!$ASCIIDOC$ac_delim
+PYTHON!$PYTHON$ac_delim
 XMLTO!$XMLTO$ac_delim
 JW!$JW$ac_delim
 POD2HTML!$POD2HTML$ac_delim
 DOXYGEN!$DOXYGEN$ac_delim
 api_srcdir!$api_srcdir$ac_delim
-ASCIIDOC_FLAGS!$ASCIIDOC_FLAGS$ac_delim
 CONFIG_ASCIIDOC!$CONFIG_ASCIIDOC$ac_delim
 CONFIG_DOXYGEN!$CONFIG_DOXYGEN$ac_delim
 CONFIG_POD2HTML!$CONFIG_POD2HTML$ac_delim
@@ -25786,6 +26179,7 @@ SEE_CFLAGS!$SEE_CFLAGS$ac_delim
 CONFIG_ECMASCRIPT!$CONFIG_ECMASCRIPT$ac_delim
 CONFIG_ECMASCRIPT_SEE!$CONFIG_ECMASCRIPT_SEE$ac_delim
 CONFIG_ECMASCRIPT_SMJS!$CONFIG_ECMASCRIPT_SMJS$ac_delim
+SPIDERMONKEY_LIBS!$SPIDERMONKEY_LIBS$ac_delim
 _ACEOF
 
   if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 97; then
@@ -25827,14 +26221,12 @@ _ACEOF
 ac_delim='%!_!# '
 for ac_last_try in false false false false false :; do
   cat >conf$$subs.sed <<_ACEOF
-SPIDERMONKEY_LIBS!$SPIDERMONKEY_LIBS$ac_delim
 SPIDERMONKEY_CFLAGS!$SPIDERMONKEY_CFLAGS$ac_delim
 CONFIG_SPIDERMONKEY!$CONFIG_SPIDERMONKEY$ac_delim
 GUILE_CONFIG!$GUILE_CONFIG$ac_delim
 GUILE_CFLAGS!$GUILE_CFLAGS$ac_delim
 PERL_LIBS!$PERL_LIBS$ac_delim
 PERL_CFLAGS!$PERL_CFLAGS$ac_delim
-PYTHON!$PYTHON$ac_delim
 PYTHON_LIBS!$PYTHON_LIBS$ac_delim
 PYTHON_CFLAGS!$PYTHON_CFLAGS$ac_delim
 LUA_LIBS!$LUA_LIBS$ac_delim
@@ -25849,7 +26241,6 @@ CONFIG_SCRIPTING_PERL!$CONFIG_SCRIPTING_
 CONFIG_SCRIPTING_PYTHON!$CONFIG_SCRIPTING_PYTHON$ac_delim
 CONFIG_SCRIPTING_SPIDERMONKEY!$CONFIG_SCRIPTING_SPIDERMONKEY$ac_delim
 OPENSSL_CFLAGS!$OPENSSL_CFLAGS$ac_delim
-LIBGNUTLS_CONFIG!$LIBGNUTLS_CONFIG$ac_delim
 GNUTLS_CFLAGS!$GNUTLS_CFLAGS$ac_delim
 CONFIG_SSL!$CONFIG_SSL$ac_delim
 CONFIG_GNUTLS_OPENSSL_COMPAT!$CONFIG_GNUTLS_OPENSSL_COMPAT$ac_delim
@@ -25913,6 +26304,9 @@ CONFIG_FASTMEM!$CONFIG_FASTMEM$ac_delim
 CONFIG_OWN_LIBC!$CONFIG_OWN_LIBC$ac_delim
 CONFIG_SMALL!$CONFIG_SMALL$ac_delim
 CONFIG_UTF8!$CONFIG_UTF8$ac_delim
+TRE_CFLAGS!$TRE_CFLAGS$ac_delim
+TRE_LIBS!$TRE_LIBS$ac_delim
+CONFIG_TRE!$CONFIG_TRE$ac_delim
 CONFDIR!$CONFDIR$ac_delim
 LOCALEDIR!$LOCALEDIR$ac_delim
 LIBDIR!$LIBDIR$ac_delim
diff -pruN 0.12~pre2.dfsg0-1/configure.in 0.12~pre4-1/configure.in
--- 0.12~pre2.dfsg0-1/configure.in	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/configure.in	2009-05-31 09:48:47.000000000 +0100
@@ -6,15 +6,16 @@ dnl discards them.  Other comments begin
 dnl to the configure script, hopefully making it easier to read.
 
 dnl Autoconf 2.13 generates an incomplete config.h.in; see ELinks bug 936.
-dnl Autoconf 2.59 is installed in the computer that generates our nightly
-dnl snapshots, so we need to be compatible with that.
-AC_PREREQ(2.59)
+dnl Autoconf 2.61 is installed in the computer that generates our nightly
+dnl snapshots, so we need to be compatible with that.  (Also, some files
+dnl in Autoconf 2.62 and 2.63 sources are not GPLv2 compatible.)
+AC_PREREQ(2.61)
 AC_INIT
 AC_CONFIG_SRCDIR([src/main/main.c])
 AC_CONFIG_AUX_DIR(config)
 
 PACKAGE=elinks
-VERSION=0.12pre2
+VERSION=0.12pre4
 AC_SUBST(PACKAGE)
 AC_SUBST(VERSION)
 AC_DEFINE_UNQUOTED(PACKAGE, "$PACKAGE", [Package version])
@@ -70,17 +71,11 @@ CONFIG_XMLTO="no"
 CONFIG_JW="no"
 
 if test "x$CONFIG_DOC" != xno; then
-	AC_PATH_PROGS(ASCIIDOC, "asciidoc")
-	if test "x$ASCIIDOC" != "x"; then
+	AC_PATH_PROGS(PYTHON, "python")
+	if test "x$PYTHON" != "x"; then
 		EL_CONFIG(CONFIG_ASCIIDOC, [AsciiDoc])
 		EL_CONFIG(MANUAL_ASCIIDOC, [HTML (one file)])
 		EL_CONFIG(MAN_ASCIIDOC, [HTML])
-
-		echo > config.asciidoc-unsafe.txt
-		if "$ASCIIDOC" --unsafe config.asciidoc-unsafe.txt >/dev/null 2>/dev/null; then
-			ASCIIDOC_FLAGS=--unsafe
-		fi
-		rm config.asciidoc-unsafe.*
 	fi
 
 	AC_PATH_PROGS(XMLTO, "xmlto")
@@ -109,7 +104,6 @@ if test "x$CONFIG_DOC" != xno; then
 	fi
 fi
 
-AC_SUBST(ASCIIDOC_FLAGS)
 AC_SUBST(CONFIG_ASCIIDOC)
 AC_SUBST(CONFIG_DOXYGEN)
 AC_SUBST(CONFIG_POD2HTML)
@@ -225,6 +219,29 @@ AC_SUBST(CONFIG_INTERLINK)
 AC_STRUCT_TM
 AC_C_CONST
 AC_C_INLINE
+AC_MSG_CHECKING([[for C99-conforming inline]])
+AC_COMPILE_IFELSE([[
+	int add(int change);
+
+	static int sum;
+
+	inline int
+	add(int change)
+	{
+		sum += change;
+		return sum;
+	}
+
+	int
+	sub(int change)
+	{
+		return add(-change);
+	}]],
+	[AC_MSG_RESULT([[yes]])
+	 AC_DEFINE([NONSTATIC_INLINE], [inline],
+		[Define as inline if the compiler lets you declare a function without inline, then define it with inline, and have that definition refer to identifiers with internal linkage.  This is allowed by C99 6.7.4p6 and 6.7.4p3 together.  Otherwise define as nothing.])],
+	[AC_MSG_RESULT([[no]])
+	 AC_DEFINE([NONSTATIC_INLINE], [])])
 EL_CHECK_CODE(typeof, HAVE_TYPEOF, [], [int a; typeof(a) b;])
 
 AC_SYS_LARGEFILE
@@ -251,12 +268,6 @@ EL_CHECK_CODE([variadic macros], HAVE_VA
                 [a("foo");a("%s","bar");a("%s%s","baz","quux");])
 
 # ===================================================================
-# Check for POSIX <regex.h>
-# ===================================================================
-
-EL_CHECK_SYS_TYPE(regex_t, HAVE_REGEX_H, [#include <regex.h>])
-
-# ===================================================================
 # Checks for library functions.
 # ===================================================================
 
@@ -435,11 +446,12 @@ AC_DEFUN([EL_CHECK_OPTIONAL_LIBRARY],
 dnl EL_CONFIG_OPTIONAL_LIBRARY(define, name, header, lib, function, confhelp)
 AC_DEFUN([EL_CONFIG_OPTIONAL_LIBRARY],
 [
-	$1=yes
+	if test "x[$]$1" != xno; then $1=yes; fi
 	WITHVAL_$1=
 
 	AC_ARG_WITH([$2], [$6], [WITHVAL_$1="[$]withval"])
 	if test "x[$]WITHVAL_$1" = xno; then $1=no; fi
+	if test "x[$]WITHVAL_$1" = xyes; then $1=yes; fi
 
 	EL_CHECK_OPTIONAL_LIBRARY([$1], [$2], [$3], [$4], [$5])
 
@@ -463,13 +475,15 @@ EL_CONFIG_OPTIONAL_LIBRARY(CONFIG_BZIP2,
 EL_CONFIG_OPTIONAL_LIBRARY(CONFIG_IDN, idn, idna.h, idn, stringprep_check_version,
 	[  --without-idn           disable international domain names support])
 
-if test "x{with_gc}" != xno; then
+if test "x${with_gc}" != xno; then
 	EL_CONFIG_OPTIONAL_LIBRARY(CONFIG_GC, gc, gc.h, gc, GC_init,
 		[  --with-gc               enable Boehm's garbage collector])
 fi
 
+# LZMA disabled by default, because of little usability and compilation problems
+# with new xz
 EL_CONFIG_OPTIONAL_LIBRARY(CONFIG_LZMA, lzma, lzma.h, lzma, lzma_code,
-	[  --without-lzma          disable lzma encoding support])
+	[  --with-lzma             enable lzma encoding support])
 
 # ===================================================================
 # Check for GSSAPI, optional even if installed.
@@ -557,7 +571,7 @@ AC_ARG_WITH(see, [  --with-see          
             [ if test "x$withval" != xno; then enable_see=yes; fi ])
 
 # The following is probably bad, ugly and so on. Stolen from Guile's (1.4)
-# SEE_FLAGS but I really don't want to require people to have Guile in order
+# GUILE_FLAGS but I really don't want to require people to have Guile in order
 # to compile CVS. Also, the macro seems to be really stupid regarding searching
 # for Guile in $PATH etc. --pasky
 
@@ -635,6 +649,9 @@ fi
 
 AC_MSG_RESULT($cf_result)
 CONFIG_SPIDERMONKEY="$cf_result"
+if test "$cf_result" = "yes"; then
+	AC_CHECK_FUNCS([[JS_ReportAllocationOverflow]])
+fi
 EL_RESTORE_FLAGS
 
 if test "x$CONFIG_SPIDERMONKEY" = xyes &&
@@ -792,7 +809,7 @@ fi
 # ===================================================================
 enable_python="no";
 
-AC_ARG_WITH(python, [  --with-python=[DIR]     enable Python support],
+AC_ARG_WITH(python, [[  --with-python[=DIR]     enable Python support]],
             [ if test "x$withval" != xno; then enable_python=yes; fi ])
 
 EL_SAVE_FLAGS
@@ -906,6 +923,53 @@ else
 	AC_SUBST(LUA_CFLAGS)
 fi
 
+# ===================================================================
+# Check for TRE library
+# ===================================================================
+#
+# This section only checks that --without-tre is not given and the
+# library seems to work, and sets TRE_CFLAGS, TRE_LIBS, and
+# tre_log.  It does not define CONFIG_TRE, and always resets
+# LIBS and CFLAGS back to their original values.
+#
+# After any --enable-utf-8 and --disable-utf-8 options have been
+# handled, a separate section decides whether to actually use TRE.
+
+AC_ARG_WITH([[tre]], [[  --without-tre           disable TRE regex search support]])
+if test "$with_tre" = no; then
+	AC_MSG_CHECKING([[for TRE]])
+	AC_MSG_RESULT([[disabled]])
+	tre_log="no (explicitly disabled)"
+else
+	AC_MSG_CHECKING([[for TRE in pkg-config]])
+	if pkg-config tre; then
+		TRE_CFLAGS=`pkg-config --cflags tre`
+		TRE_LIBS=`pkg-config --libs tre`
+		AC_MSG_RESULT([[yes]])
+	else
+		# <http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=513055>
+		# "libtre-dev: /usr/lib/pkgconfig/tre.pc missing"
+		# so we look for the library even if pkg-config doesn't know about it.
+		TRE_CFLAGS=
+		TRE_LIBS=-ltre
+		AC_MSG_RESULT([[no, but let's try defaults]])
+	fi
+
+	AC_MSG_CHECKING([[for TRE header and library]])
+	EL_SAVE_FLAGS
+	CFLAGS="$TRE_CFLAGS $CFLAGS"
+	LIBS="$TRE_LIBS $LIBS"
+	AC_TRY_LINK([#include <tre/regex.h>],
+		    [regex_t re;
+		     regmatch_t match[1];
+		     regwcomp(&re, L"zap", REG_ICASE);
+		     regwexec(&re, L"ELIZAPROGRAM", 1, match, 0);],
+		    [AC_MSG_RESULT([[yes]])
+		     tre_log="available"],
+		    [AC_MSG_RESULT([[no]])
+		     tre_log="no (TRE not found)"])
+	EL_RESTORE_FLAGS
+fi
 
 # ===================================================================
 # Check for Ruby, optional even if installed.
@@ -937,36 +1001,40 @@ AC_SUBST(CONFIG_SCRIPTING)
 # For wiping SSL hooks..
 #ifdef CONFIG_SSL
 
-disable_openssl=""
-disable_gnutls=""
-enable_gnutls=""
-
-AC_ARG_WITH(gnutls, [  --without-gnutls        disable GNUTLS SSL support],
-	    [if test "$with_gnutls" = no;  then disable_gnutls=yes; fi])
-AC_ARG_WITH(gnutls, [  --with-gnutls[=DIR]     enable GNUTLS SSL support],
-	    [if test "$with_gnutls" != no;  then enable_gnutls=yes; fi])
-gnutls_withval="$withval"
-
-if test "$enable_gnutls" = yes; then
-	disable_openssl=yes;
-fi
-
-AC_ARG_WITH(openssl, [  --without-openssl       disable OpenSSL support],
-	    [if test "$with_openssl" = no;  then disable_openssl=yes; fi])
-AC_ARG_WITH(openssl, [  --with-openssl[=DIR]    enable OpenSSL support (default)])
-openssl_withval="$withval"
+chosen_ssl_library=""
+
+AC_ARG_WITH(gnutls, [[  --without-gnutls        disable GNUTLS SSL support]])
+AC_ARG_WITH(gnutls, [[  --with-gnutls           enable GNUTLS SSL support]],
+	    [case "$with_gnutls" in
+		"no")	: ;;
+		"yes")	chosen_ssl_library="GNUTLS" ;;
+		*)	chosen_ssl_library="GNUTLS"
+			AC_MSG_WARN([[Support for --with-gnutls=DIR has been removed.
+You may have to set the PKG_CONFIG_PATH environment variable instead.]]) ;;
+	     esac])
+
+AC_ARG_WITH(openssl, [[  --without-openssl       disable OpenSSL support]])
+AC_ARG_WITH(openssl, [[  --with-openssl[=DIR]    enable OpenSSL support (default)]],
+	    [case "$with_openssl" in
+		"no")	: ;;
+		*)	chosen_ssl_library="OpenSSL" ;;
+	     esac])
 
 # ---- OpenSSL
 
 AC_MSG_CHECKING([for OpenSSL])
 
 EL_SAVE_FLAGS
-cf_result="no"
 
-if test "$disable_openssl" = yes; then
-	cf_result="not used"
+if test "$with_openssl" = no; then
+	cf_result="explicitly disabled"
+
+elif test -n "$chosen_ssl_library" && test "$chosen_ssl_library" != "OpenSSL"; then
+	cf_result="not used, because $chosen_ssl_library was chosen"
+
 else
-	for ssldir in "$openssl_withval" "" /usr /usr/local/openssl \
+	cf_result=no
+	for ssldir in "$with_openssl" "" /usr /usr/local/openssl \
 			 /usr/lib/openssl /usr/local/ssl \
 			 /usr/local/www /usr/lib/ssl /usr/local \
 			 /usr/pkg /opt /opt/openssl; do
@@ -992,12 +1060,13 @@ else
 	done
 
 	if test "$cf_result" != yes; then
-		if test -n "$openssl_withval" && test "x$openssl_withval" != xno; then
+		if test "${with_openssl-no}" != "no"; then
 			AC_MSG_ERROR([OpenSSL not found])
 		fi
 		EL_RESTORE_FLAGS
 	else
 		EL_CONFIG(CONFIG_OPENSSL, [OpenSSL])
+		chosen_ssl_library="OpenSSL"
 
 		CFLAGS="$CFLAGS_X"
 		AC_SUBST(OPENSSL_CFLAGS)
@@ -1006,70 +1075,71 @@ fi
 
 AC_MSG_RESULT($cf_result)
 
-CONFIG_GNUTLS_OPENSSL_COMPAT=no
 # ---- GNU TLS
-dnl We can't have AC_MSG_CHECKING here, because AC_PATH_PROG prints its own and
-dnl it looks ugly then.
 
-if test "$cf_result" = yes; then
-	cf_result="not used"
+# GnuTLS 2.2.0 changed libgnutls-openssl from GPLv2+
+# to GPLv3+.  Don't link that with the GPLv2 ELinks.
+# ELinks will use its internal MD5 code instead.
+CONFIG_GNUTLS_OPENSSL_COMPAT=no
 
-else
-	EL_SAVE_FLAGS
-	cf_result="no"
+if test "$with_gnutls" = no; then
+	AC_MSG_CHECKING([[for GNUTLS]])
+	AC_MSG_RESULT([[explicitly disabled]])
+
+elif test -n "$chosen_ssl_library" && test "$chosen_ssl_library" != "GNUTLS"; then
+	AC_MSG_CHECKING([[for GNUTLS]])
+	AC_MSG_RESULT([[not used, because $chosen_ssl_library was chosen]])
 
-	if test -z "$disable_gnutls"; then
-		# Sure, we maybe _could_ use their macro, but how to ensure
-		# that the ./configure script won't fail if the macro won't be
-		# found..? :( --pasky
+else
+	cf_result=no
+	AC_MSG_CHECKING([[for GNUTLS (1.2 or later) in pkg-config]])
+	if pkg-config --atleast-version=1.2 gnutls; then
+		GNUTLS_CFLAGS=`pkg-config --cflags gnutls`
+		GNUTLS_LIBS=`pkg-config --libs gnutls`
+		AC_MSG_RESULT([[yes: $GNUTLS_CFLAGS $GNUTLS_LIBS]])
 
-		GNUTLS_PATH="$PATH:/usr/local/gnutls:/opt:/opt/gnutls"
+		EL_SAVE_FLAGS
+		LIBS="$GNUTLS_LIBS $LIBS"
+		CFLAGS="$CFLAGS $GNUTLS_CFLAGS"
+		CPPFLAGS="$CPPFLAGS $GNUTLS_CFLAGS"
+
+		# Verify if it's really usable.  gnutls_session was
+		# renamed to gnutls_session_t before GNU TLS 1.2.0
+		# (on 2004-06-13); ELinks now requires this.
+		AC_MSG_CHECKING([[whether GNUTLS can be linked with]])
+		AC_LINK_IFELSE([AC_LANG_PROGRAM([[#include <gnutls/gnutls.h>]],
+						[[gnutls_session_t dummy;
+						  gnutls_check_version(NULL)]])],
+			       [cf_result=yes],
+			       [cf_result=no])
+		AC_MSG_RESULT([[$cf_result]])
 
-		if test -d "$gnutls_withval"; then
-			GNUTLS_PATH="$gnutls_withval:$GNUTLS_PATH"
+		if test "$cf_result" = yes; then
+			# According to gnutls/NEWS, the function was originally
+			# added as gnutls_set_default_priority2 in GNUTLS 2.1.4
+			# (released 2007-10-27) and then renamed to
+			# gnutls_priority_set_direct in GNUTLS 2.1.7 (released
+			# 2007-11-29).
+			AC_CHECK_FUNCS([gnutls_priority_set_direct])
 		fi
 
-		AC_PATH_PROG(LIBGNUTLS_CONFIG, libgnutls-config, no, $GNUTLS_PATH)
-
-		if test "$LIBGNUTLS_CONFIG" = "no" ; then
-			cf_result=no
-		else
-			GNUTLS_CFLAGS=`$LIBGNUTLS_CONFIG --cflags`
-			GNUTLS_LIBS=`$LIBGNUTLS_CONFIG --libs`
-
-			LIBS="$GNUTLS_LIBS $LIBS_X"
-			CFLAGS="$CFLAGS_X $GNUTLS_CFLAGS"
-			CPPFLAGS="$CPPFLAGS_X $GNUTLS_CFLAGS"
-
-			# Verify if it's really usable.  gnutls_session was
-			# renamed to gnutls_session_t before GNU TLS 1.2.0
-			# (on 2004-06-13); ELinks now requires this.
-			AC_LINK_IFELSE([AC_LANG_PROGRAM([[#include <gnutls/gnutls.h>]], [[gnutls_session_t dummy;
-				     gnutls_check_version(NULL)]])],[cf_result=yes],[cf_result=no])
-		fi
+		EL_RESTORE_FLAGS
+	else
+		AC_MSG_RESULT([[$cf_result]])
+	fi
 
-		if test "$cf_result" = yes; then
-			EL_CONFIG(CONFIG_GNUTLS, [GNUTLS])
+	if test "$cf_result" = yes; then
+		EL_CONFIG(CONFIG_GNUTLS, [GNUTLS])
+		chosen_ssl_library="GNUTLS"
 
-			CFLAGS="$CFLAGS_X"
-			AC_SUBST(GNUTLS_CFLAGS)
+		LIBS="$GNUTLS_LIBS $LIBS"
+		AC_SUBST(GNUTLS_CFLAGS)
 
-			# GnuTLS 2.2.0 changed libgnutls-openssl from GPLv2+
-			# to GPLv3+.  Don't link that with the GPLv2 ELinks.
-			# ELinks will use its internal MD5 code instead.
-			CONFIG_GNUTLS_OPENSSL_COMPAT=no
-		else
-			if test -n "$gnutls_withval" && test "x$gnutls_withval" != xno; then
-				AC_MSG_ERROR([GNUTLS (1.2 or later) not found.  ELinks no longer supports GNUTLS 1.1.])
-			fi
-			EL_RESTORE_FLAGS
-		fi
+	elif test "${with_gnutls-no}" != "no"; then
+		AC_MSG_ERROR([[GNUTLS (1.2 or later) not found.  ELinks no longer supports GNUTLS 1.1.]])
 	fi
 fi
 
-AC_MSG_CHECKING([for GNU TLS (1.2 or later)])
-AC_MSG_RESULT($cf_result)
-
 # Final SSL setup
 
 EL_CONFIG_DEPENDS(CONFIG_SSL, [CONFIG_OPENSSL CONFIG_GNUTLS], [SSL])
@@ -1322,6 +1392,66 @@ AC_ARG_ENABLE(weehoofooboomookerchoo,
 
 
 # ===================================================================
+# Decide whether to use TRE
+# ===================================================================
+#
+# This must be done after the CONFIG_UTF8 check above.
+# The first part of the TRE check is separate, to get
+# the configure --help output in a sensible order.
+
+if test "$tre_log" = "available"; then
+	if test "$CONFIG_UTF8" = "yes"; then
+		# When CONFIG_UTF8 and CONFIG_TRE are both defined,
+		# src/viewer/text/search.c makes a string of
+		# unicode_val_T and gives it to regwexec(), which
+		# expects a string of wchar_t.  If the unicode_val_T
+		# and wchar_t types are too different, this won't
+		# work, so try to detect that and disable regexp
+		# operations entirely in that case.
+		#
+		# Currently, this code only compares the sizes of the
+		# types.  src/intl/charsets.h defines unicode_val_T as
+		# uint32_t, so we check whether wchar_t has exactly 32
+		# bits.  But don't use AC_CHECK_SIZEOF for this, because
+		# there doesn't seem to be a documented way to get the
+		# result of that for use in the configure script.
+		#
+		# C99 says the implementation can define
+		# __STDC_ISO_10646__ if wchar_t values match ISO 10646
+		# (or Unicode) numbers in all locales.  Do not check
+		# that macro here, because it is too restrictive: it
+		# should be enough for ELinks if the values match in
+		# the locales where ELinks is actually run.
+		AC_MSG_CHECKING([[whether wchar_t is exactly 32-bit]])
+		AC_COMPILE_IFELSE([AC_LANG_PROGRAM([[
+#include <limits.h>
+#include <stddef.h>
+int dummy[(sizeof(wchar_t) * CHAR_BIT == 32) ? 1 : -1];]], [])],
+			[AC_MSG_RESULT([[yes]])
+			 tre_log="TRE"],
+			[AC_MSG_RESULT([[no]])
+			 tre_log="no (unsuitable wchar_t)"])
+	else
+		# If UTF-8 is not used, then wchar_t doesn't matter.
+		tre_log="TRE"
+	fi
+fi
+
+if test "$tre_log" = "TRE"; then
+	AC_DEFINE([CONFIG_TRE], [1],
+		[Define as 1 to use the TRE library for regular expression searching.  This requires the <tre/regex.h> header file.  If you define CONFIG_UTF8 too, then wchar_t must be exactly 32-bit so that it matches unicode_val_T.])
+	# TRE_CFLAGS will be used only where needed.
+	LIBS="$LIBS $TRE_LIBS"
+else
+	TRE_LIBS=
+	TRE_CFLAGS=
+fi
+AC_SUBST(TRE_CFLAGS)
+AC_SUBST(TRE_LIBS)
+EL_LOG_CONFIG([CONFIG_TRE], [[Regexp searching]], [[$tre_log]])
+
+
+# ===================================================================
 # Further LDFLAGS tweaks
 # ===================================================================
 
diff -pruN 0.12~pre2.dfsg0-1/contrib/elinks.spec 0.12~pre4-1/contrib/elinks.spec
--- 0.12~pre2.dfsg0-1/contrib/elinks.spec	2008-09-21 12:16:54.000000000 +0100
+++ 0.12~pre4-1/contrib/elinks.spec	2009-05-31 10:05:49.000000000 +0100
@@ -31,7 +31,7 @@
 
 Summary:	Enhanced version of Links (Lynx-like text WWW browser)
 Name:		elinks
-Version:	0.12pre2
+Version:	0.12pre4
 Release:	1
 License:	GPL
 Vendor:		ELinks project <elinks-users@linuxfromscratch.org>
diff -pruN 0.12~pre2.dfsg0-1/contrib/gpm-wheel.patch 0.12~pre4-1/contrib/gpm-wheel.patch
--- 0.12~pre2.dfsg0-1/contrib/gpm-wheel.patch	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/contrib/gpm-wheel.patch	2009-05-31 09:48:47.000000000 +0100
@@ -1,3 +1,6 @@
+Make GPM emit mouse-wheel-only events so you can use the wheel to
+scroll in ELinks.  GPM 1.20.3pre5 already contains a similar patch.
+
 --- gpm-1.20.1/src/gpm.c.old	2006-07-27 22:52:10.095084528 +0200
 +++ gpm-1.20.1/src/gpm.c	2006-07-27 22:52:48.503245600 +0200
 @@ -530,7 +530,7 @@
diff -pruN 0.12~pre2.dfsg0-1/COPYING 0.12~pre4-1/COPYING
--- 0.12~pre2.dfsg0-1/COPYING	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/COPYING	2009-05-31 09:48:47.000000000 +0100
@@ -11,6 +11,89 @@ Jonas, or the current maintainer of the 
 like it is in the Linux kernel). But this needs to be yet worked out
 and agreed upon.
 
+Other licences apply to some files in the source tree.  The following
+files and their derivatives are not installed by "make install" and
+typically don't appear in binary packages of ELinks, so we do not
+include their complete licence notices in COPYING:
+
+* acinclude.m4: Concatenated from config/m4/*.m4, which see.
+
+* aclocal.m4, config/install-sh: Permissive licences.
+
+* config/config.guess, config/config.sub: GPLv2 or later, plus special
+  exception.
+
+* config/m4/gettext.m4, config/m4/lcmessage.m4, config/m4/progtest.m4:
+  "can be copied and used freely without restrictions".
+
+* config/missing: GPLv2 or later.
+
+* config/mkinstalldirs: Public domain.
+
+* configure: "unlimited permission to copy, distribute and modify"
+  from FSF, but this is also derived from configure.in, which is
+  GPLv2.
+
+* contrib/debian/rules: "GNU copyright 1997 to 1999 by Joey Hess",
+  whatever that means.
+
+* doc/tools/asciidoc/: GPLv2 or later.
+
+* doc/tools/help2xml, po/perl/msgaccel-check,
+  po/perl/msgaccel-prepare: ISC licence.
+
+* po/perl/Locale/PO.pm: "same terms as Perl itself", i.e. GPLv1 or
+  later or Artistic License.
+
+* test/bigtextarea.html: Changing the text of GPLv2 is not allowed,
+  but you could replace that with some other text.
+
+* test/color.html: possibly derived from rgb.txt of X11?
+
+* test/optgroup.html: GNU free documentation licence; see
+  test/GFDL-1.2.
+
+* test/GFDL-1.2: Changing the text of GFDLv1.2 is not allowed.
+
+The following files or their derivatives are installed by "make
+install" or might otherwise be useful to include in binary packages,
+so their full licence terms should be included here in COPYING:
+
+* contrib/conv/mailcap.pl: GPLv2 or later.
+
+* contrib/LinksOS2Icon.zip: Part public domain.
+
+* contrib/links_wps.zip: Part GPLv2 or later.
+
+* COPYING: Changing the text of GPLv2 is not allowed.
+
+* doc/manual.txt: "Hold blameless the authors.  Any lawful use is
+  allowed." which presumably applies to the entire ELinks manual,
+  except the list of features is derived from features.conf, which
+  is GPLv2.
+
+* src/osdep/getifaddrs.c, src/osdep/getifaddrs.h: See "KTH 3-clause
+  BSD-style licences" below.
+
+* src/util/md5.c, Unicode/entities.txt: Public domain.
+
+* src/util/sha1.c, src/util/sha1.h: Mozilla Public License Version 1.1
+  (not later), or GNU General Public License Version 2 or later.
+  ELinks uses these under GPL and does not include the text of the MPL.
+
+* Unicode/8859_1.cp, Unicode/8859_2.cp, Unicode/8859_3.cp,
+  Unicode/8859_4.cp, Unicode/8859_5.cp, Unicode/8859_6.cp,
+  Unicode/8859_7.cp, Unicode/8859_8.cp, Unicode/8859_9.cp,
+  Unicode/8859_10.cp, Unicode/8859_13.cp, Unicode/8859_14.cp,
+  Unicode/8859_15.cp, Unicode/8859_16.cp, Unicode/koi8_r.cp,
+  Unicode/cp437.cp, Unicode/cp737.cp, Unicode/cp850.cp,
+  Unicode/cp852.cp, Unicode/cp866.cp, Unicode/cp1250.cp,
+  Unicode/cp1251.cp, Unicode/cp1252.cp, Unicode/cp1256.cp,
+  Unicode/cp1257.cp, Unicode/macroman.cp, Unicode/mac_lat2.cp:
+  See "UNICODE, INC. LICENSE AGREEMENT - DATA FILES AND SOFTWARE"
+  below.  These files were downloaded from directories under
+  <http://www.unicode.org/Public/> and then modified for ELinks.
+
 -----------------------------------------------------------------------
 
 		    GNU GENERAL PUBLIC LICENSE
@@ -353,3 +436,101 @@ proprietary programs.  If your program i
 consider it more useful to permit linking proprietary applications with the
 library.  If this is what you want to do, use the GNU Library General
 Public License instead of this License.
+
+-----------------------------------------------------------------------
+
+"KTH 3-clause BSD-style licences"
+
+In src/osdep/getifaddrs.c:
+
+ * Copyright (c) 2000 - 2001 Kungliga Tekniska Högskolan
+ * (Royal Institute of Technology, Stockholm, Sweden).
+ * All rights reserved.
+
+In src/osdep/getifaddrs.h:
+
+ * Copyright (c) 2000 Kungliga Tekniska Högskolan
+ * (Royal Institute of Technology, Stockholm, Sweden).
+ * All rights reserved.
+
+In both src/osdep/getifaddrs.c and src/osdep/getifaddrs.h:
+
+ * Redistribution and use in source and binary forms, with or without
+ * modification, are permitted provided that the following conditions
+ * are met:
+ *
+ * 1. Redistributions of source code must retain the above copyright
+ *    notice, this list of conditions and the following disclaimer.
+ *
+ * 2. Redistributions in binary form must reproduce the above copyright
+ *    notice, this list of conditions and the following disclaimer in the
+ *    documentation and/or other materials provided with the distribution.
+ *
+ * 3. Neither the name of the Institute nor the names of its contributors
+ *    may be used to endorse or promote products derived from this software
+ *    without specific prior written permission.
+ *
+ * THIS SOFTWARE IS PROVIDED BY THE INSTITUTE AND CONTRIBUTORS ``AS IS'' AND
+ * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
+ * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
+ * ARE DISCLAIMED.  IN NO EVENT SHALL THE INSTITUTE OR CONTRIBUTORS BE LIABLE
+ * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
+ * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
+ * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
+ * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
+ * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
+ * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
+ * SUCH DAMAGE.
+
+-----------------------------------------------------------------------
+
+UNICODE, INC. LICENSE AGREEMENT - DATA FILES AND SOFTWARE
+
+Unicode Data Files include all data files under the directories
+http://www.unicode.org/Public/, http://www.unicode.org/reports/, and
+http://www.unicode.org/cldr/data/ . Unicode Software includes any source
+code published in the Unicode Standard or under the directories
+http://www.unicode.org/Public/, http://www.unicode.org/reports/, and
+http://www.unicode.org/cldr/data/.
+
+NOTICE TO USER: Carefully read the following legal agreement. BY
+DOWNLOADING, INSTALLING, COPYING OR OTHERWISE USING UNICODE INC.'S DATA
+FILES ("DATA FILES"), AND/OR SOFTWARE ("SOFTWARE"), YOU UNEQUIVOCALLY
+ACCEPT, AND AGREE TO BE BOUND BY, ALL OF THE TERMS AND CONDITIONS OF THIS
+AGREEMENT. IF YOU DO NOT AGREE, DO NOT DOWNLOAD, INSTALL, COPY,
+DISTRIBUTE OR USE THE DATA FILES OR SOFTWARE.
+
+COPYRIGHT AND PERMISSION NOTICE
+
+Copyright © 1991-2008 Unicode, Inc. All rights reserved. Distributed
+under the Terms of Use in http://www.unicode.org/copyright.html.
+
+Permission is hereby granted, free of charge, to any person obtaining a
+copy of the Unicode data files and any associated documentation (the
+"Data Files") or Unicode software and any associated documentation (the
+"Software") to deal in the Data Files or Software without restriction,
+including without limitation the rights to use, copy, modify, merge,
+publish, distribute, and/or sell copies of the Data Files or Software,
+and to permit persons to whom the Data Files or Software are furnished to
+do so, provided that (a) the above copyright notice(s) and this
+permission notice appear with all copies of the Data Files or Software,
+(b) both the above copyright notice(s) and this permission notice appear
+in associated documentation, and (c) there is clear notice in each
+modified Data File or in the Software as well as in the documentation
+associated with the Data File(s) or Software that the data or software
+has been modified.
+
+THE DATA FILES AND SOFTWARE ARE PROVIDED "AS IS", WITHOUT WARRANTY OF ANY
+KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
+MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT OF
+THIRD PARTY RIGHTS. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR HOLDERS
+INCLUDED IN THIS NOTICE BE LIABLE FOR ANY CLAIM, OR ANY SPECIAL INDIRECT
+OR CONSEQUENTIAL DAMAGES, OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS
+OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
+OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
+PERFORMANCE OF THE DATA FILES OR SOFTWARE.
+
+Except as contained in this notice, the name of a copyright holder shall
+not be used in advertising or otherwise to promote the sale, use or other
+dealings in these Data Files or Software without prior written
+authorization of the copyright holder.
diff -pruN 0.12~pre2.dfsg0-1/debian/changelog 0.12~pre4-1/debian/changelog
--- 0.12~pre2.dfsg0-1/debian/changelog	2009-06-08 00:24:16.000000000 +0100
+++ 0.12~pre4-1/debian/changelog	2009-06-08 00:20:53.000000000 +0100
@@ -1,3 +1,38 @@
+elinks (0.12~pre4-1) unstable; urgency=low
+
+  * New upstream release 0.12pre4
+    + Refresh patches for new upstream release
+    + Includes asciidoc.py from AsciiDoc 7.1.2 (Closes: #526349)
+    + With GNUTLS 2.1.7 or later disable few TLS extensions -- helps
+      handshaking with SSLv3-only bugzilla.novell.com (Closes: #528661)
+    + Fixes crash while viewing RSS files (Closes: #514544)
+    + Prevents FTBFS with gnutls26 >= 2.7.x:  Build-Depends: pkg-config to
+      use 'pkg-config gnutls' instead of 'libgnutls-config' (Closes: #529821)
+  * Compile elinks-lite with --without-tre
+
+ -- Y Giridhar Appaji Nag <appaji@debian.org>  Mon, 01 Jun 2009 16:38:57 +0530
+
+elinks (0.12~pre3-2) unstable; urgency=low
+
+  * Add libtre-dev to Build-Depends: to support wide chars regex search
+    (Closes: #522052)
+
+ -- Y Giridhar Appaji Nag <appaji@debian.org>  Tue, 31 Mar 2009 19:32:43 +0530
+
+elinks (0.12~pre3-1) unstable; urgency=low
+
+  * Update Maintainer to official Debian ID
+  * Remove DM-Upload-Allowed: yes
+  * Update Standards-Version to 3.8.1 (no changes required)
+  * New upstream release
+   + Fixes crash in RSS renderer (Closes: #514544)
+   + Refresh patches for 0.12~pre3
+  * Update to debian/compat 6 and use dh_lintian instead of dh_installing
+    the override file.
+  * Use krb5-dev instead of heimdal-dev for GSSAPI (Closes: #488633)
+
+ -- Y Giridhar Appaji Nag <appaji@debian.org>  Tue, 31 Mar 2009 00:21:30 +0530
+
 elinks (0.12~pre2.dfsg0-1) unstable; urgency=low
 
   * New upstream release 0.12pre2
diff -pruN 0.12~pre2.dfsg0-1/debian/compat 0.12~pre4-1/debian/compat
--- 0.12~pre2.dfsg0-1/debian/compat	2009-06-08 00:24:16.000000000 +0100
+++ 0.12~pre4-1/debian/compat	2009-06-08 00:20:53.000000000 +0100
@@ -1 +1 @@
-5
+6
diff -pruN 0.12~pre2.dfsg0-1/debian/control 0.12~pre4-1/debian/control
--- 0.12~pre2.dfsg0-1/debian/control	2009-06-08 00:24:16.000000000 +0100
+++ 0.12~pre4-1/debian/control	2009-06-08 00:20:53.000000000 +0100
@@ -1,14 +1,17 @@
 Source: elinks
 Section: web
 Priority: optional
-Maintainer: Y Giridhar Appaji Nag <giridhar@appaji.net>
+Maintainer: Y Giridhar Appaji Nag <appaji@debian.org>
 Uploaders: Moritz Muehlenhoff <jmm@debian.org>
-Build-Depends: debhelper (>= 5), libgnutls-dev, libidn11-dev, libfsplib-dev, libgpm-dev [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64], liblua50-dev, liblualib50-dev, libbz2-dev, libexpat1-dev (>= 1.95.6), libperl-dev, ruby, ruby1.8-dev, libmozjs-dev, heimdal-dev, autotools-dev, gettext, asciidoc, xmlto, docbook-utils
-Standards-Version: 3.8.0
+Build-Depends: debhelper (>= 6.0.7~), libtre-dev, libgnutls-dev, libidn11-dev,
+	libfsplib-dev, libgpm-dev [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64],
+	liblua50-dev, liblualib50-dev, libbz2-dev, libexpat1-dev (>= 1.95.6),
+	libperl-dev, ruby, ruby1.8-dev, libmozjs-dev, libkrb5-dev, gettext,
+	autotools-dev, python, xmlto, docbook-utils, pkg-config
+Standards-Version: 3.8.1
 Homepage: http://elinks.cz/
 Vcs-Git: git://git.debian.org/git/collab-maint/elinks.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/elinks.git
-DM-Upload-Allowed: yes
 
 Package: elinks
 Architecture: any
diff -pruN 0.12~pre2.dfsg0-1/debian/copyright 0.12~pre4-1/debian/copyright
--- 0.12~pre2.dfsg0-1/debian/copyright	2009-06-08 00:24:16.000000000 +0100
+++ 0.12~pre4-1/debian/copyright	2009-06-08 00:20:53.000000000 +0100
@@ -99,6 +99,6 @@ License:
 
 The Debian packaging is
 Copyright (C) 1999-2007, Peter Gervai <grin@tolna.net>
-Copyright (C) 2007-2008, Y Giridhar Appaji Nag <giridhar@appaji.net> and
+Copyright (C) 2007-2009, Y Giridhar Appaji Nag <giridhar@appaji.net> and
 is licensed under the GNU GPL, either version 2 of the License, or (at
 your option) any later version; see `/usr/share/common-licenses/GPL-2'.
diff -pruN 0.12~pre2.dfsg0-1/debian/elinks.install 0.12~pre4-1/debian/elinks.install
--- 0.12~pre2.dfsg0-1/debian/elinks.install	2009-06-08 00:24:16.000000000 +0100
+++ 0.12~pre4-1/debian/elinks.install	2009-06-08 00:20:53.000000000 +0100
@@ -1,2 +1 @@
 debian/elinks.desktop usr/share/applications
-debian/overrides/lintian/elinks usr/share/lintian/overrides
diff -pruN 0.12~pre2.dfsg0-1/debian/elinks.lintian-overrides 0.12~pre4-1/debian/elinks.lintian-overrides
--- 0.12~pre2.dfsg0-1/debian/elinks.lintian-overrides	1970-01-01 01:00:00.000000000 +0100
+++ 0.12~pre4-1/debian/elinks.lintian-overrides	2009-06-08 00:20:53.000000000 +0100
@@ -0,0 +1,2 @@
+# elinks(1) is installed by elinks-data
+elinks: binary-without-manpage usr/bin/elinks
diff -pruN 0.12~pre2.dfsg0-1/debian/overrides/lintian/elinks 0.12~pre4-1/debian/overrides/lintian/elinks
--- 0.12~pre2.dfsg0-1/debian/overrides/lintian/elinks	2009-06-08 00:24:16.000000000 +0100
+++ 0.12~pre4-1/debian/overrides/lintian/elinks	1970-01-01 01:00:00.000000000 +0100
@@ -1,2 +0,0 @@
-# elinks(1) is installed by elinks-data
-elinks: binary-without-manpage usr/bin/elinks
diff -pruN 0.12~pre2.dfsg0-1/debian/patches/01_setup-bugs-FSSTND.diff 0.12~pre4-1/debian/patches/01_setup-bugs-FSSTND.diff
--- 0.12~pre2.dfsg0-1/debian/patches/01_setup-bugs-FSSTND.diff	2009-06-08 00:24:16.000000000 +0100
+++ 0.12~pre4-1/debian/patches/01_setup-bugs-FSSTND.diff	2009-06-08 00:20:53.000000000 +0100
@@ -19,32 +19,32 @@ index 71fceef..f0f55ec 100644
  how to get in contact with developers and getting help can be found on
  http://elinks.cz/community.html[the community page].
 diff --git a/doc/html/elinks.conf.5.html b/doc/html/elinks.conf.5.html
-index 9616dd3..1ec6571 100644
+index b350f4d..712357a 100644
 --- a/doc/html/elinks.conf.5.html
 +++ b/doc/html/elinks.conf.5.html
-@@ -776,7 +776,7 @@ Do <strong>not</strong> put single- or double-quotes around the % sign.
+@@ -781,7 +781,7 @@ around the % sign.
  </dd></dl><h3 id="mime.mailcap">mime.mailcap (Mailcap)</h3>
  <p>Options for mailcap support.
  </p><dl><dt id="mime.mailcap.enable">mime.mailcap.enable [0|1] (default: 1)</dt><dd>Enable mailcap support.
--</dd><dt id="mime.mailcap.path">mime.mailcap.path &#60;str&#62; (default: "~/.mailcap:/etc/mailcap:/usr/etc/mailcap:/usr/local/etc/mailcap:/usr/share/mailcap:/usr/share/misc/mailcap")</dt><dd>Mailcap search path. Colon-separated list of files.
-+</dd><dt id="mime.mailcap.path">mime.mailcap.path &#60;str&#62; (default: "~/.mailcap:/etc/mailcap:/usr/local/etc/mailcap:/usr/share/mailcap:/usr/share/misc/mailcap")</dt><dd>Mailcap search path. Colon-separated list of files.
- Leave as "" to use <tt>MAILCAP</tt> environment variable instead.
+-</dd><dt id="mime.mailcap.path">mime.mailcap.path &#60;str&#62; (default: "~/.mailcap:/etc/mailcap:/usr/etc/mailcap:/usr/local/etc/mailcap:/usr/share/mailcap:/usr/share/misc/mailcap")</dt><dd>Mailcap search path. Colon-separated list of files. Leave as "" to
++</dd><dt id="mime.mailcap.path">mime.mailcap.path &#60;str&#62; (default: "~/.mailcap:/etc/mailcap:/usr/local/etc/mailcap:/usr/share/mailcap:/usr/share/misc/mailcap")</dt><dd>Mailcap search path. Colon-separated list of files. Leave as "" to
+ use <tt>MAILCAP</tt> environment variable instead.
  </dd><dt id="mime.mailcap.ask">mime.mailcap.ask [0|1] (default: 1)</dt><dd>Ask before using the handlers defined by mailcap.
- </dd><dt id="mime.mailcap.description">mime.mailcap.description &#60;num&#62; (default: 0)</dt><dd>Type of description to show in "what to do with this file"
-@@ -792,7 +792,7 @@ also be checked before deciding the handler.
- can be used to find the content type of a URL by looking at
- the extension of the file name.
+ </dd><dt id="mime.mailcap.description">mime.mailcap.description &#60;num&#62; (default: 0)</dt><dd>Type of description to show in "what to do with this file" query
+@@ -798,7 +798,7 @@ checked before deciding the handler.
+ used to find the content type of a URL by looking at the extension
+ of the file name.
  </p><dl><dt id="mime.mimetypes.enable">mime.mimetypes.enable [0|1] (default: 1)</dt><dd>Enable <tt>mime.types</tt> support.
--</dd><dt id="mime.mimetypes.path">mime.mimetypes.path &#60;str&#62; (default: "~/.mime.types:/etc/mime.types:/usr/etc/mime.types:/usr/local/etc/mime.types:/usr/share/mime.types:/usr/share/misc/mime.types")</dt><dd>The search path for <tt>mime.types</tt> files. Colon-separated list of files.
-+</dd><dt id="mime.mimetypes.path">mime.mimetypes.path &#60;str&#62; (default: "~/.mime.types:/etc/mime.types:/usr/local/etc/mime.types:/usr/share/mime.types:/usr/share/misc/mime.types")</dt><dd>The search path for <tt>mime.types</tt> files. Colon-separated list of files.
+-</dd><dt id="mime.mimetypes.path">mime.mimetypes.path &#60;str&#62; (default: "~/.mime.types:/etc/mime.types:/usr/etc/mime.types:/usr/local/etc/mime.types:/usr/share/mime.types:/usr/share/misc/mime.types")</dt><dd>The search path for <tt>mime.types</tt> files. Colon-separated list of
++</dd><dt id="mime.mimetypes.path">mime.mimetypes.path &#60;str&#62; (default: "~/.mime.types:/etc/mime.types:/usr/local/etc/mime.types:/usr/share/mime.types:/usr/share/misc/mime.types")</dt><dd>The search path for <tt>mime.types</tt> files. Colon-separated list of
+ files.
  </dd></dl><h3 id="mime.type">mime.type (MIME type associations)</h3>
  <p>Handler &#8596; MIME type association. The first sub-tree is the MIME
- class while the second sub-tree is the MIME type (ie. image/gif
 diff --git a/doc/man/man5/elinks.conf.5 b/doc/man/man5/elinks.conf.5
-index d7711f5..1daa16d 100644
+index 4a0fec7..070dc9d 100644
 --- a/doc/man/man5/elinks.conf.5
 +++ b/doc/man/man5/elinks.conf.5
-@@ -1121,7 +1121,7 @@ mime\&.mailcap\&.enable \fB[0|1]\fR (default: 1)
+@@ -1143,7 +1143,7 @@ mime\&.mailcap\&.enable \fB[0|1]\fR (default: 1)
  Enable mailcap support\&.
  .RE
  .PP
@@ -53,7 +53,7 @@ index d7711f5..1daa16d 100644
  .RS 4
  Mailcap search path\&. Colon\-separated list of files\&. Leave as "" to use
  \fBMAILCAP\fR
-@@ -1164,7 +1164,7 @@ Enable
+@@ -1186,7 +1186,7 @@ Enable
  support\&.
  .RE
  .PP
diff -pruN 0.12~pre2.dfsg0-1/debian/patches/03_459467_ui.leds.enable_0.diff 0.12~pre4-1/debian/patches/03_459467_ui.leds.enable_0.diff
--- 0.12~pre2.dfsg0-1/debian/patches/03_459467_ui.leds.enable_0.diff	2009-06-08 00:24:16.000000000 +0100
+++ 0.12~pre4-1/debian/patches/03_459467_ui.leds.enable_0.diff	2009-06-08 00:20:53.000000000 +0100
@@ -3,23 +3,23 @@ laptops and desktop folks can enable thi
 on suggestion from أحمد المحمودي (Ahmed El-Mahmoudy).
 
 diff --git a/doc/html/elinks.conf.5.html b/doc/html/elinks.conf.5.html
-index 9616dd3..10d482a 100644
+index b350f4d..b1e0d1f 100644
 --- a/doc/html/elinks.conf.5.html
 +++ b/doc/html/elinks.conf.5.html
-@@ -1431,7 +1431,7 @@ visible. Requires that underlining is enabled for the terminal.
- visible. Requires that underlining is enabled for the terminal.
+@@ -1455,7 +1455,7 @@ Requires that underlining is enabled for the terminal.
+ Requires that underlining is enabled for the terminal.
  </dd></dl><h3 id="ui.leds">ui.leds (LEDs)</h3>
  <p>LEDs (visual indicators) options.
--</p><dl><dt id="ui.leds.enable">ui.leds.enable [0|1] (default: 1)</dt><dd>Enable LEDs.
-+</p><dl><dt id="ui.leds.enable">ui.leds.enable [0|1] (default: 0)</dt><dd>Enable LEDs.
- These visual indicators will inform you about various states.
+-</p><dl><dt id="ui.leds.enable">ui.leds.enable [0|1] (default: 1)</dt><dd>Enable LEDs. These visual indicators will inform you about various
++</p><dl><dt id="ui.leds.enable">ui.leds.enable [0|1] (default: 0)</dt><dd>Enable LEDs. These visual indicators will inform you about various
+ states.
  </dd></dl><h3 id="ui.sessions">ui.sessions (Sessions)</h3>
  <p>Sessions settings.
 diff --git a/doc/man/man5/elinks.conf.5 b/doc/man/man5/elinks.conf.5
-index d7711f5..c40712c 100644
+index 4a0fec7..c9a1167 100644
 --- a/doc/man/man5/elinks.conf.5
 +++ b/doc/man/man5/elinks.conf.5
-@@ -2755,7 +2755,7 @@ Whether to underline button shortcuts to make them more visible\&. Requires that
+@@ -2810,7 +2810,7 @@ Whether to underline button shortcuts to make them more visible\&. Requires that
  .SS "ui\&.leds (LEDs)"
  LEDs (visual indicators) options\&.
  .PP
@@ -29,7 +29,7 @@ index d7711f5..c40712c 100644
  Enable LEDs\&. These visual indicators will inform you about various states\&.
  .RE
 diff --git a/src/bfu/leds.c b/src/bfu/leds.c
-index 03f283f..8feb84d 100644
+index 989acb6..a4d6e85 100644
 --- a/src/bfu/leds.c
 +++ b/src/bfu/leds.c
 @@ -92,7 +92,7 @@ static struct option_info led_options[] = {
@@ -38,6 +38,6 @@ index 03f283f..8feb84d 100644
  	INIT_OPT_BOOL("ui.leds", N_("Enable"),
 -		"enable", 0, 1,
 +		"enable", 0, 0,
- 		N_("Enable LEDs.\n"
- 		   "These visual indicators will inform you about various states.")),
+ 		N_("Enable LEDs. These visual indicators will inform you "
+ 		"about various states.")),
  
diff -pruN 0.12~pre2.dfsg0-1/debian/patches/05_skip-xmlto-validation.diff 0.12~pre4-1/debian/patches/05_skip-xmlto-validation.diff
--- 0.12~pre2.dfsg0-1/debian/patches/05_skip-xmlto-validation.diff	2009-06-08 00:24:16.000000000 +0100
+++ 0.12~pre4-1/debian/patches/05_skip-xmlto-validation.diff	2009-06-08 00:20:53.000000000 +0100
@@ -2,10 +2,10 @@ Moritz's patch to disable xmlto validati
 xmlto and this patch fixes #491820
 
 diff --git a/doc/Makefile b/doc/Makefile
-index ab14be1..ae88e4f 100644
+index 2ba565f..30cf775 100644
 --- a/doc/Makefile
 +++ b/doc/Makefile
-@@ -151,7 +151,7 @@ option-%.frag.xhtml: $(ELINKS) $(HELP2XML)
+@@ -150,7 +150,7 @@ option-%.frag.xhtml: $(ELINKS) $(HELP2XML)
              cmd_jw = $(JW) -b $(2) $<
  
     quiet_cmd_xmlto = '    [$(LINK_COLOR)XMLTO$(END_COLOR)]   $(RELPATH)$@'
diff -pruN 0.12~pre2.dfsg0-1/debian/rules 0.12~pre4-1/debian/rules
--- 0.12~pre2.dfsg0-1/debian/rules	2009-06-08 00:24:16.000000000 +0100
+++ 0.12~pre4-1/debian/rules	2009-06-08 00:20:53.000000000 +0100
@@ -76,7 +76,8 @@ confopts_lite = $(confopts) \
 	--without-zlib \
 	--without-bzlib \
 	--without-idn \
-	--without-lua
+	--without-lua \
+	--without-tre
 
 save-upstream: patch save-stamp
 patch: patch-stamp
@@ -197,6 +198,7 @@ install-arch:
 	rm -f $(CURDIR)/debian/tmp.elinks-data/usr/share/locale/locale.alias
 	dh_link -pelinks usr/share/doc/elinks-data usr/share/doc/elinks
 	dh_install -s
+	dh_lintian -s
 
 # Must not depend on anything. This is to be called by
 # binary-arch/binary-indep
diff -pruN 0.12~pre2.dfsg0-1/doc/elinks.conf.5.txt 0.12~pre4-1/doc/elinks.conf.5.txt
--- 0.12~pre2.dfsg0-1/doc/elinks.conf.5.txt	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/doc/elinks.conf.5.txt	2009-05-31 09:48:47.000000000 +0100
@@ -66,6 +66,27 @@ include1::{builddir}option-config.frag.x
 endif::backend-xhtml11[]
 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 
+// The OpenSSL license requires the following acknowledgements in all
+// advertising materials that mention features of OpenSSL.  The web
+// pages at http://elinks.cz/ might be thought of as advertising, and
+// the documentation of the connection.ssl.cert_verify option mentions
+// a feature of OpenSSL.  So include the acknowledgements in the HTML
+// web page that documents the options.
+ifdef::man-webpage[]
+
+ACKNOWLEDGEMENTS
+----------------
+
+If ELinks was configured to use OpenSSL, then the following apply:
+
+- This product includes software developed by the OpenSSL Project
+  for use in the OpenSSL Toolkit. (http://www.openssl.org/)
+
+- This product includes cryptographic software written by
+  Eric Young (eay@cryptsoft.com)
+
+endif::man-webpage[]
+
 SEE ALSO
 --------
 man:elinks[1], man:elinkskeys[5]
diff -pruN 0.12~pre2.dfsg0-1/doc/events.txt 0.12~pre4-1/doc/events.txt
--- 0.12~pre2.dfsg0-1/doc/events.txt	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/doc/events.txt	2009-05-31 09:48:47.000000000 +0100
@@ -85,8 +85,8 @@ Triggered When:
 Arguments:
 
  struct bookmark *bookmark
- unsigned char *new_title
- unsigned char *new_url
+ unsigned char *new_title	/* UTF-8 */
+ unsigned char *new_url		/* UTF-8 */
 
 Description:
 
diff -pruN 0.12~pre2.dfsg0-1/doc/hacking.txt 0.12~pre4-1/doc/hacking.txt
--- 0.12~pre2.dfsg0-1/doc/hacking.txt	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/doc/hacking.txt	2009-05-31 09:48:47.000000000 +0100
@@ -246,6 +246,51 @@ remarkable implication of no C99 are no 
 at the start of block only.
 
 
+Inline functions
+----------------
+
+Various standards and compilers set restrictions on inline functions:
+
+- C89 doesn't support them at all.
+
+- According to C99 6.7.4p6, if a translation unit declares a function
+  as inline and not static, then it must also define that function.
+
+- According to C99 6.7.4p3, an inline definition of a non-static
+  function must not contain any non-const static variables, and must
+  not refer to anything static outside of it.  According to C99
+  6.7.4p6 however, if the function is ever declared without inline or
+  with extern, then its definition is not an inline definition even if
+  the definition includes the inline keyword.
+
+- Sun Studio 11 on Solaris 9 does not let non-static inline functions
+  refer to static identifiers.  Unlike C99 6.7.4p3, this seems to
+  apply to all definitions of inline functions, not only inline
+  definitions.  See ELinks bug 1047.
+
+- GCC 4.3.1 warns if a function is declared inline after being called.
+  Perhaps it means such calls cannot be inlined.
+
+- In C99, a function definition with extern inline means the compiler
+  should inline calls to that function and must also emit out-of-line
+  code that other translation units can call.  In GCC 4.3.1, it
+  instead means the out-of-line definition is elsewhere.
+
+So to be portable to all of those, we use inline functions in only
+these ways:
+
+- Define as static inline in a *.c file.  Perhaps declare in that same
+  file.  On C89, we #define inline to nothing.
+
+- Define as static inline in a *.h file.  Perhaps declare in that same
+  file.  On C89, we #define inline to nothing, and extra copies of the
+  function may then get emitted but anyway it'll work.
+
+- Declare without inline in a *.h file, and define with NONSTATIC_INLINE
+  in a *.c file.  Perhaps also declare with NONSTATIC_INLINE in the same
+  *.c file.  On Sun Studio 11, we #define NONSTATIC_INLINE to nothing.
+
+
 Comments
 --------
 
@@ -661,7 +706,7 @@ diff -ru elinks/ elinks+mysuperfeature/ 
 Please manually remove any bloat like changes in ./configure, whitespace
 changes etc. ;-).
 
-We also accept output from `cvs diff -u` :).  The statement about bloat
+We also accept output from `git diff` :).  The statement about bloat
 removing above still applies.
 
 Big patches are hard to review so if your feature involves a lot of changes
diff -pruN 0.12~pre2.dfsg0-1/doc/html/elinks.1.html 0.12~pre4-1/doc/html/elinks.1.html
--- 0.12~pre2.dfsg0-1/doc/html/elinks.1.html	2008-09-21 12:22:58.000000000 +0100
+++ 0.12~pre4-1/doc/html/elinks.1.html	2009-05-31 10:11:51.000000000 +0100
@@ -3,7 +3,7 @@
 <html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en">
 <head>
 <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
-<meta name="generator" content="AsciiDoc 8.2.2" />
+<meta name="generator" content="AsciiDoc 7.1.2" />
 <style type="text/css">
 /* Debug borders */
 p, li, dt, dd, div, pre, h1, h2, h3, h4, h5, h6 {
@@ -301,65 +301,65 @@ manual is also hosted.</p>
 <p>Most options can be set in the user interface or config file, so usually you
 do not need to care about them. Note that this list is roughly equivalent to
 the output of running ELinks with the option <tt>--long-help</tt>.</p>
-<dl><dt><span id="cmdopt:anonymous">-anonymous</span> [0|1] (default: 0)</dt><dd>Restricts <em>ELinks</em> so it can run on an anonymous account.
-Local file browsing, downloads, and modification of options
-will be disabled. Execution of viewers is allowed, but entries
-in the association table can't be added or modified.
+<dl><dt><span id="cmdopt:anonymous">-anonymous</span> [0|1] (default: 0)</dt><dd>Restricts <em>ELinks</em> so it can run on an anonymous account. Local file
+browsing, downloads, and modification of options will be disabled.
+Execution of viewers is allowed, but entries in the association
+table can't be added or modified.
 </dd><dt><span id="cmdopt:auto-submit">-auto-submit</span> [0|1] (default: 0)</dt><dd>Automatically submit the first form in the given URLs.
-</dd><dt><span id="cmdopt:base-session">-base-session</span> &#60;num&#62; (default: 0)</dt><dd>Used internally when opening <em>ELinks</em> instances in new windows.
-The ID maps to information that will be used when creating the
-new instance. You don't want to use it.
-</dd><dt><span id="cmdopt:config-dir">-config-dir</span> &#60;str&#62; (default: "")</dt><dd>Path of the directory <em>ELinks</em> will read and write its
-config and runtime state files to instead of <tt>~/.elinks</tt>.
-If the path does not begin with a '/' it is assumed to be
-relative to your <tt>HOME</tt> directory.
+</dd><dt><span id="cmdopt:base-session">-base-session</span> &#60;num&#62; (default: 0)</dt><dd>Used internally when opening <em>ELinks</em> instances in new windows. The
+ID maps to information that will be used when creating the new
+instance. You don't want to use it.
+</dd><dt><span id="cmdopt:config-dir">-config-dir</span> &#60;str&#62; (default: "")</dt><dd>Path of the directory <em>ELinks</em> will read and write its config and
+runtime state files to instead of <tt>~/.elinks</tt>. If the path does not
+begin with a '/' it is assumed to be relative to your <tt>HOME</tt>
+directory.
 </dd><dt><span id="cmdopt:config-dump">-config-dump</span></dt><dd>Print a configuration file with options set to the built-in
 defaults to stdout.
-</dd><dt><span id="cmdopt:config-file">-config-file</span> &#60;str&#62; (default: "elinks.conf")</dt><dd>Name of the configuration file that all configuration
-options will be read from and written to. It should be
-relative to <a href="#cmdopt:config-dir">config-dir</a>.
+</dd><dt><span id="cmdopt:config-file">-config-file</span> &#60;str&#62; (default: "elinks.conf")</dt><dd>Name of the configuration file that all configuration options will
+be read from and written to. It should be relative to <a href="#cmdopt:config-dir">config-dir</a>.
 </dd><dt><span id="cmdopt:config-help">-config-help</span></dt><dd>Print help for configuration options and exit.
 </dd><dt><span id="cmdopt:default-mime-type">-default-mime-type</span> (alias for <a href="elinks.conf.5.html#mime.default_type">mime.default_type</a>)</dt><dd>The default MIME type used for documents of unknown type.
-</dd><dt><span id="cmdopt:default-keys">-default-keys</span> [0|1] (default: 0)</dt><dd>When set, all keybindings from configuration files will be
-ignored. It forces use of default keybindings and will reset
-user-defined ones on save.
+</dd><dt><span id="cmdopt:default-keys">-default-keys</span> [0|1] (default: 0)</dt><dd>When set, all keybindings from configuration files will be ignored.
+It forces use of default keybindings and will reset user-defined
+ones on save.
 </dd><dt><span id="cmdopt:dump">-dump</span> [0|1] (default: 0)</dt><dd>Print formatted plain-text versions of given URLs to stdout.
 </dd><dt><span id="cmdopt:dump-charset">-dump-charset</span> (alias for <a href="elinks.conf.5.html#document.dump.codepage">document.dump.codepage</a>)</dt><dd>Codepage used when formatting dump output.
 </dd><dt><span id="cmdopt:dump-color-mode">-dump-color-mode</span> (alias for <a href="elinks.conf.5.html#document.dump.color_mode">document.dump.color_mode</a>)</dt><dd>Color mode used with <a href="#cmdopt:dump">-dump</a>.
 </dd><dt><span id="cmdopt:dump-width">-dump-width</span> (alias for <a href="elinks.conf.5.html#document.dump.width">document.dump.width</a>)</dt><dd>Width of the dump output.
-</dd><dt><span id="cmdopt:eval">-eval</span></dt><dd>Specify configuration file directives on the command-line
-which will be evaluated after all configuration files has been
-read. Example usage:
+</dd><dt><span id="cmdopt:eval">-eval</span></dt><dd>Specify configuration file directives on the command-line which
+will be evaluated after all configuration files has been read.
+Example usage:
 <blockquote><p><kbd>-eval 'set protocol.file.allow_special_files = 1'</kbd></p></blockquote>
-</dd><dt><span id="cmdopt:force-html">-force-html</span></dt><dd>Makes <em>ELinks</em> assume documents of unknown types are HTML.
-Useful when using <em>ELinks</em> as an external viewer from MUAs.
-This is equivalent to <kbd><a href="#cmdopt:default-mime-type">-default-mime-type</a> text/html</kbd>.
+</dd><dt><span id="cmdopt:force-html">-force-html</span></dt><dd>Makes <em>ELinks</em> assume documents of unknown types are HTML. Useful
+when using <em>ELinks</em> as an external viewer from MUAs. This is
+equivalent to <kbd><a href="#cmdopt:default-mime-type">-default-mime-type</a> text/html</kbd>.
 </dd><dt><span id="cmdopt:_63">-?</span>, <span id="cmdopt:h">-h</span>, <span id="cmdopt:help">-help</span></dt><dd>Print usage help and exit.
-</dd><dt><span id="cmdopt:localhost">-localhost</span> [0|1] (default: 0)</dt><dd>Restricts <em>ELinks</em> to work offline and only connect to servers
-with local addresses (ie. 127.0.0.1). No connections to remote
-servers will be permitted.
+</dd><dt><span id="cmdopt:localhost">-localhost</span> [0|1] (default: 0)</dt><dd>Restricts <em>ELinks</em> to work offline and only connect to servers with
+local addresses (ie. 127.0.0.1). No connections to remote servers
+will be permitted.
 </dd><dt><span id="cmdopt:long-help">-long-help</span></dt><dd>Print detailed usage help and exit.
 </dd><dt><span id="cmdopt:lookup">-lookup</span></dt><dd>Look up specified host and print all DNS resolved IP addresses.
 </dd><dt><span id="cmdopt:no-connect">-no-connect</span> [0|1] (default: 0)</dt><dd>Run <em>ELinks</em> as a separate instance instead of connecting to an
 existing instance. Note that normally no runtime state files
-(bookmarks, history, etc.) are written to the disk when this
-option is used. See also <a href="#cmdopt:touch-files">-touch-files</a>.
+(bookmarks, history, etc.) are written to the disk when this option
+is used. See also <a href="#cmdopt:touch-files">-touch-files</a>.
 </dd><dt><span id="cmdopt:no-home">-no-home</span> [0|1] (default: 0)</dt><dd>Disables creation and use of files in the user specific home
-configuration directory (<tt>~/.elinks</tt>). It forces default configuration
-values to be used and disables saving of runtime state files.
+configuration directory (<tt>~/.elinks</tt>). It forces default
+configuration values to be used and disables saving of runtime
+state files.
 </dd><dt><span id="cmdopt:no-numbering">-no-numbering</span> (alias for <a href="elinks.conf.5.html#document.dump.numbering">document.dump.numbering</a>)</dt><dd>Prevents printing of link number in dump output.
-Note that this really affects only <a href="#cmdopt:dump">-dump</a>, nothing else.
-</dd><dt><span id="cmdopt:no-references">-no-references</span> (alias for <a href="elinks.conf.5.html#document.dump.references">document.dump.references</a>)</dt><dd>Prevents printing of references (URIs) of document links
-in dump output.
-Note that this really affects only <a href="#cmdopt:dump">-dump</a>, nothing else.
-</dd><dt><span id="cmdopt:remote">-remote</span></dt><dd>Control a remote <em>ELinks</em> instance by passing commands to it.
-The option takes an additional argument containing the method
-which should be invoked and any parameters that should be passed
-to it. For ease of use, the additional method argument can be
-omitted in which case any URL arguments will be opened in new
-tabs in the remote instance.
-Following is a list of the supported methods:
-<ul><li><kbd>ping()</kbd>: look for a remote instance</li>
+<p>Note that this really affects only <a href="#cmdopt:dump">-dump</a>, nothing else.
+</p></dd><dt><span id="cmdopt:no-references">-no-references</span> (alias for <a href="elinks.conf.5.html#document.dump.references">document.dump.references</a>)</dt><dd>Prevents printing of references (URIs) of document links in dump
+output.
+<p>Note that this really affects only <a href="#cmdopt:dump">-dump</a>, nothing else.
+</p></dd><dt><span id="cmdopt:remote">-remote</span></dt><dd>Control a remote <em>ELinks</em> instance by passing commands to it. The
+option takes an additional argument containing the method which
+should be invoked and any parameters that should be passed to it.
+For ease of use, the additional method argument can be omitted in
+which case any URL arguments will be opened in new tabs in the
+remote instance.
+<p>Following is a list of the supported methods:
+</p><ul><li><kbd>ping()</kbd>: look for a remote instance</li>
 <li><kbd>openURL()</kbd>: prompt URL in current tab</li>
 <li><kbd>openURL(<var>URL</var>)</kbd>: open URL in current tab</li>
 <li><kbd>openURL(<var>URL</var>, new-tab)</kbd>: open URL in new tab</li>
@@ -369,30 +369,31 @@ Following is a list of the supported met
 <li><kbd>xfeDoCommand(openBrowser)</kbd>: open new window</li>
 </ul></dd><dt><span id="cmdopt:session-ring">-session-ring</span> &#60;num&#62; (default: 0)</dt><dd>ID of session ring this <em>ELinks</em> session should connect to. <em>ELinks</em>
 works in so-called session rings, whereby all instances of <em>ELinks</em>
-are interconnected and share state (cache, bookmarks, cookies,
-and so on). By default, all <em>ELinks</em> instances connect to session
-ring 0. You can change that behaviour with this switch and form as
-many session rings as you want. Obviously, if the session-ring with
-this number doesn't exist yet, it's created and this <em>ELinks</em> instance
-will become the master instance (that usually doesn't matter for you
-as a user much). Note that you usually don't want to use this unless
-you're a developer and you want to do some testing - if you want the
-<em>ELinks</em> instances each running standalone, rather use the <a href="#cmdopt:no-connect">-no-connect</a>
+are interconnected and share state (cache, bookmarks, cookies, and
+so on). By default, all <em>ELinks</em> instances connect to session ring 0.
+You can change that behaviour with this switch and form as many
+session rings as you want. Obviously, if the session-ring with this
+number doesn't exist yet, it's created and this <em>ELinks</em> instance
+will become the master instance (that usually doesn't matter for
+you as a user much).
+<p>Note that you usually don't want to use this unless you're a
+developer and you want to do some testing - if you want the <em>ELinks</em>
+instances each running standalone, rather use the <a href="#cmdopt:no-connect">-no-connect</a>
 command-line option. Also note that normally no runtime state files
 are written to the disk when this option is used. See also
 <a href="#cmdopt:touch-files">-touch-files</a>.
-</dd><dt><span id="cmdopt:source">-source</span> [0|1] (default: 0)</dt><dd>Print given URLs in source form to stdout.
+</p></dd><dt><span id="cmdopt:source">-source</span> [0|1] (default: 0)</dt><dd>Print given URLs in source form to stdout.
 </dd><dt><span id="cmdopt:touch-files">-touch-files</span> [0|1] (default: 0)</dt><dd>When enabled, runtime state files (bookmarks, history, etc.) are
 written to disk, even when <a href="#cmdopt:no-connect">-no-connect</a> or <a href="#cmdopt:session-ring">-session-ring</a> is used.
 The option has no effect if not used in conjunction with any of
 these options.
-</dd><dt><span id="cmdopt:verbose">-verbose</span> &#60;num&#62; (default: 1)</dt><dd>The verbose level controls what messages are shown at
-start up and while running:
+</dd><dt><span id="cmdopt:verbose">-verbose</span> &#60;num&#62; (default: 1)</dt><dd>The verbose level controls what messages are shown at start up and
+while running:
 <ul><li>0 means only show serious errors</li>
 <li>1 means show serious errors and warnings</li>
 <li>2 means show all messages</li>
 </ul></dd><dt><span id="cmdopt:version">-version</span></dt><dd>Print <em>ELinks</em> version information and exit.
-</dd></dl><p>Generated using output from ELinks version 0.12pre2.</p>
+</dd></dl><p>Generated using output from ELinks version 0.12pre4.</p>
 </div>
 <h2>ENVIRONMENT VARIABLES</h2>
 <div class="sectionbody">
@@ -622,7 +623,7 @@ was done by Jonas Fonseca <a href="mailt
 </div>
 <div id="footer">
 <div id="footer-text">
-Last updated 21-Sep-2008 14:22:57 EEST
+Last updated 31-May-2009 12:11:50 EEST
 </div>
 </div>
 </body>
diff -pruN 0.12~pre2.dfsg0-1/doc/html/elinks.conf.5.html 0.12~pre4-1/doc/html/elinks.conf.5.html
--- 0.12~pre2.dfsg0-1/doc/html/elinks.conf.5.html	2008-09-21 12:23:01.000000000 +0100
+++ 0.12~pre4-1/doc/html/elinks.conf.5.html	2009-05-31 10:11:54.000000000 +0100
@@ -3,7 +3,7 @@
 <html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en">
 <head>
 <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
-<meta name="generator" content="AsciiDoc 8.2.2" />
+<meta name="generator" content="AsciiDoc 7.1.2" />
 <style type="text/css">
 /* Debug borders */
 p, li, dt, dd, div, pre, h1, h2, h3, h4, h5, h6 {
@@ -325,15 +325,15 @@ set protocol.user.mailto.unix = "mutt %h
 </div>
 <h2>OPTIONS</h2>
 <div class="sectionbody">
-<p>Generated using output from ELinks version 0.12pre2.</p><h3 id="bookmarks">bookmarks (Bookmarks)</h3>
+<p>Generated using output from ELinks version 0.12pre4.</p><h3 id="bookmarks">bookmarks (Bookmarks)</h3>
 <p>Bookmark options.
 </p><dl><dt id="bookmarks.file_format">bookmarks.file_format &#60;num&#62; (default: 0)</dt><dd>File format for bookmarks (affects both reading and saving):
 <ul><li>0 is the default native <em>ELinks</em> format</li>
-<li>1 is XBEL universal XML bookmarks format (<a href="http://bugzilla.elinks.cz/show_bug.cgi?id=153"><em>ELinks</em> bug 153</a>: NO NATIONAL CHARS SUPPORT!)</li>
-</ul></dd><dt id="bookmarks.folder_state">bookmarks.folder_state [0|1] (default: 1)</dt><dd>When saving bookmarks also store whether folders are
-expanded or not, so the look of the bookmark dialog is
-kept across <em>ELinks</em> sessions. If disabled all folders will
-appear unexpanded next time <em>ELinks</em> is run.
+<li>1 is XBEL universal XML bookmarks format</li>
+</ul></dd><dt id="bookmarks.folder_state">bookmarks.folder_state [0|1] (default: 1)</dt><dd>When saving bookmarks also store whether folders are expanded or
+not, so the look of the bookmark dialog is kept across <em>ELinks</em>
+sessions. If disabled all folders will appear unexpanded next time
+<em>ELinks</em> is run.
 </dd></dl><h3 id="config">config (Configuration system)</h3>
 <p>Configuration handling options.
 </p><dl><dt id="config.comments">config.comments &#60;num&#62; (default: 3)</dt><dd>Amount of comments automatically written to the config file:
@@ -341,59 +341,56 @@ appear unexpanded next time <em>ELinks</
 <li>1 is only the "blurb" (name+type) is written</li>
 <li>2 is only the description is written</li>
 <li>3 is full comments are written</li>
-</ul></dd><dt id="config.indentation">config.indentation &#60;num&#62; (default: 2)</dt><dd>Shift width of one indentation level in the configuration
-file. Zero means that no indentation is performed at all
-when saving the configuration.
+</ul></dd><dt id="config.indentation">config.indentation &#60;num&#62; (default: 2)</dt><dd>Shift width of one indentation level in the configuration file.
+Zero means that no indentation is performed at all when saving the
+configuration.
 </dd><dt id="config.saving_style">config.saving_style &#60;num&#62; (default: 3)</dt><dd>Determines what happens when you tell <em>ELinks</em> to save options:
 <ul><li>0 is only values of current options are altered</li>
-<li>1 is values of current options are altered and missing options
-     are added at the end of the file</li>
+<li>1 is values of current options are altered and missing
+     options are added at the end of the file</li>
 <li>2 is the configuration file is rewritten from scratch</li>
-<li>3 is values of current options are altered and missing options
-     CHANGED during this <em>ELinks</em> session are added at the end of
-     the file</li>
-</ul></dd><dt id="config.i18n">config.i18n [0|1] (default: 0)</dt><dd>If set to 1, comments in the configuration file will be
-translated to the language used by UI. Note that if you have
-different language set in different terminals, the language
-used in the configuration file MAY be the same as on the
-terminal where you saved the file, but it should be generally
-considered unpredictable.
+<li>3 is values of current options are altered and missing
+     options CHANGED during this <em>ELinks</em> session are added at
+     the end of the file</li>
+</ul></dd><dt id="config.i18n">config.i18n [0|1] (default: 0)</dt><dd>If set to 1, comments in the configuration file will be translated
+to the language used by UI. Note that if you have different
+language set in different terminals, the language used in the
+configuration file MAY be the same as on the terminal where you
+saved the file, but it should be generally considered
+unpredictable.
 </dd><dt id="config.saving_style_w">config.saving_style_w [0|1] (default: 0)</dt><dd>This is internal option used when displaying a warning about
 obsolete config.saving_style. You shouldn't touch it.
-</dd><dt id="config.show_template">config.show_template [0|1] (default: 0)</dt><dd>Show template options in autocreated trees in the options
-manager and save them to the configuration file.
+</dd><dt id="config.show_template">config.show_template [0|1] (default: 0)</dt><dd>Show template options in autocreated trees in the options manager
+and save them to the configuration file.
 </dd></dl><h3 id="connection">connection (Connections)</h3>
 <p>Connection options.
 </p><dl><dt id="connection.async_dns">connection.async_dns [0|1] (default: 1)</dt><dd>Whether to use asynchronous DNS resolving.
 </dd><dt id="connection.max_connections">connection.max_connections &#60;num&#62; (default: 10)</dt><dd>Maximum number of concurrent connections.
 </dd><dt id="connection.max_connections_to_host">connection.max_connections_to_host &#60;num&#62; (default: 2)</dt><dd>Maximum number of concurrent connections to a given host.
 </dd><dt id="connection.receive_timeout">connection.receive_timeout &#60;num&#62; (default: 120)</dt><dd>Receive timeout (in seconds).
-</dd><dt id="connection.retries">connection.retries &#60;num&#62; (default: 3)</dt><dd>Number of tries to establish a connection.
-Zero means try forever.
-</dd><dt id="connection.try_ipv4">connection.try_ipv4 [0|1] (default: 1)</dt><dd>Whether to try to connect to a host over IPv4.
-Note that if <a href="#connection.try_ipv6">connection.try_ipv6</a> is enabled too,
-it takes precedence. And better do not touch this
-at all unless you are sure what are you doing.
-Note that you can also force a given protocol
-to be used on a per-connection basis by using a URL
-in the style of e.g. <a href="http4://elinks.cz/">http4://elinks.cz/</a>.
-</dd><dt id="connection.try_ipv6">connection.try_ipv6 [0|1] (default: 1)</dt><dd>Whether to try to connect to a host over IPv6.
-Note that you can also force a given protocol
-to be used on a per-connection basis by using a URL
-in the style of e.g. <a href="http6://elinks.cz/">http6://elinks.cz/</a>.
-</dd><dt id="connection.unrestartable_receive_timeout">connection.unrestartable_receive_timeout &#60;num&#62; (default: 600)</dt><dd>Timeout for non-restartable connections (in seconds).
+</dd><dt id="connection.retries">connection.retries &#60;num&#62; (default: 3)</dt><dd>Number of tries to establish a connection. Zero means try forever.
+</dd><dt id="connection.try_ipv4">connection.try_ipv4 [0|1] (default: 1)</dt><dd>Whether to try to connect to a host over IPv4. Note that if
+<a href="#connection.try_ipv6">connection.try_ipv6</a> is enabled too, it takes precedence. And better
+do not touch this at all unless you are sure what are you doing.
+<p>Note that you can also force a given protocol to be used on a
+per-connection basis by using a URL in the style of e.g.
+<a href="http4://elinks.cz/">http4://elinks.cz/</a>.
+</p></dd><dt id="connection.try_ipv6">connection.try_ipv6 [0|1] (default: 1)</dt><dd>Whether to try to connect to a host over IPv6.
+<p>Note that you can also force a given protocol to be used on a
+per-connection basis by using a URL in the style of e.g.
+<a href="http6://elinks.cz/">http6://elinks.cz/</a>.
+</p></dd><dt id="connection.unrestartable_receive_timeout">connection.unrestartable_receive_timeout &#60;num&#62; (default: 600)</dt><dd>Timeout for non-restartable connections (in seconds).
 </dd></dl><h3 id="connection.ssl">connection.ssl (SSL)</h3>
 <p>SSL options.
-</p><dl><dt id="connection.ssl.cert_verify">connection.ssl.cert_verify [0|1] (default: 0)</dt><dd>Verify the peer's SSL certificate. Note that this
-needs extensive configuration of OpenSSL by the user.
+</p><dl><dt id="connection.ssl.cert_verify">connection.ssl.cert_verify [0|1] (default: 0)</dt><dd>Verify the peer's SSL certificate. Note that this needs extensive
+configuration of OpenSSL by the user.
 </dd></dl><h3 id="connection.ssl.client_cert">connection.ssl.client_cert (Client Certificates)</h3>
 <p>X509 client certificate options.
-</p><dl><dt id="connection.ssl.client_cert.enable">connection.ssl.client_cert.enable [0|1] (default: 0)</dt><dd>Enable or not the sending of X509 client certificates
-to servers which request them.
-</dd><dt id="connection.ssl.client_cert.file">connection.ssl.client_cert.file &#60;str&#62; (default: "")</dt><dd>The location of a file containing the client certificate
-and unencrypted private key in PEM format. If unset, the
-file pointed to by the <tt>X509_CLIENT_CERT</tt> variable is used
-instead.
+</p><dl><dt id="connection.ssl.client_cert.enable">connection.ssl.client_cert.enable [0|1] (default: 0)</dt><dd>Enable or not the sending of X509 client certificates to servers
+which request them.
+</dd><dt id="connection.ssl.client_cert.file">connection.ssl.client_cert.file &#60;str&#62; (default: "")</dt><dd>The location of a file containing the client certificate and
+unencrypted private key in PEM format. If unset, the file pointed
+to by the <tt>X509_CLIENT_CERT</tt> variable is used instead.
 </dd></dl><h3 id="cookies">cookies (Cookies)</h3>
 <p>Cookies options.
 </p><dl><dt id="cookies.accept_policy">cookies.accept_policy &#60;num&#62; (default: 2)</dt><dd>Cookies accepting policy:
@@ -402,15 +399,16 @@ instead.
 <li>2 is accept all cookies</li>
 </ul></dd><dt id="cookies.max_age">cookies.max_age &#60;num&#62; (default: -1)</dt><dd>Cookie maximum age (in days):
 <ul><li>-1 is use cookie's expiration date if any</li>
-<li>0  is force expiration at the end of session, ignoring cookie's
-   expiration date</li>
-<li>1+ is use cookie's expiration date, but limit age to the given
-   number of days</li>
+<li>0  is force expiration at the end of session, ignoring
+   cookie's expiration date</li>
+<li>1+ is use cookie's expiration date, but limit age to the
+   given number of days</li>
 </ul></dd><dt id="cookies.paranoid_security">cookies.paranoid_security [0|1] (default: 0)</dt><dd>When enabled, we'll require three dots in cookies domain for all
-non-international domains (instead of just two dots). Some countries
-have generic second level domains (eg. .com.pl, .co.uk) and allowing
-sites to set cookies for these generic domains could potentially be
-very bad. Note, it is off by default as it breaks a lot of sites.
+non-international domains (instead of just two dots). Some
+countries have generic second level domains (eg. .com.pl, .co.uk)
+and allowing sites to set cookies for these generic domains could
+potentially be very bad. Note, it is off by default as it breaks a
+lot of sites.
 </dd><dt id="cookies.save">cookies.save [0|1] (default: 1)</dt><dd>Whether cookies should be loaded from and saved to disk.
 </dd><dt id="cookies.resave">cookies.resave [0|1] (default: 1)</dt><dd>Save cookies after each change in cookies list? No effect when
 cookie saving (<a href="#cookies.save">cookies.save</a>) is off.
@@ -423,30 +421,32 @@ cookie saving (<a href="#cookies.save">c
 refresh' tags). Web-page authors use these to instruct the browser
 to reload a document at a given interval or to load another page.
 Regardless of the value the refresh URI is accessible as a link.
-Use the <a href="#document.browse.minimum_refresh_time">document.browse.minimum_refresh_time</a> to control the minimum
+<p>Use the <a href="#document.browse.minimum_refresh_time">document.browse.minimum_refresh_time</a> to control the minimum
 number of seconds a refresh will wait.
-</dd><dt id="document.browse.minimum_refresh_time">document.browse.minimum_refresh_time &#60;num&#62; (default: 1000)</dt><dd>The minimum number of milliseconds that should pass before
+</p></dd><dt id="document.browse.minimum_refresh_time">document.browse.minimum_refresh_time &#60;num&#62; (default: 1000)</dt><dd>The minimum number of milliseconds that should pass before
 refreshing. If set to zero the document refresh time is used
-unchanged. It can fix going back in history for some sites that
-use refreshing with zero values.
+unchanged. It can fix going back in history for some sites that use
+refreshing with zero values.
 </dd><dt id="document.browse.table_move_order">document.browse.table_move_order [0|1] (default: 0)</dt><dd>Move by columns in table, instead of rows.
 </dd></dl><h3 id="document.browse.accesskey">document.browse.accesskey (Access keys)</h3>
-<p>Options for handling of link access keys.
-An HTML document can use the <code>ACCESSKEY</code> attribute to assign
-an access key to an element. When an access key is pressed,
-the corresponding element will be given focus.
+<p>Options for handling of link access keys. An HTML document can use
+the <code>ACCESSKEY</code> attribute to assign an access key to an element. When
+an access key is pressed, the corresponding element will be given
+focus.
 </p><dl><dt id="document.browse.accesskey.auto_follow">document.browse.accesskey.auto_follow [0|1] (default: 0)</dt><dd>Automatically follow a link or submit a form if appropriate
 accesskey is pressed &#8211; this is the standard behaviour, but it's
 considered dangerous.
 </dd><dt id="document.browse.accesskey.display">document.browse.accesskey.display [0|1] (default: 0)</dt><dd>Display access key in link info.
 </dd><dt id="document.browse.accesskey.priority">document.browse.accesskey.priority &#60;num&#62; (default: 0)</dt><dd>Priority of 'accesskey' HTML attribute:
-<ul><li>0 is first try all normal bindings; if it fails, check accesskey</li>
-<li>1 is first try only frame bindings; if it fails, check accesskey</li>
+<ul><li>0 is first try all normal bindings; if it fails,
+     check accesskey</li>
+<li>1 is first try only frame bindings; if it fails,
+     check accesskey</li>
 <li>2 is first check accesskey (this can be dangerous)</li>
 </ul></dd></dl><h3 id="document.browse.forms">document.browse.forms (Forms)</h3>
 <p>Options for handling of the forms interaction.
-</p><dl><dt id="document.browse.forms.auto_submit">document.browse.forms.auto_submit [0|1] (default: 1)</dt><dd>Automagically submit a form when enter is pressed with a text
-field selected.
+</p><dl><dt id="document.browse.forms.auto_submit">document.browse.forms.auto_submit [0|1] (default: 1)</dt><dd>Automagically submit a form when enter is pressed with a text field
+selected.
 </dd><dt id="document.browse.forms.confirm_submit">document.browse.forms.confirm_submit [0|1] (default: 1)</dt><dd>Ask for confirmation when submitting a form.
 </dd><dt id="document.browse.forms.input_size">document.browse.forms.input_size &#60;num&#62; (default: 20)</dt><dd>Default form input size if none is specified.
 </dd><dt id="document.browse.forms.insert_mode">document.browse.forms.insert_mode [0|1] (default: 1)</dt><dd>The setting for this option affects how key presses are handled
@@ -457,23 +457,25 @@ key, when it is inadvertently selected. 
 are always inserted into a selected text field.
 </dd><dt id="document.browse.forms.editor">document.browse.forms.editor &#60;str&#62; (default: "")</dt><dd>Path to the executable that <em>ELinks</em> should launch when the user
 requests to edit a textarea with an external editor.
-If this is blank, <em>ELinks</em> will use the value of the environmental
+<p>If this is blank, <em>ELinks</em> will use the value of the environmental
 variable <tt>$EDITOR</tt>. If <tt>$EDITOR</tt> is empty or not set, <em>ELinks</em> will then
 default to <kbd>vi</kbd>.
-</dd><dt id="document.browse.forms.show_formhist">document.browse.forms.show_formhist [0|1] (default: 0)</dt><dd>Ask if a login form should be saved to file or not.
-This option only disables the dialog, already saved login
-forms are unaffected.
+</p></dd><dt id="document.browse.forms.show_formhist">document.browse.forms.show_formhist [0|1] (default: 0)</dt><dd>Ask if a login form should be saved to file or not. This option
+only disables the dialog, already saved login forms are unaffected.
 </dd></dl><h3 id="document.browse.images">document.browse.images (Images)</h3>
 <p>Options for handling of images.
 </p><dl><dt id="document.browse.images.display_style">document.browse.images.display_style &#60;num&#62; (default: 2)</dt><dd>Display style for image tags when displayed:
 <ul><li>0     means always display <code>IMG</code></li>
 <li>1     means always display filename</li>
-<li>2     means display <code>alt</code>/<code>title</code> attribute if possible, <code>IMG</code> if not</li>
-<li>3     means display <code>alt</code>/<code>title</code> attribute if possible, filename if not</li>
+<li>2     means display <code>alt</code>/<code>title</code> attribute if possible,
+      <code>IMG</code> if not</li>
+<li>3     means display <code>alt</code>/<code>title</code> attribute if possible,
+      filename if not</li>
 </ul></dd><dt id="document.browse.images.filename_maxlen">document.browse.images.filename_maxlen &#60;num&#62; (default: 0)</dt><dd>Maximum length of image filename when displayed:
 <ul><li>0     means always display full filename</li>
 <li>1-500 means display filename with this maximal length;
-      if it is longer, the middle is substituted by an asterisk</li>
+      if it is longer, the middle is substituted by
+      an asterisk</li>
 </ul></dd><dt id="document.browse.images.image_link_tagging">document.browse.images.image_link_tagging &#60;num&#62; (default: 1)</dt><dd>When to enclose image links:
 <ul><li>0 means never</li>
 <li>1 means never if alt or title are provided (old behavior)</li>
@@ -483,13 +485,14 @@ forms are unaffected.
 </dd><dt id="document.browse.images.label_maxlen">document.browse.images.label_maxlen &#60;num&#62; (default: 0)</dt><dd>Maximum length of image label (<code>alt</code>/<code>title</code>):
 <ul><li>0     means always display full label</li>
 <li>1-500 means display label with this maximal length;
-      if it is longer, the middle is substituted by an asterisk</li>
-</ul></dd><dt id="document.browse.images.show_as_links">document.browse.images.show_as_links [0|1] (default: 0)</dt><dd>Display links to images without an <code>alt</code> attribute. If this option
-is off, these images are completely invisible.
+      if it is longer, the middle is substituted by
+      an asterisk</li>
+</ul></dd><dt id="document.browse.images.show_as_links">document.browse.images.show_as_links [0|1] (default: 0)</dt><dd>Display links to images without an <code>alt</code> attribute. If this option is
+off, these images are completely invisible.
 </dd><dt id="document.browse.images.show_any_as_links">document.browse.images.show_any_as_links [0|1] (default: 1)</dt><dd>Display links to any images in the document, regardless of them
 having an <code>alt</code> attribute or not. If this option is off, the alt
-attribute contents is shown, but as normal text, not selectable
-as a link.
+attribute contents is shown, but as normal text, not selectable as
+a link.
 </dd></dl><h3 id="document.browse.links">document.browse.links (Links)</h3>
 <p>Options for handling of links to other documents.
 </p><dl><dt id="document.browse.links.color_dirs">document.browse.links.color_dirs [0|1] (default: 1)</dt><dd>Highlight links to directories in FTP and local directory listing.
@@ -499,25 +502,25 @@ as a link.
 <li>1 means open link in new tab in foreground</li>
 <li>2 means open link in new tab in background</li>
 <li>3 means open link in new window</li>
-</ul></dd><dt id="document.browse.links.use_tabindex">document.browse.links.use_tabindex [0|1] (default: 1)</dt><dd>Whether to navigate links using tabindex specified ordering.
-The <code>TABINDEX</code> attribute in HTML elements specifies the order
-in which links should receive focus when using the keyboard
-to navigate the document.
+</ul></dd><dt id="document.browse.links.use_tabindex">document.browse.links.use_tabindex [0|1] (default: 1)</dt><dd>Whether to navigate links using tabindex specified ordering. The
+<code>TABINDEX</code> attribute in HTML elements specifies the order in which
+links should receive focus when using the keyboard to navigate the
+document.
 </dd><dt id="document.browse.links.missing_fragment">document.browse.links.missing_fragment [0|1] (default: 1)</dt><dd>Open a message box when document has no tag with given id.
 </dd><dt id="document.browse.links.number_keys_select_link">document.browse.links.number_keys_select_link &#60;num&#62; (default: 1)</dt><dd>Number keys select links rather than specify command prefixes. This
 is a tristate:
 <ul><li>0 means never</li>
 <li>1 means if document.browse.links.numbering = 1</li>
 <li>2 means always</li>
-</ul></dd><dt id="document.browse.links.warn_malicious">document.browse.links.warn_malicious [0|1] (default: 1)</dt><dd>When following a link the user ID part of the URI is
-checked and if a maliciously crafted URI is detected a
-warning dialog will ask before following the link.
+</ul></dd><dt id="document.browse.links.warn_malicious">document.browse.links.warn_malicious [0|1] (default: 1)</dt><dd>When following a link the user ID part of the URI is checked and if
+a maliciously crafted URI is detected a warning dialog will ask
+before following the link.
 </dd><dt id="document.browse.links.wraparound">document.browse.links.wraparound [0|1] (default: 0)</dt><dd>When pressing 'down' on the last link, jump to the first one, and
 vice versa.
 </dd></dl><h3 id="document.browse.links.active_link">document.browse.links.active_link (Active link)</h3>
 <p>Options for the active link.
-</p><dl><dt id="document.browse.links.active_link.enable_color">document.browse.links.active_link.enable_color [0|1] (default: 0)</dt><dd>Enable use of the active link background and text color
-settings instead of the link colors from the document.
+</p><dl><dt id="document.browse.links.active_link.enable_color">document.browse.links.active_link.enable_color [0|1] (default: 0)</dt><dd>Enable use of the active link background and text color settings
+instead of the link colors from the document.
 </dd><dt id="document.browse.links.active_link.bold">document.browse.links.active_link.bold [0|1] (default: 0)</dt><dd>Make the active link text bold.
 </dd><dt id="document.browse.links.active_link.invert">document.browse.links.active_link.invert [0|1] (default: 1)</dt><dd>Invert the fore- and background color so the link stands out.
 </dd><dt id="document.browse.links.active_link.underline">document.browse.links.active_link.underline [0|1] (default: 0)</dt><dd>Underline the active link.
@@ -527,15 +530,14 @@ settings instead of the link colors from
 </dd><dt id="document.browse.links.active_link.colors.text">document.browse.links.active_link.colors.text &#60;color|#rrggbb&#62; (default: black)</dt><dd>Default text color.
 </dd></dl><h3 id="document.browse.scrolling">document.browse.scrolling (Scrolling)</h3>
 <p>Scrolling options.
-</p><dl><dt id="document.browse.scrolling.horizontal_extended">document.browse.scrolling.horizontal_extended [0|1] (default: 1)</dt><dd>Whether to allow horizontal scrolling when the document
-does not extend off the screen. Useful for copy/paste
-operations.
-</dd><dt id="document.browse.scrolling.horizontal_step">document.browse.scrolling.horizontal_step &#60;num&#62; (default: 8)</dt><dd>Number of columns to scroll when a key bound to scroll-left or scroll-
-right is pressed and no prefix was given.
+</p><dl><dt id="document.browse.scrolling.horizontal_extended">document.browse.scrolling.horizontal_extended [0|1] (default: 1)</dt><dd>Whether to allow horizontal scrolling when the document does not
+extend off the screen. Useful for copy/paste operations.
+</dd><dt id="document.browse.scrolling.horizontal_step">document.browse.scrolling.horizontal_step &#60;num&#62; (default: 8)</dt><dd>Number of columns to scroll when a key bound to scroll-left or
+scroll-right is pressed and no prefix was given.
 </dd><dt id="document.browse.scrolling.margin">document.browse.scrolling.margin &#60;num&#62; (default: 3)</dt><dd>Size of the virtual margin &#8211; when you click inside of that margin,
 document scrolls in that direction.
-</dd><dt id="document.browse.scrolling.vertical_step">document.browse.scrolling.vertical_step &#60;num&#62; (default: 2)</dt><dd>Number of lines to scroll when a key bound to scroll-up or scroll-
-down is pressed and no prefix was given.
+</dd><dt id="document.browse.scrolling.vertical_step">document.browse.scrolling.vertical_step &#60;num&#62; (default: 2)</dt><dd>Number of lines to scroll when a key bound to scroll-up or
+scroll-down is pressed and no prefix was given.
 </dd></dl><h3 id="document.browse.search">document.browse.search (Searching)</h3>
 <p>Options for searching.
 </p><dl><dt id="document.browse.search.case">document.browse.search.case [0|1] (default: 0)</dt><dd>Whether the search should match the document text while maintaining
@@ -544,8 +546,8 @@ case sensitivity.
 <ul><li>0 for plain text searching</li>
 <li>1 for basic regular expression searches</li>
 <li>2 for extended regular expression searches</li>
-</ul></dd><dt id="document.browse.search.show_hit_top_bottom">document.browse.search.show_hit_top_bottom [0|1] (default: 1)</dt><dd>Whether to show a dialog when the search hits the top or bottom of the
-document.
+</ul></dd><dt id="document.browse.search.show_hit_top_bottom">document.browse.search.show_hit_top_bottom [0|1] (default: 1)</dt><dd>Whether to show a dialog when the search hits the top or bottom of
+the document.
 </dd><dt id="document.browse.search.wraparound">document.browse.search.wraparound [0|1] (default: 1)</dt><dd>Wrap around when searching. Currently only used for typeahead.
 </dd><dt id="document.browse.search.show_not_found">document.browse.search.show_not_found &#60;num&#62; (default: 2)</dt><dd>How to inform the user when nothing is matched:
 <ul><li>0 means do nothing</li>
@@ -554,31 +556,33 @@ document.
 </ul></dd><dt id="document.browse.search.typeahead">document.browse.search.typeahead &#60;num&#62; (default: 0)</dt><dd>Start typeahead searching when an unbound key is pressed without
 any modifiers. Note that most keys have default bindings, so this
 feature will not be useful unless you unbind them.
-<ul><li>0 disables this feature; typeahead searching will only be used
-  when you press a key bound to search-typeahead or similar</li>
+<ul><li>0 disables this feature; typeahead searching will only be
+  used when you press a key bound to search-typeahead or
+  similar</li>
 <li>1 automatically starts typeahead searching thru link text</li>
-<li>2 automatically starts typeahead searching thru all document text</li>
+<li>2 automatically starts typeahead searching thru all document
+  text</li>
 </ul></dd></dl><h3 id="document.cache">document.cache (Cache)</h3>
 <p>Cache options.
 </p><dl><dt id="document.cache.cache_redirects">document.cache.cache_redirects [0|1] (default: 0)</dt><dd>Cache even redirects sent by server (usually thru HTTP by a 302
 HTTP code and a Location header). This was the original behaviour
 for quite some time, but it causes problems in a situation very
-common to various web login systems &#8211; frequently, when accessing
-a certain location, they will redirect you to a login page if they
+common to various web login systems &#8211; frequently, when accessing a
+certain location, they will redirect you to a login page if they
 don't receive an auth cookie, the login page then gives you the
 cookie and redirects you back to the original page, but there you
-have already cached redirect back to the login page! If this
-option has value of 0, this malfunction is fixed, but occasionally
-you may get superfluous (depends on how you take it ;-) requests to
-the server. If this option has value of 1, experienced users can
-still workaround it by clever combination of usage of reload,
-jumping around in session history and hitting ctrl+enter.
-Note that this option is checked when retrieving the information
-from cache, not when saving it to cache &#8211; thus if you enable
-it, even previous redirects will be taken from cache instead of
-asking the server.
-</dd><dt id="document.cache.ignore_cache_control">document.cache.ignore_cache_control [0|1] (default: 1)</dt><dd>Ignore Cache-Control and Pragma server headers.
-When set, the document is cached even with 'Cache-Control: no-cache'.
+have already cached redirect back to the login page! If this option
+has value of 0, this malfunction is fixed, but occasionally you may
+get superfluous (depends on how you take it ;-) requests to the
+server. If this option has value of 1, experienced users can still
+workaround it by clever combination of usage of reload, jumping
+around in session history and hitting ctrl+enter.
+<p>Note that this option is checked when retrieving the information
+from cache, not when saving it to cache &#8211; thus if you enable it,
+even previous redirects will be taken from cache instead of asking
+the server.
+</p></dd><dt id="document.cache.ignore_cache_control">document.cache.ignore_cache_control [0|1] (default: 1)</dt><dd>Ignore Cache-Control and Pragma server headers. When set, the
+document is cached even with 'Cache-Control: no-cache'.
 </dd><dt id="document.cache.revalidation_interval">document.cache.revalidation_interval &#60;num&#62; (default: -1)</dt><dd>Period in seconds that a cache entry is considered to be
 up-to-date. When a document is loaded and this interval has elapsed
 since the document was initially loaded or most recently
@@ -587,26 +591,26 @@ there is a more up-to-date version of th
 <p>A value of -1 disables automatic revalidation.
 </p></dd></dl><h3 id="document.cache.format">document.cache.format (Formatted documents)</h3>
 <p>Format cache options.
-</p><dl><dt id="document.cache.format.size">document.cache.format.size &#60;num&#62; (default: 5)</dt><dd>Number of cached formatted pages. Do not get too generous
-here, 'formatted' means that all the accompanying structures
-are kept in memory so that you get the cached document
-immediatelly, but these structures may take a lot &#8211; 2x the
-size of the HTML source is probably not unusual, but it can
-be even more if the document consists of a lot of short lines
-(padded right, if possible) and links and not much other markup.
-So if you set this to 256 and then you don't like your <em>ELinks</em>
-eating 90M, don't come complaining to us. ;-)
-Also note that the format cache itself is not counted to the
-memory cache size, but the HTML source of the formatted documents
-is always cached, even if it is over the memory cache size
-threshold. (Then of course no other documents can be cached.)
-</dd></dl><h3 id="document.cache.memory">document.cache.memory (Memory cache)</h3>
+</p><dl><dt id="document.cache.format.size">document.cache.format.size &#60;num&#62; (default: 5)</dt><dd>Number of cached formatted pages. Do not get too generous here,
+'formatted' means that all the accompanying structures are kept in
+memory so that you get the cached document immediatelly, but these
+structures may take a lot &#8211; 2x the size of the HTML source is
+probably not unusual, but it can be even more if the document
+consists of a lot of short lines (padded right, if possible) and
+links and not much other markup. So if you set this to 256 and then
+you don't like your <em>ELinks</em> eating 90M, don't come complaining to
+us. ;-)
+<p>Also note that the format cache itself is not counted to the memory
+cache size, but the HTML source of the formatted documents is
+always cached, even if it is over the memory cache size threshold.
+(Then of course no other documents can be cached.)
+</p></dd></dl><h3 id="document.cache.memory">document.cache.memory (Memory cache)</h3>
 <p>Memory cache options.
 </p><dl><dt id="document.cache.memory.size">document.cache.memory.size &#60;num&#62; (default: 1048576)</dt><dd>Memory cache size (in bytes).
 </dd></dl><h3 id="document.codepage">document.codepage (Charset)</h3>
 <p>Charset options.
-</p><dl><dt id="document.codepage.assume">document.codepage.assume &#60;codepage&#62; (default: System)</dt><dd>Default document codepage. 'System' stands for
-a codepage determined by a selected locale.
+</p><dl><dt id="document.codepage.assume">document.codepage.assume &#60;codepage&#62; (default: System)</dt><dd>Default document codepage. 'System' stands for a codepage
+determined by a selected locale.
 </dd><dt id="document.codepage.force_assumed">document.codepage.force_assumed [0|1] (default: 0)</dt><dd>Ignore charset info sent by server.
 </dd></dl><h3 id="document.colors">document.colors (Default color settings)</h3>
 <p>Default document color settings.
@@ -617,11 +621,11 @@ a codepage determined by a selected loca
 </dd><dt id="document.colors.image">document.colors.image &#60;color|#rrggbb&#62; (default: darkolivegreen)</dt><dd>Default image link color.
 </dd><dt id="document.colors.bookmark">document.colors.bookmark &#60;color|#rrggbb&#62; (default: hotpink)</dt><dd>Default bookmarked link color.
 </dd><dt id="document.colors.dirs">document.colors.dirs &#60;color|#rrggbb&#62; (default: yellow)</dt><dd>Default directory color.
-See <a href="#document.browse.links.color_dirs">document.browse.links.color_dirs</a> option.
-</dd><dt id="document.colors.increase_contrast">document.colors.increase_contrast [0|1] (default: 1)</dt><dd>Increase the contrast between the foreground and background colors
+<p>See <a href="#document.browse.links.color_dirs">document.browse.links.color_dirs</a> option.
+</p></dd><dt id="document.colors.increase_contrast">document.colors.increase_contrast [0|1] (default: 1)</dt><dd>Increase the contrast between the foreground and background colors
 to ensure readability. For example it disallows dark colors on a
-black background. Note, this is different from ensuring the contrast
-with the ensure_contrast option.
+black background. Note, this is different from ensuring the
+contrast with the ensure_contrast option.
 </dd><dt id="document.colors.ensure_contrast">document.colors.ensure_contrast [0|1] (default: 1)</dt><dd>Makes sure that the back- and foreground colors are never equal.
 </dd><dt id="document.colors.use_document_colors">document.colors.use_document_colors &#60;num&#62; (default: 2)</dt><dd>Use colors specified in document:
 <ul><li>0 is use always the default settings</li>
@@ -636,16 +640,16 @@ with the ensure_contrast option.
 </dd><dt id="document.css.import">document.css.import [0|1] (default: 1)</dt><dd>When enabled any external style sheets that are imported from
 either CSS itself using the @import keyword or from the HTML using
 &#60;link&#62; tags in the document header will also be downloaded.
-</dd><dt id="document.css.stylesheet">document.css.stylesheet &#60;str&#62; (default: "")</dt><dd>The path to the file containing the default user defined
-Cascading Style Sheet. It can be used to control the basic
-layout of HTML documents. The path is assumed to be relative
-to <em>ELinks</em>' home directory.
-Leave as "" to use built-in document styling.
-</dd></dl><h3 id="document.download">document.download (Downloading)</h3>
+</dd><dt id="document.css.stylesheet">document.css.stylesheet &#60;str&#62; (default: "")</dt><dd>The path to the file containing the default user defined Cascading
+Style Sheet. It can be used to control the basic layout of HTML
+documents. The path is assumed to be relative to <em>ELinks</em>' home
+directory.
+<p>Leave as "" to use built-in document styling.
+</p></dd></dl><h3 id="document.download">document.download (Downloading)</h3>
 <p>Options regarding files downloading and handling.
 </p><dl><dt id="document.download.directory">document.download.directory &#60;str&#62; (default: "./")</dt><dd>Default download directory.
-</dd><dt id="document.download.set_original_time">document.download.set_original_time [0|1] (default: 0)</dt><dd>Set the timestamp of each downloaded file to the timestamp
-stored on the server.
+</dd><dt id="document.download.set_original_time">document.download.set_original_time [0|1] (default: 0)</dt><dd>Set the timestamp of each downloaded file to the timestamp stored
+on the server.
 </dd><dt id="document.download.overwrite">document.download.overwrite &#60;num&#62; (default: 2)</dt><dd>Prevent overwriting the local files:
 <ul><li>0 is files will silently be overwritten</li>
 <li>1 is add a suffix .{number} (for example '.1') to the name</li>
@@ -656,12 +660,15 @@ stored on the server.
 <li>2 is always</li>
 </ul></dd></dl><h3 id="document.dump">document.dump (Dump output)</h3>
 <p>Dump output options.
-</p><dl><dt id="document.dump.codepage">document.dump.codepage &#60;codepage&#62; (default: System)</dt><dd>Codepage used in dump output. 'System' stands for
-a codepage determined by a selected locale.
+</p><dl><dt id="document.dump.codepage">document.dump.codepage &#60;codepage&#62; (default: System)</dt><dd>Codepage used in dump output. 'System' stands for a codepage
+determined by a selected locale.
 </dd><dt id="document.dump.color_mode">document.dump.color_mode &#60;num&#62; (default: -1)</dt><dd>Color mode for dumps.
-Some modes may have been disabled at compile time. The <em>Setup &#8594; Terminal options</em> dialog lists the modes supported by this executable. If you select an unsupported mode, <em>ELinks</em> uses 16 colors.
-The color modes are:
-<ul><li>-1 is standard dump mode</li>
+<p>Some modes may have been disabled at compile time. The Setup -&#62;
+Terminal options dialog lists the modes supported by this
+executable. If you select an unsupported mode, <em>ELinks</em> uses 16
+colors.
+</p><p>The color modes are:
+</p><ul><li>-1 is standard dump mode</li>
 <li>0 is mono mode</li>
 <li>1 is 16 color mode</li>
 <li>2 is 88 color mode</li>
@@ -670,8 +677,8 @@ The color modes are:
 </ul></dd><dt id="document.dump.footer">document.dump.footer &#60;str&#62; (default: "")</dt><dd>Footer string used in dumps. %u is substituted by URL.
 </dd><dt id="document.dump.header">document.dump.header &#60;str&#62; (default: "")</dt><dd>Header string used in dumps. %u is substituted by URL.
 </dd><dt id="document.dump.numbering">document.dump.numbering [0|1] (default: 1)</dt><dd>Whether to print link numbers in dump output.
-</dd><dt id="document.dump.references">document.dump.references [0|1] (default: 1)</dt><dd>Whether to print references (URIs) of document links
-in dump output.
+</dd><dt id="document.dump.references">document.dump.references [0|1] (default: 1)</dt><dd>Whether to print references (URIs) of document links in dump
+output.
 </dd><dt id="document.dump.separator">document.dump.separator &#60;str&#62; (default: "
 
 ")</dt><dd>String which separates two dumps.
@@ -700,26 +707,25 @@ in dump output.
 <li>4 is type in addition</li>
 <li>5 is everything</li>
 </ul></dd><dt id="document.html.underline_links">document.html.underline_links [0|1] (default: 0)</dt><dd>Underline links.
-</dd><dt id="document.html.wrap_nbsp">document.html.wrap_nbsp [0|1] (default: 0)</dt><dd>If set do not honour non breaking space (the nbsp entity)
-but allow to wrap the text. This can help keeping the width
-of documents down so no horizontal scrolling is needed.
+</dd><dt id="document.html.wrap_nbsp">document.html.wrap_nbsp [0|1] (default: 0)</dt><dd>If set do not honour non breaking space (the nbsp entity) but allow
+to wrap the text. This can help keeping the width of documents down
+so no horizontal scrolling is needed.
 </dd></dl><h3 id="document.plain">document.plain (Plain rendering)</h3>
 <p>Options concerning the display of plain text pages.
 </p><dl><dt id="document.plain.display_links">document.plain.display_links [0|1] (default: 0)</dt><dd>Display URIs in the document as links.
 </dd><dt id="document.plain.compress_empty_lines">document.plain.compress_empty_lines [0|1] (default: 0)</dt><dd>Compress successive empty lines to only one in displayed text.
 </dd></dl><h3 id="document.uri_passing">document.uri_passing (URI passing)</h3>
-<p>Rules for passing URIs to external commands. When one rule
-is defined the link and tab menu will have a menu item that
-makes it possible to pass the the link, frame or tab URI to
-an external command. If several rules are defined the link and
-tab menu will have a submenu of items for each rule. Note, this
-is mostly useful for launching graphical viewers, since there
-is no support for releasing the terminal while the command runs.
-The action and submenus are also available by binding keys to
-the frame-external-command, the link-external-command, and
-the tab-external-command actions.
-</p><dl><dt id="document.uri_passing._template_">document.uri_passing._template_ &#60;str&#62; (default: "")</dt><dd>A rule for passing URI to an external command.
-The format is:
+<p>Rules for passing URIs to external commands. When one rule is
+defined the link and tab menu will have a menu item that makes it
+possible to pass the the link, frame or tab URI to an external
+command. If several rules are defined the link and tab menu will
+have a submenu of items for each rule.
+</p><p>Note, this is mostly useful for launching graphical viewers, since
+there is no support for releasing the terminal while the command
+runs. The action and submenus are also available by binding keys to
+the frame-external-command, the link-external-command, and the
+tab-external-command actions.
+</p><dl><dt id="document.uri_passing._template_">document.uri_passing._template_ &#60;str&#62; (default: "")</dt><dd>A rule for passing URI to an external command. The format is:
 <ul><li>%c in the string means the current URL</li>
 <li>%% in the string means '%'</li>
 </ul><p>Do <strong>not</strong> put single- or double-quotes around %c.
@@ -727,26 +733,26 @@ The format is:
 <p>ECMAScript options.
 </p><dl><dt id="ecmascript.enable">ecmascript.enable [0|1] (default: 0)</dt><dd>Whether to run those scripts inside of documents.
 </dd><dt id="ecmascript.error_reporting">ecmascript.error_reporting [0|1] (default: 0)</dt><dd>Open a message box when a script reports an error.
-</dd><dt id="ecmascript.ignore_noscript">ecmascript.ignore_noscript [0|1] (default: 0)</dt><dd>Whether to ignore content enclosed by the &#60;noscript&#62; tag
-when ECMAScript is enabled.
+</dd><dt id="ecmascript.ignore_noscript">ecmascript.ignore_noscript [0|1] (default: 0)</dt><dd>Whether to ignore content enclosed by the &#60;noscript&#62; tag when
+ECMAScript is enabled.
 </dd><dt id="ecmascript.max_exec_time">ecmascript.max_exec_time &#60;num&#62; (default: 5)</dt><dd>Maximum execution time in seconds for a script.
 </dd><dt id="ecmascript.block_window_opening">ecmascript.block_window_opening [0|1] (default: 0)</dt><dd>Whether to disallow scripts to open new windows or tabs.
 </dd></dl><h3 id="infofiles">infofiles (Information files)</h3>
 <p>Options for information files in <tt>~/.elinks</tt>.
-</p><dl><dt id="infofiles.save_interval">infofiles.save_interval &#60;num&#62; (default: 300)</dt><dd>Interval at which to trigger information files in <tt>~/.elinks</tt>
-to be saved to disk if they have changed (seconds; 0 to disable)
+</p><dl><dt id="infofiles.save_interval">infofiles.save_interval &#60;num&#62; (default: 300)</dt><dd>Interval at which to trigger information files in <tt>~/.elinks</tt> to be
+saved to disk if they have changed (seconds; 0 to disable)
 </dd><dt id="infofiles.secure_save">infofiles.secure_save [0|1] (default: 1)</dt><dd>First write data to unique temporary file, then rename this file
 upon successfully finishing this. Note that this relates only to
-config files, not downloaded files. You may want to disable
-it if you are using some exotic permissions for concerned files.
-Secure file saving is automagically disabled if file is symlink.
-Warning: some systems (ie. OS/2, Win32) require that destination
+config files, not downloaded files. You may want to disable it if
+you are using some exotic permissions for concerned files. Secure
+file saving is automagically disabled if file is symlink.
+<p>Warning: some systems (ie. OS/2, Win32) require that destination
 file doesn't exist when <b>rename(3)</b> is called, breaking atomicity,
 and reducing reliability of this feature.
-</dd><dt id="infofiles.secure_save_fsync">infofiles.secure_save_fsync [0|1] (default: 1)</dt><dd>When using secure file saving, call <b>fsync(3)</b>, if the OS
-supports it, to force the OS immediately to write the data
-to permanent storage. This is optional for those who wish
-to avoid excessive disk I/O.
+</p></dd><dt id="infofiles.secure_save_fsync">infofiles.secure_save_fsync [0|1] (default: 1)</dt><dd>When using secure file saving, call <b>fsync(3)</b>, if the OS supports
+it, to force the OS immediately to write the data to permanent
+storage. This is optional for those who wish to avoid excessive
+disk I/O.
 </dd></dl><h3 id="mime">mime (MIME)</h3>
 <p>MIME-related options (handlers of various MIME types).
 </p><dl><dt id="mime.default_type">mime.default_type &#60;str&#62; (default: "application/octet-stream")</dt><dd>Document MIME-type to assume by default (when we are unable to
@@ -756,14 +762,13 @@ guess it properly from known information
 </p><dl><dt id="mime.extension._template_">mime.extension._template_ &#60;str&#62; (default: "")</dt><dd>MIME-type matching this file extension ('*' is used here in place
 of '.').
 </dd></dl><h3 id="mime.handler">mime.handler (File type handlers)</h3>
-<p>A file type handler is a set of information about how to use
-an external program to view a file. It is possible to refer to it
-for several MIME types &#8212; e.g., you can define an 'image' handler
-to which mime.type.image.png, mime.type.image.jpeg, and so on will
-refer; or one might define a handler for a more specific type of file
-&#8212; e.g., PDF files.
-Note you must define both a MIME handler and a MIME type association
-for it to work.
+<p>A file type handler is a set of information about how to use an
+external program to view a file. It is possible to refer to it for
+several MIME types &#8212; e.g., you can define an 'image' handler to
+which mime.type.image.png, mime.type.image.jpeg, and so on will
+refer; or one might define a handler for a more specific type of
+file &#8212; e.g., PDF files. Note you must define both a MIME handler
+and a MIME type association for it to work.
 </p><h3 id="mime.handler._template_">mime.handler._template_ (Template option folder)</h3>
 <p>Description of this handler.
 </p><h3 id="mime.handler._template_._template_">mime.handler._template_._template_ (Template option folder)</h3>
@@ -771,28 +776,30 @@ for it to work.
 </p><dl><dt id="mime.handler._template_._template_.ask">mime.handler._template_._template_.ask [0|1] (default: 1)</dt><dd>Ask before opening.
 </dd><dt id="mime.handler._template_._template_.block">mime.handler._template_._template_.block [0|1] (default: 1)</dt><dd>Block the terminal when the handler is running.
 </dd><dt id="mime.handler._template_._template_.program">mime.handler._template_._template_.program &#60;str&#62; (default: "")</dt><dd>External viewer for this file type. '%' in this string will be
-substituted by a file name.
-Do <strong>not</strong> put single- or double-quotes around the % sign.
+substituted by a file name. Do <strong>not</strong> put single- or double-quotes
+around the % sign.
 </dd></dl><h3 id="mime.mailcap">mime.mailcap (Mailcap)</h3>
 <p>Options for mailcap support.
 </p><dl><dt id="mime.mailcap.enable">mime.mailcap.enable [0|1] (default: 1)</dt><dd>Enable mailcap support.
-</dd><dt id="mime.mailcap.path">mime.mailcap.path &#60;str&#62; (default: "~/.mailcap:/etc/mailcap:/usr/etc/mailcap:/usr/local/etc/mailcap:/usr/share/mailcap:/usr/share/misc/mailcap")</dt><dd>Mailcap search path. Colon-separated list of files.
-Leave as "" to use <tt>MAILCAP</tt> environment variable instead.
+</dd><dt id="mime.mailcap.path">mime.mailcap.path &#60;str&#62; (default: "~/.mailcap:/etc/mailcap:/usr/etc/mailcap:/usr/local/etc/mailcap:/usr/share/mailcap:/usr/share/misc/mailcap")</dt><dd>Mailcap search path. Colon-separated list of files. Leave as "" to
+use <tt>MAILCAP</tt> environment variable instead.
 </dd><dt id="mime.mailcap.ask">mime.mailcap.ask [0|1] (default: 1)</dt><dd>Ask before using the handlers defined by mailcap.
-</dd><dt id="mime.mailcap.description">mime.mailcap.description &#60;num&#62; (default: 0)</dt><dd>Type of description to show in "what to do with this file"
-query dialog:
+</dd><dt id="mime.mailcap.description">mime.mailcap.description &#60;num&#62; (default: 0)</dt><dd>Type of description to show in "what to do with this file" query
+dialog:
 <ul><li>0 is show "mailcap"</li>
 <li>1 is show program to be run</li>
-<li>2 is show mailcap description field if any; "mailcap" otherwise</li>
-</ul></dd><dt id="mime.mailcap.prioritize">mime.mailcap.prioritize [0|1] (default: 1)</dt><dd>Prioritize entries by the order of the files in the mailcap
-path. This means that wildcard entries (like: image/*) will
-also be checked before deciding the handler.
+<li>2 is show mailcap description field if any;
+     "mailcap" otherwise</li>
+</ul></dd><dt id="mime.mailcap.prioritize">mime.mailcap.prioritize [0|1] (default: 1)</dt><dd>Prioritize entries by the order of the files in the mailcap path.
+This means that wildcard entries (like: image/*) will also be
+checked before deciding the handler.
 </dd></dl><h3 id="mime.mimetypes">mime.mimetypes (Mimetypes files)</h3>
-<p>Options for the support of <tt>mime.types</tt> files. These files
-can be used to find the content type of a URL by looking at
-the extension of the file name.
+<p>Options for the support of <tt>mime.types</tt> files. These files can be
+used to find the content type of a URL by looking at the extension
+of the file name.
 </p><dl><dt id="mime.mimetypes.enable">mime.mimetypes.enable [0|1] (default: 1)</dt><dd>Enable <tt>mime.types</tt> support.
-</dd><dt id="mime.mimetypes.path">mime.mimetypes.path &#60;str&#62; (default: "~/.mime.types:/etc/mime.types:/usr/etc/mime.types:/usr/local/etc/mime.types:/usr/share/mime.types:/usr/share/misc/mime.types")</dt><dd>The search path for <tt>mime.types</tt> files. Colon-separated list of files.
+</dd><dt id="mime.mimetypes.path">mime.mimetypes.path &#60;str&#62; (default: "~/.mime.types:/etc/mime.types:/usr/etc/mime.types:/usr/local/etc/mime.types:/usr/share/mime.types:/usr/share/misc/mime.types")</dt><dd>The search path for <tt>mime.types</tt> files. Colon-separated list of
+files.
 </dd></dl><h3 id="mime.type">mime.type (MIME type associations)</h3>
 <p>Handler &#8596; MIME type association. The first sub-tree is the MIME
 class while the second sub-tree is the MIME type (ie. image/gif
@@ -800,10 +807,10 @@ handler will reside at mime.type.image.g
 should contain (case-sensitive) name of the MIME handler (its
 properties are stored at mime.handler.&#60;name&#62;).
 </p><h3 id="mime.type._template_">mime.type._template_ (Template option folder)</h3>
-<p>Handler matching this MIME-type class ('*' is used here in place
-of '.').
-</p><dl><dt id="mime.type._template_._template_">mime.type._template_._template_ &#60;str&#62; (default: "")</dt><dd>Handler matching this MIME-type name ('*' is used here in place
-of '.').
+<p>Handler matching this MIME-type class ('*' is used here in place of
+'.').
+</p><dl><dt id="mime.type._template_._template_">mime.type._template_._template_ &#60;str&#62; (default: "")</dt><dd>Handler matching this MIME-type name ('*' is used here in place of
+'.').
 </dd></dl><h3 id="protocol">protocol (Protocols)</h3>
 <p>Protocol specific options.
 </p><dl><dt id="protocol.no_proxy">protocol.no_proxy &#60;str&#62; (default: "")</dt><dd>Comma separated list of domains for which the proxy (HTTP/FTP)
@@ -812,25 +819,25 @@ domains as well. If it's blank, <tt>NO_P
 checked as well.
 </dd></dl><h3 id="protocol.bittorrent">protocol.bittorrent (BitTorrent)</h3>
 <p>BitTorrent specific options.
-</p><dl><dt id="protocol.bittorrent.piece_cache_size">protocol.bittorrent.piece_cache_size &#60;num&#62; (default: 1048576)</dt><dd>The maximum amount of memory used to hold recently
-downloaded pieces.
-Set to 0 to have unlimited size.
-</dd><dt id="protocol.bittorrent.max_uploads">protocol.bittorrent.max_uploads &#60;num&#62; (default: 7)</dt><dd>The maximum number of uploads to allow at once.
-</dd><dt id="protocol.bittorrent.min_uploads">protocol.bittorrent.min_uploads &#60;num&#62; (default: 2)</dt><dd>The minimum number of uploads which should at least
-be used for new connections.
+</p><dl><dt id="protocol.bittorrent.piece_cache_size">protocol.bittorrent.piece_cache_size &#60;num&#62; (default: 1048576)</dt><dd>The maximum amount of memory used to hold recently downloaded
+pieces.
+<p>Set to 0 to have unlimited size.
+</p></dd><dt id="protocol.bittorrent.max_uploads">protocol.bittorrent.max_uploads &#60;num&#62; (default: 7)</dt><dd>The maximum number of uploads to allow at once.
+</dd><dt id="protocol.bittorrent.min_uploads">protocol.bittorrent.min_uploads &#60;num&#62; (default: 2)</dt><dd>The minimum number of uploads which should at least be used for new
+connections.
 </dd><dt id="protocol.bittorrent.request_queue_size">protocol.bittorrent.request_queue_size &#60;num&#62; (default: 5)</dt><dd>How many piece requests to continuously keep in queue. Pipelining
 of requests is essential to saturate connections and get a good
-connection performance and thus a faster download. However, a
-very big queue size can lead to wasting bandwidth near the end
-of the connection since remaining piece blocks will be requested
-from multiple peers.
-</dd><dt id="protocol.bittorrent.choke_interval">protocol.bittorrent.choke_interval &#60;num&#62; (default: 10)</dt><dd>The number of seconds between updating the connection state
-and most importantly choke and unchoke peer connections. The
-choke period should be big enough for newly unchoked connections
-to get started but small enough to not allow freeriders too much
-room for stealing bandwidth.
-</dd><dt id="protocol.bittorrent.rarest_first_cutoff">protocol.bittorrent.rarest_first_cutoff &#60;num&#62; (default: 4)</dt><dd>The number of pieces to obtain before switching piece
-selection strategy from random to rarest first.
+connection performance and thus a faster download. However, a very
+big queue size can lead to wasting bandwidth near the end of the
+connection since remaining piece blocks will be requested from
+multiple peers.
+</dd><dt id="protocol.bittorrent.choke_interval">protocol.bittorrent.choke_interval &#60;num&#62; (default: 10)</dt><dd>The number of seconds between updating the connection state and
+most importantly choke and unchoke peer connections. The choke
+period should be big enough for newly unchoked connections to get
+started but small enough to not allow freeriders too much room for
+stealing bandwidth.
+</dd><dt id="protocol.bittorrent.rarest_first_cutoff">protocol.bittorrent.rarest_first_cutoff &#60;num&#62; (default: 4)</dt><dd>The number of pieces to obtain before switching piece selection
+strategy from random to rarest first.
 </dd><dt id="protocol.bittorrent.allow_blacklist">protocol.bittorrent.allow_blacklist [0|1] (default: 1)</dt><dd>Allow blacklisting of buggy peers.
 </dd></dl><h3 id="protocol.bittorrent.ports">protocol.bittorrent.ports (Port range)</h3>
 <p>Port range allowed to be used for listening on.
@@ -838,26 +845,24 @@ selection strategy from random to rarest
 </dd><dt id="protocol.bittorrent.ports.max">protocol.bittorrent.ports.max &#60;num&#62; (default: 6999)</dt><dd>The maximum port to try and listen on.
 </dd></dl><h3 id="protocol.bittorrent.tracker">protocol.bittorrent.tracker (Tracker)</h3>
 <p>Tracker options.
-</p><dl><dt id="protocol.bittorrent.tracker.compact">protocol.bittorrent.tracker.compact [0|1] (default: 0)</dt><dd>Whether to request that the tracker returns peer info
-in compact format. Note, the compact format only supports
-IPv4 addresses.
-</dd><dt id="protocol.bittorrent.tracker.interval">protocol.bittorrent.tracker.interval &#60;num&#62; (default: 0)</dt><dd>The number of seconds to wait between periodically contacting
-the tracker for announcing progress and requesting more peers.
-Set to zero to use the interval requested by the tracker.
-</dd><dt id="protocol.bittorrent.tracker.ip_address">protocol.bittorrent.tracker.ip_address &#60;str&#62; (default: "")</dt><dd>What IP address to report to the tracker. If set to ""
-no IP address will be sent and the tracker will automatically
-determine an appropriate IP address.
-</dd><dt id="protocol.bittorrent.tracker.key">protocol.bittorrent.tracker.key &#60;str&#62; (default: "")</dt><dd>An additional identification that is not shared with any users.
-It is intended to allow a client to prove their identity should
-their IP address change. It is an optional parameter, but some
-trackers require this parameter. If set to "" no user key will
-be sent to the tracker.
-</dd><dt id="protocol.bittorrent.tracker.numwant">protocol.bittorrent.tracker.numwant &#60;num&#62; (default: 50)</dt><dd>The maximum number of peers to request from the tracker.
-Set to 0 to use the server default.
-</dd><dt id="protocol.bittorrent.tracker.min_skip_size">protocol.bittorrent.tracker.min_skip_size &#60;num&#62; (default: 20)</dt><dd>The minimum number of peers to have in the current peer info
-pool before skipping requesting of more peers. I.e. setting
-numwant to zero.
-Set to 0 to not have any limit.
+</p><dl><dt id="protocol.bittorrent.tracker.compact">protocol.bittorrent.tracker.compact [0|1] (default: 0)</dt><dd>Whether to request that the tracker returns peer info in compact
+format. Note, the compact format only supports IPv4 addresses.
+</dd><dt id="protocol.bittorrent.tracker.interval">protocol.bittorrent.tracker.interval &#60;num&#62; (default: 0)</dt><dd>The number of seconds to wait between periodically contacting the
+tracker for announcing progress and requesting more peers. Set to
+zero to use the interval requested by the tracker.
+</dd><dt id="protocol.bittorrent.tracker.ip_address">protocol.bittorrent.tracker.ip_address &#60;str&#62; (default: "")</dt><dd>What IP address to report to the tracker. If set to "" no IP
+address will be sent and the tracker will automatically determine
+an appropriate IP address.
+</dd><dt id="protocol.bittorrent.tracker.key">protocol.bittorrent.tracker.key &#60;str&#62; (default: "")</dt><dd>An additional identification that is not shared with any users. It
+is intended to allow a client to prove their identity should their
+IP address change. It is an optional parameter, but some trackers
+require this parameter. If set to "" no user key will be sent to
+the tracker.
+</dd><dt id="protocol.bittorrent.tracker.numwant">protocol.bittorrent.tracker.numwant &#60;num&#62; (default: 50)</dt><dd>The maximum number of peers to request from the tracker. Set to 0
+to use the server default.
+</dd><dt id="protocol.bittorrent.tracker.min_skip_size">protocol.bittorrent.tracker.min_skip_size &#60;num&#62; (default: 20)</dt><dd>The minimum number of peers to have in the current peer info pool
+before skipping requesting of more peers. I.e. setting numwant to
+zero. Set to 0 to not have any limit.
 </dd></dl><h3 id="protocol.bittorrent.peerwire">protocol.bittorrent.peerwire (Peer-wire)</h3>
 <p>Lowlevel peer-wire options.
 </p><dl><dt id="protocol.bittorrent.peerwire.connections">protocol.bittorrent.peerwire.connections &#60;num&#62; (default: 55)</dt><dd>The maximum number of allowed connections to both active and
@@ -865,29 +870,27 @@ non-active peers. By increasing the numb
 the chance of finding good peers to download from is increased.
 However, too many connections can lead to TCP congestion. If the
 maximum is reached all new incoming connections will be closed.
-</dd><dt id="protocol.bittorrent.peerwire.max_message_length">protocol.bittorrent.peerwire.max_message_length &#60;num&#62; (default: 8388608)</dt><dd>The maximum length of messages to accept over the wire.
-Larger values will cause the connection to be dropped.
-</dd><dt id="protocol.bittorrent.peerwire.max_request_length">protocol.bittorrent.peerwire.max_request_length &#60;num&#62; (default: 8388608)</dt><dd>The maximum length to allow for incoming requests.
-Larger requests will cause the connection to be dropped.
-</dd><dt id="protocol.bittorrent.peerwire.request_length">protocol.bittorrent.peerwire.request_length &#60;num&#62; (default: 16384)</dt><dd>How many bytes to query for per request. This is complementary
-to the max_request_length option. If the configured length is
-bigger than the piece length it will be truncated.
-</dd><dt id="protocol.bittorrent.peerwire.timeout">protocol.bittorrent.peerwire.timeout &#60;num&#62; (default: 300)</dt><dd>The number of seconds to wait before closing a socket on
-which nothing has been received or sent.
-</dd><dt id="protocol.bittorrent.peerwire.pool_size">protocol.bittorrent.peerwire.pool_size &#60;num&#62; (default: 55)</dt><dd>Maximum number of items in the peer pool. The peer pool
-contains information used for establishing connections to
-new peers.
-Set to 0 to have unlimited size.
-</dd></dl><h3 id="protocol.file">protocol.file (Local files)</h3>
+</dd><dt id="protocol.bittorrent.peerwire.max_message_length">protocol.bittorrent.peerwire.max_message_length &#60;num&#62; (default: 8388608)</dt><dd>The maximum length of messages to accept over the wire. Larger
+values will cause the connection to be dropped.
+</dd><dt id="protocol.bittorrent.peerwire.max_request_length">protocol.bittorrent.peerwire.max_request_length &#60;num&#62; (default: 8388608)</dt><dd>The maximum length to allow for incoming requests. Larger requests
+will cause the connection to be dropped.
+</dd><dt id="protocol.bittorrent.peerwire.request_length">protocol.bittorrent.peerwire.request_length &#60;num&#62; (default: 16384)</dt><dd>How many bytes to query for per request. This is complementary to
+the max_request_length option. If the configured length is bigger
+than the piece length it will be truncated.
+</dd><dt id="protocol.bittorrent.peerwire.timeout">protocol.bittorrent.peerwire.timeout &#60;num&#62; (default: 300)</dt><dd>The number of seconds to wait before closing a socket on which
+nothing has been received or sent.
+</dd><dt id="protocol.bittorrent.peerwire.pool_size">protocol.bittorrent.peerwire.pool_size &#60;num&#62; (default: 55)</dt><dd>Maximum number of items in the peer pool. The peer pool contains
+information used for establishing connections to new peers.
+<p>Set to 0 to have unlimited size.
+</p></dd></dl><h3 id="protocol.file">protocol.file (Local files)</h3>
 <p>Options specific to local browsing.
-</p><dl><dt id="protocol.file.allow_special_files">protocol.file.allow_special_files [0|1] (default: 0)</dt><dd>Whether to allow reading from non-regular files.
-Note this can be dangerous; reading <tt>/dev/urandom</tt> or
-<tt>/dev/zero</tt> can ruin your day!
+</p><dl><dt id="protocol.file.allow_special_files">protocol.file.allow_special_files [0|1] (default: 0)</dt><dd>Whether to allow reading from non-regular files. Note this can be
+dangerous; reading <tt>/dev/urandom</tt> or <tt>/dev/zero</tt> can ruin your day!
 </dd><dt id="protocol.file.show_hidden_files">protocol.file.show_hidden_files [0|1] (default: 1)</dt><dd>When set to false, files with name starting with a dot will be
 hidden in local directory listings.
-</dd><dt id="protocol.file.try_encoding_extensions">protocol.file.try_encoding_extensions [0|1] (default: 1)</dt><dd>When set, if we can't open a file named 'filename', we'll try
-to open 'filename' with some encoding extension appended
-(ie. 'filename.gz'); it depends on the supported encodings.
+</dd><dt id="protocol.file.try_encoding_extensions">protocol.file.try_encoding_extensions [0|1] (default: 1)</dt><dd>When set, if we can't open a file named 'filename', we'll try to
+open 'filename' with some encoding extension appended (ie.
+'filename.gz'); it depends on the supported encodings.
 </dd></dl><h3 id="protocol.file.cgi">protocol.file.cgi (Local CGI)</h3>
 <p>Local CGI specific options.
 </p><dl><dt id="protocol.file.cgi.path">protocol.file.cgi.path &#60;str&#62; (default: "")</dt><dd>Colon separated list of directories, where CGI scripts are stored.
@@ -902,30 +905,39 @@ to open 'filename' with some encoding ex
 </dd><dt id="protocol.ftp.use_epsv">protocol.ftp.use_epsv [0|1] (default: 0)</dt><dd>Use EPSV instead of EPRT (passive vs active mode, IPv6 only).
 </dd></dl><h3 id="protocol.ftp.proxy">protocol.ftp.proxy (Proxy configuration)</h3>
 <p>FTP proxy configuration.
-</p><dl><dt id="protocol.ftp.proxy.host">protocol.ftp.proxy.host &#60;str&#62; (default: "")</dt><dd>Host and port-number (host:port) of the FTP proxy, or blank.
-If it's blank, <tt>FTP_PROXY</tt> environment variable is checked as well.
+</p><dl><dt id="protocol.ftp.proxy.host">protocol.ftp.proxy.host &#60;str&#62; (default: "")</dt><dd>Host and port-number (host:port) of the FTP proxy, or blank. If
+it's blank, <tt>FTP_PROXY</tt> environment variable is checked as well.
 </dd></dl><h3 id="protocol.http">protocol.http (HTTP)</h3>
 <p>HTTP-specific options.
 </p><dl><dt id="protocol.http.accept_language">protocol.http.accept_language &#60;str&#62; (default: "")</dt><dd>Send Accept-Language header.
 </dd><dt id="protocol.http.accept_ui_language">protocol.http.accept_ui_language [0|1] (default: 1)</dt><dd>Request localised versions of documents from web-servers (using the
 Accept-Language header) using the language you have configured for
-<em>ELinks</em>' user-interface (this also affects navigator.language ECMAScript
-value available to scripts). Note that some see this as a potential
-security risk because it tells web-masters and the FBI sniffers about
-your language preference.
-</dd><dt id="protocol.http.trace">protocol.http.trace [0|1] (default: 0)</dt><dd>If active, all HTTP requests are sent with TRACE as their method
-rather than GET or POST. This is useful for debugging of both <em>ELinks</em>
-and various server-side scripts &#8212; the server only returns the client's
-request back to the client verbatim. Note that this type of request may
-not be enabled on all servers.
+<em>ELinks</em>' user-interface (this also affects navigator.language
+ECMAScript value available to scripts). Note that some see this as
+a potential security risk because it tells web-masters and the FBI
+sniffers about your language preference.
+</dd><dt id="protocol.http.compression">protocol.http.compression [0|1] (default: 1)</dt><dd>If enabled, the capability to receive compressed content (gzip
+and/or bzip2) is announced to the server, which usually sends the
+reply compressed, thus saving some bandwidth at slight CPU expense.
+<p>If <em>ELinks</em> displays a incomplete page or garbage, try disabling this
+option. If that helps, there may be a bug in the decompression part
+of <em>ELinks</em>. Please report such bugs.
+</p><p>If <em>ELinks</em> has been compiled without compression support, this
+option has no effect. To check the supported features, see Help -&#62;
+About.
+</p></dd><dt id="protocol.http.trace">protocol.http.trace [0|1] (default: 0)</dt><dd>If active, all HTTP requests are sent with TRACE as their method
+rather than GET or POST. This is useful for debugging of both
+<em>ELinks</em> and various server-side scripts &#8212; the server only returns
+the client's request back to the client verbatim. Note that this
+type of request may not be enabled on all servers.
 </dd><dt id="protocol.http.user_agent">protocol.http.user_agent &#60;str&#62; (default: "ELinks/%v (textmode; %s; %t-%b)")</dt><dd>Change the User Agent ID. That means identification string, which
 is sent to HTTP server when a document is requested. The 'textmode'
 token in the first field is our silent attempt to establish this as
 a standard for new textmode user agents, so that the webmasters can
 have just a single uniform test for these if they are e.g. pushing
 some lite version to them automagically.
-Use " " if you don't want any User-Agent header to be sent at all.
-<ul><li>%v in the string means <em>ELinks</em> version,</li>
+<p>Use " " if you don't want any User-Agent header to be sent at all.
+</p><ul><li>%v in the string means <em>ELinks</em> version,</li>
 <li>%s in the string means system identification,</li>
 <li>%t in the string means size of the terminal,</li>
 <li>%b in the string means number of bars displayed by <em>ELinks</em>.</li>
@@ -941,17 +953,17 @@ If they will do strange things to you, t
 </dd><dt id="protocol.http.bugs.http10">protocol.http.bugs.http10 [0|1] (default: 0)</dt><dd>Use HTTP/1.0 protocol instead of HTTP/1.1.
 </dd></dl><h3 id="protocol.http.proxy">protocol.http.proxy (Proxy configuration)</h3>
 <p>HTTP proxy configuration.
-</p><dl><dt id="protocol.http.proxy.host">protocol.http.proxy.host &#60;str&#62; (default: "")</dt><dd>Host and port-number (host:port) of the HTTP proxy, or blank.
-If it's blank, <tt>HTTP_PROXY</tt> environment variable is checked as well.
+</p><dl><dt id="protocol.http.proxy.host">protocol.http.proxy.host &#60;str&#62; (default: "")</dt><dd>Host and port-number (host:port) of the HTTP proxy, or blank. If
+it's blank, <tt>HTTP_PROXY</tt> environment variable is checked as well.
 </dd><dt id="protocol.http.proxy.user">protocol.http.proxy.user &#60;str&#62; (default: "")</dt><dd>Proxy authentication username.
 </dd><dt id="protocol.http.proxy.passwd">protocol.http.proxy.passwd &#60;str&#62; (default: "")</dt><dd>Proxy authentication password.
 </dd></dl><h3 id="protocol.http.referer">protocol.http.referer (Referer sending)</h3>
-<p>HTTP referer sending options. HTTP referer is a special header
-sent in the HTTP requests, which is supposed to contain the previous
-page visited by the browser. This way, the server can know what link
+<p>HTTP referer sending options. HTTP referer is a special header sent
+in the HTTP requests, which is supposed to contain the previous
+page visited by the browser.This way, the server can know what link
 did you follow when accessing that page. However, this behaviour
-can unfortunately considerably affect privacy and can lead even to a
-security problem on some badly designed web pages.
+can unfortunately considerably affect privacy and can lead even to
+a security problem on some badly designed web pages.
 </p><dl><dt id="protocol.http.referer.policy">protocol.http.referer.policy &#60;num&#62; (default: 3)</dt><dd>Mode of sending HTTP referer:
 <ul><li>0 is send no referer</li>
 <li>1 is send current URL as referer</li>
@@ -962,39 +974,41 @@ security problem on some badly designed 
 <p>HTTPS-specific options.
 </p><h3 id="protocol.https.proxy">protocol.https.proxy (Proxy configuration)</h3>
 <p>HTTPS proxy configuration.
-</p><dl><dt id="protocol.https.proxy.host">protocol.https.proxy.host &#60;str&#62; (default: "")</dt><dd>Host and port-number (host:port) of the HTTPS CONNECT proxy, or blank.
-If it's blank, <tt>HTTPS_PROXY</tt> environment variable is checked as well.
+</p><dl><dt id="protocol.https.proxy.host">protocol.https.proxy.host &#60;str&#62; (default: "")</dt><dd>Host and port-number (host:port) of the HTTPS CONNECT proxy, or
+blank. If it's blank, <tt>HTTPS_PROXY</tt> environment variable is checked
+as well.
 </dd></dl><h3 id="protocol.nntp">protocol.nntp (NNTP)</h3>
 <p>NNTP and news specific options.
-</p><dl><dt id="protocol.nntp.server">protocol.nntp.server &#60;str&#62; (default: "")</dt><dd>Used when resolving news: URIs. If set to the empty string
-the value of the <tt>NNTPSERVER</tt> environment variable will be used.
-</dd><dt id="protocol.nntp.header_entries">protocol.nntp.header_entries &#60;str&#62; (default: "Subject,From,Date,Message-ID,Newsgroups")</dt><dd>Comma separated list of which entries in the article header
-to show. E.g. 'Subject' and 'From'.
-All header entries can be read in the header info dialog.
+</p><dl><dt id="protocol.nntp.server">protocol.nntp.server &#60;str&#62; (default: "")</dt><dd>Used when resolving news: URIs. If set to the empty string the
+value of the <tt>NNTPSERVER</tt> environment variable will be used.
+</dd><dt id="protocol.nntp.header_entries">protocol.nntp.header_entries &#60;str&#62; (default: "Subject,From,Date,Message-ID,Newsgroups")</dt><dd>Comma separated list of which entries in the article header to
+show. E.g. 'Subject' and 'From'. All header entries can be read in
+the header info dialog.
 </dd></dl><h3 id="protocol.rewrite">protocol.rewrite (URI rewriting)</h3>
-<p>Rules for rewriting URIs entered in the goto dialog.
-It makes it possible to define a set of prefixes that will
-be expanded if they match a string entered in the goto dialog.
-The prefixes can be dumb, meaning that they work only like
-URI abbreviations, or smart ones, making it possible to pass
-arguments to them like search engine keywords.
-</p><dl><dt id="protocol.rewrite.default_template">protocol.rewrite.default_template &#60;str&#62; (default: "")</dt><dd>Default URI template used when the string entered in
-the goto dialog does not appear to be a URI or a filename
-(i.e. contains no '.', ':' or '/' characters), and does
-not match any defined prefixes. Set the value to "" to
-disable use of the default template rewrite rule.
+<p>Rules for rewriting URIs entered in the goto dialog. It makes it
+possible to define a set of prefixes that will be expanded if they
+match a string entered in the goto dialog. The prefixes can be
+dumb, meaning that they work only like URI abbreviations, or smart
+ones, making it possible to pass arguments to them like search
+engine keywords.
+</p><dl><dt id="protocol.rewrite.default_template">protocol.rewrite.default_template &#60;str&#62; (default: "")</dt><dd>Default URI template used when the string entered in the goto
+dialog does not appear to be a URI or a filename (i.e. contains no
+'.', ':' or '/' characters), and does not match any defined
+prefixes. Set the value to "" to disable use of the default
+template rewrite rule.
 <ul><li>%c in the template means the current URL,</li>
-<li>%s in the template means the whole string from the goto dialog,</li>
-<li>%0,%1,...,%9 mean the 1st,2nd,...,10th space-delimited part of %s,</li>
+<li>%s in the template means the whole string from the goto
+   dialog,</li>
+<li>%0,%1,...,%9 mean the 1st,2nd,...,10th space-delimited part
+   of %s,</li>
 <li>%% in the template means '%'.</li>
-</ul></dd><dt id="protocol.rewrite.enable-dumb">protocol.rewrite.enable-dumb [0|1] (default: 1)</dt><dd>Enable dumb prefixes &#8211; simple URI abbreviations which can
-be written to the Goto URL dialog instead of actual URIs &#8211; i.e.
-if you write 'elinks' there, you are directed to
-<a href="http://elinks.cz/">http://elinks.cz/</a>.
-</dd><dt id="protocol.rewrite.enable-smart">protocol.rewrite.enable-smart [0|1] (default: 1)</dt><dd>Enable smart prefixes &#8211; URI templates triggered by writing
-given abbreviation to the Goto URL dialog followed by a list
-of arguments from which the actual URI is composed &#8211; i.e.
-'gg:search keywords' or 'gn search keywords for news'.
+</ul></dd><dt id="protocol.rewrite.enable-dumb">protocol.rewrite.enable-dumb [0|1] (default: 1)</dt><dd>Enable dumb prefixes &#8211; simple URI abbreviations which can be
+written to the Goto URL dialog instead of actual URIs &#8211; i.e. if you
+write 'elinks' there, you are directed to <a href="http://elinks.cz/">http://elinks.cz/</a>.
+</dd><dt id="protocol.rewrite.enable-smart">protocol.rewrite.enable-smart [0|1] (default: 1)</dt><dd>Enable smart prefixes &#8211; URI templates triggered by writing given
+abbreviation to the Goto URL dialog followed by a list of arguments
+from which the actual URI is composed &#8211; i.e. 'gg:search keywords'
+or 'gn search keywords for news'.
 </dd></dl><h3 id="protocol.rewrite.dumb">protocol.rewrite.dumb (Dumb Prefixes)</h3>
 <p>Dumb prefixes, see enable-dumb description for details.
 </p><dl><dt id="protocol.rewrite.dumb._template_">protocol.rewrite.dumb._template_ &#60;str&#62; (default: "")</dt><dd>Replacement URI for this dumbprefix:
@@ -1008,12 +1022,11 @@ of arguments from which the actual URI i
 <li>%0,%1,...,%9 means argument 0, 1, ..., 9</li>
 <li>%% in the string means '%'</li>
 </ul></dd></dl><h3 id="protocol.user">protocol.user (User protocols)</h3>
-<p>User protocols. Options in this tree specify external
-handlers for the appropriate protocols. Ie.
-protocol.user.mailto.unix.
+<p>User protocols. Options in this tree specify external handlers for
+the appropriate protocols. Ie. protocol.user.mailto.unix.
 </p><h3 id="protocol.user._template_">protocol.user._template_ (Template option folder)</h3>
-<p>Handler (external program) for this protocol. Name the
-options in this tree after your system (ie. unix, unix-xwin).
+<p>Handler (external program) for this protocol. Name the options in
+this tree after your system (ie. unix, unix-xwin).
 </p><dl><dt id="protocol.user._template_._template_">protocol.user._template_._template_ &#60;str&#62; (default: "")</dt><dd>Handler (external program) for this protocol and system.
 <ul><li>%f in the string means file name to include form data from</li>
 <li>%h in the string means hostname (or email address)</li>
@@ -1025,28 +1038,39 @@ options in this tree after your system (
 <p>Terminal options.
 </p><h3 id="terminal._template_">terminal._template_ (Template option folder)</h3>
 <p>Options specific to this terminal type (according to <tt>$TERM</tt> value).
-</p><dl><dt id="terminal._template_.type">terminal._template_.type &#60;num&#62; (default: 0)</dt><dd>Terminal type; matters mostly only when drawing frames and
-dialog box borders:
+</p><dl><dt id="terminal._template_.type">terminal._template_.type &#60;num&#62; (default: 0)</dt><dd>Terminal type; matters mostly only when drawing frames and dialog
+box borders:
 <ul><li>0 is dumb terminal type, ASCII art</li>
 <li>1 is VT100, simple but portable</li>
 <li>2 is Linux, you get double frames and other goodies</li>
 <li>3 is KOI-8</li>
 <li>4 is FreeBSD</li>
-</ul></dd><dt id="terminal._template_.m11_hack">terminal._template_.m11_hack [0|1] (default: 0)</dt><dd>Switch fonts when drawing lines, enabling both local characters
-and lines working at the same time. <em>ELinks</em> uses this option only if
+</ul></dd><dt id="terminal._template_.latin1_title">terminal._template_.latin1_title [0|1] (default: 1)</dt><dd>When updating the window title of <kbd>xterm</kbd> or a similar terminal
+emulator, encode the title in ISO-8859-1 (Latin-1), rather than in
+the charset used for other text in the window. Cyrillic and other
+characters get replaced with Latin ones. Xterm requires this unless
+you explicitly enable UTF-8 titles in it.
+<p>If this option does not take effect immediately, try switching to a
+different page so that <em>ELinks</em> notices it needs to update the title.
+</p></dd><dt id="terminal._template_.m11_hack">terminal._template_.m11_hack [0|1] (default: 0)</dt><dd>Switch fonts when drawing lines, enabling both local characters and
+lines working at the same time. <em>ELinks</em> uses this option only if
 UTF-8 I/O is disabled and the terminal type is Linux or FreeBSD.
 </dd><dt id="terminal._template_.utf_8_io">terminal._template_.utf_8_io [0|1] (default: 0)</dt><dd>Enable I/O in UTF-8 for Unicode terminals. Note that currently,
 only the subset of UTF-8 according to terminal codepage is used.
 <em>ELinks</em> ignores this option if the terminal codepage is UTF-8.
-</dd><dt id="terminal._template_.restrict_852">terminal._template_.restrict_852 [0|1] (default: 0)</dt><dd>Restrict the characters used when drawing lines. Makes sense
-only with linux terminals using the cp850/852 character sets.
-</dd><dt id="terminal._template_.block_cursor">terminal._template_.block_cursor [0|1] (default: 0)</dt><dd>Move cursor to bottom right corner when done drawing.
-This is particularly useful when we have a block cursor,
-so that inversed text is displayed correctly.
-</dd><dt id="terminal._template_.colors">terminal._template_.colors &#60;num&#62; (default: 0)</dt><dd>The color mode controls what colors are used and how they are output to the terminal.
-Some modes may have been disabled at compile time. The <em>Setup &#8594; Terminal options</em> dialog lists the modes supported by this executable. If you select an unsupported mode, <em>ELinks</em> uses 16 colors.
-The color modes are:
-<ul><li>0 is mono mode, only 2 colors are used</li>
+</dd><dt id="terminal._template_.restrict_852">terminal._template_.restrict_852 [0|1] (default: 0)</dt><dd>Restrict the characters used when drawing lines. Makes sense only
+with linux terminals using the cp850/852 character sets.
+</dd><dt id="terminal._template_.block_cursor">terminal._template_.block_cursor [0|1] (default: 0)</dt><dd>Move cursor to bottom right corner when done drawing. This is
+particularly useful when we have a block cursor, so that inversed
+text is displayed correctly.
+</dd><dt id="terminal._template_.colors">terminal._template_.colors &#60;num&#62; (default: 0)</dt><dd>The color mode controls what colors are used and how they are
+output to the terminal.
+<p>Some modes may have been disabled at compile time. The Setup -&#62;
+Terminal options dialog lists the modes supported by this
+executable. If you select an unsupported mode, <em>ELinks</em> uses 16
+colors.
+</p><p>The color modes are:
+</p><ul><li>0 is mono mode, only 2 colors are used</li>
 <li>1 is 16 color mode, uses the common ANSI colors</li>
 <li>2 is 88 color mode, uses XTerm RGB codes</li>
 <li>3 is 256 color mode, uses XTerm RGB codes</li>
@@ -1054,10 +1078,10 @@ The color modes are:
 </ul></dd><dt id="terminal._template_.transparency">terminal._template_.transparency [0|1] (default: 0)</dt><dd>If we should not set the background to black. This is particularly
 useful when we have a terminal (typically in some windowing
 environment) with a background image or a transparent background &#8211;
-it will be visible in <em>ELinks</em> as well (but <em>ELinks</em> document color handling
-will still assume the background is black so if you have a bright background
-you might experience contrast problems). Note that this option makes
-sense only when colors are enabled.
+it will be visible in <em>ELinks</em> as well (but <em>ELinks</em> document color
+handling will still assume the background is black so if you have a
+bright background you might experience contrast problems). Note
+that this option makes sense only when colors are enabled.
 </dd><dt id="terminal._template_.underline">terminal._template_.underline [0|1] (default: 0)</dt><dd>If we should use underline or enhance the color instead.
 </dd><dt id="terminal._template_.charset">terminal._template_.charset &#60;codepage&#62; (default: System)</dt><dd>Codepage of charset used for displaying content on terminal.
 'System' stands for a codepage determined by a selected locale.
@@ -1074,14 +1098,14 @@ set. This means also showing goto dialog
 </dd><dt id="ui.success_msgbox">ui.success_msgbox [0|1] (default: 1)</dt><dd>When you pressed a [ Save ] button in some manager, this option
 will make sure that a box confirming success of the operation will
 pop up.
-</dd><dt id="ui.window_title">ui.window_title [0|1] (default: 1)</dt><dd>Set the window title when running in a windowing environment
-in an <kbd>xterm</kbd>-like terminal. This way the document's title is
-shown on the window titlebar.
+</dd><dt id="ui.window_title">ui.window_title [0|1] (default: 1)</dt><dd>Set the window title when running in a windowing environment in an
+<kbd>xterm</kbd>-like terminal. This way the document's title is shown on the
+window titlebar.
 </dd></dl><h3 id="ui.clock">ui.clock (Clock)</h3>
 <p>Digital clock in the status bar.
 </p><dl><dt id="ui.clock.enable">ui.clock.enable [0|1] (default: 0)</dt><dd>Whether to display a digital clock in the status bar.
-</dd><dt id="ui.clock.format">ui.clock.format &#60;str&#62; (default: "[%H:%M]")</dt><dd>Format string for the digital clock. See the <b>strftime(3)</b>
-manpage for details.
+</dd><dt id="ui.clock.format">ui.clock.format &#60;str&#62; (default: "[%H:%M]")</dt><dd>Format string for the digital clock. See the <b>strftime(3)</b> manpage
+for details.
 </dd></dl><h3 id="ui.colors">ui.colors (Color settings)</h3>
 <p>Default user interface color settings.
 </p><h3 id="ui.colors.color">ui.colors.color (Color terminals)</h3>
@@ -1227,8 +1251,8 @@ manpage for details.
 </dd></dl><h3 id="ui.colors.color.tabs">ui.colors.color.tabs (Tabs bar)</h3>
 <p>Tabs bar colors.
 </p><h3 id="ui.colors.color.tabs.unvisited">ui.colors.color.tabs.unvisited (Unvisited tab)</h3>
-<p>Tab colors for tabs that have not been
-selected since they completed loading.
+<p>Tab colors for tabs that have not been selected since they
+completed loading.
 </p><dl><dt id="ui.colors.color.tabs.unvisited.text">ui.colors.color.tabs.unvisited.text &#60;color|#rrggbb&#62; (default: darkblue)</dt><dd>Default text color.
 </dd><dt id="ui.colors.color.tabs.unvisited.background">ui.colors.color.tabs.unvisited.background &#60;color|#rrggbb&#62; (default: white)</dt><dd>Default background color.
 </dd></dl><h3 id="ui.colors.color.tabs.normal">ui.colors.color.tabs.normal (Unselected tab)</h3>
@@ -1394,8 +1418,8 @@ selected since they completed loading.
 </dd></dl><h3 id="ui.colors.mono.tabs">ui.colors.mono.tabs (Tabs bar)</h3>
 <p>Tabs bar colors.
 </p><h3 id="ui.colors.mono.tabs.unvisited">ui.colors.mono.tabs.unvisited (Unvisited tab)</h3>
-<p>Tab colors for tabs that have not been
-selected since they completed loading.
+<p>Tab colors for tabs that have not been selected since they
+completed loading.
 </p><dl><dt id="ui.colors.mono.tabs.unvisited.text">ui.colors.mono.tabs.unvisited.text &#60;color|#rrggbb&#62; (default: gray)</dt><dd>Default text color.
 </dd><dt id="ui.colors.mono.tabs.unvisited.background">ui.colors.mono.tabs.unvisited.background &#60;color|#rrggbb&#62; (default: white)</dt><dd>Default background color.
 </dd></dl><h3 id="ui.colors.mono.tabs.normal">ui.colors.mono.tabs.normal (Unselected tab)</h3>
@@ -1420,36 +1444,37 @@ selected since they completed loading.
 </dd><dt id="ui.colors.mono.searched.background">ui.colors.mono.searched.background &#60;color|#rrggbb&#62; (default: white)</dt><dd>Default background color.
 </dd></dl><h3 id="ui.dialogs">ui.dialogs (Dialog settings)</h3>
 <p>Dialogs-specific appearance and behaviour settings.
-</p><dl><dt id="ui.dialogs.listbox_min_height">ui.dialogs.listbox_min_height &#60;num&#62; (default: 10)</dt><dd>Minimal height of the listbox widget (used e.g. for bookmarks
-or global history).
-</dd><dt id="ui.dialogs.shadows">ui.dialogs.shadows [0|1] (default: 0)</dt><dd>Make dialogs drop shadows (the shadows are solid, you can
-adjust their color by ui.colors.*.dialog.shadow). You may
-also want to eliminate the wide borders by adjusting <tt>setup.h</tt>.
-</dd><dt id="ui.dialogs.underline_hotkeys">ui.dialogs.underline_hotkeys [0|1] (default: 0)</dt><dd>Whether to underline hotkeys in menus to make them more
-visible. Requires that underlining is enabled for the terminal.
-</dd><dt id="ui.dialogs.underline_button_shortcuts">ui.dialogs.underline_button_shortcuts [0|1] (default: 0)</dt><dd>Whether to underline button shortcuts to make them more
-visible. Requires that underlining is enabled for the terminal.
+</p><dl><dt id="ui.dialogs.listbox_min_height">ui.dialogs.listbox_min_height &#60;num&#62; (default: 10)</dt><dd>Minimal height of the listbox widget (used e.g. for bookmarks or
+global history).
+</dd><dt id="ui.dialogs.shadows">ui.dialogs.shadows [0|1] (default: 0)</dt><dd>Make dialogs drop shadows (the shadows are solid, you can adjust
+their color by ui.colors.*.dialog.shadow). You may also want to
+eliminate the wide borders by adjusting <tt>setup.h</tt>.
+</dd><dt id="ui.dialogs.underline_hotkeys">ui.dialogs.underline_hotkeys [0|1] (default: 0)</dt><dd>Whether to underline hotkeys in menus to make them more visible.
+Requires that underlining is enabled for the terminal.
+</dd><dt id="ui.dialogs.underline_button_shortcuts">ui.dialogs.underline_button_shortcuts [0|1] (default: 0)</dt><dd>Whether to underline button shortcuts to make them more visible.
+Requires that underlining is enabled for the terminal.
 </dd></dl><h3 id="ui.leds">ui.leds (LEDs)</h3>
 <p>LEDs (visual indicators) options.
-</p><dl><dt id="ui.leds.enable">ui.leds.enable [0|1] (default: 1)</dt><dd>Enable LEDs.
-These visual indicators will inform you about various states.
+</p><dl><dt id="ui.leds.enable">ui.leds.enable [0|1] (default: 1)</dt><dd>Enable LEDs. These visual indicators will inform you about various
+states.
 </dd></dl><h3 id="ui.sessions">ui.sessions (Sessions)</h3>
 <p>Sessions settings.
 </p><dl><dt id="ui.sessions.auto_restore">ui.sessions.auto_restore [0|1] (default: 0)</dt><dd>Automatically restore the session at start.
-This feature requires bookmark support.
-</dd><dt id="ui.sessions.auto_save">ui.sessions.auto_save [0|1] (default: 0)</dt><dd>Automatically save the session when quitting.
-This feature requires bookmark support.
-</dd><dt id="ui.sessions.auto_save_foldername">ui.sessions.auto_save_foldername &#60;str&#62; (default: "Auto saved session")</dt><dd>Name of the bookmarks folder used for auto saving and restoring session.
-The name has to be unique. Any folders with the same name will be deleted.
-This only makes sense with bookmark support.
-</dd><dt id="ui.sessions.homepage">ui.sessions.homepage &#60;str&#62; (default: "")</dt><dd>The URI to load either at startup time when no URI was given
-on the command line or when requested by the goto-url-home action.
-Set to "" if the environment variable <tt>WWW_HOME</tt> should be used
-as homepage URI instead.
+<p>This feature requires bookmark support.
+</p></dd><dt id="ui.sessions.auto_save">ui.sessions.auto_save [0|1] (default: 0)</dt><dd>Automatically save the session when quitting.
+<p>This feature requires bookmark support.
+</p></dd><dt id="ui.sessions.auto_save_foldername">ui.sessions.auto_save_foldername &#60;str&#62; (default: "Auto saved session")</dt><dd>Name of the bookmarks folder used for auto saving and restoring
+session. The name has to be unique. Any folders with the same name
+will be deleted.
+<p>This only makes sense with bookmark support.
+</p></dd><dt id="ui.sessions.homepage">ui.sessions.homepage &#60;str&#62; (default: "")</dt><dd>The URI to load either at startup time when no URI was given on the
+command line or when requested by the goto-url-home action. Set to
+"" if the environment variable <tt>WWW_HOME</tt> should be used as homepage
+URI instead.
 </dd><dt id="ui.sessions.keep_session_active">ui.sessions.keep_session_active [0|1] (default: 0)</dt><dd>Keep the session active even if the last terminal exits.
-</dd><dt id="ui.sessions.snapshot">ui.sessions.snapshot [0|1] (default: 0)</dt><dd>Automatically save a snapshot of all tabs periodically.
-This will periodically bookmark the tabs of each terminal in a separate folder
-for recovery after a crash.
+</dd><dt id="ui.sessions.snapshot">ui.sessions.snapshot [0|1] (default: 0)</dt><dd>Automatically save a snapshot of all tabs periodically. This will
+periodically bookmark the tabs of each terminal in a separate
+folder for recovery after a crash.
 <p>This feature requires bookmark support.
 </p></dd></dl><h3 id="ui.tabs">ui.tabs (Window tabs)</h3>
 <p>Window tabs settings.
@@ -1468,8 +1493,8 @@ even find this useful, although you may 
 <ul><li>0 is don't count down anything</li>
 <li>1 is count down, but don't show the timer</li>
 <li>2 is count down and show the timer near LEDs</li>
-</ul></dd><dt id="ui.timer.duration">ui.timer.duration &#60;num&#62; (default: 86400)</dt><dd>Inactivity timeout in seconds. The maximum of one day
-should be enough for just everyone (TM).
+</ul></dd><dt id="ui.timer.duration">ui.timer.duration &#60;num&#62; (default: 86400)</dt><dd>Inactivity timeout in seconds. The maximum of one day should be
+enough for just everyone (TM).
 </dd><dt id="ui.timer.action">ui.timer.action &#60;str&#62; (default: "")</dt><dd>Keybinding action to be triggered when timer reaches zero.
 </dd></dl>
 </div>
@@ -1479,7 +1504,7 @@ should be enough for just everyone (TM).
 </div>
 <div id="footer">
 <div id="footer-text">
-Last updated 21-Sep-2008 14:23:00 EEST
+Last updated 31-May-2009 12:11:53 EEST
 </div>
 </div>
 </body>
diff -pruN 0.12~pre2.dfsg0-1/doc/html/elinkskeys.5.html 0.12~pre4-1/doc/html/elinkskeys.5.html
--- 0.12~pre2.dfsg0-1/doc/html/elinkskeys.5.html	2008-09-21 12:23:04.000000000 +0100
+++ 0.12~pre4-1/doc/html/elinkskeys.5.html	2009-05-31 10:11:57.000000000 +0100
@@ -3,7 +3,7 @@
 <html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en">
 <head>
 <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
-<meta name="generator" content="AsciiDoc 8.2.2" />
+<meta name="generator" content="AsciiDoc 7.1.2" />
 <style type="text/css">
 /* Debug borders */
 p, li, dt, dd, div, pre, h1, h2, h3, h4, h5, h6 {
@@ -3037,7 +3037,7 @@ to asciidoc format and cleaned up by Jon
 </div>
 <div id="footer">
 <div id="footer-text">
-Last updated 21-Sep-2008 14:23:02 EEST
+Last updated 31-May-2009 12:11:55 EEST
 </div>
 </div>
 </body>
diff -pruN 0.12~pre2.dfsg0-1/doc/html/hacking.html 0.12~pre4-1/doc/html/hacking.html
--- 0.12~pre2.dfsg0-1/doc/html/hacking.html	2008-09-21 12:23:08.000000000 +0100
+++ 0.12~pre4-1/doc/html/hacking.html	2009-05-31 10:12:01.000000000 +0100
@@ -3,7 +3,7 @@
 <html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en">
 <head>
 <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
-<meta name="generator" content="AsciiDoc 8.2.2" />
+<meta name="generator" content="AsciiDoc 7.1.2" />
 <style type="text/css">
 /* Debug borders */
 p, li, dt, dd, div, pre, h1, h2, h3, h4, h5, h6 {
@@ -495,6 +495,79 @@ weird and ancient systems and we are alr
 remarkable implication of no C99 are no C++ (//) comments and declarations
 at the start of block only.</p>
 </div>
+<h2>Inline functions</h2>
+<div class="sectionbody">
+<p>Various standards and compilers set restrictions on inline functions:</p>
+<ul>
+<li>
+<p>
+C89 doesn't support them at all.
+</p>
+</li>
+<li>
+<p>
+According to C99 6.7.4p6, if a translation unit declares a function
+  as inline and not static, then it must also define that function.
+</p>
+</li>
+<li>
+<p>
+According to C99 6.7.4p3, an inline definition of a non-static
+  function must not contain any non-const static variables, and must
+  not refer to anything static outside of it.  According to C99
+  6.7.4p6 however, if the function is ever declared without inline or
+  with extern, then its definition is not an inline definition even if
+  the definition includes the inline keyword.
+</p>
+</li>
+<li>
+<p>
+Sun Studio 11 on Solaris 9 does not let non-static inline functions
+  refer to static identifiers.  Unlike C99 6.7.4p3, this seems to
+  apply to all definitions of inline functions, not only inline
+  definitions.  See ELinks bug 1047.
+</p>
+</li>
+<li>
+<p>
+GCC 4.3.1 warns if a function is declared inline after being called.
+  Perhaps it means such calls cannot be inlined.
+</p>
+</li>
+<li>
+<p>
+In C99, a function definition with extern inline means the compiler
+  should inline calls to that function and must also emit out-of-line
+  code that other translation units can call.  In GCC 4.3.1, it
+  instead means the out-of-line definition is elsewhere.
+</p>
+</li>
+</ul>
+<p>So to be portable to all of those, we use inline functions in only
+these ways:</p>
+<ul>
+<li>
+<p>
+Define as static inline in a *.c file.  Perhaps declare in that same
+  file.  On C89, we #define inline to nothing.
+</p>
+</li>
+<li>
+<p>
+Define as static inline in a *.h file.  Perhaps declare in that same
+  file.  On C89, we #define inline to nothing, and extra copies of the
+  function may then get emitted but anyway it'll work.
+</p>
+</li>
+<li>
+<p>
+Declare without inline in a <strong>.h file, and define with NONSTATIC_INLINE
+  in a </strong>.c file.  Perhaps also declare with NONSTATIC_INLINE in the same
+  *.c file.  On Sun Studio 11, we #define NONSTATIC_INLINE to nothing.
+</p>
+</li>
+</ul>
+</div>
 <h2>Comments</h2>
 <div class="sectionbody">
 <p>Use blank lines frequently to separate chunks of code.  And use magic <tt>/*</tt> and
@@ -862,7 +935,7 @@ diff -ru elinks/ elinks+mysuperfeature/ 
 </div></div>
 <p>Please manually remove any bloat like changes in ./configure, whitespace
 changes etc. ;-).</p>
-<p>We also accept output from <tt>cvs diff -u</tt> :).  The statement about bloat
+<p>We also accept output from <tt>git diff</tt> :).  The statement about bloat
 removing above still applies.</p>
 <p>Big patches are hard to review so if your feature involves a lot of changes
 please consider splitting it in appropriate bits. Appropriate could mean:</p>
@@ -904,7 +977,7 @@ to compile or execute in one of these mo
 </div>
 <div id="footer">
 <div id="footer-text">
-Last updated 21-Sep-2008 14:23:05 EEST
+Last updated 31-May-2009 12:11:58 EEST
 </div>
 </div>
 </body>
diff -pruN 0.12~pre2.dfsg0-1/doc/html/manual.html 0.12~pre4-1/doc/html/manual.html
--- 0.12~pre2.dfsg0-1/doc/html/manual.html	2008-09-21 12:23:26.000000000 +0100
+++ 0.12~pre4-1/doc/html/manual.html	2009-05-31 10:12:17.000000000 +0100
@@ -3,7 +3,7 @@
 <html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en">
 <head>
 <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
-<meta name="generator" content="AsciiDoc 8.2.2" />
+<meta name="generator" content="AsciiDoc 7.1.2" />
 <style type="text/css">
 /* Debug borders */
 p, li, dt, dd, div, pre, h1, h2, h3, h4, h5, h6 {
@@ -351,8 +351,8 @@ have the following libraries and program
 <table rules="none"
 frame="hsides"
 cellspacing="0" cellpadding="4">
-<col width="274" />
-<col width="605" />
+<col width="249" />
+<col width="550" />
 <thead>
   <tr>
     <th align="left">
@@ -377,7 +377,7 @@ cellspacing="0" cellpadding="4">
     zlib 1.2.0.2 or later
     </td>
     <td align="left">
-    For handling gzip or deflate compressed documents                           both locally and sent from server.
+    For handling gzip or deflate compressed documents                            both locally and sent from server.
     </td>
   </tr>
   <tr>
@@ -393,7 +393,7 @@ cellspacing="0" cellpadding="4">
     LZMA Utils
     </td>
     <td align="left">
-    Likewise, for LZMA compressed documents.                                    Version 4.32.5 should work.
+    Likewise, for LZMA compressed documents.                                     Version 4.32.5 should work.  XZ Utils does not work.
     </td>
   </tr>
   <tr>
@@ -406,6 +406,14 @@ cellspacing="0" cellpadding="4">
   </tr>
   <tr>
     <td align="left">
+    pkg-config
+    </td>
+    <td align="left">
+    Needed for locating some libraries (at least                                GNU TLS and TRE)
+    </td>
+  </tr>
+  <tr>
+    <td align="left">
     GPM
     </td>
     <td align="left">
@@ -422,10 +430,18 @@ cellspacing="0" cellpadding="4">
   </tr>
   <tr>
     <td align="left">
-    smbclient
+    <a href="http://laurikari.net/tre/">TRE</a>
     </td>
     <td align="left">
-    Program needed for smb:// protocol support.
+    For regexp searching.  Version 0.7.5 works.
+    </td>
+  </tr>
+  <tr>
+    <td align="left">
+    libsmbclient
+    </td>
+    <td align="left">
+    Library needed for smb:// protocol support.
     </td>
   </tr>
   <tr>
@@ -939,7 +955,7 @@ so most servers probably won't use it.</
 Version 4.32.5 works; 4.42.2alpha also works and understands a
 newer LZMA file format.  This version of ELinks does not support
 LZMA SDK from 7-Zip.</p>
-<p><strong>Default:</strong>  enabled if the library is installed</p>
+<p><strong>Default:</strong>  disabled</p>
 <h4><a id="CONFIG-IPV6"></a>IPv6 Protocol Support (<tt>CONFIG_IPV6</tt>)</h4>
 <p>You know this thing that was designed to obsolete IPv4 but only pasky,
 weirdos and projects supported with big funds really use. ;-)</p>
@@ -4622,7 +4638,7 @@ displayed.</p>
 </div>
 <div id="footer">
 <div id="footer-text">
-Last updated 21-Sep-2008 14:23:09 EEST
+Last updated 31-May-2009 12:12:02 EEST
 </div>
 </div>
 </body>
diff -pruN 0.12~pre2.dfsg0-1/doc/html/manual.html-chunked/ch01.html 0.12~pre4-1/doc/html/manual.html-chunked/ch01.html
--- 0.12~pre2.dfsg0-1/doc/html/manual.html-chunked/ch01.html	2008-09-21 12:23:53.000000000 +0100
+++ 0.12~pre4-1/doc/html/manual.html-chunked/ch01.html	2009-05-31 10:12:41.000000000 +0100
@@ -1,5 +1,5 @@
-<html><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8"><title>Chapter 1. Getting ELinks up and running</title><meta name="generator" content="DocBook XSL Stylesheets V1.73.2"><link rel="start" href="index.html" title="The ELinks Manual"><link rel="up" href="index.html" title="The ELinks Manual"><link rel="prev" href="pr01.html" title="Preface"><link rel="next" href="ch01s02.html" title="Requirements"></head><body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF"><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">Chapter 1. Getting ELinks up and running</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="pr01.html">Prev</a> </td><th width="60%" align="center"> </th><td width="20%" align="right"> <a accesskey="n" href="ch01s02.html">Next</a></td></tr></table><hr></div><div class="chapter" lang="en"><div class="titlepage"><div><div><h2 class="title"><a name="id2494456"></a>Chapter 1. Getting ELinks up and running</h2></div></div></div><div class="toc"><p><b>Table of Contents</b></p><dl><dt><span class="section"><a href="ch01.html#id2494470">Building and Installing ELinks</a></span></dt><dt><span class="section"><a href="ch01s02.html">Requirements</a></span></dt><dt><span class="section"><a href="ch01s03.html">Recommended Libraries and Programs</a></span></dt><dt><span class="section"><a href="ch01s04.html">Further reading</a></span></dt><dt><span class="section"><a href="ch01s05.html">Tips to obtain a very small static elinks binary</a></span></dt><dt><span class="section"><a href="ch01s06.html">ECMAScript support?!</a></span></dt><dd><dl><dt><span class="section"><a href="ch01s06.html#id2544948">Ok, so how to get the ECMAScript support working?</a></span></dt><dt><span class="section"><a href="ch01s06.html#id2545223">The ECMAScript support is buggy! Shall I blame Mozilla people?</a></span></dt><dt><span class="section"><a href="ch01s06.html#id2545247">Now, I would still like NJS or a new JS engine from scratch…</a></span></dt></dl></dd><dt><span class="section"><a href="ch01s07.html">Feature configuration file (<code class="literal">features.conf</code>)</a></span></dt><dd><dl><dt><span class="section"><a href="ch01s07.html#id2545326">Notes for users</a></span></dt><dt><span class="section"><a href="ch01s07.html#CONFIG-BOOKMARKS">Bookmarks (<code class="literal">CONFIG_BOOKMARKS</code>)</a></span></dt><dt><span class="section"><a href="ch01s07.html#CONFIG-XBEL-BOOKMARKS">XBEL Bookmarks (<code class="literal">CONFIG_XBEL_BOOKMARKS</code>)</a></span></dt><dt><span class="section"><a href="ch01s07.html#CONFIG-COOKIES">Cookies (<code class="literal">CONFIG_COOKIES</code>)</a></span></dt><dt><span class="section"><a href="ch01s07.html#CONFIG-FORMHIST">Form History (<code class="literal">CONFIG_FORMHIST</code>)</a></span></dt><dt><span class="section"><a href="ch01s07.html#CONFIG-GLOBHIST">Global History (<code class="literal">CONFIG_GLOBHIST</code>)</a></span></dt><dt><span class="section"><a href="ch01s07.html#id2545609">MIME</a></span></dt><dt><span class="section"><a href="ch01s07.html#CONFIG-MAILCAP">Mailcap (<code class="literal">CONFIG_MAILCAP</code>)</a></span></dt><dt><span class="section"><a href="ch01s07.html#CONFIG-MIMETYPES">Mimetypes File (<code class="literal">CONFIG_MIMETYPES</code>)</a></span></dt><dt><span class="section"><a href="ch01s07.html#CONFIG-GZIP">Gzip and Deflate Decompression (<code class="literal">CONFIG_GZIP</code>)</a></span></dt><dt><span class="section"><a href="ch01s07.html#CONFIG-BZIP2">Bzip2 Decompression (<code class="literal">CONFIG_BZIP2</code>)</a></span></dt><dt><span class="section"><a href="ch01s07.html#CONFIG-LZMA">LZMA Decompression (<code class="literal">CONFIG_LZMA</code>)</a></span></dt><dt><span class="section"><a href="ch01s07.html#CONFIG-IPV6">IPv6 Protocol Support (<code class="literal">CONFIG_IPV6</code>)</a></span></dt><dt><span class="section"><a href="ch01s07.html#CONFIG-URI-REWRITE">URI Rewriting (<code class="literal">CONFIG_URI_REWRITE</code>)</a></span></dt><dt><span class="section"><a href="ch01s07.html#CONFIG-BITTORRENT">BitTorrent Protocol Support (<code class="literal">CONFIG_BITTORRENT</code>)</a></span></dt><dt><span class="section"><a href="ch01s07.html#CONFIG-CGI">Local CGI Support (<code class="literal">CONFIG_CGI</code>)</a></span></dt><dt><span class="section"><a href="ch01s07.html#CONFIG-DATA">Data URI protocol (<code class="literal">CONFIG_DATA</code>)</a></span></dt><dt><span class="section"><a href="ch01s07.html#CONFIG-FINGER">Finger User Information Protocol Support (<code class="literal">CONFIG_FINGER</code>)</a></span></dt><dt><span class="section"><a href="ch01s07.html#CONFIG-FSP">File Service Protocol (<code class="literal">CONFIG_FSP</code>)</a></span></dt><dt><span class="section"><a href="ch01s07.html#CONFIG-FTP">File Transfer Protocol Support (<code class="literal">CONFIG_FTP</code>)</a></span></dt><dt><span class="section"><a href="ch01s07.html#CONFIG-GOPHER">Gopher Protocol Support (<code class="literal">CONFIG_GOPHER</code>)</a></span></dt><dt><span class="section"><a href="ch01s07.html#CONFIG-NNTP">NNTP Protocol Support (<code class="literal">CONFIG_NNTP</code>)</a></span></dt><dt><span class="section"><a href="ch01s07.html#CONFIG-SMB">SMB Protocol Support (<code class="literal">CONFIG_SMB</code>)</a></span></dt><dt><span class="section"><a href="ch01s07.html#CONFIG-CSS">Cascading Style Sheets (<code class="literal">CONFIG_CSS</code>)</a></span></dt><dt><span class="section"><a href="ch01s07.html#CONFIG-HTML-HIGHLIGHT">HTML Highlighting (<code class="literal">CONFIG_HTML_HIGHLIGHT</code>)</a></span></dt><dt><span class="section"><a href="ch01s07.html#CONFIG-SCRIPTING-SPIDERMONKEY">ECMAScript (JavaScript) Browser Scripting (<code class="literal">CONFIG_SCRIPTING_SPIDERMONKEY</code>)</a></span></dt><dt><span class="section"><a href="ch01s07.html#CONFIG-MOUSE">Mouse Support (<code class="literal">CONFIG_MOUSE</code>)</a></span></dt><dt><span class="section"><a href="ch01s07.html#CONFIG-88-COLORS">88 Colors in Terminals (<code class="literal">CONFIG_88_COLORS</code>)</a></span></dt><dt><span class="section"><a href="ch01s07.html#CONFIG-256-COLORS">256 Colors in Terminals (<code class="literal">CONFIG_256_COLORS</code>)</a></span></dt><dt><span class="section"><a href="ch01s07.html#CONFIG-TRUE-COLOR">True color (<code class="literal">CONFIG_TRUE_COLOR</code>)</a></span></dt><dt><span class="section"><a href="ch01s07.html#CONFIG-EXMODE">Ex-mode Interface (<code class="literal">CONFIG_EXMODE</code>)</a></span></dt><dt><span class="section"><a href="ch01s07.html#CONFIG-LEDS">LEDs (<code class="literal">CONFIG_LEDS</code>)</a></span></dt><dt><span class="section"><a href="ch01s07.html#CONFIG-MARKS">Document Marks (<code class="literal">CONFIG_MARKS</code>)</a></span></dt><dt><span class="section"><a href="ch01s07.html#CONFIG-DEBUG">Debug mode (<code class="literal">CONFIG_DEBUG</code>)</a></span></dt><dt><span class="section"><a href="ch01s07.html#CONFIG-FASTMEM">Fast mode (<code class="literal">CONFIG_FASTMEM</code>)</a></span></dt><dt><span class="section"><a href="ch01s07.html#CONFIG-OWN-LIBC">Own C library functions (<code class="literal">CONFIG_OWN_LIBC</code>)</a></span></dt><dt><span class="section"><a href="ch01s07.html#CONFIG-SMALL">Small binary (<code class="literal">CONFIG_SMALL</code>)</a></span></dt><dt><span class="section"><a href="ch01s07.html#CONFIG-UTF8">Unicode UTF-8 support (<code class="literal">CONFIG_UTF8</code>)</a></span></dt><dt><span class="section"><a href="ch01s07.html#CONFIG-BACKTRACE">Back-trace Printing (<code class="literal">CONFIG_BACKTRACE</code>)</a></span></dt><dt><span class="section"><a href="ch01s07.html#CONFIG-NO-ROOT-EXEC">Disable Root User (<code class="literal">CONFIG_NO_ROOT_EXEC</code>)</a></span></dt></dl></dd></dl></div><p>Installing ELinks should be pretty easy on most systems. Below is described
-the whole process of configuring the compilation, compiling and installing.</p><div class="section" lang="en"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a name="id2494470"></a>Building and Installing ELinks</h2></div></div></div><p>The quick guide for the impatient. Issue the following commands from the
+<html><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8"><title>Chapter 1. Getting ELinks up and running</title><meta name="generator" content="DocBook XSL Stylesheets V1.73.2"><link rel="start" href="index.html" title="The ELinks Manual"><link rel="up" href="index.html" title="The ELinks Manual"><link rel="prev" href="pr01.html" title="Preface"><link rel="next" href="ch01s02.html" title="Requirements"></head><body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF"><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">Chapter 1. Getting ELinks up and running</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="pr01.html">Prev</a> </td><th width="60%" align="center"> </th><td width="20%" align="right"> <a accesskey="n" href="ch01s02.html">Next</a></td></tr></table><hr></div><div class="chapter" lang="en"><div class="titlepage"><div><div><h2 class="title"><a name="id2572483"></a>Chapter 1. Getting ELinks up and running</h2></div></div></div><div class="toc"><p><b>Table of Contents</b></p><dl><dt><span class="section"><a href="ch01.html#id2572497">Building and Installing ELinks</a></span></dt><dt><span class="section"><a href="ch01s02.html">Requirements</a></span></dt><dt><span class="section"><a href="ch01s03.html">Recommended Libraries and Programs</a></span></dt><dt><span class="section"><a href="ch01s04.html">Further reading</a></span></dt><dt><span class="section"><a href="ch01s05.html">Tips to obtain a very small static elinks binary</a></span></dt><dt><span class="section"><a href="ch01s06.html">ECMAScript support?!</a></span></dt><dd><dl><dt><span class="section"><a href="ch01s06.html#id2573705">Ok, so how to get the ECMAScript support working?</a></span></dt><dt><span class="section"><a href="ch01s06.html#id2623277">The ECMAScript support is buggy! Shall I blame Mozilla people?</a></span></dt><dt><span class="section"><a href="ch01s06.html#id2623301">Now, I would still like NJS or a new JS engine from scratch…</a></span></dt></dl></dd><dt><span class="section"><a href="ch01s07.html">Feature configuration file (<code class="literal">features.conf</code>)</a></span></dt><dd><dl><dt><span class="section"><a href="ch01s07.html#id2623381">Notes for users</a></span></dt><dt><span class="section"><a href="ch01s07.html#CONFIG-BOOKMARKS">Bookmarks (<code class="literal">CONFIG_BOOKMARKS</code>)</a></span></dt><dt><span class="section"><a href="ch01s07.html#CONFIG-XBEL-BOOKMARKS">XBEL Bookmarks (<code class="literal">CONFIG_XBEL_BOOKMARKS</code>)</a></span></dt><dt><span class="section"><a href="ch01s07.html#CONFIG-COOKIES">Cookies (<code class="literal">CONFIG_COOKIES</code>)</a></span></dt><dt><span class="section"><a href="ch01s07.html#CONFIG-FORMHIST">Form History (<code class="literal">CONFIG_FORMHIST</code>)</a></span></dt><dt><span class="section"><a href="ch01s07.html#CONFIG-GLOBHIST">Global History (<code class="literal">CONFIG_GLOBHIST</code>)</a></span></dt><dt><span class="section"><a href="ch01s07.html#id2572064">MIME</a></span></dt><dt><span class="section"><a href="ch01s07.html#CONFIG-MAILCAP">Mailcap (<code class="literal">CONFIG_MAILCAP</code>)</a></span></dt><dt><span class="section"><a href="ch01s07.html#CONFIG-MIMETYPES">Mimetypes File (<code class="literal">CONFIG_MIMETYPES</code>)</a></span></dt><dt><span class="section"><a href="ch01s07.html#CONFIG-GZIP">Gzip and Deflate Decompression (<code class="literal">CONFIG_GZIP</code>)</a></span></dt><dt><span class="section"><a href="ch01s07.html#CONFIG-BZIP2">Bzip2 Decompression (<code class="literal">CONFIG_BZIP2</code>)</a></span></dt><dt><span class="section"><a href="ch01s07.html#CONFIG-LZMA">LZMA Decompression (<code class="literal">CONFIG_LZMA</code>)</a></span></dt><dt><span class="section"><a href="ch01s07.html#CONFIG-IPV6">IPv6 Protocol Support (<code class="literal">CONFIG_IPV6</code>)</a></span></dt><dt><span class="section"><a href="ch01s07.html#CONFIG-URI-REWRITE">URI Rewriting (<code class="literal">CONFIG_URI_REWRITE</code>)</a></span></dt><dt><span class="section"><a href="ch01s07.html#CONFIG-BITTORRENT">BitTorrent Protocol Support (<code class="literal">CONFIG_BITTORRENT</code>)</a></span></dt><dt><span class="section"><a href="ch01s07.html#CONFIG-CGI">Local CGI Support (<code class="literal">CONFIG_CGI</code>)</a></span></dt><dt><span class="section"><a href="ch01s07.html#CONFIG-DATA">Data URI protocol (<code class="literal">CONFIG_DATA</code>)</a></span></dt><dt><span class="section"><a href="ch01s07.html#CONFIG-FINGER">Finger User Information Protocol Support (<code class="literal">CONFIG_FINGER</code>)</a></span></dt><dt><span class="section"><a href="ch01s07.html#CONFIG-FSP">File Service Protocol (<code class="literal">CONFIG_FSP</code>)</a></span></dt><dt><span class="section"><a href="ch01s07.html#CONFIG-FTP">File Transfer Protocol Support (<code class="literal">CONFIG_FTP</code>)</a></span></dt><dt><span class="section"><a href="ch01s07.html#CONFIG-GOPHER">Gopher Protocol Support (<code class="literal">CONFIG_GOPHER</code>)</a></span></dt><dt><span class="section"><a href="ch01s07.html#CONFIG-NNTP">NNTP Protocol Support (<code class="literal">CONFIG_NNTP</code>)</a></span></dt><dt><span class="section"><a href="ch01s07.html#CONFIG-SMB">SMB Protocol Support (<code class="literal">CONFIG_SMB</code>)</a></span></dt><dt><span class="section"><a href="ch01s07.html#CONFIG-CSS">Cascading Style Sheets (<code class="literal">CONFIG_CSS</code>)</a></span></dt><dt><span class="section"><a href="ch01s07.html#CONFIG-HTML-HIGHLIGHT">HTML Highlighting (<code class="literal">CONFIG_HTML_HIGHLIGHT</code>)</a></span></dt><dt><span class="section"><a href="ch01s07.html#CONFIG-SCRIPTING-SPIDERMONKEY">ECMAScript (JavaScript) Browser Scripting (<code class="literal">CONFIG_SCRIPTING_SPIDERMONKEY</code>)</a></span></dt><dt><span class="section"><a href="ch01s07.html#CONFIG-MOUSE">Mouse Support (<code class="literal">CONFIG_MOUSE</code>)</a></span></dt><dt><span class="section"><a href="ch01s07.html#CONFIG-88-COLORS">88 Colors in Terminals (<code class="literal">CONFIG_88_COLORS</code>)</a></span></dt><dt><span class="section"><a href="ch01s07.html#CONFIG-256-COLORS">256 Colors in Terminals (<code class="literal">CONFIG_256_COLORS</code>)</a></span></dt><dt><span class="section"><a href="ch01s07.html#CONFIG-TRUE-COLOR">True color (<code class="literal">CONFIG_TRUE_COLOR</code>)</a></span></dt><dt><span class="section"><a href="ch01s07.html#CONFIG-EXMODE">Ex-mode Interface (<code class="literal">CONFIG_EXMODE</code>)</a></span></dt><dt><span class="section"><a href="ch01s07.html#CONFIG-LEDS">LEDs (<code class="literal">CONFIG_LEDS</code>)</a></span></dt><dt><span class="section"><a href="ch01s07.html#CONFIG-MARKS">Document Marks (<code class="literal">CONFIG_MARKS</code>)</a></span></dt><dt><span class="section"><a href="ch01s07.html#CONFIG-DEBUG">Debug mode (<code class="literal">CONFIG_DEBUG</code>)</a></span></dt><dt><span class="section"><a href="ch01s07.html#CONFIG-FASTMEM">Fast mode (<code class="literal">CONFIG_FASTMEM</code>)</a></span></dt><dt><span class="section"><a href="ch01s07.html#CONFIG-OWN-LIBC">Own C library functions (<code class="literal">CONFIG_OWN_LIBC</code>)</a></span></dt><dt><span class="section"><a href="ch01s07.html#CONFIG-SMALL">Small binary (<code class="literal">CONFIG_SMALL</code>)</a></span></dt><dt><span class="section"><a href="ch01s07.html#CONFIG-UTF8">Unicode UTF-8 support (<code class="literal">CONFIG_UTF8</code>)</a></span></dt><dt><span class="section"><a href="ch01s07.html#CONFIG-BACKTRACE">Back-trace Printing (<code class="literal">CONFIG_BACKTRACE</code>)</a></span></dt><dt><span class="section"><a href="ch01s07.html#CONFIG-NO-ROOT-EXEC">Disable Root User (<code class="literal">CONFIG_NO_ROOT_EXEC</code>)</a></span></dt></dl></dd></dl></div><p>Installing ELinks should be pretty easy on most systems. Below is described
+the whole process of configuring the compilation, compiling and installing.</p><div class="section" lang="en"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a name="id2572497"></a>Building and Installing ELinks</h2></div></div></div><p>The quick guide for the impatient. Issue the following commands from the
 ELinks source directory:</p><pre class="literallayout">$ ./configure &amp;&amp; make &amp;&amp; make install</pre><p>However you might consider to tweek a few compile time options before building
 ELinks. You might also want to take a look at what libraries and programs are
 required or recommended that you install.</p></div></div><div class="navfooter"><hr><table width="100%" summary="Navigation footer"><tr><td width="40%" align="left"><a accesskey="p" href="pr01.html">Prev</a> </td><td width="20%" align="center"> </td><td width="40%" align="right"> <a accesskey="n" href="ch01s02.html">Next</a></td></tr><tr><td width="40%" align="left" valign="top">Preface </td><td width="20%" align="center"><a accesskey="h" href="index.html">Home</a></td><td width="40%" align="right" valign="top"> Requirements</td></tr></table></div></body></html>
diff -pruN 0.12~pre2.dfsg0-1/doc/html/manual.html-chunked/ch01s02.html 0.12~pre4-1/doc/html/manual.html-chunked/ch01s02.html
--- 0.12~pre2.dfsg0-1/doc/html/manual.html-chunked/ch01s02.html	2008-09-21 12:23:51.000000000 +0100
+++ 0.12~pre4-1/doc/html/manual.html-chunked/ch01s02.html	2009-05-31 10:12:39.000000000 +0100
@@ -1,4 +1,4 @@
-<html><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8"><title>Requirements</title><meta name="generator" content="DocBook XSL Stylesheets V1.73.2"><link rel="start" href="index.html" title="The ELinks Manual"><link rel="up" href="ch01.html" title="Chapter 1. Getting ELinks up and running"><link rel="prev" href="ch01.html" title="Chapter 1. Getting ELinks up and running"><link rel="next" href="ch01s03.html" title="Recommended Libraries and Programs"></head><body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF"><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">Requirements</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="ch01.html">Prev</a> </td><th width="60%" align="center">Chapter 1. Getting ELinks up and running</th><td width="20%" align="right"> <a accesskey="n" href="ch01s03.html">Next</a></td></tr></table><hr></div><div class="section" lang="en"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a name="id2494499"></a>Requirements</h2></div></div></div><p>To successfully install ELinks all that is required is GNU make
+<html><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8"><title>Requirements</title><meta name="generator" content="DocBook XSL Stylesheets V1.73.2"><link rel="start" href="index.html" title="The ELinks Manual"><link rel="up" href="ch01.html" title="Chapter 1. Getting ELinks up and running"><link rel="prev" href="ch01.html" title="Chapter 1. Getting ELinks up and running"><link rel="next" href="ch01s03.html" title="Recommended Libraries and Programs"></head><body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF"><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">Requirements</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="ch01.html">Prev</a> </td><th width="60%" align="center">Chapter 1. Getting ELinks up and running</th><td width="20%" align="right"> <a accesskey="n" href="ch01s03.html">Next</a></td></tr></table><hr></div><div class="section" lang="en"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a name="id2572526"></a>Requirements</h2></div></div></div><p>To successfully install ELinks all that is required is GNU make
 (version 3.78 or later) and a C compiler. If you want to install
 directly from GIT it is also required that automake and autoconf
 is installed on your system.</p></div><div class="navfooter"><hr><table width="100%" summary="Navigation footer"><tr><td width="40%" align="left"><a accesskey="p" href="ch01.html">Prev</a> </td><td width="20%" align="center"><a accesskey="u" href="ch01.html">Up</a></td><td width="40%" align="right"> <a accesskey="n" href="ch01s03.html">Next</a></td></tr><tr><td width="40%" align="left" valign="top">Chapter 1. Getting ELinks up and running </td><td width="20%" align="center"><a accesskey="h" href="index.html">Home</a></td><td width="40%" align="right" valign="top"> Recommended Libraries and Programs</td></tr></table></div></body></html>
diff -pruN 0.12~pre2.dfsg0-1/doc/html/manual.html-chunked/ch01s03.html 0.12~pre4-1/doc/html/manual.html-chunked/ch01s03.html
--- 0.12~pre2.dfsg0-1/doc/html/manual.html-chunked/ch01s03.html	2008-09-21 12:23:51.000000000 +0100
+++ 0.12~pre4-1/doc/html/manual.html-chunked/ch01s03.html	2009-05-31 10:12:39.000000000 +0100
@@ -1,4 +1,4 @@
-<html><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8"><title>Recommended Libraries and Programs</title><meta name="generator" content="DocBook XSL Stylesheets V1.73.2"><link rel="start" href="index.html" title="The ELinks Manual"><link rel="up" href="ch01.html" title="Chapter 1. Getting ELinks up and running"><link rel="prev" href="ch01s02.html" title="Requirements"><link rel="next" href="ch01s04.html" title="Further reading"></head><body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF"><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">Recommended Libraries and Programs</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="ch01s02.html">Prev</a> </td><th width="60%" align="center">Chapter 1. Getting ELinks up and running</th><td width="20%" align="right"> <a accesskey="n" href="ch01s04.html">Next</a></td></tr></table><hr></div><div class="section" lang="en"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a name="id2494513"></a>Recommended Libraries and Programs</h2></div></div></div><p>To make use of many of ELinks features you will need to have some external
+<html><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8"><title>Recommended Libraries and Programs</title><meta name="generator" content="DocBook XSL Stylesheets V1.73.2"><link rel="start" href="index.html" title="The ELinks Manual"><link rel="up" href="ch01.html" title="Chapter 1. Getting ELinks up and running"><link rel="prev" href="ch01s02.html" title="Requirements"><link rel="next" href="ch01s04.html" title="Further reading"></head><body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF"><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">Recommended Libraries and Programs</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="ch01s02.html">Prev</a> </td><th width="60%" align="center">Chapter 1. Getting ELinks up and running</th><td width="20%" align="right"> <a accesskey="n" href="ch01s04.html">Next</a></td></tr></table><hr></div><div class="section" lang="en"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a name="id2572541"></a>Recommended Libraries and Programs</h2></div></div></div><p>To make use of many of ELinks features you will need to have some external
 libraries and utility programs installed on your system. It is recommended to
 have the following libraries and programs installed:</p><div class="informaltable"><table border="1"><colgroup><col align="left"><col align="left"></colgroup><thead><tr><th align="left">
     Dependency
@@ -11,7 +11,7 @@ have the following libraries and program
     </td></tr><tr><td align="left">
     zlib 1.2.0.2 or later
     </td><td align="left">
-    For handling gzip or deflate compressed documents                           both locally and sent from server.
+    For handling gzip or deflate compressed documents                            both locally and sent from server.
     </td></tr><tr><td align="left">
     bzip2
     </td><td align="left">
@@ -19,12 +19,16 @@ have the following libraries and program
     </td></tr><tr><td align="left">
     LZMA Utils
     </td><td align="left">
-    Likewise, for LZMA compressed documents.                                    Version 4.32.5 should work.
+    Likewise, for LZMA compressed documents.                                     Version 4.32.5 should work.  XZ Utils does not work.
     </td></tr><tr><td align="left">
     OpenSSL or GNU TLS
     </td><td align="left">
     For handling secure HTTP browsing.
     </td></tr><tr><td align="left">
+    pkg-config
+    </td><td align="left">
+    Needed for locating some libraries (at least                                GNU TLS and TRE)
+    </td></tr><tr><td align="left">
     GPM
     </td><td align="left">
     <span class="emphasis"><em>General Purpose Mouse</em></span> for mouse support.
@@ -33,9 +37,13 @@ have the following libraries and program
     </td><td align="left">
     <span class="emphasis"><em>XML Parser Toolkit</em></span> needed for XBEL support.
     </td></tr><tr><td align="left">
-    smbclient
+    <a class="ulink" href="http://laurikari.net/tre/" target="_top">TRE</a>
+    </td><td align="left">
+    For regexp searching.  Version 0.7.5 works.
+    </td></tr><tr><td align="left">
+    libsmbclient
     </td><td align="left">
-    Program needed for smb:// protocol support.
+    Library needed for smb:// protocol support.
     </td></tr><tr><td align="left">
     rxvt-unicode
     </td><td align="left">
diff -pruN 0.12~pre2.dfsg0-1/doc/html/manual.html-chunked/ch01s04.html 0.12~pre4-1/doc/html/manual.html-chunked/ch01s04.html
--- 0.12~pre2.dfsg0-1/doc/html/manual.html-chunked/ch01s04.html	2008-09-21 12:23:51.000000000 +0100
+++ 0.12~pre4-1/doc/html/manual.html-chunked/ch01s04.html	2009-05-31 10:12:39.000000000 +0100
@@ -1,3 +1,3 @@
-<html><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8"><title>Further reading</title><meta name="generator" content="DocBook XSL Stylesheets V1.73.2"><link rel="start" href="index.html" title="The ELinks Manual"><link rel="up" href="ch01.html" title="Chapter 1. Getting ELinks up and running"><link rel="prev" href="ch01s03.html" title="Recommended Libraries and Programs"><link rel="next" href="ch01s05.html" title="Tips to obtain a very small static elinks binary"></head><body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF"><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">Further reading</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="ch01s03.html">Prev</a> </td><th width="60%" align="center">Chapter 1. Getting ELinks up and running</th><td width="20%" align="right"> <a accesskey="n" href="ch01s05.html">Next</a></td></tr></table><hr></div><div class="section" lang="en"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a name="id2494917"></a>Further reading</h2></div></div></div><p>This installation guide is far from being complete. You are also advised to
+<html><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8"><title>Further reading</title><meta name="generator" content="DocBook XSL Stylesheets V1.73.2"><link rel="start" href="index.html" title="The ELinks Manual"><link rel="up" href="ch01.html" title="Chapter 1. Getting ELinks up and running"><link rel="prev" href="ch01s03.html" title="Recommended Libraries and Programs"><link rel="next" href="ch01s05.html" title="Tips to obtain a very small static elinks binary"></head><body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF"><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">Further reading</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="ch01s03.html">Prev</a> </td><th width="60%" align="center">Chapter 1. Getting ELinks up and running</th><td width="20%" align="right"> <a accesskey="n" href="ch01s05.html">Next</a></td></tr></table><hr></div><div class="section" lang="en"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a name="id2572966"></a>Further reading</h2></div></div></div><p>This installation guide is far from being complete. You are also advised to
 read the <code class="literal">README</code> and the <code class="literal">INSTALL</code> files distributed with ELinks for further
 up to date info on building and installing.</p></div><div class="navfooter"><hr><table width="100%" summary="Navigation footer"><tr><td width="40%" align="left"><a accesskey="p" href="ch01s03.html">Prev</a> </td><td width="20%" align="center"><a accesskey="u" href="ch01.html">Up</a></td><td width="40%" align="right"> <a accesskey="n" href="ch01s05.html">Next</a></td></tr><tr><td width="40%" align="left" valign="top">Recommended Libraries and Programs </td><td width="20%" align="center"><a accesskey="h" href="index.html">Home</a></td><td width="40%" align="right" valign="top"> Tips to obtain a very small static elinks binary</td></tr></table></div></body></html>
diff -pruN 0.12~pre2.dfsg0-1/doc/html/manual.html-chunked/ch01s05.html 0.12~pre4-1/doc/html/manual.html-chunked/ch01s05.html
--- 0.12~pre2.dfsg0-1/doc/html/manual.html-chunked/ch01s05.html	2008-09-21 12:23:52.000000000 +0100
+++ 0.12~pre4-1/doc/html/manual.html-chunked/ch01s05.html	2009-05-31 10:12:40.000000000 +0100
@@ -1,4 +1,4 @@
-<html><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8"><title>Tips to obtain a very small static elinks binary</title><meta name="generator" content="DocBook XSL Stylesheets V1.73.2"><link rel="start" href="index.html" title="The ELinks Manual"><link rel="up" href="ch01.html" title="Chapter 1. Getting ELinks up and running"><link rel="prev" href="ch01s04.html" title="Further reading"><link rel="next" href="ch01s06.html" title="ECMAScript support?!"></head><body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF"><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">Tips to obtain a very small static elinks binary</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="ch01s04.html">Prev</a> </td><th width="60%" align="center">Chapter 1. Getting ELinks up and running</th><td width="20%" align="right"> <a accesskey="n" href="ch01s06.html">Next</a></td></tr></table><hr></div><div class="section" lang="en"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a name="id2494945"></a>Tips to obtain a very small static elinks binary</h2></div></div></div><p>Tips to obtain a very small static elinks binary suitable for mini
+<html><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8"><title>Tips to obtain a very small static elinks binary</title><meta name="generator" content="DocBook XSL Stylesheets V1.73.2"><link rel="start" href="index.html" title="The ELinks Manual"><link rel="up" href="ch01.html" title="Chapter 1. Getting ELinks up and running"><link rel="prev" href="ch01s04.html" title="Further reading"><link rel="next" href="ch01s06.html" title="ECMAScript support?!"></head><body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF"><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">Tips to obtain a very small static elinks binary</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="ch01s04.html">Prev</a> </td><th width="60%" align="center">Chapter 1. Getting ELinks up and running</th><td width="20%" align="right"> <a accesskey="n" href="ch01s06.html">Next</a></td></tr></table><hr></div><div class="section" lang="en"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a name="id2572994"></a>Tips to obtain a very small static elinks binary</h2></div></div></div><p>Tips to obtain a very small static elinks binary suitable for mini
 distributions</p><p>Remove config.cache (previous CC may be cached):</p><pre class="literallayout">$ rm config.cache</pre><p>Use dietlibc (http://www.fefe.de/dietlibc/) or similar stuff (uClibc, …):</p><pre class="literallayout">$ export CC='diet -Os gcc'</pre><p>Use compilers flags to optimize for size:</p><pre class="literallayout">$ export CFLAGS='-s -fno-inline -nostdinc -fomit-frame-pointer'</pre><p>Note that if you don't use dietlibc, you definitively want to add <code class="literal">-Os</code> or
 <code class="literal">-O2</code> to <code class="literal">CFLAGS</code>; GCC 2.95 does not know <code class="literal">-Os</code>, and some say <code class="literal">-O2</code> gives
 smaller executables even for GCC 3.x.</p><div class="tip" style="margin-left: 0.5in; margin-right: 0.5in;"><h3 class="title">Tip</h3><p>If you use these <code class="literal">CFLAGS</code> on Cygwin and you get unresolved symbols (<code class="literal">htons</code> and
diff -pruN 0.12~pre2.dfsg0-1/doc/html/manual.html-chunked/ch01s06.html 0.12~pre4-1/doc/html/manual.html-chunked/ch01s06.html
--- 0.12~pre2.dfsg0-1/doc/html/manual.html-chunked/ch01s06.html	2008-09-21 12:23:52.000000000 +0100
+++ 0.12~pre4-1/doc/html/manual.html-chunked/ch01s06.html	2009-05-31 10:12:40.000000000 +0100
@@ -9,7 +9,7 @@ documentation; is not actively developed
 extremely clumsy to work with. So we instead went the way of the SpiderMonkey
 (SM) engine (property of Mozilla), which is hard to install, bigger (mind you,
 it comes from Mozilla ;), has ugly naming scheme but nice calling conventions,
-acceptable documentation, is actively developed and ought to work.</p><div class="section" lang="en"><div class="titlepage"><div><div><h3 class="title"><a name="id2544948"></a>Ok, so how to get the ECMAScript support working?</h3></div></div></div><p>Some systems come with either the SpiderMonkey installed or as an option. It
+acceptable documentation, is actively developed and ought to work.</p><div class="section" lang="en"><div class="titlepage"><div><div><h3 class="title"><a name="id2573705"></a>Ok, so how to get the ECMAScript support working?</h3></div></div></div><p>Some systems come with either the SpiderMonkey installed or as an option. It
 would be good to test if you can take the easy path and let the system take
 care of installation through a package system. Below are listed instructions
 on what package you need to install on various systems (please help improve
@@ -40,12 +40,12 @@ see you on #elinks @ FreeNode or in the 
 You may add your options to <code class="literal">./configure</code> as usual; SpiderMonkey should be
 autodetected.</p><pre class="literallayout">$ cd ../..
 $ ./configure</pre><p>Check for the following line in the features summary:</p><pre class="literallayout">ECMAScript (JavaScript) ......... SpiderMonkey document scripting</pre><p>Then run:</p><pre class="literallayout">$ make
-$ su -c 'make install'</pre><p>Enjoy.</p></div><div class="section" lang="en"><div class="titlepage"><div><div><h3 class="title"><a name="id2545223"></a>The ECMAScript support is buggy! Shall I blame Mozilla people?</h3></div></div></div><p>Likely not. The ECMAScript engine provides only the language compiler and some
+$ su -c 'make install'</pre><p>Enjoy.</p></div><div class="section" lang="en"><div class="titlepage"><div><div><h3 class="title"><a name="id2623277"></a>The ECMAScript support is buggy! Shall I blame Mozilla people?</h3></div></div></div><p>Likely not. The ECMAScript engine provides only the language compiler and some
 basic built-in objects, and it's more than likely that the problem is on our
 side in the implementation of some of the HTML/DOM objects (perhaps we just
 haven't bothered to implement it at all yet). So better tell us first, and if
 we think it's not our fault we will tell you to go complain to Mozilla (better
-yet if it does not work in the Mozilla browsers neither ;-).</p></div><div class="section" lang="en"><div class="titlepage"><div><div><h3 class="title"><a name="id2545247"></a>Now, I would still like NJS or a new JS engine from scratch…</h3></div></div></div><p>...and you don't fear some coding? That's fine then! ELinks is in no way tied
+yet if it does not work in the Mozilla browsers neither ;-).</p></div><div class="section" lang="en"><div class="titlepage"><div><div><h3 class="title"><a name="id2623301"></a>Now, I would still like NJS or a new JS engine from scratch…</h3></div></div></div><p>...and you don't fear some coding? That's fine then! ELinks is in no way tied
 to SpiderMonkey, in fact the ECMAScript support was carefully implemented so
 that there are no SpiderMonkey references outside of
 <code class="literal">src/ecmascript/spidermonkey.*</code>. If you want to implement an alternative
diff -pruN 0.12~pre2.dfsg0-1/doc/html/manual.html-chunked/ch01s07.html 0.12~pre4-1/doc/html/manual.html-chunked/ch01s07.html
--- 0.12~pre2.dfsg0-1/doc/html/manual.html-chunked/ch01s07.html	2008-09-21 12:23:53.000000000 +0100
+++ 0.12~pre4-1/doc/html/manual.html-chunked/ch01s07.html	2009-05-31 10:12:41.000000000 +0100
@@ -1,4 +1,4 @@
-<html><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8"><title>Feature configuration file (features.conf)</title><meta name="generator" content="DocBook XSL Stylesheets V1.73.2"><link rel="start" href="index.html" title="The ELinks Manual"><link rel="up" href="ch01.html" title="Chapter 1. Getting ELinks up and running"><link rel="prev" href="ch01s06.html" title="ECMAScript support?!"><link rel="next" href="ch02.html" title="Chapter 2. Frequently Asked Questions"></head><body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF"><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">Feature configuration file (<code class="literal">features.conf</code>)</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="ch01s06.html">Prev</a> </td><th width="60%" align="center">Chapter 1. Getting ELinks up and running</th><td width="20%" align="right"> <a accesskey="n" href="ch02.html">Next</a></td></tr></table><hr></div><div class="section" lang="en"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a name="id2545282"></a>Feature configuration file (<code class="literal">features.conf</code>)</h2></div></div></div><p>This file contains various compile-time configuration settings, which you can
+<html><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8"><title>Feature configuration file (features.conf)</title><meta name="generator" content="DocBook XSL Stylesheets V1.73.2"><link rel="start" href="index.html" title="The ELinks Manual"><link rel="up" href="ch01.html" title="Chapter 1. Getting ELinks up and running"><link rel="prev" href="ch01s06.html" title="ECMAScript support?!"><link rel="next" href="ch02.html" title="Chapter 2. Frequently Asked Questions"></head><body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF"><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">Feature configuration file (<code class="literal">features.conf</code>)</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="ch01s06.html">Prev</a> </td><th width="60%" align="center">Chapter 1. Getting ELinks up and running</th><td width="20%" align="right"> <a accesskey="n" href="ch02.html">Next</a></td></tr></table><hr></div><div class="section" lang="en"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a name="id2623337"></a>Feature configuration file (<code class="literal">features.conf</code>)</h2></div></div></div><p>This file contains various compile-time configuration settings, which you can
 adjust below. You can fine-tune the ELinks binary to include really only what
 you want it to. It acts as a front-end to the configure script in the sense
 that it is possible to control any features in this file by passing arguments
@@ -7,7 +7,7 @@ overrule the values set in this file.</p
 configure script arguments though, so check ./configure --help out as well!</p><p>All dependency checking is done by the configure script so even though a
 feature is enabled here it is possible that it will be disabled at compile
 time if the dependencies are not met. Check the features.log file generated
-by the configure script to make sure.</p><div class="section" lang="en"><div class="titlepage"><div><div><h3 class="title"><a name="id2545326"></a>Notes for users</h3></div></div></div><p>All features that can be controlled using this file are already set to their
+by the configure script to make sure.</p><div class="section" lang="en"><div class="titlepage"><div><div><h3 class="title"><a name="id2623381"></a>Notes for users</h3></div></div></div><p>All features that can be controlled using this file are already set to their
 default values. The syntax used is hopefully familiar to most people.</p><p><span class="emphasis"><em>#</em></span> chars start a comment that runs until the end of the line.</p><p>The features are controlled by setting the various CONFIG_&lt;FEATURE&gt; variables
 to either <span class="emphasis"><em>yes</em></span> or <span class="emphasis"><em>no</em></span> depending on whether it should be enabled or disabled.
 So in order to disable bookmark support a line in this file should say:</p><pre class="literallayout">CONFIG_BOOKMARKS=no</pre><p>It is also possible to simply comment out the line in order to disable it.
@@ -41,7 +41,7 @@ records that you visited it, when did yo
 Then, you can see when did you visit a link last time (and what was the title
 of the target document at that time), links can be coloured as visited etc.</p><p>If you disable this feature, you will not lose any crucial functionality, just
 some relatively minor convenience features, which can nevertheless prove
-sometimes very practical.</p><p><span class="strong"><strong>Default:</strong></span>  enabled</p></div><div class="section" lang="en"><div class="titlepage"><div><div><h3 class="title"><a name="id2545609"></a>MIME</h3></div></div></div><p>ELinks uses a MIME system for determining the content type of documents and
+sometimes very practical.</p><p><span class="strong"><strong>Default:</strong></span>  enabled</p></div><div class="section" lang="en"><div class="titlepage"><div><div><h3 class="title"><a name="id2572064"></a>MIME</h3></div></div></div><p>ELinks uses a MIME system for determining the content type of documents and
 configuring programs for external handling. By default the option system can
 be used to configure how media types are handled. More info about how to set
 up the MIME handling using the option system can be found in the doc/mime.html
@@ -66,7 +66,7 @@ but this encoding has not been registere
 so most servers probably won't use it.</p><p>To use this, first install <a class="ulink" href="http://tukaani.org/lzma/" target="_top">LZMA Utils</a>.
 Version 4.32.5 works; 4.42.2alpha also works and understands a
 newer LZMA file format.  This version of ELinks does not support
-LZMA SDK from 7-Zip.</p><p><span class="strong"><strong>Default:</strong></span>  enabled if the library is installed</p></div><div class="section" lang="en"><div class="titlepage"><div><div><h3 class="title"><a name="CONFIG-IPV6"></a>IPv6 Protocol Support (<code class="literal">CONFIG_IPV6</code>)</h3></div></div></div><p>You know this thing that was designed to obsolete IPv4 but only pasky,
+LZMA SDK from 7-Zip.</p><p><span class="strong"><strong>Default:</strong></span>  disabled</p></div><div class="section" lang="en"><div class="titlepage"><div><div><h3 class="title"><a name="CONFIG-IPV6"></a>IPv6 Protocol Support (<code class="literal">CONFIG_IPV6</code>)</h3></div></div></div><p>You know this thing that was designed to obsolete IPv4 but only pasky,
 weirdos and projects supported with big funds really use. ;-)</p><p><span class="strong"><strong>Default:</strong></span>  enabled if the system supports it</p></div><div class="section" lang="en"><div class="titlepage"><div><div><h3 class="title"><a name="CONFIG-URI-REWRITE"></a>URI Rewriting (<code class="literal">CONFIG_URI_REWRITE</code>)</h3></div></div></div><p>The goto dialog through which new URIs can be entered is an essential part of
 browsing in ELinks. This feature makes the dialog more powerful by making it
 possible to extend how entered text is handled through a set of rewrite rules
diff -pruN 0.12~pre2.dfsg0-1/doc/html/manual.html-chunked/ch02.html 0.12~pre4-1/doc/html/manual.html-chunked/ch02.html
--- 0.12~pre2.dfsg0-1/doc/html/manual.html-chunked/ch02.html	2008-09-21 12:23:55.000000000 +0100
+++ 0.12~pre4-1/doc/html/manual.html-chunked/ch02.html	2009-05-31 10:12:43.000000000 +0100
@@ -1,4 +1,4 @@
-<html><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8"><title>Chapter 2. Frequently Asked Questions</title><meta name="generator" content="DocBook XSL Stylesheets V1.73.2"><link rel="start" href="index.html" title="The ELinks Manual"><link rel="up" href="index.html" title="The ELinks Manual"><link rel="prev" href="ch01s07.html" title="Feature configuration file (features.conf)"><link rel="next" href="ch02s02.html" title="How does cutting and pasting work?"></head><body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF"><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">Chapter 2. Frequently Asked Questions</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="ch01s07.html">Prev</a> </td><th width="60%" align="center"> </th><td width="20%" align="right"> <a accesskey="n" href="ch02s02.html">Next</a></td></tr></table><hr></div><div class="chapter" lang="en"><div class="titlepage"><div><div><h2 class="title"><a name="id2547118"></a>Chapter 2. Frequently Asked Questions</h2></div></div></div><div class="toc"><p><b>Table of Contents</b></p><dl><dt><span class="section"><a href="ch02.html#instances">I rebuilt/upgraded/reconfigured ELinks and restarted it, but it looks like nothing has changed!</a></span></dt><dt><span class="section"><a href="ch02s02.html">How does cutting and pasting work?</a></span></dt><dt><span class="section"><a href="ch02s03.html">How does the "Move" button on the bookmark manager work?</a></span></dt><dt><span class="section"><a href="ch02s04.html">What's up with the navigation in the various managers?</a></span></dt><dt><span class="section"><a href="ch02s05.html">Why are there so many Links flavors?</a></span></dt><dt><span class="section"><a href="ch02s06.html">Which one to use?</a></span></dt><dt><span class="section"><a href="ch02s07.html">What are the Ki (kibi) and Mi (mebi) units?</a></span></dt><dt><span class="section"><a href="ch02s08.html">How can I get 256 colors?</a></span></dt><dt><span class="section"><a href="ch02s09.html">What User-Agent header does ELinks send?</a></span></dt><dt><span class="section"><a href="ch02s10.html">ELinks doesn't erase characters from the screen when it should!</a></span></dt></dl></div><p>This is an attempt to capture some of the questions that appear once in a
+<html><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8"><title>Chapter 2. Frequently Asked Questions</title><meta name="generator" content="DocBook XSL Stylesheets V1.73.2"><link rel="start" href="index.html" title="The ELinks Manual"><link rel="up" href="index.html" title="The ELinks Manual"><link rel="prev" href="ch01s07.html" title="Feature configuration file (features.conf)"><link rel="next" href="ch02s02.html" title="How does cutting and pasting work?"></head><body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF"><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">Chapter 2. Frequently Asked Questions</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="ch01s07.html">Prev</a> </td><th width="60%" align="center"> </th><td width="20%" align="right"> <a accesskey="n" href="ch02s02.html">Next</a></td></tr></table><hr></div><div class="chapter" lang="en"><div class="titlepage"><div><div><h2 class="title"><a name="id2625318"></a>Chapter 2. Frequently Asked Questions</h2></div></div></div><div class="toc"><p><b>Table of Contents</b></p><dl><dt><span class="section"><a href="ch02.html#instances">I rebuilt/upgraded/reconfigured ELinks and restarted it, but it looks like nothing has changed!</a></span></dt><dt><span class="section"><a href="ch02s02.html">How does cutting and pasting work?</a></span></dt><dt><span class="section"><a href="ch02s03.html">How does the "Move" button on the bookmark manager work?</a></span></dt><dt><span class="section"><a href="ch02s04.html">What's up with the navigation in the various managers?</a></span></dt><dt><span class="section"><a href="ch02s05.html">Why are there so many Links flavors?</a></span></dt><dt><span class="section"><a href="ch02s06.html">Which one to use?</a></span></dt><dt><span class="section"><a href="ch02s07.html">What are the Ki (kibi) and Mi (mebi) units?</a></span></dt><dt><span class="section"><a href="ch02s08.html">How can I get 256 colors?</a></span></dt><dt><span class="section"><a href="ch02s09.html">What User-Agent header does ELinks send?</a></span></dt><dt><span class="section"><a href="ch02s10.html">ELinks doesn't erase characters from the screen when it should!</a></span></dt></dl></div><p>This is an attempt to capture some of the questions that appear once in a
 while on the mailing list or on IRC.</p><div class="section" lang="en"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a name="instances"></a>I rebuilt/upgraded/reconfigured ELinks and restarted it, but it looks like nothing has changed!</h2></div></div></div><p>ELinks instances connect together so that they share the cache, bookmarks,
 cookies, configuration, etc.  Only the "master" ELinks instance does any real
 work and any other ELinkses you run will only connect to this instance.  So when
diff -pruN 0.12~pre2.dfsg0-1/doc/html/manual.html-chunked/ch03.html 0.12~pre4-1/doc/html/manual.html-chunked/ch03.html
--- 0.12~pre2.dfsg0-1/doc/html/manual.html-chunked/ch03.html	2008-09-21 12:23:57.000000000 +0100
+++ 0.12~pre4-1/doc/html/manual.html-chunked/ch03.html	2009-05-31 10:12:45.000000000 +0100
@@ -1,4 +1,4 @@
-<html><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8"><title>Chapter 3. Introduction to the World of ELinks</title><meta name="generator" content="DocBook XSL Stylesheets V1.73.2"><link rel="start" href="index.html" title="The ELinks Manual"><link rel="up" href="index.html" title="The ELinks Manual"><link rel="prev" href="ch02s10.html" title="ELinks doesn't erase characters from the screen when it should!"><link rel="next" href="ch03s02.html" title="The Title, Tab and Status bar"></head><body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF"><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">Chapter 3. Introduction to the World of ELinks</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="ch02s10.html">Prev</a> </td><th width="60%" align="center"> </th><td width="20%" align="right"> <a accesskey="n" href="ch03s02.html">Next</a></td></tr></table><hr></div><div class="chapter" lang="en"><div class="titlepage"><div><div><h2 class="title"><a name="id2547634"></a>Chapter 3. Introduction to the World of ELinks</h2></div></div></div><div class="toc"><p><b>Table of Contents</b></p><dl><dt><span class="section"><a href="ch03.html#id2493996">Overview of the User Interface</a></span></dt><dt><span class="section"><a href="ch03s02.html">The Title, Tab and Status bar</a></span></dt><dt><span class="section"><a href="ch03s03.html">The Main, Link and Tab Menus</a></span></dt><dt><span class="section"><a href="ch03s04.html">The Managers</a></span></dt><dt><span class="section"><a href="ch03s05.html">LED status indicators</a></span></dt><dt><span class="section"><a href="ch03s06.html">Navigation</a></span></dt><dd><dl><dt><span class="section"><a href="ch03s06.html#id2548466">Page-Oriented Navigation</a></span></dt><dt><span class="section"><a href="ch03s06.html#id2548593">Link-Oriented Navigation</a></span></dt><dt><span class="section"><a href="ch03s06.html#id2548730">Position-Oriented Navigation</a></span></dt><dt><span class="section"><a href="ch03s06.html#id2548773">Forms</a></span></dt></dl></dd><dt><span class="section"><a href="ch03s07.html">Searching</a></span></dt><dt><span class="section"><a href="ch03s08.html">Hints and Odd Features</a></span></dt></dl></div><p>The goal of this introduction is to explain the basic concepts in ELinks,
+<html><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8"><title>Chapter 3. Introduction to the World of ELinks</title><meta name="generator" content="DocBook XSL Stylesheets V1.73.2"><link rel="start" href="index.html" title="The ELinks Manual"><link rel="up" href="index.html" title="The ELinks Manual"><link rel="prev" href="ch02s10.html" title="ELinks doesn't erase characters from the screen when it should!"><link rel="next" href="ch03s02.html" title="The Title, Tab and Status bar"></head><body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF"><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">Chapter 3. Introduction to the World of ELinks</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="ch02s10.html">Prev</a> </td><th width="60%" align="center"> </th><td width="20%" align="right"> <a accesskey="n" href="ch03s02.html">Next</a></td></tr></table><hr></div><div class="chapter" lang="en"><div class="titlepage"><div><div><h2 class="title"><a name="id2625834"></a>Chapter 3. Introduction to the World of ELinks</h2></div></div></div><div class="toc"><p><b>Table of Contents</b></p><dl><dt><span class="section"><a href="ch03.html#id2625885">Overview of the User Interface</a></span></dt><dt><span class="section"><a href="ch03s02.html">The Title, Tab and Status bar</a></span></dt><dt><span class="section"><a href="ch03s03.html">The Main, Link and Tab Menus</a></span></dt><dt><span class="section"><a href="ch03s04.html">The Managers</a></span></dt><dt><span class="section"><a href="ch03s05.html">LED status indicators</a></span></dt><dt><span class="section"><a href="ch03s06.html">Navigation</a></span></dt><dd><dl><dt><span class="section"><a href="ch03s06.html#id2626525">Page-Oriented Navigation</a></span></dt><dt><span class="section"><a href="ch03s06.html#id2626651">Link-Oriented Navigation</a></span></dt><dt><span class="section"><a href="ch03s06.html#id2626789">Position-Oriented Navigation</a></span></dt><dt><span class="section"><a href="ch03s06.html#id2626832">Forms</a></span></dt></dl></dd><dt><span class="section"><a href="ch03s07.html">Searching</a></span></dt><dt><span class="section"><a href="ch03s08.html">Hints and Odd Features</a></span></dt></dl></div><p>The goal of this introduction is to explain the basic concepts in ELinks,
 give an overview of how to get started and serve as an entry point to many
 of the (undocumented) features of ELinks. It won't tell you all the
 details, but should hopefully give you an idea of how things work and make
@@ -11,7 +11,7 @@ currently it is only possible to configu
 key-controls have been more advanced than the mouse support, but during the
 0.10 prereleases the mouse support has been much improved. You will now find
 find stuff like contextual menus when right-clicking in different document
-zones.</p><div class="section" lang="en"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a name="id2493996"></a>Overview of the User Interface</h2></div></div></div><p>The main user interface of ELinks consists of the document view and dialog
+zones.</p><div class="section" lang="en"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a name="id2625885"></a>Overview of the User Interface</h2></div></div></div><p>The main user interface of ELinks consists of the document view and dialog
 bars displaying the information such as the title of the currently viewed
 document, all opened tabs and the browsing status. The 3 bars are elaborated
 further below.</p><p>The most important dialogs that you will meet include the Main, Link and Tab
diff -pruN 0.12~pre2.dfsg0-1/doc/html/manual.html-chunked/ch03s02.html 0.12~pre4-1/doc/html/manual.html-chunked/ch03s02.html
--- 0.12~pre2.dfsg0-1/doc/html/manual.html-chunked/ch03s02.html	2008-09-21 12:23:55.000000000 +0100
+++ 0.12~pre4-1/doc/html/manual.html-chunked/ch03s02.html	2009-05-31 10:12:43.000000000 +0100
@@ -1,4 +1,4 @@
-<html><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8"><title>The Title, Tab and Status bar</title><meta name="generator" content="DocBook XSL Stylesheets V1.73.2"><link rel="start" href="index.html" title="The ELinks Manual"><link rel="up" href="ch03.html" title="Chapter 3. Introduction to the World of ELinks"><link rel="prev" href="ch03.html" title="Chapter 3. Introduction to the World of ELinks"><link rel="next" href="ch03s03.html" title="The Main, Link and Tab Menus"></head><body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF"><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">The Title, Tab and Status bar</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="ch03.html">Prev</a> </td><th width="60%" align="center">Chapter 3. Introduction to the World of ELinks</th><td width="20%" align="right"> <a accesskey="n" href="ch03s03.html">Next</a></td></tr></table><hr></div><div class="section" lang="en"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a name="id2494062"></a>The Title, Tab and Status bar</h2></div></div></div><p>The title bars main purpose is to display the title of the current document.
+<html><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8"><title>The Title, Tab and Status bar</title><meta name="generator" content="DocBook XSL Stylesheets V1.73.2"><link rel="start" href="index.html" title="The ELinks Manual"><link rel="up" href="ch03.html" title="Chapter 3. Introduction to the World of ELinks"><link rel="prev" href="ch03.html" title="Chapter 3. Introduction to the World of ELinks"><link rel="next" href="ch03s03.html" title="The Main, Link and Tab Menus"></head><body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF"><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">The Title, Tab and Status bar</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="ch03.html">Prev</a> </td><th width="60%" align="center">Chapter 3. Introduction to the World of ELinks</th><td width="20%" align="right"> <a accesskey="n" href="ch03s03.html">Next</a></td></tr></table><hr></div><div class="section" lang="en"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a name="id2625950"></a>The Title, Tab and Status bar</h2></div></div></div><p>The title bars main purpose is to display the title of the current document.
 Documents bigger than can be displayed with the current screen size are
 divided into subpages. In this case the current document position is
 indicated in the far right of the title bar as a suffix to the actual
diff -pruN 0.12~pre2.dfsg0-1/doc/html/manual.html-chunked/ch03s03.html 0.12~pre4-1/doc/html/manual.html-chunked/ch03s03.html
--- 0.12~pre2.dfsg0-1/doc/html/manual.html-chunked/ch03s03.html	2008-09-21 12:23:55.000000000 +0100
+++ 0.12~pre4-1/doc/html/manual.html-chunked/ch03s03.html	2009-05-31 10:12:43.000000000 +0100
@@ -1,4 +1,4 @@
-<html><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8"><title>The Main, Link and Tab Menus</title><meta name="generator" content="DocBook XSL Stylesheets V1.73.2"><link rel="start" href="index.html" title="The ELinks Manual"><link rel="up" href="ch03.html" title="Chapter 3. Introduction to the World of ELinks"><link rel="prev" href="ch03s02.html" title="The Title, Tab and Status bar"><link rel="next" href="ch03s04.html" title="The Managers"></head><body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF"><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">The Main, Link and Tab Menus</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="ch03s02.html">Prev</a> </td><th width="60%" align="center">Chapter 3. Introduction to the World of ELinks</th><td width="20%" align="right"> <a accesskey="n" href="ch03s04.html">Next</a></td></tr></table><hr></div><div class="section" lang="en"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a name="id2494099"></a>The Main, Link and Tab Menus</h2></div></div></div><p>The Main Menu gives you access to many of the features of ELinks via
+<html><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8"><title>The Main, Link and Tab Menus</title><meta name="generator" content="DocBook XSL Stylesheets V1.73.2"><link rel="start" href="index.html" title="The ELinks Manual"><link rel="up" href="ch03.html" title="Chapter 3. Introduction to the World of ELinks"><link rel="prev" href="ch03s02.html" title="The Title, Tab and Status bar"><link rel="next" href="ch03s04.html" title="The Managers"></head><body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF"><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">The Main, Link and Tab Menus</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="ch03s02.html">Prev</a> </td><th width="60%" align="center">Chapter 3. Introduction to the World of ELinks</th><td width="20%" align="right"> <a accesskey="n" href="ch03s04.html">Next</a></td></tr></table><hr></div><div class="section" lang="en"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a name="id2626007"></a>The Main, Link and Tab Menus</h2></div></div></div><p>The Main Menu gives you access to many of the features of ELinks via
 submenus and serves as a good entry point for performing actions on the
 different objects of interest, such as links, documents and tabs. The Link
 menu and Tab menus are more specialized and targeted to a specific context,
diff -pruN 0.12~pre2.dfsg0-1/doc/html/manual.html-chunked/ch03s04.html 0.12~pre4-1/doc/html/manual.html-chunked/ch03s04.html
--- 0.12~pre2.dfsg0-1/doc/html/manual.html-chunked/ch03s04.html	2008-09-21 12:23:56.000000000 +0100
+++ 0.12~pre4-1/doc/html/manual.html-chunked/ch03s04.html	2009-05-31 10:12:44.000000000 +0100
@@ -1,4 +1,4 @@
-<html><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8"><title>The Managers</title><meta name="generator" content="DocBook XSL Stylesheets V1.73.2"><link rel="start" href="index.html" title="The ELinks Manual"><link rel="up" href="ch03.html" title="Chapter 3. Introduction to the World of ELinks"><link rel="prev" href="ch03s03.html" title="The Main, Link and Tab Menus"><link rel="next" href="ch03s05.html" title="LED status indicators"></head><body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF"><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">The Managers</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="ch03s03.html">Prev</a> </td><th width="60%" align="center">Chapter 3. Introduction to the World of ELinks</th><td width="20%" align="right"> <a accesskey="n" href="ch03s05.html">Next</a></td></tr></table><hr></div><div class="section" lang="en"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a name="id2547986"></a>The Managers</h2></div></div></div><p>The managers let you control the state of subsystems, such as cookies and
+<html><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8"><title>The Managers</title><meta name="generator" content="DocBook XSL Stylesheets V1.73.2"><link rel="start" href="index.html" title="The ELinks Manual"><link rel="up" href="ch03.html" title="Chapter 3. Introduction to the World of ELinks"><link rel="prev" href="ch03s03.html" title="The Main, Link and Tab Menus"><link rel="next" href="ch03s05.html" title="LED status indicators"></head><body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF"><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">The Managers</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="ch03s03.html">Prev</a> </td><th width="60%" align="center">Chapter 3. Introduction to the World of ELinks</th><td width="20%" align="right"> <a accesskey="n" href="ch03s05.html">Next</a></td></tr></table><hr></div><div class="section" lang="en"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a name="id2626045"></a>The Managers</h2></div></div></div><p>The managers let you control the state of subsystems, such as cookies and
 the global history. They are accessible from the Tools or Setup submenu in
 the Main Menu. The managers consists of an area showing a hierarchic listbox
 and buttons at the bottom. Below, a view of the cookie manager is shown.</p><pre class="literallayout">+------------------------- Cookie manager -------------------------+
diff -pruN 0.12~pre2.dfsg0-1/doc/html/manual.html-chunked/ch03s05.html 0.12~pre4-1/doc/html/manual.html-chunked/ch03s05.html
--- 0.12~pre2.dfsg0-1/doc/html/manual.html-chunked/ch03s05.html	2008-09-21 12:23:56.000000000 +0100
+++ 0.12~pre4-1/doc/html/manual.html-chunked/ch03s05.html	2009-05-31 10:12:44.000000000 +0100
@@ -1,4 +1,4 @@
-<html><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8"><title>LED status indicators</title><meta name="generator" content="DocBook XSL Stylesheets V1.73.2"><link rel="start" href="index.html" title="The ELinks Manual"><link rel="up" href="ch03.html" title="Chapter 3. Introduction to the World of ELinks"><link rel="prev" href="ch03s04.html" title="The Managers"><link rel="next" href="ch03s06.html" title="Navigation"></head><body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF"><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">LED status indicators</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="ch03s04.html">Prev</a> </td><th width="60%" align="center">Chapter 3. Introduction to the World of ELinks</th><td width="20%" align="right"> <a accesskey="n" href="ch03s06.html">Next</a></td></tr></table><hr></div><div class="section" lang="en"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a name="id2548262"></a>LED status indicators</h2></div></div></div><p>As an optional feature it is possible to have tiny LED-like status
+<html><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8"><title>LED status indicators</title><meta name="generator" content="DocBook XSL Stylesheets V1.73.2"><link rel="start" href="index.html" title="The ELinks Manual"><link rel="up" href="ch03.html" title="Chapter 3. Introduction to the World of ELinks"><link rel="prev" href="ch03s04.html" title="The Managers"><link rel="next" href="ch03s06.html" title="Navigation"></head><body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF"><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">LED status indicators</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="ch03s04.html">Prev</a> </td><th width="60%" align="center">Chapter 3. Introduction to the World of ELinks</th><td width="20%" align="right"> <a accesskey="n" href="ch03s06.html">Next</a></td></tr></table><hr></div><div class="section" lang="en"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a name="id2626320"></a>LED status indicators</h2></div></div></div><p>As an optional feature it is possible to have tiny LED-like status
 indicators shown at the bottom-right of the screen. They are used for
 displaying an overview of the current browsing state, ie.  whether you are
 currently talking through a SSL-secured connection, what is the current
diff -pruN 0.12~pre2.dfsg0-1/doc/html/manual.html-chunked/ch03s06.html 0.12~pre4-1/doc/html/manual.html-chunked/ch03s06.html
--- 0.12~pre2.dfsg0-1/doc/html/manual.html-chunked/ch03s06.html	2008-09-21 12:23:56.000000000 +0100
+++ 0.12~pre4-1/doc/html/manual.html-chunked/ch03s06.html	2009-05-31 10:12:44.000000000 +0100
@@ -1,8 +1,8 @@
-<html><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8"><title>Navigation</title><meta name="generator" content="DocBook XSL Stylesheets V1.73.2"><link rel="start" href="index.html" title="The ELinks Manual"><link rel="up" href="ch03.html" title="Chapter 3. Introduction to the World of ELinks"><link rel="prev" href="ch03s05.html" title="LED status indicators"><link rel="next" href="ch03s07.html" title="Searching"></head><body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF"><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">Navigation</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="ch03s05.html">Prev</a> </td><th width="60%" align="center">Chapter 3. Introduction to the World of ELinks</th><td width="20%" align="right"> <a accesskey="n" href="ch03s07.html">Next</a></td></tr></table><hr></div><div class="section" lang="en"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a name="id2548446"></a>Navigation</h2></div></div></div><p>ELinks provides various ways to navigate documents. Depending on how
+<html><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8"><title>Navigation</title><meta name="generator" content="DocBook XSL Stylesheets V1.73.2"><link rel="start" href="index.html" title="The ELinks Manual"><link rel="up" href="ch03.html" title="Chapter 3. Introduction to the World of ELinks"><link rel="prev" href="ch03s05.html" title="LED status indicators"><link rel="next" href="ch03s07.html" title="Searching"></head><body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF"><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">Navigation</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="ch03s05.html">Prev</a> </td><th width="60%" align="center">Chapter 3. Introduction to the World of ELinks</th><td width="20%" align="right"> <a accesskey="n" href="ch03s07.html">Next</a></td></tr></table><hr></div><div class="section" lang="en"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a name="id2626505"></a>Navigation</h2></div></div></div><p>ELinks provides various ways to navigate documents. Depending on how
 documents are structured, it can be a great help to change navigation style.
 The navigation styles can roughly be divided into page-oriented,
 link-oriented and screen-oriented. They overlap in many ways, so this
-separation is mostly used as a mean to present them.</p><div class="section" lang="en"><div class="titlepage"><div><div><h3 class="title"><a name="id2548466"></a>Page-Oriented Navigation</h3></div></div></div><p>This involves scrolling documents horizontally and vertically.  Documents
+separation is mostly used as a mean to present them.</p><div class="section" lang="en"><div class="titlepage"><div><div><h3 class="title"><a name="id2626525"></a>Page-Oriented Navigation</h3></div></div></div><p>This involves scrolling documents horizontally and vertically.  Documents
 can be scrolled page-wise, where the next or previous subpage will be
 displayed. It is also possible to scroll documents in steps, either
 line-wise (vertically) or column-wise (horizontally). The step size can be
@@ -27,7 +27,7 @@ documents can be scrolled to the start o
     Home/End
     </td><td align="left">
     Scroll to the start/end of the document.
-    </td></tr></tbody></table></div></div><div class="section" lang="en"><div class="titlepage"><div><div><h3 class="title"><a name="id2548593"></a>Link-Oriented Navigation</h3></div></div></div><p>For hypertext documents, access to the links makes it more practical to
+    </td></tr></tbody></table></div></div><div class="section" lang="en"><div class="titlepage"><div><div><h3 class="title"><a name="id2626651"></a>Link-Oriented Navigation</h3></div></div></div><p>For hypertext documents, access to the links makes it more practical to
 navigate by jumping between links in the document. There are two ways to do
 this; either you can move between links relationally or by number. Using
 relational link navigation it is possible to focus the next/previous link or
@@ -54,7 +54,7 @@ the documentation on searching.</p><p>Th
     Enter/Right
     </td><td align="left">
     Follow the current focused link.
-    </td></tr></tbody></table></div><p>No keys are by default configured for directional link navigation.</p></div><div class="section" lang="en"><div class="titlepage"><div><div><h3 class="title"><a name="id2548730"></a>Position-Oriented Navigation</h3></div></div></div><p>Positional navigation (sorry, bad word) uses the either the position of the
+    </td></tr></tbody></table></div><p>No keys are by default configured for directional link navigation.</p></div><div class="section" lang="en"><div class="titlepage"><div><div><h3 class="title"><a name="id2626789"></a>Position-Oriented Navigation</h3></div></div></div><p>Positional navigation (sorry, bad word) uses the either the position of the
 cursor or the mouse click to navigate the document. If you are familiar with
 the w3m text-browser you will be familiar with cursor routing. Basically,
 you move the cursor around — kind of like a mouse — in the document area
@@ -65,7 +65,7 @@ what terminal you are using. In some ter
 using the mouse wheel. Scrolling is however also possible by clicking in the
 edge areas of the document view. Highlighting links can be done by clicking
 on a link but waiting to release the mouse button until the link is no
-longer under the mouse pointer.</p><p>No keys are by default configured for cursor routing.</p></div><div class="section" lang="en"><div class="titlepage"><div><div><h3 class="title"><a name="id2548773"></a>Forms</h3></div></div></div><p>The status bar will indicate the type and name of the field.</p><div class="variablelist"><dl><dt><span class="term">
+longer under the mouse pointer.</p><p>No keys are by default configured for cursor routing.</p></div><div class="section" lang="en"><div class="titlepage"><div><div><h3 class="title"><a name="id2626832"></a>Forms</h3></div></div></div><p>The status bar will indicate the type and name of the field.</p><div class="variablelist"><dl><dt><span class="term">
 Input text/Password fields
 </span></dt><dd>
         These will be displayed as <code class="literal">________</code>.
diff -pruN 0.12~pre2.dfsg0-1/doc/html/manual.html-chunked/ch03s07.html 0.12~pre4-1/doc/html/manual.html-chunked/ch03s07.html
--- 0.12~pre2.dfsg0-1/doc/html/manual.html-chunked/ch03s07.html	2008-09-21 12:23:56.000000000 +0100
+++ 0.12~pre4-1/doc/html/manual.html-chunked/ch03s07.html	2009-05-31 10:12:45.000000000 +0100
@@ -1,4 +1,4 @@
-<html><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8"><title>Searching</title><meta name="generator" content="DocBook XSL Stylesheets V1.73.2"><link rel="start" href="index.html" title="The ELinks Manual"><link rel="up" href="ch03.html" title="Chapter 3. Introduction to the World of ELinks"><link rel="prev" href="ch03s06.html" title="Navigation"><link rel="next" href="ch03s08.html" title="Hints and Odd Features"></head><body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF"><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">Searching</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="ch03s06.html">Prev</a> </td><th width="60%" align="center">Chapter 3. Introduction to the World of ELinks</th><td width="20%" align="right"> <a accesskey="n" href="ch03s08.html">Next</a></td></tr></table><hr></div><div class="section" lang="en"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a name="id2548943"></a>Searching</h2></div></div></div><p>Searching is by default available by pressing <span class="emphasis"><em>/</em></span>. This will open a search
+<html><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8"><title>Searching</title><meta name="generator" content="DocBook XSL Stylesheets V1.73.2"><link rel="start" href="index.html" title="The ELinks Manual"><link rel="up" href="ch03.html" title="Chapter 3. Introduction to the World of ELinks"><link rel="prev" href="ch03s06.html" title="Navigation"><link rel="next" href="ch03s08.html" title="Hints and Odd Features"></head><body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF"><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">Searching</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="ch03s06.html">Prev</a> </td><th width="60%" align="center">Chapter 3. Introduction to the World of ELinks</th><td width="20%" align="right"> <a accesskey="n" href="ch03s08.html">Next</a></td></tr></table><hr></div><div class="section" lang="en"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a name="id2627002"></a>Searching</h2></div></div></div><p>Searching is by default available by pressing <span class="emphasis"><em>/</em></span>. This will open a search
 dialog with a input text field for entering the search terms and checkboxes
 to control how searching is performed. You can indicate whether matching
 should be case sensitive and whether regular expressions or normal searching
diff -pruN 0.12~pre2.dfsg0-1/doc/html/manual.html-chunked/ch03s08.html 0.12~pre4-1/doc/html/manual.html-chunked/ch03s08.html
--- 0.12~pre2.dfsg0-1/doc/html/manual.html-chunked/ch03s08.html	2008-09-21 12:23:57.000000000 +0100
+++ 0.12~pre4-1/doc/html/manual.html-chunked/ch03s08.html	2009-05-31 10:12:45.000000000 +0100
@@ -1,4 +1,4 @@
-<html><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8"><title>Hints and Odd Features</title><meta name="generator" content="DocBook XSL Stylesheets V1.73.2"><link rel="start" href="index.html" title="The ELinks Manual"><link rel="up" href="ch03.html" title="Chapter 3. Introduction to the World of ELinks"><link rel="prev" href="ch03s07.html" title="Searching"><link rel="next" href="ch04.html" title="Chapter 4. The Ultimate Bookmarks Guide"></head><body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF"><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">Hints and Odd Features</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="ch03s07.html">Prev</a> </td><th width="60%" align="center">Chapter 3. Introduction to the World of ELinks</th><td width="20%" align="right"> <a accesskey="n" href="ch04.html">Next</a></td></tr></table><hr></div><div class="section" lang="en"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a name="id2549142"></a>Hints and Odd Features</h2></div></div></div><p>Note: This is still a work in progress and from here on an below
+<html><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8"><title>Hints and Odd Features</title><meta name="generator" content="DocBook XSL Stylesheets V1.73.2"><link rel="start" href="index.html" title="The ELinks Manual"><link rel="up" href="ch03.html" title="Chapter 3. Introduction to the World of ELinks"><link rel="prev" href="ch03s07.html" title="Searching"><link rel="next" href="ch04.html" title="Chapter 4. The Ultimate Bookmarks Guide"></head><body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF"><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">Hints and Odd Features</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="ch03s07.html">Prev</a> </td><th width="60%" align="center">Chapter 3. Introduction to the World of ELinks</th><td width="20%" align="right"> <a accesskey="n" href="ch04.html">Next</a></td></tr></table><hr></div><div class="section" lang="en"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a name="id2627200"></a>Hints and Odd Features</h2></div></div></div><p>Note: This is still a work in progress and from here on an below
 everything is marked TODO!</p><div class="itemizedlist"><ul type="disc"><li>
 Numerical action prefixes. Example: 3&lt;Down&gt; jumps down three links.
 </li><li>
diff -pruN 0.12~pre2.dfsg0-1/doc/html/manual.html-chunked/ch04.html 0.12~pre4-1/doc/html/manual.html-chunked/ch04.html
--- 0.12~pre2.dfsg0-1/doc/html/manual.html-chunked/ch04.html	2008-09-21 12:23:57.000000000 +0100
+++ 0.12~pre4-1/doc/html/manual.html-chunked/ch04.html	2009-05-31 10:12:46.000000000 +0100
@@ -1,4 +1,4 @@
-<html><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8"><title>Chapter 4. The Ultimate Bookmarks Guide</title><meta name="generator" content="DocBook XSL Stylesheets V1.73.2"><link rel="start" href="index.html" title="The ELinks Manual"><link rel="up" href="index.html" title="The ELinks Manual"><link rel="prev" href="ch03s08.html" title="Hints and Odd Features"><link rel="next" href="ch04s02.html" title="The Ancient Forests"></head><body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF"><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">Chapter 4. The Ultimate Bookmarks Guide</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="ch03s08.html">Prev</a> </td><th width="60%" align="center"> </th><td width="20%" align="right"> <a accesskey="n" href="ch04s02.html">Next</a></td></tr></table><hr></div><div class="chapter" lang="en"><div class="titlepage"><div><div><h2 class="title"><a name="id2549208"></a>Chapter 4. The Ultimate Bookmarks Guide</h2></div></div></div><div class="toc"><p><b>Table of Contents</b></p><dl><dt><span class="section"><a href="ch04.html#id2549261">The Bookmark Manager</a></span></dt><dt><span class="section"><a href="ch04s02.html">The Ancient Forests</a></span></dt><dt><span class="section"><a href="ch04s03.html">Searching for a needle in the haystack</a></span></dt><dt><span class="section"><a href="ch04s04.html">File formats</a></span></dt><dd><dl><dt><span class="section"><a href="ch04s04.html#id2549502">Native file format</a></span></dt><dt><span class="section"><a href="ch04s04.html#id2549706">XBEL file format</a></span></dt><dt><span class="section"><a href="ch04s04.html#id2549820">Usage hints</a></span></dt></dl></dd></dl></div><p>Glad to see you again, mortal. Now, we are going to learn about bookmarks -
+<html><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8"><title>Chapter 4. The Ultimate Bookmarks Guide</title><meta name="generator" content="DocBook XSL Stylesheets V1.73.2"><link rel="start" href="index.html" title="The ELinks Manual"><link rel="up" href="index.html" title="The ELinks Manual"><link rel="prev" href="ch03s08.html" title="Hints and Odd Features"><link rel="next" href="ch04s02.html" title="The Ancient Forests"></head><body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF"><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">Chapter 4. The Ultimate Bookmarks Guide</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="ch03s08.html">Prev</a> </td><th width="60%" align="center"> </th><td width="20%" align="right"> <a accesskey="n" href="ch04s02.html">Next</a></td></tr></table><hr></div><div class="chapter" lang="en"><div class="titlepage"><div><div><h2 class="title"><a name="id2627266"></a>Chapter 4. The Ultimate Bookmarks Guide</h2></div></div></div><div class="toc"><p><b>Table of Contents</b></p><dl><dt><span class="section"><a href="ch04.html#id2627319">The Bookmark Manager</a></span></dt><dt><span class="section"><a href="ch04s02.html">The Ancient Forests</a></span></dt><dt><span class="section"><a href="ch04s03.html">Searching for a needle in the haystack</a></span></dt><dt><span class="section"><a href="ch04s04.html">File formats</a></span></dt><dd><dl><dt><span class="section"><a href="ch04s04.html#id2627560">Native file format</a></span></dt><dt><span class="section"><a href="ch04s04.html#id2627764">XBEL file format</a></span></dt><dt><span class="section"><a href="ch04s04.html#id2627879">Usage hints</a></span></dt></dl></dd></dl></div><p>Glad to see you again, mortal. Now, we are going to learn about bookmarks -
 how to use them, how to maintain them, and also something more about the file
 formats and maybe even about the code structure later. But don't fear, we
 won't burden you with it, just stop reading when you already know enough.</p><p>In order to read this, you need some common sense, the ability to start ELinks
@@ -9,7 +9,7 @@ your own key in place of that. Below, we
 on related to bookmarks. We won't tell you how to rebind the keys, though;
 another document will take on that.</p><p>Somewhat out-of-order, a very frequent FAQ: In order to move bookmarks around,
 you need to mark them first - press <span class="emphasis"><em>Insert</em></span> or <span class="emphasis"><em>*</em></span> (if you use the default
-keymap) to do that.</p><div class="section" lang="en"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a name="id2549261"></a>The Bookmark Manager</h2></div></div></div><p>Basically, almost everything is going on in the so-called bookmark manager.
+keymap) to do that.</p><div class="section" lang="en"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a name="id2627319"></a>The Bookmark Manager</h2></div></div></div><p>Basically, almost everything is going on in the so-called bookmark manager.
 That's a special dialog window, which contains a listing of all the bookmarks
 you ever told ELinks to remember and it lets you to do with them anything you
 would ever want to do with them.</p><p>You launch the bookmark manager by pressing the <span class="emphasis"><em>s</em></span> key in standby (standard)
diff -pruN 0.12~pre2.dfsg0-1/doc/html/manual.html-chunked/ch04s02.html 0.12~pre4-1/doc/html/manual.html-chunked/ch04s02.html
--- 0.12~pre2.dfsg0-1/doc/html/manual.html-chunked/ch04s02.html	2008-09-21 12:23:57.000000000 +0100
+++ 0.12~pre4-1/doc/html/manual.html-chunked/ch04s02.html	2009-05-31 10:12:45.000000000 +0100
@@ -1,4 +1,4 @@
-<html><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8"><title>The Ancient Forests</title><meta name="generator" content="DocBook XSL Stylesheets V1.73.2"><link rel="start" href="index.html" title="The ELinks Manual"><link rel="up" href="ch04.html" title="Chapter 4. The Ultimate Bookmarks Guide"><link rel="prev" href="ch04.html" title="Chapter 4. The Ultimate Bookmarks Guide"><link rel="next" href="ch04s03.html" title="Searching for a needle in the haystack"></head><body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF"><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">The Ancient Forests</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="ch04.html">Prev</a> </td><th width="60%" align="center">Chapter 4. The Ultimate Bookmarks Guide</th><td width="20%" align="right"> <a accesskey="n" href="ch04s03.html">Next</a></td></tr></table><hr></div><div class="section" lang="en"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a name="id2549318"></a>The Ancient Forests</h2></div></div></div><p>It's not very convenient to have all the bookmarks mixed up - soon, you will
+<html><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8"><title>The Ancient Forests</title><meta name="generator" content="DocBook XSL Stylesheets V1.73.2"><link rel="start" href="index.html" title="The ELinks Manual"><link rel="up" href="ch04.html" title="Chapter 4. The Ultimate Bookmarks Guide"><link rel="prev" href="ch04.html" title="Chapter 4. The Ultimate Bookmarks Guide"><link rel="next" href="ch04s03.html" title="Searching for a needle in the haystack"></head><body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF"><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">The Ancient Forests</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="ch04.html">Prev</a> </td><th width="60%" align="center">Chapter 4. The Ultimate Bookmarks Guide</th><td width="20%" align="right"> <a accesskey="n" href="ch04s03.html">Next</a></td></tr></table><hr></div><div class="section" lang="en"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a name="id2627377"></a>The Ancient Forests</h2></div></div></div><p>It's not very convenient to have all the bookmarks mixed up - soon, you will
 get lost in them. Thus, in ELinks you can categorize them to various folders,
 subfolders, subsubfolders and so on, then you can expand and back enfold them
 and so on.</p><p>In order to create your first folder, use the button <span class="strong"><strong>Add folder</strong></span> and fill the
diff -pruN 0.12~pre2.dfsg0-1/doc/html/manual.html-chunked/ch04s03.html 0.12~pre4-1/doc/html/manual.html-chunked/ch04s03.html
--- 0.12~pre2.dfsg0-1/doc/html/manual.html-chunked/ch04s03.html	2008-09-21 12:23:57.000000000 +0100
+++ 0.12~pre4-1/doc/html/manual.html-chunked/ch04s03.html	2009-05-31 10:12:45.000000000 +0100
@@ -1,4 +1,4 @@
-<html><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8"><title>Searching for a needle in the haystack</title><meta name="generator" content="DocBook XSL Stylesheets V1.73.2"><link rel="start" href="index.html" title="The ELinks Manual"><link rel="up" href="ch04.html" title="Chapter 4. The Ultimate Bookmarks Guide"><link rel="prev" href="ch04s02.html" title="The Ancient Forests"><link rel="next" href="ch04s04.html" title="File formats"></head><body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF"><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">Searching for a needle in the haystack</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="ch04s02.html">Prev</a> </td><th width="60%" align="center">Chapter 4. The Ultimate Bookmarks Guide</th><td width="20%" align="right"> <a accesskey="n" href="ch04s04.html">Next</a></td></tr></table><hr></div><div class="section" lang="en"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a name="id2549425"></a>Searching for a needle in the haystack</h2></div></div></div><p>Of course, you can search in the bookmarks. Just use the <span class="strong"><strong>Find</strong></span> button  - for
+<html><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8"><title>Searching for a needle in the haystack</title><meta name="generator" content="DocBook XSL Stylesheets V1.73.2"><link rel="start" href="index.html" title="The ELinks Manual"><link rel="up" href="ch04.html" title="Chapter 4. The Ultimate Bookmarks Guide"><link rel="prev" href="ch04s02.html" title="The Ancient Forests"><link rel="next" href="ch04s04.html" title="File formats"></head><body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF"><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">Searching for a needle in the haystack</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="ch04s02.html">Prev</a> </td><th width="60%" align="center">Chapter 4. The Ultimate Bookmarks Guide</th><td width="20%" align="right"> <a accesskey="n" href="ch04s04.html">Next</a></td></tr></table><hr></div><div class="section" lang="en"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a name="id2627484"></a>Searching for a needle in the haystack</h2></div></div></div><p>Of course, you can search in the bookmarks. Just use the <span class="strong"><strong>Find</strong></span> button  - for
 convenience, you have the current document's URL and title pre-filled there,
 and for convenience only up-up-enter-down-down sequence is enough to have the
 playground clean. Then, just fill a substring of what you are looking for, and
diff -pruN 0.12~pre2.dfsg0-1/doc/html/manual.html-chunked/ch04s04.html 0.12~pre4-1/doc/html/manual.html-chunked/ch04s04.html
--- 0.12~pre2.dfsg0-1/doc/html/manual.html-chunked/ch04s04.html	2008-09-21 12:23:57.000000000 +0100
+++ 0.12~pre4-1/doc/html/manual.html-chunked/ch04s04.html	2009-05-31 10:12:45.000000000 +0100
@@ -1,4 +1,4 @@
-<html><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8"><title>File formats</title><meta name="generator" content="DocBook XSL Stylesheets V1.73.2"><link rel="start" href="index.html" title="The ELinks Manual"><link rel="up" href="ch04.html" title="Chapter 4. The Ultimate Bookmarks Guide"><link rel="prev" href="ch04s03.html" title="Searching for a needle in the haystack"><link rel="next" href="ch05.html" title="Chapter 5. The Wonders of Tabbed Browsing"></head><body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF"><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">File formats</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="ch04s03.html">Prev</a> </td><th width="60%" align="center">Chapter 4. The Ultimate Bookmarks Guide</th><td width="20%" align="right"> <a accesskey="n" href="ch05.html">Next</a></td></tr></table><hr></div><div class="section" lang="en"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a name="id2549459"></a>File formats</h2></div></div></div><p>ELinks supports two bookmark formats: the native format and a generic bookmark
+<html><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8"><title>File formats</title><meta name="generator" content="DocBook XSL Stylesheets V1.73.2"><link rel="start" href="index.html" title="The ELinks Manual"><link rel="up" href="ch04.html" title="Chapter 4. The Ultimate Bookmarks Guide"><link rel="prev" href="ch04s03.html" title="Searching for a needle in the haystack"><link rel="next" href="ch05.html" title="Chapter 5. The Wonders of Tabbed Browsing"></head><body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF"><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">File formats</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="ch04s03.html">Prev</a> </td><th width="60%" align="center">Chapter 4. The Ultimate Bookmarks Guide</th><td width="20%" align="right"> <a accesskey="n" href="ch05.html">Next</a></td></tr></table><hr></div><div class="section" lang="en"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a name="id2627517"></a>File formats</h2></div></div></div><p>ELinks supports two bookmark formats: the native format and a generic bookmark
 exchange format called XBEL. Each of those formats has its pros and cons,
 which we shall discuss below. You can switch between then by changing the
 option <span class="emphasis"><em>bookmarks.file_format</em></span>.</p><p>However, first please note that ELinks <span class="emphasis"><em>CANNOT</em></span> read Links bookmarks directly.
@@ -8,7 +8,7 @@ the contrib/conv/ directory. Importing L
 fact, the scribe knows of no way of doing that at the time of writing this, so
 this is up to you to figure out (if you do, please tell us so that we can add
 it here).  Perhaps you might find a way to convert Links2 bookmarks to the
-XBEL format, which can then be loaded in ELinks.</p><div class="section" lang="en"><div class="titlepage"><div><div><h3 class="title"><a name="id2549502"></a>Native file format</h3></div></div></div><p>This is the preferred bookmarks format, which is also used by default.  The
+XBEL format, which can then be loaded in ELinks.</p><div class="section" lang="en"><div class="titlepage"><div><div><h3 class="title"><a name="id2627560"></a>Native file format</h3></div></div></div><p>This is the preferred bookmarks format, which is also used by default.  The
 bookmarks file is <code class="literal">~/.elinks/bookmarks</code>, in a simple format:</p><pre class="literallayout">&lt;name&gt; '\t' &lt;url&gt; [ '\t' &lt;depth&gt; ['\t' &lt;flags&gt;] ] '\n'</pre><p><span class="emphasis"><em>\t</em></span> represents a tab character, <span class="emphasis"><em>\n</em></span> represents a newline character.  [Square
 brackets] denote optional parts. The <span class="emphasis"><em>&lt;name&gt;</em></span> and <span class="emphasis"><em>&lt;url&gt;</em></span> fields should be
 obvious.  <span class="emphasis"><em>&lt;depth&gt;</em></span> contains the depth level of the entry - by that, ELinks
@@ -45,7 +45,7 @@ Cons
 </span></dt><dd>
         It is unlikely that you could use the native format anywhere else than
         in ELinks.
-</dd></dl></div><p>To use the native format, set <span class="emphasis"><em>bookmarks.file_format</em></span> = 0.</p></div><div class="section" lang="en"><div class="titlepage"><div><div><h3 class="title"><a name="id2549706"></a>XBEL file format</h3></div></div></div><p>The XBEL file format support was added at some point during the 0.4
+</dd></dl></div><p>To use the native format, set <span class="emphasis"><em>bookmarks.file_format</em></span> = 0.</p></div><div class="section" lang="en"><div class="titlepage"><div><div><h3 class="title"><a name="id2627764"></a>XBEL file format</h3></div></div></div><p>The XBEL file format support was added at some point during the 0.4
 development by Fabio Boneli. It has never been complete and has plenty of
 troubles, but generally, it works at the basic level. The bookmarks file is
 <code class="literal">~/.elinks/bookmarks.xbel</code> (thanks to a different filename, you can have both
@@ -65,7 +65,7 @@ Cons
         characters in your bookmarks.  Generally, the XBEL support should be
         considered experimental and you shouldn't rely on it. It <span class="strong"><strong>could</strong></span> trash
         your XBEL bookmarks file so make regular backups.
-</dd></dl></div><p>To use the XBEL format, set <span class="emphasis"><em>bookmarks.file_format</em></span> to 1.</p></div><div class="section" lang="en"><div class="titlepage"><div><div><h3 class="title"><a name="id2549820"></a>Usage hints</h3></div></div></div><p>As already noted above, probably the best usage pattern is to use XBEL for
+</dd></dl></div><p>To use the XBEL format, set <span class="emphasis"><em>bookmarks.file_format</em></span> to 1.</p></div><div class="section" lang="en"><div class="titlepage"><div><div><h3 class="title"><a name="id2627879"></a>Usage hints</h3></div></div></div><p>As already noted above, probably the best usage pattern is to use XBEL for
 importing/exporting your bookmarks to/from ELinks and the native format for
 regular operation. Of course, if you want to synchronize your bookmarks in
 ELinks and some other XBEL-supporting gadget and you are brave, you can use
diff -pruN 0.12~pre2.dfsg0-1/doc/html/manual.html-chunked/ch05.html 0.12~pre4-1/doc/html/manual.html-chunked/ch05.html
--- 0.12~pre2.dfsg0-1/doc/html/manual.html-chunked/ch05.html	2008-09-21 12:23:58.000000000 +0100
+++ 0.12~pre4-1/doc/html/manual.html-chunked/ch05.html	2009-05-31 10:12:46.000000000 +0100
@@ -1,4 +1,4 @@
-<html><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8"><title>Chapter 5. The Wonders of Tabbed Browsing</title><meta name="generator" content="DocBook XSL Stylesheets V1.73.2"><link rel="start" href="index.html" title="The ELinks Manual"><link rel="up" href="index.html" title="The ELinks Manual"><link rel="prev" href="ch04s04.html" title="File formats"><link rel="next" href="ch05s02.html" title="Advanced topics involving tabs"></head><body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF"><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">Chapter 5. The Wonders of Tabbed Browsing</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="ch04s04.html">Prev</a> </td><th width="60%" align="center"> </th><td width="20%" align="right"> <a accesskey="n" href="ch05s02.html">Next</a></td></tr></table><hr></div><div class="chapter" lang="en"><div class="titlepage"><div><div><h2 class="title"><a name="id2549935"></a>Chapter 5. The Wonders of Tabbed Browsing</h2></div></div></div><div class="toc"><p><b>Table of Contents</b></p><dl><dt><span class="section"><a href="ch05.html#id2549990">Introduction to the basic actions involving tabs</a></span></dt><dd><dl><dt><span class="section"><a href="ch05.html#id2549997">The tab bar and the tab menu</a></span></dt><dt><span class="section"><a href="ch05.html#id2550032">Creating new tabs</a></span></dt><dt><span class="section"><a href="ch05.html#id2550075">Switching between tabs</a></span></dt><dt><span class="section"><a href="ch05.html#id2550100">Closing tabs</a></span></dt></dl></dd><dt><span class="section"><a href="ch05s02.html">Advanced topics involving tabs</a></span></dt><dd><dl><dt><span class="section"><a href="ch05s02.html#id2550138">Moving tabs</a></span></dt><dt><span class="section"><a href="ch05s02.html#id2550161">Saving and restoring tabs</a></span></dt></dl></dd></dl></div><p>In this information age with our stream of consciousness constantly being
+<html><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8"><title>Chapter 5. The Wonders of Tabbed Browsing</title><meta name="generator" content="DocBook XSL Stylesheets V1.73.2"><link rel="start" href="index.html" title="The ELinks Manual"><link rel="up" href="index.html" title="The ELinks Manual"><link rel="prev" href="ch04s04.html" title="File formats"><link rel="next" href="ch05s02.html" title="Advanced topics involving tabs"></head><body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF"><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">Chapter 5. The Wonders of Tabbed Browsing</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="ch04s04.html">Prev</a> </td><th width="60%" align="center"> </th><td width="20%" align="right"> <a accesskey="n" href="ch05s02.html">Next</a></td></tr></table><hr></div><div class="chapter" lang="en"><div class="titlepage"><div><div><h2 class="title"><a name="id2627994"></a>Chapter 5. The Wonders of Tabbed Browsing</h2></div></div></div><div class="toc"><p><b>Table of Contents</b></p><dl><dt><span class="section"><a href="ch05.html#id2628049">Introduction to the basic actions involving tabs</a></span></dt><dd><dl><dt><span class="section"><a href="ch05.html#id2628055">The tab bar and the tab menu</a></span></dt><dt><span class="section"><a href="ch05.html#id2628091">Creating new tabs</a></span></dt><dt><span class="section"><a href="ch05.html#id2628133">Switching between tabs</a></span></dt><dt><span class="section"><a href="ch05.html#id2628159">Closing tabs</a></span></dt></dl></dd><dt><span class="section"><a href="ch05s02.html">Advanced topics involving tabs</a></span></dt><dd><dl><dt><span class="section"><a href="ch05s02.html#id2628197">Moving tabs</a></span></dt><dt><span class="section"><a href="ch05s02.html#id2628219">Saving and restoring tabs</a></span></dt></dl></dd></dl></div><p>In this information age with our stream of consciousness constantly being
 dispersed by links to different resources on the Net, it is a challenge to keep
 track of where you are going.  The need for being able to access several pages
 in parallel arises.  Tabbed browsing gives you an easy way to browse multiple
@@ -11,7 +11,7 @@ possible to more easily jump between pag
 running more than one ELinks for that purpose.</p><p>Options related to tabs are located under “User Interface -&gt; Window Tabs” in
 the option manager.  In the configuration file the naming prefix is “ui.tabs”.</p><p>Tabbed browsing has been supported since version 0.9.0 and is fairly complete.
 The documentation on tabs is therefore divided into two chapters: a general
-introduction and an introduction to advanced topics.</p><div class="section" lang="en"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a name="id2549990"></a>Introduction to the basic actions involving tabs</h2></div></div></div><div class="section" lang="en"><div class="titlepage"><div><div><h3 class="title"><a name="id2549997"></a>The tab bar and the tab menu</h3></div></div></div><p>The current state of all opened tabs are displayed in the tab bar.  The tab bar
+introduction and an introduction to advanced topics.</p><div class="section" lang="en"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a name="id2628049"></a>Introduction to the basic actions involving tabs</h2></div></div></div><div class="section" lang="en"><div class="titlepage"><div><div><h3 class="title"><a name="id2628055"></a>The tab bar and the tab menu</h3></div></div></div><p>The current state of all opened tabs are displayed in the tab bar.  The tab bar
 will, by default, become visible when more than one tab is open, but this is
 configurable.  For each open tab, the document title will be shown, possibly
 truncated.  The current tab is highlighted.  The tab bar will also display
@@ -20,7 +20,7 @@ been selected since its document was loa
 a different coloring scheme.</p><p>The tab menu gives access to tab specific actions along with some other useful
 document specific actions.  So even if you haven't configured keybindings for
 all actions, chances are you will find it in the tab menu.  By default, it is
-opened by pressing <span class="emphasis"><em>e</em></span>.</p></div><div class="section" lang="en"><div class="titlepage"><div><div><h3 class="title"><a name="id2550032"></a>Creating new tabs</h3></div></div></div><p>When creating new tabs, it is possible to specify whether to create the tab and
+opened by pressing <span class="emphasis"><em>e</em></span>.</p></div><div class="section" lang="en"><div class="titlepage"><div><div><h3 class="title"><a name="id2628091"></a>Creating new tabs</h3></div></div></div><p>When creating new tabs, it is possible to specify whether to create the tab and
 make it the current active tab or if the tab is to be created “in the
 background” — that is, without it taking over the focus.</p><p>Tabs can be created either with or without specifying a desired first document
 to load.  That is, you can open links or submitted forms in a new tab or just
@@ -28,11 +28,11 @@ open a new tab.  Depending on your confi
 configured homepage in the newly created tab or simply leave the tab blank with
 no loaded document.</p><p>By default, <span class="emphasis"><em>t</em></span> will open a new tab and <span class="emphasis"><em>T</em></span> will open the current link in a new
 backgrounded tab.  You can configure keybindings for opening a new tab in the
-background and opening the current link as the active tab.</p></div><div class="section" lang="en"><div class="titlepage"><div><div><h3 class="title"><a name="id2550075"></a>Switching between tabs</h3></div></div></div><p>By default, it is possible to switch between tabs by using <span class="emphasis"><em>&lt;</em></span> and <span class="emphasis"><em>&gt;</em></span> to select
+background and opening the current link as the active tab.</p></div><div class="section" lang="en"><div class="titlepage"><div><div><h3 class="title"><a name="id2628133"></a>Switching between tabs</h3></div></div></div><p>By default, it is possible to switch between tabs by using <span class="emphasis"><em>&lt;</em></span> and <span class="emphasis"><em>&gt;</em></span> to select
 the previous and next tab, respectively.  When positioned at the leftmost tab,
 and switching to the previous tab, the tab switching will perform a wrap-around
 so that the rightmost tab will be selected.  The wrap-around behaviour is
-configurable.</p></div><div class="section" lang="en"><div class="titlepage"><div><div><h3 class="title"><a name="id2550100"></a>Closing tabs</h3></div></div></div><p>Tabs can by default be closed by pressing <span class="emphasis"><em>c</em></span>.  It is possible to optionally
+configurable.</p></div><div class="section" lang="en"><div class="titlepage"><div><div><h3 class="title"><a name="id2628159"></a>Closing tabs</h3></div></div></div><p>Tabs can by default be closed by pressing <span class="emphasis"><em>c</em></span>.  It is possible to optionally
 have a confirmation dialog pop up when closing a tab to avoid accidental
 closing.  To complement closing of the current tab, it is also possible to close
 all tabs but the current one.  No key is by default configured for this; the tab
diff -pruN 0.12~pre2.dfsg0-1/doc/html/manual.html-chunked/ch05s02.html 0.12~pre4-1/doc/html/manual.html-chunked/ch05s02.html
--- 0.12~pre2.dfsg0-1/doc/html/manual.html-chunked/ch05s02.html	2008-09-21 12:23:58.000000000 +0100
+++ 0.12~pre4-1/doc/html/manual.html-chunked/ch05s02.html	2009-05-31 10:12:46.000000000 +0100
@@ -1,8 +1,8 @@
-<html><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8"><title>Advanced topics involving tabs</title><meta name="generator" content="DocBook XSL Stylesheets V1.73.2"><link rel="start" href="index.html" title="The ELinks Manual"><link rel="up" href="ch05.html" title="Chapter 5. The Wonders of Tabbed Browsing"><link rel="prev" href="ch05.html" title="Chapter 5. The Wonders of Tabbed Browsing"><link rel="next" href="ch06.html" title="Chapter 6. Marks (the lite edition)"></head><body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF"><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">Advanced topics involving tabs</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="ch05.html">Prev</a> </td><th width="60%" align="center">Chapter 5. The Wonders of Tabbed Browsing</th><td width="20%" align="right"> <a accesskey="n" href="ch06.html">Next</a></td></tr></table><hr></div><div class="section" lang="en"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a name="id2550132"></a>Advanced topics involving tabs</h2></div></div></div><div class="section" lang="en"><div class="titlepage"><div><div><h3 class="title"><a name="id2550138"></a>Moving tabs</h3></div></div></div><p>Newly created tabs are always positioned as the rightmost tab, but it is
+<html><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8"><title>Advanced topics involving tabs</title><meta name="generator" content="DocBook XSL Stylesheets V1.73.2"><link rel="start" href="index.html" title="The ELinks Manual"><link rel="up" href="ch05.html" title="Chapter 5. The Wonders of Tabbed Browsing"><link rel="prev" href="ch05.html" title="Chapter 5. The Wonders of Tabbed Browsing"><link rel="next" href="ch06.html" title="Chapter 6. Marks (the lite edition)"></head><body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF"><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">Advanced topics involving tabs</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="ch05.html">Prev</a> </td><th width="60%" align="center">Chapter 5. The Wonders of Tabbed Browsing</th><td width="20%" align="right"> <a accesskey="n" href="ch06.html">Next</a></td></tr></table><hr></div><div class="section" lang="en"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a name="id2628191"></a>Advanced topics involving tabs</h2></div></div></div><div class="section" lang="en"><div class="titlepage"><div><div><h3 class="title"><a name="id2628197"></a>Moving tabs</h3></div></div></div><p>Newly created tabs are always positioned as the rightmost tab, but it is
 possible to move the current tab either to the left or the right.  The default
 keybindings have them bound to Alt-&lt; and Alt-&gt;. Note, however, that there are
 problems recognizing those keybindings when using XTerm, so you might want to
-rebind them.</p></div><div class="section" lang="en"><div class="titlepage"><div><div><h3 class="title"><a name="id2550161"></a>Saving and restoring tabs</h3></div></div></div><p>Several features use bookmarks to save tabs; they will create a folder and
+rebind them.</p></div><div class="section" lang="en"><div class="titlepage"><div><div><h3 class="title"><a name="id2628219"></a>Saving and restoring tabs</h3></div></div></div><p>Several features use bookmarks to save tabs; they will create a folder and
 bookmark therein the currently displayed document of each tab:</p><div class="itemizedlist"><ul type="disc"><li>
 You can explicitly command all tabs to be bookmarked.  This will ask you for
   a folder name in which the tabs will be bookmarked.
diff -pruN 0.12~pre2.dfsg0-1/doc/html/manual.html-chunked/ch06.html 0.12~pre4-1/doc/html/manual.html-chunked/ch06.html
--- 0.12~pre2.dfsg0-1/doc/html/manual.html-chunked/ch06.html	2008-09-21 12:23:58.000000000 +0100
+++ 0.12~pre4-1/doc/html/manual.html-chunked/ch06.html	2009-05-31 10:12:47.000000000 +0100
@@ -1,7 +1,7 @@
-<html><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8"><title>Chapter 6. Marks (the lite edition)</title><meta name="generator" content="DocBook XSL Stylesheets V1.73.2"><link rel="start" href="index.html" title="The ELinks Manual"><link rel="up" href="index.html" title="The ELinks Manual"><link rel="prev" href="ch05s02.html" title="Advanced topics involving tabs"><link rel="next" href="ch06s02.html" title="Restrictions"></head><body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF"><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">Chapter 6. Marks (the lite edition)</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="ch05s02.html">Prev</a> </td><th width="60%" align="center"> </th><td width="20%" align="right"> <a accesskey="n" href="ch06s02.html">Next</a></td></tr></table><hr></div><div class="chapter" lang="en"><div class="titlepage"><div><div><h2 class="title"><a name="id2550214"></a>Chapter 6. Marks (the lite edition)</h2></div></div></div><div class="toc"><p><b>Table of Contents</b></p><dl><dt><span class="section"><a href="ch06.html#id2550242">What it is?</a></span></dt><dt><span class="section"><a href="ch06s02.html">Restrictions</a></span></dt><dt><span class="section"><a href="ch06s03.html">Marks lifespan</a></span></dt></dl></div><p>So, were you ever reading this huge 300-pages specification heavily
+<html><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8"><title>Chapter 6. Marks (the lite edition)</title><meta name="generator" content="DocBook XSL Stylesheets V1.73.2"><link rel="start" href="index.html" title="The ELinks Manual"><link rel="up" href="index.html" title="The ELinks Manual"><link rel="prev" href="ch05s02.html" title="Advanced topics involving tabs"><link rel="next" href="ch06s02.html" title="Restrictions"></head><body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF"><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">Chapter 6. Marks (the lite edition)</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="ch05s02.html">Prev</a> </td><th width="60%" align="center"> </th><td width="20%" align="right"> <a accesskey="n" href="ch06s02.html">Next</a></td></tr></table><hr></div><div class="chapter" lang="en"><div class="titlepage"><div><div><h2 class="title"><a name="id2628273"></a>Chapter 6. Marks (the lite edition)</h2></div></div></div><div class="toc"><p><b>Table of Contents</b></p><dl><dt><span class="section"><a href="ch06.html#id2628301">What it is?</a></span></dt><dt><span class="section"><a href="ch06s02.html">Restrictions</a></span></dt><dt><span class="section"><a href="ch06s03.html">Marks lifespan</a></span></dt></dl></div><p>So, were you ever reading this huge 300-pages specification heavily
 cross-referencing itself, jumping around and getting a headache when looking
 for the place where you stopped reading the last time?</p><p>Were you doing something similar in C code, but praising <span class="strong"><strong>vi</strong></span> for document
-marks?</p><p>ELinks can do them, too! For vim non-users:</p><div class="section" lang="en"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a name="id2550242"></a>What it is?</h2></div></div></div><p>When you place a "document mark" (just "mark" from now on), you place an
+marks?</p><p>ELinks can do them, too! For vim non-users:</p><div class="section" lang="en"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a name="id2628301"></a>What it is?</h2></div></div></div><p>When you place a "document mark" (just "mark" from now on), you place an
 _invisible_ anchor at the current position in the document. You can place
 several such marks --- each mark is identified by a single character (any
 reasonable character will do). Then, you can just happily browse around
diff -pruN 0.12~pre2.dfsg0-1/doc/html/manual.html-chunked/ch06s02.html 0.12~pre4-1/doc/html/manual.html-chunked/ch06s02.html
--- 0.12~pre2.dfsg0-1/doc/html/manual.html-chunked/ch06s02.html	2008-09-21 12:23:58.000000000 +0100
+++ 0.12~pre4-1/doc/html/manual.html-chunked/ch06s02.html	2009-05-31 10:12:46.000000000 +0100
@@ -1,4 +1,4 @@
-<html><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8"><title>Restrictions</title><meta name="generator" content="DocBook XSL Stylesheets V1.73.2"><link rel="start" href="index.html" title="The ELinks Manual"><link rel="up" href="ch06.html" title="Chapter 6. Marks (the lite edition)"><link rel="prev" href="ch06.html" title="Chapter 6. Marks (the lite edition)"><link rel="next" href="ch06s03.html" title="Marks lifespan"></head><body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF"><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">Restrictions</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="ch06.html">Prev</a> </td><th width="60%" align="center">Chapter 6. Marks (the lite edition)</th><td width="20%" align="right"> <a accesskey="n" href="ch06s03.html">Next</a></td></tr></table><hr></div><div class="section" lang="en"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a name="id2550290"></a>Restrictions</h2></div></div></div><p>Currently, only A-Za-z characters are valid marks.</p><p>Only one mark named "a" (or anything else) may exist at a time, so if one
+<html><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8"><title>Restrictions</title><meta name="generator" content="DocBook XSL Stylesheets V1.73.2"><link rel="start" href="index.html" title="The ELinks Manual"><link rel="up" href="ch06.html" title="Chapter 6. Marks (the lite edition)"><link rel="prev" href="ch06.html" title="Chapter 6. Marks (the lite edition)"><link rel="next" href="ch06s03.html" title="Marks lifespan"></head><body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF"><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">Restrictions</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="ch06.html">Prev</a> </td><th width="60%" align="center">Chapter 6. Marks (the lite edition)</th><td width="20%" align="right"> <a accesskey="n" href="ch06s03.html">Next</a></td></tr></table><hr></div><div class="section" lang="en"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a name="id2628349"></a>Restrictions</h2></div></div></div><p>Currently, only A-Za-z characters are valid marks.</p><p>Only one mark named "a" (or anything else) may exist at a time, so if one
 puts a mark "a" in a first document and set another mark "a" in a second
 document, ELinks will simply replace the former one.</p><p>ALL the document marks are always local to the document. I.e. the vim text
 editor has an extension that makes the capital-letter marks to be global to
diff -pruN 0.12~pre2.dfsg0-1/doc/html/manual.html-chunked/ch06s03.html 0.12~pre4-1/doc/html/manual.html-chunked/ch06s03.html
--- 0.12~pre2.dfsg0-1/doc/html/manual.html-chunked/ch06s03.html	2008-09-21 12:23:58.000000000 +0100
+++ 0.12~pre4-1/doc/html/manual.html-chunked/ch06s03.html	2009-05-31 10:12:46.000000000 +0100
@@ -1,4 +1,4 @@
-<html><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8"><title>Marks lifespan</title><meta name="generator" content="DocBook XSL Stylesheets V1.73.2"><link rel="start" href="index.html" title="The ELinks Manual"><link rel="up" href="ch06.html" title="Chapter 6. Marks (the lite edition)"><link rel="prev" href="ch06s02.html" title="Restrictions"><link rel="next" href="ch07.html" title="Chapter 7. URL Shortcuts in ELinks"></head><body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF"><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">Marks lifespan</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="ch06s02.html">Prev</a> </td><th width="60%" align="center">Chapter 6. Marks (the lite edition)</th><td width="20%" align="right"> <a accesskey="n" href="ch07.html">Next</a></td></tr></table><hr></div><div class="section" lang="en"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a name="id2550330"></a>Marks lifespan</h2></div></div></div><p>I already hinted something about another restriction regarding aimless
+<html><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8"><title>Marks lifespan</title><meta name="generator" content="DocBook XSL Stylesheets V1.73.2"><link rel="start" href="index.html" title="The ELinks Manual"><link rel="up" href="ch06.html" title="Chapter 6. Marks (the lite edition)"><link rel="prev" href="ch06s02.html" title="Restrictions"><link rel="next" href="ch07.html" title="Chapter 7. URL Shortcuts in ELinks"></head><body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF"><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">Marks lifespan</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="ch06s02.html">Prev</a> </td><th width="60%" align="center">Chapter 6. Marks (the lite edition)</th><td width="20%" align="right"> <a accesskey="n" href="ch07.html">Next</a></td></tr></table><hr></div><div class="section" lang="en"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a name="id2628389"></a>Marks lifespan</h2></div></div></div><p>I already hinted something about another restriction regarding aimless
 browsing. The lifespan of document marks depends on rather ill-defined and
 (for an average mortal) mostly non-deterministic technical conditions.</p><p>Generally, marks _always_ survive when not moving away from the document or
 when moving only in the session history (and unhistory). That means, if you
diff -pruN 0.12~pre2.dfsg0-1/doc/html/manual.html-chunked/ch07.html 0.12~pre4-1/doc/html/manual.html-chunked/ch07.html
--- 0.12~pre2.dfsg0-1/doc/html/manual.html-chunked/ch07.html	2008-09-21 12:23:59.000000000 +0100
+++ 0.12~pre4-1/doc/html/manual.html-chunked/ch07.html	2009-05-31 10:12:47.000000000 +0100
@@ -1,8 +1,8 @@
-<html><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8"><title>Chapter 7. URL Shortcuts in ELinks</title><meta name="generator" content="DocBook XSL Stylesheets V1.73.2"><link rel="start" href="index.html" title="The ELinks Manual"><link rel="up" href="index.html" title="The ELinks Manual"><link rel="prev" href="ch06s03.html" title="Marks lifespan"><link rel="next" href="ch07s02.html" title="How it works"></head><body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF"><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">Chapter 7. URL Shortcuts in ELinks</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="ch06s03.html">Prev</a> </td><th width="60%" align="center"> </th><td width="20%" align="right"> <a accesskey="n" href="ch07s02.html">Next</a></td></tr></table><hr></div><div class="chapter" lang="en"><div class="titlepage"><div><div><h2 class="title"><a name="id2550402"></a>Chapter 7. URL Shortcuts in ELinks</h2></div></div></div><div class="toc"><p><b>Table of Contents</b></p><dl><dt><span class="section"><a href="ch07.html#id2550423">What it does</a></span></dt><dt><span class="section"><a href="ch07s02.html">How it works</a></span></dt><dt><span class="section"><a href="ch07s03.html">Alternative URI rewriting mechanisms</a></span></dt></dl></div><p>One extremely useful and convenient feature in ELinks, which may not be very
+<html><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8"><title>Chapter 7. URL Shortcuts in ELinks</title><meta name="generator" content="DocBook XSL Stylesheets V1.73.2"><link rel="start" href="index.html" title="The ELinks Manual"><link rel="up" href="index.html" title="The ELinks Manual"><link rel="prev" href="ch06s03.html" title="Marks lifespan"><link rel="next" href="ch07s02.html" title="How it works"></head><body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF"><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">Chapter 7. URL Shortcuts in ELinks</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="ch06s03.html">Prev</a> </td><th width="60%" align="center"> </th><td width="20%" align="right"> <a accesskey="n" href="ch07s02.html">Next</a></td></tr></table><hr></div><div class="chapter" lang="en"><div class="titlepage"><div><div><h2 class="title"><a name="id2628460"></a>Chapter 7. URL Shortcuts in ELinks</h2></div></div></div><div class="toc"><p><b>Table of Contents</b></p><dl><dt><span class="section"><a href="ch07.html#id2628482">What it does</a></span></dt><dt><span class="section"><a href="ch07s02.html">How it works</a></span></dt><dt><span class="section"><a href="ch07s03.html">Alternative URI rewriting mechanisms</a></span></dt></dl></div><p>One extremely useful and convenient feature in ELinks, which may not be very
 well known, is so-called URL rewriting.  If you give ELinks a URL (by passing it
 on the command line, through the -remote magic device or, most frequently, by
 typing it to the Goto URL dialog), it has the ability to mangle it in certain
-ways before processing it.  This mangling is called URI rewriting.</p><div class="section" lang="en"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a name="id2550423"></a>What it does</h2></div></div></div><p>The URI rewriting can expand certain URL shortcuts to complete URLs.  For
+ways before processing it.  This mangling is called URI rewriting.</p><div class="section" lang="en"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a name="id2628482"></a>What it does</h2></div></div></div><p>The URI rewriting can expand certain URL shortcuts to complete URLs.  For
 example, if you type <span class="emphasis"><em>sd</em></span> to the Goto URL dialog, it will be rewritten to:</p><pre class="literallayout">http://www.slashdot.org/</pre><p>first, and then loaded.  /.'s front page will be displayed.</p><p>Further, if you type <span class="emphasis"><em>g elinks</em></span> to the Goto URL dialog, it will be rewritten to:</p><pre class="literallayout">http://www.google.com/search?q=elinks&amp;amp;btnG=Google+Search</pre><p>and then loaded, therefore, a Google search for the keyword <span class="emphasis"><em>elinks</em></span> will be
 performed.  Note that you can separate the <span class="emphasis"><em>g</em></span> by either a space or a colon, so
 <span class="emphasis"><em>g:elinks</em></span> will do the exact same thing.</p><p>A large number of those shortcuts are already defined for you.  You can browse
diff -pruN 0.12~pre2.dfsg0-1/doc/html/manual.html-chunked/ch07s02.html 0.12~pre4-1/doc/html/manual.html-chunked/ch07s02.html
--- 0.12~pre2.dfsg0-1/doc/html/manual.html-chunked/ch07s02.html	2008-09-21 12:23:59.000000000 +0100
+++ 0.12~pre4-1/doc/html/manual.html-chunked/ch07s02.html	2009-05-31 10:12:47.000000000 +0100
@@ -1,4 +1,4 @@
-<html><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8"><title>How it works</title><meta name="generator" content="DocBook XSL Stylesheets V1.73.2"><link rel="start" href="index.html" title="The ELinks Manual"><link rel="up" href="ch07.html" title="Chapter 7. URL Shortcuts in ELinks"><link rel="prev" href="ch07.html" title="Chapter 7. URL Shortcuts in ELinks"><link rel="next" href="ch07s03.html" title="Alternative URI rewriting mechanisms"></head><body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF"><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">How it works</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="ch07.html">Prev</a> </td><th width="60%" align="center">Chapter 7. URL Shortcuts in ELinks</th><td width="20%" align="right"> <a accesskey="n" href="ch07s03.html">Next</a></td></tr></table><hr></div><div class="section" lang="en"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a name="id2550502"></a>How it works</h2></div></div></div><p>All the URI rewriting can be controlled by options in the <span class="emphasis"><em>protocol.rewrite</em></span>
+<html><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8"><title>How it works</title><meta name="generator" content="DocBook XSL Stylesheets V1.73.2"><link rel="start" href="index.html" title="The ELinks Manual"><link rel="up" href="ch07.html" title="Chapter 7. URL Shortcuts in ELinks"><link rel="prev" href="ch07.html" title="Chapter 7. URL Shortcuts in ELinks"><link rel="next" href="ch07s03.html" title="Alternative URI rewriting mechanisms"></head><body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF"><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">How it works</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="ch07.html">Prev</a> </td><th width="60%" align="center">Chapter 7. URL Shortcuts in ELinks</th><td width="20%" align="right"> <a accesskey="n" href="ch07s03.html">Next</a></td></tr></table><hr></div><div class="section" lang="en"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a name="id2628560"></a>How it works</h2></div></div></div><p>All the URI rewriting can be controlled by options in the <span class="emphasis"><em>protocol.rewrite</em></span>
 option tree.</p><p>In the case of <span class="emphasis"><em>sd</em></span>, a URI rewriting mechanism called <span class="emphasis"><em>dumb prefixes</em></span> is used.
 If protocol.rewrite.enable-dumb is true, ELinks looks at the contents of the
 protocol.rewrite.dumb.* tree, and if it finds option protocol.rewrite.dumb.sd,
diff -pruN 0.12~pre2.dfsg0-1/doc/html/manual.html-chunked/ch07s03.html 0.12~pre4-1/doc/html/manual.html-chunked/ch07s03.html
--- 0.12~pre2.dfsg0-1/doc/html/manual.html-chunked/ch07s03.html	2008-09-21 12:23:59.000000000 +0100
+++ 0.12~pre4-1/doc/html/manual.html-chunked/ch07s03.html	2009-05-31 10:12:47.000000000 +0100
@@ -1,4 +1,4 @@
-<html><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8"><title>Alternative URI rewriting mechanisms</title><meta name="generator" content="DocBook XSL Stylesheets V1.73.2"><link rel="start" href="index.html" title="The ELinks Manual"><link rel="up" href="ch07.html" title="Chapter 7. URL Shortcuts in ELinks"><link rel="prev" href="ch07s02.html" title="How it works"><link rel="next" href="ch08.html" title="Chapter 8. The Terminal Setup"></head><body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF"><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">Alternative URI rewriting mechanisms</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="ch07s02.html">Prev</a> </td><th width="60%" align="center">Chapter 7. URL Shortcuts in ELinks</th><td width="20%" align="right"> <a accesskey="n" href="ch08.html">Next</a></td></tr></table><hr></div><div class="section" lang="en"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a name="id2550660"></a>Alternative URI rewriting mechanisms</h2></div></div></div><p>In the past, before this was implemented, Lua scripting did the job.  And you
+<html><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8"><title>Alternative URI rewriting mechanisms</title><meta name="generator" content="DocBook XSL Stylesheets V1.73.2"><link rel="start" href="index.html" title="The ELinks Manual"><link rel="up" href="ch07.html" title="Chapter 7. URL Shortcuts in ELinks"><link rel="prev" href="ch07s02.html" title="How it works"><link rel="next" href="ch08.html" title="Chapter 8. The Terminal Setup"></head><body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF"><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">Alternative URI rewriting mechanisms</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="ch07s02.html">Prev</a> </td><th width="60%" align="center">Chapter 7. URL Shortcuts in ELinks</th><td width="20%" align="right"> <a accesskey="n" href="ch08.html">Next</a></td></tr></table><hr></div><div class="section" lang="en"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a name="id2628718"></a>Alternative URI rewriting mechanisms</h2></div></div></div><p>In the past, before this was implemented, Lua scripting did the job.  And you
 still have complete control over the URI in the internal scripting goto-url
 hook.  The advantages are clear - you get complete control over the URI and you
 can do many more interesting things with it.  For example, there are some very
diff -pruN 0.12~pre2.dfsg0-1/doc/html/manual.html-chunked/ch08.html 0.12~pre4-1/doc/html/manual.html-chunked/ch08.html
--- 0.12~pre2.dfsg0-1/doc/html/manual.html-chunked/ch08.html	2008-09-21 12:23:59.000000000 +0100
+++ 0.12~pre4-1/doc/html/manual.html-chunked/ch08.html	2009-05-31 10:12:48.000000000 +0100
@@ -1,4 +1,4 @@
-<html><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8"><title>Chapter 8. The Terminal Setup</title><meta name="generator" content="DocBook XSL Stylesheets V1.73.2"><link rel="start" href="index.html" title="The ELinks Manual"><link rel="up" href="index.html" title="The ELinks Manual"><link rel="prev" href="ch07s03.html" title="Alternative URI rewriting mechanisms"><link rel="next" href="ch08s02.html" title="Terminal Configurations"></head><body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF"><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">Chapter 8. The Terminal Setup</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="ch07s03.html">Prev</a> </td><th width="60%" align="center"> </th><td width="20%" align="right"> <a accesskey="n" href="ch08s02.html">Next</a></td></tr></table><hr></div><div class="chapter" lang="en"><div class="titlepage"><div><div><h2 class="title"><a name="id2550684"></a>Chapter 8. The Terminal Setup</h2></div></div></div><div class="toc"><p><b>Table of Contents</b></p><dl><dt><span class="section"><a href="ch08.html#id2550748">Options</a></span></dt><dd><dl><dt><span class="section"><a href="ch08.html#id2550764">Terminal type</a></span></dt><dt><span class="section"><a href="ch08.html#id2550894">Color mode</a></span></dt><dt><span class="section"><a href="ch08.html#id2551006">Switch fonts for line drawing (aka 11m hack)</a></span></dt><dt><span class="section"><a href="ch08.html#id2551027">Restrict frames in cp850/852</a></span></dt><dt><span class="section"><a href="ch08.html#id2551049">Block cursor</a></span></dt><dt><span class="section"><a href="ch08.html#id2551076">Transparency</a></span></dt><dt><span class="section"><a href="ch08.html#id2551097">Text underlining capability</a></span></dt><dt><span class="section"><a href="ch08.html#id2551114">UTF-8 I/O</a></span></dt><dt><span class="section"><a href="ch08.html#id2551132">Character Set</a></span></dt></dl></dd><dt><span class="section"><a href="ch08s02.html">Terminal Configurations</a></span></dt></dl></div><p>ELinks uses neither (n)curses nor termcap/terminfo, so unless you are using
+<html><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8"><title>Chapter 8. The Terminal Setup</title><meta name="generator" content="DocBook XSL Stylesheets V1.73.2"><link rel="start" href="index.html" title="The ELinks Manual"><link rel="up" href="index.html" title="The ELinks Manual"><link rel="prev" href="ch07s03.html" title="Alternative URI rewriting mechanisms"><link rel="next" href="ch08s02.html" title="Terminal Configurations"></head><body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF"><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">Chapter 8. The Terminal Setup</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="ch07s03.html">Prev</a> </td><th width="60%" align="center"> </th><td width="20%" align="right"> <a accesskey="n" href="ch08s02.html">Next</a></td></tr></table><hr></div><div class="chapter" lang="en"><div class="titlepage"><div><div><h2 class="title"><a name="id2628743"></a>Chapter 8. The Terminal Setup</h2></div></div></div><div class="toc"><p><b>Table of Contents</b></p><dl><dt><span class="section"><a href="ch08.html#id2628807">Options</a></span></dt><dd><dl><dt><span class="section"><a href="ch08.html#id2628822">Terminal type</a></span></dt><dt><span class="section"><a href="ch08.html#id2628953">Color mode</a></span></dt><dt><span class="section"><a href="ch08.html#id2629065">Switch fonts for line drawing (aka 11m hack)</a></span></dt><dt><span class="section"><a href="ch08.html#id2629085">Restrict frames in cp850/852</a></span></dt><dt><span class="section"><a href="ch08.html#id2629108">Block cursor</a></span></dt><dt><span class="section"><a href="ch08.html#id2629135">Transparency</a></span></dt><dt><span class="section"><a href="ch08.html#id2629156">Text underlining capability</a></span></dt><dt><span class="section"><a href="ch08.html#id2629173">UTF-8 I/O</a></span></dt><dt><span class="section"><a href="ch08.html#id2629191">Character Set</a></span></dt></dl></dd><dt><span class="section"><a href="ch08s02.html">Terminal Configurations</a></span></dt></dl></div><p>ELinks uses neither (n)curses nor termcap/terminfo, so unless you are using
 a terminal that is known by ELinks and have a built-in configuration (see below
 for a list), it might be required that you do a little configuring of how your
 terminal should be handled.  The easiest way to do this is by using the Terminal
@@ -14,9 +14,9 @@ to distinguish between terminals in its 
 only configure your terminal within ELinks: Go to the Setup menu and select
 Terminal Options.  If $TERM is set to <span class="emphasis"><em>screen</em></span> when you configure ELinks'
 terminal settings, ELinks will remember to use those settings when $TERM is
-<span class="emphasis"><em>screen</em></span>.</p><div class="section" lang="en"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a name="id2550748"></a>Options</h2></div></div></div><p>Apart from the last charset option configurable through the Setup -&gt; Character
+<span class="emphasis"><em>screen</em></span>.</p><div class="section" lang="en"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a name="id2628807"></a>Options</h2></div></div></div><p>Apart from the last charset option configurable through the Setup -&gt; Character
 Set submenu in the Main menu, the rest can be configured using the Terminal
-Options dialog.</p><div class="section" lang="en"><div class="titlepage"><div><div><h3 class="title"><a name="id2550764"></a>Terminal type</h3></div></div></div><p>It maps roughly to the terminal type, such as Linux console, XTerm, VT100 etc.
+Options dialog.</p><div class="section" lang="en"><div class="titlepage"><div><div><h3 class="title"><a name="id2628822"></a>Terminal type</h3></div></div></div><p>It maps roughly to the terminal type, such as Linux console, XTerm, VT100 etc.
 It matters mostly when drawing frames and borders around dialog windows.  As
 already mentioned, it also turns on certain features which try to compensate for
 “missing” terminal capabilities when drawing.  Special highlighting of
@@ -44,7 +44,7 @@ underlined text if underlining is not su
     FreeBSD
     </td><td align="left">
     FreeBSD console
-    </td></tr></tbody></table></div><p>The default is to assume dumb terminal/ASCII art.</p></div><div class="section" lang="en"><div class="titlepage"><div><div><h3 class="title"><a name="id2550894"></a>Color mode</h3></div></div></div><p>The color mode controls what colors are used and how they are output to the
+    </td></tr></tbody></table></div><p>The default is to assume dumb terminal/ASCII art.</p></div><div class="section" lang="en"><div class="titlepage"><div><div><h3 class="title"><a name="id2628953"></a>Color mode</h3></div></div></div><p>The color mode controls what colors are used and how they are output to the
 terminal.  The available color modes are:</p><div class="informaltable"><table border="1"><colgroup><col align="left"><col align="left"></colgroup><thead><tr><th align="left">
     Mode
     </th><th align="left">
@@ -65,19 +65,19 @@ terminal.  The available color modes are
     256 color mode
     </td><td align="left">
     Uses XTerm RGB codes (if compiled in)
-    </td></tr></tbody></table></div><p>The default is to use mono mode.</p></div><div class="section" lang="en"><div class="titlepage"><div><div><h3 class="title"><a name="id2551006"></a>Switch fonts for line drawing (aka 11m hack)</h3></div></div></div><p>This is related to the drawing of frames and window borders controlled by the
+    </td></tr></tbody></table></div><p>The default is to use mono mode.</p></div><div class="section" lang="en"><div class="titlepage"><div><div><h3 class="title"><a name="id2629065"></a>Switch fonts for line drawing (aka 11m hack)</h3></div></div></div><p>This is related to the drawing of frames and window borders controlled by the
 option above.  It controls whether to switch fonts when drawing lines, enabling
-both local characters and lines working at the same time.</p><p>This boolean option only makes sense with the Linux console.  Off by default.</p></div><div class="section" lang="en"><div class="titlepage"><div><div><h3 class="title"><a name="id2551027"></a>Restrict frames in cp850/852</h3></div></div></div><p>This is related to the drawing of frames and window borders controlled by the
+both local characters and lines working at the same time.</p><p>This boolean option only makes sense with the Linux console.  Off by default.</p></div><div class="section" lang="en"><div class="titlepage"><div><div><h3 class="title"><a name="id2629085"></a>Restrict frames in cp850/852</h3></div></div></div><p>This is related to the drawing of frames and window borders controlled by the
 option above.  If enabled, it restricts the characters used when drawing lines.</p><p>This boolean option only makes sense with the Linux console using the cp850/852
-character sets.  Off by default.</p></div><div class="section" lang="en"><div class="titlepage"><div><div><h3 class="title"><a name="id2551049"></a>Block cursor</h3></div></div></div><p>Move cursor to the bottom right corner when done drawing, if possible.  This is
+character sets.  Off by default.</p></div><div class="section" lang="en"><div class="titlepage"><div><div><h3 class="title"><a name="id2629108"></a>Block cursor</h3></div></div></div><p>Move cursor to the bottom right corner when done drawing, if possible.  This is
 particularly useful when we have a block cursor, so that text colors are
 displayed correctly.  If you are using a screen reader you do not want to enable
 this since the cursor is strategically positioned near relevant text of selected
-dialog elements.</p><p>This boolean option is off by default.</p></div><div class="section" lang="en"><div class="titlepage"><div><div><h3 class="title"><a name="id2551076"></a>Transparency</h3></div></div></div><p>Determines whether or not to set the background to black.  This is particularly
+dialog elements.</p><p>This boolean option is off by default.</p></div><div class="section" lang="en"><div class="titlepage"><div><div><h3 class="title"><a name="id2629135"></a>Transparency</h3></div></div></div><p>Determines whether or not to set the background to black.  This is particularly
 useful when using a terminal (typically in some windowing environment) with
 a background image or a transparent background.  If this option is enabled the
 background will be visible in ELinks as well.</p><p>Note that this boolean option makes sense only when colors are enabled.  On by
-default.</p></div><div class="section" lang="en"><div class="titlepage"><div><div><h3 class="title"><a name="id2551097"></a>Text underlining capability</h3></div></div></div><p>This boolean option controls whether to underline text or instead, enhance the
-color.</p><p>Note: not all terminals support text underlining, so it is off by default.</p></div><div class="section" lang="en"><div class="titlepage"><div><div><h3 class="title"><a name="id2551114"></a>UTF-8 I/O</h3></div></div></div><p>This boolean option controls outputting of I/O in UTF-8 for Unicode terminals.</p><p>Note that currently, only a subset of UTF-8 according to the terminal
-codepage is used.  This is off by default.</p></div><div class="section" lang="en"><div class="titlepage"><div><div><h3 class="title"><a name="id2551132"></a>Character Set</h3></div></div></div><p>Codepage of the charset used for displaying content on terminal.</p><p>The value <span class="emphasis"><em>System</em></span> (which is the default) will set the charset according to the
+default.</p></div><div class="section" lang="en"><div class="titlepage"><div><div><h3 class="title"><a name="id2629156"></a>Text underlining capability</h3></div></div></div><p>This boolean option controls whether to underline text or instead, enhance the
+color.</p><p>Note: not all terminals support text underlining, so it is off by default.</p></div><div class="section" lang="en"><div class="titlepage"><div><div><h3 class="title"><a name="id2629173"></a>UTF-8 I/O</h3></div></div></div><p>This boolean option controls outputting of I/O in UTF-8 for Unicode terminals.</p><p>Note that currently, only a subset of UTF-8 according to the terminal
+codepage is used.  This is off by default.</p></div><div class="section" lang="en"><div class="titlepage"><div><div><h3 class="title"><a name="id2629191"></a>Character Set</h3></div></div></div><p>Codepage of the charset used for displaying content on terminal.</p><p>The value <span class="emphasis"><em>System</em></span> (which is the default) will set the charset according to the
 current locale.  The default is to use the charset of the current locale.</p></div></div></div><div class="navfooter"><hr><table width="100%" summary="Navigation footer"><tr><td width="40%" align="left"><a accesskey="p" href="ch07s03.html">Prev</a> </td><td width="20%" align="center"> </td><td width="40%" align="right"> <a accesskey="n" href="ch08s02.html">Next</a></td></tr><tr><td width="40%" align="left" valign="top">Alternative URI rewriting mechanisms </td><td width="20%" align="center"><a accesskey="h" href="index.html">Home</a></td><td width="40%" align="right" valign="top"> Terminal Configurations</td></tr></table></div></body></html>
diff -pruN 0.12~pre2.dfsg0-1/doc/html/manual.html-chunked/ch08s02.html 0.12~pre4-1/doc/html/manual.html-chunked/ch08s02.html
--- 0.12~pre2.dfsg0-1/doc/html/manual.html-chunked/ch08s02.html	2008-09-21 12:23:59.000000000 +0100
+++ 0.12~pre4-1/doc/html/manual.html-chunked/ch08s02.html	2009-05-31 10:12:48.000000000 +0100
@@ -1,4 +1,4 @@
-<html><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8"><title>Terminal Configurations</title><meta name="generator" content="DocBook XSL Stylesheets V1.73.2"><link rel="start" href="index.html" title="The ELinks Manual"><link rel="up" href="ch08.html" title="Chapter 8. The Terminal Setup"><link rel="prev" href="ch08.html" title="Chapter 8. The Terminal Setup"><link rel="next" href="ch09.html" title="Chapter 9. Introduction to MIME handling"></head><body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF"><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">Terminal Configurations</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="ch08.html">Prev</a> </td><th width="60%" align="center">Chapter 8. The Terminal Setup</th><td width="20%" align="right"> <a accesskey="n" href="ch09.html">Next</a></td></tr></table><hr></div><div class="section" lang="en"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a name="id2551155"></a>Terminal Configurations</h2></div></div></div><p>Built-in configurations exists for the following terminals:</p><div class="itemizedlist"><ul type="disc"><li>
+<html><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8"><title>Terminal Configurations</title><meta name="generator" content="DocBook XSL Stylesheets V1.73.2"><link rel="start" href="index.html" title="The ELinks Manual"><link rel="up" href="ch08.html" title="Chapter 8. The Terminal Setup"><link rel="prev" href="ch08.html" title="Chapter 8. The Terminal Setup"><link rel="next" href="ch09.html" title="Chapter 9. Introduction to MIME handling"></head><body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF"><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">Terminal Configurations</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="ch08.html">Prev</a> </td><th width="60%" align="center">Chapter 8. The Terminal Setup</th><td width="20%" align="right"> <a accesskey="n" href="ch09.html">Next</a></td></tr></table><hr></div><div class="section" lang="en"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a name="id2629214"></a>Terminal Configurations</h2></div></div></div><p>Built-in configurations exists for the following terminals:</p><div class="itemizedlist"><ul type="disc"><li>
 linux
 </li><li>
 vt100
diff -pruN 0.12~pre2.dfsg0-1/doc/html/manual.html-chunked/ch09.html 0.12~pre4-1/doc/html/manual.html-chunked/ch09.html
--- 0.12~pre2.dfsg0-1/doc/html/manual.html-chunked/ch09.html	2008-09-21 12:24:00.000000000 +0100
+++ 0.12~pre4-1/doc/html/manual.html-chunked/ch09.html	2009-05-31 10:12:48.000000000 +0100
@@ -1,4 +1,4 @@
-<html><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8"><title>Chapter 9. Introduction to MIME handling</title><meta name="generator" content="DocBook XSL Stylesheets V1.73.2"><link rel="start" href="index.html" title="The ELinks Manual"><link rel="up" href="index.html" title="The ELinks Manual"><link rel="prev" href="ch08s02.html" title="Terminal Configurations"><link rel="next" href="ch09s02.html" title="Setting up elinks.conf"></head><body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF"><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">Chapter 9. Introduction to MIME handling</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="ch08s02.html">Prev</a> </td><th width="60%" align="center"> </th><td width="20%" align="right"> <a accesskey="n" href="ch09s02.html">Next</a></td></tr></table><hr></div><div class="chapter" lang="en"><div class="titlepage"><div><div><h2 class="title"><a name="id2551243"></a>Chapter 9. Introduction to MIME handling</h2></div></div></div><div class="toc"><p><b>Table of Contents</b></p><dl><dt><span class="section"><a href="ch09.html#id2551281">Handling MIME types, the ELinks way</a></span></dt><dd><dl><dt><span class="section"><a href="ch09.html#id2551287">What are MIME types and why may you want to use them?</a></span></dt><dt><span class="section"><a href="ch09.html#id2551326">Associating files to MIME types</a></span></dt><dt><span class="section"><a href="ch09.html#id2551358">Managing a given MIME type</a></span></dt><dt><span class="section"><a href="ch09.html#id2551402">Specifying the details for a handler</a></span></dt></dl></dd><dt><span class="section"><a href="ch09s02.html">Setting up elinks.conf</a></span></dt><dd><dl><dt><span class="section"><a href="ch09s02.html#id2551525">Associating a file extension to a MIME type</a></span></dt><dt><span class="section"><a href="ch09s02.html#id2551546">Defining a handler</a></span></dt><dt><span class="section"><a href="ch09s02.html#id2551622">Associating a MIME type to a handler</a></span></dt></dl></dd></dl></div><p>At some time along the 0.4 prereleases, ELinks replaced the old Links file
+<html><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8"><title>Chapter 9. Introduction to MIME handling</title><meta name="generator" content="DocBook XSL Stylesheets V1.73.2"><link rel="start" href="index.html" title="The ELinks Manual"><link rel="up" href="index.html" title="The ELinks Manual"><link rel="prev" href="ch08s02.html" title="Terminal Configurations"><link rel="next" href="ch09s02.html" title="Setting up elinks.conf"></head><body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF"><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">Chapter 9. Introduction to MIME handling</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="ch08s02.html">Prev</a> </td><th width="60%" align="center"> </th><td width="20%" align="right"> <a accesskey="n" href="ch09s02.html">Next</a></td></tr></table><hr></div><div class="chapter" lang="en"><div class="titlepage"><div><div><h2 class="title"><a name="id2629301"></a>Chapter 9. Introduction to MIME handling</h2></div></div></div><div class="toc"><p><b>Table of Contents</b></p><dl><dt><span class="section"><a href="ch09.html#id2629339">Handling MIME types, the ELinks way</a></span></dt><dd><dl><dt><span class="section"><a href="ch09.html#id2629345">What are MIME types and why may you want to use them?</a></span></dt><dt><span class="section"><a href="ch09.html#id2629385">Associating files to MIME types</a></span></dt><dt><span class="section"><a href="ch09.html#id2629416">Managing a given MIME type</a></span></dt><dt><span class="section"><a href="ch09.html#id2629461">Specifying the details for a handler</a></span></dt></dl></dd><dt><span class="section"><a href="ch09s02.html">Setting up elinks.conf</a></span></dt><dd><dl><dt><span class="section"><a href="ch09s02.html#id2629583">Associating a file extension to a MIME type</a></span></dt><dt><span class="section"><a href="ch09s02.html#id2629604">Defining a handler</a></span></dt><dt><span class="section"><a href="ch09s02.html#id2629681">Associating a MIME type to a handler</a></span></dt></dl></dd></dl></div><p>At some time along the 0.4 prereleases, ELinks replaced the old Links file
 configuration system with its own one. Now, the configuration is stored in
 elinks.conf, much more complete and featuring a new syntax. You can set most
 options from the UI (so usually there is no need to deal with elinks.conf),
@@ -8,7 +8,7 @@ from the configuration file.</p><p>The c
 helpful, and those options may seem a bit obscure or confusing at first.  This
 document is a basic introduction to setting of MIME associations for ELinks.
 If you want to know how to automatically launch a program to view some kind of
-file (like images), then read on. Some basic knowledge of MIME is recommended.</p><div class="section" lang="en"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a name="id2551281"></a>Handling MIME types, the ELinks way</h2></div></div></div><div class="section" lang="en"><div class="titlepage"><div><div><h3 class="title"><a name="id2551287"></a>What are MIME types and why may you want to use them?</h3></div></div></div><p>If, while browsing with ELinks, you need to display files that it can't show
+file (like images), then read on. Some basic knowledge of MIME is recommended.</p><div class="section" lang="en"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a name="id2629339"></a>Handling MIME types, the ELinks way</h2></div></div></div><div class="section" lang="en"><div class="titlepage"><div><div><h3 class="title"><a name="id2629345"></a>What are MIME types and why may you want to use them?</h3></div></div></div><p>If, while browsing with ELinks, you need to display files that it can't show
 (like images or PDF documents), then you will likely want to pass them to
 other programs that are suitable for this task. While you may do it manually
 (saving the file to disk, running the auxiliary program to show it and then
@@ -18,22 +18,22 @@ description of its format), thus you onl
 MIME types for the files you want to open. If you don't tell ELinks how to
 manage a given MIME type then it will show you on screen the contents of the
 file (as if it was ASCII text) instead of calling an external program to show
-them.</p></div><div class="section" lang="en"><div class="titlepage"><div><div><h3 class="title"><a name="id2551326"></a>Associating files to MIME types</h3></div></div></div><p>If the file is fetched from a web server then this web server should tell
+them.</p></div><div class="section" lang="en"><div class="titlepage"><div><div><h3 class="title"><a name="id2629385"></a>Associating files to MIME types</h3></div></div></div><p>If the file is fetched from a web server then this web server should tell
 ELinks what its MIME type is, so you should have generally no need to care
 about it. However, the web server might send an incorrect type, or you may be
 retrieving it by FTP or from your local filesystem, so sometimes ELinks needs
 to guess it.</p><p>The easiest method to guess a MIME type for a file is to just look at its name
 trusting it was given the right extension.  ELinks supports this, letting you
-to specify a type for any given extension.</p></div><div class="section" lang="en"><div class="titlepage"><div><div><h3 class="title"><a name="id2551358"></a>Managing a given MIME type</h3></div></div></div><p>This usually means specifying programs to open files of this type and the
+to specify a type for any given extension.</p></div><div class="section" lang="en"><div class="titlepage"><div><div><h3 class="title"><a name="id2629416"></a>Managing a given MIME type</h3></div></div></div><p>This usually means specifying programs to open files of this type and the
 conditions in which those programs may be used. For instance, you may want to
 use zgv (a popular svgalib image viewer) when you are using the text console,
-but xli (a image viewer for X) when running the X window system.</p><div class="section" lang="en"><div class="titlepage"><div><div><h4 class="title"><a name="id2551371"></a>Binding it to a handler</h4></div></div></div><p>Instead of directly attaching a program to a MIME type, ELinks lets you
+but xli (a image viewer for X) when running the X window system.</p><div class="section" lang="en"><div class="titlepage"><div><div><h4 class="title"><a name="id2629430"></a>Binding it to a handler</h4></div></div></div><p>Instead of directly attaching a program to a MIME type, ELinks lets you
 associate an abstract handler to each type. Then you can specify which
 programs implement the handler and how are they used.</p><p>For instance, you may create an image_viewer handler and assign it to MIME
 types image/jpeg, image/png and image/gif. Then you would associate to
 image_viewer the programs you would like to use for viewing images and the
 details on how to use them. This is less cumbersome than repeating all these
-details for each MIME type.</p></div></div><div class="section" lang="en"><div class="titlepage"><div><div><h3 class="title"><a name="id2551402"></a>Specifying the details for a handler</h3></div></div></div><p>There are three issues to specify for a handler: the program associated to it,
+details for each MIME type.</p></div></div><div class="section" lang="en"><div class="titlepage"><div><div><h3 class="title"><a name="id2629461"></a>Specifying the details for a handler</h3></div></div></div><p>There are three issues to specify for a handler: the program associated to it,
 whether you want confirmation before using it and whether you want the
 terminal to be blocked while it is being used.</p><p>When specifying any of these issues, you must tell ELinks the situation in
 which it gets applied, which is typically either the text console or the X
diff -pruN 0.12~pre2.dfsg0-1/doc/html/manual.html-chunked/ch09s02.html 0.12~pre4-1/doc/html/manual.html-chunked/ch09s02.html
--- 0.12~pre2.dfsg0-1/doc/html/manual.html-chunked/ch09s02.html	2008-09-21 12:24:00.000000000 +0100
+++ 0.12~pre4-1/doc/html/manual.html-chunked/ch09s02.html	2009-05-31 10:12:48.000000000 +0100
@@ -1,11 +1,11 @@
-<html><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8"><title>Setting up elinks.conf</title><meta name="generator" content="DocBook XSL Stylesheets V1.73.2"><link rel="start" href="index.html" title="The ELinks Manual"><link rel="up" href="ch09.html" title="Chapter 9. Introduction to MIME handling"><link rel="prev" href="ch09.html" title="Chapter 9. Introduction to MIME handling"><link rel="next" href="ch10.html" title="Chapter 10. Managing External Viewers with Mailcap"></head><body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF"><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">Setting up elinks.conf</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="ch09.html">Prev</a> </td><th width="60%" align="center">Chapter 9. Introduction to MIME handling</th><td width="20%" align="right"> <a accesskey="n" href="ch10.html">Next</a></td></tr></table><hr></div><div class="section" lang="en"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a name="id2551504"></a>Setting up elinks.conf</h2></div></div></div><p>If you have old configuration files from old ELinks versions or from Links,
+<html><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8"><title>Setting up elinks.conf</title><meta name="generator" content="DocBook XSL Stylesheets V1.73.2"><link rel="start" href="index.html" title="The ELinks Manual"><link rel="up" href="ch09.html" title="Chapter 9. Introduction to MIME handling"><link rel="prev" href="ch09.html" title="Chapter 9. Introduction to MIME handling"><link rel="next" href="ch10.html" title="Chapter 10. Managing External Viewers with Mailcap"></head><body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF"><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">Setting up elinks.conf</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="ch09.html">Prev</a> </td><th width="60%" align="center">Chapter 9. Introduction to MIME handling</th><td width="20%" align="right"> <a accesskey="n" href="ch10.html">Next</a></td></tr></table><hr></div><div class="section" lang="en"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a name="id2629562"></a>Setting up elinks.conf</h2></div></div></div><p>If you have old configuration files from old ELinks versions or from Links,
 then you may use the conf-links2elinks.pl script (which is placed at
 contrib/conv/ on the source distribution) to convert them to the new format.
 If you don't use it you will need to edit the configuration file, and here you
-will find how.</p><div class="section" lang="en"><div class="titlepage"><div><div><h3 class="title"><a name="id2551525"></a>Associating a file extension to a MIME type</h3></div></div></div><p>You can still do this with the UI, from the the Setup-&amp;gt;File Extensions
+will find how.</p><div class="section" lang="en"><div class="titlepage"><div><div><h3 class="title"><a name="id2629583"></a>Associating a file extension to a MIME type</h3></div></div></div><p>You can still do this with the UI, from the the Setup-&amp;gt;File Extensions
 submenu.</p><p>If you want to do so from the configuration file, enter set mime.extension.ext
 = "type", replacing ext with the appropriate file extension, and type with its
-MIME type. E.g. you may want to have set mime.extension.jpg = "image/jpeg".</p></div><div class="section" lang="en"><div class="titlepage"><div><div><h3 class="title"><a name="id2551546"></a>Defining a handler</h3></div></div></div><p>For each handler you must define three items, specifying in what context the
+MIME type. E.g. you may want to have set mime.extension.jpg = "image/jpeg".</p></div><div class="section" lang="en"><div class="titlepage"><div><div><h3 class="title"><a name="id2629604"></a>Defining a handler</h3></div></div></div><p>For each handler you must define three items, specifying in what context the
 value of the item should be applied. You must enter set
 mime.handler.handler-name.item.context = value, replacing handler-name with
 the name for the handler you are defining, item with the item you are defining
@@ -30,7 +30,7 @@ set mime.handler.image_viewer.unix-xwin.
 when X is not available, and the X image viewer xli when it is. The terminal
 would be blocked when X is not available and it would not be when it's
 available. Finally, ELinks would ask for confirmation before using the handler
-only with X not available.</p></div><div class="section" lang="en"><div class="titlepage"><div><div><h3 class="title"><a name="id2551622"></a>Associating a MIME type to a handler</h3></div></div></div><p>Just enter set mime.type.class.name = "handler", replacing class with the
+only with X not available.</p></div><div class="section" lang="en"><div class="titlepage"><div><div><h3 class="title"><a name="id2629681"></a>Associating a MIME type to a handler</h3></div></div></div><p>Just enter set mime.type.class.name = "handler", replacing class with the
 class for the mime type, name with the specific name within that class, and
 handler with the name for the handler you want to assign to the MIME type.
 E.g. you may want to have set mime.type.image.jpeg = "image_viewer".</p></div></div><div class="navfooter"><hr><table width="100%" summary="Navigation footer"><tr><td width="40%" align="left"><a accesskey="p" href="ch09.html">Prev</a> </td><td width="20%" align="center"><a accesskey="u" href="ch09.html">Up</a></td><td width="40%" align="right"> <a accesskey="n" href="ch10.html">Next</a></td></tr><tr><td width="40%" align="left" valign="top">Chapter 9. Introduction to MIME handling </td><td width="20%" align="center"><a accesskey="h" href="index.html">Home</a></td><td width="40%" align="right" valign="top"> Chapter 10. Managing External Viewers with Mailcap</td></tr></table></div></body></html>
diff -pruN 0.12~pre2.dfsg0-1/doc/html/manual.html-chunked/ch10.html 0.12~pre4-1/doc/html/manual.html-chunked/ch10.html
--- 0.12~pre2.dfsg0-1/doc/html/manual.html-chunked/ch10.html	2008-09-21 12:24:01.000000000 +0100
+++ 0.12~pre4-1/doc/html/manual.html-chunked/ch10.html	2009-05-31 10:12:49.000000000 +0100
@@ -1,6 +1,6 @@
-<html><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8"><title>Chapter 10. Managing External Viewers with Mailcap</title><meta name="generator" content="DocBook XSL Stylesheets V1.73.2"><link rel="start" href="index.html" title="The ELinks Manual"><link rel="up" href="index.html" title="The ELinks Manual"><link rel="prev" href="ch09s02.html" title="Setting up elinks.conf"><link rel="next" href="ch10s02.html" title="Parameters to Mailcap Entries"></head><body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF"><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">Chapter 10. Managing External Viewers with Mailcap</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="ch09s02.html">Prev</a> </td><th width="60%" align="center"> </th><td width="20%" align="right"> <a accesskey="n" href="ch10s02.html">Next</a></td></tr></table><hr></div><div class="chapter" lang="en"><div class="titlepage"><div><div><h2 class="title"><a name="id2551640"></a>Chapter 10. Managing External Viewers with Mailcap</h2></div></div></div><div class="toc"><p><b>Table of Contents</b></p><dl><dt><span class="section"><a href="ch10.html#id2551655">A Short Intro to Mailcap</a></span></dt><dt><span class="section"><a href="ch10s02.html">Parameters to Mailcap Entries</a></span></dt><dt><span class="section"><a href="ch10s03.html">Reading of Mailcap Files</a></span></dt><dt><span class="section"><a href="ch10s04.html">Fields</a></span></dt><dt><span class="section"><a href="ch10s05.html">Mailcap Configuration</a></span></dt><dt><span class="section"><a href="ch10s06.html">Some Sample Mailcap Entries</a></span></dt></dl></div><p>This document describes the support for Mailcap (RFC 1524) in ELinks. It does
+<html><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8"><title>Chapter 10. Managing External Viewers with Mailcap</title><meta name="generator" content="DocBook XSL Stylesheets V1.73.2"><link rel="start" href="index.html" title="The ELinks Manual"><link rel="up" href="index.html" title="The ELinks Manual"><link rel="prev" href="ch09s02.html" title="Setting up elinks.conf"><link rel="next" href="ch10s02.html" title="Parameters to Mailcap Entries"></head><body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF"><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">Chapter 10. Managing External Viewers with Mailcap</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="ch09s02.html">Prev</a> </td><th width="60%" align="center"> </th><td width="20%" align="right"> <a accesskey="n" href="ch10s02.html">Next</a></td></tr></table><hr></div><div class="chapter" lang="en"><div class="titlepage"><div><div><h2 class="title"><a name="id2629699"></a>Chapter 10. Managing External Viewers with Mailcap</h2></div></div></div><div class="toc"><p><b>Table of Contents</b></p><dl><dt><span class="section"><a href="ch10.html#id2629713">A Short Intro to Mailcap</a></span></dt><dt><span class="section"><a href="ch10s02.html">Parameters to Mailcap Entries</a></span></dt><dt><span class="section"><a href="ch10s03.html">Reading of Mailcap Files</a></span></dt><dt><span class="section"><a href="ch10s04.html">Fields</a></span></dt><dt><span class="section"><a href="ch10s05.html">Mailcap Configuration</a></span></dt><dt><span class="section"><a href="ch10s06.html">Some Sample Mailcap Entries</a></span></dt></dl></div><p>This document describes the support for Mailcap (RFC 1524) in ELinks. It does
 not describe the mailcap format. There are plenty of documents on the Web that
-does this. Google and thou wilt find. ;)</p><div class="section" lang="en"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a name="id2551655"></a>A Short Intro to Mailcap</h2></div></div></div><p>Mailcap is a file format defined in RFC 1524. Its purpose is to inform
+does this. Google and thou wilt find. ;)</p><div class="section" lang="en"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a name="id2629713"></a>A Short Intro to Mailcap</h2></div></div></div><p>Mailcap is a file format defined in RFC 1524. Its purpose is to inform
 multiple mail reading user agent (MUA) programs about the locally-installed
 facilities for handling mail in various formats. It is designed to work with
 the Multipurpose Internet Mail Extensions, known as MIME.</p><p>ELinks allows MIME handlers to be defined using its own configuration system,
diff -pruN 0.12~pre2.dfsg0-1/doc/html/manual.html-chunked/ch10s02.html 0.12~pre4-1/doc/html/manual.html-chunked/ch10s02.html
--- 0.12~pre2.dfsg0-1/doc/html/manual.html-chunked/ch10s02.html	2008-09-21 12:24:00.000000000 +0100
+++ 0.12~pre4-1/doc/html/manual.html-chunked/ch10s02.html	2009-05-31 10:12:49.000000000 +0100
@@ -1,4 +1,4 @@
-<html><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8"><title>Parameters to Mailcap Entries</title><meta name="generator" content="DocBook XSL Stylesheets V1.73.2"><link rel="start" href="index.html" title="The ELinks Manual"><link rel="up" href="ch10.html" title="Chapter 10. Managing External Viewers with Mailcap"><link rel="prev" href="ch10.html" title="Chapter 10. Managing External Viewers with Mailcap"><link rel="next" href="ch10s03.html" title="Reading of Mailcap Files"></head><body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF"><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">Parameters to Mailcap Entries</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="ch10.html">Prev</a> </td><th width="60%" align="center">Chapter 10. Managing External Viewers with Mailcap</th><td width="20%" align="right"> <a accesskey="n" href="ch10s03.html">Next</a></td></tr></table><hr></div><div class="section" lang="en"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a name="id2551684"></a>Parameters to Mailcap Entries</h2></div></div></div><p>The code has been ported from Mutt and thereby inherits some of its various
+<html><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8"><title>Parameters to Mailcap Entries</title><meta name="generator" content="DocBook XSL Stylesheets V1.73.2"><link rel="start" href="index.html" title="The ELinks Manual"><link rel="up" href="ch10.html" title="Chapter 10. Managing External Viewers with Mailcap"><link rel="prev" href="ch10.html" title="Chapter 10. Managing External Viewers with Mailcap"><link rel="next" href="ch10s03.html" title="Reading of Mailcap Files"></head><body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF"><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">Parameters to Mailcap Entries</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="ch10.html">Prev</a> </td><th width="60%" align="center">Chapter 10. Managing External Viewers with Mailcap</th><td width="20%" align="right"> <a accesskey="n" href="ch10s03.html">Next</a></td></tr></table><hr></div><div class="section" lang="en"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a name="id2629742"></a>Parameters to Mailcap Entries</h2></div></div></div><p>The code has been ported from Mutt and thereby inherits some of its various
 features and limitation.</p><p>The following parameters are supported:</p><div class="informaltable"><table border="1"><colgroup><col align="left"><col align="left"></colgroup><thead><tr><th align="left">
     Parameter
     </th><th align="left">
diff -pruN 0.12~pre2.dfsg0-1/doc/html/manual.html-chunked/ch10s03.html 0.12~pre4-1/doc/html/manual.html-chunked/ch10s03.html
--- 0.12~pre2.dfsg0-1/doc/html/manual.html-chunked/ch10s03.html	2008-09-21 12:24:00.000000000 +0100
+++ 0.12~pre4-1/doc/html/manual.html-chunked/ch10s03.html	2009-05-31 10:12:49.000000000 +0100
@@ -1,4 +1,4 @@
-<html><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8"><title>Reading of Mailcap Files</title><meta name="generator" content="DocBook XSL Stylesheets V1.73.2"><link rel="start" href="index.html" title="The ELinks Manual"><link rel="up" href="ch10.html" title="Chapter 10. Managing External Viewers with Mailcap"><link rel="prev" href="ch10s02.html" title="Parameters to Mailcap Entries"><link rel="next" href="ch10s04.html" title="Fields"></head><body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF"><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">Reading of Mailcap Files</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="ch10s02.html">Prev</a> </td><th width="60%" align="center">Chapter 10. Managing External Viewers with Mailcap</th><td width="20%" align="right"> <a accesskey="n" href="ch10s04.html">Next</a></td></tr></table><hr></div><div class="section" lang="en"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a name="id2551862"></a>Reading of Mailcap Files</h2></div></div></div><p>Mailcap files will be read when starting ELinks. The mailcap files to use will
+<html><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8"><title>Reading of Mailcap Files</title><meta name="generator" content="DocBook XSL Stylesheets V1.73.2"><link rel="start" href="index.html" title="The ELinks Manual"><link rel="up" href="ch10.html" title="Chapter 10. Managing External Viewers with Mailcap"><link rel="prev" href="ch10s02.html" title="Parameters to Mailcap Entries"><link rel="next" href="ch10s04.html" title="Fields"></head><body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF"><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">Reading of Mailcap Files</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="ch10s02.html">Prev</a> </td><th width="60%" align="center">Chapter 10. Managing External Viewers with Mailcap</th><td width="20%" align="right"> <a accesskey="n" href="ch10s04.html">Next</a></td></tr></table><hr></div><div class="section" lang="en"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a name="id2629920"></a>Reading of Mailcap Files</h2></div></div></div><p>Mailcap files will be read when starting ELinks. The mailcap files to use will
 be found from the mailcap path, a colon separated list of files similar to the
 $PATH environment variable. The mailcap path will be determined in the
 following way:</p><div class="itemizedlist"><ul type="disc"><li><p>
diff -pruN 0.12~pre2.dfsg0-1/doc/html/manual.html-chunked/ch10s04.html 0.12~pre4-1/doc/html/manual.html-chunked/ch10s04.html
--- 0.12~pre2.dfsg0-1/doc/html/manual.html-chunked/ch10s04.html	2008-09-21 12:24:01.000000000 +0100
+++ 0.12~pre4-1/doc/html/manual.html-chunked/ch10s04.html	2009-05-31 10:12:49.000000000 +0100
@@ -1,4 +1,4 @@
-<html><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8"><title>Fields</title><meta name="generator" content="DocBook XSL Stylesheets V1.73.2"><link rel="start" href="index.html" title="The ELinks Manual"><link rel="up" href="ch10.html" title="Chapter 10. Managing External Viewers with Mailcap"><link rel="prev" href="ch10s03.html" title="Reading of Mailcap Files"><link rel="next" href="ch10s05.html" title="Mailcap Configuration"></head><body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF"><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">Fields</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="ch10s03.html">Prev</a> </td><th width="60%" align="center">Chapter 10. Managing External Viewers with Mailcap</th><td width="20%" align="right"> <a accesskey="n" href="ch10s05.html">Next</a></td></tr></table><hr></div><div class="section" lang="en"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a name="id2551919"></a>Fields</h2></div></div></div><p>Since mailcap handling is primarily for displaying of resources, all fields
+<html><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8"><title>Fields</title><meta name="generator" content="DocBook XSL Stylesheets V1.73.2"><link rel="start" href="index.html" title="The ELinks Manual"><link rel="up" href="ch10.html" title="Chapter 10. Managing External Viewers with Mailcap"><link rel="prev" href="ch10s03.html" title="Reading of Mailcap Files"><link rel="next" href="ch10s05.html" title="Mailcap Configuration"></head><body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF"><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">Fields</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="ch10s03.html">Prev</a> </td><th width="60%" align="center">Chapter 10. Managing External Viewers with Mailcap</th><td width="20%" align="right"> <a accesskey="n" href="ch10s05.html">Next</a></td></tr></table><hr></div><div class="section" lang="en"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a name="id2629978"></a>Fields</h2></div></div></div><p>Since mailcap handling is primarily for displaying of resources, all fields
 like edit, print, compose etc. are ignored.</p><p>Note: Test commands are supported, but unfortunately, it's not possible to
 provide the file when running the test. So any test that requires a file will
 be considered failed and the handler will not be used.</p><p>Unfortunately, there are no <span class="emphasis"><em>native</em></span> support for the copiousoutput field.  The
diff -pruN 0.12~pre2.dfsg0-1/doc/html/manual.html-chunked/ch10s05.html 0.12~pre4-1/doc/html/manual.html-chunked/ch10s05.html
--- 0.12~pre2.dfsg0-1/doc/html/manual.html-chunked/ch10s05.html	2008-09-21 12:24:01.000000000 +0100
+++ 0.12~pre4-1/doc/html/manual.html-chunked/ch10s05.html	2009-05-31 10:12:49.000000000 +0100
@@ -1,4 +1,4 @@
-<html><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8"><title>Mailcap Configuration</title><meta name="generator" content="DocBook XSL Stylesheets V1.73.2"><link rel="start" href="index.html" title="The ELinks Manual"><link rel="up" href="ch10.html" title="Chapter 10. Managing External Viewers with Mailcap"><link rel="prev" href="ch10s04.html" title="Fields"><link rel="next" href="ch10s06.html" title="Some Sample Mailcap Entries"></head><body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF"><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">Mailcap Configuration</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="ch10s04.html">Prev</a> </td><th width="60%" align="center">Chapter 10. Managing External Viewers with Mailcap</th><td width="20%" align="right"> <a accesskey="n" href="ch10s06.html">Next</a></td></tr></table><hr></div><div class="section" lang="en"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a name="id2551992"></a>Mailcap Configuration</h2></div></div></div><p>Apart from the mime.mailcap.path option, you can configure if mailcap support
+<html><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8"><title>Mailcap Configuration</title><meta name="generator" content="DocBook XSL Stylesheets V1.73.2"><link rel="start" href="index.html" title="The ELinks Manual"><link rel="up" href="ch10.html" title="Chapter 10. Managing External Viewers with Mailcap"><link rel="prev" href="ch10s04.html" title="Fields"><link rel="next" href="ch10s06.html" title="Some Sample Mailcap Entries"></head><body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF"><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">Mailcap Configuration</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="ch10s04.html">Prev</a> </td><th width="60%" align="center">Chapter 10. Managing External Viewers with Mailcap</th><td width="20%" align="right"> <a accesskey="n" href="ch10s06.html">Next</a></td></tr></table><hr></div><div class="section" lang="en"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a name="id2630050"></a>Mailcap Configuration</h2></div></div></div><p>Apart from the mime.mailcap.path option, you can configure if mailcap support
 should be disabled. The default being that it is enabled. To disable it just
 put:</p><pre class="literallayout">set mime.mailcap.enable = 0</pre><p>in elinks.conf.</p><p>It is also possible to control whether ELinks should ask you before opening a
 file. The option is a boolean and can be set like this:</p><pre class="literallayout">set mime.mailcap.ask = 1</pre><p>if you would like to be asked before opening a file.</p></div><div class="navfooter"><hr><table width="100%" summary="Navigation footer"><tr><td width="40%" align="left"><a accesskey="p" href="ch10s04.html">Prev</a> </td><td width="20%" align="center"><a accesskey="u" href="ch10.html">Up</a></td><td width="40%" align="right"> <a accesskey="n" href="ch10s06.html">Next</a></td></tr><tr><td width="40%" align="left" valign="top">Fields </td><td width="20%" align="center"><a accesskey="h" href="index.html">Home</a></td><td width="40%" align="right" valign="top"> Some Sample Mailcap Entries</td></tr></table></div></body></html>
diff -pruN 0.12~pre2.dfsg0-1/doc/html/manual.html-chunked/ch10s06.html 0.12~pre4-1/doc/html/manual.html-chunked/ch10s06.html
--- 0.12~pre2.dfsg0-1/doc/html/manual.html-chunked/ch10s06.html	2008-09-21 12:24:01.000000000 +0100
+++ 0.12~pre4-1/doc/html/manual.html-chunked/ch10s06.html	2009-05-31 10:12:49.000000000 +0100
@@ -1,4 +1,4 @@
-<html><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8"><title>Some Sample Mailcap Entries</title><meta name="generator" content="DocBook XSL Stylesheets V1.73.2"><link rel="start" href="index.html" title="The ELinks Manual"><link rel="up" href="ch10.html" title="Chapter 10. Managing External Viewers with Mailcap"><link rel="prev" href="ch10s05.html" title="Mailcap Configuration"><link rel="next" href="ch11.html" title="Chapter 11. Managing remote ELinks instances"></head><body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF"><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">Some Sample Mailcap Entries</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="ch10s05.html">Prev</a> </td><th width="60%" align="center">Chapter 10. Managing External Viewers with Mailcap</th><td width="20%" align="right"> <a accesskey="n" href="ch11.html">Next</a></td></tr></table><hr></div><div class="section" lang="en"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a name="id2552036"></a>Some Sample Mailcap Entries</h2></div></div></div><p>Below are examples of how to specify external viewers:</p><pre class="screen"># Use xv if X is running
+<html><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8"><title>Some Sample Mailcap Entries</title><meta name="generator" content="DocBook XSL Stylesheets V1.73.2"><link rel="start" href="index.html" title="The ELinks Manual"><link rel="up" href="ch10.html" title="Chapter 10. Managing External Viewers with Mailcap"><link rel="prev" href="ch10s05.html" title="Mailcap Configuration"><link rel="next" href="ch11.html" title="Chapter 11. Managing remote ELinks instances"></head><body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF"><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">Some Sample Mailcap Entries</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="ch10s05.html">Prev</a> </td><th width="60%" align="center">Chapter 10. Managing External Viewers with Mailcap</th><td width="20%" align="right"> <a accesskey="n" href="ch11.html">Next</a></td></tr></table><hr></div><div class="section" lang="en"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a name="id2630095"></a>Some Sample Mailcap Entries</h2></div></div></div><p>Below are examples of how to specify external viewers:</p><pre class="screen"># Use xv if X is running
 image/*;                xv %s ; test=test -n "$DISPLAY";
 
 text/x-csrc;            view %s; needsterminal
diff -pruN 0.12~pre2.dfsg0-1/doc/html/manual.html-chunked/ch11.html 0.12~pre4-1/doc/html/manual.html-chunked/ch11.html
--- 0.12~pre2.dfsg0-1/doc/html/manual.html-chunked/ch11.html	2008-09-21 12:24:02.000000000 +0100
+++ 0.12~pre4-1/doc/html/manual.html-chunked/ch11.html	2009-05-31 10:12:50.000000000 +0100
@@ -1,4 +1,4 @@
-<html><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8"><title>Chapter 11. Managing remote ELinks instances</title><meta name="generator" content="DocBook XSL Stylesheets V1.73.2"><link rel="start" href="index.html" title="The ELinks Manual"><link rel="up" href="index.html" title="The ELinks Manual"><link rel="prev" href="ch10s06.html" title="Some Sample Mailcap Entries"><link rel="next" href="ch11s02.html" title="Remote Actions"></head><body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF"><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">Chapter 11. Managing remote ELinks instances</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="ch10s06.html">Prev</a> </td><th width="60%" align="center"> </th><td width="20%" align="right"> <a accesskey="n" href="ch11s02.html">Next</a></td></tr></table><hr></div><div class="chapter" lang="en"><div class="titlepage"><div><div><h2 class="title"><a name="id2552067"></a>Chapter 11. Managing remote ELinks instances</h2></div></div></div><div class="toc"><p><b>Table of Contents</b></p><dl><dt><span class="section"><a href="ch11.html#id2552128">Limitations and outstanding issues</a></span></dt><dt><span class="section"><a href="ch11s02.html">Remote Actions</a></span></dt></dl></div><p>Some programs provide the ability to pass URIs to external programs.  When
+<html><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8"><title>Chapter 11. Managing remote ELinks instances</title><meta name="generator" content="DocBook XSL Stylesheets V1.73.2"><link rel="start" href="index.html" title="The ELinks Manual"><link rel="up" href="index.html" title="The ELinks Manual"><link rel="prev" href="ch10s06.html" title="Some Sample Mailcap Entries"><link rel="next" href="ch11s02.html" title="Remote Actions"></head><body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF"><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">Chapter 11. Managing remote ELinks instances</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="ch10s06.html">Prev</a> </td><th width="60%" align="center"> </th><td width="20%" align="right"> <a accesskey="n" href="ch11s02.html">Next</a></td></tr></table><hr></div><div class="chapter" lang="en"><div class="titlepage"><div><div><h2 class="title"><a name="id2630126"></a>Chapter 11. Managing remote ELinks instances</h2></div></div></div><div class="toc"><p><b>Table of Contents</b></p><dl><dt><span class="section"><a href="ch11.html#id2630187">Limitations and outstanding issues</a></span></dt><dt><span class="section"><a href="ch11s02.html">Remote Actions</a></span></dt></dl></div><p>Some programs provide the ability to pass URIs to external programs.  When
 stumbling upon a reference to a page you want to see, it is sometimes a kludge
 to copy and paste it into ELinks.  This is where -remote can be a nifty
 solution.</p><p>When invoking ELinks with the -remote argument, it does not start a new
@@ -11,7 +11,7 @@ must end with a closing parenthesis opti
 an example for opening freshmeat.net in a new tab:</p><pre class="literallayout">$ elinks -remote "openURL(http://freshmeat.net/, new-tab)"</pre><p>When running this command in a terminal, you will see a small delay before
 ELinks returns. If no running instance was found, it will return with the
 error message:</p><pre class="literallayout">ELinks: No remote session to connect to.</pre><p>All URLs passed to the openURL() commands can be URL prefixes, so the command
-above could have simply used “openURL(fm, new-tab)”.</p><div class="section" lang="en"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a name="id2552128"></a>Limitations and outstanding issues</h2></div></div></div><p>Remote control is implemented using the intercommunication socket created in
+above could have simply used “openURL(fm, new-tab)”.</p><div class="section" lang="en"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a name="id2630187"></a>Limitations and outstanding issues</h2></div></div></div><p>Remote control is implemented using the intercommunication socket created in
 ~/.elinks/, so the command has to be run on the same machine as the instance
 you want to control; or put differently: the two ELinkses need to share a file
 system that supports socket files, which rules out usage of -remote over NFS.
diff -pruN 0.12~pre2.dfsg0-1/doc/html/manual.html-chunked/ch11s02.html 0.12~pre4-1/doc/html/manual.html-chunked/ch11s02.html
--- 0.12~pre2.dfsg0-1/doc/html/manual.html-chunked/ch11s02.html	2008-09-21 12:24:01.000000000 +0100
+++ 0.12~pre4-1/doc/html/manual.html-chunked/ch11s02.html	2009-05-31 10:12:50.000000000 +0100
@@ -1,5 +1,5 @@
-<html><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8"><title>Remote Actions</title><meta name="generator" content="DocBook XSL Stylesheets V1.73.2"><link rel="start" href="index.html" title="The ELinks Manual"><link rel="up" href="ch11.html" title="Chapter 11. Managing remote ELinks instances"><link rel="prev" href="ch11.html" title="Chapter 11. Managing remote ELinks instances"><link rel="next" href="ch12.html" title="Chapter 12. The tale of ex-mode"></head><body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF"><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">Remote Actions</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="ch11.html">Prev</a> </td><th width="60%" align="center">Chapter 11. Managing remote ELinks instances</th><td width="20%" align="right"> <a accesskey="n" href="ch12.html">Next</a></td></tr></table><hr></div><div class="section" lang="en"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a name="id2552168"></a>Remote Actions</h2></div></div></div><p>The command syntax is case-insensitive. For readability, we use the casing in
-the listing of supported commands.</p><div class="table"><a name="id2552181"></a><p class="title"><b>Table 11.1. Mozilla <code class="literal">-remote</code> compatible commands.</b></p><div class="table-contents"><table summary="Mozilla -remote compatible commands." border="1"><colgroup><col align="left"><col align="left"></colgroup><thead><tr><th align="left">
+<html><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8"><title>Remote Actions</title><meta name="generator" content="DocBook XSL Stylesheets V1.73.2"><link rel="start" href="index.html" title="The ELinks Manual"><link rel="up" href="ch11.html" title="Chapter 11. Managing remote ELinks instances"><link rel="prev" href="ch11.html" title="Chapter 11. Managing remote ELinks instances"><link rel="next" href="ch12.html" title="Chapter 12. The tale of ex-mode"></head><body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF"><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">Remote Actions</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="ch11.html">Prev</a> </td><th width="60%" align="center">Chapter 11. Managing remote ELinks instances</th><td width="20%" align="right"> <a accesskey="n" href="ch12.html">Next</a></td></tr></table><hr></div><div class="section" lang="en"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a name="id2630227"></a>Remote Actions</h2></div></div></div><p>The command syntax is case-insensitive. For readability, we use the casing in
+the listing of supported commands.</p><div class="table"><a name="id2630239"></a><p class="title"><b>Table 11.1. Mozilla <code class="literal">-remote</code> compatible commands.</b></p><div class="table-contents"><table summary="Mozilla -remote compatible commands." border="1"><colgroup><col align="left"><col align="left"></colgroup><thead><tr><th align="left">
     Command
     </th><th align="left">
     Description
@@ -27,7 +27,7 @@ the listing of supported commands.</p><d
     xfeDoCommand(openBrowser)
     </td><td align="left">
     Opens an ELinks instance in a new window.                                     This ELinks instance will connect to the                                      already running one.
-    </td></tr></tbody></table></div></div><br class="table-break"><div class="table"><a name="id2552321"></a><p class="title"><b>Table 11.2. ELinks extensions.</b></p><div class="table-contents"><table summary="ELinks extensions." border="1"><colgroup><col align="left"><col align="left"></colgroup><thead><tr><th align="left">
+    </td></tr></tbody></table></div></div><br class="table-break"><div class="table"><a name="id2630379"></a><p class="title"><b>Table 11.2. ELinks extensions.</b></p><div class="table-contents"><table summary="ELinks extensions." border="1"><colgroup><col align="left"><col align="left"></colgroup><thead><tr><th align="left">
     Command
     </th><th align="left">
     Description
diff -pruN 0.12~pre2.dfsg0-1/doc/html/manual.html-chunked/ch12.html 0.12~pre4-1/doc/html/manual.html-chunked/ch12.html
--- 0.12~pre2.dfsg0-1/doc/html/manual.html-chunked/ch12.html	2008-09-21 12:24:02.000000000 +0100
+++ 0.12~pre4-1/doc/html/manual.html-chunked/ch12.html	2009-05-31 10:12:51.000000000 +0100
@@ -1,8 +1,8 @@
-<html><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8"><title>Chapter 12. The tale of ex-mode</title><meta name="generator" content="DocBook XSL Stylesheets V1.73.2"><link rel="start" href="index.html" title="The ELinks Manual"><link rel="up" href="index.html" title="The ELinks Manual"><link rel="prev" href="ch11s02.html" title="Remote Actions"><link rel="next" href="ch12s02.html" title="Configuration directives in exmode"></head><body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF"><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">Chapter 12. The tale of ex-mode</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="ch11s02.html">Prev</a> </td><th width="60%" align="center"> </th><td width="20%" align="right"> <a accesskey="n" href="ch12s02.html">Next</a></td></tr></table><hr></div><div class="chapter" lang="en"><div class="titlepage"><div><div><h2 class="title"><a name="id2552432"></a>Chapter 12. The tale of ex-mode</h2></div></div></div><div class="toc"><p><b>Table of Contents</b></p><dl><dt><span class="section"><a href="ch12.html#id2552457">What it is</a></span></dt><dt><span class="section"><a href="ch12s02.html">Configuration directives in exmode</a></span></dt><dt><span class="section"><a href="ch12s03.html">Actions in exmode - or exmode in action?</a></span></dt><dt><span class="section"><a href="ch12s04.html">How to use it</a></span></dt><dt><span class="section"><a href="ch12s05.html">The "but"s</a></span></dt></dl></div><p>Are you a vim-controls nerd who wants to see them everywhere?  Welcome.</p><p>Actually ELinks doesn't shine in this area yet very much. Heck, the famous
+<html><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8"><title>Chapter 12. The tale of ex-mode</title><meta name="generator" content="DocBook XSL Stylesheets V1.73.2"><link rel="start" href="index.html" title="The ELinks Manual"><link rel="up" href="index.html" title="The ELinks Manual"><link rel="prev" href="ch11s02.html" title="Remote Actions"><link rel="next" href="ch12s02.html" title="Configuration directives in exmode"></head><body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF"><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">Chapter 12. The tale of ex-mode</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="ch11s02.html">Prev</a> </td><th width="60%" align="center"> </th><td width="20%" align="right"> <a accesskey="n" href="ch12s02.html">Next</a></td></tr></table><hr></div><div class="chapter" lang="en"><div class="titlepage"><div><div><h2 class="title"><a name="id2630490"></a>Chapter 12. The tale of ex-mode</h2></div></div></div><div class="toc"><p><b>Table of Contents</b></p><dl><dt><span class="section"><a href="ch12.html#id2630516">What it is</a></span></dt><dt><span class="section"><a href="ch12s02.html">Configuration directives in exmode</a></span></dt><dt><span class="section"><a href="ch12s03.html">Actions in exmode - or exmode in action?</a></span></dt><dt><span class="section"><a href="ch12s04.html">How to use it</a></span></dt><dt><span class="section"><a href="ch12s05.html">The "but"s</a></span></dt></dl></div><p>Are you a vim-controls nerd who wants to see them everywhere?  Welcome.</p><p>Actually ELinks doesn't shine in this area yet very much. Heck, the famous
 hjkl foursome is still occupied by some feeble managers in the default keymap
 (we have that in our monumental TODO lists). Still, if you know what to touch
 during the compilation (<code class="literal">--enable-exmode</code>), you can get at least some familiar
-reply to the mighty “:” (colon) grip.</p><div class="section" lang="en"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a name="id2552457"></a>What it is</h2></div></div></div><p>Ex-mode gives you some (still very rough and only marginally complete) access
+reply to the mighty “:” (colon) grip.</p><div class="section" lang="en"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a name="id2630516"></a>What it is</h2></div></div></div><p>Ex-mode gives you some (still very rough and only marginally complete) access
 to advanced ELinks commands, to be invoked anywhere anytime, straight and
 fast.</p><p>When you activate the ex-mode (named after the equivalent gadget in the vi
 text editor flavours), a command line appears at the bottom of the screen for
diff -pruN 0.12~pre2.dfsg0-1/doc/html/manual.html-chunked/ch12s02.html 0.12~pre4-1/doc/html/manual.html-chunked/ch12s02.html
--- 0.12~pre2.dfsg0-1/doc/html/manual.html-chunked/ch12s02.html	2008-09-21 12:24:02.000000000 +0100
+++ 0.12~pre4-1/doc/html/manual.html-chunked/ch12s02.html	2009-05-31 10:12:50.000000000 +0100
@@ -1,4 +1,4 @@
-<html><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8"><title>Configuration directives in exmode</title><meta name="generator" content="DocBook XSL Stylesheets V1.73.2"><link rel="start" href="index.html" title="The ELinks Manual"><link rel="up" href="ch12.html" title="Chapter 12. The tale of ex-mode"><link rel="prev" href="ch12.html" title="Chapter 12. The tale of ex-mode"><link rel="next" href="ch12s03.html" title="Actions in exmode - or exmode in action?"></head><body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF"><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">Configuration directives in exmode</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="ch12.html">Prev</a> </td><th width="60%" align="center">Chapter 12. The tale of ex-mode</th><td width="20%" align="right"> <a accesskey="n" href="ch12s03.html">Next</a></td></tr></table><hr></div><div class="section" lang="en"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a name="id2552489"></a>Configuration directives in exmode</h2></div></div></div><p>There aren't many of these, so we can skim through them fast.</p><p>If you want to flip an option you know by name and refuse to engage with the
+<html><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8"><title>Configuration directives in exmode</title><meta name="generator" content="DocBook XSL Stylesheets V1.73.2"><link rel="start" href="index.html" title="The ELinks Manual"><link rel="up" href="ch12.html" title="Chapter 12. The tale of ex-mode"><link rel="prev" href="ch12.html" title="Chapter 12. The tale of ex-mode"><link rel="next" href="ch12s03.html" title="Actions in exmode - or exmode in action?"></head><body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF"><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">Configuration directives in exmode</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="ch12.html">Prev</a> </td><th width="60%" align="center">Chapter 12. The tale of ex-mode</th><td width="20%" align="right"> <a accesskey="n" href="ch12s03.html">Next</a></td></tr></table><hr></div><div class="section" lang="en"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a name="id2630547"></a>Configuration directives in exmode</h2></div></div></div><p>There aren't many of these, so we can skim through them fast.</p><p>If you want to flip an option you know by name and refuse to engage with the
 option manager visuals, you can just drop in to the ex-mode and type <span class="emphasis"><em>set
 the.option = 1234</em></span>. See man elinks.conf (5) or the options manager for the
 list of options; you can also get a complete options tree saved to elinks.conf
diff -pruN 0.12~pre2.dfsg0-1/doc/html/manual.html-chunked/ch12s03.html 0.12~pre4-1/doc/html/manual.html-chunked/ch12s03.html
--- 0.12~pre2.dfsg0-1/doc/html/manual.html-chunked/ch12s03.html	2008-09-21 12:24:02.000000000 +0100
+++ 0.12~pre4-1/doc/html/manual.html-chunked/ch12s03.html	2009-05-31 10:12:50.000000000 +0100
@@ -1,4 +1,4 @@
-<html><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8"><title>Actions in exmode - or exmode in action?</title><meta name="generator" content="DocBook XSL Stylesheets V1.73.2"><link rel="start" href="index.html" title="The ELinks Manual"><link rel="up" href="ch12.html" title="Chapter 12. The tale of ex-mode"><link rel="prev" href="ch12s02.html" title="Configuration directives in exmode"><link rel="next" href="ch12s04.html" title="How to use it"></head><body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF"><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">Actions in exmode - or exmode in action?</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="ch12s02.html">Prev</a> </td><th width="60%" align="center">Chapter 12. The tale of ex-mode</th><td width="20%" align="right"> <a accesskey="n" href="ch12s04.html">Next</a></td></tr></table><hr></div><div class="section" lang="en"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a name="id2552572"></a>Actions in exmode - or exmode in action?</h2></div></div></div><p>There is too many of these, so we should better skim through them fast.</p><p>Actually, we already talked about them. It's the last argument to the <span class="emphasis"><em>bind</em></span>
+<html><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8"><title>Actions in exmode - or exmode in action?</title><meta name="generator" content="DocBook XSL Stylesheets V1.73.2"><link rel="start" href="index.html" title="The ELinks Manual"><link rel="up" href="ch12.html" title="Chapter 12. The tale of ex-mode"><link rel="prev" href="ch12s02.html" title="Configuration directives in exmode"><link rel="next" href="ch12s04.html" title="How to use it"></head><body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF"><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">Actions in exmode - or exmode in action?</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="ch12s02.html">Prev</a> </td><th width="60%" align="center">Chapter 12. The tale of ex-mode</th><td width="20%" align="right"> <a accesskey="n" href="ch12s04.html">Next</a></td></tr></table><hr></div><div class="section" lang="en"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a name="id2630631"></a>Actions in exmode - or exmode in action?</h2></div></div></div><p>There is too many of these, so we should better skim through them fast.</p><p>Actually, we already talked about them. It's the last argument to the <span class="emphasis"><em>bind</em></span>
 command. So, they are those listed in the keybinding manager. So if you enter
 <span class="emphasis"><em>move-cursor-left</em></span> command, it will move your cursor left - by a single
 character, making this a little awkward, but it's useful if you sometimes want
diff -pruN 0.12~pre2.dfsg0-1/doc/html/manual.html-chunked/ch12s04.html 0.12~pre4-1/doc/html/manual.html-chunked/ch12s04.html
--- 0.12~pre2.dfsg0-1/doc/html/manual.html-chunked/ch12s04.html	2008-09-21 12:24:02.000000000 +0100
+++ 0.12~pre4-1/doc/html/manual.html-chunked/ch12s04.html	2009-05-31 10:12:50.000000000 +0100
@@ -1,4 +1,4 @@
-<html><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8"><title>How to use it</title><meta name="generator" content="DocBook XSL Stylesheets V1.73.2"><link rel="start" href="index.html" title="The ELinks Manual"><link rel="up" href="ch12.html" title="Chapter 12. The tale of ex-mode"><link rel="prev" href="ch12s03.html" title="Actions in exmode - or exmode in action?"><link rel="next" href="ch12s05.html" title='The "but"s'></head><body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF"><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">How to use it</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="ch12s03.html">Prev</a> </td><th width="60%" align="center">Chapter 12. The tale of ex-mode</th><td width="20%" align="right"> <a accesskey="n" href="ch12s05.html">Next</a></td></tr></table><hr></div><div class="section" lang="en"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a name="id2552628"></a>How to use it</h2></div></div></div><p>It's simple. You press <span class="emphasis"><em>:</em></span> (without the apostrophes, of course) and type in
+<html><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8"><title>How to use it</title><meta name="generator" content="DocBook XSL Stylesheets V1.73.2"><link rel="start" href="index.html" title="The ELinks Manual"><link rel="up" href="ch12.html" title="Chapter 12. The tale of ex-mode"><link rel="prev" href="ch12s03.html" title="Actions in exmode - or exmode in action?"><link rel="next" href="ch12s05.html" title='The "but"s'></head><body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF"><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">How to use it</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="ch12s03.html">Prev</a> </td><th width="60%" align="center">Chapter 12. The tale of ex-mode</th><td width="20%" align="right"> <a accesskey="n" href="ch12s05.html">Next</a></td></tr></table><hr></div><div class="section" lang="en"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a name="id2630686"></a>How to use it</h2></div></div></div><p>It's simple. You press <span class="emphasis"><em>:</em></span> (without the apostrophes, of course) and type in
 the command, then you press enter.  E.g., <span class="emphasis"><em>:set config.saving_style = 3</em></span> (this
 is a good thing), <span class="emphasis"><em>:quit</em></span> (and the game is over). The standard line-editing
 facility is present (cursor keys and so), and the ex-mode input line has own
diff -pruN 0.12~pre2.dfsg0-1/doc/html/manual.html-chunked/ch12s05.html 0.12~pre4-1/doc/html/manual.html-chunked/ch12s05.html
--- 0.12~pre2.dfsg0-1/doc/html/manual.html-chunked/ch12s05.html	2008-09-21 12:24:02.000000000 +0100
+++ 0.12~pre4-1/doc/html/manual.html-chunked/ch12s05.html	2009-05-31 10:12:51.000000000 +0100
@@ -1,4 +1,4 @@
-<html><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8"><title>The "but"s</title><meta name="generator" content="DocBook XSL Stylesheets V1.73.2"><link rel="start" href="index.html" title="The ELinks Manual"><link rel="up" href="ch12.html" title="Chapter 12. The tale of ex-mode"><link rel="prev" href="ch12s04.html" title="How to use it"><link rel="next" href="ch13.html" title="Chapter 13. ELinks BitTorrent Client"></head><body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF"><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">The "but"s</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="ch12s04.html">Prev</a> </td><th width="60%" align="center">Chapter 12. The tale of ex-mode</th><td width="20%" align="right"> <a accesskey="n" href="ch13.html">Next</a></td></tr></table><hr></div><div class="section" lang="en"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a name="id2552656"></a>The "but"s</h2></div></div></div><p>The biggest usability hurdle so far is that there is no tab-completion. This
+<html><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8"><title>The "but"s</title><meta name="generator" content="DocBook XSL Stylesheets V1.73.2"><link rel="start" href="index.html" title="The ELinks Manual"><link rel="up" href="ch12.html" title="Chapter 12. The tale of ex-mode"><link rel="prev" href="ch12s04.html" title="How to use it"><link rel="next" href="ch13.html" title="Chapter 13. ELinks BitTorrent Client"></head><body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF"><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">The "but"s</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="ch12s04.html">Prev</a> </td><th width="60%" align="center">Chapter 12. The tale of ex-mode</th><td width="20%" align="right"> <a accesskey="n" href="ch13.html">Next</a></td></tr></table><hr></div><div class="section" lang="en"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a name="id2630715"></a>The "but"s</h2></div></div></div><p>The biggest usability hurdle so far is that there is no tab-completion. This
 is why the ex-mode support is not enabled by default and part of the reason
 why its practical usage is somewhat limited yet - if you don't remember
 exactly what do you want to invoke, tough beans. Someone shall address this
diff -pruN 0.12~pre2.dfsg0-1/doc/html/manual.html-chunked/ch13.html 0.12~pre4-1/doc/html/manual.html-chunked/ch13.html
--- 0.12~pre2.dfsg0-1/doc/html/manual.html-chunked/ch13.html	2008-09-21 12:24:03.000000000 +0100
+++ 0.12~pre4-1/doc/html/manual.html-chunked/ch13.html	2009-05-31 10:12:51.000000000 +0100
@@ -1,9 +1,9 @@
-<html><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8"><title>Chapter 13. ELinks BitTorrent Client</title><meta name="generator" content="DocBook XSL Stylesheets V1.73.2"><link rel="start" href="index.html" title="The ELinks Manual"><link rel="up" href="index.html" title="The ELinks Manual"><link rel="prev" href="ch12s05.html" title='The "but"s'><link rel="next" href="ch13s02.html" title="The Resume Dialog"></head><body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF"><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">Chapter 13. ELinks BitTorrent Client</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="ch12s05.html">Prev</a> </td><th width="60%" align="center"> </th><td width="20%" align="right"> <a accesskey="n" href="ch13s02.html">Next</a></td></tr></table><hr></div><div class="chapter" lang="en"><div class="titlepage"><div><div><h2 class="title"><a name="id2552686"></a>Chapter 13. ELinks BitTorrent Client</h2></div></div></div><div class="toc"><p><b>Table of Contents</b></p><dl><dt><span class="section"><a href="ch13.html#id2552726">Using the BitTorrent Client</a></span></dt><dt><span class="section"><a href="ch13s02.html">The Resume Dialog</a></span></dt><dt><span class="section"><a href="ch13s03.html">The Download Dialog</a></span></dt></dl></div><p>This chapter provides a small manual for using the implemented
+<html><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8"><title>Chapter 13. ELinks BitTorrent Client</title><meta name="generator" content="DocBook XSL Stylesheets V1.73.2"><link rel="start" href="index.html" title="The ELinks Manual"><link rel="up" href="index.html" title="The ELinks Manual"><link rel="prev" href="ch12s05.html" title='The "but"s'><link rel="next" href="ch13s02.html" title="The Resume Dialog"></head><body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF"><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">Chapter 13. ELinks BitTorrent Client</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="ch12s05.html">Prev</a> </td><th width="60%" align="center"> </th><td width="20%" align="right"> <a accesskey="n" href="ch13s02.html">Next</a></td></tr></table><hr></div><div class="chapter" lang="en"><div class="titlepage"><div><div><h2 class="title"><a name="id2630745"></a>Chapter 13. ELinks BitTorrent Client</h2></div></div></div><div class="toc"><p><b>Table of Contents</b></p><dl><dt><span class="section"><a href="ch13.html#id2630785">Using the BitTorrent Client</a></span></dt><dt><span class="section"><a href="ch13s02.html">The Resume Dialog</a></span></dt><dt><span class="section"><a href="ch13s03.html">The Download Dialog</a></span></dt></dl></div><p>This chapter provides a small manual for using the implemented
 BitTorrent client. The BitTorrent client is provided as an optional
 add-on for ELinks, and needs to be enabled at compile time.  To build
 ELinks with BitTorrent support be sure to either pass
 <code class="literal">--enable-bittorrent</code> to <code class="literal">./configure</code> or change the value of
-<code class="literal">CONFIG_BITTORRENT</code> to <code class="literal">yes</code> in <code class="literal">features.conf</code>.</p><div class="section" lang="en"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a name="id2552726"></a>Using the BitTorrent Client</h2></div></div></div><p>To start the client, first go to a site which offers metainfo files. In
+<code class="literal">CONFIG_BITTORRENT</code> to <code class="literal">yes</code> in <code class="literal">features.conf</code>.</p><div class="section" lang="en"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a name="id2630785"></a>Using the BitTorrent Client</h2></div></div></div><p>To start the client, first go to a site which offers metainfo files. In
 the following, we will use the site <a class="ulink" href="http://www.legaltorrents.com/" target="_top">http://www.legaltorrents.com/</a>.
 Direct ELinks to this site by issuing the command:</p><pre class="literallayout">$ elinks http://www.legaltorrents.com/</pre><p>Use the arrow keys to move between links on the page. Find a link,
 which points to a metainfo file (a file having the extension
diff -pruN 0.12~pre2.dfsg0-1/doc/html/manual.html-chunked/ch13s02.html 0.12~pre4-1/doc/html/manual.html-chunked/ch13s02.html
--- 0.12~pre2.dfsg0-1/doc/html/manual.html-chunked/ch13s02.html	2008-09-21 12:24:03.000000000 +0100
+++ 0.12~pre4-1/doc/html/manual.html-chunked/ch13s02.html	2009-05-31 10:12:51.000000000 +0100
@@ -1,4 +1,4 @@
-<html><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8"><title>The Resume Dialog</title><meta name="generator" content="DocBook XSL Stylesheets V1.73.2"><link rel="start" href="index.html" title="The ELinks Manual"><link rel="up" href="ch13.html" title="Chapter 13. ELinks BitTorrent Client"><link rel="prev" href="ch13.html" title="Chapter 13. ELinks BitTorrent Client"><link rel="next" href="ch13s03.html" title="The Download Dialog"></head><body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF"><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">The Resume Dialog</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="ch13.html">Prev</a> </td><th width="60%" align="center">Chapter 13. ELinks BitTorrent Client</th><td width="20%" align="right"> <a accesskey="n" href="ch13s03.html">Next</a></td></tr></table><hr></div><div class="section" lang="en"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a name="id2552829"></a>The Resume Dialog</h2></div></div></div><p>If you start downloading a torrent which was previously active, the
+<html><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8"><title>The Resume Dialog</title><meta name="generator" content="DocBook XSL Stylesheets V1.73.2"><link rel="start" href="index.html" title="The ELinks Manual"><link rel="up" href="ch13.html" title="Chapter 13. ELinks BitTorrent Client"><link rel="prev" href="ch13.html" title="Chapter 13. ELinks BitTorrent Client"><link rel="next" href="ch13s03.html" title="The Download Dialog"></head><body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF"><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">The Resume Dialog</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="ch13.html">Prev</a> </td><th width="60%" align="center">Chapter 13. ELinks BitTorrent Client</th><td width="20%" align="right"> <a accesskey="n" href="ch13s03.html">Next</a></td></tr></table><hr></div><div class="section" lang="en"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a name="id2630888"></a>The Resume Dialog</h2></div></div></div><p>If you start downloading a torrent which was previously active, the
 client will first try to resume downloaded data from the disk. The
 resume progress is shown in the resume dialog, depicted below:</p><pre class="literallayout">+--------------------------------------- Download ---------------------------------------+
 |                                                                                        |
diff -pruN 0.12~pre2.dfsg0-1/doc/html/manual.html-chunked/ch13s03.html 0.12~pre4-1/doc/html/manual.html-chunked/ch13s03.html
--- 0.12~pre2.dfsg0-1/doc/html/manual.html-chunked/ch13s03.html	2008-09-21 12:24:03.000000000 +0100
+++ 0.12~pre4-1/doc/html/manual.html-chunked/ch13s03.html	2009-05-31 10:12:51.000000000 +0100
@@ -1,4 +1,4 @@
-<html><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8"><title>The Download Dialog</title><meta name="generator" content="DocBook XSL Stylesheets V1.73.2"><link rel="start" href="index.html" title="The ELinks Manual"><link rel="up" href="ch13.html" title="Chapter 13. ELinks BitTorrent Client"><link rel="prev" href="ch13s02.html" title="The Resume Dialog"><link rel="next" href="ch14.html" title="Chapter 14. Scripting ELinks with Lua"></head><body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF"><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">The Download Dialog</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="ch13s02.html">Prev</a> </td><th width="60%" align="center">Chapter 13. ELinks BitTorrent Client</th><td width="20%" align="right"> <a accesskey="n" href="ch14.html">Next</a></td></tr></table><hr></div><div class="section" lang="en"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a name="id2552872"></a>The Download Dialog</h2></div></div></div><p>The download dialog gives an overview of the state of the download,
+<html><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8"><title>The Download Dialog</title><meta name="generator" content="DocBook XSL Stylesheets V1.73.2"><link rel="start" href="index.html" title="The ELinks Manual"><link rel="up" href="ch13.html" title="Chapter 13. ELinks BitTorrent Client"><link rel="prev" href="ch13s02.html" title="The Resume Dialog"><link rel="next" href="ch14.html" title="Chapter 14. Scripting ELinks with Lua"></head><body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF"><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">The Download Dialog</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="ch13s02.html">Prev</a> </td><th width="60%" align="center">Chapter 13. ELinks BitTorrent Client</th><td width="20%" align="right"> <a accesskey="n" href="ch14.html">Next</a></td></tr></table><hr></div><div class="section" lang="en"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a name="id2630931"></a>The Download Dialog</h2></div></div></div><p>The download dialog gives an overview of the state of the download,
 such as progress, and a summary of which places in the torrent pieces
 have been downloaded from. A view of the download dialog along with
 highlights of the most important parts of the dialog is given below:</p><pre class="literallayout">+--------------------------------------- Download ---------------------------------------+
diff -pruN 0.12~pre2.dfsg0-1/doc/html/manual.html-chunked/ch14.html 0.12~pre4-1/doc/html/manual.html-chunked/ch14.html
--- 0.12~pre2.dfsg0-1/doc/html/manual.html-chunked/ch14.html	2008-09-21 12:24:05.000000000 +0100
+++ 0.12~pre4-1/doc/html/manual.html-chunked/ch14.html	2009-05-31 10:12:53.000000000 +0100
@@ -1,4 +1,4 @@
-<html><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8"><title>Chapter 14. Scripting ELinks with Lua</title><meta name="generator" content="DocBook XSL Stylesheets V1.73.2"><link rel="start" href="index.html" title="The ELinks Manual"><link rel="up" href="index.html" title="The ELinks Manual"><link rel="prev" href="ch13s03.html" title="The Download Dialog"><link rel="next" href="ch14s02.html" title="Installing"></head><body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF"><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">Chapter 14. Scripting ELinks with Lua</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="ch13s03.html">Prev</a> </td><th width="60%" align="center"> </th><td width="20%" align="right"> <a accesskey="n" href="ch14s02.html">Next</a></td></tr></table><hr></div><div class="chapter" lang="en"><div class="titlepage"><div><div><h2 class="title"><a name="lua-scripting"></a>Chapter 14. Scripting ELinks with Lua</h2></div></div></div><div class="toc"><p><b>Table of Contents</b></p><dl><dt><span class="section"><a href="ch14.html#id2552984">Introduction</a></span></dt><dd><dl><dt><span class="section"><a href="ch14.html#id2552990">What is it</a></span></dt><dt><span class="section"><a href="ch14.html#id2553037">Where to get it</a></span></dt><dt><span class="section"><a href="ch14.html#id2553081">What it runs on</a></span></dt></dl></dd><dt><span class="section"><a href="ch14s02.html">Installing</a></span></dt><dd><dl><dt><span class="section"><a href="ch14s02.html#id2553114">Installing Lua</a></span></dt><dt><span class="section"><a href="ch14s02.html#id2553240">Installing ELinks</a></span></dt><dt><span class="section"><a href="ch14s02.html#id2553260">Running ELinks with Lua</a></span></dt></dl></dd><dt><span class="section"><a href="ch14s03.html">Using ELinks with Lua</a></span></dt><dd><dl><dt><span class="section"><a href="ch14s03.html#id2553295">ELinks Lua additions</a></span></dt><dt><span class="section"><a href="ch14s03.html#id2553356">Config file</a></span></dt><dt><span class="section"><a href="ch14s03.html#id2553399">Hooks</a></span></dt><dt><span class="section"><a href="ch14s03.html#id2553654">Functions</a></span></dt><dt><span class="section"><a href="ch14s03.html#id2554168">Variables</a></span></dt><dt><span class="section"><a href="ch14s03.html#id2554195">User protocol</a></span></dt></dl></dd><dt><span class="section"><a href="ch14s04.html">Example recipes</a></span></dt><dd><dl><dt><span class="section"><a href="ch14s04.html#id2554277">Go to URL on steroids</a></span></dt><dt><span class="section"><a href="ch14s04.html#id2554353">Expanding ~ (tilde)</a></span></dt><dt><span class="section"><a href="ch14s04.html#id2554398">Filtering crap</a></span></dt><dt><span class="section"><a href="ch14s04.html#id2554502">Reading gzipped files</a></span></dt><dt><span class="section"><a href="ch14s04.html#id2554549">Printing</a></span></dt><dt><span class="section"><a href="ch14s04.html#id2554630">Deferring to Netscape</a></span></dt><dt><span class="section"><a href="ch14s04.html#id2554670">Alternative bookmark system</a></span></dt><dt><span class="section"><a href="ch14s04.html#id2554693">More ideas</a></span></dt></dl></dd></dl></div><p>This file documents the Lua scripting interface of the ELinks web browser.</p><div class="section" lang="en"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a name="id2552984"></a>Introduction</h2></div></div></div><div class="section" lang="en"><div class="titlepage"><div><div><h3 class="title"><a name="id2552990"></a>What is it</h3></div></div></div><p>Lua scripting capabilities permit users to customize the ELinks behaviour to
+<html><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8"><title>Chapter 14. Scripting ELinks with Lua</title><meta name="generator" content="DocBook XSL Stylesheets V1.73.2"><link rel="start" href="index.html" title="The ELinks Manual"><link rel="up" href="index.html" title="The ELinks Manual"><link rel="prev" href="ch13s03.html" title="The Download Dialog"><link rel="next" href="ch14s02.html" title="Installing"></head><body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF"><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">Chapter 14. Scripting ELinks with Lua</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="ch13s03.html">Prev</a> </td><th width="60%" align="center"> </th><td width="20%" align="right"> <a accesskey="n" href="ch14s02.html">Next</a></td></tr></table><hr></div><div class="chapter" lang="en"><div class="titlepage"><div><div><h2 class="title"><a name="lua-scripting"></a>Chapter 14. Scripting ELinks with Lua</h2></div></div></div><div class="toc"><p><b>Table of Contents</b></p><dl><dt><span class="section"><a href="ch14.html#id2631043">Introduction</a></span></dt><dd><dl><dt><span class="section"><a href="ch14.html#id2631048">What is it</a></span></dt><dt><span class="section"><a href="ch14.html#id2631096">Where to get it</a></span></dt><dt><span class="section"><a href="ch14.html#id2631140">What it runs on</a></span></dt></dl></dd><dt><span class="section"><a href="ch14s02.html">Installing</a></span></dt><dd><dl><dt><span class="section"><a href="ch14s02.html#id2631173">Installing Lua</a></span></dt><dt><span class="section"><a href="ch14s02.html#id2631298">Installing ELinks</a></span></dt><dt><span class="section"><a href="ch14s02.html#id2631319">Running ELinks with Lua</a></span></dt></dl></dd><dt><span class="section"><a href="ch14s03.html">Using ELinks with Lua</a></span></dt><dd><dl><dt><span class="section"><a href="ch14s03.html#id2631354">ELinks Lua additions</a></span></dt><dt><span class="section"><a href="ch14s03.html#id2631415">Config file</a></span></dt><dt><span class="section"><a href="ch14s03.html#id2631458">Hooks</a></span></dt><dt><span class="section"><a href="ch14s03.html#id2631713">Functions</a></span></dt><dt><span class="section"><a href="ch14s03.html#id2632226">Variables</a></span></dt><dt><span class="section"><a href="ch14s03.html#id2632254">User protocol</a></span></dt></dl></dd><dt><span class="section"><a href="ch14s04.html">Example recipes</a></span></dt><dd><dl><dt><span class="section"><a href="ch14s04.html#id2632336">Go to URL on steroids</a></span></dt><dt><span class="section"><a href="ch14s04.html#id2632412">Expanding ~ (tilde)</a></span></dt><dt><span class="section"><a href="ch14s04.html#id2632456">Filtering crap</a></span></dt><dt><span class="section"><a href="ch14s04.html#id2632561">Reading gzipped files</a></span></dt><dt><span class="section"><a href="ch14s04.html#id2632608">Printing</a></span></dt><dt><span class="section"><a href="ch14s04.html#id2632688">Deferring to Netscape</a></span></dt><dt><span class="section"><a href="ch14s04.html#id2632729">Alternative bookmark system</a></span></dt><dt><span class="section"><a href="ch14s04.html#id2632752">More ideas</a></span></dt></dl></dd></dl></div><p>This file documents the Lua scripting interface of the ELinks web browser.</p><div class="section" lang="en"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a name="id2631043"></a>Introduction</h2></div></div></div><div class="section" lang="en"><div class="titlepage"><div><div><h3 class="title"><a name="id2631048"></a>What is it</h3></div></div></div><p>Lua scripting capabilities permit users to customize the ELinks behaviour to
 unusual degree - they allow automatic rewriting of HTML code of the received
 documents, rewriting of the URLs entered by user etc. You can even write your
 own bookmarks system with Lua. See also contrib/lua/ for some examples of the
@@ -9,12 +9,12 @@ contrary, the current Lua support permit
 browser directly, changing the behaviour of the browser, not the document.</p><p>The original Lua support (in the form of Links-Lua fork of original Links) was
 written by Peter Wang and Cliff Cunnington.  There are some rough edges
 remaining, but is suitable for everyday use (I have been using it every day
-for a year).</p></div><div class="section" lang="en"><div class="titlepage"><div><div><h3 class="title"><a name="id2553037"></a>Where to get it</h3></div></div></div><p>The Lua scripting support comes with the stock ELinks distribution, no
+for a year).</p></div><div class="section" lang="en"><div class="titlepage"><div><div><h3 class="title"><a name="id2631096"></a>Where to get it</h3></div></div></div><p>The Lua scripting support comes with the stock ELinks distribution, no
 additional patches and tweaks should be needed.</p><p>The web site of the original Links-Lua is at
 <a class="ulink" href="http://links.sourceforge.net/links-lua/" target="_top">http://links.sourceforge.net/links-lua/</a>. Some older patches against
 regular Links are available at
 <a class="ulink" href="http://www.sourceforge.net/projects/links/" target="_top">http://www.sourceforge.net/projects/links/</a>, but they are not being
-maintained.</p><p>Lua can be found at <a class="ulink" href="http://www.lua.org/" target="_top">http://www.lua.org/</a>.</p></div><div class="section" lang="en"><div class="titlepage"><div><div><h3 class="title"><a name="id2553081"></a>What it runs on</h3></div></div></div><p>The Lua support has only been tested under Linux, although it <span class="strong"><strong>should</strong></span>
+maintained.</p><p>Lua can be found at <a class="ulink" href="http://www.lua.org/" target="_top">http://www.lua.org/</a>.</p></div><div class="section" lang="en"><div class="titlepage"><div><div><h3 class="title"><a name="id2631140"></a>What it runs on</h3></div></div></div><p>The Lua support has only been tested under Linux, although it <span class="strong"><strong>should</strong></span>
 work under other platforms that ELinks and Lua support (perhaps with some
 changes to source code?).</p><p>Also, note that many of the scripts given here assume a Unix system.
 Your mileage will definitely vary on other platforms.</p></div></div></div><div class="navfooter"><hr><table width="100%" summary="Navigation footer"><tr><td width="40%" align="left"><a accesskey="p" href="ch13s03.html">Prev</a> </td><td width="20%" align="center"> </td><td width="40%" align="right"> <a accesskey="n" href="ch14s02.html">Next</a></td></tr><tr><td width="40%" align="left" valign="top">The Download Dialog </td><td width="20%" align="center"><a accesskey="h" href="index.html">Home</a></td><td width="40%" align="right" valign="top"> Installing</td></tr></table></div></body></html>
diff -pruN 0.12~pre2.dfsg0-1/doc/html/manual.html-chunked/ch14s02.html 0.12~pre4-1/doc/html/manual.html-chunked/ch14s02.html
--- 0.12~pre2.dfsg0-1/doc/html/manual.html-chunked/ch14s02.html	2008-09-21 12:24:04.000000000 +0100
+++ 0.12~pre4-1/doc/html/manual.html-chunked/ch14s02.html	2009-05-31 10:12:52.000000000 +0100
@@ -1,4 +1,4 @@
-<html><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8"><title>Installing</title><meta name="generator" content="DocBook XSL Stylesheets V1.73.2"><link rel="start" href="index.html" title="The ELinks Manual"><link rel="up" href="ch14.html" title="Chapter 14. Scripting ELinks with Lua"><link rel="prev" href="ch14.html" title="Chapter 14. Scripting ELinks with Lua"><link rel="next" href="ch14s03.html" title="Using ELinks with Lua"></head><body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF"><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">Installing</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="ch14.html">Prev</a> </td><th width="60%" align="center">Chapter 14. Scripting ELinks with Lua</th><td width="20%" align="right"> <a accesskey="n" href="ch14s03.html">Next</a></td></tr></table><hr></div><div class="section" lang="en"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a name="id2553109"></a>Installing</h2></div></div></div><div class="section" lang="en"><div class="titlepage"><div><div><h3 class="title"><a name="id2553114"></a>Installing Lua</h3></div></div></div><p>Before you can compile ELinks with Lua support, you must compile and install
+<html><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8"><title>Installing</title><meta name="generator" content="DocBook XSL Stylesheets V1.73.2"><link rel="start" href="index.html" title="The ELinks Manual"><link rel="up" href="ch14.html" title="Chapter 14. Scripting ELinks with Lua"><link rel="prev" href="ch14.html" title="Chapter 14. Scripting ELinks with Lua"><link rel="next" href="ch14s03.html" title="Using ELinks with Lua"></head><body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF"><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">Installing</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="ch14.html">Prev</a> </td><th width="60%" align="center">Chapter 14. Scripting ELinks with Lua</th><td width="20%" align="right"> <a accesskey="n" href="ch14s03.html">Next</a></td></tr></table><hr></div><div class="section" lang="en"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a name="id2631168"></a>Installing</h2></div></div></div><div class="section" lang="en"><div class="titlepage"><div><div><h3 class="title"><a name="id2631173"></a>Installing Lua</h3></div></div></div><p>Before you can compile ELinks with Lua support, you must compile and install
 Lua.  The following instructions are for a Linux system.  People on other
 systems should try to enable <code class="literal">popen</code> support, but this is not necessary
 (you will lose a bit of functionality though).</p><div class="orderedlist"><ol type="1"><li>
@@ -14,9 +14,9 @@ Run <code class="literal">make; make so;
 </li></ol></div><p>On systems without shared object support, simply run <code class="literal">make; make install</code>
 instead.</p><p>Since ELinks 0.11.0, only version 5.0 of Lua is supported.
 Future versions of ELinks will probably support Lua 5.1 too;
-see <a class="ulink" href="http://bugzilla.elinks.cz/show_bug.cgi?id=742" target="_top">bug 742</a>.</p></div><div class="section" lang="en"><div class="titlepage"><div><div><h3 class="title"><a name="id2553240"></a>Installing ELinks</h3></div></div></div><p>Follow the instructions for building ELinks (it is the standard
+see <a class="ulink" href="http://bugzilla.elinks.cz/show_bug.cgi?id=742" target="_top">bug 742</a>.</p></div><div class="section" lang="en"><div class="titlepage"><div><div><h3 class="title"><a name="id2631298"></a>Installing ELinks</h3></div></div></div><p>Follow the instructions for building ELinks (it is the standard
 <code class="literal">./configure; make; make install</code> procedure).  During the configure
-step make sure that Lua has been detected on your system.</p></div><div class="section" lang="en"><div class="titlepage"><div><div><h3 class="title"><a name="id2553260"></a>Running ELinks with Lua</h3></div></div></div><p>Simply start ELinks as you normally would.  To check you have Lua support
+step make sure that Lua has been detected on your system.</p></div><div class="section" lang="en"><div class="titlepage"><div><div><h3 class="title"><a name="id2631319"></a>Running ELinks with Lua</h3></div></div></div><p>Simply start ELinks as you normally would.  To check you have Lua support
 compiled in, open up the "Help | About" dialog box.  It should list
 "Scripting (Lua)" under "Features".
 If not, make sure you do not have other copies of ELinks
diff -pruN 0.12~pre2.dfsg0-1/doc/html/manual.html-chunked/ch14s03.html 0.12~pre4-1/doc/html/manual.html-chunked/ch14s03.html
--- 0.12~pre2.dfsg0-1/doc/html/manual.html-chunked/ch14s03.html	2008-09-21 12:24:04.000000000 +0100
+++ 0.12~pre4-1/doc/html/manual.html-chunked/ch14s03.html	2009-05-31 10:12:53.000000000 +0100
@@ -1,5 +1,5 @@
-<html><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8"><title>Using ELinks with Lua</title><meta name="generator" content="DocBook XSL Stylesheets V1.73.2"><link rel="start" href="index.html" title="The ELinks Manual"><link rel="up" href="ch14.html" title="Chapter 14. Scripting ELinks with Lua"><link rel="prev" href="ch14s02.html" title="Installing"><link rel="next" href="ch14s04.html" title="Example recipes"></head><body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF"><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">Using ELinks with Lua</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="ch14s02.html">Prev</a> </td><th width="60%" align="center">Chapter 14. Scripting ELinks with Lua</th><td width="20%" align="right"> <a accesskey="n" href="ch14s04.html">Next</a></td></tr></table><hr></div><div class="section" lang="en"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a name="id2553283"></a>Using ELinks with Lua</h2></div></div></div><p>Out of the box, ELinks with Lua will do nothing different from regular ELinks.
-You need to write some scripts.</p><div class="section" lang="en"><div class="titlepage"><div><div><h3 class="title"><a name="id2553295"></a>ELinks Lua additions</h3></div></div></div><p>The Lua support is based on the idea of <span class="strong"><strong>hooks</strong></span>.  A hook is a function that
+<html><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8"><title>Using ELinks with Lua</title><meta name="generator" content="DocBook XSL Stylesheets V1.73.2"><link rel="start" href="index.html" title="The ELinks Manual"><link rel="up" href="ch14.html" title="Chapter 14. Scripting ELinks with Lua"><link rel="prev" href="ch14s02.html" title="Installing"><link rel="next" href="ch14s04.html" title="Example recipes"></head><body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF"><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">Using ELinks with Lua</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="ch14s02.html">Prev</a> </td><th width="60%" align="center">Chapter 14. Scripting ELinks with Lua</th><td width="20%" align="right"> <a accesskey="n" href="ch14s04.html">Next</a></td></tr></table><hr></div><div class="section" lang="en"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a name="id2631342"></a>Using ELinks with Lua</h2></div></div></div><p>Out of the box, ELinks with Lua will do nothing different from regular ELinks.
+You need to write some scripts.</p><div class="section" lang="en"><div class="titlepage"><div><div><h3 class="title"><a name="id2631354"></a>ELinks Lua additions</h3></div></div></div><p>The Lua support is based on the idea of <span class="strong"><strong>hooks</strong></span>.  A hook is a function that
 gets called at a particular point during the execution of ELinks.  To make
 ELinks do what you want, you can add and edit such hooks.</p><p>The Lua support also adds an extra dialog box, which you can open while in
 ELinks with the comma (<code class="literal">,</code>) key.  Here you can enter Lua expressions for
@@ -9,11 +9,11 @@ they're more convenient.</p><p>Note that
 For that, you should refer to the Lua reference manual
 (<a class="ulink" href="http://www.lua.org/docs.html" target="_top">http://www.lua.org/docs.html</a>). In fact, the language is relatively
 trivial, though. You could already do wonders with simply refactoring the
-example scripts.</p></div><div class="section" lang="en"><div class="titlepage"><div><div><h3 class="title"><a name="id2553356"></a>Config file</h3></div></div></div><p>On startup, ELinks reads in two Lua scripts.  Firstly, a system-wide
+example scripts.</p></div><div class="section" lang="en"><div class="titlepage"><div><div><h3 class="title"><a name="id2631415"></a>Config file</h3></div></div></div><p>On startup, ELinks reads in two Lua scripts.  Firstly, a system-wide
 configuration file called <code class="literal">/etc/elinks/hooks.lua</code>, then a file in your home
 directory called <code class="literal">~/.elinks/hooks.lua</code>.  From these files, you can include
 other Lua files with <code class="literal">dofile</code>, if necessary.</p><p>To see what kind of things you should put in here, look at
-<code class="literal">contrib/lua/hooks.lua</code>.</p></div><div class="section" lang="en"><div class="titlepage"><div><div><h3 class="title"><a name="id2553399"></a>Hooks</h3></div></div></div><p>The following hooks are available.</p><div class="variablelist"><dl><dt><span class="term">
+<code class="literal">contrib/lua/hooks.lua</code>.</p></div><div class="section" lang="en"><div class="titlepage"><div><div><h3 class="title"><a name="id2631458"></a>Hooks</h3></div></div></div><p>The following hooks are available.</p><div class="variablelist"><dl><dt><span class="term">
 goto_url_hook (url, current_url)
 </span></dt><dd>
         This hook is called when the user enters a string into the "Go to URL"
@@ -65,7 +65,7 @@ quit_hook ()
 </span></dt><dd>
         This hook is run just before ELinks quits.  It is useful for cleaning
         up things, such as temporary files you have created.
-</dd></dl></div></div><div class="section" lang="en"><div class="titlepage"><div><div><h3 class="title"><a name="id2553654"></a>Functions</h3></div></div></div><p>As well as providing hooks, ELinks provides some functions in addition to the
+</dd></dl></div></div><div class="section" lang="en"><div class="titlepage"><div><div><h3 class="title"><a name="id2631713"></a>Functions</h3></div></div></div><p>As well as providing hooks, ELinks provides some functions in addition to the
 standard Lua functions.</p><div class="note" style="margin-left: 0.5in; margin-right: 0.5in;"><h3 class="title">Note</h3><p>The standard Lua function <code class="literal">os.setlocale</code> affects ELinks' idea of
 the system locale, which ELinks uses for the "System" charset, for the
 "System" language, and for formatting dates.  This may however have to
@@ -170,12 +170,12 @@ get_option (option)
         Returns the value of an ELinks option.  The argument <code class="literal">option</code>
         must be the name of the option as a string.  If the option
         does not exist, <code class="literal">get_option</code> returns <code class="literal">nil</code>.
-</dd></dl></div></div><div class="section" lang="en"><div class="titlepage"><div><div><h3 class="title"><a name="id2554168"></a>Variables</h3></div></div></div><div class="variablelist"><dl><dt><span class="term">
+</dd></dl></div></div><div class="section" lang="en"><div class="titlepage"><div><div><h3 class="title"><a name="id2632226"></a>Variables</h3></div></div></div><div class="variablelist"><dl><dt><span class="term">
 elinks_home
 </span></dt><dd>
         The name of the ELinks home directory, as a string.  Typically
         this is the .elinks subdirectory of the user's home directory.
-</dd></dl></div></div><div class="section" lang="en"><div class="titlepage"><div><div><h3 class="title"><a name="id2554195"></a>User protocol</h3></div></div></div><p>There is one more little thing which Links-Lua adds, which will not be
+</dd></dl></div></div><div class="section" lang="en"><div class="titlepage"><div><div><h3 class="title"><a name="id2632254"></a>User protocol</h3></div></div></div><p>There is one more little thing which Links-Lua adds, which will not be
 described in detail here.  It is the fake "user:" protocol, which can be used
 when writing your own addons.  It allows you to generate web pages containing
 links to "user://blahblah", which can be intercepted by the <code class="literal">follow_url_hook</code>
diff -pruN 0.12~pre2.dfsg0-1/doc/html/manual.html-chunked/ch14s04.html 0.12~pre4-1/doc/html/manual.html-chunked/ch14s04.html
--- 0.12~pre2.dfsg0-1/doc/html/manual.html-chunked/ch14s04.html	2008-09-21 12:24:05.000000000 +0100
+++ 0.12~pre4-1/doc/html/manual.html-chunked/ch14s04.html	2009-05-31 10:12:53.000000000 +0100
@@ -1,4 +1,4 @@
-<html><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8"><title>Example recipes</title><meta name="generator" content="DocBook XSL Stylesheets V1.73.2"><link rel="start" href="index.html" title="The ELinks Manual"><link rel="up" href="ch14.html" title="Chapter 14. Scripting ELinks with Lua"><link rel="prev" href="ch14s03.html" title="Using ELinks with Lua"><link rel="next" href="ch15.html" title="Chapter 15. Scripting ELinks with ECMAScript"></head><body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF"><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">Example recipes</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="ch14s03.html">Prev</a> </td><th width="60%" align="center">Chapter 14. Scripting ELinks with Lua</th><td width="20%" align="right"> <a accesskey="n" href="ch15.html">Next</a></td></tr></table><hr></div><div class="section" lang="en"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a name="id2554219"></a>Example recipes</h2></div></div></div><p>This chapter contains some example scripts that you can use.  All of them come
+<html><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8"><title>Example recipes</title><meta name="generator" content="DocBook XSL Stylesheets V1.73.2"><link rel="start" href="index.html" title="The ELinks Manual"><link rel="up" href="ch14.html" title="Chapter 14. Scripting ELinks with Lua"><link rel="prev" href="ch14s03.html" title="Using ELinks with Lua"><link rel="next" href="ch15.html" title="Chapter 15. Scripting ELinks with ECMAScript"></head><body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF"><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">Example recipes</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="ch14s03.html">Prev</a> </td><th width="60%" align="center">Chapter 14. Scripting ELinks with Lua</th><td width="20%" align="right"> <a accesskey="n" href="ch15.html">Next</a></td></tr></table><hr></div><div class="section" lang="en"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a name="id2632278"></a>Example recipes</h2></div></div></div><p>This chapter contains some example scripts that you can use.  All of them come
 from <code class="literal">contrib/lua/hooks.lua</code>.  I really recommend you to see it directly
 instead of copying code out of this document.  Also, not everything in there is
 covered here.</p><p>If you would like to contribute scripts, that would be great!  Please send
@@ -8,7 +8,7 @@ ideas, you'll just have to be a little c
 Note that Peter and Cliff don't maintain the Lua support intensively anymore,
 thus it would be probably nice to Cc me (<a class="ulink" href="mailto:pasky@ucw.cz" target="_top">pasky@ucw.cz</a>) if you want
 to contribute some patch, so that I would be able to add it to the ELinks
-distribution.</p><div class="section" lang="en"><div class="titlepage"><div><div><h3 class="title"><a name="id2554277"></a>Go to URL on steroids</h3></div></div></div><p>There are some web sites that I visit often.  Bookmarks are okay, but they are
+distribution.</p><div class="section" lang="en"><div class="titlepage"><div><div><h3 class="title"><a name="id2632336"></a>Go to URL on steroids</h3></div></div></div><p>There are some web sites that I visit often.  Bookmarks are okay, but they are
 separate from the "Go to URL" dialog box, so I keep forgetting to use them.
 Also, when I visit a search engine home page, all I really want to do is enter
 a search term.</p><p>The following script allows me to type certain strings into the "Go to URL"
@@ -67,7 +67,7 @@ function goto_url_hook (url, current_url
     else
         return url
     end
-end</pre></div><div class="section" lang="en"><div class="titlepage"><div><div><h3 class="title"><a name="id2554353"></a>Expanding ~ (tilde)</h3></div></div></div><p>By adding an extra snippet of code to the previous example, we can make ELinks
+end</pre></div><div class="section" lang="en"><div class="titlepage"><div><div><h3 class="title"><a name="id2632412"></a>Expanding ~ (tilde)</h3></div></div></div><p>By adding an extra snippet of code to the previous example, we can make ELinks
 expand pathnames such as <code class="literal">~/foo/bar</code>
 and <code class="literal">~user/zappo</code>, like in the shell
 and other Unix programs.</p><pre class="screen">function goto_url_hook (url, current_url)
@@ -83,10 +83,10 @@ and other Unix programs.</p><pre class="
         end
 
                 .
-                .</pre></div><div class="section" lang="en"><div class="titlepage"><div><div><h3 class="title"><a name="id2554398"></a>Filtering crap</h3></div></div></div><p>Many web pages nowadays have columns to the left and right of the text, which
+                .</pre></div><div class="section" lang="en"><div class="titlepage"><div><div><h3 class="title"><a name="id2632456"></a>Filtering crap</h3></div></div></div><p>Many web pages nowadays have columns to the left and right of the text, which
 are utterly useless.  If you happen to be viewing the page in a 80x25 screen,
 the text you want to read ends up crammed into a tiny space in the centre.  We
-use ELinks Lua support to manipulate the HTML before it reaches the parser.</p><div class="section" lang="en"><div class="titlepage"><div><div><h4 class="title"><a name="id2554412"></a>linuxtoday.com</h4></div></div></div><div class="note" style="margin-left: 0.5in; margin-right: 0.5in;"><h3 class="title">Note</h3><p>This recipe is out of date for the web site.</p></div><p>Linux Today has two problems when viewed in ELinks: the useless columns on the
+use ELinks Lua support to manipulate the HTML before it reaches the parser.</p><div class="section" lang="en"><div class="titlepage"><div><div><h4 class="title"><a name="id2632470"></a>linuxtoday.com</h4></div></div></div><div class="note" style="margin-left: 0.5in; margin-right: 0.5in;"><h3 class="title">Note</h3><p>This recipe is out of date for the web site.</p></div><p>Linux Today has two problems when viewed in ELinks: the useless columns on the
 left and the right and all the text appears in cyan.  Here is a quick recipe
 to fix that:</p><pre class="screen">-- Plain string.find (no metacharacters)
 function sstrfind (s, pattern)
@@ -110,7 +110,7 @@ function pre_format_html_hook (url, html
     end
 
     return nil
-end</pre></div><div class="section" lang="en"><div class="titlepage"><div><div><h4 class="title"><a name="id2554468"></a>linuxgames.com</h4></div></div></div><div class="note" style="margin-left: 0.5in; margin-right: 0.5in;"><h3 class="title">Note</h3><p>This recipe is out of date for the web site.</p></div><p>Here is a simpler example, for <a class="ulink" href="http://www.linuxgames.com/" target="_top">http://www.linuxgames.com/</a>.</p><pre class="screen">function pre_format_html_hook (url, html)
+end</pre></div><div class="section" lang="en"><div class="titlepage"><div><div><h4 class="title"><a name="id2632526"></a>linuxgames.com</h4></div></div></div><div class="note" style="margin-left: 0.5in; margin-right: 0.5in;"><h3 class="title">Note</h3><p>This recipe is out of date for the web site.</p></div><p>Here is a simpler example, for <a class="ulink" href="http://www.linuxgames.com/" target="_top">http://www.linuxgames.com/</a>.</p><pre class="screen">function pre_format_html_hook (url, html)
                 .
                 .
 
@@ -118,7 +118,7 @@ end</pre></div><div class="section" lang
         return string.gsub (html, "&lt;CENTER&gt;.-&lt;/center&gt;", "", 1)
 
                 .
-                .</pre></div></div><div class="section" lang="en"><div class="titlepage"><div><div><h3 class="title"><a name="id2554502"></a>Reading gzipped files</h3></div></div></div><div class="note" style="margin-left: 0.5in; margin-right: 0.5in;"><h3 class="title">Note</h3><p>ELinks already supports gzipped files natively.</p></div><p>Sometimes documents come gzipped in order to save space, but then you need to
+                .</pre></div></div><div class="section" lang="en"><div class="titlepage"><div><div><h3 class="title"><a name="id2632561"></a>Reading gzipped files</h3></div></div></div><div class="note" style="margin-left: 0.5in; margin-right: 0.5in;"><h3 class="title">Note</h3><p>ELinks already supports gzipped files natively.</p></div><p>Sometimes documents come gzipped in order to save space, but then you need to
 uncompress them to read them with ELinks.  Here is a recipe to handle gzipped
 files on a Unix system.</p><div class="warning" style="margin-left: 0.5in; margin-right: 0.5in;"><h3 class="title">Warning</h3><p>This recipe opens a temporary file insecurely.</p></div><pre class="screen">function pre_format_html_hook (url, html)
                 .
@@ -136,7 +136,7 @@ files on a Unix system.</p><div class="w
     end
 
                 .
-                .</pre></div><div class="section" lang="en"><div class="titlepage"><div><div><h3 class="title"><a name="id2554549"></a>Printing</h3></div></div></div><p>Printing a web page with ELinks usually involves quite a few steps: Save the
+                .</pre></div><div class="section" lang="en"><div class="titlepage"><div><div><h3 class="title"><a name="id2632608"></a>Printing</h3></div></div></div><p>Printing a web page with ELinks usually involves quite a few steps: Save the
 current document onto disk.  Run it through ELinks on the command-line (so it
 fits into 80 columns) to generate a plain text version.  Remove the 80th
 column from the text version, as it will make printers wrap down to the next
@@ -161,7 +161,7 @@ end
 -- Send the current document to `enscript'.
 function enscript ()
     pipe_formatted_to ("enscript -fCourier8")
-end</pre></div><div class="section" lang="en"><div class="titlepage"><div><div><h3 class="title"><a name="id2554630"></a>Deferring to Netscape</h3></div></div></div><p>If you come across a brain-dead web page that is totally unreadable with
+end</pre></div><div class="section" lang="en"><div class="titlepage"><div><div><h3 class="title"><a name="id2632688"></a>Deferring to Netscape</h3></div></div></div><p>If you come across a brain-dead web page that is totally unreadable with
 ELinks, you'd probably want to open it with a graphical browser.  The
 following function opens the current document in Netscape.</p><div class="tip" style="margin-left: 0.5in; margin-right: 0.5in;"><h3 class="title">Tip</h3><p>You can also use the built-in “URI passing” feature for this.</p></div><pre class="screen">-- When starting Netscape: Set to `nil' if you do not want
 -- to open a new window for each document.
@@ -172,11 +172,11 @@ function netscape ()
     local new = netscape_new_window and ",new_window" or ""
     execute ("( netscape -remote 'openURL("..current_url ()..new..")'"
              .." || netscape '"..current_url ().."' ) 2&gt;/dev/null &amp;")
-end</pre></div><div class="section" lang="en"><div class="titlepage"><div><div><h3 class="title"><a name="id2554670"></a>Alternative bookmark system</h3></div></div></div><p>Many people would like to have a bookmark system with categories (note that
+end</pre></div><div class="section" lang="en"><div class="titlepage"><div><div><h3 class="title"><a name="id2632729"></a>Alternative bookmark system</h3></div></div></div><p>Many people would like to have a bookmark system with categories (note that
 ELinks already supports that, marketing name Hierarchical bookmarks), and also
 to be able to view them and search for them in an HTML page.  I have written
 an alternative bookmark system (for ELinks), which some people may like better
-than the standard bookmark system.</p></div><div class="section" lang="en"><div class="titlepage"><div><div><h3 class="title"><a name="id2554693"></a>More ideas</h3></div></div></div><div class="itemizedlist"><ul type="disc"><li>
+than the standard bookmark system.</p></div><div class="section" lang="en"><div class="titlepage"><div><div><h3 class="title"><a name="id2632752"></a>More ideas</h3></div></div></div><div class="itemizedlist"><ul type="disc"><li>
 The Lua interface needs to be redesigned to provide more flexible, coherent
    and usable interface to the scripts.
 </li><li>
diff -pruN 0.12~pre2.dfsg0-1/doc/html/manual.html-chunked/index.html 0.12~pre4-1/doc/html/manual.html-chunked/index.html
--- 0.12~pre2.dfsg0-1/doc/html/manual.html-chunked/index.html	2008-09-21 12:24:07.000000000 +0100
+++ 0.12~pre4-1/doc/html/manual.html-chunked/index.html	2009-05-31 10:12:55.000000000 +0100
@@ -1 +1 @@
-<html><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8"><title>The ELinks Manual</title><meta name="generator" content="DocBook XSL Stylesheets V1.73.2"><link rel="start" href="index.html" title="The ELinks Manual"><link rel="next" href="pr01.html" title="Preface"></head><body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF"><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">The ELinks Manual</th></tr><tr><td width="20%" align="left"> </td><th width="60%" align="center"> </th><td width="20%" align="right"> <a accesskey="n" href="pr01.html">Next</a></td></tr></table><hr></div><div class="book" lang="en"><div class="titlepage"><div><div><h1 class="title"><a name="id2426640"></a>The ELinks Manual</h1></div></div><hr></div><div class="toc"><p><b>Table of Contents</b></p><dl><dt><span class="preface"><a href="pr01.html">Preface</a></span></dt><dt><span class="chapter"><a href="ch01.html">1. Getting ELinks up and running</a></span></dt><dd><dl><dt><span class="section"><a href="ch01.html#id2494470">Building and Installing ELinks</a></span></dt><dt><span class="section"><a href="ch01s02.html">Requirements</a></span></dt><dt><span class="section"><a href="ch01s03.html">Recommended Libraries and Programs</a></span></dt><dt><span class="section"><a href="ch01s04.html">Further reading</a></span></dt><dt><span class="section"><a href="ch01s05.html">Tips to obtain a very small static elinks binary</a></span></dt><dt><span class="section"><a href="ch01s06.html">ECMAScript support?!</a></span></dt><dd><dl><dt><span class="section"><a href="ch01s06.html#id2544948">Ok, so how to get the ECMAScript support working?</a></span></dt><dt><span class="section"><a href="ch01s06.html#id2545223">The ECMAScript support is buggy! Shall I blame Mozilla people?</a></span></dt><dt><span class="section"><a href="ch01s06.html#id2545247">Now, I would still like NJS or a new JS engine from scratch…</a></span></dt></dl></dd><dt><span class="section"><a href="ch01s07.html">Feature configuration file (<code class="literal">features.conf</code>)</a></span></dt><dd><dl><dt><span class="section"><a href="ch01s07.html#id2545326">Notes for users</a></span></dt><dt><span class="section"><a href="ch01s07.html#CONFIG-BOOKMARKS">Bookmarks (<code class="literal">CONFIG_BOOKMARKS</code>)</a></span></dt><dt><span class="section"><a href="ch01s07.html#CONFIG-XBEL-BOOKMARKS">XBEL Bookmarks (<code class="literal">CONFIG_XBEL_BOOKMARKS</code>)</a></span></dt><dt><span class="section"><a href="ch01s07.html#CONFIG-COOKIES">Cookies (<code class="literal">CONFIG_COOKIES</code>)</a></span></dt><dt><span class="section"><a href="ch01s07.html#CONFIG-FORMHIST">Form History (<code class="literal">CONFIG_FORMHIST</code>)</a></span></dt><dt><span class="section"><a href="ch01s07.html#CONFIG-GLOBHIST">Global History (<code class="literal">CONFIG_GLOBHIST</code>)</a></span></dt><dt><span class="section"><a href="ch01s07.html#id2545609">MIME</a></span></dt><dt><span class="section"><a href="ch01s07.html#CONFIG-MAILCAP">Mailcap (<code class="literal">CONFIG_MAILCAP</code>)</a></span></dt><dt><span class="section"><a href="ch01s07.html#CONFIG-MIMETYPES">Mimetypes File (<code class="literal">CONFIG_MIMETYPES</code>)</a></span></dt><dt><span class="section"><a href="ch01s07.html#CONFIG-GZIP">Gzip and Deflate Decompression (<code class="literal">CONFIG_GZIP</code>)</a></span></dt><dt><span class="section"><a href="ch01s07.html#CONFIG-BZIP2">Bzip2 Decompression (<code class="literal">CONFIG_BZIP2</code>)</a></span></dt><dt><span class="section"><a href="ch01s07.html#CONFIG-LZMA">LZMA Decompression (<code class="literal">CONFIG_LZMA</code>)</a></span></dt><dt><span class="section"><a href="ch01s07.html#CONFIG-IPV6">IPv6 Protocol Support (<code class="literal">CONFIG_IPV6</code>)</a></span></dt><dt><span class="section"><a href="ch01s07.html#CONFIG-URI-REWRITE">URI Rewriting (<code class="literal">CONFIG_URI_REWRITE</code>)</a></span></dt><dt><span class="section"><a href="ch01s07.html#CONFIG-BITTORRENT">BitTorrent Protocol Support (<code class="literal">CONFIG_BITTORRENT</code>)</a></span></dt><dt><span class="section"><a href="ch01s07.html#CONFIG-CGI">Local CGI Support (<code class="literal">CONFIG_CGI</code>)</a></span></dt><dt><span class="section"><a href="ch01s07.html#CONFIG-DATA">Data URI protocol (<code class="literal">CONFIG_DATA</code>)</a></span></dt><dt><span class="section"><a href="ch01s07.html#CONFIG-FINGER">Finger User Information Protocol Support (<code class="literal">CONFIG_FINGER</code>)</a></span></dt><dt><span class="section"><a href="ch01s07.html#CONFIG-FSP">File Service Protocol (<code class="literal">CONFIG_FSP</code>)</a></span></dt><dt><span class="section"><a href="ch01s07.html#CONFIG-FTP">File Transfer Protocol Support (<code class="literal">CONFIG_FTP</code>)</a></span></dt><dt><span class="section"><a href="ch01s07.html#CONFIG-GOPHER">Gopher Protocol Support (<code class="literal">CONFIG_GOPHER</code>)</a></span></dt><dt><span class="section"><a href="ch01s07.html#CONFIG-NNTP">NNTP Protocol Support (<code class="literal">CONFIG_NNTP</code>)</a></span></dt><dt><span class="section"><a href="ch01s07.html#CONFIG-SMB">SMB Protocol Support (<code class="literal">CONFIG_SMB</code>)</a></span></dt><dt><span class="section"><a href="ch01s07.html#CONFIG-CSS">Cascading Style Sheets (<code class="literal">CONFIG_CSS</code>)</a></span></dt><dt><span class="section"><a href="ch01s07.html#CONFIG-HTML-HIGHLIGHT">HTML Highlighting (<code class="literal">CONFIG_HTML_HIGHLIGHT</code>)</a></span></dt><dt><span class="section"><a href="ch01s07.html#CONFIG-SCRIPTING-SPIDERMONKEY">ECMAScript (JavaScript) Browser Scripting (<code class="literal">CONFIG_SCRIPTING_SPIDERMONKEY</code>)</a></span></dt><dt><span class="section"><a href="ch01s07.html#CONFIG-MOUSE">Mouse Support (<code class="literal">CONFIG_MOUSE</code>)</a></span></dt><dt><span class="section"><a href="ch01s07.html#CONFIG-88-COLORS">88 Colors in Terminals (<code class="literal">CONFIG_88_COLORS</code>)</a></span></dt><dt><span class="section"><a href="ch01s07.html#CONFIG-256-COLORS">256 Colors in Terminals (<code class="literal">CONFIG_256_COLORS</code>)</a></span></dt><dt><span class="section"><a href="ch01s07.html#CONFIG-TRUE-COLOR">True color (<code class="literal">CONFIG_TRUE_COLOR</code>)</a></span></dt><dt><span class="section"><a href="ch01s07.html#CONFIG-EXMODE">Ex-mode Interface (<code class="literal">CONFIG_EXMODE</code>)</a></span></dt><dt><span class="section"><a href="ch01s07.html#CONFIG-LEDS">LEDs (<code class="literal">CONFIG_LEDS</code>)</a></span></dt><dt><span class="section"><a href="ch01s07.html#CONFIG-MARKS">Document Marks (<code class="literal">CONFIG_MARKS</code>)</a></span></dt><dt><span class="section"><a href="ch01s07.html#CONFIG-DEBUG">Debug mode (<code class="literal">CONFIG_DEBUG</code>)</a></span></dt><dt><span class="section"><a href="ch01s07.html#CONFIG-FASTMEM">Fast mode (<code class="literal">CONFIG_FASTMEM</code>)</a></span></dt><dt><span class="section"><a href="ch01s07.html#CONFIG-OWN-LIBC">Own C library functions (<code class="literal">CONFIG_OWN_LIBC</code>)</a></span></dt><dt><span class="section"><a href="ch01s07.html#CONFIG-SMALL">Small binary (<code class="literal">CONFIG_SMALL</code>)</a></span></dt><dt><span class="section"><a href="ch01s07.html#CONFIG-UTF8">Unicode UTF-8 support (<code class="literal">CONFIG_UTF8</code>)</a></span></dt><dt><span class="section"><a href="ch01s07.html#CONFIG-BACKTRACE">Back-trace Printing (<code class="literal">CONFIG_BACKTRACE</code>)</a></span></dt><dt><span class="section"><a href="ch01s07.html#CONFIG-NO-ROOT-EXEC">Disable Root User (<code class="literal">CONFIG_NO_ROOT_EXEC</code>)</a></span></dt></dl></dd></dl></dd><dt><span class="chapter"><a href="ch02.html">2. Frequently Asked Questions</a></span></dt><dd><dl><dt><span class="section"><a href="ch02.html#instances">I rebuilt/upgraded/reconfigured ELinks and restarted it, but it looks like nothing has changed!</a></span></dt><dt><span class="section"><a href="ch02s02.html">How does cutting and pasting work?</a></span></dt><dt><span class="section"><a href="ch02s03.html">How does the "Move" button on the bookmark manager work?</a></span></dt><dt><span class="section"><a href="ch02s04.html">What's up with the navigation in the various managers?</a></span></dt><dt><span class="section"><a href="ch02s05.html">Why are there so many Links flavors?</a></span></dt><dt><span class="section"><a href="ch02s06.html">Which one to use?</a></span></dt><dt><span class="section"><a href="ch02s07.html">What are the Ki (kibi) and Mi (mebi) units?</a></span></dt><dt><span class="section"><a href="ch02s08.html">How can I get 256 colors?</a></span></dt><dt><span class="section"><a href="ch02s09.html">What User-Agent header does ELinks send?</a></span></dt><dt><span class="section"><a href="ch02s10.html">ELinks doesn't erase characters from the screen when it should!</a></span></dt></dl></dd><dt><span class="chapter"><a href="ch03.html">3. Introduction to the World of ELinks</a></span></dt><dd><dl><dt><span class="section"><a href="ch03.html#id2493996">Overview of the User Interface</a></span></dt><dt><span class="section"><a href="ch03s02.html">The Title, Tab and Status bar</a></span></dt><dt><span class="section"><a href="ch03s03.html">The Main, Link and Tab Menus</a></span></dt><dt><span class="section"><a href="ch03s04.html">The Managers</a></span></dt><dt><span class="section"><a href="ch03s05.html">LED status indicators</a></span></dt><dt><span class="section"><a href="ch03s06.html">Navigation</a></span></dt><dd><dl><dt><span class="section"><a href="ch03s06.html#id2548466">Page-Oriented Navigation</a></span></dt><dt><span class="section"><a href="ch03s06.html#id2548593">Link-Oriented Navigation</a></span></dt><dt><span class="section"><a href="ch03s06.html#id2548730">Position-Oriented Navigation</a></span></dt><dt><span class="section"><a href="ch03s06.html#id2548773">Forms</a></span></dt></dl></dd><dt><span class="section"><a href="ch03s07.html">Searching</a></span></dt><dt><span class="section"><a href="ch03s08.html">Hints and Odd Features</a></span></dt></dl></dd><dt><span class="chapter"><a href="ch04.html">4. The Ultimate Bookmarks Guide</a></span></dt><dd><dl><dt><span class="section"><a href="ch04.html#id2549261">The Bookmark Manager</a></span></dt><dt><span class="section"><a href="ch04s02.html">The Ancient Forests</a></span></dt><dt><span class="section"><a href="ch04s03.html">Searching for a needle in the haystack</a></span></dt><dt><span class="section"><a href="ch04s04.html">File formats</a></span></dt><dd><dl><dt><span class="section"><a href="ch04s04.html#id2549502">Native file format</a></span></dt><dt><span class="section"><a href="ch04s04.html#id2549706">XBEL file format</a></span></dt><dt><span class="section"><a href="ch04s04.html#id2549820">Usage hints</a></span></dt></dl></dd></dl></dd><dt><span class="chapter"><a href="ch05.html">5. The Wonders of Tabbed Browsing</a></span></dt><dd><dl><dt><span class="section"><a href="ch05.html#id2549990">Introduction to the basic actions involving tabs</a></span></dt><dd><dl><dt><span class="section"><a href="ch05.html#id2549997">The tab bar and the tab menu</a></span></dt><dt><span class="section"><a href="ch05.html#id2550032">Creating new tabs</a></span></dt><dt><span class="section"><a href="ch05.html#id2550075">Switching between tabs</a></span></dt><dt><span class="section"><a href="ch05.html#id2550100">Closing tabs</a></span></dt></dl></dd><dt><span class="section"><a href="ch05s02.html">Advanced topics involving tabs</a></span></dt><dd><dl><dt><span class="section"><a href="ch05s02.html#id2550138">Moving tabs</a></span></dt><dt><span class="section"><a href="ch05s02.html#id2550161">Saving and restoring tabs</a></span></dt></dl></dd></dl></dd><dt><span class="chapter"><a href="ch06.html">6. Marks (the lite edition)</a></span></dt><dd><dl><dt><span class="section"><a href="ch06.html#id2550242">What it is?</a></span></dt><dt><span class="section"><a href="ch06s02.html">Restrictions</a></span></dt><dt><span class="section"><a href="ch06s03.html">Marks lifespan</a></span></dt></dl></dd><dt><span class="chapter"><a href="ch07.html">7. URL Shortcuts in ELinks</a></span></dt><dd><dl><dt><span class="section"><a href="ch07.html#id2550423">What it does</a></span></dt><dt><span class="section"><a href="ch07s02.html">How it works</a></span></dt><dt><span class="section"><a href="ch07s03.html">Alternative URI rewriting mechanisms</a></span></dt></dl></dd><dt><span class="chapter"><a href="ch08.html">8. The Terminal Setup</a></span></dt><dd><dl><dt><span class="section"><a href="ch08.html#id2550748">Options</a></span></dt><dd><dl><dt><span class="section"><a href="ch08.html#id2550764">Terminal type</a></span></dt><dt><span class="section"><a href="ch08.html#id2550894">Color mode</a></span></dt><dt><span class="section"><a href="ch08.html#id2551006">Switch fonts for line drawing (aka 11m hack)</a></span></dt><dt><span class="section"><a href="ch08.html#id2551027">Restrict frames in cp850/852</a></span></dt><dt><span class="section"><a href="ch08.html#id2551049">Block cursor</a></span></dt><dt><span class="section"><a href="ch08.html#id2551076">Transparency</a></span></dt><dt><span class="section"><a href="ch08.html#id2551097">Text underlining capability</a></span></dt><dt><span class="section"><a href="ch08.html#id2551114">UTF-8 I/O</a></span></dt><dt><span class="section"><a href="ch08.html#id2551132">Character Set</a></span></dt></dl></dd><dt><span class="section"><a href="ch08s02.html">Terminal Configurations</a></span></dt></dl></dd><dt><span class="chapter"><a href="ch09.html">9. Introduction to MIME handling</a></span></dt><dd><dl><dt><span class="section"><a href="ch09.html#id2551281">Handling MIME types, the ELinks way</a></span></dt><dd><dl><dt><span class="section"><a href="ch09.html#id2551287">What are MIME types and why may you want to use them?</a></span></dt><dt><span class="section"><a href="ch09.html#id2551326">Associating files to MIME types</a></span></dt><dt><span class="section"><a href="ch09.html#id2551358">Managing a given MIME type</a></span></dt><dt><span class="section"><a href="ch09.html#id2551402">Specifying the details for a handler</a></span></dt></dl></dd><dt><span class="section"><a href="ch09s02.html">Setting up elinks.conf</a></span></dt><dd><dl><dt><span class="section"><a href="ch09s02.html#id2551525">Associating a file extension to a MIME type</a></span></dt><dt><span class="section"><a href="ch09s02.html#id2551546">Defining a handler</a></span></dt><dt><span class="section"><a href="ch09s02.html#id2551622">Associating a MIME type to a handler</a></span></dt></dl></dd></dl></dd><dt><span class="chapter"><a href="ch10.html">10. Managing External Viewers with Mailcap</a></span></dt><dd><dl><dt><span class="section"><a href="ch10.html#id2551655">A Short Intro to Mailcap</a></span></dt><dt><span class="section"><a href="ch10s02.html">Parameters to Mailcap Entries</a></span></dt><dt><span class="section"><a href="ch10s03.html">Reading of Mailcap Files</a></span></dt><dt><span class="section"><a href="ch10s04.html">Fields</a></span></dt><dt><span class="section"><a href="ch10s05.html">Mailcap Configuration</a></span></dt><dt><span class="section"><a href="ch10s06.html">Some Sample Mailcap Entries</a></span></dt></dl></dd><dt><span class="chapter"><a href="ch11.html">11. Managing remote ELinks instances</a></span></dt><dd><dl><dt><span class="section"><a href="ch11.html#id2552128">Limitations and outstanding issues</a></span></dt><dt><span class="section"><a href="ch11s02.html">Remote Actions</a></span></dt></dl></dd><dt><span class="chapter"><a href="ch12.html">12. The tale of ex-mode</a></span></dt><dd><dl><dt><span class="section"><a href="ch12.html#id2552457">What it is</a></span></dt><dt><span class="section"><a href="ch12s02.html">Configuration directives in exmode</a></span></dt><dt><span class="section"><a href="ch12s03.html">Actions in exmode - or exmode in action?</a></span></dt><dt><span class="section"><a href="ch12s04.html">How to use it</a></span></dt><dt><span class="section"><a href="ch12s05.html">The "but"s</a></span></dt></dl></dd><dt><span class="chapter"><a href="ch13.html">13. ELinks BitTorrent Client</a></span></dt><dd><dl><dt><span class="section"><a href="ch13.html#id2552726">Using the BitTorrent Client</a></span></dt><dt><span class="section"><a href="ch13s02.html">The Resume Dialog</a></span></dt><dt><span class="section"><a href="ch13s03.html">The Download Dialog</a></span></dt></dl></dd><dt><span class="chapter"><a href="ch14.html">14. Scripting ELinks with Lua</a></span></dt><dd><dl><dt><span class="section"><a href="ch14.html#id2552984">Introduction</a></span></dt><dd><dl><dt><span class="section"><a href="ch14.html#id2552990">What is it</a></span></dt><dt><span class="section"><a href="ch14.html#id2553037">Where to get it</a></span></dt><dt><span class="section"><a href="ch14.html#id2553081">What it runs on</a></span></dt></dl></dd><dt><span class="section"><a href="ch14s02.html">Installing</a></span></dt><dd><dl><dt><span class="section"><a href="ch14s02.html#id2553114">Installing Lua</a></span></dt><dt><span class="section"><a href="ch14s02.html#id2553240">Installing ELinks</a></span></dt><dt><span class="section"><a href="ch14s02.html#id2553260">Running ELinks with Lua</a></span></dt></dl></dd><dt><span class="section"><a href="ch14s03.html">Using ELinks with Lua</a></span></dt><dd><dl><dt><span class="section"><a href="ch14s03.html#id2553295">ELinks Lua additions</a></span></dt><dt><span class="section"><a href="ch14s03.html#id2553356">Config file</a></span></dt><dt><span class="section"><a href="ch14s03.html#id2553399">Hooks</a></span></dt><dt><span class="section"><a href="ch14s03.html#id2553654">Functions</a></span></dt><dt><span class="section"><a href="ch14s03.html#id2554168">Variables</a></span></dt><dt><span class="section"><a href="ch14s03.html#id2554195">User protocol</a></span></dt></dl></dd><dt><span class="section"><a href="ch14s04.html">Example recipes</a></span></dt><dd><dl><dt><span class="section"><a href="ch14s04.html#id2554277">Go to URL on steroids</a></span></dt><dt><span class="section"><a href="ch14s04.html#id2554353">Expanding ~ (tilde)</a></span></dt><dt><span class="section"><a href="ch14s04.html#id2554398">Filtering crap</a></span></dt><dt><span class="section"><a href="ch14s04.html#id2554502">Reading gzipped files</a></span></dt><dt><span class="section"><a href="ch14s04.html#id2554549">Printing</a></span></dt><dt><span class="section"><a href="ch14s04.html#id2554630">Deferring to Netscape</a></span></dt><dt><span class="section"><a href="ch14s04.html#id2554670">Alternative bookmark system</a></span></dt><dt><span class="section"><a href="ch14s04.html#id2554693">More ideas</a></span></dt></dl></dd></dl></dd><dt><span class="chapter"><a href="ch15.html">15. Scripting ELinks with ECMAScript</a></span></dt><dd><dl><dt><span class="section"><a href="ch15.html#smjs-global-object">Global Object</a></span></dt><dd><dl><dt><span class="section"><a href="ch15.html#smjs-global-methods">Global Object Methods</a></span></dt><dt><span class="section"><a href="ch15.html#smjs-global-properties">Global Object Properties</a></span></dt></dl></dd><dt><span class="section"><a href="ch15s02.html">ELinks Object</a></span></dt><dd><dl><dt><span class="section"><a href="ch15s02.html#smjs-elinks-methods">ELinks Object Methods</a></span></dt><dt><span class="section"><a href="ch15s02.html#smjs-elinks-properties">ELinks Object Properties</a></span></dt><dt><span class="section"><a href="ch15s02.html#smjs-elinks-hooks">ELinks Object Hooks</a></span></dt></dl></dd><dt><span class="section"><a href="ch15s03.html">Cache Object</a></span></dt><dd><dl><dt><span class="section"><a href="ch15s03.html#smjs-cache_entry-properties">Cache Object Properties</a></span></dt></dl></dd><dt><span class="section"><a href="ch15s04.html">View-state Object</a></span></dt><dd><dl><dt><span class="section"><a href="ch15s04.html#smjs-view_state-properties">View-state Object Properties</a></span></dt></dl></dd></dl></dd></dl></div><div class="list-of-tables"><p><b>List of Tables</b></p><dl><dt>11.1. <a href="ch11s02.html#id2552181">Mozilla <code class="literal">-remote</code> compatible commands.</a></dt><dt>11.2. <a href="ch11s02.html#id2552321">ELinks extensions.</a></dt></dl></div></div><div class="navfooter"><hr><table width="100%" summary="Navigation footer"><tr><td width="40%" align="left"> </td><td width="20%" align="center"> </td><td width="40%" align="right"> <a accesskey="n" href="pr01.html">Next</a></td></tr><tr><td width="40%" align="left" valign="top"> </td><td width="20%" align="center"> </td><td width="40%" align="right" valign="top"> Preface</td></tr></table></div></body></html>
+<html><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8"><title>The ELinks Manual</title><meta name="generator" content="DocBook XSL Stylesheets V1.73.2"><link rel="start" href="index.html" title="The ELinks Manual"><link rel="next" href="pr01.html" title="Preface"></head><body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF"><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">The ELinks Manual</th></tr><tr><td width="20%" align="left"> </td><th width="60%" align="center"> </th><td width="20%" align="right"> <a accesskey="n" href="pr01.html">Next</a></td></tr></table><hr></div><div class="book" lang="en"><div class="titlepage"><div><div><h1 class="title"><a name="id2504596"></a>The ELinks Manual</h1></div></div><hr></div><div class="toc"><p><b>Table of Contents</b></p><dl><dt><span class="preface"><a href="pr01.html">Preface</a></span></dt><dt><span class="chapter"><a href="ch01.html">1. Getting ELinks up and running</a></span></dt><dd><dl><dt><span class="section"><a href="ch01.html#id2572497">Building and Installing ELinks</a></span></dt><dt><span class="section"><a href="ch01s02.html">Requirements</a></span></dt><dt><span class="section"><a href="ch01s03.html">Recommended Libraries and Programs</a></span></dt><dt><span class="section"><a href="ch01s04.html">Further reading</a></span></dt><dt><span class="section"><a href="ch01s05.html">Tips to obtain a very small static elinks binary</a></span></dt><dt><span class="section"><a href="ch01s06.html">ECMAScript support?!</a></span></dt><dd><dl><dt><span class="section"><a href="ch01s06.html#id2573705">Ok, so how to get the ECMAScript support working?</a></span></dt><dt><span class="section"><a href="ch01s06.html#id2623277">The ECMAScript support is buggy! Shall I blame Mozilla people?</a></span></dt><dt><span class="section"><a href="ch01s06.html#id2623301">Now, I would still like NJS or a new JS engine from scratch…</a></span></dt></dl></dd><dt><span class="section"><a href="ch01s07.html">Feature configuration file (<code class="literal">features.conf</code>)</a></span></dt><dd><dl><dt><span class="section"><a href="ch01s07.html#id2623381">Notes for users</a></span></dt><dt><span class="section"><a href="ch01s07.html#CONFIG-BOOKMARKS">Bookmarks (<code class="literal">CONFIG_BOOKMARKS</code>)</a></span></dt><dt><span class="section"><a href="ch01s07.html#CONFIG-XBEL-BOOKMARKS">XBEL Bookmarks (<code class="literal">CONFIG_XBEL_BOOKMARKS</code>)</a></span></dt><dt><span class="section"><a href="ch01s07.html#CONFIG-COOKIES">Cookies (<code class="literal">CONFIG_COOKIES</code>)</a></span></dt><dt><span class="section"><a href="ch01s07.html#CONFIG-FORMHIST">Form History (<code class="literal">CONFIG_FORMHIST</code>)</a></span></dt><dt><span class="section"><a href="ch01s07.html#CONFIG-GLOBHIST">Global History (<code class="literal">CONFIG_GLOBHIST</code>)</a></span></dt><dt><span class="section"><a href="ch01s07.html#id2572064">MIME</a></span></dt><dt><span class="section"><a href="ch01s07.html#CONFIG-MAILCAP">Mailcap (<code class="literal">CONFIG_MAILCAP</code>)</a></span></dt><dt><span class="section"><a href="ch01s07.html#CONFIG-MIMETYPES">Mimetypes File (<code class="literal">CONFIG_MIMETYPES</code>)</a></span></dt><dt><span class="section"><a href="ch01s07.html#CONFIG-GZIP">Gzip and Deflate Decompression (<code class="literal">CONFIG_GZIP</code>)</a></span></dt><dt><span class="section"><a href="ch01s07.html#CONFIG-BZIP2">Bzip2 Decompression (<code class="literal">CONFIG_BZIP2</code>)</a></span></dt><dt><span class="section"><a href="ch01s07.html#CONFIG-LZMA">LZMA Decompression (<code class="literal">CONFIG_LZMA</code>)</a></span></dt><dt><span class="section"><a href="ch01s07.html#CONFIG-IPV6">IPv6 Protocol Support (<code class="literal">CONFIG_IPV6</code>)</a></span></dt><dt><span class="section"><a href="ch01s07.html#CONFIG-URI-REWRITE">URI Rewriting (<code class="literal">CONFIG_URI_REWRITE</code>)</a></span></dt><dt><span class="section"><a href="ch01s07.html#CONFIG-BITTORRENT">BitTorrent Protocol Support (<code class="literal">CONFIG_BITTORRENT</code>)</a></span></dt><dt><span class="section"><a href="ch01s07.html#CONFIG-CGI">Local CGI Support (<code class="literal">CONFIG_CGI</code>)</a></span></dt><dt><span class="section"><a href="ch01s07.html#CONFIG-DATA">Data URI protocol (<code class="literal">CONFIG_DATA</code>)</a></span></dt><dt><span class="section"><a href="ch01s07.html#CONFIG-FINGER">Finger User Information Protocol Support (<code class="literal">CONFIG_FINGER</code>)</a></span></dt><dt><span class="section"><a href="ch01s07.html#CONFIG-FSP">File Service Protocol (<code class="literal">CONFIG_FSP</code>)</a></span></dt><dt><span class="section"><a href="ch01s07.html#CONFIG-FTP">File Transfer Protocol Support (<code class="literal">CONFIG_FTP</code>)</a></span></dt><dt><span class="section"><a href="ch01s07.html#CONFIG-GOPHER">Gopher Protocol Support (<code class="literal">CONFIG_GOPHER</code>)</a></span></dt><dt><span class="section"><a href="ch01s07.html#CONFIG-NNTP">NNTP Protocol Support (<code class="literal">CONFIG_NNTP</code>)</a></span></dt><dt><span class="section"><a href="ch01s07.html#CONFIG-SMB">SMB Protocol Support (<code class="literal">CONFIG_SMB</code>)</a></span></dt><dt><span class="section"><a href="ch01s07.html#CONFIG-CSS">Cascading Style Sheets (<code class="literal">CONFIG_CSS</code>)</a></span></dt><dt><span class="section"><a href="ch01s07.html#CONFIG-HTML-HIGHLIGHT">HTML Highlighting (<code class="literal">CONFIG_HTML_HIGHLIGHT</code>)</a></span></dt><dt><span class="section"><a href="ch01s07.html#CONFIG-SCRIPTING-SPIDERMONKEY">ECMAScript (JavaScript) Browser Scripting (<code class="literal">CONFIG_SCRIPTING_SPIDERMONKEY</code>)</a></span></dt><dt><span class="section"><a href="ch01s07.html#CONFIG-MOUSE">Mouse Support (<code class="literal">CONFIG_MOUSE</code>)</a></span></dt><dt><span class="section"><a href="ch01s07.html#CONFIG-88-COLORS">88 Colors in Terminals (<code class="literal">CONFIG_88_COLORS</code>)</a></span></dt><dt><span class="section"><a href="ch01s07.html#CONFIG-256-COLORS">256 Colors in Terminals (<code class="literal">CONFIG_256_COLORS</code>)</a></span></dt><dt><span class="section"><a href="ch01s07.html#CONFIG-TRUE-COLOR">True color (<code class="literal">CONFIG_TRUE_COLOR</code>)</a></span></dt><dt><span class="section"><a href="ch01s07.html#CONFIG-EXMODE">Ex-mode Interface (<code class="literal">CONFIG_EXMODE</code>)</a></span></dt><dt><span class="section"><a href="ch01s07.html#CONFIG-LEDS">LEDs (<code class="literal">CONFIG_LEDS</code>)</a></span></dt><dt><span class="section"><a href="ch01s07.html#CONFIG-MARKS">Document Marks (<code class="literal">CONFIG_MARKS</code>)</a></span></dt><dt><span class="section"><a href="ch01s07.html#CONFIG-DEBUG">Debug mode (<code class="literal">CONFIG_DEBUG</code>)</a></span></dt><dt><span class="section"><a href="ch01s07.html#CONFIG-FASTMEM">Fast mode (<code class="literal">CONFIG_FASTMEM</code>)</a></span></dt><dt><span class="section"><a href="ch01s07.html#CONFIG-OWN-LIBC">Own C library functions (<code class="literal">CONFIG_OWN_LIBC</code>)</a></span></dt><dt><span class="section"><a href="ch01s07.html#CONFIG-SMALL">Small binary (<code class="literal">CONFIG_SMALL</code>)</a></span></dt><dt><span class="section"><a href="ch01s07.html#CONFIG-UTF8">Unicode UTF-8 support (<code class="literal">CONFIG_UTF8</code>)</a></span></dt><dt><span class="section"><a href="ch01s07.html#CONFIG-BACKTRACE">Back-trace Printing (<code class="literal">CONFIG_BACKTRACE</code>)</a></span></dt><dt><span class="section"><a href="ch01s07.html#CONFIG-NO-ROOT-EXEC">Disable Root User (<code class="literal">CONFIG_NO_ROOT_EXEC</code>)</a></span></dt></dl></dd></dl></dd><dt><span class="chapter"><a href="ch02.html">2. Frequently Asked Questions</a></span></dt><dd><dl><dt><span class="section"><a href="ch02.html#instances">I rebuilt/upgraded/reconfigured ELinks and restarted it, but it looks like nothing has changed!</a></span></dt><dt><span class="section"><a href="ch02s02.html">How does cutting and pasting work?</a></span></dt><dt><span class="section"><a href="ch02s03.html">How does the "Move" button on the bookmark manager work?</a></span></dt><dt><span class="section"><a href="ch02s04.html">What's up with the navigation in the various managers?</a></span></dt><dt><span class="section"><a href="ch02s05.html">Why are there so many Links flavors?</a></span></dt><dt><span class="section"><a href="ch02s06.html">Which one to use?</a></span></dt><dt><span class="section"><a href="ch02s07.html">What are the Ki (kibi) and Mi (mebi) units?</a></span></dt><dt><span class="section"><a href="ch02s08.html">How can I get 256 colors?</a></span></dt><dt><span class="section"><a href="ch02s09.html">What User-Agent header does ELinks send?</a></span></dt><dt><span class="section"><a href="ch02s10.html">ELinks doesn't erase characters from the screen when it should!</a></span></dt></dl></dd><dt><span class="chapter"><a href="ch03.html">3. Introduction to the World of ELinks</a></span></dt><dd><dl><dt><span class="section"><a href="ch03.html#id2625885">Overview of the User Interface</a></span></dt><dt><span class="section"><a href="ch03s02.html">The Title, Tab and Status bar</a></span></dt><dt><span class="section"><a href="ch03s03.html">The Main, Link and Tab Menus</a></span></dt><dt><span class="section"><a href="ch03s04.html">The Managers</a></span></dt><dt><span class="section"><a href="ch03s05.html">LED status indicators</a></span></dt><dt><span class="section"><a href="ch03s06.html">Navigation</a></span></dt><dd><dl><dt><span class="section"><a href="ch03s06.html#id2626525">Page-Oriented Navigation</a></span></dt><dt><span class="section"><a href="ch03s06.html#id2626651">Link-Oriented Navigation</a></span></dt><dt><span class="section"><a href="ch03s06.html#id2626789">Position-Oriented Navigation</a></span></dt><dt><span class="section"><a href="ch03s06.html#id2626832">Forms</a></span></dt></dl></dd><dt><span class="section"><a href="ch03s07.html">Searching</a></span></dt><dt><span class="section"><a href="ch03s08.html">Hints and Odd Features</a></span></dt></dl></dd><dt><span class="chapter"><a href="ch04.html">4. The Ultimate Bookmarks Guide</a></span></dt><dd><dl><dt><span class="section"><a href="ch04.html#id2627319">The Bookmark Manager</a></span></dt><dt><span class="section"><a href="ch04s02.html">The Ancient Forests</a></span></dt><dt><span class="section"><a href="ch04s03.html">Searching for a needle in the haystack</a></span></dt><dt><span class="section"><a href="ch04s04.html">File formats</a></span></dt><dd><dl><dt><span class="section"><a href="ch04s04.html#id2627560">Native file format</a></span></dt><dt><span class="section"><a href="ch04s04.html#id2627764">XBEL file format</a></span></dt><dt><span class="section"><a href="ch04s04.html#id2627879">Usage hints</a></span></dt></dl></dd></dl></dd><dt><span class="chapter"><a href="ch05.html">5. The Wonders of Tabbed Browsing</a></span></dt><dd><dl><dt><span class="section"><a href="ch05.html#id2628049">Introduction to the basic actions involving tabs</a></span></dt><dd><dl><dt><span class="section"><a href="ch05.html#id2628055">The tab bar and the tab menu</a></span></dt><dt><span class="section"><a href="ch05.html#id2628091">Creating new tabs</a></span></dt><dt><span class="section"><a href="ch05.html#id2628133">Switching between tabs</a></span></dt><dt><span class="section"><a href="ch05.html#id2628159">Closing tabs</a></span></dt></dl></dd><dt><span class="section"><a href="ch05s02.html">Advanced topics involving tabs</a></span></dt><dd><dl><dt><span class="section"><a href="ch05s02.html#id2628197">Moving tabs</a></span></dt><dt><span class="section"><a href="ch05s02.html#id2628219">Saving and restoring tabs</a></span></dt></dl></dd></dl></dd><dt><span class="chapter"><a href="ch06.html">6. Marks (the lite edition)</a></span></dt><dd><dl><dt><span class="section"><a href="ch06.html#id2628301">What it is?</a></span></dt><dt><span class="section"><a href="ch06s02.html">Restrictions</a></span></dt><dt><span class="section"><a href="ch06s03.html">Marks lifespan</a></span></dt></dl></dd><dt><span class="chapter"><a href="ch07.html">7. URL Shortcuts in ELinks</a></span></dt><dd><dl><dt><span class="section"><a href="ch07.html#id2628482">What it does</a></span></dt><dt><span class="section"><a href="ch07s02.html">How it works</a></span></dt><dt><span class="section"><a href="ch07s03.html">Alternative URI rewriting mechanisms</a></span></dt></dl></dd><dt><span class="chapter"><a href="ch08.html">8. The Terminal Setup</a></span></dt><dd><dl><dt><span class="section"><a href="ch08.html#id2628807">Options</a></span></dt><dd><dl><dt><span class="section"><a href="ch08.html#id2628822">Terminal type</a></span></dt><dt><span class="section"><a href="ch08.html#id2628953">Color mode</a></span></dt><dt><span class="section"><a href="ch08.html#id2629065">Switch fonts for line drawing (aka 11m hack)</a></span></dt><dt><span class="section"><a href="ch08.html#id2629085">Restrict frames in cp850/852</a></span></dt><dt><span class="section"><a href="ch08.html#id2629108">Block cursor</a></span></dt><dt><span class="section"><a href="ch08.html#id2629135">Transparency</a></span></dt><dt><span class="section"><a href="ch08.html#id2629156">Text underlining capability</a></span></dt><dt><span class="section"><a href="ch08.html#id2629173">UTF-8 I/O</a></span></dt><dt><span class="section"><a href="ch08.html#id2629191">Character Set</a></span></dt></dl></dd><dt><span class="section"><a href="ch08s02.html">Terminal Configurations</a></span></dt></dl></dd><dt><span class="chapter"><a href="ch09.html">9. Introduction to MIME handling</a></span></dt><dd><dl><dt><span class="section"><a href="ch09.html#id2629339">Handling MIME types, the ELinks way</a></span></dt><dd><dl><dt><span class="section"><a href="ch09.html#id2629345">What are MIME types and why may you want to use them?</a></span></dt><dt><span class="section"><a href="ch09.html#id2629385">Associating files to MIME types</a></span></dt><dt><span class="section"><a href="ch09.html#id2629416">Managing a given MIME type</a></span></dt><dt><span class="section"><a href="ch09.html#id2629461">Specifying the details for a handler</a></span></dt></dl></dd><dt><span class="section"><a href="ch09s02.html">Setting up elinks.conf</a></span></dt><dd><dl><dt><span class="section"><a href="ch09s02.html#id2629583">Associating a file extension to a MIME type</a></span></dt><dt><span class="section"><a href="ch09s02.html#id2629604">Defining a handler</a></span></dt><dt><span class="section"><a href="ch09s02.html#id2629681">Associating a MIME type to a handler</a></span></dt></dl></dd></dl></dd><dt><span class="chapter"><a href="ch10.html">10. Managing External Viewers with Mailcap</a></span></dt><dd><dl><dt><span class="section"><a href="ch10.html#id2629713">A Short Intro to Mailcap</a></span></dt><dt><span class="section"><a href="ch10s02.html">Parameters to Mailcap Entries</a></span></dt><dt><span class="section"><a href="ch10s03.html">Reading of Mailcap Files</a></span></dt><dt><span class="section"><a href="ch10s04.html">Fields</a></span></dt><dt><span class="section"><a href="ch10s05.html">Mailcap Configuration</a></span></dt><dt><span class="section"><a href="ch10s06.html">Some Sample Mailcap Entries</a></span></dt></dl></dd><dt><span class="chapter"><a href="ch11.html">11. Managing remote ELinks instances</a></span></dt><dd><dl><dt><span class="section"><a href="ch11.html#id2630187">Limitations and outstanding issues</a></span></dt><dt><span class="section"><a href="ch11s02.html">Remote Actions</a></span></dt></dl></dd><dt><span class="chapter"><a href="ch12.html">12. The tale of ex-mode</a></span></dt><dd><dl><dt><span class="section"><a href="ch12.html#id2630516">What it is</a></span></dt><dt><span class="section"><a href="ch12s02.html">Configuration directives in exmode</a></span></dt><dt><span class="section"><a href="ch12s03.html">Actions in exmode - or exmode in action?</a></span></dt><dt><span class="section"><a href="ch12s04.html">How to use it</a></span></dt><dt><span class="section"><a href="ch12s05.html">The "but"s</a></span></dt></dl></dd><dt><span class="chapter"><a href="ch13.html">13. ELinks BitTorrent Client</a></span></dt><dd><dl><dt><span class="section"><a href="ch13.html#id2630785">Using the BitTorrent Client</a></span></dt><dt><span class="section"><a href="ch13s02.html">The Resume Dialog</a></span></dt><dt><span class="section"><a href="ch13s03.html">The Download Dialog</a></span></dt></dl></dd><dt><span class="chapter"><a href="ch14.html">14. Scripting ELinks with Lua</a></span></dt><dd><dl><dt><span class="section"><a href="ch14.html#id2631043">Introduction</a></span></dt><dd><dl><dt><span class="section"><a href="ch14.html#id2631048">What is it</a></span></dt><dt><span class="section"><a href="ch14.html#id2631096">Where to get it</a></span></dt><dt><span class="section"><a href="ch14.html#id2631140">What it runs on</a></span></dt></dl></dd><dt><span class="section"><a href="ch14s02.html">Installing</a></span></dt><dd><dl><dt><span class="section"><a href="ch14s02.html#id2631173">Installing Lua</a></span></dt><dt><span class="section"><a href="ch14s02.html#id2631298">Installing ELinks</a></span></dt><dt><span class="section"><a href="ch14s02.html#id2631319">Running ELinks with Lua</a></span></dt></dl></dd><dt><span class="section"><a href="ch14s03.html">Using ELinks with Lua</a></span></dt><dd><dl><dt><span class="section"><a href="ch14s03.html#id2631354">ELinks Lua additions</a></span></dt><dt><span class="section"><a href="ch14s03.html#id2631415">Config file</a></span></dt><dt><span class="section"><a href="ch14s03.html#id2631458">Hooks</a></span></dt><dt><span class="section"><a href="ch14s03.html#id2631713">Functions</a></span></dt><dt><span class="section"><a href="ch14s03.html#id2632226">Variables</a></span></dt><dt><span class="section"><a href="ch14s03.html#id2632254">User protocol</a></span></dt></dl></dd><dt><span class="section"><a href="ch14s04.html">Example recipes</a></span></dt><dd><dl><dt><span class="section"><a href="ch14s04.html#id2632336">Go to URL on steroids</a></span></dt><dt><span class="section"><a href="ch14s04.html#id2632412">Expanding ~ (tilde)</a></span></dt><dt><span class="section"><a href="ch14s04.html#id2632456">Filtering crap</a></span></dt><dt><span class="section"><a href="ch14s04.html#id2632561">Reading gzipped files</a></span></dt><dt><span class="section"><a href="ch14s04.html#id2632608">Printing</a></span></dt><dt><span class="section"><a href="ch14s04.html#id2632688">Deferring to Netscape</a></span></dt><dt><span class="section"><a href="ch14s04.html#id2632729">Alternative bookmark system</a></span></dt><dt><span class="section"><a href="ch14s04.html#id2632752">More ideas</a></span></dt></dl></dd></dl></dd><dt><span class="chapter"><a href="ch15.html">15. Scripting ELinks with ECMAScript</a></span></dt><dd><dl><dt><span class="section"><a href="ch15.html#smjs-global-object">Global Object</a></span></dt><dd><dl><dt><span class="section"><a href="ch15.html#smjs-global-methods">Global Object Methods</a></span></dt><dt><span class="section"><a href="ch15.html#smjs-global-properties">Global Object Properties</a></span></dt></dl></dd><dt><span class="section"><a href="ch15s02.html">ELinks Object</a></span></dt><dd><dl><dt><span class="section"><a href="ch15s02.html#smjs-elinks-methods">ELinks Object Methods</a></span></dt><dt><span class="section"><a href="ch15s02.html#smjs-elinks-properties">ELinks Object Properties</a></span></dt><dt><span class="section"><a href="ch15s02.html#smjs-elinks-hooks">ELinks Object Hooks</a></span></dt></dl></dd><dt><span class="section"><a href="ch15s03.html">Cache Object</a></span></dt><dd><dl><dt><span class="section"><a href="ch15s03.html#smjs-cache_entry-properties">Cache Object Properties</a></span></dt></dl></dd><dt><span class="section"><a href="ch15s04.html">View-state Object</a></span></dt><dd><dl><dt><span class="section"><a href="ch15s04.html#smjs-view_state-properties">View-state Object Properties</a></span></dt></dl></dd></dl></dd></dl></div><div class="list-of-tables"><p><b>List of Tables</b></p><dl><dt>11.1. <a href="ch11s02.html#id2630239">Mozilla <code class="literal">-remote</code> compatible commands.</a></dt><dt>11.2. <a href="ch11s02.html#id2630379">ELinks extensions.</a></dt></dl></div></div><div class="navfooter"><hr><table width="100%" summary="Navigation footer"><tr><td width="40%" align="left"> </td><td width="20%" align="center"> </td><td width="40%" align="right"> <a accesskey="n" href="pr01.html">Next</a></td></tr><tr><td width="40%" align="left" valign="top"> </td><td width="20%" align="center"> </td><td width="40%" align="right" valign="top"> Preface</td></tr></table></div></body></html>
diff -pruN 0.12~pre2.dfsg0-1/doc/html/manual.html-chunked/pr01.html 0.12~pre4-1/doc/html/manual.html-chunked/pr01.html
--- 0.12~pre2.dfsg0-1/doc/html/manual.html-chunked/pr01.html	2008-09-21 12:23:50.000000000 +0100
+++ 0.12~pre4-1/doc/html/manual.html-chunked/pr01.html	2009-05-31 10:12:38.000000000 +0100
@@ -1,4 +1,4 @@
-<html><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8"><title>Preface</title><meta name="generator" content="DocBook XSL Stylesheets V1.73.2"><link rel="start" href="index.html" title="The ELinks Manual"><link rel="up" href="index.html" title="The ELinks Manual"><link rel="prev" href="index.html" title="The ELinks Manual"><link rel="next" href="ch01.html" title="Chapter 1. Getting ELinks up and running"></head><body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF"><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">Preface</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="index.html">Prev</a> </td><th width="60%" align="center"> </th><td width="20%" align="right"> <a accesskey="n" href="ch01.html">Next</a></td></tr></table><hr></div><div class="preface" lang="en"><div class="titlepage"><div><div><h2 class="title"><a name="id2535194"></a>Preface</h2></div></div></div><p>Welcome!  This is the entry point for the humble ELinks manual.  It is by no
+<html><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8"><title>Preface</title><meta name="generator" content="DocBook XSL Stylesheets V1.73.2"><link rel="start" href="index.html" title="The ELinks Manual"><link rel="up" href="index.html" title="The ELinks Manual"><link rel="prev" href="index.html" title="The ELinks Manual"><link rel="next" href="ch01.html" title="Chapter 1. Getting ELinks up and running"></head><body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF"><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">Preface</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="index.html">Prev</a> </td><th width="60%" align="center"> </th><td width="20%" align="right"> <a accesskey="n" href="ch01.html">Next</a></td></tr></table><hr></div><div class="preface" lang="en"><div class="titlepage"><div><div><h2 class="title"><a name="id2613223"></a>Preface</h2></div></div></div><p>Welcome!  This is the entry point for the humble ELinks manual.  It is by no
 means complete, it is not even very homogeneous and it should eventually be
 superseded by a complete ELinks Book. Until this happens you may also find it
 necessary to refer to the manual page for a very quick reference, or the
diff -pruN 0.12~pre2.dfsg0-1/doc/installation.txt 0.12~pre4-1/doc/installation.txt
--- 0.12~pre2.dfsg0-1/doc/installation.txt	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/doc/installation.txt	2009-05-31 09:48:47.000000000 +0100
@@ -31,40 +31,45 @@ To make use of many of ELinks features y
 libraries and utility programs installed on your system. It is recommended to
 have the following libraries and programs installed:
 
-`-----------------------`----------------------------------------------------
-Dependency		Description
------------------------------------------------------------------------------
-Lua or Guile		Makes it possible to write scripting plugins.	    \
+[separator="|"]
+`_______________________`____________________________________________________
+Dependency		|Description
+_____________________________________________________________________________
+Lua or Guile		|Makes it possible to write scripting plugins.	    \
 ifdef::installation-webpage[]
-			See link:manual.html#lua-scripting[the Elinks - Lua interface]    \
+			 See link:manual.html#lua-scripting[the Elinks - Lua interface]    \
 endif::installation-webpage[]
 ifndef::installation-webpage[]
-			See <<lua-scripting,the Elinks - Lua interface>>    \
+			 See <<lua-scripting,the Elinks - Lua interface>>   \
 endif::installation-webpage[]
-			for more info.
-zlib 1.2.0.2 or later	For handling gzip or deflate compressed documents   \
-			both locally and sent from server.
-bzip2			Likewise, for bzip2 compressed documents.
-LZMA Utils		Likewise, for LZMA compressed documents.            \
-			Version 4.32.5 should work.
-OpenSSL or GNU TLS	For handling secure HTTP browsing.
-GPM			'General Purpose Mouse' for mouse support.
-expat			'XML Parser Toolkit' needed for XBEL support.
-smbclient		Program needed for smb:// protocol support.
-rxvt-unicode		For terminal emulator which supports 88 colors.
-xterm with 256 colors	Program atleast patch level  179 or rxvt program    \
-			from version 2.7.9 for support of 256 colors.	    \
-			Newer PuTTY also has 256 color support.
-libidn			For internationalized domain names.
-SpiderMonkey		Mozilla's JavaScript engine for getting		    \	
-			JavaScript/ECMAScript support in ELinks.	    \
+			 for more info.
+zlib 1.2.0.2 or later	|For handling gzip or deflate compressed documents   \
+			 both locally and sent from server.
+bzip2			|Likewise, for bzip2 compressed documents.
+LZMA Utils		|Likewise, for LZMA compressed documents.            \
+			 Version 4.32.5 should work.  XZ Utils does not work.
+OpenSSL or GNU TLS	|For handling secure HTTP browsing.
+pkg-config		|Needed for locating some libraries (at least	    \
+			 GNU TLS and TRE)
+GPM			|'General Purpose Mouse' for mouse support.
+expat			|'XML Parser Toolkit' needed for XBEL support.
+http://laurikari.net/tre/[TRE]						     \
+			|For regexp searching.  Version 0.7.5 works.
+libsmbclient		|Library needed for smb:// protocol support.
+rxvt-unicode		|For terminal emulator which supports 88 colors.
+xterm with 256 colors	|Program atleast patch level  179 or rxvt program   \
+			 from version 2.7.9 for support of 256 colors.	    \
+			 Newer PuTTY also has 256 color support.
+libidn			|For internationalized domain names.
+SpiderMonkey		|Mozilla's JavaScript engine for getting	    \
+			 JavaScript/ECMAScript support in ELinks.	    \
 ifdef::installation-webpage[]
-			See also link:manual.html#ecmascript[notes on ECMAScript support].
+			 See also link:manual.html#ecmascript[notes on ECMAScript support].
 endif::installation-webpage[]
 ifndef::installation-webpage[]
-			See also <<ecmascript,notes on ECMAScript support>>.
+			 See also <<ecmascript,notes on ECMAScript support>>.
 endif::installation-webpage[]
------------------------------------------------------------------------------
+_____________________________________________________________________________
 
 When compiling, you also need the header files for the libraries. Most OS
 distributors put a given library's headers in a package separate from the
diff -pruN 0.12~pre2.dfsg0-1/doc/Makefile 0.12~pre4-1/doc/Makefile
--- 0.12~pre2.dfsg0-1/doc/Makefile	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/doc/Makefile	2009-05-31 09:48:47.000000000 +0100
@@ -18,7 +18,6 @@ ASCIIDOC_FLAGS += --no-conf -f $(srcdir)
 		  -f $(srcdir)tools/asciidoc/$(call backend).conf \
 		  -f $(ASCIIDOC_CONF) \
 		  -a "builddir=$(CURDIR)/" \
-		  -a asciidoc7compatible \
 		  -a elinks_version=$(VERSION)
 
 #############################################################################
diff -pruN 0.12~pre2.dfsg0-1/doc/man/man1/elinks.1.in 0.12~pre4-1/doc/man/man1/elinks.1.in
--- 0.12~pre2.dfsg0-1/doc/man/man1/elinks.1.in	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/doc/man/man1/elinks.1.in	2009-05-31 09:48:47.000000000 +0100
@@ -1,11 +1,11 @@
 .\"     Title: elinks
 .\"    Author: 
 .\" Generator: DocBook XSL Stylesheets v1.73.2 <http://docbook.sf.net/>
-.\"      Date: 09/21/2008
+.\"      Date: 05/31/2009
 .\"    Manual: The Elinks text-browser
-.\"    Source: ELinks 0.12pre2
+.\"    Source: ELinks 0.12pre4
 .\"
-.TH "ELINKS" "1" "09/21/2008" "ELinks 0\&.12pre2" "The Elinks text\-browser"
+.TH "ELINKS" "1" "05/31/2009" "ELinks 0\&.12pre4" "The Elinks text\-browser"
 .\" disable hyphenation
 .nh
 .\" disable justification (adjust text to left margin only)
@@ -156,13 +156,17 @@ Disables creation and use of files in th
 .PP
 \fB\-no\-numbering\fR (alias for document\&.dump\&.numbering)
 .RS 4
-Prevents printing of link number in dump output\&. Note that this really affects only
+Prevents printing of link number in dump output\&.
+.sp
+Note that this really affects only
 \-dump, nothing else\&.
 .RE
 .PP
 \fB\-no\-references\fR (alias for document\&.dump\&.references)
 .RS 4
-Prevents printing of references (URIs) of document links in dump output\&. Note that this really affects only
+Prevents printing of references (URIs) of document links in dump output\&.
+.sp
+Note that this really affects only
 \-dump, nothing else\&.
 .RE
 .PP
@@ -170,7 +174,9 @@ Prevents printing of references (URIs) o
 .RS 4
 Control a remote
 ELinks
-instance by passing commands to it\&. The option takes an additional argument containing the method which should be invoked and any parameters that should be passed to it\&. For ease of use, the additional method argument can be omitted in which case any URL arguments will be opened in new tabs in the remote instance\&. Following is a list of the supported methods:
+instance by passing commands to it\&. The option takes an additional argument containing the method which should be invoked and any parameters that should be passed to it\&. For ease of use, the additional method argument can be omitted in which case any URL arguments will be opened in new tabs in the remote instance\&.
+.sp
+Following is a list of the supported methods:
 .sp
 .RS 4
 \h'-04'\(bu\h'+03'\fBping()\fR: look for a remote instance
@@ -217,7 +223,9 @@ are interconnected and share state (cach
 ELinks
 instances connect to session ring 0\&. You can change that behaviour with this switch and form as many session rings as you want\&. Obviously, if the session\-ring with this number doesn\'t exist yet, it\'s created and this
 ELinks
-instance will become the master instance (that usually doesn\'t matter for you as a user much)\&. Note that you usually don\'t want to use this unless you\'re a developer and you want to do some testing \- if you want the
+instance will become the master instance (that usually doesn\'t matter for you as a user much)\&.
+.sp
+Note that you usually don\'t want to use this unless you\'re a developer and you want to do some testing \- if you want the
 ELinks
 instances each running standalone, rather use the
 \-no\-connect
@@ -262,7 +270,7 @@ Print
 ELinks
 version information and exit\&.
 .RE
-Generated using output from ELinks version 0\&.12pre2\&.
+Generated using output from ELinks version 0\&.12pre4\&.
 .sp
 .SH "ENVIRONMENT VARIABLES"
 .PP
diff -pruN 0.12~pre2.dfsg0-1/doc/man/man5/elinks.conf.5 0.12~pre4-1/doc/man/man5/elinks.conf.5
--- 0.12~pre2.dfsg0-1/doc/man/man5/elinks.conf.5	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/doc/man/man5/elinks.conf.5	2009-05-31 09:48:47.000000000 +0100
@@ -1,11 +1,11 @@
 .\"     Title: elinks.conf
 .\"    Author: 
 .\" Generator: DocBook XSL Stylesheets v1.73.2 <http://docbook.sf.net/>
-.\"      Date: 09/21/2008
+.\"      Date: 05/31/2009
 .\"    Manual: ELinks configuration file
-.\"    Source: ELinks 0.12pre2
+.\"    Source: ELinks 0.12pre4
 .\"
-.TH "ELINKS\&.CONF" "5" "09/21/2008" "ELinks 0\&.12pre2" "ELinks configuration file"
+.TH "ELINKS\&.CONF" "5" "05/31/2009" "ELinks 0\&.12pre4" "ELinks configuration file"
 .\" disable hyphenation
 .nh
 .\" disable justification (adjust text to left margin only)
@@ -49,7 +49,7 @@ set protocol\&.user\&.mailto\&.unix = "m
 .fi
 .RE
 .SH "OPTIONS"
-Generated using output from ELinks version 0\&.12pre2\&.
+Generated using output from ELinks version 0\&.12pre4\&.
 .sp
 .SS "bookmarks (Bookmarks)"
 Bookmark options\&.
@@ -65,7 +65,7 @@ format
 .RE
 .sp
 .RS 4
-\h'-04'\(bu\h'+03'1 is XBEL universal XML bookmarks format (\fIELinks bug 153\fR\&[1]: NO NATIONAL CHARS SUPPORT!)
+\h'-04'\(bu\h'+03'1 is XBEL universal XML bookmarks format
 .RE
 .RE
 .PP
@@ -177,13 +177,17 @@ connection\&.try_ipv4 \fB[0|1]\fR (defau
 .RS 4
 Whether to try to connect to a host over IPv4\&. Note that if
 connection\&.try_ipv6
-is enabled too, it takes precedence\&. And better do not touch this at all unless you are sure what are you doing\&. Note that you can also force a given protocol to be used on a per\-connection basis by using a URL in the style of e\&.g\&.
+is enabled too, it takes precedence\&. And better do not touch this at all unless you are sure what are you doing\&.
+.sp
+Note that you can also force a given protocol to be used on a per\-connection basis by using a URL in the style of e\&.g\&.
 \fIhttp4://elinks\&.cz/\fR\&.
 .RE
 .PP
 connection\&.try_ipv6 \fB[0|1]\fR (default: 1)
 .RS 4
-Whether to try to connect to a host over IPv6\&. Note that you can also force a given protocol to be used on a per\-connection basis by using a URL in the style of e\&.g\&.
+Whether to try to connect to a host over IPv6\&.
+.sp
+Note that you can also force a given protocol to be used on a per\-connection basis by using a URL in the style of e\&.g\&.
 \fIhttp6://elinks\&.cz/\fR\&.
 .RE
 .PP
@@ -276,7 +280,9 @@ Horizontal text margin\&.
 .PP
 document\&.browse\&.refresh \fB[0|1]\fR (default: 1)
 .RS 4
-Automatically follow document\-specified refresh directives (\'<meta> refresh\' tags)\&. Web\-page authors use these to instruct the browser to reload a document at a given interval or to load another page\&. Regardless of the value the refresh URI is accessible as a link\&. Use the
+Automatically follow document\-specified refresh directives (\'<meta> refresh\' tags)\&. Web\-page authors use these to instruct the browser to reload a document at a given interval or to load another page\&. Regardless of the value the refresh URI is accessible as a link\&.
+.sp
+Use the
 document\&.browse\&.minimum_refresh_time
 to control the minimum number of seconds a refresh will wait\&.
 .RE
@@ -346,7 +352,9 @@ document\&.browse\&.forms\&.editor \fB<s
 .RS 4
 Path to the executable that
 ELinks
-should launch when the user requests to edit a textarea with an external editor\&. If this is blank,
+should launch when the user requests to edit a textarea with an external editor\&.
+.sp
+If this is blank,
 ELinks
 will use the value of the environmental variable
 \fB$EDITOR\fR\&. If
@@ -574,7 +582,7 @@ Whether to allow horizontal scrolling wh
 .PP
 document\&.browse\&.scrolling\&.horizontal_step \fB<num>\fR (default: 8)
 .RS 4
-Number of columns to scroll when a key bound to scroll\-left or scroll\- right is pressed and no prefix was given\&.
+Number of columns to scroll when a key bound to scroll\-left or scroll\-right is pressed and no prefix was given\&.
 .RE
 .PP
 document\&.browse\&.scrolling\&.margin \fB<num>\fR (default: 3)
@@ -584,7 +592,7 @@ Size of the virtual margin \(en when you
 .PP
 document\&.browse\&.scrolling\&.vertical_step \fB<num>\fR (default: 2)
 .RS 4
-Number of lines to scroll when a key bound to scroll\-up or scroll\- down is pressed and no prefix was given\&.
+Number of lines to scroll when a key bound to scroll\-up or scroll\-down is pressed and no prefix was given\&.
 .RE
 .SS "document\&.browse\&.search (Searching)"
 Options for searching\&.
@@ -659,7 +667,9 @@ Cache options\&.
 .PP
 document\&.cache\&.cache_redirects \fB[0|1]\fR (default: 0)
 .RS 4
-Cache even redirects sent by server (usually thru HTTP by a 302 HTTP code and a Location header)\&. This was the original behaviour for quite some time, but it causes problems in a situation very common to various web login systems \(en frequently, when accessing a certain location, they will redirect you to a login page if they don\'t receive an auth cookie, the login page then gives you the cookie and redirects you back to the original page, but there you have already cached redirect back to the login page! If this option has value of 0, this malfunction is fixed, but occasionally you may get superfluous (depends on how you take it ;\-) requests to the server\&. If this option has value of 1, experienced users can still workaround it by clever combination of usage of reload, jumping around in session history and hitting ctrl+enter\&. Note that this option is checked when retrieving the information from cache, not when saving it to cache \(en thus if you enable it, even previous redirects will be taken from cache instead of asking the server\&.
+Cache even redirects sent by server (usually thru HTTP by a 302 HTTP code and a Location header)\&. This was the original behaviour for quite some time, but it causes problems in a situation very common to various web login systems \(en frequently, when accessing a certain location, they will redirect you to a login page if they don\'t receive an auth cookie, the login page then gives you the cookie and redirects you back to the original page, but there you have already cached redirect back to the login page! If this option has value of 0, this malfunction is fixed, but occasionally you may get superfluous (depends on how you take it ;\-) requests to the server\&. If this option has value of 1, experienced users can still workaround it by clever combination of usage of reload, jumping around in session history and hitting ctrl+enter\&.
+.sp
+Note that this option is checked when retrieving the information from cache, not when saving it to cache \(en thus if you enable it, even previous redirects will be taken from cache instead of asking the server\&.
 .RE
 .PP
 document\&.cache\&.ignore_cache_control \fB[0|1]\fR (default: 1)
@@ -680,7 +690,9 @@ document\&.cache\&.format\&.size \fB<num
 .RS 4
 Number of cached formatted pages\&. Do not get too generous here, \'formatted\' means that all the accompanying structures are kept in memory so that you get the cached document immediatelly, but these structures may take a lot \(en 2x the size of the HTML source is probably not unusual, but it can be even more if the document consists of a lot of short lines (padded right, if possible) and links and not much other markup\&. So if you set this to 256 and then you don\'t like your
 ELinks
-eating 90M, don\'t come complaining to us\&. ;\-) Also note that the format cache itself is not counted to the memory cache size, but the HTML source of the formatted documents is always cached, even if it is over the memory cache size threshold\&. (Then of course no other documents can be cached\&.)
+eating 90M, don\'t come complaining to us\&. ;\-)
+.sp
+Also note that the format cache itself is not counted to the memory cache size, but the HTML source of the formatted documents is always cached, even if it is over the memory cache size threshold\&. (Then of course no other documents can be cached\&.)
 .RE
 .SS "document\&.cache\&.memory (Memory cache)"
 Memory cache options\&.
@@ -736,7 +748,9 @@ Default bookmarked link color\&.
 .PP
 document\&.colors\&.dirs \fB<color|#rrggbb>\fR (default: yellow)
 .RS 4
-Default directory color\&. See
+Default directory color\&.
+.sp
+See
 document\&.browse\&.links\&.color_dirs
 option\&.
 .RE
@@ -783,7 +797,9 @@ When enabled any external style sheets t
 document\&.css\&.stylesheet \fB<str>\fR (default: "")
 .RS 4
 The path to the file containing the default user defined Cascading Style Sheet\&. It can be used to control the basic layout of HTML documents\&. The path is assumed to be relative to
-ELinks\' home directory\&. Leave as "" to use built\-in document styling\&.
+ELinks\' home directory\&.
+.sp
+Leave as "" to use built\-in document styling\&.
 .RE
 .SS "document\&.download (Downloading)"
 Options regarding files downloading and handling\&.
@@ -841,11 +857,13 @@ Codepage used in dump output\&. \'System
 .PP
 document\&.dump\&.color_mode \fB<num>\fR (default: \-1)
 .RS 4
-Color mode for dumps\&. Some modes may have been disabled at compile time\&. The
-Setup \(-> Terminal options
-dialog lists the modes supported by this executable\&. If you select an unsupported mode,
+Color mode for dumps\&.
+.sp
+Some modes may have been disabled at compile time\&. The Setup \-> Terminal options dialog lists the modes supported by this executable\&. If you select an unsupported mode,
 ELinks
-uses 16 colors\&. The color modes are:
+uses 16 colors\&.
+.sp
+The color modes are:
 .sp
 .RS 4
 \h'-04'\(bu\h'+03'\-1 is standard dump mode
@@ -1007,7 +1025,9 @@ document\&.plain\&.compress_empty_lines 
 Compress successive empty lines to only one in displayed text\&.
 .RE
 .SS "document\&.uri_passing (URI passing)"
-Rules for passing URIs to external commands\&. When one rule is defined the link and tab menu will have a menu item that makes it possible to pass the the link, frame or tab URI to an external command\&. If several rules are defined the link and tab menu will have a submenu of items for each rule\&. Note, this is mostly useful for launching graphical viewers, since there is no support for releasing the terminal while the command runs\&. The action and submenus are also available by binding keys to the frame\-external\-command, the link\-external\-command, and the tab\-external\-command actions\&.
+Rules for passing URIs to external commands\&. When one rule is defined the link and tab menu will have a menu item that makes it possible to pass the the link, frame or tab URI to an external command\&. If several rules are defined the link and tab menu will have a submenu of items for each rule\&.
+.sp
+Note, this is mostly useful for launching graphical viewers, since there is no support for releasing the terminal while the command runs\&. The action and submenus are also available by binding keys to the frame\-external\-command, the link\-external\-command, and the tab\-external\-command actions\&.
 .PP
 document\&.uri_passing\&._template_ \fB<str>\fR (default: "")
 .RS 4
@@ -1064,7 +1084,9 @@ to be saved to disk if they have changed
 .PP
 infofiles\&.secure_save \fB[0|1]\fR (default: 1)
 .RS 4
-First write data to unique temporary file, then rename this file upon successfully finishing this\&. Note that this relates only to config files, not downloaded files\&. You may want to disable it if you are using some exotic permissions for concerned files\&. Secure file saving is automagically disabled if file is symlink\&. Warning: some systems (ie\&. OS/2, Win32) require that destination file doesn\'t exist when
+First write data to unique temporary file, then rename this file upon successfully finishing this\&. Note that this relates only to config files, not downloaded files\&. You may want to disable it if you are using some exotic permissions for concerned files\&. Secure file saving is automagically disabled if file is symlink\&.
+.sp
+Warning: some systems (ie\&. OS/2, Win32) require that destination file doesn\'t exist when
 \fBrename\fR(3)
 is called, breaking atomicity, and reducing reliability of this feature\&.
 .RE
@@ -1194,7 +1216,9 @@ BitTorrent specific options\&.
 .PP
 protocol\&.bittorrent\&.piece_cache_size \fB<num>\fR (default: 1048576)
 .RS 4
-The maximum amount of memory used to hold recently downloaded pieces\&. Set to 0 to have unlimited size\&.
+The maximum amount of memory used to hold recently downloaded pieces\&.
+.sp
+Set to 0 to have unlimited size\&.
 .RE
 .PP
 protocol\&.bittorrent\&.max_uploads \fB<num>\fR (default: 7)
@@ -1300,7 +1324,9 @@ The number of seconds to wait before clo
 .PP
 protocol\&.bittorrent\&.peerwire\&.pool_size \fB<num>\fR (default: 55)
 .RS 4
-Maximum number of items in the peer pool\&. The peer pool contains information used for establishing connections to new peers\&. Set to 0 to have unlimited size\&.
+Maximum number of items in the peer pool\&. The peer pool contains information used for establishing connections to new peers\&.
+.sp
+Set to 0 to have unlimited size\&.
 .RE
 .SS "protocol\&.file (Local files)"
 Options specific to local browsing\&.
@@ -1382,6 +1408,20 @@ Request localised versions of documents 
 ELinks\' user\-interface (this also affects navigator\&.language ECMAScript value available to scripts)\&. Note that some see this as a potential security risk because it tells web\-masters and the FBI sniffers about your language preference\&.
 .RE
 .PP
+protocol\&.http\&.compression \fB[0|1]\fR (default: 1)
+.RS 4
+If enabled, the capability to receive compressed content (gzip and/or bzip2) is announced to the server, which usually sends the reply compressed, thus saving some bandwidth at slight CPU expense\&.
+.sp
+If
+ELinks
+displays a incomplete page or garbage, try disabling this option\&. If that helps, there may be a bug in the decompression part of
+ELinks\&. Please report such bugs\&.
+.sp
+If
+ELinks
+has been compiled without compression support, this option has no effect\&. To check the supported features, see Help \-> About\&.
+.RE
+.PP
 protocol\&.http\&.trace \fB[0|1]\fR (default: 0)
 .RS 4
 If active, all HTTP requests are sent with TRACE as their method rather than GET or POST\&. This is useful for debugging of both
@@ -1391,7 +1431,9 @@ and various server\-side scripts \(em th
 .PP
 protocol\&.http\&.user_agent \fB<str>\fR (default: "ELinks/%v (textmode; %s; %t\-%b)")
 .RS 4
-Change the User Agent ID\&. That means identification string, which is sent to HTTP server when a document is requested\&. The \'textmode\' token in the first field is our silent attempt to establish this as a standard for new textmode user agents, so that the webmasters can have just a single uniform test for these if they are e\&.g\&. pushing some lite version to them automagically\&. Use " " if you don\'t want any User\-Agent header to be sent at all\&.
+Change the User Agent ID\&. That means identification string, which is sent to HTTP server when a document is requested\&. The \'textmode\' token in the first field is our silent attempt to establish this as a standard for new textmode user agents, so that the webmasters can have just a single uniform test for these if they are e\&.g\&. pushing some lite version to them automagically\&.
+.sp
+Use " " if you don\'t want any User\-Agent header to be sent at all\&.
 .sp
 .RS 4
 \h'-04'\(bu\h'+03'%v in the string means
@@ -1459,7 +1501,7 @@ protocol\&.http\&.proxy\&.passwd \fB<str
 Proxy authentication password\&.
 .RE
 .SS "protocol\&.http\&.referer (Referer sending)"
-HTTP referer sending options\&. HTTP referer is a special header sent in the HTTP requests, which is supposed to contain the previous page visited by the browser\&. This way, the server can know what link did you follow when accessing that page\&. However, this behaviour can unfortunately considerably affect privacy and can lead even to a security problem on some badly designed web pages\&.
+HTTP referer sending options\&. HTTP referer is a special header sent in the HTTP requests, which is supposed to contain the previous page visited by the browser\&.This way, the server can know what link did you follow when accessing that page\&. However, this behaviour can unfortunately considerably affect privacy and can lead even to a security problem on some badly designed web pages\&.
 .PP
 protocol\&.http\&.referer\&.policy \fB<num>\fR (default: 3)
 .RS 4
@@ -1653,6 +1695,17 @@ Terminal type; matters mostly only when 
 .RE
 .RE
 .PP
+terminal\&._template_\&.latin1_title \fB[0|1]\fR (default: 1)
+.RS 4
+When updating the window title of
+\fBxterm\fR
+or a similar terminal emulator, encode the title in ISO\-8859\-1 (Latin\-1), rather than in the charset used for other text in the window\&. Cyrillic and other characters get replaced with Latin ones\&. Xterm requires this unless you explicitly enable UTF\-8 titles in it\&.
+.sp
+If this option does not take effect immediately, try switching to a different page so that
+ELinks
+notices it needs to update the title\&.
+.RE
+.PP
 terminal\&._template_\&.m11_hack \fB[0|1]\fR (default: 0)
 .RS 4
 Switch fonts when drawing lines, enabling both local characters and lines working at the same time\&.
@@ -1679,11 +1732,13 @@ Move cursor to bottom right corner when 
 .PP
 terminal\&._template_\&.colors \fB<num>\fR (default: 0)
 .RS 4
-The color mode controls what colors are used and how they are output to the terminal\&. Some modes may have been disabled at compile time\&. The
-Setup \(-> Terminal options
-dialog lists the modes supported by this executable\&. If you select an unsupported mode,
+The color mode controls what colors are used and how they are output to the terminal\&.
+.sp
+Some modes may have been disabled at compile time\&. The Setup \-> Terminal options dialog lists the modes supported by this executable\&. If you select an unsupported mode,
 ELinks
-uses 16 colors\&. The color modes are:
+uses 16 colors\&.
+.sp
+The color modes are:
 .sp
 .RS 4
 \h'-04'\(bu\h'+03'0 is mono mode, only 2 colors are used
@@ -2764,17 +2819,23 @@ Sessions settings\&.
 .PP
 ui\&.sessions\&.auto_restore \fB[0|1]\fR (default: 0)
 .RS 4
-Automatically restore the session at start\&. This feature requires bookmark support\&.
+Automatically restore the session at start\&.
+.sp
+This feature requires bookmark support\&.
 .RE
 .PP
 ui\&.sessions\&.auto_save \fB[0|1]\fR (default: 0)
 .RS 4
-Automatically save the session when quitting\&. This feature requires bookmark support\&.
+Automatically save the session when quitting\&.
+.sp
+This feature requires bookmark support\&.
 .RE
 .PP
 ui\&.sessions\&.auto_save_foldername \fB<str>\fR (default: "Auto saved session")
 .RS 4
-Name of the bookmarks folder used for auto saving and restoring session\&. The name has to be unique\&. Any folders with the same name will be deleted\&. This only makes sense with bookmark support\&.
+Name of the bookmarks folder used for auto saving and restoring session\&. The name has to be unique\&. Any folders with the same name will be deleted\&.
+.sp
+This only makes sense with bookmark support\&.
 .RE
 .PP
 ui\&.sessions\&.homepage \fB<str>\fR (default: "")
@@ -2861,9 +2922,3 @@ Keybinding action to be triggered when t
 .SH "SEE ALSO"
 \fBelinks\fR(1), \fBelinkskeys\fR(5)
 .sp
-.SH "NOTES"
-.IP " 1." 4
-ELinks bug 153
-.RS 4
-\%http://bugzilla.elinks.cz/show_bug.cgi?id=153
-.RE
diff -pruN 0.12~pre2.dfsg0-1/doc/man/man5/elinkskeys.5 0.12~pre4-1/doc/man/man5/elinkskeys.5
--- 0.12~pre2.dfsg0-1/doc/man/man5/elinkskeys.5	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/doc/man/man5/elinkskeys.5	2009-05-31 09:48:47.000000000 +0100
@@ -1,11 +1,11 @@
 .\"     Title: elinkskeys
 .\"    Author: 
-.\" Generator: DocBook XSL Stylesheets v1.72.0 <http://docbook.sf.net/>
-.\"      Date: 08/03/2008
+.\" Generator: DocBook XSL Stylesheets v1.73.2 <http://docbook.sf.net/>
+.\"      Date: 05/31/2009
 .\"    Manual: ELinks keybindings
-.\"    Source: ELinks 0.12pre1.GIT
+.\"    Source: ELinks 0.12pre4
 .\"
-.TH "ELINKSKEYS" "5" "08/03/2008" "ELinks 0.12pre1.GIT" "ELinks keybindings"
+.TH "ELINKSKEYS" "5" "05/31/2009" "ELinks 0\&.12pre4" "ELinks keybindings"
 .\" disable hyphenation
 .nh
 .\" disable justification (adjust text to left margin only)
@@ -13,10 +13,10 @@
 .SH "NAME"
 elinkskeys \- keybindings for ELinks
 .SH "SYNOPSIS"
-Information on how to configure keybinding and overview of the default keybindings.
+Information on how to configure keybinding and overview of the default keybindings\&.
 .sp
 .SH "DESCRIPTION"
-Key binding for elinks should be placed in the file ~/.elinks/elinks.conf. Note that any information regarding their format/structure may not be up\-to\-date. If you will discover that, please feed us with a patch.
+Key binding for elinks should be placed in the file ~/\&.elinks/elinks\&.conf\&. Note that any information regarding their format/structure may not be up\-to\-date\&. If you will discover that, please feed us with a patch\&.
 .sp
 Key binding statements are of the form:
 .sp
@@ -27,32 +27,31 @@ bind <keymap> <keystroke> = <action>
 .fi
 .RE
 where:
-.sp
 .PP
 <keymap>
 .RS 4
 is
 \fImain\fR,
 \fIedit\fR, or
-\fImenu\fR. The main keymap is used for general browsing. The edit keymap is used for editing text fields. The menu keymap is used for navigating menus.
+\fImenu\fR\&. The main keymap is used for general browsing\&. The edit keymap is used for editing text fields\&. The menu keymap is used for navigating menus\&.
 .RE
 .PP
 <keystroke>
 .RS 4
 is a case sensitive key, which you can prefix with
 \fICtrl\-\fR,
-\fIAlt\-\fR, or both.
+\fIAlt\-\fR, or both\&.
 \fICtrl\-\fR
-must be followed by an uppercase key. See below for a list of valid keys.
+must be followed by an uppercase key\&. See below for a list of valid keys\&.
 .RE
 .PP
 <action>
 .RS 4
-is what the key should do. The actions available are dependent on the keymap, and are listed separately below.
+is what the key should do\&. The actions available are dependent on the keymap, and are listed separately below\&.
 .RE
-All words/strings may all be quoted "like so". Backslashes are escape characters, even if not between quotes. Lines beginning with a hash character (#) are comments.
+All words/strings may all be quoted "like so"\&. Backslashes are escape characters, even if not between quotes\&. Lines beginning with a hash character (#) are comments\&.
 .sp
-Keys can be unbound just by binding them to the special \fInone\fR action. It may be of use if you accidentally type a key often.
+Keys can be unbound just by binding them to the special \fInone\fR action\&. It may be of use if you accidentally type a key often\&.
 .sp
 .SH "EXAMPLE BINDINGS"
 Some sample keybindings:
@@ -78,836 +77,836 @@ bind "main" "," = "lua\-console"
 .fi
 .RE
 .SH "KEYS"
-Valid keys are: alphanumeric characters, punctuation, \fIEnter\fR, \fIBackspace\fR, \fITab\fR, \fIEscape\fR, \fILeft\fR, \fIRight\fR, \fIUp\fR, \fIDown\fR, \fIInsert\fR, \fIDelete\fR, \fIHome\fR, \fIEnd\fR, \fIPageUp\fR, \fIPageDown\fR, \fIF1\fR to \fIF12\fR.
+Valid keys are: alphanumeric characters, punctuation, \fIEnter\fR, \fIBackspace\fR, \fITab\fR, \fIEscape\fR, \fILeft\fR, \fIRight\fR, \fIUp\fR, \fIDown\fR, \fIInsert\fR, \fIDelete\fR, \fIHome\fR, \fIEnd\fR, \fIPageUp\fR, \fIPageDown\fR, \fIF1\fR to \fIF12\fR\&.
 .sp
-Some keys will need to be quoted or escaped. For example, space can be written as " " (quote space quote), and the quote itself as \e" (backslash quote). Backslash can be written as \e\e (double backslash).
+Some keys will need to be quoted or escaped\&. For example, space can be written as " " (quote space quote), and the quote itself as \e" (backslash quote)\&. Backslash can be written as \e\e (double backslash)\&.
 .sp
 .SH "KEYMAP ACTIONS"
 .SS "MAIN ACTIONS"
 .PP
 abort\-connection
 .RS 4
-Abort connection.
+Abort connection\&.
 .RE
 .PP
 add\-bookmark
 .RS 4
-Add a new bookmark.
+Add a new bookmark\&.
 .RE
 .PP
 add\-bookmark\-link
 .RS 4
-Add a new bookmark using current link.
+Add a new bookmark using current link\&.
 .RE
 .PP
 add\-bookmark\-tabs
 .RS 4
-Bookmark all open tabs.
+Bookmark all open tabs\&.
 .RE
 .PP
 auth\-manager
 .RS 4
-Open authentication manager.
+Open authentication manager\&.
 .RE
 .PP
 backspace\-prefix
 .RS 4
-Backspace the last entered digit of the current prefix.
+Backspace the last entered digit of the current prefix\&.
 .RE
 .PP
 bookmark\-manager
 .RS 4
-Open bookmark manager.
+Open bookmark manager\&.
 .RE
 .PP
 cache\-manager
 .RS 4
-Open cache manager.
+Open cache manager\&.
 .RE
 .PP
 cache\-minimize
 .RS 4
-Free unused cache entries.
+Free unused cache entries\&.
 .RE
 .PP
 cookie\-manager
 .RS 4
-Open cookie manager.
+Open cookie manager\&.
 .RE
 .PP
 cookies\-load
 .RS 4
-Reload cookies file.
+Reload cookies file\&.
 .RE
 .PP
 copy\-clipboard
 .RS 4
-Copy text to clipboard.
+Copy text to clipboard\&.
 .RE
 .PP
 document\-info
 .RS 4
-Show information about the current page.
+Show information about the current page\&.
 .RE
 .PP
 download\-manager
 .RS 4
-Open download manager.
+Open download manager\&.
 .RE
 .PP
 exmode
 .RS 4
-Enter ex\-mode (command line).
+Enter ex\-mode (command line)\&.
 .RE
 .PP
 file\-menu
 .RS 4
-Open the File menu.
+Open the File menu\&.
 .RE
 .PP
 find\-next
 .RS 4
-Find the next occurrence of the current search text.
+Find the next occurrence of the current search text\&.
 .RE
 .PP
 find\-next\-back
 .RS 4
-Find the previous occurrence of the current search text.
+Find the previous occurrence of the current search text\&.
 .RE
 .PP
 forget\-credentials
 .RS 4
-Forget authentication credentials.
+Forget authentication credentials\&.
 .RE
 .PP
 formhist\-manager
 .RS 4
-Open form history manager.
+Open form history manager\&.
 .RE
 .PP
 frame\-external\-command
 .RS 4
-Pass URI of current frame to external command.
+Pass URI of current frame to external command\&.
 .RE
 .PP
 frame\-maximize
 .RS 4
-Maximize the current frame.
+Maximize the current frame\&.
 .RE
 .PP
 frame\-next
 .RS 4
-Move to the next frame.
+Move to the next frame\&.
 .RE
 .PP
 frame\-prev
 .RS 4
-Move to the previous frame.
+Move to the previous frame\&.
 .RE
 .PP
 goto\-url
 .RS 4
-Open "Go to URL" dialog box.
+Open "Go to URL" dialog box\&.
 .RE
 .PP
 goto\-url\-current
 .RS 4
-Open "Go to URL" dialog box containing the current URL.
+Open "Go to URL" dialog box containing the current URL\&.
 .RE
 .PP
 goto\-url\-current\-link
 .RS 4
-Open "Go to URL" dialog box containing the current link URL.
+Open "Go to URL" dialog box containing the current link URL\&.
 .RE
 .PP
 goto\-url\-home
 .RS 4
-Go to the homepage.
+Go to the homepage\&.
 .RE
 .PP
 header\-info
 .RS 4
-Show information about the current page protocol headers.
+Show information about the current page protocol headers\&.
 .RE
 .PP
 history\-manager
 .RS 4
-Open history manager.
+Open history manager\&.
 .RE
 .PP
 history\-move\-back
 .RS 4
-Return to the previous document in history.
+Return to the previous document in history\&.
 .RE
 .PP
 history\-move\-forward
 .RS 4
-Go forward in history.
+Go forward in history\&.
 .RE
 .PP
 jump\-to\-link
 .RS 4
-Jump to link.
+Jump to link\&.
 .RE
 .PP
 keybinding\-manager
 .RS 4
-Open keybinding manager.
+Open keybinding manager\&.
 .RE
 .PP
 kill\-backgrounded\-connections
 .RS 4
-Kill all backgrounded connections.
+Kill all backgrounded connections\&.
 .RE
 .PP
 link\-download
 .RS 4
-Download the current link.
+Download the current link\&.
 .RE
 .PP
 link\-download\-image
 .RS 4
-Download the current image.
+Download the current image\&.
 .RE
 .PP
 link\-download\-resume
 .RS 4
-Attempt to resume download of the current link.
+Attempt to resume download of the current link\&.
 .RE
 .PP
 link\-external\-command
 .RS 4
-Pass URI of current link to external command.
+Pass URI of current link to external command\&.
 .RE
 .PP
 link\-follow
 .RS 4
-Follow the current link.
+Follow the current link\&.
 .RE
 .PP
 link\-follow\-reload
 .RS 4
-Follow the current link, forcing reload of the target.
+Follow the current link, forcing reload of the target\&.
 .RE
 .PP
 link\-menu
 .RS 4
-Open the link context menu.
+Open the link context menu\&.
 .RE
 .PP
 link\-form\-menu
 .RS 4
-Open the form fields menu.
+Open the form fields menu\&.
 .RE
 .PP
 lua\-console
 .RS 4
-Open a Lua console.
+Open a Lua console\&.
 .RE
 .PP
 mark\-goto
 .RS 4
-Go at a specified mark.
+Go at a specified mark\&.
 .RE
 .PP
 mark\-set
 .RS 4
-Set a mark.
+Set a mark\&.
 .RE
 .PP
 menu
 .RS 4
-Activate the menu.
+Activate the menu\&.
 .RE
 .PP
 move\-cursor\-down
 .RS 4
-Move cursor down.
+Move cursor down\&.
 .RE
 .PP
 move\-cursor\-left
 .RS 4
-Move cursor left.
+Move cursor left\&.
 .RE
 .PP
 move\-cursor\-line\-start
 .RS 4
-Move cursor to the start of the line.
+Move cursor to the start of the line\&.
 .RE
 .PP
 move\-cursor\-right
 .RS 4
-Move cursor right.
+Move cursor right\&.
 .RE
 .PP
 move\-cursor\-up
 .RS 4
-Move cursor up.
+Move cursor up\&.
 .RE
 .PP
 move\-document\-end
 .RS 4
-Move to the end of the document.
+Move to the end of the document\&.
 .RE
 .PP
 move\-document\-start
 .RS 4
-Move to the start of the document.
+Move to the start of the document\&.
 .RE
 .PP
 move\-link\-down
 .RS 4
-Move one link down.
+Move one link down\&.
 .RE
 .PP
 move\-link\-down\-line
 .RS 4
-Move to the next line with a link.
+Move to the next line with a link\&.
 .RE
 .PP
 move\-link\-left
 .RS 4
-Move one link left.
+Move one link left\&.
 .RE
 .PP
 move\-link\-left\-line
 .RS 4
-Move one link left or to the previous link.
+Move one link left or to the previous link\&.
 .RE
 .PP
 move\-link\-next
 .RS 4
-Move to the next link.
+Move to the next link\&.
 .RE
 .PP
 move\-link\-prev
 .RS 4
-Move to the previous link.
+Move to the previous link\&.
 .RE
 .PP
 move\-link\-right
 .RS 4
-Move one link right.
+Move one link right\&.
 .RE
 .PP
 move\-link\-right\-line
 .RS 4
-Move one link right or to the next link.
+Move one link right or to the next link\&.
 .RE
 .PP
 move\-link\-up
 .RS 4
-Move one link up.
+Move one link up\&.
 .RE
 .PP
 move\-link\-up\-line
 .RS 4
-Move to the previous line with a link.
+Move to the previous line with a link\&.
 .RE
 .PP
 move\-page\-down
 .RS 4
-Move downwards by a page.
+Move downwards by a page\&.
 .RE
 .PP
 move\-page\-up
 .RS 4
-Move upwards by a page.
+Move upwards by a page\&.
 .RE
 .PP
 open\-link\-in\-new\-tab
 .RS 4
-Open the current link in a new tab.
+Open the current link in a new tab\&.
 .RE
 .PP
 open\-link\-in\-new\-tab\-in\-background
 .RS 4
-Open the current link in a new tab in the background.
+Open the current link in a new tab in the background\&.
 .RE
 .PP
 open\-link\-in\-new\-window
 .RS 4
-Open the current link in a new window.
+Open the current link in a new window\&.
 .RE
 .PP
 open\-new\-tab
 .RS 4
-Open a new tab.
+Open a new tab\&.
 .RE
 .PP
 open\-new\-tab\-in\-background
 .RS 4
-Open a new tab in the background.
+Open a new tab in the background\&.
 .RE
 .PP
 open\-new\-window
 .RS 4
-Open a new window.
+Open a new window\&.
 .RE
 .PP
 open\-os\-shell
 .RS 4
-Open an OS shell.
+Open an OS shell\&.
 .RE
 .PP
 options\-manager
 .RS 4
-Open options manager.
+Open options manager\&.
 .RE
 .PP
 quit
 .RS 4
-Open a quit confirmation dialog box.
+Open a quit confirmation dialog box\&.
 .RE
 .PP
 really\-quit
 .RS 4
-Quit without confirmation.
+Quit without confirmation\&.
 .RE
 .PP
 redraw
 .RS 4
-Redraw the terminal.
+Redraw the terminal\&.
 .RE
 .PP
 reload
 .RS 4
-Reload the current page.
+Reload the current page\&.
 .RE
 .PP
 rerender
 .RS 4
-Re\-render the current page.
+Re\-render the current page\&.
 .RE
 .PP
 reset\-form
 .RS 4
-Reset form items to their initial values.
+Reset form items to their initial values\&.
 .RE
 .PP
 resource\-info
 .RS 4
-Show information about the currently used resources.
+Show information about the currently used resources\&.
 .RE
 .PP
 save\-as
 .RS 4
-Save the current document in source form.
+Save the current document in source form\&.
 .RE
 .PP
 save\-formatted
 .RS 4
-Save the current document in formatted form.
+Save the current document in formatted form\&.
 .RE
 .PP
 save\-options
 .RS 4
-Save options.
+Save options\&.
 .RE
 .PP
 save\-url\-as
 .RS 4
-Save URL as.
+Save URL as\&.
 .RE
 .PP
 scroll\-down
 .RS 4
-Scroll down.
+Scroll down\&.
 .RE
 .PP
 scroll\-left
 .RS 4
-Scroll left.
+Scroll left\&.
 .RE
 .PP
 scroll\-right
 .RS 4
-Scroll right.
+Scroll right\&.
 .RE
 .PP
 scroll\-up
 .RS 4
-Scroll up.
+Scroll up\&.
 .RE
 .PP
 search
 .RS 4
-Search for a text pattern.
+Search for a text pattern\&.
 .RE
 .PP
 search\-back
 .RS 4
-Search backwards for a text pattern.
+Search backwards for a text pattern\&.
 .RE
 .PP
 search\-typeahead
 .RS 4
-Search link text by typing ahead.
+Search link text by typing ahead\&.
 .RE
 .PP
 search\-typeahead\-link
 .RS 4
-Search link text by typing ahead.
+Search link text by typing ahead\&.
 .RE
 .PP
 search\-typeahead\-text
 .RS 4
-Search document text by typing ahead.
+Search document text by typing ahead\&.
 .RE
 .PP
 search\-typeahead\-text\-back
 .RS 4
-Search document text backwards by typing ahead.
+Search document text backwards by typing ahead\&.
 .RE
 .PP
 show\-term\-options
 .RS 4
-Show terminal options dialog.
+Show terminal options dialog\&.
 .RE
 .PP
 submit\-form
 .RS 4
-Submit form.
+Submit form\&.
 .RE
 .PP
 submit\-form\-reload
 .RS 4
-Submit form and reload.
+Submit form and reload\&.
 .RE
 .PP
 tab\-close
 .RS 4
-Close tab.
+Close tab\&.
 .RE
 .PP
 tab\-close\-all\-but\-current
 .RS 4
-Close all tabs but the current one.
+Close all tabs but the current one\&.
 .RE
 .PP
 tab\-external\-command
 .RS 4
-Pass URI of current tab to external command.
+Pass URI of current tab to external command\&.
 .RE
 .PP
 tab\-menu
 .RS 4
-Open the tab menu.
+Open the tab menu\&.
 .RE
 .PP
 tab\-move\-left
 .RS 4
-Move the current tab to the left.
+Move the current tab to the left\&.
 .RE
 .PP
 tab\-move\-right
 .RS 4
-Move the current tab to the right.
+Move the current tab to the right\&.
 .RE
 .PP
 tab\-next
 .RS 4
-Next tab.
+Next tab\&.
 .RE
 .PP
 tab\-prev
 .RS 4
-Previous tab.
+Previous tab\&.
 .RE
 .PP
 terminal\-resize
 .RS 4
-Open the terminal resize dialog.
+Open the terminal resize dialog\&.
 .RE
 .PP
 toggle\-css
 .RS 4
-Toggle rendering of page using CSS.
+Toggle rendering of page using CSS\&.
 .RE
 .PP
 toggle\-display\-images
 .RS 4
-Toggle displaying of links to images.
+Toggle displaying of links to images\&.
 .RE
 .PP
 toggle\-display\-tables
 .RS 4
-Toggle rendering of tables.
+Toggle rendering of tables\&.
 .RE
 .PP
 toggle\-document\-colors
 .RS 4
-Toggle usage of document specific colors.
+Toggle usage of document specific colors\&.
 .RE
 .PP
 toggle\-html\-plain
 .RS 4
-Toggle rendering page as HTML / plain text.
+Toggle rendering page as HTML / plain text\&.
 .RE
 .PP
 toggle\-mouse
 .RS 4
-Toggle mouse handling.
+Toggle mouse handling\&.
 .RE
 .PP
 toggle\-numbered\-links
 .RS 4
-Toggle displaying of links numbers.
+Toggle displaying of links numbers\&.
 .RE
 .PP
 toggle\-plain\-compress\-empty\-lines
 .RS 4
-Toggle plain renderer compression of empty lines.
+Toggle plain renderer compression of empty lines\&.
 .RE
 .PP
 toggle\-wrap\-text
 .RS 4
-Toggle wrapping of text.
+Toggle wrapping of text\&.
 .RE
 .PP
 view\-image
 .RS 4
-View the current image.
+View the current image\&.
 .RE
 .SS "EDIT ACTIONS"
 .PP
 auto\-complete
 .RS 4
-Attempt to auto\-complete the input.
+Attempt to auto\-complete the input\&.
 .RE
 .PP
 auto\-complete\-file
 .RS 4
-Attempt to auto\-complete a local file.
+Attempt to auto\-complete a local file\&.
 .RE
 .PP
 auto\-complete\-unambiguous
 .RS 4
-Attempt to unambiguously auto\-complete the input.
+Attempt to unambiguously auto\-complete the input\&.
 .RE
 .PP
 backspace
 .RS 4
-Delete character in front of the cursor.
+Delete character in front of the cursor\&.
 .RE
 .PP
 beginning\-of\-buffer
 .RS 4
-Go to the first line of the buffer.
+Go to the first line of the buffer\&.
 .RE
 .PP
 cancel
 .RS 4
-Cancel current state.
+Cancel current state\&.
 .RE
 .PP
 copy\-clipboard
 .RS 4
-Copy text to clipboard.
+Copy text to clipboard\&.
 .RE
 .PP
 cut\-clipboard
 .RS 4
-Cut text to clipboard.
+Cut text to clipboard\&.
 .RE
 .PP
 delete
 .RS 4
-Delete character under cursor.
+Delete character under cursor\&.
 .RE
 .PP
 down
 .RS 4
-Move cursor downwards.
+Move cursor downwards\&.
 .RE
 .PP
 end
 .RS 4
-Go to the end of the page/line.
+Go to the end of the page/line\&.
 .RE
 .PP
 end\-of\-buffer
 .RS 4
-Go to the last line of the buffer.
+Go to the last line of the buffer\&.
 .RE
 .PP
 enter
 .RS 4
-Follow the current link.
+Follow the current link\&.
 .RE
 .PP
 home
 .RS 4
-Go to the start of the page/line.
+Go to the start of the page/line\&.
 .RE
 .PP
 kill\-to\-bol
 .RS 4
-Delete to beginning of line.
+Delete to beginning of line\&.
 .RE
 .PP
 kill\-to\-eol
 .RS 4
-Delete to end of line.
+Delete to end of line\&.
 .RE
 .PP
 kill\-word\-back
 .RS 4
-Delete backwards to start of word.
+Delete backwards to start of word\&.
 .RE
 .PP
 left
 .RS 4
-Move the cursor left.
+Move the cursor left\&.
 .RE
 .PP
 move\-backward\-word
 .RS 4
-Move cursor before current word.
+Move cursor before current word\&.
 .RE
 .PP
 move\-forward\-word
 .RS 4
-Move cursor after current word.
+Move cursor after current word\&.
 .RE
 .PP
 next\-item
 .RS 4
-Move to the next item.
+Move to the next item\&.
 .RE
 .PP
 open\-external
 .RS 4
-Open in external editor.
+Open in external editor\&.
 .RE
 .PP
 paste\-clipboard
 .RS 4
-Paste text from the clipboard.
+Paste text from the clipboard\&.
 .RE
 .PP
 previous\-item
 .RS 4
-Move to the previous item.
+Move to the previous item\&.
 .RE
 .PP
 redraw
 .RS 4
-Redraw the terminal.
+Redraw the terminal\&.
 .RE
 .PP
 right
 .RS 4
-Move the cursor right.
+Move the cursor right\&.
 .RE
 .PP
 search\-toggle\-regex
 .RS 4
-Toggle regex matching (type\-ahead searching).
+Toggle regex matching (type\-ahead searching)\&.
 .RE
 .PP
 up
 .RS 4
-Move cursor upwards.
+Move cursor upwards\&.
 .RE
 .SS "MENU ACTIONS"
 .PP
 cancel
 .RS 4
-Cancel current state.
+Cancel current state\&.
 .RE
 .PP
 delete
 .RS 4
-Delete character under cursor.
+Delete character under cursor\&.
 .RE
 .PP
 down
 .RS 4
-Move cursor downwards.
+Move cursor downwards\&.
 .RE
 .PP
 end
 .RS 4
-Go to the end of the page/line.
+Go to the end of the page/line\&.
 .RE
 .PP
 enter
 .RS 4
-Follow the current link.
+Follow the current link\&.
 .RE
 .PP
 expand
 .RS 4
-Expand item.
+Expand item\&.
 .RE
 .PP
 home
 .RS 4
-Go to the start of the page/line.
+Go to the start of the page/line\&.
 .RE
 .PP
 left
 .RS 4
-Move the cursor left.
+Move the cursor left\&.
 .RE
 .PP
 mark\-item
 .RS 4
-Mark item.
+Mark item\&.
 .RE
 .PP
 next\-item
 .RS 4
-Move to the next item.
+Move to the next item\&.
 .RE
 .PP
 page\-down
 .RS 4
-Move downwards by a page.
+Move downwards by a page\&.
 .RE
 .PP
 page\-up
 .RS 4
-Move upwards by a page.
+Move upwards by a page\&.
 .RE
 .PP
 previous\-item
 .RS 4
-Move to the previous item.
+Move to the previous item\&.
 .RE
 .PP
 redraw
 .RS 4
-Redraw the terminal.
+Redraw the terminal\&.
 .RE
 .PP
 right
 .RS 4
-Move the cursor right.
+Move the cursor right\&.
 .RE
 .PP
 search
 .RS 4
-Search for a text pattern.
+Search for a text pattern\&.
 .RE
 .PP
 select
 .RS 4
-Select current highlighted item.
+Select current highlighted item\&.
 .RE
 .PP
 unexpand
 .RS 4
-Collapse item.
+Collapse item\&.
 .RE
 .PP
 up
 .RS 4
-Move cursor upwards.
+Move cursor upwards\&.
 .RE
 .SH "DEFAULT BINDINGS"
-The default bindings are shown below. Any bindings in ~/.elinks/elinks.conf will override these.
+The default bindings are shown below\&. Any bindings in ~/\&.elinks/elinks\&.conf will override these\&.
 .sp
 .SS "MAIN KEYS"
 .PP
@@ -936,7 +935,7 @@ Toggle displaying of links to images (\f
 Open a Lua console (\fIlua\-console\fR)
 .RE
 .PP
-\fI"."\fR
+\fI"\&."\fR
 .RS 4
 Toggle displaying of links numbers (\fItoggle\-numbered\-links\fR)
 .RE
@@ -1096,7 +1095,7 @@ Toggle wrapping of text (\fItoggle\-wrap
 Scroll left (\fIscroll\-left\fR)
 .RE
 .PP
-\fI"'"\fR
+\fI"\'"\fR
 .RS 4
 Go at a specified mark (\fImark\-goto\fR)
 .RE
@@ -1673,7 +1672,7 @@ Move to the previous item (\fIprevious\-
 Move cursor upwards (\fIup\fR)
 .RE
 .SH "AUTHOR"
-This manual page was finally written by Peter Wang (one and a half years after writing the binding code), using excerpts by David Mediavilla. You can thank Petr Baudis for the subtle requests for documentation. Updated by Zas. Moved to asciidoc format and cleaned up by Jonas Fonseca.
+This manual page was finally written by Peter Wang (one and a half years after writing the binding code), using excerpts by David Mediavilla\&. You can thank Petr Baudis for the subtle requests for documentation\&. Updated by Zas\&. Moved to asciidoc format and cleaned up by Jonas Fonseca\&.
 .sp
 .SH "SEE ALSO"
 \fBelinks\fR(1), \fBelinks.conf\fR(5)
diff -pruN 0.12~pre2.dfsg0-1/doc/README 0.12~pre4-1/doc/README
--- 0.12~pre2.dfsg0-1/doc/README	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/doc/README	2009-05-31 09:48:47.000000000 +0100
@@ -73,7 +73,8 @@ Building documentation
 
 The following tools are used for generating documentation in various formats:
 
- - asciidoc: the basic tool for lifting the .txt files to other formats.
+ - python: interpreter for asciidoc, which is the basic tool for
+   lifting the .txt files to other formats.
  - xmlto: used for outputting chunked HTML and man pages. 
  - jw: used for pdf documents.
  - pod2html: used for perl docs.
diff -pruN 0.12~pre2.dfsg0-1/doc/tools/asciidoc/asciidoc.py 0.12~pre4-1/doc/tools/asciidoc/asciidoc.py
--- 0.12~pre2.dfsg0-1/doc/tools/asciidoc/asciidoc.py	1970-01-01 01:00:00.000000000 +0100
+++ 0.12~pre4-1/doc/tools/asciidoc/asciidoc.py	2009-05-31 09:48:47.000000000 +0100
@@ -0,0 +1,3998 @@
+#!/usr/bin/env python
+'''
+asciidoc -  converts an AsciiDoc text file to DocBook, HTML or LinuxDoc
+
+Copyright (C) 2002-2005 Stuart Rackham. Free use of this software is granted
+under the terms of the GNU General Public License (GPL).
+'''
+
+import sys, os, re, string, time, traceback, tempfile, popen2, codecs
+from types import *
+
+VERSION = '7.1.2'       # See CHANGLOG file for version history.
+
+#---------------------------------------------------------------------------
+# Program onstants.
+#---------------------------------------------------------------------------
+DEFAULT_BACKEND = 'xhtml11'
+DEFAULT_DOCTYPE = 'article'
+# Allowed substitution options for List, Paragraph and DelimitedBlock
+# definition subs entry.
+SUBS_OPTIONS = ('specialcharacters','quotes','specialwords','replacements',
+    'attributes','macros','callouts','normal','verbatim','none','passthroughs')
+# Default value for unspecified subs and presubs configuration file entries.
+SUBS_NORMAL = ('specialcharacters','quotes','specialwords','replacements',
+    'attributes','macros','passthroughs')
+SUBS_VERBATIM = ('specialcharacters','callouts')
+
+NAME_RE = r'(?u)[^\W\d][-\w]*'  # Valid section or attrbibute name.
+
+
+#---------------------------------------------------------------------------
+# Utility functions and classes.
+#---------------------------------------------------------------------------
+
+class EAsciiDoc(Exception):
+    pass
+
+
+from UserDict import UserDict
+
+class OrderedDict(UserDict):
+    '''Python Cookbook: Ordered Dictionary, Submitter: David Benjamin'''
+    def __init__(self, d = None):
+        self._keys = []
+        UserDict.__init__(self, d)
+    def __delitem__(self, key):
+        UserDict.__delitem__(self, key)
+        self._keys.remove(key)
+    def __setitem__(self, key, item):
+        UserDict.__setitem__(self, key, item)
+        if key not in self._keys: self._keys.append(key)
+    def clear(self):
+        UserDict.clear(self)
+        self._keys = []
+    def copy(self):
+        d = UserDict.copy(self)
+        d._keys = self._keys[:]
+        return d
+    def items(self):
+        return zip(self._keys, self.values())
+    def keys(self):
+        return self._keys
+    def popitem(self):
+        try:
+            key = self._keys[-1]
+        except IndexError:
+            raise KeyError('dictionary is empty')
+        val = self[key]
+        del self[key]
+        return (key, val)
+    def setdefault(self, key, failobj = None):
+        UserDict.setdefault(self, key, failobj)
+        if key not in self._keys: self._keys.append(key)
+    def update(self, d):
+        UserDict.update(self, d)
+        for key in d.keys():
+            if key not in self._keys: self._keys.append(key)
+    def values(self):
+        return map(self.get, self._keys)
+
+def print_stderr(line):
+    sys.stderr.write(line+os.linesep)
+
+def verbose(msg,linenos=True):
+    '''-v option messages.'''
+    if config.verbose:
+        console(msg,linenos=linenos)
+
+def warning(msg,linenos=True):
+    console(msg,'WARNING: ',linenos)
+
+def deprecated(old, new, linenos=True):
+    console("%s: %s" % (old,new), 'DEPRECATED: ', linenos)
+
+def error(msg):
+    '''Report fatal error but don't exit application, continue in the hope of
+    reporting all fatal errors finishing with a non-zero exit code.'''
+    console(msg,'ERROR: ')
+    document.has_errors = True
+
+def console(msg, prefix='', linenos=True):
+    '''Print message to stderr. 'offset' is added to reported line number for
+    warnings emitted when reading ahead.'''
+    s = prefix
+    if linenos and reader.cursor:
+        s = s + "%s: line %d: " \
+            % (os.path.basename(reader.cursor[0]),reader.cursor[1])
+    s = s + msg
+    print_stderr(s)
+
+def file_in(fname,dir):
+    '''Return True if file fname resides inside directory dir.'''
+    assert os.path.isfile(fname)
+    assert os.path.isdir(dir)
+    dir = os.path.abspath(dir) 
+    fname = realpath(fname)
+    return os.path.commonprefix((dir,fname)) == dir
+
+def safe():
+    return document.safe
+
+def is_safe_file(fname, dir=None):
+    # A safe file must reside in directory dir (defaults to the source file
+    # directory).
+    if dir is None:
+        dir = os.path.dirname(document.infile)
+    return not safe() or file_in(fname,dir)
+
+# Return file name which must reside in the parent file directory.
+# Return None if file is not found or not safe.
+def safe_filename(fname, parentdir):
+    if not os.path.isabs(fname):
+        # Include files are relative to parent document
+        # directory.
+        fname = os.path.join(parentdir,fname)
+    if not os.path.isfile(fname):
+        warning('include file not found: %s' % fname)
+        return None
+    if not is_safe_file(fname, parentdir):
+        unsafe_error('include file: %s' % fname)
+        return None
+    return fname
+
+def unsafe_error(msg):
+    error('unsafe: '+msg)
+
+def realpath(fname):
+    '''Return the absolute pathname of the file fname. Follow symbolic links.
+    os.realpath() not available in Python prior to 2.2 and not portable.'''
+    # Follow symlinks to the actual executable.
+    wd = os.getcwd()
+    try:
+        while os.path.islink(fname):
+            linkdir = os.path.dirname(fname)
+            fname = os.readlink(fname)
+            if linkdir: os.chdir(linkdir)   # Symlinks can be relative.
+        fname = os.path.abspath(fname)
+    finally:
+        os.chdir(wd)
+    return os.path.normpath(fname)
+
+def syseval(cmd):
+    # Run shell command and return stdout.
+    child = os.popen(cmd)
+    data = child.read()
+    err = child.close()
+    if not err:
+        return data
+    else:
+        return ''
+
+def assign(dst,src):
+    '''Assign all attributes from 'src' object to 'dst' object.'''
+    for a,v in src.__dict__.items():
+        setattr(dst,a,v)
+
+def strip_quotes(s):
+    '''Trim white space and, if necessary, quote characters from s.'''
+    s = string.strip(s)
+    # Strip quotation mark characters from quoted strings.
+    if len(s) >= 3 and s[0] == '"' and s[-1] == '"':
+        s = s[1:-1]
+    return s
+
+def is_regexp(s):
+    '''Return True if s is a valid regular expression else return False.'''
+    try: re.compile(s)
+    except: return False
+    else: return True
+
+def join_regexp(relist):
+    '''Join list of regular expressions re1,re2,... to single regular
+    expression (re1)|(re2)|...'''
+    if len(relist) == 0:
+        return None
+    result = []
+    # Delete named groups to avoid ambiguity.
+    for s in relist:
+        result.append(re.sub(r'\?P<\S+?>','',s))
+    result = string.join(result,')|(')
+    result = '('+result+')'
+    return result
+
+def validate(value,rule,errmsg):
+    '''Validate value against rule expression. Throw EAsciiDoc exception with
+    errmsg if validation fails.'''
+    try:
+        if not eval(string.replace(rule,'$',str(value))):
+            raise EAsciiDoc,errmsg
+    except:
+        raise EAsciiDoc,errmsg
+    return value
+
+def join_lines(lines):
+    '''Return a list in which lines terminated with the backslash line
+    continuation character are joined.'''
+    result = []
+    s = ''
+    continuation = False
+    for line in lines:
+        if line and line[-1] == '\\':
+            s = s + line[:-1]
+            continuation = True
+            continue
+        if continuation:
+            result.append(s+line)
+            s = ''
+            continuation = False
+        else:
+            result.append(line)
+    if continuation:
+        result.append(s)
+    return result
+
+def dovetail(lines1, lines2):
+    '''Append list or tuple of strings 'lines2' to list 'lines1'.  Join the
+    last string in 'lines1' with the first string in 'lines2' into a single
+    string.'''
+    assert isinstance(lines1,list) or isinstance(lines1,tuple)
+    assert isinstance(lines2,list) or isinstance(lines2,tuple)
+    if not lines1 or not lines2:
+        return list(lines1) + list(lines2)
+    result = list(lines1[:-1])
+    result.append(lines1[-1] + lines2[0])
+    result += list(lines2[1:])
+    return result
+
+def dovetail_tags(stag,content,etag):
+    '''Merge the end tag with the first content line and the last
+    content line with the end tag. This ensures verbatim elements don't
+    include extraneous opening and closing line breaks.'''
+    return dovetail(dovetail(stag,content), etag)
+
+def parse_attributes(attrs,dict):
+    '''Update a dictionary with name/value attributes from the attrs string.
+    The attrs string is a comma separated list of values and keyword name=value
+    pairs. Values must preceed keywords and are named '1','2'... The entire
+    attributes list is named '0'. If keywords are specified string values must
+    be quoted. Examples:
+
+    attrs: ''
+    dict: {}
+
+    attrs: 'hello,world'
+    dict: {'2': 'world', '0': 'hello,world', '1': 'hello'}
+
+    attrs: '"hello",planet="earth"'
+    dict: {'planet': 'earth', '0': '"hello",planet="earth"', '1': 'hello'}
+    '''
+    def f(*args,**keywords):
+        # Name and add aguments '1','2'... to keywords.
+        for i in range(len(args)):
+            if not keywords.has_key(str(i+1)):
+                keywords[str(i+1)] = args[i]
+        return keywords
+
+    if not attrs:
+        return
+    dict['0'] = attrs
+    # Replace line separators with spaces so line spanning works.
+    s = re.sub(r'\s', ' ', attrs)   
+    try:
+        d = eval('f('+s+')')
+        dict.update(d)
+    except:
+        # Try quoting the attrs.
+        s = string.replace(s,'"',r'\"') # Escape double-quotes.
+        s = string.split(s,',')
+        s = map(lambda x: '"'+string.strip(x)+'"',s)
+        s = string.join(s,',')
+        try:
+            d = eval('f('+s+')')
+        except:
+            return  # If there's a syntax error leave with {0}=attrs.
+        for k in d.keys():  # Drop any empty positional arguments.
+            if d[k] == '': del d[k]
+        dict.update(d)
+    assert len(d) > 0
+
+def parse_named_attributes(s,attrs):
+    '''Update a attrs dictionary with name="value" attributes from the s string.
+    Returns False if invalid syntax.
+    Example:
+    attrs: 'star="sun",planet="earth"'
+    dict: {'planet':'earth', 'star':'sun'}
+    '''
+    def f(**keywords): return keywords
+
+    try:
+        d = eval('f('+s+')')
+        attrs.update(d)
+        return True
+    except:
+        return False
+
+def parse_list(s):
+    '''Parse comma separated string of Python literals. Return a tuple of of
+    parsed values.'''
+    try:
+        result = eval('tuple(['+s+'])')
+    except:
+        raise EAsciiDoc,'malformed list: '+s
+    return result
+
+def parse_options(options,allowed,errmsg):
+    '''Parse comma separated string of unquoted option names and return as a
+    tuple of valid options. 'allowed' is a list of allowed option values.
+    If allowed=() then all legitimate names are allowed.
+    'errmsg' isan error message prefix if an illegal option error is thrown.'''
+    result = []
+    if options:
+        for s in re.split(r'\s*,\s*',options):
+            if (allowed and s not in allowed) or (s == '' or not is_name(s)):
+                raise EAsciiDoc,'%s: %s' % (errmsg,s)
+            result.append(s)
+    return tuple(result)
+
+def symbolize(s):
+    '''Drop non-symbol characters and convert to lowercase.'''
+    return string.lower(re.sub(r'(?u)[^\w\-_]', '', s))
+
+def is_name(s):
+    '''Return True if s is valid attribute, macro or tag name
+    (starts with alpha containing alphanumeric and dashes only).'''
+    return re.match(NAME_RE,s) is not None
+
+def subs_quotes(text):
+    '''Quoted text is marked up and the resulting text is
+    returned.'''
+    quotes = config.quotes.keys()
+    # The quotes are iterated in reverse sort order to avoid ambiguity,
+    # for example, '' is processed before '.
+    quotes.sort()
+    quotes.reverse()
+    for quote in quotes:
+        i = string.find(quote,'|')
+        if i != -1 and quote != '|' and quote != '||':
+            lq = quote[:i]
+            rq = quote[i+1:]
+        else:
+            lq = rq = quote
+        # Non-word (\W) characters are allowed at boundaries to accomodate
+        # enveloping quotes. re.S flag for line spanning.
+        reo = re.compile(r'(?msu)(^|\W)(\[(?P<attrs>[^[]+?)\])?'\
+            + r'(?:' + re.escape(lq) + r')' \
+            + r'(?P<content>.*?)(?:'+re.escape(rq)+r')(?=\W|$)')
+        pos = 0
+        while True:
+            mo = reo.search(text,pos)
+            if not mo: break
+            if text[mo.start()] == '\\':
+                pos = mo.end()
+            else:
+                attrs = {}
+                parse_attributes(mo.group('attrs'), attrs)
+                stag,etag = config.tag(config.quotes[quote], attrs)
+                s = mo.group(1) + stag + mo.group('content') + etag
+                text = text[:mo.start()] + s + text[mo.end():]
+                pos = mo.start() + len(s)
+        # Unescape escaped quotes.
+        text = string.replace(text,'\\'+lq, lq) 
+        if lq != rq:
+            text = string.replace(text,'\\'+rq, rq) 
+    return text
+
+def subs_tag(tag,dict={}):
+    '''Perform attribute substitution and split tag string returning start, end
+    tag tuple (c.f. Config.tag()).'''
+    s = subs_attrs(tag,dict)
+    if not s:
+        warning('tag "%s" dropped: contains undefined attribute' % tag)
+        return [None,None]
+    result = string.split(s,'|')
+    if len(result) == 1:
+        return result+[None]
+    elif len(result) == 2:
+        return result
+    else:
+        raise EAsciiDoc,'malformed tag: %s' % tag
+
+def parse_entry(entry, dict=None, unquote=False, unique_values=False,
+        allow_name_only=False):
+    '''Parse name=value entry to dictionary 'dict'. Return tuple (name,value)
+    or None if illegal entry.
+    If the syntax is name= then value is set to ''.
+    If the syntax is name and allow_name_only=True then value is set to ''.
+    If the syntax is name! and allow_name_only=True then value is set to None.
+    Leading and trailing white space is striped from 'name' and 'value'.
+    'name' can contain any printable characters. If 'name includes the equals
+    '=' character it must be escaped with a backslash.
+    If 'unquote' is True leading and trailing double-quotes are stripped from
+    'name' and 'value'.
+    If unique_values' is True then dictionary entries with the same value are
+    removed before the parsed entry is added.'''
+    mo=re.search(r'[^\\](=)',entry)
+    if mo:  # name=value entry.
+        name = entry[:mo.start(1)]
+        value = entry[mo.end(1):]
+    elif allow_name_only and entry:   # name or name! entry.
+        name = entry
+        if name[-1] == '!':
+            name = name[:-1]
+            value = None
+        else:
+            value = ''
+    else:
+        return None
+    if unquote:
+        name = strip_quotes(name)
+        if value is not None:
+            value = strip_quotes(value)
+    else:
+        name = string.strip(name)
+        if value is not None:
+            value = string.strip(value)
+    if not name:
+        return None
+    if dict is not None:
+        if unique_values:
+            for k,v in dict.items():
+                if v == value: del dict[k]
+        dict[name] = value
+    return name,value
+
+def parse_entries(entries, dict, unquote=False, unique_values=False,
+        allow_name_only=False):
+    '''Parse name=value entries from  from lines of text in 'entries' into
+    dictionary 'dict'. Blank lines are skipped.'''
+    for entry in entries:
+        if entry and not parse_entry(entry, dict, unquote, unique_values,
+                allow_name_only):
+            raise EAsciiDoc,'malformed section entry: %s' % entry
+
+def load_sections(sections, fname, dir=None, namepat=NAME_RE):
+    '''Loads sections dictionary with sections from file fname.
+    Existing sections are overlaid. Silently skips missing configuration
+    files.'''
+    if dir:
+        fname = os.path.join(dir, fname)
+    # Sliently skip missing configuration file.
+    if not os.path.isfile(fname):
+        return
+    lines = open(fname).readlines()
+    reo = re.compile(r'^\[(?P<section>'+namepat+')\]\s*$')
+    section,contents = '',[]
+    for line in lines:
+        if line and line[0] == '#': # Skip comment lines.
+            continue
+        line = string.rstrip(line)
+        found = reo.findall(line)
+        if found:
+            if section:             # Store previous section.
+                sections[section] = contents
+            section = found[0].lower()
+            contents = []
+        else:
+            contents.append(line)
+    if section and contents:        # Store last section.
+        sections[section] = contents
+            
+def dump_section(name,dict,f=sys.stdout):
+    '''Write parameters in 'dict' as in configuration file section format with
+    section 'name'.'''
+    f.write('[%s]%s' % (name,writer.newline))
+    for k,v in dict.items():
+        k = str(k)
+        # Quote if necessary.
+        if len(k) != len(string.strip(k)):
+            k = '"'+k+'"'
+        if v and len(v) != len(string.strip(v)):
+            v = '"'+v+'"'
+        if v is None:
+            # Don't dump undefined attributes.
+            continue
+        else:
+            s = k+'='+v
+        if s[0] == '#':
+            s = '\\' + s    # Escape so not treated as comment lines.
+        f.write('%s%s' % (s,writer.newline))
+    f.write(writer.newline)
+
+def update_attrs(attrs,dict):
+    '''Update 'attrs' dictionary with parsed attributes in dictionary 'dict'.'''
+    for k,v in dict.items():
+        if not is_name(k):
+            raise EAsciiDoc,'illegal attribute name: %s' % k
+        attrs[k] = v
+
+def readlines(fname):
+    '''Read lines from file named 'fname' and strip trailing white space.'''
+    # Read file.
+    f = open(fname)
+    try:
+        lines = f.readlines()
+    finally:
+        f.close()
+    # Strip newlines.
+    for i in range(len(lines)):
+        lines[i] = string.rstrip(lines[i])
+    return lines
+
+def filter_lines(filter,lines,dict={}):
+    '''Run 'lines' through the 'filter' shell command and return the result. The
+    'dict' dictionary contains additional filter attributes.'''
+    # BUG: Has problems finding filters with spaces in command name.
+    if not filter:
+        return lines
+    if os.name != 'posix':
+        warning('filters do not work in a non-posix environment')
+        return lines
+    # Perform attributes substitution on the filter command.
+    s = subs_attrs(filter,dict)
+    if not s:
+        raise EAsciiDoc,'filter has undefined attribute: %s' % filter
+    filter = s
+    # Search for the filter command in  both user and application 'filters'
+    # sub-directories.
+    mo = re.match(r'^(?P<cmd>\S+)(?P<tail>.*)$', filter)
+    if mo:
+        cmd = mo.group('cmd')
+        found = False
+        if not os.path.dirname(cmd):
+            # Check in asciidoc user and application directories for unqualified
+            # file name.
+            if USER_DIR:
+                cmd2 = os.path.join(USER_DIR,'filters',cmd)
+                if os.path.isfile(cmd2):
+                    found = True
+            if not found:
+                cmd2 = os.path.join(GLOBAL_CONFIG_DIR,'filters',cmd)
+                if os.path.isfile(cmd2):
+                    found = True
+            if not found:
+                cmd2 = os.path.join(APP_DIR,'filters',cmd)
+                if os.path.isfile(cmd2):
+                    found = True
+            if found:
+                filter = cmd2 + mo.group('tail')
+        else:
+            if os.uname()[0][:6] == 'CYGWIN':
+                # popen2() does not like non-drive letter path names under
+                # Cygwin.
+                s = string.strip(syseval('cygpath -m "'+cmd+'"'))
+                if s:
+                    cmd = s
+            if not os.path.isfile(cmd):
+                warning('filter not found: %s' % cmd)
+                return lines
+    # Put the real filter path into the filter command.
+    verbose('filtering: '+filter)
+    try:
+        import select
+        result = []
+        r,w = popen2.popen2(filter)
+        # Polled I/O loop to alleviate full buffer deadlocks.
+        i = 0
+        while i < len(lines):
+            line = lines[i]
+            if select.select([],[w.fileno()],[],0)[1]:
+                w.write(line+os.linesep)    # Use platform line terminator.
+                i = i+1
+            if select.select([r.fileno()],[],[],0)[0]:
+                s = r.readline()
+                if not s: break             # Exit if filter output closes.
+                result.append(string.rstrip(s))
+        w.close()
+        for s in r.readlines():
+            result.append(string.rstrip(s))
+        r.close()
+    except:
+        raise EAsciiDoc,'filter error: %s' % filter
+    # There's no easy way to guage whether popen2() found and executed the
+    # filter, so guess that if it produced no output there is probably a
+    # problem.
+    if lines and not result:
+        warning('no output from filter: %s' % filter)
+    return result
+
+def system(name, args, is_macro=False):
+    '''Evaluate a system attribute ({name:args}) or system block macro
+    (name::[args]). If is_macro is True then we are processing a system
+    block macro otherwise it's a system attribute.
+    NOTE: The include1 attribute is used internally by the include1::[] macro
+    and is not for public use.'''
+    if is_macro:
+        syntax = '%s::[%s]'
+        separator = '\n'
+    else:
+        syntax = '{%s:%s}'
+        separator = writer.newline
+    if name not in ('eval','sys','sys2','include','include1'):
+        msg = 'illegal '+syntax % (name,args)
+        if is_macro:
+            msg += ': macro name'
+        else:
+            msg += ': executable attribute name'
+        warning(msg)
+        return None
+    if name != 'include1':
+        verbose(('evaluating: '+syntax) % (name,args))
+    if safe() and name not in ('include','include1'):
+        unsafe_error(syntax % (name,args))
+        return None
+    result = None
+    if name == 'eval':
+        try:
+            result = eval(args)
+            if result is True:
+                result = ''
+            elif result is False:
+                result = None
+            elif result is not None:
+                result = str(result)
+        except:
+            warning((syntax+': expression evaluation error') % (name,args))
+    elif name in ('sys','sys2'):
+        result = ''
+        fd,tmp = tempfile.mkstemp()
+        os.close(fd)
+        try:
+            cmd = args
+            cmd = cmd + (' > %s' % tmp)
+            if name == 'sys2':
+                cmd = cmd + ' 2>&1'
+            if os.system(cmd):
+                warning((syntax+': non-zero exit status') % (name,args))
+            try:
+                if os.path.isfile(tmp):
+                    lines = readlines(tmp)
+                else:
+                    lines = []
+            except:
+                raise EAsciiDoc,(syntax+': temp file read error') % (name,args)
+            result = string.join(lines, separator)
+        finally:
+            if os.path.isfile(tmp):
+                os.remove(tmp)
+    elif name == 'include':
+        if not os.path.exists(args):
+            warning((syntax+': file does not exist') % (name,args))
+        elif not is_safe_file(args):
+            unsafe_error(syntax % (name,args))
+        else:
+            result = readlines(args)
+            if result:
+                result = subs_attrs(result)
+                result = string.join(result, separator)
+                result = string.expandtabs(result, reader.tabsize)
+            else:
+                result = ''
+    elif name == 'include1':
+        result = string.join(config.include1[args], separator)
+    else:
+        assert False
+    return result
+
+def subs_attrs(lines,dict={}):
+    '''Substitute 'lines' of text with attributes from the global
+    document.attributes dictionary and from the 'dict' dictionary ('dict'
+    entries take precedence). Return a tuple of the substituted lines.  'lines'
+    containing undefined attributes are deleted. If 'lines' is a string then
+    return a string.
+
+    - Attribute references are substituted in the following order: simple,
+      conditional, system.
+    - If a 'dict' value includes an attribute reference it won't be substituted
+      unless it's substitution order follows that of the source attribute
+      reference.
+
+    The moral is that any attribute references in 'dict' attribute values
+    should be substituted beforehand.'''
+
+    def end_brace(text,start):
+        '''Return index following end brace that matches brace at start in
+        text.'''
+        assert text[start] == '{'
+        n = 0
+        result = start
+        for c in text[start:]:
+            # Skip braces that are followed by a backslash.
+            if result == len(text)-1 or text[result+1] != '\\':
+                if c == '{': n = n + 1
+                elif c == '}': n = n - 1
+            result = result + 1
+            if n == 0: break
+        return result
+
+    if isinstance(lines,StringType):
+        string_result = True
+        lines = [lines]
+    else:
+        string_result = False
+        lines = list(lines)
+    attrs = document.attributes.copy()
+    attrs.update(dict)
+    # Substitute all attributes in all lines.
+    for i in range(len(lines)-1,-1,-1): # Reverse iterate lines.
+        text = lines[i]
+        # Make it easier for regular expressions.
+        text = string.replace(text,'\\{','{\\')
+        text = string.replace(text,'\\}','}\\')
+        # Expand simple attributes ({name}).
+        # Nested attributes not allowed.
+        reo = re.compile(r'(?su)\{(?P<name>[^\\\W][-\w]*?)\}(?!\\)')
+        pos = 0
+        while True:
+            mo = reo.search(text,pos)
+            if not mo: break
+            s =  attrs.get(mo.group('name'))
+            if s is None:
+                pos = mo.end()
+            else:
+                s = str(s)
+                text = text[:mo.start()] + s + text[mo.end():]
+                pos = mo.start() + len(s)
+        # Expand conditional attributes.
+        reo = re.compile(r'(?su)\{(?P<name>[^\\\W][-\w]*?)' \
+                         r'(?P<op>\=|\?|!|#|%|@|\$)'        \
+                         r'(?P<value>.*?)\}(?!\\)')
+        pos = 0
+        while True:
+            mo = reo.search(text,pos)
+            if not mo: break
+            attr = mo.group()
+            name =  mo.group('name')
+            lval =  attrs.get(name)
+            op = mo.group('op')
+            # mo.end() is not good enough because '{x={y}}' matches '{x={y}'.
+            end = end_brace(text,mo.start())
+            rval = text[mo.start('value'):end-1]
+            if lval is None:
+                if op == '=': s = rval
+                elif op == '?': s = ''
+                elif op == '!': s = rval
+                elif op == '#': s = '{'+name+'}'    # So the line is dropped.
+                elif op == '%': s = rval
+                elif op in ('@','$'):
+                    s = '{'+name+'}'                # So the line is dropped.
+                else:
+                    assert False, 'illegal attribute: %s' % attr
+            else:
+                if op == '=': s = lval
+                elif op == '?': s = rval
+                elif op == '!': s = ''
+                elif op == '#': s = rval
+                elif op == '%': s = '{zzzzz}'       # So the line is dropped.
+                elif op in ('@','$'):
+                    v = re.split(r'(?<!\\):',rval)
+                    if len(v) not in (2,3):
+                        error('illegal attribute syntax: %s' % attr)
+                        s = ''
+                    elif not is_regexp('^'+v[0]+'$'):
+                        error('illegal attribute regexp: %s' % attr)
+                        s = ''
+                    else:
+                        v = [s.replace('\\:',':') for s in v]
+                        re_mo = re.match('^'+v[0]+'$',lval)
+                        if op == '@':
+                            if re_mo:
+                                s = v[1]            # {<name>@<re>:<v1>[:<v2>]}
+                            else:
+                                if len(v) == 3:     # {<name>@<re>:<v1>:<v2>}
+                                    s = v[2]
+                                else:               # {<name>@<re>:<v1>}
+                                    s = ''
+                        else:
+                            if re_mo:
+                                if len(v) == 2:     # {<name>$<re>:<v1>}
+                                    s = v[1]
+                                elif v[1] == '':    # {<name>$<re>::<v2>}
+                                    s = '{zzzzz}'   # So the line is dropped.
+                                else:               # {<name>$<re>:<v1>:<v2>}
+                                    s = v[1]
+                            else:
+                                if len(v) == 2:     # {<name>$<re>:<v1>}
+                                    s = '{zzzzz}'   # So the line is dropped.
+                                else:               # {<name>$<re>:<v1>:<v2>}
+                                    s = v[2]
+                else:
+                    assert False, 'illegal attribute: %s' % attr
+            s = str(s)
+            text = text[:mo.start()] + s + text[end:]
+            pos = mo.start() + len(s)
+        # Drop line if it contains  unsubstituted {name} references. 
+        skipped = re.search(r'(?su)\{[^\\\W][-\w]*?\}(?!\\)', text)
+        if skipped:
+            del lines[i]
+            continue;
+        # Expand system attributes.
+        reo = re.compile(r'(?su)\{(?P<action>[^\\\W][-\w]*?):(?P<expr>.*?)\}(?!\\)')
+        skipped = False
+        pos = 0
+        while True:
+            mo = reo.search(text,pos)
+            if not mo: break
+            expr = mo.group('expr')
+            expr = expr.replace('{\\','{')
+            expr = expr.replace('}\\','}')
+            s = system(mo.group('action'),expr)
+            if s is None:
+                skipped = True
+                break
+            text = text[:mo.start()] + s + text[mo.end():]
+            pos = mo.start() + len(s)
+        # Drop line if the action returns None.
+        if skipped:
+            del lines[i]
+            continue;
+        # Remove backslash from escaped entries.
+        text = text.replace('{\\','{')
+        text = text.replace('}\\','}')
+        lines[i] = text
+    if string_result:
+        if lines:
+            return string.join(lines,'\n')
+        else:
+            return None
+    else:
+        return tuple(lines)
+
+def char_encoding():
+    encoding = document.attributes.get('encoding')
+    if encoding:
+        try:
+            codecs.lookup(encoding)
+        except LookupError,e:
+            raise EAsciiDoc,str(e)
+    return encoding
+
+def char_len(s):
+    return len(char_decode(s))
+
+def char_decode(s):
+    if char_encoding():
+        try:
+            return s.decode(char_encoding())
+        except Exception:
+            raise EAsciiDoc, \
+                "'%s' codec can't decode \"%s\"" % (char_encoding(), s)
+    else:
+        return s
+
+def char_encode(s):
+    if char_encoding():
+        return s.encode(char_encoding())
+    else:
+        return s
+
+class Lex:
+    '''Lexical analysis routines. Static methods and attributes only.'''
+    prev_element = None
+    prev_cursor = None
+    def __init__(self):
+        raise AssertionError,'no class instances allowed'
+    def next():
+        '''Returns class of next element on the input (None if EOF).  The
+        reader is assumed to be at the first line following a previous element,
+        end of file or line one.  Exits with the reader pointing to the first
+        line of the next element or EOF (leading blank lines are skipped).'''
+        reader.skip_blank_lines()
+        if reader.eof(): return None
+        # Optimization: If we've already checked for an element at this
+        # position return the element.
+        if Lex.prev_element and Lex.prev_cursor == reader.cursor:
+            return Lex.prev_element
+        result = None
+        # Check for Title.
+        if not result and Title.isnext():
+            result = Title
+        # Check for Block Macro.
+        if not result and macros.isnext():
+            result = macros.current
+        # Check for List.
+        if not result and lists.isnext():
+            result = lists.current
+        # Check for DelimitedBlock.
+        if not result and blocks.isnext():
+            # Skip comment blocks.
+            if 'skip' in blocks.current.options:
+                blocks.current.translate()
+                return Lex.next()
+            else:
+                result = blocks.current
+        # Check for Table.
+        if not result and tables.isnext():
+            result = tables.current
+        # Check for AttributeEntry.
+        if not result and AttributeEntry.isnext():
+            result = AttributeEntry
+        # Check for AttributeList.
+        if not result and AttributeList.isnext():
+            result = AttributeList
+        # Check for BlockTitle.
+        if not result and BlockTitle.isnext():
+            result = BlockTitle
+        # If it's none of the above then it must be an Paragraph.
+        if not result:
+            if not paragraphs.isnext():
+                raise EAsciiDoc,'paragraph expected'
+            result = paragraphs.current
+        # Cache answer.
+        Lex.prev_cursor = reader.cursor
+        Lex.prev_element = result
+        return result       
+    next = staticmethod(next)
+
+    # Extract the passthrough text and replace with temporary placeholders.
+    def extract_passthroughs(text, passthroughs):
+        # +++ passthrough.
+        lq1 = r'(?P<lq>\+{3})'
+        rq1 = r'\+{3}'
+        reo1 = re.compile(r'(?msu)(^|[^\w+])(' + lq1 + r')' \
+            + r'(?P<content>.+?)(' + rq1 + r')(?=[^\w+]|$)')
+        # $$ passthrough.
+        lq2 = r'(\[(?P<attrs>[^[]+?)\])?(?P<lq>\${2})'
+        rq2 = r'\${2}'
+        reo2 = re.compile(r'(?msu)(^|[^\w$\]])(' + lq2 + r')' \
+            + r'(?P<content>.+?)(' + rq2 + r')(?=[^\w$]|$)')
+        reo = reo1
+        pos = 0
+        while True:
+            mo = reo.search(text,pos)
+            if not mo:
+                if reo == reo1:
+                    reo = reo2
+                    pos = 0
+                    continue
+                else:
+                    break
+            if text[mo.start()] == '\\':
+                pos = mo.end()
+            else:
+                content = mo.group('content')
+                if mo.group('lq') == '$$':
+                    content = config.subs_specialchars(content)
+                    attrs = {}
+                    parse_attributes(mo.group('attrs'), attrs)
+                    stag,etag = config.tag('$$passthrough', attrs)
+                    if not stag:
+                        etag = ''   # Drop end tag if start tag has been.
+                    content = stag + content + etag
+                passthroughs.append(content)
+                # Tabs are expanded when the source is read so using them here
+                # guarantees the placeholders are unambiguous.
+                s = mo.group(1) + '\t' + str(len(passthroughs)-1) + '\t'
+                text = text[:mo.start()] + s + text[mo.end():]
+                pos = mo.start() + len(s)
+        # Unescape escaped passthroughs.
+        text = string.replace(text,'\\+++', '+++')
+        text = string.replace(text,'\\$$', '$$') 
+        return text
+    extract_passthroughs = staticmethod(extract_passthroughs)
+
+    # Replace passthough placeholders with the original passthrough text.
+    def restore_passthroughs(text, passthroughs):
+        for i,v in enumerate(passthroughs):
+            text = string.replace(text, '\t'+str(i)+'\t', passthroughs[i], 1)
+        return text
+    restore_passthroughs = staticmethod(restore_passthroughs)
+
+    def subs_1(s,options):
+        '''Perform substitution specified in 'options' (in 'options' order) on
+        a single line 's' of text.  Returns the substituted string.'''
+        if not s:
+            return s
+        result = s
+        for o in options:
+            if o == 'specialcharacters':
+                result = config.subs_specialchars(result)
+            # Quoted text.
+            elif o == 'quotes':
+                result = subs_quotes(result)
+            # Special words.
+            elif o == 'specialwords':
+                result = config.subs_specialwords(result)
+            # Replacements.
+            elif o == 'replacements':
+                result = config.subs_replacements(result)
+            # Inline macros.
+            elif o == 'macros':
+                result = macros.subs(result)
+            elif o == 'callouts':
+                result = macros.subs(result,callouts=True)
+            elif o == 'passthroughs':
+                pass
+            else:
+                raise EAsciiDoc,'illegal substitution option: %s' % o
+        return result
+    subs_1 = staticmethod(subs_1)
+
+    def subs(lines,options):
+        '''Perform inline processing specified by 'options' (in 'options'
+        order) on sequence of 'lines'.'''
+        if len(options) == 1:
+            if options[0] == 'none':
+                options = ()
+            elif options[0] == 'normal':
+                options = SUBS_NORMAL
+            elif options[0] == 'verbatim':
+                options = SUBS_VERBATIM
+        if not lines or not options:
+            return lines
+        # Join lines so quoting can span multiple lines.
+        para = string.join(lines,"\n")
+        if 'passthroughs' in options:
+            passthroughs = []
+            para = Lex.extract_passthroughs(para,passthroughs)
+        for o in options:
+            if o == 'attributes':
+                # If we don't substitute attributes line-by-line then a single
+                # undefined attribute will drop the entire paragraph.
+                lines = subs_attrs(para.split("\n"))
+                para = string.join(lines,"\n")
+            else:
+                para = Lex.subs_1(para,(o,))
+        if 'passthroughs' in options:
+            para = Lex.restore_passthroughs(para,passthroughs)
+        return para.split("\n")
+    subs = staticmethod(subs)
+
+    def set_margin(lines, margin=0):
+        '''Utility routine that sets the left margin to 'margin' space in a
+        block of non-blank lines.'''
+        # Calculate width of block margin.
+        lines = list(lines)
+        width = len(lines[0])
+        for s in lines:
+            i = re.search(r'\S',s).start()
+            if i < width: width = i
+        # Strip margin width from all lines.
+        for i in range(len(lines)):
+            lines[i] = ' '*margin + lines[i][width:]
+        return lines
+    set_margin = staticmethod(set_margin)
+
+#---------------------------------------------------------------------------
+# Document element classes parse AsciiDoc reader input and write DocBook writer
+# output.
+#---------------------------------------------------------------------------
+class Document:
+    def __init__(self):
+        self.doctype = None     # 'article','manpage' or 'book'.
+        self.backend = None     # -b option argument.
+        self.infile = None      # Source file name.
+        self.outfile = None     # Output file name.
+        self.attributes = {}
+        self.level = 0          # 0 => front matter. 1,2,3 => sect1,2,3.
+        self.has_errors = False # Set true if processing errors were flagged.
+        self.safe = True        # Default safe mode.
+    def init_attrs(self):
+        # Set implicit attributes.
+        d = time.localtime(time.time())
+        self.attributes['localdate'] = time.strftime('%d-%b-%Y',d)
+        s = time.strftime('%H:%M:%S',d)
+        if time.daylight:
+            self.attributes['localtime'] = s + ' ' + time.tzname[1]
+        else:
+            self.attributes['localtime'] = s + ' ' + time.tzname[0]
+        self.attributes['asciidoc-version'] = VERSION
+        self.attributes['backend'] = document.backend
+        self.attributes['doctype'] = document.doctype
+        self.attributes['backend-'+document.backend] = ''
+        self.attributes['doctype-'+document.doctype] = ''
+        self.attributes[document.backend+'-'+document.doctype] = ''
+        self.attributes['asciidoc-dir'] = APP_DIR
+        self.attributes['user-dir'] = USER_DIR
+        if self.infile != '<stdin>':
+            self.attributes['infile'] = self.infile
+            self.attributes['docdir'] = os.path.dirname(self.infile)
+            self.attributes['docname'] = os.path.splitext(
+                    os.path.basename(self.infile))[0]
+        # Update with configuration file attributes.
+        self.attributes.update(config.conf_attrs)
+        # Update with command-line attributes.
+        self.attributes.update(config.cmd_attrs)
+        # Filter miscellaneous configuration section entries from attributes.
+        config.load_miscellaneous(config.conf_attrs)
+        config.load_miscellaneous(config.cmd_attrs)
+        self.attributes['newline'] = config.newline # Use raw (unescaped) value.
+        if self.outfile:
+            if self.outfile != '<stdout>':
+                self.attributes['outfile'] = self.outfile
+                ext = os.path.splitext(self.outfile)[1][1:]
+            elif config.outfilesuffix:
+                ext = config.outfilesuffix[1:]
+            else:
+                ext = ''
+            if ext:
+                self.attributes['filetype'] = ext
+                self.attributes['filetype-'+ext] = ''
+    def translate(self):
+        assert self.doctype in ('article','manpage','book'), \
+            'illegal document type'
+        assert self.level == 0
+        config.expand_all_templates()
+        # Process document header.
+        AttributeEntry.translate_all()
+        has_header =  Lex.next() is Title and Title.level == 0
+        if self.doctype == 'manpage' and not has_header:
+            error('manpage document title is mandatory')
+        if has_header:
+            Header.translate()
+            # Command-line entries override header derived entries.
+            self.attributes.update(config.cmd_attrs)
+            if config.header_footer:
+                hdr = config.subs_section('header',{})
+                writer.write(hdr)
+            if self.doctype in ('article','book'):
+                # Translate 'preamble' (untitled elements between header
+                # and first section title).
+                if Lex.next() is not Title:
+                    stag,etag = config.section2tags('preamble')
+                    writer.write(stag)
+                    Section.translate_body()
+                    writer.write(etag)
+            else:
+                # Translate manpage SYNOPSIS.
+                if Lex.next() is not Title:
+                    error('SYNOPSIS section expected')
+                else:
+                    Title.translate()
+                    if string.upper(Title.dict['title']) <> 'SYNOPSIS':
+                        error('second section must be named SYNOPSIS')
+                    if Title.level != 1:
+                        error('SYNOPSIS section title must be at level 1')
+                    d = {}
+                    d.update(Title.dict)
+                    AttributeList.consume(d)
+                    stag,etag = config.section2tags('sect-synopsis',d)
+                    writer.write(stag)
+                    Section.translate_body()
+                    writer.write(etag)
+        else:
+            if config.header_footer:
+                hdr = config.subs_section('header',{})
+                writer.write(hdr)
+            if Lex.next() is not Title:
+                Section.translate_body()
+        # Process remaining sections.
+        while not reader.eof():
+            if Lex.next() is not Title:
+                raise EAsciiDoc,'section title expected'
+            Section.translate()
+        Section.setlevel(0) # Write remaining unwritten section close tags.
+        # Substitute document parameters and write document footer.
+        if config.header_footer:
+            ftr = config.subs_section('footer',{})
+            writer.write(ftr)
+    def parse_author(self,s):
+        attrs = self.attributes # Alias for readability.
+        s = subs_attrs(s)
+        if not s:   # An undefined attribute has dropped the author line.
+            return
+        s = string.strip(s)
+        mo = re.match(r'^(?P<name1>[^<>\s]+)'
+                '(\s+(?P<name2>[^<>\s]+))?'
+                '(\s+(?P<name3>[^<>\s]+))?'
+                '(\s+<(?P<email>\S+)>)?$',s)
+        if not mo:
+            error('malformed author line')
+            return
+        firstname = mo.group('name1')
+        if mo.group('name3'):
+            middlename = mo.group('name2')
+            lastname = mo.group('name3')
+        else:
+            middlename = None
+            lastname = mo.group('name2')
+        email = mo.group('email')
+        author = firstname
+        initials = firstname[0]
+        if middlename:
+            author += ' '+middlename
+            initials += middlename[0]
+        if lastname:
+            author += ' '+lastname
+            initials += lastname[0]
+        initials = string.upper(initials)
+        if firstname: 
+            attrs['firstname'] = config.subs_specialchars(firstname)
+        if middlename: 
+            attrs['middlename'] = config.subs_specialchars(middlename)
+        if lastname: 
+            attrs['lastname'] = config.subs_specialchars(lastname)
+        if author: 
+            attrs['author'] = config.subs_specialchars(author)
+        if initials: 
+            attrs['authorinitials'] = config.subs_specialchars(initials)
+        if email: 
+            attrs['email'] = email
+
+class Header:
+    '''Static methods and attributes only.'''
+    def __init__(self):
+        raise AssertionError,'no class instances allowed'
+    def translate():
+        assert Lex.next() is Title and Title.level == 0
+        Title.translate()
+        attrs = document.attributes # Alias for readability.
+        attrs['doctitle'] = Title.dict['title']
+        if document.doctype == 'manpage':
+            # manpage title formatted like mantitle(manvolnum).
+            mo = re.match(r'^(?P<mantitle>.*)\((?P<manvolnum>.*)\)$',
+                          attrs['doctitle'])
+            if not mo:
+                error('malformed manpage title')
+            else:
+                attrs['mantitle'] = mo.group('mantitle').lower().strip()
+                attrs['manvolnum'] = mo.group('manvolnum').strip()
+        AttributeEntry.translate_all()
+        s = reader.read_next()
+        if s:
+            s = reader.read()
+            document.parse_author(s)
+            AttributeEntry.translate_all()
+            if reader.read_next():
+                # Parse revision line.
+                s = reader.read()
+                s = subs_attrs(s)
+                if s:
+                    # Match RCS/CVS $Id$ marker format.
+                    mo = re.match(r'^\$Id: \S+ (?P<revision>\S+)'
+                        ' (?P<date>\S+) \S+ \S+ \S+ \$$',s)
+                    if not mo:
+                        # Match AsciiDoc revision,date format.
+                        mo = re.match(r'^\D*(?P<revision>.*?),(?P<date>.+)$',s)
+                    if mo:
+                        revision = mo.group('revision').strip()
+                        date = mo.group('date').strip()
+                    else:
+                        revision = None
+                        date = s.strip()
+                    if revision:
+                        attrs['revision'] = config.subs_specialchars(revision)
+                    if date:
+                        attrs['date'] = config.subs_specialchars(date)
+            AttributeEntry.translate_all()
+        if document.backend == 'linuxdoc' and not attrs.has_key('author'):
+            warning('linuxdoc requires author name')
+        if document.doctype == 'manpage':
+            # Translate mandatory NAME section.
+            if Lex.next() is not Title:
+                error('NAME section expected')
+            else:
+                Title.translate()
+                if string.upper(Title.dict['title']) <> 'NAME':
+                    error('first section must be named NAME')
+                if Title.level != 1:
+                    error('NAME section title must be at level 1')
+                if not isinstance(Lex.next(),Paragraph):
+                    error('malformed NAME section body')
+                lines = reader.read_until(r'^$')
+                s = string.join(lines)
+                mo = re.match(r'^(?P<manname>.*?)\s+-\s+(?P<manpurpose>.*)$',s)
+                if not mo:
+                    error('malformed NAME section body')
+                attrs['manname'] = string.strip(mo.group('manname'))
+                attrs['manpurpose'] = string.strip(mo.group('manpurpose'))
+        if attrs.get('author',None) or attrs.get('email',None):
+            attrs['authored'] = ''
+    translate = staticmethod(translate)
+
+class AttributeEntry:
+    '''Static methods and attributes only.'''
+    pattern = None
+    name = None
+    value = None
+    def __init__(self):
+        raise AssertionError,'no class instances allowed'
+    def isnext():
+        result = False  # Assume not next.
+        if not AttributeEntry.pattern:
+            pat = document.attributes.get('attributeentry-pattern')
+            if not pat:
+                error("[attributes] missing 'attributeentry-pattern' entry")
+            AttributeEntry.pattern = pat
+        line = reader.read_next()
+        if line:
+            mo = re.match(AttributeEntry.pattern,line)
+            if mo:
+                name = mo.group('attrname').strip()
+                if name[-1] == '!':     # Names like name! are None.
+                    name = name[:-1]
+                    value = None
+                else:
+                    value = mo.group('attrvalue').strip()
+                # Strip white space and illegal name chars.
+                name = re.sub(r'(?u)[^\w\-_]', '', name).lower()
+                AttributeEntry.name = name
+                AttributeEntry.value = value
+                result = True
+        return result
+    isnext = staticmethod(isnext)
+    def translate():
+        assert Lex.next() is AttributeEntry
+        attr = AttributeEntry   # Alias for brevity.
+        reader.read()   # Discard attribute from reader.
+        # Don't override command-line attributes.
+        if config.cmd_attrs.has_key(attr.name):
+            return
+        # Update document.attributes from previously parsed attribute.
+        if attr.value:
+            attr.value = config.subs_specialchars(attr.value)
+            attr.value = subs_attrs(attr.value)
+        if attr.value is not None:
+            document.attributes[attr.name] = attr.value
+            # Some document Header attributes get special treatment.
+            if attr.name == 'author':
+                document.parse_author(attr.value)
+        elif document.attributes.has_key(attr.name):
+            del document.attributes[attr.name]
+    translate = staticmethod(translate)
+    def translate_all():
+        ''' Process all contiguous attribute lines on reader.'''
+        while AttributeEntry.isnext():
+            AttributeEntry.translate()
+    translate_all = staticmethod(translate_all)
+
+class AttributeList:
+    '''Static methods and attributes only.'''
+    pattern = None
+    match = None
+    attrs = {}
+    def __init__(self):
+        raise AssertionError,'no class instances allowed'
+    def isnext():
+        result = False  # Assume not next.
+        if not AttributeList.pattern:
+            if not document.attributes.has_key('attributelist-pattern'):
+                error("[miscellaneous] missing 'attributelist-pattern' entry")
+            AttributeList.pattern = document.attributes['attributelist-pattern']
+        line = reader.read_next()
+        if line:
+            mo = re.match(AttributeList.pattern, line)
+            if mo:
+                AttributeList.match = mo
+                result = True
+        return result
+    isnext = staticmethod(isnext)
+    def translate():
+        assert Lex.next() is AttributeList
+        reader.read()   # Discard attribute list from reader.
+        d = AttributeList.match.groupdict()
+        for k,v in d.items():
+            if v is not None:
+                if k == 'attrlist':
+                    v = subs_attrs(v)
+                    if v:
+                        parse_attributes(v, AttributeList.attrs)
+                else:
+                    AttributeList.attrs[k] = v
+    translate = staticmethod(translate)
+    def consume(d):
+        '''Add attribute list to the dictionary 'd' and reset the
+        list.'''
+        if AttributeList.attrs:
+            d.update(AttributeList.attrs)
+            AttributeList.attrs = {}
+    consume = staticmethod(consume)
+
+class BlockTitle:
+    '''Static methods and attributes only.'''
+    title = None
+    pattern = None
+    def __init__(self):
+        raise AssertionError,'no class instances allowed'
+    def isnext():
+        result = False  # Assume not next.
+        line = reader.read_next()
+        if line:
+            mo = re.match(BlockTitle.pattern,line)
+            if mo:
+                BlockTitle.title = mo.group('title')
+                result = True
+        return result
+    isnext = staticmethod(isnext)
+    def translate():
+        assert Lex.next() is BlockTitle
+        reader.read()   # Discard title from reader.
+        # Perform title substitutions.
+        s = Lex.subs((BlockTitle.title,), Title.subs)
+        s = string.join(s,writer.newline)
+        if not s:
+            warning('blank block title')
+        BlockTitle.title = s
+    translate = staticmethod(translate)
+    def consume(d):
+        '''If there is a title add it to dictionary 'd' then reset title.'''
+        if BlockTitle.title:
+            d['title'] = BlockTitle.title
+            BlockTitle.title = None
+    consume = staticmethod(consume)
+
+class Title:
+    '''Processes Header and Section titles. Static methods and attributes
+    only.'''
+    # Class variables
+    underlines = ('==','--','~~','^^','++') # Levels 0,1,2,3,4.
+    subs = ('specialcharacters','quotes','replacements','attributes','macros')
+    pattern = None
+    level = 0
+    dict = {}
+    sectname = None
+    section_numbers = [0]*len(underlines)
+    dump_dict = {}
+    linecount = None    # Number of lines in title (1 or 2).
+    def __init__(self):
+        raise AssertionError,'no class instances allowed'
+    def translate():
+        '''Parse the Title.dict and Title.level from the reader. The
+        real work has already been done by parse().'''
+        assert Lex.next() is Title
+        # Discard title from reader.
+        for i in range(Title.linecount):
+            reader.read()
+        Title.setsectname()
+        # Perform title substitutions.
+        s = Lex.subs((Title.dict['title'],), Title.subs)
+        s = string.join(s,writer.newline)
+        if not s:
+            warning('blank section title')
+        Title.dict['title'] = s
+    translate = staticmethod(translate)
+    def isnext():
+        lines = reader.read_ahead(2)
+        return Title.parse(lines)
+    isnext = staticmethod(isnext)
+    def parse(lines):
+        '''Parse title at start of lines tuple.'''
+        if len(lines) == 0: return False
+        if len(lines[0]) == 0: return False # Title can't be blank.
+        # Check for single-line titles.
+        result = False
+        for level in range(len(Title.underlines)):
+            k = 'sect%s' % level
+            if Title.dump_dict.has_key(k):
+                mo = re.match(Title.dump_dict[k], lines[0])
+                if mo:
+                    Title.dict = mo.groupdict()
+                    Title.level = level
+                    Title.linecount = 1
+                    result = True
+                    break
+        if not result:
+            # Check for double-line titles.
+            if not Title.pattern: return False  # Single-line titles only.
+            if len(lines) < 2: return False
+            title,ul = lines[:2]
+            title_len = char_len(title)
+            ul_len = char_len(ul)
+            if ul_len < 2: return False
+            # Fast elimination check.
+            if ul[:2] not in Title.underlines: return False
+            # Length of underline must be within +-3 of title.
+            if not (ul_len-3 < title_len < ul_len+3): return False
+            # Check for valid repetition of underline character pairs.
+            s = ul[:2]*((ul_len+1)/2)
+            if ul != s[:ul_len]: return False
+            # Don't be fooled by back-to-back delimited blocks, require at
+            # least one alphanumeric character in title.
+            if not re.search(r'(?u)\w',title): return False
+            mo = re.match(Title.pattern, title)
+            if mo:
+                Title.dict = mo.groupdict()
+                Title.level = list(Title.underlines).index(ul[:2])
+                Title.linecount = 2
+                result = True
+        # Check for expected pattern match groups.
+        if result:
+            if not Title.dict.has_key('title'):
+                warning('[titles] entry has no <title> group')
+                Title.dict['title'] = lines[0]
+            for k,v in Title.dict.items():
+                if v is None: del Title.dict[k]
+        return result
+    parse = staticmethod(parse)
+    def load(dict):
+        '''Load and validate [titles] section entries from dict.'''
+        if dict.has_key('underlines'):
+            errmsg = 'malformed [titles] underlines entry'
+            try:
+                underlines = parse_list(dict['underlines'])
+            except:
+                raise EAsciiDoc,errmsg
+            if len(underlines) != len(Title.underlines):
+                raise EAsciiDoc,errmsg
+            for s in underlines:
+                if len(s) !=2:
+                    raise EAsciiDoc,errmsg
+            Title.underlines = tuple(underlines)
+            Title.dump_dict['underlines'] = dict['underlines']
+        if dict.has_key('subs'):
+            Title.subs = parse_options(dict['subs'], SUBS_OPTIONS,
+                'illegal [titles] subs entry')
+            Title.dump_dict['subs'] = dict['subs']
+        if dict.has_key('sectiontitle'):
+            pat = dict['sectiontitle']
+            if not pat or not is_regexp(pat):
+                raise EAsciiDoc,'malformed [titles] sectiontitle entry'
+            Title.pattern = pat
+            Title.dump_dict['sectiontitle'] = pat
+        if dict.has_key('blocktitle'):
+            pat = dict['blocktitle']
+            if not pat or not is_regexp(pat):
+                raise EAsciiDoc,'malformed [titles] blocktitle entry'
+            BlockTitle.pattern = pat
+            Title.dump_dict['blocktitle'] = pat
+        # Load single-line title patterns.
+        for k in ('sect0','sect1','sect2','sect3','sect4'):
+            if dict.has_key(k):
+                pat = dict[k]
+                if not pat or not is_regexp(pat):
+                    raise EAsciiDoc,'malformed [titles] %s entry' % k
+                Title.dump_dict[k] = pat
+        # TODO: Check we have either a Title.pattern or at least one
+        # single-line title pattern -- can this be done here or do we need
+        # check routine like the other block checkers?
+    load = staticmethod(load)
+    def dump():
+        dump_section('titles',Title.dump_dict)
+    dump = staticmethod(dump)
+    def setsectname():
+        '''Set Title section name. First search for section title in
+        [specialsections], if not found use default 'sect<level>' name.'''
+        for pat,sect in config.specialsections.items():
+            mo = re.match(pat,Title.dict['title'])
+            if mo:
+                title = mo.groupdict().get('title')
+                if title is not None:
+                    Title.dict['title'] = string.strip(title)
+                else:
+                    Title.dict['title'] = string.strip(mo.group())
+                Title.sectname = sect
+                break
+        else:
+            Title.sectname = 'sect%d' % Title.level
+    setsectname = staticmethod(setsectname)
+    def getnumber(level):
+        '''Return next section number at section 'level' formatted like
+        1.2.3.4.'''
+        number = ''
+        for l in range(len(Title.section_numbers)):
+            n = Title.section_numbers[l]
+            if l == 0:
+                continue
+            elif l < level:
+                number = '%s%d.' % (number, n)
+            elif l == level:
+                number = '%s%d.' % (number, n + 1)
+                Title.section_numbers[l] = n + 1
+            elif l > level:
+                # Reset unprocessed section levels.
+                Title.section_numbers[l] = 0 
+        return number
+    getnumber = staticmethod(getnumber)
+
+
+class Section:
+    '''Static methods and attributes only.'''
+    endtags = [] # Stack of currently open section (level,endtag) tuples.
+    def __init__(self):
+        raise AssertionError,'no class instances allowed'
+    def savetag(level,etag):
+        '''Save section end.'''
+        Section.endtags.append((level,etag))
+    savetag = staticmethod(savetag)
+    def setlevel(level):
+        '''Set document level and write open section close tags up to level.'''
+        while Section.endtags and Section.endtags[-1][0] >= level:
+            writer.write(Section.endtags.pop()[1])
+        document.level = level
+    setlevel = staticmethod(setlevel)
+    def translate():
+        assert Lex.next() is Title
+        prev_sectname = Title.sectname
+        Title.translate()
+        if Title.level == 0 and document.doctype != 'book':
+            error('only book doctypes can contain level 0 sections')
+        if Title.level > document.level \
+                and document.backend == 'docbook' \
+                and prev_sectname in ('sect-colophon','sect-abstract', \
+                    'sect-dedication','sect-glossary','sect-bibliography'):
+            error('%s section cannot contain sub-sections' % prev_sectname)
+        if Title.level > document.level+1:
+            # Sub-sections of multi-part book level zero Preface and Appendices
+            # are meant to be out of sequence.
+            if document.doctype == 'book' \
+                    and document.level == 0 \
+                    and Title.level == 2 \
+                    and prev_sectname in ('sect-preface','sect-appendix'):
+                pass
+            else:
+                warning('section title out of sequence: '
+                    'expected level %d, got level %d'
+                    % (document.level+1, Title.level))
+        Section.setlevel(Title.level)
+        Title.dict['sectnum'] = Title.getnumber(document.level)
+        AttributeList.consume(Title.dict)
+        stag,etag = config.section2tags(Title.sectname,Title.dict)
+        Section.savetag(Title.level,etag)
+        writer.write(stag)
+        Section.translate_body()
+    translate = staticmethod(translate)
+    def translate_body(terminator=Title):
+        isempty = True
+        next = Lex.next()
+        while next and next is not terminator:
+            if next is Title and isinstance(terminator,DelimitedBlock):
+                error('title not permitted in sidebar body')
+            if document.backend == 'linuxdoc'   \
+                and document.level == 0         \
+                and not isinstance(next,Paragraph):
+                warning('only paragraphs are permitted in linuxdoc synopsis')
+            next.translate()
+            next = Lex.next()
+            isempty = False
+        # The section is not empty if contains a subsection.
+        if next and isempty and Title.level > document.level:
+            isempty = False
+        # Report empty sections if invalid markup will result.
+        if isempty:
+            if document.backend == 'docbook' and Title.sectname != 'sect-index':
+                error('empty section is not valid')
+    translate_body = staticmethod(translate_body)
+
+class AbstractBlock:
+    def __init__(self):
+        self.OPTIONS = ()   # The set of allowed options values
+        # Configuration parameter names common to all blocks.
+        self.CONF_ENTRIES = ('options','subs','presubs','postsubs',
+                             'posattrs','style','.*-style')
+        # Configuration parameters.
+        self.name=None      # Configuration file section name.
+        self.delimiter=None # Regular expression matching block delimiter.
+        self.template=None  # template section entry.
+        self.options=()     # options entry list.
+        self.presubs=SUBS_NORMAL # presubs/subs entry list.
+        self.postsubs=()    # postsubs entry list.
+        self.filter=None    # filter entry.
+        self.posattrs=()    # posattrs entry list.
+        self.style=None     # Default style.
+        self.styles=OrderedDict()   # Styles dictionary.
+        # Before a block is processed it's attributes (from it's
+        # attributes list) are merged with the block configuration parameters
+        # (by self.process_attributes()) resulting in the template substitution
+        # dictionary (self.attributes) and the block's procssing parameters
+        # (self.parameters).
+        self.attributes={}
+        # The names of block parameters.
+        self.PARAM_NAMES=('template','options','presubs','postsubs','filter')
+        self.parameters={}
+        # Leading delimiter match object.
+        self.mo=None
+    def is_conf_entry(self,param):
+        '''Return True if param matches an allowed configuration file entry
+        name.'''
+        for s in self.CONF_ENTRIES:
+            if re.match('^'+s+'$',param):
+                return True
+        return False
+    def load(self,name,entries):
+        '''Update block definition from section 'entries' dictionary.'''
+        for k in entries.keys():
+            if not self.is_conf_entry(k):
+                raise EAsciiDoc,'illegal [%s] entry name: %s' % (name,k)
+        self.name = name
+        for k,v in entries.items():
+            if not is_name(k):
+                raise EAsciiDoc, \
+                    'malformed [%s] entry name: %s' % (name,k)
+            if k == 'delimiter':
+                if v and is_regexp(v):
+                    self.delimiter = v
+                else:
+                    raise EAsciiDoc,'malformed [%s] regexp: %s' % (name,v)
+            elif k == 'template':
+                if not is_name(v):
+                    raise EAsciiDoc, \
+                        'malformed [%s] template name: %s' % (name,v)
+                self.template = v
+            elif k == 'style':
+                if not is_name(v):
+                    raise EAsciiDoc, \
+                        'malformed [%s] style name: %s' % (name,v)
+                self.style = v
+            elif k == 'posattrs':
+                self.posattrs = parse_options(v, (),
+                    'illegal [%s] %s: %s' % (name,k,v))
+            elif k == 'options':
+                self.options = parse_options(v,self.OPTIONS,
+                    'illegal [%s] %s: %s' % (name,k,v))
+            elif k == 'presubs' or k == 'subs':
+                self.presubs = parse_options(v,SUBS_OPTIONS,
+                    'illegal [%s] %s: %s' % (name,k,v))
+            elif k == 'postsubs':
+                self.postsubs = parse_options(v,SUBS_OPTIONS,
+                    'illegal [%s] %s: %s' % (name,k,v))
+            elif k == 'filter':
+                self.filter = v
+            else:
+                mo = re.match(r'^(?P<style>.*)-style$',k)
+                if mo:
+                    if not v:
+                        raise EAsciiDoc, 'empty [%s] style: %s' % (name,k)
+                    style = mo.group('style')
+                    d = {}
+                    if not parse_named_attributes(v,d):
+                        raise EAsciiDoc,'malformed [%s] style: %s' % (name,v)
+                    self.styles[style] = d
+    def dump(self):
+        '''Write block definition to stdout.'''
+        write = lambda s: sys.stdout.write('%s%s' % (s,writer.newline))
+        write('['+self.name+']')
+        if self.is_conf_entry('delimiter'):
+            write('delimiter='+self.delimiter)
+        if self.template:
+            write('template='+self.template)
+        if self.options:
+            write('options='+string.join(self.options,','))
+        if self.presubs:
+            if self.postsubs:
+                write('presubs='+string.join(self.presubs,','))
+            else:
+                write('subs='+string.join(self.presubs,','))
+        if self.postsubs:
+            write('postsubs='+string.join(self.postsubs,','))
+        if self.filter:
+            write('filter='+self.filter)
+        if self.posattrs:
+            write('posattrs='+string.join(self.posattrs,','))
+        if self.style:
+            write('style='+self.style)
+        if self.styles:
+            for style,d in self.styles.items():
+                s = ''
+                for k,v in d.items():
+                    if isinstance(v,tuple):
+                        v = string.join(v,',')
+                    s += k+'="'+v+'",'
+                write(style+'-style='+s[:-1])
+    def validate(self):
+        '''Validate block after the complete configuration has been loaded.'''
+        if self.is_conf_entry('delimiter') and not self.delimiter:
+            raise EAsciiDoc,'[%s] missing delimiter' % self.name
+        if self.style:
+            if not self.styles.has_key(self.style):
+                warning(' missing [%s] %s-style entry' % (self.name,self.style))
+        # Check all styles for missing templates.
+        all_styles_have_template = True
+        for k,v in self.styles.items():
+            t = v.get('template')
+            if t and not config.sections.has_key(t):
+                warning('[%s] missing template section' % t)
+            if not t:
+                all_styles_have_template = False
+        # Check we have a valid template entry or alternatively that all the
+        # styles have templates.
+        if self.is_conf_entry('template') and not 'skip' in self.options:
+            if self.template:
+                if not config.sections.has_key(self.template):
+                    warning('[%s] missing template section' % self.template)
+            elif not all_styles_have_template:
+                warning('[%s] styles missing templates' % self.name)
+    def isnext(self):
+        '''Check if this block is next in document reader.'''
+        result = False
+        reader.skip_blank_lines()
+        if reader.read_next():
+            mo = re.match(self.delimiter,reader.read_next())
+            if mo:
+                self.mo = mo
+                result = True
+        return result
+    def translate(self):
+        '''Translate block from document reader.'''
+        raise AssertionError,'no class instances allowed'
+    def update_params(self,src,dst):
+        '''Copy block processing parameters from src to dst dictionaries.'''
+        for k,v in src.items():
+            if k == 'template':
+                dst[k] = v
+            elif k == 'options':
+                dst[k] = parse_options(v,self.OPTIONS,
+                    'illegal [%s] %s: %s' % (self.name,k,v))
+            elif k in  ('subs','presubs','postsubs'):
+                subs = parse_options(v,SUBS_OPTIONS,
+                    'illegal [%s] %s: %s' % (self.name,k,v))
+                if k == 'subs':
+                    dst['presubs'] = subs
+                else:
+                    dst[k] = subs
+            elif k == 'filter':
+                dst[k] = v
+    def merge_attributes(self,attrs):
+        '''Merge block attributes 'attrs' dictionary with the block
+        configuration parameters setting self.attributes (template substitution
+        attributes) and self.parameters (block processing parameters).'''
+        self.attributes = {}
+        self.attributes.update(attrs)
+        # Configure positional attributes.
+        for i,v in enumerate(self.posattrs):
+            if self.attributes.has_key(str(i+1)):
+                self.attributes[v] = self.attributes[str(i+1)]
+        # Calculate dynamic block parameters.
+        # Start with configuration file defaults.
+        self.parameters['template'] = self.template
+        self.parameters['options'] = self.options
+        self.parameters['presubs'] = self.presubs
+        self.parameters['postsubs'] = self.postsubs
+        self.parameters['filter'] = self.filter
+        # Load the selected style attributes.
+        style = self.attributes.get('style',self.style)
+        if style is not None:
+            if not self.styles.has_key(style):
+                warning('missing [%s] %s-style entry' % (self.name,style))
+            else:
+                self.attributes['style'] = style
+                for k,v in self.styles[style].items():
+                    if k in self.PARAM_NAMES:
+                        self.parameters[k] = v
+                    elif not self.attributes.has_key(k):
+                        # Style attributes don't take precedence over explicit.
+                        self.attributes[k] = v
+        # Override config and style attributes with document attributes.
+        self.update_params(self.attributes,self.parameters)
+        assert isinstance(self.parameters['options'],tuple)
+        assert isinstance(self.parameters['presubs'],tuple)
+        assert isinstance(self.parameters['postsubs'],tuple)
+    def get_options(self):
+        return self.parameters['options']
+    def get_subs(self):
+        return (self.parameters['presubs'], self.parameters['postsubs'])
+    def get_template(self):
+        return self.parameters['template']
+    def get_filter(self):
+        return self.parameters['filter']
+
+class AbstractBlocks:
+    '''List of block definitions.'''
+    PREFIX = ''         # Conf file section name prefix set in derived classes.
+    BLOCK_TYPE = None   # Block type set in derived classes.
+    def __init__(self):
+        self.current=None
+        self.blocks = []        # List of Block objects.
+        self.default = None     # Default Block.
+        self.delimiter = None   # Combined tables delimiter regular expression.
+    def load(self,sections):
+        '''Load block definition from 'sections' dictionary.'''
+        for k in sections.keys():
+            if re.match(r'^'+ self.PREFIX + r'.+$',k):
+                d = {}
+                parse_entries(sections.get(k,()),d)
+                for b in self.blocks:
+                    if b.name == k:
+                        break
+                else:
+                    b = self.BLOCK_TYPE()
+                    self.blocks.append(b)
+                try:
+                    b.load(k,d)
+                except EAsciiDoc,e:
+                    raise EAsciiDoc,'[%s] %s' % (k,str(e))
+    def dump(self):
+        for b in self.blocks:
+            b.dump()
+    def isnext(self):
+        for b in self.blocks:
+            if b.isnext():
+                self.current = b
+                return True;
+        return False
+    def validate(self):
+        '''Validate the block definitions.'''
+        # Validate delimiters and build combined lists delimiter pattern.
+        for b in self.blocks:
+            assert b.__class__ is self.BLOCK_TYPE
+            b.validate()
+        if b.is_conf_entry('delimiter'):
+            delimiters = []
+            for b in self.blocks:
+                b.validate()
+                if b.delimiter:
+                    delimiters.append(b.delimiter)
+            self.delimiter = join_regexp(delimiters)
+
+class Paragraph(AbstractBlock):
+    def __init__(self):
+        AbstractBlock.__init__(self)
+        self.CONF_ENTRIES += ('delimiter','template','filter')
+        self.OPTIONS = ('listelement',)
+        self.text=None      # Text in first line of paragraph.
+    def load(self,name,entries):
+        AbstractBlock.load(self,name,entries)
+    def dump(self):
+        AbstractBlock.dump(self)
+        write = lambda s: sys.stdout.write('%s%s' % (s,writer.newline))
+        write('')
+    def isnext(self):
+        result = AbstractBlock.isnext(self)
+        if result:
+            self.text = self.mo.groupdict().get('text')
+        return result
+    def translate(self):
+        attrs = {}
+        attrs.update(self.mo.groupdict())
+        BlockTitle.consume(attrs)
+        AttributeList.consume(attrs)
+        self.merge_attributes(attrs)
+        reader.read()   # Discard (already parsed item first line).
+        body = reader.read_until(r'^\+$|^$|'+blocks.delimiter+r'|'+tables.delimiter)
+        body = [self.text] + list(body)
+        presubs,postsubs = self.get_subs()
+        # Don't join verbatim paragraphs.
+        if 'verbatim' not in (presubs + postsubs):
+            body = join_lines(body)
+        body = Lex.set_margin(body) # Move body to left margin.
+        body = Lex.subs(body,presubs)
+        if self.get_filter():
+            body = filter_lines(self.get_filter(),body,self.attributes)
+        body = Lex.subs(body,postsubs)
+        template = self.get_template()
+        stag,etag = config.section2tags(template, self.attributes)
+        # Write start tag, content, end tag.
+        writer.write(dovetail_tags(stag,body,etag))
+
+class Paragraphs(AbstractBlocks):
+    '''List of paragraph definitions.'''
+    BLOCK_TYPE = Paragraph
+    PREFIX = 'paradef-'
+    def __init__(self):
+        AbstractBlocks.__init__(self)
+    def load(self,sections):
+        AbstractBlocks.load(self,sections)
+    def validate(self):
+        AbstractBlocks.validate(self)
+        # Check we have a default paragraph definition, put it last in list.
+        for b in self.blocks:
+            if b.name == 'paradef-default':
+                self.blocks.append(b)
+                self.default = b
+                self.blocks.remove(b)
+                break
+        else:
+            raise EAsciiDoc,'missing [paradef-default] section'
+
+class List(AbstractBlock):
+    TAGS = ('listtag','itemtag','texttag','entrytag','labeltag')
+    TYPES = ('bulleted','numbered','labeled','callout')
+    def __init__(self):
+        AbstractBlock.__init__(self)
+        self.CONF_ENTRIES += ('delimiter','type') + self.TAGS
+        self.listtag=None
+        self.itemtag=None
+        self.texttag=None   # Tag for list item text.
+        self.labeltag=None  # Variable lists only.
+        self.entrytag=None  # Variable lists only.
+        self.label=None     # List item label (labeled lists).
+        self.text=None      # Text in first line of list item.
+        self.index=None     # Matched delimiter 'index' group (numbered lists).
+        self.type=None      # List type.
+    def load(self,name,entries):
+        AbstractBlock.load(self,name,entries)
+        for k,v in entries.items():
+            if k == 'type':
+                if v in self.TYPES:
+                    self.type = v
+                else:
+                    raise EAsciiDoc,'illegal list type: %s' % v
+            elif k in self.TAGS:
+                if is_name(v):
+                    setattr(self,k,v)
+                else:
+                    raise EAsciiDoc,'illegal list %s name: %s' % (k,v)
+    def dump(self):
+        AbstractBlock.dump(self)
+        write = lambda s: sys.stdout.write('%s%s' % (s,writer.newline))
+        write('type='+self.type)
+        write('listtag='+self.listtag)
+        write('itemtag='+self.itemtag)
+        write('texttag='+self.texttag)
+        if self.type == 'labeled':
+            write('entrytag='+self.entrytag)
+            write('labeltag='+self.labeltag)
+        write('')
+    def isnext(self):
+        result = AbstractBlock.isnext(self)
+        if result:
+            self.label = self.mo.groupdict().get('label')
+            self.text = self.mo.groupdict().get('text')
+            self.index = self.mo.groupdict().get('index')
+        return result
+    def translate_entry(self):
+        assert self.type == 'labeled'
+        stag,etag = config.tag(self.entrytag, self.attributes)
+        if stag:
+            writer.write(stag)
+        if self.text:
+            # Horizontal label list.
+            reader.read()   # Discard (already parsed item first line).
+            writer.write_tag(self.labeltag, [self.label],
+                             self.presubs, self.attributes)
+        else:
+            # Write multiple labels (vertical label list).
+            while Lex.next() is self:
+                reader.read()   # Discard (already parsed item first line).
+                writer.write_tag(self.labeltag, [self.label],
+                                 self.presubs, self.attributes)
+        # Write item text.
+        self.translate_item()
+        if etag:
+            writer.write(etag)
+    def iscontinued(self):
+        if reader.read_next() == '+':
+            reader.read()   # Discard.
+            # Allow attribute list to precede continued list item element.
+            while Lex.next() is AttributeList:
+                Lex.next().translate()
+            return True
+        else:
+            return False
+    def translate_item(self,listindex=None):
+        if lists.listblock:
+            self.translate_item_2(listindex)
+        else:
+            self.translate_item_1(listindex)
+    def translate_item_1(self,listindex=None):
+        '''Translation for '+' style list continuation.'''
+        if self.type == 'callout':
+            self.attributes['coids'] = calloutmap.calloutids(listindex)
+        stag,etag = config.tag(self.itemtag, self.attributes)
+        if stag:
+            writer.write(stag)
+        if self.text and self.text == '+':
+            # Pathalogical case: continued Horizontal Labeled List with no
+            # item text.
+            continued = True
+        elif not self.text and self.iscontinued():
+            # Pathalogical case: continued Vertical Labeled List with no
+            # item text.
+            continued = True
+        else:
+            # Write ItemText.
+            text = reader.read_until(lists.delimiter + r'|^\+$|^$|' +
+                                    blocks.delimiter + r'|' + tables.delimiter)
+            if self.text is not None:
+                text = [self.text] + list(text)
+            text = join_lines(text)
+            writer.write_tag(self.texttag, text, self.presubs, self.attributes)
+            continued = self.iscontinued()
+        while True:
+            next = Lex.next()
+            if next in lists.open:
+                break
+            elif isinstance(next,List):
+                next.translate()
+            elif isinstance(next,Paragraph) and 'listelement' in next.options:
+                next.translate()
+            elif continued:
+                if next is Title or next is BlockTitle:
+                    error('title not allowed in list item continuation')
+                next.translate()
+            else:
+                break
+            continued = self.iscontinued()
+        if etag:
+            writer.write(etag)
+    def translate_item_2(self,listindex=None):
+        '''Translation for List block style lists.'''
+        if self.type == 'callout':
+            self.attributes['coids'] = calloutmap.calloutids(listindex)
+        stag,etag = config.tag(self.itemtag, self.attributes)
+        if stag:
+            writer.write(stag)
+        if self.text or reader.read_next():
+            # Write ItemText.
+            text = reader.read_until(lists.delimiter + r'|^$|' +
+                                    blocks.delimiter + r'|' + tables.delimiter)
+            if self.text is not None:
+                text = [self.text] + list(text)
+            text = join_lines(text)
+            writer.write_tag(self.texttag, text, self.presubs, self.attributes)
+        while True:
+            next = Lex.next()
+            if next in lists.open:
+                break
+            elif next is lists.listblock:
+                break
+            elif isinstance(next,List):
+                next.translate()
+            elif isinstance(next,Paragraph) and 'listelement' in next.options:
+                next.translate()
+            elif lists.listblock:
+                if next is Title or next is BlockTitle:
+                    error('title not allowed in list item continuation')
+                next.translate()
+            else:
+                break
+        if etag:
+            writer.write(etag)
+    def check_index(self,listindex):
+        ''' Check calculated listindex (1,2,...) against the item index in the
+        document (self.index).'''
+        assert self.type in ('numbered','callout')
+        if self.index:
+            matched = False
+            if re.match(r'\d+', self.index):
+                i = int(self.index)
+                matched = True
+            elif re.match(r'[a-z]', self.index):
+                i = ord(self.index) - ord('a') + 1
+                matched = True
+            if matched and i != listindex:
+                print 'type: ',self.type,': expected ',listindex,' got ',i
+                warning("list item %s out of sequence" % self.index)
+    def translate(self):
+        lists.open.append(self)
+        attrs = {}
+        attrs.update(self.mo.groupdict())
+        BlockTitle.consume(attrs)
+        AttributeList.consume(attrs)
+        self.merge_attributes(attrs)
+        stag,etag = config.tag(self.listtag, self.attributes)
+        if stag:
+            writer.write(stag)
+        listindex = 0
+        while Lex.next() is self:
+            if self.type in ('numbered','callout'):
+                listindex += 1
+                self.check_index(listindex)
+            if self.type in ('bulleted','numbered','callout'):
+                reader.read()   # Discard (already parsed item first line).
+                self.translate_item(listindex)
+            elif self.type == 'labeled':
+                self.translate_entry()
+            else:
+                raise AssertionError,'illegal [%s] list type"' % self.name
+        if etag:
+            writer.write(etag)
+        if self.type == 'callout':
+            calloutmap.validate(listindex)
+            calloutmap.listclose()
+        lists.open.pop()
+
+class Lists(AbstractBlocks):
+    '''List of List objects.'''
+    BLOCK_TYPE = List
+    PREFIX = 'listdef-'
+    def __init__(self):
+        AbstractBlocks.__init__(self)
+        self.open = []              # A stack of the current and parent lists.
+        self.listblock = None    # Current list is in list block.
+    def load(self,sections):
+        AbstractBlocks.load(self,sections)
+    def validate(self):
+        AbstractBlocks.validate(self)
+        for b in self.blocks:
+            # Check list has valid type.
+            if not b.type in b.TYPES:
+                raise EAsciiDoc,'[%s] illegal type' % b.name
+            # Check all list tags.
+            if not b.listtag or not config.tags.has_key(b.listtag):
+                warning('[%s] missing listtag' % b.name)
+            if not b.itemtag or not config.tags.has_key(b.itemtag):
+                warning('[%s] missing tag itemtag' % b.name)
+            if not b.texttag or not config.tags.has_key(b.texttag):
+                warning('[%s] missing tag texttag' % b.name)
+            if b.type == 'labeled':
+                if not b.entrytag or not config.tags.has_key(b.entrytag):
+                    warning('[%s] missing entrytag' % b.name)
+                if not b.labeltag or not config.tags.has_key(b.labeltag):
+                    warning('[%s] missing labeltag' % b.name)
+
+class DelimitedBlock(AbstractBlock):
+    def __init__(self):
+        AbstractBlock.__init__(self)
+        self.CONF_ENTRIES += ('delimiter','template','filter')
+        self.OPTIONS = ('skip','sectionbody','list')
+    def load(self,name,entries):
+        AbstractBlock.load(self,name,entries)
+    def dump(self):
+        AbstractBlock.dump(self)
+        write = lambda s: sys.stdout.write('%s%s' % (s,writer.newline))
+        write('')
+    def isnext(self):
+        return AbstractBlock.isnext(self)
+    def translate(self):
+        if 'list' in self.options:
+            lists.listblock = self
+        reader.read()   # Discard delimiter.
+        attrs = {}
+        # Leave list block attributes for the list element.
+        if lists.listblock is not self:
+            BlockTitle.consume(attrs)
+            AttributeList.consume(attrs)
+        self.merge_attributes(attrs)
+        options = self.get_options()
+        if safe() and self.name == 'blockdef-backend':
+            unsafe_error('Backend Block')
+            # Discard block body.
+            reader.read_until(self.delimiter,same_file=True)
+        elif 'skip' in options:
+            # Discard block body.
+            reader.read_until(self.delimiter,same_file=True)
+        else:
+            template = self.get_template()
+            stag,etag = config.section2tags(template,self.attributes)
+            if 'sectionbody' in options or 'list' in options:
+                # The body is treated like a SimpleSection.
+                writer.write(stag)
+                Section.translate_body(self)
+                writer.write(etag)
+            else:
+                body = reader.read_until(self.delimiter,same_file=True)
+                presubs,postsubs = self.get_subs()
+                body = Lex.subs(body,presubs)
+                if self.get_filter():
+                    body = filter_lines(self.get_filter(),body,self.attributes)
+                body = Lex.subs(body,postsubs)
+                # Write start tag, content, end tag.
+                writer.write(dovetail_tags(stag,body,etag))
+        if 'list' in options:
+            lists.listblock = None
+        if reader.eof():
+            error('closing [%s] delimiter expected' % self.name)
+        else:
+            delimiter = reader.read()   # Discard delimiter line.
+            assert re.match(self.delimiter,delimiter)
+    
+class DelimitedBlocks(AbstractBlocks):
+    '''List of delimited blocks.'''
+    BLOCK_TYPE = DelimitedBlock
+    PREFIX = 'blockdef-'
+    def __init__(self):
+        AbstractBlocks.__init__(self)
+    def load(self,sections):
+        '''Update blocks defined in 'sections' dictionary.'''
+        AbstractBlocks.load(self,sections)
+    def validate(self):
+        AbstractBlocks.validate(self)
+
+class Column:
+    '''Table column.'''
+    def __init__(self):
+        self.colalign = None    # 'left','right','center'
+        self.rulerwidth = None
+        self.colwidth = None    # Output width in page units.
+
+class Table(AbstractBlock):
+    COL_STOP = r"(`|'|\.)"  # RE.
+    ALIGNMENTS = {'`':'left', "'":'right', '.':'center'}
+    FORMATS = ('fixed','csv','dsv')
+    def __init__(self):
+        AbstractBlock.__init__(self)
+        self.CONF_ENTRIES += ('template','fillchar','format','colspec',
+                              'headrow','footrow','bodyrow','headdata',
+                              'footdata', 'bodydata')
+        # Configuration parameters.
+        self.fillchar=None
+        self.format=None    # 'fixed','csv','dsv'
+        self.colspec=None
+        self.headrow=None
+        self.footrow=None
+        self.bodyrow=None
+        self.headdata=None
+        self.footdata=None
+        self.bodydata=None
+        # Calculated parameters.
+        self.underline=None     # RE matching current table underline.
+        self.isnumeric=False    # True if numeric ruler.
+        self.tablewidth=None    # Optional table width scale factor.
+        self.columns=[]         # List of Columns.
+        # Other.
+        self.check_msg=''       # Message set by previous self.validate() call.
+    def load(self,name,entries):
+        AbstractBlock.load(self,name,entries)
+        '''Update table definition from section entries in 'entries'.'''
+        for k,v in entries.items():
+            if k == 'fillchar':
+                if v and len(v) == 1:
+                    self.fillchar = v
+                else:
+                    raise EAsciiDoc,'malformed table fillchar: %s' % v
+            elif k == 'format':
+                if v in Table.FORMATS:
+                    self.format = v
+                else:
+                    raise EAsciiDoc,'illegal table format: %s' % v
+            elif k == 'colspec':
+                self.colspec = v
+            elif k == 'headrow':
+                self.headrow = v
+            elif k == 'footrow':
+                self.footrow = v
+            elif k == 'bodyrow':
+                self.bodyrow = v
+            elif k == 'headdata':
+                self.headdata = v
+            elif k == 'footdata':
+                self.footdata = v
+            elif k == 'bodydata':
+                self.bodydata = v
+    def dump(self):
+        AbstractBlock.dump(self)
+        write = lambda s: sys.stdout.write('%s%s' % (s,writer.newline))
+        write('fillchar='+self.fillchar)
+        write('format='+self.format)
+        if self.colspec:
+            write('colspec='+self.colspec)
+        if self.headrow:
+            write('headrow='+self.headrow)
+        if self.footrow:
+            write('footrow='+self.footrow)
+        write('bodyrow='+self.bodyrow)
+        if self.headdata:
+            write('headdata='+self.headdata)
+        if self.footdata:
+            write('footdata='+self.footdata)
+        write('bodydata='+self.bodydata)
+        write('')
+    def validate(self):
+        AbstractBlock.validate(self)
+        '''Check table definition and set self.check_msg if invalid else set
+        self.check_msg to blank string.'''
+        # Check global table parameters.
+        if config.textwidth is None:
+            self.check_msg = 'missing [miscellaneous] textwidth entry'
+        elif config.pagewidth is None:
+            self.check_msg = 'missing [miscellaneous] pagewidth entry'
+        elif config.pageunits is None:
+            self.check_msg = 'missing [miscellaneous] pageunits entry'
+        elif self.headrow is None:
+            self.check_msg = 'missing headrow entry'
+        elif self.footrow is None:
+            self.check_msg = 'missing footrow entry'
+        elif self.bodyrow is None:
+            self.check_msg = 'missing bodyrow entry'
+        elif self.headdata is None:
+            self.check_msg = 'missing headdata entry'
+        elif self.footdata is None:
+            self.check_msg = 'missing footdata entry'
+        elif self.bodydata is None:
+            self.check_msg = 'missing bodydata entry'
+        else:
+            # No errors.
+            self.check_msg = ''
+    def isnext(self):
+        return AbstractBlock.isnext(self)
+    def parse_ruler(self,ruler):
+        '''Parse ruler calculating underline and ruler column widths.'''
+        fc = re.escape(self.fillchar)
+        # Strip and save optional tablewidth from end of ruler.
+        mo = re.match(r'^(.*'+fc+r'+)([\d\.]+)$',ruler)
+        if mo:
+            ruler = mo.group(1)
+            self.tablewidth = float(mo.group(2))
+            self.attributes['tablewidth'] = str(float(self.tablewidth))
+        else:
+            self.tablewidth = None
+            self.attributes['tablewidth'] = '100.0'
+        # Guess whether column widths are specified numerically or not.
+        if ruler[1] != self.fillchar:
+            # If the first column does not start with a fillchar then numeric.
+            self.isnumeric = True
+        elif ruler[1:] == self.fillchar*len(ruler[1:]):
+            # The case of one column followed by fillchars is numeric.
+            self.isnumeric = True
+        else:
+            self.isnumeric = False
+        # Underlines must be 3 or more fillchars.
+        self.underline = r'^' + fc + r'{3,}$'
+        splits = re.split(self.COL_STOP,ruler)[1:]
+        # Build self.columns.
+        for i in range(0,len(splits),2):
+            c = Column()
+            c.colalign = self.ALIGNMENTS[splits[i]]
+            s = splits[i+1]
+            if self.isnumeric:
+                # Strip trailing fillchars.
+                s = re.sub(fc+r'+$','',s)
+                if s == '':
+                    c.rulerwidth = None
+                else:
+                    c.rulerwidth = int(validate(s,'int($)>0',
+                        'malformed ruler: bad width'))
+            else:   # Calculate column width from inter-fillchar intervals.
+                if not re.match(r'^'+fc+r'+$',s):
+                    raise EAsciiDoc,'malformed ruler: illegal fillchars'
+                c.rulerwidth = len(s)+1
+            self.columns.append(c)
+        # Fill in unspecified ruler widths.
+        if self.isnumeric:
+            if self.columns[0].rulerwidth is None:
+                prevwidth = 1
+            for c in self.columns:
+                if c.rulerwidth is None:
+                    c.rulerwidth = prevwidth
+                prevwidth = c.rulerwidth
+    def build_colspecs(self):
+        '''Generate colwidths and colspecs. This can only be done after the
+        table arguments have been parsed since we use the table format.'''
+        self.attributes['cols'] = len(self.columns)
+        # Calculate total ruler width.
+        totalwidth = 0
+        for c in self.columns:
+            totalwidth = totalwidth + c.rulerwidth
+        if totalwidth <= 0:
+            raise EAsciiDoc,'zero width table'
+        # Calculate marked up colwidths from rulerwidths.
+        for c in self.columns:
+            # Convert ruler width to output page width.
+            width = float(c.rulerwidth)
+            if self.format == 'fixed':
+                if self.tablewidth is None:
+                    # Size proportional to ruler width.
+                    colfraction = width/config.textwidth
+                else:
+                    # Size proportional to page width.
+                    colfraction = width/totalwidth
+            else:
+                    # Size proportional to page width.
+                colfraction = width/totalwidth
+            c.colwidth = colfraction * config.pagewidth # To page units.
+            if self.tablewidth is not None:
+                c.colwidth = c.colwidth * self.tablewidth   # Scale factor.
+                if self.tablewidth > 1:
+                    c.colwidth = c.colwidth/100 # tablewidth is in percent.
+        # Build colspecs.
+        if self.colspec:
+            cols = []
+            for c in self.columns:
+                self.attributes['colalign'] = c.colalign
+                self.attributes['colwidth'] = str(int(c.colwidth))
+                s = subs_attrs(self.colspec,self.attributes)
+                if not s:
+                    warning('colspec dropped: contains undefined attribute')
+                else:
+                    cols.append(s)
+            self.attributes['colspecs'] = string.join(cols,writer.newline)
+    def split_rows(self,rows):
+        '''Return a two item tuple containing a list of lines up to but not
+        including the next underline (continued lines are joined ) and the
+        tuple of all lines after the underline.'''
+        reo = re.compile(self.underline)
+        i = 0
+        while not reo.match(rows[i]):
+            i = i+1
+        if i == 0:
+            raise EAsciiDoc,'missing table rows'
+        if i >= len(rows):
+            raise EAsciiDoc,'closing [%s] underline expected' % self.name
+        return (join_lines(rows[:i]), rows[i+1:])
+    def parse_rows(self, rows, rtag, dtag):
+        '''Parse rows list using the row and data tags. Returns a substituted
+        list of output lines.'''
+        result = []
+        # Source rows are parsed as single block, rather than line by line, to
+        # allow the CSV reader to handle multi-line rows.
+        if self.format == 'fixed':
+            rows = self.parse_fixed(rows)
+        elif self.format == 'csv':
+            rows = self.parse_csv(rows)
+        elif self.format == 'dsv':
+            rows = self.parse_dsv(rows)
+        else:
+            assert True,'illegal table format'
+        # Substitute and indent all data in all rows.
+        stag,etag = subs_tag(rtag,self.attributes)
+        for row in rows:
+            result.append('  '+stag)
+            for data in self.subs_row(row,dtag):
+                result.append('    '+data)
+            result.append('  '+etag)
+        return result
+    def subs_row(self, data, dtag):
+        '''Substitute the list of source row data elements using the data tag.
+        Returns a substituted list of output table data items.'''
+        result = []
+        if len(data) < len(self.columns):
+            warning('fewer row data items then table columns')
+        if len(data) > len(self.columns):
+            warning('more row data items than table columns')
+        for i in range(len(self.columns)):
+            if i > len(data) - 1:
+                d = ''  # Fill missing column data with blanks.
+            else:
+                d = data[i]
+            c = self.columns[i]
+            self.attributes['colalign'] = c.colalign
+            self.attributes['colwidth'] = str(int(c.colwidth))+config.pageunits
+            stag,etag = subs_tag(dtag,self.attributes)
+            # Insert AsciiDoc line break (' +') where row data has newlines
+            # ('\n').  This is really only useful when the table format is csv
+            # and the output markup is HTML. It's also a bit dubious in that it
+            # assumes the user has not modified the shipped line break pattern.
+            subs = self.get_subs()[0]
+            if 'replacements' in subs:
+                # Insert line breaks in cell data.
+                d = re.sub(r'(?m)\n',r' +\n',d) 
+                d = string.split(d,'\n')    # So writer.newline is written.
+            else:
+                d = [d]
+            result = result + [stag] + Lex.subs(d,subs) + [etag]
+        return result
+    def parse_fixed(self,rows):
+        '''Parse the list of source table rows. Each row item in the returned
+        list contains a list of cell data elements.'''
+        result = []
+        for row in rows:
+            data = []
+            start = 0
+            # build an encoded representation
+            row = char_decode(row)
+            for c in self.columns:
+                end = start + c.rulerwidth
+                if c is self.columns[-1]:
+                    # Text in last column can continue forever.
+                    # Use the encoded string to slice, but convert back
+                    # to plain string before further processing
+                    data.append(string.strip(char_encode(row[start:])))
+                else:
+                    data.append(string.strip(char_encode(row[start:end])))
+                start = end
+            result.append(data)
+        return result
+    def parse_csv(self,rows):
+        '''Parse the list of source table rows. Each row item in the returned
+        list contains a list of cell data elements.'''
+        import StringIO
+        import csv
+        result = []
+        rdr = csv.reader(StringIO.StringIO(string.join(rows,'\r\n')),
+            skipinitialspace=True)
+        try:
+            for row in rdr:
+                result.append(row)
+        except:
+            raise EAsciiDoc,'csv parse error: %s' % row
+        return result
+    def parse_dsv(self,rows):
+        '''Parse the list of source table rows. Each row item in the returned
+        list contains a list of cell data elements.'''
+        separator = self.attributes.get('separator',':')
+        separator = eval('"'+separator+'"')
+        if len(separator) != 1:
+            raise EAsciiDoc,'malformed dsv separator: %s' % separator
+        # TODO If separator is preceeded by an odd number of backslashes then
+        # it is escaped and should not delimit.
+        result = []
+        for row in rows:
+            # Skip blank lines
+            if row == '': continue
+            # Unescape escaped characters.
+            row = eval('"'+row.replace('"','\\"')+'"')
+            data = row.split(separator)
+            data = [s.strip() for s in data]
+            result.append(data)
+        return result
+    def translate(self):
+        # Reset instance specific properties.
+        self.underline = None
+        self.columns = []
+        attrs = {}
+        BlockTitle.consume(attrs)
+        # Add relevant globals to table substitutions.
+        attrs['pagewidth'] = str(config.pagewidth)
+        attrs['pageunits'] = config.pageunits
+        # Mix in document attribute list.
+        AttributeList.consume(attrs)
+        # Validate overridable attributes.
+        for k,v in attrs.items():
+            if k == 'format':
+                if v not in self.FORMATS:
+                    raise EAsciiDoc, 'illegal [%s] %s: %s' % (self.name,k,v)
+                self.format = v
+            elif k == 'tablewidth':
+                try:
+                    self.tablewidth = float(attrs['tablewidth'])
+                except:
+                    raise EAsciiDoc, 'illegal [%s] %s: %s' % (self.name,k,v)
+        self.merge_attributes(attrs)
+        # Parse table ruler.
+        ruler = reader.read()
+        assert re.match(self.delimiter,ruler)
+        self.parse_ruler(ruler)
+        # Read the entire table.
+        table = []
+        while True:
+            line = reader.read_next()
+            # Table terminated by underline followed by a blank line or EOF.
+            if len(table) > 0 and re.match(self.underline,table[-1]):
+                if line in ('',None):
+                    break;
+            if line is None:
+                raise EAsciiDoc,'closing [%s] underline expected' % self.name
+            table.append(reader.read())
+        #TODO: Inherited validate() doesn't set check_msg, needs checking.
+        if self.check_msg:  # Skip if table definition was marked invalid.
+            warning('skipping %s table: %s' % (self.name,self.check_msg))
+            return
+        # Generate colwidths and colspecs.
+        self.build_colspecs()
+        # Generate headrows, footrows, bodyrows.
+        # Headrow, footrow and bodyrow data replaces same named attributes in
+        # the table markup template. In order to ensure this data does not get
+        # a second attribute substitution (which would interfere with any
+        # already substituted inline passthroughs) unique placeholders are used
+        # (the tab character does not appear elsewhere since it is expanded on
+        # input) which are replaced after template attribute substitution.
+        headrows = footrows = []
+        bodyrows,table = self.split_rows(table)
+        if table:
+            headrows = bodyrows
+            bodyrows,table = self.split_rows(table)
+            if table:
+                footrows,table = self.split_rows(table)
+        if headrows:
+            headrows = self.parse_rows(headrows, self.headrow, self.headdata)
+            headrows = string.join(headrows,writer.newline)
+            self.attributes['headrows'] = '\theadrows\t'
+        if footrows:
+            footrows = self.parse_rows(footrows, self.footrow, self.footdata)
+            footrows = string.join(footrows,writer.newline)
+            self.attributes['footrows'] = '\tfootrows\t'
+        bodyrows = self.parse_rows(bodyrows, self.bodyrow, self.bodydata)
+        bodyrows = string.join(bodyrows,writer.newline)
+        self.attributes['bodyrows'] = '\tbodyrows\t'
+        table = subs_attrs(config.sections[self.template],self.attributes)
+        table = string.join(table, writer.newline)
+        # Before we finish replace the table head, foot and body place holders
+        # with the real data.
+        if headrows:
+            table = table.replace('\theadrows\t', headrows, 1)
+        if footrows:
+            table = table.replace('\tfootrows\t', footrows, 1)
+        table = table.replace('\tbodyrows\t', bodyrows, 1)
+        writer.write(table)
+
+class Tables(AbstractBlocks):
+    '''List of tables.'''
+    BLOCK_TYPE = Table
+    PREFIX = 'tabledef-'
+    def __init__(self):
+        AbstractBlocks.__init__(self)
+    def load(self,sections):
+        AbstractBlocks.load(self,sections)
+        '''Update tables defined in 'sections' dictionary.'''
+    def validate(self):
+        # Does not call AbstractBlocks.validate().
+        # Check we have a default table definition,
+        for i in range(len(self.blocks)):
+            if self.blocks[i].name == 'tabledef-default':
+                default = self.blocks[i]
+                break
+        else:
+            raise EAsciiDoc,'missing [table-default] section'
+        # Set default table defaults.
+        if default.format is None: default.subs = 'fixed'
+        # Propagate defaults to unspecified table parameters.
+        for b in self.blocks:
+            if b is not default:
+                if b.fillchar is None: b.fillchar = default.fillchar
+                if b.format is None: b.format = default.format
+                if b.template is None: b.template = default.template
+                if b.colspec is None: b.colspec = default.colspec
+                if b.headrow is None: b.headrow = default.headrow
+                if b.footrow is None: b.footrow = default.footrow
+                if b.bodyrow is None: b.bodyrow = default.bodyrow
+                if b.headdata is None: b.headdata = default.headdata
+                if b.footdata is None: b.footdata = default.footdata
+                if b.bodydata is None: b.bodydata = default.bodydata
+        # Check all tables have valid fill character.
+        for b in self.blocks:
+            if not b.fillchar or len(b.fillchar) != 1:
+                raise EAsciiDoc,'[%s] missing or illegal fillchar' % b.name
+        # Build combined tables delimiter patterns and assign defaults.
+        delimiters = []
+        for b in self.blocks:
+            # Ruler is:
+            #   (ColStop,(ColWidth,FillChar+)?)+, FillChar+, TableWidth?
+            b.delimiter = r'^(' + Table.COL_STOP \
+                + r'(\d*|' + re.escape(b.fillchar) + r'*)' \
+                + r')+' \
+                + re.escape(b.fillchar) + r'+' \
+                + '([\d\.]*)$'
+            delimiters.append(b.delimiter)
+            if not b.headrow:
+                b.headrow = b.bodyrow
+            if not b.footrow:
+                b.footrow = b.bodyrow
+            if not b.headdata:
+                b.headdata = b.bodydata
+            if not b.footdata:
+                b.footdata = b.bodydata
+        self.delimiter = join_regexp(delimiters)
+        # Check table definitions are valid.
+        for b in self.blocks:
+            b.validate()
+            if config.verbose:
+                if b.check_msg:
+                    warning('[%s] table definition: %s' % (b.name,b.check_msg))
+
+class Macros:
+    # Default system macro syntax.
+    SYS_DEFAULT = r'(?u)^(?P<name>\w(\w|-)*?)::(?P<target>\S*?)' + \
+                  r'(\[(?P<attrlist>.*?)\])$'
+    def __init__(self):
+        self.macros = []        # List of Macros.
+        self.current = None     # The last matched block macro.
+        # Initialize default system macro.
+        m = Macro()
+        m.pattern = self.SYS_DEFAULT
+        m.prefix = '+'
+        m.reo = re.compile(m.pattern)
+        self.macros.append(m)
+    def load(self,entries):
+        for entry in entries:
+            m = Macro()
+            m.load(entry)
+            if m.name is None:
+                # Delete undefined macro.
+                for i in range(len(self.macros)-1,-1,-1):
+                    if self.macros[i].pattern == m.pattern:
+                        del self.macros[i]
+            else:
+                # Check for duplicates.
+                for m2 in self.macros:
+                    if m.equals(m2):
+                        verbose('duplicate macro: '+entry)
+                        break
+                else:
+                    self.macros.append(m)
+    def dump(self):
+        write = lambda s: sys.stdout.write('%s%s' % (s,writer.newline))
+        write('[macros]')
+        # Dump all macros except the first (built-in system) macro.
+        for m in self.macros[1:]:
+            write('%s=%s%s' % (m.pattern,m.prefix,m.name))
+        write('')
+    def validate(self):
+        # Check all named sections exist.
+        if config.verbose:
+            for m in self.macros:
+                if m.name and m.prefix != '+':
+                    m.section_name()
+    def subs(self,text,prefix='',callouts=False):
+        # If callouts is True then only callout macros are processed, if False
+        # then all non-callout macros are processed.
+        result = text
+        for m in self.macros:
+            if m.prefix == prefix:
+                if callouts ^ (m.name != 'callout'):
+                    result = m.subs(result)
+        return result
+    def isnext(self):
+        '''Return matching macro if block macro is next on reader.'''
+        reader.skip_blank_lines()
+        line = reader.read_next()
+        if line:
+            for m in self.macros:
+                if m.prefix == '#':
+                    if m.reo.match(line):
+                        self.current = m
+                        return m
+        return False
+    def match(self,prefix,name,text):
+        '''Return re match object matching 'text' with macro type 'prefix',
+        macro name 'name'.'''
+        for m in self.macros:
+            if m.prefix == prefix:
+                mo = m.reo.match(text)
+                if mo:
+                    if m.name == name:
+                        return mo
+                    if re.match(name,mo.group('name')):
+                        return mo
+        return None
+
+# Macro set just prior to calling _subs_macro(). Ugly but there's no way
+# to pass optional arguments with _subs_macro().
+_macro = None
+
+def _subs_macro(mo):
+    '''Function called to perform inline macro substitution. Uses matched macro
+    regular expression object and returns string containing the substituted
+    macro body. Called by Macros().subs().'''
+    # Check if macro reference is escaped.
+    if mo.group()[0] == '\\':
+        return mo.group()[1:]   # Strip leading backslash.
+    d = mo.groupdict()
+    # Delete groups that didn't participate in match.
+    for k,v in d.items():
+        if v is None: del d[k]
+    if _macro.name:
+        name = _macro.name
+    else:
+        if not d.has_key('name'):
+            warning('missing macro name group: %s' % mo.re.pattern)
+            return ''
+        name = d['name']
+    section_name = _macro.section_name(name)
+    if not section_name:
+        return ''
+    # If we're dealing with a block macro get optional block ID and block title.
+    if _macro.prefix == '#':
+        AttributeList.consume(d)
+        BlockTitle.consume(d)
+    # Parse macro attributes.
+    if d.has_key('attrlist'):
+        if d['attrlist'] in (None,''):
+            del d['attrlist']
+        else:
+            parse_attributes(d['attrlist'],d)
+    if name == 'callout':
+        listindex =int(d['index']) 
+        d['coid'] = calloutmap.add(listindex)
+    # BUG: We've already done attribute substitution on the macro which means
+    # that any escaped attribute references are now unescaped and will be
+    # substituted by config.subs_section() below. As a partial fix have witheld
+    # {0} from substitution but this kludge doesn't fix it for other attributes
+    # containg unescaped references.
+    a0 = d.get('0')
+    if a0:
+        d['0'] = chr(0)  # Replace temporarily with unused character.
+    body = config.subs_section(section_name,d)
+    if len(body) == 0:
+        result = ''
+    elif len(body) == 1:
+        result = body[0]
+    else:
+        if _macro.prefix == '#':
+            result = string.join(body,writer.newline)
+        else:
+            # Internally processed inline macros use UNIX line separator.
+            result = string.join(body,'\n')
+    if a0:
+        result = string.replace(result, chr(0), a0)
+    return result
+
+class Macro:
+    def __init__(self):
+        self.pattern = None     # Matching regular expression.
+        self.name = ''          # Conf file macro name (None if implicit).
+        self.prefix = ''        # '' if inline, '+' if system, '#' if block.
+        self.reo = None         # Compiled pattern re object.
+    def section_name(self,name=None):
+        '''Return macro markup template section name based on macro name and
+        prefix.  Return None section not found.'''
+        assert self.prefix != '+'
+        if not name:
+            assert self.name
+            name = self.name
+        if self.prefix == '#':
+            suffix = '-blockmacro'
+        else:
+            suffix = '-inlinemacro'
+        if config.sections.has_key(name+suffix):
+            return name+suffix
+        else:
+            warning('missing macro section: [%s]' % name+suffix)
+            return None
+    def equals(self,m):
+        if self.pattern != m.pattern:
+            return False
+        if self.name != m.name:
+            return False
+        if self.prefix != m.prefix:
+            return False
+        return True
+    def load(self,entry):
+        e = parse_entry(entry)
+        if not e:
+            raise EAsciiDoc,'malformed macro entry: %s' % entry
+        self.pattern, self.name = e
+        if not is_regexp(self.pattern):
+            raise EAsciiDoc,'illegal regular expression in macro entry: %s' \
+                % entry
+        self.reo = re.compile(self.pattern)
+        if self.name:
+            if self.name[0] in ('+','#'):
+                self.prefix, self.name = self.name[0], self.name[1:]
+        if self.name and not is_name(self.name):
+            raise EAsciiDoc,'illegal section name in macro entry: %s' % entry
+    def subs(self,text):
+        global _macro
+        _macro = self           # Pass the macro to _subs_macro().
+        return self.reo.sub(_subs_macro,text)
+    def translate(self):
+        ''' Block macro translation.'''
+        assert self.prefix == '#'
+        s = reader.read()
+        s = subs_attrs(s)       # Substitute global attributes.
+        if s:
+            s = self.subs(s)
+            if s:
+                writer.write(s)
+
+class CalloutMap:
+    def __init__(self):
+        self.comap = {}         # key = list index, value = callouts list.
+        self.calloutindex = 0   # Current callout index number.
+        self.listnumber = 1     # Current callout list number.
+    def listclose(self):
+        # Called when callout list is closed.
+        self.listnumber += 1
+        self.calloutindex = 0
+        self.comap = {}
+    def add(self,listindex):
+        # Add next callout index to listindex map entry. Return the callout id.
+        self.calloutindex += 1
+        # Append the coindex to a list in the comap dictionary.
+        if not self.comap.has_key(listindex):
+            self.comap[listindex] = [self.calloutindex]
+        else:
+            self.comap[listindex].append(self.calloutindex)
+        return self.calloutid(self.listnumber, self.calloutindex)
+    def calloutid(listnumber,calloutindex):
+        return 'CO%d-%d' % (listnumber,calloutindex)
+    calloutid = staticmethod(calloutid)
+    def calloutids(self,listindex):
+        # Retieve list of callout indexes that refer to listindex.
+        if self.comap.has_key(listindex):
+            result = ''
+            for coindex in self.comap[listindex]:
+                result += ' ' + self.calloutid(self.listnumber,coindex)
+            return result.strip()
+        else:
+            error('no callouts refer to list item '+str(listindex))
+            return ''
+    def validate(self,maxlistindex):
+        # Check that all list indexes referenced by callouts exist.
+        for listindex in self.comap.keys():
+            if listindex > maxlistindex:
+                warning('callout refers to non-existent list item '
+                        + str(listindex))
+
+#---------------------------------------------------------------------------
+# Input stream Reader and output stream writer classes.
+#---------------------------------------------------------------------------
+
+class Reader1:
+    '''Line oriented AsciiDoc input file reader. Processes include and
+    conditional inclusion system macros. Tabs are expanded and lines are right
+    trimmed.'''
+    # This class is not used directly, use Reader class instead.
+    READ_BUFFER_MIN = 10            # Read buffer low level.
+    def __init__(self):
+        self.f = None           # Input file object.
+        self.fname = None       # Input file name.
+        self.next = []          # Read ahead buffer containing
+                                # [filename,linenumber,linetext] lists.
+        self.cursor = None      # Last read() [filename,linenumber,linetext].
+        self.tabsize = 8        # Tab expansion number of spaces.
+        self.parent = None      # Included reader's parent reader.
+        self._lineno = 0        # The last line read from file object f.
+        self.include_depth = 0  # Current include depth.
+        self.include_max = 5    # Maxiumum allowed include depth.
+    def open(self,fname):
+        self.fname = fname
+        verbose('reading: '+fname)
+        if fname == '<stdin>':
+            self.f = sys.stdin
+        else:
+            self.f = open(fname,"rb")
+        self._lineno = 0            # The last line read from file object f.
+        self.next = []
+        # Prefill buffer by reading the first line and then pushing it back.
+        if Reader1.read(self):
+            self.unread(self.cursor)
+            self.cursor = None
+    def closefile(self):
+        '''Used by class methods to close nested include files.'''
+        self.f.close()
+        self.next = []
+    def close(self):
+        self.closefile()
+        self.__init__()
+    def read(self,skip=False):
+        '''Read next line. Return None if EOF. Expand tabs. Strip trailing
+        white space. Maintain self.next read ahead buffer. If skip=True then
+        conditional exclusion is active (ifdef and ifndef macros).'''
+        # Top up buffer.
+        if len(self.next) <= self.READ_BUFFER_MIN:
+            s = self.f.readline()
+            if s:
+                self._lineno = self._lineno + 1
+            while s:
+                if self.tabsize != 0:
+                    s = string.expandtabs(s,self.tabsize)
+                s = string.rstrip(s)
+                self.next.append([self.fname,self._lineno,s])
+                if len(self.next) > self.READ_BUFFER_MIN:
+                    break
+                s = self.f.readline()
+                if s:
+                    self._lineno = self._lineno + 1
+        # Return first (oldest) buffer entry.
+        if len(self.next) > 0:
+            self.cursor = self.next[0]
+            del self.next[0]
+            result = self.cursor[2]
+            # Check for include macro.
+            mo = macros.match('+',r'include[1]?',result)
+            if mo and not skip:
+                # Perform attribute substitution on inlcude macro file name.
+                fname = subs_attrs(mo.group('target'))
+                if not fname:
+                    return Reader1.read(self)   # Return next input line.
+                if self.include_depth >= self.include_max:
+                    raise EAsciiDoc,'maxiumum inlcude depth exceeded'
+                if self.fname != '<stdin>':
+                    fname = safe_filename(fname, os.path.dirname(self.fname))
+                    if not fname:
+                        return Reader1.read(self)   # Return next input line.
+                    if mo.group('name') == 'include1':
+                        if not config.dumping:
+                            # Store the include file in memory for later
+                            # retrieval by the {include1:} system attribute.
+                            config.include1[fname] = readlines(fname)
+                            return '{include1:%s}' % fname
+                        else:
+                            # This is a configuration dump, just pass the macro
+                            # call through.
+                            return result
+                # Parse include macro attributes.
+                attrs = {}
+                parse_attributes(mo.group('attrlist'),attrs)
+                # Clone self and set as parent (self assumes the role of child).
+                parent = Reader1()
+                assign(parent,self)
+                self.parent = parent
+                if attrs.has_key('tabsize'):
+                    self.tabsize = int(validate(attrs['tabsize'],'int($)>=0', \
+                        'illegal include macro tabsize argument'))
+                self.open(fname)
+                self.include_depth = self.include_depth + 1
+                result = Reader1.read(self)
+        else:
+            if not Reader1.eof(self):
+                result = Reader1.read(self)
+            else:
+                result = None
+        return result
+    def eof(self):
+        '''Returns True if all lines have been read.'''
+        if len(self.next) == 0:
+            # End of current file.
+            if self.parent:
+                self.closefile()
+                assign(self,self.parent)    # Restore parent reader.
+                return Reader1.eof(self)
+            else:
+                return True
+        else:
+            return False
+    def read_next(self):
+        '''Like read() but does not advance file pointer.'''
+        if Reader1.eof(self):
+            return None
+        else:
+            return self.next[0][2]
+    def unread(self,cursor):
+        '''Push the line (filename,linenumber,linetext) tuple back into the read
+        buffer. Note that it's up to the caller to restore the previous
+        cursor.'''
+        assert cursor
+        self.next.insert(0,cursor)
+
+class Reader(Reader1):
+    ''' Wraps (well, sought of) Reader1 class and implements conditional text
+    inclusion.'''
+    def __init__(self):
+        Reader1.__init__(self)
+        self.depth = 0          # if nesting depth.
+        self.skip = False       # true if we're skipping ifdef...endif.
+        self.skipname = ''      # Name of current endif macro target.
+        self.skipto = -1        # The depth at which skipping is reenabled.
+    def read_super(self):
+        result = Reader1.read(self,self.skip)
+        if result is None and self.skip:
+            raise EAsciiDoc,'missing endif::%s[]' % self.skipname
+        return result
+    def read(self):
+        result = self.read_super()
+        if result is None:
+            return None
+        while self.skip:
+            mo = macros.match('+',r'ifdef|ifndef|endif',result)
+            if mo:
+                name = mo.group('name')
+                target = mo.group('target')
+                if name == 'endif':
+                    self.depth = self.depth-1
+                    if self.depth < 0:
+                        raise EAsciiDoc,'mismatched macro: %s' % result
+                    if self.depth == self.skipto:
+                        self.skip = False
+                        if target and self.skipname != target:
+                            raise EAsciiDoc,'mismatched macro: %s' % result
+                else:   # ifdef or ifndef.
+                    if not target:
+                        raise EAsciiDoc,'missing macro target: %s' % result
+                    self.depth = self.depth+1
+            result = self.read_super()
+            if result is None:
+                return None
+        mo = macros.match('+',r'ifdef|ifndef|endif',result)
+        if mo:
+            name = mo.group('name')
+            target = mo.group('target')
+            if name == 'endif':
+                self.depth = self.depth-1
+            else:   # ifdef or ifndef.
+                if not target:
+                    raise EAsciiDoc,'missing macro target: %s' % result
+                defined = document.attributes.get(target) is not None
+                if name == 'ifdef':
+                    self.skip = not defined
+                else:   # ifndef.
+                    self.skip = defined
+                if self.skip:
+                    self.skipto = self.depth
+                    self.skipname = target
+                self.depth = self.depth+1
+            result = self.read()
+        if result:
+            # Expand executable block macros.
+            mo = macros.match('+',r'eval|sys|sys2',result)
+            if mo:
+                action = mo.group('name')
+                cmd = mo.group('attrlist')
+                s = system(action, cmd, is_macro=True)
+                if s is not None:
+                    self.cursor[2] = s  # So we don't re-evaluate.
+                    result = s
+        return result
+    def eof(self):
+        return self.read_next() is None
+    def read_next(self):
+        save_cursor = self.cursor
+        result = self.read()
+        if result is not None:
+            self.unread(self.cursor)
+            self.cursor = save_cursor
+        return result
+    def read_all(self,fname):
+        '''Read all lines from file fname and return as list. Use like class
+        method: Reader().read_all(fname)'''
+        result = []
+        self.open(fname)
+        try:
+            while not self.eof():
+                result.append(self.read())
+        finally:
+            self.close()
+        return result
+    def read_lines(self,count=1):
+        '''Return tuple containing count lines.'''
+        result = []
+        i = 0
+        while i < count and not self.eof():
+            result.append(self.read())
+        return tuple(result)
+    def read_ahead(self,count=1):
+        '''Same as read_lines() but does not advance the file pointer.'''
+        result = []
+        putback = []
+        save_cursor = self.cursor
+        try:
+            i = 0
+            while i < count and not self.eof():
+                result.append(self.read())
+                putback.append(self.cursor)
+                i = i+1
+            while putback:
+                self.unread(putback.pop())
+        finally:
+            self.cursor = save_cursor
+        return tuple(result)
+    def skip_blank_lines(self):
+        reader.read_until(r'\s*\S+')
+    def read_until(self,pattern,same_file=False):
+        '''Like read() but reads lines up to (but not including) the first line
+        that matches the pattern regular expression. If same_file is True
+        then the terminating pattern must occur in the file the was being read
+        when the routine was called.'''
+        if same_file:
+            fname = self.cursor[0]
+        result = []
+        reo = re.compile(pattern)
+        while not self.eof():
+            save_cursor = self.cursor
+            s = self.read()
+            if (not same_file or fname == self.cursor[0]) and reo.match(s):
+                self.unread(self.cursor)
+                self.cursor = save_cursor
+                break
+            result.append(s)
+        return tuple(result)
+    def read_continuation(self):
+        '''Like read() but treats trailing backslash as line continuation
+        character.'''
+        s = self.read()
+        if s is None:
+            return None
+        result = ''
+        while s is not None and len(s) > 0 and s[-1] == '\\':
+            result = result + s[:-1]
+            s = self.read()
+        if s is not None:
+            result = result + s
+        return result
+
+class Writer:
+    '''Writes lines to output file.'''
+    newline = '\r\n'    # End of line terminator.
+    f = None            # Output file object.
+    fname= None         # Output file name.
+    lines_out = 0       # Number of lines written.
+    def open(self,fname):
+        self.fname = os.path.abspath(fname)
+        verbose('writing: '+fname)
+        if fname == '<stdout>':
+            self.f = sys.stdout
+        else:
+            self.f = open(fname,"wb+")
+        self.lines_out = 0
+    def close(self):
+        if self.fname != '<stdout>':
+            self.f.close()
+    def write(self,*args):
+        '''Iterates arguments, writes tuple and list arguments one line per
+        element, else writes argument as single line. If no arguments writes
+        blank line. If argument is None nothing is written. self.newline is
+        appended to each line.'''
+        if len(args) == 0:
+            self.f.write(self.newline)
+            self.lines_out = self.lines_out + 1
+        else:
+            for arg in args:
+                if isinstance(arg,list) or isinstance(arg,tuple):
+                    for s in arg:
+                        self.f.write(s+self.newline)
+                    self.lines_out = self.lines_out + len(arg)
+                elif arg is not None:
+                    self.f.write(arg+self.newline)
+                    self.lines_out = self.lines_out + 1
+    def write_tag(self,tagname,content,subs=SUBS_NORMAL,d=None):
+        '''Write content enveloped by configuration file tag tagname.
+        Substitutions specified in the 'subs' list are perform on the
+        'content'.'''
+        stag,etag = config.tag(tagname,d)
+        if stag:
+            self.write(stag)
+        if content:
+            self.write(Lex.subs(content,subs))
+        if etag:
+            self.write(etag)
+
+#---------------------------------------------------------------------------
+# Configuration file processing.
+#---------------------------------------------------------------------------
+def _subs_specialwords(mo):
+    '''Special word substitution function called by
+    Config.subs_specialwords().'''
+    word = mo.re.pattern                    # The special word.
+    template = config.specialwords[word]    # The corresponding markup template.
+    if not config.sections.has_key(template):
+        raise EAsciiDoc,'missing special word template [%s]' % template
+    if mo.group()[0] == '\\':
+        return mo.group()[1:]   # Return escaped word.
+    args = {}
+    args['words'] = mo.group()  # The full match string is argument 'words'.
+    args.update(mo.groupdict()) # Add other named match groups to the arguments.
+    # Delete groups that didn't participate in match.
+    for k,v in args.items():
+        if v is None: del args[k]
+    lines = subs_attrs(config.sections[template],args)
+    if len(lines) == 0:
+        result = ''
+    elif len(lines) == 1:
+        result = lines[0]
+    else:
+        result = string.join(lines,writer.newline)
+    return result
+
+class Config:
+    '''Methods to process configuration files.'''
+    # Predefined section name regexp's.
+    SPECIAL_SECTIONS= ('tags','miscellaneous','attributes','specialcharacters',
+            'specialwords','macros','replacements','quotes','titles',
+            r'paradef.+',r'listdef.+',r'blockdef.+',r'tabledef.*')
+    def __init__(self):
+        self.sections = OrderedDict()   # Keyed by section name containing
+                                        # lists of section lines.
+        # Command-line options.
+        self.verbose = False
+        self.header_footer = True       # -s, --no-header-footer option.
+        # [miscellaneous] section.
+        self.tabsize = 8
+        self.textwidth = 70
+        self.newline = '\r\n'
+        self.pagewidth = None
+        self.pageunits = None
+        self.outfilesuffix = ''
+
+        self.tags = {}          # Values contain (stag,etag) tuples.
+        self.specialchars = {}  # Values of special character substitutions.
+        self.specialwords = {}  # Name is special word pattern, value is macro.
+        self.replacements = OrderedDict()   # Key is find pattern, value is
+                                            #replace pattern.
+        self.specialsections = {} # Name is special section name pattern, value
+                                  # is corresponding section name.
+        self.quotes = {}        # Values contain corresponding tag name.
+        self.fname = ''         # Most recently loaded configuration file name.
+        self.conf_attrs = {}    # Glossary entries from conf files.
+        self.cmd_attrs = {}     # Attributes from command-line -a options.
+        self.loaded = []        # Loaded conf files.
+        self.include1 = {}      # Holds include1::[] files for {include1:}.
+        self.dumping = False    # True if asciidoc -c option specified.
+
+    def load(self,fname,dir=None):
+        '''Loads sections dictionary with sections from file fname.
+        Existing sections are overlaid. Silently skips missing configuration
+        files.'''
+        if dir:
+            fname = os.path.join(dir, fname)
+        # Sliently skip missing configuration file.
+        if not os.path.isfile(fname):
+            return
+        # Don't load conf files twice (local and application conf files are the
+        # same if the source file is in the application directory).
+        if realpath(fname) in self.loaded:
+            return
+        rdr = Reader()  # Reader processes system macros.
+        rdr.open(fname)
+        self.fname = fname
+        reo = re.compile(r'(?u)^\[(?P<section>[^\W\d][\w-]*)\]\s*$')
+        sections = OrderedDict()
+        section,contents = '',[]
+        while not rdr.eof():
+            s = rdr.read()
+            if s and s[0] == '#':       # Skip comment lines.
+                continue
+            if s[:2] == '\\#':          # Unescape lines starting with '#'.
+                s = s[1:]
+            s = string.rstrip(s)
+            found = reo.findall(s)
+            if found:
+                if section:             # Store previous section.
+                    if sections.has_key(section) \
+                        and self.is_special_section(section):
+                        # Merge line oriented special sections.
+                        contents = sections[section] + contents
+                    sections[section] = contents
+                section = found[0].lower()
+                contents = []
+            else:
+                contents.append(s)
+        if section and contents:        # Store last section.
+            if sections.has_key(section) \
+                and self.is_special_section(section):
+                # Merge line oriented special sections.
+                contents = sections[section] + contents
+            sections[section] = contents
+        rdr.close()
+        # Delete blank lines from sections.
+        for k in sections.keys():
+            for i in range(len(sections[k])-1,-1,-1):
+                if not sections[k][i]:
+                    del sections[k][i]
+                elif not self.is_special_section(k):
+                    break   # Only trailing blanks from non-special sections.
+        # Add/overwrite new sections.
+        self.sections.update(sections)
+        self.parse_tags()
+        # Internally [miscellaneous] section entries are just attributes.
+        d = {}
+        parse_entries(sections.get('miscellaneous',()), d, unquote=True,
+                allow_name_only=True)
+        update_attrs(self.conf_attrs,d)
+        d = {}
+        parse_entries(sections.get('attributes',()), d, unquote=True,
+                allow_name_only=True)
+        update_attrs(self.conf_attrs,d)
+        # Update document attributes so they are available immediately.
+        document.init_attrs()
+        d = {}
+        parse_entries(sections.get('titles',()),d)
+        Title.load(d)
+        parse_entries(sections.get('specialcharacters',()),self.specialchars)
+        parse_entries(sections.get('quotes',()),self.quotes,unique_values=True)
+        self.parse_specialwords()
+        self.parse_replacements()
+        self.parse_specialsections()
+        paragraphs.load(sections)
+        lists.load(sections)
+        blocks.load(sections)
+        tables.load(sections)
+        macros.load(sections.get('macros',()))
+        self.loaded.append(realpath(fname))
+            
+    def load_all(self,dir):
+        '''Load the standard configuration files from directory 'dir'.'''
+        self.load('asciidoc.conf',dir)
+        conf = document.backend + '.conf'
+        self.load(conf,dir)
+        conf = document.backend + '-' + document.doctype + '.conf'
+        self.load(conf,dir)
+        # Load ./filters/*.conf files if they exist.
+        filters = os.path.join(dir,'filters')
+        if os.path.isdir(filters):
+            for f in os.listdir(filters):
+                if re.match(r'^.+\.conf$',f):
+                    self.load(f,filters)
+
+    def load_miscellaneous(self,d):
+        '''Set miscellaneous configuration entries from dictionary 'd'.'''
+        def set_misc(name,rule='True',intval=False):
+            if d.has_key(name):
+                errmsg = 'illegal [miscellaneous] %s entry' % name
+                if intval:
+                    setattr(self, name, int(validate(d[name],rule,errmsg)))
+                else:
+                    setattr(self, name, validate(d[name],rule,errmsg))
+        set_misc('tabsize','int($)>0',intval=True)
+        set_misc('textwidth','int($)>0',intval=True)
+        set_misc('pagewidth','int($)>0',intval=True)
+        set_misc('pageunits')
+        set_misc('outfilesuffix')
+        if d.has_key('newline'):
+            # Convert escape sequences to their character values.
+            self.newline = eval('"'+d['newline']+'"')
+
+    def validate(self):
+        '''Check the configuration for internal consistancy. Called after all
+        configuration files have been loaded.'''
+        # Heuristic validate that at least one configuration file was loaded.
+        if not self.specialchars or not self.tags or not lists:
+            raise EAsciiDoc,'incomplete configuration files'
+        # Check special characters are only one character long.
+        for k in self.specialchars.keys():
+            if len(k) != 1:
+                raise EAsciiDoc,'[specialcharacters] ' \
+                                'must be a single character: %s' % k
+        # Check all special words have a corresponding inline macro body.
+        for macro in self.specialwords.values():
+            if not is_name(macro):
+                raise EAsciiDoc,'illegal special word name: %s' % macro
+            if not self.sections.has_key(macro):
+                warning('missing special word macro: [%s]' % macro)
+        # Check all text quotes have a corresponding tag.
+        for q in self.quotes.keys():
+            tag = self.quotes[q]
+            if not self.tags.has_key(tag):
+                warning('[quotes] %s missing tag definition: %s'
+                    % (q,tag))
+        # Check all specialsections section names exist.
+        for k,v in self.specialsections.items():
+            if not self.sections.has_key(v):
+                warning('[%s] missing specialsections section' % v)
+        paragraphs.validate()
+        lists.validate()
+        blocks.validate()
+        tables.validate()
+        macros.validate()
+    
+    def is_special_section(self,section_name):
+        for name in self.SPECIAL_SECTIONS:
+            if re.match(name,section_name):
+                return True
+        return False
+
+    def dump(self):
+        '''Dump configuration to stdout.'''
+        # Header.
+        hdr = ''
+        hdr = hdr + '#' + writer.newline
+        hdr = hdr + '# Generated by AsciiDoc %s for %s %s.%s' % \
+            (VERSION,document.backend,document.doctype,writer.newline)
+        t = time.asctime(time.localtime(time.time()))
+        hdr = hdr + '# %s%s' % (t,writer.newline)
+        hdr = hdr + '#' + writer.newline
+        sys.stdout.write(hdr)
+        # Dump special sections.
+        # Dump only the configuration file and command-line attributes.
+        # [miscellanous] entries are dumped as part of the [attributes].
+        d = {}
+        d.update(self.conf_attrs)
+        d.update(self.cmd_attrs)
+        dump_section('attributes',d)
+        Title.dump()
+        dump_section('quotes',self.quotes)
+        dump_section('specialcharacters',self.specialchars)
+        d = {}
+        for k,v in self.specialwords.items():
+            if d.has_key(v):
+                d[v] = '%s "%s"' % (d[v],k)   # Append word list.
+            else:
+                d[v] = '"%s"' % k
+        dump_section('specialwords',d)
+        dump_section('replacements',self.replacements)
+        dump_section('specialsections',self.specialsections)
+        d = {}
+        for k,v in self.tags.items():
+            d[k] = '%s|%s' % v
+        dump_section('tags',d)
+        paragraphs.dump()
+        lists.dump()
+        blocks.dump()
+        tables.dump()
+        macros.dump()
+        # Dump remaining sections.
+        for k in self.sections.keys():
+            if not self.is_special_section(k):
+                sys.stdout.write('[%s]%s' % (k,writer.newline))
+                for line in self.sections[k]:
+                    sys.stdout.write('%s%s' % (line,writer.newline))
+                sys.stdout.write(writer.newline)
+
+    def subs_section(self,section,d):
+        '''Section attribute substitution using attributes from
+        document.attributes and 'd'.  Lines containing undefinded
+        attributes are deleted.'''
+        if self.sections.has_key(section):
+            return subs_attrs(self.sections[section],d)
+        else:
+            warning('missing [%s] section' % section)
+            return ()
+
+    def parse_tags(self):
+        '''Parse [tags] section entries into self.tags dictionary.'''
+        d = {}
+        parse_entries(self.sections.get('tags',()),d)
+        for k,v in d.items():
+            if v is None:
+                if self.tags.has_key(k):
+                    del self.tags[k]
+            elif v == 'none':
+                self.tags[k] = (None,None)
+            else:
+                mo = re.match(r'(?P<stag>.*)\|(?P<etag>.*)',v)
+                if mo:
+                    self.tags[k] = (mo.group('stag'), mo.group('etag'))
+                else:
+                    raise EAsciiDoc,'[tag] %s value malformed' % k
+
+    def tag(self, name, d=None):
+        '''Returns (starttag,endtag) tuple named name from configuration file
+        [tags] section. Raise error if not found. If a dictionary 'd' is
+        passed then merge with document attributes and perform attribute
+        substitution on tags.'''
+
+        # TODO: Tags should be stored a single string, not split into start
+        # and end tags since most are going to be substituted anyway (see
+        # subs_tag() for how we should process them. parse_tags() (above)
+        # should only validate i.e. parse_check(). This routine should be renamed
+        # split_tag() and would call subs_tag(). self.tags dictionary values
+        # would be strings not tuples.
+
+        if not self.tags.has_key(name):
+            raise EAsciiDoc, 'missing tag: %s' % name
+        stag,etag = self.tags[name]
+        if d is not None:
+            # TODO: Should we warn if substitution drops a tag?
+            if stag:
+                stag = subs_attrs(stag,d)
+            if etag:
+                etag = subs_attrs(etag,d)
+        if stag is None: stag = ''
+        if etag is None: etag = ''
+        return (stag,etag)
+
+    def parse_specialsections(self):
+        '''Parse specialsections section to self.specialsections dictionary.'''
+        # TODO: This is virtually the same as parse_replacements() and should
+        # be factored to single routine.
+        d = {}
+        parse_entries(self.sections.get('specialsections',()),d,unquote=True)
+        for pat,sectname in d.items():
+            pat = strip_quotes(pat)
+            if not is_regexp(pat):
+                raise EAsciiDoc,'[specialsections] entry ' \
+                                'is not a valid regular expression: %s' % pat
+            if sectname is None:
+                if self.specialsections.has_key(pat):
+                    del self.specialsections[pat]
+            else:
+                self.specialsections[pat] = sectname
+
+    def parse_replacements(self):
+        '''Parse replacements section into self.replacements dictionary.'''
+        d = OrderedDict()
+        parse_entries(self.sections.get('replacements',()), d, unquote=True)
+        for pat,rep in d.items():
+            pat = strip_quotes(pat)
+            if not is_regexp(pat):
+                raise EAsciiDoc,'[replacements] entry in %s ' \
+                    'is not a valid regular expression: %s' % (self.fname,pat)
+            if rep is None:
+                if self.replacements.has_key(pat):
+                    del self.replacements[pat]
+            else:
+                self.replacements[pat] =strip_quotes(rep)
+
+    def subs_replacements(self,s):
+        '''Substitute patterns from self.replacements in 's'.'''
+        result = s
+        for pat,rep in self.replacements.items():
+            result = re.sub(pat, rep, result)
+        return result
+
+    def parse_specialwords(self):
+        '''Parse special words section into self.specialwords dictionary.'''
+        reo = re.compile(r'(?:\s|^)(".+?"|[^"\s]+)(?=\s|$)')
+        for line in self.sections.get('specialwords',()):
+            e = parse_entry(line)
+            if not e:
+                raise EAsciiDoc,'[specialwords] entry in %s is malformed: %s' \
+                    % (self.fname,line)
+            name,wordlist = e
+            if not is_name(name):
+                raise EAsciiDoc,'[specialwords] name in %s is illegal: %s' \
+                    % (self.fname,name)
+            if wordlist is None:
+                # Undefine all words associated with 'name'.
+                for k,v in self.specialwords.items():
+                    if v == name:
+                        del self.specialwords[k]
+            else:
+                words = reo.findall(wordlist)
+                for word in words:
+                    word = strip_quotes(word)
+                    if not is_regexp(word):
+                        raise EAsciiDoc,'[specialwords] entry in %s ' \
+                            'is not a valid regular expression: %s' \
+                            % (self.fname,word)
+                    self.specialwords[word] = name
+
+    def subs_specialchars(self,s):
+        '''Perform special character substitution on string 's'.'''
+        '''It may seem like a good idea to escape special characters with a '\'
+        character, the reason we don't is because the escape character itself
+        then has to be escaped and this makes including code listings
+        problematic. Use the predefined {amp},{lt},{gt} attributes instead.'''
+        result = ''
+        for ch in s:
+            result = result + self.specialchars.get(ch,ch)
+        return result
+
+    def subs_specialwords(self,s):
+        '''Search for word patterns from self.specialwords in 's' and
+        substitute using corresponding macro.'''
+        result = s
+        for word in self.specialwords.keys():
+            result = re.sub(word, _subs_specialwords, result)
+        return result
+
+    def expand_templates(self,section):
+        result = []
+        for line in self.sections[section]:
+            mo = macros.match('+',r'template',line)
+            if mo:
+                s = mo.group('attrlist')
+                if self.sections.has_key(s):
+                    result += self.sections[s]
+                else:
+                    warning('missing [%s] section' % s)
+            else:
+                result.append(line)
+        return result
+
+    def expand_all_templates(self):
+        for k in self.sections.keys():
+            self.sections[k] = self.expand_templates(k)
+
+    def section2tags(self,section,d={}):
+        '''Perform attribute substitution on 'section' using document
+        attributes plus 'd' attributes. Return tuple (stag,etag) containing
+        pre and post | placeholder tags.'''
+        assert section is not None
+        if self.sections.has_key(section):
+            body = self.sections[section]
+        else:
+            warning('missing [%s] section' % section)
+            body = ()
+        # Split macro body into start and end tag lists.
+        stag = []
+        etag = []
+        in_stag = True
+        for s in body:
+            if in_stag:
+                mo = re.match(r'(?P<stag>.*)\|(?P<etag>.*)',s)
+                if mo:
+                    if mo.group('stag'):
+                        stag.append(mo.group('stag'))
+                    if mo.group('etag'):
+                        etag.append(mo.group('etag'))
+                    in_stag = False
+                else:
+                    stag.append(s)
+            else:
+                etag.append(s)
+        # Do attribute substitution last so {brkbar} can be used to escape |.
+        stag = subs_attrs(stag,d)
+        etag = subs_attrs(etag,d)
+        return (stag,etag)
+
+
+#---------------------------------------------------------------------------
+# Application code.
+#---------------------------------------------------------------------------
+# Constants
+# ---------
+APP_DIR = None              # This file's directory.
+USER_DIR = None             # ~/.asciidoc
+GLOBAL_CONFIG_DIR = "/etc/asciidoc"
+HELP_FILE = 'help.conf'
+
+# Globals
+# -------
+document = Document()       # The document being processed.
+config = Config()           # Configuration file reader.
+reader = Reader()           # Input stream line reader.
+writer = Writer()           # Output stream line writer.
+paragraphs = Paragraphs()   # Paragraph definitions.
+lists = Lists()             # List definitions.
+blocks = DelimitedBlocks()  # DelimitedBlock definitions.
+tables = Tables()           # Table definitions.
+macros = Macros()           # Macro definitions.
+calloutmap = CalloutMap()   # Coordinates callouts and callout list.
+
+def asciidoc(backend, doctype, confiles, infile, outfile, options):
+    '''Convert AsciiDoc document to DocBook document of type doctype
+    The AsciiDoc document is read from file object src the translated
+    DocBook file written to file object dst.'''
+    try:
+        if doctype not in ('article','manpage','book'):
+            raise EAsciiDoc,'illegal document type'
+        if backend == 'linuxdoc' and doctype != 'article':
+            raise EAsciiDoc,'%s %s documents are not supported' \
+                            % (backend,doctype)
+        document.backend = backend
+        if not os.path.exists(os.path.join(APP_DIR, backend+'.conf')) and not \
+               os.path.exists(os.path.join(GLOBAL_CONFIG_DIR, backend+'.conf')):
+            warning('non-standard %s backend' % backend, linenos=False)
+        document.doctype = doctype
+        document.infile = infile
+        document.init_attrs()
+        # Set processing options.
+        for o in options:
+            if o == '-c': config.dumping = True
+            if o == '-s': config.header_footer = False
+            if o == '-v': config.verbose = True
+        # Check the infile exists.
+        if infile != '<stdin>' and not os.path.isfile(infile):
+            raise EAsciiDoc,'input file %s missing' % infile
+        if '-e' not in options:
+            # Load global configuration from system configuration directory.
+            config.load_all(GLOBAL_CONFIG_DIR)
+            # Load global configuration files from asciidoc directory.
+            config.load_all(APP_DIR)
+            # Load configuration files from ~/.asciidoc if it exists.
+            if USER_DIR is not None:
+                config.load_all(USER_DIR)
+            # Load configuration files from document directory.
+            config.load_all(os.path.dirname(infile))
+        if infile != '<stdin>':
+            # Load implicit document specific configuration files if they exist.
+            config.load(os.path.splitext(infile)[0] + '.conf')
+            config.load(os.path.splitext(infile)[0] + '-' + backend + '.conf')
+        # If user specified configuration file(s) overlay the defaults.
+        if confiles:
+            for conf in confiles:
+                if os.path.isfile(conf):
+                    config.load(conf)
+                else:
+                    raise EAsciiDoc,'configuration file %s missing' % conf
+        document.init_attrs()   # Add conf files.
+        # Check configuration for consistency.
+        config.validate()
+        # Build outfile name now all conf files have been read.
+        if outfile is None:
+            outfile = os.path.splitext(infile)[0] + '.' + backend
+            if config.outfilesuffix:
+                # Change file extension.
+                outfile = os.path.splitext(outfile)[0] + config.outfilesuffix
+        document.outfile = outfile
+        if config.dumping:
+            config.dump()
+        else:
+            reader.tabsize = config.tabsize
+            reader.open(infile)
+            try:
+                writer.newline = config.newline
+                writer.open(outfile)
+                try:
+                    document.init_attrs()   # Add file name related entries.
+                    document.translate()
+                finally:
+                    writer.close()
+            finally:
+                reader.closefile()  # Keep reader state for postmortem.
+    except (KeyboardInterrupt, SystemExit):
+        print
+    except Exception,e:
+        # Cleanup.
+        if outfile and outfile != '<stdout>' and os.path.isfile(outfile):
+            os.unlink(outfile)
+        # Build and print error description.
+        msg = 'FAILED: '
+        if reader.cursor:
+            msg = msg + "%s: line %d: " % (reader.cursor[0],reader.cursor[1])
+        if isinstance(e,EAsciiDoc):
+            print_stderr(msg+str(e))
+        else:
+            print_stderr(msg+'unexpected error:')
+            print_stderr('-'*60)
+            traceback.print_exc(file=sys.stderr)
+            print_stderr('-'*60)
+        sys.exit(1)
+
+def usage(msg=''):
+    if msg:
+        print_stderr(msg)
+    print_stderr('Usage:       asciidoc [OPTIONS] FILE')
+    print_stderr('Man page:    asciidoc -h manpage')
+    print_stderr('Syntax:      asciidoc -h syntax')
+    print_stderr('Help topics: asciidoc -h topics')
+
+def show_help(topic):
+    '''Print help topic to stdout.'''
+    # Print [topic] section from help.conf files.
+    topics = OrderedDict()
+    load_sections(topics, HELP_FILE, GLOBAL_CONFIG_DIR)
+    load_sections(topics, HELP_FILE, APP_DIR)
+    if USER_DIR is not None:
+        load_sections(topics, HELP_FILE, USER_DIR)
+    if len(topics) == 0:
+        print_stderr('no help topics found')
+        sys.exit(1)
+    lines = topics.get(topic)
+    if not lines:
+        print_stderr('help topic not found: %s' % topic)
+        s = 'available help topics: '
+        for k in topics.keys():
+            s += k + ', '
+        print_stderr(s[:-2])
+        sys.exit(1)
+    else:
+        for line in lines:
+            print line
+
+def main():
+    if float(sys.version[:3]) < 2.3:
+        print_stderr('FAILED: Python 2.3 or better required.')
+        sys.exit(1)
+    # Locate the executable and configuration files directory.
+    global APP_DIR,USER_DIR
+    APP_DIR = os.path.dirname(realpath(sys.argv[0]))
+    USER_DIR = os.environ.get('HOME')
+    if USER_DIR is not None:
+        USER_DIR = os.path.join(USER_DIR,'.asciidoc')
+        if not os.path.isdir(USER_DIR):
+            USER_DIR = None
+    # Process command line options.
+    import getopt
+    try:
+        #DEPRECATED: --safe option.
+        opts,args = getopt.getopt(sys.argv[1:],
+            'a:b:cd:ef:h:no:svw:',
+            ['attribute=','backend=','conf-file=','doctype=','dump-conf',
+            'help=','no-conf','no-header-footer','out-file=','profile',
+            'section-numbers','verbose','version','safe','unsafe'])
+    except getopt.GetoptError,e:
+        msg = str(e)
+        if re.search(r'^option (-h|--help) requires argument$', msg):
+            # It's OK not to supply help option argument.
+            show_help('default')
+            sys.exit(0)
+        else:
+            usage(msg)
+            sys.exit(1)
+    if len(args) > 1:
+        usage()
+        sys.exit(1)
+    backend = DEFAULT_BACKEND
+    doctype = DEFAULT_DOCTYPE
+    confiles = []
+    outfile = None
+    options = []
+    prof = False
+    for o,v in opts:
+        if o in ('--help','-h'):
+            if v:
+                show_help(v)
+            else:
+                show_help('default')
+            sys.exit(0)
+        if o == '--profile':
+            prof = True
+        if o == '--unsafe':
+            document.safe = False
+        if o == '--version':
+            print_stderr('asciidoc %s' % VERSION)
+            sys.exit(0)
+        if o in ('-b','--backend'):
+            backend = v
+        if o in ('-c','--dump-conf'):
+            options.append('-c')
+        if o in ('-d','--doctype'):
+            doctype = v
+        if o in ('-e','--no-conf'):
+            options.append('-e')
+        if o in ('-f','--conf-file'):
+            confiles.append(v)
+        if o in ('-n','--section-numbers'):
+            o = '-a'
+            v = 'numbered'
+        if o in ('-a','--attribute'):
+            e = parse_entry(v, allow_name_only=True)
+            if not e:
+                usage('Illegal -a option: %s' % v)
+                sys.exit(1)
+            k,v = e
+            config.cmd_attrs[k] = v
+        if o in ('-o','--out-file'):
+            if v == '-':
+                outfile = '<stdout>'
+            else:
+                outfile = v
+        if o in ('-s','--no-header-footer'):
+            options.append('-s')
+        if o in ('-v','--verbose'):
+            options.append('-v')
+    if len(args) == 0 and len(opts) == 0:
+        usage()
+        sys.exit(1)
+    if len(args) == 0:
+        usage('No source file specified')
+        sys.exit(1)
+    if not backend:
+        usage('No --backend option specified')
+        sys.exit(1)
+    if args[0] == '-':
+        infile = '<stdin>'
+    else:
+        infile = args[0]
+    if infile == '<stdin>' and not outfile:
+        outfile = '<stdout>'
+    # Convert in and out files to absolute paths.
+    if infile != '<stdin>':
+        infile = os.path.abspath(infile)
+    if outfile and outfile != '<stdout>':
+        outfile = os.path.abspath(outfile)
+    # Do the work.
+    if prof:
+        import profile
+        profile.run("asciidoc('%s','%s',(),'%s',None,())"
+            % (backend,doctype,infile))
+    else:
+        asciidoc(backend, doctype, confiles, infile, outfile, options)
+    if document.has_errors:
+        sys.exit(1)
+
+if __name__ == "__main__":
+    try:
+        main()
+    except KeyboardInterrupt:
+        pass
+    except SystemExit:
+        raise
+    except:
+        print_stderr('%s: unexpected error: %s' %
+                (os.path.basename(sys.argv[0]), sys.exc_info()[1]))
+        print_stderr('-'*60)
+        traceback.print_exc(file=sys.stderr)
+        print_stderr('-'*60)
+        sys.exit(1) 
diff -pruN 0.12~pre2.dfsg0-1/doc/tools/asciidoc/README 0.12~pre4-1/doc/tools/asciidoc/README
--- 0.12~pre2.dfsg0-1/doc/tools/asciidoc/README	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/doc/tools/asciidoc/README	2009-05-31 09:48:47.000000000 +0100
@@ -7,8 +7,9 @@ with new versions of AsciiDoc:
 
 http://bugzilla.elinks.cz/show_bug.cgi?id=989
 http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=491820
+http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=526349
 
-So now we bundle the configuration files from a known good version
+So now we bundle the necessary files from a known good version
 to let ELinks documentation be built with them regardless of which
 version has been installed on the machine.  This should keep things
-working as long as the configuration file format remains compatible.
+working as long as the Python interpreter remains compatible.
diff -pruN 0.12~pre2.dfsg0-1/doc/tools/help2doc 0.12~pre4-1/doc/tools/help2doc
--- 0.12~pre2.dfsg0-1/doc/tools/help2doc	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/doc/tools/help2doc	1970-01-01 01:00:00.000000000 +0100
@@ -1,83 +0,0 @@
-#! /usr/bin/perl
-use strict;
-use warnings;
-
-my ($elinks, $option) = @ARGV;
-
-if ($option =~ /command/) {
-    open my $pipe, "-|", $elinks, "--long-help" or die;
-    my $version = <$pipe>;
-    chomp $version;
-    $version =~ s/^ELinks ([-.\w]+).*$/$1/ or die "unusual version: $version";
-    my $blank = 1;
-    while (<$pipe>) {
-	if (/^ {4}(-.*?) *$/) {
-	    # '    -anonymous [0|1] (default: 0)'
-	    # '    -config-dir <str> (default: "")'
-	    $_ = $1;
-	    s/ {2,}/ /g;
-	    print "${_}::\n";
-	} elsif (/^ {12}\t(-eval .*)$/) {
-	    print "\n\t$1\n";
-	} elsif (/^ {12}\t(\w+\(.*\)) +: (.*)$/) {
-	    # '            	openURL(URL, new-tab)     : open URL in new tab'
-	    print "\t- `$1`: $2\n";
-	} elsif (/^ {12}\t(\d+) (means .+)$/) {
-	    # '            	0 means only show serious errors'
-	    print "\t- $1:\t$2\n";
-	} elsif (s/^ {12}//) {
-	    s/'([^']+)'/\\'$1\\'/g;
-	    s((~/\.elinks|-dump|-default-mime-type|text/html|-touch-files|-no-connect|-session-ring))(`$1`)g;
-	    s/(ELinks|HOME)/'$1'/g;
-	    print "\t$_";
-	} else {
-	    print "\n" unless $blank;
-	    $blank = 2;
-	}
-	$blank = ($blank == 2);
-    }
-    print "Generated using output from ELinks version $version.\n";
-} elsif ($option =~ /config/) {
-    open my $pipe, "-|", $elinks, "--config-help" or die;
-    my $version = <$pipe>;
-    chomp $version;
-    $version =~ s/^ELinks ([-.\w]+).*$/$1/ or die "unusual version: $version";
-    my $blank = 1;
-    my $continued = 0;
-    while (<$pipe>) {
-	if (/^ {2}[^ ].*: \(([-.\w]+)\)$/) {
-	    # '  Active link: (document.browse.links.active_link)'
-	    print "$1::\n";
-	} elsif (/^ {4}([^ ].*?)$/) {
-	    # '    bookmarks.file_format <num> (default: 0)'
-	    print "$1::\n";
-	} elsif (/^ {12,}$/) {
-	    print "+\n";
-	    $continued = 1;
-	} elsif (s/^ {12,}//) {
-	    # escape things that might look like AsciiDoc markup
-	    s/'(.*?)'/\\'$1\\'/g;
-	    s/\{(.*?)\}/\\{$1\\}/g;
-	    # add the actual AsciiDoc markup
-	    s/(ELinks|WWW_HOME)/'$1'/g;
-	    s((~/\.elinks))(`$1`)g;
-	    if (/^(-?\d[-+\d]*?) +(.*)$/) {
-		# '            1+ is use cookie's expiration date, but limit age to the given'
-		print "\t- $1:\t$2\n";
-	    } elsif ($continued) {
-		print "$_";
-	    } else {
-		print "\t$_";
-	    }
-	} else {
-	    print "\n" unless $blank;
-	    $blank = 2;
-	    $continued = 0;
-	}
-	$blank = ($blank == 2);
-    }
-    print "Generated using output from ELinks version $version.\n";
-} else {
-    die "usage: $0 ELINKS-EXECUTABLE option-command.txt\n"
-      . "   or: $0 ELINKS-EXECUTABLE option-config.txt\n";
-}
diff -pruN 0.12~pre2.dfsg0-1/doc/tools/help2xml 0.12~pre4-1/doc/tools/help2xml
--- 0.12~pre2.dfsg0-1/doc/tools/help2xml	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/doc/tools/help2xml	2009-05-31 09:48:47.000000000 +0100
@@ -574,7 +574,7 @@ get the documentation.
 
 =item F<.../option-config.frag.xhtml>
 
-The output file to which B<help2docbook> writes the DocBook XML or
+The output file to which B<help2xml> writes the DocBook XML or
 XHTML fragment.  The basename of this file must include the word
 "command" for command-line options, or "config" for configuration
 options.  It must also include "xml" for Docbook XML, or "html" for
@@ -590,7 +590,7 @@ Kalle Olavi Niemitalo <kon@iki.fi>
 
 Copyright (c) 2008 Kalle Olavi Niemitalo.
 
-Permission to use, copy, modify, and distribute this software for any
+Permission to use, copy, modify, and/or distribute this software for any
 purpose with or without fee is hereby granted, provided that the above
 copyright notice and this permission notice appear in all copies.
 
diff -pruN 0.12~pre2.dfsg0-1/features.conf 0.12~pre4-1/features.conf
--- 0.12~pre2.dfsg0-1/features.conf	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/features.conf	2009-05-31 09:48:47.000000000 +0100
@@ -214,9 +214,9 @@ CONFIG_BZIP2=yes
 # newer LZMA file format.  This version of ELinks does not support
 # LZMA SDK from 7-Zip.
 #
-# Default: enabled if the library is installed
+# Default: disabled
 
-CONFIG_LZMA=yes
+CONFIG_LZMA=no
 
 
 ### IPv6 Protocol Support
diff -pruN 0.12~pre2.dfsg0-1/git-commit-id 0.12~pre4-1/git-commit-id
--- 0.12~pre2.dfsg0-1/git-commit-id	2008-09-21 12:14:54.000000000 +0100
+++ 0.12~pre4-1/git-commit-id	2009-05-31 10:03:48.000000000 +0100
@@ -1 +1 @@
-319e05d106f8f0664bcc9f3548468f275bfb6c4e
+a23a49fb4efcd14e6316db71b118199acbd342aa
diff -pruN 0.12~pre2.dfsg0-1/Makefile.config.in 0.12~pre4-1/Makefile.config.in
--- 0.12~pre2.dfsg0-1/Makefile.config.in	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/Makefile.config.in	2009-05-31 09:48:47.000000000 +0100
@@ -49,8 +49,8 @@ INSTALL_SCRIPT = @INSTALL_SCRIPT@
 
 host = @host@
 
-ASCIIDOC = @ASCIIDOC@
-ASCIIDOC_FLAGS = @ASCIIDOC_FLAGS@
+ASCIIDOC = @PYTHON@ $(top_srcdir)/doc/tools/asciidoc/asciidoc.py
+ASCIIDOC_FLAGS = --unsafe
 AWK = @AWK@
 CATALOGS = @CATALOGS@
 CC = @CC@
@@ -87,6 +87,8 @@ SEE_CFLAGS = @SEE_CFLAGS@
 SPARSE = @SPARSE@
 SPIDERMONKEY_CFLAGS = @SPIDERMONKEY_CFLAGS@
 SPIDERMONKEY_LIBS = @SPIDERMONKEY_LIBS@
+TRE_CFLAGS = @TRE_CFLAGS@
+TRE_LIBS = @TRE_LIBS@
 VERSION = @VERSION@
 XMLTO = @XMLTO@
 X_CFLAGS = @X_CFLAGS@
diff -pruN 0.12~pre2.dfsg0-1/NEWS 0.12~pre4-1/NEWS
--- 0.12~pre2.dfsg0-1/NEWS	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/NEWS	2009-05-31 09:48:47.000000000 +0100
@@ -5,10 +5,87 @@ You can see the complete list of recent 
 in the http://repo.or.cz/w/elinks.git[gitweb interface]. See the ChangeLog
 file for details.
 
+ELinks 0.12pre4:
+----------------
+
+This release also included the changes listed under ``ELinks
+0.11.6.GIT now'' below.
+
+Incompatibilities:
+
+* Debian build bug 529821: Use ``pkg-config gnutls'' instead of
+  ``libgnutls-config'', which is not included in GNUTLS 2.7.x.
+  You can no longer specify the location of GNUTLS using
+  ``configure --with-gnutls=DIR''.
+
+Other changes:
+
+* Debian bug 528661: If using GNUTLS 2.1.7 or later, disable various
+  TLS extensions (including CERT and SERVERNAME) to help handshaking
+  with the SSLv3-only bugzilla.novell.com.
+* Debian build bug 526349: Include asciidoc.py from AsciiDoc 7.1.2,
+  to remove all dependencies on the installed version.
+* build enhancement: Recognize ``configure --without-tre''.
+
+Bugs that should be removed from NEWS before the 0.12.0 release:
+
+* critical bug 1071: Fix crash in get_dom_node_child.  ELinks 0.12pre1
+  was the first release that had this bug.
+* bug 765: Opening a new tab no longer asks about the document of the
+  previous tab.  ELinks 0.12pre1 was the first release that had this
+  bug.
+
+ELinks 0.12pre3:
+----------------
+
+Released on 2009-03-29.  This release also included the changes listed
+under ``ELinks 0.11.6'' below.
+
+Incompatibilities:
+
+* bug 1060: Regexp searching now requires the TRE library.
+* lzma disabled by default. It's rarely used and doesn't build with new xz.
+
+Other changes:
+
+* critical: Fix assertion failure if IMG/@usemap refers to a different
+  file.
+* Preserve newlines in hidden input fields, and submit them as CRLF.
+  Previously, they could turn into spaces or disappear entirely.
+* Perl scripts can use modules that dynamically load C libraries, like
+  XML::LibXML::SAX does.
+* bug 153: Preserve Unicode characters in XBEL bookmark files.
+  However, Unicode in URIs (really IRIs) does not work reliably yet;
+  this is being tracked as bug 1066.
+* bug 885: Convert xterm titles to ISO-8859-1 by default, but add an
+  option to disable this.  When removing control characters from a
+  title, note the charset.  Don't truncate titles to the width of the
+  terminal.
+* bug 1061: Correctly truncate UTF-8 titles in the tab bar.
+* bug 1068: ELinks used to display a blank or truncated page if an
+  HTTP/1.1 server sent a compressed body with incorrect Content-Length.
+  That has now been fixed, and a new option (protocol.http.compression)
+  has been added.
+* Don't crash when the search-toggle-regex action is used and no regular
+  expression support is compiled in.
+* minor bug 761: When reading bookmarks from an XBEL file, distinguish
+  attribute names from attribute values.
+* enhancement: Updated ISO 8859-7, ISO 8859-16, KOI8-R, and MacRoman.
+
+Bugs that should be removed from NEWS before the 0.12.0 release:
+
+* critical bug 1067: Fixed a crash in the RSS parser that ``configure
+  --enable-html-highlight'' enables.  ELinks 0.12pre1 was the first
+  release that had this bug.
+* bug 1069: ELinks didn't report ECMAScript errors, even if the
+  ecmascript.error_reporting option was turned on.  ELinks 0.12pre2
+  was the first release that had this bug.
+
 ELinks 0.12pre2:
 ----------------
 
-This release also included the changes listed under "ELinks 0.11.5" below.
+Released on 2008-09-21.  This release also included the changes listed
+under ``ELinks 0.11.5'' below.
 
 * bug 954, enhancement 952: Keep track of ECMAScript form and input
   objects instead of constructing new ones on every access.  When the
@@ -64,8 +141,8 @@ Bugs that should be removed from NEWS be
 ELinks 0.12pre1:
 ----------------
 
-Released on 2008-07-01.  This release also included all the bug fixes
-of ELinks 0.11.4, but not the ones made in 0.11.4.GIT.
+Released on 2008-07-01.  This release also included the changes listed
+under ``ELinks 0.11.4'' below.
 
 Notable new features:
 
@@ -78,6 +155,7 @@ Notable new features:
   in features.conf.
 * enhancement 844: SMB protocol using libsmbclient.  This replaces
   the smbclient-based code that was disabled in ELinks 0.11.2.
+  Unfortunately, Samba 3.2.0 and later seem GPLv2 incompatible.
 
 Incompatibilities:
 
@@ -218,9 +296,35 @@ Changes in the experimental SGML/DOM imp
 * enhancement: incremental parsing
 * and more.
 
+ELinks 0.11.6.GIT now:
+----------------------
+
+To be released as 0.11.7.
+
+* critical bug 1077: fix crash opening a ``javascript:'' link in a new
+  tab
+
+ELinks 0.11.6:
+--------------
+
+Released on 2009-03-21.
+
+* critical: fix double-free crash if EOF immediately follows </MAP>
+* critical bug 1053: fix crash if a download finishes after ELinks has
+  closed the terminal from which the download was started
+* major bug 1004: ignore locales when comparing HTML element names and
+  similar strings, so e.g. ``title'' matches ``TITLE'' even in the
+  Turkish locale
+* minor: clicking a link with the mouse activates that link, rather
+  than the one selected with move-cursor-* actions
+* build bug 1047: attempt to make inline functions satisfy C99 6.7.4p3
+  so that ELinks can be built on OpenSolaris
+
 ELinks 0.11.5:
 --------------
 
+Released on 2008-09-21.
+
 * critical bug 1027 in user SMJS: make elinks.keymaps treat null and
   "none" as equivalent actions, avoiding a segfault
 * critical bug 1030: an assertion used to fail in the search dialog
Binary files 0.12~pre2.dfsg0-1/po/af.gmo and 0.12~pre4-1/po/af.gmo differ
diff -pruN 0.12~pre2.dfsg0-1/po/af.po 0.12~pre4-1/po/af.po
--- 0.12~pre2.dfsg0-1/po/af.po	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/po/af.po	2009-05-31 09:48:47.000000000 +0100
@@ -7,7 +7,7 @@ msgid ""
 msgstr ""
 "Project-Id-Version: 0.12\n"
 "Report-Msgid-Bugs-To: elinks-users@linuxfromscratch.org\n"
-"POT-Creation-Date: 2008-09-21 11:13+0300\n"
+"POT-Creation-Date: 2009-05-31 01:57+0300\n"
 "PO-Revision-Date: 2006-09-25 17:13+0200\n"
 "Last-Translator: Friedel Wolff <fwolff@translate.org.za>\n"
 "Language-Team: <translate-discuss-af@translate.sourceforge.net>\n"
@@ -40,7 +40,7 @@ msgstr "Druk spasie om hierdie gids te l
 #: src/mime/dialogs.c:132 src/protocol/auth/dialogs.c:115
 #: src/protocol/protocol.c:246 src/scripting/lua/core.c:399
 #: src/scripting/lua/core.c:480 src/scripting/python/dialogs.c:86
-#: src/session/session.c:811 src/viewer/text/search.c:1686
+#: src/session/session.c:821 src/viewer/text/search.c:1704
 msgid "~OK"
 msgstr "Regs~o"
 
@@ -57,13 +57,13 @@ msgid "Sorry, but the item \"%s\" is bei
 msgstr "Jammer, maar die item \"%s\" word deur iets anders gebruik."
 
 #. cant_delete_folder
-#: src/bfu/hierbox.c:558 src/bookmarks/dialogs.c:121
+#: src/bfu/hierbox.c:558 src/bookmarks/dialogs.c:153
 #, c-format
 msgid "Sorry, but the folder \"%s\" cannot be deleted."
 msgstr "Jammer, maar die gids \"%s\" kan nie geskrap word nie."
 
 #. cant_delete_used_folder
-#: src/bfu/hierbox.c:561 src/bookmarks/dialogs.c:123
+#: src/bfu/hierbox.c:561 src/bookmarks/dialogs.c:155
 #, c-format
 msgid "Sorry, but the folder \"%s\" is being used by something else."
 msgstr "Jammer, maar die gids \"%s\" word deur iets anders gebruik."
@@ -79,7 +79,7 @@ msgid "Delete marked items?"
 msgstr "Skrap gemerkte items?"
 
 #. delete_folder_title
-#: src/bfu/hierbox.c:570 src/bookmarks/dialogs.c:129
+#: src/bfu/hierbox.c:570 src/bookmarks/dialogs.c:161
 msgid "Delete folder"
 msgstr "Skrap gids"
 
@@ -136,13 +136,13 @@ msgstr "~Ja"
 msgid "~No"
 msgstr "~Nee"
 
-#: src/bfu/hierbox.c:945 src/bfu/hierbox.c:976 src/viewer/text/search.c:1090
-#: src/viewer/text/search.c:1098 src/viewer/text/search.c:1114
-#: src/viewer/text/search.c:1705
+#: src/bfu/hierbox.c:945 src/bfu/hierbox.c:976 src/viewer/text/search.c:1106
+#: src/viewer/text/search.c:1114 src/viewer/text/search.c:1130
+#: src/viewer/text/search.c:1723
 msgid "Search"
 msgstr "Soek"
 
-#: src/bfu/hierbox.c:947 src/viewer/text/search.c:1091
+#: src/bfu/hierbox.c:947 src/viewer/text/search.c:1107
 #, c-format
 msgid "Search string '%s' not found"
 msgstr "Soekstring '%s' nie gevind nie"
@@ -181,8 +181,8 @@ msgstr "Leë string word nie toegelaat n
 #: src/dialogs/options.c:237 src/dialogs/options.c:316 src/mime/dialogs.c:133
 #: src/protocol/auth/dialogs.c:116 src/protocol/bittorrent/dialogs.c:814
 #: src/scripting/lua/core.c:400 src/scripting/lua/core.c:481
-#: src/session/download.c:607 src/session/download.c:1219
-#: src/viewer/text/search.c:1687
+#: src/session/download.c:633 src/session/download.c:1245
+#: src/viewer/text/search.c:1705
 msgid "~Cancel"
 msgstr "~Kanseleer"
 
@@ -194,8 +194,8 @@ msgstr "Horlosie"
 msgid "Digital clock in the status bar."
 msgstr "Digitale horlose in die statusbalk."
 
-#: src/bfu/leds.c:77 src/bfu/leds.c:94 src/config/options.inc:1199
-#: src/config/options.inc:1206 src/ecmascript/ecmascript.c:45
+#: src/bfu/leds.c:77 src/bfu/leds.c:94 src/config/options.inc:1272
+#: src/config/options.inc:1279 src/ecmascript/ecmascript.c:45
 #: src/globhist/globhist.c:64 src/mime/backend/mailcap.c:93
 #: src/mime/backend/mimetypes.c:52 src/network/ssl/ssl.c:81
 msgid "Enable"
@@ -210,9 +210,9 @@ msgid "Format"
 msgstr "Formaat"
 
 #: src/bfu/leds.c:83
+#, fuzzy
 msgid ""
-"Format string for the digital clock. See the strftime(3)\n"
-"manpage for details."
+"Format string for the digital clock. See the strftime(3) manpage for details."
 msgstr ""
 "Formaatstring vir die digitale horlosie. Sien die man-blad\n"
 "vir strftime(3) vir detail."
@@ -226,9 +226,9 @@ msgid "LEDs (visual indicators) options.
 msgstr "LED-opsies (visuele aanwysers)."
 
 #: src/bfu/leds.c:96
+#, fuzzy
 msgid ""
-"Enable LEDs.\n"
-"These visual indicators will inform you about various states."
+"Enable LEDs. These visual indicators will inform you about various states."
 msgstr ""
 "Aktiveer LED's.\n"
 "Hierdie visuele aanwysers sal u inlig oor verskeie toestande."
@@ -271,33 +271,33 @@ msgstr ""
 msgid "Search menu/"
 msgstr ""
 
-#: src/bookmarks/backend/xbel.c:97
+#: src/bookmarks/backend/xbel.c:105
 #, c-format
 msgid "read_bookmarks_xbel(): Error in XML_ParserCreate()"
 msgstr ""
 
-#: src/bookmarks/backend/xbel.c:108
+#: src/bookmarks/backend/xbel.c:116
 #, c-format
 msgid "read_bookmarks_xbel(): Error reading %s"
 msgstr ""
 
-#: src/bookmarks/backend/xbel.c:116
+#: src/bookmarks/backend/xbel.c:124
 #, c-format
 msgid ""
 "Parse error while processing XBEL bookmarks in %s at line %d column %d:\n"
 "%s"
 msgstr ""
 
-#: src/bookmarks/backend/xbel.c:390 src/bookmarks/backend/xbel.c:411
+#: src/bookmarks/backend/xbel.c:388 src/bookmarks/backend/xbel.c:410
 msgid "No title"
 msgstr "Geen titel"
 
-#: src/bookmarks/backend/xbel.c:396
+#: src/bookmarks/backend/xbel.c:394
 msgid "No URL"
 msgstr "Geen URL"
 
 #. name:
-#: src/bookmarks/bookmarks.c:48 src/bookmarks/bookmarks.c:181
+#: src/bookmarks/bookmarks.c:48 src/bookmarks/bookmarks.c:183
 msgid "Bookmarks"
 msgstr "Boekmerke"
 
@@ -305,7 +305,7 @@ msgstr "Boekmerke"
 msgid "Bookmark options."
 msgstr "Boekmerkkeuses."
 
-#: src/bookmarks/bookmarks.c:53 src/bookmarks/bookmarks.c:59
+#: src/bookmarks/bookmarks.c:53 src/bookmarks/bookmarks.c:60
 msgid "File format"
 msgstr "Lêerformaat"
 
@@ -313,50 +313,46 @@ msgstr "Lêerformaat"
 msgid ""
 "File format for bookmarks (affects both reading and saving):\n"
 "0 is the default native ELinks format\n"
-"1 is XBEL universal XML bookmarks format (ELinks bug 153: NO NATIONAL CHARS "
-"SUPPORT!)"
+"1 is XBEL universal XML bookmarks format"
 msgstr ""
 
-#: src/bookmarks/bookmarks.c:61
+#: src/bookmarks/bookmarks.c:62
 msgid ""
 "File format for bookmarks (affects both reading and saving):\n"
 "0 is the default native ELinks format\n"
-"1 is XBEL universal XML bookmarks format (ELinks bug 153: NO NATIONAL CHARS "
-"SUPPORT!)  (DISABLED)"
+"1 is XBEL universal XML bookmarks format  (DISABLED)"
 msgstr ""
 
-#: src/bookmarks/bookmarks.c:67
+#: src/bookmarks/bookmarks.c:68
 msgid "Save folder state"
 msgstr "Stoor gidstoestand"
 
-#: src/bookmarks/bookmarks.c:69
+#: src/bookmarks/bookmarks.c:70
 msgid ""
-"When saving bookmarks also store whether folders are\n"
-"expanded or not, so the look of the bookmark dialog is\n"
-"kept across ELinks sessions. If disabled all folders will\n"
-"appear unexpanded next time ELinks is run."
+"When saving bookmarks also store whether folders are expanded or not, so the "
+"look of the bookmark dialog is kept across ELinks sessions. If disabled all "
+"folders will appear unexpanded next time ELinks is run."
 msgstr ""
 
-#: src/bookmarks/bookmarks.c:74
+#: src/bookmarks/bookmarks.c:75
 msgid "Periodic snapshotting"
 msgstr ""
 
-#: src/bookmarks/bookmarks.c:76
+#: src/bookmarks/bookmarks.c:77
 msgid ""
-"Automatically save a snapshot of all tabs periodically.\n"
-"This will periodically bookmark the tabs of each terminal in a separate "
-"folder\n"
-"for recovery after a crash.\n"
+"Automatically save a snapshot of all tabs periodically. This will "
+"periodically bookmark the tabs of each terminal in a separate folder for "
+"recovery after a crash.\n"
 "\n"
 "This feature requires bookmark support."
 msgstr ""
 
-#: src/bookmarks/dialogs.c:72 src/config/options.inc:1051
+#: src/bookmarks/dialogs.c:97 src/config/options.inc:1120
 #: src/dialogs/document.c:145 src/globhist/dialogs.c:65
 msgid "Title"
 msgstr "Titel"
 
-#: src/bookmarks/dialogs.c:73 src/cache/dialogs.c:65
+#: src/bookmarks/dialogs.c:101 src/cache/dialogs.c:65
 #: src/dialogs/document.c:136 src/dialogs/edit.c:96 src/formhist/dialogs.c:63
 #: src/globhist/dialogs.c:66 src/protocol/auth/dialogs.c:163
 #: src/scripting/lua/core.c:397
@@ -364,81 +360,81 @@ msgid "URL"
 msgstr "URL"
 
 #. cant_delete_item
-#: src/bookmarks/dialogs.c:117
+#: src/bookmarks/dialogs.c:149
 #, c-format
 msgid "Sorry, but the bookmark \"%s\" cannot be deleted."
 msgstr "Jammer, maar die boekmerk \"%s\" kan nie geskrap word nie."
 
 #. cant_delete_used_item
-#: src/bookmarks/dialogs.c:119
+#: src/bookmarks/dialogs.c:151
 #, c-format
 msgid "Sorry, but the bookmark \"%s\" is being used by something else."
 msgstr "Jammer, maar die boekmerk \"%s\" word deur iets anders gebruik."
 
 #. delete_marked_items_title
-#: src/bookmarks/dialogs.c:125
+#: src/bookmarks/dialogs.c:157
 msgid "Delete marked bookmarks"
 msgstr "Skrap gemerkte boekmerke"
 
 #. delete_marked_items
-#: src/bookmarks/dialogs.c:127
+#: src/bookmarks/dialogs.c:159
 msgid "Delete marked bookmarks?"
 msgstr "Skrap gemerkte boekmerke?"
 
 #. delete_folder
-#: src/bookmarks/dialogs.c:131
+#: src/bookmarks/dialogs.c:163
 #, c-format
 msgid "Delete the folder \"%s\" and all bookmarks in it?"
 msgstr "Skrap die gids \"%s\" en alle boekmerke daarin?"
 
 #. delete_item_title
-#: src/bookmarks/dialogs.c:133
+#: src/bookmarks/dialogs.c:165
 msgid "Delete bookmark"
 msgstr "Skrap boekmerk"
 
-#: src/bookmarks/dialogs.c:135
+#: src/bookmarks/dialogs.c:167
 #, c-format
 msgid "Delete this bookmark?"
 msgstr "Skrap hierdie boekmerk?"
 
 #. clear_all_items_title
-#: src/bookmarks/dialogs.c:137
+#: src/bookmarks/dialogs.c:169
 msgid "Clear all bookmarks"
 msgstr ""
 
 #. clear_all_items_title
-#: src/bookmarks/dialogs.c:139
+#: src/bookmarks/dialogs.c:171
 msgid "Do you really want to remove all bookmarks?"
 msgstr "Wil u regtig alle boekmerke skrap?"
 
-#: src/bookmarks/dialogs.c:254
+#: src/bookmarks/dialogs.c:327
 msgid "Add folder"
 msgstr "Voeg gids by"
 
-#: src/bookmarks/dialogs.c:254
+#: src/bookmarks/dialogs.c:327
 msgid "Folder name"
 msgstr "Gidsnaam"
 
-#: src/bookmarks/dialogs.c:310 src/scripting/lua/core.c:391
+#: src/bookmarks/dialogs.c:410 src/scripting/lua/core.c:391
 msgid "Edit bookmark"
 msgstr "Wysig boekmerk"
 
-#: src/bookmarks/dialogs.c:461
+#: src/bookmarks/dialogs.c:567
 msgid "Cannot move folder inside itself"
 msgstr "Kan nie 'n gids in homself inskuif nie"
 
-#: src/bookmarks/dialogs.c:462
+#: src/bookmarks/dialogs.c:568
 msgid ""
 "You are trying to move the marked folder inside itself. To move the folder "
 "to a different location select the new location before pressing the Move "
 "button."
 msgstr ""
 
-#: src/bookmarks/dialogs.c:468
+#: src/bookmarks/dialogs.c:574
 msgid "Nothing to move"
 msgstr "Niks om te skuif nie"
 
-#: src/bookmarks/dialogs.c:469
+#: src/bookmarks/dialogs.c:575
 msgid ""
 "To move bookmarks, first mark all the bookmarks (or folders) you want to "
 "move.  This can be done with the Insert key if you're using the default key-"
@@ -447,19 +443,19 @@ msgid ""
 msgstr ""
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons, src/cache/dialogs.c:cache_buttons, src/globhist/dialogs.c:globhist_buttons, src/protocol/auth/dialogs.c:auth_buttons)
-#: src/bookmarks/dialogs.c:487 src/cache/dialogs.c:230
+#: src/bookmarks/dialogs.c:593 src/cache/dialogs.c:230
 #: src/globhist/dialogs.c:224 src/protocol/auth/dialogs.c:261
 msgid "~Goto"
 msgstr "~Gaan na"
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons, src/config/dialogs.c:option_buttons, src/cookies/dialogs.c:cookie_buttons)
-#: src/bookmarks/dialogs.c:488 src/config/dialogs.c:503
+#: src/bookmarks/dialogs.c:594 src/config/dialogs.c:503
 #: src/cookies/dialogs.c:492
 msgid "~Edit"
 msgstr "~Redigeer"
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons, src/cache/dialogs.c:cache_buttons, src/config/dialogs.c:keybinding_buttons, src/config/dialogs.c:option_buttons, src/cookies/dialogs.c:cookie_buttons, src/dialogs/menu.c:ext_menu, src/formhist/dialogs.c:formhist_buttons, src/globhist/dialogs.c:globhist_buttons, src/protocol/auth/dialogs.c:auth_buttons)
-#: src/bookmarks/dialogs.c:489 src/cache/dialogs.c:231
+#: src/bookmarks/dialogs.c:595 src/cache/dialogs.c:231
 #: src/config/dialogs.c:505 src/config/dialogs.c:930 src/cookies/dialogs.c:493
 #: src/dialogs/menu.c:463 src/formhist/dialogs.c:211
 #: src/globhist/dialogs.c:229 src/protocol/auth/dialogs.c:263
@@ -467,28 +463,28 @@ msgid "~Delete"
 msgstr "~Skrap"
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons, src/config/dialogs.c:keybinding_buttons, src/config/dialogs.c:option_buttons, src/cookies/dialogs.c:cookie_buttons, src/dialogs/menu.c:ext_menu)
-#: src/bookmarks/dialogs.c:490 src/config/dialogs.c:504
+#: src/bookmarks/dialogs.c:596 src/config/dialogs.c:504
 #: src/config/dialogs.c:929 src/cookies/dialogs.c:490 src/dialogs/menu.c:461
 msgid "~Add"
 msgstr "~Voeg by"
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons)
-#: src/bookmarks/dialogs.c:491
+#: src/bookmarks/dialogs.c:597
 msgid "Add se~parator"
 msgstr "Voeg ~skeier in"
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons)
-#: src/bookmarks/dialogs.c:492
+#: src/bookmarks/dialogs.c:598
 msgid "Add ~folder"
 msgstr "Voeg ~gids by"
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons)
-#: src/bookmarks/dialogs.c:493
+#: src/bookmarks/dialogs.c:599
 msgid "~Move"
 msgstr "~Skuif"
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons, src/cache/dialogs.c:cache_buttons, src/config/dialogs.c:keybinding_buttons, src/config/dialogs.c:option_buttons, src/dialogs/menu.c:view_menu, src/globhist/dialogs.c:globhist_buttons)
-#: src/bookmarks/dialogs.c:494 src/cache/dialogs.c:232
+#: src/bookmarks/dialogs.c:600 src/cache/dialogs.c:232
 #: src/config/dialogs.c:506 src/config/dialogs.c:932 src/dialogs/menu.c:413
 #: src/globhist/dialogs.c:230
 msgid "~Search"
@@ -496,36 +492,50 @@ msgstr "Soe~k"
 
 #. This one is too dangerous, so just let user delete
 #. * the bookmarks file if needed. --Zas
-#: src/bookmarks/dialogs.c:498
+#: src/bookmarks/dialogs.c:604
 msgid "Clear"
 msgstr "Maak skoon"
 
 #. TODO: Would this be useful? --jonas
-#: src/bookmarks/dialogs.c:501 src/globhist/dialogs.c:235
+#: src/bookmarks/dialogs.c:607 src/globhist/dialogs.c:235
 msgid "Save"
 msgstr "Stoor"
 
-#: src/bookmarks/dialogs.c:507
+#: src/bookmarks/dialogs.c:613
 msgid "Bookmark manager"
 msgstr "Boekmerkbestuurder"
 
-#: src/bookmarks/dialogs.c:632
+#: src/bookmarks/dialogs.c:825
 msgid "Search bookmarks"
 msgstr "Deursoek boekmerke"
 
-#: src/bookmarks/dialogs.c:661
+#. When the user eventually pushes the OK button, BFU calls
+#. * bookmark_add_add() and gives it the struct dialog * as the
+#. * void * parameter.  However, bookmark_add_add() also needs
+#. * to know the struct terminal *, and there is no way to get
+#. * that from struct dialog.  The other bookmark dialogs work
+#. * around that by making dialog.udata point to the struct
+#. * dialog_data of the bookmark manager, but the "Add bookmark"
+#. * dialog can be triggered with ACT_MAIN_ADD_BOOKMARK, which
+#. * does not involve the bookmark manager at all.
+#. *
+#. * The solution here is to save the struct terminal * in
+#. * dialog.udata2, which the "Edit bookmark" dialog uses for
+#. * struct bookmark *.  When adding a new bookmark, we don't
+#. * need a pointer to an existing one, of course.
+#: src/bookmarks/dialogs.c:892
 msgid "Add bookmark"
 msgstr "Voeg boekmerk by"
 
-#: src/bookmarks/dialogs.c:697
+#: src/bookmarks/dialogs.c:950
 msgid "Saved session"
 msgstr "Gestoorde sessie"
 
-#: src/bookmarks/dialogs.c:705
+#: src/bookmarks/dialogs.c:958
 msgid "Bookmark tabs"
 msgstr "Stoor oortjies in boekmerke"
 
-#: src/bookmarks/dialogs.c:705
+#: src/bookmarks/dialogs.c:958
 msgid "Enter folder name"
 msgstr "Tik gidsnaam in"
 
@@ -537,7 +547,7 @@ msgstr "Instaan-URL"
 msgid "Redirect"
 msgstr "Aanstuur"
 
-#: src/cache/dialogs.c:85 src/config/options.inc:519
+#: src/cache/dialogs.c:85 src/config/options.inc:553
 #: src/dialogs/document.c:156 src/protocol/bittorrent/dialogs.c:126
 msgid "Size"
 msgstr "Grootte"
@@ -583,7 +593,7 @@ msgstr "Verval"
 msgid "ID"
 msgstr "ID"
 
-#: src/cache/dialogs.c:134 src/config/options.inc:669
+#: src/cache/dialogs.c:134 src/config/options.inc:707
 msgid "Header"
 msgstr "Kop"
 
@@ -1256,7 +1266,7 @@ msgstr ""
 msgid "Resolver error"
 msgstr ""
 
-#: src/config/cmdline.c:256 src/cookies/cookies.c:841 src/network/state.c:47
+#: src/config/cmdline.c:256 src/cookies/cookies.c:843 src/network/state.c:47
 #: src/util/secsave.c:379
 msgid "Out of memory"
 msgstr "Onvoldoende geheue"
@@ -1277,285 +1287,286 @@ msgstr ""
 msgid "Remote method not supported"
 msgstr ""
 
-#: src/config/cmdline.c:452
+#: src/config/cmdline.c:437
+msgid "Out of memory formatting option documentation"
+msgstr ""
+
+#: src/config/cmdline.c:474
 msgid "Template option folder"
 msgstr ""
 
-#: src/config/cmdline.c:475
+#: src/config/cmdline.c:497
 #, c-format
 msgid "(default: %ld)"
 msgstr "(verstek: %ld)"
 
-#: src/config/cmdline.c:482 src/config/cmdline.c:511
+#: src/config/cmdline.c:504 src/config/cmdline.c:533
 #, c-format
 msgid "(default: \"%s\")"
 msgstr "(verstek: \"%s\")"
 
-#: src/config/cmdline.c:487
+#: src/config/cmdline.c:509
 #, c-format
 msgid "(alias for %s)"
 msgstr ""
 
-#: src/config/cmdline.c:492 src/config/cmdline.c:501
+#: src/config/cmdline.c:514 src/config/cmdline.c:523
 #, c-format
 msgid "(default: %s)"
 msgstr "(verstek: %s)"
 
-#: src/config/cmdline.c:642
+#: src/config/cmdline.c:654
 msgid "Configuration options"
 msgstr "Opstellingkeuses"
 
-#: src/config/cmdline.c:646
+#: src/config/cmdline.c:658
 msgid "Usage: elinks [OPTION]... [URL]..."
 msgstr "Gebruik: elinks [KEUSE]... [URL]..."
 
-#: src/config/cmdline.c:647
+#: src/config/cmdline.c:659
 msgid "Options"
 msgstr "Keuses"
 
-#: src/config/cmdline.c:689
+#: src/config/cmdline.c:701
 msgid "Internal consistency error"
 msgstr ""
 
 #.
-#: src/config/cmdline.c:725
+#: src/config/cmdline.c:737
 msgid "Restrict to anonymous mode"
 msgstr ""
 
-#: src/config/cmdline.c:727
+#: src/config/cmdline.c:739
 msgid ""
-"Restricts ELinks so it can run on an anonymous account.\n"
-"Local file browsing, downloads, and modification of options\n"
-"will be disabled. Execution of viewers is allowed, but entries\n"
-"in the association table can't be added or modified."
+"Restricts ELinks so it can run on an anonymous account. Local file browsing, "
+"downloads, and modification of options will be disabled. Execution of "
+"viewers is allowed, but entries in the association table can't be added or "
+"modified."
 msgstr ""
 
-#: src/config/cmdline.c:732
+#: src/config/cmdline.c:745
 msgid "Autosubmit first form"
 msgstr ""
 
-#: src/config/cmdline.c:734
+#: src/config/cmdline.c:747
 msgid "Automatically submit the first form in the given URLs."
 msgstr ""
 
-#: src/config/cmdline.c:736
+#: src/config/cmdline.c:749
 msgid "Clone internal session with given ID"
 msgstr ""
 
-#: src/config/cmdline.c:738
+#: src/config/cmdline.c:751
 msgid ""
-"Used internally when opening ELinks instances in new windows.\n"
-"The ID maps to information that will be used when creating the\n"
-"new instance. You don't want to use it."
+"Used internally when opening ELinks instances in new windows. The ID maps to "
+"information that will be used when creating the new instance. You don't want "
+"to use it."
 msgstr ""
 
-#: src/config/cmdline.c:744
+#: src/config/cmdline.c:757
 msgid "Name of directory with configuration file"
 msgstr ""
 
-#: src/config/cmdline.c:746
+#: src/config/cmdline.c:759
 msgid ""
-"Path of the directory ELinks will read and write its\n"
-"config and runtime state files to instead of ~/.elinks.\n"
-"If the path does not begin with a '/' it is assumed to be\n"
-"relative to your HOME directory."
+"Path of the directory ELinks will read and write its config and runtime "
+"state files to instead of ~/.elinks. If the path does not begin with a '/' "
+"it is assumed to be relative to your HOME directory."
 msgstr ""
 
-#: src/config/cmdline.c:751
+#: src/config/cmdline.c:764
 msgid "Print default configuration file to stdout"
 msgstr ""
 
-#: src/config/cmdline.c:753
+#: src/config/cmdline.c:766
 msgid ""
-"Print a configuration file with options set to the built-in\n"
-"defaults to stdout."
+"Print a configuration file with options set to the built-in defaults to "
+"stdout."
 msgstr ""
 
-#: src/config/cmdline.c:758
+#: src/config/cmdline.c:771
 msgid "Name of configuration file"
 msgstr ""
 
-#: src/config/cmdline.c:760
+#: src/config/cmdline.c:773
 msgid ""
-"Name of the configuration file that all configuration\n"
-"options will be read from and written to. It should be\n"
-"relative to config-dir."
+"Name of the configuration file that all configuration options will be read "
+"from and written to. It should be relative to config-dir."
 msgstr ""
 
-#: src/config/cmdline.c:764
+#: src/config/cmdline.c:777
 msgid "Print help for configuration options"
 msgstr ""
 
-#: src/config/cmdline.c:766
+#: src/config/cmdline.c:779
 msgid "Print help for configuration options and exit."
 msgstr ""
 
-#: src/config/cmdline.c:768
+#: src/config/cmdline.c:781
 msgid "MIME type assumed for unknown document types"
 msgstr ""
 
-#: src/config/cmdline.c:770
+#: src/config/cmdline.c:783
 msgid "The default MIME type used for documents of unknown type."
 msgstr ""
 
-#: src/config/cmdline.c:772
+#: src/config/cmdline.c:786
 msgid "Ignore user-defined keybindings"
 msgstr ""
 
-#: src/config/cmdline.c:774
+#: src/config/cmdline.c:788
 msgid ""
-"When set, all keybindings from configuration files will be\n"
-"ignored. It forces use of default keybindings and will reset\n"
-"user-defined ones on save."
+"When set, all keybindings from configuration files will be ignored. It "
+"forces use of default keybindings and will reset user-defined ones on save."
 msgstr ""
 
-#: src/config/cmdline.c:778
+#: src/config/cmdline.c:792
 msgid "Print formatted versions of given URLs to stdout"
 msgstr ""
 
-#: src/config/cmdline.c:780
+#: src/config/cmdline.c:794
 msgid "Print formatted plain-text versions of given URLs to stdout."
 msgstr ""
 
-#: src/config/cmdline.c:782
+#: src/config/cmdline.c:797
 msgid "Codepage to use with -dump"
 msgstr ""
 
-#: src/config/cmdline.c:784
+#: src/config/cmdline.c:799
 msgid "Codepage used when formatting dump output."
 msgstr ""
 
-#: src/config/cmdline.c:786
+#: src/config/cmdline.c:801
 msgid "Color mode used with -dump"
 msgstr ""
 
-#: src/config/cmdline.c:788
+#: src/config/cmdline.c:803
 msgid "Color mode used with -dump."
 msgstr ""
 
-#: src/config/cmdline.c:790
+#: src/config/cmdline.c:805
 msgid "Width of document formatted with -dump"
 msgstr ""
 
-#: src/config/cmdline.c:792
+#: src/config/cmdline.c:807
 msgid "Width of the dump output."
 msgstr ""
 
-#: src/config/cmdline.c:794
+#: src/config/cmdline.c:809
 msgid "Evaluate configuration file directive"
 msgstr ""
 
-#: src/config/cmdline.c:796
+#: src/config/cmdline.c:811
 msgid ""
-"Specify configuration file directives on the command-line\n"
-"which will be evaluated after all configuration files has been\n"
-"read. Example usage:\n"
+"Specify configuration file directives on the command-line which will be "
+"evaluated after all configuration files has been read. Example usage:\n"
 "\t-eval 'set protocol.file.allow_special_files = 1'"
 msgstr ""
 
 #. lynx compatibility
-#: src/config/cmdline.c:802
+#: src/config/cmdline.c:817
 msgid "Interpret documents of unknown types as HTML"
 msgstr ""
 
-#: src/config/cmdline.c:804
+#: src/config/cmdline.c:819
 msgid ""
-"Makes ELinks assume documents of unknown types are HTML.\n"
-"Useful when using ELinks as an external viewer from MUAs.\n"
-"This is equivalent to -default-mime-type text/html."
+"Makes ELinks assume documents of unknown types are HTML. Useful when using "
+"ELinks as an external viewer from MUAs. This is equivalent to -default-mime-"
+"type text/html."
 msgstr ""
 
-#: src/config/cmdline.c:814
+#: src/config/cmdline.c:829
 msgid "Print usage help and exit"
 msgstr ""
 
-#: src/config/cmdline.c:816
+#: src/config/cmdline.c:831
 msgid "Print usage help and exit."
 msgstr ""
 
-#: src/config/cmdline.c:818
+#: src/config/cmdline.c:833
 msgid "Only permit local connections"
 msgstr ""
 
-#: src/config/cmdline.c:820
+#: src/config/cmdline.c:835
 msgid ""
-"Restricts ELinks to work offline and only connect to servers\n"
-"with local addresses (ie. 127.0.0.1). No connections to remote\n"
-"servers will be permitted."
+"Restricts ELinks to work offline and only connect to servers with local "
+"addresses (ie. 127.0.0.1). No connections to remote servers will be "
+"permitted."
 msgstr ""
 
-#: src/config/cmdline.c:824
+#: src/config/cmdline.c:839
 msgid "Print detailed usage help and exit"
 msgstr ""
 
-#: src/config/cmdline.c:826
+#: src/config/cmdline.c:841
 msgid "Print detailed usage help and exit."
 msgstr ""
 
-#: src/config/cmdline.c:828
+#: src/config/cmdline.c:843
 msgid "Look up specified host"
 msgstr ""
 
-#: src/config/cmdline.c:830
+#: src/config/cmdline.c:845
 msgid "Look up specified host and print all DNS resolved IP addresses."
 msgstr ""
 
-#: src/config/cmdline.c:832
+#: src/config/cmdline.c:848
 msgid "Run as separate instance"
 msgstr ""
 
-#: src/config/cmdline.c:834
+#: src/config/cmdline.c:850
 msgid ""
-"Run ELinks as a separate instance instead of connecting to an\n"
-"existing instance. Note that normally no runtime state files\n"
-"(bookmarks, history, etc.) are written to the disk when this\n"
-"option is used. See also -touch-files."
+"Run ELinks as a separate instance instead of connecting to an existing "
+"instance. Note that normally no runtime state files (bookmarks, history, "
+"etc.) are written to the disk when this option is used. See also -touch-"
+"files."
 msgstr ""
 
-#: src/config/cmdline.c:839
+#: src/config/cmdline.c:855
 msgid "Disable use of files in ~/.elinks"
 msgstr ""
 
-#: src/config/cmdline.c:841
+#: src/config/cmdline.c:857
 msgid ""
-"Disables creation and use of files in the user specific home\n"
-"configuration directory (~/.elinks). It forces default configuration\n"
-"values to be used and disables saving of runtime state files."
+"Disables creation and use of files in the user specific home configuration "
+"directory (~/.elinks). It forces default configuration values to be used and "
+"disables saving of runtime state files."
 msgstr ""
 
-#: src/config/cmdline.c:845
+#: src/config/cmdline.c:862
 msgid "Disable link numbering in dump output"
 msgstr ""
 
-#: src/config/cmdline.c:847
+#: src/config/cmdline.c:864
 msgid ""
 "Prevents printing of link number in dump output.\n"
+"\n"
 "Note that this really affects only -dump, nothing else."
 msgstr ""
 
-#: src/config/cmdline.c:850
+#: src/config/cmdline.c:868
 msgid "Disable printing of link references in dump output"
 msgstr ""
 
-#: src/config/cmdline.c:852
+#: src/config/cmdline.c:870
 msgid ""
-"Prevents printing of references (URIs) of document links\n"
-"in dump output.\n"
+"Prevents printing of references (URIs) of document links in dump output.\n"
+"\n"
 "Note that this really affects only -dump, nothing else."
 msgstr ""
 
-#: src/config/cmdline.c:856
+#: src/config/cmdline.c:875
 msgid "Control an already running ELinks"
 msgstr ""
 
-#: src/config/cmdline.c:858
+#: src/config/cmdline.c:877
 msgid ""
-"Control a remote ELinks instance by passing commands to it.\n"
-"The option takes an additional argument containing the method\n"
-"which should be invoked and any parameters that should be passed\n"
-"to it. For ease of use, the additional method argument can be\n"
-"omitted in which case any URL arguments will be opened in new\n"
-"tabs in the remote instance.\n"
+"Control a remote ELinks instance by passing commands to it. The option takes "
+"an additional argument containing the method which should be invoked and any "
+"parameters that should be passed to it. For ease of use, the additional "
+"method argument can be omitted in which case any URL arguments will be "
+"opened in new tabs in the remote instance.\n"
+"\n"
 "Following is a list of the supported methods:\n"
 "\tping()                    : look for a remote instance\n"
 "\topenURL()                 : prompt URL in current tab\n"
@@ -1567,70 +1578,69 @@ msgid ""
 "\txfeDoCommand(openBrowser) : open new window"
 msgstr ""
 
-#: src/config/cmdline.c:874
+#: src/config/cmdline.c:895
 msgid "Connect to session ring with given ID"
 msgstr ""
 
-#: src/config/cmdline.c:876
+#: src/config/cmdline.c:897
 msgid ""
-"ID of session ring this ELinks session should connect to. ELinks\n"
-"works in so-called session rings, whereby all instances of ELinks\n"
-"are interconnected and share state (cache, bookmarks, cookies,\n"
-"and so on). By default, all ELinks instances connect to session\n"
-"ring 0. You can change that behaviour with this switch and form as\n"
-"many session rings as you want. Obviously, if the session-ring with\n"
-"this number doesn't exist yet, it's created and this ELinks instance\n"
-"will become the master instance (that usually doesn't matter for you\n"
-"as a user much). Note that you usually don't want to use this unless\n"
-"you're a developer and you want to do some testing - if you want the\n"
-"ELinks instances each running standalone, rather use the -no-connect\n"
-"command-line option. Also note that normally no runtime state files\n"
-"are written to the disk when this option is used. See also\n"
-"-touch-files."
+"ID of session ring this ELinks session should connect to. ELinks works in so-"
+"called session rings, whereby all instances of ELinks are interconnected and "
+"share state (cache, bookmarks, cookies, and so on). By default, all ELinks "
+"instances connect to session ring 0. You can change that behaviour with this "
+"switch and form as many session rings as you want. Obviously, if the session-"
+"ring with this number doesn't exist yet, it's created and this ELinks "
+"instance will become the master instance (that usually doesn't matter for "
+"you as a user much).\n"
+"\n"
+"Note that you usually don't want to use this unless you're a developer and "
+"you want to do some testing - if you want the ELinks instances each running "
+"standalone, rather use the -no-connect command-line option. Also note that "
+"normally no runtime state files are written to the disk when this option is "
+"used. See also -touch-files."
 msgstr ""
 
-#: src/config/cmdline.c:891
+#: src/config/cmdline.c:915
 msgid "Print the source of given URLs to stdout"
 msgstr ""
 
-#: src/config/cmdline.c:893
+#: src/config/cmdline.c:917
 msgid "Print given URLs in source form to stdout."
 msgstr ""
 
-#: src/config/cmdline.c:897
+#: src/config/cmdline.c:921
 msgid "Touch files in ~/.elinks when running with -no-connect/-session-ring"
 msgstr ""
 
-#: src/config/cmdline.c:899
+#: src/config/cmdline.c:923
 msgid ""
-"When enabled, runtime state files (bookmarks, history, etc.) are\n"
-"written to disk, even when -no-connect or -session-ring is used.\n"
-"The option has no effect if not used in conjunction with any of\n"
-"these options."
+"When enabled, runtime state files (bookmarks, history, etc.) are written to "
+"disk, even when -no-connect or -session-ring is used. The option has no "
+"effect if not used in conjunction with any of these options."
 msgstr ""
 
-#: src/config/cmdline.c:904
+#: src/config/cmdline.c:928
 msgid "Verbose level"
 msgstr ""
 
-#: src/config/cmdline.c:906
+#: src/config/cmdline.c:930
 msgid ""
-"The verbose level controls what messages are shown at\n"
-"start up and while running:\n"
+"The verbose level controls what messages are shown at start up and while "
+"running:\n"
 "\t0 means only show serious errors\n"
 "\t1 means show serious errors and warnings\n"
 "\t2 means show all messages"
 msgstr ""
 
-#: src/config/cmdline.c:912
+#: src/config/cmdline.c:936
 msgid "Print version information and exit"
 msgstr ""
 
-#: src/config/cmdline.c:914
+#: src/config/cmdline.c:938
 msgid "Print ELinks version information and exit."
 msgstr ""
 
-#: src/config/conf.c:938
+#: src/config/conf.c:963
 msgid ""
 "## This is ELinks configuration file. You can edit it manually,\n"
 "## if you wish so; this file is edited by ELinks when you save\n"
@@ -1638,7 +1648,7 @@ msgid ""
 "## and all your formatting, own comments etc will be kept as-is.\n"
 msgstr ""
 
-#: src/config/conf.c:946
+#: src/config/conf.c:971
 msgid ""
 "## This is ELinks configuration file. You can edit it manually,\n"
 "## if you wish so; this file is edited by ELinks when you save\n"
@@ -1649,7 +1659,7 @@ msgid ""
 "## own comments and so on will be kept as-is.\n"
 msgstr ""
 
-#: src/config/conf.c:956
+#: src/config/conf.c:981
 msgid ""
 "## This is ELinks configuration file. You can edit it manually,\n"
 "## if you wish so, but keep in mind that this file is overwritten\n"
@@ -1657,18 +1667,18 @@ msgid ""
 "## luck with your formatting and own comments then, so beware.\n"
 msgstr ""
 
-#: src/config/conf.c:967
+#: src/config/conf.c:992
 msgid ""
 "## Obviously, if you don't like what ELinks is going to do with\n"
 "## this file, you can change it by altering the config.saving_style\n"
 "## option. Come on, aren't we friendly guys after all?\n"
 msgstr ""
 
-#: src/config/conf.c:980
+#: src/config/conf.c:1005
 msgid "Automatically saved options\n"
 msgstr ""
 
-#: src/config/conf.c:992
+#: src/config/conf.c:1017
 msgid "Automatically saved keybindings\n"
 msgstr ""
 
@@ -1727,7 +1737,7 @@ msgstr "(druk spasie om oop te vou)"
 #. * switch charsets.  So, it will work in any terminal that
 #. * understands UTF-8 and has the characters in its font.
 #: src/config/dialogs.c:149 src/config/dialogs.c:330
-#: src/config/options.inc:840
+#: src/config/options.inc:887
 msgid "Type"
 msgstr "Soort"
 
@@ -1755,9 +1765,9 @@ msgid "Description"
 msgstr "Beskrywing"
 
 #: src/config/dialogs.c:291 src/protocol/bittorrent/dialogs.c:600
-#: src/protocol/protocol.c:240 src/session/session.c:287
-#: src/session/session.c:975 src/viewer/text/textarea.c:594
-#: src/viewer/text/textarea.c:601
+#: src/protocol/protocol.c:240 src/session/session.c:288
+#: src/session/session.c:999 src/viewer/text/textarea.c:583
+#: src/viewer/text/textarea.c:590
 msgid "Error"
 msgstr "Fout"
 
@@ -1794,7 +1804,7 @@ msgstr "Kan nie 'n keuse hier byvoeg nie
 #. accelerator_context(src/config/dialogs.c:keybinding_buttons, src/config/dialogs.c:option_buttons, src/cookies/dialogs.c:cookie_buttons, src/formhist/dialogs.c:formhist_buttons, src/protocol/bittorrent/dialogs.c:bittorrent_query_callback, src/session/download.c:do_type_query, terminal_options)
 #: src/config/dialogs.c:507 src/config/dialogs.c:933 src/cookies/dialogs.c:495
 #: src/dialogs/options.c:236 src/formhist/dialogs.c:214
-#: src/protocol/bittorrent/dialogs.c:801 src/session/download.c:1203
+#: src/protocol/bittorrent/dialogs.c:801 src/session/download.c:1229
 msgid "Sa~ve"
 msgstr "Stoo~r"
 
@@ -1806,7 +1816,7 @@ msgstr "Keusebestuurder"
 msgid "Keystroke"
 msgstr "Sleutel"
 
-#: src/config/dialogs.c:676 src/config/options.inc:1219
+#: src/config/dialogs.c:676 src/config/options.inc:1292
 msgid "Action"
 msgstr "Aksie"
 
@@ -1879,31 +1889,31 @@ msgid ""
 "directory."
 msgstr ""
 
-#: src/config/kbdbind.c:221
+#: src/config/kbdbind.c:222
 msgid "Main mapping"
 msgstr ""
 
-#: src/config/kbdbind.c:222
+#: src/config/kbdbind.c:223
 msgid "Edit mapping"
 msgstr ""
 
-#: src/config/kbdbind.c:223
+#: src/config/kbdbind.c:224
 msgid "Menu mapping"
 msgstr ""
 
-#: src/config/kbdbind.c:588 src/scripting/python/keybinding.c:104
+#: src/config/kbdbind.c:589 src/scripting/python/keybinding.c:104
 msgid "Unrecognised keymap"
 msgstr ""
 
-#: src/config/kbdbind.c:591
+#: src/config/kbdbind.c:592
 msgid "Error parsing keystroke"
 msgstr ""
 
-#: src/config/kbdbind.c:595
+#: src/config/kbdbind.c:596
 msgid "Unrecognised action (internal error)"
 msgstr ""
 
-#: src/config/kbdbind.c:611
+#: src/config/kbdbind.c:612
 msgid "Error registering event"
 msgstr ""
 
@@ -1929,323 +1939,319 @@ msgid ""
 "3 is full comments are written"
 msgstr ""
 
-#: src/config/options.inc:31
+#: src/config/options.inc:32
 msgid "Indentation"
 msgstr ""
 
-#: src/config/options.inc:33
+#: src/config/options.inc:34
 msgid ""
-"Shift width of one indentation level in the configuration\n"
-"file. Zero means that no indentation is performed at all\n"
-"when saving the configuration."
+"Shift width of one indentation level in the configuration file. Zero means "
+"that no indentation is performed at all when saving the configuration."
 msgstr ""
 
-#: src/config/options.inc:37
+#: src/config/options.inc:38
 msgid "Saving style"
 msgstr ""
 
-#: src/config/options.inc:39
+#: src/config/options.inc:40
 msgid ""
 "Determines what happens when you tell ELinks to save options:\n"
 "0 is only values of current options are altered\n"
-"1 is values of current options are altered and missing options\n"
-"     are added at the end of the file\n"
+"1 is values of current options are altered and missing\n"
+"     options are added at the end of the file\n"
 "2 is the configuration file is rewritten from scratch\n"
-"3 is values of current options are altered and missing options\n"
-"     CHANGED during this ELinks session are added at the end of\n"
-"     the file"
+"3 is values of current options are altered and missing\n"
+"     options CHANGED during this ELinks session are added at\n"
+"     the end of the file"
 msgstr ""
 
-#: src/config/options.inc:48
+#: src/config/options.inc:50
 msgid "Comments localization"
 msgstr ""
 
-#: src/config/options.inc:50
+#: src/config/options.inc:52
 msgid ""
-"If set to 1, comments in the configuration file will be\n"
-"translated to the language used by UI. Note that if you have\n"
-"different language set in different terminals, the language\n"
-"used in the configuration file MAY be the same as on the\n"
-"terminal where you saved the file, but it should be generally\n"
+"If set to 1, comments in the configuration file will be translated to the "
+"language used by UI. Note that if you have different language set in "
+"different terminals, the language used in the configuration file MAY be the "
+"same as on the terminal where you saved the file, but it should be generally "
 "considered unpredictable."
 msgstr ""
 
-#: src/config/options.inc:58
+#: src/config/options.inc:60
 msgid "Saving style warnings"
 msgstr ""
 
-#: src/config/options.inc:60
+#: src/config/options.inc:62
 msgid ""
-"This is internal option used when displaying a warning about\n"
-"obsolete config.saving_style. You shouldn't touch it."
+"This is internal option used when displaying a warning about obsolete config."
+"saving_style. You shouldn't touch it."
 msgstr ""
 
-#: src/config/options.inc:63
+#: src/config/options.inc:66
 msgid "Show template"
 msgstr ""
 
-#: src/config/options.inc:65
+#: src/config/options.inc:68
 msgid ""
-"Show template options in autocreated trees in the options\n"
-"manager and save them to the configuration file."
+"Show template options in autocreated trees in the options manager and save "
+"them to the configuration file."
 msgstr ""
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:71 src/dialogs/info.c:180
+#: src/config/options.inc:74 src/dialogs/info.c:180
 msgid "Connections"
 msgstr "Verbindings"
 
-#: src/config/options.inc:73
+#: src/config/options.inc:76
 msgid "Connection options."
 msgstr "Verbindingkeuses."
 
-#: src/config/options.inc:76
+#: src/config/options.inc:79
 msgid "Asynchronous DNS"
 msgstr "Asinchrone DNS"
 
-#: src/config/options.inc:78
+#: src/config/options.inc:81
 msgid "Whether to use asynchronous DNS resolving."
 msgstr "Of asinchrone DSN gebruik moet word."
 
-#: src/config/options.inc:80
+#: src/config/options.inc:83
 msgid "Maximum connections"
 msgstr "Maksimum verbindings"
 
-#: src/config/options.inc:82
+#: src/config/options.inc:85
 msgid "Maximum number of concurrent connections."
 msgstr "Maksimum aantal gelyktydige verbindings."
 
-#: src/config/options.inc:84
+#: src/config/options.inc:87
 msgid "Maximum connections per host"
 msgstr "Maksimum verbindings per gasheer"
 
-#: src/config/options.inc:86
+#: src/config/options.inc:89
 msgid "Maximum number of concurrent connections to a given host."
 msgstr "Maksimum aantal gelyktydige verbindings aan 'n spesifieke gasheer."
 
-#: src/config/options.inc:88
+#: src/config/options.inc:92
 msgid "Connection retries"
 msgstr ""
 
-#: src/config/options.inc:90
-msgid ""
-"Number of tries to establish a connection.\n"
-"Zero means try forever."
+#: src/config/options.inc:94
+msgid "Number of tries to establish a connection. Zero means try forever."
 msgstr ""
 
-#: src/config/options.inc:93 src/network/state.c:53
+#: src/config/options.inc:97 src/network/state.c:53
 msgid "Receive timeout"
 msgstr ""
 
-#: src/config/options.inc:95
+#: src/config/options.inc:99
 msgid "Receive timeout (in seconds)."
 msgstr ""
 
-#: src/config/options.inc:98 src/config/options.inc:108
+#: src/config/options.inc:102 src/config/options.inc:113
 msgid "Try IPv4 when connecting"
 msgstr ""
 
-#: src/config/options.inc:100
+#: src/config/options.inc:104
 msgid ""
-"Whether to try to connect to a host over IPv4.\n"
-"Note that if connection.try_ipv6 is enabled too,\n"
-"it takes precedence. And better do not touch this\n"
+"Whether to try to connect to a host over IPv4. Note that if connection."
+"try_ipv6 is enabled too, it takes precedence. And better do not touch this "
 "at all unless you are sure what are you doing.\n"
-"Note that you can also force a given protocol\n"
-"to be used on a per-connection basis by using a URL\n"
-"in the style of e.g. http4://elinks.cz/."
+"\n"
+"Note that you can also force a given protocol to be used on a per-connection "
+"basis by using a URL in the style of e.g. http4://elinks.cz/."
 msgstr ""
 
-#: src/config/options.inc:110
+#: src/config/options.inc:115
 msgid ""
-"Whether to try to connect to a host over IPv4.\n"
-"Do not touch this option.\n"
-"Note that you can also force a given protocol\n"
-"to be used on a per-connection basis by using a URL\n"
-"in the style of e.g. http4://elinks.cz/."
+"Whether to try to connect to a host over IPv4. Do not touch this option.\n"
+"\n"
+"Note that you can also force a given protocol to be used on a per-connection "
+"basis by using a URL in the style of e.g. http4://elinks.cz/."
 msgstr ""
 
-#: src/config/options.inc:118
+#: src/config/options.inc:124
 msgid "Try IPv6 when connecting"
 msgstr ""
 
-#: src/config/options.inc:120
+#: src/config/options.inc:126
 msgid ""
 "Whether to try to connect to a host over IPv6.\n"
-"Note that you can also force a given protocol\n"
-"to be used on a per-connection basis by using a URL\n"
-"in the style of e.g. http6://elinks.cz/."
+"\n"
+"Note that you can also force a given protocol to be used on a per-connection "
+"basis by using a URL in the style of e.g. http6://elinks.cz/."
 msgstr ""
 
-#: src/config/options.inc:126
+#: src/config/options.inc:133
 msgid "Timeout for non-restartable connections"
 msgstr ""
 
-#: src/config/options.inc:128
+#: src/config/options.inc:135
 msgid "Timeout for non-restartable connections (in seconds)."
 msgstr ""
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:134
+#: src/config/options.inc:141
 msgid "Document"
 msgstr "Dokument"
 
-#: src/config/options.inc:136
+#: src/config/options.inc:143
 msgid "Document options."
 msgstr "Dokumentkeuses."
 
-#: src/config/options.inc:138
+#: src/config/options.inc:145
 msgid "Browsing"
 msgstr "Blaai"
 
-#: src/config/options.inc:140
+#: src/config/options.inc:147
 msgid "Document browsing options (mainly interactivity)."
 msgstr "Keuses vir blaai van dokumente (hoofsaaklik interaktiwiteit)."
 
-#: src/config/options.inc:143
+#: src/config/options.inc:150
 msgid "Access keys"
 msgstr "Toegansleutels"
 
-#: src/config/options.inc:145
+#: src/config/options.inc:152
 msgid ""
-"Options for handling of link access keys.\n"
-"An HTML document can use the ACCESSKEY attribute to assign\n"
-"an access key to an element. When an access key is pressed,\n"
-"the corresponding element will be given focus."
+"Options for handling of link access keys. An HTML document can use the "
+"ACCESSKEY attribute to assign an access key to an element. When an access "
+"key is pressed, the corresponding element will be given focus."
 msgstr ""
 
-#: src/config/options.inc:150
+#: src/config/options.inc:157
 msgid "Automatic links following"
 msgstr "Automatiese volg van skakels"
 
-#: src/config/options.inc:152
+#: src/config/options.inc:159
 msgid ""
-"Automatically follow a link or submit a form if appropriate\n"
-"accesskey is pressed - this is the standard behaviour, but it's\n"
-"considered dangerous."
+"Automatically follow a link or submit a form if appropriate accesskey is "
+"pressed - this is the standard behaviour, but it's considered dangerous."
 msgstr ""
 
-#: src/config/options.inc:156
+#: src/config/options.inc:163
 msgid "Display access key in link info"
 msgstr "Vertoon toegangsleutel in skakelinligting"
 
-#: src/config/options.inc:158
+#: src/config/options.inc:165
 msgid "Display access key in link info."
 msgstr "Vertoon toegangsleutel in skakelinligting."
 
-#: src/config/options.inc:160
+#: src/config/options.inc:167
 msgid "Accesskey priority"
 msgstr "Toegangsleutelprioriteit"
 
-#: src/config/options.inc:162
+#: src/config/options.inc:169
 msgid ""
 "Priority of 'accesskey' HTML attribute:\n"
-"0 is first try all normal bindings; if it fails, check accesskey\n"
-"1 is first try only frame bindings; if it fails, check accesskey\n"
+"0 is first try all normal bindings; if it fails,\n"
+"     check accesskey\n"
+"1 is first try only frame bindings; if it fails,\n"
+"     check accesskey\n"
 "2 is first check accesskey (this can be dangerous)"
 msgstr ""
 
-#: src/config/options.inc:168
+#: src/config/options.inc:177
 msgid "Forms"
 msgstr "Vorms"
 
-#: src/config/options.inc:170
+#: src/config/options.inc:179
 msgid "Options for handling of the forms interaction."
 msgstr "Keuses vir die hantering van vorminteraksie."
 
-#: src/config/options.inc:172
+#: src/config/options.inc:181
 msgid "Submit form automatically"
 msgstr "Dien vorm outomaties in"
 
-#: src/config/options.inc:174
+#: src/config/options.inc:183
+#, fuzzy
 msgid ""
-"Automagically submit a form when enter is pressed with a text\n"
-"field selected."
+"Automagically submit a form when enter is pressed with a text field selected."
 msgstr ""
 "Dien 'n vorm outomaties in wanneer Enter gedruk word met\n"
 "'n teksveld wat gekies is."
 
-#: src/config/options.inc:177
+#: src/config/options.inc:186
 msgid "Confirm submission"
 msgstr "Bevestig indiening"
 
-#: src/config/options.inc:179
+#: src/config/options.inc:188
 msgid "Ask for confirmation when submitting a form."
 msgstr "Vra vir bevestiging met die indien van 'n vorm."
 
-#: src/config/options.inc:181
+#: src/config/options.inc:190
 msgid "Default form input size"
 msgstr "Verstek invoergrootte in forms"
 
-#: src/config/options.inc:183
+#: src/config/options.inc:192
 msgid "Default form input size if none is specified."
 msgstr "Verstek invoergrootte in forms indien geen gespesifiseer is nie."
 
-#: src/config/options.inc:185
+#: src/config/options.inc:194
 msgid "Insert mode"
 msgstr "Invoermodus"
 
-#: src/config/options.inc:187
+#: src/config/options.inc:196
 msgid ""
-"The setting for this option affects how key presses are handled\n"
-"when one selects a text-input form-field. When enabled, one must\n"
-"explicitly 'enter' a selected text-field to edit it; this prevents\n"
-"text fields from capturing key presses, such as presses of a scroll\n"
-"key, when it is inadvertently selected. When disabled, key presses\n"
-"are always inserted into a selected text field."
+"The setting for this option affects how key presses are handled when one "
+"selects a text-input form-field. When enabled, one must explicitly 'enter' a "
+"selected text-field to edit it; this prevents text fields from capturing key "
+"presses, such as presses of a scroll key, when it is inadvertently selected. "
+"When disabled, key presses are always inserted into a selected text field."
 msgstr ""
 
-#: src/config/options.inc:194
+#: src/config/options.inc:204
 msgid "External editor"
 msgstr "Eksterne redigeerder"
 
-#: src/config/options.inc:196
+#: src/config/options.inc:206
 msgid ""
-"Path to the executable that ELinks should launch when the user\n"
-"requests to edit a textarea with an external editor.\n"
-"If this is blank, ELinks will use the value of the environmental\n"
-"variable $EDITOR. If $EDITOR is empty or not set, ELinks will then\n"
-"default to \"vi\"."
+"Path to the executable that ELinks should launch when the user requests to "
+"edit a textarea with an external editor.\n"
+"\n"
+"If this is blank, ELinks will use the value of the environmental variable "
+"$EDITOR. If $EDITOR is empty or not set, ELinks will then default to \"vi\"."
 msgstr ""
 
-#: src/config/options.inc:203
+#: src/config/options.inc:214
 msgid "Images"
 msgstr "Prente"
 
-#: src/config/options.inc:205
+#: src/config/options.inc:216
 msgid "Options for handling of images."
 msgstr "Keuses vir die hantering van prente."
 
-#: src/config/options.inc:207
+#: src/config/options.inc:218
 msgid "Display style for image tags"
 msgstr "Vertoonstyl vir prent-etikette"
 
-#: src/config/options.inc:209
+#: src/config/options.inc:220
 msgid ""
 "Display style for image tags when displayed:\n"
 "0     means always display IMG\n"
 "1     means always display filename\n"
-"2     means display alt/title attribute if possible, IMG if not\n"
-"3     means display alt/title attribute if possible, filename if not"
+"2     means display alt/title attribute if possible,\n"
+"      IMG if not\n"
+"3     means display alt/title attribute if possible,\n"
+"      filename if not"
 msgstr ""
 
-#: src/config/options.inc:215
+#: src/config/options.inc:228
 msgid "Maximum length for image filename"
 msgstr "Maksimum lengte vir 'n prent se lêernaam"
 
-#: src/config/options.inc:217
+#: src/config/options.inc:230
 msgid ""
 "Maximum length of image filename when displayed:\n"
 "0     means always display full filename\n"
 "1-500 means display filename with this maximal length;\n"
-"      if it is longer, the middle is substituted by an asterisk"
+"      if it is longer, the middle is substituted by\n"
+"      an asterisk"
 msgstr ""
 
-#: src/config/options.inc:227
+#: src/config/options.inc:241
 msgid "Image links tagging"
 msgstr ""
 
-#: src/config/options.inc:229
+#: src/config/options.inc:243
 msgid ""
 "When to enclose image links:\n"
 "0 means never\n"
@@ -2253,93 +2259,95 @@ msgid ""
 "2 means always"
 msgstr ""
 
-#: src/config/options.inc:234
+#: src/config/options.inc:248
 msgid "Image link prefix"
 msgstr ""
 
-#: src/config/options.inc:236
+#: src/config/options.inc:250
 msgid "Prefix string to use to mark image links."
 msgstr ""
 
-#: src/config/options.inc:238
+#: src/config/options.inc:252
 msgid "Image link suffix"
 msgstr ""
 
-#: src/config/options.inc:240
+#: src/config/options.inc:254
 msgid "Suffix string to use to mark image links."
 msgstr ""
 
-#: src/config/options.inc:242
+#: src/config/options.inc:256
 msgid "Maximum length for image label"
 msgstr "Maksimum lengte vir 'n prent-etiket"
 
-#: src/config/options.inc:244
+#: src/config/options.inc:258
 msgid ""
 "Maximum length of image label (alt/title):\n"
 "0     means always display full label\n"
 "1-500 means display label with this maximal length;\n"
-"      if it is longer, the middle is substituted by an asterisk"
+"      if it is longer, the middle is substituted by\n"
+"      an asterisk"
 msgstr ""
 
-#: src/config/options.inc:249
+#: src/config/options.inc:264
 msgid "Display links to images w/o alt"
 msgstr "Wys skakels na prente sonder alt"
 
-#: src/config/options.inc:251
+#: src/config/options.inc:266
+#, fuzzy
 msgid ""
-"Display links to images without an alt attribute. If this option\n"
-"is off, these images are completely invisible."
+"Display links to images without an alt attribute. If this option is off, "
+"these images are completely invisible."
 msgstr ""
 "Wys skakels na prente sonder 'n alt-atribuut. As hierdie\n"
 "keuse af is, is hierdie beelde heeltemal onsigbaar."
 
-#: src/config/options.inc:254
+#: src/config/options.inc:269
 msgid "Display links to images"
 msgstr "Wys skakels na prente"
 
-#: src/config/options.inc:256
+#: src/config/options.inc:271
+#, fuzzy
 msgid ""
-"Display links to any images in the document, regardless of them\n"
-"having an alt attribute or not. If this option is off, the alt\n"
-"attribute contents is shown, but as normal text, not selectable\n"
-"as a link."
+"Display links to any images in the document, regardless of them having an "
+"alt attribute or not. If this option is off, the alt attribute contents is "
+"shown, but as normal text, not selectable as a link."
 msgstr ""
 "Wys skakels na enige prente in die dokument, of hulle\n"
 "'n alt-atribuut het of nie. As hierdie keuse af is, word die\n"
 "alt-teks gewys, maar as gewone teks, nie kiesbaar as\n"
 "'n skakel nie."
 
-#: src/config/options.inc:262
+#: src/config/options.inc:277
 msgid "Links"
 msgstr "Skakels"
 
-#: src/config/options.inc:264
+#: src/config/options.inc:279
 msgid "Options for handling of links to other documents."
 msgstr "Keuses vir die hantering van skakels na ander dokumente."
 
-#: src/config/options.inc:266
+#: src/config/options.inc:281
 msgid "Active link"
 msgstr "Aktiewe skakel"
 
-#: src/config/options.inc:268
+#: src/config/options.inc:283
 msgid "Options for the active link."
 msgstr "Keuses vir die aktiewe skakel."
 
-#: src/config/options.inc:270
+#: src/config/options.inc:285
 msgid "Colors"
 msgstr "Kleure"
 
-#: src/config/options.inc:272
+#: src/config/options.inc:287
 msgid "Active link colors."
 msgstr "Kleure vir aktiewe skakels."
 
-#: src/config/options.inc:274 src/config/options.inc:549
-#: src/config/options.inc:945
+#: src/config/options.inc:289 src/config/options.inc:583
+#: src/config/options.inc:1014
 msgid "Background color"
 msgstr "Agtergronkleur"
 
-#: src/config/options.inc:276 src/config/options.inc:551
-#: src/config/options.inc:946
+#: src/config/options.inc:291 src/config/options.inc:585
+#: src/config/options.inc:1015
 msgid "Default background color."
 msgstr "Verstekagtergrondkleur."
 
@@ -2351,75 +2359,76 @@ msgstr "Verstekagtergrondkleur."
 #. *	on it.
 #. The colors and mono tree should be similar but with different default
 #. * values of course so always use the macros below.
-#: src/config/options.inc:278 src/config/options.inc:545
-#: src/config/options.inc:943
+#: src/config/options.inc:293 src/config/options.inc:579
+#: src/config/options.inc:1012
 msgid "Text color"
 msgstr "Tekskleur"
 
-#: src/config/options.inc:280 src/config/options.inc:547
-#: src/config/options.inc:944
+#: src/config/options.inc:295 src/config/options.inc:581
+#: src/config/options.inc:1013
 msgid "Default text color."
 msgstr "Verstektekskleur."
 
-#: src/config/options.inc:282
+#: src/config/options.inc:297
 msgid "Enable color"
 msgstr "Aktiveer kleur"
 
-#: src/config/options.inc:284
+#: src/config/options.inc:299
+#, fuzzy
 msgid ""
-"Enable use of the active link background and text color\n"
-"settings instead of the link colors from the document."
+"Enable use of the active link background and text color settings instead of "
+"the link colors from the document."
 msgstr ""
 "Aktiveer die gebruik van agtergrond- en tekskleur\n"
 "vir aktiewe skakels eerder as die skakelkleure van die\n"
 "dokument."
 
-#: src/config/options.inc:287
+#: src/config/options.inc:302
 msgid "Bold"
 msgstr "Vet"
 
-#: src/config/options.inc:289
+#: src/config/options.inc:304
 msgid "Make the active link text bold."
 msgstr "Maak die aktiewe skakelteks vet."
 
-#: src/config/options.inc:291
+#: src/config/options.inc:306
 msgid "Invert colors"
 msgstr ""
 
-#: src/config/options.inc:293
+#: src/config/options.inc:308
 msgid "Invert the fore- and background color so the link stands out."
 msgstr ""
 
-#: src/config/options.inc:296 src/config/options.inc:908
+#: src/config/options.inc:311 src/config/options.inc:975
 #: src/dialogs/options.c:231
 msgid "Underline"
 msgstr "Onderstreep"
 
-#: src/config/options.inc:298
+#: src/config/options.inc:313
 msgid "Underline the active link."
 msgstr "Onderstreep die aktiewe skakel."
 
-#: src/config/options.inc:301
+#: src/config/options.inc:316
 msgid "Directory highlighting"
 msgstr ""
 
-#: src/config/options.inc:303
+#: src/config/options.inc:318
 msgid "Highlight links to directories in FTP and local directory listing."
 msgstr ""
 
-#: src/config/options.inc:305
+#: src/config/options.inc:321
 msgid "Number links"
 msgstr "Nommer skakels"
 
-#: src/config/options.inc:307
+#: src/config/options.inc:323
 msgid "Display numbers next to the links."
 msgstr "Wys nommers langs die skakels."
 
-#: src/config/options.inc:309
+#: src/config/options.inc:325
 msgid "Handling of target=_blank"
 msgstr "Hantering van target=_blank"
 
-#: src/config/options.inc:311
+#: src/config/options.inc:327
 msgid ""
 "Define how to handle links having target=_blank set:\n"
 "0 means open link in current tab\n"
@@ -2433,17 +2442,16 @@ msgstr ""
 "2 beteken maak oop in nuwe oortjie in die agtergrond3 beteken maak oop in "
 "nuwe venster"
 
-#: src/config/options.inc:324
+#: src/config/options.inc:340
 msgid "Use tabindex"
 msgstr "Gebruik TABINDEX"
 
-#: src/config/options.inc:326
+#: src/config/options.inc:342
 #, fuzzy
 msgid ""
-"Whether to navigate links using tabindex specified ordering.\n"
-"The TABINDEX attribute in HTML elements specifies the order\n"
-"in which links should receive focus when using the keyboard\n"
-"to navigate the document."
+"Whether to navigate links using tabindex specified ordering. The TABINDEX "
+"attribute in HTML elements specifies the order in which links should receive "
+"focus when using the keyboard to navigate the document."
 msgstr ""
 "Of die TABINDEX-volgorde gebruik moet word.\n"
 "Die TABINDEX-atribuut in HTML-elemente spesifiseer\n"
@@ -2451,123 +2459,121 @@ msgstr ""
 "sleutelbord gebruik word om in die dokument te\n"
 "beweeg."
 
-#: src/config/options.inc:331
+#: src/config/options.inc:347
 msgid "Missing fragment reporting"
 msgstr ""
 
-#: src/config/options.inc:333
+#: src/config/options.inc:349
 msgid "Open a message box when document has no tag with given id."
 msgstr ""
 
-#: src/config/options.inc:335
+#: src/config/options.inc:352
 msgid "Number keys select links"
 msgstr "Syferknoppies kies skakels"
 
-#: src/config/options.inc:337
+#: src/config/options.inc:354
 msgid ""
-"Number keys select links rather than specify command prefixes. This\n"
-"is a tristate:\n"
+"Number keys select links rather than specify command prefixes. This is a "
+"tristate:\n"
 "0 means never\n"
 "1 means if document.browse.links.numbering = 1\n"
 "2 means always"
 msgstr ""
 
-#: src/config/options.inc:343
+#: src/config/options.inc:360
 msgid "Warn about maliciously crafted URIs"
 msgstr "Waarsku oor kwaadwillig gevormde URI's"
 
-#: src/config/options.inc:345
+#: src/config/options.inc:362
 msgid ""
-"When following a link the user ID part of the URI is\n"
-"checked and if a maliciously crafted URI is detected a\n"
-"warning dialog will ask before following the link."
+"When following a link the user ID part of the URI is checked and if a "
+"maliciously crafted URI is detected a warning dialog will ask before "
+"following the link."
 msgstr ""
 
 #. TODO - this is somehow implemented by ff, but disabled
 #. * for now as it doesn't work.
-#: src/config/options.inc:351
+#: src/config/options.inc:368
 msgid "Wrap-around links cycling"
 msgstr ""
 
 #. 0
-#: src/config/options.inc:353
+#: src/config/options.inc:370
 msgid ""
-"When pressing 'down' on the last link, jump to the first one, and\n"
-"vice versa."
+"When pressing 'down' on the last link, jump to the first one, and vice versa."
 msgstr ""
 
-#: src/config/options.inc:357
+#: src/config/options.inc:374
 msgid "Scrolling"
 msgstr ""
 
-#: src/config/options.inc:359
+#: src/config/options.inc:376
 msgid "Scrolling options."
 msgstr ""
 
-#: src/config/options.inc:361
+#: src/config/options.inc:378
 msgid "Horizontal step"
 msgstr ""
 
-#: src/config/options.inc:363
+#: src/config/options.inc:380
 msgid ""
-"Number of columns to scroll when a key bound to scroll-left or scroll-\n"
-"right is pressed and no prefix was given."
+"Number of columns to scroll when a key bound to scroll-left or scroll-right "
+"is pressed and no prefix was given."
 msgstr ""
 
-#: src/config/options.inc:366
+#: src/config/options.inc:384
 msgid "Extended horizontal scrolling"
 msgstr ""
 
-#: src/config/options.inc:368
+#: src/config/options.inc:386
 msgid ""
-"Whether to allow horizontal scrolling when the document\n"
-"does not extend off the screen. Useful for copy/paste\n"
-"operations."
+"Whether to allow horizontal scrolling when the document does not extend off "
+"the screen. Useful for copy/paste operations."
 msgstr ""
 
-#: src/config/options.inc:372
+#: src/config/options.inc:390
 msgid "Margin"
 msgstr ""
 
-#: src/config/options.inc:374
+#: src/config/options.inc:392
 msgid ""
-"Size of the virtual margin - when you click inside of that margin,\n"
-"document scrolls in that direction."
+"Size of the virtual margin - when you click inside of that margin, document "
+"scrolls in that direction."
 msgstr ""
 
-#: src/config/options.inc:377
+#: src/config/options.inc:395
 msgid "Vertical step"
 msgstr ""
 
-#: src/config/options.inc:379
+#: src/config/options.inc:397
 msgid ""
-"Number of lines to scroll when a key bound to scroll-up or scroll-\n"
-"down is pressed and no prefix was given."
+"Number of lines to scroll when a key bound to scroll-up or scroll-down is "
+"pressed and no prefix was given."
 msgstr ""
 
-#: src/config/options.inc:383
+#: src/config/options.inc:401
 msgid "Searching"
 msgstr "Soek"
 
-#: src/config/options.inc:385
+#: src/config/options.inc:403
 msgid "Options for searching."
 msgstr "Keuses vir soek."
 
-#: src/config/options.inc:387
+#: src/config/options.inc:405
 msgid "Case sensitivity"
 msgstr "Kassensitiwiteit"
 
-#: src/config/options.inc:389
+#: src/config/options.inc:407
 msgid ""
-"Whether the search should match the document text while maintaining\n"
-"case sensitivity."
+"Whether the search should match the document text while maintaining case "
+"sensitivity."
 msgstr ""
 
-#: src/config/options.inc:393
+#: src/config/options.inc:411
 msgid "Regular expressions"
 msgstr "Reguliere uitdrukkings"
 
-#: src/config/options.inc:395
+#: src/config/options.inc:413
 msgid ""
 "Enable searching with regular expressions:\n"
 "0 for plain text searching\n"
@@ -2575,29 +2581,29 @@ msgid ""
 "2 for extended regular expression searches"
 msgstr ""
 
-#: src/config/options.inc:401
+#: src/config/options.inc:419
 msgid "Show search hit top or bottom dialogs"
 msgstr ""
 
-#: src/config/options.inc:403
+#: src/config/options.inc:421
 msgid ""
-"Whether to show a dialog when the search hits the top or bottom of the\n"
+"Whether to show a dialog when the search hits the top or bottom of the "
 "document."
 msgstr ""
 
-#: src/config/options.inc:406
+#: src/config/options.inc:424
 msgid "Wraparound"
 msgstr ""
 
-#: src/config/options.inc:408
+#: src/config/options.inc:426
 msgid "Wrap around when searching. Currently only used for typeahead."
 msgstr ""
 
-#: src/config/options.inc:410
+#: src/config/options.inc:429
 msgid "Show not found"
 msgstr ""
 
-#: src/config/options.inc:412
+#: src/config/options.inc:431
 msgid ""
 "How to inform the user when nothing is matched:\n"
 "0 means do nothing\n"
@@ -2605,253 +2611,256 @@ msgid ""
 "2 means pop up message box"
 msgstr ""
 
-#: src/config/options.inc:417
+#: src/config/options.inc:436
 msgid "Typeahead searching"
 msgstr ""
 
-#: src/config/options.inc:419
+#: src/config/options.inc:438
 msgid ""
-"Start typeahead searching when an unbound key is pressed without\n"
-"any modifiers. Note that most keys have default bindings, so this\n"
-"feature will not be useful unless you unbind them.\n"
+"Start typeahead searching when an unbound key is pressed without any "
+"modifiers. Note that most keys have default bindings, so this feature will "
+"not be useful unless you unbind them.\n"
 "\n"
-"0 disables this feature; typeahead searching will only be used\n"
-"  when you press a key bound to search-typeahead or similar\n"
+"0 disables this feature; typeahead searching will only be\n"
+"  used when you press a key bound to search-typeahead or\n"
+"  similar\n"
 "1 automatically starts typeahead searching thru link text\n"
-"2 automatically starts typeahead searching thru all document text"
+"2 automatically starts typeahead searching thru all document\n"
+"  text"
 msgstr ""
 
-#: src/config/options.inc:428
+#: src/config/options.inc:451
 msgid "Horizontal text margin"
 msgstr ""
 
-#: src/config/options.inc:430
+#: src/config/options.inc:453
 msgid "Horizontal text margin."
 msgstr ""
 
-#: src/config/options.inc:432
+#: src/config/options.inc:455
 msgid "Document meta refresh"
 msgstr ""
 
-#: src/config/options.inc:434
+#: src/config/options.inc:457
 msgid ""
-"Automatically follow document-specified refresh directives ('<meta>\n"
-"refresh' tags). Web-page authors use these to instruct the browser\n"
-"to reload a document at a given interval or to load another page.\n"
-"Regardless of the value the refresh URI is accessible as a link.\n"
-"Use the document.browse.minimum_refresh_time to control the minimum\n"
-"number of seconds a refresh will wait."
+"Automatically follow document-specified refresh directives ('<meta> refresh' "
+"tags). Web-page authors use these to instruct the browser to reload a "
+"document at a given interval or to load another page. Regardless of the "
+"value the refresh URI is accessible as a link.\n"
+"\n"
+"Use the document.browse.minimum_refresh_time to control the minimum number "
+"of seconds a refresh will wait."
 msgstr ""
 
-#: src/config/options.inc:441
+#: src/config/options.inc:466
 msgid "Document meta refresh minimum time"
 msgstr ""
 
-#: src/config/options.inc:443
+#: src/config/options.inc:468
 msgid ""
-"The minimum number of milliseconds that should pass before\n"
-"refreshing. If set to zero the document refresh time is used\n"
-"unchanged. It can fix going back in history for some sites that\n"
-"use refreshing with zero values."
+"The minimum number of milliseconds that should pass before refreshing. If "
+"set to zero the document refresh time is used unchanged. It can fix going "
+"back in history for some sites that use refreshing with zero values."
 msgstr ""
 
-#: src/config/options.inc:448
+#: src/config/options.inc:473
 msgid "Tables navigation order"
 msgstr ""
 
-#: src/config/options.inc:450
+#: src/config/options.inc:475
 msgid "Move by columns in table, instead of rows."
 msgstr ""
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:456
+#: src/config/options.inc:481
 msgid "Cache"
 msgstr "Kas"
 
-#: src/config/options.inc:458
+#: src/config/options.inc:483
 msgid "Cache options."
 msgstr ""
 
-#: src/config/options.inc:460
+#: src/config/options.inc:485
 msgid "Cache information about redirects"
 msgstr ""
 
-#: src/config/options.inc:462
+#: src/config/options.inc:487
 msgid ""
-"Cache even redirects sent by server (usually thru HTTP by a 302\n"
-"HTTP code and a Location header). This was the original behaviour\n"
-"for quite some time, but it causes problems in a situation very\n"
-"common to various web login systems - frequently, when accessing\n"
-"a certain location, they will redirect you to a login page if they\n"
-"don't receive an auth cookie, the login page then gives you the\n"
-"cookie and redirects you back to the original page, but there you\n"
-"have already cached redirect back to the login page! If this\n"
-"option has value of 0, this malfunction is fixed, but occasionally\n"
-"you may get superfluous (depends on how you take it ;-) requests to\n"
-"the server. If this option has value of 1, experienced users can\n"
-"still workaround it by clever combination of usage of reload,\n"
-"jumping around in session history and hitting ctrl+enter.\n"
-"Note that this option is checked when retrieving the information\n"
-"from cache, not when saving it to cache - thus if you enable\n"
-"it, even previous redirects will be taken from cache instead of\n"
-"asking the server."
+"Cache even redirects sent by server (usually thru HTTP by a 302 HTTP code "
+"and a Location header). This was the original behaviour for quite some time, "
+"but it causes problems in a situation very common to various web login "
+"systems - frequently, when accessing a certain location, they will redirect "
+"you to a login page if they don't receive an auth cookie, the login page "
+"then gives you the cookie and redirects you back to the original page, but "
+"there you have already cached redirect back to the login page! If this "
+"option has value of 0, this malfunction is fixed, but occasionally you may "
+"get superfluous (depends on how you take it ;-) requests to the server. If "
+"this option has value of 1, experienced users can still workaround it by "
+"clever combination of usage of reload, jumping around in session history and "
+"hitting ctrl+enter.\n"
+"\n"
+"Note that this option is checked when retrieving the information from cache, "
+"not when saving it to cache - thus if you enable it, even previous redirects "
+"will be taken from cache instead of asking the server."
 msgstr ""
 
-#: src/config/options.inc:480
+#: src/config/options.inc:508
 msgid "Ignore cache-control info from server"
 msgstr ""
 
-#: src/config/options.inc:482
+#: src/config/options.inc:510
 msgid ""
-"Ignore Cache-Control and Pragma server headers.\n"
-"When set, the document is cached even with 'Cache-Control: no-cache'."
+"Ignore Cache-Control and Pragma server headers. When set, the document is "
+"cached even with 'Cache-Control: no-cache'."
 msgstr ""
 
-#: src/config/options.inc:485
+#: src/config/options.inc:514
 msgid "Formatted documents"
 msgstr ""
 
-#: src/config/options.inc:487
+#: src/config/options.inc:516
 msgid "Format cache options."
 msgstr ""
 
-#: src/config/options.inc:489
+#: src/config/options.inc:518
 msgid "Number"
 msgstr "Aantal"
 
-#: src/config/options.inc:491
+#: src/config/options.inc:520
 msgid ""
-"Number of cached formatted pages. Do not get too generous\n"
-"here, 'formatted' means that all the accompanying structures\n"
-"are kept in memory so that you get the cached document\n"
-"immediatelly, but these structures may take a lot - 2x the\n"
-"size of the HTML source is probably not unusual, but it can\n"
-"be even more if the document consists of a lot of short lines\n"
-"(padded right, if possible) and links and not much other markup.\n"
-"So if you set this to 256 and then you don't like your ELinks\n"
-"eating 90M, don't come complaining to us. ;-)\n"
-"Also note that the format cache itself is not counted to the\n"
-"memory cache size, but the HTML source of the formatted documents\n"
-"is always cached, even if it is over the memory cache size\n"
-"threshold. (Then of course no other documents can be cached.)"
+"Number of cached formatted pages. Do not get too generous here, 'formatted' "
+"means that all the accompanying structures are kept in memory so that you "
+"get the cached document immediatelly, but these structures may take a lot - "
+"2x the size of the HTML source is probably not unusual, but it can be even "
+"more if the document consists of a lot of short lines (padded right, if "
+"possible) and links and not much other markup. So if you set this to 256 and "
+"then you don't like your ELinks eating 90M, don't come complaining to "
+"us. ;-)\n"
+"\n"
+"Also note that the format cache itself is not counted to the memory cache "
+"size, but the HTML source of the formatted documents is always cached, even "
+"if it is over the memory cache size threshold. (Then of course no other "
+"documents can be cached.)"
 msgstr ""
 
 #. FIXME: Write more.
-#: src/config/options.inc:506
+#: src/config/options.inc:538
 msgid "Revalidation interval"
 msgstr ""
 
-#: src/config/options.inc:508
+#: src/config/options.inc:540
 msgid ""
-"Period in seconds that a cache entry is considered to be\n"
-"up-to-date. When a document is loaded and this interval has elapsed\n"
-"since the document was initially loaded or most recently\n"
-"revalidated with the server, the server will be checked in case\n"
-"there is a more up-to-date version of the document.\n"
+"Period in seconds that a cache entry is considered to be up-to-date. When a "
+"document is loaded and this interval has elapsed since the document was "
+"initially loaded or most recently revalidated with the server, the server "
+"will be checked in case there is a more up-to-date version of the document.\n"
 "\n"
 "A value of -1 disables automatic revalidation."
 msgstr ""
 
-#: src/config/options.inc:515 src/dialogs/info.c:199
+#: src/config/options.inc:549 src/dialogs/info.c:199
 msgid "Memory cache"
 msgstr "Geheuekas"
 
-#: src/config/options.inc:517
+#: src/config/options.inc:551
 msgid "Memory cache options."
 msgstr "Keuses vir geheuekas."
 
-#: src/config/options.inc:521
+#: src/config/options.inc:555
 msgid "Memory cache size (in bytes)."
 msgstr "Kasgrootte (in grepe)."
 
-#: src/config/options.inc:525
+#: src/config/options.inc:559
 msgid "Charset"
 msgstr "Karakterstel"
 
-#: src/config/options.inc:527
+#: src/config/options.inc:561
 msgid "Charset options."
 msgstr "Karakterstelkeuses."
 
-#: src/config/options.inc:529
+#: src/config/options.inc:563
 msgid "Default codepage"
 msgstr "Verstekkarakterstel"
 
-#: src/config/options.inc:531
+#: src/config/options.inc:565
 msgid ""
-"Default document codepage. 'System' stands for\n"
-"a codepage determined by a selected locale."
+"Default document codepage. 'System' stands for a codepage determined by a "
+"selected locale."
 msgstr ""
 
-#: src/config/options.inc:534
+#: src/config/options.inc:568
 msgid "Ignore charset info from server"
 msgstr "Ignoreer die karakterstel van die bediener"
 
-#: src/config/options.inc:536
+#: src/config/options.inc:570
 msgid "Ignore charset info sent by server."
 msgstr "Ignoreer die karakterstel wat deur die bediener gestuur word."
 
-#: src/config/options.inc:540
+#: src/config/options.inc:574
 msgid "Default color settings"
 msgstr "Verstekkleurinstellings"
 
-#: src/config/options.inc:542
+#: src/config/options.inc:576
 msgid "Default document color settings."
 msgstr "Verstelinstellings vir dokumentkleure."
 
-#: src/config/options.inc:553
+#: src/config/options.inc:587
 msgid "Link color"
 msgstr "Skakelkleur"
 
-#: src/config/options.inc:555
+#: src/config/options.inc:589
 msgid "Default link color."
 msgstr "Verstekskakelkleur."
 
-#: src/config/options.inc:557
+#: src/config/options.inc:591
 msgid "Visited-link color"
 msgstr "Kleur van besoekte skakels"
 
-#: src/config/options.inc:559
+#: src/config/options.inc:593
 msgid "Default visited link color."
 msgstr "Verstekkleur van besoekte skakels."
 
-#: src/config/options.inc:561
+#: src/config/options.inc:595
 msgid "Image-link color"
 msgstr "Prentskakel-kleur"
 
-#: src/config/options.inc:563
+#: src/config/options.inc:597
 msgid "Default image link color."
 msgstr "Verstekkleur van prentskakels."
 
-#: src/config/options.inc:565
+#: src/config/options.inc:599
 msgid "Bookmarked-link color"
 msgstr "Kleur van geboekmerkte skakels"
 
-#: src/config/options.inc:567
+#: src/config/options.inc:601
 msgid "Default bookmarked link color."
 msgstr "Verstek kleur van geboekmerkte skakels."
 
-#: src/config/options.inc:569
+#: src/config/options.inc:603
 msgid "Directory color"
 msgstr "Gidskleur"
 
-#: src/config/options.inc:571
+#: src/config/options.inc:605
+#, fuzzy
 msgid ""
 "Default directory color.\n"
+"\n"
 "See document.browse.links.color_dirs option."
 msgstr ""
 "Verstek-gidskleur.\n"
 "Sien die 'document.browse.links.color_dirs'-keuse."
 
-#: src/config/options.inc:578
+#: src/config/options.inc:613
 msgid "Increase contrast"
 msgstr "Verhoog kontras"
 
-#: src/config/options.inc:580
+#: src/config/options.inc:615
+#, fuzzy
 msgid ""
-"Increase the contrast between the foreground and background colors\n"
-"to ensure readability. For example it disallows dark colors on a\n"
-"black background. Note, this is different from ensuring the contrast\n"
-"with the ensure_contrast option."
+"Increase the contrast between the foreground and background colors to ensure "
+"readability. For example it disallows dark colors on a black background. "
+"Note, this is different from ensuring the contrast with the ensure_contrast "
+"option."
 msgstr ""
 "Verhoog die kontras tussen die voorgrond- en agtergrondkleure\n"
 "om leesbaarheid te verseker. Dit laat byvoorbeeld\n"
@@ -2859,22 +2868,22 @@ msgstr ""
 "hierdie is anders as om die kontras te verseker met die\n"
 "'ensure_contrast'-keuse."
 
-#: src/config/options.inc:585
+#: src/config/options.inc:621
 msgid "Ensure contrast"
 msgstr "Verseker kontras"
 
-#: src/config/options.inc:587
+#: src/config/options.inc:623
 #, fuzzy
 msgid "Makes sure that the back- and foreground colors are never equal."
 msgstr "Maak seker dat die voor- en agtergrondkleure nooit die selfde is nie."
 
 #. If you change this please also change ACT_MAIN_DOCUMENT_COLORS action
 #. * handling.
-#: src/config/options.inc:592
+#: src/config/options.inc:628
 msgid "Use document-specified colors"
 msgstr "Gebruik kleure gespesifiseer in die dokument"
 
-#: src/config/options.inc:594
+#: src/config/options.inc:630
 msgid ""
 "Use colors specified in document:\n"
 "0 is use always the default settings\n"
@@ -2886,38 +2895,38 @@ msgid ""
 msgstr ""
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:607
+#: src/config/options.inc:643
 msgid "Downloading"
 msgstr "Aflaai"
 
-#: src/config/options.inc:609
+#: src/config/options.inc:645
 msgid "Options regarding files downloading and handling."
 msgstr "Keuses aangaande die aflaai en hantering van lêers."
 
-#: src/config/options.inc:611
+#: src/config/options.inc:647
 msgid "Default download directory"
 msgstr ""
 
-#: src/config/options.inc:613
+#: src/config/options.inc:649
 msgid "Default download directory."
 msgstr ""
 
-#: src/config/options.inc:615
+#: src/config/options.inc:651
 msgid "Set original time"
 msgstr ""
 
-#: src/config/options.inc:617
+#: src/config/options.inc:653
 msgid ""
-"Set the timestamp of each downloaded file to the timestamp\n"
-"stored on the server."
+"Set the timestamp of each downloaded file to the timestamp stored on the "
+"server."
 msgstr ""
 
 #. Does automatic resuming make sense as an option?
-#: src/config/options.inc:621
+#: src/config/options.inc:657
 msgid "Prevent overwriting"
 msgstr ""
 
-#: src/config/options.inc:623
+#: src/config/options.inc:659
 msgid ""
 "Prevent overwriting the local files:\n"
 "0 is files will silently be overwritten\n"
@@ -2925,11 +2934,11 @@ msgid ""
 "2 is ask the user"
 msgstr ""
 
-#: src/config/options.inc:628
+#: src/config/options.inc:664
 msgid "Notify download completion by bell"
 msgstr ""
 
-#: src/config/options.inc:630
+#: src/config/options.inc:666
 msgid ""
 "Audio notification when download is completed:\n"
 "0 is never\n"
@@ -2937,27 +2946,27 @@ msgid ""
 "2 is always"
 msgstr ""
 
-#: src/config/options.inc:636
+#: src/config/options.inc:672
 msgid "Dump output"
 msgstr ""
 
-#: src/config/options.inc:638
+#: src/config/options.inc:674
 msgid "Dump output options."
 msgstr ""
 
 #. OPT_CODEPAGE
-#: src/config/options.inc:640 src/config/options.inc:912
+#: src/config/options.inc:676 src/config/options.inc:980
 #: src/config/opttypes.c:481 src/dialogs/document.c:164
 msgid "Codepage"
 msgstr ""
 
-#: src/config/options.inc:642
+#: src/config/options.inc:678
 msgid ""
-"Codepage used in dump output. 'System' stands for\n"
-"a codepage determined by a selected locale."
+"Codepage used in dump output. 'System' stands for a codepage determined by a "
+"selected locale."
 msgstr ""
 
-#: src/config/options.inc:645 src/config/options.inc:878
+#: src/config/options.inc:681 src/config/options.inc:941
 msgid "Color mode"
 msgstr ""
 
@@ -2966,12 +2975,14 @@ msgstr ""
 #. * an outer list entry after an inner list.
 #. * TRANSLATORS: This restriction applies only to the
 #. * "en" (English) translation.  (See doc/Makefile.)
-#: src/config/options.inc:652
+#: src/config/options.inc:688
 msgid ""
 "Color mode for dumps.\n"
+"\n"
 "Some modes may have been disabled at compile time. The Setup -> Terminal "
 "options dialog lists the modes supported by this executable. If you select "
 "an unsupported mode, ELinks uses 16 colors.\n"
+"\n"
 "The color modes are:\n"
 "-1 is standard dump mode\n"
 "0 is mono mode\n"
@@ -2981,115 +2992,113 @@ msgid ""
 "4 is true color mode"
 msgstr ""
 
-#: src/config/options.inc:665
+#: src/config/options.inc:703
 msgid "Footer"
 msgstr ""
 
-#: src/config/options.inc:667
+#: src/config/options.inc:705
 #, c-format
 msgid "Footer string used in dumps. %u is substituted by URL."
 msgstr ""
 
-#: src/config/options.inc:671
+#: src/config/options.inc:709
 #, c-format
 msgid "Header string used in dumps. %u is substituted by URL."
 msgstr ""
 
-#: src/config/options.inc:673
+#: src/config/options.inc:711
 msgid "Numbering"
 msgstr ""
 
-#: src/config/options.inc:675
+#: src/config/options.inc:713
 msgid "Whether to print link numbers in dump output."
 msgstr ""
 
-#: src/config/options.inc:677
+#: src/config/options.inc:715
 msgid "References"
 msgstr "Verwysings"
 
-#: src/config/options.inc:679
-msgid ""
-"Whether to print references (URIs) of document links\n"
-"in dump output."
+#: src/config/options.inc:717
+msgid "Whether to print references (URIs) of document links in dump output."
 msgstr ""
 
-#: src/config/options.inc:682
+#: src/config/options.inc:720
 msgid "Separator"
 msgstr "Skeier"
 
-#: src/config/options.inc:684
+#: src/config/options.inc:722
 msgid "String which separates two dumps."
 msgstr ""
 
-#: src/config/options.inc:686
+#: src/config/options.inc:724
 msgid "Width"
 msgstr "Wydte"
 
-#: src/config/options.inc:688
+#: src/config/options.inc:726
 msgid "Width of screen in characters when dumping documents."
 msgstr ""
 
-#: src/config/options.inc:692
+#: src/config/options.inc:730
 msgid "History"
 msgstr "Geskiedenis"
 
-#: src/config/options.inc:694
+#: src/config/options.inc:732
 msgid "History options."
 msgstr "Geskiedeniskeuses."
 
-#: src/config/options.inc:696
+#: src/config/options.inc:734
 msgid "Keep unhistory"
 msgstr "Hou toekoms"
 
-#: src/config/options.inc:698
+#: src/config/options.inc:736
 msgid "Keep unhistory (\"forward history\")."
 msgstr "Hou toekoms (\"vorentoe geskiedenis\")."
 
-#: src/config/options.inc:701
+#: src/config/options.inc:739
 msgid "HTML rendering"
 msgstr ""
 
-#: src/config/options.inc:703
+#: src/config/options.inc:741
 msgid "Options concerning the display of HTML pages."
 msgstr ""
 
-#: src/config/options.inc:705
+#: src/config/options.inc:743
 msgid "Display frames"
 msgstr "Wys rame"
 
-#: src/config/options.inc:707
+#: src/config/options.inc:745
 msgid "Display frames."
 msgstr "Wys rame."
 
-#: src/config/options.inc:709
+#: src/config/options.inc:747
 msgid "Display tables"
 msgstr "Wys tabelle"
 
-#: src/config/options.inc:711
+#: src/config/options.inc:749
 msgid "Display tables."
 msgstr "Wys tabelle."
 
-#: src/config/options.inc:713
+#: src/config/options.inc:751
 msgid "Display subscripts"
 msgstr "Wys onderskrif"
 
-#: src/config/options.inc:715
+#: src/config/options.inc:753
 msgid "Display subscripts (as [thing])."
 msgstr "Wys onderskrif (as [iets])."
 
-#: src/config/options.inc:717
+#: src/config/options.inc:755
 msgid "Display superscripts"
 msgstr "Wys superskrif"
 
-#: src/config/options.inc:719
+#: src/config/options.inc:757
 msgid "Display superscripts (as ^thing)."
 msgstr "Wys superskrif (as ^iets)."
 
-#: src/config/options.inc:721
+#: src/config/options.inc:759
 msgid "Rendering of HTML link element"
 msgstr ""
 
-#: src/config/options.inc:723
+#: src/config/options.inc:761
 msgid ""
 "How to render <link> tags from the HTML header:\n"
 "0 is nothing\n"
@@ -3100,143 +3109,141 @@ msgid ""
 "5 is everything"
 msgstr ""
 
-#: src/config/options.inc:731
+#: src/config/options.inc:769
 msgid "Underline links"
 msgstr "Onderstreep skakels"
 
-#: src/config/options.inc:733
+#: src/config/options.inc:771
 msgid "Underline links."
 msgstr "Onderstreep skakels."
 
-#: src/config/options.inc:735
+#: src/config/options.inc:773
 msgid "Wrap non breaking space"
 msgstr ""
 
-#: src/config/options.inc:737
+#: src/config/options.inc:775
 msgid ""
-"If set do not honour non breaking space (the nbsp entity)\n"
-"but allow to wrap the text. This can help keeping the width\n"
-"of documents down so no horizontal scrolling is needed."
+"If set do not honour non breaking space (the nbsp entity) but allow to wrap "
+"the text. This can help keeping the width of documents down so no horizontal "
+"scrolling is needed."
 msgstr ""
 
-#: src/config/options.inc:742
+#: src/config/options.inc:780
 msgid "Plain rendering"
 msgstr ""
 
-#: src/config/options.inc:744
+#: src/config/options.inc:782
 msgid "Options concerning the display of plain text pages."
 msgstr "Keuses aangaandie die vertoon van gewone teksblaaie."
 
-#: src/config/options.inc:746
+#: src/config/options.inc:784
 msgid "Display URIs"
 msgstr "Wys URI's"
 
-#: src/config/options.inc:748
+#: src/config/options.inc:786
 msgid "Display URIs in the document as links."
 msgstr "Wys URI's in die dokument as skakels."
 
-#: src/config/options.inc:750
+#: src/config/options.inc:788
 msgid "Compress empty lines"
 msgstr "Pers leë lyne saam"
 
-#: src/config/options.inc:752
+#: src/config/options.inc:790
 msgid "Compress successive empty lines to only one in displayed text."
 msgstr "Pers opeenvolgende leë lyne saam tot een in die vertoonde teks."
 
-#: src/config/options.inc:755
+#: src/config/options.inc:794
 msgid "URI passing"
 msgstr "URI-oordrag"
 
-#: src/config/options.inc:757
+#: src/config/options.inc:796
 msgid ""
-"Rules for passing URIs to external commands. When one rule\n"
-"is defined the link and tab menu will have a menu item that\n"
-"makes it possible to pass the the link, frame or tab URI to\n"
-"an external command. If several rules are defined the link and\n"
-"tab menu will have a submenu of items for each rule. Note, this\n"
-"is mostly useful for launching graphical viewers, since there\n"
-"is no support for releasing the terminal while the command runs.\n"
-"The action and submenus are also available by binding keys to\n"
-"the frame-external-command, the link-external-command, and\n"
-"the tab-external-command actions."
+"Rules for passing URIs to external commands. When one rule is defined the "
+"link and tab menu will have a menu item that makes it possible to pass the "
+"the link, frame or tab URI to an external command. If several rules are "
+"defined the link and tab menu will have a submenu of items for each rule.\n"
+"\n"
+"Note, this is mostly useful for launching graphical viewers, since there is "
+"no support for releasing the terminal while the command runs. The action and "
+"submenus are also available by binding keys to the frame-external-command, "
+"the link-external-command, and the tab-external-command actions."
 msgstr ""
 
-#: src/config/options.inc:770
+#: src/config/options.inc:812
 msgid ""
-"A rule for passing URI to an external command.\n"
-"The format is:\n"
+"A rule for passing URI to an external command. The format is:\n"
 "%c in the string means the current URL\n"
 "%% in the string means '%'\n"
 "Do _not_ put single- or double-quotes around %c."
 msgstr ""
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:780
+#: src/config/options.inc:822
 msgid "Information files"
 msgstr "Inligtinglêers"
 
-#: src/config/options.inc:782
+#: src/config/options.inc:824
 msgid "Options for information files in ~/.elinks."
 msgstr "Keuses vir inligtinglêers in ~/.elinks."
 
-#: src/config/options.inc:784
+#: src/config/options.inc:826
 msgid "Save interval"
 msgstr "Stoorinterval"
 
-#: src/config/options.inc:786
+#: src/config/options.inc:828
 #, fuzzy
 msgid ""
-"Interval at which to trigger information files in ~/.elinks\n"
-"to be saved to disk if they have changed (seconds; 0 to disable)"
+"Interval at which to trigger information files in ~/.elinks to be saved to "
+"disk if they have changed (seconds; 0 to disable)"
 msgstr ""
 "Interval waarna die stoor van veranderde inligtinglêers\n"
 "in ~/.elinks geaktiveer moet word (sekondes; 0 deaktiveer)"
 
-#: src/config/options.inc:789
+#: src/config/options.inc:832
 msgid "Use secure file saving"
 msgstr ""
 
-#: src/config/options.inc:791
+#: src/config/options.inc:834
 msgid ""
-"First write data to unique temporary file, then rename this file\n"
-"upon successfully finishing this. Note that this relates only to\n"
-"config files, not downloaded files. You may want to disable\n"
-"it if you are using some exotic permissions for concerned files.\n"
-"Secure file saving is automagically disabled if file is symlink.\n"
-"Warning: some systems (ie. OS/2, Win32) require that destination\n"
-"file doesn't exist when rename(3) is called, breaking atomicity,\n"
-"and reducing reliability of this feature."
+"First write data to unique temporary file, then rename this file upon "
+"successfully finishing this. Note that this relates only to config files, "
+"not downloaded files. You may want to disable it if you are using some "
+"exotic permissions for concerned files. Secure file saving is automagically "
+"disabled if file is symlink.\n"
+"\n"
+"Warning: some systems (ie. OS/2, Win32) require that destination file "
+"doesn't exist when rename(3) is called, breaking atomicity, and reducing "
+"reliability of this feature."
 msgstr ""
 
-#: src/config/options.inc:800
+#: src/config/options.inc:846
 msgid "Use fsync(3) with secure file saving"
 msgstr ""
 
-#: src/config/options.inc:802
+#: src/config/options.inc:848
 msgid ""
-"When using secure file saving, call fsync(3), if the OS\n"
-"supports it, to force the OS immediately to write the data\n"
-"to permanent storage. This is optional for those who wish\n"
-"to avoid excessive disk I/O."
+"When using secure file saving, call fsync(3), if the OS supports it, to "
+"force the OS immediately to write the data to permanent storage. This is "
+"optional for those who wish to avoid excessive disk I/O."
 msgstr ""
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:811
+#: src/config/options.inc:857
 msgid "Terminals"
 msgstr "Terminale"
 
-#: src/config/options.inc:813
+#: src/config/options.inc:859
 msgid "Terminal options."
 msgstr "Terminaalkeuses."
 
-#: src/config/options.inc:817
+#: src/config/options.inc:863
 msgid "Options specific to this terminal type (according to $TERM value)."
 msgstr ""
 
-#: src/config/options.inc:842
+#: src/config/options.inc:889
 msgid ""
-"Terminal type; matters mostly only when drawing frames and\n"
-"dialog box borders:\n"
+"Terminal type; matters mostly only when drawing frames and dialog box "
+"borders:\n"
 "0 is dumb terminal type, ASCII art\n"
 "1 is VT100, simple but portable\n"
 "2 is Linux, you get double frames and other goodies\n"
@@ -3244,15 +3251,31 @@ msgid ""
 "4 is FreeBSD"
 msgstr ""
 
-#: src/config/options.inc:850 src/dialogs/options.c:227
+#: src/config/options.inc:897
+msgid "Always encode xterm title in ISO-8859-1"
+msgstr ""
+
+#: src/config/options.inc:899
+msgid ""
+"When updating the window title of xterm or a similar terminal emulator, "
+"encode the title in ISO-8859-1 (Latin-1), rather than in the charset used "
+"for other text in the window. Cyrillic and other characters get replaced "
+"with Latin ones. Xterm requires this unless you explicitly enable UTF-8 "
+"titles in it.\n"
+"\n"
+"If this option does not take effect immediately, try switching to a "
+"different page so that ELinks notices it needs to update the title."
+msgstr ""
+
+#: src/config/options.inc:910 src/dialogs/options.c:227
 msgid "Switch fonts for line drawing"
 msgstr ""
 
-#: src/config/options.inc:852
+#: src/config/options.inc:912
 msgid ""
-"Switch fonts when drawing lines, enabling both local characters\n"
-"and lines working at the same time. ELinks uses this option only if\n"
-"UTF-8 I/O is disabled and the terminal type is Linux or FreeBSD."
+"Switch fonts when drawing lines, enabling both local characters and lines "
+"working at the same time. ELinks uses this option only if UTF-8 I/O is "
+"disabled and the terminal type is Linux or FreeBSD."
 msgstr ""
 
 #. When CONFIG_UTF8 is defined, any code that reads the "utf_8_io"
@@ -3260,36 +3283,36 @@ msgstr ""
 #. * and if so, behave as if "utf_8_io" were 1.  (When CONFIG_UTF8 is
 #. * not defined, it should not be possible to set UTF-8 as "codepage";
 #. * please report any such possibilities as bugs.)
-#: src/config/options.inc:861 src/dialogs/options.c:232
+#: src/config/options.inc:922 src/dialogs/options.c:232
 msgid "UTF-8 I/O"
 msgstr ""
 
-#: src/config/options.inc:863
+#: src/config/options.inc:924
 msgid ""
-"Enable I/O in UTF-8 for Unicode terminals. Note that currently,\n"
-"only the subset of UTF-8 according to terminal codepage is used.\n"
-"ELinks ignores this option if the terminal codepage is UTF-8."
+"Enable I/O in UTF-8 for Unicode terminals. Note that currently, only the "
+"subset of UTF-8 according to terminal codepage is used. ELinks ignores this "
+"option if the terminal codepage is UTF-8."
 msgstr ""
 
-#: src/config/options.inc:867 src/dialogs/options.c:228
+#: src/config/options.inc:929 src/dialogs/options.c:228
 msgid "Restrict frames in cp850/852"
 msgstr ""
 
-#: src/config/options.inc:869
+#: src/config/options.inc:931
 msgid ""
-"Restrict the characters used when drawing lines. Makes sense\n"
-"only with linux terminals using the cp850/852 character sets."
+"Restrict the characters used when drawing lines. Makes sense only with linux "
+"terminals using the cp850/852 character sets."
 msgstr ""
 
-#: src/config/options.inc:872 src/dialogs/options.c:229
+#: src/config/options.inc:935 src/dialogs/options.c:229
 msgid "Block cursor"
 msgstr ""
 
-#: src/config/options.inc:874
+#: src/config/options.inc:937
 msgid ""
-"Move cursor to bottom right corner when done drawing.\n"
-"This is particularly useful when we have a block cursor,\n"
-"so that inversed text is displayed correctly."
+"Move cursor to bottom right corner when done drawing. This is particularly "
+"useful when we have a block cursor, so that inversed text is displayed "
+"correctly."
 msgstr ""
 
 #. The list of modes must be at the end of this string
@@ -3297,13 +3320,15 @@ msgstr ""
 #. * an outer list entry after an inner list.
 #. * TRANSLATORS: This restriction applies only to the
 #. * "en" (English) translation.  (See doc/Makefile.)
-#: src/config/options.inc:885
+#: src/config/options.inc:948
 msgid ""
 "The color mode controls what colors are used and how they are output to the "
 "terminal.\n"
+"\n"
 "Some modes may have been disabled at compile time. The Setup -> Terminal "
 "options dialog lists the modes supported by this executable. If you select "
 "an unsupported mode, ELinks uses 16 colors.\n"
+"\n"
 "The color modes are:\n"
 "0 is mono mode, only 2 colors are used\n"
 "1 is 16 color mode, uses the common ANSI colors\n"
@@ -3312,401 +3337,398 @@ msgid ""
 "4 is true color mode, uses konsole RGB codes"
 msgstr ""
 
-#: src/config/options.inc:898 src/dialogs/options.c:230
+#: src/config/options.inc:963 src/dialogs/options.c:230
 msgid "Transparency"
 msgstr "Deursigtigheid"
 
-#: src/config/options.inc:900
+#: src/config/options.inc:965
 msgid ""
-"If we should not set the background to black. This is particularly\n"
-"useful when we have a terminal (typically in some windowing\n"
-"environment) with a background image or a transparent background -\n"
-"it will be visible in ELinks as well (but ELinks document color handling\n"
-"will still assume the background is black so if you have a bright "
-"background\n"
-"you might experience contrast problems). Note that this option makes\n"
-"sense only when colors are enabled."
+"If we should not set the background to black. This is particularly useful "
+"when we have a terminal (typically in some windowing environment) with a "
+"background image or a transparent background - it will be visible in ELinks "
+"as well (but ELinks document color handling will still assume the background "
+"is black so if you have a bright background you might experience contrast "
+"problems). Note that this option makes sense only when colors are enabled."
 msgstr ""
 
-#: src/config/options.inc:910
+#: src/config/options.inc:977
 msgid "If we should use underline or enhance the color instead."
 msgstr ""
 
-#: src/config/options.inc:914
+#: src/config/options.inc:982
 msgid ""
-"Codepage of charset used for displaying content on terminal.\n"
-"'System' stands for a codepage determined by a selected locale."
+"Codepage of charset used for displaying content on terminal. 'System' stands "
+"for a codepage determined by a selected locale."
 msgstr ""
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:921
+#: src/config/options.inc:990
 msgid "User interface"
 msgstr "Gebruikerkoppelvlak"
 
-#: src/config/options.inc:923
+#: src/config/options.inc:992
 msgid "User interface options."
 msgstr "Keuses oor die gebruikerkoppevlak."
 
-#: src/config/options.inc:927
+#: src/config/options.inc:996
 msgid "Color settings"
 msgstr "Kleurinstellings"
 
-#: src/config/options.inc:929
+#: src/config/options.inc:998
 msgid "Default user interface color settings."
 msgstr "Verstek-kleurinstellings van die gebruikerkoppelvlak."
 
-#: src/config/options.inc:956
+#: src/config/options.inc:1025
 msgid "Color terminals"
 msgstr "Kleurterminale"
 
-#: src/config/options.inc:958
+#: src/config/options.inc:1027
 msgid "Color settings for color terminal."
 msgstr "Kleurinstellings vir kleur terminale."
 
-#: src/config/options.inc:960
+#: src/config/options.inc:1029
 msgid "Non-color terminals"
 msgstr ""
 
-#: src/config/options.inc:962
+#: src/config/options.inc:1031
 msgid "Color settings for non-color terminal."
 msgstr ""
 
 #. FIXME: obsolete, how to alias them correctly ? --Zas
-#: src/config/options.inc:965
+#: src/config/options.inc:1034
 msgid "Main menu bar"
 msgstr ""
 
-#: src/config/options.inc:967
+#: src/config/options.inc:1036
 msgid "Main menu bar colors."
 msgstr ""
 
-#: src/config/options.inc:969
+#: src/config/options.inc:1038
 msgid "Unselected main menu bar item"
 msgstr ""
 
-#: src/config/options.inc:971
+#: src/config/options.inc:1040
 msgid "Unselected main menu bar item colors."
 msgstr ""
 
-#: src/config/options.inc:973
+#: src/config/options.inc:1042
 msgid "Selected main menu bar item"
 msgstr ""
 
-#: src/config/options.inc:975
+#: src/config/options.inc:1044
 msgid "Selected main menu bar item colors."
 msgstr ""
 
-#: src/config/options.inc:977 src/config/options.inc:1006
+#: src/config/options.inc:1046 src/config/options.inc:1075
 msgid "Hotkey"
 msgstr ""
 
-#: src/config/options.inc:979
+#: src/config/options.inc:1048
 msgid "Main menu hotkey colors."
 msgstr ""
 
-#: src/config/options.inc:981 src/config/options.inc:1010
+#: src/config/options.inc:1050 src/config/options.inc:1079
 msgid "Unselected hotkey"
 msgstr ""
 
-#: src/config/options.inc:983
+#: src/config/options.inc:1052
 msgid "Main menu unselected hotkey colors."
 msgstr ""
 
-#: src/config/options.inc:985 src/config/options.inc:1014
+#: src/config/options.inc:1054 src/config/options.inc:1083
 msgid "Selected hotkey"
 msgstr ""
 
-#: src/config/options.inc:987
+#: src/config/options.inc:1056
 msgid "Main menu selected hotkey colors."
 msgstr ""
 
-#: src/config/options.inc:990
+#: src/config/options.inc:1059
 msgid "Menu bar"
 msgstr ""
 
-#: src/config/options.inc:992
+#: src/config/options.inc:1061
 msgid "Menu bar colors."
 msgstr ""
 
-#: src/config/options.inc:994
+#: src/config/options.inc:1063
 msgid "Unselected menu item"
 msgstr ""
 
-#: src/config/options.inc:996
+#: src/config/options.inc:1065
 msgid "Unselected menu item colors."
 msgstr ""
 
-#: src/config/options.inc:998
+#: src/config/options.inc:1067
 msgid "Selected menu item"
 msgstr ""
 
-#: src/config/options.inc:1000
+#: src/config/options.inc:1069
 msgid "Selected menu item colors."
 msgstr ""
 
-#: src/config/options.inc:1002
+#: src/config/options.inc:1071
 msgid "Marked menu item"
 msgstr ""
 
-#: src/config/options.inc:1004
+#: src/config/options.inc:1073
 msgid "Marked menu item colors."
 msgstr ""
 
-#: src/config/options.inc:1008
+#: src/config/options.inc:1077
 msgid "Menu item hotkey colors."
 msgstr ""
 
-#: src/config/options.inc:1012
+#: src/config/options.inc:1081
 msgid "Menu item unselected hotkey colors."
 msgstr ""
 
-#: src/config/options.inc:1016
+#: src/config/options.inc:1085
 msgid "Menu item selected hotkey colors."
 msgstr ""
 
-#: src/config/options.inc:1018
+#: src/config/options.inc:1087
 msgid "Menu frame"
 msgstr ""
 
-#: src/config/options.inc:1020
+#: src/config/options.inc:1089
 msgid "Menu frame colors."
 msgstr ""
 
-#: src/config/options.inc:1023
+#: src/config/options.inc:1092
 msgid "Dialog"
 msgstr ""
 
-#: src/config/options.inc:1025
+#: src/config/options.inc:1094
 msgid "Dialog colors."
 msgstr ""
 
-#: src/config/options.inc:1035
+#: src/config/options.inc:1104
 msgid "Generic"
 msgstr ""
 
-#: src/config/options.inc:1037
+#: src/config/options.inc:1106
 msgid "Generic dialog colors."
 msgstr ""
 
-#: src/config/options.inc:1039
+#: src/config/options.inc:1108
 msgid "Frame"
 msgstr ""
 
-#: src/config/options.inc:1041
+#: src/config/options.inc:1110
 msgid "Dialog frame colors."
 msgstr ""
 
-#: src/config/options.inc:1043
+#: src/config/options.inc:1112
 msgid "Scrollbar"
 msgstr ""
 
-#: src/config/options.inc:1045
+#: src/config/options.inc:1114
 msgid "Scrollbar colors."
 msgstr ""
 
-#: src/config/options.inc:1047
+#: src/config/options.inc:1116
 msgid "Selected scrollbar"
 msgstr ""
 
-#: src/config/options.inc:1049
+#: src/config/options.inc:1118
 msgid "Scrollbar selected colors."
 msgstr ""
 
-#: src/config/options.inc:1053
+#: src/config/options.inc:1122
 msgid "Dialog title colors."
 msgstr ""
 
-#: src/config/options.inc:1055
+#: src/config/options.inc:1124
 msgid "Text"
 msgstr "Teks"
 
-#: src/config/options.inc:1057
+#: src/config/options.inc:1126
 msgid "Dialog text colors."
 msgstr ""
 
-#: src/config/options.inc:1059 src/viewer/text/form.c:1862
+#: src/config/options.inc:1128 src/viewer/text/form.c:1891
 msgid "Checkbox"
 msgstr ""
 
-#: src/config/options.inc:1061
+#: src/config/options.inc:1130
 msgid "Dialog checkbox colors."
 msgstr ""
 
-#: src/config/options.inc:1063
+#: src/config/options.inc:1132
 msgid "Selected checkbox"
 msgstr ""
 
-#: src/config/options.inc:1065
+#: src/config/options.inc:1134
 msgid "Dialog selected checkbox colors."
 msgstr ""
 
-#: src/config/options.inc:1067
+#: src/config/options.inc:1136
 msgid "Checkbox label"
 msgstr ""
 
-#: src/config/options.inc:1069
+#: src/config/options.inc:1138
 msgid "Dialog checkbox label colors."
 msgstr ""
 
-#: src/config/options.inc:1071
+#: src/config/options.inc:1140
 msgid "Button"
 msgstr "Knoppie"
 
-#: src/config/options.inc:1073 src/config/options.inc:1081
+#: src/config/options.inc:1142 src/config/options.inc:1150
 msgid "Dialog button colors."
 msgstr ""
 
-#: src/config/options.inc:1075
+#: src/config/options.inc:1144
 msgid "Selected button"
 msgstr ""
 
-#: src/config/options.inc:1077 src/config/options.inc:1085
+#: src/config/options.inc:1146 src/config/options.inc:1154
 msgid "Dialog selected button colors."
 msgstr ""
 
-#: src/config/options.inc:1079
+#: src/config/options.inc:1148
 msgid "Button shortcut"
 msgstr ""
 
-#: src/config/options.inc:1083
+#: src/config/options.inc:1152
 msgid "Selected button shortcut"
 msgstr ""
 
-#: src/config/options.inc:1087 src/viewer/text/form.c:1866
+#: src/config/options.inc:1156 src/viewer/text/form.c:1895
 msgid "Text field"
 msgstr "Teksveld"
 
-#: src/config/options.inc:1089
+#: src/config/options.inc:1158
 msgid "Dialog text field colors."
 msgstr "Teksveldkleur in dialoë."
 
-#: src/config/options.inc:1091
+#: src/config/options.inc:1160
 msgid "Text field text"
 msgstr "Teksveldteks"
 
-#: src/config/options.inc:1093
+#: src/config/options.inc:1162
 msgid "Dialog field text colors."
 msgstr ""
 
-#: src/config/options.inc:1095
+#: src/config/options.inc:1164
 msgid "Meter"
 msgstr ""
 
-#: src/config/options.inc:1097
+#: src/config/options.inc:1166
 msgid "Dialog meter colors."
 msgstr ""
 
-#: src/config/options.inc:1099
+#: src/config/options.inc:1168
 msgid "Shadow"
 msgstr "Skadu"
 
-#: src/config/options.inc:1101
+#: src/config/options.inc:1170
 msgid "Dialog shadow colors (see ui.shadows option)."
 msgstr "Skadukleure vir dialoog (sien die ui.shadows-keuse)"
 
-#: src/config/options.inc:1103
+#: src/config/options.inc:1172
 msgid "Title bar"
 msgstr ""
 
-#: src/config/options.inc:1105
+#: src/config/options.inc:1174
 msgid "Title bar colors."
 msgstr ""
 
-#: src/config/options.inc:1107
+#: src/config/options.inc:1176
 msgid "Generic title bar"
 msgstr ""
 
-#: src/config/options.inc:1109
+#: src/config/options.inc:1178
 msgid "Generic title bar colors."
 msgstr ""
 
-#: src/config/options.inc:1111
+#: src/config/options.inc:1180
 msgid "Title bar text"
 msgstr ""
 
-#: src/config/options.inc:1113
+#: src/config/options.inc:1182
 msgid "Title bar text colors."
 msgstr ""
 
-#: src/config/options.inc:1116
+#: src/config/options.inc:1185
 msgid "Status bar"
 msgstr ""
 
-#: src/config/options.inc:1118
+#: src/config/options.inc:1187
 msgid "Status bar colors."
 msgstr ""
 
-#: src/config/options.inc:1120
+#: src/config/options.inc:1189
 msgid "Generic status bar"
 msgstr ""
 
-#: src/config/options.inc:1122
+#: src/config/options.inc:1191
 msgid "Generic status bar colors."
 msgstr ""
 
-#: src/config/options.inc:1124
+#: src/config/options.inc:1193
 msgid "Status bar text"
 msgstr ""
 
-#: src/config/options.inc:1126
+#: src/config/options.inc:1195
 msgid "Status bar text colors."
 msgstr ""
 
-#: src/config/options.inc:1129
+#: src/config/options.inc:1198
 msgid "Tabs bar"
 msgstr ""
 
-#: src/config/options.inc:1131
+#: src/config/options.inc:1200
 msgid "Tabs bar colors."
 msgstr ""
 
-#: src/config/options.inc:1133
+#: src/config/options.inc:1202
 msgid "Unvisited tab"
 msgstr ""
 
-#: src/config/options.inc:1135
+#: src/config/options.inc:1204
 msgid ""
-"Tab colors for tabs that have not been\n"
-"selected since they completed loading."
+"Tab colors for tabs that have not been selected since they completed loading."
 msgstr ""
 
-#: src/config/options.inc:1138
+#: src/config/options.inc:1207
 msgid "Unselected tab"
 msgstr ""
 
-#: src/config/options.inc:1140
+#: src/config/options.inc:1209
 msgid "Unselected tab colors."
 msgstr ""
 
-#: src/config/options.inc:1142
+#: src/config/options.inc:1211
 msgid "Loading tab"
 msgstr ""
 
-#: src/config/options.inc:1144
+#: src/config/options.inc:1213
 msgid "Tab colors for tabs that are loading in the background."
 msgstr ""
 
-#: src/config/options.inc:1146
+#: src/config/options.inc:1215
 msgid "Selected tab"
 msgstr ""
 
-#: src/config/options.inc:1148
+#: src/config/options.inc:1217
 msgid "Selected tab colors."
 msgstr ""
 
-#: src/config/options.inc:1150
+#: src/config/options.inc:1219
 msgid "Tab separator"
 msgstr ""
 
-#: src/config/options.inc:1152
+#: src/config/options.inc:1221
 msgid "Tab separator colors."
 msgstr ""
 
-#: src/config/options.inc:1155
+#: src/config/options.inc:1224
 msgid "Searched strings"
 msgstr ""
 
-#: src/config/options.inc:1157
+#: src/config/options.inc:1226
 msgid "Searched string highlight colors."
 msgstr ""
 
@@ -3714,66 +3736,66 @@ msgstr ""
 #. ============= BORING PART (colors) END ===================
 #. ==========================================================
 #. Keep options in alphabetical order.
-#: src/config/options.inc:1166
+#: src/config/options.inc:1235
 msgid "Dialog settings"
 msgstr ""
 
-#: src/config/options.inc:1168
+#: src/config/options.inc:1237
 msgid "Dialogs-specific appearance and behaviour settings."
 msgstr ""
 
-#: src/config/options.inc:1171
+#: src/config/options.inc:1240
 msgid "Minimal height of listbox widget"
 msgstr ""
 
-#: src/config/options.inc:1173
+#: src/config/options.inc:1242
 msgid ""
-"Minimal height of the listbox widget (used e.g. for bookmarks\n"
-"or global history)."
+"Minimal height of the listbox widget (used e.g. for bookmarks or global "
+"history)."
 msgstr ""
 
-#: src/config/options.inc:1176
+#: src/config/options.inc:1245
 msgid "Drop shadows"
 msgstr ""
 
-#: src/config/options.inc:1178
+#: src/config/options.inc:1247
 msgid ""
-"Make dialogs drop shadows (the shadows are solid, you can\n"
-"adjust their color by ui.colors.*.dialog.shadow). You may\n"
-"also want to eliminate the wide borders by adjusting setup.h."
+"Make dialogs drop shadows (the shadows are solid, you can adjust their color "
+"by ui.colors.*.dialog.shadow). You may also want to eliminate the wide "
+"borders by adjusting setup.h."
 msgstr ""
 
-#: src/config/options.inc:1182
+#: src/config/options.inc:1252
 msgid "Underline menu hotkeys"
 msgstr ""
 
-#: src/config/options.inc:1184
+#: src/config/options.inc:1254
 msgid ""
-"Whether to underline hotkeys in menus to make them more\n"
-"visible. Requires that underlining is enabled for the terminal."
+"Whether to underline hotkeys in menus to make them more visible. Requires "
+"that underlining is enabled for the terminal."
 msgstr ""
 
-#: src/config/options.inc:1187
+#: src/config/options.inc:1258
 msgid "Underline button shortcuts"
 msgstr ""
 
-#: src/config/options.inc:1189
+#: src/config/options.inc:1260
 msgid ""
-"Whether to underline button shortcuts to make them more\n"
-"visible. Requires that underlining is enabled for the terminal."
+"Whether to underline button shortcuts to make them more visible. Requires "
+"that underlining is enabled for the terminal."
 msgstr ""
 
-#: src/config/options.inc:1193
+#: src/config/options.inc:1265
 msgid "Timer options"
 msgstr ""
 
-#: src/config/options.inc:1195
+#: src/config/options.inc:1267
 msgid ""
-"Timed action after certain interval of user inactivity. Someone can\n"
-"even find this useful, although you may not believe that."
+"Timed action after certain interval of user inactivity. Someone can even "
+"find this useful, although you may not believe that."
 msgstr ""
 
-#: src/config/options.inc:1201
+#: src/config/options.inc:1274
 msgid ""
 "Whether to enable the timer or not:\n"
 "0 is don't count down anything\n"
@@ -3781,7 +3803,7 @@ msgid ""
 "2 is count down and show the timer near LEDs"
 msgstr ""
 
-#: src/config/options.inc:1208
+#: src/config/options.inc:1281
 msgid ""
 "Whether to enable the timer or not:\n"
 "0 is don't count down anything\n"
@@ -3789,33 +3811,33 @@ msgid ""
 "2 is count down and show the timer near LEDs (DISABLED)"
 msgstr ""
 
-#: src/config/options.inc:1214
+#: src/config/options.inc:1287
 msgid "Duration"
 msgstr ""
 
-#: src/config/options.inc:1216
+#: src/config/options.inc:1289
 msgid ""
-"Inactivity timeout in seconds. The maximum of one day\n"
-"should be enough for just everyone (TM)."
+"Inactivity timeout in seconds. The maximum of one day should be enough for "
+"just everyone (TM)."
 msgstr ""
 
-#: src/config/options.inc:1221
+#: src/config/options.inc:1294
 msgid "Keybinding action to be triggered when timer reaches zero."
 msgstr ""
 
-#: src/config/options.inc:1224
+#: src/config/options.inc:1298
 msgid "Window tabs"
 msgstr ""
 
-#: src/config/options.inc:1226
+#: src/config/options.inc:1300
 msgid "Window tabs settings."
 msgstr ""
 
-#: src/config/options.inc:1228
+#: src/config/options.inc:1302
 msgid "Display tabs bar"
 msgstr ""
 
-#: src/config/options.inc:1230
+#: src/config/options.inc:1304
 msgid ""
 "Show tabs bar on the screen:\n"
 "0 means never\n"
@@ -3823,164 +3845,163 @@ msgid ""
 "2 means always"
 msgstr ""
 
-#: src/config/options.inc:1235
+#: src/config/options.inc:1309
 msgid "Tab bar at top"
 msgstr ""
 
-#: src/config/options.inc:1237
+#: src/config/options.inc:1311
 msgid "Whether display tab bar at top like other browsers do."
 msgstr ""
 
-#: src/config/options.inc:1239
+#: src/config/options.inc:1313
 msgid "Wrap-around tabs cycling"
 msgstr ""
 
-#: src/config/options.inc:1241
+#: src/config/options.inc:1315
 msgid ""
-"When moving right from the last tab, jump to the first one, and\n"
-"vice versa."
+"When moving right from the last tab, jump to the first one, and vice versa."
 msgstr ""
 
-#: src/config/options.inc:1244
+#: src/config/options.inc:1318
 msgid "Confirm tab closing"
 msgstr ""
 
-#: src/config/options.inc:1246
+#: src/config/options.inc:1320
 msgid "When closing a tab show confirmation dialog."
 msgstr ""
 
 #. OPT_LANGUAGE
-#: src/config/options.inc:1250 src/config/opttypes.c:483
+#: src/config/options.inc:1324 src/config/opttypes.c:483
 msgid "Language"
 msgstr "Taal"
 
-#: src/config/options.inc:1252
+#: src/config/options.inc:1326
 msgid ""
-"Language of user interface. 'System' means that the language will\n"
-"be extracted from the environment dynamically."
+"Language of user interface. 'System' means that the language will be "
+"extracted from the environment dynamically."
 msgstr ""
 
-#: src/config/options.inc:1255
+#: src/config/options.inc:1330
 msgid "Display menu bar always"
 msgstr ""
 
-#: src/config/options.inc:1257
+#: src/config/options.inc:1332
 msgid "Always show menu bar on the screen."
 msgstr ""
 
-#: src/config/options.inc:1259
+#: src/config/options.inc:1334
 msgid "Display status bar"
 msgstr ""
 
-#: src/config/options.inc:1261
+#: src/config/options.inc:1336
 msgid "Show status bar on the screen."
 msgstr ""
 
-#: src/config/options.inc:1263
+#: src/config/options.inc:1338
 msgid "Display title bar"
 msgstr ""
 
-#: src/config/options.inc:1265
+#: src/config/options.inc:1340
 msgid "Show title bar on the screen."
 msgstr ""
 
-#: src/config/options.inc:1267
+#: src/config/options.inc:1342
 msgid "Display goto dialog in new tabs"
 msgstr ""
 
-#: src/config/options.inc:1269
+#: src/config/options.inc:1344
 msgid ""
-"Pop up goto dialog in newly created tabs when there's no homepage\n"
-"set. This means also showing goto dialog on startup."
+"Pop up goto dialog in newly created tabs when there's no homepage set. This "
+"means also showing goto dialog on startup."
 msgstr ""
 
-#: src/config/options.inc:1272
+#: src/config/options.inc:1348
 msgid "Show a message box when file is saved successfully"
 msgstr ""
 
-#: src/config/options.inc:1274
+#: src/config/options.inc:1350
 msgid ""
-"When you pressed a [ Save ] button in some manager, this option\n"
-"will make sure that a box confirming success of the operation will\n"
-"pop up."
+"When you pressed a [ Save ] button in some manager, this option will make "
+"sure that a box confirming success of the operation will pop up."
 msgstr ""
 
-#: src/config/options.inc:1279
+#: src/config/options.inc:1355
 msgid "Sessions"
 msgstr ""
 
-#: src/config/options.inc:1281
+#: src/config/options.inc:1357
 msgid "Sessions settings."
 msgstr ""
 
-#: src/config/options.inc:1283
+#: src/config/options.inc:1359
 msgid "Keep session active"
 msgstr ""
 
-#: src/config/options.inc:1285
+#: src/config/options.inc:1361
 msgid "Keep the session active even if the last terminal exits."
 msgstr ""
 
-#: src/config/options.inc:1287
+#: src/config/options.inc:1364
 msgid "Auto save session"
 msgstr ""
 
-#: src/config/options.inc:1289
+#: src/config/options.inc:1366
 msgid ""
 "Automatically save the session when quitting.\n"
+"\n"
 "This feature requires bookmark support."
 msgstr ""
 
-#: src/config/options.inc:1292
+#: src/config/options.inc:1370
 msgid "Auto restore session"
 msgstr ""
 
-#: src/config/options.inc:1294
+#: src/config/options.inc:1372
 msgid ""
 "Automatically restore the session at start.\n"
+"\n"
 "This feature requires bookmark support."
 msgstr ""
 
-#: src/config/options.inc:1297
+#: src/config/options.inc:1376
 msgid "Auto save and restore session folder name"
 msgstr ""
 
-#: src/config/options.inc:1299
+#: src/config/options.inc:1378
 msgid ""
-"Name of the bookmarks folder used for auto saving and restoring session.\n"
-"The name has to be unique. Any folders with the same name will be deleted.\n"
+"Name of the bookmarks folder used for auto saving and restoring session. The "
+"name has to be unique. Any folders with the same name will be deleted.\n"
+"\n"
 "This only makes sense with bookmark support."
 msgstr ""
 
-#: src/config/options.inc:1303
+#: src/config/options.inc:1384
 msgid "Homepage URI"
 msgstr ""
 
-#: src/config/options.inc:1305
+#: src/config/options.inc:1386
 msgid ""
-"The URI to load either at startup time when no URI was given\n"
-"on the command line or when requested by the goto-url-home action.\n"
-"Set to \"\" if the environment variable WWW_HOME should be used\n"
-"as homepage URI instead."
+"The URI to load either at startup time when no URI was given on the command "
+"line or when requested by the goto-url-home action. Set to \"\" if the "
+"environment variable WWW_HOME should be used as homepage URI instead."
 msgstr ""
 
-#: src/config/options.inc:1311
+#: src/config/options.inc:1392
 msgid "Date format"
 msgstr "Datumformaat"
 
-#: src/config/options.inc:1313
+#: src/config/options.inc:1394
 msgid "Date format to use in dialogs. See strftime(3)."
 msgstr "Datumformaat om in dialoë te gebruik. Sien strftime(3)."
 
-#: src/config/options.inc:1316
+#: src/config/options.inc:1397
 msgid "Set window title"
 msgstr "Stel venstertitel"
 
-#: src/config/options.inc:1318
+#: src/config/options.inc:1399
 msgid ""
-"Set the window title when running in a windowing environment\n"
-"in an xterm-like terminal. This way the document's title is\n"
-"shown on the window titlebar."
+"Set the window title when running in a windowing environment in an xterm-"
+"like terminal. This way the document's title is shown on the window titlebar."
 msgstr ""
 
 #: src/config/opttypes.c:54
@@ -4063,7 +4084,7 @@ msgid "Goto URL History"
 msgstr ""
 
 #. name:
-#: src/cookies/cookies.c:88 src/cookies/cookies.c:911
+#: src/cookies/cookies.c:88 src/cookies/cookies.c:913
 msgid "Cookies"
 msgstr "Koekies"
 
@@ -4092,13 +4113,14 @@ msgid "Maximum age"
 msgstr "Maksimum ouderdom"
 
 #: src/cookies/cookies.c:102
+#, fuzzy
 msgid ""
 "Cookie maximum age (in days):\n"
 "-1 is use cookie's expiration date if any\n"
-"0  is force expiration at the end of session, ignoring cookie's\n"
-"   expiration date\n"
-"1+ is use cookie's expiration date, but limit age to the given\n"
-"   number of days"
+"0  is force expiration at the end of session, ignoring\n"
+"   cookie's expiration date\n"
+"1+ is use cookie's expiration date, but limit age to the\n"
+"   given number of days"
 msgstr ""
 "Maksimum koekieouderdom (in dae):\n"
 "-1 is gebruik die koekie se vervaldatum, indien enige\n"
@@ -4112,12 +4134,13 @@ msgid "Paranoid security"
 msgstr "Paranoïese sekuriteit"
 
 #: src/cookies/cookies.c:111
+#, fuzzy
 msgid ""
-"When enabled, we'll require three dots in cookies domain for all\n"
-"non-international domains (instead of just two dots). Some countries\n"
-"have generic second level domains (eg. .com.pl, .co.uk) and allowing\n"
-"sites to set cookies for these generic domains could potentially be\n"
-"very bad. Note, it is off by default as it breaks a lot of sites."
+"When enabled, we'll require three dots in cookies domain for all non-"
+"international domains (instead of just two dots). Some countries have "
+"generic second level domains (eg. .com.pl, .co.uk) and allowing sites to set "
+"cookies for these generic domains could potentially be very bad. Note, it is "
+"off by default as it breaks a lot of sites."
 msgstr ""
 "Indien geaktiveer, vereis ons drie punte in die koekiedomein\n"
 "vir alle nie-internasionale domeine (in plaas van net twee punte). Party\n"
@@ -4127,37 +4150,38 @@ msgstr ""
 "aangesien\n"
 "dit baie werwe breek."
 
-#: src/cookies/cookies.c:117
+#: src/cookies/cookies.c:118
 msgid "Saving"
 msgstr "Stoor"
 
-#: src/cookies/cookies.c:119
+#: src/cookies/cookies.c:120
 #, fuzzy
 msgid "Whether cookies should be loaded from and saved to disk."
 msgstr "Of koekies van/na die skyf gelaai/gestoor moet word."
 
-#: src/cookies/cookies.c:121
+#: src/cookies/cookies.c:123
 msgid "Resaving"
 msgstr "Herstoor"
 
-#: src/cookies/cookies.c:123
+#: src/cookies/cookies.c:125
+#, fuzzy
 msgid ""
-"Save cookies after each change in cookies list? No effect when\n"
-"cookie saving (cookies.save) is off."
+"Save cookies after each change in cookies list? No effect when cookie saving "
+"(cookies.save) is off."
 msgstr ""
 "Stoor koekies na elke verandering in die koekielys? Geen effek\n"
 "as koekies nooit gestoor word nie (koekies.stoor)."
 
-#: src/cookies/cookies.c:817
+#: src/cookies/cookies.c:819
 #, fuzzy
 msgid "Cannot save cookies"
 msgstr "Skrap alle koekies"
 
-#: src/cookies/cookies.c:828
+#: src/cookies/cookies.c:830
 msgid "ELinks was started without a home directory."
 msgstr ""
 
-#: src/cookies/cookies.c:834
+#: src/cookies/cookies.c:836
 msgid "ELinks was started with the -anonymous option."
 msgstr ""
 
@@ -4355,7 +4379,7 @@ msgid "No header info."
 msgstr "Geen kopinligting."
 
 #: src/dialogs/download.c:243 src/dialogs/menu.c:601
-#: src/protocol/bittorrent/dialogs.c:228 src/session/download.c:361
+#: src/protocol/bittorrent/dialogs.c:228 src/session/download.c:387
 msgid "Download"
 msgstr "Aflaai"
 
@@ -5163,7 +5187,7 @@ msgid "No document"
 msgstr "Geen dokument"
 
 #. name:
-#: src/document/css/css.c:30 src/document/css/css.c:161
+#: src/document/css/css.c:30 src/document/css/css.c:164
 msgid "Cascading Style Sheets"
 msgstr "Cascading Style Sheets"
 
@@ -5171,35 +5195,35 @@ msgstr "Cascading Style Sheets"
 msgid "Options concerning how to use CSS for styling documents."
 msgstr "Keuses oor hoe om CSS te gebruik vir stilering van dokumente."
 
-#: src/document/css/css.c:34
+#: src/document/css/css.c:35
 msgid "Enable CSS"
 msgstr "Aktiveer CSS"
 
-#: src/document/css/css.c:36
+#: src/document/css/css.c:37
 msgid "Enable adding of CSS style info to documents."
 msgstr "Aktiveer die toevoeging van CSS-stylinligting tot dokumente."
 
-#: src/document/css/css.c:38
+#: src/document/css/css.c:39
 msgid "Import external style sheets"
 msgstr "Voer eksterne styllêers in"
 
-#: src/document/css/css.c:40
+#: src/document/css/css.c:41
 msgid ""
-"When enabled any external style sheets that are imported from\n"
-"either CSS itself using the @import keyword or from the HTML using\n"
-"<link> tags in the document header will also be downloaded."
+"When enabled any external style sheets that are imported from either CSS "
+"itself using the @import keyword or from the HTML using <link> tags in the "
+"document header will also be downloaded."
 msgstr ""
 
-#: src/document/css/css.c:44
+#: src/document/css/css.c:46
 msgid "Default style sheet"
 msgstr "Verstek styllêer"
 
-#: src/document/css/css.c:46
+#: src/document/css/css.c:48
 msgid ""
-"The path to the file containing the default user defined\n"
-"Cascading Style Sheet. It can be used to control the basic\n"
-"layout of HTML documents. The path is assumed to be relative\n"
-"to ELinks' home directory.\n"
+"The path to the file containing the default user defined Cascading Style "
+"Sheet. It can be used to control the basic layout of HTML documents. The "
+"path is assumed to be relative to ELinks' home directory.\n"
+"\n"
 "Leave as \"\" to use built-in document styling."
 msgstr ""
 
@@ -5230,8 +5254,8 @@ msgstr ""
 
 #: src/ecmascript/ecmascript.c:55
 msgid ""
-"Whether to ignore content enclosed by the <noscript> tag\n"
-"when ECMAScript is enabled."
+"Whether to ignore content enclosed by the <noscript> tag when ECMAScript is "
+"enabled."
 msgstr ""
 
 #: src/ecmascript/ecmascript.c:58
@@ -5282,7 +5306,7 @@ msgid "JavaScript Error"
 msgstr ""
 
 #. name:
-#: src/ecmascript/spidermonkey.c:320
+#: src/ecmascript/spidermonkey.c:321
 msgid "SpiderMonkey"
 msgstr ""
 
@@ -5371,10 +5395,10 @@ msgid "Show form history dialog"
 msgstr "Wys vormgeskiedenisbestuurder"
 
 #: src/formhist/formhist.c:38
+#, fuzzy
 msgid ""
-"Ask if a login form should be saved to file or not.\n"
-"This option only disables the dialog, already saved login\n"
-"forms are unaffected."
+"Ask if a login form should be saved to file or not. This option only "
+"disables the dialog, already saved login forms are unaffected."
 msgstr ""
 "Vra of aanmeldinligting in 'n lêergestoor moet word.\n"
 "Hierdie keuse deaktiveer slegs die vraag. Reeds\n"
@@ -5477,19 +5501,19 @@ msgid "Enable global history (\"history 
 msgstr ""
 "Aktiveer globale geskiedenis (\"geskiedenis van alle besoekte bladsye\")."
 
-#: src/globhist/globhist.c:68
+#: src/globhist/globhist.c:69
 msgid "Maximum number of entries"
 msgstr "Maksimum aantal inskrywings"
 
-#: src/globhist/globhist.c:70
+#: src/globhist/globhist.c:71
 msgid "Maximum number of entries in the global history."
 msgstr "Maksimum aantal inskrywings in die globale geskiedenis."
 
-#: src/globhist/globhist.c:72
+#: src/globhist/globhist.c:73
 msgid "Display style"
 msgstr "Vertoonstyl"
 
-#: src/globhist/globhist.c:74
+#: src/globhist/globhist.c:75
 msgid ""
 "What to display in global history dialog:\n"
 "0 is URLs\n"
@@ -5500,7 +5524,7 @@ msgstr ""
 "1 is bladsytitels"
 
 #. name:
-#: src/globhist/globhist.c:451
+#: src/globhist/globhist.c:449
 msgid "Global History"
 msgstr "Globale geskiedenis"
 
@@ -5721,98 +5745,92 @@ msgstr ""
 
 #: src/mime/backend/default.c:27
 msgid ""
-"Handler <-> MIME type association. The first sub-tree is the MIME\n"
-"class while the second sub-tree is the MIME type (ie. image/gif\n"
-"handler will reside at mime.type.image.gif). Each MIME type option\n"
-"should contain (case-sensitive) name of the MIME handler (its\n"
-"properties are stored at mime.handler.<name>)."
+"Handler <-> MIME type association. The first sub-tree is the MIME class "
+"while the second sub-tree is the MIME type (ie. image/gif handler will "
+"reside at mime.type.image.gif). Each MIME type option should contain (case-"
+"sensitive) name of the MIME handler (its properties are stored at mime."
+"handler.<name>)."
 msgstr ""
 
-#: src/mime/backend/default.c:35
+#: src/mime/backend/default.c:36
 msgid ""
-"Handler matching this MIME-type class ('*' is used here in place\n"
-"of '.')."
+"Handler matching this MIME-type class ('*' is used here in place of '.')."
 msgstr ""
 
-#: src/mime/backend/default.c:40
+#: src/mime/backend/default.c:41
 msgid ""
-"Handler matching this MIME-type name ('*' is used here in place\n"
-"of '.')."
+"Handler matching this MIME-type name ('*' is used here in place of '.')."
 msgstr ""
 
-#: src/mime/backend/default.c:44
+#: src/mime/backend/default.c:45
 msgid "File type handlers"
 msgstr ""
 
-#: src/mime/backend/default.c:46
+#: src/mime/backend/default.c:47
 msgid ""
-"A file type handler is a set of information about how to use\n"
-"an external program to view a file. It is possible to refer to it\n"
-"for several MIME types -- e.g., you can define an 'image' handler\n"
-"to which mime.type.image.png, mime.type.image.jpeg, and so on will\n"
-"refer; or one might define a handler for a more specific type of file\n"
-"-- e.g., PDF files.\n"
-"Note you must define both a MIME handler and a MIME type association\n"
-"for it to work."
+"A file type handler is a set of information about how to use an external "
+"program to view a file. It is possible to refer to it for several MIME types "
+"-- e.g., you can define an 'image' handler to which mime.type.image.png, "
+"mime.type.image.jpeg, and so on will refer; or one might define a handler "
+"for a more specific type of file -- e.g., PDF files. Note you must define "
+"both a MIME handler and a MIME type association for it to work."
 msgstr ""
 
-#: src/mime/backend/default.c:57
+#: src/mime/backend/default.c:58
 msgid "Description of this handler."
 msgstr ""
 
-#: src/mime/backend/default.c:61
+#: src/mime/backend/default.c:62
 msgid "System-specific handler description (ie. unix, unix-xwin, ...)."
 msgstr ""
 
-#: src/mime/backend/default.c:63 src/mime/backend/mailcap.c:102
+#: src/mime/backend/default.c:65 src/mime/backend/mailcap.c:102
 msgid "Ask before opening"
 msgstr ""
 
-#: src/mime/backend/default.c:65
+#: src/mime/backend/default.c:67
 msgid "Ask before opening."
 msgstr ""
 
-#: src/mime/backend/default.c:67
+#: src/mime/backend/default.c:69
 msgid "Block terminal"
 msgstr ""
 
-#: src/mime/backend/default.c:69
+#: src/mime/backend/default.c:71
 msgid "Block the terminal when the handler is running."
 msgstr ""
 
-#: src/mime/backend/default.c:71
+#: src/mime/backend/default.c:73
 msgid "Program"
 msgstr ""
 
-#: src/mime/backend/default.c:74
+#: src/mime/backend/default.c:76
 #, no-c-format
 msgid ""
-"External viewer for this file type. '%' in this string will be\n"
-"substituted by a file name.\n"
-"Do _not_ put single- or double-quotes around the % sign."
+"External viewer for this file type. '%' in this string will be substituted "
+"by a file name. Do _not_ put single- or double-quotes around the % sign."
 msgstr ""
 
-#: src/mime/backend/default.c:79
+#: src/mime/backend/default.c:81
 msgid "File extension associations"
 msgstr ""
 
-#: src/mime/backend/default.c:81
+#: src/mime/backend/default.c:83
 msgid "Extension <-> MIME type association."
 msgstr ""
 
-#: src/mime/backend/default.c:85
+#: src/mime/backend/default.c:87
 msgid ""
-"MIME-type matching this file extension ('*' is used here in place\n"
-"of '.')."
+"MIME-type matching this file extension ('*' is used here in place of '.')."
 msgstr ""
 
 #. name:
-#: src/mime/backend/default.c:216
+#: src/mime/backend/default.c:218
 msgid "Option system"
 msgstr ""
 
 #. name:
-#: src/mime/backend/mailcap.c:89 src/mime/backend/mailcap.c:684
+#: src/mime/backend/mailcap.c:89 src/mime/backend/mailcap.c:686
 msgid "Mailcap"
 msgstr ""
 
@@ -5826,8 +5844,8 @@ msgstr ""
 
 #: src/mime/backend/mailcap.c:99
 msgid ""
-"Mailcap search path. Colon-separated list of files.\n"
-"Leave as \"\" to use MAILCAP environment variable instead."
+"Mailcap search path. Colon-separated list of files. Leave as \"\" to use "
+"MAILCAP environment variable instead."
 msgstr ""
 
 #: src/mime/backend/mailcap.c:104
@@ -5840,39 +5858,38 @@ msgstr ""
 
 #: src/mime/backend/mailcap.c:108
 msgid ""
-"Type of description to show in \"what to do with this file\"\n"
-"query dialog:\n"
+"Type of description to show in \"what to do with this file\" query dialog:\n"
 "0 is show \"mailcap\"\n"
 "1 is show program to be run\n"
-"2 is show mailcap description field if any; \"mailcap\" otherwise"
+"2 is show mailcap description field if any;\n"
+"     \"mailcap\" otherwise"
 msgstr ""
 
-#: src/mime/backend/mailcap.c:114
+#: src/mime/backend/mailcap.c:115
 msgid "Prioritize entries by file"
 msgstr ""
 
-#: src/mime/backend/mailcap.c:116
+#: src/mime/backend/mailcap.c:117
 msgid ""
-"Prioritize entries by the order of the files in the mailcap\n"
-"path. This means that wildcard entries (like: image/*) will\n"
-"also be checked before deciding the handler."
+"Prioritize entries by the order of the files in the mailcap path. This means "
+"that wildcard entries (like: image/*) will also be checked before deciding "
+"the handler."
 msgstr ""
 
-#: src/mime/backend/mailcap.c:349
+#: src/mime/backend/mailcap.c:351
 #, c-format
 msgid "Badly formated mailcap entry for type %s in \"%s\" line %d"
 msgstr ""
 
 #. name:
-#: src/mime/backend/mimetypes.c:46 src/mime/backend/mimetypes.c:279
+#: src/mime/backend/mimetypes.c:46 src/mime/backend/mimetypes.c:280
 msgid "Mimetypes files"
 msgstr ""
 
 #: src/mime/backend/mimetypes.c:48
 msgid ""
-"Options for the support of mime.types files. These files\n"
-"can be used to find the content type of a URL by looking at\n"
-"the extension of the file name."
+"Options for the support of mime.types files. These files can be used to find "
+"the content type of a URL by looking at the extension of the file name."
 msgstr ""
 
 #: src/mime/backend/mimetypes.c:54
@@ -5909,7 +5926,7 @@ msgid "No extensions"
 msgstr "Geen uitbreidings"
 
 #. name:
-#: src/mime/mime.c:38 src/mime/mime.c:360
+#: src/mime/mime.c:38 src/mime/mime.c:361
 msgid "MIME"
 msgstr "MIME"
 
@@ -5923,8 +5940,8 @@ msgstr ""
 
 #: src/mime/mime.c:44
 msgid ""
-"Document MIME-type to assume by default (when we are unable to\n"
-"guess it properly from known information about the document)."
+"Document MIME-type to assume by default (when we are unable to guess it "
+"properly from known information about the document)."
 msgstr ""
 
 #: src/network/ssl/ssl.c:72 src/network/ssl/ssl.c:161
@@ -5933,8 +5950,8 @@ msgstr ""
 
 #: src/network/ssl/ssl.c:74
 msgid ""
-"Verify the peer's SSL certificate. Note that this\n"
-"needs extensive configuration of OpenSSL by the user."
+"Verify the peer's SSL certificate. Note that this needs extensive "
+"configuration of OpenSSL by the user."
 msgstr ""
 
 #: src/network/ssl/ssl.c:77
@@ -5947,8 +5964,8 @@ msgstr ""
 
 #: src/network/ssl/ssl.c:83
 msgid ""
-"Enable or not the sending of X509 client certificates\n"
-"to servers which request them."
+"Enable or not the sending of X509 client certificates to servers which "
+"request them."
 msgstr ""
 
 #: src/network/ssl/ssl.c:86
@@ -5957,16 +5974,15 @@ msgstr ""
 
 #: src/network/ssl/ssl.c:88
 msgid ""
-"The location of a file containing the client certificate\n"
-"and unencrypted private key in PEM format. If unset, the\n"
-"file pointed to by the X509_CLIENT_CERT variable is used\n"
-"instead."
+"The location of a file containing the client certificate and unencrypted "
+"private key in PEM format. If unset, the file pointed to by the "
+"X509_CLIENT_CERT variable is used instead."
 msgstr ""
 
 #: src/network/ssl/ssl.c:163
 msgid ""
-"Verify the peer's SSL certificate.  If you enable\n"
-"this, set also \"Trusted CA file\"."
+"Verify the peer's SSL certificate.  If you enable this, set also \"Trusted "
+"CA file\"."
 msgstr ""
 
 #. The default value of the following option points to a file
@@ -5984,20 +6000,20 @@ msgstr "Oordrag gefaal"
 
 #: src/network/ssl/ssl.c:176
 msgid ""
-"The location of a file containing certificates of\n"
-"trusted certification authorities in PEM format.\n"
-"ELinks then trusts certificates issued by these CAs.\n"
-"If you change this option or the file, you must\n"
-"restart ELinks for the changes to take effect.\n"
-"This option affects GnuTLS but not OpenSSL."
+"The location of a file containing certificates of trusted certification "
+"authorities in PEM format. ELinks then trusts certificates issued by these "
+"CAs.\n"
+"\n"
+"If you change this option or the file, you must restart ELinks for the "
+"changes to take effect. This option affects GnuTLS but not OpenSSL."
 msgstr ""
 
 #. name:
-#: src/network/ssl/ssl.c:199 src/network/ssl/ssl.c:216
+#: src/network/ssl/ssl.c:200 src/network/ssl/ssl.c:217
 msgid "SSL"
 msgstr "SSL"
 
-#: src/network/ssl/ssl.c:201
+#: src/network/ssl/ssl.c:202
 msgid "SSL options."
 msgstr "SSL-keuses."
 
@@ -6323,7 +6339,7 @@ msgstr "Magtiging benodig"
 msgid "Login"
 msgstr "Meld aan"
 
-#: src/protocol/auth/dialogs.c:113 src/protocol/http/http.c:140
+#: src/protocol/auth/dialogs.c:113 src/protocol/http/http.c:142
 msgid "Password"
 msgstr "Wagwoord"
 
@@ -6391,7 +6407,7 @@ msgstr "Magtigingbestuurder"
 
 #. name:
 #: src/protocol/bittorrent/bittorrent.c:26
-#: src/protocol/bittorrent/bittorrent.c:335
+#: src/protocol/bittorrent/bittorrent.c:339
 msgid "BitTorrent"
 msgstr "BitTorrent"
 
@@ -6443,9 +6459,8 @@ msgstr ""
 
 #: src/protocol/bittorrent/bittorrent.c:57
 msgid ""
-"Whether to request that the tracker returns peer info\n"
-"in compact format. Note, the compact format only supports\n"
-"IPv4 addresses."
+"Whether to request that the tracker returns peer info in compact format. "
+"Note, the compact format only supports IPv4 addresses."
 msgstr ""
 
 #: src/protocol/bittorrent/bittorrent.c:61
@@ -6454,55 +6469,53 @@ msgstr ""
 
 #: src/protocol/bittorrent/bittorrent.c:63
 msgid ""
-"The number of seconds to wait between periodically contacting\n"
-"the tracker for announcing progress and requesting more peers.\n"
-"Set to zero to use the interval requested by the tracker."
+"The number of seconds to wait between periodically contacting the tracker "
+"for announcing progress and requesting more peers. Set to zero to use the "
+"interval requested by the tracker."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:67
+#: src/protocol/bittorrent/bittorrent.c:68
 msgid "IP-address to announce"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:69
+#: src/protocol/bittorrent/bittorrent.c:70
 msgid ""
-"What IP address to report to the tracker. If set to \"\"\n"
-"no IP address will be sent and the tracker will automatically\n"
-"determine an appropriate IP address."
+"What IP address to report to the tracker. If set to \"\" no IP address will "
+"be sent and the tracker will automatically determine an appropriate IP "
+"address."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:73
+#: src/protocol/bittorrent/bittorrent.c:74
 msgid "User identification string"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:75
+#: src/protocol/bittorrent/bittorrent.c:76
 msgid ""
-"An additional identification that is not shared with any users.\n"
-"It is intended to allow a client to prove their identity should\n"
-"their IP address change. It is an optional parameter, but some\n"
-"trackers require this parameter. If set to \"\" no user key will\n"
-"be sent to the tracker."
+"An additional identification that is not shared with any users. It is "
+"intended to allow a client to prove their identity should their IP address "
+"change. It is an optional parameter, but some trackers require this "
+"parameter. If set to \"\" no user key will be sent to the tracker."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:81
+#: src/protocol/bittorrent/bittorrent.c:82
 msgid "Maximum number of peers to request"
 msgstr "Die maksimum aantal eweknieë om aan te vra"
 
-#: src/protocol/bittorrent/bittorrent.c:83
+#: src/protocol/bittorrent/bittorrent.c:84
 msgid ""
-"The maximum number of peers to request from the tracker.\n"
-"Set to 0 to use the server default."
+"The maximum number of peers to request from the tracker. Set to 0 to use the "
+"server default."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:86
+#: src/protocol/bittorrent/bittorrent.c:87
 msgid "Minimum peers to skip rerequesting"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:88
+#: src/protocol/bittorrent/bittorrent.c:89
 msgid ""
-"The minimum number of peers to have in the current peer info\n"
-"pool before skipping requesting of more peers. I.e. setting\n"
-"numwant to zero.\n"
-"Set to 0 to not have any limit."
+"The minimum number of peers to have in the current peer info pool before "
+"skipping requesting of more peers. I.e. setting numwant to zero. Set to 0 to "
+"not have any limit."
 msgstr ""
 
 #. ******************************************************************
@@ -6522,176 +6535,171 @@ msgstr ""
 
 #: src/protocol/bittorrent/bittorrent.c:104
 msgid ""
-"The maximum number of allowed connections to both active and\n"
-"non-active peers. By increasing the number of allowed connections,\n"
-"the chance of finding good peers to download from is increased.\n"
-"However, too many connections can lead to TCP congestion. If the\n"
-"maximum is reached all new incoming connections will be closed."
+"The maximum number of allowed connections to both active and non-active "
+"peers. By increasing the number of allowed connections, the chance of "
+"finding good peers to download from is increased. However, too many "
+"connections can lead to TCP congestion. If the maximum is reached all new "
+"incoming connections will be closed."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:110
+#: src/protocol/bittorrent/bittorrent.c:111
 msgid "Maximum peer message length"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:112
+#: src/protocol/bittorrent/bittorrent.c:113
 msgid ""
-"The maximum length of messages to accept over the wire.\n"
-"Larger values will cause the connection to be dropped."
+"The maximum length of messages to accept over the wire. Larger values will "
+"cause the connection to be dropped."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:115
+#: src/protocol/bittorrent/bittorrent.c:116
 msgid "Maximum allowed request length"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:117
+#: src/protocol/bittorrent/bittorrent.c:118
 msgid ""
-"The maximum length to allow for incoming requests.\n"
-"Larger requests will cause the connection to be dropped."
+"The maximum length to allow for incoming requests. Larger requests will "
+"cause the connection to be dropped."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:120
+#: src/protocol/bittorrent/bittorrent.c:121
 msgid "Length of requests"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:122
+#: src/protocol/bittorrent/bittorrent.c:123
 msgid ""
-"How many bytes to query for per request. This is complementary\n"
-"to the max_request_length option. If the configured length is\n"
-"bigger than the piece length it will be truncated."
+"How many bytes to query for per request. This is complementary to the "
+"max_request_length option. If the configured length is bigger than the piece "
+"length it will be truncated."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:126
+#: src/protocol/bittorrent/bittorrent.c:128
 msgid "Peer inactivity timeout"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:128
+#: src/protocol/bittorrent/bittorrent.c:130
 msgid ""
-"The number of seconds to wait before closing a socket on\n"
-"which nothing has been received or sent."
+"The number of seconds to wait before closing a socket on which nothing has "
+"been received or sent."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:131
+#: src/protocol/bittorrent/bittorrent.c:133
 msgid "Maximum peer pool size"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:133
+#: src/protocol/bittorrent/bittorrent.c:135
 msgid ""
-"Maximum number of items in the peer pool. The peer pool\n"
-"contains information used for establishing connections to\n"
-"new peers.\n"
+"Maximum number of items in the peer pool. The peer pool contains information "
+"used for establishing connections to new peers.\n"
+"\n"
 "Set to 0 to have unlimited size."
 msgstr ""
 
 #. ******************************************************************
 #. Piece management options:
 #. ******************************************************************
-#: src/protocol/bittorrent/bittorrent.c:143
+#: src/protocol/bittorrent/bittorrent.c:146
 msgid "Maximum piece cache size"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:145
+#: src/protocol/bittorrent/bittorrent.c:148
 msgid ""
-"The maximum amount of memory used to hold recently\n"
-"downloaded pieces.\n"
+"The maximum amount of memory used to hold recently downloaded pieces.\n"
+"\n"
 "Set to 0 to have unlimited size."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:154
+#: src/protocol/bittorrent/bittorrent.c:158
 msgid "Sharing rate"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:156
+#: src/protocol/bittorrent/bittorrent.c:160
 msgid ""
-"The minimum sharing rate to achieve before stop seeding.\n"
-"The sharing rate is computed as the number of uploaded bytes\n"
-"divided with the number of downloaded bytes. The value should\n"
-"be a double value between 0.0 and 1.0 both included.\n"
-"Set to 1.0 to atleast upload a complete copy of all data and\n"
+"The minimum sharing rate to achieve before stop seeding. The sharing rate is "
+"computed as the number of uploaded bytes divided with the number of "
+"downloaded bytes. The value should be a double value between 0.0 and 1.0 "
+"both included. Set to 1.0 to atleast upload a complete copy of all data and "
 "set to 0.0 to have unlimited sharing rate."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:163
+#: src/protocol/bittorrent/bittorrent.c:167
 msgid "Maximum number of uploads"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:165
+#: src/protocol/bittorrent/bittorrent.c:169
 msgid "The maximum number of uploads to allow at once."
 msgstr ""
 
 #. The number of uploads to fill out to with extra optimistic unchokes
-#: src/protocol/bittorrent/bittorrent.c:168
+#: src/protocol/bittorrent/bittorrent.c:172
 msgid "Minimum number of uploads"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:170
+#: src/protocol/bittorrent/bittorrent.c:174
 msgid ""
-"The minimum number of uploads which should at least\n"
-"be used for new connections."
+"The minimum number of uploads which should at least be used for new "
+"connections."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:174
+#: src/protocol/bittorrent/bittorrent.c:178
 msgid "Keepalive interval"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:176
-msgid ""
-"The number of seconds to pause between sending keepalive\n"
-"messages."
+#: src/protocol/bittorrent/bittorrent.c:180
+msgid "The number of seconds to pause between sending keepalive messages."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:179
+#: src/protocol/bittorrent/bittorrent.c:183
 msgid "Number of pending requests"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:181
+#: src/protocol/bittorrent/bittorrent.c:185
 msgid ""
-"How many piece requests to continuously keep in queue. Pipelining\n"
-"of requests is essential to saturate connections and get a good\n"
-"connection performance and thus a faster download. However, a\n"
-"very big queue size can lead to wasting bandwidth near the end\n"
-"of the connection since remaining piece blocks will be requested\n"
-"from multiple peers."
+"How many piece requests to continuously keep in queue. Pipelining of "
+"requests is essential to saturate connections and get a good connection "
+"performance and thus a faster download. However, a very big queue size can "
+"lead to wasting bandwidth near the end of the connection since remaining "
+"piece blocks will be requested from multiple peers."
 msgstr ""
 
 #. Bram uses 30 seconds here.
-#: src/protocol/bittorrent/bittorrent.c:190
+#: src/protocol/bittorrent/bittorrent.c:194
 msgid "Peer snubbing interval"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:192
+#: src/protocol/bittorrent/bittorrent.c:196
 msgid ""
-"The number of seconds to wait for file data before assuming\n"
-"the peer has been snubbed."
+"The number of seconds to wait for file data before assuming the peer has "
+"been snubbed."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:195
+#: src/protocol/bittorrent/bittorrent.c:199
 msgid "Peer choke interval"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:197
+#: src/protocol/bittorrent/bittorrent.c:201
 msgid ""
-"The number of seconds between updating the connection state\n"
-"and most importantly choke and unchoke peer connections. The\n"
-"choke period should be big enough for newly unchoked connections\n"
-"to get started but small enough to not allow freeriders too much\n"
-"room for stealing bandwidth."
+"The number of seconds between updating the connection state and most "
+"importantly choke and unchoke peer connections. The choke period should be "
+"big enough for newly unchoked connections to get started but small enough to "
+"not allow freeriders too much room for stealing bandwidth."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:203
+#: src/protocol/bittorrent/bittorrent.c:207
 msgid "Rarest first piece selection cutoff"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:205
+#: src/protocol/bittorrent/bittorrent.c:209
 msgid ""
-"The number of pieces to obtain before switching piece\n"
-"selection strategy from random to rarest first."
+"The number of pieces to obtain before switching piece selection strategy "
+"from random to rarest first."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:208 src/protocol/http/http.c:109
+#: src/protocol/bittorrent/bittorrent.c:212 src/protocol/http/http.c:109
 msgid "Allow blacklisting"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:210
+#: src/protocol/bittorrent/bittorrent.c:214
 msgid "Allow blacklisting of buggy peers."
 msgstr ""
 
@@ -6723,7 +6731,7 @@ msgstr "Lêers"
 msgid "Comment"
 msgstr "Kommentaar"
 
-#: src/protocol/bittorrent/dialogs.c:229 src/session/download.c:362
+#: src/protocol/bittorrent/dialogs.c:229 src/session/download.c:388
 #, c-format
 msgid ""
 "Download complete:\n"
@@ -6882,7 +6890,7 @@ msgid_plural "%u unavailable"
 msgstr[0] ""
 msgstr[1] ""
 
-#: src/protocol/bittorrent/dialogs.c:584 src/session/session.c:278
+#: src/protocol/bittorrent/dialogs.c:584 src/session/session.c:279
 #, c-format
 msgid "Unable to retrieve %s"
 msgstr "Kon nie %s kry nie"
@@ -6896,7 +6904,7 @@ msgstr "Wat wil u doen met die lêer '%s
 msgid "Information about the torrent"
 msgstr ""
 
-#: src/protocol/bittorrent/dialogs.c:776 src/session/download.c:1106
+#: src/protocol/bittorrent/dialogs.c:776 src/session/download.c:1132
 msgid "What to do?"
 msgstr "Hoe gemaak?"
 
@@ -6906,12 +6914,12 @@ msgid "Down~load"
 msgstr "~Laai af"
 
 #. accelerator_context(src/protocol/bittorrent/dialogs.c:bittorrent_query_callback, src/session/download.c:do_type_query)
-#: src/protocol/bittorrent/dialogs.c:804 src/session/download.c:1209
+#: src/protocol/bittorrent/dialogs.c:804 src/session/download.c:1235
 msgid "~Display"
 msgstr "~Vertoon"
 
 #. accelerator_context(src/protocol/bittorrent/dialogs.c:bittorrent_query_callback, src/session/download.c:do_type_query)
-#: src/protocol/bittorrent/dialogs.c:808 src/session/download.c:1213
+#: src/protocol/bittorrent/dialogs.c:808 src/session/download.c:1239
 msgid "Show ~header"
 msgstr "Wys ~kop"
 
@@ -6927,16 +6935,16 @@ msgstr ""
 msgid "Colon separated list of directories, where CGI scripts are stored."
 msgstr ""
 
-#: src/protocol/file/cgi.c:47
+#: src/protocol/file/cgi.c:48
 msgid "Allow local CGI"
 msgstr ""
 
-#: src/protocol/file/cgi.c:49
+#: src/protocol/file/cgi.c:50
 msgid "Whether to execute local CGI scripts."
 msgstr ""
 
 #. name:
-#: src/protocol/file/cgi.c:54
+#: src/protocol/file/cgi.c:55
 msgid "CGI"
 msgstr "CGI"
 
@@ -6954,9 +6962,8 @@ msgstr ""
 
 #: src/protocol/file/file.c:46
 msgid ""
-"Whether to allow reading from non-regular files.\n"
-"Note this can be dangerous; reading /dev/urandom or\n"
-"/dev/zero can ruin your day!"
+"Whether to allow reading from non-regular files. Note this can be dangerous; "
+"reading /dev/urandom or /dev/zero can ruin your day!"
 msgstr ""
 
 #: src/protocol/file/file.c:50
@@ -6965,8 +6972,8 @@ msgstr ""
 
 #: src/protocol/file/file.c:52
 msgid ""
-"When set to false, files with name starting with a dot will be\n"
-"hidden in local directory listings."
+"When set to false, files with name starting with a dot will be hidden in "
+"local directory listings."
 msgstr ""
 
 #: src/protocol/file/file.c:55
@@ -6975,13 +6982,13 @@ msgstr ""
 
 #: src/protocol/file/file.c:57
 msgid ""
-"When set, if we can't open a file named 'filename', we'll try\n"
-"to open 'filename' with some encoding extension appended\n"
-"(ie. 'filename.gz'); it depends on the supported encodings."
+"When set, if we can't open a file named 'filename', we'll try to open "
+"'filename' with some encoding extension appended (ie. 'filename.gz'); it "
+"depends on the supported encodings."
 msgstr ""
 
 #. name:
-#: src/protocol/file/file.c:65
+#: src/protocol/file/file.c:66
 msgid "File"
 msgstr "Lêer"
 
@@ -7008,7 +7015,7 @@ msgid "Whether to sort entries in direct
 msgstr "Of gidsinskrywings gesorteer moet word."
 
 #. name:
-#: src/protocol/ftp/ftp.c:56 src/protocol/ftp/ftp.c:86
+#: src/protocol/ftp/ftp.c:56 src/protocol/ftp/ftp.c:89
 msgid "FTP"
 msgstr "FTP"
 
@@ -7016,8 +7023,8 @@ msgstr "FTP"
 msgid "FTP specific options."
 msgstr "FTP-spesifieke keuses."
 
-#: src/protocol/ftp/ftp.c:60 src/protocol/http/http.c:127
-#: src/protocol/http/http.c:209
+#: src/protocol/ftp/ftp.c:60 src/protocol/http/http.c:128
+#: src/protocol/http/http.c:235
 msgid "Proxy configuration"
 msgstr "Instaanbedieneropstelling"
 
@@ -7025,38 +7032,38 @@ msgstr "Instaanbedieneropstelling"
 msgid "FTP proxy configuration."
 msgstr "FTP-instaanbedieneropstelling."
 
-#: src/protocol/ftp/ftp.c:64 src/protocol/http/http.c:131
-#: src/protocol/http/http.c:213
+#: src/protocol/ftp/ftp.c:64 src/protocol/http/http.c:132
+#: src/protocol/http/http.c:239
 msgid "Host and port-number"
 msgstr "Rekenaar en poort"
 
 #: src/protocol/ftp/ftp.c:66
 msgid ""
-"Host and port-number (host:port) of the FTP proxy, or blank.\n"
-"If it's blank, FTP_PROXY environment variable is checked as well."
+"Host and port-number (host:port) of the FTP proxy, or blank. If it's blank, "
+"FTP_PROXY environment variable is checked as well."
 msgstr ""
 
-#: src/protocol/ftp/ftp.c:69
+#: src/protocol/ftp/ftp.c:70
 msgid "Anonymous password"
 msgstr "Anonieme wagwoord"
 
-#: src/protocol/ftp/ftp.c:71
+#: src/protocol/ftp/ftp.c:72
 msgid "FTP anonymous password to be sent."
 msgstr ""
 
-#: src/protocol/ftp/ftp.c:73
+#: src/protocol/ftp/ftp.c:74
 msgid "Use passive mode (IPv4)"
 msgstr ""
 
-#: src/protocol/ftp/ftp.c:75
+#: src/protocol/ftp/ftp.c:76
 msgid "Use PASV instead of PORT (passive vs active mode, IPv4 only)."
 msgstr ""
 
-#: src/protocol/ftp/ftp.c:77
+#: src/protocol/ftp/ftp.c:79
 msgid "Use passive mode (IPv6)"
 msgstr ""
 
-#: src/protocol/ftp/ftp.c:79
+#: src/protocol/ftp/ftp.c:81
 msgid "Use EPSV instead of EPRT (passive vs active mode, IPv6 only)."
 msgstr ""
 
@@ -7090,7 +7097,7 @@ msgstr ""
 "  veel dieper probleem met die webbedienersagteware.\n"
 
 #. name:
-#: src/protocol/http/http.c:95 src/protocol/http/http.c:223
+#: src/protocol/http/http.c:95 src/protocol/http/http.c:250
 msgid "HTTP"
 msgstr "HTTP"
 
@@ -7112,8 +7119,8 @@ msgstr "Moenie Accept-Charset stuur nie"
 
 #: src/protocol/http/http.c:106
 msgid ""
-"The Accept-Charset header is quite long and sending it can trigger\n"
-"bugs in some rarely found servers."
+"The Accept-Charset header is quite long and sending it can trigger bugs in "
+"some rarely found servers."
 msgstr ""
 
 #: src/protocol/http/http.c:111
@@ -7126,68 +7133,68 @@ msgstr ""
 
 #: src/protocol/http/http.c:115
 msgid ""
-"Broken 302 redirect (violates RFC but compatible with Netscape).\n"
-"This is a problem for a lot of web discussion boards and the like.\n"
-"If they will do strange things to you, try to play with this."
+"Broken 302 redirect (violates RFC but compatible with Netscape). This is a "
+"problem for a lot of web discussion boards and the like. If they will do "
+"strange things to you, try to play with this."
 msgstr ""
 
-#: src/protocol/http/http.c:119
+#: src/protocol/http/http.c:120
 msgid "No keepalive after POST requests"
 msgstr ""
 
-#: src/protocol/http/http.c:121
+#: src/protocol/http/http.c:122
 msgid "Disable keepalive connection after POST request."
 msgstr ""
 
-#: src/protocol/http/http.c:123
+#: src/protocol/http/http.c:124
 msgid "Use HTTP/1.0"
 msgstr "Gebruik HTTP/1.0"
 
-#: src/protocol/http/http.c:125
+#: src/protocol/http/http.c:126
 msgid "Use HTTP/1.0 protocol instead of HTTP/1.1."
 msgstr "Gebruik HTTP/1.0-protokol in plaas van HTTP/1.1."
 
-#: src/protocol/http/http.c:129
+#: src/protocol/http/http.c:130
 msgid "HTTP proxy configuration."
 msgstr "HTTP-instaanbediener."
 
-#: src/protocol/http/http.c:133
+#: src/protocol/http/http.c:134
 msgid ""
-"Host and port-number (host:port) of the HTTP proxy, or blank.\n"
-"If it's blank, HTTP_PROXY environment variable is checked as well."
+"Host and port-number (host:port) of the HTTP proxy, or blank. If it's blank, "
+"HTTP_PROXY environment variable is checked as well."
 msgstr ""
 
-#: src/protocol/http/http.c:136
+#: src/protocol/http/http.c:138
 msgid "Username"
 msgstr "Gebruikernaam"
 
-#: src/protocol/http/http.c:138
+#: src/protocol/http/http.c:140
 msgid "Proxy authentication username."
 msgstr "Instaanmagtigingsgebruikernaam"
 
-#: src/protocol/http/http.c:142
+#: src/protocol/http/http.c:144
 msgid "Proxy authentication password."
 msgstr "Instaanmagtigingswagwoord"
 
-#: src/protocol/http/http.c:145
+#: src/protocol/http/http.c:147
 msgid "Referer sending"
 msgstr ""
 
-#: src/protocol/http/http.c:147
+#: src/protocol/http/http.c:149
 msgid ""
-"HTTP referer sending options. HTTP referer is a special header\n"
-"sent in the HTTP requests, which is supposed to contain the previous\n"
-"page visited by the browser. This way, the server can know what link\n"
-"did you follow when accessing that page. However, this behaviour\n"
-"can unfortunately considerably affect privacy and can lead even to a\n"
-"security problem on some badly designed web pages."
+"HTTP referer sending options. HTTP referer is a special header sent in the "
+"HTTP requests, which is supposed to contain the previous page visited by the "
+"browser.This way, the server can know what link did you follow when "
+"accessing that page. However, this behaviour can unfortunately considerably "
+"affect privacy and can lead even to a security problem on some badly "
+"designed web pages."
 msgstr ""
 
-#: src/protocol/http/http.c:154
+#: src/protocol/http/http.c:157
 msgid "Policy"
 msgstr "Beleid"
 
-#: src/protocol/http/http.c:157
+#: src/protocol/http/http.c:160
 msgid ""
 "Mode of sending HTTP referer:\n"
 "0 is send no referer\n"
@@ -7196,89 +7203,109 @@ msgid ""
 "3 is send previous URL as referer (correct, but insecure)"
 msgstr ""
 
-#: src/protocol/http/http.c:163
+#: src/protocol/http/http.c:166
 msgid "Fake referer URL"
 msgstr ""
 
-#: src/protocol/http/http.c:165
+#: src/protocol/http/http.c:168
 msgid "Fake referer to be sent when policy is 2."
 msgstr ""
 
-#: src/protocol/http/http.c:168
+#: src/protocol/http/http.c:171
 msgid "Send Accept-Language header"
 msgstr "Stuur Accept-Language-kop"
 
-#: src/protocol/http/http.c:170
+#: src/protocol/http/http.c:173
 msgid "Send Accept-Language header."
 msgstr "Stuur Accept-Language-kop."
 
-#: src/protocol/http/http.c:172
+#: src/protocol/http/http.c:175
 msgid "Use UI language as Accept-Language"
 msgstr "Gebruik koppelvlaktaal as Accept-Language"
 
-#: src/protocol/http/http.c:174
+#: src/protocol/http/http.c:177
+msgid ""
+"Request localised versions of documents from web-servers (using the Accept-"
+"Language header) using the language you have configured for ELinks' user-"
+"interface (this also affects navigator.language ECMAScript value available "
+"to scripts). Note that some see this as a potential security risk because it "
+"tells web-masters and the FBI sniffers about your language preference."
+msgstr ""
+
+#. After the compression support has been tested enough,
+#. * we might wrap this option in #if CFG_DEBUG.
+#: src/protocol/http/http.c:187
+msgid "Enable on-the-fly compression"
+msgstr ""
+
+#: src/protocol/http/http.c:189
 msgid ""
-"Request localised versions of documents from web-servers (using the\n"
-"Accept-Language header) using the language you have configured for\n"
-"ELinks' user-interface (this also affects navigator.language ECMAScript\n"
-"value available to scripts). Note that some see this as a potential\n"
-"security risk because it tells web-masters and the FBI sniffers about\n"
-"your language preference."
+"If enabled, the capability to receive compressed content (gzip and/or bzip2) "
+"is announced to the server, which usually sends the reply compressed, thus "
+"saving some bandwidth at slight CPU expense.\n"
+"\n"
+"If ELinks displays a incomplete page or garbage, try disabling this option. "
+"If that helps, there may be a bug in the decompression part of ELinks. "
+"Please report such bugs.\n"
+"\n"
+"If ELinks has been compiled without compression support, this option has no "
+"effect. To check the supported features, see Help -> About."
 msgstr ""
 
-#: src/protocol/http/http.c:181
+#: src/protocol/http/http.c:202
 msgid "Activate HTTP TRACE debugging"
 msgstr ""
 
-#: src/protocol/http/http.c:183
+#: src/protocol/http/http.c:204
 msgid ""
-"If active, all HTTP requests are sent with TRACE as their method\n"
-"rather than GET or POST. This is useful for debugging of both ELinks\n"
-"and various server-side scripts --- the server only returns the client's\n"
-"request back to the client verbatim. Note that this type of request may\n"
-"not be enabled on all servers."
+"If active, all HTTP requests are sent with TRACE as their method rather than "
+"GET or POST. This is useful for debugging of both ELinks and various server-"
+"side scripts --- the server only returns the client's request back to the "
+"client verbatim. Note that this type of request may not be enabled on all "
+"servers."
 msgstr ""
 
 #. OSNews.com is supposed to be relying on the textmode token, at least.
-#: src/protocol/http/http.c:190
+#: src/protocol/http/http.c:212
 msgid "User-agent identification"
 msgstr "Identifiseer gebruikeragent"
 
-#: src/protocol/http/http.c:192
+#: src/protocol/http/http.c:214
 msgid ""
-"Change the User Agent ID. That means identification string, which\n"
-"is sent to HTTP server when a document is requested. The 'textmode'\n"
-"token in the first field is our silent attempt to establish this as\n"
-"a standard for new textmode user agents, so that the webmasters can\n"
-"have just a single uniform test for these if they are e.g. pushing\n"
-"some lite version to them automagically.\n"
+"Change the User Agent ID. That means identification string, which is sent to "
+"HTTP server when a document is requested. The 'textmode' token in the first "
+"field is our silent attempt to establish this as a standard for new textmode "
+"user agents, so that the webmasters can have just a single uniform test for "
+"these if they are e.g. pushing some lite version to them automagically.\n"
+"\n"
 "Use \" \" if you don't want any User-Agent header to be sent at all.\n"
+"\n"
 "%v in the string means ELinks version,\n"
 "%s in the string means system identification,\n"
 "%t in the string means size of the terminal,\n"
 "%b in the string means number of bars displayed by ELinks."
 msgstr ""
 
-#: src/protocol/http/http.c:205
+#: src/protocol/http/http.c:231
 msgid "HTTPS"
 msgstr "HTTPS"
 
-#: src/protocol/http/http.c:207
+#: src/protocol/http/http.c:233
 msgid "HTTPS-specific options."
 msgstr "HTTPS-spesifieke keuses."
 
-#: src/protocol/http/http.c:211
+#: src/protocol/http/http.c:237
 msgid "HTTPS proxy configuration."
 msgstr "HTTPS-instaanbediener."
 
-#: src/protocol/http/http.c:215
+#: src/protocol/http/http.c:241
 msgid ""
-"Host and port-number (host:port) of the HTTPS CONNECT proxy, or blank.\n"
-"If it's blank, HTTPS_PROXY environment variable is checked as well."
+"Host and port-number (host:port) of the HTTPS CONNECT proxy, or blank. If "
+"it's blank, HTTPS_PROXY environment variable is checked as well."
 msgstr ""
 
 #. name:
-#: src/protocol/nntp/nntp.c:32 src/protocol/nntp/nntp.c:65
+#: src/protocol/nntp/nntp.c:32 src/protocol/nntp/nntp.c:66
 msgid "NNTP"
 msgstr "NNTP"
 
@@ -7292,19 +7319,19 @@ msgstr "Versteknuusbediener"
 
 #: src/protocol/nntp/nntp.c:38
 msgid ""
-"Used when resolving news: URIs. If set to the empty string\n"
-"the value of the NNTPSERVER environment variable will be used."
+"Used when resolving news: URIs. If set to the empty string the value of the "
+"NNTPSERVER environment variable will be used."
 msgstr ""
 
-#: src/protocol/nntp/nntp.c:41
+#: src/protocol/nntp/nntp.c:42
 msgid "Message header entries"
 msgstr ""
 
-#: src/protocol/nntp/nntp.c:43
+#: src/protocol/nntp/nntp.c:44
 msgid ""
-"Comma separated list of which entries in the article header\n"
-"to show. E.g. 'Subject' and 'From'.\n"
-"All header entries can be read in the header info dialog."
+"Comma separated list of which entries in the article header to show. E.g. "
+"'Subject' and 'From'. All header entries can be read in the header info "
+"dialog."
 msgstr ""
 
 #: src/protocol/protocol.c:242
@@ -7326,10 +7353,9 @@ msgstr ""
 
 #: src/protocol/protocol.c:279
 msgid ""
-"Comma separated list of domains for which the proxy (HTTP/FTP)\n"
-"should be disabled. Optionally, a port can be specified for some\n"
-"domains as well. If it's blank, NO_PROXY environment variable is\n"
-"checked as well."
+"Comma separated list of domains for which the proxy (HTTP/FTP) should be "
+"disabled. Optionally, a port can be specified for some domains as well. If "
+"it's blank, NO_PROXY environment variable is checked as well."
 msgstr ""
 
 #. name:
@@ -7343,47 +7369,45 @@ msgstr ""
 
 #: src/protocol/rewrite/rewrite.c:46
 msgid ""
-"Rules for rewriting URIs entered in the goto dialog.\n"
-"It makes it possible to define a set of prefixes that will\n"
-"be expanded if they match a string entered in the goto dialog.\n"
-"The prefixes can be dumb, meaning that they work only like\n"
-"URI abbreviations, or smart ones, making it possible to pass\n"
+"Rules for rewriting URIs entered in the goto dialog. It makes it possible to "
+"define a set of prefixes that will be expanded if they match a string "
+"entered in the goto dialog. The prefixes can be dumb, meaning that they work "
+"only like URI abbreviations, or smart ones, making it possible to pass "
 "arguments to them like search engine keywords."
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:53
+#: src/protocol/rewrite/rewrite.c:54
 msgid "Enable dumb prefixes"
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:55
+#: src/protocol/rewrite/rewrite.c:56
 msgid ""
-"Enable dumb prefixes - simple URI abbreviations which can\n"
-"be written to the Goto URL dialog instead of actual URIs - i.e.\n"
-"if you write 'elinks' there, you are directed to\n"
-"http://elinks.cz/."
+"Enable dumb prefixes - simple URI abbreviations which can be written to the "
+"Goto URL dialog instead of actual URIs - i.e. if you write 'elinks' there, "
+"you are directed to http://elinks.cz/."
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:60
+#: src/protocol/rewrite/rewrite.c:61
 msgid "Enable smart prefixes"
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:62
+#: src/protocol/rewrite/rewrite.c:63
 msgid ""
-"Enable smart prefixes - URI templates triggered by writing\n"
-"given abbreviation to the Goto URL dialog followed by a list\n"
-"of arguments from which the actual URI is composed - i.e.\n"
-"'gg:search keywords' or 'gn search keywords for news'."
+"Enable smart prefixes - URI templates triggered by writing given "
+"abbreviation to the Goto URL dialog followed by a list of arguments from "
+"which the actual URI is composed - i.e. 'gg:search keywords' or 'gn search "
+"keywords for news'."
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:67
+#: src/protocol/rewrite/rewrite.c:69
 msgid "Dumb Prefixes"
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:69
+#: src/protocol/rewrite/rewrite.c:71
 msgid "Dumb prefixes, see enable-dumb description for details."
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:74
+#: src/protocol/rewrite/rewrite.c:76
 #, no-c-format
 msgid ""
 "Replacement URI for this dumbprefix:\n"
@@ -7391,15 +7415,15 @@ msgid ""
 "%% in the string means '%'"
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:78
+#: src/protocol/rewrite/rewrite.c:80
 msgid "Smart Prefixes"
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:80
+#: src/protocol/rewrite/rewrite.c:82
 msgid "Smart prefixes, see enable-smart description for details."
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:87
+#: src/protocol/rewrite/rewrite.c:90
 #, no-c-format
 msgid ""
 "Replacement URI for this smartprefix:\n"
@@ -7409,26 +7433,28 @@ msgid ""
 "%% in the string means '%'"
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:93
+#: src/protocol/rewrite/rewrite.c:96
 msgid "Default template"
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:96
+#: src/protocol/rewrite/rewrite.c:99
 #, no-c-format
 msgid ""
-"Default URI template used when the string entered in\n"
-"the goto dialog does not appear to be a URI or a filename\n"
-"(i.e. contains no '.', ':' or '/' characters), and does\n"
-"not match any defined prefixes. Set the value to \"\" to\n"
-"disable use of the default template rewrite rule.\n"
+"Default URI template used when the string entered in the goto dialog does "
+"not appear to be a URI or a filename (i.e. contains no '.', ':' or '/' "
+"characters), and does not match any defined prefixes. Set the value to \"\" "
+"to disable use of the default template rewrite rule.\n"
+"\n"
 "%c in the template means the current URL,\n"
-"%s in the template means the whole string from the goto dialog,\n"
-"%0,%1,...,%9 mean the 1st,2nd,...,10th space-delimited part of %s,\n"
+"%s in the template means the whole string from the goto\n"
+"   dialog,\n"
+"%0,%1,...,%9 mean the 1st,2nd,...,10th space-delimited part\n"
+"   of %s,\n"
 "%% in the template means '%'."
 msgstr ""
 
 #. name:
-#: src/protocol/rewrite/rewrite.c:372
+#: src/protocol/rewrite/rewrite.c:378
 msgid "URI rewrite"
 msgstr ""
 
@@ -7450,24 +7476,23 @@ msgid "Credentials file passed to smbcli
 msgstr ""
 
 #. name:
-#: src/protocol/user.c:34 src/protocol/user.c:84
+#: src/protocol/user.c:34 src/protocol/user.c:85
 msgid "User protocols"
 msgstr ""
 
 #: src/protocol/user.c:36
 msgid ""
-"User protocols. Options in this tree specify external\n"
-"handlers for the appropriate protocols. Ie.\n"
-"protocol.user.mailto.unix."
+"User protocols. Options in this tree specify external handlers for the "
+"appropriate protocols. Ie. protocol.user.mailto.unix."
 msgstr ""
 
 #: src/protocol/user.c:47
 msgid ""
-"Handler (external program) for this protocol. Name the\n"
-"options in this tree after your system (ie. unix, unix-xwin)."
+"Handler (external program) for this protocol. Name the options in this tree "
+"after your system (ie. unix, unix-xwin)."
 msgstr ""
 
-#: src/protocol/user.c:52
+#: src/protocol/user.c:53
 msgid ""
 "Handler (external program) for this protocol and system.\n"
 "%f in the string means file name to include form data from\n"
@@ -7478,11 +7503,11 @@ msgid ""
 "%u in the string means the whole URL"
 msgstr ""
 
-#: src/protocol/user.c:276
+#: src/protocol/user.c:277
 msgid "No program"
 msgstr ""
 
-#: src/protocol/user.c:278
+#: src/protocol/user.c:279
 #, c-format
 msgid "No program specified for protocol %s."
 msgstr ""
@@ -7568,12 +7593,12 @@ msgstr ""
 msgid "Spidermonkey ECMAScript"
 msgstr "ECMAScript"
 
-#: src/session/download.c:233 src/session/download.c:330
-#: src/session/download.c:561 src/session/download.c:649
+#: src/session/download.c:256 src/session/download.c:356
+#: src/session/download.c:587 src/session/download.c:675
 msgid "Download error"
 msgstr "Aflaaifout"
 
-#: src/session/download.c:234 src/session/download.c:650
+#: src/session/download.c:257 src/session/download.c:676
 #, c-format
 msgid ""
 "Could not create file '%s':\n"
@@ -7582,7 +7607,7 @@ msgstr ""
 "Kon nie lêer '%s' skep nie:\n"
 "%s"
 
-#: src/session/download.c:331
+#: src/session/download.c:357
 #, c-format
 msgid ""
 "Error downloading %s:\n"
@@ -7593,16 +7618,16 @@ msgstr ""
 "\n"
 "%s"
 
-#: src/session/download.c:562
+#: src/session/download.c:588
 #, c-format
 msgid "'%s' is a directory."
 msgstr "'%s' is 'n gids."
 
-#: src/session/download.c:596
+#: src/session/download.c:622
 msgid "File exists"
 msgstr "Lêer bestaan"
 
-#: src/session/download.c:597
+#: src/session/download.c:623
 #, c-format
 msgid ""
 "This file already exists:\n"
@@ -7618,50 +7643,50 @@ msgstr ""
 "%s"
 
 #. accelerator_context(src/session/download.c:lookup_unique_name)
-#: src/session/download.c:604
+#: src/session/download.c:630
 msgid "Sa~ve under the alternative name"
 msgstr "~Stoor onder die alternatiewe naam"
 
 #. accelerator_context(src/session/download.c:lookup_unique_name)
-#: src/session/download.c:605
+#: src/session/download.c:631
 msgid "~Overwrite the original file"
 msgstr "~Oorskryf die oorspronklike naam"
 
 #. accelerator_context(src/session/download.c:lookup_unique_name)
-#: src/session/download.c:606
+#: src/session/download.c:632
 msgid "~Resume download of the original file"
 msgstr "~Hervat die aflaai van die oorspronklike lêer"
 
-#: src/session/download.c:1109
+#: src/session/download.c:1135
 msgid "Unknown type"
 msgstr "Onbekende soort"
 
-#: src/session/download.c:1134
+#: src/session/download.c:1160
 #, c-format
 msgid "What would you like to do with the file '%s' (type: %s%s%s)?"
 msgstr "Wat wil u doen met die lêer '%s' (soort: %s%s%s)?"
 
-#: src/session/download.c:1137
+#: src/session/download.c:1163
 #, fuzzy, c-format
 msgid "What would you like to do with the file (type: %s%s%s)?"
 msgstr "Wat wil u doen met die lêer '%s' (soort: %s%s%s)?"
 
-#: src/session/download.c:1165
+#: src/session/download.c:1191
 #, no-c-format
 msgid "Program ('%' will be replaced by the filename)"
 msgstr "Program ('%' sal vervang word met die lêernaam)"
 
-#: src/session/download.c:1169
+#: src/session/download.c:1195
 msgid "Block the terminal"
 msgstr "Blok die terminaal"
 
-#: src/session/download.c:1175
+#: src/session/download.c:1201
 #, c-format
 msgid "The file will be opened with the program '%s'."
 msgstr "Die lêer sal met die program '%s' oopgemaak word."
 
 #. accelerator_context(src/session/download.c:do_type_query)
-#: src/session/download.c:1196
+#: src/session/download.c:1222
 msgid "~Open"
 msgstr "~Open"
 
@@ -7669,12 +7694,12 @@ msgstr "~Open"
 #. * and formatting it with "%u" is safe,
 #. * because fc_maxlength is smaller than
 #. * file.length, which is an int.
-#: src/session/session.c:761 src/session/session.c:780 src/session/task.c:275
-#: src/viewer/text/textarea.c:652
+#: src/session/session.c:771 src/session/session.c:790 src/session/task.c:275
+#: src/viewer/text/textarea.c:641
 msgid "Warning"
 msgstr "Waarskuwing"
 
-#: src/session/session.c:762
+#: src/session/session.c:772
 msgid ""
 "You have an empty string in protocol.http.user_agent - this was a default "
 "value in the past, substituted by default ELinks User-Agent string. However, "
@@ -7685,7 +7710,7 @@ msgid ""
 "will be used. Apologies for any inconvience caused."
 msgstr ""
 
-#: src/session/session.c:781
+#: src/session/session.c:791
 msgid ""
 "You have option config.saving_style set to a de facto obsolete value. The "
 "configuration saving algorithms of ELinks were changed from the last time "
@@ -7698,11 +7723,11 @@ msgid ""
 "caused."
 msgstr ""
 
-#: src/session/session.c:806
+#: src/session/session.c:816
 msgid "Welcome"
 msgstr "Welkom"
 
-#: src/session/session.c:807
+#: src/session/session.c:817
 msgid ""
 "Welcome to ELinks!\n"
 "\n"
@@ -7761,22 +7786,22 @@ msgstr "Slegte terminaalgrootte: %d, %d"
 msgid "Warning: terminal name contains illicit chars."
 msgstr ""
 
-#: src/terminal/event.c:259
+#: src/terminal/event.c:258
 #, c-format
 msgid "Failed to create session."
 msgstr "Kon nie sessie skep nie."
 
-#: src/terminal/event.c:446
+#: src/terminal/event.c:443
 #, c-format
 msgid "Bad event %d"
 msgstr ""
 
-#: src/terminal/event.c:486
+#: src/terminal/event.c:483
 #, c-format
 msgid "Could not read event: %d (%s)"
 msgstr ""
 
-#: src/terminal/kbd.c:1187
+#: src/terminal/kbd.c:1210
 #, c-format
 msgid "Too many bytes read from the itrm!"
 msgstr ""
@@ -7845,200 +7870,200 @@ msgstr "Vermisde fragment"
 msgid "The requested fragment \"%s\" doesn't exist."
 msgstr "Die aangevraagde vragment \"#%s\" bestaan nie."
 
-#: src/viewer/text/form.c:1092
+#: src/viewer/text/form.c:1118
 msgid "Error while posting form"
 msgstr "Fout met instuur van vorm"
 
-#: src/viewer/text/form.c:1093
+#: src/viewer/text/form.c:1119
 #, c-format
 msgid "Could not load file %s: %s"
 msgstr "Kon nie lêer %s laai nie: %s"
 
-#: src/viewer/text/form.c:1847
+#: src/viewer/text/form.c:1876
 msgid "Reset form"
 msgstr "Herstel vorm"
 
-#: src/viewer/text/form.c:1849
+#: src/viewer/text/form.c:1878
 msgid "Harmless button"
 msgstr "Skadelose knoppie"
 
-#: src/viewer/text/form.c:1857
+#: src/viewer/text/form.c:1886
 msgid "Submit form to"
 msgstr ""
 
-#: src/viewer/text/form.c:1858
+#: src/viewer/text/form.c:1887
 msgid "Post form to"
 msgstr ""
 
-#: src/viewer/text/form.c:1860
+#: src/viewer/text/form.c:1889
 msgid "Radio button"
 msgstr ""
 
-#: src/viewer/text/form.c:1864
+#: src/viewer/text/form.c:1893
 msgid "Select field"
 msgstr ""
 
-#: src/viewer/text/form.c:1868
+#: src/viewer/text/form.c:1897
 msgid "Text area"
 msgstr "Teksarea"
 
-#: src/viewer/text/form.c:1870
+#: src/viewer/text/form.c:1899
 msgid "File upload"
 msgstr "Lêeroplaaier"
 
-#: src/viewer/text/form.c:1872
+#: src/viewer/text/form.c:1901
 msgid "Password field"
 msgstr "Wagwoordveld"
 
-#: src/viewer/text/form.c:1910
+#: src/viewer/text/form.c:1939
 msgid "name"
 msgstr "naam"
 
-#: src/viewer/text/form.c:1922
+#: src/viewer/text/form.c:1951
 msgid "value"
 msgstr "waarde"
 
-#: src/viewer/text/form.c:1935
+#: src/viewer/text/form.c:1964
 msgid "read only"
 msgstr "leesalleen"
 
-#: src/viewer/text/form.c:1946
+#: src/viewer/text/form.c:1975
 #, c-format
 msgid "press %s to navigate"
 msgstr "druk %s om te navigeer"
 
-#: src/viewer/text/form.c:1948
+#: src/viewer/text/form.c:1977
 #, c-format
 msgid "press %s to edit"
 msgstr "druk %s om te wysig"
 
-#: src/viewer/text/form.c:1984
+#: src/viewer/text/form.c:2013
 #, c-format
 msgid "press %s to submit to %s"
 msgstr "druk %s om in te stuur aan %s"
 
-#: src/viewer/text/form.c:1986
+#: src/viewer/text/form.c:2015
 #, c-format
 msgid "press %s to post to %s"
 msgstr "druk %s om in te stuur aan %s"
 
-#: src/viewer/text/form.c:2088
+#: src/viewer/text/form.c:2117
 msgid "Useless button"
 msgstr "Nuttelose knoppie"
 
-#: src/viewer/text/form.c:2090
+#: src/viewer/text/form.c:2119
 msgid "Submit button"
 msgstr "Indien-knoppie"
 
 #. accelerator_context(link_menu.map)
-#: src/viewer/text/link.c:1281
+#: src/viewer/text/link.c:1280
 msgid "Display ~usemap"
 msgstr ""
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1286
+#: src/viewer/text/link.c:1285
 msgid "~Follow link"
 msgstr "~Volg skakel"
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1288
+#: src/viewer/text/link.c:1287
 msgid "Follow link and r~eload"
 msgstr "Volg skakel en ~herlaai"
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1292
+#: src/viewer/text/link.c:1291
 msgid "Open in new ~window"
 msgstr "Open in nuwe ~venster"
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1294
+#: src/viewer/text/link.c:1293
 msgid "Open in new ~tab"
 msgstr "Open in nuwe ~oortjie"
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1296
+#: src/viewer/text/link.c:1295
 msgid "Open in new tab in ~background"
 msgstr "Open in nuwe ~agtergrondoortjie"
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1301
+#: src/viewer/text/link.c:1300
 msgid "~Download link"
 msgstr "~Laai skakel af"
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1304
+#: src/viewer/text/link.c:1303
 msgid "~Add link to bookmarks"
 msgstr "Voeg skakel by ~boekmerke"
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1308
+#: src/viewer/text/link.c:1307
 msgid "Pass link URI to e~xternal command"
 msgstr "Stuur skakel-URI aan ~eksterne opdrag"
 
 #. accelerator_context(link_menu.form, link_menu.reset, link_menu.textarea)
-#: src/viewer/text/link.c:1319 src/viewer/text/link.c:1359
+#: src/viewer/text/link.c:1318 src/viewer/text/link.c:1358
 msgid "~Reset form"
 msgstr "~Herstel vorm"
 
 #. accelerator_context(link_menu.textarea)
-#: src/viewer/text/link.c:1334
+#: src/viewer/text/link.c:1333
 msgid "Open in ~external editor"
 msgstr "Open in eksterne ~redigeerder"
 
 #. accelerator_context(link_menu.form, link_menu.textarea)
-#: src/viewer/text/link.c:1342
+#: src/viewer/text/link.c:1341
 msgid "~Submit form"
 msgstr "~Dien vorm in"
 
 #. accelerator_context(link_menu.form, link_menu.textarea)
-#: src/viewer/text/link.c:1343
+#: src/viewer/text/link.c:1342
 msgid "Submit form and rel~oad"
 msgstr "Dien vorm in en herl~aai"
 
 #. accelerator_context(link_menu.form, link_menu.textarea)
-#: src/viewer/text/link.c:1347
+#: src/viewer/text/link.c:1346
 msgid "Submit form and open in new ~window"
 msgstr "Dien vorm in en maak in nuwe ~venster oop"
 
 #. accelerator_context(link_menu.form, link_menu.textarea)
-#: src/viewer/text/link.c:1349
+#: src/viewer/text/link.c:1348
 msgid "Submit form and open in new ~tab"
 msgstr "Dien vorm in en maak in nuwe ~oorjtie oop"
 
 #. accelerator_context(link_menu.form, link_menu.textarea)
-#: src/viewer/text/link.c:1352
+#: src/viewer/text/link.c:1351
 msgid "Submit form and open in new tab in ~background"
 msgstr "Dien vorm in en maak in nuwe ~agtergrondoortjie oop"
 
 #. accelerator_context(link_menu.form, link_menu.textarea)
-#: src/viewer/text/link.c:1357
+#: src/viewer/text/link.c:1356
 msgid "Submit form and ~download"
 msgstr "Dien vorm in en laai af"
 
 #. accelerator_context(link_menu.form, link_menu.reset, link_menu.textarea)
-#: src/viewer/text/link.c:1364
+#: src/viewer/text/link.c:1363
 msgid "Form f~ields"
 msgstr "~Vormvelde"
 
 #. accelerator_context(link_menu.form, link_menu.map, link_menu.std)
-#: src/viewer/text/link.c:1371
+#: src/viewer/text/link.c:1370
 msgid "V~iew image"
 msgstr "~Bekyk prent"
 
 #. accelerator_context(link_menu.form, link_menu.map, link_menu.std)
-#: src/viewer/text/link.c:1373
+#: src/viewer/text/link.c:1372
 msgid "Download ima~ge"
 msgstr "Laai prent ~af"
 
-#: src/viewer/text/link.c:1382
+#: src/viewer/text/link.c:1381
 msgid "No link selected"
 msgstr "Geen skakel gekies nie"
 
-#: src/viewer/text/link.c:1452
+#: src/viewer/text/link.c:1451
 msgid "Image"
 msgstr "Prent"
 
-#: src/viewer/text/link.c:1457
+#: src/viewer/text/link.c:1456
 msgid "Usemap"
 msgstr ""
 
@@ -8047,84 +8072,84 @@ msgstr ""
 msgid "Marks"
 msgstr ""
 
-#: src/viewer/text/search.c:1083
+#: src/viewer/text/search.c:1099
 msgid "Search hit top, continuing at bottom."
 msgstr "Soektog het bokant bereik, gaan nou onder aan."
 
-#: src/viewer/text/search.c:1084
+#: src/viewer/text/search.c:1100
 msgid "Search hit bottom, continuing at top."
 msgstr "Soektog het onderkant bereik, gaan nou bo aan."
 
-#: src/viewer/text/search.c:1087
+#: src/viewer/text/search.c:1103
 msgid "No previous search"
 msgstr "Geen vorige soektog nie"
 
-#: src/viewer/text/search.c:1099
+#: src/viewer/text/search.c:1115
 #, c-format
 msgid "Could not compile regular expression '%s'"
 msgstr "Kon nie reguliere uitdrukking '%s' saamstel nie"
 
-#: src/viewer/text/search.c:1143
+#: src/viewer/text/search.c:1159
 #, c-format
 msgid "No further matches for '%s'."
 msgstr "'%s' tref nêrens verder nie."
 
-#: src/viewer/text/search.c:1145
+#: src/viewer/text/search.c:1161
 #, c-format
 msgid "Could not find a link with the text '%s'."
 msgstr "Kon nie 'n skakel met die teks '%s' vind nie."
 
-#: src/viewer/text/search.c:1147 src/viewer/text/search.c:1558
+#: src/viewer/text/search.c:1163 src/viewer/text/search.c:1576
 msgid "Typeahead"
 msgstr ""
 
-#: src/viewer/text/search.c:1560
+#: src/viewer/text/search.c:1578
 #, c-format
 msgid "No links in current document"
 msgstr "Geen skakels in die huidige dokument nie"
 
-#: src/viewer/text/search.c:1643
+#: src/viewer/text/search.c:1661
 msgid "Search for text"
 msgstr "Soek vir teks"
 
-#: src/viewer/text/search.c:1679
+#: src/viewer/text/search.c:1697
 msgid "Normal search"
 msgstr "Normale soektog"
 
-#: src/viewer/text/search.c:1680
+#: src/viewer/text/search.c:1698
 msgid "Regexp search"
 msgstr "Soektog met reguliere uitdrukking"
 
-#: src/viewer/text/search.c:1681
+#: src/viewer/text/search.c:1699
 msgid "Extended regexp search"
 msgstr "Soektog met uitgebreide reguliere uitdrukking"
 
-#: src/viewer/text/search.c:1683
+#: src/viewer/text/search.c:1701
 msgid "Case sensitive"
 msgstr "Kassensitief"
 
-#: src/viewer/text/search.c:1684
+#: src/viewer/text/search.c:1702
 msgid "Case insensitive"
 msgstr "Nie kassensitief nie"
 
-#: src/viewer/text/search.c:1708
+#: src/viewer/text/search.c:1726
 msgid "Search backward"
 msgstr "Soek agteruit"
 
 #. name:
-#: src/viewer/text/search.c:1747
+#: src/viewer/text/search.c:1765
 msgid "Search History"
 msgstr "Deursoek geskiedenis"
 
-#: src/viewer/text/textarea.c:595
+#: src/viewer/text/textarea.c:584
 msgid "You cannot launch an external editor in the anonymous mode."
 msgstr ""
 
-#: src/viewer/text/textarea.c:602
+#: src/viewer/text/textarea.c:591
 msgid "You can do this only on the master terminal"
 msgstr ""
 
-#: src/viewer/text/textarea.c:655
+#: src/viewer/text/textarea.c:644
 #, c-format
 msgid ""
 "You have exceeded the textarea's size limit: your input is %d bytes, but the "
@@ -8142,11 +8167,11 @@ msgstr "Gaan na skakel"
 msgid "Enter link number"
 msgstr "Tik skakelnommer in"
 
-#: src/viewer/text/view.c:1627
+#: src/viewer/text/view.c:1628
 msgid "Save error"
 msgstr "Fout met stoor"
 
-#: src/viewer/text/view.c:1628
+#: src/viewer/text/view.c:1629
 msgid "Error writing to file"
 msgstr "Fout met die skryf na die lêer"
 
Binary files 0.12~pre2.dfsg0-1/po/be.gmo and 0.12~pre4-1/po/be.gmo differ
diff -pruN 0.12~pre2.dfsg0-1/po/be.po 0.12~pre4-1/po/be.po
--- 0.12~pre2.dfsg0-1/po/be.po	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/po/be.po	2009-05-31 09:48:47.000000000 +0100
@@ -6,7 +6,7 @@ msgid ""
 msgstr ""
 "Project-Id-Version: ELinks 0.5pre0.CVS\n"
 "Report-Msgid-Bugs-To: elinks-users@linuxfromscratch.org\n"
-"POT-Creation-Date: 2008-09-21 11:13+0300\n"
+"POT-Creation-Date: 2009-05-31 01:57+0300\n"
 "PO-Revision-Date: 2003-01-03 03:41+0100\n"
 "Last-Translator: Yevgeny Gromov <yevgeny@tut.by>\n"
 "Language-Team: Belarusian <i18n@tut.by>\n"
@@ -37,7 +37,7 @@ msgstr ""
 #: src/mime/dialogs.c:132 src/protocol/auth/dialogs.c:115
 #: src/protocol/protocol.c:246 src/scripting/lua/core.c:399
 #: src/scripting/lua/core.c:480 src/scripting/python/dialogs.c:86
-#: src/session/session.c:811 src/viewer/text/search.c:1686
+#: src/session/session.c:821 src/viewer/text/search.c:1704
 #, fuzzy
 msgid "~OK"
 msgstr ""
@@ -55,13 +55,13 @@ msgid "Sorry, but the item \"%s\" is bei
 msgstr ",   æ  ˦."
 
 #. cant_delete_folder
-#: src/bfu/hierbox.c:558 src/bookmarks/dialogs.c:121
+#: src/bfu/hierbox.c:558 src/bookmarks/dialogs.c:153
 #, fuzzy, c-format
 msgid "Sorry, but the folder \"%s\" cannot be deleted."
 msgstr ",   æ  ˦."
 
 #. cant_delete_used_folder
-#: src/bfu/hierbox.c:561 src/bookmarks/dialogs.c:123
+#: src/bfu/hierbox.c:561 src/bookmarks/dialogs.c:155
 #, fuzzy, c-format
 msgid "Sorry, but the folder \"%s\" is being used by something else."
 msgstr ",   æ  ˦."
@@ -79,7 +79,7 @@ msgid "Delete marked items?"
 msgstr "̦  Ǧ٦"
 
 #. delete_folder_title
-#: src/bfu/hierbox.c:570 src/bookmarks/dialogs.c:129
+#: src/bfu/hierbox.c:570 src/bookmarks/dialogs.c:161
 #, fuzzy
 msgid "Delete folder"
 msgstr "̦ "
@@ -140,13 +140,13 @@ msgstr ""
 msgid "~No"
 msgstr ""
 
-#: src/bfu/hierbox.c:945 src/bfu/hierbox.c:976 src/viewer/text/search.c:1090
-#: src/viewer/text/search.c:1098 src/viewer/text/search.c:1114
-#: src/viewer/text/search.c:1705
+#: src/bfu/hierbox.c:945 src/bfu/hierbox.c:976 src/viewer/text/search.c:1106
+#: src/viewer/text/search.c:1114 src/viewer/text/search.c:1130
+#: src/viewer/text/search.c:1723
 msgid "Search"
 msgstr ""
 
-#: src/bfu/hierbox.c:947 src/viewer/text/search.c:1091
+#: src/bfu/hierbox.c:947 src/viewer/text/search.c:1107
 #, fuzzy, c-format
 msgid "Search string '%s' not found"
 msgstr "   "
@@ -185,8 +185,8 @@ msgstr " ˦  "
 #: src/dialogs/options.c:237 src/dialogs/options.c:316 src/mime/dialogs.c:133
 #: src/protocol/auth/dialogs.c:116 src/protocol/bittorrent/dialogs.c:814
 #: src/scripting/lua/core.c:400 src/scripting/lua/core.c:481
-#: src/session/download.c:607 src/session/download.c:1219
-#: src/viewer/text/search.c:1687
+#: src/session/download.c:633 src/session/download.c:1245
+#: src/viewer/text/search.c:1705
 #, fuzzy
 msgid "~Cancel"
 msgstr ""
@@ -200,8 +200,8 @@ msgstr "˦"
 msgid "Digital clock in the status bar."
 msgstr ""
 
-#: src/bfu/leds.c:77 src/bfu/leds.c:94 src/config/options.inc:1199
-#: src/config/options.inc:1206 src/ecmascript/ecmascript.c:45
+#: src/bfu/leds.c:77 src/bfu/leds.c:94 src/config/options.inc:1272
+#: src/config/options.inc:1279 src/ecmascript/ecmascript.c:45
 #: src/globhist/globhist.c:64 src/mime/backend/mailcap.c:93
 #: src/mime/backend/mimetypes.c:52 src/network/ssl/ssl.c:81
 #, fuzzy
@@ -219,8 +219,7 @@ msgstr " "
 
 #: src/bfu/leds.c:83
 msgid ""
-"Format string for the digital clock. See the strftime(3)\n"
-"manpage for details."
+"Format string for the digital clock. See the strftime(3) manpage for details."
 msgstr ""
 
 #: src/bfu/leds.c:90
@@ -233,8 +232,7 @@ msgstr ""
 
 #: src/bfu/leds.c:96
 msgid ""
-"Enable LEDs.\n"
-"These visual indicators will inform you about various states."
+"Enable LEDs. These visual indicators will inform you about various states."
 msgstr ""
 
 #. name:
@@ -264,35 +262,35 @@ msgstr ""
 msgid "Search menu/"
 msgstr ""
 
-#: src/bookmarks/backend/xbel.c:97
+#: src/bookmarks/backend/xbel.c:105
 #, c-format
 msgid "read_bookmarks_xbel(): Error in XML_ParserCreate()"
 msgstr ""
 
-#: src/bookmarks/backend/xbel.c:108
+#: src/bookmarks/backend/xbel.c:116
 #, c-format
 msgid "read_bookmarks_xbel(): Error reading %s"
 msgstr ""
 
-#: src/bookmarks/backend/xbel.c:116
+#: src/bookmarks/backend/xbel.c:124
 #, c-format
 msgid ""
 "Parse error while processing XBEL bookmarks in %s at line %d column %d:\n"
 "%s"
 msgstr ""
 
-#: src/bookmarks/backend/xbel.c:390 src/bookmarks/backend/xbel.c:411
+#: src/bookmarks/backend/xbel.c:388 src/bookmarks/backend/xbel.c:410
 #, fuzzy
 msgid "No title"
 msgstr " ˦"
 
-#: src/bookmarks/backend/xbel.c:396
+#: src/bookmarks/backend/xbel.c:394
 #, fuzzy
 msgid "No URL"
 msgstr "æ   URL"
 
 #. name:
-#: src/bookmarks/bookmarks.c:48 src/bookmarks/bookmarks.c:181
+#: src/bookmarks/bookmarks.c:48 src/bookmarks/bookmarks.c:183
 #, fuzzy
 msgid "Bookmarks"
 msgstr "˦"
@@ -302,7 +300,7 @@ msgstr "˦"
 msgid "Bookmark options."
 msgstr "˦"
 
-#: src/bookmarks/bookmarks.c:53 src/bookmarks/bookmarks.c:59
+#: src/bookmarks/bookmarks.c:53 src/bookmarks/bookmarks.c:60
 #, fuzzy
 msgid "File format"
 msgstr " "
@@ -311,51 +309,47 @@ msgstr " "
 msgid ""
 "File format for bookmarks (affects both reading and saving):\n"
 "0 is the default native ELinks format\n"
-"1 is XBEL universal XML bookmarks format (ELinks bug 153: NO NATIONAL CHARS "
-"SUPPORT!)"
+"1 is XBEL universal XML bookmarks format"
 msgstr ""
 
-#: src/bookmarks/bookmarks.c:61
+#: src/bookmarks/bookmarks.c:62
 msgid ""
 "File format for bookmarks (affects both reading and saving):\n"
 "0 is the default native ELinks format\n"
-"1 is XBEL universal XML bookmarks format (ELinks bug 153: NO NATIONAL CHARS "
-"SUPPORT!)  (DISABLED)"
+"1 is XBEL universal XML bookmarks format  (DISABLED)"
 msgstr ""
 
-#: src/bookmarks/bookmarks.c:67
+#: src/bookmarks/bookmarks.c:68
 #, fuzzy
 msgid "Save folder state"
 msgstr " ˦"
 
-#: src/bookmarks/bookmarks.c:69
+#: src/bookmarks/bookmarks.c:70
 msgid ""
-"When saving bookmarks also store whether folders are\n"
-"expanded or not, so the look of the bookmark dialog is\n"
-"kept across ELinks sessions. If disabled all folders will\n"
-"appear unexpanded next time ELinks is run."
+"When saving bookmarks also store whether folders are expanded or not, so the "
+"look of the bookmark dialog is kept across ELinks sessions. If disabled all "
+"folders will appear unexpanded next time ELinks is run."
 msgstr ""
 
-#: src/bookmarks/bookmarks.c:74
+#: src/bookmarks/bookmarks.c:75
 msgid "Periodic snapshotting"
 msgstr ""
 
-#: src/bookmarks/bookmarks.c:76
+#: src/bookmarks/bookmarks.c:77
 msgid ""
-"Automatically save a snapshot of all tabs periodically.\n"
-"This will periodically bookmark the tabs of each terminal in a separate "
-"folder\n"
-"for recovery after a crash.\n"
+"Automatically save a snapshot of all tabs periodically. This will "
+"periodically bookmark the tabs of each terminal in a separate folder for "
+"recovery after a crash.\n"
 "\n"
 "This feature requires bookmark support."
 msgstr ""
 
-#: src/bookmarks/dialogs.c:72 src/config/options.inc:1051
+#: src/bookmarks/dialogs.c:97 src/config/options.inc:1120
 #: src/dialogs/document.c:145 src/globhist/dialogs.c:65
 msgid "Title"
 msgstr ""
 
-#: src/bookmarks/dialogs.c:73 src/cache/dialogs.c:65
+#: src/bookmarks/dialogs.c:101 src/cache/dialogs.c:65
 #: src/dialogs/document.c:136 src/dialogs/edit.c:96 src/formhist/dialogs.c:63
 #: src/globhist/dialogs.c:66 src/protocol/auth/dialogs.c:163
 #: src/scripting/lua/core.c:397
@@ -363,85 +357,85 @@ msgid "URL"
 msgstr "URL"
 
 #. cant_delete_item
-#: src/bookmarks/dialogs.c:117
+#: src/bookmarks/dialogs.c:149
 #, fuzzy, c-format
 msgid "Sorry, but the bookmark \"%s\" cannot be deleted."
 msgstr ",   æ  ˦."
 
 #. cant_delete_used_item
-#: src/bookmarks/dialogs.c:119
+#: src/bookmarks/dialogs.c:151
 #, fuzzy, c-format
 msgid "Sorry, but the bookmark \"%s\" is being used by something else."
 msgstr ",   æ  ˦."
 
 #. delete_marked_items_title
-#: src/bookmarks/dialogs.c:125
+#: src/bookmarks/dialogs.c:157
 #, fuzzy
 msgid "Delete marked bookmarks"
 msgstr "   ̦  ˦?"
 
 #. delete_marked_items
-#: src/bookmarks/dialogs.c:127
+#: src/bookmarks/dialogs.c:159
 msgid "Delete marked bookmarks?"
 msgstr "   ̦  ˦?"
 
 #. delete_folder
-#: src/bookmarks/dialogs.c:131
+#: src/bookmarks/dialogs.c:163
 #, fuzzy, c-format
 msgid "Delete the folder \"%s\" and all bookmarks in it?"
 msgstr "̦  ˦"
 
 #. delete_item_title
-#: src/bookmarks/dialogs.c:133
+#: src/bookmarks/dialogs.c:165
 #, fuzzy
 msgid "Delete bookmark"
 msgstr "   ̦  ˦?"
 
-#: src/bookmarks/dialogs.c:135
+#: src/bookmarks/dialogs.c:167
 #, fuzzy, c-format
 msgid "Delete this bookmark?"
 msgstr "   ̦  ˦?"
 
 #. clear_all_items_title
-#: src/bookmarks/dialogs.c:137
+#: src/bookmarks/dialogs.c:169
 #, fuzzy
 msgid "Clear all bookmarks"
 msgstr "  "
 
 #. clear_all_items_title
-#: src/bookmarks/dialogs.c:139
+#: src/bookmarks/dialogs.c:171
 #, fuzzy
 msgid "Do you really want to remove all bookmarks?"
 msgstr "      ELinks?"
 
-#: src/bookmarks/dialogs.c:254
+#: src/bookmarks/dialogs.c:327
 msgid "Add folder"
 msgstr " "
 
-#: src/bookmarks/dialogs.c:254
+#: src/bookmarks/dialogs.c:327
 msgid "Folder name"
 msgstr " ˦"
 
-#: src/bookmarks/dialogs.c:310 src/scripting/lua/core.c:391
+#: src/bookmarks/dialogs.c:410 src/scripting/lua/core.c:391
 msgid "Edit bookmark"
 msgstr " ˦"
 
-#: src/bookmarks/dialogs.c:461
+#: src/bookmarks/dialogs.c:567
 msgid "Cannot move folder inside itself"
 msgstr ""
 
-#: src/bookmarks/dialogs.c:462
+#: src/bookmarks/dialogs.c:568
 msgid ""
 "You are trying to move the marked folder inside itself. To move the folder "
 "to a different location select the new location before pressing the Move "
 "button."
 msgstr ""
 
-#: src/bookmarks/dialogs.c:468
+#: src/bookmarks/dialogs.c:574
 msgid "Nothing to move"
 msgstr ""
 
-#: src/bookmarks/dialogs.c:469
+#: src/bookmarks/dialogs.c:575
 msgid ""
 "To move bookmarks, first mark all the bookmarks (or folders) you want to "
 "move.  This can be done with the Insert key if you're using the default key-"
@@ -450,21 +444,21 @@ msgid ""
 msgstr ""
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons, src/cache/dialogs.c:cache_buttons, src/globhist/dialogs.c:globhist_buttons, src/protocol/auth/dialogs.c:auth_buttons)
-#: src/bookmarks/dialogs.c:487 src/cache/dialogs.c:230
+#: src/bookmarks/dialogs.c:593 src/cache/dialogs.c:230
 #: src/globhist/dialogs.c:224 src/protocol/auth/dialogs.c:261
 #, fuzzy
 msgid "~Goto"
 msgstr "æ"
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons, src/config/dialogs.c:option_buttons, src/cookies/dialogs.c:cookie_buttons)
-#: src/bookmarks/dialogs.c:488 src/config/dialogs.c:503
+#: src/bookmarks/dialogs.c:594 src/config/dialogs.c:503
 #: src/cookies/dialogs.c:492
 #, fuzzy
 msgid "~Edit"
 msgstr ""
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons, src/cache/dialogs.c:cache_buttons, src/config/dialogs.c:keybinding_buttons, src/config/dialogs.c:option_buttons, src/cookies/dialogs.c:cookie_buttons, src/dialogs/menu.c:ext_menu, src/formhist/dialogs.c:formhist_buttons, src/globhist/dialogs.c:globhist_buttons, src/protocol/auth/dialogs.c:auth_buttons)
-#: src/bookmarks/dialogs.c:489 src/cache/dialogs.c:231
+#: src/bookmarks/dialogs.c:595 src/cache/dialogs.c:231
 #: src/config/dialogs.c:505 src/config/dialogs.c:930 src/cookies/dialogs.c:493
 #: src/dialogs/menu.c:463 src/formhist/dialogs.c:211
 #: src/globhist/dialogs.c:229 src/protocol/auth/dialogs.c:263
@@ -472,31 +466,31 @@ msgid "~Delete"
 msgstr "̦"
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons, src/config/dialogs.c:keybinding_buttons, src/config/dialogs.c:option_buttons, src/cookies/dialogs.c:cookie_buttons, src/dialogs/menu.c:ext_menu)
-#: src/bookmarks/dialogs.c:490 src/config/dialogs.c:504
+#: src/bookmarks/dialogs.c:596 src/config/dialogs.c:504
 #: src/config/dialogs.c:929 src/cookies/dialogs.c:490 src/dialogs/menu.c:461
 msgid "~Add"
 msgstr ""
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons)
-#: src/bookmarks/dialogs.c:491
+#: src/bookmarks/dialogs.c:597
 #, fuzzy
 msgid "Add se~parator"
 msgstr "  Ǧ٦"
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons)
-#: src/bookmarks/dialogs.c:492
+#: src/bookmarks/dialogs.c:598
 #, fuzzy
 msgid "Add ~folder"
 msgstr " "
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons)
-#: src/bookmarks/dialogs.c:493
+#: src/bookmarks/dialogs.c:599
 #, fuzzy
 msgid "~Move"
 msgstr "æ"
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons, src/cache/dialogs.c:cache_buttons, src/config/dialogs.c:keybinding_buttons, src/config/dialogs.c:option_buttons, src/dialogs/menu.c:view_menu, src/globhist/dialogs.c:globhist_buttons)
-#: src/bookmarks/dialogs.c:494 src/cache/dialogs.c:232
+#: src/bookmarks/dialogs.c:600 src/cache/dialogs.c:232
 #: src/config/dialogs.c:506 src/config/dialogs.c:932 src/dialogs/menu.c:413
 #: src/globhist/dialogs.c:230
 msgid "~Search"
@@ -504,38 +498,52 @@ msgstr ""
 
 #. This one is too dangerous, so just let user delete
 #. * the bookmarks file if needed. --Zas
-#: src/bookmarks/dialogs.c:498
+#: src/bookmarks/dialogs.c:604
 msgid "Clear"
 msgstr "æ"
 
 #. TODO: Would this be useful? --jonas
-#: src/bookmarks/dialogs.c:501 src/globhist/dialogs.c:235
+#: src/bookmarks/dialogs.c:607 src/globhist/dialogs.c:235
 msgid "Save"
 msgstr ""
 
-#: src/bookmarks/dialogs.c:507
+#: src/bookmarks/dialogs.c:613
 msgid "Bookmark manager"
 msgstr "  ͦ"
 
-#: src/bookmarks/dialogs.c:632
+#: src/bookmarks/dialogs.c:825
 msgid "Search bookmarks"
 msgstr "  "
 
-#: src/bookmarks/dialogs.c:661
+#. When the user eventually pushes the OK button, BFU calls
+#. * bookmark_add_add() and gives it the struct dialog * as the
+#. * void * parameter.  However, bookmark_add_add() also needs
+#. * to know the struct terminal *, and there is no way to get
+#. * that from struct dialog.  The other bookmark dialogs work
+#. * around that by making dialog.udata point to the struct
+#. * dialog_data of the bookmark manager, but the "Add bookmark"
+#. * dialog can be triggered with ACT_MAIN_ADD_BOOKMARK, which
+#. * does not involve the bookmark manager at all.
+#. *
+#. * The solution here is to save the struct terminal * in
+#. * dialog.udata2, which the "Edit bookmark" dialog uses for
+#. * struct bookmark *.  When adding a new bookmark, we don't
+#. * need a pointer to an existing one, of course.
+#: src/bookmarks/dialogs.c:892
 msgid "Add bookmark"
 msgstr " "
 
-#: src/bookmarks/dialogs.c:697
+#: src/bookmarks/dialogs.c:950
 #, fuzzy
 msgid "Saved session"
 msgstr " ˦"
 
-#: src/bookmarks/dialogs.c:705
+#: src/bookmarks/dialogs.c:958
 #, fuzzy
 msgid "Bookmark tabs"
 msgstr "˦"
 
-#: src/bookmarks/dialogs.c:705
+#: src/bookmarks/dialogs.c:958
 #, fuzzy
 msgid "Enter folder name"
 msgstr " ˦"
@@ -549,7 +557,7 @@ msgstr "æ   URL"
 msgid "Redirect"
 msgstr ""
 
-#: src/cache/dialogs.c:85 src/config/options.inc:519
+#: src/cache/dialogs.c:85 src/config/options.inc:553
 #: src/dialogs/document.c:156 src/protocol/bittorrent/dialogs.c:126
 msgid "Size"
 msgstr ""
@@ -596,7 +604,7 @@ msgstr ""
 msgid "ID"
 msgstr ""
 
-#: src/cache/dialogs.c:134 src/config/options.inc:669
+#: src/cache/dialogs.c:134 src/config/options.inc:707
 #, fuzzy
 msgid "Header"
 msgstr "  "
@@ -1356,7 +1364,7 @@ msgstr "  "
 msgid "Resolver error"
 msgstr " "
 
-#: src/config/cmdline.c:256 src/cookies/cookies.c:841 src/network/state.c:47
+#: src/config/cmdline.c:256 src/cookies/cookies.c:843 src/network/state.c:47
 #: src/util/secsave.c:379
 msgid "Out of memory"
 msgstr " æ"
@@ -1378,291 +1386,292 @@ msgstr ""
 msgid "Remote method not supported"
 msgstr ""
 
-#: src/config/cmdline.c:452
+#: src/config/cmdline.c:437
+msgid "Out of memory formatting option documentation"
+msgstr ""
+
+#: src/config/cmdline.c:474
 #, fuzzy
 msgid "Template option folder"
 msgstr "̦ "
 
-#: src/config/cmdline.c:475
+#: src/config/cmdline.c:497
 #, c-format
 msgid "(default: %ld)"
 msgstr ""
 
-#: src/config/cmdline.c:482 src/config/cmdline.c:511
+#: src/config/cmdline.c:504 src/config/cmdline.c:533
 #, c-format
 msgid "(default: \"%s\")"
 msgstr ""
 
-#: src/config/cmdline.c:487
+#: src/config/cmdline.c:509
 #, c-format
 msgid "(alias for %s)"
 msgstr ""
 
-#: src/config/cmdline.c:492 src/config/cmdline.c:501
+#: src/config/cmdline.c:514 src/config/cmdline.c:523
 #, c-format
 msgid "(default: %s)"
 msgstr ""
 
-#: src/config/cmdline.c:642
+#: src/config/cmdline.c:654
 #, fuzzy
 msgid "Configuration options"
 msgstr "Ѯ"
 
-#: src/config/cmdline.c:646
+#: src/config/cmdline.c:658
 msgid "Usage: elinks [OPTION]... [URL]..."
 msgstr ""
 
-#: src/config/cmdline.c:647
+#: src/config/cmdline.c:659
 #, fuzzy
 msgid "Options"
 msgstr " ˦"
 
-#: src/config/cmdline.c:689
+#: src/config/cmdline.c:701
 #, fuzzy
 msgid "Internal consistency error"
 msgstr " "
 
 #.
-#: src/config/cmdline.c:725
+#: src/config/cmdline.c:737
 msgid "Restrict to anonymous mode"
 msgstr ""
 
-#: src/config/cmdline.c:727
+#: src/config/cmdline.c:739
 msgid ""
-"Restricts ELinks so it can run on an anonymous account.\n"
-"Local file browsing, downloads, and modification of options\n"
-"will be disabled. Execution of viewers is allowed, but entries\n"
-"in the association table can't be added or modified."
+"Restricts ELinks so it can run on an anonymous account. Local file browsing, "
+"downloads, and modification of options will be disabled. Execution of "
+"viewers is allowed, but entries in the association table can't be added or "
+"modified."
 msgstr ""
 
-#: src/config/cmdline.c:732
+#: src/config/cmdline.c:745
 #, fuzzy
 msgid "Autosubmit first form"
 msgstr " "
 
-#: src/config/cmdline.c:734
+#: src/config/cmdline.c:747
 msgid "Automatically submit the first form in the given URLs."
 msgstr ""
 
-#: src/config/cmdline.c:736
+#: src/config/cmdline.c:749
 msgid "Clone internal session with given ID"
 msgstr ""
 
-#: src/config/cmdline.c:738
+#: src/config/cmdline.c:751
 msgid ""
-"Used internally when opening ELinks instances in new windows.\n"
-"The ID maps to information that will be used when creating the\n"
-"new instance. You don't want to use it."
+"Used internally when opening ELinks instances in new windows. The ID maps to "
+"information that will be used when creating the new instance. You don't want "
+"to use it."
 msgstr ""
 
-#: src/config/cmdline.c:744
+#: src/config/cmdline.c:757
 msgid "Name of directory with configuration file"
 msgstr ""
 
-#: src/config/cmdline.c:746
+#: src/config/cmdline.c:759
 msgid ""
-"Path of the directory ELinks will read and write its\n"
-"config and runtime state files to instead of ~/.elinks.\n"
-"If the path does not begin with a '/' it is assumed to be\n"
-"relative to your HOME directory."
+"Path of the directory ELinks will read and write its config and runtime "
+"state files to instead of ~/.elinks. If the path does not begin with a '/' "
+"it is assumed to be relative to your HOME directory."
 msgstr ""
 
-#: src/config/cmdline.c:751
+#: src/config/cmdline.c:764
 msgid "Print default configuration file to stdout"
 msgstr ""
 
-#: src/config/cmdline.c:753
+#: src/config/cmdline.c:766
 msgid ""
-"Print a configuration file with options set to the built-in\n"
-"defaults to stdout."
+"Print a configuration file with options set to the built-in defaults to "
+"stdout."
 msgstr ""
 
-#: src/config/cmdline.c:758
+#: src/config/cmdline.c:771
 msgid "Name of configuration file"
 msgstr ""
 
-#: src/config/cmdline.c:760
+#: src/config/cmdline.c:773
 msgid ""
-"Name of the configuration file that all configuration\n"
-"options will be read from and written to. It should be\n"
-"relative to config-dir."
+"Name of the configuration file that all configuration options will be read "
+"from and written to. It should be relative to config-dir."
 msgstr ""
 
-#: src/config/cmdline.c:764
+#: src/config/cmdline.c:777
 msgid "Print help for configuration options"
 msgstr ""
 
-#: src/config/cmdline.c:766
+#: src/config/cmdline.c:779
 msgid "Print help for configuration options and exit."
 msgstr ""
 
-#: src/config/cmdline.c:768
+#: src/config/cmdline.c:781
 msgid "MIME type assumed for unknown document types"
 msgstr ""
 
-#: src/config/cmdline.c:770
+#: src/config/cmdline.c:783
 msgid "The default MIME type used for documents of unknown type."
 msgstr ""
 
-#: src/config/cmdline.c:772
+#: src/config/cmdline.c:786
 msgid "Ignore user-defined keybindings"
 msgstr ""
 
-#: src/config/cmdline.c:774
+#: src/config/cmdline.c:788
 msgid ""
-"When set, all keybindings from configuration files will be\n"
-"ignored. It forces use of default keybindings and will reset\n"
-"user-defined ones on save."
+"When set, all keybindings from configuration files will be ignored. It "
+"forces use of default keybindings and will reset user-defined ones on save."
 msgstr ""
 
-#: src/config/cmdline.c:778
+#: src/config/cmdline.c:792
 msgid "Print formatted versions of given URLs to stdout"
 msgstr ""
 
-#: src/config/cmdline.c:780
+#: src/config/cmdline.c:794
 msgid "Print formatted plain-text versions of given URLs to stdout."
 msgstr ""
 
-#: src/config/cmdline.c:782
+#: src/config/cmdline.c:797
 msgid "Codepage to use with -dump"
 msgstr ""
 
-#: src/config/cmdline.c:784
+#: src/config/cmdline.c:799
 msgid "Codepage used when formatting dump output."
 msgstr ""
 
-#: src/config/cmdline.c:786
+#: src/config/cmdline.c:801
 msgid "Color mode used with -dump"
 msgstr ""
 
-#: src/config/cmdline.c:788
+#: src/config/cmdline.c:803
 msgid "Color mode used with -dump."
 msgstr ""
 
-#: src/config/cmdline.c:790
+#: src/config/cmdline.c:805
 msgid "Width of document formatted with -dump"
 msgstr ""
 
-#: src/config/cmdline.c:792
+#: src/config/cmdline.c:807
 msgid "Width of the dump output."
 msgstr ""
 
-#: src/config/cmdline.c:794
+#: src/config/cmdline.c:809
 msgid "Evaluate configuration file directive"
 msgstr ""
 
-#: src/config/cmdline.c:796
+#: src/config/cmdline.c:811
 msgid ""
-"Specify configuration file directives on the command-line\n"
-"which will be evaluated after all configuration files has been\n"
-"read. Example usage:\n"
+"Specify configuration file directives on the command-line which will be "
+"evaluated after all configuration files has been read. Example usage:\n"
 "\t-eval 'set protocol.file.allow_special_files = 1'"
 msgstr ""
 
 #. lynx compatibility
-#: src/config/cmdline.c:802
+#: src/config/cmdline.c:817
 msgid "Interpret documents of unknown types as HTML"
 msgstr ""
 
-#: src/config/cmdline.c:804
+#: src/config/cmdline.c:819
 msgid ""
-"Makes ELinks assume documents of unknown types are HTML.\n"
-"Useful when using ELinks as an external viewer from MUAs.\n"
-"This is equivalent to -default-mime-type text/html."
+"Makes ELinks assume documents of unknown types are HTML. Useful when using "
+"ELinks as an external viewer from MUAs. This is equivalent to -default-mime-"
+"type text/html."
 msgstr ""
 
-#: src/config/cmdline.c:814
+#: src/config/cmdline.c:829
 msgid "Print usage help and exit"
 msgstr ""
 
-#: src/config/cmdline.c:816
+#: src/config/cmdline.c:831
 msgid "Print usage help and exit."
 msgstr ""
 
-#: src/config/cmdline.c:818
+#: src/config/cmdline.c:833
 msgid "Only permit local connections"
 msgstr ""
 
-#: src/config/cmdline.c:820
+#: src/config/cmdline.c:835
 msgid ""
-"Restricts ELinks to work offline and only connect to servers\n"
-"with local addresses (ie. 127.0.0.1). No connections to remote\n"
-"servers will be permitted."
+"Restricts ELinks to work offline and only connect to servers with local "
+"addresses (ie. 127.0.0.1). No connections to remote servers will be "
+"permitted."
 msgstr ""
 
-#: src/config/cmdline.c:824
+#: src/config/cmdline.c:839
 msgid "Print detailed usage help and exit"
 msgstr ""
 
-#: src/config/cmdline.c:826
+#: src/config/cmdline.c:841
 msgid "Print detailed usage help and exit."
 msgstr ""
 
-#: src/config/cmdline.c:828
+#: src/config/cmdline.c:843
 #, fuzzy
 msgid "Look up specified host"
 msgstr "   "
 
-#: src/config/cmdline.c:830
+#: src/config/cmdline.c:845
 msgid "Look up specified host and print all DNS resolved IP addresses."
 msgstr ""
 
-#: src/config/cmdline.c:832
+#: src/config/cmdline.c:848
 msgid "Run as separate instance"
 msgstr ""
 
-#: src/config/cmdline.c:834
+#: src/config/cmdline.c:850
 msgid ""
-"Run ELinks as a separate instance instead of connecting to an\n"
-"existing instance. Note that normally no runtime state files\n"
-"(bookmarks, history, etc.) are written to the disk when this\n"
-"option is used. See also -touch-files."
+"Run ELinks as a separate instance instead of connecting to an existing "
+"instance. Note that normally no runtime state files (bookmarks, history, "
+"etc.) are written to the disk when this option is used. See also -touch-"
+"files."
 msgstr ""
 
-#: src/config/cmdline.c:839
+#: src/config/cmdline.c:855
 msgid "Disable use of files in ~/.elinks"
 msgstr ""
 
-#: src/config/cmdline.c:841
+#: src/config/cmdline.c:857
 msgid ""
-"Disables creation and use of files in the user specific home\n"
-"configuration directory (~/.elinks). It forces default configuration\n"
-"values to be used and disables saving of runtime state files."
+"Disables creation and use of files in the user specific home configuration "
+"directory (~/.elinks). It forces default configuration values to be used and "
+"disables saving of runtime state files."
 msgstr ""
 
-#: src/config/cmdline.c:845
+#: src/config/cmdline.c:862
 msgid "Disable link numbering in dump output"
 msgstr ""
 
-#: src/config/cmdline.c:847
+#: src/config/cmdline.c:864
 msgid ""
 "Prevents printing of link number in dump output.\n"
+"\n"
 "Note that this really affects only -dump, nothing else."
 msgstr ""
 
-#: src/config/cmdline.c:850
+#: src/config/cmdline.c:868
 msgid "Disable printing of link references in dump output"
 msgstr ""
 
-#: src/config/cmdline.c:852
+#: src/config/cmdline.c:870
 msgid ""
-"Prevents printing of references (URIs) of document links\n"
-"in dump output.\n"
+"Prevents printing of references (URIs) of document links in dump output.\n"
+"\n"
 "Note that this really affects only -dump, nothing else."
 msgstr ""
 
-#: src/config/cmdline.c:856
+#: src/config/cmdline.c:875
 msgid "Control an already running ELinks"
 msgstr ""
 
-#: src/config/cmdline.c:858
+#: src/config/cmdline.c:877
 msgid ""
-"Control a remote ELinks instance by passing commands to it.\n"
-"The option takes an additional argument containing the method\n"
-"which should be invoked and any parameters that should be passed\n"
-"to it. For ease of use, the additional method argument can be\n"
-"omitted in which case any URL arguments will be opened in new\n"
-"tabs in the remote instance.\n"
+"Control a remote ELinks instance by passing commands to it. The option takes "
+"an additional argument containing the method which should be invoked and any "
+"parameters that should be passed to it. For ease of use, the additional "
+"method argument can be omitted in which case any URL arguments will be "
+"opened in new tabs in the remote instance.\n"
+"\n"
 "Following is a list of the supported methods:\n"
 "\tping()                    : look for a remote instance\n"
 "\topenURL()                 : prompt URL in current tab\n"
@@ -1674,70 +1683,69 @@ msgid ""
 "\txfeDoCommand(openBrowser) : open new window"
 msgstr ""
 
-#: src/config/cmdline.c:874
+#: src/config/cmdline.c:895
 msgid "Connect to session ring with given ID"
 msgstr ""
 
-#: src/config/cmdline.c:876
+#: src/config/cmdline.c:897
 msgid ""
-"ID of session ring this ELinks session should connect to. ELinks\n"
-"works in so-called session rings, whereby all instances of ELinks\n"
-"are interconnected and share state (cache, bookmarks, cookies,\n"
-"and so on). By default, all ELinks instances connect to session\n"
-"ring 0. You can change that behaviour with this switch and form as\n"
-"many session rings as you want. Obviously, if the session-ring with\n"
-"this number doesn't exist yet, it's created and this ELinks instance\n"
-"will become the master instance (that usually doesn't matter for you\n"
-"as a user much). Note that you usually don't want to use this unless\n"
-"you're a developer and you want to do some testing - if you want the\n"
-"ELinks instances each running standalone, rather use the -no-connect\n"
-"command-line option. Also note that normally no runtime state files\n"
-"are written to the disk when this option is used. See also\n"
-"-touch-files."
+"ID of session ring this ELinks session should connect to. ELinks works in so-"
+"called session rings, whereby all instances of ELinks are interconnected and "
+"share state (cache, bookmarks, cookies, and so on). By default, all ELinks "
+"instances connect to session ring 0. You can change that behaviour with this "
+"switch and form as many session rings as you want. Obviously, if the session-"
+"ring with this number doesn't exist yet, it's created and this ELinks "
+"instance will become the master instance (that usually doesn't matter for "
+"you as a user much).\n"
+"\n"
+"Note that you usually don't want to use this unless you're a developer and "
+"you want to do some testing - if you want the ELinks instances each running "
+"standalone, rather use the -no-connect command-line option. Also note that "
+"normally no runtime state files are written to the disk when this option is "
+"used. See also -touch-files."
 msgstr ""
 
-#: src/config/cmdline.c:891
+#: src/config/cmdline.c:915
 msgid "Print the source of given URLs to stdout"
 msgstr ""
 
-#: src/config/cmdline.c:893
+#: src/config/cmdline.c:917
 msgid "Print given URLs in source form to stdout."
 msgstr ""
 
-#: src/config/cmdline.c:897
+#: src/config/cmdline.c:921
 msgid "Touch files in ~/.elinks when running with -no-connect/-session-ring"
 msgstr ""
 
-#: src/config/cmdline.c:899
+#: src/config/cmdline.c:923
 msgid ""
-"When enabled, runtime state files (bookmarks, history, etc.) are\n"
-"written to disk, even when -no-connect or -session-ring is used.\n"
-"The option has no effect if not used in conjunction with any of\n"
-"these options."
+"When enabled, runtime state files (bookmarks, history, etc.) are written to "
+"disk, even when -no-connect or -session-ring is used. The option has no "
+"effect if not used in conjunction with any of these options."
 msgstr ""
 
-#: src/config/cmdline.c:904
+#: src/config/cmdline.c:928
 msgid "Verbose level"
 msgstr ""
 
-#: src/config/cmdline.c:906
+#: src/config/cmdline.c:930
 msgid ""
-"The verbose level controls what messages are shown at\n"
-"start up and while running:\n"
+"The verbose level controls what messages are shown at start up and while "
+"running:\n"
 "\t0 means only show serious errors\n"
 "\t1 means show serious errors and warnings\n"
 "\t2 means show all messages"
 msgstr ""
 
-#: src/config/cmdline.c:912
+#: src/config/cmdline.c:936
 msgid "Print version information and exit"
 msgstr ""
 
-#: src/config/cmdline.c:914
+#: src/config/cmdline.c:938
 msgid "Print ELinks version information and exit."
 msgstr ""
 
-#: src/config/conf.c:938
+#: src/config/conf.c:963
 msgid ""
 "## This is ELinks configuration file. You can edit it manually,\n"
 "## if you wish so; this file is edited by ELinks when you save\n"
@@ -1745,7 +1753,7 @@ msgid ""
 "## and all your formatting, own comments etc will be kept as-is.\n"
 msgstr ""
 
-#: src/config/conf.c:946
+#: src/config/conf.c:971
 msgid ""
 "## This is ELinks configuration file. You can edit it manually,\n"
 "## if you wish so; this file is edited by ELinks when you save\n"
@@ -1756,7 +1764,7 @@ msgid ""
 "## own comments and so on will be kept as-is.\n"
 msgstr ""
 
-#: src/config/conf.c:956
+#: src/config/conf.c:981
 msgid ""
 "## This is ELinks configuration file. You can edit it manually,\n"
 "## if you wish so, but keep in mind that this file is overwritten\n"
@@ -1764,18 +1772,18 @@ msgid ""
 "## luck with your formatting and own comments then, so beware.\n"
 msgstr ""
 
-#: src/config/conf.c:967
+#: src/config/conf.c:992
 msgid ""
 "## Obviously, if you don't like what ELinks is going to do with\n"
 "## this file, you can change it by altering the config.saving_style\n"
 "## option. Come on, aren't we friendly guys after all?\n"
 msgstr ""
 
-#: src/config/conf.c:980
+#: src/config/conf.c:1005
 msgid "Automatically saved options\n"
 msgstr ""
 
-#: src/config/conf.c:992
+#: src/config/conf.c:1017
 msgid "Automatically saved keybindings\n"
 msgstr ""
 
@@ -1836,7 +1844,7 @@ msgstr ""
 #. * switch charsets.  So, it will work in any terminal that
 #. * understands UTF-8 and has the characters in its font.
 #: src/config/dialogs.c:149 src/config/dialogs.c:330
-#: src/config/options.inc:840
+#: src/config/options.inc:887
 msgid "Type"
 msgstr ""
 
@@ -1862,9 +1870,9 @@ msgid "Description"
 msgstr "Ц"
 
 #: src/config/dialogs.c:291 src/protocol/bittorrent/dialogs.c:600
-#: src/protocol/protocol.c:240 src/session/session.c:287
-#: src/session/session.c:975 src/viewer/text/textarea.c:594
-#: src/viewer/text/textarea.c:601
+#: src/protocol/protocol.c:240 src/session/session.c:288
+#: src/session/session.c:999 src/viewer/text/textarea.c:583
+#: src/viewer/text/textarea.c:590
 msgid "Error"
 msgstr ""
 
@@ -1900,7 +1908,7 @@ msgstr "   "
 #. accelerator_context(src/config/dialogs.c:keybinding_buttons, src/config/dialogs.c:option_buttons, src/cookies/dialogs.c:cookie_buttons, src/formhist/dialogs.c:formhist_buttons, src/protocol/bittorrent/dialogs.c:bittorrent_query_callback, src/session/download.c:do_type_query, terminal_options)
 #: src/config/dialogs.c:507 src/config/dialogs.c:933 src/cookies/dialogs.c:495
 #: src/dialogs/options.c:236 src/formhist/dialogs.c:214
-#: src/protocol/bittorrent/dialogs.c:801 src/session/download.c:1203
+#: src/protocol/bittorrent/dialogs.c:801 src/session/download.c:1229
 #, fuzzy
 msgid "Sa~ve"
 msgstr ""
@@ -1914,7 +1922,7 @@ msgstr " "
 msgid "Keystroke"
 msgstr "צ"
 
-#: src/config/dialogs.c:676 src/config/options.inc:1219
+#: src/config/dialogs.c:676 src/config/options.inc:1292
 msgid "Action"
 msgstr ""
 
@@ -1990,32 +1998,32 @@ msgid ""
 "directory."
 msgstr ""
 
-#: src/config/kbdbind.c:221
+#: src/config/kbdbind.c:222
 msgid "Main mapping"
 msgstr ""
 
-#: src/config/kbdbind.c:222
+#: src/config/kbdbind.c:223
 msgid "Edit mapping"
 msgstr ""
 
-#: src/config/kbdbind.c:223
+#: src/config/kbdbind.c:224
 msgid "Menu mapping"
 msgstr ""
 
-#: src/config/kbdbind.c:588 src/scripting/python/keybinding.c:104
+#: src/config/kbdbind.c:589 src/scripting/python/keybinding.c:104
 msgid "Unrecognised keymap"
 msgstr ""
 
-#: src/config/kbdbind.c:591
+#: src/config/kbdbind.c:592
 #, fuzzy
 msgid "Error parsing keystroke"
 msgstr "   "
 
-#: src/config/kbdbind.c:595
+#: src/config/kbdbind.c:596
 msgid "Unrecognised action (internal error)"
 msgstr ""
 
-#: src/config/kbdbind.c:611
+#: src/config/kbdbind.c:612
 #, fuzzy
 msgid "Error registering event"
 msgstr "   "
@@ -2043,333 +2051,328 @@ msgid ""
 "3 is full comments are written"
 msgstr ""
 
-#: src/config/options.inc:31
+#: src/config/options.inc:32
 #, fuzzy
 msgid "Indentation"
 msgstr " SSL"
 
-#: src/config/options.inc:33
+#: src/config/options.inc:34
 msgid ""
-"Shift width of one indentation level in the configuration\n"
-"file. Zero means that no indentation is performed at all\n"
-"when saving the configuration."
+"Shift width of one indentation level in the configuration file. Zero means "
+"that no indentation is performed at all when saving the configuration."
 msgstr ""
 
-#: src/config/options.inc:37
+#: src/config/options.inc:38
 msgid "Saving style"
 msgstr ""
 
-#: src/config/options.inc:39
+#: src/config/options.inc:40
 msgid ""
 "Determines what happens when you tell ELinks to save options:\n"
 "0 is only values of current options are altered\n"
-"1 is values of current options are altered and missing options\n"
-"     are added at the end of the file\n"
+"1 is values of current options are altered and missing\n"
+"     options are added at the end of the file\n"
 "2 is the configuration file is rewritten from scratch\n"
-"3 is values of current options are altered and missing options\n"
-"     CHANGED during this ELinks session are added at the end of\n"
-"     the file"
+"3 is values of current options are altered and missing\n"
+"     options CHANGED during this ELinks session are added at\n"
+"     the end of the file"
 msgstr ""
 
-#: src/config/options.inc:48
+#: src/config/options.inc:50
 msgid "Comments localization"
 msgstr ""
 
-#: src/config/options.inc:50
+#: src/config/options.inc:52
 msgid ""
-"If set to 1, comments in the configuration file will be\n"
-"translated to the language used by UI. Note that if you have\n"
-"different language set in different terminals, the language\n"
-"used in the configuration file MAY be the same as on the\n"
-"terminal where you saved the file, but it should be generally\n"
+"If set to 1, comments in the configuration file will be translated to the "
+"language used by UI. Note that if you have different language set in "
+"different terminals, the language used in the configuration file MAY be the "
+"same as on the terminal where you saved the file, but it should be generally "
 "considered unpredictable."
 msgstr ""
 
-#: src/config/options.inc:58
+#: src/config/options.inc:60
 msgid "Saving style warnings"
 msgstr ""
 
-#: src/config/options.inc:60
+#: src/config/options.inc:62
 msgid ""
-"This is internal option used when displaying a warning about\n"
-"obsolete config.saving_style. You shouldn't touch it."
+"This is internal option used when displaying a warning about obsolete config."
+"saving_style. You shouldn't touch it."
 msgstr ""
 
-#: src/config/options.inc:63
+#: src/config/options.inc:66
 msgid "Show template"
 msgstr ""
 
-#: src/config/options.inc:65
+#: src/config/options.inc:68
 msgid ""
-"Show template options in autocreated trees in the options\n"
-"manager and save them to the configuration file."
+"Show template options in autocreated trees in the options manager and save "
+"them to the configuration file."
 msgstr ""
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:71 src/dialogs/info.c:180
+#: src/config/options.inc:74 src/dialogs/info.c:180
 msgid "Connections"
 msgstr "Ѯ"
 
-#: src/config/options.inc:73
+#: src/config/options.inc:76
 #, fuzzy
 msgid "Connection options."
 msgstr "Ѯ"
 
-#: src/config/options.inc:76
+#: src/config/options.inc:79
 msgid "Asynchronous DNS"
 msgstr ""
 
-#: src/config/options.inc:78
+#: src/config/options.inc:81
 msgid "Whether to use asynchronous DNS resolving."
 msgstr ""
 
-#: src/config/options.inc:80
+#: src/config/options.inc:83
 #, fuzzy
 msgid "Maximum connections"
 msgstr ""
 
-#: src/config/options.inc:82
+#: src/config/options.inc:85
 msgid "Maximum number of concurrent connections."
 msgstr ""
 
-#: src/config/options.inc:84
+#: src/config/options.inc:87
 #, fuzzy
 msgid "Maximum connections per host"
 msgstr ""
 
-#: src/config/options.inc:86
+#: src/config/options.inc:89
 msgid "Maximum number of concurrent connections to a given host."
 msgstr ""
 
-#: src/config/options.inc:88
+#: src/config/options.inc:92
 #, fuzzy
 msgid "Connection retries"
 msgstr "Ѯ"
 
-#: src/config/options.inc:90
-msgid ""
-"Number of tries to establish a connection.\n"
-"Zero means try forever."
+#: src/config/options.inc:94
+msgid "Number of tries to establish a connection. Zero means try forever."
 msgstr ""
 
-#: src/config/options.inc:93 src/network/state.c:53
+#: src/config/options.inc:97 src/network/state.c:53
 msgid "Receive timeout"
 msgstr "  Φ"
 
-#: src/config/options.inc:95
+#: src/config/options.inc:99
 #, fuzzy
 msgid "Receive timeout (in seconds)."
 msgstr "  Φ"
 
-#: src/config/options.inc:98 src/config/options.inc:108
+#: src/config/options.inc:102 src/config/options.inc:113
 msgid "Try IPv4 when connecting"
 msgstr ""
 
-#: src/config/options.inc:100
+#: src/config/options.inc:104
 msgid ""
-"Whether to try to connect to a host over IPv4.\n"
-"Note that if connection.try_ipv6 is enabled too,\n"
-"it takes precedence. And better do not touch this\n"
+"Whether to try to connect to a host over IPv4. Note that if connection."
+"try_ipv6 is enabled too, it takes precedence. And better do not touch this "
 "at all unless you are sure what are you doing.\n"
-"Note that you can also force a given protocol\n"
-"to be used on a per-connection basis by using a URL\n"
-"in the style of e.g. http4://elinks.cz/."
+"\n"
+"Note that you can also force a given protocol to be used on a per-connection "
+"basis by using a URL in the style of e.g. http4://elinks.cz/."
 msgstr ""
 
-#: src/config/options.inc:110
+#: src/config/options.inc:115
 msgid ""
-"Whether to try to connect to a host over IPv4.\n"
-"Do not touch this option.\n"
-"Note that you can also force a given protocol\n"
-"to be used on a per-connection basis by using a URL\n"
-"in the style of e.g. http4://elinks.cz/."
+"Whether to try to connect to a host over IPv4. Do not touch this option.\n"
+"\n"
+"Note that you can also force a given protocol to be used on a per-connection "
+"basis by using a URL in the style of e.g. http4://elinks.cz/."
 msgstr ""
 
-#: src/config/options.inc:118
+#: src/config/options.inc:124
 msgid "Try IPv6 when connecting"
 msgstr ""
 
-#: src/config/options.inc:120
+#: src/config/options.inc:126
 msgid ""
 "Whether to try to connect to a host over IPv6.\n"
-"Note that you can also force a given protocol\n"
-"to be used on a per-connection basis by using a URL\n"
-"in the style of e.g. http6://elinks.cz/."
+"\n"
+"Note that you can also force a given protocol to be used on a per-connection "
+"basis by using a URL in the style of e.g. http6://elinks.cz/."
 msgstr ""
 
-#: src/config/options.inc:126
+#: src/config/options.inc:133
 msgid "Timeout for non-restartable connections"
 msgstr ""
 
-#: src/config/options.inc:128
+#: src/config/options.inc:135
 msgid "Timeout for non-restartable connections (in seconds)."
 msgstr ""
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:134
+#: src/config/options.inc:141
 #, fuzzy
 msgid "Document"
 msgstr ""
 
-#: src/config/options.inc:136
+#: src/config/options.inc:143
 #, fuzzy
 msgid "Document options."
 msgstr "  "
 
-#: src/config/options.inc:138
+#: src/config/options.inc:145
 msgid "Browsing"
 msgstr ""
 
-#: src/config/options.inc:140
+#: src/config/options.inc:147
 msgid "Document browsing options (mainly interactivity)."
 msgstr ""
 
-#: src/config/options.inc:143
+#: src/config/options.inc:150
 msgid "Access keys"
 msgstr ""
 
-#: src/config/options.inc:145
+#: src/config/options.inc:152
 msgid ""
-"Options for handling of link access keys.\n"
-"An HTML document can use the ACCESSKEY attribute to assign\n"
-"an access key to an element. When an access key is pressed,\n"
-"the corresponding element will be given focus."
+"Options for handling of link access keys. An HTML document can use the "
+"ACCESSKEY attribute to assign an access key to an element. When an access "
+"key is pressed, the corresponding element will be given focus."
 msgstr ""
 
-#: src/config/options.inc:150
+#: src/config/options.inc:157
 msgid "Automatic links following"
 msgstr ""
 
-#: src/config/options.inc:152
+#: src/config/options.inc:159
 msgid ""
-"Automatically follow a link or submit a form if appropriate\n"
-"accesskey is pressed - this is the standard behaviour, but it's\n"
-"considered dangerous."
+"Automatically follow a link or submit a form if appropriate accesskey is "
+"pressed - this is the standard behaviour, but it's considered dangerous."
 msgstr ""
 
-#: src/config/options.inc:156
+#: src/config/options.inc:163
 msgid "Display access key in link info"
 msgstr ""
 
-#: src/config/options.inc:158
+#: src/config/options.inc:165
 msgid "Display access key in link info."
 msgstr ""
 
-#: src/config/options.inc:160
+#: src/config/options.inc:167
 msgid "Accesskey priority"
 msgstr ""
 
-#: src/config/options.inc:162
+#: src/config/options.inc:169
 msgid ""
 "Priority of 'accesskey' HTML attribute:\n"
-"0 is first try all normal bindings; if it fails, check accesskey\n"
-"1 is first try only frame bindings; if it fails, check accesskey\n"
+"0 is first try all normal bindings; if it fails,\n"
+"     check accesskey\n"
+"1 is first try only frame bindings; if it fails,\n"
+"     check accesskey\n"
 "2 is first check accesskey (this can be dangerous)"
 msgstr ""
 
-#: src/config/options.inc:168
+#: src/config/options.inc:177
 msgid "Forms"
 msgstr ""
 
-#: src/config/options.inc:170
+#: src/config/options.inc:179
 msgid "Options for handling of the forms interaction."
 msgstr ""
 
-#: src/config/options.inc:172
+#: src/config/options.inc:181
 #, fuzzy
 msgid "Submit form automatically"
 msgstr "   "
 
-#: src/config/options.inc:174
+#: src/config/options.inc:183
 msgid ""
-"Automagically submit a form when enter is pressed with a text\n"
-"field selected."
+"Automagically submit a form when enter is pressed with a text field selected."
 msgstr ""
 
-#: src/config/options.inc:177
+#: src/config/options.inc:186
 msgid "Confirm submission"
 msgstr ""
 
-#: src/config/options.inc:179
+#: src/config/options.inc:188
 msgid "Ask for confirmation when submitting a form."
 msgstr ""
 
-#: src/config/options.inc:181
+#: src/config/options.inc:190
 msgid "Default form input size"
 msgstr ""
 
-#: src/config/options.inc:183
+#: src/config/options.inc:192
 msgid "Default form input size if none is specified."
 msgstr ""
 
-#: src/config/options.inc:185
+#: src/config/options.inc:194
 msgid "Insert mode"
 msgstr ""
 
-#: src/config/options.inc:187
+#: src/config/options.inc:196
 msgid ""
-"The setting for this option affects how key presses are handled\n"
-"when one selects a text-input form-field. When enabled, one must\n"
-"explicitly 'enter' a selected text-field to edit it; this prevents\n"
-"text fields from capturing key presses, such as presses of a scroll\n"
-"key, when it is inadvertently selected. When disabled, key presses\n"
-"are always inserted into a selected text field."
+"The setting for this option affects how key presses are handled when one "
+"selects a text-input form-field. When enabled, one must explicitly 'enter' a "
+"selected text-field to edit it; this prevents text fields from capturing key "
+"presses, such as presses of a scroll key, when it is inadvertently selected. "
+"When disabled, key presses are always inserted into a selected text field."
 msgstr ""
 
-#: src/config/options.inc:194
+#: src/config/options.inc:204
 #, fuzzy
 msgid "External editor"
 msgstr " "
 
-#: src/config/options.inc:196
+#: src/config/options.inc:206
 msgid ""
-"Path to the executable that ELinks should launch when the user\n"
-"requests to edit a textarea with an external editor.\n"
-"If this is blank, ELinks will use the value of the environmental\n"
-"variable $EDITOR. If $EDITOR is empty or not set, ELinks will then\n"
-"default to \"vi\"."
+"Path to the executable that ELinks should launch when the user requests to "
+"edit a textarea with an external editor.\n"
+"\n"
+"If this is blank, ELinks will use the value of the environmental variable "
+"$EDITOR. If $EDITOR is empty or not set, ELinks will then default to \"vi\"."
 msgstr ""
 
-#: src/config/options.inc:203
+#: src/config/options.inc:214
 #, fuzzy
 msgid "Images"
 msgstr ""
 
-#: src/config/options.inc:205
+#: src/config/options.inc:216
 msgid "Options for handling of images."
 msgstr ""
 
-#: src/config/options.inc:207
+#: src/config/options.inc:218
 #, fuzzy
 msgid "Display style for image tags"
 msgstr ""
 
-#: src/config/options.inc:209
+#: src/config/options.inc:220
 msgid ""
 "Display style for image tags when displayed:\n"
 "0     means always display IMG\n"
 "1     means always display filename\n"
-"2     means display alt/title attribute if possible, IMG if not\n"
-"3     means display alt/title attribute if possible, filename if not"
+"2     means display alt/title attribute if possible,\n"
+"      IMG if not\n"
+"3     means display alt/title attribute if possible,\n"
+"      filename if not"
 msgstr ""
 
-#: src/config/options.inc:215
+#: src/config/options.inc:228
 msgid "Maximum length for image filename"
 msgstr ""
 
-#: src/config/options.inc:217
+#: src/config/options.inc:230
 msgid ""
 "Maximum length of image filename when displayed:\n"
 "0     means always display full filename\n"
 "1-500 means display filename with this maximal length;\n"
-"      if it is longer, the middle is substituted by an asterisk"
+"      if it is longer, the middle is substituted by\n"
+"      an asterisk"
 msgstr ""
 
-#: src/config/options.inc:227
+#: src/config/options.inc:241
 msgid "Image links tagging"
 msgstr ""
 
-#: src/config/options.inc:229
+#: src/config/options.inc:243
 msgid ""
 "When to enclose image links:\n"
 "0 means never\n"
@@ -2377,92 +2380,92 @@ msgid ""
 "2 means always"
 msgstr ""
 
-#: src/config/options.inc:234
+#: src/config/options.inc:248
 msgid "Image link prefix"
 msgstr ""
 
-#: src/config/options.inc:236
+#: src/config/options.inc:250
 msgid "Prefix string to use to mark image links."
 msgstr ""
 
-#: src/config/options.inc:238
+#: src/config/options.inc:252
 msgid "Image link suffix"
 msgstr ""
 
-#: src/config/options.inc:240
+#: src/config/options.inc:254
 msgid "Suffix string to use to mark image links."
 msgstr ""
 
-#: src/config/options.inc:242
+#: src/config/options.inc:256
 msgid "Maximum length for image label"
 msgstr ""
 
-#: src/config/options.inc:244
+#: src/config/options.inc:258
 msgid ""
 "Maximum length of image label (alt/title):\n"
 "0     means always display full label\n"
 "1-500 means display label with this maximal length;\n"
-"      if it is longer, the middle is substituted by an asterisk"
+"      if it is longer, the middle is substituted by\n"
+"      an asterisk"
 msgstr ""
 
-#: src/config/options.inc:249
+#: src/config/options.inc:264
 msgid "Display links to images w/o alt"
 msgstr ""
 
-#: src/config/options.inc:251
+#: src/config/options.inc:266
 msgid ""
-"Display links to images without an alt attribute. If this option\n"
-"is off, these images are completely invisible."
+"Display links to images without an alt attribute. If this option is off, "
+"these images are completely invisible."
 msgstr ""
 
-#: src/config/options.inc:254
+#: src/config/options.inc:269
 #, fuzzy
 msgid "Display links to images"
 msgstr ""
 
-#: src/config/options.inc:256
+#: src/config/options.inc:271
 msgid ""
-"Display links to any images in the document, regardless of them\n"
-"having an alt attribute or not. If this option is off, the alt\n"
-"attribute contents is shown, but as normal text, not selectable\n"
-"as a link."
+"Display links to any images in the document, regardless of them having an "
+"alt attribute or not. If this option is off, the alt attribute contents is "
+"shown, but as normal text, not selectable as a link."
 msgstr ""
 
-#: src/config/options.inc:262
+#: src/config/options.inc:277
 #, fuzzy
 msgid "Links"
 msgstr "˦"
 
-#: src/config/options.inc:264
+#: src/config/options.inc:279
 msgid "Options for handling of links to other documents."
 msgstr ""
 
-#: src/config/options.inc:266
+#: src/config/options.inc:281
 msgid "Active link"
 msgstr ""
 
-#: src/config/options.inc:268
+#: src/config/options.inc:283
 msgid "Options for the active link."
 msgstr ""
 
-#: src/config/options.inc:270
+#: src/config/options.inc:285
 #, fuzzy
 msgid "Colors"
 msgstr ""
 
-#: src/config/options.inc:272
+#: src/config/options.inc:287
 #, fuzzy
 msgid "Active link colors."
 msgstr " ˦"
 
-#: src/config/options.inc:274 src/config/options.inc:549
-#: src/config/options.inc:945
+#: src/config/options.inc:289 src/config/options.inc:583
+#: src/config/options.inc:1014
 #, fuzzy
 msgid "Background color"
 msgstr " "
 
-#: src/config/options.inc:276 src/config/options.inc:551
-#: src/config/options.inc:946
+#: src/config/options.inc:291 src/config/options.inc:585
+#: src/config/options.inc:1015
 #, fuzzy
 msgid "Default background color."
 msgstr "  Φ"
@@ -2475,76 +2478,76 @@ msgstr "  Φ"
 #. *	on it.
 #. The colors and mono tree should be similar but with different default
 #. * values of course so always use the macros below.
-#: src/config/options.inc:278 src/config/options.inc:545
-#: src/config/options.inc:943
+#: src/config/options.inc:293 src/config/options.inc:579
+#: src/config/options.inc:1012
 #, fuzzy
 msgid "Text color"
 msgstr " "
 
-#: src/config/options.inc:280 src/config/options.inc:547
-#: src/config/options.inc:944
+#: src/config/options.inc:295 src/config/options.inc:581
+#: src/config/options.inc:1013
 msgid "Default text color."
 msgstr ""
 
-#: src/config/options.inc:282
+#: src/config/options.inc:297
 #, fuzzy
 msgid "Enable color"
 msgstr ""
 
-#: src/config/options.inc:284
+#: src/config/options.inc:299
 msgid ""
-"Enable use of the active link background and text color\n"
-"settings instead of the link colors from the document."
+"Enable use of the active link background and text color settings instead of "
+"the link colors from the document."
 msgstr ""
 
-#: src/config/options.inc:287
+#: src/config/options.inc:302
 #, fuzzy
 msgid "Bold"
 msgstr ""
 
-#: src/config/options.inc:289
+#: src/config/options.inc:304
 msgid "Make the active link text bold."
 msgstr ""
 
-#: src/config/options.inc:291
+#: src/config/options.inc:306
 #, fuzzy
 msgid "Invert colors"
 msgstr " "
 
-#: src/config/options.inc:293
+#: src/config/options.inc:308
 msgid "Invert the fore- and background color so the link stands out."
 msgstr ""
 
-#: src/config/options.inc:296 src/config/options.inc:908
+#: src/config/options.inc:311 src/config/options.inc:975
 #: src/dialogs/options.c:231
 msgid "Underline"
 msgstr ""
 
-#: src/config/options.inc:298
+#: src/config/options.inc:313
 msgid "Underline the active link."
 msgstr ""
 
-#: src/config/options.inc:301
+#: src/config/options.inc:316
 msgid "Directory highlighting"
 msgstr ""
 
-#: src/config/options.inc:303
+#: src/config/options.inc:318
 msgid "Highlight links to directories in FTP and local directory listing."
 msgstr ""
 
-#: src/config/options.inc:305
+#: src/config/options.inc:321
 msgid "Number links"
 msgstr ""
 
-#: src/config/options.inc:307
+#: src/config/options.inc:323
 msgid "Display numbers next to the links."
 msgstr ""
 
-#: src/config/options.inc:309
+#: src/config/options.inc:325
 msgid "Handling of target=_blank"
 msgstr ""
 
-#: src/config/options.inc:311
+#: src/config/options.inc:327
 msgid ""
 "Define how to handle links having target=_blank set:\n"
 "0 means open link in current tab\n"
@@ -2553,141 +2556,138 @@ msgid ""
 "3 means open link in new window"
 msgstr ""
 
-#: src/config/options.inc:324
+#: src/config/options.inc:340
 msgid "Use tabindex"
 msgstr ""
 
-#: src/config/options.inc:326
+#: src/config/options.inc:342
 msgid ""
-"Whether to navigate links using tabindex specified ordering.\n"
-"The TABINDEX attribute in HTML elements specifies the order\n"
-"in which links should receive focus when using the keyboard\n"
-"to navigate the document."
+"Whether to navigate links using tabindex specified ordering. The TABINDEX "
+"attribute in HTML elements specifies the order in which links should receive "
+"focus when using the keyboard to navigate the document."
 msgstr ""
 
-#: src/config/options.inc:331
+#: src/config/options.inc:347
 #, fuzzy
 msgid "Missing fragment reporting"
 msgstr " "
 
-#: src/config/options.inc:333
+#: src/config/options.inc:349
 msgid "Open a message box when document has no tag with given id."
 msgstr ""
 
-#: src/config/options.inc:335
+#: src/config/options.inc:352
 msgid "Number keys select links"
 msgstr ""
 
-#: src/config/options.inc:337
+#: src/config/options.inc:354
 msgid ""
-"Number keys select links rather than specify command prefixes. This\n"
-"is a tristate:\n"
+"Number keys select links rather than specify command prefixes. This is a "
+"tristate:\n"
 "0 means never\n"
 "1 means if document.browse.links.numbering = 1\n"
 "2 means always"
 msgstr ""
 
-#: src/config/options.inc:343
+#: src/config/options.inc:360
 msgid "Warn about maliciously crafted URIs"
 msgstr ""
 
-#: src/config/options.inc:345
+#: src/config/options.inc:362
 msgid ""
-"When following a link the user ID part of the URI is\n"
-"checked and if a maliciously crafted URI is detected a\n"
-"warning dialog will ask before following the link."
+"When following a link the user ID part of the URI is checked and if a "
+"maliciously crafted URI is detected a warning dialog will ask before "
+"following the link."
 msgstr ""
 
 #. TODO - this is somehow implemented by ff, but disabled
 #. * for now as it doesn't work.
-#: src/config/options.inc:351
+#: src/config/options.inc:368
 msgid "Wrap-around links cycling"
 msgstr ""
 
 #. 0
-#: src/config/options.inc:353
+#: src/config/options.inc:370
 msgid ""
-"When pressing 'down' on the last link, jump to the first one, and\n"
-"vice versa."
+"When pressing 'down' on the last link, jump to the first one, and vice versa."
 msgstr ""
 
-#: src/config/options.inc:357
+#: src/config/options.inc:374
 #, fuzzy
 msgid "Scrolling"
 msgstr "Ц"
 
-#: src/config/options.inc:359
+#: src/config/options.inc:376
 #, fuzzy
 msgid "Scrolling options."
 msgstr "˦ ͦ"
 
-#: src/config/options.inc:361
+#: src/config/options.inc:378
 msgid "Horizontal step"
 msgstr ""
 
-#: src/config/options.inc:363
+#: src/config/options.inc:380
 msgid ""
-"Number of columns to scroll when a key bound to scroll-left or scroll-\n"
-"right is pressed and no prefix was given."
+"Number of columns to scroll when a key bound to scroll-left or scroll-right "
+"is pressed and no prefix was given."
 msgstr ""
 
-#: src/config/options.inc:366
+#: src/config/options.inc:384
 msgid "Extended horizontal scrolling"
 msgstr ""
 
-#: src/config/options.inc:368
+#: src/config/options.inc:386
 msgid ""
-"Whether to allow horizontal scrolling when the document\n"
-"does not extend off the screen. Useful for copy/paste\n"
-"operations."
+"Whether to allow horizontal scrolling when the document does not extend off "
+"the screen. Useful for copy/paste operations."
 msgstr ""
 
-#: src/config/options.inc:372
+#: src/config/options.inc:390
 #, fuzzy
 msgid "Margin"
 msgstr ""
 
-#: src/config/options.inc:374
+#: src/config/options.inc:392
 msgid ""
-"Size of the virtual margin - when you click inside of that margin,\n"
-"document scrolls in that direction."
+"Size of the virtual margin - when you click inside of that margin, document "
+"scrolls in that direction."
 msgstr ""
 
-#: src/config/options.inc:377
+#: src/config/options.inc:395
 msgid "Vertical step"
 msgstr ""
 
-#: src/config/options.inc:379
+#: src/config/options.inc:397
 msgid ""
-"Number of lines to scroll when a key bound to scroll-up or scroll-\n"
-"down is pressed and no prefix was given."
+"Number of lines to scroll when a key bound to scroll-up or scroll-down is "
+"pressed and no prefix was given."
 msgstr ""
 
-#: src/config/options.inc:383
+#: src/config/options.inc:401
 #, fuzzy
 msgid "Searching"
 msgstr ""
 
-#: src/config/options.inc:385
+#: src/config/options.inc:403
 msgid "Options for searching."
 msgstr ""
 
-#: src/config/options.inc:387
+#: src/config/options.inc:405
 msgid "Case sensitivity"
 msgstr ""
 
-#: src/config/options.inc:389
+#: src/config/options.inc:407
 msgid ""
-"Whether the search should match the document text while maintaining\n"
-"case sensitivity."
+"Whether the search should match the document text while maintaining case "
+"sensitivity."
 msgstr ""
 
-#: src/config/options.inc:393
+#: src/config/options.inc:411
 #, fuzzy
 msgid "Regular expressions"
 msgstr "ڦ "
 
-#: src/config/options.inc:395
+#: src/config/options.inc:413
 msgid ""
 "Enable searching with regular expressions:\n"
 "0 for plain text searching\n"
@@ -2695,31 +2695,31 @@ msgid ""
 "2 for extended regular expression searches"
 msgstr ""
 
-#: src/config/options.inc:401
+#: src/config/options.inc:419
 msgid "Show search hit top or bottom dialogs"
 msgstr ""
 
-#: src/config/options.inc:403
+#: src/config/options.inc:421
 msgid ""
-"Whether to show a dialog when the search hits the top or bottom of the\n"
+"Whether to show a dialog when the search hits the top or bottom of the "
 "document."
 msgstr ""
 
-#: src/config/options.inc:406
+#: src/config/options.inc:424
 #, fuzzy
 msgid "Wraparound"
 msgstr " "
 
-#: src/config/options.inc:408
+#: src/config/options.inc:426
 msgid "Wrap around when searching. Currently only used for typeahead."
 msgstr ""
 
-#: src/config/options.inc:410
+#: src/config/options.inc:429
 #, fuzzy
 msgid "Show not found"
 msgstr "  "
 
-#: src/config/options.inc:412
+#: src/config/options.inc:431
 msgid ""
 "How to inform the user when nothing is matched:\n"
 "0 means do nothing\n"
@@ -2727,282 +2727,283 @@ msgid ""
 "2 means pop up message box"
 msgstr ""
 
-#: src/config/options.inc:417
+#: src/config/options.inc:436
 #, fuzzy
 msgid "Typeahead searching"
 msgstr ""
 
-#: src/config/options.inc:419
+#: src/config/options.inc:438
 msgid ""
-"Start typeahead searching when an unbound key is pressed without\n"
-"any modifiers. Note that most keys have default bindings, so this\n"
-"feature will not be useful unless you unbind them.\n"
+"Start typeahead searching when an unbound key is pressed without any "
+"modifiers. Note that most keys have default bindings, so this feature will "
+"not be useful unless you unbind them.\n"
 "\n"
-"0 disables this feature; typeahead searching will only be used\n"
-"  when you press a key bound to search-typeahead or similar\n"
+"0 disables this feature; typeahead searching will only be\n"
+"  used when you press a key bound to search-typeahead or\n"
+"  similar\n"
 "1 automatically starts typeahead searching thru link text\n"
-"2 automatically starts typeahead searching thru all document text"
+"2 automatically starts typeahead searching thru all document\n"
+"  text"
 msgstr ""
 
-#: src/config/options.inc:428
+#: src/config/options.inc:451
 msgid "Horizontal text margin"
 msgstr ""
 
-#: src/config/options.inc:430
+#: src/config/options.inc:453
 msgid "Horizontal text margin."
 msgstr ""
 
-#: src/config/options.inc:432
+#: src/config/options.inc:455
 msgid "Document meta refresh"
 msgstr ""
 
-#: src/config/options.inc:434
+#: src/config/options.inc:457
 msgid ""
-"Automatically follow document-specified refresh directives ('<meta>\n"
-"refresh' tags). Web-page authors use these to instruct the browser\n"
-"to reload a document at a given interval or to load another page.\n"
-"Regardless of the value the refresh URI is accessible as a link.\n"
-"Use the document.browse.minimum_refresh_time to control the minimum\n"
-"number of seconds a refresh will wait."
+"Automatically follow document-specified refresh directives ('<meta> refresh' "
+"tags). Web-page authors use these to instruct the browser to reload a "
+"document at a given interval or to load another page. Regardless of the "
+"value the refresh URI is accessible as a link.\n"
+"\n"
+"Use the document.browse.minimum_refresh_time to control the minimum number "
+"of seconds a refresh will wait."
 msgstr ""
 
-#: src/config/options.inc:441
+#: src/config/options.inc:466
 msgid "Document meta refresh minimum time"
 msgstr ""
 
-#: src/config/options.inc:443
+#: src/config/options.inc:468
 msgid ""
-"The minimum number of milliseconds that should pass before\n"
-"refreshing. If set to zero the document refresh time is used\n"
-"unchanged. It can fix going back in history for some sites that\n"
-"use refreshing with zero values."
+"The minimum number of milliseconds that should pass before refreshing. If "
+"set to zero the document refresh time is used unchanged. It can fix going "
+"back in history for some sites that use refreshing with zero values."
 msgstr ""
 
-#: src/config/options.inc:448
+#: src/config/options.inc:473
 msgid "Tables navigation order"
 msgstr ""
 
-#: src/config/options.inc:450
+#: src/config/options.inc:475
 msgid "Move by columns in table, instead of rows."
 msgstr ""
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:456
+#: src/config/options.inc:481
 #, fuzzy
 msgid "Cache"
 msgstr ""
 
-#: src/config/options.inc:458
+#: src/config/options.inc:483
 #, fuzzy
 msgid "Cache options."
 msgstr " ˦"
 
-#: src/config/options.inc:460
+#: src/config/options.inc:485
 msgid "Cache information about redirects"
 msgstr ""
 
-#: src/config/options.inc:462
+#: src/config/options.inc:487
 msgid ""
-"Cache even redirects sent by server (usually thru HTTP by a 302\n"
-"HTTP code and a Location header). This was the original behaviour\n"
-"for quite some time, but it causes problems in a situation very\n"
-"common to various web login systems - frequently, when accessing\n"
-"a certain location, they will redirect you to a login page if they\n"
-"don't receive an auth cookie, the login page then gives you the\n"
-"cookie and redirects you back to the original page, but there you\n"
-"have already cached redirect back to the login page! If this\n"
-"option has value of 0, this malfunction is fixed, but occasionally\n"
-"you may get superfluous (depends on how you take it ;-) requests to\n"
-"the server. If this option has value of 1, experienced users can\n"
-"still workaround it by clever combination of usage of reload,\n"
-"jumping around in session history and hitting ctrl+enter.\n"
-"Note that this option is checked when retrieving the information\n"
-"from cache, not when saving it to cache - thus if you enable\n"
-"it, even previous redirects will be taken from cache instead of\n"
-"asking the server."
+"Cache even redirects sent by server (usually thru HTTP by a 302 HTTP code "
+"and a Location header). This was the original behaviour for quite some time, "
+"but it causes problems in a situation very common to various web login "
+"systems - frequently, when accessing a certain location, they will redirect "
+"you to a login page if they don't receive an auth cookie, the login page "
+"then gives you the cookie and redirects you back to the original page, but "
+"there you have already cached redirect back to the login page! If this "
+"option has value of 0, this malfunction is fixed, but occasionally you may "
+"get superfluous (depends on how you take it ;-) requests to the server. If "
+"this option has value of 1, experienced users can still workaround it by "
+"clever combination of usage of reload, jumping around in session history and "
+"hitting ctrl+enter.\n"
+"\n"
+"Note that this option is checked when retrieving the information from cache, "
+"not when saving it to cache - thus if you enable it, even previous redirects "
+"will be taken from cache instead of asking the server."
 msgstr ""
 
-#: src/config/options.inc:480
+#: src/config/options.inc:508
 msgid "Ignore cache-control info from server"
 msgstr ""
 
-#: src/config/options.inc:482
+#: src/config/options.inc:510
 msgid ""
-"Ignore Cache-Control and Pragma server headers.\n"
-"When set, the document is cached even with 'Cache-Control: no-cache'."
+"Ignore Cache-Control and Pragma server headers. When set, the document is "
+"cached even with 'Cache-Control: no-cache'."
 msgstr ""
 
-#: src/config/options.inc:485
+#: src/config/options.inc:514
 #, fuzzy
 msgid "Formatted documents"
 msgstr " æ "
 
-#: src/config/options.inc:487
+#: src/config/options.inc:516
 msgid "Format cache options."
 msgstr ""
 
-#: src/config/options.inc:489
+#: src/config/options.inc:518
 #, fuzzy
 msgid "Number"
 msgstr "צ ̦"
 
-#: src/config/options.inc:491
+#: src/config/options.inc:520
 msgid ""
-"Number of cached formatted pages. Do not get too generous\n"
-"here, 'formatted' means that all the accompanying structures\n"
-"are kept in memory so that you get the cached document\n"
-"immediatelly, but these structures may take a lot - 2x the\n"
-"size of the HTML source is probably not unusual, but it can\n"
-"be even more if the document consists of a lot of short lines\n"
-"(padded right, if possible) and links and not much other markup.\n"
-"So if you set this to 256 and then you don't like your ELinks\n"
-"eating 90M, don't come complaining to us. ;-)\n"
-"Also note that the format cache itself is not counted to the\n"
-"memory cache size, but the HTML source of the formatted documents\n"
-"is always cached, even if it is over the memory cache size\n"
-"threshold. (Then of course no other documents can be cached.)"
+"Number of cached formatted pages. Do not get too generous here, 'formatted' "
+"means that all the accompanying structures are kept in memory so that you "
+"get the cached document immediatelly, but these structures may take a lot - "
+"2x the size of the HTML source is probably not unusual, but it can be even "
+"more if the document consists of a lot of short lines (padded right, if "
+"possible) and links and not much other markup. So if you set this to 256 and "
+"then you don't like your ELinks eating 90M, don't come complaining to "
+"us. ;-)\n"
+"\n"
+"Also note that the format cache itself is not counted to the memory cache "
+"size, but the HTML source of the formatted documents is always cached, even "
+"if it is over the memory cache size threshold. (Then of course no other "
+"documents can be cached.)"
 msgstr ""
 
 #. FIXME: Write more.
-#: src/config/options.inc:506
+#: src/config/options.inc:538
 #, fuzzy
 msgid "Revalidation interval"
 msgstr " "
 
-#: src/config/options.inc:508
+#: src/config/options.inc:540
 msgid ""
-"Period in seconds that a cache entry is considered to be\n"
-"up-to-date. When a document is loaded and this interval has elapsed\n"
-"since the document was initially loaded or most recently\n"
-"revalidated with the server, the server will be checked in case\n"
-"there is a more up-to-date version of the document.\n"
+"Period in seconds that a cache entry is considered to be up-to-date. When a "
+"document is loaded and this interval has elapsed since the document was "
+"initially loaded or most recently revalidated with the server, the server "
+"will be checked in case there is a more up-to-date version of the document.\n"
 "\n"
 "A value of -1 disables automatic revalidation."
 msgstr ""
 
-#: src/config/options.inc:515 src/dialogs/info.c:199
+#: src/config/options.inc:549 src/dialogs/info.c:199
 msgid "Memory cache"
 msgstr " æ"
 
-#: src/config/options.inc:517
+#: src/config/options.inc:551
 #, fuzzy
 msgid "Memory cache options."
 msgstr " æ"
 
-#: src/config/options.inc:521
+#: src/config/options.inc:555
 #, fuzzy
 msgid "Memory cache size (in bytes)."
 msgstr " æ"
 
-#: src/config/options.inc:525
+#: src/config/options.inc:559
 #, fuzzy
 msgid "Charset"
 msgstr "ڦϮ"
 
-#: src/config/options.inc:527
+#: src/config/options.inc:561
 #, fuzzy
 msgid "Charset options."
 msgstr " ˦"
 
-#: src/config/options.inc:529
+#: src/config/options.inc:563
 msgid "Default codepage"
 msgstr ""
 
-#: src/config/options.inc:531
+#: src/config/options.inc:565
 msgid ""
-"Default document codepage. 'System' stands for\n"
-"a codepage determined by a selected locale."
+"Default document codepage. 'System' stands for a codepage determined by a "
+"selected locale."
 msgstr ""
 
-#: src/config/options.inc:534
+#: src/config/options.inc:568
 msgid "Ignore charset info from server"
 msgstr ""
 
-#: src/config/options.inc:536
+#: src/config/options.inc:570
 msgid "Ignore charset info sent by server."
 msgstr ""
 
-#: src/config/options.inc:540
+#: src/config/options.inc:574
 msgid "Default color settings"
 msgstr ""
 
-#: src/config/options.inc:542
+#: src/config/options.inc:576
 msgid "Default document color settings."
 msgstr ""
 
-#: src/config/options.inc:553
+#: src/config/options.inc:587
 #, fuzzy
 msgid "Link color"
 msgstr " ˦"
 
-#: src/config/options.inc:555
+#: src/config/options.inc:589
 msgid "Default link color."
 msgstr ""
 
-#: src/config/options.inc:557
+#: src/config/options.inc:591
 msgid "Visited-link color"
 msgstr ""
 
-#: src/config/options.inc:559
+#: src/config/options.inc:593
 msgid "Default visited link color."
 msgstr ""
 
-#: src/config/options.inc:561
+#: src/config/options.inc:595
 #, fuzzy
 msgid "Image-link color"
 msgstr " ˦"
 
-#: src/config/options.inc:563
+#: src/config/options.inc:597
 #, fuzzy
 msgid "Default image link color."
 msgstr "  Φ"
 
-#: src/config/options.inc:565
+#: src/config/options.inc:599
 msgid "Bookmarked-link color"
 msgstr ""
 
-#: src/config/options.inc:567
+#: src/config/options.inc:601
 #, fuzzy
 msgid "Default bookmarked link color."
 msgstr "  Φ"
 
-#: src/config/options.inc:569
+#: src/config/options.inc:603
 msgid "Directory color"
 msgstr ""
 
-#: src/config/options.inc:571
+#: src/config/options.inc:605
 msgid ""
 "Default directory color.\n"
+"\n"
 "See document.browse.links.color_dirs option."
 msgstr ""
 
-#: src/config/options.inc:578
+#: src/config/options.inc:613
 msgid "Increase contrast"
 msgstr ""
 
-#: src/config/options.inc:580
+#: src/config/options.inc:615
 msgid ""
-"Increase the contrast between the foreground and background colors\n"
-"to ensure readability. For example it disallows dark colors on a\n"
-"black background. Note, this is different from ensuring the contrast\n"
-"with the ensure_contrast option."
+"Increase the contrast between the foreground and background colors to ensure "
+"readability. For example it disallows dark colors on a black background. "
+"Note, this is different from ensuring the contrast with the ensure_contrast "
+"option."
 msgstr ""
 
-#: src/config/options.inc:585
+#: src/config/options.inc:621
 msgid "Ensure contrast"
 msgstr ""
 
-#: src/config/options.inc:587
+#: src/config/options.inc:623
 msgid "Makes sure that the back- and foreground colors are never equal."
 msgstr ""
 
 #. If you change this please also change ACT_MAIN_DOCUMENT_COLORS action
 #. * handling.
-#: src/config/options.inc:592
+#: src/config/options.inc:628
 msgid "Use document-specified colors"
 msgstr ""
 
-#: src/config/options.inc:594
+#: src/config/options.inc:630
 msgid ""
 "Use colors specified in document:\n"
 "0 is use always the default settings\n"
@@ -3014,40 +3015,40 @@ msgid ""
 msgstr ""
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:607
+#: src/config/options.inc:643
 #, fuzzy
 msgid "Downloading"
 msgstr ""
 
-#: src/config/options.inc:609
+#: src/config/options.inc:645
 msgid "Options regarding files downloading and handling."
 msgstr ""
 
-#: src/config/options.inc:611
+#: src/config/options.inc:647
 #, fuzzy
 msgid "Default download directory"
 msgstr " ˦"
 
-#: src/config/options.inc:613
+#: src/config/options.inc:649
 msgid "Default download directory."
 msgstr ""
 
-#: src/config/options.inc:615
+#: src/config/options.inc:651
 msgid "Set original time"
 msgstr ""
 
-#: src/config/options.inc:617
+#: src/config/options.inc:653
 msgid ""
-"Set the timestamp of each downloaded file to the timestamp\n"
-"stored on the server."
+"Set the timestamp of each downloaded file to the timestamp stored on the "
+"server."
 msgstr ""
 
 #. Does automatic resuming make sense as an option?
-#: src/config/options.inc:621
+#: src/config/options.inc:657
 msgid "Prevent overwriting"
 msgstr ""
 
-#: src/config/options.inc:623
+#: src/config/options.inc:659
 msgid ""
 "Prevent overwriting the local files:\n"
 "0 is files will silently be overwritten\n"
@@ -3055,12 +3056,12 @@ msgid ""
 "2 is ask the user"
 msgstr ""
 
-#: src/config/options.inc:628
+#: src/config/options.inc:664
 #, fuzzy
 msgid "Notify download completion by bell"
 msgstr " "
 
-#: src/config/options.inc:630
+#: src/config/options.inc:666
 msgid ""
 "Audio notification when download is completed:\n"
 "0 is never\n"
@@ -3068,27 +3069,27 @@ msgid ""
 "2 is always"
 msgstr ""
 
-#: src/config/options.inc:636
+#: src/config/options.inc:672
 msgid "Dump output"
 msgstr ""
 
-#: src/config/options.inc:638
+#: src/config/options.inc:674
 msgid "Dump output options."
 msgstr ""
 
 #. OPT_CODEPAGE
-#: src/config/options.inc:640 src/config/options.inc:912
+#: src/config/options.inc:676 src/config/options.inc:980
 #: src/config/opttypes.c:481 src/dialogs/document.c:164
 msgid "Codepage"
 msgstr " "
 
-#: src/config/options.inc:642
+#: src/config/options.inc:678
 msgid ""
-"Codepage used in dump output. 'System' stands for\n"
-"a codepage determined by a selected locale."
+"Codepage used in dump output. 'System' stands for a codepage determined by a "
+"selected locale."
 msgstr ""
 
-#: src/config/options.inc:645 src/config/options.inc:878
+#: src/config/options.inc:681 src/config/options.inc:941
 #, fuzzy
 msgid "Color mode"
 msgstr ""
@@ -3098,12 +3099,14 @@ msgstr ""
 #. * an outer list entry after an inner list.
 #. * TRANSLATORS: This restriction applies only to the
 #. * "en" (English) translation.  (See doc/Makefile.)
-#: src/config/options.inc:652
+#: src/config/options.inc:688
 msgid ""
 "Color mode for dumps.\n"
+"\n"
 "Some modes may have been disabled at compile time. The Setup -> Terminal "
 "options dialog lists the modes supported by this executable. If you select "
 "an unsupported mode, ELinks uses 16 colors.\n"
+"\n"
 "The color modes are:\n"
 "-1 is standard dump mode\n"
 "0 is mono mode\n"
@@ -3113,129 +3116,127 @@ msgid ""
 "4 is true color mode"
 msgstr ""
 
-#: src/config/options.inc:665
+#: src/config/options.inc:703
 #, fuzzy
 msgid "Footer"
 msgstr ""
 
-#: src/config/options.inc:667
+#: src/config/options.inc:705
 #, c-format
 msgid "Footer string used in dumps. %u is substituted by URL."
 msgstr ""
 
-#: src/config/options.inc:671
+#: src/config/options.inc:709
 #, c-format
 msgid "Header string used in dumps. %u is substituted by URL."
 msgstr ""
 
-#: src/config/options.inc:673
+#: src/config/options.inc:711
 #, fuzzy
 msgid "Numbering"
 msgstr "צ ̦"
 
-#: src/config/options.inc:675
+#: src/config/options.inc:713
 msgid "Whether to print link numbers in dump output."
 msgstr ""
 
-#: src/config/options.inc:677
+#: src/config/options.inc:715
 #, fuzzy
 msgid "References"
 msgstr ""
 
-#: src/config/options.inc:679
-msgid ""
-"Whether to print references (URIs) of document links\n"
-"in dump output."
+#: src/config/options.inc:717
+msgid "Whether to print references (URIs) of document links in dump output."
 msgstr ""
 
-#: src/config/options.inc:682
+#: src/config/options.inc:720
 #, fuzzy
 msgid "Separator"
 msgstr "  Ǧ٦"
 
-#: src/config/options.inc:684
+#: src/config/options.inc:722
 msgid "String which separates two dumps."
 msgstr ""
 
-#: src/config/options.inc:686
+#: src/config/options.inc:724
 msgid "Width"
 msgstr ""
 
-#: src/config/options.inc:688
+#: src/config/options.inc:726
 msgid "Width of screen in characters when dumping documents."
 msgstr ""
 
-#: src/config/options.inc:692
+#: src/config/options.inc:730
 #, fuzzy
 msgid "History"
 msgstr ""
 
-#: src/config/options.inc:694
+#: src/config/options.inc:732
 msgid "History options."
 msgstr ""
 
-#: src/config/options.inc:696
+#: src/config/options.inc:734
 #, fuzzy
 msgid "Keep unhistory"
 msgstr "Ǧ"
 
-#: src/config/options.inc:698
+#: src/config/options.inc:736
 #, fuzzy
 msgid "Keep unhistory (\"forward history\")."
 msgstr "  Ǧ"
 
-#: src/config/options.inc:701
+#: src/config/options.inc:739
 #, fuzzy
 msgid "HTML rendering"
 msgstr ""
 
-#: src/config/options.inc:703
+#: src/config/options.inc:741
 msgid "Options concerning the display of HTML pages."
 msgstr ""
 
-#: src/config/options.inc:705
+#: src/config/options.inc:743
 #, fuzzy
 msgid "Display frames"
 msgstr ""
 
-#: src/config/options.inc:707
+#: src/config/options.inc:745
 #, fuzzy
 msgid "Display frames."
 msgstr ""
 
-#: src/config/options.inc:709
+#: src/config/options.inc:747
 #, fuzzy
 msgid "Display tables"
 msgstr ""
 
-#: src/config/options.inc:711
+#: src/config/options.inc:749
 #, fuzzy
 msgid "Display tables."
 msgstr ""
 
-#: src/config/options.inc:713
+#: src/config/options.inc:751
 #, fuzzy
 msgid "Display subscripts"
 msgstr " "
 
-#: src/config/options.inc:715
+#: src/config/options.inc:753
 msgid "Display subscripts (as [thing])."
 msgstr ""
 
-#: src/config/options.inc:717
+#: src/config/options.inc:755
 #, fuzzy
 msgid "Display superscripts"
 msgstr " "
 
-#: src/config/options.inc:719
+#: src/config/options.inc:757
 msgid "Display superscripts (as ^thing)."
 msgstr ""
 
-#: src/config/options.inc:721
+#: src/config/options.inc:759
 msgid "Rendering of HTML link element"
 msgstr ""
 
-#: src/config/options.inc:723
+#: src/config/options.inc:761
 msgid ""
 "How to render <link> tags from the HTML header:\n"
 "0 is nothing\n"
@@ -3246,145 +3247,143 @@ msgid ""
 "5 is everything"
 msgstr ""
 
-#: src/config/options.inc:731
+#: src/config/options.inc:769
 msgid "Underline links"
 msgstr ""
 
-#: src/config/options.inc:733
+#: src/config/options.inc:771
 msgid "Underline links."
 msgstr ""
 
-#: src/config/options.inc:735
+#: src/config/options.inc:773
 msgid "Wrap non breaking space"
 msgstr ""
 
-#: src/config/options.inc:737
+#: src/config/options.inc:775
 msgid ""
-"If set do not honour non breaking space (the nbsp entity)\n"
-"but allow to wrap the text. This can help keeping the width\n"
-"of documents down so no horizontal scrolling is needed."
+"If set do not honour non breaking space (the nbsp entity) but allow to wrap "
+"the text. This can help keeping the width of documents down so no horizontal "
+"scrolling is needed."
 msgstr ""
 
-#: src/config/options.inc:742
+#: src/config/options.inc:780
 #, fuzzy
 msgid "Plain rendering"
 msgstr ""
 
-#: src/config/options.inc:744
+#: src/config/options.inc:782
 msgid "Options concerning the display of plain text pages."
 msgstr ""
 
-#: src/config/options.inc:746
+#: src/config/options.inc:784
 #, fuzzy
 msgid "Display URIs"
 msgstr ""
 
-#: src/config/options.inc:748
+#: src/config/options.inc:786
 msgid "Display URIs in the document as links."
 msgstr ""
 
-#: src/config/options.inc:750
+#: src/config/options.inc:788
 msgid "Compress empty lines"
 msgstr ""
 
-#: src/config/options.inc:752
+#: src/config/options.inc:790
 msgid "Compress successive empty lines to only one in displayed text."
 msgstr ""
 
-#: src/config/options.inc:755
+#: src/config/options.inc:794
 msgid "URI passing"
 msgstr ""
 
-#: src/config/options.inc:757
+#: src/config/options.inc:796
 msgid ""
-"Rules for passing URIs to external commands. When one rule\n"
-"is defined the link and tab menu will have a menu item that\n"
-"makes it possible to pass the the link, frame or tab URI to\n"
-"an external command. If several rules are defined the link and\n"
-"tab menu will have a submenu of items for each rule. Note, this\n"
-"is mostly useful for launching graphical viewers, since there\n"
-"is no support for releasing the terminal while the command runs.\n"
-"The action and submenus are also available by binding keys to\n"
-"the frame-external-command, the link-external-command, and\n"
-"the tab-external-command actions."
+"Rules for passing URIs to external commands. When one rule is defined the "
+"link and tab menu will have a menu item that makes it possible to pass the "
+"the link, frame or tab URI to an external command. If several rules are "
+"defined the link and tab menu will have a submenu of items for each rule.\n"
+"\n"
+"Note, this is mostly useful for launching graphical viewers, since there is "
+"no support for releasing the terminal while the command runs. The action and "
+"submenus are also available by binding keys to the frame-external-command, "
+"the link-external-command, and the tab-external-command actions."
 msgstr ""
 
-#: src/config/options.inc:770
+#: src/config/options.inc:812
 msgid ""
-"A rule for passing URI to an external command.\n"
-"The format is:\n"
+"A rule for passing URI to an external command. The format is:\n"
 "%c in the string means the current URL\n"
 "%% in the string means '%'\n"
 "Do _not_ put single- or double-quotes around %c."
 msgstr ""
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:780
+#: src/config/options.inc:822
 msgid "Information files"
 msgstr ""
 
-#: src/config/options.inc:782
+#: src/config/options.inc:824
 msgid "Options for information files in ~/.elinks."
 msgstr ""
 
-#: src/config/options.inc:784
+#: src/config/options.inc:826
 #, fuzzy
 msgid "Save interval"
 msgstr " "
 
-#: src/config/options.inc:786
+#: src/config/options.inc:828
 msgid ""
-"Interval at which to trigger information files in ~/.elinks\n"
-"to be saved to disk if they have changed (seconds; 0 to disable)"
+"Interval at which to trigger information files in ~/.elinks to be saved to "
+"disk if they have changed (seconds; 0 to disable)"
 msgstr ""
 
-#: src/config/options.inc:789
+#: src/config/options.inc:832
 msgid "Use secure file saving"
 msgstr ""
 
-#: src/config/options.inc:791
+#: src/config/options.inc:834
 msgid ""
-"First write data to unique temporary file, then rename this file\n"
-"upon successfully finishing this. Note that this relates only to\n"
-"config files, not downloaded files. You may want to disable\n"
-"it if you are using some exotic permissions for concerned files.\n"
-"Secure file saving is automagically disabled if file is symlink.\n"
-"Warning: some systems (ie. OS/2, Win32) require that destination\n"
-"file doesn't exist when rename(3) is called, breaking atomicity,\n"
-"and reducing reliability of this feature."
+"First write data to unique temporary file, then rename this file upon "
+"successfully finishing this. Note that this relates only to config files, "
+"not downloaded files. You may want to disable it if you are using some "
+"exotic permissions for concerned files. Secure file saving is automagically "
+"disabled if file is symlink.\n"
+"\n"
+"Warning: some systems (ie. OS/2, Win32) require that destination file "
+"doesn't exist when rename(3) is called, breaking atomicity, and reducing "
+"reliability of this feature."
 msgstr ""
 
-#: src/config/options.inc:800
+#: src/config/options.inc:846
 msgid "Use fsync(3) with secure file saving"
 msgstr ""
 
-#: src/config/options.inc:802
+#: src/config/options.inc:848
 msgid ""
-"When using secure file saving, call fsync(3), if the OS\n"
-"supports it, to force the OS immediately to write the data\n"
-"to permanent storage. This is optional for those who wish\n"
-"to avoid excessive disk I/O."
+"When using secure file saving, call fsync(3), if the OS supports it, to "
+"force the OS immediately to write the data to permanent storage. This is "
+"optional for those who wish to avoid excessive disk I/O."
 msgstr ""
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:811
+#: src/config/options.inc:857
 #, fuzzy
 msgid "Terminals"
 msgstr "˦ ͦ"
 
-#: src/config/options.inc:813
+#: src/config/options.inc:859
 #, fuzzy
 msgid "Terminal options."
 msgstr "˦ ͦ"
 
-#: src/config/options.inc:817
+#: src/config/options.inc:863
 msgid "Options specific to this terminal type (according to $TERM value)."
 msgstr ""
 
-#: src/config/options.inc:842
+#: src/config/options.inc:889
 msgid ""
-"Terminal type; matters mostly only when drawing frames and\n"
-"dialog box borders:\n"
+"Terminal type; matters mostly only when drawing frames and dialog box "
+"borders:\n"
 "0 is dumb terminal type, ASCII art\n"
 "1 is VT100, simple but portable\n"
 "2 is Linux, you get double frames and other goodies\n"
@@ -3392,15 +3391,31 @@ msgid ""
 "4 is FreeBSD"
 msgstr ""
 
-#: src/config/options.inc:850 src/dialogs/options.c:227
+#: src/config/options.inc:897
+msgid "Always encode xterm title in ISO-8859-1"
+msgstr ""
+
+#: src/config/options.inc:899
+msgid ""
+"When updating the window title of xterm or a similar terminal emulator, "
+"encode the title in ISO-8859-1 (Latin-1), rather than in the charset used "
+"for other text in the window. Cyrillic and other characters get replaced "
+"with Latin ones. Xterm requires this unless you explicitly enable UTF-8 "
+"titles in it.\n"
+"\n"
+"If this option does not take effect immediately, try switching to a "
+"different page so that ELinks notices it needs to update the title."
+msgstr ""
+
+#: src/config/options.inc:910 src/dialogs/options.c:227
 msgid "Switch fonts for line drawing"
 msgstr ""
 
-#: src/config/options.inc:852
+#: src/config/options.inc:912
 msgid ""
-"Switch fonts when drawing lines, enabling both local characters\n"
-"and lines working at the same time. ELinks uses this option only if\n"
-"UTF-8 I/O is disabled and the terminal type is Linux or FreeBSD."
+"Switch fonts when drawing lines, enabling both local characters and lines "
+"working at the same time. ELinks uses this option only if UTF-8 I/O is "
+"disabled and the terminal type is Linux or FreeBSD."
 msgstr ""
 
 #. When CONFIG_UTF8 is defined, any code that reads the "utf_8_io"
@@ -3408,37 +3423,37 @@ msgstr ""
 #. * and if so, behave as if "utf_8_io" were 1.  (When CONFIG_UTF8 is
 #. * not defined, it should not be possible to set UTF-8 as "codepage";
 #. * please report any such possibilities as bugs.)
-#: src/config/options.inc:861 src/dialogs/options.c:232
+#: src/config/options.inc:922 src/dialogs/options.c:232
 msgid "UTF-8 I/O"
 msgstr "-  UTF-8"
 
-#: src/config/options.inc:863
+#: src/config/options.inc:924
 msgid ""
-"Enable I/O in UTF-8 for Unicode terminals. Note that currently,\n"
-"only the subset of UTF-8 according to terminal codepage is used.\n"
-"ELinks ignores this option if the terminal codepage is UTF-8."
+"Enable I/O in UTF-8 for Unicode terminals. Note that currently, only the "
+"subset of UTF-8 according to terminal codepage is used. ELinks ignores this "
+"option if the terminal codepage is UTF-8."
 msgstr ""
 
-#: src/config/options.inc:867 src/dialogs/options.c:228
+#: src/config/options.inc:929 src/dialogs/options.c:228
 msgid "Restrict frames in cp850/852"
 msgstr " ˦  cp850/852"
 
-#: src/config/options.inc:869
+#: src/config/options.inc:931
 msgid ""
-"Restrict the characters used when drawing lines. Makes sense\n"
-"only with linux terminals using the cp850/852 character sets."
+"Restrict the characters used when drawing lines. Makes sense only with linux "
+"terminals using the cp850/852 character sets."
 msgstr ""
 
-#: src/config/options.inc:872 src/dialogs/options.c:229
+#: src/config/options.inc:935 src/dialogs/options.c:229
 #, fuzzy
 msgid "Block cursor"
 msgstr " Φ"
 
-#: src/config/options.inc:874
+#: src/config/options.inc:937
 msgid ""
-"Move cursor to bottom right corner when done drawing.\n"
-"This is particularly useful when we have a block cursor,\n"
-"so that inversed text is displayed correctly."
+"Move cursor to bottom right corner when done drawing. This is particularly "
+"useful when we have a block cursor, so that inversed text is displayed "
+"correctly."
 msgstr ""
 
 #. The list of modes must be at the end of this string
@@ -3446,13 +3461,15 @@ msgstr ""
 #. * an outer list entry after an inner list.
 #. * TRANSLATORS: This restriction applies only to the
 #. * "en" (English) translation.  (See doc/Makefile.)
-#: src/config/options.inc:885
+#: src/config/options.inc:948
 msgid ""
 "The color mode controls what colors are used and how they are output to the "
 "terminal.\n"
+"\n"
 "Some modes may have been disabled at compile time. The Setup -> Terminal "
 "options dialog lists the modes supported by this executable. If you select "
 "an unsupported mode, ELinks uses 16 colors.\n"
+"\n"
 "The color modes are:\n"
 "0 is mono mode, only 2 colors are used\n"
 "1 is 16 color mode, uses the common ANSI colors\n"
@@ -3461,427 +3478,424 @@ msgid ""
 "4 is true color mode, uses konsole RGB codes"
 msgstr ""
 
-#: src/config/options.inc:898 src/dialogs/options.c:230
+#: src/config/options.inc:963 src/dialogs/options.c:230
 msgid "Transparency"
 msgstr ""
 
-#: src/config/options.inc:900
+#: src/config/options.inc:965
 msgid ""
-"If we should not set the background to black. This is particularly\n"
-"useful when we have a terminal (typically in some windowing\n"
-"environment) with a background image or a transparent background -\n"
-"it will be visible in ELinks as well (but ELinks document color handling\n"
-"will still assume the background is black so if you have a bright "
-"background\n"
-"you might experience contrast problems). Note that this option makes\n"
-"sense only when colors are enabled."
+"If we should not set the background to black. This is particularly useful "
+"when we have a terminal (typically in some windowing environment) with a "
+"background image or a transparent background - it will be visible in ELinks "
+"as well (but ELinks document color handling will still assume the background "
+"is black so if you have a bright background you might experience contrast "
+"problems). Note that this option makes sense only when colors are enabled."
 msgstr ""
 
-#: src/config/options.inc:910
+#: src/config/options.inc:977
 msgid "If we should use underline or enhance the color instead."
 msgstr ""
 
-#: src/config/options.inc:914
+#: src/config/options.inc:982
 msgid ""
-"Codepage of charset used for displaying content on terminal.\n"
-"'System' stands for a codepage determined by a selected locale."
+"Codepage of charset used for displaying content on terminal. 'System' stands "
+"for a codepage determined by a selected locale."
 msgstr ""
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:921
+#: src/config/options.inc:990
 msgid "User interface"
 msgstr ""
 
-#: src/config/options.inc:923
+#: src/config/options.inc:992
 #, fuzzy
 msgid "User interface options."
 msgstr "˦ ͦ"
 
-#: src/config/options.inc:927
+#: src/config/options.inc:996
 msgid "Color settings"
 msgstr ""
 
-#: src/config/options.inc:929
+#: src/config/options.inc:998
 msgid "Default user interface color settings."
 msgstr ""
 
-#: src/config/options.inc:956
+#: src/config/options.inc:1025
 #, fuzzy
 msgid "Color terminals"
 msgstr "ͦ BeOS"
 
-#: src/config/options.inc:958
+#: src/config/options.inc:1027
 msgid "Color settings for color terminal."
 msgstr ""
 
-#: src/config/options.inc:960
+#: src/config/options.inc:1029
 msgid "Non-color terminals"
 msgstr ""
 
-#: src/config/options.inc:962
+#: src/config/options.inc:1031
 msgid "Color settings for non-color terminal."
 msgstr ""
 
 #. FIXME: obsolete, how to alias them correctly ? --Zas
-#: src/config/options.inc:965
+#: src/config/options.inc:1034
 msgid "Main menu bar"
 msgstr ""
 
-#: src/config/options.inc:967
+#: src/config/options.inc:1036
 msgid "Main menu bar colors."
 msgstr ""
 
-#: src/config/options.inc:969
+#: src/config/options.inc:1038
 msgid "Unselected main menu bar item"
 msgstr ""
 
-#: src/config/options.inc:971
+#: src/config/options.inc:1040
 msgid "Unselected main menu bar item colors."
 msgstr ""
 
-#: src/config/options.inc:973
+#: src/config/options.inc:1042
 msgid "Selected main menu bar item"
 msgstr ""
 
-#: src/config/options.inc:975
+#: src/config/options.inc:1044
 msgid "Selected main menu bar item colors."
 msgstr ""
 
-#: src/config/options.inc:977 src/config/options.inc:1006
+#: src/config/options.inc:1046 src/config/options.inc:1075
 msgid "Hotkey"
 msgstr ""
 
-#: src/config/options.inc:979
+#: src/config/options.inc:1048
 msgid "Main menu hotkey colors."
 msgstr ""
 
-#: src/config/options.inc:981 src/config/options.inc:1010
+#: src/config/options.inc:1050 src/config/options.inc:1079
 msgid "Unselected hotkey"
 msgstr ""
 
-#: src/config/options.inc:983
+#: src/config/options.inc:1052
 msgid "Main menu unselected hotkey colors."
 msgstr ""
 
-#: src/config/options.inc:985 src/config/options.inc:1014
+#: src/config/options.inc:1054 src/config/options.inc:1083
 #, fuzzy
 msgid "Selected hotkey"
 msgstr "̦ "
 
-#: src/config/options.inc:987
+#: src/config/options.inc:1056
 msgid "Main menu selected hotkey colors."
 msgstr ""
 
-#: src/config/options.inc:990
+#: src/config/options.inc:1059
 msgid "Menu bar"
 msgstr ""
 
-#: src/config/options.inc:992
+#: src/config/options.inc:1061
 msgid "Menu bar colors."
 msgstr ""
 
-#: src/config/options.inc:994
+#: src/config/options.inc:1063
 msgid "Unselected menu item"
 msgstr ""
 
-#: src/config/options.inc:996
+#: src/config/options.inc:1065
 msgid "Unselected menu item colors."
 msgstr ""
 
-#: src/config/options.inc:998
+#: src/config/options.inc:1067
 #, fuzzy
 msgid "Selected menu item"
 msgstr " "
 
-#: src/config/options.inc:1000
+#: src/config/options.inc:1069
 msgid "Selected menu item colors."
 msgstr ""
 
-#: src/config/options.inc:1002
+#: src/config/options.inc:1071
 #, fuzzy
 msgid "Marked menu item"
 msgstr " "
 
-#: src/config/options.inc:1004
+#: src/config/options.inc:1073
 msgid "Marked menu item colors."
 msgstr ""
 
-#: src/config/options.inc:1008
+#: src/config/options.inc:1077
 msgid "Menu item hotkey colors."
 msgstr ""
 
-#: src/config/options.inc:1012
+#: src/config/options.inc:1081
 msgid "Menu item unselected hotkey colors."
 msgstr ""
 
-#: src/config/options.inc:1016
+#: src/config/options.inc:1085
 msgid "Menu item selected hotkey colors."
 msgstr ""
 
-#: src/config/options.inc:1018
+#: src/config/options.inc:1087
 #, fuzzy
 msgid "Menu frame"
 msgstr " "
 
-#: src/config/options.inc:1020
+#: src/config/options.inc:1089
 msgid "Menu frame colors."
 msgstr ""
 
-#: src/config/options.inc:1023
+#: src/config/options.inc:1092
 msgid "Dialog"
 msgstr ""
 
-#: src/config/options.inc:1025
+#: src/config/options.inc:1094
 msgid "Dialog colors."
 msgstr ""
 
-#: src/config/options.inc:1035
+#: src/config/options.inc:1104
 msgid "Generic"
 msgstr ""
 
-#: src/config/options.inc:1037
+#: src/config/options.inc:1106
 #, fuzzy
 msgid "Generic dialog colors."
 msgstr "  Φ"
 
-#: src/config/options.inc:1039
+#: src/config/options.inc:1108
 #, fuzzy
 msgid "Frame"
 msgstr ""
 
-#: src/config/options.inc:1041
+#: src/config/options.inc:1110
 msgid "Dialog frame colors."
 msgstr ""
 
-#: src/config/options.inc:1043
+#: src/config/options.inc:1112
 msgid "Scrollbar"
 msgstr ""
 
-#: src/config/options.inc:1045
+#: src/config/options.inc:1114
 msgid "Scrollbar colors."
 msgstr ""
 
-#: src/config/options.inc:1047
+#: src/config/options.inc:1116
 #, fuzzy
 msgid "Selected scrollbar"
 msgstr "  Φ"
 
-#: src/config/options.inc:1049
+#: src/config/options.inc:1118
 #, fuzzy
 msgid "Scrollbar selected colors."
 msgstr "  Φ"
 
-#: src/config/options.inc:1053
+#: src/config/options.inc:1122
 msgid "Dialog title colors."
 msgstr ""
 
-#: src/config/options.inc:1055
+#: src/config/options.inc:1124
 #, fuzzy
 msgid "Text"
 msgstr " "
 
-#: src/config/options.inc:1057
+#: src/config/options.inc:1126
 msgid "Dialog text colors."
 msgstr ""
 
-#: src/config/options.inc:1059 src/viewer/text/form.c:1862
+#: src/config/options.inc:1128 src/viewer/text/form.c:1891
 msgid "Checkbox"
 msgstr ""
 
-#: src/config/options.inc:1061
+#: src/config/options.inc:1130
 msgid "Dialog checkbox colors."
 msgstr ""
 
-#: src/config/options.inc:1063
+#: src/config/options.inc:1132
 #, fuzzy
 msgid "Selected checkbox"
 msgstr "̦ "
 
-#: src/config/options.inc:1065
+#: src/config/options.inc:1134
 #, fuzzy
 msgid "Dialog selected checkbox colors."
 msgstr "  Φ"
 
-#: src/config/options.inc:1067
+#: src/config/options.inc:1136
 #, fuzzy
 msgid "Checkbox label"
 msgstr ""
 
-#: src/config/options.inc:1069
+#: src/config/options.inc:1138
 msgid "Dialog checkbox label colors."
 msgstr ""
 
-#: src/config/options.inc:1071
+#: src/config/options.inc:1140
 msgid "Button"
 msgstr ""
 
-#: src/config/options.inc:1073 src/config/options.inc:1081
+#: src/config/options.inc:1142 src/config/options.inc:1150
 msgid "Dialog button colors."
 msgstr ""
 
-#: src/config/options.inc:1075
+#: src/config/options.inc:1144
 #, fuzzy
 msgid "Selected button"
 msgstr "̦ "
 
-#: src/config/options.inc:1077 src/config/options.inc:1085
+#: src/config/options.inc:1146 src/config/options.inc:1154
 msgid "Dialog selected button colors."
 msgstr ""
 
-#: src/config/options.inc:1079
+#: src/config/options.inc:1148
 msgid "Button shortcut"
 msgstr ""
 
-#: src/config/options.inc:1083
+#: src/config/options.inc:1152
 #, fuzzy
 msgid "Selected button shortcut"
 msgstr "̦ "
 
-#: src/config/options.inc:1087 src/viewer/text/form.c:1866
+#: src/config/options.inc:1156 src/viewer/text/form.c:1895
 msgid "Text field"
 msgstr " "
 
-#: src/config/options.inc:1089
+#: src/config/options.inc:1158
 msgid "Dialog text field colors."
 msgstr ""
 
-#: src/config/options.inc:1091
+#: src/config/options.inc:1160
 #, fuzzy
 msgid "Text field text"
 msgstr " "
 
-#: src/config/options.inc:1093
+#: src/config/options.inc:1162
 msgid "Dialog field text colors."
 msgstr ""
 
-#: src/config/options.inc:1095
+#: src/config/options.inc:1164
 msgid "Meter"
 msgstr ""
 
-#: src/config/options.inc:1097
+#: src/config/options.inc:1166
 msgid "Dialog meter colors."
 msgstr ""
 
-#: src/config/options.inc:1099
+#: src/config/options.inc:1168
 msgid "Shadow"
 msgstr ""
 
-#: src/config/options.inc:1101
+#: src/config/options.inc:1170
 msgid "Dialog shadow colors (see ui.shadows option)."
 msgstr ""
 
-#: src/config/options.inc:1103
+#: src/config/options.inc:1172
 #, fuzzy
 msgid "Title bar"
 msgstr ""
 
-#: src/config/options.inc:1105
+#: src/config/options.inc:1174
 msgid "Title bar colors."
 msgstr ""
 
-#: src/config/options.inc:1107
+#: src/config/options.inc:1176
 msgid "Generic title bar"
 msgstr ""
 
-#: src/config/options.inc:1109
+#: src/config/options.inc:1178
 msgid "Generic title bar colors."
 msgstr ""
 
-#: src/config/options.inc:1111
+#: src/config/options.inc:1180
 msgid "Title bar text"
 msgstr ""
 
-#: src/config/options.inc:1113
+#: src/config/options.inc:1182
 msgid "Title bar text colors."
 msgstr ""
 
-#: src/config/options.inc:1116
+#: src/config/options.inc:1185
 msgid "Status bar"
 msgstr ""
 
-#: src/config/options.inc:1118
+#: src/config/options.inc:1187
 msgid "Status bar colors."
 msgstr ""
 
-#: src/config/options.inc:1120
+#: src/config/options.inc:1189
 msgid "Generic status bar"
 msgstr ""
 
-#: src/config/options.inc:1122
+#: src/config/options.inc:1191
 msgid "Generic status bar colors."
 msgstr ""
 
-#: src/config/options.inc:1124
+#: src/config/options.inc:1193
 #, fuzzy
 msgid "Status bar text"
 msgstr " "
 
-#: src/config/options.inc:1126
+#: src/config/options.inc:1195
 msgid "Status bar text colors."
 msgstr ""
 
-#: src/config/options.inc:1129
+#: src/config/options.inc:1198
 msgid "Tabs bar"
 msgstr ""
 
-#: src/config/options.inc:1131
+#: src/config/options.inc:1200
 msgid "Tabs bar colors."
 msgstr ""
 
-#: src/config/options.inc:1133
+#: src/config/options.inc:1202
 #, fuzzy
 msgid "Unvisited tab"
 msgstr "̦ "
 
-#: src/config/options.inc:1135
+#: src/config/options.inc:1204
 msgid ""
-"Tab colors for tabs that have not been\n"
-"selected since they completed loading."
+"Tab colors for tabs that have not been selected since they completed loading."
 msgstr ""
 
-#: src/config/options.inc:1138
+#: src/config/options.inc:1207
 #, fuzzy
 msgid "Unselected tab"
 msgstr "̦ "
 
-#: src/config/options.inc:1140
+#: src/config/options.inc:1209
 #, fuzzy
 msgid "Unselected tab colors."
 msgstr "  Φ"
 
-#: src/config/options.inc:1142
+#: src/config/options.inc:1211
 #, fuzzy
 msgid "Loading tab"
 msgstr ""
 
-#: src/config/options.inc:1144
+#: src/config/options.inc:1213
 msgid "Tab colors for tabs that are loading in the background."
 msgstr ""
 
-#: src/config/options.inc:1146
+#: src/config/options.inc:1215
 #, fuzzy
 msgid "Selected tab"
 msgstr "̦ "
 
-#: src/config/options.inc:1148
+#: src/config/options.inc:1217
 #, fuzzy
 msgid "Selected tab colors."
 msgstr "  Φ"
 
-#: src/config/options.inc:1150
+#: src/config/options.inc:1219
 msgid "Tab separator"
 msgstr ""
 
-#: src/config/options.inc:1152
+#: src/config/options.inc:1221
 msgid "Tab separator colors."
 msgstr ""
 
-#: src/config/options.inc:1155
+#: src/config/options.inc:1224
 #, fuzzy
 msgid "Searched strings"
 msgstr "צ "
 
-#: src/config/options.inc:1157
+#: src/config/options.inc:1226
 #, fuzzy
 msgid "Searched string highlight colors."
 msgstr "   "
@@ -3890,69 +3904,69 @@ msgstr "   "
 #. ============= BORING PART (colors) END ===================
 #. ==========================================================
 #. Keep options in alphabetical order.
-#: src/config/options.inc:1166
+#: src/config/options.inc:1235
 msgid "Dialog settings"
 msgstr ""
 
-#: src/config/options.inc:1168
+#: src/config/options.inc:1237
 msgid "Dialogs-specific appearance and behaviour settings."
 msgstr ""
 
-#: src/config/options.inc:1171
+#: src/config/options.inc:1240
 msgid "Minimal height of listbox widget"
 msgstr ""
 
-#: src/config/options.inc:1173
+#: src/config/options.inc:1242
 msgid ""
-"Minimal height of the listbox widget (used e.g. for bookmarks\n"
-"or global history)."
+"Minimal height of the listbox widget (used e.g. for bookmarks or global "
+"history)."
 msgstr ""
 
-#: src/config/options.inc:1176
+#: src/config/options.inc:1245
 msgid "Drop shadows"
 msgstr ""
 
-#: src/config/options.inc:1178
+#: src/config/options.inc:1247
 msgid ""
-"Make dialogs drop shadows (the shadows are solid, you can\n"
-"adjust their color by ui.colors.*.dialog.shadow). You may\n"
-"also want to eliminate the wide borders by adjusting setup.h."
+"Make dialogs drop shadows (the shadows are solid, you can adjust their color "
+"by ui.colors.*.dialog.shadow). You may also want to eliminate the wide "
+"borders by adjusting setup.h."
 msgstr ""
 
-#: src/config/options.inc:1182
+#: src/config/options.inc:1252
 #, fuzzy
 msgid "Underline menu hotkeys"
 msgstr "̦ "
 
-#: src/config/options.inc:1184
+#: src/config/options.inc:1254
 msgid ""
-"Whether to underline hotkeys in menus to make them more\n"
-"visible. Requires that underlining is enabled for the terminal."
+"Whether to underline hotkeys in menus to make them more visible. Requires "
+"that underlining is enabled for the terminal."
 msgstr ""
 
-#: src/config/options.inc:1187
+#: src/config/options.inc:1258
 #, fuzzy
 msgid "Underline button shortcuts"
 msgstr "̦ "
 
-#: src/config/options.inc:1189
+#: src/config/options.inc:1260
 msgid ""
-"Whether to underline button shortcuts to make them more\n"
-"visible. Requires that underlining is enabled for the terminal."
+"Whether to underline button shortcuts to make them more visible. Requires "
+"that underlining is enabled for the terminal."
 msgstr ""
 
-#: src/config/options.inc:1193
+#: src/config/options.inc:1265
 #, fuzzy
 msgid "Timer options"
 msgstr "˦ ͦ"
 
-#: src/config/options.inc:1195
+#: src/config/options.inc:1267
 msgid ""
-"Timed action after certain interval of user inactivity. Someone can\n"
-"even find this useful, although you may not believe that."
+"Timed action after certain interval of user inactivity. Someone can even "
+"find this useful, although you may not believe that."
 msgstr ""
 
-#: src/config/options.inc:1201
+#: src/config/options.inc:1274
 msgid ""
 "Whether to enable the timer or not:\n"
 "0 is don't count down anything\n"
@@ -3960,7 +3974,7 @@ msgid ""
 "2 is count down and show the timer near LEDs"
 msgstr ""
 
-#: src/config/options.inc:1208
+#: src/config/options.inc:1281
 msgid ""
 "Whether to enable the timer or not:\n"
 "0 is don't count down anything\n"
@@ -3968,36 +3982,36 @@ msgid ""
 "2 is count down and show the timer near LEDs (DISABLED)"
 msgstr ""
 
-#: src/config/options.inc:1214
+#: src/config/options.inc:1287
 #, fuzzy
 msgid "Duration"
 msgstr "Ц"
 
-#: src/config/options.inc:1216
+#: src/config/options.inc:1289
 msgid ""
-"Inactivity timeout in seconds. The maximum of one day\n"
-"should be enough for just everyone (TM)."
+"Inactivity timeout in seconds. The maximum of one day should be enough for "
+"just everyone (TM)."
 msgstr ""
 
-#: src/config/options.inc:1221
+#: src/config/options.inc:1294
 msgid "Keybinding action to be triggered when timer reaches zero."
 msgstr ""
 
-#: src/config/options.inc:1224
+#: src/config/options.inc:1298
 #, fuzzy
 msgid "Window tabs"
 msgstr ""
 
-#: src/config/options.inc:1226
+#: src/config/options.inc:1300
 msgid "Window tabs settings."
 msgstr ""
 
-#: src/config/options.inc:1228
+#: src/config/options.inc:1302
 #, fuzzy
 msgid "Display tabs bar"
 msgstr " "
 
-#: src/config/options.inc:1230
+#: src/config/options.inc:1304
 msgid ""
 "Show tabs bar on the screen:\n"
 "0 means never\n"
@@ -4005,171 +4019,170 @@ msgid ""
 "2 means always"
 msgstr ""
 
-#: src/config/options.inc:1235
+#: src/config/options.inc:1309
 msgid "Tab bar at top"
 msgstr ""
 
-#: src/config/options.inc:1237
+#: src/config/options.inc:1311
 msgid "Whether display tab bar at top like other browsers do."
 msgstr ""
 
-#: src/config/options.inc:1239
+#: src/config/options.inc:1313
 msgid "Wrap-around tabs cycling"
 msgstr ""
 
-#: src/config/options.inc:1241
+#: src/config/options.inc:1315
 msgid ""
-"When moving right from the last tab, jump to the first one, and\n"
-"vice versa."
+"When moving right from the last tab, jump to the first one, and vice versa."
 msgstr ""
 
-#: src/config/options.inc:1244
+#: src/config/options.inc:1318
 msgid "Confirm tab closing"
 msgstr ""
 
-#: src/config/options.inc:1246
+#: src/config/options.inc:1320
 msgid "When closing a tab show confirmation dialog."
 msgstr ""
 
 #. OPT_LANGUAGE
-#: src/config/options.inc:1250 src/config/opttypes.c:483
+#: src/config/options.inc:1324 src/config/opttypes.c:483
 msgid "Language"
 msgstr ""
 
-#: src/config/options.inc:1252
+#: src/config/options.inc:1326
 msgid ""
-"Language of user interface. 'System' means that the language will\n"
-"be extracted from the environment dynamically."
+"Language of user interface. 'System' means that the language will be "
+"extracted from the environment dynamically."
 msgstr ""
 
-#: src/config/options.inc:1255
+#: src/config/options.inc:1330
 #, fuzzy
 msgid "Display menu bar always"
 msgstr " "
 
-#: src/config/options.inc:1257
+#: src/config/options.inc:1332
 msgid "Always show menu bar on the screen."
 msgstr ""
 
-#: src/config/options.inc:1259
+#: src/config/options.inc:1334
 #, fuzzy
 msgid "Display status bar"
 msgstr " "
 
-#: src/config/options.inc:1261
+#: src/config/options.inc:1336
 msgid "Show status bar on the screen."
 msgstr ""
 
-#: src/config/options.inc:1263
+#: src/config/options.inc:1338
 #, fuzzy
 msgid "Display title bar"
 msgstr " "
 
-#: src/config/options.inc:1265
+#: src/config/options.inc:1340
 msgid "Show title bar on the screen."
 msgstr ""
 
-#: src/config/options.inc:1267
+#: src/config/options.inc:1342
 msgid "Display goto dialog in new tabs"
 msgstr ""
 
-#: src/config/options.inc:1269
+#: src/config/options.inc:1344
 msgid ""
-"Pop up goto dialog in newly created tabs when there's no homepage\n"
-"set. This means also showing goto dialog on startup."
+"Pop up goto dialog in newly created tabs when there's no homepage set. This "
+"means also showing goto dialog on startup."
 msgstr ""
 
-#: src/config/options.inc:1272
+#: src/config/options.inc:1348
 msgid "Show a message box when file is saved successfully"
 msgstr ""
 
-#: src/config/options.inc:1274
+#: src/config/options.inc:1350
 msgid ""
-"When you pressed a [ Save ] button in some manager, this option\n"
-"will make sure that a box confirming success of the operation will\n"
-"pop up."
+"When you pressed a [ Save ] button in some manager, this option will make "
+"sure that a box confirming success of the operation will pop up."
 msgstr ""
 
-#: src/config/options.inc:1279
+#: src/config/options.inc:1355
 #, fuzzy
 msgid "Sessions"
 msgstr "Φ"
 
-#: src/config/options.inc:1281
+#: src/config/options.inc:1357
 msgid "Sessions settings."
 msgstr ""
 
-#: src/config/options.inc:1283
+#: src/config/options.inc:1359
 msgid "Keep session active"
 msgstr ""
 
-#: src/config/options.inc:1285
+#: src/config/options.inc:1361
 msgid "Keep the session active even if the last terminal exits."
 msgstr ""
 
-#: src/config/options.inc:1287
+#: src/config/options.inc:1364
 msgid "Auto save session"
 msgstr ""
 
-#: src/config/options.inc:1289
+#: src/config/options.inc:1366
 msgid ""
 "Automatically save the session when quitting.\n"
+"\n"
 "This feature requires bookmark support."
 msgstr ""
 
-#: src/config/options.inc:1292
+#: src/config/options.inc:1370
 msgid "Auto restore session"
 msgstr ""
 
-#: src/config/options.inc:1294
+#: src/config/options.inc:1372
 msgid ""
 "Automatically restore the session at start.\n"
+"\n"
 "This feature requires bookmark support."
 msgstr ""
 
-#: src/config/options.inc:1297
+#: src/config/options.inc:1376
 msgid "Auto save and restore session folder name"
 msgstr ""
 
-#: src/config/options.inc:1299
+#: src/config/options.inc:1378
 msgid ""
-"Name of the bookmarks folder used for auto saving and restoring session.\n"
-"The name has to be unique. Any folders with the same name will be deleted.\n"
+"Name of the bookmarks folder used for auto saving and restoring session. The "
+"name has to be unique. Any folders with the same name will be deleted.\n"
+"\n"
 "This only makes sense with bookmark support."
 msgstr ""
 
-#: src/config/options.inc:1303
+#: src/config/options.inc:1384
 #, fuzzy
 msgid "Homepage URI"
 msgstr " "
 
-#: src/config/options.inc:1305
+#: src/config/options.inc:1386
 msgid ""
-"The URI to load either at startup time when no URI was given\n"
-"on the command line or when requested by the goto-url-home action.\n"
-"Set to \"\" if the environment variable WWW_HOME should be used\n"
-"as homepage URI instead."
+"The URI to load either at startup time when no URI was given on the command "
+"line or when requested by the goto-url-home action. Set to \"\" if the "
+"environment variable WWW_HOME should be used as homepage URI instead."
 msgstr ""
 
-#: src/config/options.inc:1311
+#: src/config/options.inc:1392
 #, fuzzy
 msgid "Date format"
 msgstr " "
 
-#: src/config/options.inc:1313
+#: src/config/options.inc:1394
 msgid "Date format to use in dialogs. See strftime(3)."
 msgstr ""
 
-#: src/config/options.inc:1316
+#: src/config/options.inc:1397
 #, fuzzy
 msgid "Set window title"
 msgstr " ˦"
 
-#: src/config/options.inc:1318
+#: src/config/options.inc:1399
 msgid ""
-"Set the window title when running in a windowing environment\n"
-"in an xterm-like terminal. This way the document's title is\n"
-"shown on the window titlebar."
+"Set the window title when running in a windowing environment in an xterm-"
+"like terminal. This way the document's title is shown on the window titlebar."
 msgstr ""
 
 #: src/config/opttypes.c:54
@@ -4256,7 +4269,7 @@ msgid "Goto URL History"
 msgstr "  Ǧ"
 
 #. name:
-#: src/cookies/cookies.c:88 src/cookies/cookies.c:911
+#: src/cookies/cookies.c:88 src/cookies/cookies.c:913
 msgid "Cookies"
 msgstr ""
 
@@ -4286,10 +4299,10 @@ msgstr ""
 msgid ""
 "Cookie maximum age (in days):\n"
 "-1 is use cookie's expiration date if any\n"
-"0  is force expiration at the end of session, ignoring cookie's\n"
-"   expiration date\n"
-"1+ is use cookie's expiration date, but limit age to the given\n"
-"   number of days"
+"0  is force expiration at the end of session, ignoring\n"
+"   cookie's expiration date\n"
+"1+ is use cookie's expiration date, but limit age to the\n"
+"   given number of days"
 msgstr ""
 
 #: src/cookies/cookies.c:109
@@ -4298,42 +4311,42 @@ msgstr ""
 
 #: src/cookies/cookies.c:111
 msgid ""
-"When enabled, we'll require three dots in cookies domain for all\n"
-"non-international domains (instead of just two dots). Some countries\n"
-"have generic second level domains (eg. .com.pl, .co.uk) and allowing\n"
-"sites to set cookies for these generic domains could potentially be\n"
-"very bad. Note, it is off by default as it breaks a lot of sites."
+"When enabled, we'll require three dots in cookies domain for all non-"
+"international domains (instead of just two dots). Some countries have "
+"generic second level domains (eg. .com.pl, .co.uk) and allowing sites to set "
+"cookies for these generic domains could potentially be very bad. Note, it is "
+"off by default as it breaks a lot of sites."
 msgstr ""
 
-#: src/cookies/cookies.c:117
+#: src/cookies/cookies.c:118
 #, fuzzy
 msgid "Saving"
 msgstr " "
 
-#: src/cookies/cookies.c:119
+#: src/cookies/cookies.c:120
 msgid "Whether cookies should be loaded from and saved to disk."
 msgstr ""
 
-#: src/cookies/cookies.c:121
+#: src/cookies/cookies.c:123
 msgid "Resaving"
 msgstr ""
 
-#: src/cookies/cookies.c:123
+#: src/cookies/cookies.c:125
 msgid ""
-"Save cookies after each change in cookies list? No effect when\n"
-"cookie saving (cookies.save) is off."
+"Save cookies after each change in cookies list? No effect when cookie saving "
+"(cookies.save) is off."
 msgstr ""
 
-#: src/cookies/cookies.c:817
+#: src/cookies/cookies.c:819
 #, fuzzy
 msgid "Cannot save cookies"
 msgstr "æ  Ǧ"
 
-#: src/cookies/cookies.c:828
+#: src/cookies/cookies.c:830
 msgid "ELinks was started without a home directory."
 msgstr ""
 
-#: src/cookies/cookies.c:834
+#: src/cookies/cookies.c:836
 msgid "ELinks was started with the -anonymous option."
 msgstr ""
 
@@ -4551,7 +4564,7 @@ msgid "No header info."
 msgstr ""
 
 #: src/dialogs/download.c:243 src/dialogs/menu.c:601
-#: src/protocol/bittorrent/dialogs.c:228 src/session/download.c:361
+#: src/protocol/bittorrent/dialogs.c:228 src/session/download.c:387
 msgid "Download"
 msgstr ""
 
@@ -5403,7 +5416,7 @@ msgid "No document"
 msgstr ""
 
 #. name:
-#: src/document/css/css.c:30 src/document/css/css.c:161
+#: src/document/css/css.c:30 src/document/css/css.c:164
 msgid "Cascading Style Sheets"
 msgstr ""
 
@@ -5411,36 +5424,36 @@ msgstr ""
 msgid "Options concerning how to use CSS for styling documents."
 msgstr ""
 
-#: src/document/css/css.c:34
+#: src/document/css/css.c:35
 #, fuzzy
 msgid "Enable CSS"
 msgstr ""
 
-#: src/document/css/css.c:36
+#: src/document/css/css.c:37
 msgid "Enable adding of CSS style info to documents."
 msgstr ""
 
-#: src/document/css/css.c:38
+#: src/document/css/css.c:39
 msgid "Import external style sheets"
 msgstr ""
 
-#: src/document/css/css.c:40
+#: src/document/css/css.c:41
 msgid ""
-"When enabled any external style sheets that are imported from\n"
-"either CSS itself using the @import keyword or from the HTML using\n"
-"<link> tags in the document header will also be downloaded."
+"When enabled any external style sheets that are imported from either CSS "
+"itself using the @import keyword or from the HTML using <link> tags in the "
+"document header will also be downloaded."
 msgstr ""
 
-#: src/document/css/css.c:44
+#: src/document/css/css.c:46
 msgid "Default style sheet"
 msgstr ""
 
-#: src/document/css/css.c:46
+#: src/document/css/css.c:48
 msgid ""
-"The path to the file containing the default user defined\n"
-"Cascading Style Sheet. It can be used to control the basic\n"
-"layout of HTML documents. The path is assumed to be relative\n"
-"to ELinks' home directory.\n"
+"The path to the file containing the default user defined Cascading Style "
+"Sheet. It can be used to control the basic layout of HTML documents. The "
+"path is assumed to be relative to ELinks' home directory.\n"
+"\n"
 "Leave as \"\" to use built-in document styling."
 msgstr ""
 
@@ -5473,8 +5486,8 @@ msgstr ""
 
 #: src/ecmascript/ecmascript.c:55
 msgid ""
-"Whether to ignore content enclosed by the <noscript> tag\n"
-"when ECMAScript is enabled."
+"Whether to ignore content enclosed by the <noscript> tag when ECMAScript is "
+"enabled."
 msgstr ""
 
 #: src/ecmascript/ecmascript.c:58
@@ -5526,7 +5539,7 @@ msgid "JavaScript Error"
 msgstr ""
 
 #. name:
-#: src/ecmascript/spidermonkey.c:320
+#: src/ecmascript/spidermonkey.c:321
 msgid "SpiderMonkey"
 msgstr ""
 
@@ -5626,9 +5639,8 @@ msgstr "˦ ͦ"
 
 #: src/formhist/formhist.c:38
 msgid ""
-"Ask if a login form should be saved to file or not.\n"
-"This option only disables the dialog, already saved login\n"
-"forms are unaffected."
+"Ask if a login form should be saved to file or not. This option only "
+"disables the dialog, already saved login forms are unaffected."
 msgstr ""
 
 #: src/formhist/formhist.c:426
@@ -5732,20 +5744,20 @@ msgstr "  Ǧ"
 msgid "Enable global history (\"history of all pages visited\")."
 msgstr ""
 
-#: src/globhist/globhist.c:68
+#: src/globhist/globhist.c:69
 msgid "Maximum number of entries"
 msgstr ""
 
-#: src/globhist/globhist.c:70
+#: src/globhist/globhist.c:71
 msgid "Maximum number of entries in the global history."
 msgstr ""
 
-#: src/globhist/globhist.c:72
+#: src/globhist/globhist.c:73
 #, fuzzy
 msgid "Display style"
 msgstr " "
 
-#: src/globhist/globhist.c:74
+#: src/globhist/globhist.c:75
 msgid ""
 "What to display in global history dialog:\n"
 "0 is URLs\n"
@@ -5753,7 +5765,7 @@ msgid ""
 msgstr ""
 
 #. name:
-#: src/globhist/globhist.c:451
+#: src/globhist/globhist.c:449
 #, fuzzy
 msgid "Global History"
 msgstr "  Ǧ"
@@ -5984,101 +5996,95 @@ msgstr ""
 
 #: src/mime/backend/default.c:27
 msgid ""
-"Handler <-> MIME type association. The first sub-tree is the MIME\n"
-"class while the second sub-tree is the MIME type (ie. image/gif\n"
-"handler will reside at mime.type.image.gif). Each MIME type option\n"
-"should contain (case-sensitive) name of the MIME handler (its\n"
-"properties are stored at mime.handler.<name>)."
+"Handler <-> MIME type association. The first sub-tree is the MIME class "
+"while the second sub-tree is the MIME type (ie. image/gif handler will "
+"reside at mime.type.image.gif). Each MIME type option should contain (case-"
+"sensitive) name of the MIME handler (its properties are stored at mime."
+"handler.<name>)."
 msgstr ""
 
-#: src/mime/backend/default.c:35
+#: src/mime/backend/default.c:36
 msgid ""
-"Handler matching this MIME-type class ('*' is used here in place\n"
-"of '.')."
+"Handler matching this MIME-type class ('*' is used here in place of '.')."
 msgstr ""
 
-#: src/mime/backend/default.c:40
+#: src/mime/backend/default.c:41
 msgid ""
-"Handler matching this MIME-type name ('*' is used here in place\n"
-"of '.')."
+"Handler matching this MIME-type name ('*' is used here in place of '.')."
 msgstr ""
 
-#: src/mime/backend/default.c:44
+#: src/mime/backend/default.c:45
 msgid "File type handlers"
 msgstr ""
 
-#: src/mime/backend/default.c:46
+#: src/mime/backend/default.c:47
 msgid ""
-"A file type handler is a set of information about how to use\n"
-"an external program to view a file. It is possible to refer to it\n"
-"for several MIME types -- e.g., you can define an 'image' handler\n"
-"to which mime.type.image.png, mime.type.image.jpeg, and so on will\n"
-"refer; or one might define a handler for a more specific type of file\n"
-"-- e.g., PDF files.\n"
-"Note you must define both a MIME handler and a MIME type association\n"
-"for it to work."
+"A file type handler is a set of information about how to use an external "
+"program to view a file. It is possible to refer to it for several MIME types "
+"-- e.g., you can define an 'image' handler to which mime.type.image.png, "
+"mime.type.image.jpeg, and so on will refer; or one might define a handler "
+"for a more specific type of file -- e.g., PDF files. Note you must define "
+"both a MIME handler and a MIME type association for it to work."
 msgstr ""
 
-#: src/mime/backend/default.c:57
+#: src/mime/backend/default.c:58
 msgid "Description of this handler."
 msgstr ""
 
-#: src/mime/backend/default.c:61
+#: src/mime/backend/default.c:62
 msgid "System-specific handler description (ie. unix, unix-xwin, ...)."
 msgstr ""
 
-#: src/mime/backend/default.c:63 src/mime/backend/mailcap.c:102
+#: src/mime/backend/default.c:65 src/mime/backend/mailcap.c:102
 msgid "Ask before opening"
 msgstr ""
 
-#: src/mime/backend/default.c:65
+#: src/mime/backend/default.c:67
 msgid "Ask before opening."
 msgstr ""
 
-#: src/mime/backend/default.c:67
+#: src/mime/backend/default.c:69
 #, fuzzy
 msgid "Block terminal"
 msgstr "ͦ BeOS"
 
-#: src/mime/backend/default.c:69
+#: src/mime/backend/default.c:71
 msgid "Block the terminal when the handler is running."
 msgstr ""
 
-#: src/mime/backend/default.c:71
+#: src/mime/backend/default.c:73
 #, fuzzy
 msgid "Program"
 msgstr " "
 
-#: src/mime/backend/default.c:74
+#: src/mime/backend/default.c:76
 #, no-c-format
 msgid ""
-"External viewer for this file type. '%' in this string will be\n"
-"substituted by a file name.\n"
-"Do _not_ put single- or double-quotes around the % sign."
+"External viewer for this file type. '%' in this string will be substituted "
+"by a file name. Do _not_ put single- or double-quotes around the % sign."
 msgstr ""
 
-#: src/mime/backend/default.c:79
+#: src/mime/backend/default.c:81
 #, fuzzy
 msgid "File extension associations"
 msgstr "Φ "
 
-#: src/mime/backend/default.c:81
+#: src/mime/backend/default.c:83
 msgid "Extension <-> MIME type association."
 msgstr ""
 
-#: src/mime/backend/default.c:85
+#: src/mime/backend/default.c:87
 msgid ""
-"MIME-type matching this file extension ('*' is used here in place\n"
-"of '.')."
+"MIME-type matching this file extension ('*' is used here in place of '.')."
 msgstr ""
 
 #. name:
-#: src/mime/backend/default.c:216
+#: src/mime/backend/default.c:218
 msgid "Option system"
 msgstr ""
 
 #. name:
-#: src/mime/backend/mailcap.c:89 src/mime/backend/mailcap.c:684
+#: src/mime/backend/mailcap.c:89 src/mime/backend/mailcap.c:686
 msgid "Mailcap"
 msgstr ""
 
@@ -6092,8 +6098,8 @@ msgstr ""
 
 #: src/mime/backend/mailcap.c:99
 msgid ""
-"Mailcap search path. Colon-separated list of files.\n"
-"Leave as \"\" to use MAILCAP environment variable instead."
+"Mailcap search path. Colon-separated list of files. Leave as \"\" to use "
+"MAILCAP environment variable instead."
 msgstr ""
 
 #: src/mime/backend/mailcap.c:104
@@ -6106,39 +6112,38 @@ msgstr ""
 
 #: src/mime/backend/mailcap.c:108
 msgid ""
-"Type of description to show in \"what to do with this file\"\n"
-"query dialog:\n"
+"Type of description to show in \"what to do with this file\" query dialog:\n"
 "0 is show \"mailcap\"\n"
 "1 is show program to be run\n"
-"2 is show mailcap description field if any; \"mailcap\" otherwise"
+"2 is show mailcap description field if any;\n"
+"     \"mailcap\" otherwise"
 msgstr ""
 
-#: src/mime/backend/mailcap.c:114
+#: src/mime/backend/mailcap.c:115
 msgid "Prioritize entries by file"
 msgstr ""
 
-#: src/mime/backend/mailcap.c:116
+#: src/mime/backend/mailcap.c:117
 msgid ""
-"Prioritize entries by the order of the files in the mailcap\n"
-"path. This means that wildcard entries (like: image/*) will\n"
-"also be checked before deciding the handler."
+"Prioritize entries by the order of the files in the mailcap path. This means "
+"that wildcard entries (like: image/*) will also be checked before deciding "
+"the handler."
 msgstr ""
 
-#: src/mime/backend/mailcap.c:349
+#: src/mime/backend/mailcap.c:351
 #, c-format
 msgid "Badly formated mailcap entry for type %s in \"%s\" line %d"
 msgstr ""
 
 #. name:
-#: src/mime/backend/mimetypes.c:46 src/mime/backend/mimetypes.c:279
+#: src/mime/backend/mimetypes.c:46 src/mime/backend/mimetypes.c:280
 msgid "Mimetypes files"
 msgstr ""
 
 #: src/mime/backend/mimetypes.c:48
 msgid ""
-"Options for the support of mime.types files. These files\n"
-"can be used to find the content type of a URL by looking at\n"
-"the extension of the file name."
+"Options for the support of mime.types files. These files can be used to find "
+"the content type of a URL by looking at the extension of the file name."
 msgstr ""
 
 #: src/mime/backend/mimetypes.c:54
@@ -6175,7 +6180,7 @@ msgid "No extensions"
 msgstr " Ѯ"
 
 #. name:
-#: src/mime/mime.c:38 src/mime/mime.c:360
+#: src/mime/mime.c:38 src/mime/mime.c:361
 msgid "MIME"
 msgstr ""
 
@@ -6189,8 +6194,8 @@ msgstr ""
 
 #: src/mime/mime.c:44
 msgid ""
-"Document MIME-type to assume by default (when we are unable to\n"
-"guess it properly from known information about the document)."
+"Document MIME-type to assume by default (when we are unable to guess it "
+"properly from known information about the document)."
 msgstr ""
 
 #: src/network/ssl/ssl.c:72 src/network/ssl/ssl.c:161
@@ -6199,8 +6204,8 @@ msgstr ""
 
 #: src/network/ssl/ssl.c:74
 msgid ""
-"Verify the peer's SSL certificate. Note that this\n"
-"needs extensive configuration of OpenSSL by the user."
+"Verify the peer's SSL certificate. Note that this needs extensive "
+"configuration of OpenSSL by the user."
 msgstr ""
 
 #: src/network/ssl/ssl.c:77
@@ -6214,8 +6219,8 @@ msgstr "˦ ͦ"
 
 #: src/network/ssl/ssl.c:83
 msgid ""
-"Enable or not the sending of X509 client certificates\n"
-"to servers which request them."
+"Enable or not the sending of X509 client certificates to servers which "
+"request them."
 msgstr ""
 
 #: src/network/ssl/ssl.c:86
@@ -6225,16 +6230,15 @@ msgstr " "
 
 #: src/network/ssl/ssl.c:88
 msgid ""
-"The location of a file containing the client certificate\n"
-"and unencrypted private key in PEM format. If unset, the\n"
-"file pointed to by the X509_CLIENT_CERT variable is used\n"
-"instead."
+"The location of a file containing the client certificate and unencrypted "
+"private key in PEM format. If unset, the file pointed to by the "
+"X509_CLIENT_CERT variable is used instead."
 msgstr ""
 
 #: src/network/ssl/ssl.c:163
 msgid ""
-"Verify the peer's SSL certificate.  If you enable\n"
-"this, set also \"Trusted CA file\"."
+"Verify the peer's SSL certificate.  If you enable this, set also \"Trusted "
+"CA file\"."
 msgstr ""
 
 #. The default value of the following option points to a file
@@ -6252,20 +6256,20 @@ msgstr ""
 
 #: src/network/ssl/ssl.c:176
 msgid ""
-"The location of a file containing certificates of\n"
-"trusted certification authorities in PEM format.\n"
-"ELinks then trusts certificates issued by these CAs.\n"
-"If you change this option or the file, you must\n"
-"restart ELinks for the changes to take effect.\n"
-"This option affects GnuTLS but not OpenSSL."
+"The location of a file containing certificates of trusted certification "
+"authorities in PEM format. ELinks then trusts certificates issued by these "
+"CAs.\n"
+"\n"
+"If you change this option or the file, you must restart ELinks for the "
+"changes to take effect. This option affects GnuTLS but not OpenSSL."
 msgstr ""
 
 #. name:
-#: src/network/ssl/ssl.c:199 src/network/ssl/ssl.c:216
+#: src/network/ssl/ssl.c:200 src/network/ssl/ssl.c:217
 msgid "SSL"
 msgstr ""
 
-#: src/network/ssl/ssl.c:201
+#: src/network/ssl/ssl.c:202
 #, fuzzy
 msgid "SSL options."
 msgstr " ˦"
@@ -6603,7 +6607,7 @@ msgstr "ڦ  Φ  "
 msgid "Login"
 msgstr " Φ"
 
-#: src/protocol/auth/dialogs.c:113 src/protocol/http/http.c:140
+#: src/protocol/auth/dialogs.c:113 src/protocol/http/http.c:142
 msgid "Password"
 msgstr ""
 
@@ -6680,7 +6684,7 @@ msgstr "Ʀ HTTP"
 
 #. name:
 #: src/protocol/bittorrent/bittorrent.c:26
-#: src/protocol/bittorrent/bittorrent.c:335
+#: src/protocol/bittorrent/bittorrent.c:339
 msgid "BitTorrent"
 msgstr ""
 
@@ -6735,9 +6739,8 @@ msgstr ""
 
 #: src/protocol/bittorrent/bittorrent.c:57
 msgid ""
-"Whether to request that the tracker returns peer info\n"
-"in compact format. Note, the compact format only supports\n"
-"IPv4 addresses."
+"Whether to request that the tracker returns peer info in compact format. "
+"Note, the compact format only supports IPv4 addresses."
 msgstr ""
 
 #: src/protocol/bittorrent/bittorrent.c:61
@@ -6746,57 +6749,55 @@ msgstr ""
 
 #: src/protocol/bittorrent/bittorrent.c:63
 msgid ""
-"The number of seconds to wait between periodically contacting\n"
-"the tracker for announcing progress and requesting more peers.\n"
-"Set to zero to use the interval requested by the tracker."
+"The number of seconds to wait between periodically contacting the tracker "
+"for announcing progress and requesting more peers. Set to zero to use the "
+"interval requested by the tracker."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:67
+#: src/protocol/bittorrent/bittorrent.c:68
 msgid "IP-address to announce"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:69
+#: src/protocol/bittorrent/bittorrent.c:70
 msgid ""
-"What IP address to report to the tracker. If set to \"\"\n"
-"no IP address will be sent and the tracker will automatically\n"
-"determine an appropriate IP address."
+"What IP address to report to the tracker. If set to \"\" no IP address will "
+"be sent and the tracker will automatically determine an appropriate IP "
+"address."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:73
+#: src/protocol/bittorrent/bittorrent.c:74
 #, fuzzy
 msgid "User identification string"
 msgstr "˦ ͦ"
 
-#: src/protocol/bittorrent/bittorrent.c:75
+#: src/protocol/bittorrent/bittorrent.c:76
 msgid ""
-"An additional identification that is not shared with any users.\n"
-"It is intended to allow a client to prove their identity should\n"
-"their IP address change. It is an optional parameter, but some\n"
-"trackers require this parameter. If set to \"\" no user key will\n"
-"be sent to the tracker."
+"An additional identification that is not shared with any users. It is "
+"intended to allow a client to prove their identity should their IP address "
+"change. It is an optional parameter, but some trackers require this "
+"parameter. If set to \"\" no user key will be sent to the tracker."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:81
+#: src/protocol/bittorrent/bittorrent.c:82
 #, fuzzy
 msgid "Maximum number of peers to request"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:83
+#: src/protocol/bittorrent/bittorrent.c:84
 msgid ""
-"The maximum number of peers to request from the tracker.\n"
-"Set to 0 to use the server default."
+"The maximum number of peers to request from the tracker. Set to 0 to use the "
+"server default."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:86
+#: src/protocol/bittorrent/bittorrent.c:87
 msgid "Minimum peers to skip rerequesting"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:88
+#: src/protocol/bittorrent/bittorrent.c:89
 msgid ""
-"The minimum number of peers to have in the current peer info\n"
-"pool before skipping requesting of more peers. I.e. setting\n"
-"numwant to zero.\n"
-"Set to 0 to not have any limit."
+"The minimum number of peers to have in the current peer info pool before "
+"skipping requesting of more peers. I.e. setting numwant to zero. Set to 0 to "
+"not have any limit."
 msgstr ""
 
 #. ******************************************************************
@@ -6817,182 +6818,177 @@ msgstr ""
 
 #: src/protocol/bittorrent/bittorrent.c:104
 msgid ""
-"The maximum number of allowed connections to both active and\n"
-"non-active peers. By increasing the number of allowed connections,\n"
-"the chance of finding good peers to download from is increased.\n"
-"However, too many connections can lead to TCP congestion. If the\n"
-"maximum is reached all new incoming connections will be closed."
+"The maximum number of allowed connections to both active and non-active "
+"peers. By increasing the number of allowed connections, the chance of "
+"finding good peers to download from is increased. However, too many "
+"connections can lead to TCP congestion. If the maximum is reached all new "
+"incoming connections will be closed."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:110
+#: src/protocol/bittorrent/bittorrent.c:111
 msgid "Maximum peer message length"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:112
+#: src/protocol/bittorrent/bittorrent.c:113
 msgid ""
-"The maximum length of messages to accept over the wire.\n"
-"Larger values will cause the connection to be dropped."
+"The maximum length of messages to accept over the wire. Larger values will "
+"cause the connection to be dropped."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:115
+#: src/protocol/bittorrent/bittorrent.c:116
 msgid "Maximum allowed request length"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:117
+#: src/protocol/bittorrent/bittorrent.c:118
 msgid ""
-"The maximum length to allow for incoming requests.\n"
-"Larger requests will cause the connection to be dropped."
+"The maximum length to allow for incoming requests. Larger requests will "
+"cause the connection to be dropped."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:120
+#: src/protocol/bittorrent/bittorrent.c:121
 msgid "Length of requests"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:122
+#: src/protocol/bittorrent/bittorrent.c:123
 msgid ""
-"How many bytes to query for per request. This is complementary\n"
-"to the max_request_length option. If the configured length is\n"
-"bigger than the piece length it will be truncated."
+"How many bytes to query for per request. This is complementary to the "
+"max_request_length option. If the configured length is bigger than the piece "
+"length it will be truncated."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:126
+#: src/protocol/bittorrent/bittorrent.c:128
 #, fuzzy
 msgid "Peer inactivity timeout"
 msgstr "  Φ"
 
-#: src/protocol/bittorrent/bittorrent.c:128
+#: src/protocol/bittorrent/bittorrent.c:130
 msgid ""
-"The number of seconds to wait before closing a socket on\n"
-"which nothing has been received or sent."
+"The number of seconds to wait before closing a socket on which nothing has "
+"been received or sent."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:131
+#: src/protocol/bittorrent/bittorrent.c:133
 #, fuzzy
 msgid "Maximum peer pool size"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:133
+#: src/protocol/bittorrent/bittorrent.c:135
 msgid ""
-"Maximum number of items in the peer pool. The peer pool\n"
-"contains information used for establishing connections to\n"
-"new peers.\n"
+"Maximum number of items in the peer pool. The peer pool contains information "
+"used for establishing connections to new peers.\n"
+"\n"
 "Set to 0 to have unlimited size."
 msgstr ""
 
 #. ******************************************************************
 #. Piece management options:
 #. ******************************************************************
-#: src/protocol/bittorrent/bittorrent.c:143
+#: src/protocol/bittorrent/bittorrent.c:146
 #, fuzzy
 msgid "Maximum piece cache size"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:145
+#: src/protocol/bittorrent/bittorrent.c:148
 msgid ""
-"The maximum amount of memory used to hold recently\n"
-"downloaded pieces.\n"
+"The maximum amount of memory used to hold recently downloaded pieces.\n"
+"\n"
 "Set to 0 to have unlimited size."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:154
+#: src/protocol/bittorrent/bittorrent.c:158
 msgid "Sharing rate"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:156
+#: src/protocol/bittorrent/bittorrent.c:160
 msgid ""
-"The minimum sharing rate to achieve before stop seeding.\n"
-"The sharing rate is computed as the number of uploaded bytes\n"
-"divided with the number of downloaded bytes. The value should\n"
-"be a double value between 0.0 and 1.0 both included.\n"
-"Set to 1.0 to atleast upload a complete copy of all data and\n"
+"The minimum sharing rate to achieve before stop seeding. The sharing rate is "
+"computed as the number of uploaded bytes divided with the number of "
+"downloaded bytes. The value should be a double value between 0.0 and 1.0 "
+"both included. Set to 1.0 to atleast upload a complete copy of all data and "
 "set to 0.0 to have unlimited sharing rate."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:163
+#: src/protocol/bittorrent/bittorrent.c:167
 msgid "Maximum number of uploads"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:165
+#: src/protocol/bittorrent/bittorrent.c:169
 msgid "The maximum number of uploads to allow at once."
 msgstr ""
 
 #. The number of uploads to fill out to with extra optimistic unchokes
-#: src/protocol/bittorrent/bittorrent.c:168
+#: src/protocol/bittorrent/bittorrent.c:172
 msgid "Minimum number of uploads"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:170
+#: src/protocol/bittorrent/bittorrent.c:174
 msgid ""
-"The minimum number of uploads which should at least\n"
-"be used for new connections."
+"The minimum number of uploads which should at least be used for new "
+"connections."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:174
+#: src/protocol/bittorrent/bittorrent.c:178
 #, fuzzy
 msgid "Keepalive interval"
 msgstr " "
 
-#: src/protocol/bittorrent/bittorrent.c:176
-msgid ""
-"The number of seconds to pause between sending keepalive\n"
-"messages."
+#: src/protocol/bittorrent/bittorrent.c:180
+msgid "The number of seconds to pause between sending keepalive messages."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:179
+#: src/protocol/bittorrent/bittorrent.c:183
 #, fuzzy
 msgid "Number of pending requests"
 msgstr " Ϯ "
 
-#: src/protocol/bittorrent/bittorrent.c:181
+#: src/protocol/bittorrent/bittorrent.c:185
 msgid ""
-"How many piece requests to continuously keep in queue. Pipelining\n"
-"of requests is essential to saturate connections and get a good\n"
-"connection performance and thus a faster download. However, a\n"
-"very big queue size can lead to wasting bandwidth near the end\n"
-"of the connection since remaining piece blocks will be requested\n"
-"from multiple peers."
+"How many piece requests to continuously keep in queue. Pipelining of "
+"requests is essential to saturate connections and get a good connection "
+"performance and thus a faster download. However, a very big queue size can "
+"lead to wasting bandwidth near the end of the connection since remaining "
+"piece blocks will be requested from multiple peers."
 msgstr ""
 
 #. Bram uses 30 seconds here.
-#: src/protocol/bittorrent/bittorrent.c:190
+#: src/protocol/bittorrent/bittorrent.c:194
 msgid "Peer snubbing interval"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:192
+#: src/protocol/bittorrent/bittorrent.c:196
 msgid ""
-"The number of seconds to wait for file data before assuming\n"
-"the peer has been snubbed."
+"The number of seconds to wait for file data before assuming the peer has "
+"been snubbed."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:195
+#: src/protocol/bittorrent/bittorrent.c:199
 #, fuzzy
 msgid "Peer choke interval"
 msgstr " "
 
-#: src/protocol/bittorrent/bittorrent.c:197
+#: src/protocol/bittorrent/bittorrent.c:201
 msgid ""
-"The number of seconds between updating the connection state\n"
-"and most importantly choke and unchoke peer connections. The\n"
-"choke period should be big enough for newly unchoked connections\n"
-"to get started but small enough to not allow freeriders too much\n"
-"room for stealing bandwidth."
+"The number of seconds between updating the connection state and most "
+"importantly choke and unchoke peer connections. The choke period should be "
+"big enough for newly unchoked connections to get started but small enough to "
+"not allow freeriders too much room for stealing bandwidth."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:203
+#: src/protocol/bittorrent/bittorrent.c:207
 msgid "Rarest first piece selection cutoff"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:205
+#: src/protocol/bittorrent/bittorrent.c:209
 msgid ""
-"The number of pieces to obtain before switching piece\n"
-"selection strategy from random to rarest first."
+"The number of pieces to obtain before switching piece selection strategy "
+"from random to rarest first."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:208 src/protocol/http/http.c:109
+#: src/protocol/bittorrent/bittorrent.c:212 src/protocol/http/http.c:109
 msgid "Allow blacklisting"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:210
+#: src/protocol/bittorrent/bittorrent.c:214
 msgid "Allow blacklisting of buggy peers."
 msgstr ""
 
@@ -7028,7 +7024,7 @@ msgstr ""
 msgid "Comment"
 msgstr ""
 
-#: src/protocol/bittorrent/dialogs.c:229 src/session/download.c:362
+#: src/protocol/bittorrent/dialogs.c:229 src/session/download.c:388
 #, fuzzy, c-format
 msgid ""
 "Download complete:\n"
@@ -7196,7 +7192,7 @@ msgid_plural "%u unavailable"
 msgstr[0] "צ FTP "
 msgstr[1] "צ FTP "
 
-#: src/protocol/bittorrent/dialogs.c:584 src/session/session.c:278
+#: src/protocol/bittorrent/dialogs.c:584 src/session/session.c:279
 #, fuzzy, c-format
 msgid "Unable to retrieve %s"
 msgstr " Ц   "
@@ -7211,7 +7207,7 @@ msgstr ""
 msgid "Information about the torrent"
 msgstr " צ"
 
-#: src/protocol/bittorrent/dialogs.c:776 src/session/download.c:1106
+#: src/protocol/bittorrent/dialogs.c:776 src/session/download.c:1132
 msgid "What to do?"
 msgstr " ¦?"
 
@@ -7222,13 +7218,13 @@ msgid "Down~load"
 msgstr ""
 
 #. accelerator_context(src/protocol/bittorrent/dialogs.c:bittorrent_query_callback, src/session/download.c:do_type_query)
-#: src/protocol/bittorrent/dialogs.c:804 src/session/download.c:1209
+#: src/protocol/bittorrent/dialogs.c:804 src/session/download.c:1235
 #, fuzzy
 msgid "~Display"
 msgstr ""
 
 #. accelerator_context(src/protocol/bittorrent/dialogs.c:bittorrent_query_callback, src/session/download.c:do_type_query)
-#: src/protocol/bittorrent/dialogs.c:808 src/session/download.c:1213
+#: src/protocol/bittorrent/dialogs.c:808 src/session/download.c:1239
 msgid "Show ~header"
 msgstr ""
 
@@ -7246,16 +7242,16 @@ msgstr "   "
 msgid "Colon separated list of directories, where CGI scripts are stored."
 msgstr ""
 
-#: src/protocol/file/cgi.c:47
+#: src/protocol/file/cgi.c:48
 msgid "Allow local CGI"
 msgstr ""
 
-#: src/protocol/file/cgi.c:49
+#: src/protocol/file/cgi.c:50
 msgid "Whether to execute local CGI scripts."
 msgstr ""
 
 #. name:
-#: src/protocol/file/cgi.c:54
+#: src/protocol/file/cgi.c:55
 msgid "CGI"
 msgstr ""
 
@@ -7274,9 +7270,8 @@ msgstr ""
 
 #: src/protocol/file/file.c:46
 msgid ""
-"Whether to allow reading from non-regular files.\n"
-"Note this can be dangerous; reading /dev/urandom or\n"
-"/dev/zero can ruin your day!"
+"Whether to allow reading from non-regular files. Note this can be dangerous; "
+"reading /dev/urandom or /dev/zero can ruin your day!"
 msgstr ""
 
 #: src/protocol/file/file.c:50
@@ -7285,8 +7280,8 @@ msgstr ""
 
 #: src/protocol/file/file.c:52
 msgid ""
-"When set to false, files with name starting with a dot will be\n"
-"hidden in local directory listings."
+"When set to false, files with name starting with a dot will be hidden in "
+"local directory listings."
 msgstr ""
 
 #: src/protocol/file/file.c:55
@@ -7296,13 +7291,13 @@ msgstr " Ѯ"
 
 #: src/protocol/file/file.c:57
 msgid ""
-"When set, if we can't open a file named 'filename', we'll try\n"
-"to open 'filename' with some encoding extension appended\n"
-"(ie. 'filename.gz'); it depends on the supported encodings."
+"When set, if we can't open a file named 'filename', we'll try to open "
+"'filename' with some encoding extension appended (ie. 'filename.gz'); it "
+"depends on the supported encodings."
 msgstr ""
 
 #. name:
-#: src/protocol/file/file.c:65
+#: src/protocol/file/file.c:66
 #, fuzzy
 msgid "File"
 msgstr ""
@@ -7333,7 +7328,7 @@ msgid "Whether to sort entries in direct
 msgstr ""
 
 #. name:
-#: src/protocol/ftp/ftp.c:56 src/protocol/ftp/ftp.c:86
+#: src/protocol/ftp/ftp.c:56 src/protocol/ftp/ftp.c:89
 msgid "FTP"
 msgstr ""
 
@@ -7341,8 +7336,8 @@ msgstr ""
 msgid "FTP specific options."
 msgstr ""
 
-#: src/protocol/ftp/ftp.c:60 src/protocol/http/http.c:127
-#: src/protocol/http/http.c:209
+#: src/protocol/ftp/ftp.c:60 src/protocol/http/http.c:128
+#: src/protocol/http/http.c:235
 msgid "Proxy configuration"
 msgstr ""
 
@@ -7350,39 +7345,39 @@ msgstr ""
 msgid "FTP proxy configuration."
 msgstr ""
 
-#: src/protocol/ftp/ftp.c:64 src/protocol/http/http.c:131
-#: src/protocol/http/http.c:213
+#: src/protocol/ftp/ftp.c:64 src/protocol/http/http.c:132
+#: src/protocol/http/http.c:239
 #, fuzzy
 msgid "Host and port-number"
 msgstr "צ ̦"
 
 #: src/protocol/ftp/ftp.c:66
 msgid ""
-"Host and port-number (host:port) of the FTP proxy, or blank.\n"
-"If it's blank, FTP_PROXY environment variable is checked as well."
+"Host and port-number (host:port) of the FTP proxy, or blank. If it's blank, "
+"FTP_PROXY environment variable is checked as well."
 msgstr ""
 
-#: src/protocol/ftp/ftp.c:69
+#: src/protocol/ftp/ftp.c:70
 msgid "Anonymous password"
 msgstr ""
 
-#: src/protocol/ftp/ftp.c:71
+#: src/protocol/ftp/ftp.c:72
 msgid "FTP anonymous password to be sent."
 msgstr ""
 
-#: src/protocol/ftp/ftp.c:73
+#: src/protocol/ftp/ftp.c:74
 msgid "Use passive mode (IPv4)"
 msgstr ""
 
-#: src/protocol/ftp/ftp.c:75
+#: src/protocol/ftp/ftp.c:76
 msgid "Use PASV instead of PORT (passive vs active mode, IPv4 only)."
 msgstr ""
 
-#: src/protocol/ftp/ftp.c:77
+#: src/protocol/ftp/ftp.c:79
 msgid "Use passive mode (IPv6)"
 msgstr ""
 
-#: src/protocol/ftp/ftp.c:79
+#: src/protocol/ftp/ftp.c:81
 msgid "Use EPSV instead of EPRT (passive vs active mode, IPv6 only)."
 msgstr ""
 
@@ -7409,7 +7404,7 @@ msgid ""
 msgstr ""
 
 #. name:
-#: src/protocol/http/http.c:95 src/protocol/http/http.c:223
+#: src/protocol/http/http.c:95 src/protocol/http/http.c:250
 msgid "HTTP"
 msgstr ""
 
@@ -7431,8 +7426,8 @@ msgstr ""
 
 #: src/protocol/http/http.c:106
 msgid ""
-"The Accept-Charset header is quite long and sending it can trigger\n"
-"bugs in some rarely found servers."
+"The Accept-Charset header is quite long and sending it can trigger bugs in "
+"some rarely found servers."
 msgstr ""
 
 #: src/protocol/http/http.c:111
@@ -7445,72 +7440,72 @@ msgstr ""
 
 #: src/protocol/http/http.c:115
 msgid ""
-"Broken 302 redirect (violates RFC but compatible with Netscape).\n"
-"This is a problem for a lot of web discussion boards and the like.\n"
-"If they will do strange things to you, try to play with this."
+"Broken 302 redirect (violates RFC but compatible with Netscape). This is a "
+"problem for a lot of web discussion boards and the like. If they will do "
+"strange things to you, try to play with this."
 msgstr ""
 
-#: src/protocol/http/http.c:119
+#: src/protocol/http/http.c:120
 msgid "No keepalive after POST requests"
 msgstr ""
 
-#: src/protocol/http/http.c:121
+#: src/protocol/http/http.c:122
 msgid "Disable keepalive connection after POST request."
 msgstr ""
 
-#: src/protocol/http/http.c:123
+#: src/protocol/http/http.c:124
 msgid "Use HTTP/1.0"
 msgstr ""
 
-#: src/protocol/http/http.c:125
+#: src/protocol/http/http.c:126
 msgid "Use HTTP/1.0 protocol instead of HTTP/1.1."
 msgstr ""
 
-#: src/protocol/http/http.c:129
+#: src/protocol/http/http.c:130
 msgid "HTTP proxy configuration."
 msgstr ""
 
-#: src/protocol/http/http.c:133
+#: src/protocol/http/http.c:134
 msgid ""
-"Host and port-number (host:port) of the HTTP proxy, or blank.\n"
-"If it's blank, HTTP_PROXY environment variable is checked as well."
+"Host and port-number (host:port) of the HTTP proxy, or blank. If it's blank, "
+"HTTP_PROXY environment variable is checked as well."
 msgstr ""
 
-#: src/protocol/http/http.c:136
+#: src/protocol/http/http.c:138
 #, fuzzy
 msgid "Username"
 msgstr ""
 
-#: src/protocol/http/http.c:138
+#: src/protocol/http/http.c:140
 #, fuzzy
 msgid "Proxy authentication username."
 msgstr "Ʀ HTTP"
 
-#: src/protocol/http/http.c:142
+#: src/protocol/http/http.c:144
 #, fuzzy
 msgid "Proxy authentication password."
 msgstr "Ʀ HTTP"
 
-#: src/protocol/http/http.c:145
+#: src/protocol/http/http.c:147
 #, fuzzy
 msgid "Referer sending"
 msgstr "̦ ¦ צ"
 
-#: src/protocol/http/http.c:147
+#: src/protocol/http/http.c:149
 msgid ""
-"HTTP referer sending options. HTTP referer is a special header\n"
-"sent in the HTTP requests, which is supposed to contain the previous\n"
-"page visited by the browser. This way, the server can know what link\n"
-"did you follow when accessing that page. However, this behaviour\n"
-"can unfortunately considerably affect privacy and can lead even to a\n"
-"security problem on some badly designed web pages."
+"HTTP referer sending options. HTTP referer is a special header sent in the "
+"HTTP requests, which is supposed to contain the previous page visited by the "
+"browser.This way, the server can know what link did you follow when "
+"accessing that page. However, this behaviour can unfortunately considerably "
+"affect privacy and can lead even to a security problem on some badly "
+"designed web pages."
 msgstr ""
 
-#: src/protocol/http/http.c:154
+#: src/protocol/http/http.c:157
 msgid "Policy"
 msgstr ""
 
-#: src/protocol/http/http.c:157
+#: src/protocol/http/http.c:160
 msgid ""
 "Mode of sending HTTP referer:\n"
 "0 is send no referer\n"
@@ -7519,90 +7514,110 @@ msgid ""
 "3 is send previous URL as referer (correct, but insecure)"
 msgstr ""
 
-#: src/protocol/http/http.c:163
+#: src/protocol/http/http.c:166
 msgid "Fake referer URL"
 msgstr ""
 
-#: src/protocol/http/http.c:165
+#: src/protocol/http/http.c:168
 msgid "Fake referer to be sent when policy is 2."
 msgstr ""
 
-#: src/protocol/http/http.c:168
+#: src/protocol/http/http.c:171
 msgid "Send Accept-Language header"
 msgstr ""
 
-#: src/protocol/http/http.c:170
+#: src/protocol/http/http.c:173
 msgid "Send Accept-Language header."
 msgstr ""
 
-#: src/protocol/http/http.c:172
+#: src/protocol/http/http.c:175
 msgid "Use UI language as Accept-Language"
 msgstr ""
 
-#: src/protocol/http/http.c:174
+#: src/protocol/http/http.c:177
 msgid ""
-"Request localised versions of documents from web-servers (using the\n"
-"Accept-Language header) using the language you have configured for\n"
-"ELinks' user-interface (this also affects navigator.language ECMAScript\n"
-"value available to scripts). Note that some see this as a potential\n"
-"security risk because it tells web-masters and the FBI sniffers about\n"
-"your language preference."
+"Request localised versions of documents from web-servers (using the Accept-"
+"Language header) using the language you have configured for ELinks' user-"
+"interface (this also affects navigator.language ECMAScript value available "
+"to scripts). Note that some see this as a potential security risk because it "
+"tells web-masters and the FBI sniffers about your language preference."
+msgstr ""
+
+#. After the compression support has been tested enough,
+#. * we might wrap this option in #if CFG_DEBUG.
+#: src/protocol/http/http.c:187
+msgid "Enable on-the-fly compression"
 msgstr ""
 
-#: src/protocol/http/http.c:181
+#: src/protocol/http/http.c:189
+msgid ""
+"If enabled, the capability to receive compressed content (gzip and/or bzip2) "
+"is announced to the server, which usually sends the reply compressed, thus "
+"saving some bandwidth at slight CPU expense.\n"
+"\n"
+"If ELinks displays a incomplete page or garbage, try disabling this option. "
+"If that helps, there may be a bug in the decompression part of ELinks. "
+"Please report such bugs.\n"
+"\n"
+"If ELinks has been compiled without compression support, this option has no "
+"effect. To check the supported features, see Help -> About."
+msgstr ""
+
+#: src/protocol/http/http.c:202
 msgid "Activate HTTP TRACE debugging"
 msgstr ""
 
-#: src/protocol/http/http.c:183
+#: src/protocol/http/http.c:204
 msgid ""
-"If active, all HTTP requests are sent with TRACE as their method\n"
-"rather than GET or POST. This is useful for debugging of both ELinks\n"
-"and various server-side scripts --- the server only returns the client's\n"
-"request back to the client verbatim. Note that this type of request may\n"
-"not be enabled on all servers."
+"If active, all HTTP requests are sent with TRACE as their method rather than "
+"GET or POST. This is useful for debugging of both ELinks and various server-"
+"side scripts --- the server only returns the client's request back to the "
+"client verbatim. Note that this type of request may not be enabled on all "
+"servers."
 msgstr ""
 
 #. OSNews.com is supposed to be relying on the textmode token, at least.
-#: src/protocol/http/http.c:190
+#: src/protocol/http/http.c:212
 msgid "User-agent identification"
 msgstr ""
 
-#: src/protocol/http/http.c:192
+#: src/protocol/http/http.c:214
 msgid ""
-"Change the User Agent ID. That means identification string, which\n"
-"is sent to HTTP server when a document is requested. The 'textmode'\n"
-"token in the first field is our silent attempt to establish this as\n"
-"a standard for new textmode user agents, so that the webmasters can\n"
-"have just a single uniform test for these if they are e.g. pushing\n"
-"some lite version to them automagically.\n"
+"Change the User Agent ID. That means identification string, which is sent to "
+"HTTP server when a document is requested. The 'textmode' token in the first "
+"field is our silent attempt to establish this as a standard for new textmode "
+"user agents, so that the webmasters can have just a single uniform test for "
+"these if they are e.g. pushing some lite version to them automagically.\n"
+"\n"
 "Use \" \" if you don't want any User-Agent header to be sent at all.\n"
+"\n"
 "%v in the string means ELinks version,\n"
 "%s in the string means system identification,\n"
 "%t in the string means size of the terminal,\n"
 "%b in the string means number of bars displayed by ELinks."
 msgstr ""
 
-#: src/protocol/http/http.c:205
+#: src/protocol/http/http.c:231
 msgid "HTTPS"
 msgstr ""
 
-#: src/protocol/http/http.c:207
+#: src/protocol/http/http.c:233
 #, fuzzy
 msgid "HTTPS-specific options."
 msgstr "   "
 
-#: src/protocol/http/http.c:211
+#: src/protocol/http/http.c:237
 msgid "HTTPS proxy configuration."
 msgstr ""
 
-#: src/protocol/http/http.c:215
+#: src/protocol/http/http.c:241
 msgid ""
-"Host and port-number (host:port) of the HTTPS CONNECT proxy, or blank.\n"
-"If it's blank, HTTPS_PROXY environment variable is checked as well."
+"Host and port-number (host:port) of the HTTPS CONNECT proxy, or blank. If "
+"it's blank, HTTPS_PROXY environment variable is checked as well."
 msgstr ""
 
 #. name:
-#: src/protocol/nntp/nntp.c:32 src/protocol/nntp/nntp.c:65
+#: src/protocol/nntp/nntp.c:32 src/protocol/nntp/nntp.c:66
 msgid "NNTP"
 msgstr ""
 
@@ -7617,19 +7632,19 @@ msgstr ""
 
 #: src/protocol/nntp/nntp.c:38
 msgid ""
-"Used when resolving news: URIs. If set to the empty string\n"
-"the value of the NNTPSERVER environment variable will be used."
+"Used when resolving news: URIs. If set to the empty string the value of the "
+"NNTPSERVER environment variable will be used."
 msgstr ""
 
-#: src/protocol/nntp/nntp.c:41
+#: src/protocol/nntp/nntp.c:42
 msgid "Message header entries"
 msgstr ""
 
-#: src/protocol/nntp/nntp.c:43
+#: src/protocol/nntp/nntp.c:44
 msgid ""
-"Comma separated list of which entries in the article header\n"
-"to show. E.g. 'Subject' and 'From'.\n"
-"All header entries can be read in the header info dialog."
+"Comma separated list of which entries in the article header to show. E.g. "
+"'Subject' and 'From'. All header entries can be read in the header info "
+"dialog."
 msgstr ""
 
 #: src/protocol/protocol.c:242
@@ -7651,10 +7666,9 @@ msgstr ""
 
 #: src/protocol/protocol.c:279
 msgid ""
-"Comma separated list of domains for which the proxy (HTTP/FTP)\n"
-"should be disabled. Optionally, a port can be specified for some\n"
-"domains as well. If it's blank, NO_PROXY environment variable is\n"
-"checked as well."
+"Comma separated list of domains for which the proxy (HTTP/FTP) should be "
+"disabled. Optionally, a port can be specified for some domains as well. If "
+"it's blank, NO_PROXY environment variable is checked as well."
 msgstr ""
 
 #. name:
@@ -7668,47 +7682,45 @@ msgstr ""
 
 #: src/protocol/rewrite/rewrite.c:46
 msgid ""
-"Rules for rewriting URIs entered in the goto dialog.\n"
-"It makes it possible to define a set of prefixes that will\n"
-"be expanded if they match a string entered in the goto dialog.\n"
-"The prefixes can be dumb, meaning that they work only like\n"
-"URI abbreviations, or smart ones, making it possible to pass\n"
+"Rules for rewriting URIs entered in the goto dialog. It makes it possible to "
+"define a set of prefixes that will be expanded if they match a string "
+"entered in the goto dialog. The prefixes can be dumb, meaning that they work "
+"only like URI abbreviations, or smart ones, making it possible to pass "
 "arguments to them like search engine keywords."
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:53
+#: src/protocol/rewrite/rewrite.c:54
 msgid "Enable dumb prefixes"
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:55
+#: src/protocol/rewrite/rewrite.c:56
 msgid ""
-"Enable dumb prefixes - simple URI abbreviations which can\n"
-"be written to the Goto URL dialog instead of actual URIs - i.e.\n"
-"if you write 'elinks' there, you are directed to\n"
-"http://elinks.cz/."
+"Enable dumb prefixes - simple URI abbreviations which can be written to the "
+"Goto URL dialog instead of actual URIs - i.e. if you write 'elinks' there, "
+"you are directed to http://elinks.cz/."
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:60
+#: src/protocol/rewrite/rewrite.c:61
 msgid "Enable smart prefixes"
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:62
+#: src/protocol/rewrite/rewrite.c:63
 msgid ""
-"Enable smart prefixes - URI templates triggered by writing\n"
-"given abbreviation to the Goto URL dialog followed by a list\n"
-"of arguments from which the actual URI is composed - i.e.\n"
-"'gg:search keywords' or 'gn search keywords for news'."
+"Enable smart prefixes - URI templates triggered by writing given "
+"abbreviation to the Goto URL dialog followed by a list of arguments from "
+"which the actual URI is composed - i.e. 'gg:search keywords' or 'gn search "
+"keywords for news'."
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:67
+#: src/protocol/rewrite/rewrite.c:69
 msgid "Dumb Prefixes"
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:69
+#: src/protocol/rewrite/rewrite.c:71
 msgid "Dumb prefixes, see enable-dumb description for details."
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:74
+#: src/protocol/rewrite/rewrite.c:76
 #, no-c-format
 msgid ""
 "Replacement URI for this dumbprefix:\n"
@@ -7716,15 +7728,15 @@ msgid ""
 "%% in the string means '%'"
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:78
+#: src/protocol/rewrite/rewrite.c:80
 msgid "Smart Prefixes"
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:80
+#: src/protocol/rewrite/rewrite.c:82
 msgid "Smart prefixes, see enable-smart description for details."
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:87
+#: src/protocol/rewrite/rewrite.c:90
 #, no-c-format
 msgid ""
 "Replacement URI for this smartprefix:\n"
@@ -7734,27 +7746,29 @@ msgid ""
 "%% in the string means '%'"
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:93
+#: src/protocol/rewrite/rewrite.c:96
 #, fuzzy
 msgid "Default template"
 msgstr " æ "
 
-#: src/protocol/rewrite/rewrite.c:96
+#: src/protocol/rewrite/rewrite.c:99
 #, no-c-format
 msgid ""
-"Default URI template used when the string entered in\n"
-"the goto dialog does not appear to be a URI or a filename\n"
-"(i.e. contains no '.', ':' or '/' characters), and does\n"
-"not match any defined prefixes. Set the value to \"\" to\n"
-"disable use of the default template rewrite rule.\n"
+"Default URI template used when the string entered in the goto dialog does "
+"not appear to be a URI or a filename (i.e. contains no '.', ':' or '/' "
+"characters), and does not match any defined prefixes. Set the value to \"\" "
+"to disable use of the default template rewrite rule.\n"
+"\n"
 "%c in the template means the current URL,\n"
-"%s in the template means the whole string from the goto dialog,\n"
-"%0,%1,...,%9 mean the 1st,2nd,...,10th space-delimited part of %s,\n"
+"%s in the template means the whole string from the goto\n"
+"   dialog,\n"
+"%0,%1,...,%9 mean the 1st,2nd,...,10th space-delimited part\n"
+"   of %s,\n"
 "%% in the template means '%'."
 msgstr ""
 
 #. name:
-#: src/protocol/rewrite/rewrite.c:372
+#: src/protocol/rewrite/rewrite.c:378
 msgid "URI rewrite"
 msgstr ""
 
@@ -7777,24 +7791,23 @@ msgid "Credentials file passed to smbcli
 msgstr ""
 
 #. name:
-#: src/protocol/user.c:34 src/protocol/user.c:84
+#: src/protocol/user.c:34 src/protocol/user.c:85
 msgid "User protocols"
 msgstr ""
 
 #: src/protocol/user.c:36
 msgid ""
-"User protocols. Options in this tree specify external\n"
-"handlers for the appropriate protocols. Ie.\n"
-"protocol.user.mailto.unix."
+"User protocols. Options in this tree specify external handlers for the "
+"appropriate protocols. Ie. protocol.user.mailto.unix."
 msgstr ""
 
 #: src/protocol/user.c:47
 msgid ""
-"Handler (external program) for this protocol. Name the\n"
-"options in this tree after your system (ie. unix, unix-xwin)."
+"Handler (external program) for this protocol. Name the options in this tree "
+"after your system (ie. unix, unix-xwin)."
 msgstr ""
 
-#: src/protocol/user.c:52
+#: src/protocol/user.c:53
 msgid ""
 "Handler (external program) for this protocol and system.\n"
 "%f in the string means file name to include form data from\n"
@@ -7805,11 +7818,11 @@ msgid ""
 "%u in the string means the whole URL"
 msgstr ""
 
-#: src/protocol/user.c:276
+#: src/protocol/user.c:277
 msgid "No program"
 msgstr " "
 
-#: src/protocol/user.c:278
+#: src/protocol/user.c:279
 #, fuzzy, c-format
 msgid "No program specified for protocol %s."
 msgstr "   "
@@ -7895,19 +7908,19 @@ msgstr ""
 msgid "Spidermonkey ECMAScript"
 msgstr "Ц"
 
-#: src/session/download.c:233 src/session/download.c:330
-#: src/session/download.c:561 src/session/download.c:649
+#: src/session/download.c:256 src/session/download.c:356
+#: src/session/download.c:587 src/session/download.c:675
 msgid "Download error"
 msgstr " ˦"
 
-#: src/session/download.c:234 src/session/download.c:650
+#: src/session/download.c:257 src/session/download.c:676
 #, fuzzy, c-format
 msgid ""
 "Could not create file '%s':\n"
 "%s"
 msgstr " Ц  "
 
-#: src/session/download.c:331
+#: src/session/download.c:357
 #, fuzzy, c-format
 msgid ""
 "Error downloading %s:\n"
@@ -7915,17 +7928,17 @@ msgid ""
 "%s"
 msgstr " ˦"
 
-#: src/session/download.c:562
+#: src/session/download.c:588
 #, c-format
 msgid "'%s' is a directory."
 msgstr ""
 
-#: src/session/download.c:596
+#: src/session/download.c:622
 #, fuzzy
 msgid "File exists"
 msgstr "Φ "
 
-#: src/session/download.c:597
+#: src/session/download.c:623
 #, c-format
 msgid ""
 "This file already exists:\n"
@@ -7936,51 +7949,51 @@ msgid ""
 msgstr ""
 
 #. accelerator_context(src/session/download.c:lookup_unique_name)
-#: src/session/download.c:604
+#: src/session/download.c:630
 msgid "Sa~ve under the alternative name"
 msgstr ""
 
 #. accelerator_context(src/session/download.c:lookup_unique_name)
-#: src/session/download.c:605
+#: src/session/download.c:631
 msgid "~Overwrite the original file"
 msgstr ""
 
 #. accelerator_context(src/session/download.c:lookup_unique_name)
-#: src/session/download.c:606
+#: src/session/download.c:632
 msgid "~Resume download of the original file"
 msgstr ""
 
-#: src/session/download.c:1109
+#: src/session/download.c:1135
 msgid "Unknown type"
 msgstr " "
 
-#: src/session/download.c:1134
+#: src/session/download.c:1160
 #, c-format
 msgid "What would you like to do with the file '%s' (type: %s%s%s)?"
 msgstr ""
 
-#: src/session/download.c:1137
+#: src/session/download.c:1163
 #, c-format
 msgid "What would you like to do with the file (type: %s%s%s)?"
 msgstr ""
 
-#: src/session/download.c:1165
+#: src/session/download.c:1191
 #, no-c-format
 msgid "Program ('%' will be replaced by the filename)"
 msgstr ""
 
-#: src/session/download.c:1169
+#: src/session/download.c:1195
 #, fuzzy
 msgid "Block the terminal"
 msgstr "ͦ BeOS"
 
-#: src/session/download.c:1175
+#: src/session/download.c:1201
 #, c-format
 msgid "The file will be opened with the program '%s'."
 msgstr ""
 
 #. accelerator_context(src/session/download.c:do_type_query)
-#: src/session/download.c:1196
+#: src/session/download.c:1222
 #, fuzzy
 msgid "~Open"
 msgstr ""
@@ -7989,12 +8002,12 @@ msgstr ""
 #. * and formatting it with "%u" is safe,
 #. * because fc_maxlength is smaller than
 #. * file.length, which is an int.
-#: src/session/session.c:761 src/session/session.c:780 src/session/task.c:275
-#: src/viewer/text/textarea.c:652
+#: src/session/session.c:771 src/session/session.c:790 src/session/task.c:275
+#: src/viewer/text/textarea.c:641
 msgid "Warning"
 msgstr ""
 
-#: src/session/session.c:762
+#: src/session/session.c:772
 msgid ""
 "You have an empty string in protocol.http.user_agent - this was a default "
 "value in the past, substituted by default ELinks User-Agent string. However, "
@@ -8005,7 +8018,7 @@ msgid ""
 "will be used. Apologies for any inconvience caused."
 msgstr ""
 
-#: src/session/session.c:781
+#: src/session/session.c:791
 msgid ""
 "You have option config.saving_style set to a de facto obsolete value. The "
 "configuration saving algorithms of ELinks were changed from the last time "
@@ -8018,11 +8031,11 @@ msgid ""
 "caused."
 msgstr ""
 
-#: src/session/session.c:806
+#: src/session/session.c:816
 msgid "Welcome"
 msgstr ""
 
-#: src/session/session.c:807
+#: src/session/session.c:817
 #, fuzzy
 msgid ""
 "Welcome to ELinks!\n"
@@ -8072,22 +8085,22 @@ msgstr ""
 msgid "Warning: terminal name contains illicit chars."
 msgstr ""
 
-#: src/terminal/event.c:259
+#: src/terminal/event.c:258
 #, c-format
 msgid "Failed to create session."
 msgstr ""
 
-#: src/terminal/event.c:446
+#: src/terminal/event.c:443
 #, c-format
 msgid "Bad event %d"
 msgstr ""
 
-#: src/terminal/event.c:486
+#: src/terminal/event.c:483
 #, fuzzy, c-format
 msgid "Could not read event: %d (%s)"
 msgstr " Ц  "
 
-#: src/terminal/kbd.c:1187
+#: src/terminal/kbd.c:1210
 #, c-format
 msgid "Too many bytes read from the itrm!"
 msgstr ""
@@ -8166,209 +8179,209 @@ msgstr " "
 msgid "The requested fragment \"%s\" doesn't exist."
 msgstr ""
 
-#: src/viewer/text/form.c:1092
+#: src/viewer/text/form.c:1118
 msgid "Error while posting form"
 msgstr "   ˦ "
 
-#: src/viewer/text/form.c:1093
+#: src/viewer/text/form.c:1119
 #, fuzzy, c-format
 msgid "Could not load file %s: %s"
 msgstr "  "
 
-#: src/viewer/text/form.c:1847
+#: src/viewer/text/form.c:1876
 #, fuzzy
 msgid "Reset form"
 msgstr " "
 
-#: src/viewer/text/form.c:1849
+#: src/viewer/text/form.c:1878
 #, fuzzy
 msgid "Harmless button"
 msgstr "̦ "
 
-#: src/viewer/text/form.c:1857
+#: src/viewer/text/form.c:1886
 msgid "Submit form to"
 msgstr "   "
 
-#: src/viewer/text/form.c:1858
+#: src/viewer/text/form.c:1887
 msgid "Post form to"
 msgstr "   "
 
-#: src/viewer/text/form.c:1860
+#: src/viewer/text/form.c:1889
 msgid "Radio button"
 msgstr "٣-"
 
-#: src/viewer/text/form.c:1864
+#: src/viewer/text/form.c:1893
 msgid "Select field"
 msgstr " "
 
-#: src/viewer/text/form.c:1868
+#: src/viewer/text/form.c:1897
 msgid "Text area"
 msgstr " "
 
-#: src/viewer/text/form.c:1870
+#: src/viewer/text/form.c:1899
 msgid "File upload"
 msgstr " "
 
-#: src/viewer/text/form.c:1872
+#: src/viewer/text/form.c:1901
 msgid "Password field"
 msgstr " "
 
-#: src/viewer/text/form.c:1910
+#: src/viewer/text/form.c:1939
 msgid "name"
 msgstr ""
 
-#: src/viewer/text/form.c:1922
+#: src/viewer/text/form.c:1951
 msgid "value"
 msgstr ""
 
-#: src/viewer/text/form.c:1935
+#: src/viewer/text/form.c:1964
 msgid "read only"
 msgstr ""
 
-#: src/viewer/text/form.c:1946
+#: src/viewer/text/form.c:1975
 #, c-format
 msgid "press %s to navigate"
 msgstr ""
 
-#: src/viewer/text/form.c:1948
+#: src/viewer/text/form.c:1977
 #, c-format
 msgid "press %s to edit"
 msgstr ""
 
-#: src/viewer/text/form.c:1984
+#: src/viewer/text/form.c:2013
 #, fuzzy, c-format
 msgid "press %s to submit to %s"
 msgstr "  "
 
-#: src/viewer/text/form.c:1986
+#: src/viewer/text/form.c:2015
 #, fuzzy, c-format
 msgid "press %s to post to %s"
 msgstr "  "
 
-#: src/viewer/text/form.c:2088
+#: src/viewer/text/form.c:2117
 #, fuzzy
 msgid "Useless button"
 msgstr "̦ "
 
-#: src/viewer/text/form.c:2090
+#: src/viewer/text/form.c:2119
 #, fuzzy
 msgid "Submit button"
 msgstr "   "
 
 #. accelerator_context(link_menu.map)
-#: src/viewer/text/link.c:1281
+#: src/viewer/text/link.c:1280
 msgid "Display ~usemap"
 msgstr " "
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1286
+#: src/viewer/text/link.c:1285
 msgid "~Follow link"
 msgstr "˦  "
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1288
+#: src/viewer/text/link.c:1287
 msgid "Follow link and r~eload"
 msgstr "˦    ڦ"
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1292
+#: src/viewer/text/link.c:1291
 msgid "Open in new ~window"
 msgstr "   "
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1294
+#: src/viewer/text/link.c:1293
 #, fuzzy
 msgid "Open in new ~tab"
 msgstr "   "
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1296
+#: src/viewer/text/link.c:1295
 #, fuzzy
 msgid "Open in new tab in ~background"
 msgstr " "
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1301
+#: src/viewer/text/link.c:1300
 msgid "~Download link"
 msgstr "  "
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1304
+#: src/viewer/text/link.c:1303
 msgid "~Add link to bookmarks"
 msgstr "   ˦"
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1308
+#: src/viewer/text/link.c:1307
 msgid "Pass link URI to e~xternal command"
 msgstr ""
 
 #. accelerator_context(link_menu.form, link_menu.reset, link_menu.textarea)
-#: src/viewer/text/link.c:1319 src/viewer/text/link.c:1359
+#: src/viewer/text/link.c:1318 src/viewer/text/link.c:1358
 msgid "~Reset form"
 msgstr " "
 
 #. accelerator_context(link_menu.textarea)
-#: src/viewer/text/link.c:1334
+#: src/viewer/text/link.c:1333
 msgid "Open in ~external editor"
 msgstr ""
 
 #. accelerator_context(link_menu.form, link_menu.textarea)
-#: src/viewer/text/link.c:1342
+#: src/viewer/text/link.c:1341
 msgid "~Submit form"
 msgstr " "
 
 #. accelerator_context(link_menu.form, link_menu.textarea)
-#: src/viewer/text/link.c:1343
+#: src/viewer/text/link.c:1342
 msgid "Submit form and rel~oad"
 msgstr "   ڦ"
 
 #. accelerator_context(link_menu.form, link_menu.textarea)
-#: src/viewer/text/link.c:1347
+#: src/viewer/text/link.c:1346
 msgid "Submit form and open in new ~window"
 msgstr "      "
 
 #. accelerator_context(link_menu.form, link_menu.textarea)
-#: src/viewer/text/link.c:1349
+#: src/viewer/text/link.c:1348
 #, fuzzy
 msgid "Submit form and open in new ~tab"
 msgstr "      "
 
 #. accelerator_context(link_menu.form, link_menu.textarea)
-#: src/viewer/text/link.c:1352
+#: src/viewer/text/link.c:1351
 #, fuzzy
 msgid "Submit form and open in new tab in ~background"
 msgstr "      "
 
 #. accelerator_context(link_menu.form, link_menu.textarea)
-#: src/viewer/text/link.c:1357
+#: src/viewer/text/link.c:1356
 msgid "Submit form and ~download"
 msgstr "   "
 
 #. accelerator_context(link_menu.form, link_menu.reset, link_menu.textarea)
-#: src/viewer/text/link.c:1364
+#: src/viewer/text/link.c:1363
 #, fuzzy
 msgid "Form f~ields"
 msgstr ""
 
 #. accelerator_context(link_menu.form, link_menu.map, link_menu.std)
-#: src/viewer/text/link.c:1371
+#: src/viewer/text/link.c:1370
 msgid "V~iew image"
 msgstr " צ"
 
 #. accelerator_context(link_menu.form, link_menu.map, link_menu.std)
-#: src/viewer/text/link.c:1373
+#: src/viewer/text/link.c:1372
 msgid "Download ima~ge"
 msgstr " צ"
 
-#: src/viewer/text/link.c:1382
+#: src/viewer/text/link.c:1381
 msgid "No link selected"
 msgstr "  "
 
-#: src/viewer/text/link.c:1452
+#: src/viewer/text/link.c:1451
 msgid "Image"
 msgstr ""
 
-#: src/viewer/text/link.c:1457
+#: src/viewer/text/link.c:1456
 msgid "Usemap"
 msgstr " "
 
@@ -8377,87 +8390,87 @@ msgstr " "
 msgid "Marks"
 msgstr ""
 
-#: src/viewer/text/search.c:1083
+#: src/viewer/text/search.c:1099
 msgid "Search hit top, continuing at bottom."
 msgstr ""
 
-#: src/viewer/text/search.c:1084
+#: src/viewer/text/search.c:1100
 msgid "Search hit bottom, continuing at top."
 msgstr ""
 
-#: src/viewer/text/search.c:1087
+#: src/viewer/text/search.c:1103
 msgid "No previous search"
 msgstr "   "
 
-#: src/viewer/text/search.c:1099
+#: src/viewer/text/search.c:1115
 #, fuzzy, c-format
 msgid "Could not compile regular expression '%s'"
 msgstr "ڦ "
 
-#: src/viewer/text/search.c:1143
+#: src/viewer/text/search.c:1159
 #, c-format
 msgid "No further matches for '%s'."
 msgstr ""
 
-#: src/viewer/text/search.c:1145
+#: src/viewer/text/search.c:1161
 #, c-format
 msgid "Could not find a link with the text '%s'."
 msgstr ""
 
-#: src/viewer/text/search.c:1147 src/viewer/text/search.c:1558
+#: src/viewer/text/search.c:1163 src/viewer/text/search.c:1576
 #, fuzzy
 msgid "Typeahead"
 msgstr ""
 
-#: src/viewer/text/search.c:1560
+#: src/viewer/text/search.c:1578
 #, c-format
 msgid "No links in current document"
 msgstr ""
 
-#: src/viewer/text/search.c:1643
+#: src/viewer/text/search.c:1661
 msgid "Search for text"
 msgstr " "
 
-#: src/viewer/text/search.c:1679
+#: src/viewer/text/search.c:1697
 #, fuzzy
 msgid "Normal search"
 msgstr "   "
 
-#: src/viewer/text/search.c:1680
+#: src/viewer/text/search.c:1698
 msgid "Regexp search"
 msgstr ""
 
-#: src/viewer/text/search.c:1681
+#: src/viewer/text/search.c:1699
 msgid "Extended regexp search"
 msgstr ""
 
-#: src/viewer/text/search.c:1683
+#: src/viewer/text/search.c:1701
 msgid "Case sensitive"
 msgstr ""
 
-#: src/viewer/text/search.c:1684
+#: src/viewer/text/search.c:1702
 msgid "Case insensitive"
 msgstr ""
 
-#: src/viewer/text/search.c:1708
+#: src/viewer/text/search.c:1726
 msgid "Search backward"
 msgstr " "
 
 #. name:
-#: src/viewer/text/search.c:1747
+#: src/viewer/text/search.c:1765
 #, fuzzy
 msgid "Search History"
 msgstr "  Ǧ٦"
 
-#: src/viewer/text/textarea.c:595
+#: src/viewer/text/textarea.c:584
 msgid "You cannot launch an external editor in the anonymous mode."
 msgstr ""
 
-#: src/viewer/text/textarea.c:602
+#: src/viewer/text/textarea.c:591
 msgid "You can do this only on the master terminal"
 msgstr "  ¦  ˦  Ϯ ͦ"
 
-#: src/viewer/text/textarea.c:655
+#: src/viewer/text/textarea.c:644
 #, c-format
 msgid ""
 "You have exceeded the textarea's size limit: your input is %d bytes, but the "
@@ -8475,11 +8488,11 @@ msgstr "æ  "
 msgid "Enter link number"
 msgstr "ڦ  ˦"
 
-#: src/viewer/text/view.c:1627
+#: src/viewer/text/view.c:1628
 msgid "Save error"
 msgstr " "
 
-#: src/viewer/text/view.c:1628
+#: src/viewer/text/view.c:1629
 msgid "Error writing to file"
 msgstr " Ц  "
 
Binary files 0.12~pre2.dfsg0-1/po/bg.gmo and 0.12~pre4-1/po/bg.gmo differ
diff -pruN 0.12~pre2.dfsg0-1/po/bg.po 0.12~pre4-1/po/bg.po
--- 0.12~pre2.dfsg0-1/po/bg.po	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/po/bg.po	2009-05-31 09:48:47.000000000 +0100
@@ -10,7 +10,7 @@ msgid ""
 msgstr ""
 "Project-Id-Version: ELinks 0.5pre0.CVS\n"
 "Report-Msgid-Bugs-To: elinks-users@linuxfromscratch.org\n"
-"POT-Creation-Date: 2008-09-21 11:13+0300\n"
+"POT-Creation-Date: 2009-05-31 01:57+0300\n"
 "PO-Revision-Date: 2003-01-03 03:41+0100\n"
 "Last-Translator: Dimitar Dimitrov <mitaka_ddd@yahoo.com>\n"
 "Language-Team: Bulgarian <bg-team@bash.info>\n"
@@ -41,7 +41,7 @@ msgstr ""
 #: src/mime/dialogs.c:132 src/protocol/auth/dialogs.c:115
 #: src/protocol/protocol.c:246 src/scripting/lua/core.c:399
 #: src/scripting/lua/core.c:480 src/scripting/python/dialogs.c:86
-#: src/session/session.c:811 src/viewer/text/search.c:1686
+#: src/session/session.c:821 src/viewer/text/search.c:1704
 #, fuzzy
 msgid "~OK"
 msgstr ""
@@ -65,7 +65,7 @@ msgstr ""
 ": \"%s\""
 
 #. cant_delete_folder
-#: src/bfu/hierbox.c:558 src/bookmarks/dialogs.c:121
+#: src/bfu/hierbox.c:558 src/bookmarks/dialogs.c:153
 #, fuzzy, c-format
 msgid "Sorry, but the folder \"%s\" cannot be deleted."
 msgstr ""
@@ -74,7 +74,7 @@ msgstr ""
 ": \"%s\""
 
 #. cant_delete_used_folder
-#: src/bfu/hierbox.c:561 src/bookmarks/dialogs.c:123
+#: src/bfu/hierbox.c:561 src/bookmarks/dialogs.c:155
 #, fuzzy, c-format
 msgid "Sorry, but the folder \"%s\" is being used by something else."
 msgstr ""
@@ -95,7 +95,7 @@ msgid "Delete marked items?"
 msgstr "   "
 
 #. delete_folder_title
-#: src/bfu/hierbox.c:570 src/bookmarks/dialogs.c:129
+#: src/bfu/hierbox.c:570 src/bookmarks/dialogs.c:161
 #, fuzzy
 msgid "Delete folder"
 msgstr "  "
@@ -156,13 +156,13 @@ msgstr ""
 msgid "~No"
 msgstr ""
 
-#: src/bfu/hierbox.c:945 src/bfu/hierbox.c:976 src/viewer/text/search.c:1090
-#: src/viewer/text/search.c:1098 src/viewer/text/search.c:1114
-#: src/viewer/text/search.c:1705
+#: src/bfu/hierbox.c:945 src/bfu/hierbox.c:976 src/viewer/text/search.c:1106
+#: src/viewer/text/search.c:1114 src/viewer/text/search.c:1130
+#: src/viewer/text/search.c:1723
 msgid "Search"
 msgstr ""
 
-#: src/bfu/hierbox.c:947 src/viewer/text/search.c:1091
+#: src/bfu/hierbox.c:947 src/viewer/text/search.c:1107
 #, fuzzy, c-format
 msgid "Search string '%s' not found"
 msgstr "   '%s'   "
@@ -201,8 +201,8 @@ msgstr "     
 #: src/dialogs/options.c:237 src/dialogs/options.c:316 src/mime/dialogs.c:133
 #: src/protocol/auth/dialogs.c:116 src/protocol/bittorrent/dialogs.c:814
 #: src/scripting/lua/core.c:400 src/scripting/lua/core.c:481
-#: src/session/download.c:607 src/session/download.c:1219
-#: src/viewer/text/search.c:1687
+#: src/session/download.c:633 src/session/download.c:1245
+#: src/viewer/text/search.c:1705
 #, fuzzy
 msgid "~Cancel"
 msgstr ""
@@ -216,8 +216,8 @@ msgstr ""
 msgid "Digital clock in the status bar."
 msgstr ""
 
-#: src/bfu/leds.c:77 src/bfu/leds.c:94 src/config/options.inc:1199
-#: src/config/options.inc:1206 src/ecmascript/ecmascript.c:45
+#: src/bfu/leds.c:77 src/bfu/leds.c:94 src/config/options.inc:1272
+#: src/config/options.inc:1279 src/ecmascript/ecmascript.c:45
 #: src/globhist/globhist.c:64 src/mime/backend/mailcap.c:93
 #: src/mime/backend/mimetypes.c:52 src/network/ssl/ssl.c:81
 #, fuzzy
@@ -235,8 +235,7 @@ msgstr " (upload)  "
 
 #: src/bfu/leds.c:83
 msgid ""
-"Format string for the digital clock. See the strftime(3)\n"
-"manpage for details."
+"Format string for the digital clock. See the strftime(3) manpage for details."
 msgstr ""
 
 #: src/bfu/leds.c:90
@@ -249,8 +248,7 @@ msgstr ""
 
 #: src/bfu/leds.c:96
 msgid ""
-"Enable LEDs.\n"
-"These visual indicators will inform you about various states."
+"Enable LEDs. These visual indicators will inform you about various states."
 msgstr ""
 
 #. name:
@@ -280,17 +278,17 @@ msgstr ""
 msgid "Search menu/"
 msgstr ""
 
-#: src/bookmarks/backend/xbel.c:97
+#: src/bookmarks/backend/xbel.c:105
 #, c-format
 msgid "read_bookmarks_xbel(): Error in XML_ParserCreate()"
 msgstr "read_bookmarks_xbel():   XML_ParserCreate()"
 
-#: src/bookmarks/backend/xbel.c:108
+#: src/bookmarks/backend/xbel.c:116
 #, c-format
 msgid "read_bookmarks_xbel(): Error reading %s"
 msgstr "read_bookmarks_xbel():   %s"
 
-#: src/bookmarks/backend/xbel.c:116
+#: src/bookmarks/backend/xbel.c:124
 #, fuzzy, c-format
 msgid ""
 "Parse error while processing XBEL bookmarks in %s at line %d column %d:\n"
@@ -299,18 +297,18 @@ msgstr ""
 "read_bookmarks_xbel():    %s,  %d,  %d:\n"
 "%s"
 
-#: src/bookmarks/backend/xbel.c:390 src/bookmarks/backend/xbel.c:411
+#: src/bookmarks/backend/xbel.c:388 src/bookmarks/backend/xbel.c:410
 #, fuzzy
 msgid "No title"
 msgstr "  "
 
-#: src/bookmarks/backend/xbel.c:396
+#: src/bookmarks/backend/xbel.c:394
 #, fuzzy
 msgid "No URL"
 msgstr "  URL"
 
 #. name:
-#: src/bookmarks/bookmarks.c:48 src/bookmarks/bookmarks.c:181
+#: src/bookmarks/bookmarks.c:48 src/bookmarks/bookmarks.c:183
 #, fuzzy
 msgid "Bookmarks"
 msgstr ""
@@ -320,7 +318,7 @@ msgstr ""
 msgid "Bookmark options."
 msgstr ""
 
-#: src/bookmarks/bookmarks.c:53 src/bookmarks/bookmarks.c:59
+#: src/bookmarks/bookmarks.c:53 src/bookmarks/bookmarks.c:60
 #, fuzzy
 msgid "File format"
 msgstr " (upload)  "
@@ -329,51 +327,47 @@ msgstr " (upload)  "
 msgid ""
 "File format for bookmarks (affects both reading and saving):\n"
 "0 is the default native ELinks format\n"
-"1 is XBEL universal XML bookmarks format (ELinks bug 153: NO NATIONAL CHARS "
-"SUPPORT!)"
+"1 is XBEL universal XML bookmarks format"
 msgstr ""
 
-#: src/bookmarks/bookmarks.c:61
+#: src/bookmarks/bookmarks.c:62
 msgid ""
 "File format for bookmarks (affects both reading and saving):\n"
 "0 is the default native ELinks format\n"
-"1 is XBEL universal XML bookmarks format (ELinks bug 153: NO NATIONAL CHARS "
-"SUPPORT!)  (DISABLED)"
+"1 is XBEL universal XML bookmarks format  (DISABLED)"
 msgstr ""
 
-#: src/bookmarks/bookmarks.c:67
+#: src/bookmarks/bookmarks.c:68
 #, fuzzy
 msgid "Save folder state"
 msgstr "  "
 
-#: src/bookmarks/bookmarks.c:69
+#: src/bookmarks/bookmarks.c:70
 msgid ""
-"When saving bookmarks also store whether folders are\n"
-"expanded or not, so the look of the bookmark dialog is\n"
-"kept across ELinks sessions. If disabled all folders will\n"
-"appear unexpanded next time ELinks is run."
+"When saving bookmarks also store whether folders are expanded or not, so the "
+"look of the bookmark dialog is kept across ELinks sessions. If disabled all "
+"folders will appear unexpanded next time ELinks is run."
 msgstr ""
 
-#: src/bookmarks/bookmarks.c:74
+#: src/bookmarks/bookmarks.c:75
 msgid "Periodic snapshotting"
 msgstr ""
 
-#: src/bookmarks/bookmarks.c:76
+#: src/bookmarks/bookmarks.c:77
 msgid ""
-"Automatically save a snapshot of all tabs periodically.\n"
-"This will periodically bookmark the tabs of each terminal in a separate "
-"folder\n"
-"for recovery after a crash.\n"
+"Automatically save a snapshot of all tabs periodically. This will "
+"periodically bookmark the tabs of each terminal in a separate folder for "
+"recovery after a crash.\n"
 "\n"
 "This feature requires bookmark support."
 msgstr ""
 
-#: src/bookmarks/dialogs.c:72 src/config/options.inc:1051
+#: src/bookmarks/dialogs.c:97 src/config/options.inc:1120
 #: src/dialogs/document.c:145 src/globhist/dialogs.c:65
 msgid "Title"
 msgstr ""
 
-#: src/bookmarks/dialogs.c:73 src/cache/dialogs.c:65
+#: src/bookmarks/dialogs.c:101 src/cache/dialogs.c:65
 #: src/dialogs/document.c:136 src/dialogs/edit.c:96 src/formhist/dialogs.c:63
 #: src/globhist/dialogs.c:66 src/protocol/auth/dialogs.c:163
 #: src/scripting/lua/core.c:397
@@ -381,7 +375,7 @@ msgid "URL"
 msgstr "URL"
 
 #. cant_delete_item
-#: src/bookmarks/dialogs.c:117
+#: src/bookmarks/dialogs.c:149
 #, fuzzy, c-format
 msgid "Sorry, but the bookmark \"%s\" cannot be deleted."
 msgstr ""
@@ -390,7 +384,7 @@ msgstr ""
 ": \"%s\""
 
 #. cant_delete_used_item
-#: src/bookmarks/dialogs.c:119
+#: src/bookmarks/dialogs.c:151
 #, fuzzy, c-format
 msgid "Sorry, but the bookmark \"%s\" is being used by something else."
 msgstr ""
@@ -399,73 +393,73 @@ msgstr ""
 ": \"%s\""
 
 #. delete_marked_items_title
-#: src/bookmarks/dialogs.c:125
+#: src/bookmarks/dialogs.c:157
 #, fuzzy
 msgid "Delete marked bookmarks"
 msgstr "      ?"
 
 #. delete_marked_items
-#: src/bookmarks/dialogs.c:127
+#: src/bookmarks/dialogs.c:159
 msgid "Delete marked bookmarks?"
 msgstr "      ?"
 
 #. delete_folder
-#: src/bookmarks/dialogs.c:131
+#: src/bookmarks/dialogs.c:163
 #, fuzzy, c-format
 msgid "Delete the folder \"%s\" and all bookmarks in it?"
 msgstr " "
 
 #. delete_item_title
-#: src/bookmarks/dialogs.c:133
+#: src/bookmarks/dialogs.c:165
 #, fuzzy
 msgid "Delete bookmark"
 msgstr "      ?"
 
-#: src/bookmarks/dialogs.c:135
+#: src/bookmarks/dialogs.c:167
 #, fuzzy, c-format
 msgid "Delete this bookmark?"
 msgstr "      ?"
 
 #. clear_all_items_title
-#: src/bookmarks/dialogs.c:137
+#: src/bookmarks/dialogs.c:169
 #, fuzzy
 msgid "Clear all bookmarks"
 msgstr "  "
 
 #. clear_all_items_title
-#: src/bookmarks/dialogs.c:139
+#: src/bookmarks/dialogs.c:171
 #, fuzzy
 msgid "Do you really want to remove all bookmarks?"
 msgstr "      Links?"
 
-#: src/bookmarks/dialogs.c:254
+#: src/bookmarks/dialogs.c:327
 msgid "Add folder"
 msgstr " "
 
-#: src/bookmarks/dialogs.c:254
+#: src/bookmarks/dialogs.c:327
 msgid "Folder name"
 msgstr "  "
 
-#: src/bookmarks/dialogs.c:310 src/scripting/lua/core.c:391
+#: src/bookmarks/dialogs.c:410 src/scripting/lua/core.c:391
 msgid "Edit bookmark"
 msgstr "  "
 
-#: src/bookmarks/dialogs.c:461
+#: src/bookmarks/dialogs.c:567
 msgid "Cannot move folder inside itself"
 msgstr ""
 
-#: src/bookmarks/dialogs.c:462
+#: src/bookmarks/dialogs.c:568
 msgid ""
 "You are trying to move the marked folder inside itself. To move the folder "
 "to a different location select the new location before pressing the Move "
 "button."
 msgstr ""
 
-#: src/bookmarks/dialogs.c:468
+#: src/bookmarks/dialogs.c:574
 msgid "Nothing to move"
 msgstr ""
 
-#: src/bookmarks/dialogs.c:469
+#: src/bookmarks/dialogs.c:575
 msgid ""
 "To move bookmarks, first mark all the bookmarks (or folders) you want to "
 "move.  This can be done with the Insert key if you're using the default key-"
@@ -474,21 +468,21 @@ msgid ""
 msgstr ""
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons, src/cache/dialogs.c:cache_buttons, src/globhist/dialogs.c:globhist_buttons, src/protocol/auth/dialogs.c:auth_buttons)
-#: src/bookmarks/dialogs.c:487 src/cache/dialogs.c:230
+#: src/bookmarks/dialogs.c:593 src/cache/dialogs.c:230
 #: src/globhist/dialogs.c:224 src/protocol/auth/dialogs.c:261
 #, fuzzy
 msgid "~Goto"
 msgstr ""
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons, src/config/dialogs.c:option_buttons, src/cookies/dialogs.c:cookie_buttons)
-#: src/bookmarks/dialogs.c:488 src/config/dialogs.c:503
+#: src/bookmarks/dialogs.c:594 src/config/dialogs.c:503
 #: src/cookies/dialogs.c:492
 #, fuzzy
 msgid "~Edit"
 msgstr ""
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons, src/cache/dialogs.c:cache_buttons, src/config/dialogs.c:keybinding_buttons, src/config/dialogs.c:option_buttons, src/cookies/dialogs.c:cookie_buttons, src/dialogs/menu.c:ext_menu, src/formhist/dialogs.c:formhist_buttons, src/globhist/dialogs.c:globhist_buttons, src/protocol/auth/dialogs.c:auth_buttons)
-#: src/bookmarks/dialogs.c:489 src/cache/dialogs.c:231
+#: src/bookmarks/dialogs.c:595 src/cache/dialogs.c:231
 #: src/config/dialogs.c:505 src/config/dialogs.c:930 src/cookies/dialogs.c:493
 #: src/dialogs/menu.c:463 src/formhist/dialogs.c:211
 #: src/globhist/dialogs.c:229 src/protocol/auth/dialogs.c:263
@@ -496,31 +490,31 @@ msgid "~Delete"
 msgstr ""
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons, src/config/dialogs.c:keybinding_buttons, src/config/dialogs.c:option_buttons, src/cookies/dialogs.c:cookie_buttons, src/dialogs/menu.c:ext_menu)
-#: src/bookmarks/dialogs.c:490 src/config/dialogs.c:504
+#: src/bookmarks/dialogs.c:596 src/config/dialogs.c:504
 #: src/config/dialogs.c:929 src/cookies/dialogs.c:490 src/dialogs/menu.c:461
 msgid "~Add"
 msgstr ""
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons)
-#: src/bookmarks/dialogs.c:491
+#: src/bookmarks/dialogs.c:597
 #, fuzzy
 msgid "Add se~parator"
 msgstr "  "
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons)
-#: src/bookmarks/dialogs.c:492
+#: src/bookmarks/dialogs.c:598
 #, fuzzy
 msgid "Add ~folder"
 msgstr " "
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons)
-#: src/bookmarks/dialogs.c:493
+#: src/bookmarks/dialogs.c:599
 #, fuzzy
 msgid "~Move"
 msgstr ""
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons, src/cache/dialogs.c:cache_buttons, src/config/dialogs.c:keybinding_buttons, src/config/dialogs.c:option_buttons, src/dialogs/menu.c:view_menu, src/globhist/dialogs.c:globhist_buttons)
-#: src/bookmarks/dialogs.c:494 src/cache/dialogs.c:232
+#: src/bookmarks/dialogs.c:600 src/cache/dialogs.c:232
 #: src/config/dialogs.c:506 src/config/dialogs.c:932 src/dialogs/menu.c:413
 #: src/globhist/dialogs.c:230
 msgid "~Search"
@@ -528,38 +522,52 @@ msgstr ""
 
 #. This one is too dangerous, so just let user delete
 #. * the bookmarks file if needed. --Zas
-#: src/bookmarks/dialogs.c:498
+#: src/bookmarks/dialogs.c:604
 msgid "Clear"
 msgstr ""
 
 #. TODO: Would this be useful? --jonas
-#: src/bookmarks/dialogs.c:501 src/globhist/dialogs.c:235
+#: src/bookmarks/dialogs.c:607 src/globhist/dialogs.c:235
 msgid "Save"
 msgstr ""
 
-#: src/bookmarks/dialogs.c:507
+#: src/bookmarks/dialogs.c:613
 msgid "Bookmark manager"
 msgstr "  "
 
-#: src/bookmarks/dialogs.c:632
+#: src/bookmarks/dialogs.c:825
 msgid "Search bookmarks"
 msgstr "  "
 
-#: src/bookmarks/dialogs.c:661
+#. When the user eventually pushes the OK button, BFU calls
+#. * bookmark_add_add() and gives it the struct dialog * as the
+#. * void * parameter.  However, bookmark_add_add() also needs
+#. * to know the struct terminal *, and there is no way to get
+#. * that from struct dialog.  The other bookmark dialogs work
+#. * around that by making dialog.udata point to the struct
+#. * dialog_data of the bookmark manager, but the "Add bookmark"
+#. * dialog can be triggered with ACT_MAIN_ADD_BOOKMARK, which
+#. * does not involve the bookmark manager at all.
+#. *
+#. * The solution here is to save the struct terminal * in
+#. * dialog.udata2, which the "Edit bookmark" dialog uses for
+#. * struct bookmark *.  When adding a new bookmark, we don't
+#. * need a pointer to an existing one, of course.
+#: src/bookmarks/dialogs.c:892
 msgid "Add bookmark"
 msgstr "  "
 
-#: src/bookmarks/dialogs.c:697
+#: src/bookmarks/dialogs.c:950
 #, fuzzy
 msgid "Saved session"
 msgstr " "
 
-#: src/bookmarks/dialogs.c:705
+#: src/bookmarks/dialogs.c:958
 #, fuzzy
 msgid "Bookmark tabs"
 msgstr ""
 
-#: src/bookmarks/dialogs.c:705
+#: src/bookmarks/dialogs.c:958
 #, fuzzy
 msgid "Enter folder name"
 msgstr "  "
@@ -573,7 +581,7 @@ msgstr "  URL"
 msgid "Redirect"
 msgstr ""
 
-#: src/cache/dialogs.c:85 src/config/options.inc:519
+#: src/cache/dialogs.c:85 src/config/options.inc:553
 #: src/dialogs/document.c:156 src/protocol/bittorrent/dialogs.c:126
 msgid "Size"
 msgstr ""
@@ -620,7 +628,7 @@ msgstr ""
 msgid "ID"
 msgstr ""
 
-#: src/cache/dialogs.c:134 src/config/options.inc:669
+#: src/cache/dialogs.c:134 src/config/options.inc:707
 #, fuzzy
 msgid "Header"
 msgstr "   "
@@ -1386,7 +1394,7 @@ msgstr "   "
 msgid "Resolver error"
 msgstr "  "
 
-#: src/config/cmdline.c:256 src/cookies/cookies.c:841 src/network/state.c:47
+#: src/config/cmdline.c:256 src/cookies/cookies.c:843 src/network/state.c:47
 #: src/util/secsave.c:379
 msgid "Out of memory"
 msgstr "  "
@@ -1408,290 +1416,291 @@ msgstr ""
 msgid "Remote method not supported"
 msgstr ""
 
-#: src/config/cmdline.c:452
+#: src/config/cmdline.c:437
+msgid "Out of memory formatting option documentation"
+msgstr ""
+
+#: src/config/cmdline.c:474
 msgid "Template option folder"
 msgstr ""
 
-#: src/config/cmdline.c:475
+#: src/config/cmdline.c:497
 #, c-format
 msgid "(default: %ld)"
 msgstr ""
 
-#: src/config/cmdline.c:482 src/config/cmdline.c:511
+#: src/config/cmdline.c:504 src/config/cmdline.c:533
 #, c-format
 msgid "(default: \"%s\")"
 msgstr ""
 
-#: src/config/cmdline.c:487
+#: src/config/cmdline.c:509
 #, c-format
 msgid "(alias for %s)"
 msgstr ""
 
-#: src/config/cmdline.c:492 src/config/cmdline.c:501
+#: src/config/cmdline.c:514 src/config/cmdline.c:523
 #, c-format
 msgid "(default: %s)"
 msgstr ""
 
-#: src/config/cmdline.c:642
+#: src/config/cmdline.c:654
 #, fuzzy
 msgid "Configuration options"
 msgstr "()"
 
-#: src/config/cmdline.c:646
+#: src/config/cmdline.c:658
 msgid "Usage: elinks [OPTION]... [URL]..."
 msgstr ""
 
-#: src/config/cmdline.c:647
+#: src/config/cmdline.c:659
 #, fuzzy
 msgid "Options"
 msgstr " "
 
-#: src/config/cmdline.c:689
+#: src/config/cmdline.c:701
 #, fuzzy
 msgid "Internal consistency error"
 msgstr " "
 
 #.
-#: src/config/cmdline.c:725
+#: src/config/cmdline.c:737
 msgid "Restrict to anonymous mode"
 msgstr ""
 
-#: src/config/cmdline.c:727
+#: src/config/cmdline.c:739
 msgid ""
-"Restricts ELinks so it can run on an anonymous account.\n"
-"Local file browsing, downloads, and modification of options\n"
-"will be disabled. Execution of viewers is allowed, but entries\n"
-"in the association table can't be added or modified."
+"Restricts ELinks so it can run on an anonymous account. Local file browsing, "
+"downloads, and modification of options will be disabled. Execution of "
+"viewers is allowed, but entries in the association table can't be added or "
+"modified."
 msgstr ""
 
-#: src/config/cmdline.c:732
+#: src/config/cmdline.c:745
 #, fuzzy
 msgid "Autosubmit first form"
 msgstr " "
 
-#: src/config/cmdline.c:734
+#: src/config/cmdline.c:747
 msgid "Automatically submit the first form in the given URLs."
 msgstr ""
 
-#: src/config/cmdline.c:736
+#: src/config/cmdline.c:749
 msgid "Clone internal session with given ID"
 msgstr ""
 
-#: src/config/cmdline.c:738
+#: src/config/cmdline.c:751
 msgid ""
-"Used internally when opening ELinks instances in new windows.\n"
-"The ID maps to information that will be used when creating the\n"
-"new instance. You don't want to use it."
+"Used internally when opening ELinks instances in new windows. The ID maps to "
+"information that will be used when creating the new instance. You don't want "
+"to use it."
 msgstr ""
 
-#: src/config/cmdline.c:744
+#: src/config/cmdline.c:757
 msgid "Name of directory with configuration file"
 msgstr ""
 
-#: src/config/cmdline.c:746
+#: src/config/cmdline.c:759
 msgid ""
-"Path of the directory ELinks will read and write its\n"
-"config and runtime state files to instead of ~/.elinks.\n"
-"If the path does not begin with a '/' it is assumed to be\n"
-"relative to your HOME directory."
+"Path of the directory ELinks will read and write its config and runtime "
+"state files to instead of ~/.elinks. If the path does not begin with a '/' "
+"it is assumed to be relative to your HOME directory."
 msgstr ""
 
-#: src/config/cmdline.c:751
+#: src/config/cmdline.c:764
 msgid "Print default configuration file to stdout"
 msgstr ""
 
-#: src/config/cmdline.c:753
+#: src/config/cmdline.c:766
 msgid ""
-"Print a configuration file with options set to the built-in\n"
-"defaults to stdout."
+"Print a configuration file with options set to the built-in defaults to "
+"stdout."
 msgstr ""
 
-#: src/config/cmdline.c:758
+#: src/config/cmdline.c:771
 msgid "Name of configuration file"
 msgstr ""
 
-#: src/config/cmdline.c:760
+#: src/config/cmdline.c:773
 msgid ""
-"Name of the configuration file that all configuration\n"
-"options will be read from and written to. It should be\n"
-"relative to config-dir."
+"Name of the configuration file that all configuration options will be read "
+"from and written to. It should be relative to config-dir."
 msgstr ""
 
-#: src/config/cmdline.c:764
+#: src/config/cmdline.c:777
 msgid "Print help for configuration options"
 msgstr ""
 
-#: src/config/cmdline.c:766
+#: src/config/cmdline.c:779
 msgid "Print help for configuration options and exit."
 msgstr ""
 
-#: src/config/cmdline.c:768
+#: src/config/cmdline.c:781
 msgid "MIME type assumed for unknown document types"
 msgstr ""
 
-#: src/config/cmdline.c:770
+#: src/config/cmdline.c:783
 msgid "The default MIME type used for documents of unknown type."
 msgstr ""
 
-#: src/config/cmdline.c:772
+#: src/config/cmdline.c:786
 msgid "Ignore user-defined keybindings"
 msgstr ""
 
-#: src/config/cmdline.c:774
+#: src/config/cmdline.c:788
 msgid ""
-"When set, all keybindings from configuration files will be\n"
-"ignored. It forces use of default keybindings and will reset\n"
-"user-defined ones on save."
+"When set, all keybindings from configuration files will be ignored. It "
+"forces use of default keybindings and will reset user-defined ones on save."
 msgstr ""
 
-#: src/config/cmdline.c:778
+#: src/config/cmdline.c:792
 msgid "Print formatted versions of given URLs to stdout"
 msgstr ""
 
-#: src/config/cmdline.c:780
+#: src/config/cmdline.c:794
 msgid "Print formatted plain-text versions of given URLs to stdout."
 msgstr ""
 
-#: src/config/cmdline.c:782
+#: src/config/cmdline.c:797
 msgid "Codepage to use with -dump"
 msgstr ""
 
-#: src/config/cmdline.c:784
+#: src/config/cmdline.c:799
 msgid "Codepage used when formatting dump output."
 msgstr ""
 
-#: src/config/cmdline.c:786
+#: src/config/cmdline.c:801
 msgid "Color mode used with -dump"
 msgstr ""
 
-#: src/config/cmdline.c:788
+#: src/config/cmdline.c:803
 msgid "Color mode used with -dump."
 msgstr ""
 
-#: src/config/cmdline.c:790
+#: src/config/cmdline.c:805
 msgid "Width of document formatted with -dump"
 msgstr ""
 
-#: src/config/cmdline.c:792
+#: src/config/cmdline.c:807
 msgid "Width of the dump output."
 msgstr ""
 
-#: src/config/cmdline.c:794
+#: src/config/cmdline.c:809
 msgid "Evaluate configuration file directive"
 msgstr ""
 
-#: src/config/cmdline.c:796
+#: src/config/cmdline.c:811
 msgid ""
-"Specify configuration file directives on the command-line\n"
-"which will be evaluated after all configuration files has been\n"
-"read. Example usage:\n"
+"Specify configuration file directives on the command-line which will be "
+"evaluated after all configuration files has been read. Example usage:\n"
 "\t-eval 'set protocol.file.allow_special_files = 1'"
 msgstr ""
 
 #. lynx compatibility
-#: src/config/cmdline.c:802
+#: src/config/cmdline.c:817
 msgid "Interpret documents of unknown types as HTML"
 msgstr ""
 
-#: src/config/cmdline.c:804
+#: src/config/cmdline.c:819
 msgid ""
-"Makes ELinks assume documents of unknown types are HTML.\n"
-"Useful when using ELinks as an external viewer from MUAs.\n"
-"This is equivalent to -default-mime-type text/html."
+"Makes ELinks assume documents of unknown types are HTML. Useful when using "
+"ELinks as an external viewer from MUAs. This is equivalent to -default-mime-"
+"type text/html."
 msgstr ""
 
-#: src/config/cmdline.c:814
+#: src/config/cmdline.c:829
 msgid "Print usage help and exit"
 msgstr ""
 
-#: src/config/cmdline.c:816
+#: src/config/cmdline.c:831
 msgid "Print usage help and exit."
 msgstr ""
 
-#: src/config/cmdline.c:818
+#: src/config/cmdline.c:833
 msgid "Only permit local connections"
 msgstr ""
 
-#: src/config/cmdline.c:820
+#: src/config/cmdline.c:835
 msgid ""
-"Restricts ELinks to work offline and only connect to servers\n"
-"with local addresses (ie. 127.0.0.1). No connections to remote\n"
-"servers will be permitted."
+"Restricts ELinks to work offline and only connect to servers with local "
+"addresses (ie. 127.0.0.1). No connections to remote servers will be "
+"permitted."
 msgstr ""
 
-#: src/config/cmdline.c:824
+#: src/config/cmdline.c:839
 msgid "Print detailed usage help and exit"
 msgstr ""
 
-#: src/config/cmdline.c:826
+#: src/config/cmdline.c:841
 msgid "Print detailed usage help and exit."
 msgstr ""
 
-#: src/config/cmdline.c:828
+#: src/config/cmdline.c:843
 #, fuzzy
 msgid "Look up specified host"
 msgstr "    "
 
-#: src/config/cmdline.c:830
+#: src/config/cmdline.c:845
 msgid "Look up specified host and print all DNS resolved IP addresses."
 msgstr ""
 
-#: src/config/cmdline.c:832
+#: src/config/cmdline.c:848
 msgid "Run as separate instance"
 msgstr ""
 
-#: src/config/cmdline.c:834
+#: src/config/cmdline.c:850
 msgid ""
-"Run ELinks as a separate instance instead of connecting to an\n"
-"existing instance. Note that normally no runtime state files\n"
-"(bookmarks, history, etc.) are written to the disk when this\n"
-"option is used. See also -touch-files."
+"Run ELinks as a separate instance instead of connecting to an existing "
+"instance. Note that normally no runtime state files (bookmarks, history, "
+"etc.) are written to the disk when this option is used. See also -touch-"
+"files."
 msgstr ""
 
-#: src/config/cmdline.c:839
+#: src/config/cmdline.c:855
 msgid "Disable use of files in ~/.elinks"
 msgstr ""
 
-#: src/config/cmdline.c:841
+#: src/config/cmdline.c:857
 msgid ""
-"Disables creation and use of files in the user specific home\n"
-"configuration directory (~/.elinks). It forces default configuration\n"
-"values to be used and disables saving of runtime state files."
+"Disables creation and use of files in the user specific home configuration "
+"directory (~/.elinks). It forces default configuration values to be used and "
+"disables saving of runtime state files."
 msgstr ""
 
-#: src/config/cmdline.c:845
+#: src/config/cmdline.c:862
 msgid "Disable link numbering in dump output"
 msgstr ""
 
-#: src/config/cmdline.c:847
+#: src/config/cmdline.c:864
 msgid ""
 "Prevents printing of link number in dump output.\n"
+"\n"
 "Note that this really affects only -dump, nothing else."
 msgstr ""
 
-#: src/config/cmdline.c:850
+#: src/config/cmdline.c:868
 msgid "Disable printing of link references in dump output"
 msgstr ""
 
-#: src/config/cmdline.c:852
+#: src/config/cmdline.c:870
 msgid ""
-"Prevents printing of references (URIs) of document links\n"
-"in dump output.\n"
+"Prevents printing of references (URIs) of document links in dump output.\n"
+"\n"
 "Note that this really affects only -dump, nothing else."
 msgstr ""
 
-#: src/config/cmdline.c:856
+#: src/config/cmdline.c:875
 msgid "Control an already running ELinks"
 msgstr ""
 
-#: src/config/cmdline.c:858
+#: src/config/cmdline.c:877
 msgid ""
-"Control a remote ELinks instance by passing commands to it.\n"
-"The option takes an additional argument containing the method\n"
-"which should be invoked and any parameters that should be passed\n"
-"to it. For ease of use, the additional method argument can be\n"
-"omitted in which case any URL arguments will be opened in new\n"
-"tabs in the remote instance.\n"
+"Control a remote ELinks instance by passing commands to it. The option takes "
+"an additional argument containing the method which should be invoked and any "
+"parameters that should be passed to it. For ease of use, the additional "
+"method argument can be omitted in which case any URL arguments will be "
+"opened in new tabs in the remote instance.\n"
+"\n"
 "Following is a list of the supported methods:\n"
 "\tping()                    : look for a remote instance\n"
 "\topenURL()                 : prompt URL in current tab\n"
@@ -1703,70 +1712,69 @@ msgid ""
 "\txfeDoCommand(openBrowser) : open new window"
 msgstr ""
 
-#: src/config/cmdline.c:874
+#: src/config/cmdline.c:895
 msgid "Connect to session ring with given ID"
 msgstr ""
 
-#: src/config/cmdline.c:876
+#: src/config/cmdline.c:897
 msgid ""
-"ID of session ring this ELinks session should connect to. ELinks\n"
-"works in so-called session rings, whereby all instances of ELinks\n"
-"are interconnected and share state (cache, bookmarks, cookies,\n"
-"and so on). By default, all ELinks instances connect to session\n"
-"ring 0. You can change that behaviour with this switch and form as\n"
-"many session rings as you want. Obviously, if the session-ring with\n"
-"this number doesn't exist yet, it's created and this ELinks instance\n"
-"will become the master instance (that usually doesn't matter for you\n"
-"as a user much). Note that you usually don't want to use this unless\n"
-"you're a developer and you want to do some testing - if you want the\n"
-"ELinks instances each running standalone, rather use the -no-connect\n"
-"command-line option. Also note that normally no runtime state files\n"
-"are written to the disk when this option is used. See also\n"
-"-touch-files."
+"ID of session ring this ELinks session should connect to. ELinks works in so-"
+"called session rings, whereby all instances of ELinks are interconnected and "
+"share state (cache, bookmarks, cookies, and so on). By default, all ELinks "
+"instances connect to session ring 0. You can change that behaviour with this "
+"switch and form as many session rings as you want. Obviously, if the session-"
+"ring with this number doesn't exist yet, it's created and this ELinks "
+"instance will become the master instance (that usually doesn't matter for "
+"you as a user much).\n"
+"\n"
+"Note that you usually don't want to use this unless you're a developer and "
+"you want to do some testing - if you want the ELinks instances each running "
+"standalone, rather use the -no-connect command-line option. Also note that "
+"normally no runtime state files are written to the disk when this option is "
+"used. See also -touch-files."
 msgstr ""
 
-#: src/config/cmdline.c:891
+#: src/config/cmdline.c:915
 msgid "Print the source of given URLs to stdout"
 msgstr ""
 
-#: src/config/cmdline.c:893
+#: src/config/cmdline.c:917
 msgid "Print given URLs in source form to stdout."
 msgstr ""
 
-#: src/config/cmdline.c:897
+#: src/config/cmdline.c:921
 msgid "Touch files in ~/.elinks when running with -no-connect/-session-ring"
 msgstr ""
 
-#: src/config/cmdline.c:899
+#: src/config/cmdline.c:923
 msgid ""
-"When enabled, runtime state files (bookmarks, history, etc.) are\n"
-"written to disk, even when -no-connect or -session-ring is used.\n"
-"The option has no effect if not used in conjunction with any of\n"
-"these options."
+"When enabled, runtime state files (bookmarks, history, etc.) are written to "
+"disk, even when -no-connect or -session-ring is used. The option has no "
+"effect if not used in conjunction with any of these options."
 msgstr ""
 
-#: src/config/cmdline.c:904
+#: src/config/cmdline.c:928
 msgid "Verbose level"
 msgstr ""
 
-#: src/config/cmdline.c:906
+#: src/config/cmdline.c:930
 msgid ""
-"The verbose level controls what messages are shown at\n"
-"start up and while running:\n"
+"The verbose level controls what messages are shown at start up and while "
+"running:\n"
 "\t0 means only show serious errors\n"
 "\t1 means show serious errors and warnings\n"
 "\t2 means show all messages"
 msgstr ""
 
-#: src/config/cmdline.c:912
+#: src/config/cmdline.c:936
 msgid "Print version information and exit"
 msgstr ""
 
-#: src/config/cmdline.c:914
+#: src/config/cmdline.c:938
 msgid "Print ELinks version information and exit."
 msgstr ""
 
-#: src/config/conf.c:938
+#: src/config/conf.c:963
 msgid ""
 "## This is ELinks configuration file. You can edit it manually,\n"
 "## if you wish so; this file is edited by ELinks when you save\n"
@@ -1774,7 +1782,7 @@ msgid ""
 "## and all your formatting, own comments etc will be kept as-is.\n"
 msgstr ""
 
-#: src/config/conf.c:946
+#: src/config/conf.c:971
 msgid ""
 "## This is ELinks configuration file. You can edit it manually,\n"
 "## if you wish so; this file is edited by ELinks when you save\n"
@@ -1785,7 +1793,7 @@ msgid ""
 "## own comments and so on will be kept as-is.\n"
 msgstr ""
 
-#: src/config/conf.c:956
+#: src/config/conf.c:981
 msgid ""
 "## This is ELinks configuration file. You can edit it manually,\n"
 "## if you wish so, but keep in mind that this file is overwritten\n"
@@ -1793,18 +1801,18 @@ msgid ""
 "## luck with your formatting and own comments then, so beware.\n"
 msgstr ""
 
-#: src/config/conf.c:967
+#: src/config/conf.c:992
 msgid ""
 "## Obviously, if you don't like what ELinks is going to do with\n"
 "## this file, you can change it by altering the config.saving_style\n"
 "## option. Come on, aren't we friendly guys after all?\n"
 msgstr ""
 
-#: src/config/conf.c:980
+#: src/config/conf.c:1005
 msgid "Automatically saved options\n"
 msgstr ""
 
-#: src/config/conf.c:992
+#: src/config/conf.c:1017
 msgid "Automatically saved keybindings\n"
 msgstr ""
 
@@ -1865,7 +1873,7 @@ msgstr ""
 #. * switch charsets.  So, it will work in any terminal that
 #. * understands UTF-8 and has the characters in its font.
 #: src/config/dialogs.c:149 src/config/dialogs.c:330
-#: src/config/options.inc:840
+#: src/config/options.inc:887
 msgid "Type"
 msgstr ""
 
@@ -1891,9 +1899,9 @@ msgid "Description"
 msgstr ""
 
 #: src/config/dialogs.c:291 src/protocol/bittorrent/dialogs.c:600
-#: src/protocol/protocol.c:240 src/session/session.c:287
-#: src/session/session.c:975 src/viewer/text/textarea.c:594
-#: src/viewer/text/textarea.c:601
+#: src/protocol/protocol.c:240 src/session/session.c:288
+#: src/session/session.c:999 src/viewer/text/textarea.c:583
+#: src/viewer/text/textarea.c:590
 msgid "Error"
 msgstr ""
 
@@ -1930,7 +1938,7 @@ msgstr " "
 #. accelerator_context(src/config/dialogs.c:keybinding_buttons, src/config/dialogs.c:option_buttons, src/cookies/dialogs.c:cookie_buttons, src/formhist/dialogs.c:formhist_buttons, src/protocol/bittorrent/dialogs.c:bittorrent_query_callback, src/session/download.c:do_type_query, terminal_options)
 #: src/config/dialogs.c:507 src/config/dialogs.c:933 src/cookies/dialogs.c:495
 #: src/dialogs/options.c:236 src/formhist/dialogs.c:214
-#: src/protocol/bittorrent/dialogs.c:801 src/session/download.c:1203
+#: src/protocol/bittorrent/dialogs.c:801 src/session/download.c:1229
 #, fuzzy
 msgid "Sa~ve"
 msgstr ""
@@ -1944,7 +1952,7 @@ msgstr "  "
 msgid "Keystroke"
 msgstr ""
 
-#: src/config/dialogs.c:676 src/config/options.inc:1219
+#: src/config/dialogs.c:676 src/config/options.inc:1292
 msgid "Action"
 msgstr ""
 
@@ -2020,32 +2028,32 @@ msgid ""
 "directory."
 msgstr ""
 
-#: src/config/kbdbind.c:221
+#: src/config/kbdbind.c:222
 msgid "Main mapping"
 msgstr ""
 
-#: src/config/kbdbind.c:222
+#: src/config/kbdbind.c:223
 msgid "Edit mapping"
 msgstr ""
 
-#: src/config/kbdbind.c:223
+#: src/config/kbdbind.c:224
 msgid "Menu mapping"
 msgstr ""
 
-#: src/config/kbdbind.c:588 src/scripting/python/keybinding.c:104
+#: src/config/kbdbind.c:589 src/scripting/python/keybinding.c:104
 msgid "Unrecognised keymap"
 msgstr ""
 
-#: src/config/kbdbind.c:591
+#: src/config/kbdbind.c:592
 #, fuzzy
 msgid "Error parsing keystroke"
 msgstr "    socket"
 
-#: src/config/kbdbind.c:595
+#: src/config/kbdbind.c:596
 msgid "Unrecognised action (internal error)"
 msgstr ""
 
-#: src/config/kbdbind.c:611
+#: src/config/kbdbind.c:612
 #, fuzzy
 msgid "Error registering event"
 msgstr "    socket"
@@ -2073,333 +2081,328 @@ msgid ""
 "3 is full comments are written"
 msgstr ""
 
-#: src/config/options.inc:31
+#: src/config/options.inc:32
 #, fuzzy
 msgid "Indentation"
 msgstr "SSL "
 
-#: src/config/options.inc:33
+#: src/config/options.inc:34
 msgid ""
-"Shift width of one indentation level in the configuration\n"
-"file. Zero means that no indentation is performed at all\n"
-"when saving the configuration."
+"Shift width of one indentation level in the configuration file. Zero means "
+"that no indentation is performed at all when saving the configuration."
 msgstr ""
 
-#: src/config/options.inc:37
+#: src/config/options.inc:38
 msgid "Saving style"
 msgstr ""
 
-#: src/config/options.inc:39
+#: src/config/options.inc:40
 msgid ""
 "Determines what happens when you tell ELinks to save options:\n"
 "0 is only values of current options are altered\n"
-"1 is values of current options are altered and missing options\n"
-"     are added at the end of the file\n"
+"1 is values of current options are altered and missing\n"
+"     options are added at the end of the file\n"
 "2 is the configuration file is rewritten from scratch\n"
-"3 is values of current options are altered and missing options\n"
-"     CHANGED during this ELinks session are added at the end of\n"
-"     the file"
+"3 is values of current options are altered and missing\n"
+"     options CHANGED during this ELinks session are added at\n"
+"     the end of the file"
 msgstr ""
 
-#: src/config/options.inc:48
+#: src/config/options.inc:50
 msgid "Comments localization"
 msgstr ""
 
-#: src/config/options.inc:50
+#: src/config/options.inc:52
 msgid ""
-"If set to 1, comments in the configuration file will be\n"
-"translated to the language used by UI. Note that if you have\n"
-"different language set in different terminals, the language\n"
-"used in the configuration file MAY be the same as on the\n"
-"terminal where you saved the file, but it should be generally\n"
+"If set to 1, comments in the configuration file will be translated to the "
+"language used by UI. Note that if you have different language set in "
+"different terminals, the language used in the configuration file MAY be the "
+"same as on the terminal where you saved the file, but it should be generally "
 "considered unpredictable."
 msgstr ""
 
-#: src/config/options.inc:58
+#: src/config/options.inc:60
 msgid "Saving style warnings"
 msgstr ""
 
-#: src/config/options.inc:60
+#: src/config/options.inc:62
 msgid ""
-"This is internal option used when displaying a warning about\n"
-"obsolete config.saving_style. You shouldn't touch it."
+"This is internal option used when displaying a warning about obsolete config."
+"saving_style. You shouldn't touch it."
 msgstr ""
 
-#: src/config/options.inc:63
+#: src/config/options.inc:66
 msgid "Show template"
 msgstr ""
 
-#: src/config/options.inc:65
+#: src/config/options.inc:68
 msgid ""
-"Show template options in autocreated trees in the options\n"
-"manager and save them to the configuration file."
+"Show template options in autocreated trees in the options manager and save "
+"them to the configuration file."
 msgstr ""
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:71 src/dialogs/info.c:180
+#: src/config/options.inc:74 src/dialogs/info.c:180
 msgid "Connections"
 msgstr "()"
 
-#: src/config/options.inc:73
+#: src/config/options.inc:76
 #, fuzzy
 msgid "Connection options."
 msgstr "()"
 
-#: src/config/options.inc:76
+#: src/config/options.inc:79
 msgid "Asynchronous DNS"
 msgstr ""
 
-#: src/config/options.inc:78
+#: src/config/options.inc:81
 msgid "Whether to use asynchronous DNS resolving."
 msgstr ""
 
-#: src/config/options.inc:80
+#: src/config/options.inc:83
 #, fuzzy
 msgid "Maximum connections"
 msgstr "  "
 
-#: src/config/options.inc:82
+#: src/config/options.inc:85
 msgid "Maximum number of concurrent connections."
 msgstr ""
 
-#: src/config/options.inc:84
+#: src/config/options.inc:87
 #, fuzzy
 msgid "Maximum connections per host"
 msgstr "  "
 
-#: src/config/options.inc:86
+#: src/config/options.inc:89
 msgid "Maximum number of concurrent connections to a given host."
 msgstr ""
 
-#: src/config/options.inc:88
+#: src/config/options.inc:92
 #, fuzzy
 msgid "Connection retries"
 msgstr "()"
 
-#: src/config/options.inc:90
-msgid ""
-"Number of tries to establish a connection.\n"
-"Zero means try forever."
+#: src/config/options.inc:94
+msgid "Number of tries to establish a connection. Zero means try forever."
 msgstr ""
 
-#: src/config/options.inc:93 src/network/state.c:53
+#: src/config/options.inc:97 src/network/state.c:53
 msgid "Receive timeout"
 msgstr "  "
 
-#: src/config/options.inc:95
+#: src/config/options.inc:99
 #, fuzzy
 msgid "Receive timeout (in seconds)."
 msgstr "  "
 
-#: src/config/options.inc:98 src/config/options.inc:108
+#: src/config/options.inc:102 src/config/options.inc:113
 msgid "Try IPv4 when connecting"
 msgstr ""
 
-#: src/config/options.inc:100
+#: src/config/options.inc:104
 msgid ""
-"Whether to try to connect to a host over IPv4.\n"
-"Note that if connection.try_ipv6 is enabled too,\n"
-"it takes precedence. And better do not touch this\n"
+"Whether to try to connect to a host over IPv4. Note that if connection."
+"try_ipv6 is enabled too, it takes precedence. And better do not touch this "
 "at all unless you are sure what are you doing.\n"
-"Note that you can also force a given protocol\n"
-"to be used on a per-connection basis by using a URL\n"
-"in the style of e.g. http4://elinks.cz/."
+"\n"
+"Note that you can also force a given protocol to be used on a per-connection "
+"basis by using a URL in the style of e.g. http4://elinks.cz/."
 msgstr ""
 
-#: src/config/options.inc:110
+#: src/config/options.inc:115
 msgid ""
-"Whether to try to connect to a host over IPv4.\n"
-"Do not touch this option.\n"
-"Note that you can also force a given protocol\n"
-"to be used on a per-connection basis by using a URL\n"
-"in the style of e.g. http4://elinks.cz/."
+"Whether to try to connect to a host over IPv4. Do not touch this option.\n"
+"\n"
+"Note that you can also force a given protocol to be used on a per-connection "
+"basis by using a URL in the style of e.g. http4://elinks.cz/."
 msgstr ""
 
-#: src/config/options.inc:118
+#: src/config/options.inc:124
 msgid "Try IPv6 when connecting"
 msgstr ""
 
-#: src/config/options.inc:120
+#: src/config/options.inc:126
 msgid ""
 "Whether to try to connect to a host over IPv6.\n"
-"Note that you can also force a given protocol\n"
-"to be used on a per-connection basis by using a URL\n"
-"in the style of e.g. http6://elinks.cz/."
+"\n"
+"Note that you can also force a given protocol to be used on a per-connection "
+"basis by using a URL in the style of e.g. http6://elinks.cz/."
 msgstr ""
 
-#: src/config/options.inc:126
+#: src/config/options.inc:133
 msgid "Timeout for non-restartable connections"
 msgstr ""
 
-#: src/config/options.inc:128
+#: src/config/options.inc:135
 msgid "Timeout for non-restartable connections (in seconds)."
 msgstr ""
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:134
+#: src/config/options.inc:141
 #, fuzzy
 msgid "Document"
 msgstr ""
 
-#: src/config/options.inc:136
+#: src/config/options.inc:143
 #, fuzzy
 msgid "Document options."
 msgstr "  "
 
-#: src/config/options.inc:138
+#: src/config/options.inc:145
 msgid "Browsing"
 msgstr ""
 
-#: src/config/options.inc:140
+#: src/config/options.inc:147
 msgid "Document browsing options (mainly interactivity)."
 msgstr ""
 
-#: src/config/options.inc:143
+#: src/config/options.inc:150
 msgid "Access keys"
 msgstr ""
 
-#: src/config/options.inc:145
+#: src/config/options.inc:152
 msgid ""
-"Options for handling of link access keys.\n"
-"An HTML document can use the ACCESSKEY attribute to assign\n"
-"an access key to an element. When an access key is pressed,\n"
-"the corresponding element will be given focus."
+"Options for handling of link access keys. An HTML document can use the "
+"ACCESSKEY attribute to assign an access key to an element. When an access "
+"key is pressed, the corresponding element will be given focus."
 msgstr ""
 
-#: src/config/options.inc:150
+#: src/config/options.inc:157
 msgid "Automatic links following"
 msgstr ""
 
-#: src/config/options.inc:152
+#: src/config/options.inc:159
 msgid ""
-"Automatically follow a link or submit a form if appropriate\n"
-"accesskey is pressed - this is the standard behaviour, but it's\n"
-"considered dangerous."
+"Automatically follow a link or submit a form if appropriate accesskey is "
+"pressed - this is the standard behaviour, but it's considered dangerous."
 msgstr ""
 
-#: src/config/options.inc:156
+#: src/config/options.inc:163
 msgid "Display access key in link info"
 msgstr ""
 
-#: src/config/options.inc:158
+#: src/config/options.inc:165
 msgid "Display access key in link info."
 msgstr ""
 
-#: src/config/options.inc:160
+#: src/config/options.inc:167
 msgid "Accesskey priority"
 msgstr ""
 
-#: src/config/options.inc:162
+#: src/config/options.inc:169
 msgid ""
 "Priority of 'accesskey' HTML attribute:\n"
-"0 is first try all normal bindings; if it fails, check accesskey\n"
-"1 is first try only frame bindings; if it fails, check accesskey\n"
+"0 is first try all normal bindings; if it fails,\n"
+"     check accesskey\n"
+"1 is first try only frame bindings; if it fails,\n"
+"     check accesskey\n"
 "2 is first check accesskey (this can be dangerous)"
 msgstr ""
 
-#: src/config/options.inc:168
+#: src/config/options.inc:177
 msgid "Forms"
 msgstr ""
 
-#: src/config/options.inc:170
+#: src/config/options.inc:179
 msgid "Options for handling of the forms interaction."
 msgstr ""
 
-#: src/config/options.inc:172
+#: src/config/options.inc:181
 #, fuzzy
 msgid "Submit form automatically"
 msgstr "   "
 
-#: src/config/options.inc:174
+#: src/config/options.inc:183
 msgid ""
-"Automagically submit a form when enter is pressed with a text\n"
-"field selected."
+"Automagically submit a form when enter is pressed with a text field selected."
 msgstr ""
 
-#: src/config/options.inc:177
+#: src/config/options.inc:186
 msgid "Confirm submission"
 msgstr ""
 
-#: src/config/options.inc:179
+#: src/config/options.inc:188
 msgid "Ask for confirmation when submitting a form."
 msgstr ""
 
-#: src/config/options.inc:181
+#: src/config/options.inc:190
 msgid "Default form input size"
 msgstr ""
 
-#: src/config/options.inc:183
+#: src/config/options.inc:192
 msgid "Default form input size if none is specified."
 msgstr ""
 
-#: src/config/options.inc:185
+#: src/config/options.inc:194
 msgid "Insert mode"
 msgstr ""
 
-#: src/config/options.inc:187
+#: src/config/options.inc:196
 msgid ""
-"The setting for this option affects how key presses are handled\n"
-"when one selects a text-input form-field. When enabled, one must\n"
-"explicitly 'enter' a selected text-field to edit it; this prevents\n"
-"text fields from capturing key presses, such as presses of a scroll\n"
-"key, when it is inadvertently selected. When disabled, key presses\n"
-"are always inserted into a selected text field."
+"The setting for this option affects how key presses are handled when one "
+"selects a text-input form-field. When enabled, one must explicitly 'enter' a "
+"selected text-field to edit it; this prevents text fields from capturing key "
+"presses, such as presses of a scroll key, when it is inadvertently selected. "
+"When disabled, key presses are always inserted into a selected text field."
 msgstr ""
 
-#: src/config/options.inc:194
+#: src/config/options.inc:204
 #, fuzzy
 msgid "External editor"
 msgstr " "
 
-#: src/config/options.inc:196
+#: src/config/options.inc:206
 msgid ""
-"Path to the executable that ELinks should launch when the user\n"
-"requests to edit a textarea with an external editor.\n"
-"If this is blank, ELinks will use the value of the environmental\n"
-"variable $EDITOR. If $EDITOR is empty or not set, ELinks will then\n"
-"default to \"vi\"."
+"Path to the executable that ELinks should launch when the user requests to "
+"edit a textarea with an external editor.\n"
+"\n"
+"If this is blank, ELinks will use the value of the environmental variable "
+"$EDITOR. If $EDITOR is empty or not set, ELinks will then default to \"vi\"."
 msgstr ""
 
-#: src/config/options.inc:203
+#: src/config/options.inc:214
 #, fuzzy
 msgid "Images"
 msgstr ""
 
-#: src/config/options.inc:205
+#: src/config/options.inc:216
 msgid "Options for handling of images."
 msgstr ""
 
-#: src/config/options.inc:207
+#: src/config/options.inc:218
 #, fuzzy
 msgid "Display style for image tags"
 msgstr ""
 
-#: src/config/options.inc:209
+#: src/config/options.inc:220
 msgid ""
 "Display style for image tags when displayed:\n"
 "0     means always display IMG\n"
 "1     means always display filename\n"
-"2     means display alt/title attribute if possible, IMG if not\n"
-"3     means display alt/title attribute if possible, filename if not"
+"2     means display alt/title attribute if possible,\n"
+"      IMG if not\n"
+"3     means display alt/title attribute if possible,\n"
+"      filename if not"
 msgstr ""
 
-#: src/config/options.inc:215
+#: src/config/options.inc:228
 msgid "Maximum length for image filename"
 msgstr ""
 
-#: src/config/options.inc:217
+#: src/config/options.inc:230
 msgid ""
 "Maximum length of image filename when displayed:\n"
 "0     means always display full filename\n"
 "1-500 means display filename with this maximal length;\n"
-"      if it is longer, the middle is substituted by an asterisk"
+"      if it is longer, the middle is substituted by\n"
+"      an asterisk"
 msgstr ""
 
-#: src/config/options.inc:227
+#: src/config/options.inc:241
 msgid "Image links tagging"
 msgstr ""
 
-#: src/config/options.inc:229
+#: src/config/options.inc:243
 msgid ""
 "When to enclose image links:\n"
 "0 means never\n"
@@ -2407,92 +2410,92 @@ msgid ""
 "2 means always"
 msgstr ""
 
-#: src/config/options.inc:234
+#: src/config/options.inc:248
 msgid "Image link prefix"
 msgstr ""
 
-#: src/config/options.inc:236
+#: src/config/options.inc:250
 msgid "Prefix string to use to mark image links."
 msgstr ""
 
-#: src/config/options.inc:238
+#: src/config/options.inc:252
 msgid "Image link suffix"
 msgstr ""
 
-#: src/config/options.inc:240
+#: src/config/options.inc:254
 msgid "Suffix string to use to mark image links."
 msgstr ""
 
-#: src/config/options.inc:242
+#: src/config/options.inc:256
 msgid "Maximum length for image label"
 msgstr ""
 
-#: src/config/options.inc:244
+#: src/config/options.inc:258
 msgid ""
 "Maximum length of image label (alt/title):\n"
 "0     means always display full label\n"
 "1-500 means display label with this maximal length;\n"
-"      if it is longer, the middle is substituted by an asterisk"
+"      if it is longer, the middle is substituted by\n"
+"      an asterisk"
 msgstr ""
 
-#: src/config/options.inc:249
+#: src/config/options.inc:264
 msgid "Display links to images w/o alt"
 msgstr ""
 
-#: src/config/options.inc:251
+#: src/config/options.inc:266
 msgid ""
-"Display links to images without an alt attribute. If this option\n"
-"is off, these images are completely invisible."
+"Display links to images without an alt attribute. If this option is off, "
+"these images are completely invisible."
 msgstr ""
 
-#: src/config/options.inc:254
+#: src/config/options.inc:269
 #, fuzzy
 msgid "Display links to images"
 msgstr ""
 
-#: src/config/options.inc:256
+#: src/config/options.inc:271
 msgid ""
-"Display links to any images in the document, regardless of them\n"
-"having an alt attribute or not. If this option is off, the alt\n"
-"attribute contents is shown, but as normal text, not selectable\n"
-"as a link."
+"Display links to any images in the document, regardless of them having an "
+"alt attribute or not. If this option is off, the alt attribute contents is "
+"shown, but as normal text, not selectable as a link."
 msgstr ""
 
-#: src/config/options.inc:262
+#: src/config/options.inc:277
 #, fuzzy
 msgid "Links"
 msgstr ""
 
-#: src/config/options.inc:264
+#: src/config/options.inc:279
 msgid "Options for handling of links to other documents."
 msgstr ""
 
-#: src/config/options.inc:266
+#: src/config/options.inc:281
 msgid "Active link"
 msgstr ""
 
-#: src/config/options.inc:268
+#: src/config/options.inc:283
 msgid "Options for the active link."
 msgstr ""
 
-#: src/config/options.inc:270
+#: src/config/options.inc:285
 #, fuzzy
 msgid "Colors"
 msgstr ""
 
-#: src/config/options.inc:272
+#: src/config/options.inc:287
 #, fuzzy
 msgid "Active link colors."
 msgstr "  "
 
-#: src/config/options.inc:274 src/config/options.inc:549
-#: src/config/options.inc:945
+#: src/config/options.inc:289 src/config/options.inc:583
+#: src/config/options.inc:1014
 #, fuzzy
 msgid "Background color"
 msgstr "  "
 
-#: src/config/options.inc:276 src/config/options.inc:551
-#: src/config/options.inc:946
+#: src/config/options.inc:291 src/config/options.inc:585
+#: src/config/options.inc:1015
 #, fuzzy
 msgid "Default background color."
 msgstr "    "
@@ -2505,75 +2508,75 @@ msgstr "    "
 #. *	on it.
 #. The colors and mono tree should be similar but with different default
 #. * values of course so always use the macros below.
-#: src/config/options.inc:278 src/config/options.inc:545
-#: src/config/options.inc:943
+#: src/config/options.inc:293 src/config/options.inc:579
+#: src/config/options.inc:1012
 #, fuzzy
 msgid "Text color"
 msgstr " "
 
-#: src/config/options.inc:280 src/config/options.inc:547
-#: src/config/options.inc:944
+#: src/config/options.inc:295 src/config/options.inc:581
+#: src/config/options.inc:1013
 msgid "Default text color."
 msgstr ""
 
-#: src/config/options.inc:282
+#: src/config/options.inc:297
 #, fuzzy
 msgid "Enable color"
 msgstr ""
 
-#: src/config/options.inc:284
+#: src/config/options.inc:299
 msgid ""
-"Enable use of the active link background and text color\n"
-"settings instead of the link colors from the document."
+"Enable use of the active link background and text color settings instead of "
+"the link colors from the document."
 msgstr ""
 
-#: src/config/options.inc:287
+#: src/config/options.inc:302
 msgid "Bold"
 msgstr ""
 
-#: src/config/options.inc:289
+#: src/config/options.inc:304
 msgid "Make the active link text bold."
 msgstr ""
 
-#: src/config/options.inc:291
+#: src/config/options.inc:306
 #, fuzzy
 msgid "Invert colors"
 msgstr " "
 
-#: src/config/options.inc:293
+#: src/config/options.inc:308
 msgid "Invert the fore- and background color so the link stands out."
 msgstr ""
 
-#: src/config/options.inc:296 src/config/options.inc:908
+#: src/config/options.inc:311 src/config/options.inc:975
 #: src/dialogs/options.c:231
 msgid "Underline"
 msgstr ""
 
-#: src/config/options.inc:298
+#: src/config/options.inc:313
 msgid "Underline the active link."
 msgstr ""
 
-#: src/config/options.inc:301
+#: src/config/options.inc:316
 msgid "Directory highlighting"
 msgstr ""
 
-#: src/config/options.inc:303
+#: src/config/options.inc:318
 msgid "Highlight links to directories in FTP and local directory listing."
 msgstr ""
 
-#: src/config/options.inc:305
+#: src/config/options.inc:321
 msgid "Number links"
 msgstr ""
 
-#: src/config/options.inc:307
+#: src/config/options.inc:323
 msgid "Display numbers next to the links."
 msgstr ""
 
-#: src/config/options.inc:309
+#: src/config/options.inc:325
 msgid "Handling of target=_blank"
 msgstr ""
 
-#: src/config/options.inc:311
+#: src/config/options.inc:327
 msgid ""
 "Define how to handle links having target=_blank set:\n"
 "0 means open link in current tab\n"
@@ -2582,141 +2585,138 @@ msgid ""
 "3 means open link in new window"
 msgstr ""
 
-#: src/config/options.inc:324
+#: src/config/options.inc:340
 msgid "Use tabindex"
 msgstr ""
 
-#: src/config/options.inc:326
+#: src/config/options.inc:342
 msgid ""
-"Whether to navigate links using tabindex specified ordering.\n"
-"The TABINDEX attribute in HTML elements specifies the order\n"
-"in which links should receive focus when using the keyboard\n"
-"to navigate the document."
+"Whether to navigate links using tabindex specified ordering. The TABINDEX "
+"attribute in HTML elements specifies the order in which links should receive "
+"focus when using the keyboard to navigate the document."
 msgstr ""
 
-#: src/config/options.inc:331
+#: src/config/options.inc:347
 #, fuzzy
 msgid "Missing fragment reporting"
 msgstr " "
 
-#: src/config/options.inc:333
+#: src/config/options.inc:349
 msgid "Open a message box when document has no tag with given id."
 msgstr ""
 
-#: src/config/options.inc:335
+#: src/config/options.inc:352
 msgid "Number keys select links"
 msgstr ""
 
-#: src/config/options.inc:337
+#: src/config/options.inc:354
 msgid ""
-"Number keys select links rather than specify command prefixes. This\n"
-"is a tristate:\n"
+"Number keys select links rather than specify command prefixes. This is a "
+"tristate:\n"
 "0 means never\n"
 "1 means if document.browse.links.numbering = 1\n"
 "2 means always"
 msgstr ""
 
-#: src/config/options.inc:343
+#: src/config/options.inc:360
 msgid "Warn about maliciously crafted URIs"
 msgstr ""
 
-#: src/config/options.inc:345
+#: src/config/options.inc:362
 msgid ""
-"When following a link the user ID part of the URI is\n"
-"checked and if a maliciously crafted URI is detected a\n"
-"warning dialog will ask before following the link."
+"When following a link the user ID part of the URI is checked and if a "
+"maliciously crafted URI is detected a warning dialog will ask before "
+"following the link."
 msgstr ""
 
 #. TODO - this is somehow implemented by ff, but disabled
 #. * for now as it doesn't work.
-#: src/config/options.inc:351
+#: src/config/options.inc:368
 msgid "Wrap-around links cycling"
 msgstr ""
 
 #. 0
-#: src/config/options.inc:353
+#: src/config/options.inc:370
 msgid ""
-"When pressing 'down' on the last link, jump to the first one, and\n"
-"vice versa."
+"When pressing 'down' on the last link, jump to the first one, and vice versa."
 msgstr ""
 
-#: src/config/options.inc:357
+#: src/config/options.inc:374
 #, fuzzy
 msgid "Scrolling"
 msgstr ""
 
-#: src/config/options.inc:359
+#: src/config/options.inc:376
 #, fuzzy
 msgid "Scrolling options."
 msgstr "  "
 
-#: src/config/options.inc:361
+#: src/config/options.inc:378
 msgid "Horizontal step"
 msgstr ""
 
-#: src/config/options.inc:363
+#: src/config/options.inc:380
 msgid ""
-"Number of columns to scroll when a key bound to scroll-left or scroll-\n"
-"right is pressed and no prefix was given."
+"Number of columns to scroll when a key bound to scroll-left or scroll-right "
+"is pressed and no prefix was given."
 msgstr ""
 
-#: src/config/options.inc:366
+#: src/config/options.inc:384
 msgid "Extended horizontal scrolling"
 msgstr ""
 
-#: src/config/options.inc:368
+#: src/config/options.inc:386
 msgid ""
-"Whether to allow horizontal scrolling when the document\n"
-"does not extend off the screen. Useful for copy/paste\n"
-"operations."
+"Whether to allow horizontal scrolling when the document does not extend off "
+"the screen. Useful for copy/paste operations."
 msgstr ""
 
-#: src/config/options.inc:372
+#: src/config/options.inc:390
 #, fuzzy
 msgid "Margin"
 msgstr ""
 
-#: src/config/options.inc:374
+#: src/config/options.inc:392
 msgid ""
-"Size of the virtual margin - when you click inside of that margin,\n"
-"document scrolls in that direction."
+"Size of the virtual margin - when you click inside of that margin, document "
+"scrolls in that direction."
 msgstr ""
 
-#: src/config/options.inc:377
+#: src/config/options.inc:395
 msgid "Vertical step"
 msgstr ""
 
-#: src/config/options.inc:379
+#: src/config/options.inc:397
 msgid ""
-"Number of lines to scroll when a key bound to scroll-up or scroll-\n"
-"down is pressed and no prefix was given."
+"Number of lines to scroll when a key bound to scroll-up or scroll-down is "
+"pressed and no prefix was given."
 msgstr ""
 
-#: src/config/options.inc:383
+#: src/config/options.inc:401
 #, fuzzy
 msgid "Searching"
 msgstr ""
 
-#: src/config/options.inc:385
+#: src/config/options.inc:403
 msgid "Options for searching."
 msgstr ""
 
-#: src/config/options.inc:387
+#: src/config/options.inc:405
 msgid "Case sensitivity"
 msgstr ""
 
-#: src/config/options.inc:389
+#: src/config/options.inc:407
 msgid ""
-"Whether the search should match the document text while maintaining\n"
-"case sensitivity."
+"Whether the search should match the document text while maintaining case "
+"sensitivity."
 msgstr ""
 
-#: src/config/options.inc:393
+#: src/config/options.inc:411
 #, fuzzy
 msgid "Regular expressions"
 msgstr " "
 
-#: src/config/options.inc:395
+#: src/config/options.inc:413
 msgid ""
 "Enable searching with regular expressions:\n"
 "0 for plain text searching\n"
@@ -2724,31 +2724,31 @@ msgid ""
 "2 for extended regular expression searches"
 msgstr ""
 
-#: src/config/options.inc:401
+#: src/config/options.inc:419
 msgid "Show search hit top or bottom dialogs"
 msgstr ""
 
-#: src/config/options.inc:403
+#: src/config/options.inc:421
 msgid ""
-"Whether to show a dialog when the search hits the top or bottom of the\n"
+"Whether to show a dialog when the search hits the top or bottom of the "
 "document."
 msgstr ""
 
-#: src/config/options.inc:406
+#: src/config/options.inc:424
 #, fuzzy
 msgid "Wraparound"
 msgstr "  "
 
-#: src/config/options.inc:408
+#: src/config/options.inc:426
 msgid "Wrap around when searching. Currently only used for typeahead."
 msgstr ""
 
-#: src/config/options.inc:410
+#: src/config/options.inc:429
 #, fuzzy
 msgid "Show not found"
 msgstr "   "
 
-#: src/config/options.inc:412
+#: src/config/options.inc:431
 msgid ""
 "How to inform the user when nothing is matched:\n"
 "0 means do nothing\n"
@@ -2756,283 +2756,284 @@ msgid ""
 "2 means pop up message box"
 msgstr ""
 
-#: src/config/options.inc:417
+#: src/config/options.inc:436
 #, fuzzy
 msgid "Typeahead searching"
 msgstr ""
 
-#: src/config/options.inc:419
+#: src/config/options.inc:438
 msgid ""
-"Start typeahead searching when an unbound key is pressed without\n"
-"any modifiers. Note that most keys have default bindings, so this\n"
-"feature will not be useful unless you unbind them.\n"
-"\n"
-"0 disables this feature; typeahead searching will only be used\n"
-"  when you press a key bound to search-typeahead or similar\n"
+"Start typeahead searching when an unbound key is pressed without any "
+"modifiers. Note that most keys have default bindings, so this feature will "
+"not be useful unless you unbind them.\n"
+"\n"
+"0 disables this feature; typeahead searching will only be\n"
+"  used when you press a key bound to search-typeahead or\n"
+"  similar\n"
 "1 automatically starts typeahead searching thru link text\n"
-"2 automatically starts typeahead searching thru all document text"
+"2 automatically starts typeahead searching thru all document\n"
+"  text"
 msgstr ""
 
-#: src/config/options.inc:428
+#: src/config/options.inc:451
 msgid "Horizontal text margin"
 msgstr ""
 
-#: src/config/options.inc:430
+#: src/config/options.inc:453
 msgid "Horizontal text margin."
 msgstr ""
 
-#: src/config/options.inc:432
+#: src/config/options.inc:455
 msgid "Document meta refresh"
 msgstr ""
 
-#: src/config/options.inc:434
+#: src/config/options.inc:457
 msgid ""
-"Automatically follow document-specified refresh directives ('<meta>\n"
-"refresh' tags). Web-page authors use these to instruct the browser\n"
-"to reload a document at a given interval or to load another page.\n"
-"Regardless of the value the refresh URI is accessible as a link.\n"
-"Use the document.browse.minimum_refresh_time to control the minimum\n"
-"number of seconds a refresh will wait."
+"Automatically follow document-specified refresh directives ('<meta> refresh' "
+"tags). Web-page authors use these to instruct the browser to reload a "
+"document at a given interval or to load another page. Regardless of the "
+"value the refresh URI is accessible as a link.\n"
+"\n"
+"Use the document.browse.minimum_refresh_time to control the minimum number "
+"of seconds a refresh will wait."
 msgstr ""
 
-#: src/config/options.inc:441
+#: src/config/options.inc:466
 msgid "Document meta refresh minimum time"
 msgstr ""
 
-#: src/config/options.inc:443
+#: src/config/options.inc:468
 msgid ""
-"The minimum number of milliseconds that should pass before\n"
-"refreshing. If set to zero the document refresh time is used\n"
-"unchanged. It can fix going back in history for some sites that\n"
-"use refreshing with zero values."
+"The minimum number of milliseconds that should pass before refreshing. If "
+"set to zero the document refresh time is used unchanged. It can fix going "
+"back in history for some sites that use refreshing with zero values."
 msgstr ""
 
-#: src/config/options.inc:448
+#: src/config/options.inc:473
 msgid "Tables navigation order"
 msgstr ""
 
-#: src/config/options.inc:450
+#: src/config/options.inc:475
 msgid "Move by columns in table, instead of rows."
 msgstr ""
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:456
+#: src/config/options.inc:481
 #, fuzzy
 msgid "Cache"
 msgstr ""
 
-#: src/config/options.inc:458
+#: src/config/options.inc:483
 #, fuzzy
 msgid "Cache options."
 msgstr " "
 
-#: src/config/options.inc:460
+#: src/config/options.inc:485
 #, fuzzy
 msgid "Cache information about redirects"
 msgstr "  "
 
-#: src/config/options.inc:462
+#: src/config/options.inc:487
 msgid ""
-"Cache even redirects sent by server (usually thru HTTP by a 302\n"
-"HTTP code and a Location header). This was the original behaviour\n"
-"for quite some time, but it causes problems in a situation very\n"
-"common to various web login systems - frequently, when accessing\n"
-"a certain location, they will redirect you to a login page if they\n"
-"don't receive an auth cookie, the login page then gives you the\n"
-"cookie and redirects you back to the original page, but there you\n"
-"have already cached redirect back to the login page! If this\n"
-"option has value of 0, this malfunction is fixed, but occasionally\n"
-"you may get superfluous (depends on how you take it ;-) requests to\n"
-"the server. If this option has value of 1, experienced users can\n"
-"still workaround it by clever combination of usage of reload,\n"
-"jumping around in session history and hitting ctrl+enter.\n"
-"Note that this option is checked when retrieving the information\n"
-"from cache, not when saving it to cache - thus if you enable\n"
-"it, even previous redirects will be taken from cache instead of\n"
-"asking the server."
+"Cache even redirects sent by server (usually thru HTTP by a 302 HTTP code "
+"and a Location header). This was the original behaviour for quite some time, "
+"but it causes problems in a situation very common to various web login "
+"systems - frequently, when accessing a certain location, they will redirect "
+"you to a login page if they don't receive an auth cookie, the login page "
+"then gives you the cookie and redirects you back to the original page, but "
+"there you have already cached redirect back to the login page! If this "
+"option has value of 0, this malfunction is fixed, but occasionally you may "
+"get superfluous (depends on how you take it ;-) requests to the server. If "
+"this option has value of 1, experienced users can still workaround it by "
+"clever combination of usage of reload, jumping around in session history and "
+"hitting ctrl+enter.\n"
+"\n"
+"Note that this option is checked when retrieving the information from cache, "
+"not when saving it to cache - thus if you enable it, even previous redirects "
+"will be taken from cache instead of asking the server."
 msgstr ""
 
-#: src/config/options.inc:480
+#: src/config/options.inc:508
 msgid "Ignore cache-control info from server"
 msgstr ""
 
-#: src/config/options.inc:482
+#: src/config/options.inc:510
 msgid ""
-"Ignore Cache-Control and Pragma server headers.\n"
-"When set, the document is cached even with 'Cache-Control: no-cache'."
+"Ignore Cache-Control and Pragma server headers. When set, the document is "
+"cached even with 'Cache-Control: no-cache'."
 msgstr ""
 
-#: src/config/options.inc:485
+#: src/config/options.inc:514
 #, fuzzy
 msgid "Formatted documents"
 msgstr "   "
 
-#: src/config/options.inc:487
+#: src/config/options.inc:516
 msgid "Format cache options."
 msgstr ""
 
-#: src/config/options.inc:489
+#: src/config/options.inc:518
 #, fuzzy
 msgid "Number"
 msgstr " "
 
-#: src/config/options.inc:491
+#: src/config/options.inc:520
 msgid ""
-"Number of cached formatted pages. Do not get too generous\n"
-"here, 'formatted' means that all the accompanying structures\n"
-"are kept in memory so that you get the cached document\n"
-"immediatelly, but these structures may take a lot - 2x the\n"
-"size of the HTML source is probably not unusual, but it can\n"
-"be even more if the document consists of a lot of short lines\n"
-"(padded right, if possible) and links and not much other markup.\n"
-"So if you set this to 256 and then you don't like your ELinks\n"
-"eating 90M, don't come complaining to us. ;-)\n"
-"Also note that the format cache itself is not counted to the\n"
-"memory cache size, but the HTML source of the formatted documents\n"
-"is always cached, even if it is over the memory cache size\n"
-"threshold. (Then of course no other documents can be cached.)"
+"Number of cached formatted pages. Do not get too generous here, 'formatted' "
+"means that all the accompanying structures are kept in memory so that you "
+"get the cached document immediatelly, but these structures may take a lot - "
+"2x the size of the HTML source is probably not unusual, but it can be even "
+"more if the document consists of a lot of short lines (padded right, if "
+"possible) and links and not much other markup. So if you set this to 256 and "
+"then you don't like your ELinks eating 90M, don't come complaining to "
+"us. ;-)\n"
+"\n"
+"Also note that the format cache itself is not counted to the memory cache "
+"size, but the HTML source of the formatted documents is always cached, even "
+"if it is over the memory cache size threshold. (Then of course no other "
+"documents can be cached.)"
 msgstr ""
 
 #. FIXME: Write more.
-#: src/config/options.inc:506
+#: src/config/options.inc:538
 #, fuzzy
 msgid "Revalidation interval"
 msgstr "  "
 
-#: src/config/options.inc:508
+#: src/config/options.inc:540
 msgid ""
-"Period in seconds that a cache entry is considered to be\n"
-"up-to-date. When a document is loaded and this interval has elapsed\n"
-"since the document was initially loaded or most recently\n"
-"revalidated with the server, the server will be checked in case\n"
-"there is a more up-to-date version of the document.\n"
+"Period in seconds that a cache entry is considered to be up-to-date. When a "
+"document is loaded and this interval has elapsed since the document was "
+"initially loaded or most recently revalidated with the server, the server "
+"will be checked in case there is a more up-to-date version of the document.\n"
 "\n"
 "A value of -1 disables automatic revalidation."
 msgstr ""
 
-#: src/config/options.inc:515 src/dialogs/info.c:199
+#: src/config/options.inc:549 src/dialogs/info.c:199
 msgid "Memory cache"
 msgstr "-"
 
-#: src/config/options.inc:517
+#: src/config/options.inc:551
 #, fuzzy
 msgid "Memory cache options."
 msgstr "-"
 
-#: src/config/options.inc:521
+#: src/config/options.inc:555
 #, fuzzy
 msgid "Memory cache size (in bytes)."
 msgstr "-"
 
-#: src/config/options.inc:525
+#: src/config/options.inc:559
 #, fuzzy
 msgid "Charset"
 msgstr ""
 
-#: src/config/options.inc:527
+#: src/config/options.inc:561
 #, fuzzy
 msgid "Charset options."
 msgstr " "
 
-#: src/config/options.inc:529
+#: src/config/options.inc:563
 msgid "Default codepage"
 msgstr ""
 
-#: src/config/options.inc:531
+#: src/config/options.inc:565
 msgid ""
-"Default document codepage. 'System' stands for\n"
-"a codepage determined by a selected locale."
+"Default document codepage. 'System' stands for a codepage determined by a "
+"selected locale."
 msgstr ""
 
-#: src/config/options.inc:534
+#: src/config/options.inc:568
 msgid "Ignore charset info from server"
 msgstr ""
 
-#: src/config/options.inc:536
+#: src/config/options.inc:570
 msgid "Ignore charset info sent by server."
 msgstr ""
 
-#: src/config/options.inc:540
+#: src/config/options.inc:574
 msgid "Default color settings"
 msgstr ""
 
-#: src/config/options.inc:542
+#: src/config/options.inc:576
 msgid "Default document color settings."
 msgstr ""
 
-#: src/config/options.inc:553
+#: src/config/options.inc:587
 #, fuzzy
 msgid "Link color"
 msgstr "  "
 
-#: src/config/options.inc:555
+#: src/config/options.inc:589
 msgid "Default link color."
 msgstr ""
 
-#: src/config/options.inc:557
+#: src/config/options.inc:591
 msgid "Visited-link color"
 msgstr ""
 
-#: src/config/options.inc:559
+#: src/config/options.inc:593
 msgid "Default visited link color."
 msgstr ""
 
-#: src/config/options.inc:561
+#: src/config/options.inc:595
 #, fuzzy
 msgid "Image-link color"
 msgstr "  "
 
-#: src/config/options.inc:563
+#: src/config/options.inc:597
 #, fuzzy
 msgid "Default image link color."
 msgstr "    "
 
-#: src/config/options.inc:565
+#: src/config/options.inc:599
 msgid "Bookmarked-link color"
 msgstr ""
 
-#: src/config/options.inc:567
+#: src/config/options.inc:601
 #, fuzzy
 msgid "Default bookmarked link color."
 msgstr "    "
 
-#: src/config/options.inc:569
+#: src/config/options.inc:603
 msgid "Directory color"
 msgstr ""
 
-#: src/config/options.inc:571
+#: src/config/options.inc:605
 msgid ""
 "Default directory color.\n"
+"\n"
 "See document.browse.links.color_dirs option."
 msgstr ""
 
-#: src/config/options.inc:578
+#: src/config/options.inc:613
 msgid "Increase contrast"
 msgstr ""
 
-#: src/config/options.inc:580
+#: src/config/options.inc:615
 msgid ""
-"Increase the contrast between the foreground and background colors\n"
-"to ensure readability. For example it disallows dark colors on a\n"
-"black background. Note, this is different from ensuring the contrast\n"
-"with the ensure_contrast option."
+"Increase the contrast between the foreground and background colors to ensure "
+"readability. For example it disallows dark colors on a black background. "
+"Note, this is different from ensuring the contrast with the ensure_contrast "
+"option."
 msgstr ""
 
-#: src/config/options.inc:585
+#: src/config/options.inc:621
 msgid "Ensure contrast"
 msgstr ""
 
-#: src/config/options.inc:587
+#: src/config/options.inc:623
 msgid "Makes sure that the back- and foreground colors are never equal."
 msgstr ""
 
 #. If you change this please also change ACT_MAIN_DOCUMENT_COLORS action
 #. * handling.
-#: src/config/options.inc:592
+#: src/config/options.inc:628
 msgid "Use document-specified colors"
 msgstr ""
 
-#: src/config/options.inc:594
+#: src/config/options.inc:630
 msgid ""
 "Use colors specified in document:\n"
 "0 is use always the default settings\n"
@@ -3044,40 +3045,40 @@ msgid ""
 msgstr ""
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:607
+#: src/config/options.inc:643
 #, fuzzy
 msgid "Downloading"
 msgstr " (, )"
 
-#: src/config/options.inc:609
+#: src/config/options.inc:645
 msgid "Options regarding files downloading and handling."
 msgstr ""
 
-#: src/config/options.inc:611
+#: src/config/options.inc:647
 #, fuzzy
 msgid "Default download directory"
 msgstr "  "
 
-#: src/config/options.inc:613
+#: src/config/options.inc:649
 msgid "Default download directory."
 msgstr ""
 
-#: src/config/options.inc:615
+#: src/config/options.inc:651
 msgid "Set original time"
 msgstr ""
 
-#: src/config/options.inc:617
+#: src/config/options.inc:653
 msgid ""
-"Set the timestamp of each downloaded file to the timestamp\n"
-"stored on the server."
+"Set the timestamp of each downloaded file to the timestamp stored on the "
+"server."
 msgstr ""
 
 #. Does automatic resuming make sense as an option?
-#: src/config/options.inc:621
+#: src/config/options.inc:657
 msgid "Prevent overwriting"
 msgstr ""
 
-#: src/config/options.inc:623
+#: src/config/options.inc:659
 msgid ""
 "Prevent overwriting the local files:\n"
 "0 is files will silently be overwritten\n"
@@ -3085,12 +3086,12 @@ msgid ""
 "2 is ask the user"
 msgstr ""
 
-#: src/config/options.inc:628
+#: src/config/options.inc:664
 #, fuzzy
 msgid "Notify download completion by bell"
 msgstr " "
 
-#: src/config/options.inc:630
+#: src/config/options.inc:666
 msgid ""
 "Audio notification when download is completed:\n"
 "0 is never\n"
@@ -3098,27 +3099,27 @@ msgid ""
 "2 is always"
 msgstr ""
 
-#: src/config/options.inc:636
+#: src/config/options.inc:672
 msgid "Dump output"
 msgstr ""
 
-#: src/config/options.inc:638
+#: src/config/options.inc:674
 msgid "Dump output options."
 msgstr ""
 
 #. OPT_CODEPAGE
-#: src/config/options.inc:640 src/config/options.inc:912
+#: src/config/options.inc:676 src/config/options.inc:980
 #: src/config/opttypes.c:481 src/dialogs/document.c:164
 msgid "Codepage"
 msgstr ""
 
-#: src/config/options.inc:642
+#: src/config/options.inc:678
 msgid ""
-"Codepage used in dump output. 'System' stands for\n"
-"a codepage determined by a selected locale."
+"Codepage used in dump output. 'System' stands for a codepage determined by a "
+"selected locale."
 msgstr ""
 
-#: src/config/options.inc:645 src/config/options.inc:878
+#: src/config/options.inc:681 src/config/options.inc:941
 #, fuzzy
 msgid "Color mode"
 msgstr ""
@@ -3128,12 +3129,14 @@ msgstr ""
 #. * an outer list entry after an inner list.
 #. * TRANSLATORS: This restriction applies only to the
 #. * "en" (English) translation.  (See doc/Makefile.)
-#: src/config/options.inc:652
+#: src/config/options.inc:688
 msgid ""
 "Color mode for dumps.\n"
+"\n"
 "Some modes may have been disabled at compile time. The Setup -> Terminal "
 "options dialog lists the modes supported by this executable. If you select "
 "an unsupported mode, ELinks uses 16 colors.\n"
+"\n"
 "The color modes are:\n"
 "-1 is standard dump mode\n"
 "0 is mono mode\n"
@@ -3143,128 +3146,126 @@ msgid ""
 "4 is true color mode"
 msgstr ""
 
-#: src/config/options.inc:665
+#: src/config/options.inc:703
 msgid "Footer"
 msgstr ""
 
-#: src/config/options.inc:667
+#: src/config/options.inc:705
 #, c-format
 msgid "Footer string used in dumps. %u is substituted by URL."
 msgstr ""
 
-#: src/config/options.inc:671
+#: src/config/options.inc:709
 #, c-format
 msgid "Header string used in dumps. %u is substituted by URL."
 msgstr ""
 
-#: src/config/options.inc:673
+#: src/config/options.inc:711
 #, fuzzy
 msgid "Numbering"
 msgstr " "
 
-#: src/config/options.inc:675
+#: src/config/options.inc:713
 msgid "Whether to print link numbers in dump output."
 msgstr ""
 
-#: src/config/options.inc:677
+#: src/config/options.inc:715
 #, fuzzy
 msgid "References"
 msgstr ""
 
-#: src/config/options.inc:679
-msgid ""
-"Whether to print references (URIs) of document links\n"
-"in dump output."
+#: src/config/options.inc:717
+msgid "Whether to print references (URIs) of document links in dump output."
 msgstr ""
 
-#: src/config/options.inc:682
+#: src/config/options.inc:720
 #, fuzzy
 msgid "Separator"
 msgstr "  "
 
-#: src/config/options.inc:684
+#: src/config/options.inc:722
 msgid "String which separates two dumps."
 msgstr ""
 
-#: src/config/options.inc:686
+#: src/config/options.inc:724
 msgid "Width"
 msgstr ""
 
-#: src/config/options.inc:688
+#: src/config/options.inc:726
 msgid "Width of screen in characters when dumping documents."
 msgstr ""
 
-#: src/config/options.inc:692
+#: src/config/options.inc:730
 #, fuzzy
 msgid "History"
 msgstr ""
 
-#: src/config/options.inc:694
+#: src/config/options.inc:732
 msgid "History options."
 msgstr ""
 
-#: src/config/options.inc:696
+#: src/config/options.inc:734
 #, fuzzy
 msgid "Keep unhistory"
 msgstr "  "
 
-#: src/config/options.inc:698
+#: src/config/options.inc:736
 #, fuzzy
 msgid "Keep unhistory (\"forward history\")."
 msgstr " "
 
-#: src/config/options.inc:701
+#: src/config/options.inc:739
 #, fuzzy
 msgid "HTML rendering"
 msgstr ""
 
-#: src/config/options.inc:703
+#: src/config/options.inc:741
 msgid "Options concerning the display of HTML pages."
 msgstr ""
 
-#: src/config/options.inc:705
+#: src/config/options.inc:743
 #, fuzzy
 msgid "Display frames"
 msgstr ""
 
-#: src/config/options.inc:707
+#: src/config/options.inc:745
 #, fuzzy
 msgid "Display frames."
 msgstr ""
 
-#: src/config/options.inc:709
+#: src/config/options.inc:747
 #, fuzzy
 msgid "Display tables"
 msgstr ""
 
-#: src/config/options.inc:711
+#: src/config/options.inc:749
 #, fuzzy
 msgid "Display tables."
 msgstr ""
 
-#: src/config/options.inc:713
+#: src/config/options.inc:751
 #, fuzzy
 msgid "Display subscripts"
 msgstr " "
 
-#: src/config/options.inc:715
+#: src/config/options.inc:753
 msgid "Display subscripts (as [thing])."
 msgstr ""
 
-#: src/config/options.inc:717
+#: src/config/options.inc:755
 #, fuzzy
 msgid "Display superscripts"
 msgstr " "
 
-#: src/config/options.inc:719
+#: src/config/options.inc:757
 msgid "Display superscripts (as ^thing)."
 msgstr ""
 
-#: src/config/options.inc:721
+#: src/config/options.inc:759
 msgid "Rendering of HTML link element"
 msgstr ""
 
-#: src/config/options.inc:723
+#: src/config/options.inc:761
 msgid ""
 "How to render <link> tags from the HTML header:\n"
 "0 is nothing\n"
@@ -3275,145 +3276,143 @@ msgid ""
 "5 is everything"
 msgstr ""
 
-#: src/config/options.inc:731
+#: src/config/options.inc:769
 msgid "Underline links"
 msgstr ""
 
-#: src/config/options.inc:733
+#: src/config/options.inc:771
 msgid "Underline links."
 msgstr ""
 
-#: src/config/options.inc:735
+#: src/config/options.inc:773
 msgid "Wrap non breaking space"
 msgstr ""
 
-#: src/config/options.inc:737
+#: src/config/options.inc:775
 msgid ""
-"If set do not honour non breaking space (the nbsp entity)\n"
-"but allow to wrap the text. This can help keeping the width\n"
-"of documents down so no horizontal scrolling is needed."
+"If set do not honour non breaking space (the nbsp entity) but allow to wrap "
+"the text. This can help keeping the width of documents down so no horizontal "
+"scrolling is needed."
 msgstr ""
 
-#: src/config/options.inc:742
+#: src/config/options.inc:780
 #, fuzzy
 msgid "Plain rendering"
 msgstr ""
 
-#: src/config/options.inc:744
+#: src/config/options.inc:782
 msgid "Options concerning the display of plain text pages."
 msgstr ""
 
-#: src/config/options.inc:746
+#: src/config/options.inc:784
 #, fuzzy
 msgid "Display URIs"
 msgstr ""
 
-#: src/config/options.inc:748
+#: src/config/options.inc:786
 msgid "Display URIs in the document as links."
 msgstr ""
 
-#: src/config/options.inc:750
+#: src/config/options.inc:788
 msgid "Compress empty lines"
 msgstr ""
 
-#: src/config/options.inc:752
+#: src/config/options.inc:790
 msgid "Compress successive empty lines to only one in displayed text."
 msgstr ""
 
-#: src/config/options.inc:755
+#: src/config/options.inc:794
 msgid "URI passing"
 msgstr ""
 
-#: src/config/options.inc:757
+#: src/config/options.inc:796
 msgid ""
-"Rules for passing URIs to external commands. When one rule\n"
-"is defined the link and tab menu will have a menu item that\n"
-"makes it possible to pass the the link, frame or tab URI to\n"
-"an external command. If several rules are defined the link and\n"
-"tab menu will have a submenu of items for each rule. Note, this\n"
-"is mostly useful for launching graphical viewers, since there\n"
-"is no support for releasing the terminal while the command runs.\n"
-"The action and submenus are also available by binding keys to\n"
-"the frame-external-command, the link-external-command, and\n"
-"the tab-external-command actions."
+"Rules for passing URIs to external commands. When one rule is defined the "
+"link and tab menu will have a menu item that makes it possible to pass the "
+"the link, frame or tab URI to an external command. If several rules are "
+"defined the link and tab menu will have a submenu of items for each rule.\n"
+"\n"
+"Note, this is mostly useful for launching graphical viewers, since there is "
+"no support for releasing the terminal while the command runs. The action and "
+"submenus are also available by binding keys to the frame-external-command, "
+"the link-external-command, and the tab-external-command actions."
 msgstr ""
 
-#: src/config/options.inc:770
+#: src/config/options.inc:812
 msgid ""
-"A rule for passing URI to an external command.\n"
-"The format is:\n"
+"A rule for passing URI to an external command. The format is:\n"
 "%c in the string means the current URL\n"
 "%% in the string means '%'\n"
 "Do _not_ put single- or double-quotes around %c."
 msgstr ""
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:780
+#: src/config/options.inc:822
 msgid "Information files"
 msgstr ""
 
-#: src/config/options.inc:782
+#: src/config/options.inc:824
 msgid "Options for information files in ~/.elinks."
 msgstr ""
 
-#: src/config/options.inc:784
+#: src/config/options.inc:826
 #, fuzzy
 msgid "Save interval"
 msgstr "  "
 
-#: src/config/options.inc:786
+#: src/config/options.inc:828
 msgid ""
-"Interval at which to trigger information files in ~/.elinks\n"
-"to be saved to disk if they have changed (seconds; 0 to disable)"
+"Interval at which to trigger information files in ~/.elinks to be saved to "
+"disk if they have changed (seconds; 0 to disable)"
 msgstr ""
 
-#: src/config/options.inc:789
+#: src/config/options.inc:832
 msgid "Use secure file saving"
 msgstr ""
 
-#: src/config/options.inc:791
+#: src/config/options.inc:834
 msgid ""
-"First write data to unique temporary file, then rename this file\n"
-"upon successfully finishing this. Note that this relates only to\n"
-"config files, not downloaded files. You may want to disable\n"
-"it if you are using some exotic permissions for concerned files.\n"
-"Secure file saving is automagically disabled if file is symlink.\n"
-"Warning: some systems (ie. OS/2, Win32) require that destination\n"
-"file doesn't exist when rename(3) is called, breaking atomicity,\n"
-"and reducing reliability of this feature."
+"First write data to unique temporary file, then rename this file upon "
+"successfully finishing this. Note that this relates only to config files, "
+"not downloaded files. You may want to disable it if you are using some "
+"exotic permissions for concerned files. Secure file saving is automagically "
+"disabled if file is symlink.\n"
+"\n"
+"Warning: some systems (ie. OS/2, Win32) require that destination file "
+"doesn't exist when rename(3) is called, breaking atomicity, and reducing "
+"reliability of this feature."
 msgstr ""
 
-#: src/config/options.inc:800
+#: src/config/options.inc:846
 msgid "Use fsync(3) with secure file saving"
 msgstr ""
 
-#: src/config/options.inc:802
+#: src/config/options.inc:848
 msgid ""
-"When using secure file saving, call fsync(3), if the OS\n"
-"supports it, to force the OS immediately to write the data\n"
-"to permanent storage. This is optional for those who wish\n"
-"to avoid excessive disk I/O."
+"When using secure file saving, call fsync(3), if the OS supports it, to "
+"force the OS immediately to write the data to permanent storage. This is "
+"optional for those who wish to avoid excessive disk I/O."
 msgstr ""
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:811
+#: src/config/options.inc:857
 #, fuzzy
 msgid "Terminals"
 msgstr "  "
 
-#: src/config/options.inc:813
+#: src/config/options.inc:859
 #, fuzzy
 msgid "Terminal options."
 msgstr "  "
 
-#: src/config/options.inc:817
+#: src/config/options.inc:863
 msgid "Options specific to this terminal type (according to $TERM value)."
 msgstr ""
 
-#: src/config/options.inc:842
+#: src/config/options.inc:889
 msgid ""
-"Terminal type; matters mostly only when drawing frames and\n"
-"dialog box borders:\n"
+"Terminal type; matters mostly only when drawing frames and dialog box "
+"borders:\n"
 "0 is dumb terminal type, ASCII art\n"
 "1 is VT100, simple but portable\n"
 "2 is Linux, you get double frames and other goodies\n"
@@ -3421,15 +3420,31 @@ msgid ""
 "4 is FreeBSD"
 msgstr ""
 
-#: src/config/options.inc:850 src/dialogs/options.c:227
+#: src/config/options.inc:897
+msgid "Always encode xterm title in ISO-8859-1"
+msgstr ""
+
+#: src/config/options.inc:899
+msgid ""
+"When updating the window title of xterm or a similar terminal emulator, "
+"encode the title in ISO-8859-1 (Latin-1), rather than in the charset used "
+"for other text in the window. Cyrillic and other characters get replaced "
+"with Latin ones. Xterm requires this unless you explicitly enable UTF-8 "
+"titles in it.\n"
+"\n"
+"If this option does not take effect immediately, try switching to a "
+"different page so that ELinks notices it needs to update the title."
+msgstr ""
+
+#: src/config/options.inc:910 src/dialogs/options.c:227
 msgid "Switch fonts for line drawing"
 msgstr ""
 
-#: src/config/options.inc:852
+#: src/config/options.inc:912
 msgid ""
-"Switch fonts when drawing lines, enabling both local characters\n"
-"and lines working at the same time. ELinks uses this option only if\n"
-"UTF-8 I/O is disabled and the terminal type is Linux or FreeBSD."
+"Switch fonts when drawing lines, enabling both local characters and lines "
+"working at the same time. ELinks uses this option only if UTF-8 I/O is "
+"disabled and the terminal type is Linux or FreeBSD."
 msgstr ""
 
 #. When CONFIG_UTF8 is defined, any code that reads the "utf_8_io"
@@ -3437,37 +3452,37 @@ msgstr ""
 #. * and if so, behave as if "utf_8_io" were 1.  (When CONFIG_UTF8 is
 #. * not defined, it should not be possible to set UTF-8 as "codepage";
 #. * please report any such possibilities as bugs.)
-#: src/config/options.inc:861 src/dialogs/options.c:232
+#: src/config/options.inc:922 src/dialogs/options.c:232
 msgid "UTF-8 I/O"
 msgstr "UTF-8 /"
 
-#: src/config/options.inc:863
+#: src/config/options.inc:924
 msgid ""
-"Enable I/O in UTF-8 for Unicode terminals. Note that currently,\n"
-"only the subset of UTF-8 according to terminal codepage is used.\n"
-"ELinks ignores this option if the terminal codepage is UTF-8."
+"Enable I/O in UTF-8 for Unicode terminals. Note that currently, only the "
+"subset of UTF-8 according to terminal codepage is used. ELinks ignores this "
+"option if the terminal codepage is UTF-8."
 msgstr ""
 
-#: src/config/options.inc:867 src/dialogs/options.c:228
+#: src/config/options.inc:929 src/dialogs/options.c:228
 msgid "Restrict frames in cp850/852"
 msgstr "   cp850/852"
 
-#: src/config/options.inc:869
+#: src/config/options.inc:931
 msgid ""
-"Restrict the characters used when drawing lines. Makes sense\n"
-"only with linux terminals using the cp850/852 character sets."
+"Restrict the characters used when drawing lines. Makes sense only with linux "
+"terminals using the cp850/852 character sets."
 msgstr ""
 
-#: src/config/options.inc:872 src/dialogs/options.c:229
+#: src/config/options.inc:935 src/dialogs/options.c:229
 #, fuzzy
 msgid "Block cursor"
 msgstr " "
 
-#: src/config/options.inc:874
+#: src/config/options.inc:937
 msgid ""
-"Move cursor to bottom right corner when done drawing.\n"
-"This is particularly useful when we have a block cursor,\n"
-"so that inversed text is displayed correctly."
+"Move cursor to bottom right corner when done drawing. This is particularly "
+"useful when we have a block cursor, so that inversed text is displayed "
+"correctly."
 msgstr ""
 
 #. The list of modes must be at the end of this string
@@ -3475,13 +3490,15 @@ msgstr ""
 #. * an outer list entry after an inner list.
 #. * TRANSLATORS: This restriction applies only to the
 #. * "en" (English) translation.  (See doc/Makefile.)
-#: src/config/options.inc:885
+#: src/config/options.inc:948
 msgid ""
 "The color mode controls what colors are used and how they are output to the "
 "terminal.\n"
+"\n"
 "Some modes may have been disabled at compile time. The Setup -> Terminal "
 "options dialog lists the modes supported by this executable. If you select "
 "an unsupported mode, ELinks uses 16 colors.\n"
+"\n"
 "The color modes are:\n"
 "0 is mono mode, only 2 colors are used\n"
 "1 is 16 color mode, uses the common ANSI colors\n"
@@ -3490,426 +3507,423 @@ msgid ""
 "4 is true color mode, uses konsole RGB codes"
 msgstr ""
 
-#: src/config/options.inc:898 src/dialogs/options.c:230
+#: src/config/options.inc:963 src/dialogs/options.c:230
 msgid "Transparency"
 msgstr ""
 
-#: src/config/options.inc:900
+#: src/config/options.inc:965
 msgid ""
-"If we should not set the background to black. This is particularly\n"
-"useful when we have a terminal (typically in some windowing\n"
-"environment) with a background image or a transparent background -\n"
-"it will be visible in ELinks as well (but ELinks document color handling\n"
-"will still assume the background is black so if you have a bright "
-"background\n"
-"you might experience contrast problems). Note that this option makes\n"
-"sense only when colors are enabled."
+"If we should not set the background to black. This is particularly useful "
+"when we have a terminal (typically in some windowing environment) with a "
+"background image or a transparent background - it will be visible in ELinks "
+"as well (but ELinks document color handling will still assume the background "
+"is black so if you have a bright background you might experience contrast "
+"problems). Note that this option makes sense only when colors are enabled."
 msgstr ""
 
-#: src/config/options.inc:910
+#: src/config/options.inc:977
 msgid "If we should use underline or enhance the color instead."
 msgstr ""
 
-#: src/config/options.inc:914
+#: src/config/options.inc:982
 msgid ""
-"Codepage of charset used for displaying content on terminal.\n"
-"'System' stands for a codepage determined by a selected locale."
+"Codepage of charset used for displaying content on terminal. 'System' stands "
+"for a codepage determined by a selected locale."
 msgstr ""
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:921
+#: src/config/options.inc:990
 msgid "User interface"
 msgstr ""
 
-#: src/config/options.inc:923
+#: src/config/options.inc:992
 #, fuzzy
 msgid "User interface options."
 msgstr "  "
 
-#: src/config/options.inc:927
+#: src/config/options.inc:996
 msgid "Color settings"
 msgstr ""
 
-#: src/config/options.inc:929
+#: src/config/options.inc:998
 msgid "Default user interface color settings."
 msgstr ""
 
-#: src/config/options.inc:956
+#: src/config/options.inc:1025
 #, fuzzy
 msgid "Color terminals"
 msgstr "BeOS "
 
-#: src/config/options.inc:958
+#: src/config/options.inc:1027
 msgid "Color settings for color terminal."
 msgstr ""
 
-#: src/config/options.inc:960
+#: src/config/options.inc:1029
 msgid "Non-color terminals"
 msgstr ""
 
-#: src/config/options.inc:962
+#: src/config/options.inc:1031
 msgid "Color settings for non-color terminal."
 msgstr ""
 
 #. FIXME: obsolete, how to alias them correctly ? --Zas
-#: src/config/options.inc:965
+#: src/config/options.inc:1034
 msgid "Main menu bar"
 msgstr ""
 
-#: src/config/options.inc:967
+#: src/config/options.inc:1036
 msgid "Main menu bar colors."
 msgstr ""
 
-#: src/config/options.inc:969
+#: src/config/options.inc:1038
 msgid "Unselected main menu bar item"
 msgstr ""
 
-#: src/config/options.inc:971
+#: src/config/options.inc:1040
 msgid "Unselected main menu bar item colors."
 msgstr ""
 
-#: src/config/options.inc:973
+#: src/config/options.inc:1042
 msgid "Selected main menu bar item"
 msgstr ""
 
-#: src/config/options.inc:975
+#: src/config/options.inc:1044
 msgid "Selected main menu bar item colors."
 msgstr ""
 
-#: src/config/options.inc:977 src/config/options.inc:1006
+#: src/config/options.inc:1046 src/config/options.inc:1075
 msgid "Hotkey"
 msgstr ""
 
-#: src/config/options.inc:979
+#: src/config/options.inc:1048
 msgid "Main menu hotkey colors."
 msgstr ""
 
-#: src/config/options.inc:981 src/config/options.inc:1010
+#: src/config/options.inc:1050 src/config/options.inc:1079
 msgid "Unselected hotkey"
 msgstr ""
 
-#: src/config/options.inc:983
+#: src/config/options.inc:1052
 msgid "Main menu unselected hotkey colors."
 msgstr ""
 
-#: src/config/options.inc:985 src/config/options.inc:1014
+#: src/config/options.inc:1054 src/config/options.inc:1083
 #, fuzzy
 msgid "Selected hotkey"
 msgstr "  "
 
-#: src/config/options.inc:987
+#: src/config/options.inc:1056
 msgid "Main menu selected hotkey colors."
 msgstr ""
 
-#: src/config/options.inc:990
+#: src/config/options.inc:1059
 msgid "Menu bar"
 msgstr ""
 
-#: src/config/options.inc:992
+#: src/config/options.inc:1061
 msgid "Menu bar colors."
 msgstr ""
 
-#: src/config/options.inc:994
+#: src/config/options.inc:1063
 msgid "Unselected menu item"
 msgstr ""
 
-#: src/config/options.inc:996
+#: src/config/options.inc:1065
 msgid "Unselected menu item colors."
 msgstr ""
 
-#: src/config/options.inc:998
+#: src/config/options.inc:1067
 #, fuzzy
 msgid "Selected menu item"
 msgstr "  "
 
-#: src/config/options.inc:1000
+#: src/config/options.inc:1069
 msgid "Selected menu item colors."
 msgstr ""
 
-#: src/config/options.inc:1002
+#: src/config/options.inc:1071
 #, fuzzy
 msgid "Marked menu item"
 msgstr "  "
 
-#: src/config/options.inc:1004
+#: src/config/options.inc:1073
 msgid "Marked menu item colors."
 msgstr ""
 
-#: src/config/options.inc:1008
+#: src/config/options.inc:1077
 msgid "Menu item hotkey colors."
 msgstr ""
 
-#: src/config/options.inc:1012
+#: src/config/options.inc:1081
 msgid "Menu item unselected hotkey colors."
 msgstr ""
 
-#: src/config/options.inc:1016
+#: src/config/options.inc:1085
 msgid "Menu item selected hotkey colors."
 msgstr ""
 
-#: src/config/options.inc:1018
+#: src/config/options.inc:1087
 #, fuzzy
 msgid "Menu frame"
 msgstr " "
 
-#: src/config/options.inc:1020
+#: src/config/options.inc:1089
 msgid "Menu frame colors."
 msgstr ""
 
-#: src/config/options.inc:1023
+#: src/config/options.inc:1092
 msgid "Dialog"
 msgstr ""
 
-#: src/config/options.inc:1025
+#: src/config/options.inc:1094
 msgid "Dialog colors."
 msgstr ""
 
-#: src/config/options.inc:1035
+#: src/config/options.inc:1104
 msgid "Generic"
 msgstr ""
 
-#: src/config/options.inc:1037
+#: src/config/options.inc:1106
 #, fuzzy
 msgid "Generic dialog colors."
 msgstr "    "
 
-#: src/config/options.inc:1039
+#: src/config/options.inc:1108
 #, fuzzy
 msgid "Frame"
 msgstr ""
 
-#: src/config/options.inc:1041
+#: src/config/options.inc:1110
 msgid "Dialog frame colors."
 msgstr ""
 
-#: src/config/options.inc:1043
+#: src/config/options.inc:1112
 msgid "Scrollbar"
 msgstr ""
 
-#: src/config/options.inc:1045
+#: src/config/options.inc:1114
 msgid "Scrollbar colors."
 msgstr ""
 
-#: src/config/options.inc:1047
+#: src/config/options.inc:1116
 #, fuzzy
 msgid "Selected scrollbar"
 msgstr "    "
 
-#: src/config/options.inc:1049
+#: src/config/options.inc:1118
 #, fuzzy
 msgid "Scrollbar selected colors."
 msgstr "    "
 
-#: src/config/options.inc:1053
+#: src/config/options.inc:1122
 msgid "Dialog title colors."
 msgstr ""
 
-#: src/config/options.inc:1055
+#: src/config/options.inc:1124
 #, fuzzy
 msgid "Text"
 msgstr " "
 
-#: src/config/options.inc:1057
+#: src/config/options.inc:1126
 msgid "Dialog text colors."
 msgstr ""
 
-#: src/config/options.inc:1059 src/viewer/text/form.c:1862
+#: src/config/options.inc:1128 src/viewer/text/form.c:1891
 msgid "Checkbox"
 msgstr "  (checkbox)"
 
-#: src/config/options.inc:1061
+#: src/config/options.inc:1130
 msgid "Dialog checkbox colors."
 msgstr ""
 
-#: src/config/options.inc:1063
+#: src/config/options.inc:1132
 #, fuzzy
 msgid "Selected checkbox"
 msgstr "  "
 
-#: src/config/options.inc:1065
+#: src/config/options.inc:1134
 #, fuzzy
 msgid "Dialog selected checkbox colors."
 msgstr "    "
 
-#: src/config/options.inc:1067
+#: src/config/options.inc:1136
 #, fuzzy
 msgid "Checkbox label"
 msgstr "  (checkbox)"
 
-#: src/config/options.inc:1069
+#: src/config/options.inc:1138
 msgid "Dialog checkbox label colors."
 msgstr ""
 
-#: src/config/options.inc:1071
+#: src/config/options.inc:1140
 msgid "Button"
 msgstr ""
 
-#: src/config/options.inc:1073 src/config/options.inc:1081
+#: src/config/options.inc:1142 src/config/options.inc:1150
 msgid "Dialog button colors."
 msgstr ""
 
-#: src/config/options.inc:1075
+#: src/config/options.inc:1144
 msgid "Selected button"
 msgstr ""
 
-#: src/config/options.inc:1077 src/config/options.inc:1085
+#: src/config/options.inc:1146 src/config/options.inc:1154
 msgid "Dialog selected button colors."
 msgstr ""
 
-#: src/config/options.inc:1079
+#: src/config/options.inc:1148
 msgid "Button shortcut"
 msgstr ""
 
-#: src/config/options.inc:1083
+#: src/config/options.inc:1152
 #, fuzzy
 msgid "Selected button shortcut"
 msgstr "  "
 
-#: src/config/options.inc:1087 src/viewer/text/form.c:1866
+#: src/config/options.inc:1156 src/viewer/text/form.c:1895
 msgid "Text field"
 msgstr " "
 
-#: src/config/options.inc:1089
+#: src/config/options.inc:1158
 msgid "Dialog text field colors."
 msgstr ""
 
-#: src/config/options.inc:1091
+#: src/config/options.inc:1160
 #, fuzzy
 msgid "Text field text"
 msgstr " "
 
-#: src/config/options.inc:1093
+#: src/config/options.inc:1162
 msgid "Dialog field text colors."
 msgstr ""
 
-#: src/config/options.inc:1095
+#: src/config/options.inc:1164
 msgid "Meter"
 msgstr ""
 
-#: src/config/options.inc:1097
+#: src/config/options.inc:1166
 msgid "Dialog meter colors."
 msgstr ""
 
-#: src/config/options.inc:1099
+#: src/config/options.inc:1168
 msgid "Shadow"
 msgstr ""
 
-#: src/config/options.inc:1101
+#: src/config/options.inc:1170
 msgid "Dialog shadow colors (see ui.shadows option)."
 msgstr ""
 
-#: src/config/options.inc:1103
+#: src/config/options.inc:1172
 #, fuzzy
 msgid "Title bar"
 msgstr ""
 
-#: src/config/options.inc:1105
+#: src/config/options.inc:1174
 msgid "Title bar colors."
 msgstr ""
 
-#: src/config/options.inc:1107
+#: src/config/options.inc:1176
 msgid "Generic title bar"
 msgstr ""
 
-#: src/config/options.inc:1109
+#: src/config/options.inc:1178
 msgid "Generic title bar colors."
 msgstr ""
 
-#: src/config/options.inc:1111
+#: src/config/options.inc:1180
 msgid "Title bar text"
 msgstr ""
 
-#: src/config/options.inc:1113
+#: src/config/options.inc:1182
 msgid "Title bar text colors."
 msgstr ""
 
-#: src/config/options.inc:1116
+#: src/config/options.inc:1185
 msgid "Status bar"
 msgstr ""
 
-#: src/config/options.inc:1118
+#: src/config/options.inc:1187
 msgid "Status bar colors."
 msgstr ""
 
-#: src/config/options.inc:1120
+#: src/config/options.inc:1189
 msgid "Generic status bar"
 msgstr ""
 
-#: src/config/options.inc:1122
+#: src/config/options.inc:1191
 msgid "Generic status bar colors."
 msgstr ""
 
-#: src/config/options.inc:1124
+#: src/config/options.inc:1193
 #, fuzzy
 msgid "Status bar text"
 msgstr "  "
 
-#: src/config/options.inc:1126
+#: src/config/options.inc:1195
 msgid "Status bar text colors."
 msgstr ""
 
-#: src/config/options.inc:1129
+#: src/config/options.inc:1198
 msgid "Tabs bar"
 msgstr ""
 
-#: src/config/options.inc:1131
+#: src/config/options.inc:1200
 msgid "Tabs bar colors."
 msgstr ""
 
-#: src/config/options.inc:1133
+#: src/config/options.inc:1202
 #, fuzzy
 msgid "Unvisited tab"
 msgstr "  "
 
-#: src/config/options.inc:1135
+#: src/config/options.inc:1204
 msgid ""
-"Tab colors for tabs that have not been\n"
-"selected since they completed loading."
+"Tab colors for tabs that have not been selected since they completed loading."
 msgstr ""
 
-#: src/config/options.inc:1138
+#: src/config/options.inc:1207
 #, fuzzy
 msgid "Unselected tab"
 msgstr "  "
 
-#: src/config/options.inc:1140
+#: src/config/options.inc:1209
 #, fuzzy
 msgid "Unselected tab colors."
 msgstr "    "
 
-#: src/config/options.inc:1142
+#: src/config/options.inc:1211
 #, fuzzy
 msgid "Loading tab"
 msgstr ""
 
-#: src/config/options.inc:1144
+#: src/config/options.inc:1213
 msgid "Tab colors for tabs that are loading in the background."
 msgstr ""
 
-#: src/config/options.inc:1146
+#: src/config/options.inc:1215
 #, fuzzy
 msgid "Selected tab"
 msgstr "  "
 
-#: src/config/options.inc:1148
+#: src/config/options.inc:1217
 #, fuzzy
 msgid "Selected tab colors."
 msgstr "    "
 
-#: src/config/options.inc:1150
+#: src/config/options.inc:1219
 msgid "Tab separator"
 msgstr ""
 
-#: src/config/options.inc:1152
+#: src/config/options.inc:1221
 msgid "Tab separator colors."
 msgstr ""
 
-#: src/config/options.inc:1155
+#: src/config/options.inc:1224
 #, fuzzy
 msgid "Searched strings"
 msgstr "  "
 
-#: src/config/options.inc:1157
+#: src/config/options.inc:1226
 #, fuzzy
 msgid "Searched string highlight colors."
 msgstr "     "
@@ -3918,69 +3932,69 @@ msgstr "     
 #. ============= BORING PART (colors) END ===================
 #. ==========================================================
 #. Keep options in alphabetical order.
-#: src/config/options.inc:1166
+#: src/config/options.inc:1235
 msgid "Dialog settings"
 msgstr ""
 
-#: src/config/options.inc:1168
+#: src/config/options.inc:1237
 msgid "Dialogs-specific appearance and behaviour settings."
 msgstr ""
 
-#: src/config/options.inc:1171
+#: src/config/options.inc:1240
 msgid "Minimal height of listbox widget"
 msgstr ""
 
-#: src/config/options.inc:1173
+#: src/config/options.inc:1242
 msgid ""
-"Minimal height of the listbox widget (used e.g. for bookmarks\n"
-"or global history)."
+"Minimal height of the listbox widget (used e.g. for bookmarks or global "
+"history)."
 msgstr ""
 
-#: src/config/options.inc:1176
+#: src/config/options.inc:1245
 msgid "Drop shadows"
 msgstr ""
 
-#: src/config/options.inc:1178
+#: src/config/options.inc:1247
 msgid ""
-"Make dialogs drop shadows (the shadows are solid, you can\n"
-"adjust their color by ui.colors.*.dialog.shadow). You may\n"
-"also want to eliminate the wide borders by adjusting setup.h."
+"Make dialogs drop shadows (the shadows are solid, you can adjust their color "
+"by ui.colors.*.dialog.shadow). You may also want to eliminate the wide "
+"borders by adjusting setup.h."
 msgstr ""
 
-#: src/config/options.inc:1182
+#: src/config/options.inc:1252
 #, fuzzy
 msgid "Underline menu hotkeys"
 msgstr "  "
 
-#: src/config/options.inc:1184
+#: src/config/options.inc:1254
 msgid ""
-"Whether to underline hotkeys in menus to make them more\n"
-"visible. Requires that underlining is enabled for the terminal."
+"Whether to underline hotkeys in menus to make them more visible. Requires "
+"that underlining is enabled for the terminal."
 msgstr ""
 
-#: src/config/options.inc:1187
+#: src/config/options.inc:1258
 #, fuzzy
 msgid "Underline button shortcuts"
 msgstr "  "
 
-#: src/config/options.inc:1189
+#: src/config/options.inc:1260
 msgid ""
-"Whether to underline button shortcuts to make them more\n"
-"visible. Requires that underlining is enabled for the terminal."
+"Whether to underline button shortcuts to make them more visible. Requires "
+"that underlining is enabled for the terminal."
 msgstr ""
 
-#: src/config/options.inc:1193
+#: src/config/options.inc:1265
 #, fuzzy
 msgid "Timer options"
 msgstr "  "
 
-#: src/config/options.inc:1195
+#: src/config/options.inc:1267
 msgid ""
-"Timed action after certain interval of user inactivity. Someone can\n"
-"even find this useful, although you may not believe that."
+"Timed action after certain interval of user inactivity. Someone can even "
+"find this useful, although you may not believe that."
 msgstr ""
 
-#: src/config/options.inc:1201
+#: src/config/options.inc:1274
 msgid ""
 "Whether to enable the timer or not:\n"
 "0 is don't count down anything\n"
@@ -3988,7 +4002,7 @@ msgid ""
 "2 is count down and show the timer near LEDs"
 msgstr ""
 
-#: src/config/options.inc:1208
+#: src/config/options.inc:1281
 msgid ""
 "Whether to enable the timer or not:\n"
 "0 is don't count down anything\n"
@@ -3996,35 +4010,35 @@ msgid ""
 "2 is count down and show the timer near LEDs (DISABLED)"
 msgstr ""
 
-#: src/config/options.inc:1214
+#: src/config/options.inc:1287
 msgid "Duration"
 msgstr ""
 
-#: src/config/options.inc:1216
+#: src/config/options.inc:1289
 msgid ""
-"Inactivity timeout in seconds. The maximum of one day\n"
-"should be enough for just everyone (TM)."
+"Inactivity timeout in seconds. The maximum of one day should be enough for "
+"just everyone (TM)."
 msgstr ""
 
-#: src/config/options.inc:1221
+#: src/config/options.inc:1294
 msgid "Keybinding action to be triggered when timer reaches zero."
 msgstr ""
 
-#: src/config/options.inc:1224
+#: src/config/options.inc:1298
 #, fuzzy
 msgid "Window tabs"
 msgstr ""
 
-#: src/config/options.inc:1226
+#: src/config/options.inc:1300
 msgid "Window tabs settings."
 msgstr ""
 
-#: src/config/options.inc:1228
+#: src/config/options.inc:1302
 #, fuzzy
 msgid "Display tabs bar"
 msgstr " "
 
-#: src/config/options.inc:1230
+#: src/config/options.inc:1304
 msgid ""
 "Show tabs bar on the screen:\n"
 "0 means never\n"
@@ -4032,171 +4046,170 @@ msgid ""
 "2 means always"
 msgstr ""
 
-#: src/config/options.inc:1235
+#: src/config/options.inc:1309
 msgid "Tab bar at top"
 msgstr ""
 
-#: src/config/options.inc:1237
+#: src/config/options.inc:1311
 msgid "Whether display tab bar at top like other browsers do."
 msgstr ""
 
-#: src/config/options.inc:1239
+#: src/config/options.inc:1313
 msgid "Wrap-around tabs cycling"
 msgstr ""
 
-#: src/config/options.inc:1241
+#: src/config/options.inc:1315
 msgid ""
-"When moving right from the last tab, jump to the first one, and\n"
-"vice versa."
+"When moving right from the last tab, jump to the first one, and vice versa."
 msgstr ""
 
-#: src/config/options.inc:1244
+#: src/config/options.inc:1318
 msgid "Confirm tab closing"
 msgstr ""
 
-#: src/config/options.inc:1246
+#: src/config/options.inc:1320
 msgid "When closing a tab show confirmation dialog."
 msgstr ""
 
 #. OPT_LANGUAGE
-#: src/config/options.inc:1250 src/config/opttypes.c:483
+#: src/config/options.inc:1324 src/config/opttypes.c:483
 msgid "Language"
 msgstr ""
 
-#: src/config/options.inc:1252
+#: src/config/options.inc:1326
 msgid ""
-"Language of user interface. 'System' means that the language will\n"
-"be extracted from the environment dynamically."
+"Language of user interface. 'System' means that the language will be "
+"extracted from the environment dynamically."
 msgstr ""
 
-#: src/config/options.inc:1255
+#: src/config/options.inc:1330
 #, fuzzy
 msgid "Display menu bar always"
 msgstr " "
 
-#: src/config/options.inc:1257
+#: src/config/options.inc:1332
 msgid "Always show menu bar on the screen."
 msgstr ""
 
-#: src/config/options.inc:1259
+#: src/config/options.inc:1334
 #, fuzzy
 msgid "Display status bar"
 msgstr " "
 
-#: src/config/options.inc:1261
+#: src/config/options.inc:1336
 msgid "Show status bar on the screen."
 msgstr ""
 
-#: src/config/options.inc:1263
+#: src/config/options.inc:1338
 #, fuzzy
 msgid "Display title bar"
 msgstr " "
 
-#: src/config/options.inc:1265
+#: src/config/options.inc:1340
 msgid "Show title bar on the screen."
 msgstr ""
 
-#: src/config/options.inc:1267
+#: src/config/options.inc:1342
 msgid "Display goto dialog in new tabs"
 msgstr ""
 
-#: src/config/options.inc:1269
+#: src/config/options.inc:1344
 msgid ""
-"Pop up goto dialog in newly created tabs when there's no homepage\n"
-"set. This means also showing goto dialog on startup."
+"Pop up goto dialog in newly created tabs when there's no homepage set. This "
+"means also showing goto dialog on startup."
 msgstr ""
 
-#: src/config/options.inc:1272
+#: src/config/options.inc:1348
 msgid "Show a message box when file is saved successfully"
 msgstr ""
 
-#: src/config/options.inc:1274
+#: src/config/options.inc:1350
 msgid ""
-"When you pressed a [ Save ] button in some manager, this option\n"
-"will make sure that a box confirming success of the operation will\n"
-"pop up."
+"When you pressed a [ Save ] button in some manager, this option will make "
+"sure that a box confirming success of the operation will pop up."
 msgstr ""
 
-#: src/config/options.inc:1279
+#: src/config/options.inc:1355
 #, fuzzy
 msgid "Sessions"
 msgstr "()"
 
-#: src/config/options.inc:1281
+#: src/config/options.inc:1357
 msgid "Sessions settings."
 msgstr ""
 
-#: src/config/options.inc:1283
+#: src/config/options.inc:1359
 msgid "Keep session active"
 msgstr ""
 
-#: src/config/options.inc:1285
+#: src/config/options.inc:1361
 msgid "Keep the session active even if the last terminal exits."
 msgstr ""
 
-#: src/config/options.inc:1287
+#: src/config/options.inc:1364
 msgid "Auto save session"
 msgstr ""
 
-#: src/config/options.inc:1289
+#: src/config/options.inc:1366
 msgid ""
 "Automatically save the session when quitting.\n"
+"\n"
 "This feature requires bookmark support."
 msgstr ""
 
-#: src/config/options.inc:1292
+#: src/config/options.inc:1370
 msgid "Auto restore session"
 msgstr ""
 
-#: src/config/options.inc:1294
+#: src/config/options.inc:1372
 msgid ""
 "Automatically restore the session at start.\n"
+"\n"
 "This feature requires bookmark support."
 msgstr ""
 
-#: src/config/options.inc:1297
+#: src/config/options.inc:1376
 msgid "Auto save and restore session folder name"
 msgstr ""
 
-#: src/config/options.inc:1299
+#: src/config/options.inc:1378
 msgid ""
-"Name of the bookmarks folder used for auto saving and restoring session.\n"
-"The name has to be unique. Any folders with the same name will be deleted.\n"
+"Name of the bookmarks folder used for auto saving and restoring session. The "
+"name has to be unique. Any folders with the same name will be deleted.\n"
+"\n"
 "This only makes sense with bookmark support."
 msgstr ""
 
-#: src/config/options.inc:1303
+#: src/config/options.inc:1384
 #, fuzzy
 msgid "Homepage URI"
 msgstr ""
 
-#: src/config/options.inc:1305
+#: src/config/options.inc:1386
 msgid ""
-"The URI to load either at startup time when no URI was given\n"
-"on the command line or when requested by the goto-url-home action.\n"
-"Set to \"\" if the environment variable WWW_HOME should be used\n"
-"as homepage URI instead."
+"The URI to load either at startup time when no URI was given on the command "
+"line or when requested by the goto-url-home action. Set to \"\" if the "
+"environment variable WWW_HOME should be used as homepage URI instead."
 msgstr ""
 
-#: src/config/options.inc:1311
+#: src/config/options.inc:1392
 #, fuzzy
 msgid "Date format"
 msgstr " (upload)  "
 
-#: src/config/options.inc:1313
+#: src/config/options.inc:1394
 msgid "Date format to use in dialogs. See strftime(3)."
 msgstr ""
 
-#: src/config/options.inc:1316
+#: src/config/options.inc:1397
 #, fuzzy
 msgid "Set window title"
 msgstr "  "
 
-#: src/config/options.inc:1318
+#: src/config/options.inc:1399
 msgid ""
-"Set the window title when running in a windowing environment\n"
-"in an xterm-like terminal. This way the document's title is\n"
-"shown on the window titlebar."
+"Set the window title when running in a windowing environment in an xterm-"
+"like terminal. This way the document's title is shown on the window titlebar."
 msgstr ""
 
 #: src/config/opttypes.c:54
@@ -4283,7 +4296,7 @@ msgid "Goto URL History"
 msgstr " "
 
 #. name:
-#: src/cookies/cookies.c:88 src/cookies/cookies.c:911
+#: src/cookies/cookies.c:88 src/cookies/cookies.c:913
 msgid "Cookies"
 msgstr ""
 
@@ -4313,10 +4326,10 @@ msgstr "  "
 msgid ""
 "Cookie maximum age (in days):\n"
 "-1 is use cookie's expiration date if any\n"
-"0  is force expiration at the end of session, ignoring cookie's\n"
-"   expiration date\n"
-"1+ is use cookie's expiration date, but limit age to the given\n"
-"   number of days"
+"0  is force expiration at the end of session, ignoring\n"
+"   cookie's expiration date\n"
+"1+ is use cookie's expiration date, but limit age to the\n"
+"   given number of days"
 msgstr ""
 
 #: src/cookies/cookies.c:109
@@ -4325,42 +4338,42 @@ msgstr ""
 
 #: src/cookies/cookies.c:111
 msgid ""
-"When enabled, we'll require three dots in cookies domain for all\n"
-"non-international domains (instead of just two dots). Some countries\n"
-"have generic second level domains (eg. .com.pl, .co.uk) and allowing\n"
-"sites to set cookies for these generic domains could potentially be\n"
-"very bad. Note, it is off by default as it breaks a lot of sites."
+"When enabled, we'll require three dots in cookies domain for all non-"
+"international domains (instead of just two dots). Some countries have "
+"generic second level domains (eg. .com.pl, .co.uk) and allowing sites to set "
+"cookies for these generic domains could potentially be very bad. Note, it is "
+"off by default as it breaks a lot of sites."
 msgstr ""
 
-#: src/cookies/cookies.c:117
+#: src/cookies/cookies.c:118
 #, fuzzy
 msgid "Saving"
 msgstr ""
 
-#: src/cookies/cookies.c:119
+#: src/cookies/cookies.c:120
 msgid "Whether cookies should be loaded from and saved to disk."
 msgstr ""
 
-#: src/cookies/cookies.c:121
+#: src/cookies/cookies.c:123
 msgid "Resaving"
 msgstr ""
 
-#: src/cookies/cookies.c:123
+#: src/cookies/cookies.c:125
 msgid ""
-"Save cookies after each change in cookies list? No effect when\n"
-"cookie saving (cookies.save) is off."
+"Save cookies after each change in cookies list? No effect when cookie saving "
+"(cookies.save) is off."
 msgstr ""
 
-#: src/cookies/cookies.c:817
+#: src/cookies/cookies.c:819
 #, fuzzy
 msgid "Cannot save cookies"
 msgstr "  "
 
-#: src/cookies/cookies.c:828
+#: src/cookies/cookies.c:830
 msgid "ELinks was started without a home directory."
 msgstr ""
 
-#: src/cookies/cookies.c:834
+#: src/cookies/cookies.c:836
 msgid "ELinks was started with the -anonymous option."
 msgstr ""
 
@@ -4590,7 +4603,7 @@ msgid "No header info."
 msgstr ""
 
 #: src/dialogs/download.c:243 src/dialogs/menu.c:601
-#: src/protocol/bittorrent/dialogs.c:228 src/session/download.c:361
+#: src/protocol/bittorrent/dialogs.c:228 src/session/download.c:387
 msgid "Download"
 msgstr " (, )"
 
@@ -5459,7 +5472,7 @@ msgid "No document"
 msgstr ""
 
 #. name:
-#: src/document/css/css.c:30 src/document/css/css.c:161
+#: src/document/css/css.c:30 src/document/css/css.c:164
 msgid "Cascading Style Sheets"
 msgstr ""
 
@@ -5467,36 +5480,36 @@ msgstr ""
 msgid "Options concerning how to use CSS for styling documents."
 msgstr ""
 
-#: src/document/css/css.c:34
+#: src/document/css/css.c:35
 #, fuzzy
 msgid "Enable CSS"
 msgstr ""
 
-#: src/document/css/css.c:36
+#: src/document/css/css.c:37
 msgid "Enable adding of CSS style info to documents."
 msgstr ""
 
-#: src/document/css/css.c:38
+#: src/document/css/css.c:39
 msgid "Import external style sheets"
 msgstr ""
 
-#: src/document/css/css.c:40
+#: src/document/css/css.c:41
 msgid ""
-"When enabled any external style sheets that are imported from\n"
-"either CSS itself using the @import keyword or from the HTML using\n"
-"<link> tags in the document header will also be downloaded."
+"When enabled any external style sheets that are imported from either CSS "
+"itself using the @import keyword or from the HTML using <link> tags in the "
+"document header will also be downloaded."
 msgstr ""
 
-#: src/document/css/css.c:44
+#: src/document/css/css.c:46
 msgid "Default style sheet"
 msgstr ""
 
-#: src/document/css/css.c:46
+#: src/document/css/css.c:48
 msgid ""
-"The path to the file containing the default user defined\n"
-"Cascading Style Sheet. It can be used to control the basic\n"
-"layout of HTML documents. The path is assumed to be relative\n"
-"to ELinks' home directory.\n"
+"The path to the file containing the default user defined Cascading Style "
+"Sheet. It can be used to control the basic layout of HTML documents. The "
+"path is assumed to be relative to ELinks' home directory.\n"
+"\n"
 "Leave as \"\" to use built-in document styling."
 msgstr ""
 
@@ -5529,8 +5542,8 @@ msgstr ""
 
 #: src/ecmascript/ecmascript.c:55
 msgid ""
-"Whether to ignore content enclosed by the <noscript> tag\n"
-"when ECMAScript is enabled."
+"Whether to ignore content enclosed by the <noscript> tag when ECMAScript is "
+"enabled."
 msgstr ""
 
 #: src/ecmascript/ecmascript.c:58
@@ -5582,7 +5595,7 @@ msgid "JavaScript Error"
 msgstr ""
 
 #. name:
-#: src/ecmascript/spidermonkey.c:320
+#: src/ecmascript/spidermonkey.c:321
 msgid "SpiderMonkey"
 msgstr ""
 
@@ -5688,9 +5701,8 @@ msgstr "  "
 
 #: src/formhist/formhist.c:38
 msgid ""
-"Ask if a login form should be saved to file or not.\n"
-"This option only disables the dialog, already saved login\n"
-"forms are unaffected."
+"Ask if a login form should be saved to file or not. This option only "
+"disables the dialog, already saved login forms are unaffected."
 msgstr ""
 
 #: src/formhist/formhist.c:426
@@ -5800,20 +5812,20 @@ msgstr " "
 msgid "Enable global history (\"history of all pages visited\")."
 msgstr ""
 
-#: src/globhist/globhist.c:68
+#: src/globhist/globhist.c:69
 msgid "Maximum number of entries"
 msgstr ""
 
-#: src/globhist/globhist.c:70
+#: src/globhist/globhist.c:71
 msgid "Maximum number of entries in the global history."
 msgstr ""
 
-#: src/globhist/globhist.c:72
+#: src/globhist/globhist.c:73
 #, fuzzy
 msgid "Display style"
 msgstr " "
 
-#: src/globhist/globhist.c:74
+#: src/globhist/globhist.c:75
 msgid ""
 "What to display in global history dialog:\n"
 "0 is URLs\n"
@@ -5821,7 +5833,7 @@ msgid ""
 msgstr ""
 
 #. name:
-#: src/globhist/globhist.c:451
+#: src/globhist/globhist.c:449
 #, fuzzy
 msgid "Global History"
 msgstr " "
@@ -6051,101 +6063,95 @@ msgstr ""
 
 #: src/mime/backend/default.c:27
 msgid ""
-"Handler <-> MIME type association. The first sub-tree is the MIME\n"
-"class while the second sub-tree is the MIME type (ie. image/gif\n"
-"handler will reside at mime.type.image.gif). Each MIME type option\n"
-"should contain (case-sensitive) name of the MIME handler (its\n"
-"properties are stored at mime.handler.<name>)."
+"Handler <-> MIME type association. The first sub-tree is the MIME class "
+"while the second sub-tree is the MIME type (ie. image/gif handler will "
+"reside at mime.type.image.gif). Each MIME type option should contain (case-"
+"sensitive) name of the MIME handler (its properties are stored at mime."
+"handler.<name>)."
 msgstr ""
 
-#: src/mime/backend/default.c:35
+#: src/mime/backend/default.c:36
 msgid ""
-"Handler matching this MIME-type class ('*' is used here in place\n"
-"of '.')."
+"Handler matching this MIME-type class ('*' is used here in place of '.')."
 msgstr ""
 
-#: src/mime/backend/default.c:40
+#: src/mime/backend/default.c:41
 msgid ""
-"Handler matching this MIME-type name ('*' is used here in place\n"
-"of '.')."
+"Handler matching this MIME-type name ('*' is used here in place of '.')."
 msgstr ""
 
-#: src/mime/backend/default.c:44
+#: src/mime/backend/default.c:45
 msgid "File type handlers"
 msgstr ""
 
-#: src/mime/backend/default.c:46
+#: src/mime/backend/default.c:47
 msgid ""
-"A file type handler is a set of information about how to use\n"
-"an external program to view a file. It is possible to refer to it\n"
-"for several MIME types -- e.g., you can define an 'image' handler\n"
-"to which mime.type.image.png, mime.type.image.jpeg, and so on will\n"
-"refer; or one might define a handler for a more specific type of file\n"
-"-- e.g., PDF files.\n"
-"Note you must define both a MIME handler and a MIME type association\n"
-"for it to work."
+"A file type handler is a set of information about how to use an external "
+"program to view a file. It is possible to refer to it for several MIME types "
+"-- e.g., you can define an 'image' handler to which mime.type.image.png, "
+"mime.type.image.jpeg, and so on will refer; or one might define a handler "
+"for a more specific type of file -- e.g., PDF files. Note you must define "
+"both a MIME handler and a MIME type association for it to work."
 msgstr ""
 
-#: src/mime/backend/default.c:57
+#: src/mime/backend/default.c:58
 msgid "Description of this handler."
 msgstr ""
 
-#: src/mime/backend/default.c:61
+#: src/mime/backend/default.c:62
 msgid "System-specific handler description (ie. unix, unix-xwin, ...)."
 msgstr ""
 
-#: src/mime/backend/default.c:63 src/mime/backend/mailcap.c:102
+#: src/mime/backend/default.c:65 src/mime/backend/mailcap.c:102
 msgid "Ask before opening"
 msgstr ""
 
-#: src/mime/backend/default.c:65
+#: src/mime/backend/default.c:67
 msgid "Ask before opening."
 msgstr ""
 
-#: src/mime/backend/default.c:67
+#: src/mime/backend/default.c:69
 #, fuzzy
 msgid "Block terminal"
 msgstr "BeOS "
 
-#: src/mime/backend/default.c:69
+#: src/mime/backend/default.c:71
 msgid "Block the terminal when the handler is running."
 msgstr ""
 
-#: src/mime/backend/default.c:71
+#: src/mime/backend/default.c:73
 #, fuzzy
 msgid "Program"
 msgstr " "
 
-#: src/mime/backend/default.c:74
+#: src/mime/backend/default.c:76
 #, no-c-format
 msgid ""
-"External viewer for this file type. '%' in this string will be\n"
-"substituted by a file name.\n"
-"Do _not_ put single- or double-quotes around the % sign."
+"External viewer for this file type. '%' in this string will be substituted "
+"by a file name. Do _not_ put single- or double-quotes around the % sign."
 msgstr ""
 
-#: src/mime/backend/default.c:79
+#: src/mime/backend/default.c:81
 #, fuzzy
 msgid "File extension associations"
 msgstr " "
 
-#: src/mime/backend/default.c:81
+#: src/mime/backend/default.c:83
 msgid "Extension <-> MIME type association."
 msgstr ""
 
-#: src/mime/backend/default.c:85
+#: src/mime/backend/default.c:87
 msgid ""
-"MIME-type matching this file extension ('*' is used here in place\n"
-"of '.')."
+"MIME-type matching this file extension ('*' is used here in place of '.')."
 msgstr ""
 
 #. name:
-#: src/mime/backend/default.c:216
+#: src/mime/backend/default.c:218
 msgid "Option system"
 msgstr ""
 
 #. name:
-#: src/mime/backend/mailcap.c:89 src/mime/backend/mailcap.c:684
+#: src/mime/backend/mailcap.c:89 src/mime/backend/mailcap.c:686
 msgid "Mailcap"
 msgstr ""
 
@@ -6159,8 +6165,8 @@ msgstr ""
 
 #: src/mime/backend/mailcap.c:99
 msgid ""
-"Mailcap search path. Colon-separated list of files.\n"
-"Leave as \"\" to use MAILCAP environment variable instead."
+"Mailcap search path. Colon-separated list of files. Leave as \"\" to use "
+"MAILCAP environment variable instead."
 msgstr ""
 
 #: src/mime/backend/mailcap.c:104
@@ -6173,39 +6179,38 @@ msgstr ""
 
 #: src/mime/backend/mailcap.c:108
 msgid ""
-"Type of description to show in \"what to do with this file\"\n"
-"query dialog:\n"
+"Type of description to show in \"what to do with this file\" query dialog:\n"
 "0 is show \"mailcap\"\n"
 "1 is show program to be run\n"
-"2 is show mailcap description field if any; \"mailcap\" otherwise"
+"2 is show mailcap description field if any;\n"
+"     \"mailcap\" otherwise"
 msgstr ""
 
-#: src/mime/backend/mailcap.c:114
+#: src/mime/backend/mailcap.c:115
 msgid "Prioritize entries by file"
 msgstr ""
 
-#: src/mime/backend/mailcap.c:116
+#: src/mime/backend/mailcap.c:117
 msgid ""
-"Prioritize entries by the order of the files in the mailcap\n"
-"path. This means that wildcard entries (like: image/*) will\n"
-"also be checked before deciding the handler."
+"Prioritize entries by the order of the files in the mailcap path. This means "
+"that wildcard entries (like: image/*) will also be checked before deciding "
+"the handler."
 msgstr ""
 
-#: src/mime/backend/mailcap.c:349
+#: src/mime/backend/mailcap.c:351
 #, c-format
 msgid "Badly formated mailcap entry for type %s in \"%s\" line %d"
 msgstr ""
 
 #. name:
-#: src/mime/backend/mimetypes.c:46 src/mime/backend/mimetypes.c:279
+#: src/mime/backend/mimetypes.c:46 src/mime/backend/mimetypes.c:280
 msgid "Mimetypes files"
 msgstr ""
 
 #: src/mime/backend/mimetypes.c:48
 msgid ""
-"Options for the support of mime.types files. These files\n"
-"can be used to find the content type of a URL by looking at\n"
-"the extension of the file name."
+"Options for the support of mime.types files. These files can be used to find "
+"the content type of a URL by looking at the extension of the file name."
 msgstr ""
 
 #: src/mime/backend/mimetypes.c:54
@@ -6242,7 +6247,7 @@ msgid "No extensions"
 msgstr " "
 
 #. name:
-#: src/mime/mime.c:38 src/mime/mime.c:360
+#: src/mime/mime.c:38 src/mime/mime.c:361
 msgid "MIME"
 msgstr ""
 
@@ -6256,8 +6261,8 @@ msgstr ""
 
 #: src/mime/mime.c:44
 msgid ""
-"Document MIME-type to assume by default (when we are unable to\n"
-"guess it properly from known information about the document)."
+"Document MIME-type to assume by default (when we are unable to guess it "
+"properly from known information about the document)."
 msgstr ""
 
 #: src/network/ssl/ssl.c:72 src/network/ssl/ssl.c:161
@@ -6266,8 +6271,8 @@ msgstr ""
 
 #: src/network/ssl/ssl.c:74
 msgid ""
-"Verify the peer's SSL certificate. Note that this\n"
-"needs extensive configuration of OpenSSL by the user."
+"Verify the peer's SSL certificate. Note that this needs extensive "
+"configuration of OpenSSL by the user."
 msgstr ""
 
 #: src/network/ssl/ssl.c:77
@@ -6281,8 +6286,8 @@ msgstr "  "
 
 #: src/network/ssl/ssl.c:83
 msgid ""
-"Enable or not the sending of X509 client certificates\n"
-"to servers which request them."
+"Enable or not the sending of X509 client certificates to servers which "
+"request them."
 msgstr ""
 
 #: src/network/ssl/ssl.c:86
@@ -6292,16 +6297,15 @@ msgstr " "
 
 #: src/network/ssl/ssl.c:88
 msgid ""
-"The location of a file containing the client certificate\n"
-"and unencrypted private key in PEM format. If unset, the\n"
-"file pointed to by the X509_CLIENT_CERT variable is used\n"
-"instead."
+"The location of a file containing the client certificate and unencrypted "
+"private key in PEM format. If unset, the file pointed to by the "
+"X509_CLIENT_CERT variable is used instead."
 msgstr ""
 
 #: src/network/ssl/ssl.c:163
 msgid ""
-"Verify the peer's SSL certificate.  If you enable\n"
-"this, set also \"Trusted CA file\"."
+"Verify the peer's SSL certificate.  If you enable this, set also \"Trusted "
+"CA file\"."
 msgstr ""
 
 #. The default value of the following option points to a file
@@ -6319,20 +6323,20 @@ msgstr ""
 
 #: src/network/ssl/ssl.c:176
 msgid ""
-"The location of a file containing certificates of\n"
-"trusted certification authorities in PEM format.\n"
-"ELinks then trusts certificates issued by these CAs.\n"
-"If you change this option or the file, you must\n"
-"restart ELinks for the changes to take effect.\n"
-"This option affects GnuTLS but not OpenSSL."
+"The location of a file containing certificates of trusted certification "
+"authorities in PEM format. ELinks then trusts certificates issued by these "
+"CAs.\n"
+"\n"
+"If you change this option or the file, you must restart ELinks for the "
+"changes to take effect. This option affects GnuTLS but not OpenSSL."
 msgstr ""
 
 #. name:
-#: src/network/ssl/ssl.c:199 src/network/ssl/ssl.c:216
+#: src/network/ssl/ssl.c:200 src/network/ssl/ssl.c:217
 msgid "SSL"
 msgstr ""
 
-#: src/network/ssl/ssl.c:201
+#: src/network/ssl/ssl.c:202
 #, fuzzy
 msgid "SSL options."
 msgstr " "
@@ -6668,7 +6672,7 @@ msgstr "    "
 msgid "Login"
 msgstr "  "
 
-#: src/protocol/auth/dialogs.c:113 src/protocol/http/http.c:140
+#: src/protocol/auth/dialogs.c:113 src/protocol/http/http.c:142
 msgid "Password"
 msgstr ""
 
@@ -6751,7 +6755,7 @@ msgstr "HTTP "
 
 #. name:
 #: src/protocol/bittorrent/bittorrent.c:26
-#: src/protocol/bittorrent/bittorrent.c:335
+#: src/protocol/bittorrent/bittorrent.c:339
 msgid "BitTorrent"
 msgstr ""
 
@@ -6806,9 +6810,8 @@ msgstr ""
 
 #: src/protocol/bittorrent/bittorrent.c:57
 msgid ""
-"Whether to request that the tracker returns peer info\n"
-"in compact format. Note, the compact format only supports\n"
-"IPv4 addresses."
+"Whether to request that the tracker returns peer info in compact format. "
+"Note, the compact format only supports IPv4 addresses."
 msgstr ""
 
 #: src/protocol/bittorrent/bittorrent.c:61
@@ -6817,57 +6820,55 @@ msgstr ""
 
 #: src/protocol/bittorrent/bittorrent.c:63
 msgid ""
-"The number of seconds to wait between periodically contacting\n"
-"the tracker for announcing progress and requesting more peers.\n"
-"Set to zero to use the interval requested by the tracker."
+"The number of seconds to wait between periodically contacting the tracker "
+"for announcing progress and requesting more peers. Set to zero to use the "
+"interval requested by the tracker."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:67
+#: src/protocol/bittorrent/bittorrent.c:68
 msgid "IP-address to announce"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:69
+#: src/protocol/bittorrent/bittorrent.c:70
 msgid ""
-"What IP address to report to the tracker. If set to \"\"\n"
-"no IP address will be sent and the tracker will automatically\n"
-"determine an appropriate IP address."
+"What IP address to report to the tracker. If set to \"\" no IP address will "
+"be sent and the tracker will automatically determine an appropriate IP "
+"address."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:73
+#: src/protocol/bittorrent/bittorrent.c:74
 #, fuzzy
 msgid "User identification string"
 msgstr "  "
 
-#: src/protocol/bittorrent/bittorrent.c:75
+#: src/protocol/bittorrent/bittorrent.c:76
 msgid ""
-"An additional identification that is not shared with any users.\n"
-"It is intended to allow a client to prove their identity should\n"
-"their IP address change. It is an optional parameter, but some\n"
-"trackers require this parameter. If set to \"\" no user key will\n"
-"be sent to the tracker."
+"An additional identification that is not shared with any users. It is "
+"intended to allow a client to prove their identity should their IP address "
+"change. It is an optional parameter, but some trackers require this "
+"parameter. If set to \"\" no user key will be sent to the tracker."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:81
+#: src/protocol/bittorrent/bittorrent.c:82
 #, fuzzy
 msgid "Maximum number of peers to request"
 msgstr "  "
 
-#: src/protocol/bittorrent/bittorrent.c:83
+#: src/protocol/bittorrent/bittorrent.c:84
 msgid ""
-"The maximum number of peers to request from the tracker.\n"
-"Set to 0 to use the server default."
+"The maximum number of peers to request from the tracker. Set to 0 to use the "
+"server default."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:86
+#: src/protocol/bittorrent/bittorrent.c:87
 msgid "Minimum peers to skip rerequesting"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:88
+#: src/protocol/bittorrent/bittorrent.c:89
 msgid ""
-"The minimum number of peers to have in the current peer info\n"
-"pool before skipping requesting of more peers. I.e. setting\n"
-"numwant to zero.\n"
-"Set to 0 to not have any limit."
+"The minimum number of peers to have in the current peer info pool before "
+"skipping requesting of more peers. I.e. setting numwant to zero. Set to 0 to "
+"not have any limit."
 msgstr ""
 
 #. ******************************************************************
@@ -6888,182 +6889,177 @@ msgstr "  "
 
 #: src/protocol/bittorrent/bittorrent.c:104
 msgid ""
-"The maximum number of allowed connections to both active and\n"
-"non-active peers. By increasing the number of allowed connections,\n"
-"the chance of finding good peers to download from is increased.\n"
-"However, too many connections can lead to TCP congestion. If the\n"
-"maximum is reached all new incoming connections will be closed."
+"The maximum number of allowed connections to both active and non-active "
+"peers. By increasing the number of allowed connections, the chance of "
+"finding good peers to download from is increased. However, too many "
+"connections can lead to TCP congestion. If the maximum is reached all new "
+"incoming connections will be closed."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:110
+#: src/protocol/bittorrent/bittorrent.c:111
 msgid "Maximum peer message length"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:112
+#: src/protocol/bittorrent/bittorrent.c:113
 msgid ""
-"The maximum length of messages to accept over the wire.\n"
-"Larger values will cause the connection to be dropped."
+"The maximum length of messages to accept over the wire. Larger values will "
+"cause the connection to be dropped."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:115
+#: src/protocol/bittorrent/bittorrent.c:116
 msgid "Maximum allowed request length"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:117
+#: src/protocol/bittorrent/bittorrent.c:118
 msgid ""
-"The maximum length to allow for incoming requests.\n"
-"Larger requests will cause the connection to be dropped."
+"The maximum length to allow for incoming requests. Larger requests will "
+"cause the connection to be dropped."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:120
+#: src/protocol/bittorrent/bittorrent.c:121
 msgid "Length of requests"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:122
+#: src/protocol/bittorrent/bittorrent.c:123
 msgid ""
-"How many bytes to query for per request. This is complementary\n"
-"to the max_request_length option. If the configured length is\n"
-"bigger than the piece length it will be truncated."
+"How many bytes to query for per request. This is complementary to the "
+"max_request_length option. If the configured length is bigger than the piece "
+"length it will be truncated."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:126
+#: src/protocol/bittorrent/bittorrent.c:128
 #, fuzzy
 msgid "Peer inactivity timeout"
 msgstr "  "
 
-#: src/protocol/bittorrent/bittorrent.c:128
+#: src/protocol/bittorrent/bittorrent.c:130
 msgid ""
-"The number of seconds to wait before closing a socket on\n"
-"which nothing has been received or sent."
+"The number of seconds to wait before closing a socket on which nothing has "
+"been received or sent."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:131
+#: src/protocol/bittorrent/bittorrent.c:133
 #, fuzzy
 msgid "Maximum peer pool size"
 msgstr "  "
 
-#: src/protocol/bittorrent/bittorrent.c:133
+#: src/protocol/bittorrent/bittorrent.c:135
 msgid ""
-"Maximum number of items in the peer pool. The peer pool\n"
-"contains information used for establishing connections to\n"
-"new peers.\n"
+"Maximum number of items in the peer pool. The peer pool contains information "
+"used for establishing connections to new peers.\n"
+"\n"
 "Set to 0 to have unlimited size."
 msgstr ""
 
 #. ******************************************************************
 #. Piece management options:
 #. ******************************************************************
-#: src/protocol/bittorrent/bittorrent.c:143
+#: src/protocol/bittorrent/bittorrent.c:146
 #, fuzzy
 msgid "Maximum piece cache size"
 msgstr "  "
 
-#: src/protocol/bittorrent/bittorrent.c:145
+#: src/protocol/bittorrent/bittorrent.c:148
 msgid ""
-"The maximum amount of memory used to hold recently\n"
-"downloaded pieces.\n"
+"The maximum amount of memory used to hold recently downloaded pieces.\n"
+"\n"
 "Set to 0 to have unlimited size."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:154
+#: src/protocol/bittorrent/bittorrent.c:158
 msgid "Sharing rate"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:156
+#: src/protocol/bittorrent/bittorrent.c:160
 msgid ""
-"The minimum sharing rate to achieve before stop seeding.\n"
-"The sharing rate is computed as the number of uploaded bytes\n"
-"divided with the number of downloaded bytes. The value should\n"
-"be a double value between 0.0 and 1.0 both included.\n"
-"Set to 1.0 to atleast upload a complete copy of all data and\n"
+"The minimum sharing rate to achieve before stop seeding. The sharing rate is "
+"computed as the number of uploaded bytes divided with the number of "
+"downloaded bytes. The value should be a double value between 0.0 and 1.0 "
+"both included. Set to 1.0 to atleast upload a complete copy of all data and "
 "set to 0.0 to have unlimited sharing rate."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:163
+#: src/protocol/bittorrent/bittorrent.c:167
 msgid "Maximum number of uploads"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:165
+#: src/protocol/bittorrent/bittorrent.c:169
 msgid "The maximum number of uploads to allow at once."
 msgstr ""
 
 #. The number of uploads to fill out to with extra optimistic unchokes
-#: src/protocol/bittorrent/bittorrent.c:168
+#: src/protocol/bittorrent/bittorrent.c:172
 msgid "Minimum number of uploads"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:170
+#: src/protocol/bittorrent/bittorrent.c:174
 msgid ""
-"The minimum number of uploads which should at least\n"
-"be used for new connections."
+"The minimum number of uploads which should at least be used for new "
+"connections."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:174
+#: src/protocol/bittorrent/bittorrent.c:178
 #, fuzzy
 msgid "Keepalive interval"
 msgstr "  "
 
-#: src/protocol/bittorrent/bittorrent.c:176
-msgid ""
-"The number of seconds to pause between sending keepalive\n"
-"messages."
+#: src/protocol/bittorrent/bittorrent.c:180
+msgid "The number of seconds to pause between sending keepalive messages."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:179
+#: src/protocol/bittorrent/bittorrent.c:183
 #, fuzzy
 msgid "Number of pending requests"
 msgstr "  "
 
-#: src/protocol/bittorrent/bittorrent.c:181
+#: src/protocol/bittorrent/bittorrent.c:185
 msgid ""
-"How many piece requests to continuously keep in queue. Pipelining\n"
-"of requests is essential to saturate connections and get a good\n"
-"connection performance and thus a faster download. However, a\n"
-"very big queue size can lead to wasting bandwidth near the end\n"
-"of the connection since remaining piece blocks will be requested\n"
-"from multiple peers."
+"How many piece requests to continuously keep in queue. Pipelining of "
+"requests is essential to saturate connections and get a good connection "
+"performance and thus a faster download. However, a very big queue size can "
+"lead to wasting bandwidth near the end of the connection since remaining "
+"piece blocks will be requested from multiple peers."
 msgstr ""
 
 #. Bram uses 30 seconds here.
-#: src/protocol/bittorrent/bittorrent.c:190
+#: src/protocol/bittorrent/bittorrent.c:194
 msgid "Peer snubbing interval"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:192
+#: src/protocol/bittorrent/bittorrent.c:196
 msgid ""
-"The number of seconds to wait for file data before assuming\n"
-"the peer has been snubbed."
+"The number of seconds to wait for file data before assuming the peer has "
+"been snubbed."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:195
+#: src/protocol/bittorrent/bittorrent.c:199
 #, fuzzy
 msgid "Peer choke interval"
 msgstr "  "
 
-#: src/protocol/bittorrent/bittorrent.c:197
+#: src/protocol/bittorrent/bittorrent.c:201
 msgid ""
-"The number of seconds between updating the connection state\n"
-"and most importantly choke and unchoke peer connections. The\n"
-"choke period should be big enough for newly unchoked connections\n"
-"to get started but small enough to not allow freeriders too much\n"
-"room for stealing bandwidth."
+"The number of seconds between updating the connection state and most "
+"importantly choke and unchoke peer connections. The choke period should be "
+"big enough for newly unchoked connections to get started but small enough to "
+"not allow freeriders too much room for stealing bandwidth."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:203
+#: src/protocol/bittorrent/bittorrent.c:207
 msgid "Rarest first piece selection cutoff"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:205
+#: src/protocol/bittorrent/bittorrent.c:209
 msgid ""
-"The number of pieces to obtain before switching piece\n"
-"selection strategy from random to rarest first."
+"The number of pieces to obtain before switching piece selection strategy "
+"from random to rarest first."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:208 src/protocol/http/http.c:109
+#: src/protocol/bittorrent/bittorrent.c:212 src/protocol/http/http.c:109
 msgid "Allow blacklisting"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:210
+#: src/protocol/bittorrent/bittorrent.c:214
 msgid "Allow blacklisting of buggy peers."
 msgstr ""
 
@@ -7099,7 +7095,7 @@ msgstr ""
 msgid "Comment"
 msgstr ""
 
-#: src/protocol/bittorrent/dialogs.c:229 src/session/download.c:362
+#: src/protocol/bittorrent/dialogs.c:229 src/session/download.c:388
 #, fuzzy, c-format
 msgid ""
 "Download complete:\n"
@@ -7269,7 +7265,7 @@ msgid_plural "%u unavailable"
 msgstr[0] " FTP  "
 msgstr[1] " FTP  "
 
-#: src/protocol/bittorrent/dialogs.c:584 src/session/session.c:278
+#: src/protocol/bittorrent/dialogs.c:584 src/session/session.c:279
 #, fuzzy, c-format
 msgid "Unable to retrieve %s"
 msgstr "       %s   : %s"
@@ -7284,7 +7280,7 @@ msgstr "HTTP 100 (???)"
 msgid "Information about the torrent"
 msgstr "  "
 
-#: src/protocol/bittorrent/dialogs.c:776 src/session/download.c:1106
+#: src/protocol/bittorrent/dialogs.c:776 src/session/download.c:1132
 msgid "What to do?"
 msgstr "  ?"
 
@@ -7295,13 +7291,13 @@ msgid "Down~load"
 msgstr " (, )"
 
 #. accelerator_context(src/protocol/bittorrent/dialogs.c:bittorrent_query_callback, src/session/download.c:do_type_query)
-#: src/protocol/bittorrent/dialogs.c:804 src/session/download.c:1209
+#: src/protocol/bittorrent/dialogs.c:804 src/session/download.c:1235
 #, fuzzy
 msgid "~Display"
 msgstr ""
 
 #. accelerator_context(src/protocol/bittorrent/dialogs.c:bittorrent_query_callback, src/session/download.c:do_type_query)
-#: src/protocol/bittorrent/dialogs.c:808 src/session/download.c:1213
+#: src/protocol/bittorrent/dialogs.c:808 src/session/download.c:1239
 msgid "Show ~header"
 msgstr ""
 
@@ -7319,16 +7315,16 @@ msgstr "    "
 msgid "Colon separated list of directories, where CGI scripts are stored."
 msgstr ""
 
-#: src/protocol/file/cgi.c:47
+#: src/protocol/file/cgi.c:48
 msgid "Allow local CGI"
 msgstr ""
 
-#: src/protocol/file/cgi.c:49
+#: src/protocol/file/cgi.c:50
 msgid "Whether to execute local CGI scripts."
 msgstr ""
 
 #. name:
-#: src/protocol/file/cgi.c:54
+#: src/protocol/file/cgi.c:55
 msgid "CGI"
 msgstr ""
 
@@ -7347,9 +7343,8 @@ msgstr ""
 
 #: src/protocol/file/file.c:46
 msgid ""
-"Whether to allow reading from non-regular files.\n"
-"Note this can be dangerous; reading /dev/urandom or\n"
-"/dev/zero can ruin your day!"
+"Whether to allow reading from non-regular files. Note this can be dangerous; "
+"reading /dev/urandom or /dev/zero can ruin your day!"
 msgstr ""
 
 #: src/protocol/file/file.c:50
@@ -7358,8 +7353,8 @@ msgstr ""
 
 #: src/protocol/file/file.c:52
 msgid ""
-"When set to false, files with name starting with a dot will be\n"
-"hidden in local directory listings."
+"When set to false, files with name starting with a dot will be hidden in "
+"local directory listings."
 msgstr ""
 
 #: src/protocol/file/file.c:55
@@ -7369,13 +7364,13 @@ msgstr " "
 
 #: src/protocol/file/file.c:57
 msgid ""
-"When set, if we can't open a file named 'filename', we'll try\n"
-"to open 'filename' with some encoding extension appended\n"
-"(ie. 'filename.gz'); it depends on the supported encodings."
+"When set, if we can't open a file named 'filename', we'll try to open "
+"'filename' with some encoding extension appended (ie. 'filename.gz'); it "
+"depends on the supported encodings."
 msgstr ""
 
 #. name:
-#: src/protocol/file/file.c:65
+#: src/protocol/file/file.c:66
 #, fuzzy
 msgid "File"
 msgstr ""
@@ -7405,7 +7400,7 @@ msgid "Whether to sort entries in direct
 msgstr ""
 
 #. name:
-#: src/protocol/ftp/ftp.c:56 src/protocol/ftp/ftp.c:86
+#: src/protocol/ftp/ftp.c:56 src/protocol/ftp/ftp.c:89
 msgid "FTP"
 msgstr ""
 
@@ -7413,8 +7408,8 @@ msgstr ""
 msgid "FTP specific options."
 msgstr ""
 
-#: src/protocol/ftp/ftp.c:60 src/protocol/http/http.c:127
-#: src/protocol/http/http.c:209
+#: src/protocol/ftp/ftp.c:60 src/protocol/http/http.c:128
+#: src/protocol/http/http.c:235
 msgid "Proxy configuration"
 msgstr ""
 
@@ -7422,39 +7417,39 @@ msgstr ""
 msgid "FTP proxy configuration."
 msgstr ""
 
-#: src/protocol/ftp/ftp.c:64 src/protocol/http/http.c:131
-#: src/protocol/http/http.c:213
+#: src/protocol/ftp/ftp.c:64 src/protocol/http/http.c:132
+#: src/protocol/http/http.c:239
 #, fuzzy
 msgid "Host and port-number"
 msgstr " "
 
 #: src/protocol/ftp/ftp.c:66
 msgid ""
-"Host and port-number (host:port) of the FTP proxy, or blank.\n"
-"If it's blank, FTP_PROXY environment variable is checked as well."
+"Host and port-number (host:port) of the FTP proxy, or blank. If it's blank, "
+"FTP_PROXY environment variable is checked as well."
 msgstr ""
 
-#: src/protocol/ftp/ftp.c:69
+#: src/protocol/ftp/ftp.c:70
 msgid "Anonymous password"
 msgstr ""
 
-#: src/protocol/ftp/ftp.c:71
+#: src/protocol/ftp/ftp.c:72
 msgid "FTP anonymous password to be sent."
 msgstr ""
 
-#: src/protocol/ftp/ftp.c:73
+#: src/protocol/ftp/ftp.c:74
 msgid "Use passive mode (IPv4)"
 msgstr ""
 
-#: src/protocol/ftp/ftp.c:75
+#: src/protocol/ftp/ftp.c:76
 msgid "Use PASV instead of PORT (passive vs active mode, IPv4 only)."
 msgstr ""
 
-#: src/protocol/ftp/ftp.c:77
+#: src/protocol/ftp/ftp.c:79
 msgid "Use passive mode (IPv6)"
 msgstr ""
 
-#: src/protocol/ftp/ftp.c:79
+#: src/protocol/ftp/ftp.c:81
 msgid "Use EPSV instead of EPRT (passive vs active mode, IPv6 only)."
 msgstr ""
 
@@ -7481,7 +7476,7 @@ msgid ""
 msgstr ""
 
 #. name:
-#: src/protocol/http/http.c:95 src/protocol/http/http.c:223
+#: src/protocol/http/http.c:95 src/protocol/http/http.c:250
 msgid "HTTP"
 msgstr ""
 
@@ -7503,8 +7498,8 @@ msgstr ""
 
 #: src/protocol/http/http.c:106
 msgid ""
-"The Accept-Charset header is quite long and sending it can trigger\n"
-"bugs in some rarely found servers."
+"The Accept-Charset header is quite long and sending it can trigger bugs in "
+"some rarely found servers."
 msgstr ""
 
 #: src/protocol/http/http.c:111
@@ -7517,71 +7512,71 @@ msgstr ""
 
 #: src/protocol/http/http.c:115
 msgid ""
-"Broken 302 redirect (violates RFC but compatible with Netscape).\n"
-"This is a problem for a lot of web discussion boards and the like.\n"
-"If they will do strange things to you, try to play with this."
+"Broken 302 redirect (violates RFC but compatible with Netscape). This is a "
+"problem for a lot of web discussion boards and the like. If they will do "
+"strange things to you, try to play with this."
 msgstr ""
 
-#: src/protocol/http/http.c:119
+#: src/protocol/http/http.c:120
 msgid "No keepalive after POST requests"
 msgstr ""
 
-#: src/protocol/http/http.c:121
+#: src/protocol/http/http.c:122
 msgid "Disable keepalive connection after POST request."
 msgstr ""
 
-#: src/protocol/http/http.c:123
+#: src/protocol/http/http.c:124
 msgid "Use HTTP/1.0"
 msgstr ""
 
-#: src/protocol/http/http.c:125
+#: src/protocol/http/http.c:126
 msgid "Use HTTP/1.0 protocol instead of HTTP/1.1."
 msgstr ""
 
-#: src/protocol/http/http.c:129
+#: src/protocol/http/http.c:130
 msgid "HTTP proxy configuration."
 msgstr ""
 
-#: src/protocol/http/http.c:133
+#: src/protocol/http/http.c:134
 msgid ""
-"Host and port-number (host:port) of the HTTP proxy, or blank.\n"
-"If it's blank, HTTP_PROXY environment variable is checked as well."
+"Host and port-number (host:port) of the HTTP proxy, or blank. If it's blank, "
+"HTTP_PROXY environment variable is checked as well."
 msgstr ""
 
-#: src/protocol/http/http.c:136
+#: src/protocol/http/http.c:138
 #, fuzzy
 msgid "Username"
 msgstr ""
 
-#: src/protocol/http/http.c:138
+#: src/protocol/http/http.c:140
 #, fuzzy
 msgid "Proxy authentication username."
 msgstr "HTTP "
 
-#: src/protocol/http/http.c:142
+#: src/protocol/http/http.c:144
 #, fuzzy
 msgid "Proxy authentication password."
 msgstr "HTTP "
 
-#: src/protocol/http/http.c:145
+#: src/protocol/http/http.c:147
 msgid "Referer sending"
 msgstr ""
 
-#: src/protocol/http/http.c:147
+#: src/protocol/http/http.c:149
 msgid ""
-"HTTP referer sending options. HTTP referer is a special header\n"
-"sent in the HTTP requests, which is supposed to contain the previous\n"
-"page visited by the browser. This way, the server can know what link\n"
-"did you follow when accessing that page. However, this behaviour\n"
-"can unfortunately considerably affect privacy and can lead even to a\n"
-"security problem on some badly designed web pages."
+"HTTP referer sending options. HTTP referer is a special header sent in the "
+"HTTP requests, which is supposed to contain the previous page visited by the "
+"browser.This way, the server can know what link did you follow when "
+"accessing that page. However, this behaviour can unfortunately considerably "
+"affect privacy and can lead even to a security problem on some badly "
+"designed web pages."
 msgstr ""
 
-#: src/protocol/http/http.c:154
+#: src/protocol/http/http.c:157
 msgid "Policy"
 msgstr ""
 
-#: src/protocol/http/http.c:157
+#: src/protocol/http/http.c:160
 msgid ""
 "Mode of sending HTTP referer:\n"
 "0 is send no referer\n"
@@ -7590,90 +7585,110 @@ msgid ""
 "3 is send previous URL as referer (correct, but insecure)"
 msgstr ""
 
-#: src/protocol/http/http.c:163
+#: src/protocol/http/http.c:166
 msgid "Fake referer URL"
 msgstr ""
 
-#: src/protocol/http/http.c:165
+#: src/protocol/http/http.c:168
 msgid "Fake referer to be sent when policy is 2."
 msgstr ""
 
-#: src/protocol/http/http.c:168
+#: src/protocol/http/http.c:171
 msgid "Send Accept-Language header"
 msgstr ""
 
-#: src/protocol/http/http.c:170
+#: src/protocol/http/http.c:173
 msgid "Send Accept-Language header."
 msgstr ""
 
-#: src/protocol/http/http.c:172
+#: src/protocol/http/http.c:175
 msgid "Use UI language as Accept-Language"
 msgstr ""
 
-#: src/protocol/http/http.c:174
+#: src/protocol/http/http.c:177
 msgid ""
-"Request localised versions of documents from web-servers (using the\n"
-"Accept-Language header) using the language you have configured for\n"
-"ELinks' user-interface (this also affects navigator.language ECMAScript\n"
-"value available to scripts). Note that some see this as a potential\n"
-"security risk because it tells web-masters and the FBI sniffers about\n"
-"your language preference."
+"Request localised versions of documents from web-servers (using the Accept-"
+"Language header) using the language you have configured for ELinks' user-"
+"interface (this also affects navigator.language ECMAScript value available "
+"to scripts). Note that some see this as a potential security risk because it "
+"tells web-masters and the FBI sniffers about your language preference."
+msgstr ""
+
+#. After the compression support has been tested enough,
+#. * we might wrap this option in #if CFG_DEBUG.
+#: src/protocol/http/http.c:187
+msgid "Enable on-the-fly compression"
 msgstr ""
 
-#: src/protocol/http/http.c:181
+#: src/protocol/http/http.c:189
+msgid ""
+"If enabled, the capability to receive compressed content (gzip and/or bzip2) "
+"is announced to the server, which usually sends the reply compressed, thus "
+"saving some bandwidth at slight CPU expense.\n"
+"\n"
+"If ELinks displays a incomplete page or garbage, try disabling this option. "
+"If that helps, there may be a bug in the decompression part of ELinks. "
+"Please report such bugs.\n"
+"\n"
+"If ELinks has been compiled without compression support, this option has no "
+"effect. To check the supported features, see Help -> About."
+msgstr ""
+
+#: src/protocol/http/http.c:202
 msgid "Activate HTTP TRACE debugging"
 msgstr ""
 
-#: src/protocol/http/http.c:183
+#: src/protocol/http/http.c:204
 msgid ""
-"If active, all HTTP requests are sent with TRACE as their method\n"
-"rather than GET or POST. This is useful for debugging of both ELinks\n"
-"and various server-side scripts --- the server only returns the client's\n"
-"request back to the client verbatim. Note that this type of request may\n"
-"not be enabled on all servers."
+"If active, all HTTP requests are sent with TRACE as their method rather than "
+"GET or POST. This is useful for debugging of both ELinks and various server-"
+"side scripts --- the server only returns the client's request back to the "
+"client verbatim. Note that this type of request may not be enabled on all "
+"servers."
 msgstr ""
 
 #. OSNews.com is supposed to be relying on the textmode token, at least.
-#: src/protocol/http/http.c:190
+#: src/protocol/http/http.c:212
 msgid "User-agent identification"
 msgstr ""
 
-#: src/protocol/http/http.c:192
+#: src/protocol/http/http.c:214
 msgid ""
-"Change the User Agent ID. That means identification string, which\n"
-"is sent to HTTP server when a document is requested. The 'textmode'\n"
-"token in the first field is our silent attempt to establish this as\n"
-"a standard for new textmode user agents, so that the webmasters can\n"
-"have just a single uniform test for these if they are e.g. pushing\n"
-"some lite version to them automagically.\n"
+"Change the User Agent ID. That means identification string, which is sent to "
+"HTTP server when a document is requested. The 'textmode' token in the first "
+"field is our silent attempt to establish this as a standard for new textmode "
+"user agents, so that the webmasters can have just a single uniform test for "
+"these if they are e.g. pushing some lite version to them automagically.\n"
+"\n"
 "Use \" \" if you don't want any User-Agent header to be sent at all.\n"
+"\n"
 "%v in the string means ELinks version,\n"
 "%s in the string means system identification,\n"
 "%t in the string means size of the terminal,\n"
 "%b in the string means number of bars displayed by ELinks."
 msgstr ""
 
-#: src/protocol/http/http.c:205
+#: src/protocol/http/http.c:231
 msgid "HTTPS"
 msgstr ""
 
-#: src/protocol/http/http.c:207
+#: src/protocol/http/http.c:233
 #, fuzzy
 msgid "HTTPS-specific options."
 msgstr "    "
 
-#: src/protocol/http/http.c:211
+#: src/protocol/http/http.c:237
 msgid "HTTPS proxy configuration."
 msgstr ""
 
-#: src/protocol/http/http.c:215
+#: src/protocol/http/http.c:241
 msgid ""
-"Host and port-number (host:port) of the HTTPS CONNECT proxy, or blank.\n"
-"If it's blank, HTTPS_PROXY environment variable is checked as well."
+"Host and port-number (host:port) of the HTTPS CONNECT proxy, or blank. If "
+"it's blank, HTTPS_PROXY environment variable is checked as well."
 msgstr ""
 
 #. name:
-#: src/protocol/nntp/nntp.c:32 src/protocol/nntp/nntp.c:65
+#: src/protocol/nntp/nntp.c:32 src/protocol/nntp/nntp.c:66
 msgid "NNTP"
 msgstr ""
 
@@ -7688,19 +7703,19 @@ msgstr ""
 
 #: src/protocol/nntp/nntp.c:38
 msgid ""
-"Used when resolving news: URIs. If set to the empty string\n"
-"the value of the NNTPSERVER environment variable will be used."
+"Used when resolving news: URIs. If set to the empty string the value of the "
+"NNTPSERVER environment variable will be used."
 msgstr ""
 
-#: src/protocol/nntp/nntp.c:41
+#: src/protocol/nntp/nntp.c:42
 msgid "Message header entries"
 msgstr ""
 
-#: src/protocol/nntp/nntp.c:43
+#: src/protocol/nntp/nntp.c:44
 msgid ""
-"Comma separated list of which entries in the article header\n"
-"to show. E.g. 'Subject' and 'From'.\n"
-"All header entries can be read in the header info dialog."
+"Comma separated list of which entries in the article header to show. E.g. "
+"'Subject' and 'From'. All header entries can be read in the header info "
+"dialog."
 msgstr ""
 
 #: src/protocol/protocol.c:242
@@ -7722,10 +7737,9 @@ msgstr ""
 
 #: src/protocol/protocol.c:279
 msgid ""
-"Comma separated list of domains for which the proxy (HTTP/FTP)\n"
-"should be disabled. Optionally, a port can be specified for some\n"
-"domains as well. If it's blank, NO_PROXY environment variable is\n"
-"checked as well."
+"Comma separated list of domains for which the proxy (HTTP/FTP) should be "
+"disabled. Optionally, a port can be specified for some domains as well. If "
+"it's blank, NO_PROXY environment variable is checked as well."
 msgstr ""
 
 #. name:
@@ -7740,47 +7754,45 @@ msgstr ""
 
 #: src/protocol/rewrite/rewrite.c:46
 msgid ""
-"Rules for rewriting URIs entered in the goto dialog.\n"
-"It makes it possible to define a set of prefixes that will\n"
-"be expanded if they match a string entered in the goto dialog.\n"
-"The prefixes can be dumb, meaning that they work only like\n"
-"URI abbreviations, or smart ones, making it possible to pass\n"
+"Rules for rewriting URIs entered in the goto dialog. It makes it possible to "
+"define a set of prefixes that will be expanded if they match a string "
+"entered in the goto dialog. The prefixes can be dumb, meaning that they work "
+"only like URI abbreviations, or smart ones, making it possible to pass "
 "arguments to them like search engine keywords."
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:53
+#: src/protocol/rewrite/rewrite.c:54
 msgid "Enable dumb prefixes"
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:55
+#: src/protocol/rewrite/rewrite.c:56
 msgid ""
-"Enable dumb prefixes - simple URI abbreviations which can\n"
-"be written to the Goto URL dialog instead of actual URIs - i.e.\n"
-"if you write 'elinks' there, you are directed to\n"
-"http://elinks.cz/."
+"Enable dumb prefixes - simple URI abbreviations which can be written to the "
+"Goto URL dialog instead of actual URIs - i.e. if you write 'elinks' there, "
+"you are directed to http://elinks.cz/."
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:60
+#: src/protocol/rewrite/rewrite.c:61
 msgid "Enable smart prefixes"
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:62
+#: src/protocol/rewrite/rewrite.c:63
 msgid ""
-"Enable smart prefixes - URI templates triggered by writing\n"
-"given abbreviation to the Goto URL dialog followed by a list\n"
-"of arguments from which the actual URI is composed - i.e.\n"
-"'gg:search keywords' or 'gn search keywords for news'."
+"Enable smart prefixes - URI templates triggered by writing given "
+"abbreviation to the Goto URL dialog followed by a list of arguments from "
+"which the actual URI is composed - i.e. 'gg:search keywords' or 'gn search "
+"keywords for news'."
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:67
+#: src/protocol/rewrite/rewrite.c:69
 msgid "Dumb Prefixes"
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:69
+#: src/protocol/rewrite/rewrite.c:71
 msgid "Dumb prefixes, see enable-dumb description for details."
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:74
+#: src/protocol/rewrite/rewrite.c:76
 #, no-c-format
 msgid ""
 "Replacement URI for this dumbprefix:\n"
@@ -7788,15 +7800,15 @@ msgid ""
 "%% in the string means '%'"
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:78
+#: src/protocol/rewrite/rewrite.c:80
 msgid "Smart Prefixes"
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:80
+#: src/protocol/rewrite/rewrite.c:82
 msgid "Smart prefixes, see enable-smart description for details."
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:87
+#: src/protocol/rewrite/rewrite.c:90
 #, no-c-format
 msgid ""
 "Replacement URI for this smartprefix:\n"
@@ -7806,27 +7818,29 @@ msgid ""
 "%% in the string means '%'"
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:93
+#: src/protocol/rewrite/rewrite.c:96
 #, fuzzy
 msgid "Default template"
 msgstr "   "
 
-#: src/protocol/rewrite/rewrite.c:96
+#: src/protocol/rewrite/rewrite.c:99
 #, no-c-format
 msgid ""
-"Default URI template used when the string entered in\n"
-"the goto dialog does not appear to be a URI or a filename\n"
-"(i.e. contains no '.', ':' or '/' characters), and does\n"
-"not match any defined prefixes. Set the value to \"\" to\n"
-"disable use of the default template rewrite rule.\n"
+"Default URI template used when the string entered in the goto dialog does "
+"not appear to be a URI or a filename (i.e. contains no '.', ':' or '/' "
+"characters), and does not match any defined prefixes. Set the value to \"\" "
+"to disable use of the default template rewrite rule.\n"
+"\n"
 "%c in the template means the current URL,\n"
-"%s in the template means the whole string from the goto dialog,\n"
-"%0,%1,...,%9 mean the 1st,2nd,...,10th space-delimited part of %s,\n"
+"%s in the template means the whole string from the goto\n"
+"   dialog,\n"
+"%0,%1,...,%9 mean the 1st,2nd,...,10th space-delimited part\n"
+"   of %s,\n"
 "%% in the template means '%'."
 msgstr ""
 
 #. name:
-#: src/protocol/rewrite/rewrite.c:372
+#: src/protocol/rewrite/rewrite.c:378
 msgid "URI rewrite"
 msgstr ""
 
@@ -7849,25 +7863,24 @@ msgid "Credentials file passed to smbcli
 msgstr ""
 
 #. name:
-#: src/protocol/user.c:34 src/protocol/user.c:84
+#: src/protocol/user.c:34 src/protocol/user.c:85
 #, fuzzy
 msgid "User protocols"
 msgstr " URL   "
 
 #: src/protocol/user.c:36
 msgid ""
-"User protocols. Options in this tree specify external\n"
-"handlers for the appropriate protocols. Ie.\n"
-"protocol.user.mailto.unix."
+"User protocols. Options in this tree specify external handlers for the "
+"appropriate protocols. Ie. protocol.user.mailto.unix."
 msgstr ""
 
 #: src/protocol/user.c:47
 msgid ""
-"Handler (external program) for this protocol. Name the\n"
-"options in this tree after your system (ie. unix, unix-xwin)."
+"Handler (external program) for this protocol. Name the options in this tree "
+"after your system (ie. unix, unix-xwin)."
 msgstr ""
 
-#: src/protocol/user.c:52
+#: src/protocol/user.c:53
 msgid ""
 "Handler (external program) for this protocol and system.\n"
 "%f in the string means file name to include form data from\n"
@@ -7878,11 +7891,11 @@ msgid ""
 "%u in the string means the whole URL"
 msgstr ""
 
-#: src/protocol/user.c:276
+#: src/protocol/user.c:277
 msgid "No program"
 msgstr " "
 
-#: src/protocol/user.c:278
+#: src/protocol/user.c:279
 #, fuzzy, c-format
 msgid "No program specified for protocol %s."
 msgstr "      %s."
@@ -7968,19 +7981,19 @@ msgstr ""
 msgid "Spidermonkey ECMAScript"
 msgstr ""
 
-#: src/session/download.c:233 src/session/download.c:330
-#: src/session/download.c:561 src/session/download.c:649
+#: src/session/download.c:256 src/session/download.c:356
+#: src/session/download.c:587 src/session/download.c:675
 msgid "Download error"
 msgstr "  "
 
-#: src/session/download.c:234 src/session/download.c:650
+#: src/session/download.c:257 src/session/download.c:676
 #, fuzzy, c-format
 msgid ""
 "Could not create file '%s':\n"
 "%s"
 msgstr "      "
 
-#: src/session/download.c:331
+#: src/session/download.c:357
 #, fuzzy, c-format
 msgid ""
 "Error downloading %s:\n"
@@ -7988,17 +8001,17 @@ msgid ""
 "%s"
 msgstr "  "
 
-#: src/session/download.c:562
+#: src/session/download.c:588
 #, c-format
 msgid "'%s' is a directory."
 msgstr ""
 
-#: src/session/download.c:596
+#: src/session/download.c:622
 #, fuzzy
 msgid "File exists"
 msgstr " "
 
-#: src/session/download.c:597
+#: src/session/download.c:623
 #, c-format
 msgid ""
 "This file already exists:\n"
@@ -8009,53 +8022,53 @@ msgid ""
 msgstr ""
 
 #. accelerator_context(src/session/download.c:lookup_unique_name)
-#: src/session/download.c:604
+#: src/session/download.c:630
 msgid "Sa~ve under the alternative name"
 msgstr ""
 
 #. accelerator_context(src/session/download.c:lookup_unique_name)
-#: src/session/download.c:605
+#: src/session/download.c:631
 #, fuzzy
 msgid "~Overwrite the original file"
 msgstr "   "
 
 #. accelerator_context(src/session/download.c:lookup_unique_name)
-#: src/session/download.c:606
+#: src/session/download.c:632
 #, fuzzy
 msgid "~Resume download of the original file"
 msgstr "    "
 
-#: src/session/download.c:1109
+#: src/session/download.c:1135
 msgid "Unknown type"
 msgstr " "
 
-#: src/session/download.c:1134
+#: src/session/download.c:1160
 #, fuzzy, c-format
 msgid "What would you like to do with the file '%s' (type: %s%s%s)?"
 msgstr "HTTP 100 (???)"
 
-#: src/session/download.c:1137
+#: src/session/download.c:1163
 #, fuzzy, c-format
 msgid "What would you like to do with the file (type: %s%s%s)?"
 msgstr "HTTP 100 (???)"
 
-#: src/session/download.c:1165
+#: src/session/download.c:1191
 #, no-c-format
 msgid "Program ('%' will be replaced by the filename)"
 msgstr ""
 
-#: src/session/download.c:1169
+#: src/session/download.c:1195
 #, fuzzy
 msgid "Block the terminal"
 msgstr "BeOS "
 
-#: src/session/download.c:1175
+#: src/session/download.c:1201
 #, c-format
 msgid "The file will be opened with the program '%s'."
 msgstr ""
 
 #. accelerator_context(src/session/download.c:do_type_query)
-#: src/session/download.c:1196
+#: src/session/download.c:1222
 #, fuzzy
 msgid "~Open"
 msgstr ""
@@ -8064,12 +8077,12 @@ msgstr ""
 #. * and formatting it with "%u" is safe,
 #. * because fc_maxlength is smaller than
 #. * file.length, which is an int.
-#: src/session/session.c:761 src/session/session.c:780 src/session/task.c:275
-#: src/viewer/text/textarea.c:652
+#: src/session/session.c:771 src/session/session.c:790 src/session/task.c:275
+#: src/viewer/text/textarea.c:641
 msgid "Warning"
 msgstr ""
 
-#: src/session/session.c:762
+#: src/session/session.c:772
 msgid ""
 "You have an empty string in protocol.http.user_agent - this was a default "
 "value in the past, substituted by default ELinks User-Agent string. However, "
@@ -8080,7 +8093,7 @@ msgid ""
 "will be used. Apologies for any inconvience caused."
 msgstr ""
 
-#: src/session/session.c:781
+#: src/session/session.c:791
 msgid ""
 "You have option config.saving_style set to a de facto obsolete value. The "
 "configuration saving algorithms of ELinks were changed from the last time "
@@ -8093,11 +8106,11 @@ msgid ""
 "caused."
 msgstr ""
 
-#: src/session/session.c:806
+#: src/session/session.c:816
 msgid "Welcome"
 msgstr ""
 
-#: src/session/session.c:807
+#: src/session/session.c:817
 #, fuzzy
 msgid ""
 "Welcome to ELinks!\n"
@@ -8151,22 +8164,22 @@ msgstr ""
 msgid "Warning: terminal name contains illicit chars."
 msgstr ""
 
-#: src/terminal/event.c:259
+#: src/terminal/event.c:258
 #, c-format
 msgid "Failed to create session."
 msgstr ""
 
-#: src/terminal/event.c:446
+#: src/terminal/event.c:443
 #, c-format
 msgid "Bad event %d"
 msgstr ""
 
-#: src/terminal/event.c:486
+#: src/terminal/event.c:483
 #, fuzzy, c-format
 msgid "Could not read event: %d (%s)"
 msgstr "      "
 
-#: src/terminal/kbd.c:1187
+#: src/terminal/kbd.c:1210
 #, c-format
 msgid "Too many bytes read from the itrm!"
 msgstr ""
@@ -8245,207 +8258,207 @@ msgstr " "
 msgid "The requested fragment \"%s\" doesn't exist."
 msgstr ""
 
-#: src/viewer/text/form.c:1092
+#: src/viewer/text/form.c:1118
 msgid "Error while posting form"
 msgstr "    "
 
-#: src/viewer/text/form.c:1093
+#: src/viewer/text/form.c:1119
 #, fuzzy, c-format
 msgid "Could not load file %s: %s"
 msgstr "     "
 
-#: src/viewer/text/form.c:1847
+#: src/viewer/text/form.c:1876
 #, fuzzy
 msgid "Reset form"
 msgstr " "
 
-#: src/viewer/text/form.c:1849
+#: src/viewer/text/form.c:1878
 msgid "Harmless button"
 msgstr ""
 
-#: src/viewer/text/form.c:1857
+#: src/viewer/text/form.c:1886
 msgid "Submit form to"
 msgstr "   "
 
-#: src/viewer/text/form.c:1858
+#: src/viewer/text/form.c:1887
 msgid "Post form to"
 msgstr "   "
 
-#: src/viewer/text/form.c:1860
+#: src/viewer/text/form.c:1889
 msgid "Radio button"
 msgstr "-"
 
-#: src/viewer/text/form.c:1864
+#: src/viewer/text/form.c:1893
 msgid "Select field"
 msgstr "  "
 
-#: src/viewer/text/form.c:1868
+#: src/viewer/text/form.c:1897
 msgid "Text area"
 msgstr " "
 
-#: src/viewer/text/form.c:1870
+#: src/viewer/text/form.c:1899
 msgid "File upload"
 msgstr " (upload)  "
 
-#: src/viewer/text/form.c:1872
+#: src/viewer/text/form.c:1901
 msgid "Password field"
 msgstr "  "
 
-#: src/viewer/text/form.c:1910
+#: src/viewer/text/form.c:1939
 msgid "name"
 msgstr ""
 
-#: src/viewer/text/form.c:1922
+#: src/viewer/text/form.c:1951
 msgid "value"
 msgstr ""
 
-#: src/viewer/text/form.c:1935
+#: src/viewer/text/form.c:1964
 msgid "read only"
 msgstr ""
 
-#: src/viewer/text/form.c:1946
+#: src/viewer/text/form.c:1975
 #, c-format
 msgid "press %s to navigate"
 msgstr ""
 
-#: src/viewer/text/form.c:1948
+#: src/viewer/text/form.c:1977
 #, c-format
 msgid "press %s to edit"
 msgstr ""
 
-#: src/viewer/text/form.c:1984
+#: src/viewer/text/form.c:2013
 #, fuzzy, c-format
 msgid "press %s to submit to %s"
 msgstr "  "
 
-#: src/viewer/text/form.c:1986
+#: src/viewer/text/form.c:2015
 #, fuzzy, c-format
 msgid "press %s to post to %s"
 msgstr "  "
 
-#: src/viewer/text/form.c:2088
+#: src/viewer/text/form.c:2117
 msgid "Useless button"
 msgstr ""
 
-#: src/viewer/text/form.c:2090
+#: src/viewer/text/form.c:2119
 #, fuzzy
 msgid "Submit button"
 msgstr "   "
 
 #. accelerator_context(link_menu.map)
-#: src/viewer/text/link.c:1281
+#: src/viewer/text/link.c:1280
 msgid "Display ~usemap"
 msgstr " "
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1286
+#: src/viewer/text/link.c:1285
 msgid "~Follow link"
 msgstr " "
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1288
+#: src/viewer/text/link.c:1287
 msgid "Follow link and r~eload"
 msgstr "   "
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1292
+#: src/viewer/text/link.c:1291
 msgid "Open in new ~window"
 msgstr "   "
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1294
+#: src/viewer/text/link.c:1293
 #, fuzzy
 msgid "Open in new ~tab"
 msgstr "   "
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1296
+#: src/viewer/text/link.c:1295
 #, fuzzy
 msgid "Open in new tab in ~background"
 msgstr "  "
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1301
+#: src/viewer/text/link.c:1300
 msgid "~Download link"
 msgstr " (, ) "
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1304
+#: src/viewer/text/link.c:1303
 msgid "~Add link to bookmarks"
 msgstr "   "
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1308
+#: src/viewer/text/link.c:1307
 msgid "Pass link URI to e~xternal command"
 msgstr ""
 
 #. accelerator_context(link_menu.form, link_menu.reset, link_menu.textarea)
-#: src/viewer/text/link.c:1319 src/viewer/text/link.c:1359
+#: src/viewer/text/link.c:1318 src/viewer/text/link.c:1358
 msgid "~Reset form"
 msgstr " "
 
 #. accelerator_context(link_menu.textarea)
-#: src/viewer/text/link.c:1334
+#: src/viewer/text/link.c:1333
 msgid "Open in ~external editor"
 msgstr ""
 
 #. accelerator_context(link_menu.form, link_menu.textarea)
-#: src/viewer/text/link.c:1342
+#: src/viewer/text/link.c:1341
 msgid "~Submit form"
 msgstr " "
 
 #. accelerator_context(link_menu.form, link_menu.textarea)
-#: src/viewer/text/link.c:1343
+#: src/viewer/text/link.c:1342
 msgid "Submit form and rel~oad"
 msgstr "   "
 
 #. accelerator_context(link_menu.form, link_menu.textarea)
-#: src/viewer/text/link.c:1347
+#: src/viewer/text/link.c:1346
 msgid "Submit form and open in new ~window"
 msgstr "      "
 
 #. accelerator_context(link_menu.form, link_menu.textarea)
-#: src/viewer/text/link.c:1349
+#: src/viewer/text/link.c:1348
 #, fuzzy
 msgid "Submit form and open in new ~tab"
 msgstr "      "
 
 #. accelerator_context(link_menu.form, link_menu.textarea)
-#: src/viewer/text/link.c:1352
+#: src/viewer/text/link.c:1351
 #, fuzzy
 msgid "Submit form and open in new tab in ~background"
 msgstr "      "
 
 #. accelerator_context(link_menu.form, link_menu.textarea)
-#: src/viewer/text/link.c:1357
+#: src/viewer/text/link.c:1356
 msgid "Submit form and ~download"
 msgstr "    (, )"
 
 #. accelerator_context(link_menu.form, link_menu.reset, link_menu.textarea)
-#: src/viewer/text/link.c:1364
+#: src/viewer/text/link.c:1363
 #, fuzzy
 msgid "Form f~ields"
 msgstr ""
 
 #. accelerator_context(link_menu.form, link_menu.map, link_menu.std)
-#: src/viewer/text/link.c:1371
+#: src/viewer/text/link.c:1370
 msgid "V~iew image"
 msgstr " "
 
 #. accelerator_context(link_menu.form, link_menu.map, link_menu.std)
-#: src/viewer/text/link.c:1373
+#: src/viewer/text/link.c:1372
 msgid "Download ima~ge"
 msgstr " "
 
-#: src/viewer/text/link.c:1382
+#: src/viewer/text/link.c:1381
 msgid "No link selected"
 msgstr "   "
 
-#: src/viewer/text/link.c:1452
+#: src/viewer/text/link.c:1451
 msgid "Image"
 msgstr ""
 
-#: src/viewer/text/link.c:1457
+#: src/viewer/text/link.c:1456
 msgid "Usemap"
 msgstr "  "
 
@@ -8454,87 +8467,87 @@ msgstr "  "
 msgid "Marks"
 msgstr ""
 
-#: src/viewer/text/search.c:1083
+#: src/viewer/text/search.c:1099
 msgid "Search hit top, continuing at bottom."
 msgstr ""
 
-#: src/viewer/text/search.c:1084
+#: src/viewer/text/search.c:1100
 msgid "Search hit bottom, continuing at top."
 msgstr ""
 
-#: src/viewer/text/search.c:1087
+#: src/viewer/text/search.c:1103
 msgid "No previous search"
 msgstr "  "
 
-#: src/viewer/text/search.c:1099
+#: src/viewer/text/search.c:1115
 #, fuzzy, c-format
 msgid "Could not compile regular expression '%s'"
 msgstr " "
 
-#: src/viewer/text/search.c:1143
+#: src/viewer/text/search.c:1159
 #, c-format
 msgid "No further matches for '%s'."
 msgstr ""
 
-#: src/viewer/text/search.c:1145
+#: src/viewer/text/search.c:1161
 #, c-format
 msgid "Could not find a link with the text '%s'."
 msgstr ""
 
-#: src/viewer/text/search.c:1147 src/viewer/text/search.c:1558
+#: src/viewer/text/search.c:1163 src/viewer/text/search.c:1576
 #, fuzzy
 msgid "Typeahead"
 msgstr ""
 
-#: src/viewer/text/search.c:1560
+#: src/viewer/text/search.c:1578
 #, c-format
 msgid "No links in current document"
 msgstr ""
 
-#: src/viewer/text/search.c:1643
+#: src/viewer/text/search.c:1661
 msgid "Search for text"
 msgstr "  "
 
-#: src/viewer/text/search.c:1679
+#: src/viewer/text/search.c:1697
 #, fuzzy
 msgid "Normal search"
 msgstr "  "
 
-#: src/viewer/text/search.c:1680
+#: src/viewer/text/search.c:1698
 msgid "Regexp search"
 msgstr ""
 
-#: src/viewer/text/search.c:1681
+#: src/viewer/text/search.c:1699
 msgid "Extended regexp search"
 msgstr ""
 
-#: src/viewer/text/search.c:1683
+#: src/viewer/text/search.c:1701
 msgid "Case sensitive"
 msgstr ""
 
-#: src/viewer/text/search.c:1684
+#: src/viewer/text/search.c:1702
 msgid "Case insensitive"
 msgstr ""
 
-#: src/viewer/text/search.c:1708
+#: src/viewer/text/search.c:1726
 msgid "Search backward"
 msgstr "   "
 
 #. name:
-#: src/viewer/text/search.c:1747
+#: src/viewer/text/search.c:1765
 #, fuzzy
 msgid "Search History"
 msgstr "  "
 
-#: src/viewer/text/textarea.c:595
+#: src/viewer/text/textarea.c:584
 msgid "You cannot launch an external editor in the anonymous mode."
 msgstr ""
 
-#: src/viewer/text/textarea.c:602
+#: src/viewer/text/textarea.c:591
 msgid "You can do this only on the master terminal"
 msgstr "      "
 
-#: src/viewer/text/textarea.c:655
+#: src/viewer/text/textarea.c:644
 #, c-format
 msgid ""
 "You have exceeded the textarea's size limit: your input is %d bytes, but the "
@@ -8552,11 +8565,11 @@ msgstr " "
 msgid "Enter link number"
 msgstr "   "
 
-#: src/viewer/text/view.c:1627
+#: src/viewer/text/view.c:1628
 msgid "Save error"
 msgstr "  "
 
-#: src/viewer/text/view.c:1628
+#: src/viewer/text/view.c:1629
 msgid "Error writing to file"
 msgstr "    "
 
Binary files 0.12~pre2.dfsg0-1/po/ca.gmo and 0.12~pre4-1/po/ca.gmo differ
diff -pruN 0.12~pre2.dfsg0-1/po/ca.po 0.12~pre4-1/po/ca.po
--- 0.12~pre2.dfsg0-1/po/ca.po	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/po/ca.po	2009-05-31 09:48:47.000000000 +0100
@@ -6,7 +6,7 @@ msgid ""
 msgstr ""
 "Project-Id-Version: ELinks 0.5pre0.CVS\n"
 "Report-Msgid-Bugs-To: elinks-users@linuxfromscratch.org\n"
-"POT-Creation-Date: 2008-09-21 11:13+0300\n"
+"POT-Creation-Date: 2009-05-31 01:57+0300\n"
 "PO-Revision-Date: 2003-01-03 03:41+0100\n"
 "Last-Translator: Carles Sadurn Anguita <isard@ctv.es>\n"
 "Language-Team: Catalan <ca@dodds.net>\n"
@@ -37,7 +37,7 @@ msgstr ""
 #: src/mime/dialogs.c:132 src/protocol/auth/dialogs.c:115
 #: src/protocol/protocol.c:246 src/scripting/lua/core.c:399
 #: src/scripting/lua/core.c:480 src/scripting/python/dialogs.c:86
-#: src/session/session.c:811 src/viewer/text/search.c:1686
+#: src/session/session.c:821 src/viewer/text/search.c:1704
 #, fuzzy
 msgid "~OK"
 msgstr "D'acord"
@@ -55,13 +55,13 @@ msgid "Sorry, but the item \"%s\" is bei
 msgstr ""
 
 #. cant_delete_folder
-#: src/bfu/hierbox.c:558 src/bookmarks/dialogs.c:121
+#: src/bfu/hierbox.c:558 src/bookmarks/dialogs.c:153
 #, c-format
 msgid "Sorry, but the folder \"%s\" cannot be deleted."
 msgstr ""
 
 #. cant_delete_used_folder
-#: src/bfu/hierbox.c:561 src/bookmarks/dialogs.c:123
+#: src/bfu/hierbox.c:561 src/bookmarks/dialogs.c:155
 #, c-format
 msgid "Sorry, but the folder \"%s\" is being used by something else."
 msgstr ""
@@ -79,7 +79,7 @@ msgid "Delete marked items?"
 msgstr "Llista"
 
 #. delete_folder_title
-#: src/bfu/hierbox.c:570 src/bookmarks/dialogs.c:129
+#: src/bfu/hierbox.c:570 src/bookmarks/dialogs.c:161
 #, fuzzy
 msgid "Delete folder"
 msgstr "Eliminar registre"
@@ -139,13 +139,13 @@ msgstr "S"
 msgid "~No"
 msgstr "No"
 
-#: src/bfu/hierbox.c:945 src/bfu/hierbox.c:976 src/viewer/text/search.c:1090
-#: src/viewer/text/search.c:1098 src/viewer/text/search.c:1114
-#: src/viewer/text/search.c:1705
+#: src/bfu/hierbox.c:945 src/bfu/hierbox.c:976 src/viewer/text/search.c:1106
+#: src/viewer/text/search.c:1114 src/viewer/text/search.c:1130
+#: src/viewer/text/search.c:1723
 msgid "Search"
 msgstr "Cercar"
 
-#: src/bfu/hierbox.c:947 src/viewer/text/search.c:1091
+#: src/bfu/hierbox.c:947 src/viewer/text/search.c:1107
 #, fuzzy, c-format
 msgid "Search string '%s' not found"
 msgstr "No s'ha trobat la cadena"
@@ -184,8 +184,8 @@ msgstr "No s'hi permeten cadenes buides"
 #: src/dialogs/options.c:237 src/dialogs/options.c:316 src/mime/dialogs.c:133
 #: src/protocol/auth/dialogs.c:116 src/protocol/bittorrent/dialogs.c:814
 #: src/scripting/lua/core.c:400 src/scripting/lua/core.c:481
-#: src/session/download.c:607 src/session/download.c:1219
-#: src/viewer/text/search.c:1687
+#: src/session/download.c:633 src/session/download.c:1245
+#: src/viewer/text/search.c:1705
 #, fuzzy
 msgid "~Cancel"
 msgstr "Anullaci"
@@ -199,8 +199,8 @@ msgstr "bloquejat"
 msgid "Digital clock in the status bar."
 msgstr ""
 
-#: src/bfu/leds.c:77 src/bfu/leds.c:94 src/config/options.inc:1199
-#: src/config/options.inc:1206 src/ecmascript/ecmascript.c:45
+#: src/bfu/leds.c:77 src/bfu/leds.c:94 src/config/options.inc:1272
+#: src/config/options.inc:1279 src/ecmascript/ecmascript.c:45
 #: src/globhist/globhist.c:64 src/mime/backend/mailcap.c:93
 #: src/mime/backend/mimetypes.c:52 src/network/ssl/ssl.c:81
 #, fuzzy
@@ -218,8 +218,7 @@ msgstr "Trametre fitxer"
 
 #: src/bfu/leds.c:83
 msgid ""
-"Format string for the digital clock. See the strftime(3)\n"
-"manpage for details."
+"Format string for the digital clock. See the strftime(3) manpage for details."
 msgstr ""
 
 #: src/bfu/leds.c:90
@@ -232,8 +231,7 @@ msgstr ""
 
 #: src/bfu/leds.c:96
 msgid ""
-"Enable LEDs.\n"
-"These visual indicators will inform you about various states."
+"Enable LEDs. These visual indicators will inform you about various states."
 msgstr ""
 
 #. name:
@@ -263,34 +261,34 @@ msgstr ""
 msgid "Search menu/"
 msgstr "Cercar"
 
-#: src/bookmarks/backend/xbel.c:97
+#: src/bookmarks/backend/xbel.c:105
 #, c-format
 msgid "read_bookmarks_xbel(): Error in XML_ParserCreate()"
 msgstr ""
 
-#: src/bookmarks/backend/xbel.c:108
+#: src/bookmarks/backend/xbel.c:116
 #, c-format
 msgid "read_bookmarks_xbel(): Error reading %s"
 msgstr ""
 
-#: src/bookmarks/backend/xbel.c:116
+#: src/bookmarks/backend/xbel.c:124
 #, c-format
 msgid ""
 "Parse error while processing XBEL bookmarks in %s at line %d column %d:\n"
 "%s"
 msgstr ""
 
-#: src/bookmarks/backend/xbel.c:390 src/bookmarks/backend/xbel.c:411
+#: src/bookmarks/backend/xbel.c:388 src/bookmarks/backend/xbel.c:410
 msgid "No title"
 msgstr ""
 
-#: src/bookmarks/backend/xbel.c:396
+#: src/bookmarks/backend/xbel.c:394
 #, fuzzy
 msgid "No URL"
 msgstr "Anar a (URL)"
 
 #. name:
-#: src/bookmarks/bookmarks.c:48 src/bookmarks/bookmarks.c:181
+#: src/bookmarks/bookmarks.c:48 src/bookmarks/bookmarks.c:183
 #, fuzzy
 msgid "Bookmarks"
 msgstr "Agenda"
@@ -300,7 +298,7 @@ msgstr "Agenda"
 msgid "Bookmark options."
 msgstr "Agenda"
 
-#: src/bookmarks/bookmarks.c:53 src/bookmarks/bookmarks.c:59
+#: src/bookmarks/bookmarks.c:53 src/bookmarks/bookmarks.c:60
 #, fuzzy
 msgid "File format"
 msgstr "Trametre fitxer"
@@ -309,51 +307,47 @@ msgstr "Trametre fitxer"
 msgid ""
 "File format for bookmarks (affects both reading and saving):\n"
 "0 is the default native ELinks format\n"
-"1 is XBEL universal XML bookmarks format (ELinks bug 153: NO NATIONAL CHARS "
-"SUPPORT!)"
+"1 is XBEL universal XML bookmarks format"
 msgstr ""
 
-#: src/bookmarks/bookmarks.c:61
+#: src/bookmarks/bookmarks.c:62
 msgid ""
 "File format for bookmarks (affects both reading and saving):\n"
 "0 is the default native ELinks format\n"
-"1 is XBEL universal XML bookmarks format (ELinks bug 153: NO NATIONAL CHARS "
-"SUPPORT!)  (DISABLED)"
+"1 is XBEL universal XML bookmarks format  (DISABLED)"
 msgstr ""
 
-#: src/bookmarks/bookmarks.c:67
+#: src/bookmarks/bookmarks.c:68
 #, fuzzy
 msgid "Save folder state"
 msgstr "Introduu nmero d'enlla"
 
-#: src/bookmarks/bookmarks.c:69
+#: src/bookmarks/bookmarks.c:70
 msgid ""
-"When saving bookmarks also store whether folders are\n"
-"expanded or not, so the look of the bookmark dialog is\n"
-"kept across ELinks sessions. If disabled all folders will\n"
-"appear unexpanded next time ELinks is run."
+"When saving bookmarks also store whether folders are expanded or not, so the "
+"look of the bookmark dialog is kept across ELinks sessions. If disabled all "
+"folders will appear unexpanded next time ELinks is run."
 msgstr ""
 
-#: src/bookmarks/bookmarks.c:74
+#: src/bookmarks/bookmarks.c:75
 msgid "Periodic snapshotting"
 msgstr ""
 
-#: src/bookmarks/bookmarks.c:76
+#: src/bookmarks/bookmarks.c:77
 msgid ""
-"Automatically save a snapshot of all tabs periodically.\n"
-"This will periodically bookmark the tabs of each terminal in a separate "
-"folder\n"
-"for recovery after a crash.\n"
+"Automatically save a snapshot of all tabs periodically. This will "
+"periodically bookmark the tabs of each terminal in a separate folder for "
+"recovery after a crash.\n"
 "\n"
 "This feature requires bookmark support."
 msgstr ""
 
-#: src/bookmarks/dialogs.c:72 src/config/options.inc:1051
+#: src/bookmarks/dialogs.c:97 src/config/options.inc:1120
 #: src/dialogs/document.c:145 src/globhist/dialogs.c:65
 msgid "Title"
 msgstr ""
 
-#: src/bookmarks/dialogs.c:73 src/cache/dialogs.c:65
+#: src/bookmarks/dialogs.c:101 src/cache/dialogs.c:65
 #: src/dialogs/document.c:136 src/dialogs/edit.c:96 src/formhist/dialogs.c:63
 #: src/globhist/dialogs.c:66 src/protocol/auth/dialogs.c:163
 #: src/scripting/lua/core.c:397
@@ -361,86 +355,86 @@ msgid "URL"
 msgstr "URL"
 
 #. cant_delete_item
-#: src/bookmarks/dialogs.c:117
+#: src/bookmarks/dialogs.c:149
 #, c-format
 msgid "Sorry, but the bookmark \"%s\" cannot be deleted."
 msgstr ""
 
 #. cant_delete_used_item
-#: src/bookmarks/dialogs.c:119
+#: src/bookmarks/dialogs.c:151
 #, c-format
 msgid "Sorry, but the bookmark \"%s\" is being used by something else."
 msgstr ""
 
 #. delete_marked_items_title
-#: src/bookmarks/dialogs.c:125
+#: src/bookmarks/dialogs.c:157
 #, fuzzy
 msgid "Delete marked bookmarks"
 msgstr "Llista"
 
 #. delete_marked_items
-#: src/bookmarks/dialogs.c:127
+#: src/bookmarks/dialogs.c:159
 #, fuzzy
 msgid "Delete marked bookmarks?"
 msgstr "Llista"
 
 #. delete_folder
-#: src/bookmarks/dialogs.c:131
+#: src/bookmarks/dialogs.c:163
 #, fuzzy, c-format
 msgid "Delete the folder \"%s\" and all bookmarks in it?"
 msgstr "Esborrar extensions"
 
 #. delete_item_title
-#: src/bookmarks/dialogs.c:133
+#: src/bookmarks/dialogs.c:165
 #, fuzzy
 msgid "Delete bookmark"
 msgstr "Editar registre"
 
-#: src/bookmarks/dialogs.c:135
+#: src/bookmarks/dialogs.c:167
 #, c-format
 msgid "Delete this bookmark?"
 msgstr ""
 
 #. clear_all_items_title
-#: src/bookmarks/dialogs.c:137
+#: src/bookmarks/dialogs.c:169
 #, fuzzy
 msgid "Clear all bookmarks"
 msgstr "Agenda"
 
 #. clear_all_items_title
-#: src/bookmarks/dialogs.c:139
+#: src/bookmarks/dialogs.c:171
 #, fuzzy
 msgid "Do you really want to remove all bookmarks?"
 msgstr "Segur que voleu eixir de Links?"
 
-#: src/bookmarks/dialogs.c:254
+#: src/bookmarks/dialogs.c:327
 msgid "Add folder"
 msgstr ""
 
-#: src/bookmarks/dialogs.c:254
+#: src/bookmarks/dialogs.c:327
 msgid "Folder name"
 msgstr ""
 
-#: src/bookmarks/dialogs.c:310 src/scripting/lua/core.c:391
+#: src/bookmarks/dialogs.c:410 src/scripting/lua/core.c:391
 msgid "Edit bookmark"
 msgstr "Editar registre"
 
-#: src/bookmarks/dialogs.c:461
+#: src/bookmarks/dialogs.c:567
 msgid "Cannot move folder inside itself"
 msgstr ""
 
-#: src/bookmarks/dialogs.c:462
+#: src/bookmarks/dialogs.c:568
 msgid ""
 "You are trying to move the marked folder inside itself. To move the folder "
 "to a different location select the new location before pressing the Move "
 "button."
 msgstr ""
 
-#: src/bookmarks/dialogs.c:468
+#: src/bookmarks/dialogs.c:574
 msgid "Nothing to move"
 msgstr ""
 
-#: src/bookmarks/dialogs.c:469
+#: src/bookmarks/dialogs.c:575
 msgid ""
 "To move bookmarks, first mark all the bookmarks (or folders) you want to "
 "move.  This can be done with the Insert key if you're using the default key-"
@@ -449,21 +443,21 @@ msgid ""
 msgstr ""
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons, src/cache/dialogs.c:cache_buttons, src/globhist/dialogs.c:globhist_buttons, src/protocol/auth/dialogs.c:auth_buttons)
-#: src/bookmarks/dialogs.c:487 src/cache/dialogs.c:230
+#: src/bookmarks/dialogs.c:593 src/cache/dialogs.c:230
 #: src/globhist/dialogs.c:224 src/protocol/auth/dialogs.c:261
 #, fuzzy
 msgid "~Goto"
 msgstr "Anar"
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons, src/config/dialogs.c:option_buttons, src/cookies/dialogs.c:cookie_buttons)
-#: src/bookmarks/dialogs.c:488 src/config/dialogs.c:503
+#: src/bookmarks/dialogs.c:594 src/config/dialogs.c:503
 #: src/cookies/dialogs.c:492
 #, fuzzy
 msgid "~Edit"
 msgstr "Editar"
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons, src/cache/dialogs.c:cache_buttons, src/config/dialogs.c:keybinding_buttons, src/config/dialogs.c:option_buttons, src/cookies/dialogs.c:cookie_buttons, src/dialogs/menu.c:ext_menu, src/formhist/dialogs.c:formhist_buttons, src/globhist/dialogs.c:globhist_buttons, src/protocol/auth/dialogs.c:auth_buttons)
-#: src/bookmarks/dialogs.c:489 src/cache/dialogs.c:231
+#: src/bookmarks/dialogs.c:595 src/cache/dialogs.c:231
 #: src/config/dialogs.c:505 src/config/dialogs.c:930 src/cookies/dialogs.c:493
 #: src/dialogs/menu.c:463 src/formhist/dialogs.c:211
 #: src/globhist/dialogs.c:229 src/protocol/auth/dialogs.c:263
@@ -471,28 +465,28 @@ msgid "~Delete"
 msgstr "Esborrar"
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons, src/config/dialogs.c:keybinding_buttons, src/config/dialogs.c:option_buttons, src/cookies/dialogs.c:cookie_buttons, src/dialogs/menu.c:ext_menu)
-#: src/bookmarks/dialogs.c:490 src/config/dialogs.c:504
+#: src/bookmarks/dialogs.c:596 src/config/dialogs.c:504
 #: src/config/dialogs.c:929 src/cookies/dialogs.c:490 src/dialogs/menu.c:461
 msgid "~Add"
 msgstr "~Afegir"
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons)
-#: src/bookmarks/dialogs.c:491
+#: src/bookmarks/dialogs.c:597
 msgid "Add se~parator"
 msgstr ""
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons)
-#: src/bookmarks/dialogs.c:492
+#: src/bookmarks/dialogs.c:598
 msgid "Add ~folder"
 msgstr ""
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons)
-#: src/bookmarks/dialogs.c:493
+#: src/bookmarks/dialogs.c:599
 msgid "~Move"
 msgstr ""
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons, src/cache/dialogs.c:cache_buttons, src/config/dialogs.c:keybinding_buttons, src/config/dialogs.c:option_buttons, src/dialogs/menu.c:view_menu, src/globhist/dialogs.c:globhist_buttons)
-#: src/bookmarks/dialogs.c:494 src/cache/dialogs.c:232
+#: src/bookmarks/dialogs.c:600 src/cache/dialogs.c:232
 #: src/config/dialogs.c:506 src/config/dialogs.c:932 src/dialogs/menu.c:413
 #: src/globhist/dialogs.c:230
 msgid "~Search"
@@ -500,38 +494,52 @@ msgstr "Cercar"
 
 #. This one is too dangerous, so just let user delete
 #. * the bookmarks file if needed. --Zas
-#: src/bookmarks/dialogs.c:498
+#: src/bookmarks/dialogs.c:604
 msgid "Clear"
 msgstr ""
 
 #. TODO: Would this be useful? --jonas
-#: src/bookmarks/dialogs.c:501 src/globhist/dialogs.c:235
+#: src/bookmarks/dialogs.c:607 src/globhist/dialogs.c:235
 msgid "Save"
 msgstr "Desar"
 
-#: src/bookmarks/dialogs.c:507
+#: src/bookmarks/dialogs.c:613
 msgid "Bookmark manager"
 msgstr "Agenda"
 
-#: src/bookmarks/dialogs.c:632
+#: src/bookmarks/dialogs.c:825
 msgid "Search bookmarks"
 msgstr ""
 
-#: src/bookmarks/dialogs.c:661
+#. When the user eventually pushes the OK button, BFU calls
+#. * bookmark_add_add() and gives it the struct dialog * as the
+#. * void * parameter.  However, bookmark_add_add() also needs
+#. * to know the struct terminal *, and there is no way to get
+#. * that from struct dialog.  The other bookmark dialogs work
+#. * around that by making dialog.udata point to the struct
+#. * dialog_data of the bookmark manager, but the "Add bookmark"
+#. * dialog can be triggered with ACT_MAIN_ADD_BOOKMARK, which
+#. * does not involve the bookmark manager at all.
+#. *
+#. * The solution here is to save the struct terminal * in
+#. * dialog.udata2, which the "Edit bookmark" dialog uses for
+#. * struct bookmark *.  When adding a new bookmark, we don't
+#. * need a pointer to an existing one, of course.
+#: src/bookmarks/dialogs.c:892
 msgid "Add bookmark"
 msgstr "Afegir a l'agenda"
 
-#: src/bookmarks/dialogs.c:697
+#: src/bookmarks/dialogs.c:950
 #, fuzzy
 msgid "Saved session"
 msgstr "Desar opcions"
 
-#: src/bookmarks/dialogs.c:705
+#: src/bookmarks/dialogs.c:958
 #, fuzzy
 msgid "Bookmark tabs"
 msgstr "Agenda"
 
-#: src/bookmarks/dialogs.c:705
+#: src/bookmarks/dialogs.c:958
 #, fuzzy
 msgid "Enter folder name"
 msgstr "Introduu nmero d'enlla"
@@ -545,7 +553,7 @@ msgstr "Anar a (URL)"
 msgid "Redirect"
 msgstr ""
 
-#: src/cache/dialogs.c:85 src/config/options.inc:519
+#: src/cache/dialogs.c:85 src/config/options.inc:553
 #: src/dialogs/document.c:156 src/protocol/bittorrent/dialogs.c:126
 msgid "Size"
 msgstr "Grandria"
@@ -592,7 +600,7 @@ msgstr ""
 msgid "ID"
 msgstr ""
 
-#: src/cache/dialogs.c:134 src/config/options.inc:669
+#: src/cache/dialogs.c:134 src/config/options.inc:707
 #, fuzzy
 msgid "Header"
 msgstr "Capaleres"
@@ -1346,7 +1354,7 @@ msgstr "No s'ha trobat la mquina"
 msgid "Resolver error"
 msgstr "Error mentre desava"
 
-#: src/config/cmdline.c:256 src/cookies/cookies.c:841 src/network/state.c:47
+#: src/config/cmdline.c:256 src/cookies/cookies.c:843 src/network/state.c:47
 #: src/util/secsave.c:379
 msgid "Out of memory"
 msgstr "Memria exhaurida"
@@ -1368,290 +1376,291 @@ msgstr ""
 msgid "Remote method not supported"
 msgstr ""
 
-#: src/config/cmdline.c:452
+#: src/config/cmdline.c:437
+msgid "Out of memory formatting option documentation"
+msgstr ""
+
+#: src/config/cmdline.c:474
 msgid "Template option folder"
 msgstr ""
 
-#: src/config/cmdline.c:475
+#: src/config/cmdline.c:497
 #, c-format
 msgid "(default: %ld)"
 msgstr ""
 
-#: src/config/cmdline.c:482 src/config/cmdline.c:511
+#: src/config/cmdline.c:504 src/config/cmdline.c:533
 #, c-format
 msgid "(default: \"%s\")"
 msgstr ""
 
-#: src/config/cmdline.c:487
+#: src/config/cmdline.c:509
 #, c-format
 msgid "(alias for %s)"
 msgstr ""
 
-#: src/config/cmdline.c:492 src/config/cmdline.c:501
+#: src/config/cmdline.c:514 src/config/cmdline.c:523
 #, c-format
 msgid "(default: %s)"
 msgstr ""
 
-#: src/config/cmdline.c:642
+#: src/config/cmdline.c:654
 #, fuzzy
 msgid "Configuration options"
 msgstr "Connexions"
 
-#: src/config/cmdline.c:646
+#: src/config/cmdline.c:658
 msgid "Usage: elinks [OPTION]... [URL]..."
 msgstr ""
 
-#: src/config/cmdline.c:647
+#: src/config/cmdline.c:659
 #, fuzzy
 msgid "Options"
 msgstr "Desar opcions"
 
-#: src/config/cmdline.c:689
+#: src/config/cmdline.c:701
 #, fuzzy
 msgid "Internal consistency error"
 msgstr "Error intern"
 
 #.
-#: src/config/cmdline.c:725
+#: src/config/cmdline.c:737
 msgid "Restrict to anonymous mode"
 msgstr ""
 
-#: src/config/cmdline.c:727
+#: src/config/cmdline.c:739
 msgid ""
-"Restricts ELinks so it can run on an anonymous account.\n"
-"Local file browsing, downloads, and modification of options\n"
-"will be disabled. Execution of viewers is allowed, but entries\n"
-"in the association table can't be added or modified."
+"Restricts ELinks so it can run on an anonymous account. Local file browsing, "
+"downloads, and modification of options will be disabled. Execution of "
+"viewers is allowed, but entries in the association table can't be added or "
+"modified."
 msgstr ""
 
-#: src/config/cmdline.c:732
+#: src/config/cmdline.c:745
 #, fuzzy
 msgid "Autosubmit first form"
 msgstr "Enviar formulari"
 
-#: src/config/cmdline.c:734
+#: src/config/cmdline.c:747
 msgid "Automatically submit the first form in the given URLs."
 msgstr ""
 
-#: src/config/cmdline.c:736
+#: src/config/cmdline.c:749
 msgid "Clone internal session with given ID"
 msgstr ""
 
-#: src/config/cmdline.c:738
+#: src/config/cmdline.c:751
 msgid ""
-"Used internally when opening ELinks instances in new windows.\n"
-"The ID maps to information that will be used when creating the\n"
-"new instance. You don't want to use it."
+"Used internally when opening ELinks instances in new windows. The ID maps to "
+"information that will be used when creating the new instance. You don't want "
+"to use it."
 msgstr ""
 
-#: src/config/cmdline.c:744
+#: src/config/cmdline.c:757
 msgid "Name of directory with configuration file"
 msgstr ""
 
-#: src/config/cmdline.c:746
+#: src/config/cmdline.c:759
 msgid ""
-"Path of the directory ELinks will read and write its\n"
-"config and runtime state files to instead of ~/.elinks.\n"
-"If the path does not begin with a '/' it is assumed to be\n"
-"relative to your HOME directory."
+"Path of the directory ELinks will read and write its config and runtime "
+"state files to instead of ~/.elinks. If the path does not begin with a '/' "
+"it is assumed to be relative to your HOME directory."
 msgstr ""
 
-#: src/config/cmdline.c:751
+#: src/config/cmdline.c:764
 msgid "Print default configuration file to stdout"
 msgstr ""
 
-#: src/config/cmdline.c:753
+#: src/config/cmdline.c:766
 msgid ""
-"Print a configuration file with options set to the built-in\n"
-"defaults to stdout."
+"Print a configuration file with options set to the built-in defaults to "
+"stdout."
 msgstr ""
 
-#: src/config/cmdline.c:758
+#: src/config/cmdline.c:771
 msgid "Name of configuration file"
 msgstr ""
 
-#: src/config/cmdline.c:760
+#: src/config/cmdline.c:773
 msgid ""
-"Name of the configuration file that all configuration\n"
-"options will be read from and written to. It should be\n"
-"relative to config-dir."
+"Name of the configuration file that all configuration options will be read "
+"from and written to. It should be relative to config-dir."
 msgstr ""
 
-#: src/config/cmdline.c:764
+#: src/config/cmdline.c:777
 msgid "Print help for configuration options"
 msgstr ""
 
-#: src/config/cmdline.c:766
+#: src/config/cmdline.c:779
 msgid "Print help for configuration options and exit."
 msgstr ""
 
-#: src/config/cmdline.c:768
+#: src/config/cmdline.c:781
 msgid "MIME type assumed for unknown document types"
 msgstr ""
 
-#: src/config/cmdline.c:770
+#: src/config/cmdline.c:783
 msgid "The default MIME type used for documents of unknown type."
 msgstr ""
 
-#: src/config/cmdline.c:772
+#: src/config/cmdline.c:786
 msgid "Ignore user-defined keybindings"
 msgstr ""
 
-#: src/config/cmdline.c:774
+#: src/config/cmdline.c:788
 msgid ""
-"When set, all keybindings from configuration files will be\n"
-"ignored. It forces use of default keybindings and will reset\n"
-"user-defined ones on save."
+"When set, all keybindings from configuration files will be ignored. It "
+"forces use of default keybindings and will reset user-defined ones on save."
 msgstr ""
 
-#: src/config/cmdline.c:778
+#: src/config/cmdline.c:792
 msgid "Print formatted versions of given URLs to stdout"
 msgstr ""
 
-#: src/config/cmdline.c:780
+#: src/config/cmdline.c:794
 msgid "Print formatted plain-text versions of given URLs to stdout."
 msgstr ""
 
-#: src/config/cmdline.c:782
+#: src/config/cmdline.c:797
 msgid "Codepage to use with -dump"
 msgstr ""
 
-#: src/config/cmdline.c:784
+#: src/config/cmdline.c:799
 msgid "Codepage used when formatting dump output."
 msgstr ""
 
-#: src/config/cmdline.c:786
+#: src/config/cmdline.c:801
 msgid "Color mode used with -dump"
 msgstr ""
 
-#: src/config/cmdline.c:788
+#: src/config/cmdline.c:803
 msgid "Color mode used with -dump."
 msgstr ""
 
-#: src/config/cmdline.c:790
+#: src/config/cmdline.c:805
 msgid "Width of document formatted with -dump"
 msgstr ""
 
-#: src/config/cmdline.c:792
+#: src/config/cmdline.c:807
 msgid "Width of the dump output."
 msgstr ""
 
-#: src/config/cmdline.c:794
+#: src/config/cmdline.c:809
 msgid "Evaluate configuration file directive"
 msgstr ""
 
-#: src/config/cmdline.c:796
+#: src/config/cmdline.c:811
 msgid ""
-"Specify configuration file directives on the command-line\n"
-"which will be evaluated after all configuration files has been\n"
-"read. Example usage:\n"
+"Specify configuration file directives on the command-line which will be "
+"evaluated after all configuration files has been read. Example usage:\n"
 "\t-eval 'set protocol.file.allow_special_files = 1'"
 msgstr ""
 
 #. lynx compatibility
-#: src/config/cmdline.c:802
+#: src/config/cmdline.c:817
 msgid "Interpret documents of unknown types as HTML"
 msgstr ""
 
-#: src/config/cmdline.c:804
+#: src/config/cmdline.c:819
 msgid ""
-"Makes ELinks assume documents of unknown types are HTML.\n"
-"Useful when using ELinks as an external viewer from MUAs.\n"
-"This is equivalent to -default-mime-type text/html."
+"Makes ELinks assume documents of unknown types are HTML. Useful when using "
+"ELinks as an external viewer from MUAs. This is equivalent to -default-mime-"
+"type text/html."
 msgstr ""
 
-#: src/config/cmdline.c:814
+#: src/config/cmdline.c:829
 msgid "Print usage help and exit"
 msgstr ""
 
-#: src/config/cmdline.c:816
+#: src/config/cmdline.c:831
 msgid "Print usage help and exit."
 msgstr ""
 
-#: src/config/cmdline.c:818
+#: src/config/cmdline.c:833
 msgid "Only permit local connections"
 msgstr ""
 
-#: src/config/cmdline.c:820
+#: src/config/cmdline.c:835
 msgid ""
-"Restricts ELinks to work offline and only connect to servers\n"
-"with local addresses (ie. 127.0.0.1). No connections to remote\n"
-"servers will be permitted."
+"Restricts ELinks to work offline and only connect to servers with local "
+"addresses (ie. 127.0.0.1). No connections to remote servers will be "
+"permitted."
 msgstr ""
 
-#: src/config/cmdline.c:824
+#: src/config/cmdline.c:839
 msgid "Print detailed usage help and exit"
 msgstr ""
 
-#: src/config/cmdline.c:826
+#: src/config/cmdline.c:841
 msgid "Print detailed usage help and exit."
 msgstr ""
 
-#: src/config/cmdline.c:828
+#: src/config/cmdline.c:843
 #, fuzzy
 msgid "Look up specified host"
 msgstr "No hi ha cap programa especificat per a"
 
-#: src/config/cmdline.c:830
+#: src/config/cmdline.c:845
 msgid "Look up specified host and print all DNS resolved IP addresses."
 msgstr ""
 
-#: src/config/cmdline.c:832
+#: src/config/cmdline.c:848
 msgid "Run as separate instance"
 msgstr ""
 
-#: src/config/cmdline.c:834
+#: src/config/cmdline.c:850
 msgid ""
-"Run ELinks as a separate instance instead of connecting to an\n"
-"existing instance. Note that normally no runtime state files\n"
-"(bookmarks, history, etc.) are written to the disk when this\n"
-"option is used. See also -touch-files."
+"Run ELinks as a separate instance instead of connecting to an existing "
+"instance. Note that normally no runtime state files (bookmarks, history, "
+"etc.) are written to the disk when this option is used. See also -touch-"
+"files."
 msgstr ""
 
-#: src/config/cmdline.c:839
+#: src/config/cmdline.c:855
 msgid "Disable use of files in ~/.elinks"
 msgstr ""
 
-#: src/config/cmdline.c:841
+#: src/config/cmdline.c:857
 msgid ""
-"Disables creation and use of files in the user specific home\n"
-"configuration directory (~/.elinks). It forces default configuration\n"
-"values to be used and disables saving of runtime state files."
+"Disables creation and use of files in the user specific home configuration "
+"directory (~/.elinks). It forces default configuration values to be used and "
+"disables saving of runtime state files."
 msgstr ""
 
-#: src/config/cmdline.c:845
+#: src/config/cmdline.c:862
 msgid "Disable link numbering in dump output"
 msgstr ""
 
-#: src/config/cmdline.c:847
+#: src/config/cmdline.c:864
 msgid ""
 "Prevents printing of link number in dump output.\n"
+"\n"
 "Note that this really affects only -dump, nothing else."
 msgstr ""
 
-#: src/config/cmdline.c:850
+#: src/config/cmdline.c:868
 msgid "Disable printing of link references in dump output"
 msgstr ""
 
-#: src/config/cmdline.c:852
+#: src/config/cmdline.c:870
 msgid ""
-"Prevents printing of references (URIs) of document links\n"
-"in dump output.\n"
+"Prevents printing of references (URIs) of document links in dump output.\n"
+"\n"
 "Note that this really affects only -dump, nothing else."
 msgstr ""
 
-#: src/config/cmdline.c:856
+#: src/config/cmdline.c:875
 msgid "Control an already running ELinks"
 msgstr ""
 
-#: src/config/cmdline.c:858
+#: src/config/cmdline.c:877
 msgid ""
-"Control a remote ELinks instance by passing commands to it.\n"
-"The option takes an additional argument containing the method\n"
-"which should be invoked and any parameters that should be passed\n"
-"to it. For ease of use, the additional method argument can be\n"
-"omitted in which case any URL arguments will be opened in new\n"
-"tabs in the remote instance.\n"
+"Control a remote ELinks instance by passing commands to it. The option takes "
+"an additional argument containing the method which should be invoked and any "
+"parameters that should be passed to it. For ease of use, the additional "
+"method argument can be omitted in which case any URL arguments will be "
+"opened in new tabs in the remote instance.\n"
+"\n"
 "Following is a list of the supported methods:\n"
 "\tping()                    : look for a remote instance\n"
 "\topenURL()                 : prompt URL in current tab\n"
@@ -1663,70 +1672,69 @@ msgid ""
 "\txfeDoCommand(openBrowser) : open new window"
 msgstr ""
 
-#: src/config/cmdline.c:874
+#: src/config/cmdline.c:895
 msgid "Connect to session ring with given ID"
 msgstr ""
 
-#: src/config/cmdline.c:876
+#: src/config/cmdline.c:897
 msgid ""
-"ID of session ring this ELinks session should connect to. ELinks\n"
-"works in so-called session rings, whereby all instances of ELinks\n"
-"are interconnected and share state (cache, bookmarks, cookies,\n"
-"and so on). By default, all ELinks instances connect to session\n"
-"ring 0. You can change that behaviour with this switch and form as\n"
-"many session rings as you want. Obviously, if the session-ring with\n"
-"this number doesn't exist yet, it's created and this ELinks instance\n"
-"will become the master instance (that usually doesn't matter for you\n"
-"as a user much). Note that you usually don't want to use this unless\n"
-"you're a developer and you want to do some testing - if you want the\n"
-"ELinks instances each running standalone, rather use the -no-connect\n"
-"command-line option. Also note that normally no runtime state files\n"
-"are written to the disk when this option is used. See also\n"
-"-touch-files."
+"ID of session ring this ELinks session should connect to. ELinks works in so-"
+"called session rings, whereby all instances of ELinks are interconnected and "
+"share state (cache, bookmarks, cookies, and so on). By default, all ELinks "
+"instances connect to session ring 0. You can change that behaviour with this "
+"switch and form as many session rings as you want. Obviously, if the session-"
+"ring with this number doesn't exist yet, it's created and this ELinks "
+"instance will become the master instance (that usually doesn't matter for "
+"you as a user much).\n"
+"\n"
+"Note that you usually don't want to use this unless you're a developer and "
+"you want to do some testing - if you want the ELinks instances each running "
+"standalone, rather use the -no-connect command-line option. Also note that "
+"normally no runtime state files are written to the disk when this option is "
+"used. See also -touch-files."
 msgstr ""
 
-#: src/config/cmdline.c:891
+#: src/config/cmdline.c:915
 msgid "Print the source of given URLs to stdout"
 msgstr ""
 
-#: src/config/cmdline.c:893
+#: src/config/cmdline.c:917
 msgid "Print given URLs in source form to stdout."
 msgstr ""
 
-#: src/config/cmdline.c:897
+#: src/config/cmdline.c:921
 msgid "Touch files in ~/.elinks when running with -no-connect/-session-ring"
 msgstr ""
 
-#: src/config/cmdline.c:899
+#: src/config/cmdline.c:923
 msgid ""
-"When enabled, runtime state files (bookmarks, history, etc.) are\n"
-"written to disk, even when -no-connect or -session-ring is used.\n"
-"The option has no effect if not used in conjunction with any of\n"
-"these options."
+"When enabled, runtime state files (bookmarks, history, etc.) are written to "
+"disk, even when -no-connect or -session-ring is used. The option has no "
+"effect if not used in conjunction with any of these options."
 msgstr ""
 
-#: src/config/cmdline.c:904
+#: src/config/cmdline.c:928
 msgid "Verbose level"
 msgstr ""
 
-#: src/config/cmdline.c:906
+#: src/config/cmdline.c:930
 msgid ""
-"The verbose level controls what messages are shown at\n"
-"start up and while running:\n"
+"The verbose level controls what messages are shown at start up and while "
+"running:\n"
 "\t0 means only show serious errors\n"
 "\t1 means show serious errors and warnings\n"
 "\t2 means show all messages"
 msgstr ""
 
-#: src/config/cmdline.c:912
+#: src/config/cmdline.c:936
 msgid "Print version information and exit"
 msgstr ""
 
-#: src/config/cmdline.c:914
+#: src/config/cmdline.c:938
 msgid "Print ELinks version information and exit."
 msgstr ""
 
-#: src/config/conf.c:938
+#: src/config/conf.c:963
 msgid ""
 "## This is ELinks configuration file. You can edit it manually,\n"
 "## if you wish so; this file is edited by ELinks when you save\n"
@@ -1734,7 +1742,7 @@ msgid ""
 "## and all your formatting, own comments etc will be kept as-is.\n"
 msgstr ""
 
-#: src/config/conf.c:946
+#: src/config/conf.c:971
 msgid ""
 "## This is ELinks configuration file. You can edit it manually,\n"
 "## if you wish so; this file is edited by ELinks when you save\n"
@@ -1745,7 +1753,7 @@ msgid ""
 "## own comments and so on will be kept as-is.\n"
 msgstr ""
 
-#: src/config/conf.c:956
+#: src/config/conf.c:981
 msgid ""
 "## This is ELinks configuration file. You can edit it manually,\n"
 "## if you wish so, but keep in mind that this file is overwritten\n"
@@ -1753,18 +1761,18 @@ msgid ""
 "## luck with your formatting and own comments then, so beware.\n"
 msgstr ""
 
-#: src/config/conf.c:967
+#: src/config/conf.c:992
 msgid ""
 "## Obviously, if you don't like what ELinks is going to do with\n"
 "## this file, you can change it by altering the config.saving_style\n"
 "## option. Come on, aren't we friendly guys after all?\n"
 msgstr ""
 
-#: src/config/conf.c:980
+#: src/config/conf.c:1005
 msgid "Automatically saved options\n"
 msgstr ""
 
-#: src/config/conf.c:992
+#: src/config/conf.c:1017
 msgid "Automatically saved keybindings\n"
 msgstr ""
 
@@ -1825,7 +1833,7 @@ msgstr ""
 #. * switch charsets.  So, it will work in any terminal that
 #. * understands UTF-8 and has the characters in its font.
 #: src/config/dialogs.c:149 src/config/dialogs.c:330
-#: src/config/options.inc:840
+#: src/config/options.inc:887
 msgid "Type"
 msgstr ""
 
@@ -1851,9 +1859,9 @@ msgid "Description"
 msgstr ""
 
 #: src/config/dialogs.c:291 src/protocol/bittorrent/dialogs.c:600
-#: src/protocol/protocol.c:240 src/session/session.c:287
-#: src/session/session.c:975 src/viewer/text/textarea.c:594
-#: src/viewer/text/textarea.c:601
+#: src/protocol/protocol.c:240 src/session/session.c:288
+#: src/session/session.c:999 src/viewer/text/textarea.c:583
+#: src/viewer/text/textarea.c:590
 msgid "Error"
 msgstr "Error"
 
@@ -1888,7 +1896,7 @@ msgstr ""
 #. accelerator_context(src/config/dialogs.c:keybinding_buttons, src/config/dialogs.c:option_buttons, src/cookies/dialogs.c:cookie_buttons, src/formhist/dialogs.c:formhist_buttons, src/protocol/bittorrent/dialogs.c:bittorrent_query_callback, src/session/download.c:do_type_query, terminal_options)
 #: src/config/dialogs.c:507 src/config/dialogs.c:933 src/cookies/dialogs.c:495
 #: src/dialogs/options.c:236 src/formhist/dialogs.c:214
-#: src/protocol/bittorrent/dialogs.c:801 src/session/download.c:1203
+#: src/protocol/bittorrent/dialogs.c:801 src/session/download.c:1229
 #, fuzzy
 msgid "Sa~ve"
 msgstr "Desar"
@@ -1902,7 +1910,7 @@ msgstr "Agenda"
 msgid "Keystroke"
 msgstr ""
 
-#: src/config/dialogs.c:676 src/config/options.inc:1219
+#: src/config/dialogs.c:676 src/config/options.inc:1292
 msgid "Action"
 msgstr ""
 
@@ -1974,32 +1982,32 @@ msgid ""
 "directory."
 msgstr ""
 
-#: src/config/kbdbind.c:221
+#: src/config/kbdbind.c:222
 msgid "Main mapping"
 msgstr ""
 
-#: src/config/kbdbind.c:222
+#: src/config/kbdbind.c:223
 msgid "Edit mapping"
 msgstr ""
 
-#: src/config/kbdbind.c:223
+#: src/config/kbdbind.c:224
 msgid "Menu mapping"
 msgstr ""
 
-#: src/config/kbdbind.c:588 src/scripting/python/keybinding.c:104
+#: src/config/kbdbind.c:589 src/scripting/python/keybinding.c:104
 msgid "Unrecognised keymap"
 msgstr ""
 
-#: src/config/kbdbind.c:591
+#: src/config/kbdbind.c:592
 #, fuzzy
 msgid "Error parsing keystroke"
 msgstr "Error mentre escrivia al connector"
 
-#: src/config/kbdbind.c:595
+#: src/config/kbdbind.c:596
 msgid "Unrecognised action (internal error)"
 msgstr ""
 
-#: src/config/kbdbind.c:611
+#: src/config/kbdbind.c:612
 #, fuzzy
 msgid "Error registering event"
 msgstr "Error mentre escrivia al connector"
@@ -2027,333 +2035,328 @@ msgid ""
 "3 is full comments are written"
 msgstr ""
 
-#: src/config/options.inc:31
+#: src/config/options.inc:32
 #, fuzzy
 msgid "Indentation"
 msgstr "Negociaci SSL"
 
-#: src/config/options.inc:33
+#: src/config/options.inc:34
 msgid ""
-"Shift width of one indentation level in the configuration\n"
-"file. Zero means that no indentation is performed at all\n"
-"when saving the configuration."
+"Shift width of one indentation level in the configuration file. Zero means "
+"that no indentation is performed at all when saving the configuration."
 msgstr ""
 
-#: src/config/options.inc:37
+#: src/config/options.inc:38
 msgid "Saving style"
 msgstr ""
 
-#: src/config/options.inc:39
+#: src/config/options.inc:40
 msgid ""
 "Determines what happens when you tell ELinks to save options:\n"
 "0 is only values of current options are altered\n"
-"1 is values of current options are altered and missing options\n"
-"     are added at the end of the file\n"
+"1 is values of current options are altered and missing\n"
+"     options are added at the end of the file\n"
 "2 is the configuration file is rewritten from scratch\n"
-"3 is values of current options are altered and missing options\n"
-"     CHANGED during this ELinks session are added at the end of\n"
-"     the file"
+"3 is values of current options are altered and missing\n"
+"     options CHANGED during this ELinks session are added at\n"
+"     the end of the file"
 msgstr ""
 
-#: src/config/options.inc:48
+#: src/config/options.inc:50
 msgid "Comments localization"
 msgstr ""
 
-#: src/config/options.inc:50
+#: src/config/options.inc:52
 msgid ""
-"If set to 1, comments in the configuration file will be\n"
-"translated to the language used by UI. Note that if you have\n"
-"different language set in different terminals, the language\n"
-"used in the configuration file MAY be the same as on the\n"
-"terminal where you saved the file, but it should be generally\n"
+"If set to 1, comments in the configuration file will be translated to the "
+"language used by UI. Note that if you have different language set in "
+"different terminals, the language used in the configuration file MAY be the "
+"same as on the terminal where you saved the file, but it should be generally "
 "considered unpredictable."
 msgstr ""
 
-#: src/config/options.inc:58
+#: src/config/options.inc:60
 msgid "Saving style warnings"
 msgstr ""
 
-#: src/config/options.inc:60
+#: src/config/options.inc:62
 msgid ""
-"This is internal option used when displaying a warning about\n"
-"obsolete config.saving_style. You shouldn't touch it."
+"This is internal option used when displaying a warning about obsolete config."
+"saving_style. You shouldn't touch it."
 msgstr ""
 
-#: src/config/options.inc:63
+#: src/config/options.inc:66
 msgid "Show template"
 msgstr ""
 
-#: src/config/options.inc:65
+#: src/config/options.inc:68
 msgid ""
-"Show template options in autocreated trees in the options\n"
-"manager and save them to the configuration file."
+"Show template options in autocreated trees in the options manager and save "
+"them to the configuration file."
 msgstr ""
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:71 src/dialogs/info.c:180
+#: src/config/options.inc:74 src/dialogs/info.c:180
 msgid "Connections"
 msgstr "Connexions"
 
-#: src/config/options.inc:73
+#: src/config/options.inc:76
 #, fuzzy
 msgid "Connection options."
 msgstr "Connexions"
 
-#: src/config/options.inc:76
+#: src/config/options.inc:79
 msgid "Asynchronous DNS"
 msgstr ""
 
-#: src/config/options.inc:78
+#: src/config/options.inc:81
 msgid "Whether to use asynchronous DNS resolving."
 msgstr ""
 
-#: src/config/options.inc:80
+#: src/config/options.inc:83
 #, fuzzy
 msgid "Maximum connections"
 msgstr "Connectant"
 
-#: src/config/options.inc:82
+#: src/config/options.inc:85
 msgid "Maximum number of concurrent connections."
 msgstr ""
 
-#: src/config/options.inc:84
+#: src/config/options.inc:87
 #, fuzzy
 msgid "Maximum connections per host"
 msgstr "Connectant"
 
-#: src/config/options.inc:86
+#: src/config/options.inc:89
 msgid "Maximum number of concurrent connections to a given host."
 msgstr ""
 
-#: src/config/options.inc:88
+#: src/config/options.inc:92
 #, fuzzy
 msgid "Connection retries"
 msgstr "Connexions"
 
-#: src/config/options.inc:90
-msgid ""
-"Number of tries to establish a connection.\n"
-"Zero means try forever."
+#: src/config/options.inc:94
+msgid "Number of tries to establish a connection. Zero means try forever."
 msgstr ""
 
-#: src/config/options.inc:93 src/network/state.c:53
+#: src/config/options.inc:97 src/network/state.c:53
 msgid "Receive timeout"
 msgstr "Temps mxim de recepci sobrepassat"
 
-#: src/config/options.inc:95
+#: src/config/options.inc:99
 #, fuzzy
 msgid "Receive timeout (in seconds)."
 msgstr "Temps mxim de recepci sobrepassat"
 
-#: src/config/options.inc:98 src/config/options.inc:108
+#: src/config/options.inc:102 src/config/options.inc:113
 msgid "Try IPv4 when connecting"
 msgstr ""
 
-#: src/config/options.inc:100
+#: src/config/options.inc:104
 msgid ""
-"Whether to try to connect to a host over IPv4.\n"
-"Note that if connection.try_ipv6 is enabled too,\n"
-"it takes precedence. And better do not touch this\n"
+"Whether to try to connect to a host over IPv4. Note that if connection."
+"try_ipv6 is enabled too, it takes precedence. And better do not touch this "
 "at all unless you are sure what are you doing.\n"
-"Note that you can also force a given protocol\n"
-"to be used on a per-connection basis by using a URL\n"
-"in the style of e.g. http4://elinks.cz/."
+"\n"
+"Note that you can also force a given protocol to be used on a per-connection "
+"basis by using a URL in the style of e.g. http4://elinks.cz/."
 msgstr ""
 
-#: src/config/options.inc:110
+#: src/config/options.inc:115
 msgid ""
-"Whether to try to connect to a host over IPv4.\n"
-"Do not touch this option.\n"
-"Note that you can also force a given protocol\n"
-"to be used on a per-connection basis by using a URL\n"
-"in the style of e.g. http4://elinks.cz/."
+"Whether to try to connect to a host over IPv4. Do not touch this option.\n"
+"\n"
+"Note that you can also force a given protocol to be used on a per-connection "
+"basis by using a URL in the style of e.g. http4://elinks.cz/."
 msgstr ""
 
-#: src/config/options.inc:118
+#: src/config/options.inc:124
 msgid "Try IPv6 when connecting"
 msgstr ""
 
-#: src/config/options.inc:120
+#: src/config/options.inc:126
 msgid ""
 "Whether to try to connect to a host over IPv6.\n"
-"Note that you can also force a given protocol\n"
-"to be used on a per-connection basis by using a URL\n"
-"in the style of e.g. http6://elinks.cz/."
+"\n"
+"Note that you can also force a given protocol to be used on a per-connection "
+"basis by using a URL in the style of e.g. http6://elinks.cz/."
 msgstr ""
 
-#: src/config/options.inc:126
+#: src/config/options.inc:133
 msgid "Timeout for non-restartable connections"
 msgstr ""
 
-#: src/config/options.inc:128
+#: src/config/options.inc:135
 msgid "Timeout for non-restartable connections (in seconds)."
 msgstr ""
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:134
+#: src/config/options.inc:141
 #, fuzzy
 msgid "Document"
 msgstr "documents"
 
-#: src/config/options.inc:136
+#: src/config/options.inc:143
 #, fuzzy
 msgid "Document options."
 msgstr "~Informaci del document"
 
-#: src/config/options.inc:138
+#: src/config/options.inc:145
 msgid "Browsing"
 msgstr ""
 
-#: src/config/options.inc:140
+#: src/config/options.inc:147
 msgid "Document browsing options (mainly interactivity)."
 msgstr ""
 
-#: src/config/options.inc:143
+#: src/config/options.inc:150
 msgid "Access keys"
 msgstr ""
 
-#: src/config/options.inc:145
+#: src/config/options.inc:152
 msgid ""
-"Options for handling of link access keys.\n"
-"An HTML document can use the ACCESSKEY attribute to assign\n"
-"an access key to an element. When an access key is pressed,\n"
-"the corresponding element will be given focus."
+"Options for handling of link access keys. An HTML document can use the "
+"ACCESSKEY attribute to assign an access key to an element. When an access "
+"key is pressed, the corresponding element will be given focus."
 msgstr ""
 
-#: src/config/options.inc:150
+#: src/config/options.inc:157
 msgid "Automatic links following"
 msgstr ""
 
-#: src/config/options.inc:152
+#: src/config/options.inc:159
 msgid ""
-"Automatically follow a link or submit a form if appropriate\n"
-"accesskey is pressed - this is the standard behaviour, but it's\n"
-"considered dangerous."
+"Automatically follow a link or submit a form if appropriate accesskey is "
+"pressed - this is the standard behaviour, but it's considered dangerous."
 msgstr ""
 
-#: src/config/options.inc:156
+#: src/config/options.inc:163
 msgid "Display access key in link info"
 msgstr ""
 
-#: src/config/options.inc:158
+#: src/config/options.inc:165
 msgid "Display access key in link info."
 msgstr ""
 
-#: src/config/options.inc:160
+#: src/config/options.inc:167
 msgid "Accesskey priority"
 msgstr ""
 
-#: src/config/options.inc:162
+#: src/config/options.inc:169
 msgid ""
 "Priority of 'accesskey' HTML attribute:\n"
-"0 is first try all normal bindings; if it fails, check accesskey\n"
-"1 is first try only frame bindings; if it fails, check accesskey\n"
+"0 is first try all normal bindings; if it fails,\n"
+"     check accesskey\n"
+"1 is first try only frame bindings; if it fails,\n"
+"     check accesskey\n"
 "2 is first check accesskey (this can be dangerous)"
 msgstr ""
 
-#: src/config/options.inc:168
+#: src/config/options.inc:177
 msgid "Forms"
 msgstr ""
 
-#: src/config/options.inc:170
+#: src/config/options.inc:179
 msgid "Options for handling of the forms interaction."
 msgstr ""
 
-#: src/config/options.inc:172
+#: src/config/options.inc:181
 #, fuzzy
 msgid "Submit form automatically"
 msgstr "Enviar formulari a"
 
-#: src/config/options.inc:174
+#: src/config/options.inc:183
 msgid ""
-"Automagically submit a form when enter is pressed with a text\n"
-"field selected."
+"Automagically submit a form when enter is pressed with a text field selected."
 msgstr ""
 
-#: src/config/options.inc:177
+#: src/config/options.inc:186
 msgid "Confirm submission"
 msgstr ""
 
-#: src/config/options.inc:179
+#: src/config/options.inc:188
 msgid "Ask for confirmation when submitting a form."
 msgstr ""
 
-#: src/config/options.inc:181
+#: src/config/options.inc:190
 msgid "Default form input size"
 msgstr ""
 
-#: src/config/options.inc:183
+#: src/config/options.inc:192
 msgid "Default form input size if none is specified."
 msgstr ""
 
-#: src/config/options.inc:185
+#: src/config/options.inc:194
 msgid "Insert mode"
 msgstr ""
 
-#: src/config/options.inc:187
+#: src/config/options.inc:196
 msgid ""
-"The setting for this option affects how key presses are handled\n"
-"when one selects a text-input form-field. When enabled, one must\n"
-"explicitly 'enter' a selected text-field to edit it; this prevents\n"
-"text fields from capturing key presses, such as presses of a scroll\n"
-"key, when it is inadvertently selected. When disabled, key presses\n"
-"are always inserted into a selected text field."
+"The setting for this option affects how key presses are handled when one "
+"selects a text-input form-field. When enabled, one must explicitly 'enter' a "
+"selected text-field to edit it; this prevents text fields from capturing key "
+"presses, such as presses of a scroll key, when it is inadvertently selected. "
+"When disabled, key presses are always inserted into a selected text field."
 msgstr ""
 
-#: src/config/options.inc:194
+#: src/config/options.inc:204
 #, fuzzy
 msgid "External editor"
 msgstr "Error intern"
 
-#: src/config/options.inc:196
+#: src/config/options.inc:206
 msgid ""
-"Path to the executable that ELinks should launch when the user\n"
-"requests to edit a textarea with an external editor.\n"
-"If this is blank, ELinks will use the value of the environmental\n"
-"variable $EDITOR. If $EDITOR is empty or not set, ELinks will then\n"
-"default to \"vi\"."
+"Path to the executable that ELinks should launch when the user requests to "
+"edit a textarea with an external editor.\n"
+"\n"
+"If this is blank, ELinks will use the value of the environmental variable "
+"$EDITOR. If $EDITOR is empty or not set, ELinks will then default to \"vi\"."
 msgstr ""
 
-#: src/config/options.inc:203
+#: src/config/options.inc:214
 #, fuzzy
 msgid "Images"
 msgstr "Imatge"
 
-#: src/config/options.inc:205
+#: src/config/options.inc:216
 msgid "Options for handling of images."
 msgstr ""
 
-#: src/config/options.inc:207
+#: src/config/options.inc:218
 #, fuzzy
 msgid "Display style for image tags"
 msgstr "Mostrar"
 
-#: src/config/options.inc:209
+#: src/config/options.inc:220
 msgid ""
 "Display style for image tags when displayed:\n"
 "0     means always display IMG\n"
 "1     means always display filename\n"
-"2     means display alt/title attribute if possible, IMG if not\n"
-"3     means display alt/title attribute if possible, filename if not"
+"2     means display alt/title attribute if possible,\n"
+"      IMG if not\n"
+"3     means display alt/title attribute if possible,\n"
+"      filename if not"
 msgstr ""
 
-#: src/config/options.inc:215
+#: src/config/options.inc:228
 msgid "Maximum length for image filename"
 msgstr ""
 
-#: src/config/options.inc:217
+#: src/config/options.inc:230
 msgid ""
 "Maximum length of image filename when displayed:\n"
 "0     means always display full filename\n"
 "1-500 means display filename with this maximal length;\n"
-"      if it is longer, the middle is substituted by an asterisk"
+"      if it is longer, the middle is substituted by\n"
+"      an asterisk"
 msgstr ""
 
-#: src/config/options.inc:227
+#: src/config/options.inc:241
 msgid "Image links tagging"
 msgstr ""
 
-#: src/config/options.inc:229
+#: src/config/options.inc:243
 msgid ""
 "When to enclose image links:\n"
 "0 means never\n"
@@ -2361,92 +2364,92 @@ msgid ""
 "2 means always"
 msgstr ""
 
-#: src/config/options.inc:234
+#: src/config/options.inc:248
 msgid "Image link prefix"
 msgstr ""
 
-#: src/config/options.inc:236
+#: src/config/options.inc:250
 msgid "Prefix string to use to mark image links."
 msgstr ""
 
-#: src/config/options.inc:238
+#: src/config/options.inc:252
 msgid "Image link suffix"
 msgstr ""
 
-#: src/config/options.inc:240
+#: src/config/options.inc:254
 msgid "Suffix string to use to mark image links."
 msgstr ""
 
-#: src/config/options.inc:242
+#: src/config/options.inc:256
 msgid "Maximum length for image label"
 msgstr ""
 
-#: src/config/options.inc:244
+#: src/config/options.inc:258
 msgid ""
 "Maximum length of image label (alt/title):\n"
 "0     means always display full label\n"
 "1-500 means display label with this maximal length;\n"
-"      if it is longer, the middle is substituted by an asterisk"
+"      if it is longer, the middle is substituted by\n"
+"      an asterisk"
 msgstr ""
 
-#: src/config/options.inc:249
+#: src/config/options.inc:264
 msgid "Display links to images w/o alt"
 msgstr ""
 
-#: src/config/options.inc:251
+#: src/config/options.inc:266
 msgid ""
-"Display links to images without an alt attribute. If this option\n"
-"is off, these images are completely invisible."
+"Display links to images without an alt attribute. If this option is off, "
+"these images are completely invisible."
 msgstr ""
 
-#: src/config/options.inc:254
+#: src/config/options.inc:269
 #, fuzzy
 msgid "Display links to images"
 msgstr "Mostrar"
 
-#: src/config/options.inc:256
+#: src/config/options.inc:271
 msgid ""
-"Display links to any images in the document, regardless of them\n"
-"having an alt attribute or not. If this option is off, the alt\n"
-"attribute contents is shown, but as normal text, not selectable\n"
-"as a link."
+"Display links to any images in the document, regardless of them having an "
+"alt attribute or not. If this option is off, the alt attribute contents is "
+"shown, but as normal text, not selectable as a link."
 msgstr ""
 
-#: src/config/options.inc:262
+#: src/config/options.inc:277
 #, fuzzy
 msgid "Links"
 msgstr "En~lla"
 
-#: src/config/options.inc:264
+#: src/config/options.inc:279
 msgid "Options for handling of links to other documents."
 msgstr ""
 
-#: src/config/options.inc:266
+#: src/config/options.inc:281
 msgid "Active link"
 msgstr ""
 
-#: src/config/options.inc:268
+#: src/config/options.inc:283
 msgid "Options for the active link."
 msgstr ""
 
-#: src/config/options.inc:270
+#: src/config/options.inc:285
 #, fuzzy
 msgid "Colors"
 msgstr "Color"
 
-#: src/config/options.inc:272
+#: src/config/options.inc:287
 #, fuzzy
 msgid "Active link colors."
 msgstr "Finalitzar connexions en segon pla"
 
-#: src/config/options.inc:274 src/config/options.inc:549
-#: src/config/options.inc:945
+#: src/config/options.inc:289 src/config/options.inc:583
+#: src/config/options.inc:1014
 #, fuzzy
 msgid "Background color"
 msgstr "Segon pla"
 
-#: src/config/options.inc:276 src/config/options.inc:551
-#: src/config/options.inc:946
+#: src/config/options.inc:291 src/config/options.inc:585
+#: src/config/options.inc:1015
 #, fuzzy
 msgid "Default background color."
 msgstr "Finalitzar connexions en segon pla"
@@ -2459,75 +2462,75 @@ msgstr "Finalitzar connexions en segon p
 #. *	on it.
 #. The colors and mono tree should be similar but with different default
 #. * values of course so always use the macros below.
-#: src/config/options.inc:278 src/config/options.inc:545
-#: src/config/options.inc:943
+#: src/config/options.inc:293 src/config/options.inc:579
+#: src/config/options.inc:1012
 #, fuzzy
 msgid "Text color"
 msgstr "rea de text"
 
-#: src/config/options.inc:280 src/config/options.inc:547
-#: src/config/options.inc:944
+#: src/config/options.inc:295 src/config/options.inc:581
+#: src/config/options.inc:1013
 msgid "Default text color."
 msgstr ""
 
-#: src/config/options.inc:282
+#: src/config/options.inc:297
 #, fuzzy
 msgid "Enable color"
 msgstr "nom"
 
-#: src/config/options.inc:284
+#: src/config/options.inc:299
 msgid ""
-"Enable use of the active link background and text color\n"
-"settings instead of the link colors from the document."
+"Enable use of the active link background and text color settings instead of "
+"the link colors from the document."
 msgstr ""
 
-#: src/config/options.inc:287
+#: src/config/options.inc:302
 msgid "Bold"
 msgstr ""
 
-#: src/config/options.inc:289
+#: src/config/options.inc:304
 msgid "Make the active link text bold."
 msgstr ""
 
-#: src/config/options.inc:291
+#: src/config/options.inc:306
 #, fuzzy
 msgid "Invert colors"
 msgstr "rea de text"
 
-#: src/config/options.inc:293
+#: src/config/options.inc:308
 msgid "Invert the fore- and background color so the link stands out."
 msgstr ""
 
-#: src/config/options.inc:296 src/config/options.inc:908
+#: src/config/options.inc:311 src/config/options.inc:975
 #: src/dialogs/options.c:231
 msgid "Underline"
 msgstr ""
 
-#: src/config/options.inc:298
+#: src/config/options.inc:313
 msgid "Underline the active link."
 msgstr ""
 
-#: src/config/options.inc:301
+#: src/config/options.inc:316
 msgid "Directory highlighting"
 msgstr ""
 
-#: src/config/options.inc:303
+#: src/config/options.inc:318
 msgid "Highlight links to directories in FTP and local directory listing."
 msgstr ""
 
-#: src/config/options.inc:305
+#: src/config/options.inc:321
 msgid "Number links"
 msgstr ""
 
-#: src/config/options.inc:307
+#: src/config/options.inc:323
 msgid "Display numbers next to the links."
 msgstr ""
 
-#: src/config/options.inc:309
+#: src/config/options.inc:325
 msgid "Handling of target=_blank"
 msgstr ""
 
-#: src/config/options.inc:311
+#: src/config/options.inc:327
 msgid ""
 "Define how to handle links having target=_blank set:\n"
 "0 means open link in current tab\n"
@@ -2536,139 +2539,136 @@ msgid ""
 "3 means open link in new window"
 msgstr ""
 
-#: src/config/options.inc:324
+#: src/config/options.inc:340
 msgid "Use tabindex"
 msgstr ""
 
-#: src/config/options.inc:326
+#: src/config/options.inc:342
 msgid ""
-"Whether to navigate links using tabindex specified ordering.\n"
-"The TABINDEX attribute in HTML elements specifies the order\n"
-"in which links should receive focus when using the keyboard\n"
-"to navigate the document."
+"Whether to navigate links using tabindex specified ordering. The TABINDEX "
+"attribute in HTML elements specifies the order in which links should receive "
+"focus when using the keyboard to navigate the document."
 msgstr ""
 
-#: src/config/options.inc:331
+#: src/config/options.inc:347
 #, fuzzy
 msgid "Missing fragment reporting"
 msgstr "Sense marcs"
 
-#: src/config/options.inc:333
+#: src/config/options.inc:349
 msgid "Open a message box when document has no tag with given id."
 msgstr ""
 
-#: src/config/options.inc:335
+#: src/config/options.inc:352
 msgid "Number keys select links"
 msgstr ""
 
-#: src/config/options.inc:337
+#: src/config/options.inc:354
 msgid ""
-"Number keys select links rather than specify command prefixes. This\n"
-"is a tristate:\n"
+"Number keys select links rather than specify command prefixes. This is a "
+"tristate:\n"
 "0 means never\n"
 "1 means if document.browse.links.numbering = 1\n"
 "2 means always"
 msgstr ""
 
-#: src/config/options.inc:343
+#: src/config/options.inc:360
 msgid "Warn about maliciously crafted URIs"
 msgstr ""
 
-#: src/config/options.inc:345
+#: src/config/options.inc:362
 msgid ""
-"When following a link the user ID part of the URI is\n"
-"checked and if a maliciously crafted URI is detected a\n"
-"warning dialog will ask before following the link."
+"When following a link the user ID part of the URI is checked and if a "
+"maliciously crafted URI is detected a warning dialog will ask before "
+"following the link."
 msgstr ""
 
 #. TODO - this is somehow implemented by ff, but disabled
 #. * for now as it doesn't work.
-#: src/config/options.inc:351
+#: src/config/options.inc:368
 msgid "Wrap-around links cycling"
 msgstr ""
 
 #. 0
-#: src/config/options.inc:353
+#: src/config/options.inc:370
 msgid ""
-"When pressing 'down' on the last link, jump to the first one, and\n"
-"vice versa."
+"When pressing 'down' on the last link, jump to the first one, and vice versa."
 msgstr ""
 
-#: src/config/options.inc:357
+#: src/config/options.inc:374
 msgid "Scrolling"
 msgstr ""
 
-#: src/config/options.inc:359
+#: src/config/options.inc:376
 #, fuzzy
 msgid "Scrolling options."
 msgstr "Opcions del terminal"
 
-#: src/config/options.inc:361
+#: src/config/options.inc:378
 msgid "Horizontal step"
 msgstr ""
 
-#: src/config/options.inc:363
+#: src/config/options.inc:380
 msgid ""
-"Number of columns to scroll when a key bound to scroll-left or scroll-\n"
-"right is pressed and no prefix was given."
+"Number of columns to scroll when a key bound to scroll-left or scroll-right "
+"is pressed and no prefix was given."
 msgstr ""
 
-#: src/config/options.inc:366
+#: src/config/options.inc:384
 msgid "Extended horizontal scrolling"
 msgstr ""
 
-#: src/config/options.inc:368
+#: src/config/options.inc:386
 msgid ""
-"Whether to allow horizontal scrolling when the document\n"
-"does not extend off the screen. Useful for copy/paste\n"
-"operations."
+"Whether to allow horizontal scrolling when the document does not extend off "
+"the screen. Useful for copy/paste operations."
 msgstr ""
 
-#: src/config/options.inc:372
+#: src/config/options.inc:390
 #, fuzzy
 msgid "Margin"
 msgstr "Alerta"
 
-#: src/config/options.inc:374
+#: src/config/options.inc:392
 msgid ""
-"Size of the virtual margin - when you click inside of that margin,\n"
-"document scrolls in that direction."
+"Size of the virtual margin - when you click inside of that margin, document "
+"scrolls in that direction."
 msgstr ""
 
-#: src/config/options.inc:377
+#: src/config/options.inc:395
 msgid "Vertical step"
 msgstr ""
 
-#: src/config/options.inc:379
+#: src/config/options.inc:397
 msgid ""
-"Number of lines to scroll when a key bound to scroll-up or scroll-\n"
-"down is pressed and no prefix was given."
+"Number of lines to scroll when a key bound to scroll-up or scroll-down is "
+"pressed and no prefix was given."
 msgstr ""
 
-#: src/config/options.inc:383
+#: src/config/options.inc:401
 #, fuzzy
 msgid "Searching"
 msgstr "Cercar"
 
-#: src/config/options.inc:385
+#: src/config/options.inc:403
 msgid "Options for searching."
 msgstr ""
 
-#: src/config/options.inc:387
+#: src/config/options.inc:405
 msgid "Case sensitivity"
 msgstr ""
 
-#: src/config/options.inc:389
+#: src/config/options.inc:407
 msgid ""
-"Whether the search should match the document text while maintaining\n"
-"case sensitivity."
+"Whether the search should match the document text while maintaining case "
+"sensitivity."
 msgstr ""
 
-#: src/config/options.inc:393
+#: src/config/options.inc:411
 msgid "Regular expressions"
 msgstr ""
 
-#: src/config/options.inc:395
+#: src/config/options.inc:413
 msgid ""
 "Enable searching with regular expressions:\n"
 "0 for plain text searching\n"
@@ -2676,31 +2676,31 @@ msgid ""
 "2 for extended regular expression searches"
 msgstr ""
 
-#: src/config/options.inc:401
+#: src/config/options.inc:419
 msgid "Show search hit top or bottom dialogs"
 msgstr ""
 
-#: src/config/options.inc:403
+#: src/config/options.inc:421
 msgid ""
-"Whether to show a dialog when the search hits the top or bottom of the\n"
+"Whether to show a dialog when the search hits the top or bottom of the "
 "document."
 msgstr ""
 
-#: src/config/options.inc:406
+#: src/config/options.inc:424
 #, fuzzy
 msgid "Wraparound"
 msgstr "Segon pla"
 
-#: src/config/options.inc:408
+#: src/config/options.inc:426
 msgid "Wrap around when searching. Currently only used for typeahead."
 msgstr ""
 
-#: src/config/options.inc:410
+#: src/config/options.inc:429
 #, fuzzy
 msgid "Show not found"
 msgstr "No s'ha trobat la mquina"
 
-#: src/config/options.inc:412
+#: src/config/options.inc:431
 msgid ""
 "How to inform the user when nothing is matched:\n"
 "0 means do nothing\n"
@@ -2708,281 +2708,282 @@ msgid ""
 "2 means pop up message box"
 msgstr ""
 
-#: src/config/options.inc:417
+#: src/config/options.inc:436
 #, fuzzy
 msgid "Typeahead searching"
 msgstr "Cadena incorrecta"
 
-#: src/config/options.inc:419
+#: src/config/options.inc:438
 msgid ""
-"Start typeahead searching when an unbound key is pressed without\n"
-"any modifiers. Note that most keys have default bindings, so this\n"
-"feature will not be useful unless you unbind them.\n"
+"Start typeahead searching when an unbound key is pressed without any "
+"modifiers. Note that most keys have default bindings, so this feature will "
+"not be useful unless you unbind them.\n"
 "\n"
-"0 disables this feature; typeahead searching will only be used\n"
-"  when you press a key bound to search-typeahead or similar\n"
+"0 disables this feature; typeahead searching will only be\n"
+"  used when you press a key bound to search-typeahead or\n"
+"  similar\n"
 "1 automatically starts typeahead searching thru link text\n"
-"2 automatically starts typeahead searching thru all document text"
+"2 automatically starts typeahead searching thru all document\n"
+"  text"
 msgstr ""
 
-#: src/config/options.inc:428
+#: src/config/options.inc:451
 msgid "Horizontal text margin"
 msgstr ""
 
-#: src/config/options.inc:430
+#: src/config/options.inc:453
 msgid "Horizontal text margin."
 msgstr ""
 
-#: src/config/options.inc:432
+#: src/config/options.inc:455
 msgid "Document meta refresh"
 msgstr ""
 
-#: src/config/options.inc:434
+#: src/config/options.inc:457
 msgid ""
-"Automatically follow document-specified refresh directives ('<meta>\n"
-"refresh' tags). Web-page authors use these to instruct the browser\n"
-"to reload a document at a given interval or to load another page.\n"
-"Regardless of the value the refresh URI is accessible as a link.\n"
-"Use the document.browse.minimum_refresh_time to control the minimum\n"
-"number of seconds a refresh will wait."
+"Automatically follow document-specified refresh directives ('<meta> refresh' "
+"tags). Web-page authors use these to instruct the browser to reload a "
+"document at a given interval or to load another page. Regardless of the "
+"value the refresh URI is accessible as a link.\n"
+"\n"
+"Use the document.browse.minimum_refresh_time to control the minimum number "
+"of seconds a refresh will wait."
 msgstr ""
 
-#: src/config/options.inc:441
+#: src/config/options.inc:466
 msgid "Document meta refresh minimum time"
 msgstr ""
 
-#: src/config/options.inc:443
+#: src/config/options.inc:468
 msgid ""
-"The minimum number of milliseconds that should pass before\n"
-"refreshing. If set to zero the document refresh time is used\n"
-"unchanged. It can fix going back in history for some sites that\n"
-"use refreshing with zero values."
+"The minimum number of milliseconds that should pass before refreshing. If "
+"set to zero the document refresh time is used unchanged. It can fix going "
+"back in history for some sites that use refreshing with zero values."
 msgstr ""
 
-#: src/config/options.inc:448
+#: src/config/options.inc:473
 msgid "Tables navigation order"
 msgstr ""
 
-#: src/config/options.inc:450
+#: src/config/options.inc:475
 msgid "Move by columns in table, instead of rows."
 msgstr ""
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:456
+#: src/config/options.inc:481
 #, fuzzy
 msgid "Cache"
 msgstr "Anullaci"
 
-#: src/config/options.inc:458
+#: src/config/options.inc:483
 #, fuzzy
 msgid "Cache options."
 msgstr "Desar opcions"
 
-#: src/config/options.inc:460
+#: src/config/options.inc:485
 msgid "Cache information about redirects"
 msgstr ""
 
-#: src/config/options.inc:462
+#: src/config/options.inc:487
 msgid ""
-"Cache even redirects sent by server (usually thru HTTP by a 302\n"
-"HTTP code and a Location header). This was the original behaviour\n"
-"for quite some time, but it causes problems in a situation very\n"
-"common to various web login systems - frequently, when accessing\n"
-"a certain location, they will redirect you to a login page if they\n"
-"don't receive an auth cookie, the login page then gives you the\n"
-"cookie and redirects you back to the original page, but there you\n"
-"have already cached redirect back to the login page! If this\n"
-"option has value of 0, this malfunction is fixed, but occasionally\n"
-"you may get superfluous (depends on how you take it ;-) requests to\n"
-"the server. If this option has value of 1, experienced users can\n"
-"still workaround it by clever combination of usage of reload,\n"
-"jumping around in session history and hitting ctrl+enter.\n"
-"Note that this option is checked when retrieving the information\n"
-"from cache, not when saving it to cache - thus if you enable\n"
-"it, even previous redirects will be taken from cache instead of\n"
-"asking the server."
+"Cache even redirects sent by server (usually thru HTTP by a 302 HTTP code "
+"and a Location header). This was the original behaviour for quite some time, "
+"but it causes problems in a situation very common to various web login "
+"systems - frequently, when accessing a certain location, they will redirect "
+"you to a login page if they don't receive an auth cookie, the login page "
+"then gives you the cookie and redirects you back to the original page, but "
+"there you have already cached redirect back to the login page! If this "
+"option has value of 0, this malfunction is fixed, but occasionally you may "
+"get superfluous (depends on how you take it ;-) requests to the server. If "
+"this option has value of 1, experienced users can still workaround it by "
+"clever combination of usage of reload, jumping around in session history and "
+"hitting ctrl+enter.\n"
+"\n"
+"Note that this option is checked when retrieving the information from cache, "
+"not when saving it to cache - thus if you enable it, even previous redirects "
+"will be taken from cache instead of asking the server."
 msgstr ""
 
-#: src/config/options.inc:480
+#: src/config/options.inc:508
 msgid "Ignore cache-control info from server"
 msgstr ""
 
-#: src/config/options.inc:482
+#: src/config/options.inc:510
 msgid ""
-"Ignore Cache-Control and Pragma server headers.\n"
-"When set, the document is cached even with 'Cache-Control: no-cache'."
+"Ignore Cache-Control and Pragma server headers. When set, the document is "
+"cached even with 'Cache-Control: no-cache'."
 msgstr ""
 
-#: src/config/options.inc:485
+#: src/config/options.inc:514
 #, fuzzy
 msgid "Formatted documents"
 msgstr "Memria cau (documents)"
 
-#: src/config/options.inc:487
+#: src/config/options.inc:516
 msgid "Format cache options."
 msgstr ""
 
-#: src/config/options.inc:489
+#: src/config/options.inc:518
 #, fuzzy
 msgid "Number"
 msgstr "Nombre incorrecte"
 
-#: src/config/options.inc:491
+#: src/config/options.inc:520
 msgid ""
-"Number of cached formatted pages. Do not get too generous\n"
-"here, 'formatted' means that all the accompanying structures\n"
-"are kept in memory so that you get the cached document\n"
-"immediatelly, but these structures may take a lot - 2x the\n"
-"size of the HTML source is probably not unusual, but it can\n"
-"be even more if the document consists of a lot of short lines\n"
-"(padded right, if possible) and links and not much other markup.\n"
-"So if you set this to 256 and then you don't like your ELinks\n"
-"eating 90M, don't come complaining to us. ;-)\n"
-"Also note that the format cache itself is not counted to the\n"
-"memory cache size, but the HTML source of the formatted documents\n"
-"is always cached, even if it is over the memory cache size\n"
-"threshold. (Then of course no other documents can be cached.)"
+"Number of cached formatted pages. Do not get too generous here, 'formatted' "
+"means that all the accompanying structures are kept in memory so that you "
+"get the cached document immediatelly, but these structures may take a lot - "
+"2x the size of the HTML source is probably not unusual, but it can be even "
+"more if the document consists of a lot of short lines (padded right, if "
+"possible) and links and not much other markup. So if you set this to 256 and "
+"then you don't like your ELinks eating 90M, don't come complaining to "
+"us. ;-)\n"
+"\n"
+"Also note that the format cache itself is not counted to the memory cache "
+"size, but the HTML source of the formatted documents is always cached, even "
+"if it is over the memory cache size threshold. (Then of course no other "
+"documents can be cached.)"
 msgstr ""
 
 #. FIXME: Write more.
-#: src/config/options.inc:506
+#: src/config/options.inc:538
 #, fuzzy
 msgid "Revalidation interval"
 msgstr "Error mentre desava"
 
-#: src/config/options.inc:508
+#: src/config/options.inc:540
 msgid ""
-"Period in seconds that a cache entry is considered to be\n"
-"up-to-date. When a document is loaded and this interval has elapsed\n"
-"since the document was initially loaded or most recently\n"
-"revalidated with the server, the server will be checked in case\n"
-"there is a more up-to-date version of the document.\n"
+"Period in seconds that a cache entry is considered to be up-to-date. When a "
+"document is loaded and this interval has elapsed since the document was "
+"initially loaded or most recently revalidated with the server, the server "
+"will be checked in case there is a more up-to-date version of the document.\n"
 "\n"
 "A value of -1 disables automatic revalidation."
 msgstr ""
 
-#: src/config/options.inc:515 src/dialogs/info.c:199
+#: src/config/options.inc:549 src/dialogs/info.c:199
 msgid "Memory cache"
 msgstr "Memria cau"
 
-#: src/config/options.inc:517
+#: src/config/options.inc:551
 #, fuzzy
 msgid "Memory cache options."
 msgstr "Memria cau"
 
-#: src/config/options.inc:521
+#: src/config/options.inc:555
 #, fuzzy
 msgid "Memory cache size (in bytes)."
 msgstr "Memria cau"
 
-#: src/config/options.inc:525
+#: src/config/options.inc:559
 #, fuzzy
 msgid "Charset"
 msgstr "Joc de carcters"
 
-#: src/config/options.inc:527
+#: src/config/options.inc:561
 #, fuzzy
 msgid "Charset options."
 msgstr "Desar opcions"
 
-#: src/config/options.inc:529
+#: src/config/options.inc:563
 msgid "Default codepage"
 msgstr ""
 
-#: src/config/options.inc:531
+#: src/config/options.inc:565
 msgid ""
-"Default document codepage. 'System' stands for\n"
-"a codepage determined by a selected locale."
+"Default document codepage. 'System' stands for a codepage determined by a "
+"selected locale."
 msgstr ""
 
-#: src/config/options.inc:534
+#: src/config/options.inc:568
 msgid "Ignore charset info from server"
 msgstr ""
 
-#: src/config/options.inc:536
+#: src/config/options.inc:570
 msgid "Ignore charset info sent by server."
 msgstr ""
 
-#: src/config/options.inc:540
+#: src/config/options.inc:574
 msgid "Default color settings"
 msgstr ""
 
-#: src/config/options.inc:542
+#: src/config/options.inc:576
 msgid "Default document color settings."
 msgstr ""
 
-#: src/config/options.inc:553
+#: src/config/options.inc:587
 msgid "Link color"
 msgstr ""
 
-#: src/config/options.inc:555
+#: src/config/options.inc:589
 msgid "Default link color."
 msgstr ""
 
-#: src/config/options.inc:557
+#: src/config/options.inc:591
 msgid "Visited-link color"
 msgstr ""
 
-#: src/config/options.inc:559
+#: src/config/options.inc:593
 msgid "Default visited link color."
 msgstr ""
 
-#: src/config/options.inc:561
+#: src/config/options.inc:595
 #, fuzzy
 msgid "Image-link color"
 msgstr "Finalitzar connexions en segon pla"
 
-#: src/config/options.inc:563
+#: src/config/options.inc:597
 #, fuzzy
 msgid "Default image link color."
 msgstr "Finalitzar connexions en segon pla"
 
-#: src/config/options.inc:565
+#: src/config/options.inc:599
 msgid "Bookmarked-link color"
 msgstr ""
 
-#: src/config/options.inc:567
+#: src/config/options.inc:601
 #, fuzzy
 msgid "Default bookmarked link color."
 msgstr "Finalitzar connexions en segon pla"
 
-#: src/config/options.inc:569
+#: src/config/options.inc:603
 msgid "Directory color"
 msgstr ""
 
-#: src/config/options.inc:571
+#: src/config/options.inc:605
 msgid ""
 "Default directory color.\n"
+"\n"
 "See document.browse.links.color_dirs option."
 msgstr ""
 
-#: src/config/options.inc:578
+#: src/config/options.inc:613
 msgid "Increase contrast"
 msgstr ""
 
-#: src/config/options.inc:580
+#: src/config/options.inc:615
 msgid ""
-"Increase the contrast between the foreground and background colors\n"
-"to ensure readability. For example it disallows dark colors on a\n"
-"black background. Note, this is different from ensuring the contrast\n"
-"with the ensure_contrast option."
+"Increase the contrast between the foreground and background colors to ensure "
+"readability. For example it disallows dark colors on a black background. "
+"Note, this is different from ensuring the contrast with the ensure_contrast "
+"option."
 msgstr ""
 
-#: src/config/options.inc:585
+#: src/config/options.inc:621
 msgid "Ensure contrast"
 msgstr ""
 
-#: src/config/options.inc:587
+#: src/config/options.inc:623
 msgid "Makes sure that the back- and foreground colors are never equal."
 msgstr ""
 
 #. If you change this please also change ACT_MAIN_DOCUMENT_COLORS action
 #. * handling.
-#: src/config/options.inc:592
+#: src/config/options.inc:628
 msgid "Use document-specified colors"
 msgstr ""
 
-#: src/config/options.inc:594
+#: src/config/options.inc:630
 msgid ""
 "Use colors specified in document:\n"
 "0 is use always the default settings\n"
@@ -2994,40 +2995,40 @@ msgid ""
 msgstr ""
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:607
+#: src/config/options.inc:643
 #, fuzzy
 msgid "Downloading"
 msgstr "Descarregar"
 
-#: src/config/options.inc:609
+#: src/config/options.inc:645
 msgid "Options regarding files downloading and handling."
 msgstr ""
 
-#: src/config/options.inc:611
+#: src/config/options.inc:647
 #, fuzzy
 msgid "Default download directory"
 msgstr "Error de descrrega"
 
-#: src/config/options.inc:613
+#: src/config/options.inc:649
 msgid "Default download directory."
 msgstr ""
 
-#: src/config/options.inc:615
+#: src/config/options.inc:651
 msgid "Set original time"
 msgstr ""
 
-#: src/config/options.inc:617
+#: src/config/options.inc:653
 msgid ""
-"Set the timestamp of each downloaded file to the timestamp\n"
-"stored on the server."
+"Set the timestamp of each downloaded file to the timestamp stored on the "
+"server."
 msgstr ""
 
 #. Does automatic resuming make sense as an option?
-#: src/config/options.inc:621
+#: src/config/options.inc:657
 msgid "Prevent overwriting"
 msgstr ""
 
-#: src/config/options.inc:623
+#: src/config/options.inc:659
 msgid ""
 "Prevent overwriting the local files:\n"
 "0 is files will silently be overwritten\n"
@@ -3035,11 +3036,11 @@ msgid ""
 "2 is ask the user"
 msgstr ""
 
-#: src/config/options.inc:628
+#: src/config/options.inc:664
 msgid "Notify download completion by bell"
 msgstr ""
 
-#: src/config/options.inc:630
+#: src/config/options.inc:666
 msgid ""
 "Audio notification when download is completed:\n"
 "0 is never\n"
@@ -3047,27 +3048,27 @@ msgid ""
 "2 is always"
 msgstr ""
 
-#: src/config/options.inc:636
+#: src/config/options.inc:672
 msgid "Dump output"
 msgstr ""
 
-#: src/config/options.inc:638
+#: src/config/options.inc:674
 msgid "Dump output options."
 msgstr ""
 
 #. OPT_CODEPAGE
-#: src/config/options.inc:640 src/config/options.inc:912
+#: src/config/options.inc:676 src/config/options.inc:980
 #: src/config/opttypes.c:481 src/dialogs/document.c:164
 msgid "Codepage"
 msgstr "Pgina de codis"
 
-#: src/config/options.inc:642
+#: src/config/options.inc:678
 msgid ""
-"Codepage used in dump output. 'System' stands for\n"
-"a codepage determined by a selected locale."
+"Codepage used in dump output. 'System' stands for a codepage determined by a "
+"selected locale."
 msgstr ""
 
-#: src/config/options.inc:645 src/config/options.inc:878
+#: src/config/options.inc:681 src/config/options.inc:941
 #, fuzzy
 msgid "Color mode"
 msgstr "Color"
@@ -3077,12 +3078,14 @@ msgstr "Color"
 #. * an outer list entry after an inner list.
 #. * TRANSLATORS: This restriction applies only to the
 #. * "en" (English) translation.  (See doc/Makefile.)
-#: src/config/options.inc:652
+#: src/config/options.inc:688
 msgid ""
 "Color mode for dumps.\n"
+"\n"
 "Some modes may have been disabled at compile time. The Setup -> Terminal "
 "options dialog lists the modes supported by this executable. If you select "
 "an unsupported mode, ELinks uses 16 colors.\n"
+"\n"
 "The color modes are:\n"
 "-1 is standard dump mode\n"
 "0 is mono mode\n"
@@ -3092,127 +3095,125 @@ msgid ""
 "4 is true color mode"
 msgstr ""
 
-#: src/config/options.inc:665
+#: src/config/options.inc:703
 msgid "Footer"
 msgstr ""
 
-#: src/config/options.inc:667
+#: src/config/options.inc:705
 #, c-format
 msgid "Footer string used in dumps. %u is substituted by URL."
 msgstr ""
 
-#: src/config/options.inc:671
+#: src/config/options.inc:709
 #, c-format
 msgid "Header string used in dumps. %u is substituted by URL."
 msgstr ""
 
-#: src/config/options.inc:673
+#: src/config/options.inc:711
 #, fuzzy
 msgid "Numbering"
 msgstr "Nombre incorrecte"
 
-#: src/config/options.inc:675
+#: src/config/options.inc:713
 msgid "Whether to print link numbers in dump output."
 msgstr ""
 
-#: src/config/options.inc:677
+#: src/config/options.inc:715
 #, fuzzy
 msgid "References"
 msgstr "Recursos"
 
-#: src/config/options.inc:679
-msgid ""
-"Whether to print references (URIs) of document links\n"
-"in dump output."
+#: src/config/options.inc:717
+msgid "Whether to print references (URIs) of document links in dump output."
 msgstr ""
 
-#: src/config/options.inc:682
+#: src/config/options.inc:720
 msgid "Separator"
 msgstr ""
 
-#: src/config/options.inc:684
+#: src/config/options.inc:722
 msgid "String which separates two dumps."
 msgstr ""
 
-#: src/config/options.inc:686
+#: src/config/options.inc:724
 msgid "Width"
 msgstr ""
 
-#: src/config/options.inc:688
+#: src/config/options.inc:726
 msgid "Width of screen in characters when dumping documents."
 msgstr ""
 
-#: src/config/options.inc:692
+#: src/config/options.inc:730
 #, fuzzy
 msgid "History"
 msgstr "~Historial"
 
-#: src/config/options.inc:694
+#: src/config/options.inc:732
 msgid "History options."
 msgstr ""
 
-#: src/config/options.inc:696
+#: src/config/options.inc:734
 #, fuzzy
 msgid "Keep unhistory"
 msgstr "Sense historial"
 
-#: src/config/options.inc:698
+#: src/config/options.inc:736
 #, fuzzy
 msgid "Keep unhistory (\"forward history\")."
 msgstr "Sense historial"
 
-#: src/config/options.inc:701
+#: src/config/options.inc:739
 #, fuzzy
 msgid "HTML rendering"
 msgstr "Transferint"
 
-#: src/config/options.inc:703
+#: src/config/options.inc:741
 msgid "Options concerning the display of HTML pages."
 msgstr ""
 
-#: src/config/options.inc:705
+#: src/config/options.inc:743
 #, fuzzy
 msgid "Display frames"
 msgstr "Mostrar"
 
-#: src/config/options.inc:707
+#: src/config/options.inc:745
 #, fuzzy
 msgid "Display frames."
 msgstr "Mostrar"
 
-#: src/config/options.inc:709
+#: src/config/options.inc:747
 #, fuzzy
 msgid "Display tables"
 msgstr "Mostrar"
 
-#: src/config/options.inc:711
+#: src/config/options.inc:749
 #, fuzzy
 msgid "Display tables."
 msgstr "Mostrar"
 
-#: src/config/options.inc:713
+#: src/config/options.inc:751
 #, fuzzy
 msgid "Display subscripts"
 msgstr "Mostrar ~usemap"
 
-#: src/config/options.inc:715
+#: src/config/options.inc:753
 msgid "Display subscripts (as [thing])."
 msgstr ""
 
-#: src/config/options.inc:717
+#: src/config/options.inc:755
 #, fuzzy
 msgid "Display superscripts"
 msgstr "Mostrar ~usemap"
 
-#: src/config/options.inc:719
+#: src/config/options.inc:757
 msgid "Display superscripts (as ^thing)."
 msgstr ""
 
-#: src/config/options.inc:721
+#: src/config/options.inc:759
 msgid "Rendering of HTML link element"
 msgstr ""
 
-#: src/config/options.inc:723
+#: src/config/options.inc:761
 msgid ""
 "How to render <link> tags from the HTML header:\n"
 "0 is nothing\n"
@@ -3223,145 +3224,143 @@ msgid ""
 "5 is everything"
 msgstr ""
 
-#: src/config/options.inc:731
+#: src/config/options.inc:769
 msgid "Underline links"
 msgstr ""
 
-#: src/config/options.inc:733
+#: src/config/options.inc:771
 msgid "Underline links."
 msgstr ""
 
-#: src/config/options.inc:735
+#: src/config/options.inc:773
 msgid "Wrap non breaking space"
 msgstr ""
 
-#: src/config/options.inc:737
+#: src/config/options.inc:775
 msgid ""
-"If set do not honour non breaking space (the nbsp entity)\n"
-"but allow to wrap the text. This can help keeping the width\n"
-"of documents down so no horizontal scrolling is needed."
+"If set do not honour non breaking space (the nbsp entity) but allow to wrap "
+"the text. This can help keeping the width of documents down so no horizontal "
+"scrolling is needed."
 msgstr ""
 
-#: src/config/options.inc:742
+#: src/config/options.inc:780
 #, fuzzy
 msgid "Plain rendering"
 msgstr "Transferint"
 
-#: src/config/options.inc:744
+#: src/config/options.inc:782
 msgid "Options concerning the display of plain text pages."
 msgstr ""
 
-#: src/config/options.inc:746
+#: src/config/options.inc:784
 #, fuzzy
 msgid "Display URIs"
 msgstr "Mostrar"
 
-#: src/config/options.inc:748
+#: src/config/options.inc:786
 msgid "Display URIs in the document as links."
 msgstr ""
 
-#: src/config/options.inc:750
+#: src/config/options.inc:788
 msgid "Compress empty lines"
 msgstr ""
 
-#: src/config/options.inc:752
+#: src/config/options.inc:790
 msgid "Compress successive empty lines to only one in displayed text."
 msgstr ""
 
-#: src/config/options.inc:755
+#: src/config/options.inc:794
 msgid "URI passing"
 msgstr ""
 
-#: src/config/options.inc:757
+#: src/config/options.inc:796
 msgid ""
-"Rules for passing URIs to external commands. When one rule\n"
-"is defined the link and tab menu will have a menu item that\n"
-"makes it possible to pass the the link, frame or tab URI to\n"
-"an external command. If several rules are defined the link and\n"
-"tab menu will have a submenu of items for each rule. Note, this\n"
-"is mostly useful for launching graphical viewers, since there\n"
-"is no support for releasing the terminal while the command runs.\n"
-"The action and submenus are also available by binding keys to\n"
-"the frame-external-command, the link-external-command, and\n"
-"the tab-external-command actions."
+"Rules for passing URIs to external commands. When one rule is defined the "
+"link and tab menu will have a menu item that makes it possible to pass the "
+"the link, frame or tab URI to an external command. If several rules are "
+"defined the link and tab menu will have a submenu of items for each rule.\n"
+"\n"
+"Note, this is mostly useful for launching graphical viewers, since there is "
+"no support for releasing the terminal while the command runs. The action and "
+"submenus are also available by binding keys to the frame-external-command, "
+"the link-external-command, and the tab-external-command actions."
 msgstr ""
 
-#: src/config/options.inc:770
+#: src/config/options.inc:812
 msgid ""
-"A rule for passing URI to an external command.\n"
-"The format is:\n"
+"A rule for passing URI to an external command. The format is:\n"
 "%c in the string means the current URL\n"
 "%% in the string means '%'\n"
 "Do _not_ put single- or double-quotes around %c."
 msgstr ""
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:780
+#: src/config/options.inc:822
 msgid "Information files"
 msgstr ""
 
-#: src/config/options.inc:782
+#: src/config/options.inc:824
 msgid "Options for information files in ~/.elinks."
 msgstr ""
 
-#: src/config/options.inc:784
+#: src/config/options.inc:826
 #, fuzzy
 msgid "Save interval"
 msgstr "Error mentre desava"
 
-#: src/config/options.inc:786
+#: src/config/options.inc:828
 msgid ""
-"Interval at which to trigger information files in ~/.elinks\n"
-"to be saved to disk if they have changed (seconds; 0 to disable)"
+"Interval at which to trigger information files in ~/.elinks to be saved to "
+"disk if they have changed (seconds; 0 to disable)"
 msgstr ""
 
-#: src/config/options.inc:789
+#: src/config/options.inc:832
 msgid "Use secure file saving"
 msgstr ""
 
-#: src/config/options.inc:791
+#: src/config/options.inc:834
 msgid ""
-"First write data to unique temporary file, then rename this file\n"
-"upon successfully finishing this. Note that this relates only to\n"
-"config files, not downloaded files. You may want to disable\n"
-"it if you are using some exotic permissions for concerned files.\n"
-"Secure file saving is automagically disabled if file is symlink.\n"
-"Warning: some systems (ie. OS/2, Win32) require that destination\n"
-"file doesn't exist when rename(3) is called, breaking atomicity,\n"
-"and reducing reliability of this feature."
+"First write data to unique temporary file, then rename this file upon "
+"successfully finishing this. Note that this relates only to config files, "
+"not downloaded files. You may want to disable it if you are using some "
+"exotic permissions for concerned files. Secure file saving is automagically "
+"disabled if file is symlink.\n"
+"\n"
+"Warning: some systems (ie. OS/2, Win32) require that destination file "
+"doesn't exist when rename(3) is called, breaking atomicity, and reducing "
+"reliability of this feature."
 msgstr ""
 
-#: src/config/options.inc:800
+#: src/config/options.inc:846
 msgid "Use fsync(3) with secure file saving"
 msgstr ""
 
-#: src/config/options.inc:802
+#: src/config/options.inc:848
 msgid ""
-"When using secure file saving, call fsync(3), if the OS\n"
-"supports it, to force the OS immediately to write the data\n"
-"to permanent storage. This is optional for those who wish\n"
-"to avoid excessive disk I/O."
+"When using secure file saving, call fsync(3), if the OS supports it, to "
+"force the OS immediately to write the data to permanent storage. This is "
+"optional for those who wish to avoid excessive disk I/O."
 msgstr ""
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:811
+#: src/config/options.inc:857
 #, fuzzy
 msgid "Terminals"
 msgstr "Opcions del terminal"
 
-#: src/config/options.inc:813
+#: src/config/options.inc:859
 #, fuzzy
 msgid "Terminal options."
 msgstr "Opcions del terminal"
 
-#: src/config/options.inc:817
+#: src/config/options.inc:863
 msgid "Options specific to this terminal type (according to $TERM value)."
 msgstr ""
 
-#: src/config/options.inc:842
+#: src/config/options.inc:889
 msgid ""
-"Terminal type; matters mostly only when drawing frames and\n"
-"dialog box borders:\n"
+"Terminal type; matters mostly only when drawing frames and dialog box "
+"borders:\n"
 "0 is dumb terminal type, ASCII art\n"
 "1 is VT100, simple but portable\n"
 "2 is Linux, you get double frames and other goodies\n"
@@ -3369,15 +3368,31 @@ msgid ""
 "4 is FreeBSD"
 msgstr ""
 
-#: src/config/options.inc:850 src/dialogs/options.c:227
+#: src/config/options.inc:897
+msgid "Always encode xterm title in ISO-8859-1"
+msgstr ""
+
+#: src/config/options.inc:899
+msgid ""
+"When updating the window title of xterm or a similar terminal emulator, "
+"encode the title in ISO-8859-1 (Latin-1), rather than in the charset used "
+"for other text in the window. Cyrillic and other characters get replaced "
+"with Latin ones. Xterm requires this unless you explicitly enable UTF-8 "
+"titles in it.\n"
+"\n"
+"If this option does not take effect immediately, try switching to a "
+"different page so that ELinks notices it needs to update the title."
+msgstr ""
+
+#: src/config/options.inc:910 src/dialogs/options.c:227
 msgid "Switch fonts for line drawing"
 msgstr ""
 
-#: src/config/options.inc:852
+#: src/config/options.inc:912
 msgid ""
-"Switch fonts when drawing lines, enabling both local characters\n"
-"and lines working at the same time. ELinks uses this option only if\n"
-"UTF-8 I/O is disabled and the terminal type is Linux or FreeBSD."
+"Switch fonts when drawing lines, enabling both local characters and lines "
+"working at the same time. ELinks uses this option only if UTF-8 I/O is "
+"disabled and the terminal type is Linux or FreeBSD."
 msgstr ""
 
 #. When CONFIG_UTF8 is defined, any code that reads the "utf_8_io"
@@ -3385,37 +3400,37 @@ msgstr ""
 #. * and if so, behave as if "utf_8_io" were 1.  (When CONFIG_UTF8 is
 #. * not defined, it should not be possible to set UTF-8 as "codepage";
 #. * please report any such possibilities as bugs.)
-#: src/config/options.inc:861 src/dialogs/options.c:232
+#: src/config/options.inc:922 src/dialogs/options.c:232
 msgid "UTF-8 I/O"
 msgstr ""
 
-#: src/config/options.inc:863
+#: src/config/options.inc:924
 msgid ""
-"Enable I/O in UTF-8 for Unicode terminals. Note that currently,\n"
-"only the subset of UTF-8 according to terminal codepage is used.\n"
-"ELinks ignores this option if the terminal codepage is UTF-8."
+"Enable I/O in UTF-8 for Unicode terminals. Note that currently, only the "
+"subset of UTF-8 according to terminal codepage is used. ELinks ignores this "
+"option if the terminal codepage is UTF-8."
 msgstr ""
 
-#: src/config/options.inc:867 src/dialogs/options.c:228
+#: src/config/options.inc:929 src/dialogs/options.c:228
 msgid "Restrict frames in cp850/852"
 msgstr "Restringir marcs als de cp850/852"
 
-#: src/config/options.inc:869
+#: src/config/options.inc:931
 msgid ""
-"Restrict the characters used when drawing lines. Makes sense\n"
-"only with linux terminals using the cp850/852 character sets."
+"Restrict the characters used when drawing lines. Makes sense only with linux "
+"terminals using the cp850/852 character sets."
 msgstr ""
 
-#: src/config/options.inc:872 src/dialogs/options.c:229
+#: src/config/options.inc:935 src/dialogs/options.c:229
 #, fuzzy
 msgid "Block cursor"
 msgstr "cursor de bloc"
 
-#: src/config/options.inc:874
+#: src/config/options.inc:937
 msgid ""
-"Move cursor to bottom right corner when done drawing.\n"
-"This is particularly useful when we have a block cursor,\n"
-"so that inversed text is displayed correctly."
+"Move cursor to bottom right corner when done drawing. This is particularly "
+"useful when we have a block cursor, so that inversed text is displayed "
+"correctly."
 msgstr ""
 
 #. The list of modes must be at the end of this string
@@ -3423,13 +3438,15 @@ msgstr ""
 #. * an outer list entry after an inner list.
 #. * TRANSLATORS: This restriction applies only to the
 #. * "en" (English) translation.  (See doc/Makefile.)
-#: src/config/options.inc:885
+#: src/config/options.inc:948
 msgid ""
 "The color mode controls what colors are used and how they are output to the "
 "terminal.\n"
+"\n"
 "Some modes may have been disabled at compile time. The Setup -> Terminal "
 "options dialog lists the modes supported by this executable. If you select "
 "an unsupported mode, ELinks uses 16 colors.\n"
+"\n"
 "The color modes are:\n"
 "0 is mono mode, only 2 colors are used\n"
 "1 is 16 color mode, uses the common ANSI colors\n"
@@ -3438,425 +3455,422 @@ msgid ""
 "4 is true color mode, uses konsole RGB codes"
 msgstr ""
 
-#: src/config/options.inc:898 src/dialogs/options.c:230
+#: src/config/options.inc:963 src/dialogs/options.c:230
 msgid "Transparency"
 msgstr ""
 
-#: src/config/options.inc:900
+#: src/config/options.inc:965
 msgid ""
-"If we should not set the background to black. This is particularly\n"
-"useful when we have a terminal (typically in some windowing\n"
-"environment) with a background image or a transparent background -\n"
-"it will be visible in ELinks as well (but ELinks document color handling\n"
-"will still assume the background is black so if you have a bright "
-"background\n"
-"you might experience contrast problems). Note that this option makes\n"
-"sense only when colors are enabled."
+"If we should not set the background to black. This is particularly useful "
+"when we have a terminal (typically in some windowing environment) with a "
+"background image or a transparent background - it will be visible in ELinks "
+"as well (but ELinks document color handling will still assume the background "
+"is black so if you have a bright background you might experience contrast "
+"problems). Note that this option makes sense only when colors are enabled."
 msgstr ""
 
-#: src/config/options.inc:910
+#: src/config/options.inc:977
 msgid "If we should use underline or enhance the color instead."
 msgstr ""
 
-#: src/config/options.inc:914
+#: src/config/options.inc:982
 msgid ""
-"Codepage of charset used for displaying content on terminal.\n"
-"'System' stands for a codepage determined by a selected locale."
+"Codepage of charset used for displaying content on terminal. 'System' stands "
+"for a codepage determined by a selected locale."
 msgstr ""
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:921
+#: src/config/options.inc:990
 msgid "User interface"
 msgstr ""
 
-#: src/config/options.inc:923
+#: src/config/options.inc:992
 #, fuzzy
 msgid "User interface options."
 msgstr "Opcions del terminal"
 
-#: src/config/options.inc:927
+#: src/config/options.inc:996
 msgid "Color settings"
 msgstr ""
 
-#: src/config/options.inc:929
+#: src/config/options.inc:998
 msgid "Default user interface color settings."
 msgstr ""
 
-#: src/config/options.inc:956
+#: src/config/options.inc:1025
 #, fuzzy
 msgid "Color terminals"
 msgstr "Terminal ~BeOS"
 
-#: src/config/options.inc:958
+#: src/config/options.inc:1027
 msgid "Color settings for color terminal."
 msgstr ""
 
-#: src/config/options.inc:960
+#: src/config/options.inc:1029
 msgid "Non-color terminals"
 msgstr ""
 
-#: src/config/options.inc:962
+#: src/config/options.inc:1031
 msgid "Color settings for non-color terminal."
 msgstr ""
 
 #. FIXME: obsolete, how to alias them correctly ? --Zas
-#: src/config/options.inc:965
+#: src/config/options.inc:1034
 msgid "Main menu bar"
 msgstr ""
 
-#: src/config/options.inc:967
+#: src/config/options.inc:1036
 msgid "Main menu bar colors."
 msgstr ""
 
-#: src/config/options.inc:969
+#: src/config/options.inc:1038
 msgid "Unselected main menu bar item"
 msgstr ""
 
-#: src/config/options.inc:971
+#: src/config/options.inc:1040
 msgid "Unselected main menu bar item colors."
 msgstr ""
 
-#: src/config/options.inc:973
+#: src/config/options.inc:1042
 msgid "Selected main menu bar item"
 msgstr ""
 
-#: src/config/options.inc:975
+#: src/config/options.inc:1044
 msgid "Selected main menu bar item colors."
 msgstr ""
 
-#: src/config/options.inc:977 src/config/options.inc:1006
+#: src/config/options.inc:1046 src/config/options.inc:1075
 msgid "Hotkey"
 msgstr ""
 
-#: src/config/options.inc:979
+#: src/config/options.inc:1048
 msgid "Main menu hotkey colors."
 msgstr ""
 
-#: src/config/options.inc:981 src/config/options.inc:1010
+#: src/config/options.inc:1050 src/config/options.inc:1079
 msgid "Unselected hotkey"
 msgstr ""
 
-#: src/config/options.inc:983
+#: src/config/options.inc:1052
 msgid "Main menu unselected hotkey colors."
 msgstr ""
 
-#: src/config/options.inc:985 src/config/options.inc:1014
+#: src/config/options.inc:1054 src/config/options.inc:1083
 #, fuzzy
 msgid "Selected hotkey"
 msgstr "Llista"
 
-#: src/config/options.inc:987
+#: src/config/options.inc:1056
 msgid "Main menu selected hotkey colors."
 msgstr ""
 
-#: src/config/options.inc:990
+#: src/config/options.inc:1059
 msgid "Menu bar"
 msgstr ""
 
-#: src/config/options.inc:992
+#: src/config/options.inc:1061
 msgid "Menu bar colors."
 msgstr ""
 
-#: src/config/options.inc:994
+#: src/config/options.inc:1063
 msgid "Unselected menu item"
 msgstr ""
 
-#: src/config/options.inc:996
+#: src/config/options.inc:1065
 msgid "Unselected menu item colors."
 msgstr ""
 
-#: src/config/options.inc:998
+#: src/config/options.inc:1067
 #, fuzzy
 msgid "Selected menu item"
 msgstr "Llista"
 
-#: src/config/options.inc:1000
+#: src/config/options.inc:1069
 msgid "Selected menu item colors."
 msgstr ""
 
-#: src/config/options.inc:1002
+#: src/config/options.inc:1071
 #, fuzzy
 msgid "Marked menu item"
 msgstr "Llista"
 
-#: src/config/options.inc:1004
+#: src/config/options.inc:1073
 msgid "Marked menu item colors."
 msgstr ""
 
-#: src/config/options.inc:1008
+#: src/config/options.inc:1077
 msgid "Menu item hotkey colors."
 msgstr ""
 
-#: src/config/options.inc:1012
+#: src/config/options.inc:1081
 msgid "Menu item unselected hotkey colors."
 msgstr ""
 
-#: src/config/options.inc:1016
+#: src/config/options.inc:1085
 msgid "Menu item selected hotkey colors."
 msgstr ""
 
-#: src/config/options.inc:1018
+#: src/config/options.inc:1087
 #, fuzzy
 msgid "Menu frame"
 msgstr "Sense marcs"
 
-#: src/config/options.inc:1020
+#: src/config/options.inc:1089
 msgid "Menu frame colors."
 msgstr ""
 
-#: src/config/options.inc:1023
+#: src/config/options.inc:1092
 msgid "Dialog"
 msgstr ""
 
-#: src/config/options.inc:1025
+#: src/config/options.inc:1094
 msgid "Dialog colors."
 msgstr ""
 
-#: src/config/options.inc:1035
+#: src/config/options.inc:1104
 msgid "Generic"
 msgstr ""
 
-#: src/config/options.inc:1037
+#: src/config/options.inc:1106
 #, fuzzy
 msgid "Generic dialog colors."
 msgstr "Finalitzar connexions en segon pla"
 
-#: src/config/options.inc:1039
+#: src/config/options.inc:1108
 #, fuzzy
 msgid "Frame"
 msgstr "nom"
 
-#: src/config/options.inc:1041
+#: src/config/options.inc:1110
 msgid "Dialog frame colors."
 msgstr ""
 
-#: src/config/options.inc:1043
+#: src/config/options.inc:1112
 msgid "Scrollbar"
 msgstr ""
 
-#: src/config/options.inc:1045
+#: src/config/options.inc:1114
 msgid "Scrollbar colors."
 msgstr ""
 
-#: src/config/options.inc:1047
+#: src/config/options.inc:1116
 #, fuzzy
 msgid "Selected scrollbar"
 msgstr "Finalitzar connexions en segon pla"
 
-#: src/config/options.inc:1049
+#: src/config/options.inc:1118
 #, fuzzy
 msgid "Scrollbar selected colors."
 msgstr "Finalitzar connexions en segon pla"
 
-#: src/config/options.inc:1053
+#: src/config/options.inc:1122
 msgid "Dialog title colors."
 msgstr ""
 
-#: src/config/options.inc:1055
+#: src/config/options.inc:1124
 #, fuzzy
 msgid "Text"
 msgstr "rea de text"
 
-#: src/config/options.inc:1057
+#: src/config/options.inc:1126
 msgid "Dialog text colors."
 msgstr ""
 
-#: src/config/options.inc:1059 src/viewer/text/form.c:1862
+#: src/config/options.inc:1128 src/viewer/text/form.c:1891
 msgid "Checkbox"
 msgstr "Selecci"
 
-#: src/config/options.inc:1061
+#: src/config/options.inc:1130
 msgid "Dialog checkbox colors."
 msgstr ""
 
-#: src/config/options.inc:1063
+#: src/config/options.inc:1132
 #, fuzzy
 msgid "Selected checkbox"
 msgstr "Llista"
 
-#: src/config/options.inc:1065
+#: src/config/options.inc:1134
 #, fuzzy
 msgid "Dialog selected checkbox colors."
 msgstr "Finalitzar connexions en segon pla"
 
-#: src/config/options.inc:1067
+#: src/config/options.inc:1136
 #, fuzzy
 msgid "Checkbox label"
 msgstr "Selecci"
 
-#: src/config/options.inc:1069
+#: src/config/options.inc:1138
 msgid "Dialog checkbox label colors."
 msgstr ""
 
-#: src/config/options.inc:1071
+#: src/config/options.inc:1140
 msgid "Button"
 msgstr ""
 
-#: src/config/options.inc:1073 src/config/options.inc:1081
+#: src/config/options.inc:1142 src/config/options.inc:1150
 msgid "Dialog button colors."
 msgstr ""
 
-#: src/config/options.inc:1075
+#: src/config/options.inc:1144
 msgid "Selected button"
 msgstr ""
 
-#: src/config/options.inc:1077 src/config/options.inc:1085
+#: src/config/options.inc:1146 src/config/options.inc:1154
 msgid "Dialog selected button colors."
 msgstr ""
 
-#: src/config/options.inc:1079
+#: src/config/options.inc:1148
 msgid "Button shortcut"
 msgstr ""
 
-#: src/config/options.inc:1083
+#: src/config/options.inc:1152
 #, fuzzy
 msgid "Selected button shortcut"
 msgstr "Llista"
 
-#: src/config/options.inc:1087 src/viewer/text/form.c:1866
+#: src/config/options.inc:1156 src/viewer/text/form.c:1895
 msgid "Text field"
 msgstr "Camp de text"
 
-#: src/config/options.inc:1089
+#: src/config/options.inc:1158
 msgid "Dialog text field colors."
 msgstr ""
 
-#: src/config/options.inc:1091
+#: src/config/options.inc:1160
 #, fuzzy
 msgid "Text field text"
 msgstr "Camp de text"
 
-#: src/config/options.inc:1093
+#: src/config/options.inc:1162
 msgid "Dialog field text colors."
 msgstr ""
 
-#: src/config/options.inc:1095
+#: src/config/options.inc:1164
 msgid "Meter"
 msgstr ""
 
-#: src/config/options.inc:1097
+#: src/config/options.inc:1166
 msgid "Dialog meter colors."
 msgstr ""
 
-#: src/config/options.inc:1099
+#: src/config/options.inc:1168
 msgid "Shadow"
 msgstr ""
 
-#: src/config/options.inc:1101
+#: src/config/options.inc:1170
 msgid "Dialog shadow colors (see ui.shadows option)."
 msgstr ""
 
-#: src/config/options.inc:1103
+#: src/config/options.inc:1172
 msgid "Title bar"
 msgstr ""
 
-#: src/config/options.inc:1105
+#: src/config/options.inc:1174
 msgid "Title bar colors."
 msgstr ""
 
-#: src/config/options.inc:1107
+#: src/config/options.inc:1176
 msgid "Generic title bar"
 msgstr ""
 
-#: src/config/options.inc:1109
+#: src/config/options.inc:1178
 msgid "Generic title bar colors."
 msgstr ""
 
-#: src/config/options.inc:1111
+#: src/config/options.inc:1180
 msgid "Title bar text"
 msgstr ""
 
-#: src/config/options.inc:1113
+#: src/config/options.inc:1182
 msgid "Title bar text colors."
 msgstr ""
 
-#: src/config/options.inc:1116
+#: src/config/options.inc:1185
 msgid "Status bar"
 msgstr ""
 
-#: src/config/options.inc:1118
+#: src/config/options.inc:1187
 msgid "Status bar colors."
 msgstr ""
 
-#: src/config/options.inc:1120
+#: src/config/options.inc:1189
 msgid "Generic status bar"
 msgstr ""
 
-#: src/config/options.inc:1122
+#: src/config/options.inc:1191
 msgid "Generic status bar colors."
 msgstr ""
 
-#: src/config/options.inc:1124
+#: src/config/options.inc:1193
 #, fuzzy
 msgid "Status bar text"
 msgstr "Cercar text"
 
-#: src/config/options.inc:1126
+#: src/config/options.inc:1195
 msgid "Status bar text colors."
 msgstr ""
 
-#: src/config/options.inc:1129
+#: src/config/options.inc:1198
 msgid "Tabs bar"
 msgstr ""
 
-#: src/config/options.inc:1131
+#: src/config/options.inc:1200
 msgid "Tabs bar colors."
 msgstr ""
 
-#: src/config/options.inc:1133
+#: src/config/options.inc:1202
 #, fuzzy
 msgid "Unvisited tab"
 msgstr "Llista"
 
-#: src/config/options.inc:1135
+#: src/config/options.inc:1204
 msgid ""
-"Tab colors for tabs that have not been\n"
-"selected since they completed loading."
+"Tab colors for tabs that have not been selected since they completed loading."
 msgstr ""
 
-#: src/config/options.inc:1138
+#: src/config/options.inc:1207
 #, fuzzy
 msgid "Unselected tab"
 msgstr "Llista"
 
-#: src/config/options.inc:1140
+#: src/config/options.inc:1209
 #, fuzzy
 msgid "Unselected tab colors."
 msgstr "Finalitzar connexions en segon pla"
 
-#: src/config/options.inc:1142
+#: src/config/options.inc:1211
 #, fuzzy
 msgid "Loading tab"
 msgstr "carregant"
 
-#: src/config/options.inc:1144
+#: src/config/options.inc:1213
 msgid "Tab colors for tabs that are loading in the background."
 msgstr ""
 
-#: src/config/options.inc:1146
+#: src/config/options.inc:1215
 #, fuzzy
 msgid "Selected tab"
 msgstr "Llista"
 
-#: src/config/options.inc:1148
+#: src/config/options.inc:1217
 #, fuzzy
 msgid "Selected tab colors."
 msgstr "Finalitzar connexions en segon pla"
 
-#: src/config/options.inc:1150
+#: src/config/options.inc:1219
 msgid "Tab separator"
 msgstr ""
 
-#: src/config/options.inc:1152
+#: src/config/options.inc:1221
 msgid "Tab separator colors."
 msgstr ""
 
-#: src/config/options.inc:1155
+#: src/config/options.inc:1224
 #, fuzzy
 msgid "Searched strings"
 msgstr "Cadena incorrecta"
 
-#: src/config/options.inc:1157
+#: src/config/options.inc:1226
 #, fuzzy
 msgid "Searched string highlight colors."
 msgstr "No s'ha trobat la cadena"
@@ -3865,69 +3879,69 @@ msgstr "No s'ha trobat la cadena"
 #. ============= BORING PART (colors) END ===================
 #. ==========================================================
 #. Keep options in alphabetical order.
-#: src/config/options.inc:1166
+#: src/config/options.inc:1235
 msgid "Dialog settings"
 msgstr ""
 
-#: src/config/options.inc:1168
+#: src/config/options.inc:1237
 msgid "Dialogs-specific appearance and behaviour settings."
 msgstr ""
 
-#: src/config/options.inc:1171
+#: src/config/options.inc:1240
 msgid "Minimal height of listbox widget"
 msgstr ""
 
-#: src/config/options.inc:1173
+#: src/config/options.inc:1242
 msgid ""
-"Minimal height of the listbox widget (used e.g. for bookmarks\n"
-"or global history)."
+"Minimal height of the listbox widget (used e.g. for bookmarks or global "
+"history)."
 msgstr ""
 
-#: src/config/options.inc:1176
+#: src/config/options.inc:1245
 msgid "Drop shadows"
 msgstr ""
 
-#: src/config/options.inc:1178
+#: src/config/options.inc:1247
 msgid ""
-"Make dialogs drop shadows (the shadows are solid, you can\n"
-"adjust their color by ui.colors.*.dialog.shadow). You may\n"
-"also want to eliminate the wide borders by adjusting setup.h."
+"Make dialogs drop shadows (the shadows are solid, you can adjust their color "
+"by ui.colors.*.dialog.shadow). You may also want to eliminate the wide "
+"borders by adjusting setup.h."
 msgstr ""
 
-#: src/config/options.inc:1182
+#: src/config/options.inc:1252
 #, fuzzy
 msgid "Underline menu hotkeys"
 msgstr "Llista"
 
-#: src/config/options.inc:1184
+#: src/config/options.inc:1254
 msgid ""
-"Whether to underline hotkeys in menus to make them more\n"
-"visible. Requires that underlining is enabled for the terminal."
+"Whether to underline hotkeys in menus to make them more visible. Requires "
+"that underlining is enabled for the terminal."
 msgstr ""
 
-#: src/config/options.inc:1187
+#: src/config/options.inc:1258
 #, fuzzy
 msgid "Underline button shortcuts"
 msgstr "Llista"
 
-#: src/config/options.inc:1189
+#: src/config/options.inc:1260
 msgid ""
-"Whether to underline button shortcuts to make them more\n"
-"visible. Requires that underlining is enabled for the terminal."
+"Whether to underline button shortcuts to make them more visible. Requires "
+"that underlining is enabled for the terminal."
 msgstr ""
 
-#: src/config/options.inc:1193
+#: src/config/options.inc:1265
 #, fuzzy
 msgid "Timer options"
 msgstr "Opcions del terminal"
 
-#: src/config/options.inc:1195
+#: src/config/options.inc:1267
 msgid ""
-"Timed action after certain interval of user inactivity. Someone can\n"
-"even find this useful, although you may not believe that."
+"Timed action after certain interval of user inactivity. Someone can even "
+"find this useful, although you may not believe that."
 msgstr ""
 
-#: src/config/options.inc:1201
+#: src/config/options.inc:1274
 msgid ""
 "Whether to enable the timer or not:\n"
 "0 is don't count down anything\n"
@@ -3935,7 +3949,7 @@ msgid ""
 "2 is count down and show the timer near LEDs"
 msgstr ""
 
-#: src/config/options.inc:1208
+#: src/config/options.inc:1281
 msgid ""
 "Whether to enable the timer or not:\n"
 "0 is don't count down anything\n"
@@ -3943,35 +3957,35 @@ msgid ""
 "2 is count down and show the timer near LEDs (DISABLED)"
 msgstr ""
 
-#: src/config/options.inc:1214
+#: src/config/options.inc:1287
 msgid "Duration"
 msgstr ""
 
-#: src/config/options.inc:1216
+#: src/config/options.inc:1289
 msgid ""
-"Inactivity timeout in seconds. The maximum of one day\n"
-"should be enough for just everyone (TM)."
+"Inactivity timeout in seconds. The maximum of one day should be enough for "
+"just everyone (TM)."
 msgstr ""
 
-#: src/config/options.inc:1221
+#: src/config/options.inc:1294
 msgid "Keybinding action to be triggered when timer reaches zero."
 msgstr ""
 
-#: src/config/options.inc:1224
+#: src/config/options.inc:1298
 #, fuzzy
 msgid "Window tabs"
 msgstr "Finestra"
 
-#: src/config/options.inc:1226
+#: src/config/options.inc:1300
 msgid "Window tabs settings."
 msgstr ""
 
-#: src/config/options.inc:1228
+#: src/config/options.inc:1302
 #, fuzzy
 msgid "Display tabs bar"
 msgstr "Mostrar ~usemap"
 
-#: src/config/options.inc:1230
+#: src/config/options.inc:1304
 msgid ""
 "Show tabs bar on the screen:\n"
 "0 means never\n"
@@ -3979,170 +3993,169 @@ msgid ""
 "2 means always"
 msgstr ""
 
-#: src/config/options.inc:1235
+#: src/config/options.inc:1309
 msgid "Tab bar at top"
 msgstr ""
 
-#: src/config/options.inc:1237
+#: src/config/options.inc:1311
 msgid "Whether display tab bar at top like other browsers do."
 msgstr ""
 
-#: src/config/options.inc:1239
+#: src/config/options.inc:1313
 msgid "Wrap-around tabs cycling"
 msgstr ""
 
-#: src/config/options.inc:1241
+#: src/config/options.inc:1315
 msgid ""
-"When moving right from the last tab, jump to the first one, and\n"
-"vice versa."
+"When moving right from the last tab, jump to the first one, and vice versa."
 msgstr ""
 
-#: src/config/options.inc:1244
+#: src/config/options.inc:1318
 msgid "Confirm tab closing"
 msgstr ""
 
-#: src/config/options.inc:1246
+#: src/config/options.inc:1320
 msgid "When closing a tab show confirmation dialog."
 msgstr ""
 
 #. OPT_LANGUAGE
-#: src/config/options.inc:1250 src/config/opttypes.c:483
+#: src/config/options.inc:1324 src/config/opttypes.c:483
 msgid "Language"
 msgstr ""
 
-#: src/config/options.inc:1252
+#: src/config/options.inc:1326
 msgid ""
-"Language of user interface. 'System' means that the language will\n"
-"be extracted from the environment dynamically."
+"Language of user interface. 'System' means that the language will be "
+"extracted from the environment dynamically."
 msgstr ""
 
-#: src/config/options.inc:1255
+#: src/config/options.inc:1330
 #, fuzzy
 msgid "Display menu bar always"
 msgstr "Mostrar ~usemap"
 
-#: src/config/options.inc:1257
+#: src/config/options.inc:1332
 msgid "Always show menu bar on the screen."
 msgstr ""
 
-#: src/config/options.inc:1259
+#: src/config/options.inc:1334
 #, fuzzy
 msgid "Display status bar"
 msgstr "Mostrar ~usemap"
 
-#: src/config/options.inc:1261
+#: src/config/options.inc:1336
 msgid "Show status bar on the screen."
 msgstr ""
 
-#: src/config/options.inc:1263
+#: src/config/options.inc:1338
 #, fuzzy
 msgid "Display title bar"
 msgstr "Mostrar ~usemap"
 
-#: src/config/options.inc:1265
+#: src/config/options.inc:1340
 msgid "Show title bar on the screen."
 msgstr ""
 
-#: src/config/options.inc:1267
+#: src/config/options.inc:1342
 msgid "Display goto dialog in new tabs"
 msgstr ""
 
-#: src/config/options.inc:1269
+#: src/config/options.inc:1344
 msgid ""
-"Pop up goto dialog in newly created tabs when there's no homepage\n"
-"set. This means also showing goto dialog on startup."
+"Pop up goto dialog in newly created tabs when there's no homepage set. This "
+"means also showing goto dialog on startup."
 msgstr ""
 
-#: src/config/options.inc:1272
+#: src/config/options.inc:1348
 msgid "Show a message box when file is saved successfully"
 msgstr ""
 
-#: src/config/options.inc:1274
+#: src/config/options.inc:1350
 msgid ""
-"When you pressed a [ Save ] button in some manager, this option\n"
-"will make sure that a box confirming success of the operation will\n"
-"pop up."
+"When you pressed a [ Save ] button in some manager, this option will make "
+"sure that a box confirming success of the operation will pop up."
 msgstr ""
 
-#: src/config/options.inc:1279
+#: src/config/options.inc:1355
 #, fuzzy
 msgid "Sessions"
 msgstr "Extensions"
 
-#: src/config/options.inc:1281
+#: src/config/options.inc:1357
 msgid "Sessions settings."
 msgstr ""
 
-#: src/config/options.inc:1283
+#: src/config/options.inc:1359
 msgid "Keep session active"
 msgstr ""
 
-#: src/config/options.inc:1285
+#: src/config/options.inc:1361
 msgid "Keep the session active even if the last terminal exits."
 msgstr ""
 
-#: src/config/options.inc:1287
+#: src/config/options.inc:1364
 msgid "Auto save session"
 msgstr ""
 
-#: src/config/options.inc:1289
+#: src/config/options.inc:1366
 msgid ""
 "Automatically save the session when quitting.\n"
+"\n"
 "This feature requires bookmark support."
 msgstr ""
 
-#: src/config/options.inc:1292
+#: src/config/options.inc:1370
 msgid "Auto restore session"
 msgstr ""
 
-#: src/config/options.inc:1294
+#: src/config/options.inc:1372
 msgid ""
 "Automatically restore the session at start.\n"
+"\n"
 "This feature requires bookmark support."
 msgstr ""
 
-#: src/config/options.inc:1297
+#: src/config/options.inc:1376
 msgid "Auto save and restore session folder name"
 msgstr ""
 
-#: src/config/options.inc:1299
+#: src/config/options.inc:1378
 msgid ""
-"Name of the bookmarks folder used for auto saving and restoring session.\n"
-"The name has to be unique. Any folders with the same name will be deleted.\n"
+"Name of the bookmarks folder used for auto saving and restoring session. The "
+"name has to be unique. Any folders with the same name will be deleted.\n"
+"\n"
 "This only makes sense with bookmark support."
 msgstr ""
 
-#: src/config/options.inc:1303
+#: src/config/options.inc:1384
 #, fuzzy
 msgid "Homepage URI"
 msgstr "Pgina de codis"
 
-#: src/config/options.inc:1305
+#: src/config/options.inc:1386
 msgid ""
-"The URI to load either at startup time when no URI was given\n"
-"on the command line or when requested by the goto-url-home action.\n"
-"Set to \"\" if the environment variable WWW_HOME should be used\n"
-"as homepage URI instead."
+"The URI to load either at startup time when no URI was given on the command "
+"line or when requested by the goto-url-home action. Set to \"\" if the "
+"environment variable WWW_HOME should be used as homepage URI instead."
 msgstr ""
 
-#: src/config/options.inc:1311
+#: src/config/options.inc:1392
 #, fuzzy
 msgid "Date format"
 msgstr "Trametre fitxer"
 
-#: src/config/options.inc:1313
+#: src/config/options.inc:1394
 msgid "Date format to use in dialogs. See strftime(3)."
 msgstr ""
 
-#: src/config/options.inc:1316
+#: src/config/options.inc:1397
 msgid "Set window title"
 msgstr ""
 
-#: src/config/options.inc:1318
+#: src/config/options.inc:1399
 msgid ""
-"Set the window title when running in a windowing environment\n"
-"in an xterm-like terminal. This way the document's title is\n"
-"shown on the window titlebar."
+"Set the window title when running in a windowing environment in an xterm-"
+"like terminal. This way the document's title is shown on the window titlebar."
 msgstr ""
 
 #: src/config/opttypes.c:54
@@ -4229,7 +4242,7 @@ msgid "Goto URL History"
 msgstr "Sense historial"
 
 #. name:
-#: src/cookies/cookies.c:88 src/cookies/cookies.c:911
+#: src/cookies/cookies.c:88 src/cookies/cookies.c:913
 msgid "Cookies"
 msgstr ""
 
@@ -4259,10 +4272,10 @@ msgstr "Connectant"
 msgid ""
 "Cookie maximum age (in days):\n"
 "-1 is use cookie's expiration date if any\n"
-"0  is force expiration at the end of session, ignoring cookie's\n"
-"   expiration date\n"
-"1+ is use cookie's expiration date, but limit age to the given\n"
-"   number of days"
+"0  is force expiration at the end of session, ignoring\n"
+"   cookie's expiration date\n"
+"1+ is use cookie's expiration date, but limit age to the\n"
+"   given number of days"
 msgstr ""
 
 #: src/cookies/cookies.c:109
@@ -4271,42 +4284,42 @@ msgstr ""
 
 #: src/cookies/cookies.c:111
 msgid ""
-"When enabled, we'll require three dots in cookies domain for all\n"
-"non-international domains (instead of just two dots). Some countries\n"
-"have generic second level domains (eg. .com.pl, .co.uk) and allowing\n"
-"sites to set cookies for these generic domains could potentially be\n"
-"very bad. Note, it is off by default as it breaks a lot of sites."
+"When enabled, we'll require three dots in cookies domain for all non-"
+"international domains (instead of just two dots). Some countries have "
+"generic second level domains (eg. .com.pl, .co.uk) and allowing sites to set "
+"cookies for these generic domains could potentially be very bad. Note, it is "
+"off by default as it breaks a lot of sites."
 msgstr ""
 
-#: src/cookies/cookies.c:117
+#: src/cookies/cookies.c:118
 #, fuzzy
 msgid "Saving"
 msgstr "mitj"
 
-#: src/cookies/cookies.c:119
+#: src/cookies/cookies.c:120
 msgid "Whether cookies should be loaded from and saved to disk."
 msgstr ""
 
-#: src/cookies/cookies.c:121
+#: src/cookies/cookies.c:123
 msgid "Resaving"
 msgstr ""
 
-#: src/cookies/cookies.c:123
+#: src/cookies/cookies.c:125
 msgid ""
-"Save cookies after each change in cookies list? No effect when\n"
-"cookie saving (cookies.save) is off."
+"Save cookies after each change in cookies list? No effect when cookie saving "
+"(cookies.save) is off."
 msgstr ""
 
-#: src/cookies/cookies.c:817
+#: src/cookies/cookies.c:819
 #, fuzzy
 msgid "Cannot save cookies"
 msgstr "Error mentre escrivia el fitxer"
 
-#: src/cookies/cookies.c:828
+#: src/cookies/cookies.c:830
 msgid "ELinks was started without a home directory."
 msgstr ""
 
-#: src/cookies/cookies.c:834
+#: src/cookies/cookies.c:836
 msgid "ELinks was started with the -anonymous option."
 msgstr ""
 
@@ -4521,7 +4534,7 @@ msgid "No header info."
 msgstr ""
 
 #: src/dialogs/download.c:243 src/dialogs/menu.c:601
-#: src/protocol/bittorrent/dialogs.c:228 src/session/download.c:361
+#: src/protocol/bittorrent/dialogs.c:228 src/session/download.c:387
 msgid "Download"
 msgstr "Descarregar"
 
@@ -5378,7 +5391,7 @@ msgid "No document"
 msgstr "documents"
 
 #. name:
-#: src/document/css/css.c:30 src/document/css/css.c:161
+#: src/document/css/css.c:30 src/document/css/css.c:164
 msgid "Cascading Style Sheets"
 msgstr ""
 
@@ -5386,36 +5399,36 @@ msgstr ""
 msgid "Options concerning how to use CSS for styling documents."
 msgstr ""
 
-#: src/document/css/css.c:34
+#: src/document/css/css.c:35
 #, fuzzy
 msgid "Enable CSS"
 msgstr "nom"
 
-#: src/document/css/css.c:36
+#: src/document/css/css.c:37
 msgid "Enable adding of CSS style info to documents."
 msgstr ""
 
-#: src/document/css/css.c:38
+#: src/document/css/css.c:39
 msgid "Import external style sheets"
 msgstr ""
 
-#: src/document/css/css.c:40
+#: src/document/css/css.c:41
 msgid ""
-"When enabled any external style sheets that are imported from\n"
-"either CSS itself using the @import keyword or from the HTML using\n"
-"<link> tags in the document header will also be downloaded."
+"When enabled any external style sheets that are imported from either CSS "
+"itself using the @import keyword or from the HTML using <link> tags in the "
+"document header will also be downloaded."
 msgstr ""
 
-#: src/document/css/css.c:44
+#: src/document/css/css.c:46
 msgid "Default style sheet"
 msgstr ""
 
-#: src/document/css/css.c:46
+#: src/document/css/css.c:48
 msgid ""
-"The path to the file containing the default user defined\n"
-"Cascading Style Sheet. It can be used to control the basic\n"
-"layout of HTML documents. The path is assumed to be relative\n"
-"to ELinks' home directory.\n"
+"The path to the file containing the default user defined Cascading Style "
+"Sheet. It can be used to control the basic layout of HTML documents. The "
+"path is assumed to be relative to ELinks' home directory.\n"
+"\n"
 "Leave as \"\" to use built-in document styling."
 msgstr ""
 
@@ -5447,8 +5460,8 @@ msgstr ""
 
 #: src/ecmascript/ecmascript.c:55
 msgid ""
-"Whether to ignore content enclosed by the <noscript> tag\n"
-"when ECMAScript is enabled."
+"Whether to ignore content enclosed by the <noscript> tag when ECMAScript is "
+"enabled."
 msgstr ""
 
 #: src/ecmascript/ecmascript.c:58
@@ -5500,7 +5513,7 @@ msgid "JavaScript Error"
 msgstr ""
 
 #. name:
-#: src/ecmascript/spidermonkey.c:320
+#: src/ecmascript/spidermonkey.c:321
 msgid "SpiderMonkey"
 msgstr ""
 
@@ -5598,9 +5611,8 @@ msgstr "Opcions del terminal"
 
 #: src/formhist/formhist.c:38
 msgid ""
-"Ask if a login form should be saved to file or not.\n"
-"This option only disables the dialog, already saved login\n"
-"forms are unaffected."
+"Ask if a login form should be saved to file or not. This option only "
+"disables the dialog, already saved login forms are unaffected."
 msgstr ""
 
 #: src/formhist/formhist.c:426
@@ -5702,20 +5714,20 @@ msgstr ""
 msgid "Enable global history (\"history of all pages visited\")."
 msgstr ""
 
-#: src/globhist/globhist.c:68
+#: src/globhist/globhist.c:69
 msgid "Maximum number of entries"
 msgstr ""
 
-#: src/globhist/globhist.c:70
+#: src/globhist/globhist.c:71
 msgid "Maximum number of entries in the global history."
 msgstr ""
 
-#: src/globhist/globhist.c:72
+#: src/globhist/globhist.c:73
 #, fuzzy
 msgid "Display style"
 msgstr "Mostrar ~usemap"
 
-#: src/globhist/globhist.c:74
+#: src/globhist/globhist.c:75
 msgid ""
 "What to display in global history dialog:\n"
 "0 is URLs\n"
@@ -5723,7 +5735,7 @@ msgid ""
 msgstr ""
 
 #. name:
-#: src/globhist/globhist.c:451
+#: src/globhist/globhist.c:449
 #, fuzzy
 msgid "Global History"
 msgstr "Sense historial"
@@ -5952,101 +5964,95 @@ msgstr ""
 
 #: src/mime/backend/default.c:27
 msgid ""
-"Handler <-> MIME type association. The first sub-tree is the MIME\n"
-"class while the second sub-tree is the MIME type (ie. image/gif\n"
-"handler will reside at mime.type.image.gif). Each MIME type option\n"
-"should contain (case-sensitive) name of the MIME handler (its\n"
-"properties are stored at mime.handler.<name>)."
+"Handler <-> MIME type association. The first sub-tree is the MIME class "
+"while the second sub-tree is the MIME type (ie. image/gif handler will "
+"reside at mime.type.image.gif). Each MIME type option should contain (case-"
+"sensitive) name of the MIME handler (its properties are stored at mime."
+"handler.<name>)."
 msgstr ""
 
-#: src/mime/backend/default.c:35
+#: src/mime/backend/default.c:36
 msgid ""
-"Handler matching this MIME-type class ('*' is used here in place\n"
-"of '.')."
+"Handler matching this MIME-type class ('*' is used here in place of '.')."
 msgstr ""
 
-#: src/mime/backend/default.c:40
+#: src/mime/backend/default.c:41
 msgid ""
-"Handler matching this MIME-type name ('*' is used here in place\n"
-"of '.')."
+"Handler matching this MIME-type name ('*' is used here in place of '.')."
 msgstr ""
 
-#: src/mime/backend/default.c:44
+#: src/mime/backend/default.c:45
 msgid "File type handlers"
 msgstr ""
 
-#: src/mime/backend/default.c:46
+#: src/mime/backend/default.c:47
 msgid ""
-"A file type handler is a set of information about how to use\n"
-"an external program to view a file. It is possible to refer to it\n"
-"for several MIME types -- e.g., you can define an 'image' handler\n"
-"to which mime.type.image.png, mime.type.image.jpeg, and so on will\n"
-"refer; or one might define a handler for a more specific type of file\n"
-"-- e.g., PDF files.\n"
-"Note you must define both a MIME handler and a MIME type association\n"
-"for it to work."
+"A file type handler is a set of information about how to use an external "
+"program to view a file. It is possible to refer to it for several MIME types "
+"-- e.g., you can define an 'image' handler to which mime.type.image.png, "
+"mime.type.image.jpeg, and so on will refer; or one might define a handler "
+"for a more specific type of file -- e.g., PDF files. Note you must define "
+"both a MIME handler and a MIME type association for it to work."
 msgstr ""
 
-#: src/mime/backend/default.c:57
+#: src/mime/backend/default.c:58
 msgid "Description of this handler."
 msgstr ""
 
-#: src/mime/backend/default.c:61
+#: src/mime/backend/default.c:62
 msgid "System-specific handler description (ie. unix, unix-xwin, ...)."
 msgstr ""
 
-#: src/mime/backend/default.c:63 src/mime/backend/mailcap.c:102
+#: src/mime/backend/default.c:65 src/mime/backend/mailcap.c:102
 msgid "Ask before opening"
 msgstr ""
 
-#: src/mime/backend/default.c:65
+#: src/mime/backend/default.c:67
 msgid "Ask before opening."
 msgstr ""
 
-#: src/mime/backend/default.c:67
+#: src/mime/backend/default.c:69
 #, fuzzy
 msgid "Block terminal"
 msgstr "Terminal ~BeOS"
 
-#: src/mime/backend/default.c:69
+#: src/mime/backend/default.c:71
 msgid "Block the terminal when the handler is running."
 msgstr ""
 
-#: src/mime/backend/default.c:71
+#: src/mime/backend/default.c:73
 #, fuzzy
 msgid "Program"
 msgstr "Cap programa"
 
-#: src/mime/backend/default.c:74
+#: src/mime/backend/default.c:76
 #, no-c-format
 msgid ""
-"External viewer for this file type. '%' in this string will be\n"
-"substituted by a file name.\n"
-"Do _not_ put single- or double-quotes around the % sign."
+"External viewer for this file type. '%' in this string will be substituted "
+"by a file name. Do _not_ put single- or double-quotes around the % sign."
 msgstr ""
 
-#: src/mime/backend/default.c:79
+#: src/mime/backend/default.c:81
 #, fuzzy
 msgid "File extension associations"
 msgstr "~Extensions de fitxers"
 
-#: src/mime/backend/default.c:81
+#: src/mime/backend/default.c:83
 msgid "Extension <-> MIME type association."
 msgstr ""
 
-#: src/mime/backend/default.c:85
+#: src/mime/backend/default.c:87
 msgid ""
-"MIME-type matching this file extension ('*' is used here in place\n"
-"of '.')."
+"MIME-type matching this file extension ('*' is used here in place of '.')."
 msgstr ""
 
 #. name:
-#: src/mime/backend/default.c:216
+#: src/mime/backend/default.c:218
 msgid "Option system"
 msgstr ""
 
 #. name:
-#: src/mime/backend/mailcap.c:89 src/mime/backend/mailcap.c:684
+#: src/mime/backend/mailcap.c:89 src/mime/backend/mailcap.c:686
 msgid "Mailcap"
 msgstr ""
 
@@ -6060,8 +6066,8 @@ msgstr ""
 
 #: src/mime/backend/mailcap.c:99
 msgid ""
-"Mailcap search path. Colon-separated list of files.\n"
-"Leave as \"\" to use MAILCAP environment variable instead."
+"Mailcap search path. Colon-separated list of files. Leave as \"\" to use "
+"MAILCAP environment variable instead."
 msgstr ""
 
 #: src/mime/backend/mailcap.c:104
@@ -6074,39 +6080,38 @@ msgstr ""
 
 #: src/mime/backend/mailcap.c:108
 msgid ""
-"Type of description to show in \"what to do with this file\"\n"
-"query dialog:\n"
+"Type of description to show in \"what to do with this file\" query dialog:\n"
 "0 is show \"mailcap\"\n"
 "1 is show program to be run\n"
-"2 is show mailcap description field if any; \"mailcap\" otherwise"
+"2 is show mailcap description field if any;\n"
+"     \"mailcap\" otherwise"
 msgstr ""
 
-#: src/mime/backend/mailcap.c:114
+#: src/mime/backend/mailcap.c:115
 msgid "Prioritize entries by file"
 msgstr ""
 
-#: src/mime/backend/mailcap.c:116
+#: src/mime/backend/mailcap.c:117
 msgid ""
-"Prioritize entries by the order of the files in the mailcap\n"
-"path. This means that wildcard entries (like: image/*) will\n"
-"also be checked before deciding the handler."
+"Prioritize entries by the order of the files in the mailcap path. This means "
+"that wildcard entries (like: image/*) will also be checked before deciding "
+"the handler."
 msgstr ""
 
-#: src/mime/backend/mailcap.c:349
+#: src/mime/backend/mailcap.c:351
 #, c-format
 msgid "Badly formated mailcap entry for type %s in \"%s\" line %d"
 msgstr ""
 
 #. name:
-#: src/mime/backend/mimetypes.c:46 src/mime/backend/mimetypes.c:279
+#: src/mime/backend/mimetypes.c:46 src/mime/backend/mimetypes.c:280
 msgid "Mimetypes files"
 msgstr ""
 
 #: src/mime/backend/mimetypes.c:48
 msgid ""
-"Options for the support of mime.types files. These files\n"
-"can be used to find the content type of a URL by looking at\n"
-"the extension of the file name."
+"Options for the support of mime.types files. These files can be used to find "
+"the content type of a URL by looking at the extension of the file name."
 msgstr ""
 
 #: src/mime/backend/mimetypes.c:54
@@ -6143,7 +6148,7 @@ msgid "No extensions"
 msgstr "No hi ha extensions"
 
 #. name:
-#: src/mime/mime.c:38 src/mime/mime.c:360
+#: src/mime/mime.c:38 src/mime/mime.c:361
 msgid "MIME"
 msgstr ""
 
@@ -6157,8 +6162,8 @@ msgstr ""
 
 #: src/mime/mime.c:44
 msgid ""
-"Document MIME-type to assume by default (when we are unable to\n"
-"guess it properly from known information about the document)."
+"Document MIME-type to assume by default (when we are unable to guess it "
+"properly from known information about the document)."
 msgstr ""
 
 #: src/network/ssl/ssl.c:72 src/network/ssl/ssl.c:161
@@ -6167,8 +6172,8 @@ msgstr ""
 
 #: src/network/ssl/ssl.c:74
 msgid ""
-"Verify the peer's SSL certificate. Note that this\n"
-"needs extensive configuration of OpenSSL by the user."
+"Verify the peer's SSL certificate. Note that this needs extensive "
+"configuration of OpenSSL by the user."
 msgstr ""
 
 #: src/network/ssl/ssl.c:77
@@ -6182,8 +6187,8 @@ msgstr "Opcions del terminal"
 
 #: src/network/ssl/ssl.c:83
 msgid ""
-"Enable or not the sending of X509 client certificates\n"
-"to servers which request them."
+"Enable or not the sending of X509 client certificates to servers which "
+"request them."
 msgstr ""
 
 #: src/network/ssl/ssl.c:86
@@ -6193,16 +6198,15 @@ msgstr "temps estimat"
 
 #: src/network/ssl/ssl.c:88
 msgid ""
-"The location of a file containing the client certificate\n"
-"and unencrypted private key in PEM format. If unset, the\n"
-"file pointed to by the X509_CLIENT_CERT variable is used\n"
-"instead."
+"The location of a file containing the client certificate and unencrypted "
+"private key in PEM format. If unset, the file pointed to by the "
+"X509_CLIENT_CERT variable is used instead."
 msgstr ""
 
 #: src/network/ssl/ssl.c:163
 msgid ""
-"Verify the peer's SSL certificate.  If you enable\n"
-"this, set also \"Trusted CA file\"."
+"Verify the peer's SSL certificate.  If you enable this, set also \"Trusted "
+"CA file\"."
 msgstr ""
 
 #. The default value of the following option points to a file
@@ -6220,20 +6224,20 @@ msgstr "Transferint"
 
 #: src/network/ssl/ssl.c:176
 msgid ""
-"The location of a file containing certificates of\n"
-"trusted certification authorities in PEM format.\n"
-"ELinks then trusts certificates issued by these CAs.\n"
-"If you change this option or the file, you must\n"
-"restart ELinks for the changes to take effect.\n"
-"This option affects GnuTLS but not OpenSSL."
+"The location of a file containing certificates of trusted certification "
+"authorities in PEM format. ELinks then trusts certificates issued by these "
+"CAs.\n"
+"\n"
+"If you change this option or the file, you must restart ELinks for the "
+"changes to take effect. This option affects GnuTLS but not OpenSSL."
 msgstr ""
 
 #. name:
-#: src/network/ssl/ssl.c:199 src/network/ssl/ssl.c:216
+#: src/network/ssl/ssl.c:200 src/network/ssl/ssl.c:217
 msgid "SSL"
 msgstr ""
 
-#: src/network/ssl/ssl.c:201
+#: src/network/ssl/ssl.c:202
 #, fuzzy
 msgid "SSL options."
 msgstr "Desar opcions"
@@ -6569,7 +6573,7 @@ msgstr "Introduu el nom d'usuari de "
 msgid "Login"
 msgstr "ID d'usuari"
 
-#: src/protocol/auth/dialogs.c:113 src/protocol/http/http.c:140
+#: src/protocol/auth/dialogs.c:113 src/protocol/http/http.c:142
 msgid "Password"
 msgstr "Password"
 
@@ -6646,7 +6650,7 @@ msgstr "Agenda"
 
 #. name:
 #: src/protocol/bittorrent/bittorrent.c:26
-#: src/protocol/bittorrent/bittorrent.c:335
+#: src/protocol/bittorrent/bittorrent.c:339
 msgid "BitTorrent"
 msgstr ""
 
@@ -6701,9 +6705,8 @@ msgstr ""
 
 #: src/protocol/bittorrent/bittorrent.c:57
 msgid ""
-"Whether to request that the tracker returns peer info\n"
-"in compact format. Note, the compact format only supports\n"
-"IPv4 addresses."
+"Whether to request that the tracker returns peer info in compact format. "
+"Note, the compact format only supports IPv4 addresses."
 msgstr ""
 
 #: src/protocol/bittorrent/bittorrent.c:61
@@ -6712,57 +6715,55 @@ msgstr ""
 
 #: src/protocol/bittorrent/bittorrent.c:63
 msgid ""
-"The number of seconds to wait between periodically contacting\n"
-"the tracker for announcing progress and requesting more peers.\n"
-"Set to zero to use the interval requested by the tracker."
+"The number of seconds to wait between periodically contacting the tracker "
+"for announcing progress and requesting more peers. Set to zero to use the "
+"interval requested by the tracker."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:67
+#: src/protocol/bittorrent/bittorrent.c:68
 msgid "IP-address to announce"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:69
+#: src/protocol/bittorrent/bittorrent.c:70
 msgid ""
-"What IP address to report to the tracker. If set to \"\"\n"
-"no IP address will be sent and the tracker will automatically\n"
-"determine an appropriate IP address."
+"What IP address to report to the tracker. If set to \"\" no IP address will "
+"be sent and the tracker will automatically determine an appropriate IP "
+"address."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:73
+#: src/protocol/bittorrent/bittorrent.c:74
 #, fuzzy
 msgid "User identification string"
 msgstr "Opcions del terminal"
 
-#: src/protocol/bittorrent/bittorrent.c:75
+#: src/protocol/bittorrent/bittorrent.c:76
 msgid ""
-"An additional identification that is not shared with any users.\n"
-"It is intended to allow a client to prove their identity should\n"
-"their IP address change. It is an optional parameter, but some\n"
-"trackers require this parameter. If set to \"\" no user key will\n"
-"be sent to the tracker."
+"An additional identification that is not shared with any users. It is "
+"intended to allow a client to prove their identity should their IP address "
+"change. It is an optional parameter, but some trackers require this "
+"parameter. If set to \"\" no user key will be sent to the tracker."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:81
+#: src/protocol/bittorrent/bittorrent.c:82
 #, fuzzy
 msgid "Maximum number of peers to request"
 msgstr "Connectant"
 
-#: src/protocol/bittorrent/bittorrent.c:83
+#: src/protocol/bittorrent/bittorrent.c:84
 msgid ""
-"The maximum number of peers to request from the tracker.\n"
-"Set to 0 to use the server default."
+"The maximum number of peers to request from the tracker. Set to 0 to use the "
+"server default."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:86
+#: src/protocol/bittorrent/bittorrent.c:87
 msgid "Minimum peers to skip rerequesting"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:88
+#: src/protocol/bittorrent/bittorrent.c:89
 msgid ""
-"The minimum number of peers to have in the current peer info\n"
-"pool before skipping requesting of more peers. I.e. setting\n"
-"numwant to zero.\n"
-"Set to 0 to not have any limit."
+"The minimum number of peers to have in the current peer info pool before "
+"skipping requesting of more peers. I.e. setting numwant to zero. Set to 0 to "
+"not have any limit."
 msgstr ""
 
 #. ******************************************************************
@@ -6783,182 +6784,177 @@ msgstr "Connectant"
 
 #: src/protocol/bittorrent/bittorrent.c:104
 msgid ""
-"The maximum number of allowed connections to both active and\n"
-"non-active peers. By increasing the number of allowed connections,\n"
-"the chance of finding good peers to download from is increased.\n"
-"However, too many connections can lead to TCP congestion. If the\n"
-"maximum is reached all new incoming connections will be closed."
+"The maximum number of allowed connections to both active and non-active "
+"peers. By increasing the number of allowed connections, the chance of "
+"finding good peers to download from is increased. However, too many "
+"connections can lead to TCP congestion. If the maximum is reached all new "
+"incoming connections will be closed."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:110
+#: src/protocol/bittorrent/bittorrent.c:111
 msgid "Maximum peer message length"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:112
+#: src/protocol/bittorrent/bittorrent.c:113
 msgid ""
-"The maximum length of messages to accept over the wire.\n"
-"Larger values will cause the connection to be dropped."
+"The maximum length of messages to accept over the wire. Larger values will "
+"cause the connection to be dropped."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:115
+#: src/protocol/bittorrent/bittorrent.c:116
 msgid "Maximum allowed request length"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:117
+#: src/protocol/bittorrent/bittorrent.c:118
 msgid ""
-"The maximum length to allow for incoming requests.\n"
-"Larger requests will cause the connection to be dropped."
+"The maximum length to allow for incoming requests. Larger requests will "
+"cause the connection to be dropped."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:120
+#: src/protocol/bittorrent/bittorrent.c:121
 msgid "Length of requests"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:122
+#: src/protocol/bittorrent/bittorrent.c:123
 msgid ""
-"How many bytes to query for per request. This is complementary\n"
-"to the max_request_length option. If the configured length is\n"
-"bigger than the piece length it will be truncated."
+"How many bytes to query for per request. This is complementary to the "
+"max_request_length option. If the configured length is bigger than the piece "
+"length it will be truncated."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:126
+#: src/protocol/bittorrent/bittorrent.c:128
 #, fuzzy
 msgid "Peer inactivity timeout"
 msgstr "Temps mxim de recepci sobrepassat"
 
-#: src/protocol/bittorrent/bittorrent.c:128
+#: src/protocol/bittorrent/bittorrent.c:130
 msgid ""
-"The number of seconds to wait before closing a socket on\n"
-"which nothing has been received or sent."
+"The number of seconds to wait before closing a socket on which nothing has "
+"been received or sent."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:131
+#: src/protocol/bittorrent/bittorrent.c:133
 #, fuzzy
 msgid "Maximum peer pool size"
 msgstr "Connectant"
 
-#: src/protocol/bittorrent/bittorrent.c:133
+#: src/protocol/bittorrent/bittorrent.c:135
 msgid ""
-"Maximum number of items in the peer pool. The peer pool\n"
-"contains information used for establishing connections to\n"
-"new peers.\n"
+"Maximum number of items in the peer pool. The peer pool contains information "
+"used for establishing connections to new peers.\n"
+"\n"
 "Set to 0 to have unlimited size."
 msgstr ""
 
 #. ******************************************************************
 #. Piece management options:
 #. ******************************************************************
-#: src/protocol/bittorrent/bittorrent.c:143
+#: src/protocol/bittorrent/bittorrent.c:146
 #, fuzzy
 msgid "Maximum piece cache size"
 msgstr "Connectant"
 
-#: src/protocol/bittorrent/bittorrent.c:145
+#: src/protocol/bittorrent/bittorrent.c:148
 msgid ""
-"The maximum amount of memory used to hold recently\n"
-"downloaded pieces.\n"
+"The maximum amount of memory used to hold recently downloaded pieces.\n"
+"\n"
 "Set to 0 to have unlimited size."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:154
+#: src/protocol/bittorrent/bittorrent.c:158
 msgid "Sharing rate"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:156
+#: src/protocol/bittorrent/bittorrent.c:160
 msgid ""
-"The minimum sharing rate to achieve before stop seeding.\n"
-"The sharing rate is computed as the number of uploaded bytes\n"
-"divided with the number of downloaded bytes. The value should\n"
-"be a double value between 0.0 and 1.0 both included.\n"
-"Set to 1.0 to atleast upload a complete copy of all data and\n"
+"The minimum sharing rate to achieve before stop seeding. The sharing rate is "
+"computed as the number of uploaded bytes divided with the number of "
+"downloaded bytes. The value should be a double value between 0.0 and 1.0 "
+"both included. Set to 1.0 to atleast upload a complete copy of all data and "
 "set to 0.0 to have unlimited sharing rate."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:163
+#: src/protocol/bittorrent/bittorrent.c:167
 msgid "Maximum number of uploads"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:165
+#: src/protocol/bittorrent/bittorrent.c:169
 msgid "The maximum number of uploads to allow at once."
 msgstr ""
 
 #. The number of uploads to fill out to with extra optimistic unchokes
-#: src/protocol/bittorrent/bittorrent.c:168
+#: src/protocol/bittorrent/bittorrent.c:172
 msgid "Minimum number of uploads"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:170
+#: src/protocol/bittorrent/bittorrent.c:174
 msgid ""
-"The minimum number of uploads which should at least\n"
-"be used for new connections."
+"The minimum number of uploads which should at least be used for new "
+"connections."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:174
+#: src/protocol/bittorrent/bittorrent.c:178
 #, fuzzy
 msgid "Keepalive interval"
 msgstr "Error mentre desava"
 
-#: src/protocol/bittorrent/bittorrent.c:176
-msgid ""
-"The number of seconds to pause between sending keepalive\n"
-"messages."
+#: src/protocol/bittorrent/bittorrent.c:180
+msgid "The number of seconds to pause between sending keepalive messages."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:179
+#: src/protocol/bittorrent/bittorrent.c:183
 #, fuzzy
 msgid "Number of pending requests"
 msgstr "El servidor est processant la sollicitud"
 
-#: src/protocol/bittorrent/bittorrent.c:181
+#: src/protocol/bittorrent/bittorrent.c:185
 msgid ""
-"How many piece requests to continuously keep in queue. Pipelining\n"
-"of requests is essential to saturate connections and get a good\n"
-"connection performance and thus a faster download. However, a\n"
-"very big queue size can lead to wasting bandwidth near the end\n"
-"of the connection since remaining piece blocks will be requested\n"
-"from multiple peers."
+"How many piece requests to continuously keep in queue. Pipelining of "
+"requests is essential to saturate connections and get a good connection "
+"performance and thus a faster download. However, a very big queue size can "
+"lead to wasting bandwidth near the end of the connection since remaining "
+"piece blocks will be requested from multiple peers."
 msgstr ""
 
 #. Bram uses 30 seconds here.
-#: src/protocol/bittorrent/bittorrent.c:190
+#: src/protocol/bittorrent/bittorrent.c:194
 msgid "Peer snubbing interval"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:192
+#: src/protocol/bittorrent/bittorrent.c:196
 msgid ""
-"The number of seconds to wait for file data before assuming\n"
-"the peer has been snubbed."
+"The number of seconds to wait for file data before assuming the peer has "
+"been snubbed."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:195
+#: src/protocol/bittorrent/bittorrent.c:199
 #, fuzzy
 msgid "Peer choke interval"
 msgstr "Error mentre desava"
 
-#: src/protocol/bittorrent/bittorrent.c:197
+#: src/protocol/bittorrent/bittorrent.c:201
 msgid ""
-"The number of seconds between updating the connection state\n"
-"and most importantly choke and unchoke peer connections. The\n"
-"choke period should be big enough for newly unchoked connections\n"
-"to get started but small enough to not allow freeriders too much\n"
-"room for stealing bandwidth."
+"The number of seconds between updating the connection state and most "
+"importantly choke and unchoke peer connections. The choke period should be "
+"big enough for newly unchoked connections to get started but small enough to "
+"not allow freeriders too much room for stealing bandwidth."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:203
+#: src/protocol/bittorrent/bittorrent.c:207
 msgid "Rarest first piece selection cutoff"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:205
+#: src/protocol/bittorrent/bittorrent.c:209
 msgid ""
-"The number of pieces to obtain before switching piece\n"
-"selection strategy from random to rarest first."
+"The number of pieces to obtain before switching piece selection strategy "
+"from random to rarest first."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:208 src/protocol/http/http.c:109
+#: src/protocol/bittorrent/bittorrent.c:212 src/protocol/http/http.c:109
 msgid "Allow blacklisting"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:210
+#: src/protocol/bittorrent/bittorrent.c:214
 msgid "Allow blacklisting of buggy peers."
 msgstr ""
 
@@ -6994,7 +6990,7 @@ msgstr "~Fitxer"
 msgid "Comment"
 msgstr "documents"
 
-#: src/protocol/bittorrent/dialogs.c:229 src/session/download.c:362
+#: src/protocol/bittorrent/dialogs.c:229 src/session/download.c:388
 #, fuzzy, c-format
 msgid ""
 "Download complete:\n"
@@ -7162,7 +7158,7 @@ msgid_plural "%u unavailable"
 msgstr[0] "Servei d'FTP no disponible"
 msgstr[1] "Servei d'FTP no disponible"
 
-#: src/protocol/bittorrent/dialogs.c:584 src/session/session.c:278
+#: src/protocol/bittorrent/dialogs.c:584 src/session/session.c:279
 #, fuzzy, c-format
 msgid "Unable to retrieve %s"
 msgstr "No ha estat possible escriure en l'arxiu de configuraci"
@@ -7177,7 +7173,7 @@ msgstr ""
 msgid "Information about the torrent"
 msgstr "Descarregar imat~ge"
 
-#: src/protocol/bittorrent/dialogs.c:776 src/session/download.c:1106
+#: src/protocol/bittorrent/dialogs.c:776 src/session/download.c:1132
 msgid "What to do?"
 msgstr "Qu en fem?"
 
@@ -7188,13 +7184,13 @@ msgid "Down~load"
 msgstr "Descarregar"
 
 #. accelerator_context(src/protocol/bittorrent/dialogs.c:bittorrent_query_callback, src/session/download.c:do_type_query)
-#: src/protocol/bittorrent/dialogs.c:804 src/session/download.c:1209
+#: src/protocol/bittorrent/dialogs.c:804 src/session/download.c:1235
 #, fuzzy
 msgid "~Display"
 msgstr "Mostrar"
 
 #. accelerator_context(src/protocol/bittorrent/dialogs.c:bittorrent_query_callback, src/session/download.c:do_type_query)
-#: src/protocol/bittorrent/dialogs.c:808 src/session/download.c:1213
+#: src/protocol/bittorrent/dialogs.c:808 src/session/download.c:1239
 msgid "Show ~header"
 msgstr ""
 
@@ -7212,16 +7208,16 @@ msgstr "No hi ha cap programa especifica
 msgid "Colon separated list of directories, where CGI scripts are stored."
 msgstr ""
 
-#: src/protocol/file/cgi.c:47
+#: src/protocol/file/cgi.c:48
 msgid "Allow local CGI"
 msgstr ""
 
-#: src/protocol/file/cgi.c:49
+#: src/protocol/file/cgi.c:50
 msgid "Whether to execute local CGI scripts."
 msgstr ""
 
 #. name:
-#: src/protocol/file/cgi.c:54
+#: src/protocol/file/cgi.c:55
 msgid "CGI"
 msgstr ""
 
@@ -7240,9 +7236,8 @@ msgstr ""
 
 #: src/protocol/file/file.c:46
 msgid ""
-"Whether to allow reading from non-regular files.\n"
-"Note this can be dangerous; reading /dev/urandom or\n"
-"/dev/zero can ruin your day!"
+"Whether to allow reading from non-regular files. Note this can be dangerous; "
+"reading /dev/urandom or /dev/zero can ruin your day!"
 msgstr ""
 
 #: src/protocol/file/file.c:50
@@ -7251,8 +7246,8 @@ msgstr ""
 
 #: src/protocol/file/file.c:52
 msgid ""
-"When set to false, files with name starting with a dot will be\n"
-"hidden in local directory listings."
+"When set to false, files with name starting with a dot will be hidden in "
+"local directory listings."
 msgstr ""
 
 #: src/protocol/file/file.c:55
@@ -7262,13 +7257,13 @@ msgstr "No hi ha extensions"
 
 #: src/protocol/file/file.c:57
 msgid ""
-"When set, if we can't open a file named 'filename', we'll try\n"
-"to open 'filename' with some encoding extension appended\n"
-"(ie. 'filename.gz'); it depends on the supported encodings."
+"When set, if we can't open a file named 'filename', we'll try to open "
+"'filename' with some encoding extension appended (ie. 'filename.gz'); it "
+"depends on the supported encodings."
 msgstr ""
 
 #. name:
-#: src/protocol/file/file.c:65
+#: src/protocol/file/file.c:66
 #, fuzzy
 msgid "File"
 msgstr "~Fitxer"
@@ -7298,7 +7293,7 @@ msgid "Whether to sort entries in direct
 msgstr ""
 
 #. name:
-#: src/protocol/ftp/ftp.c:56 src/protocol/ftp/ftp.c:86
+#: src/protocol/ftp/ftp.c:56 src/protocol/ftp/ftp.c:89
 msgid "FTP"
 msgstr ""
 
@@ -7306,8 +7301,8 @@ msgstr ""
 msgid "FTP specific options."
 msgstr ""
 
-#: src/protocol/ftp/ftp.c:60 src/protocol/http/http.c:127
-#: src/protocol/http/http.c:209
+#: src/protocol/ftp/ftp.c:60 src/protocol/http/http.c:128
+#: src/protocol/http/http.c:235
 msgid "Proxy configuration"
 msgstr ""
 
@@ -7315,39 +7310,39 @@ msgstr ""
 msgid "FTP proxy configuration."
 msgstr ""
 
-#: src/protocol/ftp/ftp.c:64 src/protocol/http/http.c:131
-#: src/protocol/http/http.c:213
+#: src/protocol/ftp/ftp.c:64 src/protocol/http/http.c:132
+#: src/protocol/http/http.c:239
 #, fuzzy
 msgid "Host and port-number"
 msgstr "Nombre incorrecte"
 
 #: src/protocol/ftp/ftp.c:66
 msgid ""
-"Host and port-number (host:port) of the FTP proxy, or blank.\n"
-"If it's blank, FTP_PROXY environment variable is checked as well."
+"Host and port-number (host:port) of the FTP proxy, or blank. If it's blank, "
+"FTP_PROXY environment variable is checked as well."
 msgstr ""
 
-#: src/protocol/ftp/ftp.c:69
+#: src/protocol/ftp/ftp.c:70
 msgid "Anonymous password"
 msgstr ""
 
-#: src/protocol/ftp/ftp.c:71
+#: src/protocol/ftp/ftp.c:72
 msgid "FTP anonymous password to be sent."
 msgstr ""
 
-#: src/protocol/ftp/ftp.c:73
+#: src/protocol/ftp/ftp.c:74
 msgid "Use passive mode (IPv4)"
 msgstr ""
 
-#: src/protocol/ftp/ftp.c:75
+#: src/protocol/ftp/ftp.c:76
 msgid "Use PASV instead of PORT (passive vs active mode, IPv4 only)."
 msgstr ""
 
-#: src/protocol/ftp/ftp.c:77
+#: src/protocol/ftp/ftp.c:79
 msgid "Use passive mode (IPv6)"
 msgstr ""
 
-#: src/protocol/ftp/ftp.c:79
+#: src/protocol/ftp/ftp.c:81
 msgid "Use EPSV instead of EPRT (passive vs active mode, IPv6 only)."
 msgstr ""
 
@@ -7374,7 +7369,7 @@ msgid ""
 msgstr ""
 
 #. name:
-#: src/protocol/http/http.c:95 src/protocol/http/http.c:223
+#: src/protocol/http/http.c:95 src/protocol/http/http.c:250
 msgid "HTTP"
 msgstr ""
 
@@ -7396,8 +7391,8 @@ msgstr ""
 
 #: src/protocol/http/http.c:106
 msgid ""
-"The Accept-Charset header is quite long and sending it can trigger\n"
-"bugs in some rarely found servers."
+"The Accept-Charset header is quite long and sending it can trigger bugs in "
+"some rarely found servers."
 msgstr ""
 
 #: src/protocol/http/http.c:111
@@ -7410,69 +7405,69 @@ msgstr ""
 
 #: src/protocol/http/http.c:115
 msgid ""
-"Broken 302 redirect (violates RFC but compatible with Netscape).\n"
-"This is a problem for a lot of web discussion boards and the like.\n"
-"If they will do strange things to you, try to play with this."
+"Broken 302 redirect (violates RFC but compatible with Netscape). This is a "
+"problem for a lot of web discussion boards and the like. If they will do "
+"strange things to you, try to play with this."
 msgstr ""
 
-#: src/protocol/http/http.c:119
+#: src/protocol/http/http.c:120
 msgid "No keepalive after POST requests"
 msgstr ""
 
-#: src/protocol/http/http.c:121
+#: src/protocol/http/http.c:122
 msgid "Disable keepalive connection after POST request."
 msgstr ""
 
-#: src/protocol/http/http.c:123
+#: src/protocol/http/http.c:124
 msgid "Use HTTP/1.0"
 msgstr ""
 
-#: src/protocol/http/http.c:125
+#: src/protocol/http/http.c:126
 msgid "Use HTTP/1.0 protocol instead of HTTP/1.1."
 msgstr ""
 
-#: src/protocol/http/http.c:129
+#: src/protocol/http/http.c:130
 msgid "HTTP proxy configuration."
 msgstr ""
 
-#: src/protocol/http/http.c:133
+#: src/protocol/http/http.c:134
 msgid ""
-"Host and port-number (host:port) of the HTTP proxy, or blank.\n"
-"If it's blank, HTTP_PROXY environment variable is checked as well."
+"Host and port-number (host:port) of the HTTP proxy, or blank. If it's blank, "
+"HTTP_PROXY environment variable is checked as well."
 msgstr ""
 
-#: src/protocol/http/http.c:136
+#: src/protocol/http/http.c:138
 #, fuzzy
 msgid "Username"
 msgstr "nom"
 
-#: src/protocol/http/http.c:138
+#: src/protocol/http/http.c:140
 msgid "Proxy authentication username."
 msgstr ""
 
-#: src/protocol/http/http.c:142
+#: src/protocol/http/http.c:144
 msgid "Proxy authentication password."
 msgstr ""
 
-#: src/protocol/http/http.c:145
+#: src/protocol/http/http.c:147
 msgid "Referer sending"
 msgstr ""
 
-#: src/protocol/http/http.c:147
+#: src/protocol/http/http.c:149
 msgid ""
-"HTTP referer sending options. HTTP referer is a special header\n"
-"sent in the HTTP requests, which is supposed to contain the previous\n"
-"page visited by the browser. This way, the server can know what link\n"
-"did you follow when accessing that page. However, this behaviour\n"
-"can unfortunately considerably affect privacy and can lead even to a\n"
-"security problem on some badly designed web pages."
+"HTTP referer sending options. HTTP referer is a special header sent in the "
+"HTTP requests, which is supposed to contain the previous page visited by the "
+"browser.This way, the server can know what link did you follow when "
+"accessing that page. However, this behaviour can unfortunately considerably "
+"affect privacy and can lead even to a security problem on some badly "
+"designed web pages."
 msgstr ""
 
-#: src/protocol/http/http.c:154
+#: src/protocol/http/http.c:157
 msgid "Policy"
 msgstr ""
 
-#: src/protocol/http/http.c:157
+#: src/protocol/http/http.c:160
 msgid ""
 "Mode of sending HTTP referer:\n"
 "0 is send no referer\n"
@@ -7481,90 +7476,110 @@ msgid ""
 "3 is send previous URL as referer (correct, but insecure)"
 msgstr ""
 
-#: src/protocol/http/http.c:163
+#: src/protocol/http/http.c:166
 msgid "Fake referer URL"
 msgstr ""
 
-#: src/protocol/http/http.c:165
+#: src/protocol/http/http.c:168
 msgid "Fake referer to be sent when policy is 2."
 msgstr ""
 
-#: src/protocol/http/http.c:168
+#: src/protocol/http/http.c:171
 msgid "Send Accept-Language header"
 msgstr ""
 
-#: src/protocol/http/http.c:170
+#: src/protocol/http/http.c:173
 msgid "Send Accept-Language header."
 msgstr ""
 
-#: src/protocol/http/http.c:172
+#: src/protocol/http/http.c:175
 msgid "Use UI language as Accept-Language"
 msgstr ""
 
-#: src/protocol/http/http.c:174
+#: src/protocol/http/http.c:177
 msgid ""
-"Request localised versions of documents from web-servers (using the\n"
-"Accept-Language header) using the language you have configured for\n"
-"ELinks' user-interface (this also affects navigator.language ECMAScript\n"
-"value available to scripts). Note that some see this as a potential\n"
-"security risk because it tells web-masters and the FBI sniffers about\n"
-"your language preference."
+"Request localised versions of documents from web-servers (using the Accept-"
+"Language header) using the language you have configured for ELinks' user-"
+"interface (this also affects navigator.language ECMAScript value available "
+"to scripts). Note that some see this as a potential security risk because it "
+"tells web-masters and the FBI sniffers about your language preference."
+msgstr ""
+
+#. After the compression support has been tested enough,
+#. * we might wrap this option in #if CFG_DEBUG.
+#: src/protocol/http/http.c:187
+msgid "Enable on-the-fly compression"
 msgstr ""
 
-#: src/protocol/http/http.c:181
+#: src/protocol/http/http.c:189
+msgid ""
+"If enabled, the capability to receive compressed content (gzip and/or bzip2) "
+"is announced to the server, which usually sends the reply compressed, thus "
+"saving some bandwidth at slight CPU expense.\n"
+"\n"
+"If ELinks displays a incomplete page or garbage, try disabling this option. "
+"If that helps, there may be a bug in the decompression part of ELinks. "
+"Please report such bugs.\n"
+"\n"
+"If ELinks has been compiled without compression support, this option has no "
+"effect. To check the supported features, see Help -> About."
+msgstr ""
+
+#: src/protocol/http/http.c:202
 msgid "Activate HTTP TRACE debugging"
 msgstr ""
 
-#: src/protocol/http/http.c:183
+#: src/protocol/http/http.c:204
 msgid ""
-"If active, all HTTP requests are sent with TRACE as their method\n"
-"rather than GET or POST. This is useful for debugging of both ELinks\n"
-"and various server-side scripts --- the server only returns the client's\n"
-"request back to the client verbatim. Note that this type of request may\n"
-"not be enabled on all servers."
+"If active, all HTTP requests are sent with TRACE as their method rather than "
+"GET or POST. This is useful for debugging of both ELinks and various server-"
+"side scripts --- the server only returns the client's request back to the "
+"client verbatim. Note that this type of request may not be enabled on all "
+"servers."
 msgstr ""
 
 #. OSNews.com is supposed to be relying on the textmode token, at least.
-#: src/protocol/http/http.c:190
+#: src/protocol/http/http.c:212
 msgid "User-agent identification"
 msgstr ""
 
-#: src/protocol/http/http.c:192
+#: src/protocol/http/http.c:214
 msgid ""
-"Change the User Agent ID. That means identification string, which\n"
-"is sent to HTTP server when a document is requested. The 'textmode'\n"
-"token in the first field is our silent attempt to establish this as\n"
-"a standard for new textmode user agents, so that the webmasters can\n"
-"have just a single uniform test for these if they are e.g. pushing\n"
-"some lite version to them automagically.\n"
+"Change the User Agent ID. That means identification string, which is sent to "
+"HTTP server when a document is requested. The 'textmode' token in the first "
+"field is our silent attempt to establish this as a standard for new textmode "
+"user agents, so that the webmasters can have just a single uniform test for "
+"these if they are e.g. pushing some lite version to them automagically.\n"
+"\n"
 "Use \" \" if you don't want any User-Agent header to be sent at all.\n"
+"\n"
 "%v in the string means ELinks version,\n"
 "%s in the string means system identification,\n"
 "%t in the string means size of the terminal,\n"
 "%b in the string means number of bars displayed by ELinks."
 msgstr ""
 
-#: src/protocol/http/http.c:205
+#: src/protocol/http/http.c:231
 msgid "HTTPS"
 msgstr ""
 
-#: src/protocol/http/http.c:207
+#: src/protocol/http/http.c:233
 #, fuzzy
 msgid "HTTPS-specific options."
 msgstr "No hi ha cap programa especificat per a"
 
-#: src/protocol/http/http.c:211
+#: src/protocol/http/http.c:237
 msgid "HTTPS proxy configuration."
 msgstr ""
 
-#: src/protocol/http/http.c:215
+#: src/protocol/http/http.c:241
 msgid ""
-"Host and port-number (host:port) of the HTTPS CONNECT proxy, or blank.\n"
-"If it's blank, HTTPS_PROXY environment variable is checked as well."
+"Host and port-number (host:port) of the HTTPS CONNECT proxy, or blank. If "
+"it's blank, HTTPS_PROXY environment variable is checked as well."
 msgstr ""
 
 #. name:
-#: src/protocol/nntp/nntp.c:32 src/protocol/nntp/nntp.c:65
+#: src/protocol/nntp/nntp.c:32 src/protocol/nntp/nntp.c:66
 msgid "NNTP"
 msgstr ""
 
@@ -7579,19 +7594,19 @@ msgstr ""
 
 #: src/protocol/nntp/nntp.c:38
 msgid ""
-"Used when resolving news: URIs. If set to the empty string\n"
-"the value of the NNTPSERVER environment variable will be used."
+"Used when resolving news: URIs. If set to the empty string the value of the "
+"NNTPSERVER environment variable will be used."
 msgstr ""
 
-#: src/protocol/nntp/nntp.c:41
+#: src/protocol/nntp/nntp.c:42
 msgid "Message header entries"
 msgstr ""
 
-#: src/protocol/nntp/nntp.c:43
+#: src/protocol/nntp/nntp.c:44
 msgid ""
-"Comma separated list of which entries in the article header\n"
-"to show. E.g. 'Subject' and 'From'.\n"
-"All header entries can be read in the header info dialog."
+"Comma separated list of which entries in the article header to show. E.g. "
+"'Subject' and 'From'. All header entries can be read in the header info "
+"dialog."
 msgstr ""
 
 #: src/protocol/protocol.c:242
@@ -7613,10 +7628,9 @@ msgstr ""
 
 #: src/protocol/protocol.c:279
 msgid ""
-"Comma separated list of domains for which the proxy (HTTP/FTP)\n"
-"should be disabled. Optionally, a port can be specified for some\n"
-"domains as well. If it's blank, NO_PROXY environment variable is\n"
-"checked as well."
+"Comma separated list of domains for which the proxy (HTTP/FTP) should be "
+"disabled. Optionally, a port can be specified for some domains as well. If "
+"it's blank, NO_PROXY environment variable is checked as well."
 msgstr ""
 
 #. name:
@@ -7630,47 +7644,45 @@ msgstr ""
 
 #: src/protocol/rewrite/rewrite.c:46
 msgid ""
-"Rules for rewriting URIs entered in the goto dialog.\n"
-"It makes it possible to define a set of prefixes that will\n"
-"be expanded if they match a string entered in the goto dialog.\n"
-"The prefixes can be dumb, meaning that they work only like\n"
-"URI abbreviations, or smart ones, making it possible to pass\n"
+"Rules for rewriting URIs entered in the goto dialog. It makes it possible to "
+"define a set of prefixes that will be expanded if they match a string "
+"entered in the goto dialog. The prefixes can be dumb, meaning that they work "
+"only like URI abbreviations, or smart ones, making it possible to pass "
 "arguments to them like search engine keywords."
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:53
+#: src/protocol/rewrite/rewrite.c:54
 msgid "Enable dumb prefixes"
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:55
+#: src/protocol/rewrite/rewrite.c:56
 msgid ""
-"Enable dumb prefixes - simple URI abbreviations which can\n"
-"be written to the Goto URL dialog instead of actual URIs - i.e.\n"
-"if you write 'elinks' there, you are directed to\n"
-"http://elinks.cz/."
+"Enable dumb prefixes - simple URI abbreviations which can be written to the "
+"Goto URL dialog instead of actual URIs - i.e. if you write 'elinks' there, "
+"you are directed to http://elinks.cz/."
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:60
+#: src/protocol/rewrite/rewrite.c:61
 msgid "Enable smart prefixes"
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:62
+#: src/protocol/rewrite/rewrite.c:63
 msgid ""
-"Enable smart prefixes - URI templates triggered by writing\n"
-"given abbreviation to the Goto URL dialog followed by a list\n"
-"of arguments from which the actual URI is composed - i.e.\n"
-"'gg:search keywords' or 'gn search keywords for news'."
+"Enable smart prefixes - URI templates triggered by writing given "
+"abbreviation to the Goto URL dialog followed by a list of arguments from "
+"which the actual URI is composed - i.e. 'gg:search keywords' or 'gn search "
+"keywords for news'."
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:67
+#: src/protocol/rewrite/rewrite.c:69
 msgid "Dumb Prefixes"
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:69
+#: src/protocol/rewrite/rewrite.c:71
 msgid "Dumb prefixes, see enable-dumb description for details."
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:74
+#: src/protocol/rewrite/rewrite.c:76
 #, no-c-format
 msgid ""
 "Replacement URI for this dumbprefix:\n"
@@ -7678,15 +7690,15 @@ msgid ""
 "%% in the string means '%'"
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:78
+#: src/protocol/rewrite/rewrite.c:80
 msgid "Smart Prefixes"
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:80
+#: src/protocol/rewrite/rewrite.c:82
 msgid "Smart prefixes, see enable-smart description for details."
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:87
+#: src/protocol/rewrite/rewrite.c:90
 #, no-c-format
 msgid ""
 "Replacement URI for this smartprefix:\n"
@@ -7696,27 +7708,29 @@ msgid ""
 "%% in the string means '%'"
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:93
+#: src/protocol/rewrite/rewrite.c:96
 #, fuzzy
 msgid "Default template"
 msgstr "Memria cau (documents)"
 
-#: src/protocol/rewrite/rewrite.c:96
+#: src/protocol/rewrite/rewrite.c:99
 #, no-c-format
 msgid ""
-"Default URI template used when the string entered in\n"
-"the goto dialog does not appear to be a URI or a filename\n"
-"(i.e. contains no '.', ':' or '/' characters), and does\n"
-"not match any defined prefixes. Set the value to \"\" to\n"
-"disable use of the default template rewrite rule.\n"
+"Default URI template used when the string entered in the goto dialog does "
+"not appear to be a URI or a filename (i.e. contains no '.', ':' or '/' "
+"characters), and does not match any defined prefixes. Set the value to \"\" "
+"to disable use of the default template rewrite rule.\n"
+"\n"
 "%c in the template means the current URL,\n"
-"%s in the template means the whole string from the goto dialog,\n"
-"%0,%1,...,%9 mean the 1st,2nd,...,10th space-delimited part of %s,\n"
+"%s in the template means the whole string from the goto\n"
+"   dialog,\n"
+"%0,%1,...,%9 mean the 1st,2nd,...,10th space-delimited part\n"
+"   of %s,\n"
 "%% in the template means '%'."
 msgstr ""
 
 #. name:
-#: src/protocol/rewrite/rewrite.c:372
+#: src/protocol/rewrite/rewrite.c:378
 msgid "URI rewrite"
 msgstr ""
 
@@ -7739,24 +7753,23 @@ msgid "Credentials file passed to smbcli
 msgstr ""
 
 #. name:
-#: src/protocol/user.c:34 src/protocol/user.c:84
+#: src/protocol/user.c:34 src/protocol/user.c:85
 msgid "User protocols"
 msgstr ""
 
 #: src/protocol/user.c:36
 msgid ""
-"User protocols. Options in this tree specify external\n"
-"handlers for the appropriate protocols. Ie.\n"
-"protocol.user.mailto.unix."
+"User protocols. Options in this tree specify external handlers for the "
+"appropriate protocols. Ie. protocol.user.mailto.unix."
 msgstr ""
 
 #: src/protocol/user.c:47
 msgid ""
-"Handler (external program) for this protocol. Name the\n"
-"options in this tree after your system (ie. unix, unix-xwin)."
+"Handler (external program) for this protocol. Name the options in this tree "
+"after your system (ie. unix, unix-xwin)."
 msgstr ""
 
-#: src/protocol/user.c:52
+#: src/protocol/user.c:53
 msgid ""
 "Handler (external program) for this protocol and system.\n"
 "%f in the string means file name to include form data from\n"
@@ -7767,11 +7780,11 @@ msgid ""
 "%u in the string means the whole URL"
 msgstr ""
 
-#: src/protocol/user.c:276
+#: src/protocol/user.c:277
 msgid "No program"
 msgstr "Cap programa"
 
-#: src/protocol/user.c:278
+#: src/protocol/user.c:279
 #, fuzzy, c-format
 msgid "No program specified for protocol %s."
 msgstr "No hi ha cap programa especificat per a"
@@ -7855,19 +7868,19 @@ msgstr ""
 msgid "Spidermonkey ECMAScript"
 msgstr ""
 
-#: src/session/download.c:233 src/session/download.c:330
-#: src/session/download.c:561 src/session/download.c:649
+#: src/session/download.c:256 src/session/download.c:356
+#: src/session/download.c:587 src/session/download.c:675
 msgid "Download error"
 msgstr "Error de descrrega"
 
-#: src/session/download.c:234 src/session/download.c:650
+#: src/session/download.c:257 src/session/download.c:676
 #, fuzzy, c-format
 msgid ""
 "Could not create file '%s':\n"
 "%s"
 msgstr "No s'ha pogut crear el fitxer"
 
-#: src/session/download.c:331
+#: src/session/download.c:357
 #, fuzzy, c-format
 msgid ""
 "Error downloading %s:\n"
@@ -7875,17 +7888,17 @@ msgid ""
 "%s"
 msgstr "Error mentre descarregava"
 
-#: src/session/download.c:562
+#: src/session/download.c:588
 #, c-format
 msgid "'%s' is a directory."
 msgstr ""
 
-#: src/session/download.c:596
+#: src/session/download.c:622
 #, fuzzy
 msgid "File exists"
 msgstr "~Extensions de fitxers"
 
-#: src/session/download.c:597
+#: src/session/download.c:623
 #, c-format
 msgid ""
 "This file already exists:\n"
@@ -7896,51 +7909,51 @@ msgid ""
 msgstr ""
 
 #. accelerator_context(src/session/download.c:lookup_unique_name)
-#: src/session/download.c:604
+#: src/session/download.c:630
 msgid "Sa~ve under the alternative name"
 msgstr ""
 
 #. accelerator_context(src/session/download.c:lookup_unique_name)
-#: src/session/download.c:605
+#: src/session/download.c:631
 msgid "~Overwrite the original file"
 msgstr ""
 
 #. accelerator_context(src/session/download.c:lookup_unique_name)
-#: src/session/download.c:606
+#: src/session/download.c:632
 msgid "~Resume download of the original file"
 msgstr ""
 
-#: src/session/download.c:1109
+#: src/session/download.c:1135
 msgid "Unknown type"
 msgstr "Tipus desconegut"
 
-#: src/session/download.c:1134
+#: src/session/download.c:1160
 #, c-format
 msgid "What would you like to do with the file '%s' (type: %s%s%s)?"
 msgstr ""
 
-#: src/session/download.c:1137
+#: src/session/download.c:1163
 #, c-format
 msgid "What would you like to do with the file (type: %s%s%s)?"
 msgstr ""
 
-#: src/session/download.c:1165
+#: src/session/download.c:1191
 #, no-c-format
 msgid "Program ('%' will be replaced by the filename)"
 msgstr ""
 
-#: src/session/download.c:1169
+#: src/session/download.c:1195
 #, fuzzy
 msgid "Block the terminal"
 msgstr "Terminal ~BeOS"
 
-#: src/session/download.c:1175
+#: src/session/download.c:1201
 #, c-format
 msgid "The file will be opened with the program '%s'."
 msgstr ""
 
 #. accelerator_context(src/session/download.c:do_type_query)
-#: src/session/download.c:1196
+#: src/session/download.c:1222
 #, fuzzy
 msgid "~Open"
 msgstr "Obrir"
@@ -7949,12 +7962,12 @@ msgstr "Obrir"
 #. * and formatting it with "%u" is safe,
 #. * because fc_maxlength is smaller than
 #. * file.length, which is an int.
-#: src/session/session.c:761 src/session/session.c:780 src/session/task.c:275
-#: src/viewer/text/textarea.c:652
+#: src/session/session.c:771 src/session/session.c:790 src/session/task.c:275
+#: src/viewer/text/textarea.c:641
 msgid "Warning"
 msgstr "Alerta"
 
-#: src/session/session.c:762
+#: src/session/session.c:772
 msgid ""
 "You have an empty string in protocol.http.user_agent - this was a default "
 "value in the past, substituted by default ELinks User-Agent string. However, "
@@ -7965,7 +7978,7 @@ msgid ""
 "will be used. Apologies for any inconvience caused."
 msgstr ""
 
-#: src/session/session.c:781
+#: src/session/session.c:791
 msgid ""
 "You have option config.saving_style set to a de facto obsolete value. The "
 "configuration saving algorithms of ELinks were changed from the last time "
@@ -7978,11 +7991,11 @@ msgid ""
 "caused."
 msgstr ""
 
-#: src/session/session.c:806
+#: src/session/session.c:816
 msgid "Welcome"
 msgstr "Benvingut/da"
 
-#: src/session/session.c:807
+#: src/session/session.c:817
 #, fuzzy
 msgid ""
 "Welcome to ELinks!\n"
@@ -8033,22 +8046,22 @@ msgstr ""
 msgid "Warning: terminal name contains illicit chars."
 msgstr ""
 
-#: src/terminal/event.c:259
+#: src/terminal/event.c:258
 #, c-format
 msgid "Failed to create session."
 msgstr ""
 
-#: src/terminal/event.c:446
+#: src/terminal/event.c:443
 #, c-format
 msgid "Bad event %d"
 msgstr ""
 
-#: src/terminal/event.c:486
+#: src/terminal/event.c:483
 #, fuzzy, c-format
 msgid "Could not read event: %d (%s)"
 msgstr "No s'ha pogut crear el fitxer"
 
-#: src/terminal/kbd.c:1187
+#: src/terminal/kbd.c:1210
 #, c-format
 msgid "Too many bytes read from the itrm!"
 msgstr ""
@@ -8127,207 +8140,207 @@ msgstr "Sense marcs"
 msgid "The requested fragment \"%s\" doesn't exist."
 msgstr ""
 
-#: src/viewer/text/form.c:1092
+#: src/viewer/text/form.c:1118
 msgid "Error while posting form"
 msgstr "Error durant la tramesa del formulari"
 
-#: src/viewer/text/form.c:1093
+#: src/viewer/text/form.c:1119
 #, fuzzy, c-format
 msgid "Could not load file %s: %s"
 msgstr "No ha estat possible obtenir el fitxer"
 
-#: src/viewer/text/form.c:1847
+#: src/viewer/text/form.c:1876
 #, fuzzy
 msgid "Reset form"
 msgstr "~Refer formulari"
 
-#: src/viewer/text/form.c:1849
+#: src/viewer/text/form.c:1878
 msgid "Harmless button"
 msgstr ""
 
-#: src/viewer/text/form.c:1857
+#: src/viewer/text/form.c:1886
 msgid "Submit form to"
 msgstr "Enviar formulari a"
 
-#: src/viewer/text/form.c:1858
+#: src/viewer/text/form.c:1887
 msgid "Post form to"
 msgstr "Enviar (per correu) formulari a"
 
-#: src/viewer/text/form.c:1860
+#: src/viewer/text/form.c:1889
 msgid "Radio button"
 msgstr "Bot excloent"
 
-#: src/viewer/text/form.c:1864
+#: src/viewer/text/form.c:1893
 msgid "Select field"
 msgstr "Llista"
 
-#: src/viewer/text/form.c:1868
+#: src/viewer/text/form.c:1897
 msgid "Text area"
 msgstr "rea de text"
 
-#: src/viewer/text/form.c:1870
+#: src/viewer/text/form.c:1899
 msgid "File upload"
 msgstr "Trametre fitxer"
 
-#: src/viewer/text/form.c:1872
+#: src/viewer/text/form.c:1901
 msgid "Password field"
 msgstr "Camp de contrasenya"
 
-#: src/viewer/text/form.c:1910
+#: src/viewer/text/form.c:1939
 msgid "name"
 msgstr "nom"
 
-#: src/viewer/text/form.c:1922
+#: src/viewer/text/form.c:1951
 msgid "value"
 msgstr "valor"
 
-#: src/viewer/text/form.c:1935
+#: src/viewer/text/form.c:1964
 msgid "read only"
 msgstr ""
 
-#: src/viewer/text/form.c:1946
+#: src/viewer/text/form.c:1975
 #, c-format
 msgid "press %s to navigate"
 msgstr ""
 
-#: src/viewer/text/form.c:1948
+#: src/viewer/text/form.c:1977
 #, c-format
 msgid "press %s to edit"
 msgstr ""
 
-#: src/viewer/text/form.c:1984
+#: src/viewer/text/form.c:2013
 #, fuzzy, c-format
 msgid "press %s to submit to %s"
 msgstr "presentar a"
 
-#: src/viewer/text/form.c:1986
+#: src/viewer/text/form.c:2015
 #, fuzzy, c-format
 msgid "press %s to post to %s"
 msgstr "presentar a"
 
-#: src/viewer/text/form.c:2088
+#: src/viewer/text/form.c:2117
 msgid "Useless button"
 msgstr ""
 
-#: src/viewer/text/form.c:2090
+#: src/viewer/text/form.c:2119
 #, fuzzy
 msgid "Submit button"
 msgstr "Enviar formulari a"
 
 #. accelerator_context(link_menu.map)
-#: src/viewer/text/link.c:1281
+#: src/viewer/text/link.c:1280
 msgid "Display ~usemap"
 msgstr "Mostrar ~usemap"
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1286
+#: src/viewer/text/link.c:1285
 msgid "~Follow link"
 msgstr "Seguir enlla"
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1288
+#: src/viewer/text/link.c:1287
 msgid "Follow link and r~eload"
 msgstr ""
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1292
+#: src/viewer/text/link.c:1291
 msgid "Open in new ~window"
 msgstr "Obrir en una finestra nova"
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1294
+#: src/viewer/text/link.c:1293
 #, fuzzy
 msgid "Open in new ~tab"
 msgstr "Obrir en una finestra nova"
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1296
+#: src/viewer/text/link.c:1295
 #, fuzzy
 msgid "Open in new tab in ~background"
 msgstr "Segon pla"
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1301
+#: src/viewer/text/link.c:1300
 msgid "~Download link"
 msgstr "~Descarregar l'enlla"
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1304
+#: src/viewer/text/link.c:1303
 msgid "~Add link to bookmarks"
 msgstr ""
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1308
+#: src/viewer/text/link.c:1307
 msgid "Pass link URI to e~xternal command"
 msgstr ""
 
 #. accelerator_context(link_menu.form, link_menu.reset, link_menu.textarea)
-#: src/viewer/text/link.c:1319 src/viewer/text/link.c:1359
+#: src/viewer/text/link.c:1318 src/viewer/text/link.c:1358
 msgid "~Reset form"
 msgstr "~Refer formulari"
 
 #. accelerator_context(link_menu.textarea)
-#: src/viewer/text/link.c:1334
+#: src/viewer/text/link.c:1333
 msgid "Open in ~external editor"
 msgstr ""
 
 #. accelerator_context(link_menu.form, link_menu.textarea)
-#: src/viewer/text/link.c:1342
+#: src/viewer/text/link.c:1341
 msgid "~Submit form"
 msgstr "Enviar formulari"
 
 #. accelerator_context(link_menu.form, link_menu.textarea)
-#: src/viewer/text/link.c:1343
+#: src/viewer/text/link.c:1342
 msgid "Submit form and rel~oad"
 msgstr ""
 
 #. accelerator_context(link_menu.form, link_menu.textarea)
-#: src/viewer/text/link.c:1347
+#: src/viewer/text/link.c:1346
 msgid "Submit form and open in new ~window"
 msgstr ""
 
 #. accelerator_context(link_menu.form, link_menu.textarea)
-#: src/viewer/text/link.c:1349
+#: src/viewer/text/link.c:1348
 #, fuzzy
 msgid "Submit form and open in new ~tab"
 msgstr "Trametre formulari i ~descarregar"
 
 #. accelerator_context(link_menu.form, link_menu.textarea)
-#: src/viewer/text/link.c:1352
+#: src/viewer/text/link.c:1351
 #, fuzzy
 msgid "Submit form and open in new tab in ~background"
 msgstr "Segon pla"
 
 #. accelerator_context(link_menu.form, link_menu.textarea)
-#: src/viewer/text/link.c:1357
+#: src/viewer/text/link.c:1356
 msgid "Submit form and ~download"
 msgstr "Trametre formulari i ~descarregar"
 
 #. accelerator_context(link_menu.form, link_menu.reset, link_menu.textarea)
-#: src/viewer/text/link.c:1364
+#: src/viewer/text/link.c:1363
 #, fuzzy
 msgid "Form f~ields"
 msgstr "Camp de contrasenya"
 
 #. accelerator_context(link_menu.form, link_menu.map, link_menu.std)
-#: src/viewer/text/link.c:1371
+#: src/viewer/text/link.c:1370
 msgid "V~iew image"
 msgstr "Veure ~imatge"
 
 #. accelerator_context(link_menu.form, link_menu.map, link_menu.std)
-#: src/viewer/text/link.c:1373
+#: src/viewer/text/link.c:1372
 msgid "Download ima~ge"
 msgstr "Descarregar imat~ge"
 
-#: src/viewer/text/link.c:1382
+#: src/viewer/text/link.c:1381
 msgid "No link selected"
 msgstr "No heu seleccionat cap link"
 
-#: src/viewer/text/link.c:1452
+#: src/viewer/text/link.c:1451
 msgid "Image"
 msgstr "Imatge"
 
-#: src/viewer/text/link.c:1457
+#: src/viewer/text/link.c:1456
 msgid "Usemap"
 msgstr "Usemap"
 
@@ -8336,86 +8349,86 @@ msgstr "Usemap"
 msgid "Marks"
 msgstr ""
 
-#: src/viewer/text/search.c:1083
+#: src/viewer/text/search.c:1099
 msgid "Search hit top, continuing at bottom."
 msgstr ""
 
-#: src/viewer/text/search.c:1084
+#: src/viewer/text/search.c:1100
 msgid "Search hit bottom, continuing at top."
 msgstr ""
 
-#: src/viewer/text/search.c:1087
+#: src/viewer/text/search.c:1103
 msgid "No previous search"
 msgstr "No hi ha recerca prvia"
 
-#: src/viewer/text/search.c:1099
+#: src/viewer/text/search.c:1115
 #, c-format
 msgid "Could not compile regular expression '%s'"
 msgstr ""
 
-#: src/viewer/text/search.c:1143
+#: src/viewer/text/search.c:1159
 #, c-format
 msgid "No further matches for '%s'."
 msgstr ""
 
-#: src/viewer/text/search.c:1145
+#: src/viewer/text/search.c:1161
 #, c-format
 msgid "Could not find a link with the text '%s'."
 msgstr ""
 
-#: src/viewer/text/search.c:1147 src/viewer/text/search.c:1558
+#: src/viewer/text/search.c:1163 src/viewer/text/search.c:1576
 msgid "Typeahead"
 msgstr ""
 
-#: src/viewer/text/search.c:1560
+#: src/viewer/text/search.c:1578
 #, c-format
 msgid "No links in current document"
 msgstr ""
 
-#: src/viewer/text/search.c:1643
+#: src/viewer/text/search.c:1661
 msgid "Search for text"
 msgstr "Cercar text"
 
-#: src/viewer/text/search.c:1679
+#: src/viewer/text/search.c:1697
 #, fuzzy
 msgid "Normal search"
 msgstr "No hi ha recerca prvia"
 
-#: src/viewer/text/search.c:1680
+#: src/viewer/text/search.c:1698
 msgid "Regexp search"
 msgstr ""
 
-#: src/viewer/text/search.c:1681
+#: src/viewer/text/search.c:1699
 msgid "Extended regexp search"
 msgstr ""
 
-#: src/viewer/text/search.c:1683
+#: src/viewer/text/search.c:1701
 msgid "Case sensitive"
 msgstr ""
 
-#: src/viewer/text/search.c:1684
+#: src/viewer/text/search.c:1702
 msgid "Case insensitive"
 msgstr ""
 
-#: src/viewer/text/search.c:1708
+#: src/viewer/text/search.c:1726
 msgid "Search backward"
 msgstr "Cercar enrere"
 
 #. name:
-#: src/viewer/text/search.c:1747
+#: src/viewer/text/search.c:1765
 #, fuzzy
 msgid "Search History"
 msgstr "Memria exhaurida"
 
-#: src/viewer/text/textarea.c:595
+#: src/viewer/text/textarea.c:584
 msgid "You cannot launch an external editor in the anonymous mode."
 msgstr ""
 
-#: src/viewer/text/textarea.c:602
+#: src/viewer/text/textarea.c:591
 msgid "You can do this only on the master terminal"
 msgstr ""
 
-#: src/viewer/text/textarea.c:655
+#: src/viewer/text/textarea.c:644
 #, c-format
 msgid ""
 "You have exceeded the textarea's size limit: your input is %d bytes, but the "
@@ -8433,11 +8446,11 @@ msgstr "Anar a l'enlla"
 msgid "Enter link number"
 msgstr "Introduu nmero d'enlla"
 
-#: src/viewer/text/view.c:1627
+#: src/viewer/text/view.c:1628
 msgid "Save error"
 msgstr "Error mentre desava"
 
-#: src/viewer/text/view.c:1628
+#: src/viewer/text/view.c:1629
 msgid "Error writing to file"
 msgstr "Error mentre escrivia el fitxer"
 
Binary files 0.12~pre2.dfsg0-1/po/cs.gmo and 0.12~pre4-1/po/cs.gmo differ
diff -pruN 0.12~pre2.dfsg0-1/po/cs.po 0.12~pre4-1/po/cs.po
--- 0.12~pre2.dfsg0-1/po/cs.po	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/po/cs.po	2009-05-31 09:48:47.000000000 +0100
@@ -6,7 +6,7 @@ msgid ""
 msgstr ""
 "Project-Id-Version: ELinks 0.5pre0.CVS\n"
 "Report-Msgid-Bugs-To: elinks-users@linuxfromscratch.org\n"
-"POT-Creation-Date: 2008-09-21 11:13+0300\n"
+"POT-Creation-Date: 2009-05-31 01:57+0300\n"
 "PO-Revision-Date: 2005-01-04 00:42+0100\n"
 "Last-Translator: Petr Baudis <pasky@ucw.cz>\n"
 "Language-Team: Czech <translation-team-cs@lists.souceforge.net>\n"
@@ -37,7 +37,7 @@ msgstr "Zmkni mezeru, jestli chce tuh
 #: src/mime/dialogs.c:132 src/protocol/auth/dialogs.c:115
 #: src/protocol/protocol.c:246 src/scripting/lua/core.c:399
 #: src/scripting/lua/core.c:480 src/scripting/python/dialogs.c:86
-#: src/session/session.c:811 src/viewer/text/search.c:1686
+#: src/session/session.c:821 src/viewer/text/search.c:1704
 #, fuzzy
 msgid "~OK"
 msgstr "OK"
@@ -55,13 +55,13 @@ msgid "Sorry, but the item \"%s\" is bei
 msgstr "Bohuel s polokou \"%s\" prv pracuje nco jinho."
 
 #. cant_delete_folder
-#: src/bfu/hierbox.c:558 src/bookmarks/dialogs.c:121
+#: src/bfu/hierbox.c:558 src/bookmarks/dialogs.c:153
 #, c-format
 msgid "Sorry, but the folder \"%s\" cannot be deleted."
 msgstr "Bohuel sloku \"%s\" nelze smazat."
 
 #. cant_delete_used_folder
-#: src/bfu/hierbox.c:561 src/bookmarks/dialogs.c:123
+#: src/bfu/hierbox.c:561 src/bookmarks/dialogs.c:155
 #, c-format
 msgid "Sorry, but the folder \"%s\" is being used by something else."
 msgstr "Bohuel se slokou \"%s\" prv pracuje nco jinho."
@@ -77,7 +77,7 @@ msgid "Delete marked items?"
 msgstr "Smazat oznaen poloky?"
 
 #. delete_folder_title
-#: src/bfu/hierbox.c:570 src/bookmarks/dialogs.c:129
+#: src/bfu/hierbox.c:570 src/bookmarks/dialogs.c:161
 msgid "Delete folder"
 msgstr "Smazat sloku"
 
@@ -136,13 +136,13 @@ msgstr "Ano"
 msgid "~No"
 msgstr "Ne"
 
-#: src/bfu/hierbox.c:945 src/bfu/hierbox.c:976 src/viewer/text/search.c:1090
-#: src/viewer/text/search.c:1098 src/viewer/text/search.c:1114
-#: src/viewer/text/search.c:1705
+#: src/bfu/hierbox.c:945 src/bfu/hierbox.c:976 src/viewer/text/search.c:1106
+#: src/viewer/text/search.c:1114 src/viewer/text/search.c:1130
+#: src/viewer/text/search.c:1723
 msgid "Search"
 msgstr "Hledat"
 
-#: src/bfu/hierbox.c:947 src/viewer/text/search.c:1091
+#: src/bfu/hierbox.c:947 src/viewer/text/search.c:1107
 #, c-format
 msgid "Search string '%s' not found"
 msgstr "Nenael jsem etzec '%s'"
@@ -181,8 +181,8 @@ msgstr "Napi tam nco"
 #: src/dialogs/options.c:237 src/dialogs/options.c:316 src/mime/dialogs.c:133
 #: src/protocol/auth/dialogs.c:116 src/protocol/bittorrent/dialogs.c:814
 #: src/scripting/lua/core.c:400 src/scripting/lua/core.c:481
-#: src/session/download.c:607 src/session/download.c:1219
-#: src/viewer/text/search.c:1687
+#: src/session/download.c:633 src/session/download.c:1245
+#: src/viewer/text/search.c:1705
 #, fuzzy
 msgid "~Cancel"
 msgstr "Zruit"
@@ -195,8 +195,8 @@ msgstr "Hodiny"
 msgid "Digital clock in the status bar."
 msgstr "Digitln hodiny na stavov lit."
 
-#: src/bfu/leds.c:77 src/bfu/leds.c:94 src/config/options.inc:1199
-#: src/config/options.inc:1206 src/ecmascript/ecmascript.c:45
+#: src/bfu/leds.c:77 src/bfu/leds.c:94 src/config/options.inc:1272
+#: src/config/options.inc:1279 src/ecmascript/ecmascript.c:45
 #: src/globhist/globhist.c:64 src/mime/backend/mailcap.c:93
 #: src/mime/backend/mimetypes.c:52 src/network/ssl/ssl.c:81
 msgid "Enable"
@@ -212,8 +212,7 @@ msgstr "Formt"
 
 #: src/bfu/leds.c:83
 msgid ""
-"Format string for the digital clock. See the strftime(3)\n"
-"manpage for details."
+"Format string for the digital clock. See the strftime(3) manpage for details."
 msgstr ""
 
 #: src/bfu/leds.c:90
@@ -225,9 +224,9 @@ msgid "LEDs (visual indicators) options.
 msgstr "Nastaven LEDovek (vizulnch indiktor)"
 
 #: src/bfu/leds.c:96
+#, fuzzy
 msgid ""
-"Enable LEDs.\n"
-"These visual indicators will inform you about various states."
+"Enable LEDs. These visual indicators will inform you about various states."
 msgstr ""
 "Zapnout LEDky.\n"
 "Tyto vizuln indiktory mou informovat o rznch stavech... neho."
@@ -258,18 +257,18 @@ msgstr ""
 msgid "Search menu/"
 msgstr "Vyhledvn v menu/"
 
-#: src/bookmarks/backend/xbel.c:97
+#: src/bookmarks/backend/xbel.c:105
 #, c-format
 msgid "read_bookmarks_xbel(): Error in XML_ParserCreate()"
 msgstr "read_bookmarks_xbel(): Chyba v XML_ParserCreate()"
 
-#: src/bookmarks/backend/xbel.c:108
+#: src/bookmarks/backend/xbel.c:116
 #, c-format
 msgid "read_bookmarks_xbel(): Error reading %s"
 msgstr "read_bookmarks_xbel(): Chyba pi natn %s"
 
 #  This translation was based on idea by Jakub Suchy.
-#: src/bookmarks/backend/xbel.c:116
+#: src/bookmarks/backend/xbel.c:124
 #, c-format
 msgid ""
 "Parse error while processing XBEL bookmarks in %s at line %d column %d:\n"
@@ -278,16 +277,16 @@ msgstr ""
 "Chyba syntaxe v souboru XBEL zloek %s na dku %d ve sloupci %d:\n"
 "%s"
 
-#: src/bookmarks/backend/xbel.c:390 src/bookmarks/backend/xbel.c:411
+#: src/bookmarks/backend/xbel.c:388 src/bookmarks/backend/xbel.c:410
 msgid "No title"
 msgstr "Bez nzvu"
 
-#: src/bookmarks/backend/xbel.c:396
+#: src/bookmarks/backend/xbel.c:394
 msgid "No URL"
 msgstr "dn URL"
 
 #. name:
-#: src/bookmarks/bookmarks.c:48 src/bookmarks/bookmarks.c:181
+#: src/bookmarks/bookmarks.c:48 src/bookmarks/bookmarks.c:183
 msgid "Bookmarks"
 msgstr "Bookmarky"
 
@@ -295,7 +294,7 @@ msgstr "Bookmarky"
 msgid "Bookmark options."
 msgstr "Nastaven bookmark."
 
-#: src/bookmarks/bookmarks.c:53 src/bookmarks/bookmarks.c:59
+#: src/bookmarks/bookmarks.c:53 src/bookmarks/bookmarks.c:60
 msgid "File format"
 msgstr "Formt souboru"
 
@@ -304,59 +303,55 @@ msgstr "Formt souboru"
 msgid ""
 "File format for bookmarks (affects both reading and saving):\n"
 "0 is the default native ELinks format\n"
-"1 is XBEL universal XML bookmarks format (ELinks bug 153: NO NATIONAL CHARS "
-"SUPPORT!)"
+"1 is XBEL universal XML bookmarks format"
 msgstr ""
 "Formt souboru s bookmarky (ovlivuje natn i ukldn):\n"
 "0 je defaultn ELinksov formt\n"
 "1 is univerzln formt zaloen na XML, XBEL (BEZ PODPORY DIAKRITIKY!)"
 
-#: src/bookmarks/bookmarks.c:61
+#: src/bookmarks/bookmarks.c:62
 #, fuzzy
 msgid ""
 "File format for bookmarks (affects both reading and saving):\n"
 "0 is the default native ELinks format\n"
-"1 is XBEL universal XML bookmarks format (ELinks bug 153: NO NATIONAL CHARS "
-"SUPPORT!)  (DISABLED)"
+"1 is XBEL universal XML bookmarks format  (DISABLED)"
 msgstr ""
 "Formt souboru s bookmarky (ovlivuje natn i ukldn):\n"
 "0 znamen defaultn ELinksov formt\n"
 "1 znamen univerzln formt zaloen na XML, XBEL (BEZ PODPORY DIAKRITIKY!) "
 "(MIMO PROVOZ)"
 
-#: src/bookmarks/bookmarks.c:67
+#: src/bookmarks/bookmarks.c:68
 #, fuzzy
 msgid "Save folder state"
 msgstr "Napi nzev sloky"
 
-#: src/bookmarks/bookmarks.c:69
+#: src/bookmarks/bookmarks.c:70
 msgid ""
-"When saving bookmarks also store whether folders are\n"
-"expanded or not, so the look of the bookmark dialog is\n"
-"kept across ELinks sessions. If disabled all folders will\n"
-"appear unexpanded next time ELinks is run."
+"When saving bookmarks also store whether folders are expanded or not, so the "
+"look of the bookmark dialog is kept across ELinks sessions. If disabled all "
+"folders will appear unexpanded next time ELinks is run."
 msgstr ""
 
-#: src/bookmarks/bookmarks.c:74
+#: src/bookmarks/bookmarks.c:75
 msgid "Periodic snapshotting"
 msgstr ""
 
-#: src/bookmarks/bookmarks.c:76
+#: src/bookmarks/bookmarks.c:77
 msgid ""
-"Automatically save a snapshot of all tabs periodically.\n"
-"This will periodically bookmark the tabs of each terminal in a separate "
-"folder\n"
-"for recovery after a crash.\n"
+"Automatically save a snapshot of all tabs periodically. This will "
+"periodically bookmark the tabs of each terminal in a separate folder for "
+"recovery after a crash.\n"
 "\n"
 "This feature requires bookmark support."
 msgstr ""
 
-#: src/bookmarks/dialogs.c:72 src/config/options.inc:1051
+#: src/bookmarks/dialogs.c:97 src/config/options.inc:1120
 #: src/dialogs/document.c:145 src/globhist/dialogs.c:65
 msgid "Title"
 msgstr "Titulek"
 
-#: src/bookmarks/dialogs.c:73 src/cache/dialogs.c:65
+#: src/bookmarks/dialogs.c:101 src/cache/dialogs.c:65
 #: src/dialogs/document.c:136 src/dialogs/edit.c:96 src/formhist/dialogs.c:63
 #: src/globhist/dialogs.c:66 src/protocol/auth/dialogs.c:163
 #: src/scripting/lua/core.c:397
@@ -364,81 +359,81 @@ msgid "URL"
 msgstr "URL"
 
 #. cant_delete_item
-#: src/bookmarks/dialogs.c:117
+#: src/bookmarks/dialogs.c:149
 #, c-format
 msgid "Sorry, but the bookmark \"%s\" cannot be deleted."
 msgstr "Bohuel bookmark \"%s\" nelze smazat."
 
 #. cant_delete_used_item
-#: src/bookmarks/dialogs.c:119
+#: src/bookmarks/dialogs.c:151
 #, c-format
 msgid "Sorry, but the bookmark \"%s\" is being used by something else."
 msgstr "Bohuel s bookmarkem \"%s\" prv pracuje nco jinho."
 
 #. delete_marked_items_title
-#: src/bookmarks/dialogs.c:125
+#: src/bookmarks/dialogs.c:157
 msgid "Delete marked bookmarks"
 msgstr "Smazat oznaen bookmarky"
 
 #. delete_marked_items
-#: src/bookmarks/dialogs.c:127
+#: src/bookmarks/dialogs.c:159
 msgid "Delete marked bookmarks?"
 msgstr "Smazat oznaen bookmarky?"
 
 #. delete_folder
-#: src/bookmarks/dialogs.c:131
+#: src/bookmarks/dialogs.c:163
 #, c-format
 msgid "Delete the folder \"%s\" and all bookmarks in it?"
 msgstr "Smazat sloku \"%s\" vetn vech bookmark uvnit?"
 
 #. delete_item_title
-#: src/bookmarks/dialogs.c:133
+#: src/bookmarks/dialogs.c:165
 msgid "Delete bookmark"
 msgstr "Smazat bookmark"
 
-#: src/bookmarks/dialogs.c:135
+#: src/bookmarks/dialogs.c:167
 #, c-format
 msgid "Delete this bookmark?"
 msgstr "Smazat tento bookmark?"
 
 #. clear_all_items_title
-#: src/bookmarks/dialogs.c:137
+#: src/bookmarks/dialogs.c:169
 msgid "Clear all bookmarks"
 msgstr "Smazat vechny bookmarky"
 
 #. clear_all_items_title
-#: src/bookmarks/dialogs.c:139
+#: src/bookmarks/dialogs.c:171
 msgid "Do you really want to remove all bookmarks?"
 msgstr "Chce opravdu odstranit vechny bookmarky?"
 
-#: src/bookmarks/dialogs.c:254
+#: src/bookmarks/dialogs.c:327
 msgid "Add folder"
 msgstr "Pidat sloku"
 
-#: src/bookmarks/dialogs.c:254
+#: src/bookmarks/dialogs.c:327
 msgid "Folder name"
 msgstr "Nzev sloky"
 
-#: src/bookmarks/dialogs.c:310 src/scripting/lua/core.c:391
+#: src/bookmarks/dialogs.c:410 src/scripting/lua/core.c:391
 msgid "Edit bookmark"
 msgstr "Editovat bookmark"
 
-#: src/bookmarks/dialogs.c:461
+#: src/bookmarks/dialogs.c:567
 msgid "Cannot move folder inside itself"
 msgstr ""
 
-#: src/bookmarks/dialogs.c:462
+#: src/bookmarks/dialogs.c:568
 msgid ""
 "You are trying to move the marked folder inside itself. To move the folder "
 "to a different location select the new location before pressing the Move "
 "button."
 msgstr ""
 
-#: src/bookmarks/dialogs.c:468
+#: src/bookmarks/dialogs.c:574
 msgid "Nothing to move"
 msgstr ""
 
-#: src/bookmarks/dialogs.c:469
+#: src/bookmarks/dialogs.c:575
 msgid ""
 "To move bookmarks, first mark all the bookmarks (or folders) you want to "
 "move.  This can be done with the Insert key if you're using the default key-"
@@ -447,21 +442,21 @@ msgid ""
 msgstr ""
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons, src/cache/dialogs.c:cache_buttons, src/globhist/dialogs.c:globhist_buttons, src/protocol/auth/dialogs.c:auth_buttons)
-#: src/bookmarks/dialogs.c:487 src/cache/dialogs.c:230
+#: src/bookmarks/dialogs.c:593 src/cache/dialogs.c:230
 #: src/globhist/dialogs.c:224 src/protocol/auth/dialogs.c:261
 #, fuzzy
 msgid "~Goto"
 msgstr "Jt na"
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons, src/config/dialogs.c:option_buttons, src/cookies/dialogs.c:cookie_buttons)
-#: src/bookmarks/dialogs.c:488 src/config/dialogs.c:503
+#: src/bookmarks/dialogs.c:594 src/config/dialogs.c:503
 #: src/cookies/dialogs.c:492
 #, fuzzy
 msgid "~Edit"
 msgstr "Editovat"
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons, src/cache/dialogs.c:cache_buttons, src/config/dialogs.c:keybinding_buttons, src/config/dialogs.c:option_buttons, src/cookies/dialogs.c:cookie_buttons, src/dialogs/menu.c:ext_menu, src/formhist/dialogs.c:formhist_buttons, src/globhist/dialogs.c:globhist_buttons, src/protocol/auth/dialogs.c:auth_buttons)
-#: src/bookmarks/dialogs.c:489 src/cache/dialogs.c:231
+#: src/bookmarks/dialogs.c:595 src/cache/dialogs.c:231
 #: src/config/dialogs.c:505 src/config/dialogs.c:930 src/cookies/dialogs.c:493
 #: src/dialogs/menu.c:463 src/formhist/dialogs.c:211
 #: src/globhist/dialogs.c:229 src/protocol/auth/dialogs.c:263
@@ -469,31 +464,31 @@ msgid "~Delete"
 msgstr "~Smazat"
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons, src/config/dialogs.c:keybinding_buttons, src/config/dialogs.c:option_buttons, src/cookies/dialogs.c:cookie_buttons, src/dialogs/menu.c:ext_menu)
-#: src/bookmarks/dialogs.c:490 src/config/dialogs.c:504
+#: src/bookmarks/dialogs.c:596 src/config/dialogs.c:504
 #: src/config/dialogs.c:929 src/cookies/dialogs.c:490 src/dialogs/menu.c:461
 msgid "~Add"
 msgstr "Pid~at"
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons)
-#: src/bookmarks/dialogs.c:491
+#: src/bookmarks/dialogs.c:597
 #, fuzzy
 msgid "Add se~parator"
 msgstr "Oddlova v lit s taby"
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons)
-#: src/bookmarks/dialogs.c:492
+#: src/bookmarks/dialogs.c:598
 #, fuzzy
 msgid "Add ~folder"
 msgstr "Pidat sloku"
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons)
-#: src/bookmarks/dialogs.c:493
+#: src/bookmarks/dialogs.c:599
 #, fuzzy
 msgid "~Move"
 msgstr "Pesunout"
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons, src/cache/dialogs.c:cache_buttons, src/config/dialogs.c:keybinding_buttons, src/config/dialogs.c:option_buttons, src/dialogs/menu.c:view_menu, src/globhist/dialogs.c:globhist_buttons)
-#: src/bookmarks/dialogs.c:494 src/cache/dialogs.c:232
+#: src/bookmarks/dialogs.c:600 src/cache/dialogs.c:232
 #: src/config/dialogs.c:506 src/config/dialogs.c:932 src/dialogs/menu.c:413
 #: src/globhist/dialogs.c:230
 msgid "~Search"
@@ -501,36 +496,50 @@ msgstr "~Hledat"
 
 #. This one is too dangerous, so just let user delete
 #. * the bookmarks file if needed. --Zas
-#: src/bookmarks/dialogs.c:498
+#: src/bookmarks/dialogs.c:604
 msgid "Clear"
 msgstr "Zresetovat"
 
 #. TODO: Would this be useful? --jonas
-#: src/bookmarks/dialogs.c:501 src/globhist/dialogs.c:235
+#: src/bookmarks/dialogs.c:607 src/globhist/dialogs.c:235
 msgid "Save"
 msgstr "Uloit"
 
-#: src/bookmarks/dialogs.c:507
+#: src/bookmarks/dialogs.c:613
 msgid "Bookmark manager"
 msgstr "Sprvce bookmark"
 
-#: src/bookmarks/dialogs.c:632
+#: src/bookmarks/dialogs.c:825
 msgid "Search bookmarks"
 msgstr "Hledat v bookmarcch"
 
-#: src/bookmarks/dialogs.c:661
+#. When the user eventually pushes the OK button, BFU calls
+#. * bookmark_add_add() and gives it the struct dialog * as the
+#. * void * parameter.  However, bookmark_add_add() also needs
+#. * to know the struct terminal *, and there is no way to get
+#. * that from struct dialog.  The other bookmark dialogs work
+#. * around that by making dialog.udata point to the struct
+#. * dialog_data of the bookmark manager, but the "Add bookmark"
+#. * dialog can be triggered with ACT_MAIN_ADD_BOOKMARK, which
+#. * does not involve the bookmark manager at all.
+#. *
+#. * The solution here is to save the struct terminal * in
+#. * dialog.udata2, which the "Edit bookmark" dialog uses for
+#. * struct bookmark *.  When adding a new bookmark, we don't
+#. * need a pointer to an existing one, of course.
+#: src/bookmarks/dialogs.c:892
 msgid "Add bookmark"
 msgstr "Pidej bookmark"
 
-#: src/bookmarks/dialogs.c:697
+#: src/bookmarks/dialogs.c:950
 msgid "Saved session"
 msgstr "Uloen sezen"
 
-#: src/bookmarks/dialogs.c:705
+#: src/bookmarks/dialogs.c:958
 msgid "Bookmark tabs"
 msgstr "Bookmarknout taby"
 
-#: src/bookmarks/dialogs.c:705
+#: src/bookmarks/dialogs.c:958
 msgid "Enter folder name"
 msgstr "Napi nzev sloky"
 
@@ -542,7 +551,7 @@ msgstr "URL proxy serveru"
 msgid "Redirect"
 msgstr "Pesmrovn"
 
-#: src/cache/dialogs.c:85 src/config/options.inc:519
+#: src/cache/dialogs.c:85 src/config/options.inc:553
 #: src/dialogs/document.c:156 src/protocol/bittorrent/dialogs.c:126
 msgid "Size"
 msgstr "Velikost"
@@ -588,7 +597,7 @@ msgstr "Vypr"
 msgid "ID"
 msgstr "ID"
 
-#: src/cache/dialogs.c:134 src/config/options.inc:669
+#: src/cache/dialogs.c:134 src/config/options.inc:707
 msgid "Header"
 msgstr "Hlavika"
 
@@ -1276,7 +1285,7 @@ msgstr "Nenael jsem server"
 msgid "Resolver error"
 msgstr "Chyba pi zjiovn IP adresy."
 
-#: src/config/cmdline.c:256 src/cookies/cookies.c:841 src/network/state.c:47
+#: src/config/cmdline.c:256 src/cookies/cookies.c:843 src/network/state.c:47
 #: src/util/secsave.c:379
 msgid "Out of memory"
 msgstr "Dola pam, bobnku"
@@ -1299,195 +1308,198 @@ msgstr ""
 msgid "Remote method not supported"
 msgstr "Metoda v uvedenm -remote pkazu nen podporovna"
 
-#: src/config/cmdline.c:452
+#: src/config/cmdline.c:437
+msgid "Out of memory formatting option documentation"
+msgstr ""
+
+#: src/config/cmdline.c:474
 msgid "Template option folder"
 msgstr "ablonov sloka"
 
-#: src/config/cmdline.c:475
+#: src/config/cmdline.c:497
 #, c-format
 msgid "(default: %ld)"
 msgstr "(vchoz: %ld)"
 
-#: src/config/cmdline.c:482 src/config/cmdline.c:511
+#: src/config/cmdline.c:504 src/config/cmdline.c:533
 #, c-format
 msgid "(default: \"%s\")"
 msgstr "(vchoz: \"%s\")"
 
-#: src/config/cmdline.c:487
+#: src/config/cmdline.c:509
 #, c-format
 msgid "(alias for %s)"
 msgstr "(alias pro %s)"
 
-#: src/config/cmdline.c:492 src/config/cmdline.c:501
+#: src/config/cmdline.c:514 src/config/cmdline.c:523
 #, c-format
 msgid "(default: %s)"
 msgstr "(vchoz: %s)"
 
-#: src/config/cmdline.c:642
+#: src/config/cmdline.c:654
 msgid "Configuration options"
 msgstr "Konfiguran volby"
 
-#: src/config/cmdline.c:646
+#: src/config/cmdline.c:658
 #, fuzzy
 msgid "Usage: elinks [OPTION]... [URL]..."
 msgstr "Pouit: elinks [PEPNA]... [URL]"
 
-#: src/config/cmdline.c:647
+#: src/config/cmdline.c:659
 msgid "Options"
 msgstr "Nastaven"
 
-#: src/config/cmdline.c:689
+#: src/config/cmdline.c:701
 msgid "Internal consistency error"
 msgstr "Chyba vnitn inkonzistence"
 
 #.
-#: src/config/cmdline.c:725
+#: src/config/cmdline.c:737
 msgid "Restrict to anonymous mode"
 msgstr "Omezen na anonymn reim."
 
-#: src/config/cmdline.c:727
+#: src/config/cmdline.c:739
 #, fuzzy
 msgid ""
-"Restricts ELinks so it can run on an anonymous account.\n"
-"Local file browsing, downloads, and modification of options\n"
-"will be disabled. Execution of viewers is allowed, but entries\n"
-"in the association table can't be added or modified."
+"Restricts ELinks so it can run on an anonymous account. Local file browsing, "
+"downloads, and modification of options will be disabled. Execution of "
+"viewers is allowed, but entries in the association table can't be added or "
+"modified."
 msgstr ""
 "Omez ELinks, take me bezpen bet i na anonymnm tu.\n"
 "Je zakzno ukldn soubor na disk, prochzen loklnho disku,\n"
 "jsou znan omezeny monosti zmn konfigurace a jsou znemonny\n"
 "dal potenciln nebezpen akce."
 
-#: src/config/cmdline.c:732
+#: src/config/cmdline.c:745
 msgid "Autosubmit first form"
 msgstr "Automatick odesln prvnho formule"
 
-#: src/config/cmdline.c:734
+#: src/config/cmdline.c:747
 msgid "Automatically submit the first form in the given URLs."
 msgstr "Jdi a odeli prvn formul, na kter naraz na danch URL."
 
-#: src/config/cmdline.c:736
+#: src/config/cmdline.c:749
 msgid "Clone internal session with given ID"
 msgstr "Naklonovn internch sezen s danm ID"
 
-#: src/config/cmdline.c:738
+#: src/config/cmdline.c:751
 msgid ""
-"Used internally when opening ELinks instances in new windows.\n"
-"The ID maps to information that will be used when creating the\n"
-"new instance. You don't want to use it."
+"Used internally when opening ELinks instances in new windows. The ID maps to "
+"information that will be used when creating the new instance. You don't want "
+"to use it."
 msgstr ""
 
-#: src/config/cmdline.c:744
+#: src/config/cmdline.c:757
 msgid "Name of directory with configuration file"
 msgstr "Jmno adrese s konfiguranm souborem"
 
-#: src/config/cmdline.c:746
+#: src/config/cmdline.c:759
+#, fuzzy
 msgid ""
-"Path of the directory ELinks will read and write its\n"
-"config and runtime state files to instead of ~/.elinks.\n"
-"If the path does not begin with a '/' it is assumed to be\n"
-"relative to your HOME directory."
+"Path of the directory ELinks will read and write its config and runtime "
+"state files to instead of ~/.elinks. If the path does not begin with a '/' "
+"it is assumed to be relative to your HOME directory."
 msgstr ""
 "ELinks bude pouvat dan adres s konfigurac msto standardnho\n"
 "~/.elinks. Pokud cesta zan lomtkem, je povaovna za absolutn\n"
 "cestu, jinak se pedpokld, e je relativn k vaemu domovskmu\n"
 "adresi."
 
-#: src/config/cmdline.c:751
+#: src/config/cmdline.c:764
 #, fuzzy
 msgid "Print default configuration file to stdout"
 msgstr "Zobrazen npovdy pro konfiguran volby"
 
-#: src/config/cmdline.c:753
+#: src/config/cmdline.c:766
 msgid ""
-"Print a configuration file with options set to the built-in\n"
-"defaults to stdout."
+"Print a configuration file with options set to the built-in defaults to "
+"stdout."
 msgstr ""
 
-#: src/config/cmdline.c:758
+#: src/config/cmdline.c:771
 msgid "Name of configuration file"
 msgstr "Jmno konfiguranho souboru"
 
-#: src/config/cmdline.c:760
+#: src/config/cmdline.c:773
+#, fuzzy
 msgid ""
-"Name of the configuration file that all configuration\n"
-"options will be read from and written to. It should be\n"
-"relative to config-dir."
+"Name of the configuration file that all configuration options will be read "
+"from and written to. It should be relative to config-dir."
 msgstr ""
 "Jmno konfiguranho souboru, tedy souboru, odkud se bude natat veker\n"
 "nastaven a bude se tam i zpt zapisovat. Jmno by mlo bt relativn k\n"
 "parametru config-dir."
 
-#: src/config/cmdline.c:764
+#: src/config/cmdline.c:777
 msgid "Print help for configuration options"
 msgstr "Zobrazen npovdy pro konfiguran volby"
 
-#: src/config/cmdline.c:766
+#: src/config/cmdline.c:779
 msgid "Print help for configuration options and exit."
 msgstr "Zobrazen npovdy pro konfiguran volby a ukonen progrmau."
 
-#: src/config/cmdline.c:768
+#: src/config/cmdline.c:781
 msgid "MIME type assumed for unknown document types"
 msgstr "Pedpokldan MIME typ pro neznm dokumenty"
 
-#: src/config/cmdline.c:770
+#: src/config/cmdline.c:783
 msgid "The default MIME type used for documents of unknown type."
 msgstr "Vchoz MIME typ, kter bych ml pedpokldat u neznmch dokument."
 
-#: src/config/cmdline.c:772
+#: src/config/cmdline.c:786
 msgid "Ignore user-defined keybindings"
 msgstr "Ignorovat uivatelsk nastaven klves"
 
-#: src/config/cmdline.c:774
+#: src/config/cmdline.c:788
 msgid ""
-"When set, all keybindings from configuration files will be\n"
-"ignored. It forces use of default keybindings and will reset\n"
-"user-defined ones on save."
+"When set, all keybindings from configuration files will be ignored. It "
+"forces use of default keybindings and will reset user-defined ones on save."
 msgstr ""
 
-#: src/config/cmdline.c:778
+#: src/config/cmdline.c:792
 msgid "Print formatted versions of given URLs to stdout"
 msgstr "Vypsn zformtovan verze danho URL na standardn vstup"
 
-#: src/config/cmdline.c:780
+#: src/config/cmdline.c:794
 msgid "Print formatted plain-text versions of given URLs to stdout."
 msgstr "Vypsn zformtovan verze danho URL na standardn vstup"
 
-#: src/config/cmdline.c:782
+#: src/config/cmdline.c:797
 msgid "Codepage to use with -dump"
 msgstr "Kdov strnka, ve kter by ml bt prezentovn vstup -dump"
 
-#: src/config/cmdline.c:784
+#: src/config/cmdline.c:799
 msgid "Codepage used when formatting dump output."
 msgstr "Kdov strnka pouit pi formtovn dump vstupu."
 
-#: src/config/cmdline.c:786
+#: src/config/cmdline.c:801
 #, fuzzy
 msgid "Color mode used with -dump"
 msgstr "Kdov strnka, ve kter by ml bt prezentovn vstup -dump"
 
-#: src/config/cmdline.c:788
+#: src/config/cmdline.c:803
 #, fuzzy
 msgid "Color mode used with -dump."
 msgstr "Kdov strnka, ve kter by ml bt prezentovn vstup -dump"
 
-#: src/config/cmdline.c:790
+#: src/config/cmdline.c:805
 msgid "Width of document formatted with -dump"
 msgstr "ka dokumentu zformtovanho pomoc -dump"
 
-#: src/config/cmdline.c:792
+#: src/config/cmdline.c:807
 msgid "Width of the dump output."
 msgstr "ka vstupu parametru -dump."
 
-#: src/config/cmdline.c:794
+#: src/config/cmdline.c:809
 msgid "Evaluate configuration file directive"
 msgstr "Vyhodnocen danho konfiguranho pkazu"
 
-#: src/config/cmdline.c:796
+#: src/config/cmdline.c:811
+#, fuzzy
 msgid ""
-"Specify configuration file directives on the command-line\n"
-"which will be evaluated after all configuration files has been\n"
-"read. Example usage:\n"
+"Specify configuration file directives on the command-line which will be "
+"evaluated after all configuration files has been read. Example usage:\n"
 "\t-eval 'set protocol.file.allow_special_files = 1'"
 msgstr ""
 "Tato volba umouje na pkazov dce uvdt pkazy, kter se pou do\n"
@@ -1495,123 +1507,125 @@ msgstr ""
 "\t-eval 'set protocol.file.allow_special_files = 1'"
 
 #. lynx compatibility
-#: src/config/cmdline.c:802
+#: src/config/cmdline.c:817
 msgid "Interpret documents of unknown types as HTML"
 msgstr "Interpretuj dokumenty neznmch typ jako HTML"
 
-#: src/config/cmdline.c:804
+#: src/config/cmdline.c:819
 #, fuzzy
 msgid ""
-"Makes ELinks assume documents of unknown types are HTML.\n"
-"Useful when using ELinks as an external viewer from MUAs.\n"
-"This is equivalent to -default-mime-type text/html."
+"Makes ELinks assume documents of unknown types are HTML. Useful when using "
+"ELinks as an external viewer from MUAs. This is equivalent to -default-mime-"
+"type text/html."
 msgstr ""
 "Tato volba ekne ELinksu, aby pedpokldal, e soubory, kter uvid, jsou\n"
 "v HTML. Tento parametr je ekvivalentn -default-mime-type text/html."
 
-#: src/config/cmdline.c:814
+#: src/config/cmdline.c:829
 msgid "Print usage help and exit"
 msgstr "Zobrazen npovdy a ukonen programu"
 
-#: src/config/cmdline.c:816
+#: src/config/cmdline.c:831
 msgid "Print usage help and exit."
 msgstr "Zobrazen npovdy a ukonen programu."
 
-#: src/config/cmdline.c:818
+#: src/config/cmdline.c:833
 msgid "Only permit local connections"
 msgstr "Povolit pouze mstn spojen"
 
-#: src/config/cmdline.c:820
+#: src/config/cmdline.c:835
 msgid ""
-"Restricts ELinks to work offline and only connect to servers\n"
-"with local addresses (ie. 127.0.0.1). No connections to remote\n"
-"servers will be permitted."
+"Restricts ELinks to work offline and only connect to servers with local "
+"addresses (ie. 127.0.0.1). No connections to remote servers will be "
+"permitted."
 msgstr ""
 
-#: src/config/cmdline.c:824
+#: src/config/cmdline.c:839
 msgid "Print detailed usage help and exit"
 msgstr "Zobrazen detailn npovdy a ukonen programu"
 
-#: src/config/cmdline.c:826
+#: src/config/cmdline.c:841
 msgid "Print detailed usage help and exit."
 msgstr "Zobrazen detailn npovdy a ukonen programu."
 
-#: src/config/cmdline.c:828
+#: src/config/cmdline.c:843
 msgid "Look up specified host"
 msgstr "Vyhledn specifikovanho hostitele"
 
-#: src/config/cmdline.c:830
+#: src/config/cmdline.c:845
 msgid "Look up specified host and print all DNS resolved IP addresses."
 msgstr "Vyhled danho hostitele a vype vechny IP adresy zjitn pes DNS."
 
-#: src/config/cmdline.c:832
+#: src/config/cmdline.c:848
 msgid "Run as separate instance"
 msgstr "Sputn oddlen instance programu"
 
-#: src/config/cmdline.c:834
+#: src/config/cmdline.c:850
+#, fuzzy
 msgid ""
-"Run ELinks as a separate instance instead of connecting to an\n"
-"existing instance. Note that normally no runtime state files\n"
-"(bookmarks, history, etc.) are written to the disk when this\n"
-"option is used. See also -touch-files."
+"Run ELinks as a separate instance instead of connecting to an existing "
+"instance. Note that normally no runtime state files (bookmarks, history, "
+"etc.) are written to the disk when this option is used. See also -touch-"
+"files."
 msgstr ""
 "Spustit ELinks jako oddlenou instanci msto toho, abych se zkusil pipojit\n"
 "k njak ji existujc instanci. V tomto ppad normln nebudu na disk\n"
 "zapisovat dn konfiguran soubory (ani bookmarky, historii apod.).\n"
 "Viz tak parametr -touch-files."
 
-#: src/config/cmdline.c:839
+#: src/config/cmdline.c:855
 msgid "Disable use of files in ~/.elinks"
 msgstr "Nepouvat soubory v ~/.elinks"
 
-#: src/config/cmdline.c:841
+#: src/config/cmdline.c:857
 msgid ""
-"Disables creation and use of files in the user specific home\n"
-"configuration directory (~/.elinks). It forces default configuration\n"
-"values to be used and disables saving of runtime state files."
+"Disables creation and use of files in the user specific home configuration "
+"directory (~/.elinks). It forces default configuration values to be used and "
+"disables saving of runtime state files."
 msgstr ""
 
-#: src/config/cmdline.c:845
+#: src/config/cmdline.c:862
 msgid "Disable link numbering in dump output"
 msgstr "Neslovat odkazy v dump vstupu"
 
-#: src/config/cmdline.c:847
+#: src/config/cmdline.c:864
 #, fuzzy
 msgid ""
 "Prevents printing of link number in dump output.\n"
+"\n"
 "Note that this really affects only -dump, nothing else."
 msgstr ""
 "Zabrn slovn odkaz (a zobrazovn jejich seznamu na konci dokumentu)\n"
 "pi -dump vstupu; to bylo vchoz chovn a do 0.5pre12. Mjte na pamti,\n"
 "e se tento parametr tk jen a pouze --dump."
 
-#: src/config/cmdline.c:850
+#: src/config/cmdline.c:868
 msgid "Disable printing of link references in dump output"
 msgstr "Nezobrazovat seznam odkaz v dump vstupu"
 
-#: src/config/cmdline.c:852
+#: src/config/cmdline.c:870
 #, fuzzy
 msgid ""
-"Prevents printing of references (URIs) of document links\n"
-"in dump output.\n"
+"Prevents printing of references (URIs) of document links in dump output.\n"
+"\n"
 "Note that this really affects only -dump, nothing else."
 msgstr ""
 "Zabrn slovn odkaz (a zobrazovn jejich seznamu na konci dokumentu)\n"
 "pi -dump vstupu; to bylo vchoz chovn a do 0.5pre12. Mjte na pamti,\n"
 "e se tento parametr tk jen a pouze --dump."
 
-#: src/config/cmdline.c:856
+#: src/config/cmdline.c:875
 msgid "Control an already running ELinks"
 msgstr "Ovldn ji sputnho ELinksu"
 
-#: src/config/cmdline.c:858
+#: src/config/cmdline.c:877
 msgid ""
-"Control a remote ELinks instance by passing commands to it.\n"
-"The option takes an additional argument containing the method\n"
-"which should be invoked and any parameters that should be passed\n"
-"to it. For ease of use, the additional method argument can be\n"
-"omitted in which case any URL arguments will be opened in new\n"
-"tabs in the remote instance.\n"
+"Control a remote ELinks instance by passing commands to it. The option takes "
+"an additional argument containing the method which should be invoked and any "
+"parameters that should be passed to it. For ease of use, the additional "
+"method argument can be omitted in which case any URL arguments will be "
+"opened in new tabs in the remote instance.\n"
+"\n"
 "Following is a list of the supported methods:\n"
 "\tping()                    : look for a remote instance\n"
 "\topenURL()                 : prompt URL in current tab\n"
@@ -1623,26 +1637,27 @@ msgid ""
 "\txfeDoCommand(openBrowser) : open new window"
 msgstr ""
 
-#: src/config/cmdline.c:874
+#: src/config/cmdline.c:895
 msgid "Connect to session ring with given ID"
 msgstr "Pipojen do skupiny sezen s danm ID"
 
-#: src/config/cmdline.c:876
+#: src/config/cmdline.c:897
+#, fuzzy
 msgid ""
-"ID of session ring this ELinks session should connect to. ELinks\n"
-"works in so-called session rings, whereby all instances of ELinks\n"
-"are interconnected and share state (cache, bookmarks, cookies,\n"
-"and so on). By default, all ELinks instances connect to session\n"
-"ring 0. You can change that behaviour with this switch and form as\n"
-"many session rings as you want. Obviously, if the session-ring with\n"
-"this number doesn't exist yet, it's created and this ELinks instance\n"
-"will become the master instance (that usually doesn't matter for you\n"
-"as a user much). Note that you usually don't want to use this unless\n"
-"you're a developer and you want to do some testing - if you want the\n"
-"ELinks instances each running standalone, rather use the -no-connect\n"
-"command-line option. Also note that normally no runtime state files\n"
-"are written to the disk when this option is used. See also\n"
-"-touch-files."
+"ID of session ring this ELinks session should connect to. ELinks works in so-"
+"called session rings, whereby all instances of ELinks are interconnected and "
+"share state (cache, bookmarks, cookies, and so on). By default, all ELinks "
+"instances connect to session ring 0. You can change that behaviour with this "
+"switch and form as many session rings as you want. Obviously, if the session-"
+"ring with this number doesn't exist yet, it's created and this ELinks "
+"instance will become the master instance (that usually doesn't matter for "
+"you as a user much).\n"
+"\n"
+"Note that you usually don't want to use this unless you're a developer and "
+"you want to do some testing - if you want the ELinks instances each running "
+"standalone, rather use the -no-connect command-line option. Also note that "
+"normally no runtime state files are written to the disk when this option is "
+"used. See also -touch-files."
 msgstr ""
 "ID skupiny sezen, do kter by se mlo toto sezen ELinksu zaadit. ELinks\n"
 "pracuje prv v tchto takzvanch skupinch sezen, kde jsou vechny\n"
@@ -1658,52 +1673,52 @@ msgstr ""
 "nebudou na disk ukldny dn konfiguran soubory - viz parametr\n"
 "-touch-files."
 
-#: src/config/cmdline.c:891
+#: src/config/cmdline.c:915
 msgid "Print the source of given URLs to stdout"
 msgstr "Vypsat danou URL ve zdrojov podob na standardn vstup"
 
-#: src/config/cmdline.c:893
+#: src/config/cmdline.c:917
 msgid "Print given URLs in source form to stdout."
 msgstr "Vypsat dan dokument ve zdrojov podob na standardn vstup."
 
-#: src/config/cmdline.c:897
+#: src/config/cmdline.c:921
 msgid "Touch files in ~/.elinks when running with -no-connect/-session-ring"
 msgstr ""
 "Pouvat soubory v ~/.elinks i pi sputn s -no-connect/-session-ring"
 
-#: src/config/cmdline.c:899
+#: src/config/cmdline.c:923
+#, fuzzy
 msgid ""
-"When enabled, runtime state files (bookmarks, history, etc.) are\n"
-"written to disk, even when -no-connect or -session-ring is used.\n"
-"The option has no effect if not used in conjunction with any of\n"
-"these options."
+"When enabled, runtime state files (bookmarks, history, etc.) are written to "
+"disk, even when -no-connect or -session-ring is used. The option has no "
+"effect if not used in conjunction with any of these options."
 msgstr ""
 "Pokud je tato volba nastavena, konfiguran soubory (i bookmarky, historie\n"
 "apod.) budou ukldny na disk i v ppad, e byl pouit parametr\n"
 "-no-connect i -session-ring. Jinak nem tento parametr dn vznam."
 
-#: src/config/cmdline.c:904
+#: src/config/cmdline.c:928
 msgid "Verbose level"
 msgstr "Vypisovn dodatench informac"
 
-#: src/config/cmdline.c:906
+#: src/config/cmdline.c:930
 msgid ""
-"The verbose level controls what messages are shown at\n"
-"start up and while running:\n"
+"The verbose level controls what messages are shown at start up and while "
+"running:\n"
 "\t0 means only show serious errors\n"
 "\t1 means show serious errors and warnings\n"
 "\t2 means show all messages"
 msgstr ""
 
-#: src/config/cmdline.c:912
+#: src/config/cmdline.c:936
 msgid "Print version information and exit"
 msgstr "Vypsn informace o verzi programu a jeho ukonen"
 
-#: src/config/cmdline.c:914
+#: src/config/cmdline.c:938
 msgid "Print ELinks version information and exit."
 msgstr "Vypsn informace o verzi programu a jeho ukonen."
 
-#: src/config/conf.c:938
+#: src/config/conf.c:963
 msgid ""
 "## This is ELinks configuration file. You can edit it manually,\n"
 "## if you wish so; this file is edited by ELinks when you save\n"
@@ -1716,7 +1731,7 @@ msgstr ""
 "## hodnoty voleb a veker vae formtovn, vlastn komente a tak\n"
 "## dle budou ponechny tak, jak jsou.\n"
 
-#: src/config/conf.c:946
+#: src/config/conf.c:971
 msgid ""
 "## This is ELinks configuration file. You can edit it manually,\n"
 "## if you wish so; this file is edited by ELinks when you save\n"
@@ -1734,7 +1749,7 @@ msgstr ""
 "## includujete, nepot se jako chybjc! Veker vae formtovn,\n"
 "## vlastn komente a tak dle budou ponechny tak, jak jsou.\n"
 
-#: src/config/conf.c:956
+#: src/config/conf.c:981
 msgid ""
 "## This is ELinks configuration file. You can edit it manually,\n"
 "## if you wish so, but keep in mind that this file is overwritten\n"
@@ -1746,7 +1761,7 @@ msgstr ""
 "## pokad, kdy ukldte nastaven pes uivatelsk rozhran. A s vam\n"
 "## vlastnm formtovnm a komentema se mete jt klouzat.\n"
 
-#: src/config/conf.c:967
+#: src/config/conf.c:992
 msgid ""
 "## Obviously, if you don't like what ELinks is going to do with\n"
 "## this file, you can change it by altering the config.saving_style\n"
@@ -1756,11 +1771,11 @@ msgstr ""
 "## mete to ovlivnit zmnou volby config.saving_style. No tak, nejsme\n"
 "## nakonec docela fajn?\n"
 
-#: src/config/conf.c:980
+#: src/config/conf.c:1005
 msgid "Automatically saved options\n"
 msgstr "Automaticky uloen nastaven\n"
 
-#: src/config/conf.c:992
+#: src/config/conf.c:1017
 msgid "Automatically saved keybindings\n"
 msgstr "Automaticky uloen klvesov vazby\n"
 
@@ -1822,7 +1837,7 @@ msgstr "(rozbal zmknutm mezery)"
 #. * switch charsets.  So, it will work in any terminal that
 #. * understands UTF-8 and has the characters in its font.
 #: src/config/dialogs.c:149 src/config/dialogs.c:330
-#: src/config/options.inc:840
+#: src/config/options.inc:887
 msgid "Type"
 msgstr "Typ"
 
@@ -1850,9 +1865,9 @@ msgid "Description"
 msgstr "Popis"
 
 #: src/config/dialogs.c:291 src/protocol/bittorrent/dialogs.c:600
-#: src/protocol/protocol.c:240 src/session/session.c:287
-#: src/session/session.c:975 src/viewer/text/textarea.c:594
-#: src/viewer/text/textarea.c:601
+#: src/protocol/protocol.c:240 src/session/session.c:288
+#: src/session/session.c:999 src/viewer/text/textarea.c:583
+#: src/viewer/text/textarea.c:590
 msgid "Error"
 msgstr "Chyba"
 
@@ -1889,7 +1904,7 @@ msgstr "Do tto sloky nemu pidat nov
 #. accelerator_context(src/config/dialogs.c:keybinding_buttons, src/config/dialogs.c:option_buttons, src/cookies/dialogs.c:cookie_buttons, src/formhist/dialogs.c:formhist_buttons, src/protocol/bittorrent/dialogs.c:bittorrent_query_callback, src/session/download.c:do_type_query, terminal_options)
 #: src/config/dialogs.c:507 src/config/dialogs.c:933 src/cookies/dialogs.c:495
 #: src/dialogs/options.c:236 src/formhist/dialogs.c:214
-#: src/protocol/bittorrent/dialogs.c:801 src/session/download.c:1203
+#: src/protocol/bittorrent/dialogs.c:801 src/session/download.c:1229
 #, fuzzy
 msgid "Sa~ve"
 msgstr "Uloit"
@@ -1902,7 +1917,7 @@ msgstr "Sprvce nastaven"
 msgid "Keystroke"
 msgstr "Kombinace klves"
 
-#: src/config/dialogs.c:676 src/config/options.inc:1219
+#: src/config/dialogs.c:676 src/config/options.inc:1292
 msgid "Action"
 msgstr "Akce"
 
@@ -1986,31 +2001,31 @@ msgstr ""
 "zkontrolujte, jestli mte promnnou $HOME sprvn nastavenou a jestli mte "
 "povolen k zpisu do vaeho domovskho adrese."
 
-#: src/config/kbdbind.c:221
+#: src/config/kbdbind.c:222
 msgid "Main mapping"
 msgstr "Hlavn mapa"
 
-#: src/config/kbdbind.c:222
+#: src/config/kbdbind.c:223
 msgid "Edit mapping"
 msgstr "Editan mapa"
 
-#: src/config/kbdbind.c:223
+#: src/config/kbdbind.c:224
 msgid "Menu mapping"
 msgstr "Metka"
 
-#: src/config/kbdbind.c:588 src/scripting/python/keybinding.c:104
+#: src/config/kbdbind.c:589 src/scripting/python/keybinding.c:104
 msgid "Unrecognised keymap"
 msgstr "Neznm mapa klves"
 
-#: src/config/kbdbind.c:591
+#: src/config/kbdbind.c:592
 msgid "Error parsing keystroke"
 msgstr "Chyba pi ten kombinace klves"
 
-#: src/config/kbdbind.c:595
+#: src/config/kbdbind.c:596
 msgid "Unrecognised action (internal error)"
 msgstr "Neznm akce (vnitn chyba)"
 
-#: src/config/kbdbind.c:611
+#: src/config/kbdbind.c:612
 #, fuzzy
 msgid "Error registering event"
 msgstr "Chyba pi zapisovn do socketu"
@@ -2042,33 +2057,34 @@ msgstr ""
 "2 znamen ukldat jenom popis volby\n"
 "3 znamen ukldat vechny komente"
 
-#: src/config/options.inc:31
+#: src/config/options.inc:32
 msgid "Indentation"
 msgstr "Odsazen"
 
-#: src/config/options.inc:33
+#: src/config/options.inc:34
+#, fuzzy
 msgid ""
-"Shift width of one indentation level in the configuration\n"
-"file. Zero means that no indentation is performed at all\n"
-"when saving the configuration."
+"Shift width of one indentation level in the configuration file. Zero means "
+"that no indentation is performed at all when saving the configuration."
 msgstr ""
 "Poet mezer na jednu rove odsazen v konfiguranm souboru.\n"
 "Nula znamen, e se neodsazuje vbec."
 
-#: src/config/options.inc:37
+#: src/config/options.inc:38
 msgid "Saving style"
 msgstr "Zpsob ukldn"
 
-#: src/config/options.inc:39
+#: src/config/options.inc:40
+#, fuzzy
 msgid ""
 "Determines what happens when you tell ELinks to save options:\n"
 "0 is only values of current options are altered\n"
-"1 is values of current options are altered and missing options\n"
-"     are added at the end of the file\n"
+"1 is values of current options are altered and missing\n"
+"     options are added at the end of the file\n"
 "2 is the configuration file is rewritten from scratch\n"
-"3 is values of current options are altered and missing options\n"
-"     CHANGED during this ELinks session are added at the end of\n"
-"     the file"
+"3 is values of current options are altered and missing\n"
+"     options CHANGED during this ELinks session are added at\n"
+"     the end of the file"
 msgstr ""
 "Uruje, co se stane, kdy eknete ELinksu, aby uloil vae nastaven:\n"
 "0 znamen, e budou v konfiguranm souboru pouze zmnny hodnoty voleb,\n"
@@ -2080,17 +2096,17 @@ msgstr ""
 "  jsou v nm ji uloeny, a na konec souboru budou pidny chybjc volby,\n"
 "  ale pouze ty, kter byly od sputn ELinksu zmnny"
 
-#: src/config/options.inc:48
+#: src/config/options.inc:50
 msgid "Comments localization"
 msgstr "Peloen komente"
 
-#: src/config/options.inc:50
+#: src/config/options.inc:52
+#, fuzzy
 msgid ""
-"If set to 1, comments in the configuration file will be\n"
-"translated to the language used by UI. Note that if you have\n"
-"different language set in different terminals, the language\n"
-"used in the configuration file MAY be the same as on the\n"
-"terminal where you saved the file, but it should be generally\n"
+"If set to 1, comments in the configuration file will be translated to the "
+"language used by UI. Note that if you have different language set in "
+"different terminals, the language used in the configuration file MAY be the "
+"same as on the terminal where you saved the file, but it should be generally "
 "considered unpredictable."
 msgstr ""
 "Pokud je tato volba zapnut, komete v konfiguranm souboru budou\n"
@@ -2099,191 +2115,191 @@ msgstr ""
 "souboru MٮE bt ten sam jako na terminlu, kde jste nechali tento soubor\n"
 "uloit, ale nemli byste na to spolhat."
 
-#: src/config/options.inc:58
+#: src/config/options.inc:60
 msgid "Saving style warnings"
 msgstr "Varovn o zpsobu ukldn"
 
-#: src/config/options.inc:60
+#: src/config/options.inc:62
+#, fuzzy
 msgid ""
-"This is internal option used when displaying a warning about\n"
-"obsolete config.saving_style. You shouldn't touch it."
+"This is internal option used when displaying a warning about obsolete config."
+"saving_style. You shouldn't touch it."
 msgstr ""
 "Toto je intern poloka pouvan pi zobrazovn varovn o nevhodn\n"
 "hodnot config.saving_style zddn ze starch verz ELinksu. Prosme\n"
 "nedotkati se."
 
-#: src/config/options.inc:63
+#: src/config/options.inc:66
 msgid "Show template"
 msgstr "Zobrazovat ablony"
 
-#: src/config/options.inc:65
+#: src/config/options.inc:68
 #, fuzzy
 msgid ""
-"Show template options in autocreated trees in the options\n"
-"manager and save them to the configuration file."
+"Show template options in autocreated trees in the options manager and save "
+"them to the configuration file."
 msgstr ""
 "Uruje, zda ve sprvci nastaven zobrazovat volby s nzvem _template_\n"
 "(ablony) a ukldat je do konfiguranho souboru."
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:71 src/dialogs/info.c:180
+#: src/config/options.inc:74 src/dialogs/info.c:180
 msgid "Connections"
 msgstr "Spojen"
 
-#: src/config/options.inc:73
+#: src/config/options.inc:76
 msgid "Connection options."
 msgstr "Nastaven spojen."
 
-#: src/config/options.inc:76
+#: src/config/options.inc:79
 msgid "Asynchronous DNS"
 msgstr "Asynchronn DNS"
 
-#: src/config/options.inc:78
+#: src/config/options.inc:81
 #, fuzzy
 msgid "Whether to use asynchronous DNS resolving."
 msgstr "Pouvat asynchronn vyhledvn hostitel?"
 
-#: src/config/options.inc:80
+#: src/config/options.inc:83
 msgid "Maximum connections"
 msgstr "Maximln poet spojen"
 
-#: src/config/options.inc:82
+#: src/config/options.inc:85
 msgid "Maximum number of concurrent connections."
 msgstr "Maximln poet paralelnch spojen."
 
-#: src/config/options.inc:84
+#: src/config/options.inc:87
 msgid "Maximum connections per host"
 msgstr "Maximln poet spojen na jeden server"
 
-#: src/config/options.inc:86
+#: src/config/options.inc:89
 msgid "Maximum number of concurrent connections to a given host."
 msgstr "Maximln poet paralelnch spojen na dan server."
 
-#: src/config/options.inc:88
+#: src/config/options.inc:92
 msgid "Connection retries"
 msgstr "Opakovn spojen"
 
-#: src/config/options.inc:90
-msgid ""
-"Number of tries to establish a connection.\n"
-"Zero means try forever."
+#: src/config/options.inc:94
+#, fuzzy
+msgid "Number of tries to establish a connection. Zero means try forever."
 msgstr ""
 "Poet pokus o navzn spojen.\n"
 "Nula znamen neomezen poet pokus."
 
-#: src/config/options.inc:93 src/network/state.c:53
+#: src/config/options.inc:97 src/network/state.c:53
 msgid "Receive timeout"
 msgstr "asov limit pro vypren spojen"
 
-#: src/config/options.inc:95
+#: src/config/options.inc:99
 msgid "Receive timeout (in seconds)."
 msgstr "asov limit pro vypren spojen (v sekundch)."
 
-#: src/config/options.inc:98 src/config/options.inc:108
+#: src/config/options.inc:102 src/config/options.inc:113
 msgid "Try IPv4 when connecting"
 msgstr "Pi spojovn pouij IPv4"
 
-#: src/config/options.inc:100
+#: src/config/options.inc:104
 msgid ""
-"Whether to try to connect to a host over IPv4.\n"
-"Note that if connection.try_ipv6 is enabled too,\n"
-"it takes precedence. And better do not touch this\n"
+"Whether to try to connect to a host over IPv4. Note that if connection."
+"try_ipv6 is enabled too, it takes precedence. And better do not touch this "
 "at all unless you are sure what are you doing.\n"
-"Note that you can also force a given protocol\n"
-"to be used on a per-connection basis by using a URL\n"
-"in the style of e.g. http4://elinks.cz/."
+"\n"
+"Note that you can also force a given protocol to be used on a per-connection "
+"basis by using a URL in the style of e.g. http4://elinks.cz/."
 msgstr ""
 
-#: src/config/options.inc:110
+#: src/config/options.inc:115
 msgid ""
-"Whether to try to connect to a host over IPv4.\n"
-"Do not touch this option.\n"
-"Note that you can also force a given protocol\n"
-"to be used on a per-connection basis by using a URL\n"
-"in the style of e.g. http4://elinks.cz/."
+"Whether to try to connect to a host over IPv4. Do not touch this option.\n"
+"\n"
+"Note that you can also force a given protocol to be used on a per-connection "
+"basis by using a URL in the style of e.g. http4://elinks.cz/."
 msgstr ""
 
-#: src/config/options.inc:118
+#: src/config/options.inc:124
 msgid "Try IPv6 when connecting"
 msgstr "Pi spojovn pouij IPv6"
 
-#: src/config/options.inc:120
+#: src/config/options.inc:126
 msgid ""
 "Whether to try to connect to a host over IPv6.\n"
-"Note that you can also force a given protocol\n"
-"to be used on a per-connection basis by using a URL\n"
-"in the style of e.g. http6://elinks.cz/."
+"\n"
+"Note that you can also force a given protocol to be used on a per-connection "
+"basis by using a URL in the style of e.g. http6://elinks.cz/."
 msgstr ""
 
-#: src/config/options.inc:126
+#: src/config/options.inc:133
 msgid "Timeout for non-restartable connections"
 msgstr "asov limit pro neobnoviteln spojen"
 
-#: src/config/options.inc:128
+#: src/config/options.inc:135
 msgid "Timeout for non-restartable connections (in seconds)."
 msgstr "asov limit pro vypren neobnovitelnch spojen (v sekundch)."
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:134
+#: src/config/options.inc:141
 msgid "Document"
 msgstr "Dokument"
 
-#: src/config/options.inc:136
+#: src/config/options.inc:143
 msgid "Document options."
 msgstr "Monosti zpracovn a prce s dokumentem."
 
-#: src/config/options.inc:138
+#: src/config/options.inc:145
 msgid "Browsing"
 msgstr "Prohlen"
 
-#: src/config/options.inc:140
+#: src/config/options.inc:147
 msgid "Document browsing options (mainly interactivity)."
 msgstr "Nastaven prohlen dokumentu (zejmna interaktivita)."
 
-#: src/config/options.inc:143
+#: src/config/options.inc:150
 #, fuzzy
 msgid "Access keys"
 msgstr "Pstupov klvesy"
 
-#: src/config/options.inc:145
+#: src/config/options.inc:152
 msgid ""
-"Options for handling of link access keys.\n"
-"An HTML document can use the ACCESSKEY attribute to assign\n"
-"an access key to an element. When an access key is pressed,\n"
-"the corresponding element will be given focus."
+"Options for handling of link access keys. An HTML document can use the "
+"ACCESSKEY attribute to assign an access key to an element. When an access "
+"key is pressed, the corresponding element will be given focus."
 msgstr ""
 
-#: src/config/options.inc:150
+#: src/config/options.inc:157
 msgid "Automatic links following"
 msgstr "Automatick nsledovn odkaz"
 
-#: src/config/options.inc:152
+#: src/config/options.inc:159
+#, fuzzy
 msgid ""
-"Automatically follow a link or submit a form if appropriate\n"
-"accesskey is pressed - this is the standard behaviour, but it's\n"
-"considered dangerous."
+"Automatically follow a link or submit a form if appropriate accesskey is "
+"pressed - this is the standard behaviour, but it's considered dangerous."
 msgstr ""
 "Automaticky nsleduj odkaz nebo odeli formul, pokud byla stisknuta\n"
 "odpovdajc pstupov klvesa - toto je standardn chovn, ovem\n"
 "je povaovno za zneuiteln autorem dokumentu."
 
-#: src/config/options.inc:156
+#: src/config/options.inc:163
 msgid "Display access key in link info"
 msgstr "Zobrazovat pstupovou klvesu v informacch o odkazu"
 
-#: src/config/options.inc:158
+#: src/config/options.inc:165
 msgid "Display access key in link info."
 msgstr "Zobrazovat pstupovou klvesu v informacch o odkazu."
 
-#: src/config/options.inc:160
+#: src/config/options.inc:167
 msgid "Accesskey priority"
 msgstr "Priorita pstupovch klves"
 
-#: src/config/options.inc:162
+#: src/config/options.inc:169
+#, fuzzy
 msgid ""
 "Priority of 'accesskey' HTML attribute:\n"
-"0 is first try all normal bindings; if it fails, check accesskey\n"
-"1 is first try only frame bindings; if it fails, check accesskey\n"
+"0 is first try all normal bindings; if it fails,\n"
+"     check accesskey\n"
+"1 is first try only frame bindings; if it fails,\n"
+"     check accesskey\n"
 "2 is first check accesskey (this can be dangerous)"
 msgstr ""
 "Priorita HTML atributu 'accesskey':\n"
@@ -2293,113 +2309,116 @@ msgstr ""
 "  pro klvesu nejsou dn definovny, zkusit accesskey\n"
 "2 znamen nejdve zkusit accesskey (to me bt nebezpen)"
 
-#: src/config/options.inc:168
+#: src/config/options.inc:177
 msgid "Forms"
 msgstr "Formule"
 
-#: src/config/options.inc:170
+#: src/config/options.inc:179
 msgid "Options for handling of the forms interaction."
 msgstr "Volby pro obsluhu formul"
 
-#: src/config/options.inc:172
+#: src/config/options.inc:181
 msgid "Submit form automatically"
 msgstr "Automatick odesln formul"
 
-#: src/config/options.inc:174
+#: src/config/options.inc:183
+#, fuzzy
 msgid ""
-"Automagically submit a form when enter is pressed with a text\n"
-"field selected."
+"Automagically submit a form when enter is pressed with a text field selected."
 msgstr ""
 "Automagicky odeli formul, pokud je stisknut enter na textovm polku."
 
-#: src/config/options.inc:177
+#: src/config/options.inc:186
 msgid "Confirm submission"
 msgstr "Potvrzovn odesln"
 
-#: src/config/options.inc:179
+#: src/config/options.inc:188
 msgid "Ask for confirmation when submitting a form."
 msgstr "Pi odesln formule podej o potvrzen."
 
-#: src/config/options.inc:181
+#: src/config/options.inc:190
 msgid "Default form input size"
 msgstr "Vchoz velikost textovho formulovho polka"
 
-#: src/config/options.inc:183
+#: src/config/options.inc:192
 msgid "Default form input size if none is specified."
 msgstr ""
 "Vchoz velikost textovho polka ve formuli, pokud nen specifikovna v "
 "dokumentu."
 
-#: src/config/options.inc:185
+#: src/config/options.inc:194
 msgid "Insert mode"
 msgstr "Vkldac reim"
 
-#: src/config/options.inc:187
+#: src/config/options.inc:196
 msgid ""
-"The setting for this option affects how key presses are handled\n"
-"when one selects a text-input form-field. When enabled, one must\n"
-"explicitly 'enter' a selected text-field to edit it; this prevents\n"
-"text fields from capturing key presses, such as presses of a scroll\n"
-"key, when it is inadvertently selected. When disabled, key presses\n"
-"are always inserted into a selected text field."
+"The setting for this option affects how key presses are handled when one "
+"selects a text-input form-field. When enabled, one must explicitly 'enter' a "
+"selected text-field to edit it; this prevents text fields from capturing key "
+"presses, such as presses of a scroll key, when it is inadvertently selected. "
+"When disabled, key presses are always inserted into a selected text field."
 msgstr ""
 
-#: src/config/options.inc:194
+#: src/config/options.inc:204
 #, fuzzy
 msgid "External editor"
 msgstr "Otevt v externm editoru"
 
-#: src/config/options.inc:196
+#: src/config/options.inc:206
 msgid ""
-"Path to the executable that ELinks should launch when the user\n"
-"requests to edit a textarea with an external editor.\n"
-"If this is blank, ELinks will use the value of the environmental\n"
-"variable $EDITOR. If $EDITOR is empty or not set, ELinks will then\n"
-"default to \"vi\"."
+"Path to the executable that ELinks should launch when the user requests to "
+"edit a textarea with an external editor.\n"
+"\n"
+"If this is blank, ELinks will use the value of the environmental variable "
+"$EDITOR. If $EDITOR is empty or not set, ELinks will then default to \"vi\"."
 msgstr ""
 
-#: src/config/options.inc:203
+#: src/config/options.inc:214
 msgid "Images"
 msgstr "Obrzky"
 
-#: src/config/options.inc:205
+#: src/config/options.inc:216
 msgid "Options for handling of images."
 msgstr "Nastaven obsluhy obrzk."
 
-#: src/config/options.inc:207
+#: src/config/options.inc:218
 msgid "Display style for image tags"
 msgstr "Zpsob zobrazovn odkaz na obrzky"
 
-#: src/config/options.inc:209
+#: src/config/options.inc:220
 msgid ""
 "Display style for image tags when displayed:\n"
 "0     means always display IMG\n"
 "1     means always display filename\n"
-"2     means display alt/title attribute if possible, IMG if not\n"
-"3     means display alt/title attribute if possible, filename if not"
+"2     means display alt/title attribute if possible,\n"
+"      IMG if not\n"
+"3     means display alt/title attribute if possible,\n"
+"      filename if not"
 msgstr ""
 
-#: src/config/options.inc:215
+#: src/config/options.inc:228
 msgid "Maximum length for image filename"
 msgstr "Maximln dlka jmna souboru s obrzkem"
 
-#: src/config/options.inc:217
+#: src/config/options.inc:230
+#, fuzzy
 msgid ""
 "Maximum length of image filename when displayed:\n"
 "0     means always display full filename\n"
 "1-500 means display filename with this maximal length;\n"
-"      if it is longer, the middle is substituted by an asterisk"
+"      if it is longer, the middle is substituted by\n"
+"      an asterisk"
 msgstr ""
 "Maximln dlka zobrazenho jmna souboru s obrzkem:\n"
 "0     znamen vdycky ukazovat cel jmno clovho souboru\n"
 "1-500 znamen ukazovat clov jmno souboru s touto maximln dlkou;\n"
 "      pokud je del, prostedek je nahrazen hvzdikou"
 
-#: src/config/options.inc:227
+#: src/config/options.inc:241
 msgid "Image links tagging"
 msgstr "Znakovn odkaz na obrzky"
 
-#: src/config/options.inc:229
+#: src/config/options.inc:243
 msgid ""
 "When to enclose image links:\n"
 "0 means never\n"
@@ -2412,96 +2431,99 @@ msgstr ""
 "chovn)\n"
 "2 znamen vdy"
 
-#: src/config/options.inc:234
+#: src/config/options.inc:248
 msgid "Image link prefix"
 msgstr "Prefix odkazu na obrzek"
 
-#: src/config/options.inc:236
+#: src/config/options.inc:250
 msgid "Prefix string to use to mark image links."
 msgstr "etzec, kter se m vloit ped odkaz na obrzek."
 
-#: src/config/options.inc:238
+#: src/config/options.inc:252
 msgid "Image link suffix"
 msgstr "Suffix odkazu na obrzek."
 
-#: src/config/options.inc:240
+#: src/config/options.inc:254
 msgid "Suffix string to use to mark image links."
 msgstr "etzec, kter se m vloit za odkaz na obrzek."
 
-#: src/config/options.inc:242
+#: src/config/options.inc:256
 msgid "Maximum length for image label"
 msgstr "Maximln dlka popisky obrzku"
 
-#: src/config/options.inc:244
+#: src/config/options.inc:258
+#, fuzzy
 msgid ""
 "Maximum length of image label (alt/title):\n"
 "0     means always display full label\n"
 "1-500 means display label with this maximal length;\n"
-"      if it is longer, the middle is substituted by an asterisk"
+"      if it is longer, the middle is substituted by\n"
+"      an asterisk"
 msgstr ""
 "Maximln dlka zobrazen popisky obrzku (alt/title):\n"
 "0     znamen vdycky ukazovat cel jmno clovho souboru\n"
 "1-500 znamen ukazovat clov jmno souboru s touto maximln dlkou;\n"
 "      pokud je del, prostedek je nahrazen hvzdikou"
 
-#: src/config/options.inc:249
+#: src/config/options.inc:264
 msgid "Display links to images w/o alt"
 msgstr "Zobrazovat odkazy na obrzky bez altu."
 
-#: src/config/options.inc:251
+#: src/config/options.inc:266
+#, fuzzy
 msgid ""
-"Display links to images without an alt attribute. If this option\n"
-"is off, these images are completely invisible."
+"Display links to images without an alt attribute. If this option is off, "
+"these images are completely invisible."
 msgstr ""
 "Zobrazovat odkazy na obrzky bez popisky (atributu alt). Pokud je\n"
 "tato volba vypnuta, jsou takov obrzky neviditeln."
 
-#: src/config/options.inc:254
+#: src/config/options.inc:269
 msgid "Display links to images"
 msgstr "Zobrazovat odkazy na obrzky"
 
-#: src/config/options.inc:256
+#: src/config/options.inc:271
+#, fuzzy
 msgid ""
-"Display links to any images in the document, regardless of them\n"
-"having an alt attribute or not. If this option is off, the alt\n"
-"attribute contents is shown, but as normal text, not selectable\n"
-"as a link."
+"Display links to any images in the document, regardless of them having an "
+"alt attribute or not. If this option is off, the alt attribute contents is "
+"shown, but as normal text, not selectable as a link."
 msgstr ""
 "Zobrzovat odkazy na jakkoliv obrzky v dokumentu, a maj popisku\n"
 "(atribut alt) nebo ne. Pokud je tato volba vypnut, je zobrazena\n"
 "popiska, ale jenom jako normln text; nen to odkaz na nic."
 
-#: src/config/options.inc:262
+#: src/config/options.inc:277
 msgid "Links"
 msgstr "Odkazy"
 
-#: src/config/options.inc:264
+#: src/config/options.inc:279
 msgid "Options for handling of links to other documents."
 msgstr "Nastaven obsluhy odkaz na jin dokumenty."
 
-#: src/config/options.inc:266
+#: src/config/options.inc:281
 msgid "Active link"
 msgstr "Aktivn odkaz"
 
-#: src/config/options.inc:268
+#: src/config/options.inc:283
 msgid "Options for the active link."
 msgstr "Nastaven aktivnho odkazu."
 
-#: src/config/options.inc:270
+#: src/config/options.inc:285
 msgid "Colors"
 msgstr "Barvy"
 
-#: src/config/options.inc:272
+#: src/config/options.inc:287
 msgid "Active link colors."
 msgstr "Barva aktivnho odkazu."
 
-#: src/config/options.inc:274 src/config/options.inc:549
-#: src/config/options.inc:945
+#: src/config/options.inc:289 src/config/options.inc:583
+#: src/config/options.inc:1014
 msgid "Background color"
 msgstr "Barva pozad"
 
-#: src/config/options.inc:276 src/config/options.inc:551
-#: src/config/options.inc:946
+#: src/config/options.inc:291 src/config/options.inc:585
+#: src/config/options.inc:1015
 msgid "Default background color."
 msgstr "Vchoz barva pozad."
 
@@ -2513,76 +2535,77 @@ msgstr "Vchoz barva pozad."
 #. *	on it.
 #. The colors and mono tree should be similar but with different default
 #. * values of course so always use the macros below.
-#: src/config/options.inc:278 src/config/options.inc:545
-#: src/config/options.inc:943
+#: src/config/options.inc:293 src/config/options.inc:579
+#: src/config/options.inc:1012
 msgid "Text color"
 msgstr "Barva textu"
 
-#: src/config/options.inc:280 src/config/options.inc:547
-#: src/config/options.inc:944
+#: src/config/options.inc:295 src/config/options.inc:581
+#: src/config/options.inc:1013
 msgid "Default text color."
 msgstr "Vchoz barva textu."
 
-#: src/config/options.inc:282
+#: src/config/options.inc:297
 msgid "Enable color"
 msgstr "Zapnout barvy"
 
-#: src/config/options.inc:284
+#: src/config/options.inc:299
+#, fuzzy
 msgid ""
-"Enable use of the active link background and text color\n"
-"settings instead of the link colors from the document."
+"Enable use of the active link background and text color settings instead of "
+"the link colors from the document."
 msgstr ""
 "Zapnout pouit nastaven barvy textu a pozad aktivnho odkazu msto\n"
 "nastaven barev podle dokumentu."
 
-#: src/config/options.inc:287
+#: src/config/options.inc:302
 msgid "Bold"
 msgstr "Tun"
 
-#: src/config/options.inc:289
+#: src/config/options.inc:304
 msgid "Make the active link text bold."
 msgstr "Nakreslit text aktivnho odkazu tun."
 
-#: src/config/options.inc:291
+#: src/config/options.inc:306
 msgid "Invert colors"
 msgstr "Inverzn barvy"
 
-#: src/config/options.inc:293
+#: src/config/options.inc:308
 msgid "Invert the fore- and background color so the link stands out."
 msgstr "Inverzn barva pozad i poped, take odkaz vystupuje z textu."
 
-#: src/config/options.inc:296 src/config/options.inc:908
+#: src/config/options.inc:311 src/config/options.inc:975
 #: src/dialogs/options.c:231
 msgid "Underline"
 msgstr "Podtren"
 
-#: src/config/options.inc:298
+#: src/config/options.inc:313
 msgid "Underline the active link."
 msgstr "Podtrhnout aktivn odkaz."
 
-#: src/config/options.inc:301
+#: src/config/options.inc:316
 msgid "Directory highlighting"
 msgstr "Zvrazovat odkazy na adrese"
 
-#: src/config/options.inc:303
+#: src/config/options.inc:318
 msgid "Highlight links to directories in FTP and local directory listing."
 msgstr ""
 "Zvrazovat odkazy na adrese ve vpisech adres na loklnm disku i\n"
 "pes FTP."
 
-#: src/config/options.inc:305
+#: src/config/options.inc:321
 msgid "Number links"
 msgstr "slovat odkazy"
 
-#: src/config/options.inc:307
+#: src/config/options.inc:323
 msgid "Display numbers next to the links."
 msgstr "Zobrazovat u odkaz jejich sla."
 
-#: src/config/options.inc:309
+#: src/config/options.inc:325
 msgid "Handling of target=_blank"
 msgstr "Obsluha target=_blank"
 
-#: src/config/options.inc:311
+#: src/config/options.inc:327
 msgid ""
 "Define how to handle links having target=_blank set:\n"
 "0 means open link in current tab\n"
@@ -2591,36 +2614,36 @@ msgid ""
 "3 means open link in new window"
 msgstr ""
 
-#: src/config/options.inc:324
+#: src/config/options.inc:340
 msgid "Use tabindex"
 msgstr "Pouvat tabindex"
 
-#: src/config/options.inc:326
+#: src/config/options.inc:342
 msgid ""
-"Whether to navigate links using tabindex specified ordering.\n"
-"The TABINDEX attribute in HTML elements specifies the order\n"
-"in which links should receive focus when using the keyboard\n"
-"to navigate the document."
+"Whether to navigate links using tabindex specified ordering. The TABINDEX "
+"attribute in HTML elements specifies the order in which links should receive "
+"focus when using the keyboard to navigate the document."
 msgstr ""
 
-#: src/config/options.inc:331
+#: src/config/options.inc:347
 #, fuzzy
 msgid "Missing fragment reporting"
 msgstr "Chybc fragment"
 
-#: src/config/options.inc:333
+#: src/config/options.inc:349
 #, fuzzy
 msgid "Open a message box when document has no tag with given id."
 msgstr "Zobraz hlen, kdy skript zpsob chybu."
 
-#: src/config/options.inc:335
+#: src/config/options.inc:352
 msgid "Number keys select links"
 msgstr "Numerick klvesy vybraj odkazy"
 
-#: src/config/options.inc:337
+#: src/config/options.inc:354
+#, fuzzy
 msgid ""
-"Number keys select links rather than specify command prefixes. This\n"
-"is a tristate:\n"
+"Number keys select links rather than specify command prefixes. This is a "
+"tristate:\n"
 "0 means never\n"
 "1 means if document.browse.links.numbering = 1\n"
 "2 means always"
@@ -2631,115 +2654,117 @@ msgstr ""
 "1 znamen pouze, pokud document.browse.links.numbering = 1\n"
 "2 znamen vdy"
 
-#: src/config/options.inc:343
+#: src/config/options.inc:360
 msgid "Warn about maliciously crafted URIs"
 msgstr "Varovn ped zlomysln vytvoenmi adresami"
 
-#: src/config/options.inc:345
+#: src/config/options.inc:362
 msgid ""
-"When following a link the user ID part of the URI is\n"
-"checked and if a maliciously crafted URI is detected a\n"
-"warning dialog will ask before following the link."
+"When following a link the user ID part of the URI is checked and if a "
+"maliciously crafted URI is detected a warning dialog will ask before "
+"following the link."
 msgstr ""
 
 #. TODO - this is somehow implemented by ff, but disabled
 #. * for now as it doesn't work.
-#: src/config/options.inc:351
+#: src/config/options.inc:368
 msgid "Wrap-around links cycling"
 msgstr "Zacyklen pechzen mezi odkazy"
 
 #. 0
-#: src/config/options.inc:353
+#: src/config/options.inc:370
 #, fuzzy
 msgid ""
-"When pressing 'down' on the last link, jump to the first one, and\n"
-"vice versa."
+"When pressing 'down' on the last link, jump to the first one, and vice versa."
 msgstr ""
 "Pi stisku klvesy 'dol' na poslednm odkazu se pesu na prvn odkaz\n"
 "a naopak."
 
-#: src/config/options.inc:357
+#: src/config/options.inc:374
 msgid "Scrolling"
 msgstr "Posun v textu"
 
-#: src/config/options.inc:359
+#: src/config/options.inc:376
 msgid "Scrolling options."
 msgstr "Nastaven tkajc se posouvn textu vemonmi smry."
 
-#: src/config/options.inc:361
+#: src/config/options.inc:378
 msgid "Horizontal step"
 msgstr "Horizontln krok"
 
-#: src/config/options.inc:363
+#: src/config/options.inc:380
+#, fuzzy
 msgid ""
-"Number of columns to scroll when a key bound to scroll-left or scroll-\n"
-"right is pressed and no prefix was given."
+"Number of columns to scroll when a key bound to scroll-left or scroll-right "
+"is pressed and no prefix was given."
 msgstr ""
 "Poet sloupc, o kter by se ml dokument odscrollovat po stisku klvesy\n"
 "odpovdajc akci scroll-left a scroll-right, a nebyl ped stiskem tto\n"
 "klvesy dn poet opakovn."
 
-#: src/config/options.inc:366
+#: src/config/options.inc:384
 msgid "Extended horizontal scrolling"
 msgstr ""
 
-#: src/config/options.inc:368
+#: src/config/options.inc:386
 msgid ""
-"Whether to allow horizontal scrolling when the document\n"
-"does not extend off the screen. Useful for copy/paste\n"
-"operations."
+"Whether to allow horizontal scrolling when the document does not extend off "
+"the screen. Useful for copy/paste operations."
 msgstr ""
 
-#: src/config/options.inc:372
+#: src/config/options.inc:390
 msgid "Margin"
 msgstr "Okraj"
 
-#: src/config/options.inc:374
+#: src/config/options.inc:392
+#, fuzzy
 msgid ""
-"Size of the virtual margin - when you click inside of that margin,\n"
-"document scrolls in that direction."
+"Size of the virtual margin - when you click inside of that margin, document "
+"scrolls in that direction."
 msgstr ""
 "Velikost virtulnho okraje - po kliknut do tohoto citlivho okraje,\n"
 "dokument se odscrolluje v danm smru."
 
-#: src/config/options.inc:377
+#: src/config/options.inc:395
 msgid "Vertical step"
 msgstr "Vertikln krok"
 
-#: src/config/options.inc:379
+#: src/config/options.inc:397
+#, fuzzy
 msgid ""
-"Number of lines to scroll when a key bound to scroll-up or scroll-\n"
-"down is pressed and no prefix was given."
+"Number of lines to scroll when a key bound to scroll-up or scroll-down is "
+"pressed and no prefix was given."
 msgstr ""
 "Poet dek, o kter by se ml dokument odscrollovat po stisku klvesy\n"
 "odpovdajc akci scroll-up a scroll-down, a nebyl tto klvese dn dn\n"
 "seln prefix."
 
-#: src/config/options.inc:383
+#: src/config/options.inc:401
 msgid "Searching"
 msgstr "Vyhledvn"
 
-#: src/config/options.inc:385
+#: src/config/options.inc:403
 msgid "Options for searching."
 msgstr "Nastaven vyhledvn."
 
-#: src/config/options.inc:387
+#: src/config/options.inc:405
 msgid "Case sensitivity"
 msgstr "Rozliovn velikosti psmen"
 
-#: src/config/options.inc:389
+#: src/config/options.inc:407
+#, fuzzy
 msgid ""
-"Whether the search should match the document text while maintaining\n"
-"case sensitivity."
+"Whether the search should match the document text while maintaining case "
+"sensitivity."
 msgstr ""
 "Uruje, jestli se maj pi vyhledvn etzc brt v potaz rozdly mezi\n"
 "velikost psmen."
 
-#: src/config/options.inc:393
+#: src/config/options.inc:411
 msgid "Regular expressions"
 msgstr "Regulrn vrazy"
 
-#: src/config/options.inc:395
+#: src/config/options.inc:413
 msgid ""
 "Enable searching with regular expressions:\n"
 "0 for plain text searching\n"
@@ -2751,34 +2776,34 @@ msgstr ""
 "1 znamen vyhledvn zkladnch regulrnch vraz\n"
 "2 znamen vyhledvn rozench regulrnch vraz"
 
-#: src/config/options.inc:401
+#: src/config/options.inc:419
 msgid "Show search hit top or bottom dialogs"
 msgstr "Zobrazovat upozornn o vyhledvn, kter doshlo zatku dokumentu"
 
-#: src/config/options.inc:403
+#: src/config/options.inc:421
 #, fuzzy
 msgid ""
-"Whether to show a dialog when the search hits the top or bottom of the\n"
+"Whether to show a dialog when the search hits the top or bottom of the "
 "document."
 msgstr ""
 "Zdalipak ukazovat upozornn, kdy vyhledvn doshne zatku nebo\n"
 "konce dokumentu."
 
-#: src/config/options.inc:406
+#: src/config/options.inc:424
 msgid "Wraparound"
 msgstr "Cyklit"
 
-#: src/config/options.inc:408
+#: src/config/options.inc:426
 msgid "Wrap around when searching. Currently only used for typeahead."
 msgstr ""
 "Pokud vyhledvn doshne konce dokumentu, pokraovat na zatku. Nyn "
 "vyuito pouze pro interaktivn vyhledvn."
 
-#: src/config/options.inc:410
+#: src/config/options.inc:429
 msgid "Show not found"
 msgstr "Akce pi nenalezen vskytu"
 
-#: src/config/options.inc:412
+#: src/config/options.inc:431
 msgid ""
 "How to inform the user when nothing is matched:\n"
 "0 means do nothing\n"
@@ -2790,43 +2815,46 @@ msgstr ""
 "1 znamen ppnout\n"
 "2 znamen ukzat chybovou zprvu"
 
-#: src/config/options.inc:417
+#: src/config/options.inc:436
 msgid "Typeahead searching"
 msgstr "Interaktivn vyhledvn"
 
-#: src/config/options.inc:419
+#: src/config/options.inc:438
 msgid ""
-"Start typeahead searching when an unbound key is pressed without\n"
-"any modifiers. Note that most keys have default bindings, so this\n"
-"feature will not be useful unless you unbind them.\n"
+"Start typeahead searching when an unbound key is pressed without any "
+"modifiers. Note that most keys have default bindings, so this feature will "
+"not be useful unless you unbind them.\n"
 "\n"
-"0 disables this feature; typeahead searching will only be used\n"
-"  when you press a key bound to search-typeahead or similar\n"
+"0 disables this feature; typeahead searching will only be\n"
+"  used when you press a key bound to search-typeahead or\n"
+"  similar\n"
 "1 automatically starts typeahead searching thru link text\n"
-"2 automatically starts typeahead searching thru all document text"
+"2 automatically starts typeahead searching thru all document\n"
+"  text"
 msgstr ""
 
-#: src/config/options.inc:428
+#: src/config/options.inc:451
 msgid "Horizontal text margin"
 msgstr "Horizontln okraj textu"
 
-#: src/config/options.inc:430
+#: src/config/options.inc:453
 msgid "Horizontal text margin."
 msgstr "Horizontln okraj textu."
 
-#: src/config/options.inc:432
+#: src/config/options.inc:455
 msgid "Document meta refresh"
 msgstr "Automatick obnovovn dokument"
 
-#: src/config/options.inc:434
+#: src/config/options.inc:457
 #, fuzzy
 msgid ""
-"Automatically follow document-specified refresh directives ('<meta>\n"
-"refresh' tags). Web-page authors use these to instruct the browser\n"
-"to reload a document at a given interval or to load another page.\n"
-"Regardless of the value the refresh URI is accessible as a link.\n"
-"Use the document.browse.minimum_refresh_time to control the minimum\n"
-"number of seconds a refresh will wait."
+"Automatically follow document-specified refresh directives ('<meta> refresh' "
+"tags). Web-page authors use these to instruct the browser to reload a "
+"document at a given interval or to load another page. Regardless of the "
+"value the refresh URI is accessible as a link.\n"
+"\n"
+"Use the document.browse.minimum_refresh_time to control the minimum number "
+"of seconds a refresh will wait."
 msgstr ""
 "Automaticky nsledovat obnovovac direktivy specifikovan v dokumentu\n"
 "('<meta> refresh' tagy). Autoi webovch strnek pouvaj tento\n"
@@ -2836,63 +2864,62 @@ msgstr ""
 "zdola omezit minimln interval pro obnoven dokumentu, hejbnte troku\n"
 "s volbou document.browse.minimum_refresh_time."
 
-#: src/config/options.inc:441
+#: src/config/options.inc:466
 msgid "Document meta refresh minimum time"
 msgstr "Minimln prodleva pro automatick obnovovn"
 
-#: src/config/options.inc:443
+#: src/config/options.inc:468
+#, fuzzy
 msgid ""
-"The minimum number of milliseconds that should pass before\n"
-"refreshing. If set to zero the document refresh time is used\n"
-"unchanged. It can fix going back in history for some sites that\n"
-"use refreshing with zero values."
+"The minimum number of milliseconds that should pass before refreshing. If "
+"set to zero the document refresh time is used unchanged. It can fix going "
+"back in history for some sites that use refreshing with zero values."
 msgstr ""
 "Minimln as v milisekundch, kter by ml probhnout ped automatickm\n"
 "obnovenm strnky. Pokud chcete vdy pout prodlevu nastavenou v "
 "dokumentu,\n"
 "dejte tam nulu. Ale me bt problm s pohyby v historii pes tyto strnky,"
 
-#: src/config/options.inc:448
+#: src/config/options.inc:473
 msgid "Tables navigation order"
 msgstr "Poad navigace v tabulkch"
 
-#: src/config/options.inc:450
+#: src/config/options.inc:475
 msgid "Move by columns in table, instead of rows."
 msgstr "Pesun po odkazech v tabulce pjde po sloupcch, nikoliv po dcch."
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:456
+#: src/config/options.inc:481
 msgid "Cache"
 msgstr "Cache"
 
-#: src/config/options.inc:458
+#: src/config/options.inc:483
 msgid "Cache options."
 msgstr "Nastaven cache."
 
-#: src/config/options.inc:460
+#: src/config/options.inc:485
 msgid "Cache information about redirects"
 msgstr "Pamatovat si informaci o pesmrovnch"
 
-#: src/config/options.inc:462
+#: src/config/options.inc:487
 #, fuzzy
 msgid ""
-"Cache even redirects sent by server (usually thru HTTP by a 302\n"
-"HTTP code and a Location header). This was the original behaviour\n"
-"for quite some time, but it causes problems in a situation very\n"
-"common to various web login systems - frequently, when accessing\n"
-"a certain location, they will redirect you to a login page if they\n"
-"don't receive an auth cookie, the login page then gives you the\n"
-"cookie and redirects you back to the original page, but there you\n"
-"have already cached redirect back to the login page! If this\n"
-"option has value of 0, this malfunction is fixed, but occasionally\n"
-"you may get superfluous (depends on how you take it ;-) requests to\n"
-"the server. If this option has value of 1, experienced users can\n"
-"still workaround it by clever combination of usage of reload,\n"
-"jumping around in session history and hitting ctrl+enter.\n"
-"Note that this option is checked when retrieving the information\n"
-"from cache, not when saving it to cache - thus if you enable\n"
-"it, even previous redirects will be taken from cache instead of\n"
-"asking the server."
+"Cache even redirects sent by server (usually thru HTTP by a 302 HTTP code "
+"and a Location header). This was the original behaviour for quite some time, "
+"but it causes problems in a situation very common to various web login "
+"systems - frequently, when accessing a certain location, they will redirect "
+"you to a login page if they don't receive an auth cookie, the login page "
+"then gives you the cookie and redirects you back to the original page, but "
+"there you have already cached redirect back to the login page! If this "
+"option has value of 0, this malfunction is fixed, but occasionally you may "
+"get superfluous (depends on how you take it ;-) requests to the server. If "
+"this option has value of 1, experienced users can still workaround it by "
+"clever combination of usage of reload, jumping around in session history and "
+"hitting ctrl+enter.\n"
+"\n"
+"Note that this option is checked when retrieving the information from cache, "
+"not when saving it to cache - thus if you enable it, even previous redirects "
+"will be taken from cache instead of asking the server."
 msgstr ""
 "Zdalipak bychom si mli pamatovat informaci o pesmrovnch od serveru\n"
 "(obvykle pes HTTP pomoc HTTP kdu 302 a hlaviky Location). To bylo\n"
@@ -2910,186 +2937,189 @@ msgstr ""
 "pi zskvn informac z cache, ne pi jejich ukldn do cache - to\n"
 "znamen, e jej zmna ovlivn i ji nacachovan pesmrovn."
 
-#: src/config/options.inc:480
+#: src/config/options.inc:508
 msgid "Ignore cache-control info from server"
 msgstr "Ignorovat informaci o cachovn od serveru"
 
-#: src/config/options.inc:482
+#: src/config/options.inc:510
+#, fuzzy
 msgid ""
-"Ignore Cache-Control and Pragma server headers.\n"
-"When set, the document is cached even with 'Cache-Control: no-cache'."
+"Ignore Cache-Control and Pragma server headers. When set, the document is "
+"cached even with 'Cache-Control: no-cache'."
 msgstr ""
 "Ignorovat hlaviky Cache-Control a Pragma, pijat od serveru.\n"
 "Pokud je tato volba nastavena, dokument je nacachovn, i kdy byl\n"
 "staen s hlavikou 'Cache-Control: no-cache'."
 
-#: src/config/options.inc:485
+#: src/config/options.inc:514
 msgid "Formatted documents"
 msgstr "Formtovan dokumenty"
 
-#: src/config/options.inc:487
+#: src/config/options.inc:516
 msgid "Format cache options."
 msgstr "Nastaven cache formtovanch dokument."
 
-#: src/config/options.inc:489
+#: src/config/options.inc:518
 msgid "Number"
 msgstr "Poet"
 
-#: src/config/options.inc:491
+#: src/config/options.inc:520
 msgid ""
-"Number of cached formatted pages. Do not get too generous\n"
-"here, 'formatted' means that all the accompanying structures\n"
-"are kept in memory so that you get the cached document\n"
-"immediatelly, but these structures may take a lot - 2x the\n"
-"size of the HTML source is probably not unusual, but it can\n"
-"be even more if the document consists of a lot of short lines\n"
-"(padded right, if possible) and links and not much other markup.\n"
-"So if you set this to 256 and then you don't like your ELinks\n"
-"eating 90M, don't come complaining to us. ;-)\n"
-"Also note that the format cache itself is not counted to the\n"
-"memory cache size, but the HTML source of the formatted documents\n"
-"is always cached, even if it is over the memory cache size\n"
-"threshold. (Then of course no other documents can be cached.)"
+"Number of cached formatted pages. Do not get too generous here, 'formatted' "
+"means that all the accompanying structures are kept in memory so that you "
+"get the cached document immediatelly, but these structures may take a lot - "
+"2x the size of the HTML source is probably not unusual, but it can be even "
+"more if the document consists of a lot of short lines (padded right, if "
+"possible) and links and not much other markup. So if you set this to 256 and "
+"then you don't like your ELinks eating 90M, don't come complaining to "
+"us. ;-)\n"
+"\n"
+"Also note that the format cache itself is not counted to the memory cache "
+"size, but the HTML source of the formatted documents is always cached, even "
+"if it is over the memory cache size threshold. (Then of course no other "
+"documents can be cached.)"
 msgstr ""
 
 #. FIXME: Write more.
-#: src/config/options.inc:506
+#: src/config/options.inc:538
 #, fuzzy
 msgid "Revalidation interval"
 msgstr "Interval automatickho ukldn"
 
-#: src/config/options.inc:508
+#: src/config/options.inc:540
 msgid ""
-"Period in seconds that a cache entry is considered to be\n"
-"up-to-date. When a document is loaded and this interval has elapsed\n"
-"since the document was initially loaded or most recently\n"
-"revalidated with the server, the server will be checked in case\n"
-"there is a more up-to-date version of the document.\n"
+"Period in seconds that a cache entry is considered to be up-to-date. When a "
+"document is loaded and this interval has elapsed since the document was "
+"initially loaded or most recently revalidated with the server, the server "
+"will be checked in case there is a more up-to-date version of the document.\n"
 "\n"
 "A value of -1 disables automatic revalidation."
 msgstr ""
 
-#: src/config/options.inc:515 src/dialogs/info.c:199
+#: src/config/options.inc:549 src/dialogs/info.c:199
 msgid "Memory cache"
 msgstr "Pamov cache"
 
-#: src/config/options.inc:517
+#: src/config/options.inc:551
 msgid "Memory cache options."
 msgstr "Nastaven pamov cache."
 
-#: src/config/options.inc:521
+#: src/config/options.inc:555
 msgid "Memory cache size (in bytes)."
 msgstr "Velikost pamov cache (v bytech)."
 
-#: src/config/options.inc:525
+#: src/config/options.inc:559
 msgid "Charset"
 msgstr "Znakov sada"
 
-#: src/config/options.inc:527
+#: src/config/options.inc:561
 msgid "Charset options."
 msgstr "Nastaven znakovch sad."
 
-#: src/config/options.inc:529
+#: src/config/options.inc:563
 msgid "Default codepage"
 msgstr "Vchoz kdov strnka"
 
-#: src/config/options.inc:531
+#: src/config/options.inc:565
+#, fuzzy
 msgid ""
-"Default document codepage. 'System' stands for\n"
-"a codepage determined by a selected locale."
+"Default document codepage. 'System' stands for a codepage determined by a "
+"selected locale."
 msgstr ""
 "Vchod kdov strnka dokumentu. 'System' znamen kdovou strnku\n"
 "zvolenou dle nastaven systmov lokalizace (locale)."
 
-#: src/config/options.inc:534
+#: src/config/options.inc:568
 msgid "Ignore charset info from server"
 msgstr "Ignorovat informaci o kdov strnce od serveru"
 
-#: src/config/options.inc:536
+#: src/config/options.inc:570
 msgid "Ignore charset info sent by server."
 msgstr "Ignorovat informaci o kdov strnce, odeslanou serverem."
 
-#: src/config/options.inc:540
+#: src/config/options.inc:574
 msgid "Default color settings"
 msgstr "Vchoz nastaven barev"
 
-#: src/config/options.inc:542
+#: src/config/options.inc:576
 msgid "Default document color settings."
 msgstr "Vchoz nastaven barev dokumentu."
 
-#: src/config/options.inc:553
+#: src/config/options.inc:587
 msgid "Link color"
 msgstr "Barva odkazu"
 
-#: src/config/options.inc:555
+#: src/config/options.inc:589
 msgid "Default link color."
 msgstr "Vchoz barva odkazu."
 
-#: src/config/options.inc:557
+#: src/config/options.inc:591
 msgid "Visited-link color"
 msgstr "Barva navtvenho odkazu"
 
-#: src/config/options.inc:559
+#: src/config/options.inc:593
 msgid "Default visited link color."
 msgstr "Vchoz barva navtvenho odkazu."
 
-#: src/config/options.inc:561
+#: src/config/options.inc:595
 msgid "Image-link color"
 msgstr "Barva obrzkovho odkazu"
 
-#: src/config/options.inc:563
+#: src/config/options.inc:597
 msgid "Default image link color."
 msgstr "Vchoz barva odkazu na obrzek."
 
-#: src/config/options.inc:565
+#: src/config/options.inc:599
 msgid "Bookmarked-link color"
 msgstr "Barva zabookmarkovanho odkazu"
 
-#: src/config/options.inc:567
+#: src/config/options.inc:601
 msgid "Default bookmarked link color."
 msgstr "Vchoz barva bookmarknutho odkazu."
 
-#: src/config/options.inc:569
+#: src/config/options.inc:603
 msgid "Directory color"
 msgstr "Barva adrese"
 
-#: src/config/options.inc:571
+#: src/config/options.inc:605
+#, fuzzy
 msgid ""
 "Default directory color.\n"
+"\n"
 "See document.browse.links.color_dirs option."
 msgstr ""
 "Vchoz barva odkazu na adres.\n"
 "Viz volbu document.browse.links.color_dirs."
 
-#: src/config/options.inc:578
+#: src/config/options.inc:613
 #, fuzzy
 msgid "Increase contrast"
 msgstr "Zajistit kontrast"
 
-#: src/config/options.inc:580
+#: src/config/options.inc:615
 msgid ""
-"Increase the contrast between the foreground and background colors\n"
-"to ensure readability. For example it disallows dark colors on a\n"
-"black background. Note, this is different from ensuring the contrast\n"
-"with the ensure_contrast option."
+"Increase the contrast between the foreground and background colors to ensure "
+"readability. For example it disallows dark colors on a black background. "
+"Note, this is different from ensuring the contrast with the ensure_contrast "
+"option."
 msgstr ""
 
-#: src/config/options.inc:585
+#: src/config/options.inc:621
 msgid "Ensure contrast"
 msgstr "Zajistit kontrast"
 
-#: src/config/options.inc:587
+#: src/config/options.inc:623
 #, fuzzy
 msgid "Makes sure that the back- and foreground colors are never equal."
 msgstr "Zajiuje, e barva poped a pozad nebude nikdy stejn."
 
 #. If you change this please also change ACT_MAIN_DOCUMENT_COLORS action
 #. * handling.
-#: src/config/options.inc:592
+#: src/config/options.inc:628
 msgid "Use document-specified colors"
 msgstr "Pouvat barvy nastaven v dokumentu"
 
-#: src/config/options.inc:594
+#: src/config/options.inc:630
 #, fuzzy
 msgid ""
 "Use colors specified in document:\n"
@@ -3112,40 +3142,41 @@ msgstr ""
 "  terminl a na svm terminlu prhlednost nastavenou."
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:607
+#: src/config/options.inc:643
 msgid "Downloading"
 msgstr "Stahovn"
 
-#: src/config/options.inc:609
+#: src/config/options.inc:645
 msgid "Options regarding files downloading and handling."
 msgstr "Nastaven stahovn soubor a jejich obsluhy."
 
-#: src/config/options.inc:611
+#: src/config/options.inc:647
 msgid "Default download directory"
 msgstr "Vchoz adres pro stahovan soubory"
 
-#: src/config/options.inc:613
+#: src/config/options.inc:649
 msgid "Default download directory."
 msgstr "Vchoz adres pro stahovan soubory."
 
-#: src/config/options.inc:615
+#: src/config/options.inc:651
 msgid "Set original time"
 msgstr "Nastavit pvodn as"
 
-#: src/config/options.inc:617
+#: src/config/options.inc:653
+#, fuzzy
 msgid ""
-"Set the timestamp of each downloaded file to the timestamp\n"
-"stored on the server."
+"Set the timestamp of each downloaded file to the timestamp stored on the "
+"server."
 msgstr ""
 "Nastav as vytvoen staenho souboru na as vytvoen souboru,\n"
 "jak je uloen na serveru."
 
 #. Does automatic resuming make sense as an option?
-#: src/config/options.inc:621
+#: src/config/options.inc:657
 msgid "Prevent overwriting"
 msgstr "Pedchzet pepisovn"
 
-#: src/config/options.inc:623
+#: src/config/options.inc:659
 msgid ""
 "Prevent overwriting the local files:\n"
 "0 is files will silently be overwritten\n"
@@ -3157,11 +3188,11 @@ msgstr ""
 "1 znamen, e k souboru bude pidna ppona .<slo> (nap. .1)\n"
 "2 znamen dotzat se uivatele."
 
-#: src/config/options.inc:628
+#: src/config/options.inc:664
 msgid "Notify download completion by bell"
 msgstr "Upozornit na ukonen stahovn ppnutm"
 
-#: src/config/options.inc:630
+#: src/config/options.inc:666
 msgid ""
 "Audio notification when download is completed:\n"
 "0 is never\n"
@@ -3173,29 +3204,30 @@ msgstr ""
 "1 znamen upozornit, pokud je nastaveno upozornn na ukonen stahovn\n"
 "2 znamen vdy"
 
-#: src/config/options.inc:636
+#: src/config/options.inc:672
 msgid "Dump output"
 msgstr "Dump vstup"
 
-#: src/config/options.inc:638
+#: src/config/options.inc:674
 msgid "Dump output options."
 msgstr "Nastaven dump vstupu."
 
 #. OPT_CODEPAGE
-#: src/config/options.inc:640 src/config/options.inc:912
+#: src/config/options.inc:676 src/config/options.inc:980
 #: src/config/opttypes.c:481 src/dialogs/document.c:164
 msgid "Codepage"
 msgstr "Kdov strnka"
 
-#: src/config/options.inc:642
+#: src/config/options.inc:678
+#, fuzzy
 msgid ""
-"Codepage used in dump output. 'System' stands for\n"
-"a codepage determined by a selected locale."
+"Codepage used in dump output. 'System' stands for a codepage determined by a "
+"selected locale."
 msgstr ""
 "Vchod kdov strnka pro dump vstup. 'System' znamen kdovou strnku\n"
 "zvolenou dle nastaven systmov lokalizace (locale)."
 
-#: src/config/options.inc:645 src/config/options.inc:878
+#: src/config/options.inc:681 src/config/options.inc:941
 msgid "Color mode"
 msgstr "Barevn reim"
 
@@ -3204,12 +3236,15 @@ msgstr "Barevn reim"
 #. * an outer list entry after an inner list.
 #. * TRANSLATORS: This restriction applies only to the
 #. * "en" (English) translation.  (See doc/Makefile.)
-#: src/config/options.inc:652
+#: src/config/options.inc:688
+#, fuzzy
 msgid ""
 "Color mode for dumps.\n"
+"\n"
 "Some modes may have been disabled at compile time. The Setup -> Terminal "
 "options dialog lists the modes supported by this executable. If you select "
 "an unsupported mode, ELinks uses 16 colors.\n"
+"\n"
 "The color modes are:\n"
 "-1 is standard dump mode\n"
 "0 is mono mode\n"
@@ -3218,124 +3253,127 @@ msgid ""
 "3 is 256 color mode\n"
 "4 is true color mode"
 msgstr ""
+"Barevn reim uruje, jak barvy jsou pouvny a jak jsou nastavovny na\n"
+"vaem terminlu. Barevn reimy jsou:\n"
+"0, to jest monochromatick reim; jsou pouity pouze dv barvy\n"
+"1, to jest 16 barev; pouv barvy podle specifikace ANSI\n"
+"2, to jest 256 barev; pouv RGB kdy XTermu"
 
-#: src/config/options.inc:665
+#: src/config/options.inc:703
 msgid "Footer"
 msgstr "Patika"
 
-#: src/config/options.inc:667
+#: src/config/options.inc:705
 #, c-format
 msgid "Footer string used in dumps. %u is substituted by URL."
 msgstr "Patika pouit v dump vstupu. %u je nahrazeno URL."
 
-#: src/config/options.inc:671
+#: src/config/options.inc:709
 #, c-format
 msgid "Header string used in dumps. %u is substituted by URL."
 msgstr "Hlavika pouit v dump vstupu. %u je nahrazeno URL."
 
-#: src/config/options.inc:673
+#: src/config/options.inc:711
 #, fuzzy
 msgid "Numbering"
 msgstr "Poet"
 
-#: src/config/options.inc:675
+#: src/config/options.inc:713
 #, fuzzy
 msgid "Whether to print link numbers in dump output."
 msgstr "Neslovat odkazy v dump vstupu"
 
-#: src/config/options.inc:677
+#: src/config/options.inc:715
 #, fuzzy
 msgid "References"
 msgstr "Zdroje"
 
-#: src/config/options.inc:679
+#: src/config/options.inc:717
 #, fuzzy
-msgid ""
-"Whether to print references (URIs) of document links\n"
-"in dump output."
+msgid "Whether to print references (URIs) of document links in dump output."
 msgstr ""
 "Zabrn slovn odkaz (a zobrazovn jejich seznamu na konci dokumentu)\n"
 "pi -dump vstupu; to bylo vchoz chovn a do 0.5pre12. Mjte na pamti,\n"
 "e se tento parametr tk jen a pouze --dump."
 
-#: src/config/options.inc:682
+#: src/config/options.inc:720
 msgid "Separator"
 msgstr "Oddlova"
 
-#: src/config/options.inc:684
+#: src/config/options.inc:722
 msgid "String which separates two dumps."
 msgstr "Oddlova mezi dvma dump vstupy."
 
-#: src/config/options.inc:686
+#: src/config/options.inc:724
 msgid "Width"
 msgstr "ka"
 
-#: src/config/options.inc:688
+#: src/config/options.inc:726
 msgid "Width of screen in characters when dumping documents."
 msgstr "ka pomysln obrazovky (ve znacch) pi dump vstupu."
 
-#: src/config/options.inc:692
+#: src/config/options.inc:730
 msgid "History"
 msgstr "Historie"
 
-#: src/config/options.inc:694
+#: src/config/options.inc:732
 msgid "History options."
 msgstr "Nastaven historie."
 
-#: src/config/options.inc:696
+#: src/config/options.inc:734
 msgid "Keep unhistory"
 msgstr "drba antihistorie"
 
-#: src/config/options.inc:698
+#: src/config/options.inc:736
 msgid "Keep unhistory (\"forward history\")."
 msgstr "Udrovat antihistorii (\"dopednou historii\")."
 
-#: src/config/options.inc:701
+#: src/config/options.inc:739
 msgid "HTML rendering"
 msgstr "Zobrazovn HTML"
 
-#: src/config/options.inc:703
+#: src/config/options.inc:741
 msgid "Options concerning the display of HTML pages."
 msgstr "Nastaven tkajc se zobrazovn HTML strnek."
 
-#: src/config/options.inc:705
+#: src/config/options.inc:743
 msgid "Display frames"
 msgstr "Zobrazovat rmce"
 
-#: src/config/options.inc:707
+#: src/config/options.inc:745
 msgid "Display frames."
 msgstr "Zobrazovat rmce."
 
-#: src/config/options.inc:709
+#: src/config/options.inc:747
 msgid "Display tables"
 msgstr "Zobrazovat tabulky"
 
-#: src/config/options.inc:711
+#: src/config/options.inc:749
 msgid "Display tables."
 msgstr "Zobrazovat tabulky."
 
-#: src/config/options.inc:713
+#: src/config/options.inc:751
 msgid "Display subscripts"
 msgstr "Zobrazovat horn indexy"
 
-#: src/config/options.inc:715
+#: src/config/options.inc:753
 msgid "Display subscripts (as [thing])."
 msgstr "Zobrazovat horn indexy (jako [index])."
 
-#: src/config/options.inc:717
+#: src/config/options.inc:755
 msgid "Display superscripts"
 msgstr "Zobrazovat doln indexy"
 
-#: src/config/options.inc:719
+#: src/config/options.inc:757
 msgid "Display superscripts (as ^thing)."
 msgstr "Zobrazovat doln indexy (jako ^index)."
 
-#: src/config/options.inc:721
+#: src/config/options.inc:759
 #, fuzzy
 msgid "Rendering of HTML link element"
 msgstr "Zobrazovn HTML elementu \"link\" (specilnch odkaz)"
 
-#: src/config/options.inc:723
+#: src/config/options.inc:761
 msgid ""
 "How to render <link> tags from the HTML header:\n"
 "0 is nothing\n"
@@ -3353,76 +3391,75 @@ msgstr ""
 "4 znamen jet zobrazit typ\n"
 "5 znamen zobrazit ve"
 
-#: src/config/options.inc:731
+#: src/config/options.inc:769
 msgid "Underline links"
 msgstr "Podtrhvat"
 
-#: src/config/options.inc:733
+#: src/config/options.inc:771
 msgid "Underline links."
 msgstr "Podtrhvat odkazy."
 
-#: src/config/options.inc:735
+#: src/config/options.inc:773
 msgid "Wrap non breaking space"
 msgstr "Rozdlovat nedliteln mezery"
 
-#: src/config/options.inc:737
+#: src/config/options.inc:775
+#, fuzzy
 msgid ""
-"If set do not honour non breaking space (the nbsp entity)\n"
-"but allow to wrap the text. This can help keeping the width\n"
-"of documents down so no horizontal scrolling is needed."
+"If set do not honour non breaking space (the nbsp entity) but allow to wrap "
+"the text. This can help keeping the width of documents down so no horizontal "
+"scrolling is needed."
 msgstr ""
 "Pokud je tato volba nastavena, nedliteln mezery (entita &nbsp;)\n"
 "budou povaovny za normln mezery a bude na nich rozdlovn text.\n"
 "To me pomoci proti dokumentm, kter jsou tak irok, e muste\n"
 "pi jejich prohlen pout horizontln scrollovn."
 
-#: src/config/options.inc:742
+#: src/config/options.inc:780
 msgid "Plain rendering"
 msgstr "Zobrazovn textovch dokument"
 
-#: src/config/options.inc:744
+#: src/config/options.inc:782
 msgid "Options concerning the display of plain text pages."
 msgstr "Nastaven tkajc se zobrazovn strnek s istm textem."
 
-#: src/config/options.inc:746
+#: src/config/options.inc:784
 msgid "Display URIs"
 msgstr "Zobrazovat odkazy"
 
-#: src/config/options.inc:748
+#: src/config/options.inc:786
 msgid "Display URIs in the document as links."
 msgstr "Zobrazovat URI (internetov adresy) v dokumentu jako odkazy."
 
-#: src/config/options.inc:750
+#: src/config/options.inc:788
 msgid "Compress empty lines"
 msgstr "Slouit przdn dky"
 
-#: src/config/options.inc:752
+#: src/config/options.inc:790
 msgid "Compress successive empty lines to only one in displayed text."
 msgstr "Slouit nkolik przdnch dk za sebou v jenom jeden."
 
-#: src/config/options.inc:755
+#: src/config/options.inc:794
 msgid "URI passing"
 msgstr "Pedvn URI"
 
-#: src/config/options.inc:757
+#: src/config/options.inc:796
 msgid ""
-"Rules for passing URIs to external commands. When one rule\n"
-"is defined the link and tab menu will have a menu item that\n"
-"makes it possible to pass the the link, frame or tab URI to\n"
-"an external command. If several rules are defined the link and\n"
-"tab menu will have a submenu of items for each rule. Note, this\n"
-"is mostly useful for launching graphical viewers, since there\n"
-"is no support for releasing the terminal while the command runs.\n"
-"The action and submenus are also available by binding keys to\n"
-"the frame-external-command, the link-external-command, and\n"
-"the tab-external-command actions."
+"Rules for passing URIs to external commands. When one rule is defined the "
+"link and tab menu will have a menu item that makes it possible to pass the "
+"the link, frame or tab URI to an external command. If several rules are "
+"defined the link and tab menu will have a submenu of items for each rule.\n"
+"\n"
+"Note, this is mostly useful for launching graphical viewers, since there is "
+"no support for releasing the terminal while the command runs. The action and "
+"submenus are also available by binding keys to the frame-external-command, "
+"the link-external-command, and the tab-external-command actions."
 msgstr ""
 
-#: src/config/options.inc:770
+#: src/config/options.inc:812
 #, fuzzy
 msgid ""
-"A rule for passing URI to an external command.\n"
-"The format is:\n"
+"A rule for passing URI to an external command. The format is:\n"
 "%c in the string means the current URL\n"
 "%% in the string means '%'\n"
 "Do _not_ put single- or double-quotes around %c."
@@ -3435,43 +3472,44 @@ msgstr ""
 "Nepite kolem %c dn uvozovky ani apostrofy."
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:780
+#: src/config/options.inc:822
 msgid "Information files"
 msgstr "Informan soubory"
 
-#: src/config/options.inc:782
+#: src/config/options.inc:824
 msgid "Options for information files in ~/.elinks."
 msgstr "Nastaven informanch soubor v ~/.elinks."
 
-#: src/config/options.inc:784
+#: src/config/options.inc:826
 msgid "Save interval"
 msgstr "Interval automatickho ukldn"
 
-#: src/config/options.inc:786
+#: src/config/options.inc:828
 #, fuzzy
 msgid ""
-"Interval at which to trigger information files in ~/.elinks\n"
-"to be saved to disk if they have changed (seconds; 0 to disable)"
+"Interval at which to trigger information files in ~/.elinks to be saved to "
+"disk if they have changed (seconds; 0 to disable)"
 msgstr ""
 "Interval, ve kterm budou na disk zapisovny informan soubory\n"
 "v ~/.elinks, pokud se od poslednho zapsn na disk njak zmnila\n"
 "(v sekundch; 0 toto chovn potlauje)."
 
-#: src/config/options.inc:789
+#: src/config/options.inc:832
 msgid "Use secure file saving"
 msgstr "Pouvat bezpen ukldn soubor"
 
-#: src/config/options.inc:791
+#: src/config/options.inc:834
 #, fuzzy
 msgid ""
-"First write data to unique temporary file, then rename this file\n"
-"upon successfully finishing this. Note that this relates only to\n"
-"config files, not downloaded files. You may want to disable\n"
-"it if you are using some exotic permissions for concerned files.\n"
-"Secure file saving is automagically disabled if file is symlink.\n"
-"Warning: some systems (ie. OS/2, Win32) require that destination\n"
-"file doesn't exist when rename(3) is called, breaking atomicity,\n"
-"and reducing reliability of this feature."
+"First write data to unique temporary file, then rename this file upon "
+"successfully finishing this. Note that this relates only to config files, "
+"not downloaded files. You may want to disable it if you are using some "
+"exotic permissions for concerned files. Secure file saving is automagically "
+"disabled if file is symlink.\n"
+"\n"
+"Warning: some systems (ie. OS/2, Win32) require that destination file "
+"doesn't exist when rename(3) is called, breaking atomicity, and reducing "
+"reliability of this feature."
 msgstr ""
 "Tato volba zpsob, e budou data nejdve zapsna do souboru\n"
 "'soubor.tmp', a tento soubor bude pejmenovn na pvodn jmno teprve po\n"
@@ -3481,36 +3519,36 @@ msgstr ""
 "pstupovmi prvy. Bezpen ukldn soubor je automaticky vypnuto,\n"
 "pokud je soubor symbolick link."
 
-#: src/config/options.inc:800
+#: src/config/options.inc:846
 #, fuzzy
 msgid "Use fsync(3) with secure file saving"
 msgstr "Pouvat bezpen ukldn soubor"
 
-#: src/config/options.inc:802
+#: src/config/options.inc:848
 msgid ""
-"When using secure file saving, call fsync(3), if the OS\n"
-"supports it, to force the OS immediately to write the data\n"
-"to permanent storage. This is optional for those who wish\n"
-"to avoid excessive disk I/O."
+"When using secure file saving, call fsync(3), if the OS supports it, to "
+"force the OS immediately to write the data to permanent storage. This is "
+"optional for those who wish to avoid excessive disk I/O."
 msgstr ""
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:811
+#: src/config/options.inc:857
 msgid "Terminals"
 msgstr "Terminly"
 
-#: src/config/options.inc:813
+#: src/config/options.inc:859
 msgid "Terminal options."
 msgstr "Nastaven terminlu."
 
-#: src/config/options.inc:817
+#: src/config/options.inc:863
 msgid "Options specific to this terminal type (according to $TERM value)."
 msgstr "Volby specifick pro tento typ terminlu (podle hodnoty $TERM)."
 
-#: src/config/options.inc:842
+#: src/config/options.inc:889
+#, fuzzy
 msgid ""
-"Terminal type; matters mostly only when drawing frames and\n"
-"dialog box borders:\n"
+"Terminal type; matters mostly only when drawing frames and dialog box "
+"borders:\n"
 "0 is dumb terminal type, ASCII art\n"
 "1 is VT100, simple but portable\n"
 "2 is Linux, you get double frames and other goodies\n"
@@ -3525,16 +3563,32 @@ msgstr ""
 "3 znamen KOI-8\n"
 "4 znamen FreeBSD terminl"
 
-#: src/config/options.inc:850 src/dialogs/options.c:227
+#: src/config/options.inc:897
+msgid "Always encode xterm title in ISO-8859-1"
+msgstr ""
+
+#: src/config/options.inc:899
+msgid ""
+"When updating the window title of xterm or a similar terminal emulator, "
+"encode the title in ISO-8859-1 (Latin-1), rather than in the charset used "
+"for other text in the window. Cyrillic and other characters get replaced "
+"with Latin ones. Xterm requires this unless you explicitly enable UTF-8 "
+"titles in it.\n"
+"\n"
+"If this option does not take effect immediately, try switching to a "
+"different page so that ELinks notices it needs to update the title."
+msgstr ""
+
+#: src/config/options.inc:910 src/dialogs/options.c:227
 msgid "Switch fonts for line drawing"
 msgstr "Pepnat fonty pi kreslen ar"
 
-#: src/config/options.inc:852
+#: src/config/options.inc:912
 #, fuzzy
 msgid ""
-"Switch fonts when drawing lines, enabling both local characters\n"
-"and lines working at the same time. ELinks uses this option only if\n"
-"UTF-8 I/O is disabled and the terminal type is Linux or FreeBSD."
+"Switch fonts when drawing lines, enabling both local characters and lines "
+"working at the same time. ELinks uses this option only if UTF-8 I/O is "
+"disabled and the terminal type is Linux or FreeBSD."
 msgstr ""
 "Pepnat pi kreslen ar fonty. Dky tomu by mlo fungovat zrove\n"
 "kreslen ar a mstnch znak. Tato volba m vak smysl pouze pro linuxov\n"
@@ -3545,43 +3599,45 @@ msgstr ""
 #. * and if so, behave as if "utf_8_io" were 1.  (When CONFIG_UTF8 is
 #. * not defined, it should not be possible to set UTF-8 as "codepage";
 #. * please report any such possibilities as bugs.)
-#: src/config/options.inc:861 src/dialogs/options.c:232
+#: src/config/options.inc:922 src/dialogs/options.c:232
 msgid "UTF-8 I/O"
 msgstr "UTF-8 I/O"
 
-#: src/config/options.inc:863
+#: src/config/options.inc:924
 #, fuzzy
 msgid ""
-"Enable I/O in UTF-8 for Unicode terminals. Note that currently,\n"
-"only the subset of UTF-8 according to terminal codepage is used.\n"
-"ELinks ignores this option if the terminal codepage is UTF-8."
+"Enable I/O in UTF-8 for Unicode terminals. Note that currently, only the "
+"subset of UTF-8 according to terminal codepage is used. ELinks ignores this "
+"option if the terminal codepage is UTF-8."
 msgstr ""
 "Pouvat pro terminlov vstup a vstup kdovn UTF-8; to um vyut\n"
 "sprvn nakonfigurovan terminly podporujc Unicode. Je vak teba si\n"
 "uvdomit, e v souasnosti je podporovna pouze podmnoina UTF8 v\n"
 "zvislosti na aktuln zvolenm kdovn terminlu."
 
-#: src/config/options.inc:867 src/dialogs/options.c:228
+#: src/config/options.inc:929 src/dialogs/options.c:228
 msgid "Restrict frames in cp850/852"
 msgstr "Ohranien rmeky v cp850/852"
 
-#: src/config/options.inc:869
+#: src/config/options.inc:931
+#, fuzzy
 msgid ""
-"Restrict the characters used when drawing lines. Makes sense\n"
-"only with linux terminals using the cp850/852 character sets."
+"Restrict the characters used when drawing lines. Makes sense only with linux "
+"terminals using the cp850/852 character sets."
 msgstr ""
 "Omezit znaky pouvan pro kreslen ar. Tato volba m smysl pouze pro\n"
 "linuxov terminly pouivajc kdovn cp850 i cp852."
 
-#: src/config/options.inc:872 src/dialogs/options.c:229
+#: src/config/options.inc:935 src/dialogs/options.c:229
 msgid "Block cursor"
 msgstr "Blokovat kurzor"
 
-#: src/config/options.inc:874
+#: src/config/options.inc:937
+#, fuzzy
 msgid ""
-"Move cursor to bottom right corner when done drawing.\n"
-"This is particularly useful when we have a block cursor,\n"
-"so that inversed text is displayed correctly."
+"Move cursor to bottom right corner when done drawing. This is particularly "
+"useful when we have a block cursor, so that inversed text is displayed "
+"correctly."
 msgstr ""
 "Pesunout kurzor po kadm dokreslen obrazovky do pravho dolnho rohu.\n"
 "To je zvlt uiten, pokud kurzor pekrv celou plochu znaku, nebo\n"
@@ -3592,14 +3648,16 @@ msgstr ""
 #. * an outer list entry after an inner list.
 #. * TRANSLATORS: This restriction applies only to the
 #. * "en" (English) translation.  (See doc/Makefile.)
-#: src/config/options.inc:885
+#: src/config/options.inc:948
 #, fuzzy
 msgid ""
 "The color mode controls what colors are used and how they are output to the "
 "terminal.\n"
+"\n"
 "Some modes may have been disabled at compile time. The Setup -> Terminal "
 "options dialog lists the modes supported by this executable. If you select "
 "an unsupported mode, ELinks uses 16 colors.\n"
+"\n"
 "The color modes are:\n"
 "0 is mono mode, only 2 colors are used\n"
 "1 is 16 color mode, uses the common ANSI colors\n"
@@ -3613,21 +3671,19 @@ msgstr ""
 "1, to jest 16 barev; pouv barvy podle specifikace ANSI\n"
 "2, to jest 256 barev; pouv RGB kdy XTermu"
 
-#: src/config/options.inc:898 src/dialogs/options.c:230
+#: src/config/options.inc:963 src/dialogs/options.c:230
 msgid "Transparency"
 msgstr "Prhlednost"
 
-#: src/config/options.inc:900
+#: src/config/options.inc:965
 #, fuzzy
 msgid ""
-"If we should not set the background to black. This is particularly\n"
-"useful when we have a terminal (typically in some windowing\n"
-"environment) with a background image or a transparent background -\n"
-"it will be visible in ELinks as well (but ELinks document color handling\n"
-"will still assume the background is black so if you have a bright "
-"background\n"
-"you might experience contrast problems). Note that this option makes\n"
-"sense only when colors are enabled."
+"If we should not set the background to black. This is particularly useful "
+"when we have a terminal (typically in some windowing environment) with a "
+"background image or a transparent background - it will be visible in ELinks "
+"as well (but ELinks document color handling will still assume the background "
+"is black so if you have a bright background you might experience contrast "
+"problems). Note that this option makes sense only when colors are enabled."
 msgstr ""
 "Uruje, abychom nenastavovali pozad, pokud by mlo bt ern. To je "
 "zvlt\n"
@@ -3635,393 +3691,394 @@ msgstr ""
 "s obrzkem na pozad nebo prhlednm pozad - bude vidt i v ELinksu.\n"
 "Oveme tato volba m smysl, pouze pokud je zapnuta podpora barev."
 
-#: src/config/options.inc:910
+#: src/config/options.inc:977
 msgid "If we should use underline or enhance the color instead."
 msgstr ""
 "Zdali bychom mli pouvat podtrhvn i msto toho zvraznit pouitou "
 "barvu."
 
-#: src/config/options.inc:914
+#: src/config/options.inc:982
+#, fuzzy
 msgid ""
-"Codepage of charset used for displaying content on terminal.\n"
-"'System' stands for a codepage determined by a selected locale."
+"Codepage of charset used for displaying content on terminal. 'System' stands "
+"for a codepage determined by a selected locale."
 msgstr ""
 "Kdov strnka znakov sady pouit pro zobrazovn na terminlu.\n"
 "System' znamen kdovou strnku zvolenou dle nastaven systmov lokalizace\n"
 "(locale)."
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:921
+#: src/config/options.inc:990
 msgid "User interface"
 msgstr "Uivatelsk rozhran"
 
-#: src/config/options.inc:923
+#: src/config/options.inc:992
 msgid "User interface options."
 msgstr "Nastaven uivatelskho rozhran."
 
-#: src/config/options.inc:927
+#: src/config/options.inc:996
 msgid "Color settings"
 msgstr "Nastaven barev"
 
-#: src/config/options.inc:929
+#: src/config/options.inc:998
 msgid "Default user interface color settings."
 msgstr "Vchoz nastaven barev uivatelskho rozhran."
 
-#: src/config/options.inc:956
+#: src/config/options.inc:1025
 msgid "Color terminals"
 msgstr "Barevn terminly"
 
-#: src/config/options.inc:958
+#: src/config/options.inc:1027
 msgid "Color settings for color terminal."
 msgstr "Nastaven barev pro barevn terminly."
 
-#: src/config/options.inc:960
+#: src/config/options.inc:1029
 msgid "Non-color terminals"
 msgstr "Nebarevn terminly"
 
-#: src/config/options.inc:962
+#: src/config/options.inc:1031
 msgid "Color settings for non-color terminal."
 msgstr "Nastaven barev pro nebarevn terminly."
 
 #. FIXME: obsolete, how to alias them correctly ? --Zas
-#: src/config/options.inc:965
+#: src/config/options.inc:1034
 msgid "Main menu bar"
 msgstr "Lita s hlavnm menu."
 
-#: src/config/options.inc:967
+#: src/config/options.inc:1036
 msgid "Main menu bar colors."
 msgstr "Barvy lity hlavnho menu."
 
-#: src/config/options.inc:969
+#: src/config/options.inc:1038
 msgid "Unselected main menu bar item"
 msgstr "Nevybran poloka hlavnho menu"
 
-#: src/config/options.inc:971
+#: src/config/options.inc:1040
 msgid "Unselected main menu bar item colors."
 msgstr "Barvy nevybran poloky hlavnho menu."
 
-#: src/config/options.inc:973
+#: src/config/options.inc:1042
 msgid "Selected main menu bar item"
 msgstr "Vybran poloka hlavnho menu"
 
-#: src/config/options.inc:975
+#: src/config/options.inc:1044
 msgid "Selected main menu bar item colors."
 msgstr "Barvy vybran poloky hlavnho menu."
 
-#: src/config/options.inc:977 src/config/options.inc:1006
+#: src/config/options.inc:1046 src/config/options.inc:1075
 msgid "Hotkey"
 msgstr "Hork klvesa"
 
-#: src/config/options.inc:979
+#: src/config/options.inc:1048
 msgid "Main menu hotkey colors."
 msgstr "Barva hork klvesy v hlavnm menu."
 
-#: src/config/options.inc:981 src/config/options.inc:1010
+#: src/config/options.inc:1050 src/config/options.inc:1079
 msgid "Unselected hotkey"
 msgstr "Nevybran hork klvesa"
 
-#: src/config/options.inc:983
+#: src/config/options.inc:1052
 msgid "Main menu unselected hotkey colors."
 msgstr "Barva nevybran hork klvesy v hlavnm menu."
 
-#: src/config/options.inc:985 src/config/options.inc:1014
+#: src/config/options.inc:1054 src/config/options.inc:1083
 msgid "Selected hotkey"
 msgstr "Vybran hork klvesa"
 
-#: src/config/options.inc:987
+#: src/config/options.inc:1056
 msgid "Main menu selected hotkey colors."
 msgstr "Barva vybran hork klvesy v hlavnm menu."
 
-#: src/config/options.inc:990
+#: src/config/options.inc:1059
 msgid "Menu bar"
 msgstr "Lita s menu"
 
-#: src/config/options.inc:992
+#: src/config/options.inc:1061
 msgid "Menu bar colors."
 msgstr "Barvy lity s menu."
 
-#: src/config/options.inc:994
+#: src/config/options.inc:1063
 msgid "Unselected menu item"
 msgstr "Nevybran poloka menu"
 
-#: src/config/options.inc:996
+#: src/config/options.inc:1065
 msgid "Unselected menu item colors."
 msgstr "Barvy nevybran poloky menu."
 
-#: src/config/options.inc:998
+#: src/config/options.inc:1067
 msgid "Selected menu item"
 msgstr "Vybran poloka menu"
 
-#: src/config/options.inc:1000
+#: src/config/options.inc:1069
 msgid "Selected menu item colors."
 msgstr "Barvy vybran poloky menu."
 
-#: src/config/options.inc:1002
+#: src/config/options.inc:1071
 msgid "Marked menu item"
 msgstr "Oznaen poloka menu"
 
-#: src/config/options.inc:1004
+#: src/config/options.inc:1073
 msgid "Marked menu item colors."
 msgstr "Barvy oznaen poloky menu."
 
-#: src/config/options.inc:1008
+#: src/config/options.inc:1077
 msgid "Menu item hotkey colors."
 msgstr "Barvy hork klvesy poloky menu."
 
-#: src/config/options.inc:1012
+#: src/config/options.inc:1081
 msgid "Menu item unselected hotkey colors."
 msgstr "Barvy hork klvesy nevybran poloky menu."
 
-#: src/config/options.inc:1016
+#: src/config/options.inc:1085
 msgid "Menu item selected hotkey colors."
 msgstr "Barvy hork klvesy vybran poloky menu."
 
-#: src/config/options.inc:1018
+#: src/config/options.inc:1087
 msgid "Menu frame"
 msgstr "Rmeek menu"
 
-#: src/config/options.inc:1020
+#: src/config/options.inc:1089
 msgid "Menu frame colors."
 msgstr "Barvy rmeku menu."
 
-#: src/config/options.inc:1023
+#: src/config/options.inc:1092
 msgid "Dialog"
 msgstr "Dialog"
 
-#: src/config/options.inc:1025
+#: src/config/options.inc:1094
 msgid "Dialog colors."
 msgstr "Barvy dialogovho okna."
 
-#: src/config/options.inc:1035
+#: src/config/options.inc:1104
 msgid "Generic"
 msgstr "Obecn"
 
-#: src/config/options.inc:1037
+#: src/config/options.inc:1106
 msgid "Generic dialog colors."
 msgstr "Obecn barva dialogu."
 
-#: src/config/options.inc:1039
+#: src/config/options.inc:1108
 msgid "Frame"
 msgstr "Rmeek"
 
-#: src/config/options.inc:1041
+#: src/config/options.inc:1110
 msgid "Dialog frame colors."
 msgstr "Barva rmeku dialogovho okna."
 
-#: src/config/options.inc:1043
+#: src/config/options.inc:1112
 msgid "Scrollbar"
 msgstr "Scrollovtko"
 
-#: src/config/options.inc:1045
+#: src/config/options.inc:1114
 msgid "Scrollbar colors."
 msgstr "Barvy scrollovtka."
 
-#: src/config/options.inc:1047
+#: src/config/options.inc:1116
 #, fuzzy
 msgid "Selected scrollbar"
 msgstr "Barvy vybranho tabu."
 
-#: src/config/options.inc:1049
+#: src/config/options.inc:1118
 msgid "Scrollbar selected colors."
 msgstr "Barvy vybranho scrollovtka."
 
-#: src/config/options.inc:1053
+#: src/config/options.inc:1122
 msgid "Dialog title colors."
 msgstr "Barva titulku dialogovho okna."
 
-#: src/config/options.inc:1055
+#: src/config/options.inc:1124
 msgid "Text"
 msgstr "Text"
 
-#: src/config/options.inc:1057
+#: src/config/options.inc:1126
 msgid "Dialog text colors."
 msgstr "Barvy textu dialogovho okna."
 
-#: src/config/options.inc:1059 src/viewer/text/form.c:1862
+#: src/config/options.inc:1128 src/viewer/text/form.c:1891
 msgid "Checkbox"
 msgstr "Zakrtvac tvereek"
 
-#: src/config/options.inc:1061
+#: src/config/options.inc:1130
 msgid "Dialog checkbox colors."
 msgstr "Barvy zakrtvacho tvereku."
 
-#: src/config/options.inc:1063
+#: src/config/options.inc:1132
 #, fuzzy
 msgid "Selected checkbox"
 msgstr "Vybran tab"
 
-#: src/config/options.inc:1065
+#: src/config/options.inc:1134
 #, fuzzy
 msgid "Dialog selected checkbox colors."
 msgstr "Barvy vybranho tlatka."
 
-#: src/config/options.inc:1067
+#: src/config/options.inc:1136
 msgid "Checkbox label"
 msgstr "Popiska zakrtvacho tvereku"
 
-#: src/config/options.inc:1069
+#: src/config/options.inc:1138
 msgid "Dialog checkbox label colors."
 msgstr "Barvy popisky zakrtvacho tvereku."
 
-#: src/config/options.inc:1071
+#: src/config/options.inc:1140
 msgid "Button"
 msgstr "Tlatko"
 
-#: src/config/options.inc:1073 src/config/options.inc:1081
+#: src/config/options.inc:1142 src/config/options.inc:1150
 msgid "Dialog button colors."
 msgstr "Barvy tlatka."
 
-#: src/config/options.inc:1075
+#: src/config/options.inc:1144
 msgid "Selected button"
 msgstr "Vybran tlatko"
 
-#: src/config/options.inc:1077 src/config/options.inc:1085
+#: src/config/options.inc:1146 src/config/options.inc:1154
 msgid "Dialog selected button colors."
 msgstr "Barvy vybranho tlatka."
 
-#: src/config/options.inc:1079
+#: src/config/options.inc:1148
 msgid "Button shortcut"
 msgstr "Klvesov zkratka tlatka"
 
-#: src/config/options.inc:1083
+#: src/config/options.inc:1152
 msgid "Selected button shortcut"
 msgstr "Vybran klvesov zkratka tlatka"
 
-#: src/config/options.inc:1087 src/viewer/text/form.c:1866
+#: src/config/options.inc:1156 src/viewer/text/form.c:1895
 msgid "Text field"
 msgstr "Textov polko"
 
-#: src/config/options.inc:1089
+#: src/config/options.inc:1158
 msgid "Dialog text field colors."
 msgstr "Barvy textovho polka."
 
-#: src/config/options.inc:1091
+#: src/config/options.inc:1160
 msgid "Text field text"
 msgstr "Text v textovm polku"
 
-#: src/config/options.inc:1093
+#: src/config/options.inc:1162
 msgid "Dialog field text colors."
 msgstr "Barvy textu textovho polka."
 
-#: src/config/options.inc:1095
+#: src/config/options.inc:1164
 msgid "Meter"
 msgstr "Teplomr"
 
-#: src/config/options.inc:1097
+#: src/config/options.inc:1166
 msgid "Dialog meter colors."
 msgstr "Barvy teplomru dialogovho okna."
 
-#: src/config/options.inc:1099
+#: src/config/options.inc:1168
 msgid "Shadow"
 msgstr "Stn"
 
-#: src/config/options.inc:1101
+#: src/config/options.inc:1170
 msgid "Dialog shadow colors (see ui.shadows option)."
 msgstr "Barvy stnu dialogu (viz volba ui.shadows)."
 
-#: src/config/options.inc:1103
+#: src/config/options.inc:1172
 msgid "Title bar"
 msgstr "Lita s titulkem"
 
-#: src/config/options.inc:1105
+#: src/config/options.inc:1174
 msgid "Title bar colors."
 msgstr "Barvy lity s titulkem."
 
-#: src/config/options.inc:1107
+#: src/config/options.inc:1176
 msgid "Generic title bar"
 msgstr "Obecn lita s titulkem"
 
-#: src/config/options.inc:1109
+#: src/config/options.inc:1178
 msgid "Generic title bar colors."
 msgstr "Barvy obecn lity s titulkem."
 
-#: src/config/options.inc:1111
+#: src/config/options.inc:1180
 msgid "Title bar text"
 msgstr "Text titulku"
 
-#: src/config/options.inc:1113
+#: src/config/options.inc:1182
 msgid "Title bar text colors."
 msgstr "Barvy textu lity s titulkem."
 
-#: src/config/options.inc:1116
+#: src/config/options.inc:1185
 msgid "Status bar"
 msgstr "Stavov lita"
 
-#: src/config/options.inc:1118
+#: src/config/options.inc:1187
 msgid "Status bar colors."
 msgstr "Barvy stavov lity."
 
-#: src/config/options.inc:1120
+#: src/config/options.inc:1189
 msgid "Generic status bar"
 msgstr "Obecn stavov lita"
 
-#: src/config/options.inc:1122
+#: src/config/options.inc:1191
 msgid "Generic status bar colors."
 msgstr "Barvy obecn stavov lity."
 
-#: src/config/options.inc:1124
+#: src/config/options.inc:1193
 msgid "Status bar text"
 msgstr "Text stavov lity"
 
-#: src/config/options.inc:1126
+#: src/config/options.inc:1195
 msgid "Status bar text colors."
 msgstr "Barvy textu stavov lity."
 
-#: src/config/options.inc:1129
+#: src/config/options.inc:1198
 msgid "Tabs bar"
 msgstr "Lita s taby"
 
-#: src/config/options.inc:1131
+#: src/config/options.inc:1200
 msgid "Tabs bar colors."
 msgstr "Barvy lity s taby."
 
-#: src/config/options.inc:1133
+#: src/config/options.inc:1202
 msgid "Unvisited tab"
 msgstr "Nenavtven tab"
 
-#: src/config/options.inc:1135
+#: src/config/options.inc:1204
+#, fuzzy
 msgid ""
-"Tab colors for tabs that have not been\n"
-"selected since they completed loading."
+"Tab colors for tabs that have not been selected since they completed loading."
 msgstr "Barvy tabu, kter nebyl od ukonen nahrvn navtven."
 
-#: src/config/options.inc:1138
+#: src/config/options.inc:1207
 msgid "Unselected tab"
 msgstr "Nevybran tab"
 
-#: src/config/options.inc:1140
+#: src/config/options.inc:1209
 msgid "Unselected tab colors."
 msgstr "Barvy nevybranho tabu."
 
-#: src/config/options.inc:1142
+#: src/config/options.inc:1211
 msgid "Loading tab"
 msgstr "Nahrvajc se tab"
 
-#: src/config/options.inc:1144
+#: src/config/options.inc:1213
 msgid "Tab colors for tabs that are loading in the background."
 msgstr "Barvy tabu, kter se prv na pozad nahrv."
 
-#: src/config/options.inc:1146
+#: src/config/options.inc:1215
 msgid "Selected tab"
 msgstr "Vybran tab"
 
-#: src/config/options.inc:1148
+#: src/config/options.inc:1217
 msgid "Selected tab colors."
 msgstr "Barvy vybranho tabu."
 
-#: src/config/options.inc:1150
+#: src/config/options.inc:1219
 msgid "Tab separator"
 msgstr "Oddlova v lit s taby"
 
-#: src/config/options.inc:1152
+#: src/config/options.inc:1221
 msgid "Tab separator colors."
 msgstr "Barvy oddlova lity s taby."
 
-#: src/config/options.inc:1155
+#: src/config/options.inc:1224
 msgid "Searched strings"
 msgstr "Vskyty vyhledvn"
 
-#: src/config/options.inc:1157
+#: src/config/options.inc:1226
 msgid "Searched string highlight colors."
 msgstr "Barva zvraznn vyhledanch etzc."
 
@@ -4029,79 +4086,82 @@ msgstr "Barva zvraznn vyhledanch et
 #. ============= BORING PART (colors) END ===================
 #. ==========================================================
 #. Keep options in alphabetical order.
-#: src/config/options.inc:1166
+#: src/config/options.inc:1235
 msgid "Dialog settings"
 msgstr "Dialogov okna"
 
-#: src/config/options.inc:1168
+#: src/config/options.inc:1237
 msgid "Dialogs-specific appearance and behaviour settings."
 msgstr "Nastaven vzhledu a chovn dialogovch oken."
 
-#: src/config/options.inc:1171
+#: src/config/options.inc:1240
 msgid "Minimal height of listbox widget"
 msgstr "Minimln vka listboxovho udltka"
 
-#: src/config/options.inc:1173
+#: src/config/options.inc:1242
+#, fuzzy
 msgid ""
-"Minimal height of the listbox widget (used e.g. for bookmarks\n"
-"or global history)."
+"Minimal height of the listbox widget (used e.g. for bookmarks or global "
+"history)."
 msgstr ""
 "Minimln vka listboxovho udltka (to se pouv napklad pro\n"
 "bookmarky nebo globln historii)."
 
-#: src/config/options.inc:1176
+#: src/config/options.inc:1245
 msgid "Drop shadows"
 msgstr "Stny"
 
-#: src/config/options.inc:1178
+#: src/config/options.inc:1247
+#, fuzzy
 msgid ""
-"Make dialogs drop shadows (the shadows are solid, you can\n"
-"adjust their color by ui.colors.*.dialog.shadow). You may\n"
-"also want to eliminate the wide borders by adjusting setup.h."
+"Make dialogs drop shadows (the shadows are solid, you can adjust their color "
+"by ui.colors.*.dialog.shadow). You may also want to eliminate the wide "
+"borders by adjusting setup.h."
 msgstr ""
 "Zdali by mla dialogov okna vrhat stny (stny jsou neprhledn, jejich\n"
 "barvu si vak mete upravit volbami ui.colors.*.dialog.shadow). Mon, e\n"
 "budete tak v setup.h chtt zit okraje dialogovch oken."
 
-#: src/config/options.inc:1182
+#: src/config/options.inc:1252
 msgid "Underline menu hotkeys"
 msgstr "Podtrhvat hork klvesy v menu"
 
-#: src/config/options.inc:1184
+#: src/config/options.inc:1254
 #, fuzzy
 msgid ""
-"Whether to underline hotkeys in menus to make them more\n"
-"visible. Requires that underlining is enabled for the terminal."
+"Whether to underline hotkeys in menus to make them more visible. Requires "
+"that underlining is enabled for the terminal."
 msgstr ""
 "Uruje, zdalipak podtrhvat v metkch hork klvesy, abychom je lpe\n"
 "vidli. To ovem funguje pouze, pokud terminl podporuje podtrhvn."
 
-#: src/config/options.inc:1187
+#: src/config/options.inc:1258
 msgid "Underline button shortcuts"
 msgstr "Podtrhvat hork klvesy tlatek"
 
-#: src/config/options.inc:1189
+#: src/config/options.inc:1260
 #, fuzzy
 msgid ""
-"Whether to underline button shortcuts to make them more\n"
-"visible. Requires that underlining is enabled for the terminal."
+"Whether to underline button shortcuts to make them more visible. Requires "
+"that underlining is enabled for the terminal."
 msgstr ""
 "Uruje, zdalipak podtrhvat na tlatkch hork klvesy, abychom je lpe\n"
 "vidli. To ovem funguje pouze, pokud terminl podporuje podtrhvn."
 
-#: src/config/options.inc:1193
+#: src/config/options.inc:1265
 msgid "Timer options"
 msgstr "Nastaven asova"
 
-#: src/config/options.inc:1195
+#: src/config/options.inc:1267
+#, fuzzy
 msgid ""
-"Timed action after certain interval of user inactivity. Someone can\n"
-"even find this useful, although you may not believe that."
+"Timed action after certain interval of user inactivity. Someone can even "
+"find this useful, although you may not believe that."
 msgstr ""
 "Naasovan akce, kter se spust po uritm ase neinnosti uivatele.\n"
 "Nkomu se to dokonce me i hodit, i kdy tomu nemuste vit."
 
-#: src/config/options.inc:1201
+#: src/config/options.inc:1274
 msgid ""
 "Whether to enable the timer or not:\n"
 "0 is don't count down anything\n"
@@ -4113,7 +4173,7 @@ msgstr ""
 "1 znamen odpotvat, ale potichu (nic nikde neukazovat)\n"
 "2 znamen odpotvat, a ukazovat zbvajc as u LED indiktor"
 
-#: src/config/options.inc:1208
+#: src/config/options.inc:1281
 msgid ""
 "Whether to enable the timer or not:\n"
 "0 is don't count down anything\n"
@@ -4125,35 +4185,36 @@ msgstr ""
 "1 znamen odpotvat, ale potichu (nic nikde neukazovat)\n"
 "2 znamen odpotvat, a ukazovat zbvajc as u LED indiktor (VYPNUTO)"
 
-#: src/config/options.inc:1214
+#: src/config/options.inc:1287
 msgid "Duration"
 msgstr "Dlka trvn"
 
-#: src/config/options.inc:1216
+#: src/config/options.inc:1289
+#, fuzzy
 msgid ""
-"Inactivity timeout in seconds. The maximum of one day\n"
-"should be enough for just everyone (TM)."
+"Inactivity timeout in seconds. The maximum of one day should be enough for "
+"just everyone (TM)."
 msgstr "as neinnosti uivatele. Jeden den by ml kadmu stait."
 
-#: src/config/options.inc:1221
+#: src/config/options.inc:1294
 msgid "Keybinding action to be triggered when timer reaches zero."
 msgstr ""
 "Akce (stejn jako ve sprvci klves), kter bude vyvolna po vypren\n"
 "asovae."
 
-#: src/config/options.inc:1224
+#: src/config/options.inc:1298
 msgid "Window tabs"
 msgstr "Taby"
 
-#: src/config/options.inc:1226
+#: src/config/options.inc:1300
 msgid "Window tabs settings."
 msgstr "Nastaven tab."
 
-#: src/config/options.inc:1228
+#: src/config/options.inc:1302
 msgid "Display tabs bar"
 msgstr "Zobrazit litu s taby"
 
-#: src/config/options.inc:1230
+#: src/config/options.inc:1304
 msgid ""
 "Show tabs bar on the screen:\n"
 "0 means never\n"
@@ -4165,186 +4226,192 @@ msgstr ""
 "1 znamen pouze, pokud je oteveno dva a vce tab\n"
 "2 znamen vdy"
 
-#: src/config/options.inc:1235
+#: src/config/options.inc:1309
 #, fuzzy
 msgid "Tab bar at top"
 msgstr "Oddlova v lit s taby"
 
-#: src/config/options.inc:1237
+#: src/config/options.inc:1311
 msgid "Whether display tab bar at top like other browsers do."
 msgstr ""
 
-#: src/config/options.inc:1239
+#: src/config/options.inc:1313
 msgid "Wrap-around tabs cycling"
 msgstr "Cyklick pechzen mezi taby"
 
-#: src/config/options.inc:1241
+#: src/config/options.inc:1315
 #, fuzzy
 msgid ""
-"When moving right from the last tab, jump to the first one, and\n"
-"vice versa."
+"When moving right from the last tab, jump to the first one, and vice versa."
 msgstr ""
 "Pi pesunu z poslednho tabu dle doprava peskoit na prvn tab a naopak."
 
-#: src/config/options.inc:1244
+#: src/config/options.inc:1318
 msgid "Confirm tab closing"
 msgstr "Potvrzovn uzavrn tab"
 
-#: src/config/options.inc:1246
+#: src/config/options.inc:1320
 msgid "When closing a tab show confirmation dialog."
 msgstr "Zobrazit pi zavrn tabu potvrzovac dialog."
 
 #. OPT_LANGUAGE
-#: src/config/options.inc:1250 src/config/opttypes.c:483
+#: src/config/options.inc:1324 src/config/opttypes.c:483
 msgid "Language"
 msgstr "Jazyk"
 
-#: src/config/options.inc:1252
+#: src/config/options.inc:1326
+#, fuzzy
 msgid ""
-"Language of user interface. 'System' means that the language will\n"
-"be extracted from the environment dynamically."
+"Language of user interface. 'System' means that the language will be "
+"extracted from the environment dynamically."
 msgstr ""
 "Jazyk uivatelskho rozhran. \"System\" znamen, e bude jazyk pi kadm\n"
 "sputn vythnut z relevantnch promnnch prosted."
 
-#: src/config/options.inc:1255
+#: src/config/options.inc:1330
 #, fuzzy
 msgid "Display menu bar always"
 msgstr "Zobrazit dek s titulkem"
 
-#: src/config/options.inc:1257
+#: src/config/options.inc:1332
 #, fuzzy
 msgid "Always show menu bar on the screen."
 msgstr "Zobrazit na obrazovce dek s titulkem."
 
-#: src/config/options.inc:1259
+#: src/config/options.inc:1334
 msgid "Display status bar"
 msgstr "Zobrazit stavov dek"
 
-#: src/config/options.inc:1261
+#: src/config/options.inc:1336
 msgid "Show status bar on the screen."
 msgstr "Zobrazit na obrazovce stavov dek."
 
-#: src/config/options.inc:1263
+#: src/config/options.inc:1338
 msgid "Display title bar"
 msgstr "Zobrazit dek s titulkem"
 
-#: src/config/options.inc:1265
+#: src/config/options.inc:1340
 msgid "Show title bar on the screen."
 msgstr "Zobrazit na obrazovce dek s titulkem."
 
-#: src/config/options.inc:1267
+#: src/config/options.inc:1342
 msgid "Display goto dialog in new tabs"
 msgstr "Zobrazit v novch tabech okno \"Jt na\""
 
-#: src/config/options.inc:1269
+#: src/config/options.inc:1344
 msgid ""
-"Pop up goto dialog in newly created tabs when there's no homepage\n"
-"set. This means also showing goto dialog on startup."
+"Pop up goto dialog in newly created tabs when there's no homepage set. This "
+"means also showing goto dialog on startup."
 msgstr ""
 
-#: src/config/options.inc:1272
+#: src/config/options.inc:1348
 msgid "Show a message box when file is saved successfully"
 msgstr "Dej mi vdt, pokud byl soubor spn uloen"
 
-#: src/config/options.inc:1274
+#: src/config/options.inc:1350
+#, fuzzy
 msgid ""
-"When you pressed a [ Save ] button in some manager, this option\n"
-"will make sure that a box confirming success of the operation will\n"
-"pop up."
+"When you pressed a [ Save ] button in some manager, this option will make "
+"sure that a box confirming success of the operation will pop up."
 msgstr ""
 "Kdy v njakm manaeru zmknete tlatko [ Uloit ], tato volba\n"
 "zajist, e vm vysko oknko, potvrzujc spnost tto operace."
 
-#: src/config/options.inc:1279
+#: src/config/options.inc:1355
 msgid "Sessions"
 msgstr "Sezen"
 
-#: src/config/options.inc:1281
+#: src/config/options.inc:1357
 msgid "Sessions settings."
 msgstr "Nastaven sezen."
 
-#: src/config/options.inc:1283
+#: src/config/options.inc:1359
 #, fuzzy
 msgid "Keep session active"
 msgstr "Rozliovat velikost psmen"
 
-#: src/config/options.inc:1285
+#: src/config/options.inc:1361
 msgid "Keep the session active even if the last terminal exits."
 msgstr ""
 
-#: src/config/options.inc:1287
+#: src/config/options.inc:1364
 msgid "Auto save session"
 msgstr "Automaticky ukldat sezen"
 
-#: src/config/options.inc:1289
+#: src/config/options.inc:1366
+#, fuzzy
 msgid ""
 "Automatically save the session when quitting.\n"
+"\n"
 "This feature requires bookmark support."
 msgstr ""
 "Automaticky ukldat stav sezen pi ukonovn ELinksu.\n"
 "K tomu je poteba podpora bookmark."
 
-#: src/config/options.inc:1292
+#: src/config/options.inc:1370
 msgid "Auto restore session"
 msgstr "Autmaticky obnovovat sezen"
 
-#: src/config/options.inc:1294
+#: src/config/options.inc:1372
+#, fuzzy
 msgid ""
 "Automatically restore the session at start.\n"
+"\n"
 "This feature requires bookmark support."
 msgstr ""
 "Automaticky obnovovat stav sezen pi spoutn ELinksu.\n"
 "K tomu je poteba podpora bookmark."
 
-#: src/config/options.inc:1297
+#: src/config/options.inc:1376
 msgid "Auto save and restore session folder name"
 msgstr "Jmno sloky pro automatick ukldn a obnovovn sezen"
 
-#: src/config/options.inc:1299
+#: src/config/options.inc:1378
+#, fuzzy
 msgid ""
-"Name of the bookmarks folder used for auto saving and restoring session.\n"
-"The name has to be unique. Any folders with the same name will be deleted.\n"
+"Name of the bookmarks folder used for auto saving and restoring session. The "
+"name has to be unique. Any folders with the same name will be deleted.\n"
+"\n"
 "This only makes sense with bookmark support."
 msgstr ""
 "Jmno sloky v bookmarcch pouvan pro automatick ukldn stavu\n"
 "sezen. Pokud takov sloka u existuje, smau ji. K tomuhle vemu\n"
 "je ovem poteba podpora bookmark."
 
-#: src/config/options.inc:1303
+#: src/config/options.inc:1384
 msgid "Homepage URI"
 msgstr "Domovsk strnka"
 
-#: src/config/options.inc:1305
+#: src/config/options.inc:1386
+#, fuzzy
 msgid ""
-"The URI to load either at startup time when no URI was given\n"
-"on the command line or when requested by the goto-url-home action.\n"
-"Set to \"\" if the environment variable WWW_HOME should be used\n"
-"as homepage URI instead."
+"The URI to load either at startup time when no URI was given on the command "
+"line or when requested by the goto-url-home action. Set to \"\" if the "
+"environment variable WWW_HOME should be used as homepage URI instead."
 msgstr ""
 "Adresa strnky, kter by se mla nahrt automaticky po sputn\n"
 "ELinksu i pi vyvoln akce goto-url-home. Pokud je tato volba\n"
 "przdn (\"\"), pouije se msto toho adresa v promnn prosted $WWW_HOME."
 
-#: src/config/options.inc:1311
+#: src/config/options.inc:1392
 msgid "Date format"
 msgstr "Formt datumu"
 
-#: src/config/options.inc:1313
+#: src/config/options.inc:1394
 msgid "Date format to use in dialogs. See strftime(3)."
 msgstr ""
 "Formt datumu, kter se m pout v dialozch.\n"
 "Viz dokumentaci k strftime(3)."
 
-#: src/config/options.inc:1316
+#: src/config/options.inc:1397
 msgid "Set window title"
 msgstr "Nastavovat titulek okna"
 
-#: src/config/options.inc:1318
+#: src/config/options.inc:1399
+#, fuzzy
 msgid ""
-"Set the window title when running in a windowing environment\n"
-"in an xterm-like terminal. This way the document's title is\n"
-"shown on the window titlebar."
+"Set the window title when running in a windowing environment in an xterm-"
+"like terminal. This way the document's title is shown on the window titlebar."
 msgstr ""
 "Jestlipak mme nastavovat titulek okna, pokud bme uvnit xtermoidnho\n"
 "terminlu v njakm oknkovacm prosted. Tak bude v titulku okna zobrazen\n"
@@ -4431,7 +4498,7 @@ msgid "Goto URL History"
 msgstr "Globln historie"
 
 #. name:
-#: src/cookies/cookies.c:88 src/cookies/cookies.c:911
+#: src/cookies/cookies.c:88 src/cookies/cookies.c:913
 msgid "Cookies"
 msgstr "Cookies"
 
@@ -4460,13 +4527,14 @@ msgid "Maximum age"
 msgstr "Maximln st"
 
 #: src/cookies/cookies.c:102
+#, fuzzy
 msgid ""
 "Cookie maximum age (in days):\n"
 "-1 is use cookie's expiration date if any\n"
-"0  is force expiration at the end of session, ignoring cookie's\n"
-"   expiration date\n"
-"1+ is use cookie's expiration date, but limit age to the given\n"
-"   number of days"
+"0  is force expiration at the end of session, ignoring\n"
+"   cookie's expiration date\n"
+"1+ is use cookie's expiration date, but limit age to the\n"
+"   given number of days"
 msgstr ""
 "Maximln vk cookie (ve dnech):\n"
 "-1 znamen pout datum vypren dan cookie (pokud je nastaveno)\n"
@@ -4482,11 +4550,11 @@ msgstr "Paranoidn bezpenost"
 #: src/cookies/cookies.c:111
 #, fuzzy
 msgid ""
-"When enabled, we'll require three dots in cookies domain for all\n"
-"non-international domains (instead of just two dots). Some countries\n"
-"have generic second level domains (eg. .com.pl, .co.uk) and allowing\n"
-"sites to set cookies for these generic domains could potentially be\n"
-"very bad. Note, it is off by default as it breaks a lot of sites."
+"When enabled, we'll require three dots in cookies domain for all non-"
+"international domains (instead of just two dots). Some countries have "
+"generic second level domains (eg. .com.pl, .co.uk) and allowing sites to set "
+"cookies for these generic domains could potentially be very bad. Note, it is "
+"off by default as it breaks a lot of sites."
 msgstr ""
 "Pokud je tato volba zapnuta, pro vechny nrodn domny budou vyadovny\n"
 "ve jmn hostitele alespo ti teky (namsto dvou). Nkte lid se\n"
@@ -4494,38 +4562,38 @@ msgstr ""
 "bezpen. Pro dal vysvtlen viz zdrojov kd\n"
 "(cookies.c:chech_domain_security())."
 
-#: src/cookies/cookies.c:117
+#: src/cookies/cookies.c:118
 msgid "Saving"
 msgstr "Ukldn"
 
-#: src/cookies/cookies.c:119
+#: src/cookies/cookies.c:120
 #, fuzzy
 msgid "Whether cookies should be loaded from and saved to disk."
 msgstr "Zdalipak by se mly cookies nahrvat a ukldat na disk."
 
-#: src/cookies/cookies.c:121
+#: src/cookies/cookies.c:123
 msgid "Resaving"
 msgstr "Prbn ukldn"
 
-#: src/cookies/cookies.c:123
+#: src/cookies/cookies.c:125
 #, fuzzy
 msgid ""
-"Save cookies after each change in cookies list? No effect when\n"
-"cookie saving (cookies.save) is off."
+"Save cookies after each change in cookies list? No effect when cookie saving "
+"(cookies.save) is off."
 msgstr ""
 "Uloit cookies po kad zmn v seznamu cookies?\n"
 "Tato volba nem dn vliv, pokud je vypnuto ukldn cookies."
 
-#: src/cookies/cookies.c:817
+#: src/cookies/cookies.c:819
 #, fuzzy
 msgid "Cannot save cookies"
 msgstr "Smazat vechny cookies"
 
-#: src/cookies/cookies.c:828
+#: src/cookies/cookies.c:830
 msgid "ELinks was started without a home directory."
 msgstr ""
 
-#: src/cookies/cookies.c:834
+#: src/cookies/cookies.c:836
 msgid "ELinks was started with the -anonymous option."
 msgstr ""
 
@@ -4731,7 +4799,7 @@ msgid "No header info."
 msgstr "Nedostal jsem dnou hlaviku."
 
 #: src/dialogs/download.c:243 src/dialogs/menu.c:601
-#: src/protocol/bittorrent/dialogs.c:228 src/session/download.c:361
+#: src/protocol/bittorrent/dialogs.c:228 src/session/download.c:387
 msgid "Download"
 msgstr "Stahovn"
 
@@ -5554,7 +5622,7 @@ msgid "No document"
 msgstr "dn dokument"
 
 #. name:
-#: src/document/css/css.c:30 src/document/css/css.c:161
+#: src/document/css/css.c:30 src/document/css/css.c:164
 msgid "Cascading Style Sheets"
 msgstr "Kaskdov styly"
 
@@ -5562,35 +5630,35 @@ msgstr "Kaskdov styly"
 msgid "Options concerning how to use CSS for styling documents."
 msgstr "Nastaven pouvn CSS pi stylizaci dokument."
 
-#: src/document/css/css.c:34
+#: src/document/css/css.c:35
 msgid "Enable CSS"
 msgstr "Zapnout CSS"
 
-#: src/document/css/css.c:36
+#: src/document/css/css.c:37
 msgid "Enable adding of CSS style info to documents."
 msgstr "Zapnout aplikaci CSS styl na dokumenty."
 
-#: src/document/css/css.c:38
+#: src/document/css/css.c:39
 msgid "Import external style sheets"
 msgstr "Importovat extern tabulky styl"
 
-#: src/document/css/css.c:40
+#: src/document/css/css.c:41
 msgid ""
-"When enabled any external style sheets that are imported from\n"
-"either CSS itself using the @import keyword or from the HTML using\n"
-"<link> tags in the document header will also be downloaded."
+"When enabled any external style sheets that are imported from either CSS "
+"itself using the @import keyword or from the HTML using <link> tags in the "
+"document header will also be downloaded."
 msgstr ""
 
-#: src/document/css/css.c:44
+#: src/document/css/css.c:46
 msgid "Default style sheet"
 msgstr "Vchoz tabulka styl"
 
-#: src/document/css/css.c:46
+#: src/document/css/css.c:48
 msgid ""
-"The path to the file containing the default user defined\n"
-"Cascading Style Sheet. It can be used to control the basic\n"
-"layout of HTML documents. The path is assumed to be relative\n"
-"to ELinks' home directory.\n"
+"The path to the file containing the default user defined Cascading Style "
+"Sheet. It can be used to control the basic layout of HTML documents. The "
+"path is assumed to be relative to ELinks' home directory.\n"
+"\n"
 "Leave as \"\" to use built-in document styling."
 msgstr ""
 
@@ -5621,8 +5689,8 @@ msgstr ""
 
 #: src/ecmascript/ecmascript.c:55
 msgid ""
-"Whether to ignore content enclosed by the <noscript> tag\n"
-"when ECMAScript is enabled."
+"Whether to ignore content enclosed by the <noscript> tag when ECMAScript is "
+"enabled."
 msgstr ""
 
 #: src/ecmascript/ecmascript.c:58
@@ -5673,7 +5741,7 @@ msgid "JavaScript Error"
 msgstr "chybu JavaScriptu"
 
 #. name:
-#: src/ecmascript/spidermonkey.c:320
+#: src/ecmascript/spidermonkey.c:321
 msgid "SpiderMonkey"
 msgstr ""
 
@@ -5768,10 +5836,10 @@ msgid "Show form history dialog"
 msgstr "Zobrazovn dialogu pro zapamatovn formule"
 
 #: src/formhist/formhist.c:38
+#, fuzzy
 msgid ""
-"Ask if a login form should be saved to file or not.\n"
-"This option only disables the dialog, already saved login\n"
-"forms are unaffected."
+"Ask if a login form should be saved to file or not. This option only "
+"disables the dialog, already saved login forms are unaffected."
 msgstr ""
 "Zeptej se, jestli m bt pihlaovac formul uloenu do souboru i\n"
 "nikoliv. Tato volba pouze potlauje dialog, ji uloen pihlaovac\n"
@@ -5877,19 +5945,19 @@ msgstr "Nastaven globln historie."
 msgid "Enable global history (\"history of all pages visited\")."
 msgstr "Zapnout globln historii (historii vech navtvench strnek)?"
 
-#: src/globhist/globhist.c:68
+#: src/globhist/globhist.c:69
 msgid "Maximum number of entries"
 msgstr "Maximln poet poloek"
 
-#: src/globhist/globhist.c:70
+#: src/globhist/globhist.c:71
 msgid "Maximum number of entries in the global history."
 msgstr "Maximln poet poloek v globln historii."
 
-#: src/globhist/globhist.c:72
+#: src/globhist/globhist.c:73
 msgid "Display style"
 msgstr "Zpsob zobrazovn"
 
-#: src/globhist/globhist.c:74
+#: src/globhist/globhist.c:75
 msgid ""
 "What to display in global history dialog:\n"
 "0 is URLs\n"
@@ -5900,7 +5968,7 @@ msgstr ""
 "1 znamen titulky strnek"
 
 #. name:
-#: src/globhist/globhist.c:451
+#: src/globhist/globhist.c:449
 msgid "Global History"
 msgstr "Globln historie"
 
@@ -6122,12 +6190,13 @@ msgid "MIME type associations"
 msgstr "Asociace MIME typ"
 
 #: src/mime/backend/default.c:27
+#, fuzzy
 msgid ""
-"Handler <-> MIME type association. The first sub-tree is the MIME\n"
-"class while the second sub-tree is the MIME type (ie. image/gif\n"
-"handler will reside at mime.type.image.gif). Each MIME type option\n"
-"should contain (case-sensitive) name of the MIME handler (its\n"
-"properties are stored at mime.handler.<name>)."
+"Handler <-> MIME type association. The first sub-tree is the MIME class "
+"while the second sub-tree is the MIME type (ie. image/gif handler will "
+"reside at mime.type.image.gif). Each MIME type option should contain (case-"
+"sensitive) name of the MIME handler (its properties are stored at mime."
+"handler.<name>)."
 msgstr ""
 "Asociace mezi ovladaem a MIME typem. Prvn podstrom je MIME tda,\n"
 "zatmco druh podstrom je MIME typ samotn (tzn. ovlada pro image/gif\n"
@@ -6135,93 +6204,90 @@ msgstr ""
 "jmno MIME ovladae (rozliuj se velk a mal psmenka). Nastaven MIME\n"
 "ovladae je uloeno v mime.handler.<jmno>."
 
-#: src/mime/backend/default.c:35
+#: src/mime/backend/default.c:36
+#, fuzzy
 msgid ""
-"Handler matching this MIME-type class ('*' is used here in place\n"
-"of '.')."
+"Handler matching this MIME-type class ('*' is used here in place of '.')."
 msgstr "Ovladae odpovdajc tto MIME td (msto '.' se pouv '*')."
 
-#: src/mime/backend/default.c:40
+#: src/mime/backend/default.c:41
+#, fuzzy
 msgid ""
-"Handler matching this MIME-type name ('*' is used here in place\n"
-"of '.')."
+"Handler matching this MIME-type name ('*' is used here in place of '.')."
 msgstr "Ovladae odpovdajc tomuto MIME typu (msto '.' se pouv '*')."
 
-#: src/mime/backend/default.c:44
+#: src/mime/backend/default.c:45
 msgid "File type handlers"
 msgstr "Ovladae typ soubor"
 
-#: src/mime/backend/default.c:46
+#: src/mime/backend/default.c:47
 msgid ""
-"A file type handler is a set of information about how to use\n"
-"an external program to view a file. It is possible to refer to it\n"
-"for several MIME types -- e.g., you can define an 'image' handler\n"
-"to which mime.type.image.png, mime.type.image.jpeg, and so on will\n"
-"refer; or one might define a handler for a more specific type of file\n"
-"-- e.g., PDF files.\n"
-"Note you must define both a MIME handler and a MIME type association\n"
-"for it to work."
+"A file type handler is a set of information about how to use an external "
+"program to view a file. It is possible to refer to it for several MIME types "
+"-- e.g., you can define an 'image' handler to which mime.type.image.png, "
+"mime.type.image.jpeg, and so on will refer; or one might define a handler "
+"for a more specific type of file -- e.g., PDF files. Note you must define "
+"both a MIME handler and a MIME type association for it to work."
 msgstr ""
 
-#: src/mime/backend/default.c:57
+#: src/mime/backend/default.c:58
 msgid "Description of this handler."
 msgstr "Popis tohoto ovladae."
 
-#: src/mime/backend/default.c:61
+#: src/mime/backend/default.c:62
 msgid "System-specific handler description (ie. unix, unix-xwin, ...)."
 msgstr "Popis ovladae pro dan systm (nap. unix, unix-xwin, ...)."
 
-#: src/mime/backend/default.c:63 src/mime/backend/mailcap.c:102
+#: src/mime/backend/default.c:65 src/mime/backend/mailcap.c:102
 msgid "Ask before opening"
 msgstr "Zeptat se ped otevenm"
 
-#: src/mime/backend/default.c:65
+#: src/mime/backend/default.c:67
 msgid "Ask before opening."
 msgstr "Zeptat se ped otevenm."
 
-#: src/mime/backend/default.c:67
+#: src/mime/backend/default.c:69
 msgid "Block terminal"
 msgstr "Zablokovat terminl"
 
-#: src/mime/backend/default.c:69
+#: src/mime/backend/default.c:71
 msgid "Block the terminal when the handler is running."
 msgstr "Zablokovat terminl bhem bhu ovladae."
 
-#: src/mime/backend/default.c:71
+#: src/mime/backend/default.c:73
 msgid "Program"
 msgstr "Program"
 
-#: src/mime/backend/default.c:74
+#: src/mime/backend/default.c:76
 #, fuzzy, no-c-format
 msgid ""
-"External viewer for this file type. '%' in this string will be\n"
-"substituted by a file name.\n"
-"Do _not_ put single- or double-quotes around the % sign."
+"External viewer for this file type. '%' in this string will be substituted "
+"by a file name. Do _not_ put single- or double-quotes around the % sign."
 msgstr ""
 "Extern prohle pro tento typ souboru. V tomto etzci bude '%' nahrazeno\n"
 "jmnem souboru."
 
-#: src/mime/backend/default.c:79
+#: src/mime/backend/default.c:81
 msgid "File extension associations"
 msgstr "Asociace ppon soubor"
 
-#: src/mime/backend/default.c:81
+#: src/mime/backend/default.c:83
 msgid "Extension <-> MIME type association."
 msgstr "Asociace mezi pponou souboru a jeho MIME typem."
 
-#: src/mime/backend/default.c:85
+#: src/mime/backend/default.c:87
+#, fuzzy
 msgid ""
-"MIME-type matching this file extension ('*' is used here in place\n"
-"of '.')."
+"MIME-type matching this file extension ('*' is used here in place of '.')."
 msgstr "MIME typ odpovdajc tto ppon (msto '.' se pouv '*')."
 
 #. name:
-#: src/mime/backend/default.c:216
+#: src/mime/backend/default.c:218
 msgid "Option system"
 msgstr "Konfiguran systm"
 
 #. name:
-#: src/mime/backend/mailcap.c:89 src/mime/backend/mailcap.c:684
+#: src/mime/backend/mailcap.c:89 src/mime/backend/mailcap.c:686
 msgid "Mailcap"
 msgstr "Mailcap"
 
@@ -6234,9 +6300,10 @@ msgid "Enable mailcap support."
 msgstr "Povol podporu mailcap soubor."
 
 #: src/mime/backend/mailcap.c:99
+#, fuzzy
 msgid ""
-"Mailcap search path. Colon-separated list of files.\n"
-"Leave as \"\" to use MAILCAP environment variable instead."
+"Mailcap search path. Colon-separated list of files. Leave as \"\" to use "
+"MAILCAP environment variable instead."
 msgstr ""
 "Vyhledvac cesta pro soubory mailcap - seznam soubor oddlench\n"
 "dvojtekou. Pokud je tato volba przdn, pouije se promnn prosted\n"
@@ -6255,11 +6322,11 @@ msgstr "etzec pouit ve stahovacm di
 #: src/mime/backend/mailcap.c:108
 #, fuzzy
 msgid ""
-"Type of description to show in \"what to do with this file\"\n"
-"query dialog:\n"
+"Type of description to show in \"what to do with this file\" query dialog:\n"
 "0 is show \"mailcap\"\n"
 "1 is show program to be run\n"
-"2 is show mailcap description field if any; \"mailcap\" otherwise"
+"2 is show mailcap description field if any;\n"
+"     \"mailcap\" otherwise"
 msgstr ""
 "Typ popisu, kter by se ml zobrazit v dialogu \"copak udlat s tmto\n"
 "souborem?\":\n"
@@ -6268,36 +6335,36 @@ msgstr ""
 "2 znamen ukzat popisek poloky v mailcapu, ppadn \"mailcap\", pokud\n"
 "  nen k dispozici"
 
-#: src/mime/backend/mailcap.c:114
+#: src/mime/backend/mailcap.c:115
 msgid "Prioritize entries by file"
 msgstr "Prioritizovat poloky v souboru"
 
-#: src/mime/backend/mailcap.c:116
+#: src/mime/backend/mailcap.c:117
+#, fuzzy
 msgid ""
-"Prioritize entries by the order of the files in the mailcap\n"
-"path. This means that wildcard entries (like: image/*) will\n"
-"also be checked before deciding the handler."
+"Prioritize entries by the order of the files in the mailcap path. This means "
+"that wildcard entries (like: image/*) will also be checked before deciding "
+"the handler."
 msgstr ""
 "Prioritizovat poloky podle poad soubor v cest pro mailcap. To znamen,\n"
 "e hromadn poloky (jako image/*) mou bt pouity, i kdy byla v njakm\n"
 "dalm souboru nalezena konkrtn poloka pro dan typ."
 
-#: src/mime/backend/mailcap.c:349
+#: src/mime/backend/mailcap.c:351
 #, c-format
 msgid "Badly formated mailcap entry for type %s in \"%s\" line %d"
 msgstr "patn zformtovan poloka mailcapu pro typ %s v \"%s\" na dce %d"
 
 #. name:
-#: src/mime/backend/mimetypes.c:46 src/mime/backend/mimetypes.c:279
+#: src/mime/backend/mimetypes.c:46 src/mime/backend/mimetypes.c:280
 msgid "Mimetypes files"
 msgstr "Soubory \"mimetypes\""
 
 #: src/mime/backend/mimetypes.c:48
 #, fuzzy
 msgid ""
-"Options for the support of mime.types files. These files\n"
-"can be used to find the content type of a URL by looking at\n"
-"the extension of the file name."
+"Options for the support of mime.types files. These files can be used to find "
+"the content type of a URL by looking at the extension of the file name."
 msgstr ""
 "Nastaven tkajc se podpory soubor \"mimetypes\". Tyto soubory se\n"
 "pouvaj k nalezen MIME typu danho dokumentu na zklad jeho ppony."
@@ -6337,7 +6404,7 @@ msgid "No extensions"
 msgstr "dn ppony"
 
 #. name:
-#: src/mime/mime.c:38 src/mime/mime.c:360
+#: src/mime/mime.c:38 src/mime/mime.c:361
 msgid "MIME"
 msgstr "MIME"
 
@@ -6350,9 +6417,10 @@ msgid "Default MIME-type"
 msgstr "Vchoz MIME typ"
 
 #: src/mime/mime.c:44
+#, fuzzy
 msgid ""
-"Document MIME-type to assume by default (when we are unable to\n"
-"guess it properly from known information about the document)."
+"Document MIME-type to assume by default (when we are unable to guess it "
+"properly from known information about the document)."
 msgstr ""
 "Vchoz MIME typ pro dokumenty, jejich MIME typ nen znm a nelze\n"
 "zjistit z jinch indici."
@@ -6362,9 +6430,10 @@ msgid "Verify certificates"
 msgstr "Kontrolovat certifikty"
 
 #: src/network/ssl/ssl.c:74
+#, fuzzy
 msgid ""
-"Verify the peer's SSL certificate. Note that this\n"
-"needs extensive configuration of OpenSSL by the user."
+"Verify the peer's SSL certificate. Note that this needs extensive "
+"configuration of OpenSSL by the user."
 msgstr ""
 "Ovit SSL certifikt druh strany. Ke zprovoznn tohoto nastaven\n"
 "je teba odpovdajcm zpsobem nakonfigurovat OpenSSL."
@@ -6378,9 +6447,10 @@ msgid "X509 client certificate options."
 msgstr "Nastaven klientskho certifiktu X509."
 
 #: src/network/ssl/ssl.c:83
+#, fuzzy
 msgid ""
-"Enable or not the sending of X509 client certificates\n"
-"to servers which request them."
+"Enable or not the sending of X509 client certificates to servers which "
+"request them."
 msgstr ""
 "Zapnout posln klientskho certifiktu X509 serverm, kter si ho\n"
 "vydaj."
@@ -6390,21 +6460,24 @@ msgid "Certificate File"
 msgstr "Soubor s certifiktem"
 
 #: src/network/ssl/ssl.c:88
+#, fuzzy
 msgid ""
-"The location of a file containing the client certificate\n"
-"and unencrypted private key in PEM format. If unset, the\n"
-"file pointed to by the X509_CLIENT_CERT variable is used\n"
-"instead."
+"The location of a file containing the client certificate and unencrypted "
+"private key in PEM format. If unset, the file pointed to by the "
+"X509_CLIENT_CERT variable is used instead."
 msgstr ""
 "Umstn souboru obsahujcho klientsk certifikt a nezaifrovan soukrom\n"
 "kl ve formtu PEM. Pokud tato volba nen nastavena, zkusm alespo pout\n"
 "soubor, na kter ukazuje promnn prosted X509_CLIENT_CERT."
 
 #: src/network/ssl/ssl.c:163
+#, fuzzy
 msgid ""
-"Verify the peer's SSL certificate.  If you enable\n"
-"this, set also \"Trusted CA file\"."
+"Verify the peer's SSL certificate.  If you enable this, set also \"Trusted "
+"CA file\"."
 msgstr ""
+"Ovit SSL certifikt druh strany. Ke zprovoznn tohoto nastaven\n"
+"je teba odpovdajcm zpsobem nakonfigurovat GnuTLS."
 
 #. The default value of the following option points to a file
 #. * generated by the ca-certificates Debian package.  Don't use
@@ -6421,20 +6494,20 @@ msgstr "Penm"
 
 #: src/network/ssl/ssl.c:176
 msgid ""
-"The location of a file containing certificates of\n"
-"trusted certification authorities in PEM format.\n"
-"ELinks then trusts certificates issued by these CAs.\n"
-"If you change this option or the file, you must\n"
-"restart ELinks for the changes to take effect.\n"
-"This option affects GnuTLS but not OpenSSL."
+"The location of a file containing certificates of trusted certification "
+"authorities in PEM format. ELinks then trusts certificates issued by these "
+"CAs.\n"
+"\n"
+"If you change this option or the file, you must restart ELinks for the "
+"changes to take effect. This option affects GnuTLS but not OpenSSL."
 msgstr ""
 
 #. name:
-#: src/network/ssl/ssl.c:199 src/network/ssl/ssl.c:216
+#: src/network/ssl/ssl.c:200 src/network/ssl/ssl.c:217
 msgid "SSL"
 msgstr "SSL"
 
-#: src/network/ssl/ssl.c:201
+#: src/network/ssl/ssl.c:202
 msgid "SSL options."
 msgstr "Nastaven SSL."
 
@@ -6771,7 +6844,7 @@ msgstr "Zaloguj se do %s na %s"
 msgid "Login"
 msgstr "Uivatelsk jmno"
 
-#: src/protocol/auth/dialogs.c:113 src/protocol/http/http.c:140
+#: src/protocol/auth/dialogs.c:113 src/protocol/http/http.c:142
 msgid "Password"
 msgstr "Heslo"
 
@@ -6839,7 +6912,7 @@ msgstr "Sprvce HTTP Autentikace"
 
 #. name:
 #: src/protocol/bittorrent/bittorrent.c:26
-#: src/protocol/bittorrent/bittorrent.c:335
+#: src/protocol/bittorrent/bittorrent.c:339
 msgid "BitTorrent"
 msgstr ""
 
@@ -6895,9 +6968,8 @@ msgstr ""
 
 #: src/protocol/bittorrent/bittorrent.c:57
 msgid ""
-"Whether to request that the tracker returns peer info\n"
-"in compact format. Note, the compact format only supports\n"
-"IPv4 addresses."
+"Whether to request that the tracker returns peer info in compact format. "
+"Note, the compact format only supports IPv4 addresses."
 msgstr ""
 
 #: src/protocol/bittorrent/bittorrent.c:61
@@ -6906,57 +6978,55 @@ msgstr ""
 
 #: src/protocol/bittorrent/bittorrent.c:63
 msgid ""
-"The number of seconds to wait between periodically contacting\n"
-"the tracker for announcing progress and requesting more peers.\n"
-"Set to zero to use the interval requested by the tracker."
+"The number of seconds to wait between periodically contacting the tracker "
+"for announcing progress and requesting more peers. Set to zero to use the "
+"interval requested by the tracker."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:67
+#: src/protocol/bittorrent/bittorrent.c:68
 msgid "IP-address to announce"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:69
+#: src/protocol/bittorrent/bittorrent.c:70
 msgid ""
-"What IP address to report to the tracker. If set to \"\"\n"
-"no IP address will be sent and the tracker will automatically\n"
-"determine an appropriate IP address."
+"What IP address to report to the tracker. If set to \"\" no IP address will "
+"be sent and the tracker will automatically determine an appropriate IP "
+"address."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:73
+#: src/protocol/bittorrent/bittorrent.c:74
 #, fuzzy
 msgid "User identification string"
 msgstr "Identifikace prohlee"
 
-#: src/protocol/bittorrent/bittorrent.c:75
+#: src/protocol/bittorrent/bittorrent.c:76
 msgid ""
-"An additional identification that is not shared with any users.\n"
-"It is intended to allow a client to prove their identity should\n"
-"their IP address change. It is an optional parameter, but some\n"
-"trackers require this parameter. If set to \"\" no user key will\n"
-"be sent to the tracker."
+"An additional identification that is not shared with any users. It is "
+"intended to allow a client to prove their identity should their IP address "
+"change. It is an optional parameter, but some trackers require this "
+"parameter. If set to \"\" no user key will be sent to the tracker."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:81
+#: src/protocol/bittorrent/bittorrent.c:82
 #, fuzzy
 msgid "Maximum number of peers to request"
 msgstr "Maximln poet poloek"
 
-#: src/protocol/bittorrent/bittorrent.c:83
+#: src/protocol/bittorrent/bittorrent.c:84
 msgid ""
-"The maximum number of peers to request from the tracker.\n"
-"Set to 0 to use the server default."
+"The maximum number of peers to request from the tracker. Set to 0 to use the "
+"server default."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:86
+#: src/protocol/bittorrent/bittorrent.c:87
 msgid "Minimum peers to skip rerequesting"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:88
+#: src/protocol/bittorrent/bittorrent.c:89
 msgid ""
-"The minimum number of peers to have in the current peer info\n"
-"pool before skipping requesting of more peers. I.e. setting\n"
-"numwant to zero.\n"
-"Set to 0 to not have any limit."
+"The minimum number of peers to have in the current peer info pool before "
+"skipping requesting of more peers. I.e. setting numwant to zero. Set to 0 to "
+"not have any limit."
 msgstr ""
 
 #. ******************************************************************
@@ -6977,186 +7047,181 @@ msgstr "Maximln poet paralelnch spoj
 
 #: src/protocol/bittorrent/bittorrent.c:104
 msgid ""
-"The maximum number of allowed connections to both active and\n"
-"non-active peers. By increasing the number of allowed connections,\n"
-"the chance of finding good peers to download from is increased.\n"
-"However, too many connections can lead to TCP congestion. If the\n"
-"maximum is reached all new incoming connections will be closed."
+"The maximum number of allowed connections to both active and non-active "
+"peers. By increasing the number of allowed connections, the chance of "
+"finding good peers to download from is increased. However, too many "
+"connections can lead to TCP congestion. If the maximum is reached all new "
+"incoming connections will be closed."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:110
+#: src/protocol/bittorrent/bittorrent.c:111
 #, fuzzy
 msgid "Maximum peer message length"
 msgstr "Maximln dlka jmna souboru s obrzkem"
 
-#: src/protocol/bittorrent/bittorrent.c:112
+#: src/protocol/bittorrent/bittorrent.c:113
 msgid ""
-"The maximum length of messages to accept over the wire.\n"
-"Larger values will cause the connection to be dropped."
+"The maximum length of messages to accept over the wire. Larger values will "
+"cause the connection to be dropped."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:115
+#: src/protocol/bittorrent/bittorrent.c:116
 msgid "Maximum allowed request length"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:117
+#: src/protocol/bittorrent/bittorrent.c:118
 msgid ""
-"The maximum length to allow for incoming requests.\n"
-"Larger requests will cause the connection to be dropped."
+"The maximum length to allow for incoming requests. Larger requests will "
+"cause the connection to be dropped."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:120
+#: src/protocol/bittorrent/bittorrent.c:121
 msgid "Length of requests"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:122
+#: src/protocol/bittorrent/bittorrent.c:123
 msgid ""
-"How many bytes to query for per request. This is complementary\n"
-"to the max_request_length option. If the configured length is\n"
-"bigger than the piece length it will be truncated."
+"How many bytes to query for per request. This is complementary to the "
+"max_request_length option. If the configured length is bigger than the piece "
+"length it will be truncated."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:126
+#: src/protocol/bittorrent/bittorrent.c:128
 #, fuzzy
 msgid "Peer inactivity timeout"
 msgstr "asov limit pro vypren spojen"
 
-#: src/protocol/bittorrent/bittorrent.c:128
+#: src/protocol/bittorrent/bittorrent.c:130
 msgid ""
-"The number of seconds to wait before closing a socket on\n"
-"which nothing has been received or sent."
+"The number of seconds to wait before closing a socket on which nothing has "
+"been received or sent."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:131
+#: src/protocol/bittorrent/bittorrent.c:133
 #, fuzzy
 msgid "Maximum peer pool size"
 msgstr "Maximln poet poloek"
 
-#: src/protocol/bittorrent/bittorrent.c:133
+#: src/protocol/bittorrent/bittorrent.c:135
 msgid ""
-"Maximum number of items in the peer pool. The peer pool\n"
-"contains information used for establishing connections to\n"
-"new peers.\n"
+"Maximum number of items in the peer pool. The peer pool contains information "
+"used for establishing connections to new peers.\n"
+"\n"
 "Set to 0 to have unlimited size."
 msgstr ""
 
 #. ******************************************************************
 #. Piece management options:
 #. ******************************************************************
-#: src/protocol/bittorrent/bittorrent.c:143
+#: src/protocol/bittorrent/bittorrent.c:146
 #, fuzzy
 msgid "Maximum piece cache size"
 msgstr "Maximln doba bhu"
 
-#: src/protocol/bittorrent/bittorrent.c:145
+#: src/protocol/bittorrent/bittorrent.c:148
 msgid ""
-"The maximum amount of memory used to hold recently\n"
-"downloaded pieces.\n"
+"The maximum amount of memory used to hold recently downloaded pieces.\n"
+"\n"
 "Set to 0 to have unlimited size."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:154
+#: src/protocol/bittorrent/bittorrent.c:158
 #, fuzzy
 msgid "Sharing rate"
 msgstr "Zpsob ukldn"
 
-#: src/protocol/bittorrent/bittorrent.c:156
+#: src/protocol/bittorrent/bittorrent.c:160
 msgid ""
-"The minimum sharing rate to achieve before stop seeding.\n"
-"The sharing rate is computed as the number of uploaded bytes\n"
-"divided with the number of downloaded bytes. The value should\n"
-"be a double value between 0.0 and 1.0 both included.\n"
-"Set to 1.0 to atleast upload a complete copy of all data and\n"
+"The minimum sharing rate to achieve before stop seeding. The sharing rate is "
+"computed as the number of uploaded bytes divided with the number of "
+"downloaded bytes. The value should be a double value between 0.0 and 1.0 "
+"both included. Set to 1.0 to atleast upload a complete copy of all data and "
 "set to 0.0 to have unlimited sharing rate."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:163
+#: src/protocol/bittorrent/bittorrent.c:167
 #, fuzzy
 msgid "Maximum number of uploads"
 msgstr "Maximln poet poloek"
 
-#: src/protocol/bittorrent/bittorrent.c:165
+#: src/protocol/bittorrent/bittorrent.c:169
 msgid "The maximum number of uploads to allow at once."
 msgstr ""
 
 #. The number of uploads to fill out to with extra optimistic unchokes
-#: src/protocol/bittorrent/bittorrent.c:168
+#: src/protocol/bittorrent/bittorrent.c:172
 #, fuzzy
 msgid "Minimum number of uploads"
 msgstr "Maximln poet poloek"
 
-#: src/protocol/bittorrent/bittorrent.c:170
+#: src/protocol/bittorrent/bittorrent.c:174
 msgid ""
-"The minimum number of uploads which should at least\n"
-"be used for new connections."
+"The minimum number of uploads which should at least be used for new "
+"connections."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:174
+#: src/protocol/bittorrent/bittorrent.c:178
 #, fuzzy
 msgid "Keepalive interval"
 msgstr "Interval automatickho ukldn"
 
-#: src/protocol/bittorrent/bittorrent.c:176
-msgid ""
-"The number of seconds to pause between sending keepalive\n"
-"messages."
+#: src/protocol/bittorrent/bittorrent.c:180
+msgid "The number of seconds to pause between sending keepalive messages."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:179
+#: src/protocol/bittorrent/bittorrent.c:183
 #, fuzzy
 msgid "Number of pending requests"
 msgstr "Server zpracovv dost"
 
-#: src/protocol/bittorrent/bittorrent.c:181
+#: src/protocol/bittorrent/bittorrent.c:185
 msgid ""
-"How many piece requests to continuously keep in queue. Pipelining\n"
-"of requests is essential to saturate connections and get a good\n"
-"connection performance and thus a faster download. However, a\n"
-"very big queue size can lead to wasting bandwidth near the end\n"
-"of the connection since remaining piece blocks will be requested\n"
-"from multiple peers."
+"How many piece requests to continuously keep in queue. Pipelining of "
+"requests is essential to saturate connections and get a good connection "
+"performance and thus a faster download. However, a very big queue size can "
+"lead to wasting bandwidth near the end of the connection since remaining "
+"piece blocks will be requested from multiple peers."
 msgstr ""
 
 #. Bram uses 30 seconds here.
-#: src/protocol/bittorrent/bittorrent.c:190
+#: src/protocol/bittorrent/bittorrent.c:194
 msgid "Peer snubbing interval"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:192
+#: src/protocol/bittorrent/bittorrent.c:196
 msgid ""
-"The number of seconds to wait for file data before assuming\n"
-"the peer has been snubbed."
+"The number of seconds to wait for file data before assuming the peer has "
+"been snubbed."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:195
+#: src/protocol/bittorrent/bittorrent.c:199
 #, fuzzy
 msgid "Peer choke interval"
 msgstr "Interval automatickho ukldn"
 
-#: src/protocol/bittorrent/bittorrent.c:197
+#: src/protocol/bittorrent/bittorrent.c:201
 msgid ""
-"The number of seconds between updating the connection state\n"
-"and most importantly choke and unchoke peer connections. The\n"
-"choke period should be big enough for newly unchoked connections\n"
-"to get started but small enough to not allow freeriders too much\n"
-"room for stealing bandwidth."
+"The number of seconds between updating the connection state and most "
+"importantly choke and unchoke peer connections. The choke period should be "
+"big enough for newly unchoked connections to get started but small enough to "
+"not allow freeriders too much room for stealing bandwidth."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:203
+#: src/protocol/bittorrent/bittorrent.c:207
 msgid "Rarest first piece selection cutoff"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:205
+#: src/protocol/bittorrent/bittorrent.c:209
 msgid ""
-"The number of pieces to obtain before switching piece\n"
-"selection strategy from random to rarest first."
+"The number of pieces to obtain before switching piece selection strategy "
+"from random to rarest first."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:208 src/protocol/http/http.c:109
+#: src/protocol/bittorrent/bittorrent.c:212 src/protocol/http/http.c:109
 msgid "Allow blacklisting"
 msgstr "Povolit ernou listinu"
 
-#: src/protocol/bittorrent/bittorrent.c:210
+#: src/protocol/bittorrent/bittorrent.c:214
 #, fuzzy
 msgid "Allow blacklisting of buggy peers."
 msgstr "Povolit ernou listinu zabugovanch server."
@@ -7194,7 +7259,7 @@ msgstr "Soubory:"
 msgid "Comment"
 msgstr "Komente"
 
-#: src/protocol/bittorrent/dialogs.c:229 src/session/download.c:362
+#: src/protocol/bittorrent/dialogs.c:229 src/session/download.c:388
 #, c-format
 msgid ""
 "Download complete:\n"
@@ -7365,7 +7430,7 @@ msgid_plural "%u unavailable"
 msgstr[0] "FTP nen pstupn"
 msgstr[1] "FTP nen pstupn"
 
-#: src/protocol/bittorrent/dialogs.c:584 src/session/session.c:278
+#: src/protocol/bittorrent/dialogs.c:584 src/session/session.c:279
 #, fuzzy, c-format
 msgid "Unable to retrieve %s"
 msgstr ""
@@ -7382,7 +7447,7 @@ msgstr "Chtl bys zobrazit soubor '%s' (
 msgid "Information about the torrent"
 msgstr "Zobrazen informac o souasn strnce"
 
-#: src/protocol/bittorrent/dialogs.c:776 src/session/download.c:1106
+#: src/protocol/bittorrent/dialogs.c:776 src/session/download.c:1132
 msgid "What to do?"
 msgstr "Co mm podle tebe dlat?"
 
@@ -7393,13 +7458,13 @@ msgid "Down~load"
 msgstr "Stahovn"
 
 #. accelerator_context(src/protocol/bittorrent/dialogs.c:bittorrent_query_callback, src/session/download.c:do_type_query)
-#: src/protocol/bittorrent/dialogs.c:804 src/session/download.c:1209
+#: src/protocol/bittorrent/dialogs.c:804 src/session/download.c:1235
 #, fuzzy
 msgid "~Display"
 msgstr "Zobrazit"
 
 #. accelerator_context(src/protocol/bittorrent/dialogs.c:bittorrent_query_callback, src/session/download.c:do_type_query)
-#: src/protocol/bittorrent/dialogs.c:808 src/session/download.c:1213
+#: src/protocol/bittorrent/dialogs.c:808 src/session/download.c:1239
 #, fuzzy
 msgid "Show ~header"
 msgstr "Zobrazit hlaviku"
@@ -7416,16 +7481,16 @@ msgstr "Nastaven spoutn loklnch CG
 msgid "Colon separated list of directories, where CGI scripts are stored."
 msgstr "Seznam adres (oddlench dvojtekou), kde jsou uloeny CGI skripty."
 
-#: src/protocol/file/cgi.c:47
+#: src/protocol/file/cgi.c:48
 msgid "Allow local CGI"
 msgstr "Povolit lokln CGI skripty"
 
-#: src/protocol/file/cgi.c:49
+#: src/protocol/file/cgi.c:50
 msgid "Whether to execute local CGI scripts."
 msgstr "Zdalipak se maj spoutt lokln CGI skripty."
 
 #. name:
-#: src/protocol/file/cgi.c:54
+#: src/protocol/file/cgi.c:55
 msgid "CGI"
 msgstr ""
 
@@ -7442,10 +7507,10 @@ msgid "Allow reading special files"
 msgstr "Povolit natn specilnch soubor"
 
 #: src/protocol/file/file.c:46
+#, fuzzy
 msgid ""
-"Whether to allow reading from non-regular files.\n"
-"Note this can be dangerous; reading /dev/urandom or\n"
-"/dev/zero can ruin your day!"
+"Whether to allow reading from non-regular files. Note this can be dangerous; "
+"reading /dev/urandom or /dev/zero can ruin your day!"
 msgstr ""
 "Povolit ten ze specilnch soubor? (NEBEZPEN - ten ze soubor\n"
 "jako /dev/urandom i /dev/zero zpsob pravdpodobn znan problmy!)"
@@ -7457,8 +7522,8 @@ msgstr "Zobrazovat ve vpisech adres 
 #: src/protocol/file/file.c:52
 #, fuzzy
 msgid ""
-"When set to false, files with name starting with a dot will be\n"
-"hidden in local directory listings."
+"When set to false, files with name starting with a dot will be hidden in "
+"local directory listings."
 msgstr ""
 "Pokud je tato volba vypnuta, soubory, zanajc tekou,\n"
 "nebudou ve vpisech loklnch adres uvedeny."
@@ -7468,10 +7533,11 @@ msgid "Try encoding extensions"
 msgstr "Zkouet ppony rznch kdovn"
 
 #: src/protocol/file/file.c:57
+#, fuzzy
 msgid ""
-"When set, if we can't open a file named 'filename', we'll try\n"
-"to open 'filename' with some encoding extension appended\n"
-"(ie. 'filename.gz'); it depends on the supported encodings."
+"When set, if we can't open a file named 'filename', we'll try to open "
+"'filename' with some encoding extension appended (ie. 'filename.gz'); it "
+"depends on the supported encodings."
 msgstr ""
 "Pokud je tato volba zapnuta a nelze otevt soubor 'pklad', pokusme\n"
 "se tento soubor otevt s njakou pponou odpovdajc uritmu kdovn\n"
@@ -7479,7 +7545,7 @@ msgstr ""
 "kdovnch."
 
 #. name:
-#: src/protocol/file/file.c:65
+#: src/protocol/file/file.c:66
 msgid "File"
 msgstr "Soubor"
 
@@ -7510,7 +7576,7 @@ msgid "Whether to sort entries in direct
 msgstr "Zobrazovat ve vpisech adres skryt soubory"
 
 #. name:
-#: src/protocol/ftp/ftp.c:56 src/protocol/ftp/ftp.c:86
+#: src/protocol/ftp/ftp.c:56 src/protocol/ftp/ftp.c:89
 msgid "FTP"
 msgstr "FTP"
 
@@ -7518,8 +7584,8 @@ msgstr "FTP"
 msgid "FTP specific options."
 msgstr "Nastaven FTP."
 
-#: src/protocol/ftp/ftp.c:60 src/protocol/http/http.c:127
-#: src/protocol/http/http.c:209
+#: src/protocol/ftp/ftp.c:60 src/protocol/http/http.c:128
+#: src/protocol/http/http.c:235
 msgid "Proxy configuration"
 msgstr "Nastaven proxy"
 
@@ -7527,41 +7593,42 @@ msgstr "Nastaven proxy"
 msgid "FTP proxy configuration."
 msgstr "Nastaven FTP proxy."
 
-#: src/protocol/ftp/ftp.c:64 src/protocol/http/http.c:131
-#: src/protocol/http/http.c:213
+#: src/protocol/ftp/ftp.c:64 src/protocol/http/http.c:132
+#: src/protocol/http/http.c:239
 msgid "Host and port-number"
 msgstr "Adresa a port"
 
 #: src/protocol/ftp/ftp.c:66
+#, fuzzy
 msgid ""
-"Host and port-number (host:port) of the FTP proxy, or blank.\n"
-"If it's blank, FTP_PROXY environment variable is checked as well."
+"Host and port-number (host:port) of the FTP proxy, or blank. If it's blank, "
+"FTP_PROXY environment variable is checked as well."
 msgstr ""
 "Hostitel a slo portu (host:port) FTP proxy (pokud nepouvte proxy,\n"
 "nechte tuto volbu nevyplnnou). Pokud je tato volba nevyplnna, ELinks\n"
 "se jet pokus pout hodnotu uloenou v promnn prosted FTP_PROXY."
 
-#: src/protocol/ftp/ftp.c:69
+#: src/protocol/ftp/ftp.c:70
 msgid "Anonymous password"
 msgstr "Anonymn heslo"
 
-#: src/protocol/ftp/ftp.c:71
+#: src/protocol/ftp/ftp.c:72
 msgid "FTP anonymous password to be sent."
 msgstr "Heslo pro anonymn FTP."
 
-#: src/protocol/ftp/ftp.c:73
+#: src/protocol/ftp/ftp.c:74
 msgid "Use passive mode (IPv4)"
 msgstr "Pouvat pasivn reim (IPv4)"
 
-#: src/protocol/ftp/ftp.c:75
+#: src/protocol/ftp/ftp.c:76
 msgid "Use PASV instead of PORT (passive vs active mode, IPv4 only)."
 msgstr "Pout msto pkazu PORT pkaz PASV (pasivn reim, pouze IPv4)."
 
-#: src/protocol/ftp/ftp.c:77
+#: src/protocol/ftp/ftp.c:79
 msgid "Use passive mode (IPv6)"
 msgstr "Pouvat pasivn reim (IPv6)"
 
-#: src/protocol/ftp/ftp.c:79
+#: src/protocol/ftp/ftp.c:81
 msgid "Use EPSV instead of EPRT (passive vs active mode, IPv6 only)."
 msgstr "Pout msto pkazu EPRT pkaz EPSV (pasivn reim, pouze IPv6)."
 
@@ -7588,7 +7655,7 @@ msgid ""
 msgstr ""
 
 #. name:
-#: src/protocol/http/http.c:95 src/protocol/http/http.c:223
+#: src/protocol/http/http.c:95 src/protocol/http/http.c:250
 msgid "HTTP"
 msgstr "HTTP"
 
@@ -7609,9 +7676,10 @@ msgid "Do not send Accept-Charset"
 msgstr "Neposlat Accept-Charset"
 
 #: src/protocol/http/http.c:106
+#, fuzzy
 msgid ""
-"The Accept-Charset header is quite long and sending it can trigger\n"
-"bugs in some rarely found servers."
+"The Accept-Charset header is quite long and sending it can trigger bugs in "
+"some rarely found servers."
 msgstr ""
 "Hlavika Accept-Charset bv velmi dlouh a tud me jej posln\n"
 "vyvolat chyby v nkterch dce se vyskytujcch serverech."
@@ -7625,69 +7693,72 @@ msgid "Broken 302 redirects"
 msgstr "patn pesmrovn HTTP kdem 302"
 
 #: src/protocol/http/http.c:115
+#, fuzzy
 msgid ""
-"Broken 302 redirect (violates RFC but compatible with Netscape).\n"
-"This is a problem for a lot of web discussion boards and the like.\n"
-"If they will do strange things to you, try to play with this."
+"Broken 302 redirect (violates RFC but compatible with Netscape). This is a "
+"problem for a lot of web discussion boards and the like. If they will do "
+"strange things to you, try to play with this."
 msgstr ""
 "patn pesmrovn HTTP kdem 302 sice odporuj RFC, ale jsou kompatibiln\n"
 "s Netscape a ostatnmi rozenmi browsery. Na tuto chybu se spolh mnoho\n"
 "webovch diskuznch board a podobnch aplikac. Pokud vm zpsobuj\n"
 "podivn problmy, zkuste si pohrt s tmto nastavenm."
 
-#: src/protocol/http/http.c:119
+#: src/protocol/http/http.c:120
 msgid "No keepalive after POST requests"
 msgstr "Nepouvat keepalive spojen po poadavku POST"
 
-#: src/protocol/http/http.c:121
+#: src/protocol/http/http.c:122
 msgid "Disable keepalive connection after POST request."
 msgstr "Nepouvat keepalive spojen po poadavku POST."
 
-#: src/protocol/http/http.c:123
+#: src/protocol/http/http.c:124
 msgid "Use HTTP/1.0"
 msgstr "Pouvat HTTP/1.0"
 
-#: src/protocol/http/http.c:125
+#: src/protocol/http/http.c:126
 msgid "Use HTTP/1.0 protocol instead of HTTP/1.1."
 msgstr "Pouvat protokol HTTP/1.0 msto HTTP/1.1."
 
-#: src/protocol/http/http.c:129
+#: src/protocol/http/http.c:130
 msgid "HTTP proxy configuration."
 msgstr "Nastaven HTTP proxy."
 
-#: src/protocol/http/http.c:133
+#: src/protocol/http/http.c:134
+#, fuzzy
 msgid ""
-"Host and port-number (host:port) of the HTTP proxy, or blank.\n"
-"If it's blank, HTTP_PROXY environment variable is checked as well."
+"Host and port-number (host:port) of the HTTP proxy, or blank. If it's blank, "
+"HTTP_PROXY environment variable is checked as well."
 msgstr ""
 "Hostitel a slo portu (host:port) HTTP proxy (pokud nepouvte proxy,\n"
 "nechte tuto volbu nevyplnnou). Pokud je tato volba nevyplnna, ELinks\n"
 "se jet pokus pout hodnotu uloenou v promnn prosted HTTP_PROXY."
 
-#: src/protocol/http/http.c:136
+#: src/protocol/http/http.c:138
 msgid "Username"
 msgstr "Uivatelsk jmno"
 
-#: src/protocol/http/http.c:138
+#: src/protocol/http/http.c:140
 msgid "Proxy authentication username."
 msgstr "Uivatelsk jmno pro proxy autentikaci."
 
-#: src/protocol/http/http.c:142
+#: src/protocol/http/http.c:144
 msgid "Proxy authentication password."
 msgstr "Heslo pro proxy autentikaci."
 
-#: src/protocol/http/http.c:145
+#: src/protocol/http/http.c:147
 msgid "Referer sending"
 msgstr "Poslat referer"
 
-#: src/protocol/http/http.c:147
+#: src/protocol/http/http.c:149
+#, fuzzy
 msgid ""
-"HTTP referer sending options. HTTP referer is a special header\n"
-"sent in the HTTP requests, which is supposed to contain the previous\n"
-"page visited by the browser. This way, the server can know what link\n"
-"did you follow when accessing that page. However, this behaviour\n"
-"can unfortunately considerably affect privacy and can lead even to a\n"
-"security problem on some badly designed web pages."
+"HTTP referer sending options. HTTP referer is a special header sent in the "
+"HTTP requests, which is supposed to contain the previous page visited by the "
+"browser.This way, the server can know what link did you follow when "
+"accessing that page. However, this behaviour can unfortunately considerably "
+"affect privacy and can lead even to a security problem on some badly "
+"designed web pages."
 msgstr ""
 "Volby pro posln HTTP refereru. HTTP referer je speciln hlavika,\n"
 "kterou webov klient posl v HTTP poadavcch serveru. Tato hlavika\n"
@@ -7697,11 +7768,11 @@ msgstr ""
 "soukrom uivatele a v ppad nkterch patn zabezpeench webovch\n"
 "aplikac i bezpenostn ohroen."
 
-#: src/protocol/http/http.c:154
+#: src/protocol/http/http.c:157
 msgid "Policy"
 msgstr "Politika"
 
-#: src/protocol/http/http.c:157
+#: src/protocol/http/http.c:160
 msgid ""
 "Mode of sending HTTP referer:\n"
 "0 is send no referer\n"
@@ -7716,37 +7787,36 @@ msgstr ""
 "3 znamen poslat jako referer pedchoz URL (sprvn, avak nepli\n"
 "bezpen chovn)"
 
-#: src/protocol/http/http.c:163
+#: src/protocol/http/http.c:166
 msgid "Fake referer URL"
 msgstr "Falen URL"
 
-#: src/protocol/http/http.c:165
+#: src/protocol/http/http.c:168
 msgid "Fake referer to be sent when policy is 2."
 msgstr ""
 "Falen URL, kter se bude poslat, pokud je politika nastavena\n"
 "na posln stlho falenho refereru."
 
-#: src/protocol/http/http.c:168
+#: src/protocol/http/http.c:171
 msgid "Send Accept-Language header"
 msgstr "Poslat hlaviku Accept-Language"
 
-#: src/protocol/http/http.c:170
+#: src/protocol/http/http.c:173
 msgid "Send Accept-Language header."
 msgstr "Poslat hlaviku Accept-Language."
 
-#: src/protocol/http/http.c:172
+#: src/protocol/http/http.c:175
 msgid "Use UI language as Accept-Language"
 msgstr "Poslat jazyk uivatelskho rozhran"
 
-#: src/protocol/http/http.c:174
+#: src/protocol/http/http.c:177
 #, fuzzy
 msgid ""
-"Request localised versions of documents from web-servers (using the\n"
-"Accept-Language header) using the language you have configured for\n"
-"ELinks' user-interface (this also affects navigator.language ECMAScript\n"
-"value available to scripts). Note that some see this as a potential\n"
-"security risk because it tells web-masters and the FBI sniffers about\n"
-"your language preference."
+"Request localised versions of documents from web-servers (using the Accept-"
+"Language header) using the language you have configured for ELinks' user-"
+"interface (this also affects navigator.language ECMAScript value available "
+"to scripts). Note that some see this as a potential security risk because it "
+"tells web-masters and the FBI sniffers about your language preference."
 msgstr ""
 "Vydat si od webovch server lokalizovan verze dokument (pomoc\n"
 "hlaviky Accept-Language) v zvislosti na jazyku, kterm si s vmi\n"
@@ -7754,17 +7824,38 @@ msgstr ""
 "bezpenostn riziko, protoe pak webmastei vd, jakmu jazyku dvte\n"
 "pednost. Hm."
 
-#: src/protocol/http/http.c:181
+#. After the compression support has been tested enough,
+#. * we might wrap this option in #if CFG_DEBUG.
+#: src/protocol/http/http.c:187
+msgid "Enable on-the-fly compression"
+msgstr ""
+
+#: src/protocol/http/http.c:189
+msgid ""
+"If enabled, the capability to receive compressed content (gzip and/or bzip2) "
+"is announced to the server, which usually sends the reply compressed, thus "
+"saving some bandwidth at slight CPU expense.\n"
+"\n"
+"If ELinks displays a incomplete page or garbage, try disabling this option. "
+"If that helps, there may be a bug in the decompression part of ELinks. "
+"Please report such bugs.\n"
+"\n"
+"If ELinks has been compiled without compression support, this option has no "
+"effect. To check the supported features, see Help -> About."
+msgstr ""
+
+#: src/protocol/http/http.c:202
 msgid "Activate HTTP TRACE debugging"
 msgstr "Aktivovat ladn pomoc HTTP TRACE"
 
-#: src/protocol/http/http.c:183
+#: src/protocol/http/http.c:204
+#, fuzzy
 msgid ""
-"If active, all HTTP requests are sent with TRACE as their method\n"
-"rather than GET or POST. This is useful for debugging of both ELinks\n"
-"and various server-side scripts --- the server only returns the client's\n"
-"request back to the client verbatim. Note that this type of request may\n"
-"not be enabled on all servers."
+"If active, all HTTP requests are sent with TRACE as their method rather than "
+"GET or POST. This is useful for debugging of both ELinks and various server-"
+"side scripts --- the server only returns the client's request back to the "
+"client verbatim. Note that this type of request may not be enabled on all "
+"servers."
 msgstr ""
 "Pokud je tato volba zapnut, vechny HTTP poadavky pouvaj metodu TRACE\n"
 "msto GET nebo POST. To je uiten pro ladn ELinksu i rznch server-"
@@ -7773,20 +7864,21 @@ msgstr ""
 "obdrel. Tento typ poadavku nemus bt povolen na vech serverech."
 
 #. OSNews.com is supposed to be relying on the textmode token, at least.
-#: src/protocol/http/http.c:190
+#: src/protocol/http/http.c:212
 msgid "User-agent identification"
 msgstr "Identifikace prohlee"
 
-#: src/protocol/http/http.c:192
+#: src/protocol/http/http.c:214
 #, fuzzy
 msgid ""
-"Change the User Agent ID. That means identification string, which\n"
-"is sent to HTTP server when a document is requested. The 'textmode'\n"
-"token in the first field is our silent attempt to establish this as\n"
-"a standard for new textmode user agents, so that the webmasters can\n"
-"have just a single uniform test for these if they are e.g. pushing\n"
-"some lite version to them automagically.\n"
+"Change the User Agent ID. That means identification string, which is sent to "
+"HTTP server when a document is requested. The 'textmode' token in the first "
+"field is our silent attempt to establish this as a standard for new textmode "
+"user agents, so that the webmasters can have just a single uniform test for "
+"these if they are e.g. pushing some lite version to them automagically.\n"
+"\n"
 "Use \" \" if you don't want any User-Agent header to be sent at all.\n"
+"\n"
 "%v in the string means ELinks version,\n"
 "%s in the string means system identification,\n"
 "%t in the string means size of the terminal,\n"
@@ -7800,22 +7892,23 @@ msgstr ""
 "Pokud nechcete, aby byla tato hlavika odeslna, pouijte hodnotu \" \"\n"
 "(samotnou mezeru)."
 
-#: src/protocol/http/http.c:205
+#: src/protocol/http/http.c:231
 msgid "HTTPS"
 msgstr "HTTPS"
 
-#: src/protocol/http/http.c:207
+#: src/protocol/http/http.c:233
 msgid "HTTPS-specific options."
 msgstr "Nastaven HTTPS."
 
-#: src/protocol/http/http.c:211
+#: src/protocol/http/http.c:237
 msgid "HTTPS proxy configuration."
 msgstr "Nastaven HTTPS proxy."
 
-#: src/protocol/http/http.c:215
+#: src/protocol/http/http.c:241
+#, fuzzy
 msgid ""
-"Host and port-number (host:port) of the HTTPS CONNECT proxy, or blank.\n"
-"If it's blank, HTTPS_PROXY environment variable is checked as well."
+"Host and port-number (host:port) of the HTTPS CONNECT proxy, or blank. If "
+"it's blank, HTTPS_PROXY environment variable is checked as well."
 msgstr ""
 "Hostitel a slo portu (host:port) HTTPS CONNECT proxy (pokud nepouvte "
 "proxy,\n"
@@ -7823,7 +7916,7 @@ msgstr ""
 "se jet pokus pout hodnotu uloenou v promnn prosted HTTPS_PROXY."
 
 #. name:
-#: src/protocol/nntp/nntp.c:32 src/protocol/nntp/nntp.c:65
+#: src/protocol/nntp/nntp.c:32 src/protocol/nntp/nntp.c:66
 msgid "NNTP"
 msgstr "NNTP (noviny st Internet)"
 
@@ -7837,19 +7930,19 @@ msgstr "Vchoz novinov server"
 
 #: src/protocol/nntp/nntp.c:38
 msgid ""
-"Used when resolving news: URIs. If set to the empty string\n"
-"the value of the NNTPSERVER environment variable will be used."
+"Used when resolving news: URIs. If set to the empty string the value of the "
+"NNTPSERVER environment variable will be used."
 msgstr ""
 
-#: src/protocol/nntp/nntp.c:41
+#: src/protocol/nntp/nntp.c:42
 msgid "Message header entries"
 msgstr "Zobrazovat tyto hlaviky zprv"
 
-#: src/protocol/nntp/nntp.c:43
+#: src/protocol/nntp/nntp.c:44
 msgid ""
-"Comma separated list of which entries in the article header\n"
-"to show. E.g. 'Subject' and 'From'.\n"
-"All header entries can be read in the header info dialog."
+"Comma separated list of which entries in the article header to show. E.g. "
+"'Subject' and 'From'. All header entries can be read in the header info "
+"dialog."
 msgstr ""
 
 #: src/protocol/protocol.c:242
@@ -7870,11 +7963,11 @@ msgid "No-proxy domains"
 msgstr "Domny pouiteln bez proxy"
 
 #: src/protocol/protocol.c:279
+#, fuzzy
 msgid ""
-"Comma separated list of domains for which the proxy (HTTP/FTP)\n"
-"should be disabled. Optionally, a port can be specified for some\n"
-"domains as well. If it's blank, NO_PROXY environment variable is\n"
-"checked as well."
+"Comma separated list of domains for which the proxy (HTTP/FTP) should be "
+"disabled. Optionally, a port can be specified for some domains as well. If "
+"it's blank, NO_PROXY environment variable is checked as well."
 msgstr ""
 "Seznam rkou oddlench domn, pro jejich pstup (pes HTTP ani FTP)\n"
 "nebude pouita proxy. Voliteln me bt uveden pro nkter domny\n"
@@ -7891,12 +7984,12 @@ msgid "URI rewriting"
 msgstr "Pepisovn URI"
 
 #: src/protocol/rewrite/rewrite.c:46
+#, fuzzy
 msgid ""
-"Rules for rewriting URIs entered in the goto dialog.\n"
-"It makes it possible to define a set of prefixes that will\n"
-"be expanded if they match a string entered in the goto dialog.\n"
-"The prefixes can be dumb, meaning that they work only like\n"
-"URI abbreviations, or smart ones, making it possible to pass\n"
+"Rules for rewriting URIs entered in the goto dialog. It makes it possible to "
+"define a set of prefixes that will be expanded if they match a string "
+"entered in the goto dialog. The prefixes can be dumb, meaning that they work "
+"only like URI abbreviations, or smart ones, making it possible to pass "
 "arguments to them like search engine keywords."
 msgstr ""
 "Pravidla pro pepisovn URI adres zadanch v dialogu \"jt na\".\n"
@@ -7907,39 +8000,38 @@ msgstr ""
 "dvojtekou doplujc daje, jako napklad klov slova pro\n"
 "vyhledvae."
 
-#: src/protocol/rewrite/rewrite.c:53
+#: src/protocol/rewrite/rewrite.c:54
 msgid "Enable dumb prefixes"
 msgstr "Zapnout krtk prefixy"
 
-#: src/protocol/rewrite/rewrite.c:55
+#: src/protocol/rewrite/rewrite.c:56
 msgid ""
-"Enable dumb prefixes - simple URI abbreviations which can\n"
-"be written to the Goto URL dialog instead of actual URIs - i.e.\n"
-"if you write 'elinks' there, you are directed to\n"
-"http://elinks.cz/."
+"Enable dumb prefixes - simple URI abbreviations which can be written to the "
+"Goto URL dialog instead of actual URIs - i.e. if you write 'elinks' there, "
+"you are directed to http://elinks.cz/."
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:60
+#: src/protocol/rewrite/rewrite.c:61
 msgid "Enable smart prefixes"
 msgstr "Zapnout chytr prefixy"
 
-#: src/protocol/rewrite/rewrite.c:62
+#: src/protocol/rewrite/rewrite.c:63
 msgid ""
-"Enable smart prefixes - URI templates triggered by writing\n"
-"given abbreviation to the Goto URL dialog followed by a list\n"
-"of arguments from which the actual URI is composed - i.e.\n"
-"'gg:search keywords' or 'gn search keywords for news'."
+"Enable smart prefixes - URI templates triggered by writing given "
+"abbreviation to the Goto URL dialog followed by a list of arguments from "
+"which the actual URI is composed - i.e. 'gg:search keywords' or 'gn search "
+"keywords for news'."
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:67
+#: src/protocol/rewrite/rewrite.c:69
 msgid "Dumb Prefixes"
 msgstr "Krtk prefixy"
 
-#: src/protocol/rewrite/rewrite.c:69
+#: src/protocol/rewrite/rewrite.c:71
 msgid "Dumb prefixes, see enable-dumb description for details."
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:74
+#: src/protocol/rewrite/rewrite.c:76
 #, no-c-format
 msgid ""
 "Replacement URI for this dumbprefix:\n"
@@ -7950,15 +8042,15 @@ msgstr ""
 "%c v etzci znamen aktuln adresu\n"
 "%% v etzci znamen '%'"
 
-#: src/protocol/rewrite/rewrite.c:78
+#: src/protocol/rewrite/rewrite.c:80
 msgid "Smart Prefixes"
 msgstr "Chytr prefixy"
 
-#: src/protocol/rewrite/rewrite.c:80
+#: src/protocol/rewrite/rewrite.c:82
 msgid "Smart prefixes, see enable-smart description for details."
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:87
+#: src/protocol/rewrite/rewrite.c:90
 #, no-c-format
 msgid ""
 "Replacement URI for this smartprefix:\n"
@@ -7973,27 +8065,29 @@ msgstr ""
 "%0,%1,...,%9 znamen parametr 0, 1, ..., 9\n"
 "%% v etzci znamen '%'"
 
-#: src/protocol/rewrite/rewrite.c:93
+#: src/protocol/rewrite/rewrite.c:96
 #, fuzzy
 msgid "Default template"
 msgstr "Vchoz kdov strnka"
 
-#: src/protocol/rewrite/rewrite.c:96
+#: src/protocol/rewrite/rewrite.c:99
 #, no-c-format
 msgid ""
-"Default URI template used when the string entered in\n"
-"the goto dialog does not appear to be a URI or a filename\n"
-"(i.e. contains no '.', ':' or '/' characters), and does\n"
-"not match any defined prefixes. Set the value to \"\" to\n"
-"disable use of the default template rewrite rule.\n"
+"Default URI template used when the string entered in the goto dialog does "
+"not appear to be a URI or a filename (i.e. contains no '.', ':' or '/' "
+"characters), and does not match any defined prefixes. Set the value to \"\" "
+"to disable use of the default template rewrite rule.\n"
+"\n"
 "%c in the template means the current URL,\n"
-"%s in the template means the whole string from the goto dialog,\n"
-"%0,%1,...,%9 mean the 1st,2nd,...,10th space-delimited part of %s,\n"
+"%s in the template means the whole string from the goto\n"
+"   dialog,\n"
+"%0,%1,...,%9 mean the 1st,2nd,...,10th space-delimited part\n"
+"   of %s,\n"
 "%% in the template means '%'."
 msgstr ""
 
 #. name:
-#: src/protocol/rewrite/rewrite.c:372
+#: src/protocol/rewrite/rewrite.c:378
 msgid "URI rewrite"
 msgstr "Pepisovn URI"
 
@@ -8015,28 +8109,29 @@ msgid "Credentials file passed to smbcli
 msgstr "Soubor s hesly pedan smbclientu pes parametr -A."
 
 #. name:
-#: src/protocol/user.c:34 src/protocol/user.c:84
+#: src/protocol/user.c:34 src/protocol/user.c:85
 msgid "User protocols"
 msgstr "Uivatelsk protokoly"
 
 #: src/protocol/user.c:36
+#, fuzzy
 msgid ""
-"User protocols. Options in this tree specify external\n"
-"handlers for the appropriate protocols. Ie.\n"
-"protocol.user.mailto.unix."
+"User protocols. Options in this tree specify external handlers for the "
+"appropriate protocols. Ie. protocol.user.mailto.unix."
 msgstr ""
 "Uivatelsk protokoly. Volby v tomto stromu specifikuj extern ovladae\n"
 "pro odpovdajc protokoly. Napklad protocol.user.mailto.unix."
 
 #: src/protocol/user.c:47
+#, fuzzy
 msgid ""
-"Handler (external program) for this protocol. Name the\n"
-"options in this tree after your system (ie. unix, unix-xwin)."
+"Handler (external program) for this protocol. Name the options in this tree "
+"after your system (ie. unix, unix-xwin)."
 msgstr ""
 "Ovlada (extern program) pro tento protokol. Pojmenujte volby v tomto\n"
 "strom podle svho systmu (nap. unix, unix-xwin, ...)."
 
-#: src/protocol/user.c:52
+#: src/protocol/user.c:53
 msgid ""
 "Handler (external program) for this protocol and system.\n"
 "%f in the string means file name to include form data from\n"
@@ -8054,11 +8149,11 @@ msgstr ""
 "%s uvnit etzce znamen pedmt (?subject=<tohle>)\n"
 "%u uvnit etzce znamen celou URL"
 
-#: src/protocol/user.c:276
+#: src/protocol/user.c:277
 msgid "No program"
 msgstr "dn program"
 
-#: src/protocol/user.c:278
+#: src/protocol/user.c:279
 #, c-format
 msgid "No program specified for protocol %s."
 msgstr "Nen zadn dn program pro protokol %s."
@@ -8146,12 +8241,12 @@ msgstr "Varovn JavaScriptu"
 msgid "Spidermonkey ECMAScript"
 msgstr "ECMAScript (JavaScript)"
 
-#: src/session/download.c:233 src/session/download.c:330
-#: src/session/download.c:561 src/session/download.c:649
+#: src/session/download.c:256 src/session/download.c:356
+#: src/session/download.c:587 src/session/download.c:675
 msgid "Download error"
 msgstr "Chyba pi downloadu"
 
-#: src/session/download.c:234 src/session/download.c:650
+#: src/session/download.c:257 src/session/download.c:676
 #, c-format
 msgid ""
 "Could not create file '%s':\n"
@@ -8160,7 +8255,7 @@ msgstr ""
 "U zase nemu vytvoit soubor '%s':\n"
 "%s"
 
-#: src/session/download.c:331
+#: src/session/download.c:357
 #, c-format
 msgid ""
 "Error downloading %s:\n"
@@ -8171,16 +8266,16 @@ msgstr ""
 "\n"
 "%s"
 
-#: src/session/download.c:562
+#: src/session/download.c:588
 #, c-format
 msgid "'%s' is a directory."
 msgstr "'%s' je adres."
 
-#: src/session/download.c:596
+#: src/session/download.c:622
 msgid "File exists"
 msgstr "Soubor existuje"
 
-#: src/session/download.c:597
+#: src/session/download.c:623
 #, c-format
 msgid ""
 "This file already exists:\n"
@@ -8196,54 +8291,54 @@ msgstr ""
 "%s"
 
 #. accelerator_context(src/session/download.c:lookup_unique_name)
-#: src/session/download.c:604
+#: src/session/download.c:630
 #, fuzzy
 msgid "Sa~ve under the alternative name"
 msgstr "Uloit pod nhradnm jmnem"
 
 #. accelerator_context(src/session/download.c:lookup_unique_name)
-#: src/session/download.c:605
+#: src/session/download.c:631
 #, fuzzy
 msgid "~Overwrite the original file"
 msgstr "Pepsat pvodn soubor"
 
 #. accelerator_context(src/session/download.c:lookup_unique_name)
-#: src/session/download.c:606
+#: src/session/download.c:632
 #, fuzzy
 msgid "~Resume download of the original file"
 msgstr "Obnovit stahovn pvodnho souboru"
 
-#: src/session/download.c:1109
+#: src/session/download.c:1135
 msgid "Unknown type"
 msgstr "Neznm typ"
 
-#: src/session/download.c:1134
+#: src/session/download.c:1160
 #, fuzzy, c-format
 msgid "What would you like to do with the file '%s' (type: %s%s%s)?"
 msgstr "Chtl bys zobrazit soubor '%s' (typ: %s)?"
 
-#: src/session/download.c:1137
+#: src/session/download.c:1163
 #, fuzzy, c-format
 msgid "What would you like to do with the file (type: %s%s%s)?"
 msgstr "Chtl bys zobrazit soubor '%s' (typ: %s)?"
 
-#: src/session/download.c:1165
+#: src/session/download.c:1191
 #, no-c-format
 msgid "Program ('%' will be replaced by the filename)"
 msgstr ""
 
-#: src/session/download.c:1169
+#: src/session/download.c:1195
 #, fuzzy
 msgid "Block the terminal"
 msgstr "Zablokovat terminl"
 
-#: src/session/download.c:1175
+#: src/session/download.c:1201
 #, c-format
 msgid "The file will be opened with the program '%s'."
 msgstr ""
 
 #. accelerator_context(src/session/download.c:do_type_query)
-#: src/session/download.c:1196
+#: src/session/download.c:1222
 #, fuzzy
 msgid "~Open"
 msgstr "Otevt"
@@ -8252,12 +8347,12 @@ msgstr "Otevt"
 #. * and formatting it with "%u" is safe,
 #. * because fc_maxlength is smaller than
 #. * file.length, which is an int.
-#: src/session/session.c:761 src/session/session.c:780 src/session/task.c:275
-#: src/viewer/text/textarea.c:652
+#: src/session/session.c:771 src/session/session.c:790 src/session/task.c:275
+#: src/viewer/text/textarea.c:641
 msgid "Warning"
 msgstr "Upozornn"
 
-#: src/session/session.c:762
+#: src/session/session.c:772
 #, fuzzy
 msgid ""
 "You have an empty string in protocol.http.user_agent - this was a default "
@@ -8277,7 +8372,7 @@ msgstr ""
 "prost udlej tohle), abych mohl pout sprvn implicitn nastaven. "
 "Omlouvm se za zpsoben nepjemnosti."
 
-#: src/session/session.c:781
+#: src/session/session.c:791
 #, fuzzy
 msgid ""
 "You have option config.saving_style set to a de facto obsolete value. The "
@@ -8300,11 +8395,11 @@ msgstr ""
 "peel na \"sprvn\" zpsob chovn. Omlouvme se za zpsoben "
 "nepjemnosti."
 
-#: src/session/session.c:806
+#: src/session/session.c:816
 msgid "Welcome"
 msgstr "Vtej"
 
-#: src/session/session.c:807
+#: src/session/session.c:817
 msgid ""
 "Welcome to ELinks!\n"
 "\n"
@@ -8359,22 +8454,22 @@ msgstr "patn velikost terminlu: %d, %
 msgid "Warning: terminal name contains illicit chars."
 msgstr "Varovn: jmno terminlu obsahuje okliv znaky."
 
-#: src/terminal/event.c:259
+#: src/terminal/event.c:258
 #, c-format
 msgid "Failed to create session."
 msgstr "Nelze vytvoit sezen."
 
-#: src/terminal/event.c:446
+#: src/terminal/event.c:443
 #, c-format
 msgid "Bad event %d"
 msgstr "patn udlost %d"
 
-#: src/terminal/event.c:486
+#: src/terminal/event.c:483
 #, c-format
 msgid "Could not read event: %d (%s)"
 msgstr "Nemu pest udlost: %d (%s)"
 
-#: src/terminal/kbd.c:1187
+#: src/terminal/kbd.c:1210
 #, c-format
 msgid "Too many bytes read from the itrm!"
 msgstr "Naetl jsem z itrm pli mnoho byt!"
@@ -8445,204 +8540,204 @@ msgstr "Chybc fragment"
 msgid "The requested fragment \"%s\" doesn't exist."
 msgstr "Vydan fragment \"#%s\" neexistuje."
 
-#: src/viewer/text/form.c:1092
+#: src/viewer/text/form.c:1118
 msgid "Error while posting form"
 msgstr "Chyba pi odesln formule"
 
-#: src/viewer/text/form.c:1093
+#: src/viewer/text/form.c:1119
 #, fuzzy, c-format
 msgid "Could not load file %s: %s"
 msgstr "Nemu dostat soubor %s: %s"
 
-#: src/viewer/text/form.c:1847
+#: src/viewer/text/form.c:1876
 msgid "Reset form"
 msgstr "Vygumovat formul"
 
-#: src/viewer/text/form.c:1849
+#: src/viewer/text/form.c:1878
 msgid "Harmless button"
 msgstr "Nekodn tlatko"
 
-#: src/viewer/text/form.c:1857
+#: src/viewer/text/form.c:1886
 msgid "Submit form to"
 msgstr "Poli formul na"
 
-#: src/viewer/text/form.c:1858
+#: src/viewer/text/form.c:1887
 msgid "Post form to"
 msgstr "Poli formul na"
 
-#: src/viewer/text/form.c:1860
+#: src/viewer/text/form.c:1889
 msgid "Radio button"
 msgstr "Izostaty"
 
-#: src/viewer/text/form.c:1864
+#: src/viewer/text/form.c:1893
 msgid "Select field"
 msgstr "Vybrac polko"
 
-#: src/viewer/text/form.c:1868
+#: src/viewer/text/form.c:1897
 msgid "Text area"
 msgstr "Textov plocha"
 
-#: src/viewer/text/form.c:1870
+#: src/viewer/text/form.c:1899
 msgid "File upload"
 msgstr "Uploadnut souboru"
 
-#: src/viewer/text/form.c:1872
+#: src/viewer/text/form.c:1901
 msgid "Password field"
 msgstr "Polko s heslem"
 
-#: src/viewer/text/form.c:1910
+#: src/viewer/text/form.c:1939
 msgid "name"
 msgstr "jmno"
 
-#: src/viewer/text/form.c:1922
+#: src/viewer/text/form.c:1951
 msgid "value"
 msgstr "hodnota"
 
-#: src/viewer/text/form.c:1935
+#: src/viewer/text/form.c:1964
 msgid "read only"
 msgstr "pouze pro ten"
 
-#: src/viewer/text/form.c:1946
+#: src/viewer/text/form.c:1975
 #, c-format
 msgid "press %s to navigate"
 msgstr "zmkni %s pro navigaci"
 
-#: src/viewer/text/form.c:1948
+#: src/viewer/text/form.c:1977
 #, c-format
 msgid "press %s to edit"
 msgstr "zmkni %s pro editaci"
 
-#: src/viewer/text/form.c:1984
+#: src/viewer/text/form.c:2013
 #, c-format
 msgid "press %s to submit to %s"
 msgstr "zmkni %s pro odesln na %s"
 
-#: src/viewer/text/form.c:1986
+#: src/viewer/text/form.c:2015
 #, c-format
 msgid "press %s to post to %s"
 msgstr "zmkni %s pro odesln na %s"
 
-#: src/viewer/text/form.c:2088
+#: src/viewer/text/form.c:2117
 #, fuzzy
 msgid "Useless button"
 msgstr "Nekodn tlatko"
 
-#: src/viewer/text/form.c:2090
+#: src/viewer/text/form.c:2119
 #, fuzzy
 msgid "Submit button"
 msgstr "Poli formul na"
 
 #. accelerator_context(link_menu.map)
-#: src/viewer/text/link.c:1281
+#: src/viewer/text/link.c:1280
 msgid "Display ~usemap"
 msgstr "Zobrazit map~u"
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1286
+#: src/viewer/text/link.c:1285
 msgid "~Follow link"
 msgstr "~Otevt link"
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1288
+#: src/viewer/text/link.c:1287
 msgid "Follow link and r~eload"
 msgstr "Otevt link a obnovit clovou strnku"
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1292
+#: src/viewer/text/link.c:1291
 msgid "Open in new ~window"
 msgstr "Otevt v ~novm okn"
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1294
+#: src/viewer/text/link.c:1293
 msgid "Open in new ~tab"
 msgstr "Otevt v novm ~tabu"
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1296
+#: src/viewer/text/link.c:1295
 msgid "Open in new tab in ~background"
 msgstr "Otevt v novm tabu na ~pozad"
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1301
+#: src/viewer/text/link.c:1300
 msgid "~Download link"
 msgstr "~Sthnout link"
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1304
+#: src/viewer/text/link.c:1303
 msgid "~Add link to bookmarks"
 msgstr "Pidat link do bookm~ark"
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1308
+#: src/viewer/text/link.c:1307
 #, fuzzy
 msgid "Pass link URI to e~xternal command"
 msgstr "Pedat URI odkazu externmu pkazu"
 
 #. accelerator_context(link_menu.form, link_menu.reset, link_menu.textarea)
-#: src/viewer/text/link.c:1319 src/viewer/text/link.c:1359
+#: src/viewer/text/link.c:1318 src/viewer/text/link.c:1358
 msgid "~Reset form"
 msgstr "~Vygumovat formul"
 
 #. accelerator_context(link_menu.textarea)
-#: src/viewer/text/link.c:1334
+#: src/viewer/text/link.c:1333
 msgid "Open in ~external editor"
 msgstr "Otevt v ~externm editoru"
 
 #. accelerator_context(link_menu.form, link_menu.textarea)
-#: src/viewer/text/link.c:1342
+#: src/viewer/text/link.c:1341
 msgid "~Submit form"
 msgstr "Odeslat formul"
 
 #. accelerator_context(link_menu.form, link_menu.textarea)
-#: src/viewer/text/link.c:1343
+#: src/viewer/text/link.c:1342
 msgid "Submit form and rel~oad"
 msgstr "Odeslat formul a obnovit vslednou strnku"
 
 #. accelerator_context(link_menu.form, link_menu.textarea)
-#: src/viewer/text/link.c:1347
+#: src/viewer/text/link.c:1346
 msgid "Submit form and open in new ~window"
 msgstr "Poslat formul a otevt v ~novm okn"
 
 #. accelerator_context(link_menu.form, link_menu.textarea)
-#: src/viewer/text/link.c:1349
+#: src/viewer/text/link.c:1348
 msgid "Submit form and open in new ~tab"
 msgstr "Poslat formul a otevt v novm ~tabu"
 
 #. accelerator_context(link_menu.form, link_menu.textarea)
-#: src/viewer/text/link.c:1352
+#: src/viewer/text/link.c:1351
 msgid "Submit form and open in new tab in ~background"
 msgstr "Poslat formul a otevt v novm tabu na ~pozad"
 
 #. accelerator_context(link_menu.form, link_menu.textarea)
-#: src/viewer/text/link.c:1357
+#: src/viewer/text/link.c:1356
 msgid "Submit form and ~download"
 msgstr "Poslat formul a ~sthnout"
 
 #. accelerator_context(link_menu.form, link_menu.reset, link_menu.textarea)
-#: src/viewer/text/link.c:1364
+#: src/viewer/text/link.c:1363
 #, fuzzy
 msgid "Form f~ields"
 msgstr "Polko s heslem"
 
 #. accelerator_context(link_menu.form, link_menu.map, link_menu.std)
-#: src/viewer/text/link.c:1371
+#: src/viewer/text/link.c:1370
 msgid "V~iew image"
 msgstr "Zobraz~it obrzek"
 
 #. accelerator_context(link_menu.form, link_menu.map, link_menu.std)
-#: src/viewer/text/link.c:1373
+#: src/viewer/text/link.c:1372
 msgid "Download ima~ge"
 msgstr "Sthnout o~brzek"
 
-#: src/viewer/text/link.c:1382
+#: src/viewer/text/link.c:1381
 msgid "No link selected"
 msgstr "dn link"
 
-#: src/viewer/text/link.c:1452
+#: src/viewer/text/link.c:1451
 msgid "Image"
 msgstr "Obrzek"
 
-#: src/viewer/text/link.c:1457
+#: src/viewer/text/link.c:1456
 msgid "Usemap"
 msgstr "Mapa obrzk"
 
@@ -8651,85 +8746,85 @@ msgstr "Mapa obrzk"
 msgid "Marks"
 msgstr ""
 
-#: src/viewer/text/search.c:1083
+#: src/viewer/text/search.c:1099
 msgid "Search hit top, continuing at bottom."
 msgstr "Vyhledvn doshlo zatku dokumentu, pokrauji od konce."
 
-#: src/viewer/text/search.c:1084
+#: src/viewer/text/search.c:1100
 msgid "Search hit bottom, continuing at top."
 msgstr "Vyhledvn doshlo konce dokumentu, pokrauji od zatku."
 
-#: src/viewer/text/search.c:1087
+#: src/viewer/text/search.c:1103
 msgid "No previous search"
 msgstr "dn pedchoz hledn"
 
-#: src/viewer/text/search.c:1099
+#: src/viewer/text/search.c:1115
 #, c-format
 msgid "Could not compile regular expression '%s'"
 msgstr "Nelze zkompilovat regulrn vraz '%s'"
 
-#: src/viewer/text/search.c:1143
+#: src/viewer/text/search.c:1159
 #, c-format
 msgid "No further matches for '%s'."
 msgstr "dn dal vskyty '%s'."
 
-#: src/viewer/text/search.c:1145
+#: src/viewer/text/search.c:1161
 #, c-format
 msgid "Could not find a link with the text '%s'."
 msgstr "Nenael jsem odkaz obsahujc text '%s'."
 
-#: src/viewer/text/search.c:1147 src/viewer/text/search.c:1558
+#: src/viewer/text/search.c:1163 src/viewer/text/search.c:1576
 msgid "Typeahead"
 msgstr "Interaktivn vyhledvn"
 
-#: src/viewer/text/search.c:1560
+#: src/viewer/text/search.c:1578
 #, c-format
 msgid "No links in current document"
 msgstr "V dokumentu nejsou dn odkazy"
 
-#: src/viewer/text/search.c:1643
+#: src/viewer/text/search.c:1661
 msgid "Search for text"
 msgstr "Hledn textu"
 
-#: src/viewer/text/search.c:1679
+#: src/viewer/text/search.c:1697
 msgid "Normal search"
 msgstr "Normln vraz"
 
-#: src/viewer/text/search.c:1680
+#: src/viewer/text/search.c:1698
 msgid "Regexp search"
 msgstr "Regulrn vraz"
 
-#: src/viewer/text/search.c:1681
+#: src/viewer/text/search.c:1699
 msgid "Extended regexp search"
 msgstr "Rozen regulrn vraz"
 
-#: src/viewer/text/search.c:1683
+#: src/viewer/text/search.c:1701
 msgid "Case sensitive"
 msgstr "Rozliovat velikost psmen"
 
-#: src/viewer/text/search.c:1684
+#: src/viewer/text/search.c:1702
 msgid "Case insensitive"
 msgstr "Nerozliovat velikost psmen"
 
-#: src/viewer/text/search.c:1708
+#: src/viewer/text/search.c:1726
 msgid "Search backward"
 msgstr "Hledat zpt"
 
 #. name:
-#: src/viewer/text/search.c:1747
+#: src/viewer/text/search.c:1765
 #, fuzzy
 msgid "Search History"
 msgstr "Hledat v historii"
 
-#: src/viewer/text/textarea.c:595
+#: src/viewer/text/textarea.c:584
 msgid "You cannot launch an external editor in the anonymous mode."
 msgstr "V anonymnm reimu nemete spustit extern editor."
 
-#: src/viewer/text/textarea.c:602
+#: src/viewer/text/textarea.c:591
 msgid "You can do this only on the master terminal"
 msgstr "Tohle me jen na dcm terminlu"
 
-#: src/viewer/text/textarea.c:655
+#: src/viewer/text/textarea.c:644
 #, c-format
 msgid ""
 "You have exceeded the textarea's size limit: your input is %d bytes, but the "
@@ -8747,11 +8842,11 @@ msgstr "B na link"
 msgid "Enter link number"
 msgstr "Zadej slo linku"
 
-#: src/viewer/text/view.c:1627
+#: src/viewer/text/view.c:1628
 msgid "Save error"
 msgstr "Chyba pi ukldn"
 
-#: src/viewer/text/view.c:1628
+#: src/viewer/text/view.c:1629
 msgid "Error writing to file"
 msgstr "Chyba pi zpisu do souboru"
 
@@ -8767,13 +8862,6 @@ msgstr "Titulek"
 msgid "Viewer"
 msgstr "~Zobrazen"
 
-#~ msgid ""
-#~ "Verify the peer's SSL certificate. Note that this\n"
-#~ "probably doesn't work properly at all with GnuTLS."
-#~ msgstr ""
-#~ "Ovit SSL certifikt druh strany. Ke zprovoznn tohoto nastaven\n"
-#~ "je teba odpovdajcm zpsobem nakonfigurovat GnuTLS."
-
 #~ msgid "Delete text from clipboard"
 #~ msgstr "Smazn textu ze schrnky"
 
Binary files 0.12~pre2.dfsg0-1/po/da.gmo and 0.12~pre4-1/po/da.gmo differ
diff -pruN 0.12~pre2.dfsg0-1/po/da.po 0.12~pre4-1/po/da.po
--- 0.12~pre2.dfsg0-1/po/da.po	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/po/da.po	2009-05-31 09:48:47.000000000 +0100
@@ -6,7 +6,7 @@ msgid ""
 msgstr ""
 "Project-Id-Version: ELinks 0.10.CVS\n"
 "Report-Msgid-Bugs-To: elinks-users@linuxfromscratch.org\n"
-"POT-Creation-Date: 2008-09-21 11:13+0300\n"
+"POT-Creation-Date: 2009-05-31 01:57+0300\n"
 "PO-Revision-Date: 2005-06-12 02:00+0200\n"
 "Last-Translator: Jonas Fonseca <fonseca@diku.dk>\n"
 "Language-Team: Danish <dansk@klid.dk>\n"
@@ -38,7 +38,7 @@ msgstr "Tast mellemrum for at bne denne
 #: src/mime/dialogs.c:132 src/protocol/auth/dialogs.c:115
 #: src/protocol/protocol.c:246 src/scripting/lua/core.c:399
 #: src/scripting/lua/core.c:480 src/scripting/python/dialogs.c:86
-#: src/session/session.c:811 src/viewer/text/search.c:1686
+#: src/session/session.c:821 src/viewer/text/search.c:1704
 msgid "~OK"
 msgstr "~O.k."
 
@@ -55,13 +55,13 @@ msgid "Sorry, but the item \"%s\" is bei
 msgstr "Desvrre, men elementet \"%s\" er optaget af en anden proces."
 
 #. cant_delete_folder
-#: src/bfu/hierbox.c:558 src/bookmarks/dialogs.c:121
+#: src/bfu/hierbox.c:558 src/bookmarks/dialogs.c:153
 #, c-format
 msgid "Sorry, but the folder \"%s\" cannot be deleted."
 msgstr "Desvrre, mappen \"%s\" kan ikke slettes."
 
 #. cant_delete_used_folder
-#: src/bfu/hierbox.c:561 src/bookmarks/dialogs.c:123
+#: src/bfu/hierbox.c:561 src/bookmarks/dialogs.c:155
 #, c-format
 msgid "Sorry, but the folder \"%s\" is being used by something else."
 msgstr "Desvrre, mappen \"%s\" er optaget af en anden proces."
@@ -77,7 +77,7 @@ msgid "Delete marked items?"
 msgstr "Slet markerede elementer?"
 
 #. delete_folder_title
-#: src/bfu/hierbox.c:570 src/bookmarks/dialogs.c:129
+#: src/bfu/hierbox.c:570 src/bookmarks/dialogs.c:161
 msgid "Delete folder"
 msgstr "Slet mappe"
 
@@ -134,13 +134,13 @@ msgstr "~Ja"
 msgid "~No"
 msgstr "~Nej"
 
-#: src/bfu/hierbox.c:945 src/bfu/hierbox.c:976 src/viewer/text/search.c:1090
-#: src/viewer/text/search.c:1098 src/viewer/text/search.c:1114
-#: src/viewer/text/search.c:1705
+#: src/bfu/hierbox.c:945 src/bfu/hierbox.c:976 src/viewer/text/search.c:1106
+#: src/viewer/text/search.c:1114 src/viewer/text/search.c:1130
+#: src/viewer/text/search.c:1723
 msgid "Search"
 msgstr "Sg"
 
-#: src/bfu/hierbox.c:947 src/viewer/text/search.c:1091
+#: src/bfu/hierbox.c:947 src/viewer/text/search.c:1107
 #, c-format
 msgid "Search string '%s' not found"
 msgstr "Sgningen \"%s\" gav intet resultat"
@@ -179,8 +179,8 @@ msgstr "Tom tekststreng ikke tilladt"
 #: src/dialogs/options.c:237 src/dialogs/options.c:316 src/mime/dialogs.c:133
 #: src/protocol/auth/dialogs.c:116 src/protocol/bittorrent/dialogs.c:814
 #: src/scripting/lua/core.c:400 src/scripting/lua/core.c:481
-#: src/session/download.c:607 src/session/download.c:1219
-#: src/viewer/text/search.c:1687
+#: src/session/download.c:633 src/session/download.c:1245
+#: src/viewer/text/search.c:1705
 msgid "~Cancel"
 msgstr "A~nnullr"
 
@@ -192,8 +192,8 @@ msgstr "Ur"
 msgid "Digital clock in the status bar."
 msgstr "Digitalt ur i statuslinjen."
 
-#: src/bfu/leds.c:77 src/bfu/leds.c:94 src/config/options.inc:1199
-#: src/config/options.inc:1206 src/ecmascript/ecmascript.c:45
+#: src/bfu/leds.c:77 src/bfu/leds.c:94 src/config/options.inc:1272
+#: src/config/options.inc:1279 src/ecmascript/ecmascript.c:45
 #: src/globhist/globhist.c:64 src/mime/backend/mailcap.c:93
 #: src/mime/backend/mimetypes.c:52 src/network/ssl/ssl.c:81
 msgid "Enable"
@@ -208,9 +208,9 @@ msgid "Format"
 msgstr "Format"
 
 #: src/bfu/leds.c:83
+#, fuzzy
 msgid ""
-"Format string for the digital clock. See the strftime(3)\n"
-"manpage for details."
+"Format string for the digital clock. See the strftime(3) manpage for details."
 msgstr ""
 "Formateringsstreng for det digitale ur. Se manualsiden strftime(3)\n"
 "for hjlp."
@@ -224,9 +224,9 @@ msgid "LEDs (visual indicators) options.
 msgstr "Indstillinger for visuelle LED-indikatorer."
 
 #: src/bfu/leds.c:96
+#, fuzzy
 msgid ""
-"Enable LEDs.\n"
-"These visual indicators will inform you about various states."
+"Enable LEDs. These visual indicators will inform you about various states."
 msgstr ""
 "Aktivr LED-indikatorer.\n"
 "Disse visuelle indikatorer bruges til at markere forskellige tilstande."
@@ -269,17 +269,17 @@ msgstr ""
 msgid "Search menu/"
 msgstr "Sg menu/"
 
-#: src/bookmarks/backend/xbel.c:97
+#: src/bookmarks/backend/xbel.c:105
 #, c-format
 msgid "read_bookmarks_xbel(): Error in XML_ParserCreate()"
 msgstr "read_bookmarks_xbel(): Fejl i XML_ParserCreate()"
 
-#: src/bookmarks/backend/xbel.c:108
+#: src/bookmarks/backend/xbel.c:116
 #, c-format
 msgid "read_bookmarks_xbel(): Error reading %s"
 msgstr "read_bookmarks_xbel(): Fejl ved lsning af %s"
 
-#: src/bookmarks/backend/xbel.c:116
+#: src/bookmarks/backend/xbel.c:124
 #, c-format
 msgid ""
 "Parse error while processing XBEL bookmarks in %s at line %d column %d:\n"
@@ -288,16 +288,16 @@ msgstr ""
 "Fortolkningsfejl ved lsning af XBEL bogmrker i %s, linje %d kolonne %d:\n"
 "%s"
 
-#: src/bookmarks/backend/xbel.c:390 src/bookmarks/backend/xbel.c:411
+#: src/bookmarks/backend/xbel.c:388 src/bookmarks/backend/xbel.c:410
 msgid "No title"
 msgstr "Ingen titel"
 
-#: src/bookmarks/backend/xbel.c:396
+#: src/bookmarks/backend/xbel.c:394
 msgid "No URL"
 msgstr "Ingen adresse"
 
 #. name:
-#: src/bookmarks/bookmarks.c:48 src/bookmarks/bookmarks.c:181
+#: src/bookmarks/bookmarks.c:48 src/bookmarks/bookmarks.c:183
 msgid "Bookmarks"
 msgstr "Bogmrker"
 
@@ -305,28 +305,28 @@ msgstr "Bogmrker"
 msgid "Bookmark options."
 msgstr "Bogmrkeindstillinger."
 
-#: src/bookmarks/bookmarks.c:53 src/bookmarks/bookmarks.c:59
+#: src/bookmarks/bookmarks.c:53 src/bookmarks/bookmarks.c:60
 msgid "File format"
 msgstr "Filformat"
 
 #: src/bookmarks/bookmarks.c:55
+#, fuzzy
 msgid ""
 "File format for bookmarks (affects both reading and saving):\n"
 "0 is the default native ELinks format\n"
-"1 is XBEL universal XML bookmarks format (ELinks bug 153: NO NATIONAL CHARS "
-"SUPPORT!)"
+"1 is XBEL universal XML bookmarks format"
 msgstr ""
 "Filformat for bogmrker (pvirker lsning og gemning):\n"
 "0 er ELinks' standardformat\n"
 "1 er det universelle XBEL XML-bogmrkeformat (ELinks bug 153: INGEN "
 "NATIONALE TEGN!)"
 
-#: src/bookmarks/bookmarks.c:61
+#: src/bookmarks/bookmarks.c:62
+#, fuzzy
 msgid ""
 "File format for bookmarks (affects both reading and saving):\n"
 "0 is the default native ELinks format\n"
-"1 is XBEL universal XML bookmarks format (ELinks bug 153: NO NATIONAL CHARS "
-"SUPPORT!)  (DISABLED)"
+"1 is XBEL universal XML bookmarks format  (DISABLED)"
 msgstr ""
 "Filformat for bogmrker (pvirker lsning og gemning):\n"
 "0 er ELinks' standardformat\n"
@@ -334,16 +334,16 @@ msgstr ""
 "  (ELinks bug 153: INGEN NATIONALE TEGN!) \n"
 "(DEAKTIVERET)"
 
-#: src/bookmarks/bookmarks.c:67
+#: src/bookmarks/bookmarks.c:68
 msgid "Save folder state"
 msgstr "Gem mappe tilstand"
 
-#: src/bookmarks/bookmarks.c:69
+#: src/bookmarks/bookmarks.c:70
+#, fuzzy
 msgid ""
-"When saving bookmarks also store whether folders are\n"
-"expanded or not, so the look of the bookmark dialog is\n"
-"kept across ELinks sessions. If disabled all folders will\n"
-"appear unexpanded next time ELinks is run."
+"When saving bookmarks also store whether folders are expanded or not, so the "
+"look of the bookmark dialog is kept across ELinks sessions. If disabled all "
+"folders will appear unexpanded next time ELinks is run."
 msgstr ""
 "Hvis aktiveret, nr bogmrker gemmes, vil informationer\n"
 "om mapper er udfoldet eller ej ogs blive gemt, sledes\n"
@@ -351,16 +351,16 @@ msgstr ""
 "af ELinks sessioner. Hvis deaktiveret vil ingen foldere\n"
 "vre udfoldet nste gang ELinks bnes."
 
-#: src/bookmarks/bookmarks.c:74
+#: src/bookmarks/bookmarks.c:75
 msgid "Periodic snapshotting"
 msgstr "Periodisk gemning af jebliksbillede"
 
-#: src/bookmarks/bookmarks.c:76
+#: src/bookmarks/bookmarks.c:77
+#, fuzzy
 msgid ""
-"Automatically save a snapshot of all tabs periodically.\n"
-"This will periodically bookmark the tabs of each terminal in a separate "
-"folder\n"
-"for recovery after a crash.\n"
+"Automatically save a snapshot of all tabs periodically. This will "
+"periodically bookmark the tabs of each terminal in a separate folder for "
+"recovery after a crash.\n"
 "\n"
 "This feature requires bookmark support."
 msgstr ""
@@ -370,12 +370,12 @@ msgstr ""
 "af nedbrud.\n"
 "Denne egenskab krver bogmrkeunderstttelse."
 
-#: src/bookmarks/dialogs.c:72 src/config/options.inc:1051
+#: src/bookmarks/dialogs.c:97 src/config/options.inc:1120
 #: src/dialogs/document.c:145 src/globhist/dialogs.c:65
 msgid "Title"
 msgstr "Titel"
 
-#: src/bookmarks/dialogs.c:73 src/cache/dialogs.c:65
+#: src/bookmarks/dialogs.c:101 src/cache/dialogs.c:65
 #: src/dialogs/document.c:136 src/dialogs/edit.c:96 src/formhist/dialogs.c:63
 #: src/globhist/dialogs.c:66 src/protocol/auth/dialogs.c:163
 #: src/scripting/lua/core.c:397
@@ -383,81 +383,81 @@ msgid "URL"
 msgstr "Adresse"
 
 #. cant_delete_item
-#: src/bookmarks/dialogs.c:117
+#: src/bookmarks/dialogs.c:149
 #, c-format
 msgid "Sorry, but the bookmark \"%s\" cannot be deleted."
 msgstr "Desvrre, bogmrket \"%s\" kan ikke slettes."
 
 #. cant_delete_used_item
-#: src/bookmarks/dialogs.c:119
+#: src/bookmarks/dialogs.c:151
 #, c-format
 msgid "Sorry, but the bookmark \"%s\" is being used by something else."
 msgstr "Desvrre, bogmrket \"%s\" er optaget af en anden proces."
 
 #. delete_marked_items_title
-#: src/bookmarks/dialogs.c:125
+#: src/bookmarks/dialogs.c:157
 msgid "Delete marked bookmarks"
 msgstr "Slet markerede bogmrker"
 
 #. delete_marked_items
-#: src/bookmarks/dialogs.c:127
+#: src/bookmarks/dialogs.c:159
 msgid "Delete marked bookmarks?"
 msgstr "Slet markerede bogmrker?"
 
 #. delete_folder
-#: src/bookmarks/dialogs.c:131
+#: src/bookmarks/dialogs.c:163
 #, c-format
 msgid "Delete the folder \"%s\" and all bookmarks in it?"
 msgstr "Slet mappen \"%s\" og alle dens bogmrker?"
 
 #. delete_item_title
-#: src/bookmarks/dialogs.c:133
+#: src/bookmarks/dialogs.c:165
 msgid "Delete bookmark"
 msgstr "Slet bogmrke"
 
-#: src/bookmarks/dialogs.c:135
+#: src/bookmarks/dialogs.c:167
 #, c-format
 msgid "Delete this bookmark?"
 msgstr "Slet dette bogmrke?"
 
 #. clear_all_items_title
-#: src/bookmarks/dialogs.c:137
+#: src/bookmarks/dialogs.c:169
 msgid "Clear all bookmarks"
 msgstr "Slet alle bogmrker"
 
 #. clear_all_items_title
-#: src/bookmarks/dialogs.c:139
+#: src/bookmarks/dialogs.c:171
 msgid "Do you really want to remove all bookmarks?"
 msgstr "Vil du virkelig slette alle bogmrker?"
 
-#: src/bookmarks/dialogs.c:254
+#: src/bookmarks/dialogs.c:327
 msgid "Add folder"
 msgstr "Tilfj mappe"
 
-#: src/bookmarks/dialogs.c:254
+#: src/bookmarks/dialogs.c:327
 msgid "Folder name"
 msgstr "Mappenavn"
 
-#: src/bookmarks/dialogs.c:310 src/scripting/lua/core.c:391
+#: src/bookmarks/dialogs.c:410 src/scripting/lua/core.c:391
 msgid "Edit bookmark"
 msgstr "Redigr bogmrke"
 
-#: src/bookmarks/dialogs.c:461
+#: src/bookmarks/dialogs.c:567
 msgid "Cannot move folder inside itself"
 msgstr ""
 
-#: src/bookmarks/dialogs.c:462
+#: src/bookmarks/dialogs.c:568
 msgid ""
 "You are trying to move the marked folder inside itself. To move the folder "
 "to a different location select the new location before pressing the Move "
 "button."
 msgstr ""
 
-#: src/bookmarks/dialogs.c:468
+#: src/bookmarks/dialogs.c:574
 msgid "Nothing to move"
 msgstr ""
 
-#: src/bookmarks/dialogs.c:469
+#: src/bookmarks/dialogs.c:575
 msgid ""
 "To move bookmarks, first mark all the bookmarks (or folders) you want to "
 "move.  This can be done with the Insert key if you're using the default key-"
@@ -466,19 +466,19 @@ msgid ""
 msgstr ""
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons, src/cache/dialogs.c:cache_buttons, src/globhist/dialogs.c:globhist_buttons, src/protocol/auth/dialogs.c:auth_buttons)
-#: src/bookmarks/dialogs.c:487 src/cache/dialogs.c:230
+#: src/bookmarks/dialogs.c:593 src/cache/dialogs.c:230
 #: src/globhist/dialogs.c:224 src/protocol/auth/dialogs.c:261
 msgid "~Goto"
 msgstr "~G til"
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons, src/config/dialogs.c:option_buttons, src/cookies/dialogs.c:cookie_buttons)
-#: src/bookmarks/dialogs.c:488 src/config/dialogs.c:503
+#: src/bookmarks/dialogs.c:594 src/config/dialogs.c:503
 #: src/cookies/dialogs.c:492
 msgid "~Edit"
 msgstr "R~edigr"
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons, src/cache/dialogs.c:cache_buttons, src/config/dialogs.c:keybinding_buttons, src/config/dialogs.c:option_buttons, src/cookies/dialogs.c:cookie_buttons, src/dialogs/menu.c:ext_menu, src/formhist/dialogs.c:formhist_buttons, src/globhist/dialogs.c:globhist_buttons, src/protocol/auth/dialogs.c:auth_buttons)
-#: src/bookmarks/dialogs.c:489 src/cache/dialogs.c:231
+#: src/bookmarks/dialogs.c:595 src/cache/dialogs.c:231
 #: src/config/dialogs.c:505 src/config/dialogs.c:930 src/cookies/dialogs.c:493
 #: src/dialogs/menu.c:463 src/formhist/dialogs.c:211
 #: src/globhist/dialogs.c:229 src/protocol/auth/dialogs.c:263
@@ -486,28 +486,28 @@ msgid "~Delete"
 msgstr "~Slet"
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons, src/config/dialogs.c:keybinding_buttons, src/config/dialogs.c:option_buttons, src/cookies/dialogs.c:cookie_buttons, src/dialogs/menu.c:ext_menu)
-#: src/bookmarks/dialogs.c:490 src/config/dialogs.c:504
+#: src/bookmarks/dialogs.c:596 src/config/dialogs.c:504
 #: src/config/dialogs.c:929 src/cookies/dialogs.c:490 src/dialogs/menu.c:461
 msgid "~Add"
 msgstr "~Tilfj"
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons)
-#: src/bookmarks/dialogs.c:491
+#: src/bookmarks/dialogs.c:597
 msgid "Add se~parator"
 msgstr "Tilfj s~killetegn"
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons)
-#: src/bookmarks/dialogs.c:492
+#: src/bookmarks/dialogs.c:598
 msgid "Add ~folder"
 msgstr "Tilfj ~mappe"
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons)
-#: src/bookmarks/dialogs.c:493
+#: src/bookmarks/dialogs.c:599
 msgid "~Move"
 msgstr "~Flyt"
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons, src/cache/dialogs.c:cache_buttons, src/config/dialogs.c:keybinding_buttons, src/config/dialogs.c:option_buttons, src/dialogs/menu.c:view_menu, src/globhist/dialogs.c:globhist_buttons)
-#: src/bookmarks/dialogs.c:494 src/cache/dialogs.c:232
+#: src/bookmarks/dialogs.c:600 src/cache/dialogs.c:232
 #: src/config/dialogs.c:506 src/config/dialogs.c:932 src/dialogs/menu.c:413
 #: src/globhist/dialogs.c:230
 msgid "~Search"
@@ -515,36 +515,50 @@ msgstr "S~g"
 
 #. This one is too dangerous, so just let user delete
 #. * the bookmarks file if needed. --Zas
-#: src/bookmarks/dialogs.c:498
+#: src/bookmarks/dialogs.c:604
 msgid "Clear"
 msgstr "Ryd"
 
 #. TODO: Would this be useful? --jonas
-#: src/bookmarks/dialogs.c:501 src/globhist/dialogs.c:235
+#: src/bookmarks/dialogs.c:607 src/globhist/dialogs.c:235
 msgid "Save"
 msgstr "Gem"
 
-#: src/bookmarks/dialogs.c:507
+#: src/bookmarks/dialogs.c:613
 msgid "Bookmark manager"
 msgstr "Bogmrkehndtering"
 
-#: src/bookmarks/dialogs.c:632
+#: src/bookmarks/dialogs.c:825
 msgid "Search bookmarks"
 msgstr "Sg i bogmrker"
 
-#: src/bookmarks/dialogs.c:661
+#. When the user eventually pushes the OK button, BFU calls
+#. * bookmark_add_add() and gives it the struct dialog * as the
+#. * void * parameter.  However, bookmark_add_add() also needs
+#. * to know the struct terminal *, and there is no way to get
+#. * that from struct dialog.  The other bookmark dialogs work
+#. * around that by making dialog.udata point to the struct
+#. * dialog_data of the bookmark manager, but the "Add bookmark"
+#. * dialog can be triggered with ACT_MAIN_ADD_BOOKMARK, which
+#. * does not involve the bookmark manager at all.
+#. *
+#. * The solution here is to save the struct terminal * in
+#. * dialog.udata2, which the "Edit bookmark" dialog uses for
+#. * struct bookmark *.  When adding a new bookmark, we don't
+#. * need a pointer to an existing one, of course.
+#: src/bookmarks/dialogs.c:892
 msgid "Add bookmark"
 msgstr "Tilfj bogmrke"
 
-#: src/bookmarks/dialogs.c:697
+#: src/bookmarks/dialogs.c:950
 msgid "Saved session"
 msgstr "Gemt session"
 
-#: src/bookmarks/dialogs.c:705
+#: src/bookmarks/dialogs.c:958
 msgid "Bookmark tabs"
 msgstr "Tilfj faneblade som bogmrker"
 
-#: src/bookmarks/dialogs.c:705
+#: src/bookmarks/dialogs.c:958
 msgid "Enter folder name"
 msgstr "Angiv navn p mappe"
 
@@ -556,7 +570,7 @@ msgstr "Proxyadresse"
 msgid "Redirect"
 msgstr "Omdirigering"
 
-#: src/cache/dialogs.c:85 src/config/options.inc:519
+#: src/cache/dialogs.c:85 src/config/options.inc:553
 #: src/dialogs/document.c:156 src/protocol/bittorrent/dialogs.c:126
 msgid "Size"
 msgstr "Strrelse"
@@ -602,7 +616,7 @@ msgstr "Udlber"
 msgid "ID"
 msgstr "ID"
 
-#: src/cache/dialogs.c:134 src/config/options.inc:669
+#: src/cache/dialogs.c:134 src/config/options.inc:707
 msgid "Header"
 msgstr "Teksthoved"
 
@@ -1274,7 +1288,7 @@ msgstr "Vrtsmaskine ikke fundet"
 msgid "Resolver error"
 msgstr "Kunne ikke omdanne vrtsnavn til IP-adresse"
 
-#: src/config/cmdline.c:256 src/cookies/cookies.c:841 src/network/state.c:47
+#: src/config/cmdline.c:256 src/cookies/cookies.c:843 src/network/state.c:47
 #: src/util/secsave.c:379
 msgid "Out of memory"
 msgstr "Hukommelse opbrugt"
@@ -1295,201 +1309,208 @@ msgstr "Ulselige tegn efter citeret par
 msgid "Remote method not supported"
 msgstr "Fjernmetode ikke understttet"
 
-#: src/config/cmdline.c:452
+#: src/config/cmdline.c:437
+msgid "Out of memory formatting option documentation"
+msgstr ""
+
+#: src/config/cmdline.c:474
 msgid "Template option folder"
 msgstr "Mappe med skabelonindstillinger"
 
-#: src/config/cmdline.c:475
+#: src/config/cmdline.c:497
 #, c-format
 msgid "(default: %ld)"
 msgstr "(standard: %ld)"
 
-#: src/config/cmdline.c:482 src/config/cmdline.c:511
+#: src/config/cmdline.c:504 src/config/cmdline.c:533
 #, c-format
 msgid "(default: \"%s\")"
 msgstr "(standard: \"%s\")"
 
-#: src/config/cmdline.c:487
+#: src/config/cmdline.c:509
 #, c-format
 msgid "(alias for %s)"
 msgstr "(alias for %s)"
 
-#: src/config/cmdline.c:492 src/config/cmdline.c:501
+#: src/config/cmdline.c:514 src/config/cmdline.c:523
 #, c-format
 msgid "(default: %s)"
 msgstr "(standard: %s)"
 
-#: src/config/cmdline.c:642
+#: src/config/cmdline.c:654
 msgid "Configuration options"
 msgstr "Opstningsindstillinger"
 
-#: src/config/cmdline.c:646
+#: src/config/cmdline.c:658
 msgid "Usage: elinks [OPTION]... [URL]..."
 msgstr "Brug: elinks [INDSTILLING]... [ADRESSE]..."
 
-#: src/config/cmdline.c:647
+#: src/config/cmdline.c:659
 msgid "Options"
 msgstr "Indstillinger"
 
-#: src/config/cmdline.c:689
+#: src/config/cmdline.c:701
 msgid "Internal consistency error"
 msgstr "Intern fejl"
 
 #.
-#: src/config/cmdline.c:725
+#: src/config/cmdline.c:737
 msgid "Restrict to anonymous mode"
 msgstr "Begrns til anonyme brugere"
 
-#: src/config/cmdline.c:727
+#: src/config/cmdline.c:739
+#, fuzzy
 msgid ""
-"Restricts ELinks so it can run on an anonymous account.\n"
-"Local file browsing, downloads, and modification of options\n"
-"will be disabled. Execution of viewers is allowed, but entries\n"
-"in the association table can't be added or modified."
+"Restricts ELinks so it can run on an anonymous account. Local file browsing, "
+"downloads, and modification of options will be disabled. Execution of "
+"viewers is allowed, but entries in the association table can't be added or "
+"modified."
 msgstr ""
 "Begrns visse faciliteter i ELinks s den kan anvendes med anonyme\n"
 "brugerkonti. Ingen visning af lokale filer, ingen filoverfrsler. Brug af\n"
 "fremvisere er tilladt, men brugeren kan ikke tilfje eller ndre i\n"
 "opstningen af hvilke fremvisere der bruges ved hvilke filtyper."
 
-#: src/config/cmdline.c:732
+#: src/config/cmdline.c:745
 msgid "Autosubmit first form"
 msgstr "Indsend frste formular automatisk"
 
-#: src/config/cmdline.c:734
+#: src/config/cmdline.c:747
 msgid "Automatically submit the first form in the given URLs."
 msgstr "Indsend automatisk den frste formular i de givne adresser."
 
 # rettet "ID" til flleskn, men mske er det et ID-nummer og s er din
 # bedre, men i s fald burde vi kalde det ID-nummer og ikke bare ID.
-#: src/config/cmdline.c:736
+#: src/config/cmdline.c:749
 msgid "Clone internal session with given ID"
 msgstr "Kloning af intern session med et givent id-nummer"
 
-#: src/config/cmdline.c:738
+#: src/config/cmdline.c:751
+#, fuzzy
 msgid ""
-"Used internally when opening ELinks instances in new windows.\n"
-"The ID maps to information that will be used when creating the\n"
-"new instance. You don't want to use it."
+"Used internally when opening ELinks instances in new windows. The ID maps to "
+"information that will be used when creating the new instance. You don't want "
+"to use it."
 msgstr ""
 "Bruges internt nr ELinks-instanser bnes i nye terminalvinduer.\n"
 "Det givne id-nummer henviser til information som den nye instans\n"
 "baseres p. Dette programargument br ikke benyttes."
 
-#: src/config/cmdline.c:744
+#: src/config/cmdline.c:757
 msgid "Name of directory with configuration file"
 msgstr "Navn p katalog med opstningsfil"
 
-#: src/config/cmdline.c:746
+#: src/config/cmdline.c:759
+#, fuzzy
 msgid ""
-"Path of the directory ELinks will read and write its\n"
-"config and runtime state files to instead of ~/.elinks.\n"
-"If the path does not begin with a '/' it is assumed to be\n"
-"relative to your HOME directory."
+"Path of the directory ELinks will read and write its config and runtime "
+"state files to instead of ~/.elinks. If the path does not begin with a '/' "
+"it is assumed to be relative to your HOME directory."
 msgstr ""
 "St opstningskatalog til angiven sti. ELinks vil lse og skrive\n"
 "sine opstningsfiler herfra i stedet for ~/.elinks. Hvis stien\n"
 "begynder med en \"/\" bliver den opfattet som absolut. Ellers\n"
 "antages den at vre relativ i forhold til dit hjemmekatalog."
 
-#: src/config/cmdline.c:751
+#: src/config/cmdline.c:764
 msgid "Print default configuration file to stdout"
 msgstr "Udskriv standard opstningsfil til standarduddata"
 
-#: src/config/cmdline.c:753
+#: src/config/cmdline.c:766
+#, fuzzy
 msgid ""
-"Print a configuration file with options set to the built-in\n"
-"defaults to stdout."
+"Print a configuration file with options set to the built-in defaults to "
+"stdout."
 msgstr ""
 "Udskriv en opstningsfil med indstillinger sat til de\n"
 "indbyggede standardvrdier til standarduddata."
 
-#: src/config/cmdline.c:758
+#: src/config/cmdline.c:771
 msgid "Name of configuration file"
 msgstr "Navn p opstningsfil"
 
-#: src/config/cmdline.c:760
+#: src/config/cmdline.c:773
+#, fuzzy
 msgid ""
-"Name of the configuration file that all configuration\n"
-"options will be read from and written to. It should be\n"
-"relative to config-dir."
+"Name of the configuration file that all configuration options will be read "
+"from and written to. It should be relative to config-dir."
 msgstr ""
 "Navn p opstningsfil som alle indstillinger skrives til. Den br\n"
 "angives relativt i forhold til opstningskataloget."
 
-#: src/config/cmdline.c:764
+#: src/config/cmdline.c:777
 msgid "Print help for configuration options"
 msgstr "Udskriv hjlp til opstningsindstillinger"
 
-#: src/config/cmdline.c:766
+#: src/config/cmdline.c:779
 msgid "Print help for configuration options and exit."
 msgstr "Udskriv hjlp til opstningsindstillinger og afslut."
 
-#: src/config/cmdline.c:768
+#: src/config/cmdline.c:781
 msgid "MIME type assumed for unknown document types"
 msgstr "MIME-typen som antages for dokumenter af ukendt type"
 
-#: src/config/cmdline.c:770
+#: src/config/cmdline.c:783
 msgid "The default MIME type used for documents of unknown type."
 msgstr "Forvalgt MIME-type for dokumenter af ukendt type."
 
-#: src/config/cmdline.c:772
+#: src/config/cmdline.c:786
 msgid "Ignore user-defined keybindings"
 msgstr "Ignorr brugerdefinerede tasteturgenveje"
 
-#: src/config/cmdline.c:774
+#: src/config/cmdline.c:788
+#, fuzzy
 msgid ""
-"When set, all keybindings from configuration files will be\n"
-"ignored. It forces use of default keybindings and will reset\n"
-"user-defined ones on save."
+"When set, all keybindings from configuration files will be ignored. It "
+"forces use of default keybindings and will reset user-defined ones on save."
 msgstr ""
 "Hvis aktiveret vil alle tasteturgenveje fra konfigurationsfiler\n"
 "blive ignoreret. Dette tvinger brug af standard tasteturgenveje\n"
 "og vil nulstille brugerdefinerede genveje ved gemning."
 
-#: src/config/cmdline.c:778
+#: src/config/cmdline.c:792
 msgid "Print formatted versions of given URLs to stdout"
 msgstr ""
 "Udskriv tekstformaterede versioner af de givne adresser til standarduddata"
 
-#: src/config/cmdline.c:780
+#: src/config/cmdline.c:794
 msgid "Print formatted plain-text versions of given URLs to stdout."
 msgstr ""
 "Udskriv tekstformaterede versioner af de givne adresser til standarduddata."
 
-#: src/config/cmdline.c:782
+#: src/config/cmdline.c:797
 msgid "Codepage to use with -dump"
 msgstr "Tegnkodningstabel brugt med -dump"
 
-#: src/config/cmdline.c:784
+#: src/config/cmdline.c:799
 msgid "Codepage used when formatting dump output."
 msgstr "Tegnkodningstabel brugt i uddata fra -dump."
 
-#: src/config/cmdline.c:786
+#: src/config/cmdline.c:801
 msgid "Color mode used with -dump"
 msgstr "Farvetilstand brugt med -dump"
 
-#: src/config/cmdline.c:788
+#: src/config/cmdline.c:803
 msgid "Color mode used with -dump."
 msgstr "Farvetilstand brugt med -dump."
 
-#: src/config/cmdline.c:790
+#: src/config/cmdline.c:805
 msgid "Width of document formatted with -dump"
 msgstr "Bredde p dokumenter formateret med -dump"
 
-#: src/config/cmdline.c:792
+#: src/config/cmdline.c:807
 msgid "Width of the dump output."
 msgstr "Bredde p uddata fra -dump."
 
-#: src/config/cmdline.c:794
+#: src/config/cmdline.c:809
 msgid "Evaluate configuration file directive"
 msgstr "Evalur angiven opstningsindstilling"
 
-#: src/config/cmdline.c:796
+#: src/config/cmdline.c:811
+#, fuzzy
 msgid ""
-"Specify configuration file directives on the command-line\n"
-"which will be evaluated after all configuration files has been\n"
-"read. Example usage:\n"
+"Specify configuration file directives on the command-line which will be "
+"evaluated after all configuration files has been read. Example usage:\n"
 "\t-eval 'set protocol.file.allow_special_files = 1'"
 msgstr ""
 "Angiv indstillinger fra elinks.conf p kommandolinjen, som vil\n"
@@ -1498,126 +1519,134 @@ msgstr ""
 "\t-eval 'set protocol.file.allow_special_files = 1'"
 
 #. lynx compatibility
-#: src/config/cmdline.c:802
+#: src/config/cmdline.c:817
 msgid "Interpret documents of unknown types as HTML"
 msgstr "Fortolk dokumenter af ukendt type som HTML"
 
-#: src/config/cmdline.c:804
+#: src/config/cmdline.c:819
+#, fuzzy
 msgid ""
-"Makes ELinks assume documents of unknown types are HTML.\n"
-"Useful when using ELinks as an external viewer from MUAs.\n"
-"This is equivalent to -default-mime-type text/html."
+"Makes ELinks assume documents of unknown types are HTML. Useful when using "
+"ELinks as an external viewer from MUAs. This is equivalent to -default-mime-"
+"type text/html."
 msgstr ""
 "Dette fr ELinks til at tro at filer er i HTML. Anvendeligt\n"
 "nr ELinks bruges som ekstern fremviser fra e-postprogrammer.\n"
 "Modsvarer kommandolinje-parameteren -default-mime-type text/html."
 
-#: src/config/cmdline.c:814
+#: src/config/cmdline.c:829
 msgid "Print usage help and exit"
 msgstr "Udskriv brugervejledning og afslut"
 
-#: src/config/cmdline.c:816
+#: src/config/cmdline.c:831
 msgid "Print usage help and exit."
 msgstr "Udskriv brugervejledning og afslut."
 
-#: src/config/cmdline.c:818
+#: src/config/cmdline.c:833
 msgid "Only permit local connections"
 msgstr "Tillad kun lokale forbindelser"
 
-#: src/config/cmdline.c:820
+#: src/config/cmdline.c:835
+#, fuzzy
 msgid ""
-"Restricts ELinks to work offline and only connect to servers\n"
-"with local addresses (ie. 127.0.0.1). No connections to remote\n"
-"servers will be permitted."
+"Restricts ELinks to work offline and only connect to servers with local "
+"addresses (ie. 127.0.0.1). No connections to remote servers will be "
+"permitted."
 msgstr ""
 "Begrns ELinks til at arbejde i afkoblet tilstand og til kun at\n"
 "oprette forbindelse til servere med lokale netadresser\n"
 "(dvs. 127.0.0.1). Ingen forbindelser til fjernservere er tilladt."
 
-#: src/config/cmdline.c:824
+#: src/config/cmdline.c:839
 msgid "Print detailed usage help and exit"
 msgstr "Udskriv detaljeret brugervejledning og afslut"
 
-#: src/config/cmdline.c:826
+#: src/config/cmdline.c:841
 msgid "Print detailed usage help and exit."
 msgstr "Udskriv detaljeret brugervejledning og afslut."
 
-#: src/config/cmdline.c:828
+#: src/config/cmdline.c:843
 msgid "Look up specified host"
 msgstr "Kontakt den specificerede vrtsmaskine"
 
-#: src/config/cmdline.c:830
+#: src/config/cmdline.c:845
 msgid "Look up specified host and print all DNS resolved IP addresses."
 msgstr ""
 "Kontakt den specificerede vrtsmaskine og udskriv alle IP-adresser\n"
 "fundet ved DNS-opslag."
 
-#: src/config/cmdline.c:832
+#: src/config/cmdline.c:848
 msgid "Run as separate instance"
 msgstr "Kr som separat session"
 
-#: src/config/cmdline.c:834
+#: src/config/cmdline.c:850
+#, fuzzy
 msgid ""
-"Run ELinks as a separate instance instead of connecting to an\n"
-"existing instance. Note that normally no runtime state files\n"
-"(bookmarks, history, etc.) are written to the disk when this\n"
-"option is used. See also -touch-files."
+"Run ELinks as a separate instance instead of connecting to an existing "
+"instance. Note that normally no runtime state files (bookmarks, history, "
+"etc.) are written to the disk when this option is used. See also -touch-"
+"files."
 msgstr ""
 "Kr ELinks i en separat session og ikke i en sessionskreds. Bemrk\n"
 "at ingen sessionstilknyttede filer (bogmrker, historik osv.) bliver\n"
 "skrevet til disken nr denne indstilling bruges. Se ogs -touch-files."
 
-#: src/config/cmdline.c:839
+#: src/config/cmdline.c:855
 msgid "Disable use of files in ~/.elinks"
 msgstr "Brug ikke filer i ~/.elinks"
 
-#: src/config/cmdline.c:841
+#: src/config/cmdline.c:857
+#, fuzzy
 msgid ""
-"Disables creation and use of files in the user specific home\n"
-"configuration directory (~/.elinks). It forces default configuration\n"
-"values to be used and disables saving of runtime state files."
+"Disables creation and use of files in the user specific home configuration "
+"directory (~/.elinks). It forces default configuration values to be used and "
+"disables saving of runtime state files."
 msgstr ""
 "Deaktivr oprettelse og anvendelse af filer i brugerens private\n"
 "opstningskatalog (~/.elinks). Dette tvinger brug af standardvrdier\n"
 "for indstillinger og slr skrivning af kreselstids-tilstandsfiler fra."
 
-#: src/config/cmdline.c:845
+#: src/config/cmdline.c:862
 msgid "Disable link numbering in dump output"
 msgstr "Undlad at nummerere links i uddata fra -dump"
 
-#: src/config/cmdline.c:847
+#: src/config/cmdline.c:864
+#, fuzzy
 msgid ""
 "Prevents printing of link number in dump output.\n"
+"\n"
 "Note that this really affects only -dump, nothing else."
 msgstr ""
 "Deaktiverer nummerering af links i uddata fra -dump.\n"
 "Bemrk at at dette kun pvirker -dump og ikke andet."
 
-#: src/config/cmdline.c:850
+#: src/config/cmdline.c:868
 msgid "Disable printing of link references in dump output"
 msgstr "Undlad at udskrive linkadresser i uddata fra -dump"
 
-#: src/config/cmdline.c:852
+#: src/config/cmdline.c:870
+#, fuzzy
 msgid ""
-"Prevents printing of references (URIs) of document links\n"
-"in dump output.\n"
+"Prevents printing of references (URIs) of document links in dump output.\n"
+"\n"
 "Note that this really affects only -dump, nothing else."
 msgstr ""
 "Deaktiverer udskrivning af linkadresser i uddata fra -dump.\n"
 "Bemrk at at dette kun pvirker -dump og ikke andet."
 
-#: src/config/cmdline.c:856
+#: src/config/cmdline.c:875
 msgid "Control an already running ELinks"
 msgstr "Kontrollr en allerede krende ELinks"
 
-#: src/config/cmdline.c:858
+#: src/config/cmdline.c:877
+#, fuzzy
 msgid ""
-"Control a remote ELinks instance by passing commands to it.\n"
-"The option takes an additional argument containing the method\n"
-"which should be invoked and any parameters that should be passed\n"
-"to it. For ease of use, the additional method argument can be\n"
-"omitted in which case any URL arguments will be opened in new\n"
-"tabs in the remote instance.\n"
+"Control a remote ELinks instance by passing commands to it. The option takes "
+"an additional argument containing the method which should be invoked and any "
+"parameters that should be passed to it. For ease of use, the additional "
+"method argument can be omitted in which case any URL arguments will be "
+"opened in new tabs in the remote instance.\n"
+"\n"
 "Following is a list of the supported methods:\n"
 "\tping()                    : look for a remote instance\n"
 "\topenURL()                 : prompt URL in current tab\n"
@@ -1644,26 +1673,27 @@ msgstr ""
 "\tinfoBox(text)             : vis tekst i et dialogvindue\n"
 "\txfeDoCommand(openBrowser) : bn nyt terminalvindue"
 
-#: src/config/cmdline.c:874
+#: src/config/cmdline.c:895
 msgid "Connect to session ring with given ID"
 msgstr "Forbind til sessionskreds med angiven ID"
 
-#: src/config/cmdline.c:876
+#: src/config/cmdline.c:897
+#, fuzzy
 msgid ""
-"ID of session ring this ELinks session should connect to. ELinks\n"
-"works in so-called session rings, whereby all instances of ELinks\n"
-"are interconnected and share state (cache, bookmarks, cookies,\n"
-"and so on). By default, all ELinks instances connect to session\n"
-"ring 0. You can change that behaviour with this switch and form as\n"
-"many session rings as you want. Obviously, if the session-ring with\n"
-"this number doesn't exist yet, it's created and this ELinks instance\n"
-"will become the master instance (that usually doesn't matter for you\n"
-"as a user much). Note that you usually don't want to use this unless\n"
-"you're a developer and you want to do some testing - if you want the\n"
-"ELinks instances each running standalone, rather use the -no-connect\n"
-"command-line option. Also note that normally no runtime state files\n"
-"are written to the disk when this option is used. See also\n"
-"-touch-files."
+"ID of session ring this ELinks session should connect to. ELinks works in so-"
+"called session rings, whereby all instances of ELinks are interconnected and "
+"share state (cache, bookmarks, cookies, and so on). By default, all ELinks "
+"instances connect to session ring 0. You can change that behaviour with this "
+"switch and form as many session rings as you want. Obviously, if the session-"
+"ring with this number doesn't exist yet, it's created and this ELinks "
+"instance will become the master instance (that usually doesn't matter for "
+"you as a user much).\n"
+"\n"
+"Note that you usually don't want to use this unless you're a developer and "
+"you want to do some testing - if you want the ELinks instances each running "
+"standalone, rather use the -no-connect command-line option. Also note that "
+"normally no runtime state files are written to the disk when this option is "
+"used. See also -touch-files."
 msgstr ""
 "ID p den sessionskreds som ELinks skal forbinde til. ELinks virker i\n"
 "skaldte sessionskredse i hvilke alle ELinks-sessioner er forbundne og\n"
@@ -1679,39 +1709,40 @@ msgstr ""
 "Bemrk i den forbindelse ogs at filer med oplysning om krselstilstand\n"
 "ikke bliver skrevet til disk med -no-connect. Se ogs -touch-files."
 
-#: src/config/cmdline.c:891
+#: src/config/cmdline.c:915
 msgid "Print the source of given URLs to stdout"
 msgstr "Udskriv kildeteksten for givne adresser til standarduddata"
 
-#: src/config/cmdline.c:893
+#: src/config/cmdline.c:917
 msgid "Print given URLs in source form to stdout."
 msgstr "Udskriv kildeteksten for givne adresser til standarduddata."
 
-#: src/config/cmdline.c:897
+#: src/config/cmdline.c:921
 msgid "Touch files in ~/.elinks when running with -no-connect/-session-ring"
 msgstr ""
 "Opret filer i ~/.elinks nr Elinks startes med -no-connect/-session-ring"
 
-#: src/config/cmdline.c:899
+#: src/config/cmdline.c:923
+#, fuzzy
 msgid ""
-"When enabled, runtime state files (bookmarks, history, etc.) are\n"
-"written to disk, even when -no-connect or -session-ring is used.\n"
-"The option has no effect if not used in conjunction with any of\n"
-"these options."
+"When enabled, runtime state files (bookmarks, history, etc.) are written to "
+"disk, even when -no-connect or -session-ring is used. The option has no "
+"effect if not used in conjunction with any of these options."
 msgstr ""
 "Hvis aktiveret tillades ndringer af tilstandsfiler ssom bogmrker\n"
 "og historik selv nr -no-connect eller -session-ring er anvendt.\n"
 "Indstillingen har kun effekt hvis den bruges i forbindelse med\n"
 "en af de ovennvnte indstillinger."
 
-#: src/config/cmdline.c:904
+#: src/config/cmdline.c:928
 msgid "Verbose level"
 msgstr "Verbositetsniveau"
 
-#: src/config/cmdline.c:906
+#: src/config/cmdline.c:930
+#, fuzzy
 msgid ""
-"The verbose level controls what messages are shown at\n"
-"start up and while running:\n"
+"The verbose level controls what messages are shown at start up and while "
+"running:\n"
 "\t0 means only show serious errors\n"
 "\t1 means show serious errors and warnings\n"
 "\t2 means show all messages"
@@ -1722,15 +1753,15 @@ msgstr ""
 "\t1 betyder vis kritiske fejl og advarsler\n"
 "\t1 betyder vis alle beskeder"
 
-#: src/config/cmdline.c:912
+#: src/config/cmdline.c:936
 msgid "Print version information and exit"
 msgstr "Udskriv versionsinformation og afslut"
 
-#: src/config/cmdline.c:914
+#: src/config/cmdline.c:938
 msgid "Print ELinks version information and exit."
 msgstr "Udskriv versionsnummer p ELinks og afslut."
 
-#: src/config/conf.c:938
+#: src/config/conf.c:963
 msgid ""
 "## This is ELinks configuration file. You can edit it manually,\n"
 "## if you wish so; this file is edited by ELinks when you save\n"
@@ -1743,7 +1774,7 @@ msgstr ""
 "## og din egen formatering, dine egne kommentarer osv. vil blive bevaret\n"
 "## undret.\n"
 
-#: src/config/conf.c:946
+#: src/config/conf.c:971
 msgid ""
 "## This is ELinks configuration file. You can edit it manually,\n"
 "## if you wish so; this file is edited by ELinks when you save\n"
@@ -1762,7 +1793,7 @@ msgstr ""
 "## din egen formatering, dine egne kommentarer osv. vil blive bevaret\n"
 "## undret.\n"
 
-#: src/config/conf.c:956
+#: src/config/conf.c:981
 msgid ""
 "## This is ELinks configuration file. You can edit it manually,\n"
 "## if you wish so, but keep in mind that this file is overwritten\n"
@@ -1774,7 +1805,7 @@ msgstr ""
 "## gemmes interaktivt inde fra Elinks. Dette bevirker ogs at din egen\n"
 "## formatering og dine egne kommentarer gr tabt, s pas p.\n"
 
-#: src/config/conf.c:967
+#: src/config/conf.c:992
 msgid ""
 "## Obviously, if you don't like what ELinks is going to do with\n"
 "## this file, you can change it by altering the config.saving_style\n"
@@ -1784,11 +1815,11 @@ msgstr ""
 "## kan du modvirke det ved at ndre indstillingen config.saving_style\n"
 "## Du kan da ikke sige at vi ikke er flinke?\n"
 
-#: src/config/conf.c:980
+#: src/config/conf.c:1005
 msgid "Automatically saved options\n"
 msgstr "Automatisk gemte indstillinger\n"
 
-#: src/config/conf.c:992
+#: src/config/conf.c:1017
 msgid "Automatically saved keybindings\n"
 msgstr "Automatisk gemte tastetildelinger\n"
 
@@ -1849,7 +1880,7 @@ msgstr "(udfold ved at taste mellemrum)"
 #. * switch charsets.  So, it will work in any terminal that
 #. * understands UTF-8 and has the characters in its font.
 #: src/config/dialogs.c:149 src/config/dialogs.c:330
-#: src/config/options.inc:840
+#: src/config/options.inc:887
 msgid "Type"
 msgstr "Type"
 
@@ -1877,9 +1908,9 @@ msgid "Description"
 msgstr "Beskrivelse"
 
 #: src/config/dialogs.c:291 src/protocol/bittorrent/dialogs.c:600
-#: src/protocol/protocol.c:240 src/session/session.c:287
-#: src/session/session.c:975 src/viewer/text/textarea.c:594
-#: src/viewer/text/textarea.c:601
+#: src/protocol/protocol.c:240 src/session/session.c:288
+#: src/session/session.c:999 src/viewer/text/textarea.c:583
+#: src/viewer/text/textarea.c:590
 msgid "Error"
 msgstr "Fejl"
 
@@ -1919,7 +1950,7 @@ msgstr "Indstillinger kan ikke tilfjes 
 #. accelerator_context(src/config/dialogs.c:keybinding_buttons, src/config/dialogs.c:option_buttons, src/cookies/dialogs.c:cookie_buttons, src/formhist/dialogs.c:formhist_buttons, src/protocol/bittorrent/dialogs.c:bittorrent_query_callback, src/session/download.c:do_type_query, terminal_options)
 #: src/config/dialogs.c:507 src/config/dialogs.c:933 src/cookies/dialogs.c:495
 #: src/dialogs/options.c:236 src/formhist/dialogs.c:214
-#: src/protocol/bittorrent/dialogs.c:801 src/session/download.c:1203
+#: src/protocol/bittorrent/dialogs.c:801 src/session/download.c:1229
 msgid "Sa~ve"
 msgstr "~Gem"
 
@@ -1931,7 +1962,7 @@ msgstr "Opstningshndtering"
 msgid "Keystroke"
 msgstr "Tastetildeling"
 
-#: src/config/dialogs.c:676 src/config/options.inc:1219
+#: src/config/dialogs.c:676 src/config/options.inc:1292
 msgid "Action"
 msgstr "Handling"
 
@@ -2009,31 +2040,31 @@ msgstr ""
 "om variablen $HOME har en korrekt vrdi og om du har skriverettigheder til "
 "dit hjemmekatalog."
 
-#: src/config/kbdbind.c:221
+#: src/config/kbdbind.c:222
 msgid "Main mapping"
 msgstr "Primre tastetildelinger"
 
-#: src/config/kbdbind.c:222
+#: src/config/kbdbind.c:223
 msgid "Edit mapping"
 msgstr "Tastetildelinger ved redigering"
 
-#: src/config/kbdbind.c:223
+#: src/config/kbdbind.c:224
 msgid "Menu mapping"
 msgstr "Tastetildelinger i menu"
 
-#: src/config/kbdbind.c:588 src/scripting/python/keybinding.c:104
+#: src/config/kbdbind.c:589 src/scripting/python/keybinding.c:104
 msgid "Unrecognised keymap"
 msgstr "Ugenkendt tasteoversigt"
 
-#: src/config/kbdbind.c:591
+#: src/config/kbdbind.c:592
 msgid "Error parsing keystroke"
 msgstr "Fortolkningsfejl i tastetryk"
 
-#: src/config/kbdbind.c:595
+#: src/config/kbdbind.c:596
 msgid "Unrecognised action (internal error)"
 msgstr "Ukendt handling (intern fejl)"
 
-#: src/config/kbdbind.c:611
+#: src/config/kbdbind.c:612
 msgid "Error registering event"
 msgstr "Fejl ved registrering af event"
 
@@ -2064,33 +2095,34 @@ msgstr ""
 "2 betyder skriv kun beskrivelsen\n"
 "3 betyder skriv alle kommentarer"
 
-#: src/config/options.inc:31
+#: src/config/options.inc:32
 msgid "Indentation"
 msgstr "Indryk"
 
-#: src/config/options.inc:33
+#: src/config/options.inc:34
+#, fuzzy
 msgid ""
-"Shift width of one indentation level in the configuration\n"
-"file. Zero means that no indentation is performed at all\n"
-"when saving the configuration."
+"Shift width of one indentation level in the configuration file. Zero means "
+"that no indentation is performed at all when saving the configuration."
 msgstr ""
 "Strrelsen af indryk i opstningsfilen for hvert niveau.\n"
 "Nul betyder ingen indryk nr opstningsfilen gemmes."
 
-#: src/config/options.inc:37
+#: src/config/options.inc:38
 msgid "Saving style"
 msgstr "Metode for gemning"
 
-#: src/config/options.inc:39
+#: src/config/options.inc:40
+#, fuzzy
 msgid ""
 "Determines what happens when you tell ELinks to save options:\n"
 "0 is only values of current options are altered\n"
-"1 is values of current options are altered and missing options\n"
-"     are added at the end of the file\n"
+"1 is values of current options are altered and missing\n"
+"     options are added at the end of the file\n"
 "2 is the configuration file is rewritten from scratch\n"
-"3 is values of current options are altered and missing options\n"
-"     CHANGED during this ELinks session are added at the end of\n"
-"     the file"
+"3 is values of current options are altered and missing\n"
+"     options CHANGED during this ELinks session are added at\n"
+"     the end of the file"
 msgstr ""
 "Bestemmer hvad der sker nr du beder ELinks om at gemme indstillinger:\n"
 "0 er kun vrdier af aktuelle indstillinger ndres\n"
@@ -2101,17 +2133,17 @@ msgstr ""
 "     indstillinger som er NDRET i denne ELinks-session tilfjes\n"
 "     i slutning af filen"
 
-#: src/config/options.inc:48
+#: src/config/options.inc:50
 msgid "Comments localization"
 msgstr "Oversttelse af kommentarer"
 
-#: src/config/options.inc:50
+#: src/config/options.inc:52
+#, fuzzy
 msgid ""
-"If set to 1, comments in the configuration file will be\n"
-"translated to the language used by UI. Note that if you have\n"
-"different language set in different terminals, the language\n"
-"used in the configuration file MAY be the same as on the\n"
-"terminal where you saved the file, but it should be generally\n"
+"If set to 1, comments in the configuration file will be translated to the "
+"language used by UI. Note that if you have different language set in "
+"different terminals, the language used in the configuration file MAY be the "
+"same as on the terminal where you saved the file, but it should be generally "
 "considered unpredictable."
 msgstr ""
 "Hvis sat til 1, vil kommentarer i opstningsfilen blive\n"
@@ -2122,97 +2154,98 @@ msgstr ""
 "den terminal hvor du gemte filen, men det br generelt\n"
 "regnes for uforudsigeligt."
 
-#: src/config/options.inc:58
+#: src/config/options.inc:60
 msgid "Saving style warnings"
 msgstr "Advarsel for gemningsmetode"
 
-#: src/config/options.inc:60
+#: src/config/options.inc:62
+#, fuzzy
 msgid ""
-"This is internal option used when displaying a warning about\n"
-"obsolete config.saving_style. You shouldn't touch it."
+"This is internal option used when displaying a warning about obsolete config."
+"saving_style. You shouldn't touch it."
 msgstr ""
 "Dette er en intern indstilling der bruges ved advarsel om\n"
 "den forldede config.saving_style.\n"
 "Den skal ikke rres."
 
-#: src/config/options.inc:63
+#: src/config/options.inc:66
 msgid "Show template"
 msgstr "Vis skabelon"
 
-#: src/config/options.inc:65
+#: src/config/options.inc:68
+#, fuzzy
 msgid ""
-"Show template options in autocreated trees in the options\n"
-"manager and save them to the configuration file."
+"Show template options in autocreated trees in the options manager and save "
+"them to the configuration file."
 msgstr ""
 "Vis skabelon indstillinger i dynamisk dannede trstrukturer\n"
 "i opstningshndteringen og gem dem i opstningsfilen."
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:71 src/dialogs/info.c:180
+#: src/config/options.inc:74 src/dialogs/info.c:180
 msgid "Connections"
 msgstr "Forbindelser"
 
-#: src/config/options.inc:73
+#: src/config/options.inc:76
 msgid "Connection options."
 msgstr "Forbindelsesindstillinger."
 
-#: src/config/options.inc:76
+#: src/config/options.inc:79
 msgid "Asynchronous DNS"
 msgstr "Asynkron DNS"
 
-#: src/config/options.inc:78
+#: src/config/options.inc:81
 msgid "Whether to use asynchronous DNS resolving."
 msgstr "Om der skal bruges asynkron DNS opslag."
 
-#: src/config/options.inc:80
+#: src/config/options.inc:83
 msgid "Maximum connections"
 msgstr "Maksimalt antal forbindelser"
 
-#: src/config/options.inc:82
+#: src/config/options.inc:85
 msgid "Maximum number of concurrent connections."
 msgstr "Maksimalt antal sidelbende forbindelser."
 
-#: src/config/options.inc:84
+#: src/config/options.inc:87
 msgid "Maximum connections per host"
 msgstr "Maksimalt antal forbindelser pr. vrtsmaskine"
 
-#: src/config/options.inc:86
+#: src/config/options.inc:89
 msgid "Maximum number of concurrent connections to a given host."
 msgstr "Maksimalt antal sidelbende forbindelser til en given vrtsmaskine."
 
-#: src/config/options.inc:88
+#: src/config/options.inc:92
 msgid "Connection retries"
 msgstr "Antal kontaktforsg"
 
-#: src/config/options.inc:90
-msgid ""
-"Number of tries to establish a connection.\n"
-"Zero means try forever."
+#: src/config/options.inc:94
+#, fuzzy
+msgid "Number of tries to establish a connection. Zero means try forever."
 msgstr ""
 "Antal forsg der skal gres p at etablere en forbindelse.\n"
 "Nul betyder vedvarende forsg."
 
-#: src/config/options.inc:93 src/network/state.c:53
+#: src/config/options.inc:97 src/network/state.c:53
 msgid "Receive timeout"
 msgstr "Tidsudlb for modtagelse"
 
-#: src/config/options.inc:95
+#: src/config/options.inc:99
 msgid "Receive timeout (in seconds)."
 msgstr "Nedtlling i sekunder for modtagelse."
 
-#: src/config/options.inc:98 src/config/options.inc:108
+#: src/config/options.inc:102 src/config/options.inc:113
 msgid "Try IPv4 when connecting"
 msgstr "Prv IPv4 nr forbindelse oprettes"
 
-#: src/config/options.inc:100
+#: src/config/options.inc:104
+#, fuzzy
 msgid ""
-"Whether to try to connect to a host over IPv4.\n"
-"Note that if connection.try_ipv6 is enabled too,\n"
-"it takes precedence. And better do not touch this\n"
+"Whether to try to connect to a host over IPv4. Note that if connection."
+"try_ipv6 is enabled too, it takes precedence. And better do not touch this "
 "at all unless you are sure what are you doing.\n"
-"Note that you can also force a given protocol\n"
-"to be used on a per-connection basis by using a URL\n"
-"in the style of e.g. http4://elinks.cz/."
+"\n"
+"Note that you can also force a given protocol to be used on a per-connection "
+"basis by using a URL in the style of e.g. http4://elinks.cz/."
 msgstr ""
 "Angiver om tilslutning til vrtsmaskine skal ske via IPv4.\n"
 "Bemrk at hvis connection.try_ipv6 ogs er aktiveret, tager\n"
@@ -2221,107 +2254,111 @@ msgstr ""
 "en given IP-protokol bruges til forbindelser ved at bruge en\n"
 "adresse med en stil ssom http4://elinks.or.cz/."
 
-#: src/config/options.inc:110
+#: src/config/options.inc:115
+#, fuzzy
 msgid ""
-"Whether to try to connect to a host over IPv4.\n"
-"Do not touch this option.\n"
-"Note that you can also force a given protocol\n"
-"to be used on a per-connection basis by using a URL\n"
-"in the style of e.g. http4://elinks.cz/."
+"Whether to try to connect to a host over IPv4. Do not touch this option.\n"
+"\n"
+"Note that you can also force a given protocol to be used on a per-connection "
+"basis by using a URL in the style of e.g. http4://elinks.cz/."
 msgstr ""
 "Angiver om tilslutning til vrtsmaskine skal ske via IPv4.\n"
 "Rr ikke denne indstilling! Bemrk at du ogs kan tvinge at\n"
 "en given IP-protokol bruges til forbindelser ved at bruge en\n"
 "adresse med en stil ssom http4://elinks.or.cz/."
 
-#: src/config/options.inc:118
+#: src/config/options.inc:124
 msgid "Try IPv6 when connecting"
 msgstr "Prv IPv6 ved oprettelse af forbindelser"
 
-#: src/config/options.inc:120
+#: src/config/options.inc:126
+#, fuzzy
 msgid ""
 "Whether to try to connect to a host over IPv6.\n"
-"Note that you can also force a given protocol\n"
-"to be used on a per-connection basis by using a URL\n"
-"in the style of e.g. http6://elinks.cz/."
+"\n"
+"Note that you can also force a given protocol to be used on a per-connection "
+"basis by using a URL in the style of e.g. http6://elinks.cz/."
 msgstr ""
 "Angiver om tilslutning til vrtsmaskine skal ske via IPv6.\n"
 "Bemrk at du ogs kan tvinge at en given IP-protokol bruges\n"
 "til forbindelser ved at bruge en adresse med en stil ssom\n"
 "http4://elinks.or.cz/."
 
-#: src/config/options.inc:126
+#: src/config/options.inc:133
 msgid "Timeout for non-restartable connections"
 msgstr "Ventetid for forbindelser der ikke kan genstartes"
 
-#: src/config/options.inc:128
+#: src/config/options.inc:135
 msgid "Timeout for non-restartable connections (in seconds)."
 msgstr "Ventetid i sekunder for forbindelser der ikke kan genstartes."
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:134
+#: src/config/options.inc:141
 msgid "Document"
 msgstr "Dokument"
 
-#: src/config/options.inc:136
+#: src/config/options.inc:143
 msgid "Document options."
 msgstr "Dokumentindstillinger."
 
-#: src/config/options.inc:138
+#: src/config/options.inc:145
 msgid "Browsing"
 msgstr "Browsning"
 
-#: src/config/options.inc:140
+#: src/config/options.inc:147
 msgid "Document browsing options (mainly interactivity)."
 msgstr "Indstillinger for lsning af dokument (primrt interaktive)."
 
-#: src/config/options.inc:143
+#: src/config/options.inc:150
 msgid "Access keys"
 msgstr "Adgangstaster"
 
-#: src/config/options.inc:145
+#: src/config/options.inc:152
+#, fuzzy
 msgid ""
-"Options for handling of link access keys.\n"
-"An HTML document can use the ACCESSKEY attribute to assign\n"
-"an access key to an element. When an access key is pressed,\n"
-"the corresponding element will be given focus."
+"Options for handling of link access keys. An HTML document can use the "
+"ACCESSKEY attribute to assign an access key to an element. When an access "
+"key is pressed, the corresponding element will be given focus."
 msgstr ""
 "Indstillinger der styrer hvordan adgangstaster hndteres.\n"
 "Et HTML dokument kan benytte \"accesskey\"-attributten til\n"
 "at angive en adgangstast for et element. Nr den angivne\n"
 "adgangstast tastes fokuseres det tilsvarende element."
 
-#: src/config/options.inc:150
+#: src/config/options.inc:157
 msgid "Automatic links following"
 msgstr "Flg links automatisk"
 
-#: src/config/options.inc:152
+#: src/config/options.inc:159
+#, fuzzy
 msgid ""
-"Automatically follow a link or submit a form if appropriate\n"
-"accesskey is pressed - this is the standard behaviour, but it's\n"
-"considered dangerous."
+"Automatically follow a link or submit a form if appropriate accesskey is "
+"pressed - this is the standard behaviour, but it's considered dangerous."
 msgstr ""
 "Flg et link eller indsend en formular automatisk hvis\n"
 "der trykkes p den relevante adgangstast. Dette er\n"
 "normal adfrd, men anses for risikabelt."
 
-#: src/config/options.inc:156
+#: src/config/options.inc:163
 msgid "Display access key in link info"
 msgstr "Vis adgangstast sammen med linkinformation"
 
-#: src/config/options.inc:158
+#: src/config/options.inc:165
 msgid "Display access key in link info."
 msgstr "Vis adgangstast sammen med linkinformation."
 
-#: src/config/options.inc:160
+#: src/config/options.inc:167
 msgid "Accesskey priority"
 msgstr "Prioritering af adgangstaster"
 
-#: src/config/options.inc:162
+#: src/config/options.inc:169
+#, fuzzy
 msgid ""
 "Priority of 'accesskey' HTML attribute:\n"
-"0 is first try all normal bindings; if it fails, check accesskey\n"
-"1 is first try only frame bindings; if it fails, check accesskey\n"
+"0 is first try all normal bindings; if it fails,\n"
+"     check accesskey\n"
+"1 is first try only frame bindings; if it fails,\n"
+"     check accesskey\n"
 "2 is first check accesskey (this can be dangerous)"
 msgstr ""
 "Prioritering af adgangstaster angivet med \"accesskey\" HTML-attributten:\n"
@@ -2331,54 +2368,54 @@ msgstr ""
 "  s prv handlingstast.\n"
 "2 betyder prv frst adgangstaster (kan vre risikabelt)"
 
-#: src/config/options.inc:168
+#: src/config/options.inc:177
 msgid "Forms"
 msgstr "Formularer"
 
-#: src/config/options.inc:170
+#: src/config/options.inc:179
 msgid "Options for handling of the forms interaction."
 msgstr "Indstillinger der styrer omgang med formularer."
 
-#: src/config/options.inc:172
+#: src/config/options.inc:181
 msgid "Submit form automatically"
 msgstr "Send formular automatisk"
 
-#: src/config/options.inc:174
+#: src/config/options.inc:183
+#, fuzzy
 msgid ""
-"Automagically submit a form when enter is pressed with a text\n"
-"field selected."
+"Automagically submit a form when enter is pressed with a text field selected."
 msgstr ""
 "Indsend en formular automatisk nr der trykkes <retur> i et\n"
 "aktivt tekstfelt."
 
-#: src/config/options.inc:177
+#: src/config/options.inc:186
 msgid "Confirm submission"
 msgstr "Bekrft indsendelse"
 
-#: src/config/options.inc:179
+#: src/config/options.inc:188
 msgid "Ask for confirmation when submitting a form."
 msgstr "Lad bruger bekrfte indsendelse af formular."
 
-#: src/config/options.inc:181
+#: src/config/options.inc:190
 msgid "Default form input size"
 msgstr "Standardstrrelse p formular"
 
-#: src/config/options.inc:183
+#: src/config/options.inc:192
 msgid "Default form input size if none is specified."
 msgstr "Standardstrrelse p formular hvis ingen er angivet."
 
-#: src/config/options.inc:185
+#: src/config/options.inc:194
 msgid "Insert mode"
 msgstr "Indstningstilstand"
 
-#: src/config/options.inc:187
+#: src/config/options.inc:196
+#, fuzzy
 msgid ""
-"The setting for this option affects how key presses are handled\n"
-"when one selects a text-input form-field. When enabled, one must\n"
-"explicitly 'enter' a selected text-field to edit it; this prevents\n"
-"text fields from capturing key presses, such as presses of a scroll\n"
-"key, when it is inadvertently selected. When disabled, key presses\n"
-"are always inserted into a selected text field."
+"The setting for this option affects how key presses are handled when one "
+"selects a text-input form-field. When enabled, one must explicitly 'enter' a "
+"selected text-field to edit it; this prevents text fields from capturing key "
+"presses, such as presses of a scroll key, when it is inadvertently selected. "
+"When disabled, key presses are always inserted into a selected text field."
 msgstr ""
 "Denne indstilling pvirker hvordan tastetryk hndteres, nr et\n"
 "tekstindtastningsfelt bliver valgt. Nr aktiveret skal man frst\n"
@@ -2388,17 +2425,18 @@ msgstr ""
 "er uopmrksomt valgt. Nr deaktiveret vil tastetryk altid blive\n"
 "indsat i valgte indtastningsfelter."
 
-#: src/config/options.inc:194
+#: src/config/options.inc:204
 msgid "External editor"
 msgstr "Ekstern editor"
 
-#: src/config/options.inc:196
+#: src/config/options.inc:206
+#, fuzzy
 msgid ""
-"Path to the executable that ELinks should launch when the user\n"
-"requests to edit a textarea with an external editor.\n"
-"If this is blank, ELinks will use the value of the environmental\n"
-"variable $EDITOR. If $EDITOR is empty or not set, ELinks will then\n"
-"default to \"vi\"."
+"Path to the executable that ELinks should launch when the user requests to "
+"edit a textarea with an external editor.\n"
+"\n"
+"If this is blank, ELinks will use the value of the environmental variable "
+"$EDITOR. If $EDITOR is empty or not set, ELinks will then default to \"vi\"."
 msgstr ""
 "Sti til programmet som ELinks skal starte nr brugeren nsker\n"
 "at redigere et tekstfelt (angivet med textarea-elementet)\n"
@@ -2408,25 +2446,28 @@ msgstr ""
 "$EDITOR blive brugt. Hvis $EDITOR ikke er tom eller ikke er sat\n"
 "vil programmet \"vi\" blive benyttet."
 
-#: src/config/options.inc:203
+#: src/config/options.inc:214
 msgid "Images"
 msgstr "Billeder"
 
-#: src/config/options.inc:205
+#: src/config/options.inc:216
 msgid "Options for handling of images."
 msgstr "Indstillinger for billedhndtering."
 
-#: src/config/options.inc:207
+#: src/config/options.inc:218
 msgid "Display style for image tags"
 msgstr "Udseende p billedmrkater"
 
-#: src/config/options.inc:209
+#: src/config/options.inc:220
+#, fuzzy
 msgid ""
 "Display style for image tags when displayed:\n"
 "0     means always display IMG\n"
 "1     means always display filename\n"
-"2     means display alt/title attribute if possible, IMG if not\n"
-"3     means display alt/title attribute if possible, filename if not"
+"2     means display alt/title attribute if possible,\n"
+"      IMG if not\n"
+"3     means display alt/title attribute if possible,\n"
+"      filename if not"
 msgstr ""
 "Visning af billedlinks:\n"
 "0     betyder vis altid IMG\n"
@@ -2434,16 +2475,18 @@ msgstr ""
 "2     betyder vis alt/title attribut hvis muligt ellers IMG\n"
 "3     betyder vis alt/title attribut hvis muligt ellers filnavn"
 
-#: src/config/options.inc:215
+#: src/config/options.inc:228
 msgid "Maximum length for image filename"
 msgstr "Maksimal lngde p billedfilnavn"
 
-#: src/config/options.inc:217
+#: src/config/options.inc:230
+#, fuzzy
 msgid ""
 "Maximum length of image filename when displayed:\n"
 "0     means always display full filename\n"
 "1-500 means display filename with this maximal length;\n"
-"      if it is longer, the middle is substituted by an asterisk"
+"      if it is longer, the middle is substituted by\n"
+"      an asterisk"
 msgstr ""
 "Maksimal lngde for viste billedfilnavne:\n"
 "0     betyder vis altid det fulde navn p mlfilen\n"
@@ -2451,11 +2494,11 @@ msgstr ""
 "       hvis navnet er lngere erstattes dets midterste del\n"
 "       af en asterisk"
 
-#: src/config/options.inc:227
+#: src/config/options.inc:241
 msgid "Image links tagging"
 msgstr "Markering af billedlinks"
 
-#: src/config/options.inc:229
+#: src/config/options.inc:243
 msgid ""
 "When to enclose image links:\n"
 "0 means never\n"
@@ -2467,32 +2510,34 @@ msgstr ""
 "1 betyder aldrig hvis ALT eller TITLE er angivet (gammel adfrd)\n"
 "2 betyder altid"
 
-#: src/config/options.inc:234
+#: src/config/options.inc:248
 msgid "Image link prefix"
 msgstr "Billedlinkprfiks"
 
-#: src/config/options.inc:236
+#: src/config/options.inc:250
 msgid "Prefix string to use to mark image links."
 msgstr "Prfiks til markering af billedlinks."
 
-#: src/config/options.inc:238
+#: src/config/options.inc:252
 msgid "Image link suffix"
 msgstr "Billedlinksuffiks"
 
-#: src/config/options.inc:240
+#: src/config/options.inc:254
 msgid "Suffix string to use to mark image links."
 msgstr "Suffiks til markering af billedlinks."
 
-#: src/config/options.inc:242
+#: src/config/options.inc:256
 msgid "Maximum length for image label"
 msgstr "Maksimal lngde p billedmrkat"
 
-#: src/config/options.inc:244
+#: src/config/options.inc:258
+#, fuzzy
 msgid ""
 "Maximum length of image label (alt/title):\n"
 "0     means always display full label\n"
 "1-500 means display label with this maximal length;\n"
-"      if it is longer, the middle is substituted by an asterisk"
+"      if it is longer, the middle is substituted by\n"
+"      an asterisk"
 msgstr ""
 "Maksimal lngde af billedmrkat (alt/title):\n"
 "0     betyder vis altid det fulde mrkat\n"
@@ -2500,65 +2545,66 @@ msgstr ""
 "       hvis navnet er lngere erstattes dets midterste del\n"
 "       af en asterisk"
 
-#: src/config/options.inc:249
+#: src/config/options.inc:264
 msgid "Display links to images w/o alt"
 msgstr "Vis billedlinks uden ALT-tekst"
 
-#: src/config/options.inc:251
+#: src/config/options.inc:266
+#, fuzzy
 msgid ""
-"Display links to images without an alt attribute. If this option\n"
-"is off, these images are completely invisible."
+"Display links to images without an alt attribute. If this option is off, "
+"these images are completely invisible."
 msgstr ""
 "Vis billedlinks uden ALT-attributten. Hvis denne indstilling\n"
 "er slet fra, vil sdanne billeder vre usynlige."
 
-#: src/config/options.inc:254
+#: src/config/options.inc:269
 msgid "Display links to images"
 msgstr "Vis links til billeder"
 
-#: src/config/options.inc:256
+#: src/config/options.inc:271
+#, fuzzy
 msgid ""
-"Display links to any images in the document, regardless of them\n"
-"having an alt attribute or not. If this option is off, the alt\n"
-"attribute contents is shown, but as normal text, not selectable\n"
-"as a link."
+"Display links to any images in the document, regardless of them having an "
+"alt attribute or not. If this option is off, the alt attribute contents is "
+"shown, but as normal text, not selectable as a link."
 msgstr ""
 "Vis billedlinks for ethvert billede i dokumentet, uanset\n"
 "om de har en ALT-attribut eller ej. Hvis dette er\n"
 "deaktiveret, bliver ALT-teksten vist, men kun som normal\n"
 "tekst der ikke kan vlges som link."
 
-#: src/config/options.inc:262
+#: src/config/options.inc:277
 msgid "Links"
 msgstr "Links"
 
-#: src/config/options.inc:264
+#: src/config/options.inc:279
 msgid "Options for handling of links to other documents."
 msgstr "Indstillinger for links til andre dokumenter."
 
-#: src/config/options.inc:266
+#: src/config/options.inc:281
 msgid "Active link"
 msgstr "Aktivt link"
 
-#: src/config/options.inc:268
+#: src/config/options.inc:283
 msgid "Options for the active link."
 msgstr "Indstillinger for aktuelle link."
 
-#: src/config/options.inc:270
+#: src/config/options.inc:285
 msgid "Colors"
 msgstr "Farver"
 
-#: src/config/options.inc:272
+#: src/config/options.inc:287
 msgid "Active link colors."
 msgstr "Farver for det aktuelle link."
 
-#: src/config/options.inc:274 src/config/options.inc:549
-#: src/config/options.inc:945
+#: src/config/options.inc:289 src/config/options.inc:583
+#: src/config/options.inc:1014
 msgid "Background color"
 msgstr "Baggrundsfarve"
 
-#: src/config/options.inc:276 src/config/options.inc:551
-#: src/config/options.inc:946
+#: src/config/options.inc:291 src/config/options.inc:585
+#: src/config/options.inc:1015
 msgid "Default background color."
 msgstr "Forvalgt baggrundsfarve."
 
@@ -2570,74 +2616,75 @@ msgstr "Forvalgt baggrundsfarve."
 #. *	on it.
 #. The colors and mono tree should be similar but with different default
 #. * values of course so always use the macros below.
-#: src/config/options.inc:278 src/config/options.inc:545
-#: src/config/options.inc:943
+#: src/config/options.inc:293 src/config/options.inc:579
+#: src/config/options.inc:1012
 msgid "Text color"
 msgstr "Tekstfarve"
 
-#: src/config/options.inc:280 src/config/options.inc:547
-#: src/config/options.inc:944
+#: src/config/options.inc:295 src/config/options.inc:581
+#: src/config/options.inc:1013
 msgid "Default text color."
 msgstr "Forvalgt tekstfarve."
 
-#: src/config/options.inc:282
+#: src/config/options.inc:297
 msgid "Enable color"
 msgstr "Aktivr farver"
 
-#: src/config/options.inc:284
+#: src/config/options.inc:299
+#, fuzzy
 msgid ""
-"Enable use of the active link background and text color\n"
-"settings instead of the link colors from the document."
+"Enable use of the active link background and text color settings instead of "
+"the link colors from the document."
 msgstr ""
 "Aktivr brug af baggrunds- og tekstfarve for det aktive\n"
 "link i stedet for dokumentets linkfarver."
 
-#: src/config/options.inc:287
+#: src/config/options.inc:302
 msgid "Bold"
 msgstr "Fed"
 
-#: src/config/options.inc:289
+#: src/config/options.inc:304
 msgid "Make the active link text bold."
 msgstr "Fremhv det aktive link med fed tekst."
 
-#: src/config/options.inc:291
+#: src/config/options.inc:306
 msgid "Invert colors"
 msgstr "Byt om p forgrunds- og baggrundsfarve"
 
-#: src/config/options.inc:293
+#: src/config/options.inc:308
 msgid "Invert the fore- and background color so the link stands out."
 msgstr "Byt om p for- og baggrundsfarve s linket fremhves."
 
-#: src/config/options.inc:296 src/config/options.inc:908
+#: src/config/options.inc:311 src/config/options.inc:975
 #: src/dialogs/options.c:231
 msgid "Underline"
 msgstr "Understreg"
 
-#: src/config/options.inc:298
+#: src/config/options.inc:313
 msgid "Underline the active link."
 msgstr "Understreg det aktive link."
 
-#: src/config/options.inc:301
+#: src/config/options.inc:316
 msgid "Directory highlighting"
 msgstr "Fremhvning af kataloger"
 
-#: src/config/options.inc:303
+#: src/config/options.inc:318
 msgid "Highlight links to directories in FTP and local directory listing."
 msgstr "Fremhv links til kataloger i filoversigter, lokale eller FTP."
 
-#: src/config/options.inc:305
+#: src/config/options.inc:321
 msgid "Number links"
 msgstr "Nummerr links"
 
-#: src/config/options.inc:307
+#: src/config/options.inc:323
 msgid "Display numbers next to the links."
 msgstr "Vis numre ved siden af links."
 
-#: src/config/options.inc:309
+#: src/config/options.inc:325
 msgid "Handling of target=_blank"
 msgstr "Hndtering af target=_blank"
 
-#: src/config/options.inc:311
+#: src/config/options.inc:327
 msgid ""
 "Define how to handle links having target=_blank set:\n"
 "0 means open link in current tab\n"
@@ -2651,38 +2698,39 @@ msgstr ""
 "2 betyder bn link i et nyt faneblad i baggrunden\n"
 "3 betyder bn link i et nyt vindue"
 
-#: src/config/options.inc:324
+#: src/config/options.inc:340
 msgid "Use tabindex"
 msgstr "Anvend tabindex"
 
-#: src/config/options.inc:326
+#: src/config/options.inc:342
+#, fuzzy
 msgid ""
-"Whether to navigate links using tabindex specified ordering.\n"
-"The TABINDEX attribute in HTML elements specifies the order\n"
-"in which links should receive focus when using the keyboard\n"
-"to navigate the document."
+"Whether to navigate links using tabindex specified ordering. The TABINDEX "
+"attribute in HTML elements specifies the order in which links should receive "
+"focus when using the keyboard to navigate the document."
 msgstr ""
 "Angiver om links navigeres ved brug af tabindex angivet orden.\n"
 "TABINDEX-attributten i HTML-elementer angiver hvilken rkkeflge\n"
 "links skal fokuseres nr tasteturet anvendes til at navigere\n"
 "dokumentet."
 
-#: src/config/options.inc:331
+#: src/config/options.inc:347
 msgid "Missing fragment reporting"
 msgstr "Rapportering af manglende fragment"
 
-#: src/config/options.inc:333
+#: src/config/options.inc:349
 msgid "Open a message box when document has no tag with given id."
 msgstr "bn dialogvindue nr et dokument ikke indeholder et angivet ID."
 
-#: src/config/options.inc:335
+#: src/config/options.inc:352
 msgid "Number keys select links"
 msgstr "Numeriske taster vlger links"
 
-#: src/config/options.inc:337
+#: src/config/options.inc:354
+#, fuzzy
 msgid ""
-"Number keys select links rather than specify command prefixes. This\n"
-"is a tristate:\n"
+"Number keys select links rather than specify command prefixes. This is a "
+"tristate:\n"
 "0 means never\n"
 "1 means if document.browse.links.numbering = 1\n"
 "2 means always"
@@ -2693,15 +2741,16 @@ msgstr ""
 "1 betyder hvis document.browse.links.numbering = 1\n"
 "2 betyder altid"
 
-#: src/config/options.inc:343
+#: src/config/options.inc:360
 msgid "Warn about maliciously crafted URIs"
 msgstr "Advar om ondskabsfuldt konstruerede adresser"
 
-#: src/config/options.inc:345
+#: src/config/options.inc:362
+#, fuzzy
 msgid ""
-"When following a link the user ID part of the URI is\n"
-"checked and if a maliciously crafted URI is detected a\n"
-"warning dialog will ask before following the link."
+"When following a link the user ID part of the URI is checked and if a "
+"maliciously crafted URI is detected a warning dialog will ask before "
+"following the link."
 msgstr ""
 "Nr links flges, tjekkes brugeridentitetsdelen af\n"
 "adressen og hvis en ondskabsfuldt konstrueret adresse\n"
@@ -2710,100 +2759,104 @@ msgstr ""
 
 #. TODO - this is somehow implemented by ff, but disabled
 #. * for now as it doesn't work.
-#: src/config/options.inc:351
+#: src/config/options.inc:368
 msgid "Wrap-around links cycling"
 msgstr "Bund/top navigeringscyklus for links"
 
 #. 0
-#: src/config/options.inc:353
+#: src/config/options.inc:370
+#, fuzzy
 msgid ""
-"When pressing 'down' on the last link, jump to the first one, and\n"
-"vice versa."
+"When pressing 'down' on the last link, jump to the first one, and vice versa."
 msgstr ""
 "Nr der tastes \"pil ned\" p det sidste link, hop da til\n"
 "det frste og omvendt."
 
-#: src/config/options.inc:357
+#: src/config/options.inc:374
 msgid "Scrolling"
 msgstr "Rulning"
 
-#: src/config/options.inc:359
+#: src/config/options.inc:376
 msgid "Scrolling options."
 msgstr "Indstillinger for rulning."
 
-#: src/config/options.inc:361
+#: src/config/options.inc:378
 msgid "Horizontal step"
 msgstr "Vandret tekstmargin"
 
-#: src/config/options.inc:363
+#: src/config/options.inc:380
+#, fuzzy
 msgid ""
-"Number of columns to scroll when a key bound to scroll-left or scroll-\n"
-"right is pressed and no prefix was given."
+"Number of columns to scroll when a key bound to scroll-left or scroll-right "
+"is pressed and no prefix was given."
 msgstr ""
 "Antal linjer der rulles nr en taste der er tildelt scroll-up\n"
 "eller scroll-down trykkes og intet prfiks er angivet."
 
-#: src/config/options.inc:366
+#: src/config/options.inc:384
 msgid "Extended horizontal scrolling"
 msgstr "Udvidet horisontal rul"
 
-#: src/config/options.inc:368
+#: src/config/options.inc:386
+#, fuzzy
 msgid ""
-"Whether to allow horizontal scrolling when the document\n"
-"does not extend off the screen. Useful for copy/paste\n"
-"operations."
+"Whether to allow horizontal scrolling when the document does not extend off "
+"the screen. Useful for copy/paste operations."
 msgstr ""
 "Om det skal vre muligt at rulle horisontalt, selv hvis\n"
 "dokumentet ikke er bredere end skrmen. Brugbart ved\n"
 "kopiering til og indsttelse fra klippebord."
 
-#: src/config/options.inc:372
+#: src/config/options.inc:390
 msgid "Margin"
 msgstr "Margin"
 
-#: src/config/options.inc:374
+#: src/config/options.inc:392
+#, fuzzy
 msgid ""
-"Size of the virtual margin - when you click inside of that margin,\n"
-"document scrolls in that direction."
+"Size of the virtual margin - when you click inside of that margin, document "
+"scrolls in that direction."
 msgstr ""
 "Strrelse p virtuel margin. Nr du klikker indenfor denne\n"
 "margin, ruller dokumentet i denne retning."
 
-#: src/config/options.inc:377
+#: src/config/options.inc:395
 msgid "Vertical step"
 msgstr "Vertikal skridt"
 
-#: src/config/options.inc:379
+#: src/config/options.inc:397
+#, fuzzy
 msgid ""
-"Number of lines to scroll when a key bound to scroll-up or scroll-\n"
-"down is pressed and no prefix was given."
+"Number of lines to scroll when a key bound to scroll-up or scroll-down is "
+"pressed and no prefix was given."
 msgstr ""
 "Antal linjer der rulles nr en taste der er tildelt scroll-up\n"
 "eller scroll-down trykkes og intet prfiks er angivet."
 
-#: src/config/options.inc:383
+#: src/config/options.inc:401
 msgid "Searching"
 msgstr "Sgning"
 
-#: src/config/options.inc:385
+#: src/config/options.inc:403
 msgid "Options for searching."
 msgstr "Indstillinger for sgning."
 
-#: src/config/options.inc:387
+#: src/config/options.inc:405
 msgid "Case sensitivity"
 msgstr "Versalflsomhed"
 
-#: src/config/options.inc:389
+#: src/config/options.inc:407
+#, fuzzy
 msgid ""
-"Whether the search should match the document text while maintaining\n"
-"case sensitivity."
+"Whether the search should match the document text while maintaining case "
+"sensitivity."
 msgstr "Om der skelnes mellem store og sm bogstaver i sgemnstre."
 
-#: src/config/options.inc:393
+#: src/config/options.inc:411
 msgid "Regular expressions"
 msgstr "Regulre udtryk"
 
-#: src/config/options.inc:395
+#: src/config/options.inc:413
 msgid ""
 "Enable searching with regular expressions:\n"
 "0 for plain text searching\n"
@@ -2815,33 +2868,34 @@ msgstr ""
 "1 betyder sg med basale regulre udtryk\n"
 "2 betyder sg med udvidede regulre udtryk"
 
-#: src/config/options.inc:401
+#: src/config/options.inc:419
 msgid "Show search hit top or bottom dialogs"
 msgstr "Vis dialoger hvis sgning rammer top eller bund"
 
-#: src/config/options.inc:403
+#: src/config/options.inc:421
+#, fuzzy
 msgid ""
-"Whether to show a dialog when the search hits the top or bottom of the\n"
+"Whether to show a dialog when the search hits the top or bottom of the "
 "document."
 msgstr ""
 "Om en dialogboks skal vises der underretter bruger om at\n"
 "en sgning har net dokumentets top eller bund."
 
-#: src/config/options.inc:406
+#: src/config/options.inc:424
 msgid "Wraparound"
 msgstr "Fortst sgning fra begyndelse/slut af dokument"
 
-#: src/config/options.inc:408
+#: src/config/options.inc:426
 msgid "Wrap around when searching. Currently only used for typeahead."
 msgstr ""
 "Fortst sgning fra begyndelse/slut af dokument hvis bunden/toppen\n"
 "rammes. I jeblikket kun brugt ved tast og find."
 
-#: src/config/options.inc:410
+#: src/config/options.inc:429
 msgid "Show not found"
 msgstr "Vis ikke-fundet"
 
-#: src/config/options.inc:412
+#: src/config/options.inc:431
 msgid ""
 "How to inform the user when nothing is matched:\n"
 "0 means do nothing\n"
@@ -2853,20 +2907,23 @@ msgstr ""
 "1 betyder at der gives et \"bip\"\n"
 "2 betyder at en pmindelse popper op"
 
-#: src/config/options.inc:417
+#: src/config/options.inc:436
 msgid "Typeahead searching"
 msgstr "Tast og find"
 
-#: src/config/options.inc:419
+#: src/config/options.inc:438
+#, fuzzy
 msgid ""
-"Start typeahead searching when an unbound key is pressed without\n"
-"any modifiers. Note that most keys have default bindings, so this\n"
-"feature will not be useful unless you unbind them.\n"
+"Start typeahead searching when an unbound key is pressed without any "
+"modifiers. Note that most keys have default bindings, so this feature will "
+"not be useful unless you unbind them.\n"
 "\n"
-"0 disables this feature; typeahead searching will only be used\n"
-"  when you press a key bound to search-typeahead or similar\n"
+"0 disables this feature; typeahead searching will only be\n"
+"  used when you press a key bound to search-typeahead or\n"
+"  similar\n"
 "1 automatically starts typeahead searching thru link text\n"
-"2 automatically starts typeahead searching thru all document text"
+"2 automatically starts typeahead searching thru all document\n"
+"  text"
 msgstr ""
 "Begynd tast og find sgning ved tryk af en ubundet tast hvis hverken\n"
 "Shift eller Alt er tastet. Bemrk, at de fleste taster som standard\n"
@@ -2878,26 +2935,28 @@ msgstr ""
 "1 betyder begynd automatisk tast og find sgning af linktekst\n"
 "2 betyder begynd automatisk tast og find sgning af dokumenttekst"
 
-#: src/config/options.inc:428
+#: src/config/options.inc:451
 msgid "Horizontal text margin"
 msgstr "Vandret tekstmargin"
 
-#: src/config/options.inc:430
+#: src/config/options.inc:453
 msgid "Horizontal text margin."
 msgstr "Vandret tekstmargin."
 
-#: src/config/options.inc:432
+#: src/config/options.inc:455
 msgid "Document meta refresh"
 msgstr "Dokument meta-genopfriskning"
 
-#: src/config/options.inc:434
+#: src/config/options.inc:457
+#, fuzzy
 msgid ""
-"Automatically follow document-specified refresh directives ('<meta>\n"
-"refresh' tags). Web-page authors use these to instruct the browser\n"
-"to reload a document at a given interval or to load another page.\n"
-"Regardless of the value the refresh URI is accessible as a link.\n"
-"Use the document.browse.minimum_refresh_time to control the minimum\n"
-"number of seconds a refresh will wait."
+"Automatically follow document-specified refresh directives ('<meta> refresh' "
+"tags). Web-page authors use these to instruct the browser to reload a "
+"document at a given interval or to load another page. Regardless of the "
+"value the refresh URI is accessible as a link.\n"
+"\n"
+"Use the document.browse.minimum_refresh_time to control the minimum number "
+"of seconds a refresh will wait."
 msgstr ""
 "Flg dokumentets angivelse af hvor tit dette skal genopfriskes\n"
 "via HTML-elementet \"<meta=refresh ..>\". Forfattere af websider\n"
@@ -2907,16 +2966,16 @@ msgstr ""
 "Brug document.browse.minimum_refresh_time til at styre det\n"
 "mindste antal sekunder en genopfriskning m vente."
 
-#: src/config/options.inc:441
+#: src/config/options.inc:466
 msgid "Document meta refresh minimum time"
 msgstr "Minimumstid for genopfriskning af dokument"
 
-#: src/config/options.inc:443
+#: src/config/options.inc:468
+#, fuzzy
 msgid ""
-"The minimum number of milliseconds that should pass before\n"
-"refreshing. If set to zero the document refresh time is used\n"
-"unchanged. It can fix going back in history for some sites that\n"
-"use refreshing with zero values."
+"The minimum number of milliseconds that should pass before refreshing. If "
+"set to zero the document refresh time is used unchanged. It can fix going "
+"back in history for some sites that use refreshing with zero values."
 msgstr ""
 "Det mindste antal millisekunder der skal g fr dokumentet\n"
 "genopfriskes. Hvis sat til nul, bliver dokumentets\n"
@@ -2924,47 +2983,46 @@ msgstr ""
 "dokumenter fra historikken hvor genopfriskning er sat\n"
 "til nul."
 
-#: src/config/options.inc:448
+#: src/config/options.inc:473
 msgid "Tables navigation order"
 msgstr "Navigeringsorden i tabeller"
 
-#: src/config/options.inc:450
+#: src/config/options.inc:475
 msgid "Move by columns in table, instead of rows."
 msgstr "Naviger tabeller kolonnevis i stedet for rkkevis."
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:456
+#: src/config/options.inc:481
 msgid "Cache"
 msgstr "Cache"
 
-#: src/config/options.inc:458
+#: src/config/options.inc:483
 msgid "Cache options."
 msgstr "Cacheindstillinger."
 
-#: src/config/options.inc:460
+#: src/config/options.inc:485
 msgid "Cache information about redirects"
 msgstr "Gem informationer om omdirigeringer i cachen"
 
-#: src/config/options.inc:462
+#: src/config/options.inc:487
 #, fuzzy
 msgid ""
-"Cache even redirects sent by server (usually thru HTTP by a 302\n"
-"HTTP code and a Location header). This was the original behaviour\n"
-"for quite some time, but it causes problems in a situation very\n"
-"common to various web login systems - frequently, when accessing\n"
-"a certain location, they will redirect you to a login page if they\n"
-"don't receive an auth cookie, the login page then gives you the\n"
-"cookie and redirects you back to the original page, but there you\n"
-"have already cached redirect back to the login page! If this\n"
-"option has value of 0, this malfunction is fixed, but occasionally\n"
-"you may get superfluous (depends on how you take it ;-) requests to\n"
-"the server. If this option has value of 1, experienced users can\n"
-"still workaround it by clever combination of usage of reload,\n"
-"jumping around in session history and hitting ctrl+enter.\n"
-"Note that this option is checked when retrieving the information\n"
-"from cache, not when saving it to cache - thus if you enable\n"
-"it, even previous redirects will be taken from cache instead of\n"
-"asking the server."
+"Cache even redirects sent by server (usually thru HTTP by a 302 HTTP code "
+"and a Location header). This was the original behaviour for quite some time, "
+"but it causes problems in a situation very common to various web login "
+"systems - frequently, when accessing a certain location, they will redirect "
+"you to a login page if they don't receive an auth cookie, the login page "
+"then gives you the cookie and redirects you back to the original page, but "
+"there you have already cached redirect back to the login page! If this "
+"option has value of 0, this malfunction is fixed, but occasionally you may "
+"get superfluous (depends on how you take it ;-) requests to the server. If "
+"this option has value of 1, experienced users can still workaround it by "
+"clever combination of usage of reload, jumping around in session history and "
+"hitting ctrl+enter.\n"
+"\n"
+"Note that this option is checked when retrieving the information from cache, "
+"not when saving it to cache - thus if you enable it, even previous redirects "
+"will be taken from cache instead of asking the server."
 msgstr ""
 "Tilfj selv server-omdirigeringer til cachen. Disse sendes\n"
 "normalt via HTTP med koden 302 og en \"Location\"-serverlinje.\n"
@@ -2986,46 +3044,48 @@ msgstr ""
 "omdirigeringer derfor blive hentet i cachen og ikke ved at\n"
 "sende en foresprgsel til serveren."
 
-#: src/config/options.inc:480
+#: src/config/options.inc:508
 msgid "Ignore cache-control info from server"
 msgstr "Ignorr cachestyringsinfo fra server"
 
-#: src/config/options.inc:482
+#: src/config/options.inc:510
+#, fuzzy
 msgid ""
-"Ignore Cache-Control and Pragma server headers.\n"
-"When set, the document is cached even with 'Cache-Control: no-cache'."
+"Ignore Cache-Control and Pragma server headers. When set, the document is "
+"cached even with 'Cache-Control: no-cache'."
 msgstr ""
 "Ignorr serverlinjerne Cache-Control og Pragma.\n"
 "Nr denne er aktiv, vil dokumentet blive gemt i cachen,\n"
 "selv med \"Cache-Control: no-cache\"."
 
-#: src/config/options.inc:485
+#: src/config/options.inc:514
 msgid "Formatted documents"
 msgstr "Formaterede dokumenter"
 
-#: src/config/options.inc:487
+#: src/config/options.inc:516
 msgid "Format cache options."
 msgstr "Indstillinger for tekstformaterede dokumenter."
 
-#: src/config/options.inc:489
+#: src/config/options.inc:518
 msgid "Number"
 msgstr "Antal"
 
-#: src/config/options.inc:491
+#: src/config/options.inc:520
+#, fuzzy
 msgid ""
-"Number of cached formatted pages. Do not get too generous\n"
-"here, 'formatted' means that all the accompanying structures\n"
-"are kept in memory so that you get the cached document\n"
-"immediatelly, but these structures may take a lot - 2x the\n"
-"size of the HTML source is probably not unusual, but it can\n"
-"be even more if the document consists of a lot of short lines\n"
-"(padded right, if possible) and links and not much other markup.\n"
-"So if you set this to 256 and then you don't like your ELinks\n"
-"eating 90M, don't come complaining to us. ;-)\n"
-"Also note that the format cache itself is not counted to the\n"
-"memory cache size, but the HTML source of the formatted documents\n"
-"is always cached, even if it is over the memory cache size\n"
-"threshold. (Then of course no other documents can be cached.)"
+"Number of cached formatted pages. Do not get too generous here, 'formatted' "
+"means that all the accompanying structures are kept in memory so that you "
+"get the cached document immediatelly, but these structures may take a lot - "
+"2x the size of the HTML source is probably not unusual, but it can be even "
+"more if the document consists of a lot of short lines (padded right, if "
+"possible) and links and not much other markup. So if you set this to 256 and "
+"then you don't like your ELinks eating 90M, don't come complaining to "
+"us. ;-)\n"
+"\n"
+"Also note that the format cache itself is not counted to the memory cache "
+"size, but the HTML source of the formatted documents is always cached, even "
+"if it is over the memory cache size threshold. (Then of course no other "
+"documents can be cached.)"
 msgstr ""
 "Maksimalt antal optegnede dokumenter der m vre i cachen. Vr\n"
 "opmrksom p at det kan vre problematisk at vre alt for gavmild,\n"
@@ -3044,145 +3104,148 @@ msgstr ""
 "Efterflgende kan yderligere dokumenter ikke tilfjes i cachen."
 
 #. FIXME: Write more.
-#: src/config/options.inc:506
+#: src/config/options.inc:538
 msgid "Revalidation interval"
 msgstr "Genvalideringsinterval"
 
-#: src/config/options.inc:508
+#: src/config/options.inc:540
 msgid ""
-"Period in seconds that a cache entry is considered to be\n"
-"up-to-date. When a document is loaded and this interval has elapsed\n"
-"since the document was initially loaded or most recently\n"
-"revalidated with the server, the server will be checked in case\n"
-"there is a more up-to-date version of the document.\n"
+"Period in seconds that a cache entry is considered to be up-to-date. When a "
+"document is loaded and this interval has elapsed since the document was "
+"initially loaded or most recently revalidated with the server, the server "
+"will be checked in case there is a more up-to-date version of the document.\n"
 "\n"
 "A value of -1 disables automatic revalidation."
 msgstr ""
 
-#: src/config/options.inc:515 src/dialogs/info.c:199
+#: src/config/options.inc:549 src/dialogs/info.c:199
 msgid "Memory cache"
 msgstr "Hukommelsescache"
 
-#: src/config/options.inc:517
+#: src/config/options.inc:551
 msgid "Memory cache options."
 msgstr "Indstillinger for hukommelsescache."
 
-#: src/config/options.inc:521
+#: src/config/options.inc:555
 msgid "Memory cache size (in bytes)."
 msgstr "Strrelse p hukommelsescache (i bytes)."
 
-#: src/config/options.inc:525
+#: src/config/options.inc:559
 msgid "Charset"
 msgstr "Tegnst"
 
-#: src/config/options.inc:527
+#: src/config/options.inc:561
 msgid "Charset options."
 msgstr "Tegnstindstillinger."
 
-#: src/config/options.inc:529
+#: src/config/options.inc:563
 msgid "Default codepage"
 msgstr "Forvalgt tegnkodningstabel"
 
-#: src/config/options.inc:531
+#: src/config/options.inc:565
+#, fuzzy
 msgid ""
-"Default document codepage. 'System' stands for\n"
-"a codepage determined by a selected locale."
+"Default document codepage. 'System' stands for a codepage determined by a "
+"selected locale."
 msgstr ""
 "Forvalgt tegnkodningstabel for dokument. 'System' angiver\n"
 "at tegnkodningstabellen vlges p baggrund af den valgte\n"
 "sprogindstilling."
 
-#: src/config/options.inc:534
+#: src/config/options.inc:568
 msgid "Ignore charset info from server"
 msgstr "Ignorr information om tegnst fra server"
 
-#: src/config/options.inc:536
+#: src/config/options.inc:570
 msgid "Ignore charset info sent by server."
 msgstr "Ignorr information om tegnst sendt fra server."
 
-#: src/config/options.inc:540
+#: src/config/options.inc:574
 msgid "Default color settings"
 msgstr "Forvalgte farveindstillinger"
 
-#: src/config/options.inc:542
+#: src/config/options.inc:576
 msgid "Default document color settings."
 msgstr "Forvalgte farveindstillinger for dokumenter."
 
-#: src/config/options.inc:553
+#: src/config/options.inc:587
 msgid "Link color"
 msgstr "Linkfarve"
 
-#: src/config/options.inc:555
+#: src/config/options.inc:589
 msgid "Default link color."
 msgstr "Forvalgt linkfarve."
 
-#: src/config/options.inc:557
+#: src/config/options.inc:591
 msgid "Visited-link color"
 msgstr "Farve for besgte links"
 
-#: src/config/options.inc:559
+#: src/config/options.inc:593
 msgid "Default visited link color."
 msgstr "Forvalgt farve for besgte links."
 
-#: src/config/options.inc:561
+#: src/config/options.inc:595
 msgid "Image-link color"
 msgstr "Farve for billedlinks"
 
-#: src/config/options.inc:563
+#: src/config/options.inc:597
 msgid "Default image link color."
 msgstr "Forvalgt billedlinkfarve."
 
-#: src/config/options.inc:565
+#: src/config/options.inc:599
 msgid "Bookmarked-link color"
 msgstr "Linkfarve for tilfjede bogmrker"
 
-#: src/config/options.inc:567
+#: src/config/options.inc:601
 msgid "Default bookmarked link color."
 msgstr "Forvalgt farve for links til gemte bogmrker."
 
-#: src/config/options.inc:569
+#: src/config/options.inc:603
 msgid "Directory color"
 msgstr "Farve for kataloger"
 
-#: src/config/options.inc:571
+#: src/config/options.inc:605
+#, fuzzy
 msgid ""
 "Default directory color.\n"
+"\n"
 "See document.browse.links.color_dirs option."
 msgstr ""
 "Forvalgt farve for kataloger.\n"
 "Se indstillingen document.browse.links.color_dirs."
 
-#: src/config/options.inc:578
+#: src/config/options.inc:613
 msgid "Increase contrast"
 msgstr "gning af kontrast"
 
-#: src/config/options.inc:580
+#: src/config/options.inc:615
+#, fuzzy
 msgid ""
-"Increase the contrast between the foreground and background colors\n"
-"to ensure readability. For example it disallows dark colors on a\n"
-"black background. Note, this is different from ensuring the contrast\n"
-"with the ensure_contrast option."
+"Increase the contrast between the foreground and background colors to ensure "
+"readability. For example it disallows dark colors on a black background. "
+"Note, this is different from ensuring the contrast with the ensure_contrast "
+"option."
 msgstr ""
 "ger kontrasten mellem for- og baggrundsfarver sledes at lsbarhede\n"
 "forbedres. Eksempelvis forbydes mrke farver p en sort baggrund.\n"
 "Bemrk, at dette er forskelligt fra at sikre kontrasten med\n"
 "indstillingen ensure_contrast."
 
-#: src/config/options.inc:585
+#: src/config/options.inc:621
 msgid "Ensure contrast"
 msgstr "Srg for kontrast"
 
-#: src/config/options.inc:587
+#: src/config/options.inc:623
 msgid "Makes sure that the back- and foreground colors are never equal."
 msgstr "Sikrer at bag- og forgrundsfarver aldrig er ens."
 
 #. If you change this please also change ACT_MAIN_DOCUMENT_COLORS action
 #. * handling.
-#: src/config/options.inc:592
+#: src/config/options.inc:628
 msgid "Use document-specified colors"
 msgstr "Brug farver fra dokument"
 
-#: src/config/options.inc:594
+#: src/config/options.inc:630
 msgid ""
 "Use colors specified in document:\n"
 "0 is use always the default settings\n"
@@ -3202,40 +3265,41 @@ msgstr ""
 "  (transparency) p din skrm hvis du bruger en sdan."
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:607
+#: src/config/options.inc:643
 msgid "Downloading"
 msgstr "Downloadning"
 
-#: src/config/options.inc:609
+#: src/config/options.inc:645
 msgid "Options regarding files downloading and handling."
 msgstr "Indstillinger for downloadning og filhndtering."
 
-#: src/config/options.inc:611
+#: src/config/options.inc:647
 msgid "Default download directory"
 msgstr "Forvalgt downloadkatalog"
 
-#: src/config/options.inc:613
+#: src/config/options.inc:649
 msgid "Default download directory."
 msgstr "Forvalgt downloadkatalog."
 
-#: src/config/options.inc:615
+#: src/config/options.inc:651
 msgid "Set original time"
 msgstr "St oprindeligt tidsstempel"
 
-#: src/config/options.inc:617
+#: src/config/options.inc:653
+#, fuzzy
 msgid ""
-"Set the timestamp of each downloaded file to the timestamp\n"
-"stored on the server."
+"Set the timestamp of each downloaded file to the timestamp stored on the "
+"server."
 msgstr ""
 "St tidstemplet for hver downloadet fil til tidsstemplet gemt\n"
 "p serveren."
 
 #. Does automatic resuming make sense as an option?
-#: src/config/options.inc:621
+#: src/config/options.inc:657
 msgid "Prevent overwriting"
 msgstr "Undg overskrivning"
 
-#: src/config/options.inc:623
+#: src/config/options.inc:659
 msgid ""
 "Prevent overwriting the local files:\n"
 "0 is files will silently be overwritten\n"
@@ -3247,11 +3311,11 @@ msgstr ""
 "1 betyder tilfj en cifferendelse (f.eks. \".1\") til filnavnet\n"
 "2 betyder sprg brugeren"
 
-#: src/config/options.inc:628
+#: src/config/options.inc:664
 msgid "Notify download completion by bell"
 msgstr "Lydpmindelse om fuldendt filoverfrsel (\"bell\")"
 
-#: src/config/options.inc:630
+#: src/config/options.inc:666
 msgid ""
 "Audio notification when download is completed:\n"
 "0 is never\n"
@@ -3263,30 +3327,31 @@ msgstr ""
 "1 betyder kun nr baggrundspmindelse er aktiveret\n"
 "2 betyder altid"
 
-#: src/config/options.inc:636
+#: src/config/options.inc:672
 msgid "Dump output"
 msgstr "Dump-uddata"
 
-#: src/config/options.inc:638
+#: src/config/options.inc:674
 msgid "Dump output options."
 msgstr "Indstillinger for dump-uddata."
 
 #. OPT_CODEPAGE
-#: src/config/options.inc:640 src/config/options.inc:912
+#: src/config/options.inc:676 src/config/options.inc:980
 #: src/config/opttypes.c:481 src/dialogs/document.c:164
 msgid "Codepage"
 msgstr "Tegnkodningstabel"
 
-#: src/config/options.inc:642
+#: src/config/options.inc:678
+#, fuzzy
 msgid ""
-"Codepage used in dump output. 'System' stands for\n"
-"a codepage determined by a selected locale."
+"Codepage used in dump output. 'System' stands for a codepage determined by a "
+"selected locale."
 msgstr ""
 "Tegnkodningstabel for dump-uddata. 'System' angiver at\n"
 "tegnkodningstabellen vlges p baggrund af den valgte\n"
 "sprogindstilling."
 
-#: src/config/options.inc:645 src/config/options.inc:878
+#: src/config/options.inc:681 src/config/options.inc:941
 msgid "Color mode"
 msgstr "Farvetilstand"
 
@@ -3295,12 +3360,15 @@ msgstr "Farvetilstand"
 #. * an outer list entry after an inner list.
 #. * TRANSLATORS: This restriction applies only to the
 #. * "en" (English) translation.  (See doc/Makefile.)
-#: src/config/options.inc:652
+#: src/config/options.inc:688
+#, fuzzy
 msgid ""
 "Color mode for dumps.\n"
+"\n"
 "Some modes may have been disabled at compile time. The Setup -> Terminal "
 "options dialog lists the modes supported by this executable. If you select "
 "an unsupported mode, ELinks uses 16 colors.\n"
+"\n"
 "The color modes are:\n"
 "-1 is standard dump mode\n"
 "0 is mono mode\n"
@@ -3309,122 +3377,133 @@ msgid ""
 "3 is 256 color mode\n"
 "4 is true color mode"
 msgstr ""
+"Farvetilstanden styrer hvilke farver der bruges og hvordan de sendes\n"
+"skrmen.\n"
+"Nogle farvetilstande er muligvis deaktiveret p oversttelsestidspunktet\n"
+"For mere information se terminalindstillingsdialogen i Opstnings menuen.\n"
+"Hvis du vlger en farvetilstand som er deaktiveret benyttes tilstanden\n"
+"16-farver.\n"
+"Farvetilstandene er:\n"
+"0 betyder tilstanden monokron, hvor kun 2 farver bruges\n"
+"1 betyder tilstanden 16-farver, som bruger de normale ANSI-farver\n"
+"2 betyder tilstanden 88-farver, som bruger XTerm RGB-farvekoder\n"
+"3 betyder tilstanden 256-farve, som bruger XTerm RGB-farvekoder\n"
+"4 betyder tilstanden rigtige farver, some bruger konsole RGB-farvekoder"
 
-#: src/config/options.inc:665
+#: src/config/options.inc:703
 msgid "Footer"
 msgstr "Tekstfod"
 
-#: src/config/options.inc:667
+#: src/config/options.inc:705
 #, c-format
 msgid "Footer string used in dumps. %u is substituted by URL."
 msgstr ""
 "Tekstfod brugt ved dumpet udskrift.\n"
 "%u udskiftes med adressen for det dumpede dokument."
 
-#: src/config/options.inc:671
+#: src/config/options.inc:709
 #, c-format
 msgid "Header string used in dumps. %u is substituted by URL."
 msgstr ""
 "Teksthoved brugt ved dumpet udskrift.\n"
 "%u udskiftes med adressen for det dumpede dokument."
 
-#: src/config/options.inc:673
+#: src/config/options.inc:711
 msgid "Numbering"
 msgstr "Nummerering"
 
-#: src/config/options.inc:675
+#: src/config/options.inc:713
 msgid "Whether to print link numbers in dump output."
 msgstr "Vlg om linknumre skal udskrives i uddata fra -dump"
 
-#: src/config/options.inc:677
+#: src/config/options.inc:715
 msgid "References"
 msgstr "Referencer"
 
-#: src/config/options.inc:679
-msgid ""
-"Whether to print references (URIs) of document links\n"
-"in dump output."
+#: src/config/options.inc:717
+#, fuzzy
+msgid "Whether to print references (URIs) of document links in dump output."
 msgstr ""
 "Vlg om linkadresser (URI) i dokumentet skal udskrives\n"
 "i uddata fra -dump."
 
-#: src/config/options.inc:682
+#: src/config/options.inc:720
 msgid "Separator"
 msgstr "Separator"
 
-#: src/config/options.inc:684
+#: src/config/options.inc:722
 msgid "String which separates two dumps."
 msgstr "Streng som adskiller udskrift af to dumpede dokumenter."
 
-#: src/config/options.inc:686
+#: src/config/options.inc:724
 msgid "Width"
 msgstr "Bredde"
 
-#: src/config/options.inc:688
+#: src/config/options.inc:726
 msgid "Width of screen in characters when dumping documents."
 msgstr "Skrmbredde i tegn ved dumpning af dokumenter."
 
-#: src/config/options.inc:692
+#: src/config/options.inc:730
 msgid "History"
 msgstr "Historik"
 
-#: src/config/options.inc:694
+#: src/config/options.inc:732
 msgid "History options."
 msgstr "Historikindstillinger."
 
-#: src/config/options.inc:696
+#: src/config/options.inc:734
 msgid "Keep unhistory"
 msgstr "Behold forlns historik"
 
-#: src/config/options.inc:698
+#: src/config/options.inc:736
 msgid "Keep unhistory (\"forward history\")."
 msgstr "Behold forlns historik."
 
-#: src/config/options.inc:701
+#: src/config/options.inc:739
 msgid "HTML rendering"
 msgstr "HTML-gengivelse"
 
-#: src/config/options.inc:703
+#: src/config/options.inc:741
 msgid "Options concerning the display of HTML pages."
 msgstr "Indstillinger der styrer hvorledes HTML-sider vises."
 
-#: src/config/options.inc:705
+#: src/config/options.inc:743
 msgid "Display frames"
 msgstr "Vis rammer"
 
-#: src/config/options.inc:707
+#: src/config/options.inc:745
 msgid "Display frames."
 msgstr "Vis rammer."
 
-#: src/config/options.inc:709
+#: src/config/options.inc:747
 msgid "Display tables"
 msgstr "Vis tabeller"
 
-#: src/config/options.inc:711
+#: src/config/options.inc:749
 msgid "Display tables."
 msgstr "Vis tabeller."
 
-#: src/config/options.inc:713
+#: src/config/options.inc:751
 msgid "Display subscripts"
 msgstr "Vis matematisk indeks (<sub> tag)"
 
-#: src/config/options.inc:715
+#: src/config/options.inc:753
 msgid "Display subscripts (as [thing])."
 msgstr "Vis matematisk indeks (<sub> tag) som [indeks]."
 
-#: src/config/options.inc:717
+#: src/config/options.inc:755
 msgid "Display superscripts"
 msgstr "Vis matematisk overskrift (<sup> tag)"
 
-#: src/config/options.inc:719
+#: src/config/options.inc:757
 msgid "Display superscripts (as ^thing)."
 msgstr "Vis matematisk overskrift (<sup> tag) som ^overskrift."
 
-#: src/config/options.inc:721
+#: src/config/options.inc:759
 msgid "Rendering of HTML link element"
 msgstr "Gengivelse af link HTML-elementer"
 
-#: src/config/options.inc:723
+#: src/config/options.inc:761
 msgid ""
 "How to render <link> tags from the HTML header:\n"
 "0 is nothing\n"
@@ -3442,11 +3521,11 @@ msgstr ""
 "4 betyder vis titel, navn, hreflang og type\n"
 "5 betyder vis det hele"
 
-#: src/config/options.inc:731
+#: src/config/options.inc:769
 msgid "Underline links"
 msgstr "Understreg links"
 
-#: src/config/options.inc:733
+#: src/config/options.inc:771
 msgid "Underline links."
 msgstr "Understreg links."
 
@@ -3454,67 +3533,67 @@ msgstr "Understreg links."
 # "hard/soft wrapping" - hard wrapping er en bogstavelig linjeombrydning
 # hvor linjen afsluttes med et nylinjetegn, og soft wrapping er en visuel
 # ombrydning uden noget nylinjetegn.
-#: src/config/options.inc:735
+#: src/config/options.inc:773
 msgid "Wrap non breaking space"
 msgstr "Ombryd hrde blanktegn"
 
-#: src/config/options.inc:737
+#: src/config/options.inc:775
+#, fuzzy
 msgid ""
-"If set do not honour non breaking space (the nbsp entity)\n"
-"but allow to wrap the text. This can help keeping the width\n"
-"of documents down so no horizontal scrolling is needed."
+"If set do not honour non breaking space (the nbsp entity) but allow to wrap "
+"the text. This can help keeping the width of documents down so no horizontal "
+"scrolling is needed."
 msgstr ""
 "Hvis sat, bliver ombrydning af hrde blanktegn\n"
 "(entiteten \"nbsp\") tilladt. Dette kan reducere\n"
 "bredden p dokumenter, s man ikke behver at\n"
 "bladre vandret i dokumentet."
 
-#: src/config/options.inc:742
+#: src/config/options.inc:780
 msgid "Plain rendering"
 msgstr "Gengivelse af klartekst"
 
-#: src/config/options.inc:744
+#: src/config/options.inc:782
 msgid "Options concerning the display of plain text pages."
 msgstr "Indstillinger der styrer hvorledes klartekstsider vises."
 
-#: src/config/options.inc:746
+#: src/config/options.inc:784
 msgid "Display URIs"
 msgstr "Vis adresser"
 
-#: src/config/options.inc:748
+#: src/config/options.inc:786
 msgid "Display URIs in the document as links."
 msgstr "Vis adresser i dokumentet som links."
 
-#: src/config/options.inc:750
+#: src/config/options.inc:788
 msgid "Compress empty lines"
 msgstr "Komprimer tomme linjer"
 
-#: src/config/options.inc:752
+#: src/config/options.inc:790
 msgid "Compress successive empty lines to only one in displayed text."
 msgstr "Komprimer mere end to p hinanden flgende linjer til en."
 
-#: src/config/options.inc:755
+#: src/config/options.inc:794
 msgid "URI passing"
 msgstr "Ekstern URI hndtering"
 
-#: src/config/options.inc:757
+#: src/config/options.inc:796
 msgid ""
-"Rules for passing URIs to external commands. When one rule\n"
-"is defined the link and tab menu will have a menu item that\n"
-"makes it possible to pass the the link, frame or tab URI to\n"
-"an external command. If several rules are defined the link and\n"
-"tab menu will have a submenu of items for each rule. Note, this\n"
-"is mostly useful for launching graphical viewers, since there\n"
-"is no support for releasing the terminal while the command runs.\n"
-"The action and submenus are also available by binding keys to\n"
-"the frame-external-command, the link-external-command, and\n"
-"the tab-external-command actions."
+"Rules for passing URIs to external commands. When one rule is defined the "
+"link and tab menu will have a menu item that makes it possible to pass the "
+"the link, frame or tab URI to an external command. If several rules are "
+"defined the link and tab menu will have a submenu of items for each rule.\n"
+"\n"
+"Note, this is mostly useful for launching graphical viewers, since there is "
+"no support for releasing the terminal while the command runs. The action and "
+"submenus are also available by binding keys to the frame-external-command, "
+"the link-external-command, and the tab-external-command actions."
 msgstr ""
 
-#: src/config/options.inc:770
+#: src/config/options.inc:812
+#, fuzzy
 msgid ""
-"A rule for passing URI to an external command.\n"
-"The format is:\n"
+"A rule for passing URI to an external command. The format is:\n"
 "%c in the string means the current URL\n"
 "%% in the string means '%'\n"
 "Do _not_ put single- or double-quotes around %c."
@@ -3527,40 +3606,43 @@ msgstr ""
 "Omring _ikke_ %c med enkelt- eller dobbelt-citationstegn."
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:780
+#: src/config/options.inc:822
 msgid "Information files"
 msgstr "Informationsfiler"
 
-#: src/config/options.inc:782
+#: src/config/options.inc:824
 msgid "Options for information files in ~/.elinks."
 msgstr "Indstillinger for informationsfiler i ~/.elinks."
 
-#: src/config/options.inc:784
+#: src/config/options.inc:826
 msgid "Save interval"
 msgstr "Gemningsinterval"
 
-#: src/config/options.inc:786
+#: src/config/options.inc:828
+#, fuzzy
 msgid ""
-"Interval at which to trigger information files in ~/.elinks\n"
-"to be saved to disk if they have changed (seconds; 0 to disable)"
+"Interval at which to trigger information files in ~/.elinks to be saved to "
+"disk if they have changed (seconds; 0 to disable)"
 msgstr ""
 "Interval i sekunder for skrivning af informationsfiler i ~/.elinks\n"
 "(hvis ndret) til disk. En vrdi af 0 deaktiverer."
 
-#: src/config/options.inc:789
+#: src/config/options.inc:832
 msgid "Use secure file saving"
 msgstr "Gem filer p en sikker mde"
 
-#: src/config/options.inc:791
+#: src/config/options.inc:834
+#, fuzzy
 msgid ""
-"First write data to unique temporary file, then rename this file\n"
-"upon successfully finishing this. Note that this relates only to\n"
-"config files, not downloaded files. You may want to disable\n"
-"it if you are using some exotic permissions for concerned files.\n"
-"Secure file saving is automagically disabled if file is symlink.\n"
-"Warning: some systems (ie. OS/2, Win32) require that destination\n"
-"file doesn't exist when rename(3) is called, breaking atomicity,\n"
-"and reducing reliability of this feature."
+"First write data to unique temporary file, then rename this file upon "
+"successfully finishing this. Note that this relates only to config files, "
+"not downloaded files. You may want to disable it if you are using some "
+"exotic permissions for concerned files. Secure file saving is automagically "
+"disabled if file is symlink.\n"
+"\n"
+"Warning: some systems (ie. OS/2, Win32) require that destination file "
+"doesn't exist when rename(3) is called, breaking atomicity, and reducing "
+"reliability of this feature."
 msgstr ""
 "Skriv frst data til en unik midlertidig fil og\n"
 "omdb efterflgende denne fil. Bemrk at dette kun har\n"
@@ -3574,16 +3656,16 @@ msgstr ""
 "atomiseringen og reducerer trovrdigheden af denne\n"
 "funktion."
 
-#: src/config/options.inc:800
+#: src/config/options.inc:846
 msgid "Use fsync(3) with secure file saving"
 msgstr "Brug fsync(3) ved sikker filgemning"
 
-#: src/config/options.inc:802
+#: src/config/options.inc:848
+#, fuzzy
 msgid ""
-"When using secure file saving, call fsync(3), if the OS\n"
-"supports it, to force the OS immediately to write the data\n"
-"to permanent storage. This is optional for those who wish\n"
-"to avoid excessive disk I/O."
+"When using secure file saving, call fsync(3), if the OS supports it, to "
+"force the OS immediately to write the data to permanent storage. This is "
+"optional for those who wish to avoid excessive disk I/O."
 msgstr ""
 "Brug fsync(3) ved sikker filgemning, hvis operativ systemet\n"
 "understtter det, for at sikre at data skrives til permanent\n"
@@ -3591,22 +3673,23 @@ msgstr ""
 "undg undig disk I/O."
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:811
+#: src/config/options.inc:857
 msgid "Terminals"
 msgstr "Terminaler"
 
-#: src/config/options.inc:813
+#: src/config/options.inc:859
 msgid "Terminal options."
 msgstr "Indstillinger for skrmstyring af terminaler."
 
-#: src/config/options.inc:817
+#: src/config/options.inc:863
 msgid "Options specific to this terminal type (according to $TERM value)."
 msgstr "Indstillinger for denne terminaltype (iflge $TERM-variablen)."
 
-#: src/config/options.inc:842
+#: src/config/options.inc:889
+#, fuzzy
 msgid ""
-"Terminal type; matters mostly only when drawing frames and\n"
-"dialog box borders:\n"
+"Terminal type; matters mostly only when drawing frames and dialog box "
+"borders:\n"
 "0 is dumb terminal type, ASCII art\n"
 "1 is VT100, simple but portable\n"
 "2 is Linux, you get double frames and other goodies\n"
@@ -3621,15 +3704,32 @@ msgstr ""
 "3 er KOI-8\n"
 "4 er FreeBSD"
 
-#: src/config/options.inc:850 src/dialogs/options.c:227
+#: src/config/options.inc:897
+msgid "Always encode xterm title in ISO-8859-1"
+msgstr ""
+
+#: src/config/options.inc:899
+msgid ""
+"When updating the window title of xterm or a similar terminal emulator, "
+"encode the title in ISO-8859-1 (Latin-1), rather than in the charset used "
+"for other text in the window. Cyrillic and other characters get replaced "
+"with Latin ones. Xterm requires this unless you explicitly enable UTF-8 "
+"titles in it.\n"
+"\n"
+"If this option does not take effect immediately, try switching to a "
+"different page so that ELinks notices it needs to update the title."
+msgstr ""
+
+#: src/config/options.inc:910 src/dialogs/options.c:227
 msgid "Switch fonts for line drawing"
 msgstr "Skift skrifttype ved linjetegning"
 
-#: src/config/options.inc:852
+#: src/config/options.inc:912
+#, fuzzy
 msgid ""
-"Switch fonts when drawing lines, enabling both local characters\n"
-"and lines working at the same time. ELinks uses this option only if\n"
-"UTF-8 I/O is disabled and the terminal type is Linux or FreeBSD."
+"Switch fonts when drawing lines, enabling both local characters and lines "
+"working at the same time. ELinks uses this option only if UTF-8 I/O is "
+"disabled and the terminal type is Linux or FreeBSD."
 msgstr ""
 "Skift skrifttype ved linjetegning sledes at bde srlige\n"
 "nationale tegn og linjetegn kan bruges samtidig. ELinks benytter\n"
@@ -3641,15 +3741,16 @@ msgstr ""
 #. * and if so, behave as if "utf_8_io" were 1.  (When CONFIG_UTF8 is
 #. * not defined, it should not be possible to set UTF-8 as "codepage";
 #. * please report any such possibilities as bugs.)
-#: src/config/options.inc:861 src/dialogs/options.c:232
+#: src/config/options.inc:922 src/dialogs/options.c:232
 msgid "UTF-8 I/O"
 msgstr "UTF-8 I/O"
 
-#: src/config/options.inc:863
+#: src/config/options.inc:924
+#, fuzzy
 msgid ""
-"Enable I/O in UTF-8 for Unicode terminals. Note that currently,\n"
-"only the subset of UTF-8 according to terminal codepage is used.\n"
-"ELinks ignores this option if the terminal codepage is UTF-8."
+"Enable I/O in UTF-8 for Unicode terminals. Note that currently, only the "
+"subset of UTF-8 according to terminal codepage is used. ELinks ignores this "
+"option if the terminal codepage is UTF-8."
 msgstr ""
 "Aktivr I/O i UTF-8 p Unicode-terminaler. Bemrk at i\n"
 "jeblikket bruges kun den del af UTF-8 tegntabellen som\n"
@@ -3657,27 +3758,29 @@ msgstr ""
 "tegnkodningstabel. ELinks benytter ikke denne indstilling\n"
 "when terminalens tegntabel er UTF-8."
 
-#: src/config/options.inc:867 src/dialogs/options.c:228
+#: src/config/options.inc:929 src/dialogs/options.c:228
 msgid "Restrict frames in cp850/852"
 msgstr "Begrns rammer i cp850/852"
 
-#: src/config/options.inc:869
+#: src/config/options.inc:931
+#, fuzzy
 msgid ""
-"Restrict the characters used when drawing lines. Makes sense\n"
-"only with linux terminals using the cp850/852 character sets."
+"Restrict the characters used when drawing lines. Makes sense only with linux "
+"terminals using the cp850/852 character sets."
 msgstr ""
 "Begrns linjetegningstegn. Giver kun mening med terminaler\n"
 "af typen \"linux\" sammen med tegnsttene cp850/852."
 
-#: src/config/options.inc:872 src/dialogs/options.c:229
+#: src/config/options.inc:935 src/dialogs/options.c:229
 msgid "Block cursor"
 msgstr "Udfyldt markr"
 
-#: src/config/options.inc:874
+#: src/config/options.inc:937
+#, fuzzy
 msgid ""
-"Move cursor to bottom right corner when done drawing.\n"
-"This is particularly useful when we have a block cursor,\n"
-"so that inversed text is displayed correctly."
+"Move cursor to bottom right corner when done drawing. This is particularly "
+"useful when we have a block cursor, so that inversed text is displayed "
+"correctly."
 msgstr ""
 "Flyt markr til nederste hjre hjrne af skrmen nr\n"
 "tegning er afsluttet. Dette er srlig nyttigt nr der\n"
@@ -3689,13 +3792,16 @@ msgstr ""
 #. * an outer list entry after an inner list.
 #. * TRANSLATORS: This restriction applies only to the
 #. * "en" (English) translation.  (See doc/Makefile.)
-#: src/config/options.inc:885
+#: src/config/options.inc:948
+#, fuzzy
 msgid ""
 "The color mode controls what colors are used and how they are output to the "
 "terminal.\n"
+"\n"
 "Some modes may have been disabled at compile time. The Setup -> Terminal "
 "options dialog lists the modes supported by this executable. If you select "
 "an unsupported mode, ELinks uses 16 colors.\n"
+"\n"
 "The color modes are:\n"
 "0 is mono mode, only 2 colors are used\n"
 "1 is 16 color mode, uses the common ANSI colors\n"
@@ -3716,21 +3822,19 @@ msgstr ""
 "3 betyder tilstanden 256-farve, som bruger XTerm RGB-farvekoder\n"
 "4 betyder tilstanden rigtige farver, some bruger konsole RGB-farvekoder"
 
-#: src/config/options.inc:898 src/dialogs/options.c:230
+#: src/config/options.inc:963 src/dialogs/options.c:230
 msgid "Transparency"
 msgstr "Gennemsigtighed"
 
-#: src/config/options.inc:900
+#: src/config/options.inc:965
 #, fuzzy
 msgid ""
-"If we should not set the background to black. This is particularly\n"
-"useful when we have a terminal (typically in some windowing\n"
-"environment) with a background image or a transparent background -\n"
-"it will be visible in ELinks as well (but ELinks document color handling\n"
-"will still assume the background is black so if you have a bright "
-"background\n"
-"you might experience contrast problems). Note that this option makes\n"
-"sense only when colors are enabled."
+"If we should not set the background to black. This is particularly useful "
+"when we have a terminal (typically in some windowing environment) with a "
+"background image or a transparent background - it will be visible in ELinks "
+"as well (but ELinks document color handling will still assume the background "
+"is black so if you have a bright background you might experience contrast "
+"problems). Note that this option makes sense only when colors are enabled."
 msgstr ""
 "Om vi skal undlade at stte baggrundsfarven til sort.\n"
 "Dette er srlig nyttigt i forbindelse med en terminal\n"
@@ -3738,390 +3842,391 @@ msgstr ""
 "- en sdan baggrund vil ogs blive synlig i ELinks. Dette\n"
 "giver kun mening hvis farver er aktiveret."
 
-#: src/config/options.inc:910
+#: src/config/options.inc:977
 msgid "If we should use underline or enhance the color instead."
 msgstr "Om understregning eller farvemarkering skal bruges."
 
-#: src/config/options.inc:914
+#: src/config/options.inc:982
+#, fuzzy
 msgid ""
-"Codepage of charset used for displaying content on terminal.\n"
-"'System' stands for a codepage determined by a selected locale."
+"Codepage of charset used for displaying content on terminal. 'System' stands "
+"for a codepage determined by a selected locale."
 msgstr ""
 "Tegnkodningstabel til skrmvisning . 'System' angiver at\n"
 "tegnkodningstabellen vlges p baggrund af den valgte\n"
 "sprogindstilling."
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:921
+#: src/config/options.inc:990
 msgid "User interface"
 msgstr "Brugergrnseflade"
 
-#: src/config/options.inc:923
+#: src/config/options.inc:992
 msgid "User interface options."
 msgstr "Indstillinger for brugergrnseflade."
 
-#: src/config/options.inc:927
+#: src/config/options.inc:996
 msgid "Color settings"
 msgstr "Farveindstillinger"
 
-#: src/config/options.inc:929
+#: src/config/options.inc:998
 msgid "Default user interface color settings."
 msgstr "Forvalgte farveindstillinger for brugergrnseflade."
 
-#: src/config/options.inc:956
+#: src/config/options.inc:1025
 msgid "Color terminals"
 msgstr "Farveterminaler"
 
-#: src/config/options.inc:958
+#: src/config/options.inc:1027
 msgid "Color settings for color terminal."
 msgstr "Farveindstillinger for farveterminaler."
 
-#: src/config/options.inc:960
+#: src/config/options.inc:1029
 msgid "Non-color terminals"
 msgstr "Monokrome terminaler"
 
-#: src/config/options.inc:962
+#: src/config/options.inc:1031
 msgid "Color settings for non-color terminal."
 msgstr "Farveindstillinger for monokrome terminaler."
 
 #. FIXME: obsolete, how to alias them correctly ? --Zas
-#: src/config/options.inc:965
+#: src/config/options.inc:1034
 msgid "Main menu bar"
 msgstr "Hovedmenubjlke"
 
-#: src/config/options.inc:967
+#: src/config/options.inc:1036
 msgid "Main menu bar colors."
 msgstr "Farver for hovedmenubjlke."
 
-#: src/config/options.inc:969
+#: src/config/options.inc:1038
 msgid "Unselected main menu bar item"
 msgstr "Inaktive menupunkter i hovedmenu"
 
-#: src/config/options.inc:971
+#: src/config/options.inc:1040
 msgid "Unselected main menu bar item colors."
 msgstr "Farver for inaktive menupunkter i hovedmenu."
 
-#: src/config/options.inc:973
+#: src/config/options.inc:1042
 msgid "Selected main menu bar item"
 msgstr "Aktive menupunkter i hovedmenu"
 
-#: src/config/options.inc:975
+#: src/config/options.inc:1044
 msgid "Selected main menu bar item colors."
 msgstr "Farver for aktive menupunkter i hovedmenu."
 
-#: src/config/options.inc:977 src/config/options.inc:1006
+#: src/config/options.inc:1046 src/config/options.inc:1075
 msgid "Hotkey"
 msgstr "Hurtigtast"
 
-#: src/config/options.inc:979
+#: src/config/options.inc:1048
 msgid "Main menu hotkey colors."
 msgstr "Farver for hurtigtaster i hovedmenu."
 
-#: src/config/options.inc:981 src/config/options.inc:1010
+#: src/config/options.inc:1050 src/config/options.inc:1079
 msgid "Unselected hotkey"
 msgstr "Inaktiv hurtigtast"
 
-#: src/config/options.inc:983
+#: src/config/options.inc:1052
 msgid "Main menu unselected hotkey colors."
 msgstr "Farver for inaktiv hurtigtast."
 
-#: src/config/options.inc:985 src/config/options.inc:1014
+#: src/config/options.inc:1054 src/config/options.inc:1083
 msgid "Selected hotkey"
 msgstr "Aktiv hurtigtast"
 
-#: src/config/options.inc:987
+#: src/config/options.inc:1056
 msgid "Main menu selected hotkey colors."
 msgstr "Farver for aktiv hurtigtast i hovedmenu."
 
-#: src/config/options.inc:990
+#: src/config/options.inc:1059
 msgid "Menu bar"
 msgstr "Menulinje"
 
-#: src/config/options.inc:992
+#: src/config/options.inc:1061
 msgid "Menu bar colors."
 msgstr "Farver for menulinje."
 
-#: src/config/options.inc:994
+#: src/config/options.inc:1063
 msgid "Unselected menu item"
 msgstr "Inaktivt menupunkt"
 
-#: src/config/options.inc:996
+#: src/config/options.inc:1065
 msgid "Unselected menu item colors."
 msgstr "Farver for inaktivt menupunkt i menu."
 
-#: src/config/options.inc:998
+#: src/config/options.inc:1067
 msgid "Selected menu item"
 msgstr "Aktivt menupunkt"
 
-#: src/config/options.inc:1000
+#: src/config/options.inc:1069
 msgid "Selected menu item colors."
 msgstr "Farver for aktivt menupunkt."
 
-#: src/config/options.inc:1002
+#: src/config/options.inc:1071
 msgid "Marked menu item"
 msgstr "Markeret menupunkt"
 
-#: src/config/options.inc:1004
+#: src/config/options.inc:1073
 msgid "Marked menu item colors."
 msgstr "Farver for markeret menupunkt."
 
-#: src/config/options.inc:1008
+#: src/config/options.inc:1077
 msgid "Menu item hotkey colors."
 msgstr "Farver for hurtigtast i menupunkt."
 
-#: src/config/options.inc:1012
+#: src/config/options.inc:1081
 msgid "Menu item unselected hotkey colors."
 msgstr "Farver for inaktive hurtigtaster i menupunkter."
 
-#: src/config/options.inc:1016
+#: src/config/options.inc:1085
 msgid "Menu item selected hotkey colors."
 msgstr "Farver for aktive hurtigtaster i menupunkter."
 
-#: src/config/options.inc:1018
+#: src/config/options.inc:1087
 msgid "Menu frame"
 msgstr "Menuramme"
 
-#: src/config/options.inc:1020
+#: src/config/options.inc:1089
 msgid "Menu frame colors."
 msgstr "Farver for menuramme."
 
-#: src/config/options.inc:1023
+#: src/config/options.inc:1092
 msgid "Dialog"
 msgstr "Dialogboks"
 
-#: src/config/options.inc:1025
+#: src/config/options.inc:1094
 msgid "Dialog colors."
 msgstr "Farver for dialogboks."
 
-#: src/config/options.inc:1035
+#: src/config/options.inc:1104
 msgid "Generic"
 msgstr "Flles"
 
-#: src/config/options.inc:1037
+#: src/config/options.inc:1106
 msgid "Generic dialog colors."
 msgstr "Flles farver for dialogbokse."
 
-#: src/config/options.inc:1039
+#: src/config/options.inc:1108
 msgid "Frame"
 msgstr "Ramme"
 
-#: src/config/options.inc:1041
+#: src/config/options.inc:1110
 msgid "Dialog frame colors."
 msgstr "Farve p ramme om dialogboks."
 
-#: src/config/options.inc:1043
+#: src/config/options.inc:1112
 msgid "Scrollbar"
 msgstr "Rullebjlke"
 
-#: src/config/options.inc:1045
+#: src/config/options.inc:1114
 msgid "Scrollbar colors."
 msgstr "Farver for rullebjlke."
 
-#: src/config/options.inc:1047
+#: src/config/options.inc:1116
 msgid "Selected scrollbar"
 msgstr "Farver for aktivt faneblad"
 
-#: src/config/options.inc:1049
+#: src/config/options.inc:1118
 msgid "Scrollbar selected colors."
 msgstr "Farver for aktiv rullebjlke."
 
-#: src/config/options.inc:1053
+#: src/config/options.inc:1122
 msgid "Dialog title colors."
 msgstr "Farve p titel i dialogboks."
 
-#: src/config/options.inc:1055
+#: src/config/options.inc:1124
 msgid "Text"
 msgstr "Tekst"
 
-#: src/config/options.inc:1057
+#: src/config/options.inc:1126
 msgid "Dialog text colors."
 msgstr "Farver p tekst i dialogboks."
 
-#: src/config/options.inc:1059 src/viewer/text/form.c:1862
+#: src/config/options.inc:1128 src/viewer/text/form.c:1891
 msgid "Checkbox"
 msgstr "Afkrydsningsboks"
 
-#: src/config/options.inc:1061
+#: src/config/options.inc:1130
 msgid "Dialog checkbox colors."
 msgstr "Farver for afkrydsningsboks."
 
-#: src/config/options.inc:1063
+#: src/config/options.inc:1132
 msgid "Selected checkbox"
 msgstr "Aktiv afkrydsningsboks"
 
-#: src/config/options.inc:1065
+#: src/config/options.inc:1134
 msgid "Dialog selected checkbox colors."
 msgstr "Farver for aktiv afkrydsningsboks."
 
-#: src/config/options.inc:1067
+#: src/config/options.inc:1136
 msgid "Checkbox label"
 msgstr "Mrkat p afkrydsningsboks"
 
-#: src/config/options.inc:1069
+#: src/config/options.inc:1138
 msgid "Dialog checkbox label colors."
 msgstr "Farver p afkrydsningsboksens mrkat."
 
-#: src/config/options.inc:1071
+#: src/config/options.inc:1140
 msgid "Button"
 msgstr "Knap"
 
-#: src/config/options.inc:1073 src/config/options.inc:1081
+#: src/config/options.inc:1142 src/config/options.inc:1150
 msgid "Dialog button colors."
 msgstr "Farver p knapper i dialogbokse."
 
-#: src/config/options.inc:1075
+#: src/config/options.inc:1144
 msgid "Selected button"
 msgstr "Valgt knap"
 
-#: src/config/options.inc:1077 src/config/options.inc:1085
+#: src/config/options.inc:1146 src/config/options.inc:1154
 msgid "Dialog selected button colors."
 msgstr "Farver p den aktive knap i dialogbokse."
 
-#: src/config/options.inc:1079
+#: src/config/options.inc:1148
 msgid "Button shortcut"
 msgstr "Knapgenveje"
 
-#: src/config/options.inc:1083
+#: src/config/options.inc:1152
 msgid "Selected button shortcut"
 msgstr "Genvejstast for aktiv knap"
 
-#: src/config/options.inc:1087 src/viewer/text/form.c:1866
+#: src/config/options.inc:1156 src/viewer/text/form.c:1895
 msgid "Text field"
 msgstr "Tekstfelt"
 
-#: src/config/options.inc:1089
+#: src/config/options.inc:1158
 msgid "Dialog text field colors."
 msgstr "Farver p tekstfelter i dialogbokse."
 
-#: src/config/options.inc:1091
+#: src/config/options.inc:1160
 msgid "Text field text"
 msgstr "Tekstfelt tekst"
 
-#: src/config/options.inc:1093
+#: src/config/options.inc:1162
 msgid "Dialog field text colors."
 msgstr "Farver p tekst i dialogbokses tekstfelter."
 
-#: src/config/options.inc:1095
+#: src/config/options.inc:1164
 msgid "Meter"
 msgstr "Mler"
 
-#: src/config/options.inc:1097
+#: src/config/options.inc:1166
 msgid "Dialog meter colors."
 msgstr "Farve p mler i dialogboks."
 
-#: src/config/options.inc:1099
+#: src/config/options.inc:1168
 msgid "Shadow"
 msgstr "Skygge"
 
-#: src/config/options.inc:1101
+#: src/config/options.inc:1170
 msgid "Dialog shadow colors (see ui.shadows option)."
 msgstr "Farver p dialogbokses skygger (se ui.shadows option)."
 
-#: src/config/options.inc:1103
+#: src/config/options.inc:1172
 msgid "Title bar"
 msgstr "Titelbjlke"
 
-#: src/config/options.inc:1105
+#: src/config/options.inc:1174
 msgid "Title bar colors."
 msgstr "Farver for titelbjlke."
 
-#: src/config/options.inc:1107
+#: src/config/options.inc:1176
 msgid "Generic title bar"
 msgstr "Flles titelbjlke"
 
-#: src/config/options.inc:1109
+#: src/config/options.inc:1178
 msgid "Generic title bar colors."
 msgstr "Farver for flles titelbjlke."
 
-#: src/config/options.inc:1111
+#: src/config/options.inc:1180
 msgid "Title bar text"
 msgstr "Titelbjlketekst"
 
-#: src/config/options.inc:1113
+#: src/config/options.inc:1182
 msgid "Title bar text colors."
 msgstr "Tekstfarve for titelbjlke."
 
-#: src/config/options.inc:1116
+#: src/config/options.inc:1185
 msgid "Status bar"
 msgstr "Statusbjlke"
 
-#: src/config/options.inc:1118
+#: src/config/options.inc:1187
 msgid "Status bar colors."
 msgstr "Farver p statusbjlke."
 
-#: src/config/options.inc:1120
+#: src/config/options.inc:1189
 msgid "Generic status bar"
 msgstr "Flles statusbjlke"
 
-#: src/config/options.inc:1122
+#: src/config/options.inc:1191
 msgid "Generic status bar colors."
 msgstr "Flles farver for statusbjlke."
 
-#: src/config/options.inc:1124
+#: src/config/options.inc:1193
 msgid "Status bar text"
 msgstr "Tekst for statusbjlke"
 
-#: src/config/options.inc:1126
+#: src/config/options.inc:1195
 msgid "Status bar text colors."
 msgstr "Tekstfarver i statusbjlke."
 
-#: src/config/options.inc:1129
+#: src/config/options.inc:1198
 msgid "Tabs bar"
 msgstr "Fanebladsbjlke"
 
-#: src/config/options.inc:1131
+#: src/config/options.inc:1200
 msgid "Tabs bar colors."
 msgstr "Farver for fanebladsbjlke."
 
-#: src/config/options.inc:1133
+#: src/config/options.inc:1202
 msgid "Unvisited tab"
 msgstr "Ubesgt faneblad"
 
-#: src/config/options.inc:1135
+#: src/config/options.inc:1204
+#, fuzzy
 msgid ""
-"Tab colors for tabs that have not been\n"
-"selected since they completed loading."
+"Tab colors for tabs that have not been selected since they completed loading."
 msgstr ""
 "Farver p faneblade der ikke har vret besgt\n"
 "efter at indlsningen af dem fuldfrtes."
 
-#: src/config/options.inc:1138
+#: src/config/options.inc:1207
 msgid "Unselected tab"
 msgstr "Inaktivt faneblad"
 
-#: src/config/options.inc:1140
+#: src/config/options.inc:1209
 msgid "Unselected tab colors."
 msgstr "Farver for inaktivt faneblad."
 
-#: src/config/options.inc:1142
+#: src/config/options.inc:1211
 msgid "Loading tab"
 msgstr "Indlsende faneblade"
 
-#: src/config/options.inc:1144
+#: src/config/options.inc:1213
 msgid "Tab colors for tabs that are loading in the background."
 msgstr "Farve p faneblade som indlses i baggrunden."
 
-#: src/config/options.inc:1146
+#: src/config/options.inc:1215
 msgid "Selected tab"
 msgstr "Aktivt faneblad"
 
-#: src/config/options.inc:1148
+#: src/config/options.inc:1217
 msgid "Selected tab colors."
 msgstr "Farver for aktivt faneblad."
 
-#: src/config/options.inc:1150
+#: src/config/options.inc:1219
 msgid "Tab separator"
 msgstr "Fanebladsskilletegn"
 
-#: src/config/options.inc:1152
+#: src/config/options.inc:1221
 msgid "Tab separator colors."
 msgstr "Farver for skilletegn mellem faneblade."
 
-#: src/config/options.inc:1155
+#: src/config/options.inc:1224
 msgid "Searched strings"
 msgstr "Sgeudtryk"
 
-#: src/config/options.inc:1157
+#: src/config/options.inc:1226
 msgid "Searched string highlight colors."
 msgstr "Farver for fremhvning af sgeord."
 
@@ -4129,80 +4234,85 @@ msgstr "Farver for fremhvning af sgeor
 #. ============= BORING PART (colors) END ===================
 #. ==========================================================
 #. Keep options in alphabetical order.
-#: src/config/options.inc:1166
+#: src/config/options.inc:1235
 msgid "Dialog settings"
 msgstr "Indstillinger for dialogbokse"
 
-#: src/config/options.inc:1168
+#: src/config/options.inc:1237
 msgid "Dialogs-specific appearance and behaviour settings."
 msgstr "Indstillinger der vedrrer dialogbokses udseende og adfrd."
 
-#: src/config/options.inc:1171
+#: src/config/options.inc:1240
 msgid "Minimal height of listbox widget"
 msgstr "Minimumhjde p listeboks-element"
 
-#: src/config/options.inc:1173
+#: src/config/options.inc:1242
+#, fuzzy
 msgid ""
-"Minimal height of the listbox widget (used e.g. for bookmarks\n"
-"or global history)."
+"Minimal height of the listbox widget (used e.g. for bookmarks or global "
+"history)."
 msgstr ""
 "Minimumhjde p listeboks-element. Bruges f.eks. af\n"
 "bogmrke- og historikhndtering."
 
-#: src/config/options.inc:1176
+#: src/config/options.inc:1245
 msgid "Drop shadows"
 msgstr "Slagskygger"
 
-#: src/config/options.inc:1178
+#: src/config/options.inc:1247
+#, fuzzy
 msgid ""
-"Make dialogs drop shadows (the shadows are solid, you can\n"
-"adjust their color by ui.colors.*.dialog.shadow). You may\n"
-"also want to eliminate the wide borders by adjusting setup.h."
+"Make dialogs drop shadows (the shadows are solid, you can adjust their color "
+"by ui.colors.*.dialog.shadow). You may also want to eliminate the wide "
+"borders by adjusting setup.h."
 msgstr ""
 "Giv dialogbokse slagskygger. Skyggerne er gennemfarvede,\n"
 "og farven kan ndres med ui.colors.*.dialog.shadow.\n"
 "Du kan fjerne de brede kanter ved at rette i setup.h."
 
-#: src/config/options.inc:1182
+#: src/config/options.inc:1252
 msgid "Underline menu hotkeys"
 msgstr "Understreg hurtigtaster i menu"
 
-#: src/config/options.inc:1184
+#: src/config/options.inc:1254
+#, fuzzy
 msgid ""
-"Whether to underline hotkeys in menus to make them more\n"
-"visible. Requires that underlining is enabled for the terminal."
+"Whether to underline hotkeys in menus to make them more visible. Requires "
+"that underlining is enabled for the terminal."
 msgstr ""
 "Vlg om hurtigtaster i menuer skal understreges for at\n"
 "gre dem mere synlige. Krver at understregning er understttet\n"
 "og aktiveret for terminalen."
 
-#: src/config/options.inc:1187
+#: src/config/options.inc:1258
 msgid "Underline button shortcuts"
 msgstr "Understreg knap-genvejstaster"
 
-#: src/config/options.inc:1189
+#: src/config/options.inc:1260
+#, fuzzy
 msgid ""
-"Whether to underline button shortcuts to make them more\n"
-"visible. Requires that underlining is enabled for the terminal."
+"Whether to underline button shortcuts to make them more visible. Requires "
+"that underlining is enabled for the terminal."
 msgstr ""
 "Vlg om genvejstaster for knapper skal understreges for at\n"
 "gre dem mere synlige. Krver at understregning er understttet\n"
 "og aktiveret for terminalen."
 
-#: src/config/options.inc:1193
+#: src/config/options.inc:1265
 msgid "Timer options"
 msgstr "Timerindstillinger"
 
-#: src/config/options.inc:1195
+#: src/config/options.inc:1267
+#, fuzzy
 msgid ""
-"Timed action after certain interval of user inactivity. Someone can\n"
-"even find this useful, although you may not believe that."
+"Timed action after certain interval of user inactivity. Someone can even "
+"find this useful, although you may not believe that."
 msgstr ""
 "Handling som udlses efter et vist tidsinterval af\n"
 "inaktivitet. Der er faktisk nogen der finder dette\n"
 "nyttigt selvom det lyder utroligt."
 
-#: src/config/options.inc:1201
+#: src/config/options.inc:1274
 msgid ""
 "Whether to enable the timer or not:\n"
 "0 is don't count down anything\n"
@@ -4214,7 +4324,7 @@ msgstr ""
 "1 betyder tl ned, men vis ikke timeren\n"
 "2 betyder tl ned og vis timeren ved LED-indikatorer"
 
-#: src/config/options.inc:1208
+#: src/config/options.inc:1281
 msgid ""
 "Whether to enable the timer or not:\n"
 "0 is don't count down anything\n"
@@ -4226,35 +4336,36 @@ msgstr ""
 "1 betyder tl ned, men vis ikke timeren\n"
 "2 betyder tl ned og vis timeren ved LED-indikatorer (DEAKTIVERET)"
 
-#: src/config/options.inc:1214
+#: src/config/options.inc:1287
 msgid "Duration"
 msgstr "Varighed"
 
-#: src/config/options.inc:1216
+#: src/config/options.inc:1289
+#, fuzzy
 msgid ""
-"Inactivity timeout in seconds. The maximum of one day\n"
-"should be enough for just everyone (TM)."
+"Inactivity timeout in seconds. The maximum of one day should be enough for "
+"just everyone (TM)."
 msgstr ""
 "Nedtlling for inaktivitet i sekunder. En dag br rkke\n"
 "for de fleste (TM)."
 
-#: src/config/options.inc:1221
+#: src/config/options.inc:1294
 msgid "Keybinding action to be triggered when timer reaches zero."
 msgstr "Handling der udlses nr nedtlling er fuldfrt."
 
-#: src/config/options.inc:1224
+#: src/config/options.inc:1298
 msgid "Window tabs"
 msgstr "Vinduesfaneblade"
 
-#: src/config/options.inc:1226
+#: src/config/options.inc:1300
 msgid "Window tabs settings."
 msgstr "Indstillinger for vinduesfaneblade."
 
-#: src/config/options.inc:1228
+#: src/config/options.inc:1302
 msgid "Display tabs bar"
 msgstr "Vis fanebladsbjlke"
 
-#: src/config/options.inc:1230
+#: src/config/options.inc:1304
 msgid ""
 "Show tabs bar on the screen:\n"
 "0 means never\n"
@@ -4266,185 +4377,193 @@ msgstr ""
 "1 betyder kun ved to eller flere bne faneblade\n"
 "2 betyder altid"
 
-#: src/config/options.inc:1235
+#: src/config/options.inc:1309
 msgid "Tab bar at top"
 msgstr "Placer faneblade i toppen af skrmen"
 
-#: src/config/options.inc:1237
+#: src/config/options.inc:1311
 msgid "Whether display tab bar at top like other browsers do."
 msgstr "Om faneblade skal vises i toppen af skrmen, som andre browsere."
 
-#: src/config/options.inc:1239
+#: src/config/options.inc:1313
 msgid "Wrap-around tabs cycling"
 msgstr "Side til side navigeringscyklus for faneblade"
 
-#: src/config/options.inc:1241
+#: src/config/options.inc:1315
+#, fuzzy
 msgid ""
-"When moving right from the last tab, jump to the first one, and\n"
-"vice versa."
+"When moving right from the last tab, jump to the first one, and vice versa."
 msgstr ""
 "Nr der flyttes til hjre fra det sidste faneblad, hop da til\n"
 "det frste og omvendt."
 
-#: src/config/options.inc:1244
+#: src/config/options.inc:1318
 msgid "Confirm tab closing"
 msgstr "Bekrft lukning af faneblad"
 
-#: src/config/options.inc:1246
+#: src/config/options.inc:1320
 msgid "When closing a tab show confirmation dialog."
 msgstr "Vis bekrftelsesdialog ved lukning af faneblad."
 
 #. OPT_LANGUAGE
-#: src/config/options.inc:1250 src/config/opttypes.c:483
+#: src/config/options.inc:1324 src/config/opttypes.c:483
 msgid "Language"
 msgstr "Sprog"
 
-#: src/config/options.inc:1252
+#: src/config/options.inc:1326
+#, fuzzy
 msgid ""
-"Language of user interface. 'System' means that the language will\n"
-"be extracted from the environment dynamically."
+"Language of user interface. 'System' means that the language will be "
+"extracted from the environment dynamically."
 msgstr ""
 "Sprog i brugerfladen. \"System\" betyder at systemets\n"
 "sprogindstillinger vil blive anvendt."
 
-#: src/config/options.inc:1255
+#: src/config/options.inc:1330
 msgid "Display menu bar always"
 msgstr "Vis altid hovedmenubjlke"
 
-#: src/config/options.inc:1257
+#: src/config/options.inc:1332
 msgid "Always show menu bar on the screen."
 msgstr "Vis altid hovedmenubjlken p skrmen."
 
-#: src/config/options.inc:1259
+#: src/config/options.inc:1334
 msgid "Display status bar"
 msgstr "Vis statusbjlke"
 
-#: src/config/options.inc:1261
+#: src/config/options.inc:1336
 msgid "Show status bar on the screen."
 msgstr "Vis statusbjlke p skrmen."
 
-#: src/config/options.inc:1263
+#: src/config/options.inc:1338
 msgid "Display title bar"
 msgstr "Vis titelbjlke"
 
-#: src/config/options.inc:1265
+#: src/config/options.inc:1340
 msgid "Show title bar on the screen."
 msgstr "Vis titelbjlke p skrmen."
 
-#: src/config/options.inc:1267
+#: src/config/options.inc:1342
 msgid "Display goto dialog in new tabs"
 msgstr "Vis \"G til\"-dialogboks i nye faneblade"
 
-#: src/config/options.inc:1269
+#: src/config/options.inc:1344
+#, fuzzy
 msgid ""
-"Pop up goto dialog in newly created tabs when there's no homepage\n"
-"set. This means also showing goto dialog on startup."
+"Pop up goto dialog in newly created tabs when there's no homepage set. This "
+"means also showing goto dialog on startup."
 msgstr ""
 "bn et \"G til adresse\"-dialogvindue i nybnede faneblade\n"
 "nr ingen hjemmeside er angivet. Dette indebrer ogs visning\n"
 "af \"g til adresse\"-dialog ved opstart."
 
-#: src/config/options.inc:1272
+#: src/config/options.inc:1348
 msgid "Show a message box when file is saved successfully"
 msgstr "Vis en meddelelse nr en fil er gemt"
 
-#: src/config/options.inc:1274
+#: src/config/options.inc:1350
+#, fuzzy
 msgid ""
-"When you pressed a [ Save ] button in some manager, this option\n"
-"will make sure that a box confirming success of the operation will\n"
-"pop up."
+"When you pressed a [ Save ] button in some manager, this option will make "
+"sure that a box confirming success of the operation will pop up."
 msgstr ""
 "Giv brugeren en bekrftelse p at indstillinger er blevet\n"
 "gemt ved at vise en dialogboks herom nr der trykkes p\n"
 "knappen [ Gem ] i en opstningsmenu."
 
-#: src/config/options.inc:1279
+#: src/config/options.inc:1355
 msgid "Sessions"
 msgstr "Sessioner"
 
-#: src/config/options.inc:1281
+#: src/config/options.inc:1357
 msgid "Sessions settings."
 msgstr "Indstillinger for sessioner."
 
-#: src/config/options.inc:1283
+#: src/config/options.inc:1359
 msgid "Keep session active"
 msgstr "Hold sessionen aktiv"
 
-#: src/config/options.inc:1285
+#: src/config/options.inc:1361
 msgid "Keep the session active even if the last terminal exits."
 msgstr "Hold sessionen aktiv selv hvis den sidste terminal afslutter."
 
-#: src/config/options.inc:1287
+#: src/config/options.inc:1364
 msgid "Auto save session"
 msgstr "Autogem session"
 
-#: src/config/options.inc:1289
+#: src/config/options.inc:1366
+#, fuzzy
 msgid ""
 "Automatically save the session when quitting.\n"
+"\n"
 "This feature requires bookmark support."
 msgstr ""
 "Gem session automatisk ved afslutning. Dette krver\n"
 "understttelse af bogmrker."
 
-#: src/config/options.inc:1292
+#: src/config/options.inc:1370
 msgid "Auto restore session"
 msgstr "Autogenskab session"
 
-#: src/config/options.inc:1294
+#: src/config/options.inc:1372
+#, fuzzy
 msgid ""
 "Automatically restore the session at start.\n"
+"\n"
 "This feature requires bookmark support."
 msgstr ""
 "Genskab session automatisk ved opstart. Dette krver\n"
 "understttelse af bogmrker."
 
-#: src/config/options.inc:1297
+#: src/config/options.inc:1376
 msgid "Auto save and restore session folder name"
 msgstr "Katalognavn for autogem og autogenskab session"
 
-#: src/config/options.inc:1299
+#: src/config/options.inc:1378
+#, fuzzy
 msgid ""
-"Name of the bookmarks folder used for auto saving and restoring session.\n"
-"The name has to be unique. Any folders with the same name will be deleted.\n"
+"Name of the bookmarks folder used for auto saving and restoring session. The "
+"name has to be unique. Any folders with the same name will be deleted.\n"
+"\n"
 "This only makes sense with bookmark support."
 msgstr ""
 "Navn p bogmrkemappe som bruges ved autogemning og\n"
 "autogenskabelse af en session. Giver kun mening med\n"
 "understttelse af bogmrker."
 
-#: src/config/options.inc:1303
+#: src/config/options.inc:1384
 msgid "Homepage URI"
 msgstr "Hjemmesideadresse"
 
-#: src/config/options.inc:1305
+#: src/config/options.inc:1386
+#, fuzzy
 msgid ""
-"The URI to load either at startup time when no URI was given\n"
-"on the command line or when requested by the goto-url-home action.\n"
-"Set to \"\" if the environment variable WWW_HOME should be used\n"
-"as homepage URI instead."
+"The URI to load either at startup time when no URI was given on the command "
+"line or when requested by the goto-url-home action. Set to \"\" if the "
+"environment variable WWW_HOME should be used as homepage URI instead."
 msgstr ""
 "Adresse som indlses ved opstart nr den enten ikke var\n"
 "angivet p kommandolinjen eller angivet ved handlingen\n"
 "\"goto-url-home\". St vrdien til \"\" hvis miljvariablen\n"
 "WWW_HOME skal bruges som adresse p hjemmeside i stedet."
 
-#: src/config/options.inc:1311
+#: src/config/options.inc:1392
 msgid "Date format"
 msgstr "Datoformat"
 
-#: src/config/options.inc:1313
+#: src/config/options.inc:1394
 msgid "Date format to use in dialogs. See strftime(3)."
 msgstr "Datoformat i dialoger. Se strftime(3)."
 
-#: src/config/options.inc:1316
+#: src/config/options.inc:1397
 msgid "Set window title"
 msgstr "St vinduestitel"
 
-#: src/config/options.inc:1318
+#: src/config/options.inc:1399
+#, fuzzy
 msgid ""
-"Set the window title when running in a windowing environment\n"
-"in an xterm-like terminal. This way the document's title is\n"
-"shown on the window titlebar."
+"Set the window title when running in a windowing environment in an xterm-"
+"like terminal. This way the document's title is shown on the window titlebar."
 msgstr ""
 "St vinduestitel nr der arbejdes i en xterm eller\n"
 "lignende terminalvindue i et vinduesmilj. Dette gr\n"
@@ -4531,7 +4650,7 @@ msgid "Goto URL History"
 msgstr "G til adresse historik"
 
 #. name:
-#: src/cookies/cookies.c:88 src/cookies/cookies.c:911
+#: src/cookies/cookies.c:88 src/cookies/cookies.c:913
 msgid "Cookies"
 msgstr "Cookier"
 
@@ -4560,13 +4679,14 @@ msgid "Maximum age"
 msgstr "Udlbstid"
 
 #: src/cookies/cookies.c:102
+#, fuzzy
 msgid ""
 "Cookie maximum age (in days):\n"
 "-1 is use cookie's expiration date if any\n"
-"0  is force expiration at the end of session, ignoring cookie's\n"
-"   expiration date\n"
-"1+ is use cookie's expiration date, but limit age to the given\n"
-"   number of days"
+"0  is force expiration at the end of session, ignoring\n"
+"   cookie's expiration date\n"
+"1+ is use cookie's expiration date, but limit age to the\n"
+"   given number of days"
 msgstr ""
 "Udlbstid i dage for cookie:\n"
 "-1 betyder brug cookiens egen udlbsdato hvis den findes\n"
@@ -4580,12 +4700,13 @@ msgid "Paranoid security"
 msgstr "Paranoid sikkerhed"
 
 #: src/cookies/cookies.c:111
+#, fuzzy
 msgid ""
-"When enabled, we'll require three dots in cookies domain for all\n"
-"non-international domains (instead of just two dots). Some countries\n"
-"have generic second level domains (eg. .com.pl, .co.uk) and allowing\n"
-"sites to set cookies for these generic domains could potentially be\n"
-"very bad. Note, it is off by default as it breaks a lot of sites."
+"When enabled, we'll require three dots in cookies domain for all non-"
+"international domains (instead of just two dots). Some countries have "
+"generic second level domains (eg. .com.pl, .co.uk) and allowing sites to set "
+"cookies for these generic domains could potentially be very bad. Note, it is "
+"off by default as it breaks a lot of sites."
 msgstr ""
 "Hvis aktiveret krves det at der for alle ikke nationale domner\n"
 "er tre punktummer i cookiedomnet (i stedet for kun to). Nogle\n"
@@ -4595,36 +4716,37 @@ msgstr ""
 "indstilling er deaktiveret som standard, da denne egenskab gr\n"
 "flere netsteder utilgngelige."
 
-#: src/cookies/cookies.c:117
+#: src/cookies/cookies.c:118
 msgid "Saving"
 msgstr "Gemning"
 
-#: src/cookies/cookies.c:119
+#: src/cookies/cookies.c:120
 msgid "Whether cookies should be loaded from and saved to disk."
 msgstr "Om cookier skal indlses fra og gemmes p disken."
 
-#: src/cookies/cookies.c:121
+#: src/cookies/cookies.c:123
 msgid "Resaving"
 msgstr "Omgemning"
 
-#: src/cookies/cookies.c:123
+#: src/cookies/cookies.c:125
+#, fuzzy
 msgid ""
-"Save cookies after each change in cookies list? No effect when\n"
-"cookie saving (cookies.save) is off."
+"Save cookies after each change in cookies list? No effect when cookie saving "
+"(cookies.save) is off."
 msgstr ""
 "Gem cookier efter hver ndring i cookie-listen?\n"
 "Har ingen effekt nr gemning af cookier (cookies.save)\n"
 "er deaktiveret."
 
-#: src/cookies/cookies.c:817
+#: src/cookies/cookies.c:819
 msgid "Cannot save cookies"
 msgstr "Kan ikke gemme cookier"
 
-#: src/cookies/cookies.c:828
+#: src/cookies/cookies.c:830
 msgid "ELinks was started without a home directory."
 msgstr "ELinks blev startet uden en hjemmemappe."
 
-#: src/cookies/cookies.c:834
+#: src/cookies/cookies.c:836
 msgid "ELinks was started with the -anonymous option."
 msgstr "ELinks blev startet med -anonymous indstillingen."
 
@@ -4822,7 +4944,7 @@ msgid "No header info."
 msgstr "Ingen serverinformation om side."
 
 #: src/dialogs/download.c:243 src/dialogs/menu.c:601
-#: src/protocol/bittorrent/dialogs.c:228 src/session/download.c:361
+#: src/protocol/bittorrent/dialogs.c:228 src/session/download.c:387
 msgid "Download"
 msgstr "Download"
 
@@ -5635,7 +5757,7 @@ msgid "No document"
 msgstr "Intet dokument"
 
 #. name:
-#: src/document/css/css.c:30 src/document/css/css.c:161
+#: src/document/css/css.c:30 src/document/css/css.c:164
 msgid "Cascading Style Sheets"
 msgstr "CSS stilark"
 
@@ -5643,39 +5765,41 @@ msgstr "CSS stilark"
 msgid "Options concerning how to use CSS for styling documents."
 msgstr "Indstillinger for CSS-stilark til dokumentoptegning."
 
-#: src/document/css/css.c:34
+#: src/document/css/css.c:35
 msgid "Enable CSS"
 msgstr "Aktivr CSS"
 
-#: src/document/css/css.c:36
+#: src/document/css/css.c:37
 msgid "Enable adding of CSS style info to documents."
 msgstr "Anvend CSS-stilark ved optegning af dokumenter."
 
-#: src/document/css/css.c:38
+#: src/document/css/css.c:39
 msgid "Import external style sheets"
 msgstr "Importer eksterne stilark"
 
-#: src/document/css/css.c:40
+#: src/document/css/css.c:41
+#, fuzzy
 msgid ""
-"When enabled any external style sheets that are imported from\n"
-"either CSS itself using the @import keyword or from the HTML using\n"
-"<link> tags in the document header will also be downloaded."
+"When enabled any external style sheets that are imported from either CSS "
+"itself using the @import keyword or from the HTML using <link> tags in the "
+"document header will also be downloaded."
 msgstr ""
 "Nr indstillingen er aktiveret indlses og importeres alle eksternt\n"
 "refererede stilark fra enten CSS-dokumenter nr @import anvendes eller\n"
 "fra HTML-dokumenter i forbindelse med <link> elementer i hovedet af\n"
 "dokumentet."
 
-#: src/document/css/css.c:44
+#: src/document/css/css.c:46
 msgid "Default style sheet"
 msgstr "Forvalgt stilark"
 
-#: src/document/css/css.c:46
+#: src/document/css/css.c:48
+#, fuzzy
 msgid ""
-"The path to the file containing the default user defined\n"
-"Cascading Style Sheet. It can be used to control the basic\n"
-"layout of HTML documents. The path is assumed to be relative\n"
-"to ELinks' home directory.\n"
+"The path to the file containing the default user defined Cascading Style "
+"Sheet. It can be used to control the basic layout of HTML documents. The "
+"path is assumed to be relative to ELinks' home directory.\n"
+"\n"
 "Leave as \"\" to use built-in document styling."
 msgstr ""
 "Stien til den fil som indeholder det brugerdefinerede standard\n"
@@ -5710,9 +5834,10 @@ msgid "Ignore <noscript> content"
 msgstr "Ignorer <noscript> indhold"
 
 #: src/ecmascript/ecmascript.c:55
+#, fuzzy
 msgid ""
-"Whether to ignore content enclosed by the <noscript> tag\n"
-"when ECMAScript is enabled."
+"Whether to ignore content enclosed by the <noscript> tag when ECMAScript is "
+"enabled."
 msgstr ""
 "Om indhold fra <noscript>-elementer skal ignoreres nr\n"
 "ECMAScript er aktiveret."
@@ -5770,7 +5895,7 @@ msgid "JavaScript Error"
 msgstr "JavaScript-fejl"
 
 #. name:
-#: src/ecmascript/spidermonkey.c:320
+#: src/ecmascript/spidermonkey.c:321
 msgid "SpiderMonkey"
 msgstr ""
 
@@ -5862,10 +5987,10 @@ msgid "Show form history dialog"
 msgstr "Vis dialogboks for formularhistorik"
 
 #: src/formhist/formhist.c:38
+#, fuzzy
 msgid ""
-"Ask if a login form should be saved to file or not.\n"
-"This option only disables the dialog, already saved login\n"
-"forms are unaffected."
+"Ask if a login form should be saved to file or not. This option only "
+"disables the dialog, already saved login forms are unaffected."
 msgstr ""
 "Sprg om en indlogningsformular skal gemmes i en fil eller\n"
 "ej. Denne indstilling deaktiverer kun dialogboksen,\n"
@@ -5968,19 +6093,19 @@ msgstr "Global historikindstillinger."
 msgid "Enable global history (\"history of all pages visited\")."
 msgstr "Aktivr global historik (historik over alle besgte sider)."
 
-#: src/globhist/globhist.c:68
+#: src/globhist/globhist.c:69
 msgid "Maximum number of entries"
 msgstr "Maksimalt antal elementer"
 
-#: src/globhist/globhist.c:70
+#: src/globhist/globhist.c:71
 msgid "Maximum number of entries in the global history."
 msgstr "Maksimalt antal elementer i global historik."
 
-#: src/globhist/globhist.c:72
+#: src/globhist/globhist.c:73
 msgid "Display style"
 msgstr "Visningsstil"
 
-#: src/globhist/globhist.c:74
+#: src/globhist/globhist.c:75
 msgid ""
 "What to display in global history dialog:\n"
 "0 is URLs\n"
@@ -5991,7 +6116,7 @@ msgstr ""
 "1 betyder vis sidetitler"
 
 #. name:
-#: src/globhist/globhist.c:451
+#: src/globhist/globhist.c:449
 msgid "Global History"
 msgstr "Global historik"
 
@@ -6211,12 +6336,13 @@ msgid "MIME type associations"
 msgstr "Programtildelinger for MIME-typer"
 
 #: src/mime/backend/default.c:27
+#, fuzzy
 msgid ""
-"Handler <-> MIME type association. The first sub-tree is the MIME\n"
-"class while the second sub-tree is the MIME type (ie. image/gif\n"
-"handler will reside at mime.type.image.gif). Each MIME type option\n"
-"should contain (case-sensitive) name of the MIME handler (its\n"
-"properties are stored at mime.handler.<name>)."
+"Handler <-> MIME type association. The first sub-tree is the MIME class "
+"while the second sub-tree is the MIME type (ie. image/gif handler will "
+"reside at mime.type.image.gif). Each MIME type option should contain (case-"
+"sensitive) name of the MIME handler (its properties are stored at mime."
+"handler.<name>)."
 msgstr ""
 "Program <-> MIME-type. Det frste deltr er MIME-kategorien\n"
 "og det andet deltr er MIME-typen. F.eks. vil programmer der\n"
@@ -6225,35 +6351,34 @@ msgstr ""
 "navn p det program der hndterer den, og programmets indstillinger\n"
 "gemmes i mime.handler.<programnavn>."
 
-#: src/mime/backend/default.c:35
+#: src/mime/backend/default.c:36
+#, fuzzy
 msgid ""
-"Handler matching this MIME-type class ('*' is used here in place\n"
-"of '.')."
+"Handler matching this MIME-type class ('*' is used here in place of '.')."
 msgstr ""
 "Programhndtering af denne MIME-kategori (\"*\" bruges her\n"
 "i stedet for \".\")."
 
-#: src/mime/backend/default.c:40
+#: src/mime/backend/default.c:41
+#, fuzzy
 msgid ""
-"Handler matching this MIME-type name ('*' is used here in place\n"
-"of '.')."
+"Handler matching this MIME-type name ('*' is used here in place of '.')."
 msgstr ""
 "Programhndtering af denne MIME-type (\"*\" bruges i stedet for \".\")."
 
-#: src/mime/backend/default.c:44
+#: src/mime/backend/default.c:45
 msgid "File type handlers"
 msgstr "Ekstern programhndtering for diverse filtyper"
 
-#: src/mime/backend/default.c:46
+#: src/mime/backend/default.c:47
+#, fuzzy
 msgid ""
-"A file type handler is a set of information about how to use\n"
-"an external program to view a file. It is possible to refer to it\n"
-"for several MIME types -- e.g., you can define an 'image' handler\n"
-"to which mime.type.image.png, mime.type.image.jpeg, and so on will\n"
-"refer; or one might define a handler for a more specific type of file\n"
-"-- e.g., PDF files.\n"
-"Note you must define both a MIME handler and a MIME type association\n"
-"for it to work."
+"A file type handler is a set of information about how to use an external "
+"program to view a file. It is possible to refer to it for several MIME types "
+"-- e.g., you can define an 'image' handler to which mime.type.image.png, "
+"mime.type.image.jpeg, and so on will refer; or one might define a handler "
+"for a more specific type of file -- e.g., PDF files. Note you must define "
+"both a MIME handler and a MIME type association for it to work."
 msgstr ""
 "En hndteringsdefinition for en specifik filtype indholder en rkke\n"
 "informationer om hvordan et eksternt program kan anvendes til at vise\n"
@@ -6263,67 +6388,66 @@ msgstr ""
 "Bemrk, at det er ndvendigt at definere bde en MIME hndtering og\n"
 "en MIME-type association for at det virker."
 
-#: src/mime/backend/default.c:57
+#: src/mime/backend/default.c:58
 msgid "Description of this handler."
 msgstr "Beskrivelse af denne programhndtering."
 
-#: src/mime/backend/default.c:61
+#: src/mime/backend/default.c:62
 msgid "System-specific handler description (ie. unix, unix-xwin, ...)."
 msgstr ""
 "Systemspecifik beskrivelse af programhndtering, f.eks. unix, unix-xwin ..."
 
-#: src/mime/backend/default.c:63 src/mime/backend/mailcap.c:102
+#: src/mime/backend/default.c:65 src/mime/backend/mailcap.c:102
 msgid "Ask before opening"
 msgstr "Sprg fr programmet startes"
 
-#: src/mime/backend/default.c:65
+#: src/mime/backend/default.c:67
 msgid "Ask before opening."
 msgstr "Sprg fr programmet startes."
 
-#: src/mime/backend/default.c:67
+#: src/mime/backend/default.c:69
 msgid "Block terminal"
 msgstr "Bloker terminal"
 
-#: src/mime/backend/default.c:69
+#: src/mime/backend/default.c:71
 msgid "Block the terminal when the handler is running."
 msgstr "Bloker terminalen nr et eksternt program krer."
 
-#: src/mime/backend/default.c:71
+#: src/mime/backend/default.c:73
 msgid "Program"
 msgstr "Program"
 
-#: src/mime/backend/default.c:74
-#, no-c-format
+#: src/mime/backend/default.c:76
+#, fuzzy, no-c-format
 msgid ""
-"External viewer for this file type. '%' in this string will be\n"
-"substituted by a file name.\n"
-"Do _not_ put single- or double-quotes around the % sign."
+"External viewer for this file type. '%' in this string will be substituted "
+"by a file name. Do _not_ put single- or double-quotes around the % sign."
 msgstr ""
 "Ekstern fremviser for denne filtype. Et '%' i denne tekststreng vil\n"
 "blive erstattet af et filnavn.\n"
 "Omring _ikke_ % med enkelt- eller dobbelt-citationstegn."
 
-#: src/mime/backend/default.c:79
+#: src/mime/backend/default.c:81
 msgid "File extension associations"
 msgstr "Programhndtering efter filendelse"
 
-#: src/mime/backend/default.c:81
+#: src/mime/backend/default.c:83
 msgid "Extension <-> MIME type association."
 msgstr "Sammenkdning af MIME-type og filendelse."
 
-#: src/mime/backend/default.c:85
+#: src/mime/backend/default.c:87
+#, fuzzy
 msgid ""
-"MIME-type matching this file extension ('*' is used here in place\n"
-"of '.')."
+"MIME-type matching this file extension ('*' is used here in place of '.')."
 msgstr "MIME-type for denne filendelse (\"*\" bruges i stedet for \".\")."
 
 #. name:
-#: src/mime/backend/default.c:216
+#: src/mime/backend/default.c:218
 msgid "Option system"
 msgstr "Opstningsssystem"
 
 #. name:
-#: src/mime/backend/mailcap.c:89 src/mime/backend/mailcap.c:684
+#: src/mime/backend/mailcap.c:89 src/mime/backend/mailcap.c:686
 msgid "Mailcap"
 msgstr "Mailcap"
 
@@ -6336,9 +6460,10 @@ msgid "Enable mailcap support."
 msgstr "Aktivr mailcap-understttelse."
 
 #: src/mime/backend/mailcap.c:99
+#, fuzzy
 msgid ""
-"Mailcap search path. Colon-separated list of files.\n"
-"Leave as \"\" to use MAILCAP environment variable instead."
+"Mailcap search path. Colon-separated list of files. Leave as \"\" to use "
+"MAILCAP environment variable instead."
 msgstr ""
 "Mailcap-sgesti. Kolonsepareret liste over filer.\n"
 "Lad vrdien st som \"\" for i stedet at bruge enten\n"
@@ -6353,12 +6478,13 @@ msgid "Type query string"
 msgstr "Typeforesprgelsesstreng"
 
 #: src/mime/backend/mailcap.c:108
+#, fuzzy
 msgid ""
-"Type of description to show in \"what to do with this file\"\n"
-"query dialog:\n"
+"Type of description to show in \"what to do with this file\" query dialog:\n"
 "0 is show \"mailcap\"\n"
 "1 is show program to be run\n"
-"2 is show mailcap description field if any; \"mailcap\" otherwise"
+"2 is show mailcap description field if any;\n"
+"     \"mailcap\" otherwise"
 msgstr ""
 "Hvilken beskrivelse der vises i dialogvinduet, som foresprger om hvordan\n"
 "eksterne filtype hndteres:\n"
@@ -6366,35 +6492,36 @@ msgstr ""
 "1 betyder vis det program som vil blive krt\n"
 "2 betyder vis beskrivelse fra mailcap-filen hvis muligt ellers \"mailcap\""
 
-#: src/mime/backend/mailcap.c:114
+#: src/mime/backend/mailcap.c:115
 msgid "Prioritize entries by file"
 msgstr "Prioritering efter filrkkeflge"
 
-#: src/mime/backend/mailcap.c:116
+#: src/mime/backend/mailcap.c:117
+#, fuzzy
 msgid ""
-"Prioritize entries by the order of the files in the mailcap\n"
-"path. This means that wildcard entries (like: image/*) will\n"
-"also be checked before deciding the handler."
+"Prioritize entries by the order of the files in the mailcap path. This means "
+"that wildcard entries (like: image/*) will also be checked before deciding "
+"the handler."
 msgstr ""
 "Prioritering efter filrkkeflge i mailcap-sgestien. Dette\n"
 "betyder at regler med jokertegn som f.eks. image/* ogs vil\n"
 "undersgt fr programhndteringen vlges."
 
-#: src/mime/backend/mailcap.c:349
+#: src/mime/backend/mailcap.c:351
 #, c-format
 msgid "Badly formated mailcap entry for type %s in \"%s\" line %d"
 msgstr "Syntaksfejl for typen %s i filen \"%s\" linje %d"
 
 #. name:
-#: src/mime/backend/mimetypes.c:46 src/mime/backend/mimetypes.c:279
+#: src/mime/backend/mimetypes.c:46 src/mime/backend/mimetypes.c:280
 msgid "Mimetypes files"
 msgstr "Mimetypes-filer"
 
 #: src/mime/backend/mimetypes.c:48
+#, fuzzy
 msgid ""
-"Options for the support of mime.types files. These files\n"
-"can be used to find the content type of a URL by looking at\n"
-"the extension of the file name."
+"Options for the support of mime.types files. These files can be used to find "
+"the content type of a URL by looking at the extension of the file name."
 msgstr ""
 "Indstilinger for mime.types filer. Disse filer kan anvendes til\n"
 "at sammenkde oplysninger om filers navne-endelser og deres\n"
@@ -6436,7 +6563,7 @@ msgid "No extensions"
 msgstr "Ingen filendelser"
 
 #. name:
-#: src/mime/mime.c:38 src/mime/mime.c:360
+#: src/mime/mime.c:38 src/mime/mime.c:361
 msgid "MIME"
 msgstr "MIME"
 
@@ -6449,9 +6576,10 @@ msgid "Default MIME-type"
 msgstr "Forvalgt MIME-type"
 
 #: src/mime/mime.c:44
+#, fuzzy
 msgid ""
-"Document MIME-type to assume by default (when we are unable to\n"
-"guess it properly from known information about the document)."
+"Document MIME-type to assume by default (when we are unable to guess it "
+"properly from known information about the document)."
 msgstr ""
 "MIME-type der bruges til dokumenter hvor denne ikke kan findes\n"
 "ud fra de oplysninger som er indeholdt i dokumentet."
@@ -6461,9 +6589,10 @@ msgid "Verify certificates"
 msgstr "Verificr certifikater"
 
 #: src/network/ssl/ssl.c:74
+#, fuzzy
 msgid ""
-"Verify the peer's SSL certificate. Note that this\n"
-"needs extensive configuration of OpenSSL by the user."
+"Verify the peer's SSL certificate. Note that this needs extensive "
+"configuration of OpenSSL by the user."
 msgstr ""
 "Verificr vrtsserverens SSL-certifikat. Bemrk at dette\n"
 "krver omfattende opstning af OpenSSL af brugeren."
@@ -6477,9 +6606,10 @@ msgid "X509 client certificate options."
 msgstr "Indstillinger for X509-klientcertifikater."
 
 #: src/network/ssl/ssl.c:83
+#, fuzzy
 msgid ""
-"Enable or not the sending of X509 client certificates\n"
-"to servers which request them."
+"Enable or not the sending of X509 client certificates to servers which "
+"request them."
 msgstr ""
 "Aktivr/deaktivr afsendelse af X509-klientcertifikater\n"
 "til servere der beder om dem."
@@ -6489,11 +6619,11 @@ msgid "Certificate File"
 msgstr "Certifikatsfil"
 
 #: src/network/ssl/ssl.c:88
+#, fuzzy
 msgid ""
-"The location of a file containing the client certificate\n"
-"and unencrypted private key in PEM format. If unset, the\n"
-"file pointed to by the X509_CLIENT_CERT variable is used\n"
-"instead."
+"The location of a file containing the client certificate and unencrypted "
+"private key in PEM format. If unset, the file pointed to by the "
+"X509_CLIENT_CERT variable is used instead."
 msgstr ""
 "Placering af fil med klientcertifikat og ukrypteret\n"
 "privatngle i PEM-format. Hvis vrdi er tom, vil den\n"
@@ -6501,10 +6631,13 @@ msgstr ""
 "brugt i stedet."
 
 #: src/network/ssl/ssl.c:163
+#, fuzzy
 msgid ""
-"Verify the peer's SSL certificate.  If you enable\n"
-"this, set also \"Trusted CA file\"."
+"Verify the peer's SSL certificate.  If you enable this, set also \"Trusted "
+"CA file\"."
 msgstr ""
+"Verificr vrtsserverens SSL-certifikat. Bemrk at dette\n"
+"sandsynligvis ikke virker ordentligt med GnuTLS."
 
 #. The default value of the following option points to a file
 #. * generated by the ca-certificates Debian package.  Don't use
@@ -6521,20 +6654,20 @@ msgstr "Overfrelse mislykkedes"
 
 #: src/network/ssl/ssl.c:176
 msgid ""
-"The location of a file containing certificates of\n"
-"trusted certification authorities in PEM format.\n"
-"ELinks then trusts certificates issued by these CAs.\n"
-"If you change this option or the file, you must\n"
-"restart ELinks for the changes to take effect.\n"
-"This option affects GnuTLS but not OpenSSL."
+"The location of a file containing certificates of trusted certification "
+"authorities in PEM format. ELinks then trusts certificates issued by these "
+"CAs.\n"
+"\n"
+"If you change this option or the file, you must restart ELinks for the "
+"changes to take effect. This option affects GnuTLS but not OpenSSL."
 msgstr ""
 
 #. name:
-#: src/network/ssl/ssl.c:199 src/network/ssl/ssl.c:216
+#: src/network/ssl/ssl.c:200 src/network/ssl/ssl.c:217
 msgid "SSL"
 msgstr "SSL"
 
-#: src/network/ssl/ssl.c:201
+#: src/network/ssl/ssl.c:202
 msgid "SSL options."
 msgstr "SSL-indstillinger."
 
@@ -6884,7 +7017,7 @@ msgstr "Autentifikation pkrvet"
 msgid "Login"
 msgstr "Brugernavn"
 
-#: src/protocol/auth/dialogs.c:113 src/protocol/http/http.c:140
+#: src/protocol/auth/dialogs.c:113 src/protocol/http/http.c:142
 msgid "Password"
 msgstr "Adgangskode"
 
@@ -6953,7 +7086,7 @@ msgstr "Identitetsbekrftelseshndtering
 
 #. name:
 #: src/protocol/bittorrent/bittorrent.c:26
-#: src/protocol/bittorrent/bittorrent.c:335
+#: src/protocol/bittorrent/bittorrent.c:339
 msgid "BitTorrent"
 msgstr "BitTorrent"
 
@@ -7004,10 +7137,10 @@ msgid "Use compact tracker format"
 msgstr "Benyt kompakt tracker-format"
 
 #: src/protocol/bittorrent/bittorrent.c:57
+#, fuzzy
 msgid ""
-"Whether to request that the tracker returns peer info\n"
-"in compact format. Note, the compact format only supports\n"
-"IPv4 addresses."
+"Whether to request that the tracker returns peer info in compact format. "
+"Note, the compact format only supports IPv4 addresses."
 msgstr ""
 "Om der skal foresprges om at trackeren returnerer peer info\n"
 "i kompakt format. Bemrk, det kompakte format understtter\n"
@@ -7019,57 +7152,56 @@ msgstr "Tracker forbindelsesinterval"
 
 #: src/protocol/bittorrent/bittorrent.c:63
 msgid ""
-"The number of seconds to wait between periodically contacting\n"
-"the tracker for announcing progress and requesting more peers.\n"
-"Set to zero to use the interval requested by the tracker."
+"The number of seconds to wait between periodically contacting the tracker "
+"for announcing progress and requesting more peers. Set to zero to use the "
+"interval requested by the tracker."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:67
+#: src/protocol/bittorrent/bittorrent.c:68
 msgid "IP-address to announce"
 msgstr "Annonceret IP-adresse"
 
-#: src/protocol/bittorrent/bittorrent.c:69
+#: src/protocol/bittorrent/bittorrent.c:70
 msgid ""
-"What IP address to report to the tracker. If set to \"\"\n"
-"no IP address will be sent and the tracker will automatically\n"
-"determine an appropriate IP address."
+"What IP address to report to the tracker. If set to \"\" no IP address will "
+"be sent and the tracker will automatically determine an appropriate IP "
+"address."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:73
+#: src/protocol/bittorrent/bittorrent.c:74
 msgid "User identification string"
 msgstr "Brugeridentifikationsstreng"
 
-#: src/protocol/bittorrent/bittorrent.c:75
+#: src/protocol/bittorrent/bittorrent.c:76
 msgid ""
-"An additional identification that is not shared with any users.\n"
-"It is intended to allow a client to prove their identity should\n"
-"their IP address change. It is an optional parameter, but some\n"
-"trackers require this parameter. If set to \"\" no user key will\n"
-"be sent to the tracker."
+"An additional identification that is not shared with any users. It is "
+"intended to allow a client to prove their identity should their IP address "
+"change. It is an optional parameter, but some trackers require this "
+"parameter. If set to \"\" no user key will be sent to the tracker."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:81
+#: src/protocol/bittorrent/bittorrent.c:82
 msgid "Maximum number of peers to request"
 msgstr "Maksimalt antal peers at anmode om"
 
-#: src/protocol/bittorrent/bittorrent.c:83
+#: src/protocol/bittorrent/bittorrent.c:84
+#, fuzzy
 msgid ""
-"The maximum number of peers to request from the tracker.\n"
-"Set to 0 to use the server default."
+"The maximum number of peers to request from the tracker. Set to 0 to use the "
+"server default."
 msgstr ""
 "Det maksimalle antal peers der skal hentes fra trackeren.\n"
 "St til 0 for at benytte serverens standardvrdi."
 
-#: src/protocol/bittorrent/bittorrent.c:86
+#: src/protocol/bittorrent/bittorrent.c:87
 msgid "Minimum peers to skip rerequesting"
 msgstr "Minimum antal peers for ungelse af peer anmodning"
 
-#: src/protocol/bittorrent/bittorrent.c:88
+#: src/protocol/bittorrent/bittorrent.c:89
 msgid ""
-"The minimum number of peers to have in the current peer info\n"
-"pool before skipping requesting of more peers. I.e. setting\n"
-"numwant to zero.\n"
-"Set to 0 to not have any limit."
+"The minimum number of peers to have in the current peer info pool before "
+"skipping requesting of more peers. I.e. setting numwant to zero. Set to 0 to "
+"not have any limit."
 msgstr ""
 
 #. ******************************************************************
@@ -7089,178 +7221,179 @@ msgstr "Maksimalt antal peer forbindelse
 
 #: src/protocol/bittorrent/bittorrent.c:104
 msgid ""
-"The maximum number of allowed connections to both active and\n"
-"non-active peers. By increasing the number of allowed connections,\n"
-"the chance of finding good peers to download from is increased.\n"
-"However, too many connections can lead to TCP congestion. If the\n"
-"maximum is reached all new incoming connections will be closed."
+"The maximum number of allowed connections to both active and non-active "
+"peers. By increasing the number of allowed connections, the chance of "
+"finding good peers to download from is increased. However, too many "
+"connections can lead to TCP congestion. If the maximum is reached all new "
+"incoming connections will be closed."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:110
+#: src/protocol/bittorrent/bittorrent.c:111
 msgid "Maximum peer message length"
 msgstr "Maksimal lngde p peer-beskeder"
 
-#: src/protocol/bittorrent/bittorrent.c:112
+#: src/protocol/bittorrent/bittorrent.c:113
 msgid ""
-"The maximum length of messages to accept over the wire.\n"
-"Larger values will cause the connection to be dropped."
+"The maximum length of messages to accept over the wire. Larger values will "
+"cause the connection to be dropped."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:115
+#: src/protocol/bittorrent/bittorrent.c:116
 msgid "Maximum allowed request length"
 msgstr "Maksimal tilladte lngde p dataforeprgelser"
 
-#: src/protocol/bittorrent/bittorrent.c:117
+#: src/protocol/bittorrent/bittorrent.c:118
 msgid ""
-"The maximum length to allow for incoming requests.\n"
-"Larger requests will cause the connection to be dropped."
+"The maximum length to allow for incoming requests. Larger requests will "
+"cause the connection to be dropped."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:120
+#: src/protocol/bittorrent/bittorrent.c:121
 msgid "Length of requests"
 msgstr "Lngde p dataforeprgelser"
 
-#: src/protocol/bittorrent/bittorrent.c:122
+#: src/protocol/bittorrent/bittorrent.c:123
 msgid ""
-"How many bytes to query for per request. This is complementary\n"
-"to the max_request_length option. If the configured length is\n"
-"bigger than the piece length it will be truncated."
+"How many bytes to query for per request. This is complementary to the "
+"max_request_length option. If the configured length is bigger than the piece "
+"length it will be truncated."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:126
+#: src/protocol/bittorrent/bittorrent.c:128
 msgid "Peer inactivity timeout"
 msgstr "Tidsudlb for inaktive peer-forbindelser"
 
-#: src/protocol/bittorrent/bittorrent.c:128
+#: src/protocol/bittorrent/bittorrent.c:130
+#, fuzzy
 msgid ""
-"The number of seconds to wait before closing a socket on\n"
-"which nothing has been received or sent."
+"The number of seconds to wait before closing a socket on which nothing has "
+"been received or sent."
 msgstr ""
+"Antal sekunder der skal ventes p fildata fr det antages\n"
+"at klienten er blevet udnyttet."
 
-#: src/protocol/bittorrent/bittorrent.c:131
+#: src/protocol/bittorrent/bittorrent.c:133
 msgid "Maximum peer pool size"
 msgstr "Maksimal strrelse p peer-pulje"
 
-#: src/protocol/bittorrent/bittorrent.c:133
+#: src/protocol/bittorrent/bittorrent.c:135
 msgid ""
-"Maximum number of items in the peer pool. The peer pool\n"
-"contains information used for establishing connections to\n"
-"new peers.\n"
+"Maximum number of items in the peer pool. The peer pool contains information "
+"used for establishing connections to new peers.\n"
+"\n"
 "Set to 0 to have unlimited size."
 msgstr ""
 
 #. ******************************************************************
 #. Piece management options:
 #. ******************************************************************
-#: src/protocol/bittorrent/bittorrent.c:143
+#: src/protocol/bittorrent/bittorrent.c:146
 msgid "Maximum piece cache size"
 msgstr "Maksimal strrelse p fildelscache"
 
-#: src/protocol/bittorrent/bittorrent.c:145
+#: src/protocol/bittorrent/bittorrent.c:148
 msgid ""
-"The maximum amount of memory used to hold recently\n"
-"downloaded pieces.\n"
+"The maximum amount of memory used to hold recently downloaded pieces.\n"
+"\n"
 "Set to 0 to have unlimited size."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:154
+#: src/protocol/bittorrent/bittorrent.c:158
 msgid "Sharing rate"
 msgstr "Delingsrate"
 
-#: src/protocol/bittorrent/bittorrent.c:156
+#: src/protocol/bittorrent/bittorrent.c:160
 msgid ""
-"The minimum sharing rate to achieve before stop seeding.\n"
-"The sharing rate is computed as the number of uploaded bytes\n"
-"divided with the number of downloaded bytes. The value should\n"
-"be a double value between 0.0 and 1.0 both included.\n"
-"Set to 1.0 to atleast upload a complete copy of all data and\n"
+"The minimum sharing rate to achieve before stop seeding. The sharing rate is "
+"computed as the number of uploaded bytes divided with the number of "
+"downloaded bytes. The value should be a double value between 0.0 and 1.0 "
+"both included. Set to 1.0 to atleast upload a complete copy of all data and "
 "set to 0.0 to have unlimited sharing rate."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:163
+#: src/protocol/bittorrent/bittorrent.c:167
 msgid "Maximum number of uploads"
 msgstr "Maksimal antal fil-uploads"
 
-#: src/protocol/bittorrent/bittorrent.c:165
+#: src/protocol/bittorrent/bittorrent.c:169
 msgid "The maximum number of uploads to allow at once."
 msgstr "Det maksimale antal peers som der m uploades til p samme tid."
 
 #. The number of uploads to fill out to with extra optimistic unchokes
-#: src/protocol/bittorrent/bittorrent.c:168
+#: src/protocol/bittorrent/bittorrent.c:172
 msgid "Minimum number of uploads"
 msgstr "Minimum antal fil-uploads"
 
-#: src/protocol/bittorrent/bittorrent.c:170
+#: src/protocol/bittorrent/bittorrent.c:174
+#, fuzzy
 msgid ""
-"The minimum number of uploads which should at least\n"
-"be used for new connections."
-msgstr ""
+"The minimum number of uploads which should at least be used for new "
+"connections."
+msgstr "Det maksimale antal peers som der m uploades til p samme tid."
 
-#: src/protocol/bittorrent/bittorrent.c:174
+#: src/protocol/bittorrent/bittorrent.c:178
 msgid "Keepalive interval"
 msgstr "Keepalive-interval"
 
-#: src/protocol/bittorrent/bittorrent.c:176
-msgid ""
-"The number of seconds to pause between sending keepalive\n"
-"messages."
+#: src/protocol/bittorrent/bittorrent.c:180
+#, fuzzy
+msgid "The number of seconds to pause between sending keepalive messages."
 msgstr "Antal sekunder mellem afsendelse af 'i live'-beskeder (keepalive)."
 
-#: src/protocol/bittorrent/bittorrent.c:179
+#: src/protocol/bittorrent/bittorrent.c:183
 msgid "Number of pending requests"
 msgstr "Antal udestende dataforesprgsler"
 
-#: src/protocol/bittorrent/bittorrent.c:181
+#: src/protocol/bittorrent/bittorrent.c:185
 msgid ""
-"How many piece requests to continuously keep in queue. Pipelining\n"
-"of requests is essential to saturate connections and get a good\n"
-"connection performance and thus a faster download. However, a\n"
-"very big queue size can lead to wasting bandwidth near the end\n"
-"of the connection since remaining piece blocks will be requested\n"
-"from multiple peers."
+"How many piece requests to continuously keep in queue. Pipelining of "
+"requests is essential to saturate connections and get a good connection "
+"performance and thus a faster download. However, a very big queue size can "
+"lead to wasting bandwidth near the end of the connection since remaining "
+"piece blocks will be requested from multiple peers."
 msgstr ""
 
 #. Bram uses 30 seconds here.
-#: src/protocol/bittorrent/bittorrent.c:190
+#: src/protocol/bittorrent/bittorrent.c:194
 msgid "Peer snubbing interval"
 msgstr "Peer fornrmelsessinterval"
 
-#: src/protocol/bittorrent/bittorrent.c:192
+#: src/protocol/bittorrent/bittorrent.c:196
+#, fuzzy
 msgid ""
-"The number of seconds to wait for file data before assuming\n"
-"the peer has been snubbed."
+"The number of seconds to wait for file data before assuming the peer has "
+"been snubbed."
 msgstr ""
 "Antal sekunder der skal ventes p fildata fr det antages\n"
 "at klienten er blevet udnyttet."
 
-#: src/protocol/bittorrent/bittorrent.c:195
+#: src/protocol/bittorrent/bittorrent.c:199
 msgid "Peer choke interval"
 msgstr "Peer afbrydningsinterval"
 
-#: src/protocol/bittorrent/bittorrent.c:197
+#: src/protocol/bittorrent/bittorrent.c:201
 msgid ""
-"The number of seconds between updating the connection state\n"
-"and most importantly choke and unchoke peer connections. The\n"
-"choke period should be big enough for newly unchoked connections\n"
-"to get started but small enough to not allow freeriders too much\n"
-"room for stealing bandwidth."
+"The number of seconds between updating the connection state and most "
+"importantly choke and unchoke peer connections. The choke period should be "
+"big enough for newly unchoked connections to get started but small enough to "
+"not allow freeriders too much room for stealing bandwidth."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:203
+#: src/protocol/bittorrent/bittorrent.c:207
 msgid "Rarest first piece selection cutoff"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:205
+#: src/protocol/bittorrent/bittorrent.c:209
 msgid ""
-"The number of pieces to obtain before switching piece\n"
-"selection strategy from random to rarest first."
+"The number of pieces to obtain before switching piece selection strategy "
+"from random to rarest first."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:208 src/protocol/http/http.c:109
+#: src/protocol/bittorrent/bittorrent.c:212 src/protocol/http/http.c:109
 msgid "Allow blacklisting"
 msgstr "Tillad sortlistning"
 
-#: src/protocol/bittorrent/bittorrent.c:210
+#: src/protocol/bittorrent/bittorrent.c:214
 msgid "Allow blacklisting of buggy peers."
 msgstr "Tillad sortlistning af fejlbehftede peers."
 
@@ -7292,7 +7425,7 @@ msgstr "Filer"
 msgid "Comment"
 msgstr "Kommentar"
 
-#: src/protocol/bittorrent/dialogs.c:229 src/session/download.c:362
+#: src/protocol/bittorrent/dialogs.c:229 src/session/download.c:388
 #, c-format
 msgid ""
 "Download complete:\n"
@@ -7451,7 +7584,7 @@ msgid_plural "%u unavailable"
 msgstr[0] "%u utilgngelig"
 msgstr[1] "%u utilgngelige"
 
-#: src/protocol/bittorrent/dialogs.c:584 src/session/session.c:278
+#: src/protocol/bittorrent/dialogs.c:584 src/session/session.c:279
 #, c-format
 msgid "Unable to retrieve %s"
 msgstr "Kan ikke hente %s"
@@ -7465,7 +7598,7 @@ msgstr "Hvad vil du gre med filen \"%s\
 msgid "Information about the torrent"
 msgstr "Information om torrent-filen"
 
-#: src/protocol/bittorrent/dialogs.c:776 src/session/download.c:1106
+#: src/protocol/bittorrent/dialogs.c:776 src/session/download.c:1132
 msgid "What to do?"
 msgstr "Hvad skal der ske med filen?"
 
@@ -7475,12 +7608,12 @@ msgid "Down~load"
 msgstr "Down~load"
 
 #. accelerator_context(src/protocol/bittorrent/dialogs.c:bittorrent_query_callback, src/session/download.c:do_type_query)
-#: src/protocol/bittorrent/dialogs.c:804 src/session/download.c:1209
+#: src/protocol/bittorrent/dialogs.c:804 src/session/download.c:1235
 msgid "~Display"
 msgstr "~Vis"
 
 #. accelerator_context(src/protocol/bittorrent/dialogs.c:bittorrent_query_callback, src/session/download.c:do_type_query)
-#: src/protocol/bittorrent/dialogs.c:808 src/session/download.c:1213
+#: src/protocol/bittorrent/dialogs.c:808 src/session/download.c:1239
 msgid "Show ~header"
 msgstr "Vis ~protokolhoved"
 
@@ -7496,16 +7629,16 @@ msgstr "Indstillinger for lokale CGI-scr
 msgid "Colon separated list of directories, where CGI scripts are stored."
 msgstr "Kolonsepareret liste over kataloger med CGI-scripts."
 
-#: src/protocol/file/cgi.c:47
+#: src/protocol/file/cgi.c:48
 msgid "Allow local CGI"
 msgstr "Tillad lokal CGI"
 
-#: src/protocol/file/cgi.c:49
+#: src/protocol/file/cgi.c:50
 msgid "Whether to execute local CGI scripts."
 msgstr "Om udfrelse af lokale CGI-scripts er tilladt."
 
 #. name:
-#: src/protocol/file/cgi.c:54
+#: src/protocol/file/cgi.c:55
 msgid "CGI"
 msgstr ""
 
@@ -7522,10 +7655,10 @@ msgid "Allow reading special files"
 msgstr "Tillad lsning af specielle filer"
 
 #: src/protocol/file/file.c:46
+#, fuzzy
 msgid ""
-"Whether to allow reading from non-regular files.\n"
-"Note this can be dangerous; reading /dev/urandom or\n"
-"/dev/zero can ruin your day!"
+"Whether to allow reading from non-regular files. Note this can be dangerous; "
+"reading /dev/urandom or /dev/zero can ruin your day!"
 msgstr ""
 "Tillad lsning af ikke-regulre filer? Dette kan vre RISIKABELT -\n"
 "lsning fra /dev/urandom eller /dev/zero kan spolere dit humr!"
@@ -7535,9 +7668,10 @@ msgid "Show hidden files in directory li
 msgstr "Vis skjulte filer i katalogoversigter"
 
 #: src/protocol/file/file.c:52
+#, fuzzy
 msgid ""
-"When set to false, files with name starting with a dot will be\n"
-"hidden in local directory listings."
+"When set to false, files with name starting with a dot will be hidden in "
+"local directory listings."
 msgstr ""
 "Hvis deaktiveret, vil filer med navne der starter\n"
 "med et punktum blive skjult i katalogoversigter."
@@ -7547,10 +7681,11 @@ msgid "Try encoding extensions"
 msgstr "Forsg kendte filendelser for indkodning"
 
 #: src/protocol/file/file.c:57
+#, fuzzy
 msgid ""
-"When set, if we can't open a file named 'filename', we'll try\n"
-"to open 'filename' with some encoding extension appended\n"
-"(ie. 'filename.gz'); it depends on the supported encodings."
+"When set, if we can't open a file named 'filename', we'll try to open "
+"'filename' with some encoding extension appended (ie. 'filename.gz'); it "
+"depends on the supported encodings."
 msgstr ""
 "Hvis en fil ved navn \"filnavn\" ikke kan bnes, prves\n"
 "samme fil bnet ved at tilfje en filendelse, f.eks.\n"
@@ -7558,7 +7693,7 @@ msgstr ""
 "understttes."
 
 #. name:
-#: src/protocol/file/file.c:65
+#: src/protocol/file/file.c:66
 msgid "File"
 msgstr "Fil"
 
@@ -7585,7 +7720,7 @@ msgid "Whether to sort entries in direct
 msgstr "Om filer skal sorteres i katalogoversigter."
 
 #. name:
-#: src/protocol/ftp/ftp.c:56 src/protocol/ftp/ftp.c:86
+#: src/protocol/ftp/ftp.c:56 src/protocol/ftp/ftp.c:89
 msgid "FTP"
 msgstr "FTP"
 
@@ -7593,8 +7728,8 @@ msgstr "FTP"
 msgid "FTP specific options."
 msgstr "FTP-specifikke indstillinger."
 
-#: src/protocol/ftp/ftp.c:60 src/protocol/http/http.c:127
-#: src/protocol/http/http.c:209
+#: src/protocol/ftp/ftp.c:60 src/protocol/http/http.c:128
+#: src/protocol/http/http.c:235
 msgid "Proxy configuration"
 msgstr "Proxyopstning"
 
@@ -7602,41 +7737,42 @@ msgstr "Proxyopstning"
 msgid "FTP proxy configuration."
 msgstr "Opstning af FTP-proxy."
 
-#: src/protocol/ftp/ftp.c:64 src/protocol/http/http.c:131
-#: src/protocol/http/http.c:213
+#: src/protocol/ftp/ftp.c:64 src/protocol/http/http.c:132
+#: src/protocol/http/http.c:239
 msgid "Host and port-number"
 msgstr "Vrtsmaskine og portnummer"
 
 #: src/protocol/ftp/ftp.c:66
+#, fuzzy
 msgid ""
-"Host and port-number (host:port) of the FTP proxy, or blank.\n"
-"If it's blank, FTP_PROXY environment variable is checked as well."
+"Host and port-number (host:port) of the FTP proxy, or blank. If it's blank, "
+"FTP_PROXY environment variable is checked as well."
 msgstr ""
 "Vrtsnavn og portnummer (host:port) p FTP-proxyserveren.\n"
 "Hvis ingen vrdi angives her, vil miljvariablen FTP_PROXY\n"
 "blive anvendt hvis den er sat."
 
-#: src/protocol/ftp/ftp.c:69
+#: src/protocol/ftp/ftp.c:70
 msgid "Anonymous password"
 msgstr "Anonym adgangskode"
 
-#: src/protocol/ftp/ftp.c:71
+#: src/protocol/ftp/ftp.c:72
 msgid "FTP anonymous password to be sent."
 msgstr "Adgangskode som sendes for anonyme FTP-konti."
 
-#: src/protocol/ftp/ftp.c:73
+#: src/protocol/ftp/ftp.c:74
 msgid "Use passive mode (IPv4)"
 msgstr "Brug passivtilstand (IPv4)"
 
-#: src/protocol/ftp/ftp.c:75
+#: src/protocol/ftp/ftp.c:76
 msgid "Use PASV instead of PORT (passive vs active mode, IPv4 only)."
 msgstr "Brug PASV i stedet for PORT (passiv kontra aktiv tilstand, kun IPv4)."
 
-#: src/protocol/ftp/ftp.c:77
+#: src/protocol/ftp/ftp.c:79
 msgid "Use passive mode (IPv6)"
 msgstr "Brug passivtilstand (IPv6)"
 
-#: src/protocol/ftp/ftp.c:79
+#: src/protocol/ftp/ftp.c:81
 msgid "Use EPSV instead of EPRT (passive vs active mode, IPv6 only)."
 msgstr "Brug EPSV i stedet for EPRT (passiv kontra aktiv tilstand, kun IPv6)."
 
@@ -7670,7 +7806,7 @@ msgstr ""
 "  programmel.\n"
 
 #. name:
-#: src/protocol/http/http.c:95 src/protocol/http/http.c:223
+#: src/protocol/http/http.c:95 src/protocol/http/http.c:250
 msgid "HTTP"
 msgstr "HTTP"
 
@@ -7691,9 +7827,10 @@ msgid "Do not send Accept-Charset"
 msgstr "Send ikke Accept-Charset"
 
 #: src/protocol/http/http.c:106
+#, fuzzy
 msgid ""
-"The Accept-Charset header is quite long and sending it can trigger\n"
-"bugs in some rarely found servers."
+"The Accept-Charset header is quite long and sending it can trigger bugs in "
+"some rarely found servers."
 msgstr ""
 "Serverlinjen Accept-Charset er temmelig lang og ved at sende den, kan\n"
 "det udlse programfejl i nogle sjldent forekommende servere."
@@ -7707,69 +7844,72 @@ msgid "Broken 302 redirects"
 msgstr "Forkerte 302-omdirigeringer"
 
 #: src/protocol/http/http.c:115
+#, fuzzy
 msgid ""
-"Broken 302 redirect (violates RFC but compatible with Netscape).\n"
-"This is a problem for a lot of web discussion boards and the like.\n"
-"If they will do strange things to you, try to play with this."
+"Broken 302 redirect (violates RFC but compatible with Netscape). This is a "
+"problem for a lot of web discussion boards and the like. If they will do "
+"strange things to you, try to play with this."
 msgstr ""
 "Forkerte 302-omdirigeringer. Bryder med RFC-standard, men er\n"
 "kompatibel med Netscape. Denne fejl er almindelig i mange\n"
 "diskussionsfora og lignende. Hvis du har problemer med\n"
 "sdanne netsteder, s prv at aktivere denne indstilling."
 
-#: src/protocol/http/http.c:119
+#: src/protocol/http/http.c:120
 msgid "No keepalive after POST requests"
 msgstr "Ingen keepalive efter POST-foresprgsler"
 
-#: src/protocol/http/http.c:121
+#: src/protocol/http/http.c:122
 msgid "Disable keepalive connection after POST request."
 msgstr "Deaktivr keepalive-forbindelse efter en POST-foresprgsel."
 
-#: src/protocol/http/http.c:123
+#: src/protocol/http/http.c:124
 msgid "Use HTTP/1.0"
 msgstr "Brug HTTP/1.0"
 
-#: src/protocol/http/http.c:125
+#: src/protocol/http/http.c:126
 msgid "Use HTTP/1.0 protocol instead of HTTP/1.1."
 msgstr "Brug protokollen HTTP/1.0 i stedet for HTTP/1.1."
 
-#: src/protocol/http/http.c:129
+#: src/protocol/http/http.c:130
 msgid "HTTP proxy configuration."
 msgstr "Opstning af HTTP-proxy."
 
-#: src/protocol/http/http.c:133
+#: src/protocol/http/http.c:134
+#, fuzzy
 msgid ""
-"Host and port-number (host:port) of the HTTP proxy, or blank.\n"
-"If it's blank, HTTP_PROXY environment variable is checked as well."
+"Host and port-number (host:port) of the HTTP proxy, or blank. If it's blank, "
+"HTTP_PROXY environment variable is checked as well."
 msgstr ""
 "Vrtsnavn og portnummer (host:port) p HTTP-proxyserveren.\n"
 "Hvis ingen vrdi angives her, vil miljvariablen HTTP_PROXY\n"
 "blive anvendt hvis den er sat."
 
-#: src/protocol/http/http.c:136
+#: src/protocol/http/http.c:138
 msgid "Username"
 msgstr "Brugernavn"
 
-#: src/protocol/http/http.c:138
+#: src/protocol/http/http.c:140
 msgid "Proxy authentication username."
 msgstr "Brugernavn til proxy-autentifikation."
 
-#: src/protocol/http/http.c:142
+#: src/protocol/http/http.c:144
 msgid "Proxy authentication password."
 msgstr "Adgangskode til proxy-autentifikation."
 
-#: src/protocol/http/http.c:145
+#: src/protocol/http/http.c:147
 msgid "Referer sending"
 msgstr "Afsendelse af henviseradresse"
 
-#: src/protocol/http/http.c:147
+#: src/protocol/http/http.c:149
+#, fuzzy
 msgid ""
-"HTTP referer sending options. HTTP referer is a special header\n"
-"sent in the HTTP requests, which is supposed to contain the previous\n"
-"page visited by the browser. This way, the server can know what link\n"
-"did you follow when accessing that page. However, this behaviour\n"
-"can unfortunately considerably affect privacy and can lead even to a\n"
-"security problem on some badly designed web pages."
+"HTTP referer sending options. HTTP referer is a special header sent in the "
+"HTTP requests, which is supposed to contain the previous page visited by the "
+"browser.This way, the server can know what link did you follow when "
+"accessing that page. However, this behaviour can unfortunately considerably "
+"affect privacy and can lead even to a security problem on some badly "
+"designed web pages."
 msgstr ""
 "Indstillinger for afsendelse af den srlige HTTP-serverlinje\n"
 "\"referer\" (henviser) som sendes i HTTP-foresprgsler og som\n"
@@ -7779,11 +7919,11 @@ msgstr ""
 "i kbet medfre sikkerhedsproblemer p visse drligt designede\n"
 "websider."
 
-#: src/protocol/http/http.c:154
+#: src/protocol/http/http.c:157
 msgid "Policy"
 msgstr "Retningslinje"
 
-#: src/protocol/http/http.c:157
+#: src/protocol/http/http.c:160
 msgid ""
 "Mode of sending HTTP referer:\n"
 "0 is send no referer\n"
@@ -7797,34 +7937,34 @@ msgstr ""
 "2 betyder send en falsk henviser\n"
 "3 betyder send den forrige adresse som henviser (korrekt, men risikabelt)"
 
-#: src/protocol/http/http.c:163
+#: src/protocol/http/http.c:166
 msgid "Fake referer URL"
 msgstr "Falsk henviseradresse"
 
-#: src/protocol/http/http.c:165
+#: src/protocol/http/http.c:168
 msgid "Fake referer to be sent when policy is 2."
 msgstr "Falsk henviseradresse der sendes nr retningslinjen er 2."
 
-#: src/protocol/http/http.c:168
+#: src/protocol/http/http.c:171
 msgid "Send Accept-Language header"
 msgstr "Send serverlinjen Accept-Language"
 
-#: src/protocol/http/http.c:170
+#: src/protocol/http/http.c:173
 msgid "Send Accept-Language header."
 msgstr "Send serverlinjen Accept-Language."
 
-#: src/protocol/http/http.c:172
+#: src/protocol/http/http.c:175
 msgid "Use UI language as Accept-Language"
 msgstr "Brug sprog fra brugerflade i Accept-Language"
 
-#: src/protocol/http/http.c:174
+#: src/protocol/http/http.c:177
+#, fuzzy
 msgid ""
-"Request localised versions of documents from web-servers (using the\n"
-"Accept-Language header) using the language you have configured for\n"
-"ELinks' user-interface (this also affects navigator.language ECMAScript\n"
-"value available to scripts). Note that some see this as a potential\n"
-"security risk because it tells web-masters and the FBI sniffers about\n"
-"your language preference."
+"Request localised versions of documents from web-servers (using the Accept-"
+"Language header) using the language you have configured for ELinks' user-"
+"interface (this also affects navigator.language ECMAScript value available "
+"to scripts). Note that some see this as a potential security risk because it "
+"tells web-masters and the FBI sniffers about your language preference."
 msgstr ""
 "Anmod webservere om oversatte versioner af dokumenter, med\n"
 "vrdien af Accept-Language-serverlinjen sat til det sprog\n"
@@ -7833,17 +7973,38 @@ msgstr ""
 "Bemrk at nogen ser dette som en mulig sikkerhedsrisiko,\n"
 "fordi det oplyser webmastere om dine sprogprferencer."
 
-#: src/protocol/http/http.c:181
+#. After the compression support has been tested enough,
+#. * we might wrap this option in #if CFG_DEBUG.
+#: src/protocol/http/http.c:187
+msgid "Enable on-the-fly compression"
+msgstr ""
+
+#: src/protocol/http/http.c:189
+msgid ""
+"If enabled, the capability to receive compressed content (gzip and/or bzip2) "
+"is announced to the server, which usually sends the reply compressed, thus "
+"saving some bandwidth at slight CPU expense.\n"
+"\n"
+"If ELinks displays a incomplete page or garbage, try disabling this option. "
+"If that helps, there may be a bug in the decompression part of ELinks. "
+"Please report such bugs.\n"
+"\n"
+"If ELinks has been compiled without compression support, this option has no "
+"effect. To check the supported features, see Help -> About."
+msgstr ""
+
+#: src/protocol/http/http.c:202
 msgid "Activate HTTP TRACE debugging"
 msgstr "Aktivr fejlsgning med HTTP-sporing"
 
-#: src/protocol/http/http.c:183
+#: src/protocol/http/http.c:204
+#, fuzzy
 msgid ""
-"If active, all HTTP requests are sent with TRACE as their method\n"
-"rather than GET or POST. This is useful for debugging of both ELinks\n"
-"and various server-side scripts --- the server only returns the client's\n"
-"request back to the client verbatim. Note that this type of request may\n"
-"not be enabled on all servers."
+"If active, all HTTP requests are sent with TRACE as their method rather than "
+"GET or POST. This is useful for debugging of both ELinks and various server-"
+"side scripts --- the server only returns the client's request back to the "
+"client verbatim. Note that this type of request may not be enabled on all "
+"servers."
 msgstr ""
 "Hvis aktiveret, vil alle HTTP-foresprgsler blive afsendt\n"
 "med TRACE som metode og ikke GET eller POST. Dette er\n"
@@ -7853,19 +8014,21 @@ msgstr ""
 "er i stand til dette."
 
 #. OSNews.com is supposed to be relying on the textmode token, at least.
-#: src/protocol/http/http.c:190
+#: src/protocol/http/http.c:212
 msgid "User-agent identification"
 msgstr "Identifikation af brugeragent"
 
-#: src/protocol/http/http.c:192
+#: src/protocol/http/http.c:214
+#, fuzzy
 msgid ""
-"Change the User Agent ID. That means identification string, which\n"
-"is sent to HTTP server when a document is requested. The 'textmode'\n"
-"token in the first field is our silent attempt to establish this as\n"
-"a standard for new textmode user agents, so that the webmasters can\n"
-"have just a single uniform test for these if they are e.g. pushing\n"
-"some lite version to them automagically.\n"
+"Change the User Agent ID. That means identification string, which is sent to "
+"HTTP server when a document is requested. The 'textmode' token in the first "
+"field is our silent attempt to establish this as a standard for new textmode "
+"user agents, so that the webmasters can have just a single uniform test for "
+"these if they are e.g. pushing some lite version to them automagically.\n"
+"\n"
 "Use \" \" if you don't want any User-Agent header to be sent at all.\n"
+"\n"
 "%v in the string means ELinks version,\n"
 "%s in the string means system identification,\n"
 "%t in the string means size of the terminal,\n"
@@ -7884,29 +8047,30 @@ msgstr ""
 "%t erstattes med strrelsen af terminalen\n"
 "%b erstattes med antallet af bjlker der vises af ELinks."
 
-#: src/protocol/http/http.c:205
+#: src/protocol/http/http.c:231
 msgid "HTTPS"
 msgstr "HTTPS"
 
-#: src/protocol/http/http.c:207
+#: src/protocol/http/http.c:233
 msgid "HTTPS-specific options."
 msgstr "HTTPS-specifikke indstillinger."
 
-#: src/protocol/http/http.c:211
+#: src/protocol/http/http.c:237
 msgid "HTTPS proxy configuration."
 msgstr "Opstning af HTTPS-proxy."
 
-#: src/protocol/http/http.c:215
+#: src/protocol/http/http.c:241
+#, fuzzy
 msgid ""
-"Host and port-number (host:port) of the HTTPS CONNECT proxy, or blank.\n"
-"If it's blank, HTTPS_PROXY environment variable is checked as well."
+"Host and port-number (host:port) of the HTTPS CONNECT proxy, or blank. If "
+"it's blank, HTTPS_PROXY environment variable is checked as well."
 msgstr ""
 "Vrtsnavn og portnummer (host:port) p proxyserveren\n"
 "HTTPS CONNECT. Hvis ingen vrdi angives her, vil\n"
 "miljvariablen HTTPS_PROXY blive anvendt hvis den er sat."
 
 #. name:
-#: src/protocol/nntp/nntp.c:32 src/protocol/nntp/nntp.c:65
+#: src/protocol/nntp/nntp.c:32 src/protocol/nntp/nntp.c:66
 msgid "NNTP"
 msgstr "NNTP"
 
@@ -7919,23 +8083,25 @@ msgid "Default news server"
 msgstr "Forvalgt nyhedsserver"
 
 #: src/protocol/nntp/nntp.c:38
+#, fuzzy
 msgid ""
-"Used when resolving news: URIs. If set to the empty string\n"
-"the value of the NNTPSERVER environment variable will be used."
+"Used when resolving news: URIs. If set to the empty string the value of the "
+"NNTPSERVER environment variable will be used."
 msgstr ""
 "Anvendes ved hndtering af news:-adresser til at omskrive til\n"
 "nntp:-adresser. Hvis sat til den tomme streng, vil miljvariablen\n"
 "NNTPSERVER blive anvendt i stedet."
 
-#: src/protocol/nntp/nntp.c:41
+#: src/protocol/nntp/nntp.c:42
 msgid "Message header entries"
 msgstr "Visning af linjer fra protokolhoved i besked"
 
-#: src/protocol/nntp/nntp.c:43
+#: src/protocol/nntp/nntp.c:44
+#, fuzzy
 msgid ""
-"Comma separated list of which entries in the article header\n"
-"to show. E.g. 'Subject' and 'From'.\n"
-"All header entries can be read in the header info dialog."
+"Comma separated list of which entries in the article header to show. E.g. "
+"'Subject' and 'From'. All header entries can be read in the header info "
+"dialog."
 msgstr ""
 "Kommasepareret liste over linjer fra artiklens protokolhoved\n"
 "som skal vises. Eksempelvis 'Subject' eller 'From'.\n"
@@ -7959,11 +8125,11 @@ msgid "No-proxy domains"
 msgstr "Ingen-proxy-domner"
 
 #: src/protocol/protocol.c:279
+#, fuzzy
 msgid ""
-"Comma separated list of domains for which the proxy (HTTP/FTP)\n"
-"should be disabled. Optionally, a port can be specified for some\n"
-"domains as well. If it's blank, NO_PROXY environment variable is\n"
-"checked as well."
+"Comma separated list of domains for which the proxy (HTTP/FTP) should be "
+"disabled. Optionally, a port can be specified for some domains as well. If "
+"it's blank, NO_PROXY environment variable is checked as well."
 msgstr ""
 "Kommasepareret liste over domner hvor HTTP-/FTP-proxy\n"
 "skal deaktiveres. Man kan ogs angive et portnummer.\n"
@@ -7980,12 +8146,12 @@ msgid "URI rewriting"
 msgstr "Adresseomskrivning"
 
 #: src/protocol/rewrite/rewrite.c:46
+#, fuzzy
 msgid ""
-"Rules for rewriting URIs entered in the goto dialog.\n"
-"It makes it possible to define a set of prefixes that will\n"
-"be expanded if they match a string entered in the goto dialog.\n"
-"The prefixes can be dumb, meaning that they work only like\n"
-"URI abbreviations, or smart ones, making it possible to pass\n"
+"Rules for rewriting URIs entered in the goto dialog. It makes it possible to "
+"define a set of prefixes that will be expanded if they match a string "
+"entered in the goto dialog. The prefixes can be dumb, meaning that they work "
+"only like URI abbreviations, or smart ones, making it possible to pass "
 "arguments to them like search engine keywords."
 msgstr ""
 "Regler for adresseomskrivning i dialogboksen \"G til adresse\".\n"
@@ -7995,47 +8161,48 @@ msgstr ""
 "eller de kan vre smarte, og her er det muligt at lade dem\n"
 "ledsage af argumenter som f.eks. sgeord til en sgemaskine."
 
-#: src/protocol/rewrite/rewrite.c:53
+#: src/protocol/rewrite/rewrite.c:54
 msgid "Enable dumb prefixes"
 msgstr "Aktivr simple prfikser"
 
-#: src/protocol/rewrite/rewrite.c:55
+#: src/protocol/rewrite/rewrite.c:56
+#, fuzzy
 msgid ""
-"Enable dumb prefixes - simple URI abbreviations which can\n"
-"be written to the Goto URL dialog instead of actual URIs - i.e.\n"
-"if you write 'elinks' there, you are directed to\n"
-"http://elinks.cz/."
+"Enable dumb prefixes - simple URI abbreviations which can be written to the "
+"Goto URL dialog instead of actual URIs - i.e. if you write 'elinks' there, "
+"you are directed to http://elinks.cz/."
 msgstr ""
 "Anvend simple prfikser - simple URI forkortelser som skrives\n"
 "i G til adresse dialogvinduet i stedet for de egentlige adresser.\n"
 "Eksempelvis kan du skrive 'elinks' og blive omdirigeret til\n"
 "http://elinks.cz/."
 
-#: src/protocol/rewrite/rewrite.c:60
+#: src/protocol/rewrite/rewrite.c:61
 msgid "Enable smart prefixes"
 msgstr "Aktivr smarte prfikser"
 
-#: src/protocol/rewrite/rewrite.c:62
+#: src/protocol/rewrite/rewrite.c:63
+#, fuzzy
 msgid ""
-"Enable smart prefixes - URI templates triggered by writing\n"
-"given abbreviation to the Goto URL dialog followed by a list\n"
-"of arguments from which the actual URI is composed - i.e.\n"
-"'gg:search keywords' or 'gn search keywords for news'."
+"Enable smart prefixes - URI templates triggered by writing given "
+"abbreviation to the Goto URL dialog followed by a list of arguments from "
+"which the actual URI is composed - i.e. 'gg:search keywords' or 'gn search "
+"keywords for news'."
 msgstr ""
 "Anvend smarte prfikser - adresseskabeloner der kan bruges ved\n"
 "at skrive en given forkortelse i \"G til adresse\"-dialogvinduet\n"
 "efterfulgt af en liste argumenter hvorfra den endelige adresse\n"
 "sammensttes. Eksempler: 'gg:sgeord' eller 'gn sgeord for news'."
 
-#: src/protocol/rewrite/rewrite.c:67
+#: src/protocol/rewrite/rewrite.c:69
 msgid "Dumb Prefixes"
 msgstr "Simple prfikser"
 
-#: src/protocol/rewrite/rewrite.c:69
+#: src/protocol/rewrite/rewrite.c:71
 msgid "Dumb prefixes, see enable-dumb description for details."
 msgstr "Definerede simple prfikser, se enable-dump beskrivelse for detaljer."
 
-#: src/protocol/rewrite/rewrite.c:74
+#: src/protocol/rewrite/rewrite.c:76
 #, no-c-format
 msgid ""
 "Replacement URI for this dumbprefix:\n"
@@ -8046,15 +8213,15 @@ msgstr ""
 "%c erstattes med af den aktuelle adresse\n"
 "%% erstattes med '%'"
 
-#: src/protocol/rewrite/rewrite.c:78
+#: src/protocol/rewrite/rewrite.c:80
 msgid "Smart Prefixes"
 msgstr "Smarte prfikser"
 
-#: src/protocol/rewrite/rewrite.c:80
+#: src/protocol/rewrite/rewrite.c:82
 msgid "Smart prefixes, see enable-smart description for details."
 msgstr "Smarte prfikser, se enable-smart beskrivelse for detaljer."
 
-#: src/protocol/rewrite/rewrite.c:87
+#: src/protocol/rewrite/rewrite.c:90
 #, no-c-format
 msgid ""
 "Replacement URI for this smartprefix:\n"
@@ -8069,21 +8236,23 @@ msgstr ""
 "%0,%1,...,%9 erstattes med det 0., 1., ..., 9. argument\n"
 "%% erstattes med \"%\""
 
-#: src/protocol/rewrite/rewrite.c:93
+#: src/protocol/rewrite/rewrite.c:96
 msgid "Default template"
 msgstr "Standard skabelon"
 
-#: src/protocol/rewrite/rewrite.c:96
+#: src/protocol/rewrite/rewrite.c:99
 #, fuzzy, no-c-format
 msgid ""
-"Default URI template used when the string entered in\n"
-"the goto dialog does not appear to be a URI or a filename\n"
-"(i.e. contains no '.', ':' or '/' characters), and does\n"
-"not match any defined prefixes. Set the value to \"\" to\n"
-"disable use of the default template rewrite rule.\n"
+"Default URI template used when the string entered in the goto dialog does "
+"not appear to be a URI or a filename (i.e. contains no '.', ':' or '/' "
+"characters), and does not match any defined prefixes. Set the value to \"\" "
+"to disable use of the default template rewrite rule.\n"
+"\n"
 "%c in the template means the current URL,\n"
-"%s in the template means the whole string from the goto dialog,\n"
-"%0,%1,...,%9 mean the 1st,2nd,...,10th space-delimited part of %s,\n"
+"%s in the template means the whole string from the goto\n"
+"   dialog,\n"
+"%0,%1,...,%9 mean the 1st,2nd,...,10th space-delimited part\n"
+"   of %s,\n"
 "%% in the template means '%'."
 msgstr ""
 "Standard omskrivningsskabelon som bruges nr en streng indtastet\n"
@@ -8097,7 +8266,7 @@ msgstr ""
 "%% erstattes med \"%\"."
 
 #. name:
-#: src/protocol/rewrite/rewrite.c:372
+#: src/protocol/rewrite/rewrite.c:378
 msgid "URI rewrite"
 msgstr "Adresseomskrivning"
 
@@ -8119,30 +8288,31 @@ msgid "Credentials file passed to smbcli
 msgstr "Fil med akkreditiver som gives til smbclient med parameteren -A."
 
 #. name:
-#: src/protocol/user.c:34 src/protocol/user.c:84
+#: src/protocol/user.c:34 src/protocol/user.c:85
 msgid "User protocols"
 msgstr "Brugerdefinerede protokoller"
 
 #: src/protocol/user.c:36
+#, fuzzy
 msgid ""
-"User protocols. Options in this tree specify external\n"
-"handlers for the appropriate protocols. Ie.\n"
-"protocol.user.mailto.unix."
+"User protocols. Options in this tree specify external handlers for the "
+"appropriate protocols. Ie. protocol.user.mailto.unix."
 msgstr ""
 "Brugerdefinerede protokoller. Indstillinger i dette tr\n"
 "angiver eksterne programhndteringer for de relevante\n"
 "protokoller. F.eks. protocol.user.mailto.unix."
 
 #: src/protocol/user.c:47
+#, fuzzy
 msgid ""
-"Handler (external program) for this protocol. Name the\n"
-"options in this tree after your system (ie. unix, unix-xwin)."
+"Handler (external program) for this protocol. Name the options in this tree "
+"after your system (ie. unix, unix-xwin)."
 msgstr ""
 "Ekstern programhndtering for denne protokol. Navngiv\n"
 "indstillingerne i dette tr efter dit system, f.eks.\n"
 "unix, unix-xwin ..."
 
-#: src/protocol/user.c:52
+#: src/protocol/user.c:53
 msgid ""
 "Handler (external program) for this protocol and system.\n"
 "%f in the string means file name to include form data from\n"
@@ -8160,11 +8330,11 @@ msgstr ""
 "%s erstattes med emnestreng (dvs. ?subject=<emne streng>)\n"
 "%u erstattes med den fulde adresse"
 
-#: src/protocol/user.c:276
+#: src/protocol/user.c:277
 msgid "No program"
 msgstr "Intet program"
 
-#: src/protocol/user.c:278
+#: src/protocol/user.c:279
 #, c-format
 msgid "No program specified for protocol %s."
 msgstr "Intet program angivet for protokol %s."
@@ -8246,12 +8416,12 @@ msgstr "Bruger script advarsel"
 msgid "Spidermonkey ECMAScript"
 msgstr "Spidermonkey ECMAScript"
 
-#: src/session/download.c:233 src/session/download.c:330
-#: src/session/download.c:561 src/session/download.c:649
+#: src/session/download.c:256 src/session/download.c:356
+#: src/session/download.c:587 src/session/download.c:675
 msgid "Download error"
 msgstr "Downloadfejl"
 
-#: src/session/download.c:234 src/session/download.c:650
+#: src/session/download.c:257 src/session/download.c:676
 #, c-format
 msgid ""
 "Could not create file '%s':\n"
@@ -8260,7 +8430,7 @@ msgstr ""
 "Kunne ikke oprette filen \"%s\":\n"
 "%s"
 
-#: src/session/download.c:331
+#: src/session/download.c:357
 #, c-format
 msgid ""
 "Error downloading %s:\n"
@@ -8271,16 +8441,16 @@ msgstr ""
 "\n"
 "%s"
 
-#: src/session/download.c:562
+#: src/session/download.c:588
 #, c-format
 msgid "'%s' is a directory."
 msgstr "'%s' er et katalog."
 
-#: src/session/download.c:596
+#: src/session/download.c:622
 msgid "File exists"
 msgstr "Fil eksisterer"
 
-#: src/session/download.c:597
+#: src/session/download.c:623
 #, c-format
 msgid ""
 "This file already exists:\n"
@@ -8296,50 +8466,50 @@ msgstr ""
 "%s"
 
 #. accelerator_context(src/session/download.c:lookup_unique_name)
-#: src/session/download.c:604
+#: src/session/download.c:630
 msgid "Sa~ve under the alternative name"
 msgstr "Gem under det ~alternative navn"
 
 #. accelerator_context(src/session/download.c:lookup_unique_name)
-#: src/session/download.c:605
+#: src/session/download.c:631
 msgid "~Overwrite the original file"
 msgstr "~Overskriv originalfilen"
 
 #. accelerator_context(src/session/download.c:lookup_unique_name)
-#: src/session/download.c:606
+#: src/session/download.c:632
 msgid "~Resume download of the original file"
 msgstr "~Genoptag overfrsel af originalfilen"
 
-#: src/session/download.c:1109
+#: src/session/download.c:1135
 msgid "Unknown type"
 msgstr "Ukendt type"
 
-#: src/session/download.c:1134
+#: src/session/download.c:1160
 #, c-format
 msgid "What would you like to do with the file '%s' (type: %s%s%s)?"
 msgstr "Hvad vil du gre med filen \"%s\" (type: %s%s%s)?"
 
-#: src/session/download.c:1137
+#: src/session/download.c:1163
 #, c-format
 msgid "What would you like to do with the file (type: %s%s%s)?"
 msgstr "Hvad vil du gre med filen (type: %s%s%s)?"
 
-#: src/session/download.c:1165
+#: src/session/download.c:1191
 #, no-c-format
 msgid "Program ('%' will be replaced by the filename)"
 msgstr "Program (\"%\" vil blive erstattet med filnavnet)"
 
-#: src/session/download.c:1169
+#: src/session/download.c:1195
 msgid "Block the terminal"
 msgstr "Bloker terminalen"
 
-#: src/session/download.c:1175
+#: src/session/download.c:1201
 #, c-format
 msgid "The file will be opened with the program '%s'."
 msgstr "Filen vil blive bnet med programmet \"%s\"."
 
 #. accelerator_context(src/session/download.c:do_type_query)
-#: src/session/download.c:1196
+#: src/session/download.c:1222
 msgid "~Open"
 msgstr "~bn"
 
@@ -8347,12 +8517,12 @@ msgstr "~bn"
 #. * and formatting it with "%u" is safe,
 #. * because fc_maxlength is smaller than
 #. * file.length, which is an int.
-#: src/session/session.c:761 src/session/session.c:780 src/session/task.c:275
-#: src/viewer/text/textarea.c:652
+#: src/session/session.c:771 src/session/session.c:790 src/session/task.c:275
+#: src/viewer/text/textarea.c:641
 msgid "Warning"
 msgstr "Advarsel"
 
-#: src/session/session.c:762
+#: src/session/session.c:772
 #, fuzzy
 msgid ""
 "You have an empty string in protocol.http.user_agent - this was a default "
@@ -8370,7 +8540,7 @@ msgstr ""
 "standardindstillingen bruges, s slet venligst denne linje fra din "
 "opstningsfil. Sidstnvnte anbefales."
 
-#: src/session/session.c:781
+#: src/session/session.c:791
 #, fuzzy
 msgid ""
 "You have option config.saving_style set to a de facto obsolete value. The "
@@ -8392,11 +8562,11 @@ msgstr ""
 "ndres. Derfor anbefales det at stte vrdien af config.saving_style til 3 "
 "for at det fungerer korrekt."
 
-#: src/session/session.c:806
+#: src/session/session.c:816
 msgid "Welcome"
 msgstr "Velkommen"
 
-#: src/session/session.c:807
+#: src/session/session.c:817
 msgid ""
 "Welcome to ELinks!\n"
 "\n"
@@ -8455,22 +8625,22 @@ msgstr "Ugyldig terminalstrrelse: %d, %
 msgid "Warning: terminal name contains illicit chars."
 msgstr "Advarsel: terminalnavn indeholder ugyldige tegn."
 
-#: src/terminal/event.c:259
+#: src/terminal/event.c:258
 #, c-format
 msgid "Failed to create session."
 msgstr "Oprettelse af session mislykkedes."
 
-#: src/terminal/event.c:446
+#: src/terminal/event.c:443
 #, c-format
 msgid "Bad event %d"
 msgstr "Ugyldig hndelse %d"
 
-#: src/terminal/event.c:486
+#: src/terminal/event.c:483
 #, c-format
 msgid "Could not read event: %d (%s)"
 msgstr "Kunne ikke lse hndelse: %d (%s)"
 
-#: src/terminal/kbd.c:1187
+#: src/terminal/kbd.c:1210
 #, c-format
 msgid "Too many bytes read from the itrm!"
 msgstr "Lste for mange bytes fra itrm!"
@@ -8539,200 +8709,200 @@ msgstr "Manglende fragment"
 msgid "The requested fragment \"%s\" doesn't exist."
 msgstr "Det forespurgte fragment \"%s\" findes ikke."
 
-#: src/viewer/text/form.c:1092
+#: src/viewer/text/form.c:1118
 msgid "Error while posting form"
 msgstr "Fejl under afsendelse af formular"
 
-#: src/viewer/text/form.c:1093
+#: src/viewer/text/form.c:1119
 #, c-format
 msgid "Could not load file %s: %s"
 msgstr "Kunne ikke indlse filen %s: %s"
 
-#: src/viewer/text/form.c:1847
+#: src/viewer/text/form.c:1876
 msgid "Reset form"
 msgstr "Nulstil formular"
 
-#: src/viewer/text/form.c:1849
+#: src/viewer/text/form.c:1878
 msgid "Harmless button"
 msgstr "Harmls knap"
 
-#: src/viewer/text/form.c:1857
+#: src/viewer/text/form.c:1886
 msgid "Submit form to"
 msgstr "Send formular til"
 
-#: src/viewer/text/form.c:1858
+#: src/viewer/text/form.c:1887
 msgid "Post form to"
 msgstr "Send formular til"
 
-#: src/viewer/text/form.c:1860
+#: src/viewer/text/form.c:1889
 msgid "Radio button"
 msgstr "Radioknap"
 
-#: src/viewer/text/form.c:1864
+#: src/viewer/text/form.c:1893
 msgid "Select field"
 msgstr "Vlg felt"
 
-#: src/viewer/text/form.c:1868
+#: src/viewer/text/form.c:1897
 msgid "Text area"
 msgstr "Tekstomrde"
 
-#: src/viewer/text/form.c:1870
+#: src/viewer/text/form.c:1899
 msgid "File upload"
 msgstr "Fil-upload"
 
-#: src/viewer/text/form.c:1872
+#: src/viewer/text/form.c:1901
 msgid "Password field"
 msgstr "Adgangskodefelt"
 
-#: src/viewer/text/form.c:1910
+#: src/viewer/text/form.c:1939
 msgid "name"
 msgstr "navn"
 
-#: src/viewer/text/form.c:1922
+#: src/viewer/text/form.c:1951
 msgid "value"
 msgstr "vrdi"
 
-#: src/viewer/text/form.c:1935
+#: src/viewer/text/form.c:1964
 msgid "read only"
 msgstr "kun lsning"
 
-#: src/viewer/text/form.c:1946
+#: src/viewer/text/form.c:1975
 #, c-format
 msgid "press %s to navigate"
 msgstr "tast %s for at navigere"
 
-#: src/viewer/text/form.c:1948
+#: src/viewer/text/form.c:1977
 #, c-format
 msgid "press %s to edit"
 msgstr "tast %s for at redigere"
 
-#: src/viewer/text/form.c:1984
+#: src/viewer/text/form.c:2013
 #, c-format
 msgid "press %s to submit to %s"
 msgstr "tast %s for at indsende til %s"
 
-#: src/viewer/text/form.c:1986
+#: src/viewer/text/form.c:2015
 #, c-format
 msgid "press %s to post to %s"
 msgstr "tast %s for at sende til %s"
 
-#: src/viewer/text/form.c:2088
+#: src/viewer/text/form.c:2117
 msgid "Useless button"
 msgstr "Harmls knap"
 
-#: src/viewer/text/form.c:2090
+#: src/viewer/text/form.c:2119
 msgid "Submit button"
 msgstr "Sendknap"
 
 #. accelerator_context(link_menu.map)
-#: src/viewer/text/link.c:1281
+#: src/viewer/text/link.c:1280
 msgid "Display ~usemap"
 msgstr "Vis ~usemap"
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1286
+#: src/viewer/text/link.c:1285
 msgid "~Follow link"
 msgstr "F~lg link"
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1288
+#: src/viewer/text/link.c:1287
 msgid "Follow link and r~eload"
 msgstr "Flg link og ~genindls"
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1292
+#: src/viewer/text/link.c:1291
 msgid "Open in new ~window"
 msgstr "bn i nyt ~vindue"
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1294
+#: src/viewer/text/link.c:1293
 msgid "Open in new ~tab"
 msgstr "bn i nyt ~faneblad"
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1296
+#: src/viewer/text/link.c:1295
 msgid "Open in new tab in ~background"
 msgstr "bn i nyt faneblad i ~baggrunden"
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1301
+#: src/viewer/text/link.c:1300
 msgid "~Download link"
 msgstr "~Hent link"
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1304
+#: src/viewer/text/link.c:1303
 msgid "~Add link to bookmarks"
 msgstr "Tilfj ~link til bogmrker"
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1308
+#: src/viewer/text/link.c:1307
 msgid "Pass link URI to e~xternal command"
 msgstr "Videregiv linkadresse til ekstern ~kommando"
 
 #. accelerator_context(link_menu.form, link_menu.reset, link_menu.textarea)
-#: src/viewer/text/link.c:1319 src/viewer/text/link.c:1359
+#: src/viewer/text/link.c:1318 src/viewer/text/link.c:1358
 msgid "~Reset form"
 msgstr "~Nulstil formular"
 
 #. accelerator_context(link_menu.textarea)
-#: src/viewer/text/link.c:1334
+#: src/viewer/text/link.c:1333
 msgid "Open in ~external editor"
 msgstr "bn i en ~ekstern tekstbehandler"
 
 #. accelerator_context(link_menu.form, link_menu.textarea)
-#: src/viewer/text/link.c:1342
+#: src/viewer/text/link.c:1341
 msgid "~Submit form"
 msgstr "Ind~send formular"
 
 #. accelerator_context(link_menu.form, link_menu.textarea)
-#: src/viewer/text/link.c:1343
+#: src/viewer/text/link.c:1342
 msgid "Submit form and rel~oad"
 msgstr "Indsend formular og ~genindls"
 
 #. accelerator_context(link_menu.form, link_menu.textarea)
-#: src/viewer/text/link.c:1347
+#: src/viewer/text/link.c:1346
 msgid "Submit form and open in new ~window"
 msgstr "Indsend formular og bn i nyt ~vindue"
 
 #. accelerator_context(link_menu.form, link_menu.textarea)
-#: src/viewer/text/link.c:1349
+#: src/viewer/text/link.c:1348
 msgid "Submit form and open in new ~tab"
 msgstr "Indsend formular og bn i nyt ~faneblad"
 
 #. accelerator_context(link_menu.form, link_menu.textarea)
-#: src/viewer/text/link.c:1352
+#: src/viewer/text/link.c:1351
 msgid "Submit form and open in new tab in ~background"
 msgstr "Indsend formular og ben i nyt faneblad i ~baggrunden"
 
 #. accelerator_context(link_menu.form, link_menu.textarea)
-#: src/viewer/text/link.c:1357
+#: src/viewer/text/link.c:1356
 msgid "Submit form and ~download"
 msgstr "Indsend formular og ~overfr fil"
 
 #. accelerator_context(link_menu.form, link_menu.reset, link_menu.textarea)
-#: src/viewer/text/link.c:1364
+#: src/viewer/text/link.c:1363
 msgid "Form f~ields"
 msgstr "Form~ularfelter"
 
 #. accelerator_context(link_menu.form, link_menu.map, link_menu.std)
-#: src/viewer/text/link.c:1371
+#: src/viewer/text/link.c:1370
 msgid "V~iew image"
 msgstr "V~is billede"
 
 #. accelerator_context(link_menu.form, link_menu.map, link_menu.std)
-#: src/viewer/text/link.c:1373
+#: src/viewer/text/link.c:1372
 msgid "Download ima~ge"
 msgstr "Hent bille~de"
 
-#: src/viewer/text/link.c:1382
+#: src/viewer/text/link.c:1381
 msgid "No link selected"
 msgstr "Ingen links valgt"
 
-#: src/viewer/text/link.c:1452
+#: src/viewer/text/link.c:1451
 msgid "Image"
 msgstr "Billede"
 
-#: src/viewer/text/link.c:1457
+#: src/viewer/text/link.c:1456
 msgid "Usemap"
 msgstr "Usemap"
 
@@ -8741,84 +8911,84 @@ msgstr "Usemap"
 msgid "Marks"
 msgstr ""
 
-#: src/viewer/text/search.c:1083
+#: src/viewer/text/search.c:1099
 msgid "Search hit top, continuing at bottom."
 msgstr "Sgning nede toppen, fortstter fra bunden."
 
-#: src/viewer/text/search.c:1084
+#: src/viewer/text/search.c:1100
 msgid "Search hit bottom, continuing at top."
 msgstr "Sgning nede bunden, fortstter fra toppen."
 
-#: src/viewer/text/search.c:1087
+#: src/viewer/text/search.c:1103
 msgid "No previous search"
 msgstr "Ingen tidligere sgning"
 
-#: src/viewer/text/search.c:1099
+#: src/viewer/text/search.c:1115
 #, c-format
 msgid "Could not compile regular expression '%s'"
 msgstr "Kunne ikke overstte regulrt udtryk \"%s\""
 
-#: src/viewer/text/search.c:1143
+#: src/viewer/text/search.c:1159
 #, c-format
 msgid "No further matches for '%s'."
 msgstr "Ikke flere trffere for \"%s\"."
 
-#: src/viewer/text/search.c:1145
+#: src/viewer/text/search.c:1161
 #, c-format
 msgid "Could not find a link with the text '%s'."
 msgstr "Kunne ikke finde et link med teksten \"%s\"."
 
-#: src/viewer/text/search.c:1147 src/viewer/text/search.c:1558
+#: src/viewer/text/search.c:1163 src/viewer/text/search.c:1576
 msgid "Typeahead"
 msgstr "Tast og find"
 
-#: src/viewer/text/search.c:1560
+#: src/viewer/text/search.c:1578
 #, c-format
 msgid "No links in current document"
 msgstr "Ingen links i det aktuelle dokument"
 
-#: src/viewer/text/search.c:1643
+#: src/viewer/text/search.c:1661
 msgid "Search for text"
 msgstr "Sg efter tekst"
 
-#: src/viewer/text/search.c:1679
+#: src/viewer/text/search.c:1697
 msgid "Normal search"
 msgstr "Normal sgning"
 
-#: src/viewer/text/search.c:1680
+#: src/viewer/text/search.c:1698
 msgid "Regexp search"
 msgstr "Sgning med regulrt udtryk"
 
-#: src/viewer/text/search.c:1681
+#: src/viewer/text/search.c:1699
 msgid "Extended regexp search"
 msgstr "Sgning med udvidet regulrt udtryk"
 
-#: src/viewer/text/search.c:1683
+#: src/viewer/text/search.c:1701
 msgid "Case sensitive"
 msgstr "Versalflsom"
 
-#: src/viewer/text/search.c:1684
+#: src/viewer/text/search.c:1702
 msgid "Case insensitive"
 msgstr "Ikke versalflsom"
 
-#: src/viewer/text/search.c:1708
+#: src/viewer/text/search.c:1726
 msgid "Search backward"
 msgstr "Sg bagud"
 
 #. name:
-#: src/viewer/text/search.c:1747
+#: src/viewer/text/search.c:1765
 msgid "Search History"
 msgstr "Sgningshistorik"
 
-#: src/viewer/text/textarea.c:595
+#: src/viewer/text/textarea.c:584
 msgid "You cannot launch an external editor in the anonymous mode."
 msgstr "Man kan ikke bne en ekstern editor i tilstanden anonymous."
 
-#: src/viewer/text/textarea.c:602
+#: src/viewer/text/textarea.c:591
 msgid "You can do this only on the master terminal"
 msgstr "Dette er kun muligt i masterterminalen"
 
-#: src/viewer/text/textarea.c:655
+#: src/viewer/text/textarea.c:644
 #, c-format
 msgid ""
 "You have exceeded the textarea's size limit: your input is %d bytes, but the "
@@ -8836,11 +9006,11 @@ msgstr "G til link"
 msgid "Enter link number"
 msgstr "Skriv nummer p link"
 
-#: src/viewer/text/view.c:1627
+#: src/viewer/text/view.c:1628
 msgid "Save error"
 msgstr "Fejl ved skrivning"
 
-#: src/viewer/text/view.c:1628
+#: src/viewer/text/view.c:1629
 msgid "Error writing to file"
 msgstr "Fejl ved skrivning til fil"
 
@@ -8853,10 +9023,3 @@ msgstr "Stopur"
 #: src/viewer/viewer.c:25
 msgid "Viewer"
 msgstr "Fremviser"
-
-#~ msgid ""
-#~ "Verify the peer's SSL certificate. Note that this\n"
-#~ "probably doesn't work properly at all with GnuTLS."
-#~ msgstr ""
-#~ "Verificr vrtsserverens SSL-certifikat. Bemrk at dette\n"
-#~ "sandsynligvis ikke virker ordentligt med GnuTLS."
Binary files 0.12~pre2.dfsg0-1/po/de.gmo and 0.12~pre4-1/po/de.gmo differ
diff -pruN 0.12~pre2.dfsg0-1/po/de.po 0.12~pre4-1/po/de.po
--- 0.12~pre2.dfsg0-1/po/de.po	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/po/de.po	2009-05-31 09:48:47.000000000 +0100
@@ -10,7 +10,7 @@ msgid ""
 msgstr ""
 "Project-Id-Version: ELinks 0.9.CVS\n"
 "Report-Msgid-Bugs-To: elinks-users@linuxfromscratch.org\n"
-"POT-Creation-Date: 2008-09-21 11:13+0300\n"
+"POT-Creation-Date: 2009-05-31 01:57+0300\n"
 "PO-Revision-Date: 2005-06-14 20:52+0200\n"
 "Last-Translator: Jens Seidel <jensseidel@users.sf.net>\n"
 "Language-Team: German <de@li.org>\n"
@@ -41,7 +41,7 @@ msgstr "Drcken Sie die Leertaste um die
 #: src/mime/dialogs.c:132 src/protocol/auth/dialogs.c:115
 #: src/protocol/protocol.c:246 src/scripting/lua/core.c:399
 #: src/scripting/lua/core.c:480 src/scripting/python/dialogs.c:86
-#: src/session/session.c:811 src/viewer/text/search.c:1686
+#: src/session/session.c:821 src/viewer/text/search.c:1704
 #, fuzzy
 msgid "~OK"
 msgstr "OK"
@@ -59,13 +59,13 @@ msgid "Sorry, but the item \"%s\" is bei
 msgstr "Der Eintrag \"%s\" wird schon benutzt."
 
 #. cant_delete_folder
-#: src/bfu/hierbox.c:558 src/bookmarks/dialogs.c:121
+#: src/bfu/hierbox.c:558 src/bookmarks/dialogs.c:153
 #, c-format
 msgid "Sorry, but the folder \"%s\" cannot be deleted."
 msgstr "Der Ordner \"%s\" kann nicht gelscht werden."
 
 #. cant_delete_used_folder
-#: src/bfu/hierbox.c:561 src/bookmarks/dialogs.c:123
+#: src/bfu/hierbox.c:561 src/bookmarks/dialogs.c:155
 #, c-format
 msgid "Sorry, but the folder \"%s\" is being used by something else."
 msgstr "Der Ordner \"%s\" wird schon benutzt."
@@ -81,7 +81,7 @@ msgid "Delete marked items?"
 msgstr "Die markierten Eintrge lschen?"
 
 #. delete_folder_title
-#: src/bfu/hierbox.c:570 src/bookmarks/dialogs.c:129
+#: src/bfu/hierbox.c:570 src/bookmarks/dialogs.c:161
 msgid "Delete folder"
 msgstr "Ordner Lschen"
 
@@ -140,13 +140,13 @@ msgstr "Ja"
 msgid "~No"
 msgstr "Nein"
 
-#: src/bfu/hierbox.c:945 src/bfu/hierbox.c:976 src/viewer/text/search.c:1090
-#: src/viewer/text/search.c:1098 src/viewer/text/search.c:1114
-#: src/viewer/text/search.c:1705
+#: src/bfu/hierbox.c:945 src/bfu/hierbox.c:976 src/viewer/text/search.c:1106
+#: src/viewer/text/search.c:1114 src/viewer/text/search.c:1130
+#: src/viewer/text/search.c:1723
 msgid "Search"
 msgstr "Suche"
 
-#: src/bfu/hierbox.c:947 src/viewer/text/search.c:1091
+#: src/bfu/hierbox.c:947 src/viewer/text/search.c:1107
 #, c-format
 msgid "Search string '%s' not found"
 msgstr "Zeichenfolge '%s' konnte nicht gefunden werden"
@@ -185,8 +185,8 @@ msgstr "Zeichenfolge darf nicht leer sei
 #: src/dialogs/options.c:237 src/dialogs/options.c:316 src/mime/dialogs.c:133
 #: src/protocol/auth/dialogs.c:116 src/protocol/bittorrent/dialogs.c:814
 #: src/scripting/lua/core.c:400 src/scripting/lua/core.c:481
-#: src/session/download.c:607 src/session/download.c:1219
-#: src/viewer/text/search.c:1687
+#: src/session/download.c:633 src/session/download.c:1245
+#: src/viewer/text/search.c:1705
 #, fuzzy
 msgid "~Cancel"
 msgstr "Abbruch"
@@ -199,8 +199,8 @@ msgstr "Uhr"
 msgid "Digital clock in the status bar."
 msgstr "Digitale Uhrzeit in der Statuszeile."
 
-#: src/bfu/leds.c:77 src/bfu/leds.c:94 src/config/options.inc:1199
-#: src/config/options.inc:1206 src/ecmascript/ecmascript.c:45
+#: src/bfu/leds.c:77 src/bfu/leds.c:94 src/config/options.inc:1272
+#: src/config/options.inc:1279 src/ecmascript/ecmascript.c:45
 #: src/globhist/globhist.c:64 src/mime/backend/mailcap.c:93
 #: src/mime/backend/mimetypes.c:52 src/network/ssl/ssl.c:81
 msgid "Enable"
@@ -216,9 +216,9 @@ msgid "Format"
 msgstr "Format"
 
 #: src/bfu/leds.c:83
+#, fuzzy
 msgid ""
-"Format string for the digital clock. See the strftime(3)\n"
-"manpage for details."
+"Format string for the digital clock. See the strftime(3) manpage for details."
 msgstr ""
 "Format Zeichenkette fr die digitale Zeitanzeige. Details dazu\n"
 "sind in der manpage von strftime(3) zu finden."
@@ -232,9 +232,9 @@ msgid "LEDs (visual indicators) options.
 msgstr "Optionen fr LEDs (visuelle Indikatoren)."
 
 #: src/bfu/leds.c:96
+#, fuzzy
 msgid ""
-"Enable LEDs.\n"
-"These visual indicators will inform you about various states."
+"Enable LEDs. These visual indicators will inform you about various states."
 msgstr ""
 "LEDs aktivieren.\n"
 "Diese visuellen Indikatoren informieren ber verschiedene Zustnde."
@@ -265,33 +265,33 @@ msgstr ""
 msgid "Search menu/"
 msgstr "Suche in Menu/"
 
-#: src/bookmarks/backend/xbel.c:97
+#: src/bookmarks/backend/xbel.c:105
 #, c-format
 msgid "read_bookmarks_xbel(): Error in XML_ParserCreate()"
 msgstr ""
 
-#: src/bookmarks/backend/xbel.c:108
+#: src/bookmarks/backend/xbel.c:116
 #, c-format
 msgid "read_bookmarks_xbel(): Error reading %s"
 msgstr ""
 
-#: src/bookmarks/backend/xbel.c:116
+#: src/bookmarks/backend/xbel.c:124
 #, c-format
 msgid ""
 "Parse error while processing XBEL bookmarks in %s at line %d column %d:\n"
 "%s"
 msgstr ""
 
-#: src/bookmarks/backend/xbel.c:390 src/bookmarks/backend/xbel.c:411
+#: src/bookmarks/backend/xbel.c:388 src/bookmarks/backend/xbel.c:410
 msgid "No title"
 msgstr "Kein Titel"
 
-#: src/bookmarks/backend/xbel.c:396
+#: src/bookmarks/backend/xbel.c:394
 msgid "No URL"
 msgstr "Keine URL"
 
 #. name:
-#: src/bookmarks/bookmarks.c:48 src/bookmarks/bookmarks.c:181
+#: src/bookmarks/bookmarks.c:48 src/bookmarks/bookmarks.c:183
 msgid "Bookmarks"
 msgstr "Lesezeichen"
 
@@ -299,7 +299,7 @@ msgstr "Lesezeichen"
 msgid "Bookmark options."
 msgstr "Lesezeichen-Optionen."
 
-#: src/bookmarks/bookmarks.c:53 src/bookmarks/bookmarks.c:59
+#: src/bookmarks/bookmarks.c:53 src/bookmarks/bookmarks.c:60
 msgid "File format"
 msgstr "Datei-Format"
 
@@ -308,60 +308,56 @@ msgstr "Datei-Format"
 msgid ""
 "File format for bookmarks (affects both reading and saving):\n"
 "0 is the default native ELinks format\n"
-"1 is XBEL universal XML bookmarks format (ELinks bug 153: NO NATIONAL CHARS "
-"SUPPORT!)"
+"1 is XBEL universal XML bookmarks format"
 msgstr ""
 "Datei-Format fr Lesezeichen (betrifft Lesen und Schreiben):\n"
 "0 ist das normale ELinks-Format (kompatibel zu Links 0.9x)\n"
 "1 ist XBEL universelle XML-Lesezeichen-Format (Es werden keine\n"
 "  nationalen Zeichen untersttzt!) (ABGESCHALTET)"
 
-#: src/bookmarks/bookmarks.c:61
+#: src/bookmarks/bookmarks.c:62
 #, fuzzy
 msgid ""
 "File format for bookmarks (affects both reading and saving):\n"
 "0 is the default native ELinks format\n"
-"1 is XBEL universal XML bookmarks format (ELinks bug 153: NO NATIONAL CHARS "
-"SUPPORT!)  (DISABLED)"
+"1 is XBEL universal XML bookmarks format  (DISABLED)"
 msgstr ""
 "Datei-Format fr Lesezeichen (betrifft Lesen und Schreiben):\n"
 "0 ist das normale ELinks-Format (kompatibel zu Links 0.9x)\n"
 "1 ist XBEL universelle XML-Lesezeichen-Format (Es werden keine\n"
 "  nationalen Zeichen untersttzt!) (ABGESCHALTET)"
 
-#: src/bookmarks/bookmarks.c:67
+#: src/bookmarks/bookmarks.c:68
 #, fuzzy
 msgid "Save folder state"
 msgstr "Name des Ordners eingeben"
 
-#: src/bookmarks/bookmarks.c:69
+#: src/bookmarks/bookmarks.c:70
 msgid ""
-"When saving bookmarks also store whether folders are\n"
-"expanded or not, so the look of the bookmark dialog is\n"
-"kept across ELinks sessions. If disabled all folders will\n"
-"appear unexpanded next time ELinks is run."
+"When saving bookmarks also store whether folders are expanded or not, so the "
+"look of the bookmark dialog is kept across ELinks sessions. If disabled all "
+"folders will appear unexpanded next time ELinks is run."
 msgstr ""
 
-#: src/bookmarks/bookmarks.c:74
+#: src/bookmarks/bookmarks.c:75
 msgid "Periodic snapshotting"
 msgstr ""
 
-#: src/bookmarks/bookmarks.c:76
+#: src/bookmarks/bookmarks.c:77
 msgid ""
-"Automatically save a snapshot of all tabs periodically.\n"
-"This will periodically bookmark the tabs of each terminal in a separate "
-"folder\n"
-"for recovery after a crash.\n"
+"Automatically save a snapshot of all tabs periodically. This will "
+"periodically bookmark the tabs of each terminal in a separate folder for "
+"recovery after a crash.\n"
 "\n"
 "This feature requires bookmark support."
 msgstr ""
 
-#: src/bookmarks/dialogs.c:72 src/config/options.inc:1051
+#: src/bookmarks/dialogs.c:97 src/config/options.inc:1120
 #: src/dialogs/document.c:145 src/globhist/dialogs.c:65
 msgid "Title"
 msgstr "Titel"
 
-#: src/bookmarks/dialogs.c:73 src/cache/dialogs.c:65
+#: src/bookmarks/dialogs.c:101 src/cache/dialogs.c:65
 #: src/dialogs/document.c:136 src/dialogs/edit.c:96 src/formhist/dialogs.c:63
 #: src/globhist/dialogs.c:66 src/protocol/auth/dialogs.c:163
 #: src/scripting/lua/core.c:397
@@ -369,81 +365,81 @@ msgid "URL"
 msgstr "URL"
 
 #. cant_delete_item
-#: src/bookmarks/dialogs.c:117
+#: src/bookmarks/dialogs.c:149
 #, fuzzy, c-format
 msgid "Sorry, but the bookmark \"%s\" cannot be deleted."
 msgstr "Ups, Lesezeichen \"%s\" kann nicht gelscht werden."
 
 #. cant_delete_used_item
-#: src/bookmarks/dialogs.c:119
+#: src/bookmarks/dialogs.c:151
 #, fuzzy, c-format
 msgid "Sorry, but the bookmark \"%s\" is being used by something else."
 msgstr "Ups, aber das Lesezeichen \"%s\" wird schon benutzt."
 
 #. delete_marked_items_title
-#: src/bookmarks/dialogs.c:125
+#: src/bookmarks/dialogs.c:157
 msgid "Delete marked bookmarks"
 msgstr "Markierte Lesezeichen lschen?"
 
 #. delete_marked_items
-#: src/bookmarks/dialogs.c:127
+#: src/bookmarks/dialogs.c:159
 msgid "Delete marked bookmarks?"
 msgstr "Markierte Lesezeichen lschen?"
 
 #. delete_folder
-#: src/bookmarks/dialogs.c:131
+#: src/bookmarks/dialogs.c:163
 #, fuzzy, c-format
 msgid "Delete the folder \"%s\" and all bookmarks in it?"
 msgstr "Den Ordner \"%s\" und alle darin enthaltenen Lesezeichen lschen?"
 
 #. delete_item_title
-#: src/bookmarks/dialogs.c:133
+#: src/bookmarks/dialogs.c:165
 msgid "Delete bookmark"
 msgstr "Lesezeichen lschen?"
 
-#: src/bookmarks/dialogs.c:135
+#: src/bookmarks/dialogs.c:167
 #, c-format
 msgid "Delete this bookmark?"
 msgstr "Dieses Lesezeichen lschen?"
 
 #. clear_all_items_title
-#: src/bookmarks/dialogs.c:137
+#: src/bookmarks/dialogs.c:169
 msgid "Clear all bookmarks"
 msgstr "Alle Lesezeichen lschen?"
 
 #. clear_all_items_title
-#: src/bookmarks/dialogs.c:139
+#: src/bookmarks/dialogs.c:171
 msgid "Do you really want to remove all bookmarks?"
 msgstr "Wirklich alle Lesezeichen lschen?"
 
-#: src/bookmarks/dialogs.c:254
+#: src/bookmarks/dialogs.c:327
 msgid "Add folder"
 msgstr "Ordner erzeugen"
 
-#: src/bookmarks/dialogs.c:254
+#: src/bookmarks/dialogs.c:327
 msgid "Folder name"
 msgstr "Name des Ordners"
 
-#: src/bookmarks/dialogs.c:310 src/scripting/lua/core.c:391
+#: src/bookmarks/dialogs.c:410 src/scripting/lua/core.c:391
 msgid "Edit bookmark"
 msgstr "Bearbeiten"
 
-#: src/bookmarks/dialogs.c:461
+#: src/bookmarks/dialogs.c:567
 msgid "Cannot move folder inside itself"
 msgstr ""
 
-#: src/bookmarks/dialogs.c:462
+#: src/bookmarks/dialogs.c:568
 msgid ""
 "You are trying to move the marked folder inside itself. To move the folder "
 "to a different location select the new location before pressing the Move "
 "button."
 msgstr ""
 
-#: src/bookmarks/dialogs.c:468
+#: src/bookmarks/dialogs.c:574
 msgid "Nothing to move"
 msgstr ""
 
-#: src/bookmarks/dialogs.c:469
+#: src/bookmarks/dialogs.c:575
 msgid ""
 "To move bookmarks, first mark all the bookmarks (or folders) you want to "
 "move.  This can be done with the Insert key if you're using the default key-"
@@ -452,21 +448,21 @@ msgid ""
 msgstr ""
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons, src/cache/dialogs.c:cache_buttons, src/globhist/dialogs.c:globhist_buttons, src/protocol/auth/dialogs.c:auth_buttons)
-#: src/bookmarks/dialogs.c:487 src/cache/dialogs.c:230
+#: src/bookmarks/dialogs.c:593 src/cache/dialogs.c:230
 #: src/globhist/dialogs.c:224 src/protocol/auth/dialogs.c:261
 #, fuzzy
 msgid "~Goto"
 msgstr "ffnen"
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons, src/config/dialogs.c:option_buttons, src/cookies/dialogs.c:cookie_buttons)
-#: src/bookmarks/dialogs.c:488 src/config/dialogs.c:503
+#: src/bookmarks/dialogs.c:594 src/config/dialogs.c:503
 #: src/cookies/dialogs.c:492
 #, fuzzy
 msgid "~Edit"
 msgstr "Bearbeiten"
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons, src/cache/dialogs.c:cache_buttons, src/config/dialogs.c:keybinding_buttons, src/config/dialogs.c:option_buttons, src/cookies/dialogs.c:cookie_buttons, src/dialogs/menu.c:ext_menu, src/formhist/dialogs.c:formhist_buttons, src/globhist/dialogs.c:globhist_buttons, src/protocol/auth/dialogs.c:auth_buttons)
-#: src/bookmarks/dialogs.c:489 src/cache/dialogs.c:231
+#: src/bookmarks/dialogs.c:595 src/cache/dialogs.c:231
 #: src/config/dialogs.c:505 src/config/dialogs.c:930 src/cookies/dialogs.c:493
 #: src/dialogs/menu.c:463 src/formhist/dialogs.c:211
 #: src/globhist/dialogs.c:229 src/protocol/auth/dialogs.c:263
@@ -474,31 +470,31 @@ msgid "~Delete"
 msgstr "Lschen"
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons, src/config/dialogs.c:keybinding_buttons, src/config/dialogs.c:option_buttons, src/cookies/dialogs.c:cookie_buttons, src/dialogs/menu.c:ext_menu)
-#: src/bookmarks/dialogs.c:490 src/config/dialogs.c:504
+#: src/bookmarks/dialogs.c:596 src/config/dialogs.c:504
 #: src/config/dialogs.c:929 src/cookies/dialogs.c:490 src/dialogs/menu.c:461
 msgid "~Add"
 msgstr "Hinzufgen"
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons)
-#: src/bookmarks/dialogs.c:491
+#: src/bookmarks/dialogs.c:597
 #, fuzzy
 msgid "Add se~parator"
 msgstr "Kartenreiterabgrenzung"
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons)
-#: src/bookmarks/dialogs.c:492
+#: src/bookmarks/dialogs.c:598
 #, fuzzy
 msgid "Add ~folder"
 msgstr "Ordner erzeugen"
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons)
-#: src/bookmarks/dialogs.c:493
+#: src/bookmarks/dialogs.c:599
 #, fuzzy
 msgid "~Move"
 msgstr "Verschieben"
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons, src/cache/dialogs.c:cache_buttons, src/config/dialogs.c:keybinding_buttons, src/config/dialogs.c:option_buttons, src/dialogs/menu.c:view_menu, src/globhist/dialogs.c:globhist_buttons)
-#: src/bookmarks/dialogs.c:494 src/cache/dialogs.c:232
+#: src/bookmarks/dialogs.c:600 src/cache/dialogs.c:232
 #: src/config/dialogs.c:506 src/config/dialogs.c:932 src/dialogs/menu.c:413
 #: src/globhist/dialogs.c:230
 msgid "~Search"
@@ -506,36 +502,50 @@ msgstr "~Suche"
 
 #. This one is too dangerous, so just let user delete
 #. * the bookmarks file if needed. --Zas
-#: src/bookmarks/dialogs.c:498
+#: src/bookmarks/dialogs.c:604
 msgid "Clear"
 msgstr "Lschen"
 
 #. TODO: Would this be useful? --jonas
-#: src/bookmarks/dialogs.c:501 src/globhist/dialogs.c:235
+#: src/bookmarks/dialogs.c:607 src/globhist/dialogs.c:235
 msgid "Save"
 msgstr "Speichern"
 
-#: src/bookmarks/dialogs.c:507
+#: src/bookmarks/dialogs.c:613
 msgid "Bookmark manager"
 msgstr "Lesezeichenverwaltung"
 
-#: src/bookmarks/dialogs.c:632
+#: src/bookmarks/dialogs.c:825
 msgid "Search bookmarks"
 msgstr "In Lesezeichen suchen"
 
-#: src/bookmarks/dialogs.c:661
+#. When the user eventually pushes the OK button, BFU calls
+#. * bookmark_add_add() and gives it the struct dialog * as the
+#. * void * parameter.  However, bookmark_add_add() also needs
+#. * to know the struct terminal *, and there is no way to get
+#. * that from struct dialog.  The other bookmark dialogs work
+#. * around that by making dialog.udata point to the struct
+#. * dialog_data of the bookmark manager, but the "Add bookmark"
+#. * dialog can be triggered with ACT_MAIN_ADD_BOOKMARK, which
+#. * does not involve the bookmark manager at all.
+#. *
+#. * The solution here is to save the struct terminal * in
+#. * dialog.udata2, which the "Edit bookmark" dialog uses for
+#. * struct bookmark *.  When adding a new bookmark, we don't
+#. * need a pointer to an existing one, of course.
+#: src/bookmarks/dialogs.c:892
 msgid "Add bookmark"
 msgstr "Lesezeichen hinzufgen"
 
-#: src/bookmarks/dialogs.c:697
+#: src/bookmarks/dialogs.c:950
 msgid "Saved session"
 msgstr "Gespeicherte Sitzung"
 
-#: src/bookmarks/dialogs.c:705
+#: src/bookmarks/dialogs.c:958
 msgid "Bookmark tabs"
 msgstr "Ansichten zu den Lesezeichen hinzufgen"
 
-#: src/bookmarks/dialogs.c:705
+#: src/bookmarks/dialogs.c:958
 msgid "Enter folder name"
 msgstr "Name des Ordners eingeben"
 
@@ -547,7 +557,7 @@ msgstr "Proxy URL"
 msgid "Redirect"
 msgstr "Umleitung"
 
-#: src/cache/dialogs.c:85 src/config/options.inc:519
+#: src/cache/dialogs.c:85 src/config/options.inc:553
 #: src/dialogs/document.c:156 src/protocol/bittorrent/dialogs.c:126
 msgid "Size"
 msgstr "Gre"
@@ -593,7 +603,7 @@ msgstr "Verfallsdatum"
 msgid "ID"
 msgstr "ID"
 
-#: src/cache/dialogs.c:134 src/config/options.inc:669
+#: src/cache/dialogs.c:134 src/config/options.inc:707
 msgid "Header"
 msgstr "Kopfzeile"
 
@@ -1284,7 +1294,7 @@ msgstr "Host nicht gefunden"
 msgid "Resolver error"
 msgstr "Fehler beim Lschen"
 
-#: src/config/cmdline.c:256 src/cookies/cookies.c:841 src/network/state.c:47
+#: src/config/cmdline.c:256 src/cookies/cookies.c:843 src/network/state.c:47
 #: src/util/secsave.c:379
 msgid "Out of memory"
 msgstr "Kein RAM mehr verfgbar"
@@ -1307,60 +1317,64 @@ msgstr ""
 msgid "Remote method not supported"
 msgstr "Nicht untersttzte Remote-Methode"
 
-#: src/config/cmdline.c:452
+#: src/config/cmdline.c:437
+msgid "Out of memory formatting option documentation"
+msgstr ""
+
+#: src/config/cmdline.c:474
 msgid "Template option folder"
 msgstr "Vorlage fr Optionen-Ordner"
 
-#: src/config/cmdline.c:475
+#: src/config/cmdline.c:497
 #, c-format
 msgid "(default: %ld)"
 msgstr ""
 
-#: src/config/cmdline.c:482 src/config/cmdline.c:511
+#: src/config/cmdline.c:504 src/config/cmdline.c:533
 #, c-format
 msgid "(default: \"%s\")"
 msgstr ""
 
-#: src/config/cmdline.c:487
+#: src/config/cmdline.c:509
 #, c-format
 msgid "(alias for %s)"
 msgstr ""
 
-#: src/config/cmdline.c:492 src/config/cmdline.c:501
+#: src/config/cmdline.c:514 src/config/cmdline.c:523
 #, c-format
 msgid "(default: %s)"
 msgstr ""
 
-#: src/config/cmdline.c:642
+#: src/config/cmdline.c:654
 #, fuzzy
 msgid "Configuration options"
 msgstr "Konfigurations-Optionen."
 
-#: src/config/cmdline.c:646
+#: src/config/cmdline.c:658
 msgid "Usage: elinks [OPTION]... [URL]..."
 msgstr ""
 
-#: src/config/cmdline.c:647
+#: src/config/cmdline.c:659
 #, fuzzy
 msgid "Options"
 msgstr "Konfigurations-System"
 
-#: src/config/cmdline.c:689
+#: src/config/cmdline.c:701
 msgid "Internal consistency error"
 msgstr "Interner Konsistenz-Fehler"
 
 #.
-#: src/config/cmdline.c:725
+#: src/config/cmdline.c:737
 msgid "Restrict to anonymous mode"
 msgstr "Auf den anonymen Modus beschrnken"
 
-#: src/config/cmdline.c:727
+#: src/config/cmdline.c:739
 #, fuzzy
 msgid ""
-"Restricts ELinks so it can run on an anonymous account.\n"
-"Local file browsing, downloads, and modification of options\n"
-"will be disabled. Execution of viewers is allowed, but entries\n"
-"in the association table can't be added or modified."
+"Restricts ELinks so it can run on an anonymous account. Local file browsing, "
+"downloads, and modification of options will be disabled. Execution of "
+"viewers is allowed, but entries in the association table can't be added or "
+"modified."
 msgstr ""
 "Beschrnke ELinks derart, so dass es durch anonyme Benutzer\n"
 "genutzt werden kann. Lokale Dateien und Verzeichnisse knnen\n"
@@ -1368,287 +1382,284 @@ msgstr ""
 "Die Ausfhrung von Betrachtern ist erlaubt, jedoch knnen\n"
 "keine Verknpfungen hinzugefgt oder verndert werden."
 
-#: src/config/cmdline.c:732
+#: src/config/cmdline.c:745
 msgid "Autosubmit first form"
 msgstr "Erstes Formular automatisch senden"
 
-#: src/config/cmdline.c:734
+#: src/config/cmdline.c:747
 #, fuzzy
 msgid "Automatically submit the first form in the given URLs."
 msgstr "Sende das erste Formular ber das du stolperst."
 
-#: src/config/cmdline.c:736
+#: src/config/cmdline.c:749
 #, fuzzy
 msgid "Clone internal session with given ID"
 msgstr "Erzeuge die Sitzung mit gegebener ID"
 
-#: src/config/cmdline.c:738
+#: src/config/cmdline.c:751
 msgid ""
-"Used internally when opening ELinks instances in new windows.\n"
-"The ID maps to information that will be used when creating the\n"
-"new instance. You don't want to use it."
+"Used internally when opening ELinks instances in new windows. The ID maps to "
+"information that will be used when creating the new instance. You don't want "
+"to use it."
 msgstr ""
 
-#: src/config/cmdline.c:744
+#: src/config/cmdline.c:757
 msgid "Name of directory with configuration file"
 msgstr "Name des Verzeichnisses mit der Konfigurations-Datei"
 
-#: src/config/cmdline.c:746
+#: src/config/cmdline.c:759
 #, fuzzy
 msgid ""
-"Path of the directory ELinks will read and write its\n"
-"config and runtime state files to instead of ~/.elinks.\n"
-"If the path does not begin with a '/' it is assumed to be\n"
-"relative to your HOME directory."
+"Path of the directory ELinks will read and write its config and runtime "
+"state files to instead of ~/.elinks. If the path does not begin with a '/' "
+"it is assumed to be relative to your HOME directory."
 msgstr ""
 "ELinks liest und schreibt Konfigurations-Dateien in dem angegebenen \n"
 "Verzeichnis. Wenn der Pfad mit '/' beginnt, wird er als\n"
 "absoluter Pfad benutzt. Sonst wird angenommen, dass er relativ\n"
 "zum Heimat-Verzeichnis ist."
 
-#: src/config/cmdline.c:751
+#: src/config/cmdline.c:764
 #, fuzzy
 msgid "Print default configuration file to stdout"
 msgstr "Hilfe zu Konfigurations-Optionen ausgeben"
 
-#: src/config/cmdline.c:753
+#: src/config/cmdline.c:766
 msgid ""
-"Print a configuration file with options set to the built-in\n"
-"defaults to stdout."
+"Print a configuration file with options set to the built-in defaults to "
+"stdout."
 msgstr ""
 
-#: src/config/cmdline.c:758
+#: src/config/cmdline.c:771
 msgid "Name of configuration file"
 msgstr "Konfigurations-Datei"
 
-#: src/config/cmdline.c:760
+#: src/config/cmdline.c:773
 #, fuzzy
 msgid ""
-"Name of the configuration file that all configuration\n"
-"options will be read from and written to. It should be\n"
-"relative to config-dir."
+"Name of the configuration file that all configuration options will be read "
+"from and written to. It should be relative to config-dir."
 msgstr ""
 "Name der Konfigurations-Datei, in der die Konfiguration\n"
 "stehen soll. Dieser sollte relativ zu config-dir sein."
 
-#: src/config/cmdline.c:764
+#: src/config/cmdline.c:777
 msgid "Print help for configuration options"
 msgstr "Hilfe zu Konfigurations-Optionen ausgeben"
 
-#: src/config/cmdline.c:766
+#: src/config/cmdline.c:779
 #, fuzzy
 msgid "Print help for configuration options and exit."
 msgstr "Hilfe zu Konfigurations-Optionen ausgeben und beenden."
 
-#: src/config/cmdline.c:768
+#: src/config/cmdline.c:781
 #, fuzzy
 msgid "MIME type assumed for unknown document types"
 msgstr "Angenommener MIME-Typ fr Dokumente"
 
-#: src/config/cmdline.c:770
+#: src/config/cmdline.c:783
 #, fuzzy
 msgid "The default MIME type used for documents of unknown type."
 msgstr "Angenommener MIME-Typ fr Dokumente mit unbekannten Typ."
 
-#: src/config/cmdline.c:772
+#: src/config/cmdline.c:786
 msgid "Ignore user-defined keybindings"
 msgstr "Ignoriere benutzer-definierte Tastenbelegungen"
 
-#: src/config/cmdline.c:774
+#: src/config/cmdline.c:788
 #, fuzzy
 msgid ""
-"When set, all keybindings from configuration files will be\n"
-"ignored. It forces use of default keybindings and will reset\n"
-"user-defined ones on save."
+"When set, all keybindings from configuration files will be ignored. It "
+"forces use of default keybindings and will reset user-defined ones on save."
 msgstr ""
 "Wenn gesetzt, werden die Tastenbelegungen aus der Konfiguration\n"
 "gelesen, aber nicht benutzt. Erzwingt den Gebrauch der Standard-\n"
 "Tastenbelegungen und wird beim Speichern die benutzer-definierten\n"
 "zurcksetzen."
 
-#: src/config/cmdline.c:778
+#: src/config/cmdline.c:792
 #, fuzzy
 msgid "Print formatted versions of given URLs to stdout"
 msgstr ""
 "Schreibe die formatierte Darstellung der gegebenen URL auf die "
 "Standardausgabe"
 
-#: src/config/cmdline.c:780
+#: src/config/cmdline.c:794
 #, fuzzy
 msgid "Print formatted plain-text versions of given URLs to stdout."
 msgstr ""
 "Schreibe die formatierte Darstellung der gegebenen URL auf die "
 "Standardausgabe"
 
-#: src/config/cmdline.c:782
+#: src/config/cmdline.c:797
 msgid "Codepage to use with -dump"
 msgstr "Mit -dump zu benutzender Zeichensatz"
 
-#: src/config/cmdline.c:784
+#: src/config/cmdline.c:799
 #, fuzzy
 msgid "Codepage used when formatting dump output."
 msgstr "Zeichensatz, der fr die Ausgabe (dump) benutzt wird."
 
-#: src/config/cmdline.c:786
+#: src/config/cmdline.c:801
 #, fuzzy
 msgid "Color mode used with -dump"
 msgstr "Mit -dump zu benutzender Zeichensatz"
 
-#: src/config/cmdline.c:788
+#: src/config/cmdline.c:803
 #, fuzzy
 msgid "Color mode used with -dump."
 msgstr "Mit -dump zu benutzender Zeichensatz"
 
-#: src/config/cmdline.c:790
+#: src/config/cmdline.c:805
 msgid "Width of document formatted with -dump"
 msgstr "Breite des mit -dump formatierten Dokuments"
 
-#: src/config/cmdline.c:792
+#: src/config/cmdline.c:807
 msgid "Width of the dump output."
 msgstr "Breite der Ausgabe von -dump."
 
-#: src/config/cmdline.c:794
+#: src/config/cmdline.c:809
 #, fuzzy
 msgid "Evaluate configuration file directive"
 msgstr "Gegebene Konfigurations-Option auswerten"
 
-#: src/config/cmdline.c:796
+#: src/config/cmdline.c:811
 #, fuzzy
 msgid ""
-"Specify configuration file directives on the command-line\n"
-"which will be evaluated after all configuration files has been\n"
-"read. Example usage:\n"
+"Specify configuration file directives on the command-line which will be "
+"evaluated after all configuration files has been read. Example usage:\n"
 "\t-eval 'set protocol.file.allow_special_files = 1'"
 msgstr ""
 "Gebe elinks.conf Konfigurations-Optionen auf der Kommando-Zeile an:\n"
 "  -eval 'set protocol.file.allow_special_files = 1'"
 
 #. lynx compatibility
-#: src/config/cmdline.c:802
+#: src/config/cmdline.c:817
 #, fuzzy
 msgid "Interpret documents of unknown types as HTML"
 msgstr "Angenommener MIME-Typ fr Dokumente mit unbekannten Typ."
 
-#: src/config/cmdline.c:804
+#: src/config/cmdline.c:819
 #, fuzzy
 msgid ""
-"Makes ELinks assume documents of unknown types are HTML.\n"
-"Useful when using ELinks as an external viewer from MUAs.\n"
-"This is equivalent to -default-mime-type text/html."
+"Makes ELinks assume documents of unknown types are HTML. Useful when using "
+"ELinks as an external viewer from MUAs. This is equivalent to -default-mime-"
+"type text/html."
 msgstr ""
 "Mit dieser Option nimmt ELinks an, dass die Dateien in HTML sind.\n"
 "Dies ist quivalent zu -default-mime-type text/html."
 
-#: src/config/cmdline.c:814
+#: src/config/cmdline.c:829
 msgid "Print usage help and exit"
 msgstr "Hilfe ausgeben und beenden"
 
-#: src/config/cmdline.c:816
+#: src/config/cmdline.c:831
 msgid "Print usage help and exit."
 msgstr "Hilfe ausgeben und beenden."
 
-#: src/config/cmdline.c:818
+#: src/config/cmdline.c:833
 msgid "Only permit local connections"
 msgstr "Erlaube nur lokale Verbindungen"
 
-#: src/config/cmdline.c:820
+#: src/config/cmdline.c:835
 #, fuzzy
 msgid ""
-"Restricts ELinks to work offline and only connect to servers\n"
-"with local addresses (ie. 127.0.0.1). No connections to remote\n"
-"servers will be permitted."
+"Restricts ELinks to work offline and only connect to servers with local "
+"addresses (ie. 127.0.0.1). No connections to remote servers will be "
+"permitted."
 msgstr ""
 "Beschrnkt ELinks so, dass es nur Verbindungen zu lokalen Adressen\n"
 "(zb. 127.0.0.1) aufnehmen kann. Verhindert jede Verbindung zu \n"
 "entfernten Servern."
 
-#: src/config/cmdline.c:824
+#: src/config/cmdline.c:839
 msgid "Print detailed usage help and exit"
 msgstr "Ausfhrliche Hilfe ausgeben und beenden"
 
-#: src/config/cmdline.c:826
+#: src/config/cmdline.c:841
 msgid "Print detailed usage help and exit."
 msgstr "Ausfhrliche Hilfe ausgeben und beenden."
 
-#: src/config/cmdline.c:828
+#: src/config/cmdline.c:843
 msgid "Look up specified host"
 msgstr "Suche den angegebenen Hostnamen"
 
-#: src/config/cmdline.c:830
+#: src/config/cmdline.c:845
 msgid "Look up specified host and print all DNS resolved IP addresses."
 msgstr ""
 
-#: src/config/cmdline.c:832
+#: src/config/cmdline.c:848
 msgid "Run as separate instance"
 msgstr "Starte als separater Prozess"
 
-#: src/config/cmdline.c:834
+#: src/config/cmdline.c:850
 #, fuzzy
 msgid ""
-"Run ELinks as a separate instance instead of connecting to an\n"
-"existing instance. Note that normally no runtime state files\n"
-"(bookmarks, history, etc.) are written to the disk when this\n"
-"option is used. See also -touch-files."
+"Run ELinks as a separate instance instead of connecting to an existing "
+"instance. Note that normally no runtime state files (bookmarks, history, "
+"etc.) are written to the disk when this option is used. See also -touch-"
+"files."
 msgstr ""
 "Starte ELinks als separate Instanz und verbinde nicht zu einer\n"
 "laufenden Instanz. Beachte, dass normalerweise keine Statusdateien\n"
 "(Lesezeichen, Verlauf, usw.) geschrieben werden, wenn diese Option\n"
 "benutzt wird. Siehe auch -touch-files."
 
-#: src/config/cmdline.c:839
+#: src/config/cmdline.c:855
 #, fuzzy
 msgid "Disable use of files in ~/.elinks"
 msgstr "Benutze keine Dateien in ~/.elinks"
 
-#: src/config/cmdline.c:841
+#: src/config/cmdline.c:857
 msgid ""
-"Disables creation and use of files in the user specific home\n"
-"configuration directory (~/.elinks). It forces default configuration\n"
-"values to be used and disables saving of runtime state files."
+"Disables creation and use of files in the user specific home configuration "
+"directory (~/.elinks). It forces default configuration values to be used and "
+"disables saving of runtime state files."
 msgstr ""
 
-#: src/config/cmdline.c:845
+#: src/config/cmdline.c:862
 #, fuzzy
 msgid "Disable link numbering in dump output"
 msgstr "Links in der Ausgabe (dump) nicht nummerieren"
 
-#: src/config/cmdline.c:847
+#: src/config/cmdline.c:864
 #, fuzzy
 msgid ""
 "Prevents printing of link number in dump output.\n"
+"\n"
 "Note that this really affects only -dump, nothing else."
 msgstr ""
 "Verhindert das Anhngen einer Link-Liste (URIs) in der Ausgabe (dump).\n"
 "Beachten Sie, dass dies nur -dump betrifft, nichts anderes."
 
-#: src/config/cmdline.c:850
+#: src/config/cmdline.c:868
 #, fuzzy
 msgid "Disable printing of link references in dump output"
 msgstr "Keine Link-Liste an die Ausgabe (dump) anhngen"
 
-#: src/config/cmdline.c:852
+#: src/config/cmdline.c:870
 #, fuzzy
 msgid ""
-"Prevents printing of references (URIs) of document links\n"
-"in dump output.\n"
+"Prevents printing of references (URIs) of document links in dump output.\n"
+"\n"
 "Note that this really affects only -dump, nothing else."
 msgstr ""
 "Verhindert das Anhngen einer Link-Liste (URIs) in der Ausgabe (dump).\n"
 "Beachten Sie, dass dies nur -dump betrifft, nichts anderes."
 
-#: src/config/cmdline.c:856
+#: src/config/cmdline.c:875
 msgid "Control an already running ELinks"
 msgstr "Steuere eine bereit laufende Instanz von ELinks"
 
-#: src/config/cmdline.c:858
+#: src/config/cmdline.c:877
 #, fuzzy
 msgid ""
-"Control a remote ELinks instance by passing commands to it.\n"
-"The option takes an additional argument containing the method\n"
-"which should be invoked and any parameters that should be passed\n"
-"to it. For ease of use, the additional method argument can be\n"
-"omitted in which case any URL arguments will be opened in new\n"
-"tabs in the remote instance.\n"
+"Control a remote ELinks instance by passing commands to it. The option takes "
+"an additional argument containing the method which should be invoked and any "
+"parameters that should be passed to it. For ease of use, the additional "
+"method argument can be omitted in which case any URL arguments will be "
+"opened in new tabs in the remote instance.\n"
+"\n"
 "Following is a list of the supported methods:\n"
 "\tping()                    : look for a remote instance\n"
 "\topenURL()                 : prompt URL in current tab\n"
@@ -1674,26 +1685,27 @@ msgstr ""
 "  addBookmark(URL)          -- speichere URL als Lesezeichen ab\n"
 "  xfeDoCommand(openBrowser) -- ffne neues Fenster"
 
-#: src/config/cmdline.c:874
+#: src/config/cmdline.c:895
 msgid "Connect to session ring with given ID"
 msgstr "Verbinde zu den Sitzungen mit gegebener ID"
 
-#: src/config/cmdline.c:876
+#: src/config/cmdline.c:897
+#, fuzzy
 msgid ""
-"ID of session ring this ELinks session should connect to. ELinks\n"
-"works in so-called session rings, whereby all instances of ELinks\n"
-"are interconnected and share state (cache, bookmarks, cookies,\n"
-"and so on). By default, all ELinks instances connect to session\n"
-"ring 0. You can change that behaviour with this switch and form as\n"
-"many session rings as you want. Obviously, if the session-ring with\n"
-"this number doesn't exist yet, it's created and this ELinks instance\n"
-"will become the master instance (that usually doesn't matter for you\n"
-"as a user much). Note that you usually don't want to use this unless\n"
-"you're a developer and you want to do some testing - if you want the\n"
-"ELinks instances each running standalone, rather use the -no-connect\n"
-"command-line option. Also note that normally no runtime state files\n"
-"are written to the disk when this option is used. See also\n"
-"-touch-files."
+"ID of session ring this ELinks session should connect to. ELinks works in so-"
+"called session rings, whereby all instances of ELinks are interconnected and "
+"share state (cache, bookmarks, cookies, and so on). By default, all ELinks "
+"instances connect to session ring 0. You can change that behaviour with this "
+"switch and form as many session rings as you want. Obviously, if the session-"
+"ring with this number doesn't exist yet, it's created and this ELinks "
+"instance will become the master instance (that usually doesn't matter for "
+"you as a user much).\n"
+"\n"
+"Note that you usually don't want to use this unless you're a developer and "
+"you want to do some testing - if you want the ELinks instances each running "
+"standalone, rather use the -no-connect command-line option. Also note that "
+"normally no runtime state files are written to the disk when this option is "
+"used. See also -touch-files."
 msgstr ""
 "ELinks soll sich mit den Sitzungen mit der gegebenen ID verbinden.\n"
 "ELinks arbeitet mit so genannten Sitzungs-Ringen, bei denen alle\n"
@@ -1711,43 +1723,42 @@ msgstr ""
 "geschrieben werden, wenn diese Option benutzt wird.\n"
 "Siehe auch -touch-files."
 
-#: src/config/cmdline.c:891
+#: src/config/cmdline.c:915
 #, fuzzy
 msgid "Print the source of given URLs to stdout"
 msgstr "Schreibe den Quelltext der gegebenen URL auf die Standardausgabe"
 
-#: src/config/cmdline.c:893
+#: src/config/cmdline.c:917
 #, fuzzy
 msgid "Print given URLs in source form to stdout."
 msgstr ""
 "Schreibe den Quelltext des gegebenen HTML-Dokuments auf die Standardausgabe."
 
-#: src/config/cmdline.c:897
+#: src/config/cmdline.c:921
 msgid "Touch files in ~/.elinks when running with -no-connect/-session-ring"
 msgstr "Benutze Dateien in ~/.elinks mit -no-connect/-session-ring"
 
-#: src/config/cmdline.c:899
+#: src/config/cmdline.c:923
 #, fuzzy
 msgid ""
-"When enabled, runtime state files (bookmarks, history, etc.) are\n"
-"written to disk, even when -no-connect or -session-ring is used.\n"
-"The option has no effect if not used in conjunction with any of\n"
-"these options."
+"When enabled, runtime state files (bookmarks, history, etc.) are written to "
+"disk, even when -no-connect or -session-ring is used. The option has no "
+"effect if not used in conjunction with any of these options."
 msgstr ""
 "Setze diesen Wert auf 1, damit die Statusdateien (Lesezeichen,\n"
 "Verlauf, ...) auch verndert werden, wenn -no-connect oder\n"
 "-session-ring angegeben wurde. Diese Option hat keinen Effekt,\n"
 "wenn keine dieser beiden Optionen angegeben wurde."
 
-#: src/config/cmdline.c:904
+#: src/config/cmdline.c:928
 msgid "Verbose level"
 msgstr "Plapper-Pegel (Fehler-Meldungs-Dichte)"
 
-#: src/config/cmdline.c:906
+#: src/config/cmdline.c:930
 #, fuzzy
 msgid ""
-"The verbose level controls what messages are shown at\n"
-"start up and while running:\n"
+"The verbose level controls what messages are shown at start up and while "
+"running:\n"
 "\t0 means only show serious errors\n"
 "\t1 means show serious errors and warnings\n"
 "\t2 means show all messages"
@@ -1758,15 +1769,15 @@ msgstr ""
 "\\t1 ernste Fehler und Warnungen\n"
 "\\t2 alle Meldungen\n"
 
-#: src/config/cmdline.c:912
+#: src/config/cmdline.c:936
 msgid "Print version information and exit"
 msgstr "Versions-Informationen ausgeben und beenden"
 
-#: src/config/cmdline.c:914
+#: src/config/cmdline.c:938
 msgid "Print ELinks version information and exit."
 msgstr "ELinks Versions-Informationen ausgeben und beenden."
 
-#: src/config/conf.c:938
+#: src/config/conf.c:963
 msgid ""
 "## This is ELinks configuration file. You can edit it manually,\n"
 "## if you wish so; this file is edited by ELinks when you save\n"
@@ -1779,7 +1790,7 @@ msgstr ""
 "## nur die Werte der Optionen gendert werden. Die gesamte Formatierung,\n"
 "## eigene Kommentare usw. bleiben erhalten.\n"
 
-#: src/config/conf.c:946
+#: src/config/conf.c:971
 msgid ""
 "## This is ELinks configuration file. You can edit it manually,\n"
 "## if you wish so; this file is edited by ELinks when you save\n"
@@ -1798,7 +1809,7 @@ msgstr ""
 "## fehlend betrachtet. Die gesamte Formatierung,\n"
 "## eigene Kommentare usw. bleiben erhalten.\n"
 
-#: src/config/conf.c:956
+#: src/config/conf.c:981
 msgid ""
 "## This is ELinks configuration file. You can edit it manually,\n"
 "## if you wish so, but keep in mind that this file is overwritten\n"
@@ -1810,7 +1821,7 @@ msgstr ""
 "## wenn man die Optionen mittels Benutzerschnittstelle abspeichert, und\n"
 "## jegliche Formatierung, Kommentare usw. gehen verloren, also Vorsicht.\n"
 
-#: src/config/conf.c:967
+#: src/config/conf.c:992
 msgid ""
 "## Obviously, if you don't like what ELinks is going to do with\n"
 "## this file, you can change it by altering the config.saving_style\n"
@@ -1820,11 +1831,11 @@ msgstr ""
 "## dann kannst du natrlich die Option confi.saving_style ndern.\n"
 "## Nun, sind wir am Ende nicht doch freundliche Typen?\n"
 
-#: src/config/conf.c:980
+#: src/config/conf.c:1005
 msgid "Automatically saved options\n"
 msgstr "Automatisch gespeicherte Optionen\n"
 
-#: src/config/conf.c:992
+#: src/config/conf.c:1017
 msgid "Automatically saved keybindings\n"
 msgstr "Automatisch gespeicherte Tastenbelegungen\n"
 
@@ -1888,7 +1899,7 @@ msgstr "(zum ffnen Leertaste drcken)"
 #. * switch charsets.  So, it will work in any terminal that
 #. * understands UTF-8 and has the characters in its font.
 #: src/config/dialogs.c:149 src/config/dialogs.c:330
-#: src/config/options.inc:840
+#: src/config/options.inc:887
 msgid "Type"
 msgstr "Typ"
 
@@ -1913,9 +1924,9 @@ msgid "Description"
 msgstr "Beschreibung"
 
 #: src/config/dialogs.c:291 src/protocol/bittorrent/dialogs.c:600
-#: src/protocol/protocol.c:240 src/session/session.c:287
-#: src/session/session.c:975 src/viewer/text/textarea.c:594
-#: src/viewer/text/textarea.c:601
+#: src/protocol/protocol.c:240 src/session/session.c:288
+#: src/session/session.c:999 src/viewer/text/textarea.c:583
+#: src/viewer/text/textarea.c:590
 msgid "Error"
 msgstr "Fehler"
 
@@ -1953,7 +1964,7 @@ msgstr "Hier kann keine Option hinzugef
 #. accelerator_context(src/config/dialogs.c:keybinding_buttons, src/config/dialogs.c:option_buttons, src/cookies/dialogs.c:cookie_buttons, src/formhist/dialogs.c:formhist_buttons, src/protocol/bittorrent/dialogs.c:bittorrent_query_callback, src/session/download.c:do_type_query, terminal_options)
 #: src/config/dialogs.c:507 src/config/dialogs.c:933 src/cookies/dialogs.c:495
 #: src/dialogs/options.c:236 src/formhist/dialogs.c:214
-#: src/protocol/bittorrent/dialogs.c:801 src/session/download.c:1203
+#: src/protocol/bittorrent/dialogs.c:801 src/session/download.c:1229
 #, fuzzy
 msgid "Sa~ve"
 msgstr "Speichern"
@@ -1966,7 +1977,7 @@ msgstr "Optionsmanager"
 msgid "Keystroke"
 msgstr "Tastendruck"
 
-#: src/config/dialogs.c:676 src/config/options.inc:1219
+#: src/config/dialogs.c:676 src/config/options.inc:1292
 msgid "Action"
 msgstr "Aktion"
 
@@ -2047,31 +2058,31 @@ msgid ""
 "directory."
 msgstr ""
 
-#: src/config/kbdbind.c:221
+#: src/config/kbdbind.c:222
 msgid "Main mapping"
 msgstr "Haupttabelle"
 
-#: src/config/kbdbind.c:222
+#: src/config/kbdbind.c:223
 msgid "Edit mapping"
 msgstr "Bearbeitungstabelle"
 
-#: src/config/kbdbind.c:223
+#: src/config/kbdbind.c:224
 msgid "Menu mapping"
 msgstr "Mentabelle"
 
-#: src/config/kbdbind.c:588 src/scripting/python/keybinding.c:104
+#: src/config/kbdbind.c:589 src/scripting/python/keybinding.c:104
 msgid "Unrecognised keymap"
 msgstr "Unbekannte Tastentabelle"
 
-#: src/config/kbdbind.c:591
+#: src/config/kbdbind.c:592
 msgid "Error parsing keystroke"
 msgstr "Fehler beim Lesen des Tastendrucks"
 
-#: src/config/kbdbind.c:595
+#: src/config/kbdbind.c:596
 msgid "Unrecognised action (internal error)"
 msgstr "Nicht verstandene Aktion (interner Fehler)"
 
-#: src/config/kbdbind.c:611
+#: src/config/kbdbind.c:612
 #, fuzzy
 msgid "Error registering event"
 msgstr "Fehler bei der Ausgabe auf Socket"
@@ -2104,34 +2115,35 @@ msgstr ""
 "2 es wird nur die Beschreibung geschrieben\n"
 "3 es werden vollstndige Kommentare geschrieben"
 
-#: src/config/options.inc:31
+#: src/config/options.inc:32
 msgid "Indentation"
 msgstr "Einrckung"
 
-#: src/config/options.inc:33
+#: src/config/options.inc:34
+#, fuzzy
 msgid ""
-"Shift width of one indentation level in the configuration\n"
-"file. Zero means that no indentation is performed at all\n"
-"when saving the configuration."
+"Shift width of one indentation level in the configuration file. Zero means "
+"that no indentation is performed at all when saving the configuration."
 msgstr ""
 "Breite einer Einrckungsstufe in der Konfigurations-Datei.\n"
 "Null bewirkt, dass keine Einrckung beim Speichern\n"
 "der Konfigurations-Datei erfolgt."
 
-#: src/config/options.inc:37
+#: src/config/options.inc:38
 msgid "Saving style"
 msgstr "Speicher-Art"
 
-#: src/config/options.inc:39
+#: src/config/options.inc:40
+#, fuzzy
 msgid ""
 "Determines what happens when you tell ELinks to save options:\n"
 "0 is only values of current options are altered\n"
-"1 is values of current options are altered and missing options\n"
-"     are added at the end of the file\n"
+"1 is values of current options are altered and missing\n"
+"     options are added at the end of the file\n"
 "2 is the configuration file is rewritten from scratch\n"
-"3 is values of current options are altered and missing options\n"
-"     CHANGED during this ELinks session are added at the end of\n"
-"     the file"
+"3 is values of current options are altered and missing\n"
+"     options CHANGED during this ELinks session are added at\n"
+"     the end of the file"
 msgstr ""
 "Bestimmt, was passiert, wenn ELinks die Optionen speichern soll:\n"
 "0 Nur genderte Werte speichern\n"
@@ -2141,17 +2153,17 @@ msgstr ""
 "3 Genderte Werte speichern und fehlende Optionen, die whrend\n"
 "     ELinks-Sitzung verndert wurden, am Ende der Datei anfgen"
 
-#: src/config/options.inc:48
+#: src/config/options.inc:50
 msgid "Comments localization"
 msgstr "Kommentare lokalisieren"
 
-#: src/config/options.inc:50
+#: src/config/options.inc:52
+#, fuzzy
 msgid ""
-"If set to 1, comments in the configuration file will be\n"
-"translated to the language used by UI. Note that if you have\n"
-"different language set in different terminals, the language\n"
-"used in the configuration file MAY be the same as on the\n"
-"terminal where you saved the file, but it should be generally\n"
+"If set to 1, comments in the configuration file will be translated to the "
+"language used by UI. Note that if you have different language set in "
+"different terminals, the language used in the configuration file MAY be the "
+"same as on the terminal where you saved the file, but it should be generally "
 "considered unpredictable."
 msgstr ""
 "Wenn diese Option den Wert 1 hat, werden Kommentare in der\n"
@@ -2162,191 +2174,191 @@ msgstr ""
 "die Datei gespeichert wurde, sein KNNTE, aber gewhnlich ist dies nicht\n"
 "vorhersehbar."
 
-#: src/config/options.inc:58
+#: src/config/options.inc:60
 msgid "Saving style warnings"
 msgstr "Warnungen zur Speicher-Art"
 
-#: src/config/options.inc:60
+#: src/config/options.inc:62
+#, fuzzy
 msgid ""
-"This is internal option used when displaying a warning about\n"
-"obsolete config.saving_style. You shouldn't touch it."
+"This is internal option used when displaying a warning about obsolete config."
+"saving_style. You shouldn't touch it."
 msgstr ""
 "Diese interne Option wird bei der Anzeige einer Warnung bei\n"
 "einem veralteten Wert der Option config.saving_style benutzt.\n"
 "Sie sollte nicht verndert werden."
 
-#: src/config/options.inc:63
+#: src/config/options.inc:66
 msgid "Show template"
 msgstr "Vorlagen zeigen"
 
-#: src/config/options.inc:65
+#: src/config/options.inc:68
 #, fuzzy
 msgid ""
-"Show template options in autocreated trees in the options\n"
-"manager and save them to the configuration file."
+"Show template options in autocreated trees in the options manager and save "
+"them to the configuration file."
 msgstr ""
 "Zeige _template_ Optionen in automatisch erstellten Bumen\n"
 "im Optionsmanager und speicher diese in die Konfigurations-Datei."
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:71 src/dialogs/info.c:180
+#: src/config/options.inc:74 src/dialogs/info.c:180
 msgid "Connections"
 msgstr "Verbindungen"
 
-#: src/config/options.inc:73
+#: src/config/options.inc:76
 msgid "Connection options."
 msgstr "Verbindungs-Optionen"
 
-#: src/config/options.inc:76
+#: src/config/options.inc:79
 msgid "Asynchronous DNS"
 msgstr "Asynchrones DNS"
 
-#: src/config/options.inc:78
+#: src/config/options.inc:81
 #, fuzzy
 msgid "Whether to use asynchronous DNS resolving."
 msgstr "Asynchrone DNS-Namens-Auflsung benutzen?"
 
-#: src/config/options.inc:80
+#: src/config/options.inc:83
 msgid "Maximum connections"
 msgstr "Maximale Anzahl von Verbindungen"
 
-#: src/config/options.inc:82
+#: src/config/options.inc:85
 msgid "Maximum number of concurrent connections."
 msgstr "Maximale Anzahl von gleichzeitigen Verbindungen."
 
-#: src/config/options.inc:84
+#: src/config/options.inc:87
 msgid "Maximum connections per host"
 msgstr "Maximale Anzahl von Verbindungen pro Host"
 
-#: src/config/options.inc:86
+#: src/config/options.inc:89
 msgid "Maximum number of concurrent connections to a given host."
 msgstr "Maximale Anzahl von gleichzeitigen Verbindungen pro Host."
 
-#: src/config/options.inc:88
+#: src/config/options.inc:92
 msgid "Connection retries"
 msgstr "Verbindungsversuche"
 
-#: src/config/options.inc:90
-msgid ""
-"Number of tries to establish a connection.\n"
-"Zero means try forever."
+#: src/config/options.inc:94
+#, fuzzy
+msgid "Number of tries to establish a connection. Zero means try forever."
 msgstr ""
 "Anzahl der Versuche eine Verbindung herzustellen.\n"
 "Null bedeutet eine unbegrenzte Anzahl von Versuchen."
 
-#: src/config/options.inc:93 src/network/state.c:53
+#: src/config/options.inc:97 src/network/state.c:53
 msgid "Receive timeout"
 msgstr "Timeout bei Empfang aufgetreten"
 
-#: src/config/options.inc:95
+#: src/config/options.inc:99
 msgid "Receive timeout (in seconds)."
 msgstr "Timeout bei Empfang aufgetreten (in Sekunden)."
 
-#: src/config/options.inc:98 src/config/options.inc:108
+#: src/config/options.inc:102 src/config/options.inc:113
 msgid "Try IPv4 when connecting"
 msgstr ""
 
-#: src/config/options.inc:100
+#: src/config/options.inc:104
 msgid ""
-"Whether to try to connect to a host over IPv4.\n"
-"Note that if connection.try_ipv6 is enabled too,\n"
-"it takes precedence. And better do not touch this\n"
+"Whether to try to connect to a host over IPv4. Note that if connection."
+"try_ipv6 is enabled too, it takes precedence. And better do not touch this "
 "at all unless you are sure what are you doing.\n"
-"Note that you can also force a given protocol\n"
-"to be used on a per-connection basis by using a URL\n"
-"in the style of e.g. http4://elinks.cz/."
+"\n"
+"Note that you can also force a given protocol to be used on a per-connection "
+"basis by using a URL in the style of e.g. http4://elinks.cz/."
 msgstr ""
 
-#: src/config/options.inc:110
+#: src/config/options.inc:115
 msgid ""
-"Whether to try to connect to a host over IPv4.\n"
-"Do not touch this option.\n"
-"Note that you can also force a given protocol\n"
-"to be used on a per-connection basis by using a URL\n"
-"in the style of e.g. http4://elinks.cz/."
+"Whether to try to connect to a host over IPv4. Do not touch this option.\n"
+"\n"
+"Note that you can also force a given protocol to be used on a per-connection "
+"basis by using a URL in the style of e.g. http4://elinks.cz/."
 msgstr ""
 
-#: src/config/options.inc:118
+#: src/config/options.inc:124
 msgid "Try IPv6 when connecting"
 msgstr ""
 
-#: src/config/options.inc:120
+#: src/config/options.inc:126
 msgid ""
 "Whether to try to connect to a host over IPv6.\n"
-"Note that you can also force a given protocol\n"
-"to be used on a per-connection basis by using a URL\n"
-"in the style of e.g. http6://elinks.cz/."
+"\n"
+"Note that you can also force a given protocol to be used on a per-connection "
+"basis by using a URL in the style of e.g. http6://elinks.cz/."
 msgstr ""
 
-#: src/config/options.inc:126
+#: src/config/options.inc:133
 msgid "Timeout for non-restartable connections"
 msgstr "Timeout fr nicht-wiederstartbare Verbindungen"
 
-#: src/config/options.inc:128
+#: src/config/options.inc:135
 msgid "Timeout for non-restartable connections (in seconds)."
 msgstr "Timeout fr nicht-wiederstartbare Verbindungen (in Sekunden)."
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:134
+#: src/config/options.inc:141
 msgid "Document"
 msgstr "Dokument(e)"
 
-#: src/config/options.inc:136
+#: src/config/options.inc:143
 msgid "Document options."
 msgstr "Dokumentoptionen"
 
-#: src/config/options.inc:138
+#: src/config/options.inc:145
 msgid "Browsing"
 msgstr "Navigation"
 
-#: src/config/options.inc:140
+#: src/config/options.inc:147
 msgid "Document browsing options (mainly interactivity)."
 msgstr "Optionen fr die Navigation im Dokument (hauptschlich interaktiv)."
 
-#: src/config/options.inc:143
+#: src/config/options.inc:150
 #, fuzzy
 msgid "Access keys"
 msgstr "Zugriffstasten"
 
-#: src/config/options.inc:145
+#: src/config/options.inc:152
 msgid ""
-"Options for handling of link access keys.\n"
-"An HTML document can use the ACCESSKEY attribute to assign\n"
-"an access key to an element. When an access key is pressed,\n"
-"the corresponding element will be given focus."
+"Options for handling of link access keys. An HTML document can use the "
+"ACCESSKEY attribute to assign an access key to an element. When an access "
+"key is pressed, the corresponding element will be given focus."
 msgstr ""
 
-#: src/config/options.inc:150
+#: src/config/options.inc:157
 msgid "Automatic links following"
 msgstr "Folge Links automatisch"
 
-#: src/config/options.inc:152
+#: src/config/options.inc:159
+#, fuzzy
 msgid ""
-"Automatically follow a link or submit a form if appropriate\n"
-"accesskey is pressed - this is the standard behaviour, but it's\n"
-"considered dangerous."
+"Automatically follow a link or submit a form if appropriate accesskey is "
+"pressed - this is the standard behaviour, but it's considered dangerous."
 msgstr ""
 "Folge einem Link oder sende ein Formular automatisch, wenn die\n"
 "entsprechende Zugriffstaste gedrckt wird - dies ist das\n"
 "Standard-Verhalten, wird aber als gefhrlich betrachtet."
 
-#: src/config/options.inc:156
+#: src/config/options.inc:163
 msgid "Display access key in link info"
 msgstr ""
 
-#: src/config/options.inc:158
+#: src/config/options.inc:165
 msgid "Display access key in link info."
 msgstr ""
 
-#: src/config/options.inc:160
+#: src/config/options.inc:167
 msgid "Accesskey priority"
 msgstr "Prioritt der Zugriffstasten"
 
-#: src/config/options.inc:162
+#: src/config/options.inc:169
+#, fuzzy
 msgid ""
 "Priority of 'accesskey' HTML attribute:\n"
-"0 is first try all normal bindings; if it fails, check accesskey\n"
-"1 is first try only frame bindings; if it fails, check accesskey\n"
+"0 is first try all normal bindings; if it fails,\n"
+"     check accesskey\n"
+"1 is first try only frame bindings; if it fails,\n"
+"     check accesskey\n"
 "2 is first check accesskey (this can be dangerous)"
 msgstr ""
 "Prioritt des 'accesskey' HTML-Attributs:\n"
@@ -2356,55 +2368,54 @@ msgstr ""
 "  falls dies fehlschlgt, berprfe die Zugriffstaste\n"
 "2 zuerst die Zugriffstaste berprfen (dies kann gefhrlich sein)"
 
-#: src/config/options.inc:168
+#: src/config/options.inc:177
 msgid "Forms"
 msgstr "Formulare"
 
-#: src/config/options.inc:170
+#: src/config/options.inc:179
 msgid "Options for handling of the forms interaction."
 msgstr "Optionen fr die Benutzung von Formularen."
 
-#: src/config/options.inc:172
+#: src/config/options.inc:181
 msgid "Submit form automatically"
 msgstr "Formular automatisch senden"
 
-#: src/config/options.inc:174
+#: src/config/options.inc:183
+#, fuzzy
 msgid ""
-"Automagically submit a form when enter is pressed with a text\n"
-"field selected."
+"Automagically submit a form when enter is pressed with a text field selected."
 msgstr ""
 "Ein Formular automagisch senden, wenn Enter in einem Textfeld\n"
 "gedrckt wird."
 
-#: src/config/options.inc:177
+#: src/config/options.inc:186
 msgid "Confirm submission"
 msgstr "Absenden besttigen"
 
-#: src/config/options.inc:179
+#: src/config/options.inc:188
 msgid "Ask for confirmation when submitting a form."
 msgstr "Vor dem Absenden eines Formulars fragen."
 
-#: src/config/options.inc:181
+#: src/config/options.inc:190
 msgid "Default form input size"
 msgstr "Grundeinstellung der Eingabeformulargre"
 
-#: src/config/options.inc:183
+#: src/config/options.inc:192
 msgid "Default form input size if none is specified."
 msgstr "Grundeinstellung der Eingabeformulargre, wenn keine angegeben ist."
 
-#: src/config/options.inc:185
+#: src/config/options.inc:194
 msgid "Insert mode"
 msgstr "Einfge-Modus"
 
-#: src/config/options.inc:187
+#: src/config/options.inc:196
 #, fuzzy
 msgid ""
-"The setting for this option affects how key presses are handled\n"
-"when one selects a text-input form-field. When enabled, one must\n"
-"explicitly 'enter' a selected text-field to edit it; this prevents\n"
-"text fields from capturing key presses, such as presses of a scroll\n"
-"key, when it is inadvertently selected. When disabled, key presses\n"
-"are always inserted into a selected text field."
+"The setting for this option affects how key presses are handled when one "
+"selects a text-input form-field. When enabled, one must explicitly 'enter' a "
+"selected text-field to edit it; this prevents text fields from capturing key "
+"presses, such as presses of a scroll key, when it is inadvertently selected. "
+"When disabled, key presses are always inserted into a selected text field."
 msgstr ""
 "Diese Option gibt an, wie ein Tastendruck behandelt wird, wenn man ein\n"
 "Eingabe-Feld ausgewhlt hat. Wenn aktiv muss ein Eingabe-Felt explizit\n"
@@ -2414,53 +2425,56 @@ msgstr ""
 "Ist diese Option inaktiv, so werden Tastatureingaben immer in ein\n"
 "ausgewhltes Text-Feld eingefgt."
 
-#: src/config/options.inc:194
+#: src/config/options.inc:204
 #, fuzzy
 msgid "External editor"
 msgstr "In externem Editor ffnen"
 
-#: src/config/options.inc:196
+#: src/config/options.inc:206
 msgid ""
-"Path to the executable that ELinks should launch when the user\n"
-"requests to edit a textarea with an external editor.\n"
-"If this is blank, ELinks will use the value of the environmental\n"
-"variable $EDITOR. If $EDITOR is empty or not set, ELinks will then\n"
-"default to \"vi\"."
+"Path to the executable that ELinks should launch when the user requests to "
+"edit a textarea with an external editor.\n"
+"\n"
+"If this is blank, ELinks will use the value of the environmental variable "
+"$EDITOR. If $EDITOR is empty or not set, ELinks will then default to \"vi\"."
 msgstr ""
 
-#: src/config/options.inc:203
+#: src/config/options.inc:214
 msgid "Images"
 msgstr "Bilder"
 
-#: src/config/options.inc:205
+#: src/config/options.inc:216
 msgid "Options for handling of images."
 msgstr "Optionen fr den Umgang mit Bildern."
 
-#: src/config/options.inc:207
+#: src/config/options.inc:218
 #, fuzzy
 msgid "Display style for image tags"
 msgstr "Anzeige-Art fr Links zu Bildern"
 
-#: src/config/options.inc:209
+#: src/config/options.inc:220
 msgid ""
 "Display style for image tags when displayed:\n"
 "0     means always display IMG\n"
 "1     means always display filename\n"
-"2     means display alt/title attribute if possible, IMG if not\n"
-"3     means display alt/title attribute if possible, filename if not"
+"2     means display alt/title attribute if possible,\n"
+"      IMG if not\n"
+"3     means display alt/title attribute if possible,\n"
+"      filename if not"
 msgstr ""
 
-#: src/config/options.inc:215
+#: src/config/options.inc:228
 msgid "Maximum length for image filename"
 msgstr ""
 
-#: src/config/options.inc:217
+#: src/config/options.inc:230
 #, fuzzy
 msgid ""
 "Maximum length of image filename when displayed:\n"
 "0     means always display full filename\n"
 "1-500 means display filename with this maximal length;\n"
-"      if it is longer, the middle is substituted by an asterisk"
+"      if it is longer, the middle is substituted by\n"
+"      an asterisk"
 msgstr ""
 "Zeige [Ziel-Dateiname] anstatt [IMG] als sichtbare Bild-Kennzeichnung:\n"
 "-1    zeige immer nur [IMG]\n"
@@ -2469,11 +2483,11 @@ msgstr ""
 "      Zeichen. Ist er lnger, so wird der Mittelteil durch einen Stern "
 "ersetzt"
 
-#: src/config/options.inc:227
+#: src/config/options.inc:241
 msgid "Image links tagging"
 msgstr "Kennzeichnung von Links zu Bildern"
 
-#: src/config/options.inc:229
+#: src/config/options.inc:243
 msgid ""
 "When to enclose image links:\n"
 "0 means never\n"
@@ -2485,33 +2499,34 @@ msgstr ""
 "1 niemals wenn alt oder Titel vorhanden sind (ursprngliches Verhalten)\n"
 "2 immer"
 
-#: src/config/options.inc:234
+#: src/config/options.inc:248
 msgid "Image link prefix"
 msgstr "Prfix von Links zu Bildern"
 
-#: src/config/options.inc:236
+#: src/config/options.inc:250
 msgid "Prefix string to use to mark image links."
 msgstr "Prfix, um Links zu Bildern zu kennzeichnen."
 
-#: src/config/options.inc:238
+#: src/config/options.inc:252
 msgid "Image link suffix"
 msgstr "Suffix von Links zu Bildern"
 
-#: src/config/options.inc:240
+#: src/config/options.inc:254
 msgid "Suffix string to use to mark image links."
 msgstr "Suffix, um Links zu Bildern zu kennzeichnen."
 
-#: src/config/options.inc:242
+#: src/config/options.inc:256
 msgid "Maximum length for image label"
 msgstr ""
 
-#: src/config/options.inc:244
+#: src/config/options.inc:258
 #, fuzzy
 msgid ""
 "Maximum length of image label (alt/title):\n"
 "0     means always display full label\n"
 "1-500 means display label with this maximal length;\n"
-"      if it is longer, the middle is substituted by an asterisk"
+"      if it is longer, the middle is substituted by\n"
+"      an asterisk"
 msgstr ""
 "Zeige [Ziel-Dateiname] anstatt [IMG] als sichtbare Bild-Kennzeichnung:\n"
 "-1    zeige immer nur [IMG]\n"
@@ -2520,65 +2535,66 @@ msgstr ""
 "      Zeichen. Ist er lnger, so wird der Mittelteil durch einen Stern "
 "ersetzt"
 
-#: src/config/options.inc:249
+#: src/config/options.inc:264
 msgid "Display links to images w/o alt"
 msgstr "Zeige Links zu Bildern ohne alternative Beschreibung an"
 
-#: src/config/options.inc:251
+#: src/config/options.inc:266
+#, fuzzy
 msgid ""
-"Display links to images without an alt attribute. If this option\n"
-"is off, these images are completely invisible."
+"Display links to images without an alt attribute. If this option is off, "
+"these images are completely invisible."
 msgstr ""
 "Zeige Links zu Bildern ohne alt-Attribut (alternative Beschreibung)\n"
 "an. Wenn diese Option abgeschaltet ist, sind diese Bilder vllig unsichtbar."
 
-#: src/config/options.inc:254
+#: src/config/options.inc:269
 msgid "Display links to images"
 msgstr "Zeige Links zu Bildern an"
 
-#: src/config/options.inc:256
+#: src/config/options.inc:271
+#, fuzzy
 msgid ""
-"Display links to any images in the document, regardless of them\n"
-"having an alt attribute or not. If this option is off, the alt\n"
-"attribute contents is shown, but as normal text, not selectable\n"
-"as a link."
+"Display links to any images in the document, regardless of them having an "
+"alt attribute or not. If this option is off, the alt attribute contents is "
+"shown, but as normal text, not selectable as a link."
 msgstr ""
 "Links zu allen Bildern im Dokument unabhngig davon anzeigen, ob sie\n"
 "ein alt-Attribut haben. Wenn diese Option abgeschaltet ist, wird der\n"
 "Inhalt des alt-Attributs als normaler Text angezeigt, und nicht als\n"
 "auswhlbarer Link."
 
-#: src/config/options.inc:262
+#: src/config/options.inc:277
 msgid "Links"
 msgstr "Links"
 
-#: src/config/options.inc:264
+#: src/config/options.inc:279
 msgid "Options for handling of links to other documents."
 msgstr "Optionen fr den Umgang mit Links zu anderen Dokumenten."
 
-#: src/config/options.inc:266
+#: src/config/options.inc:281
 msgid "Active link"
 msgstr "Aktiver Link"
 
-#: src/config/options.inc:268
+#: src/config/options.inc:283
 msgid "Options for the active link."
 msgstr "Optionen fr den aktiven Link."
 
-#: src/config/options.inc:270
+#: src/config/options.inc:285
 msgid "Colors"
 msgstr "Farben"
 
-#: src/config/options.inc:272
+#: src/config/options.inc:287
 msgid "Active link colors."
 msgstr "Farben von aktiven Links."
 
-#: src/config/options.inc:274 src/config/options.inc:549
-#: src/config/options.inc:945
+#: src/config/options.inc:289 src/config/options.inc:583
+#: src/config/options.inc:1014
 msgid "Background color"
 msgstr "Hintergrundfarbe"
 
-#: src/config/options.inc:276 src/config/options.inc:551
-#: src/config/options.inc:946
+#: src/config/options.inc:291 src/config/options.inc:585
+#: src/config/options.inc:1015
 msgid "Default background color."
 msgstr "Grundeinstellung der Hintergrundfarbe."
 
@@ -2590,76 +2606,77 @@ msgstr "Grundeinstellung der Hintergrund
 #. *	on it.
 #. The colors and mono tree should be similar but with different default
 #. * values of course so always use the macros below.
-#: src/config/options.inc:278 src/config/options.inc:545
-#: src/config/options.inc:943
+#: src/config/options.inc:293 src/config/options.inc:579
+#: src/config/options.inc:1012
 msgid "Text color"
 msgstr "Textfarbe"
 
-#: src/config/options.inc:280 src/config/options.inc:547
-#: src/config/options.inc:944
+#: src/config/options.inc:295 src/config/options.inc:581
+#: src/config/options.inc:1013
 msgid "Default text color."
 msgstr "Grundeinstellung der Textfarbe."
 
-#: src/config/options.inc:282
+#: src/config/options.inc:297
 msgid "Enable color"
 msgstr "Farben aktivieren"
 
-#: src/config/options.inc:284
+#: src/config/options.inc:299
+#, fuzzy
 msgid ""
-"Enable use of the active link background and text color\n"
-"settings instead of the link colors from the document."
+"Enable use of the active link background and text color settings instead of "
+"the link colors from the document."
 msgstr ""
 "Benutze die aktiven Link-Hintergrund- und Textfarbeinstellungen\n"
 "anstatt der Linkfarben aus dem Dokument."
 
-#: src/config/options.inc:287
+#: src/config/options.inc:302
 msgid "Bold"
 msgstr "Fett"
 
-#: src/config/options.inc:289
+#: src/config/options.inc:304
 msgid "Make the active link text bold."
 msgstr "Zeige den Text des aktuellen Links fett an."
 
-#: src/config/options.inc:291
+#: src/config/options.inc:306
 msgid "Invert colors"
 msgstr "Farben invertieren"
 
-#: src/config/options.inc:293
+#: src/config/options.inc:308
 msgid "Invert the fore- and background color so the link stands out."
 msgstr ""
 "Vorder- und Hintergrundfarbe umtauschen, so dass der Link hervorsticht."
 
-#: src/config/options.inc:296 src/config/options.inc:908
+#: src/config/options.inc:311 src/config/options.inc:975
 #: src/dialogs/options.c:231
 msgid "Underline"
 msgstr "Unterstreichen"
 
-#: src/config/options.inc:298
+#: src/config/options.inc:313
 msgid "Underline the active link."
 msgstr "Aktuellen Link unterstreichen."
 
-#: src/config/options.inc:301
+#: src/config/options.inc:316
 msgid "Directory highlighting"
 msgstr "Hervorhebung von Verzeichnissen"
 
-#: src/config/options.inc:303
+#: src/config/options.inc:318
 msgid "Highlight links to directories in FTP and local directory listing."
 msgstr ""
 "Hebe Links zu Verzeichnissen in FTP oder lokalen Verzeichnisanzeigen hervor."
 
-#: src/config/options.inc:305
+#: src/config/options.inc:321
 msgid "Number links"
 msgstr "Nummerierte Links"
 
-#: src/config/options.inc:307
+#: src/config/options.inc:323
 msgid "Display numbers next to the links."
 msgstr "Zeige Nummern neben den Links."
 
-#: src/config/options.inc:309
+#: src/config/options.inc:325
 msgid "Handling of target=_blank"
 msgstr ""
 
-#: src/config/options.inc:311
+#: src/config/options.inc:327
 msgid ""
 "Define how to handle links having target=_blank set:\n"
 "0 means open link in current tab\n"
@@ -2668,35 +2685,35 @@ msgid ""
 "3 means open link in new window"
 msgstr ""
 
-#: src/config/options.inc:324
+#: src/config/options.inc:340
 msgid "Use tabindex"
 msgstr "Benutze tabindex"
 
-#: src/config/options.inc:326
+#: src/config/options.inc:342
 msgid ""
-"Whether to navigate links using tabindex specified ordering.\n"
-"The TABINDEX attribute in HTML elements specifies the order\n"
-"in which links should receive focus when using the keyboard\n"
-"to navigate the document."
+"Whether to navigate links using tabindex specified ordering. The TABINDEX "
+"attribute in HTML elements specifies the order in which links should receive "
+"focus when using the keyboard to navigate the document."
 msgstr ""
 
-#: src/config/options.inc:331
+#: src/config/options.inc:347
 #, fuzzy
 msgid "Missing fragment reporting"
 msgstr "Fehlendes Fragment"
 
-#: src/config/options.inc:333
+#: src/config/options.inc:349
 msgid "Open a message box when document has no tag with given id."
 msgstr ""
 
-#: src/config/options.inc:335
+#: src/config/options.inc:352
 msgid "Number keys select links"
 msgstr "Ziffertasten whlen Links aus"
 
-#: src/config/options.inc:337
+#: src/config/options.inc:354
+#, fuzzy
 msgid ""
-"Number keys select links rather than specify command prefixes. This\n"
-"is a tristate:\n"
+"Number keys select links rather than specify command prefixes. This is a "
+"tristate:\n"
 "0 means never\n"
 "1 means if document.browse.links.numbering = 1\n"
 "2 means always"
@@ -2707,111 +2724,113 @@ msgstr ""
 "1 wenn document.browse.links.numbering = 1\n"
 "2 immer"
 
-#: src/config/options.inc:343
+#: src/config/options.inc:360
 msgid "Warn about maliciously crafted URIs"
 msgstr ""
 
-#: src/config/options.inc:345
+#: src/config/options.inc:362
 msgid ""
-"When following a link the user ID part of the URI is\n"
-"checked and if a maliciously crafted URI is detected a\n"
-"warning dialog will ask before following the link."
+"When following a link the user ID part of the URI is checked and if a "
+"maliciously crafted URI is detected a warning dialog will ask before "
+"following the link."
 msgstr ""
 
 #. TODO - this is somehow implemented by ff, but disabled
 #. * for now as it doesn't work.
-#: src/config/options.inc:351
+#: src/config/options.inc:368
 msgid "Wrap-around links cycling"
 msgstr "Zyklischer Link-Wechsel"
 
 #. 0
-#: src/config/options.inc:353
+#: src/config/options.inc:370
 #, fuzzy
 msgid ""
-"When pressing 'down' on the last link, jump to the first one, and\n"
-"vice versa."
+"When pressing 'down' on the last link, jump to the first one, and vice versa."
 msgstr ""
 "Drckt man auf dem letzten Link nach unten, so springt man auf den\n"
 "ersten Link, und umgekehrt."
 
-#: src/config/options.inc:357
+#: src/config/options.inc:374
 msgid "Scrolling"
 msgstr "Rollen(Scrolling)"
 
-#: src/config/options.inc:359
+#: src/config/options.inc:376
 msgid "Scrolling options."
 msgstr "Einstellungen fr das Rollen(Scrolling)"
 
-#: src/config/options.inc:361
+#: src/config/options.inc:378
 msgid "Horizontal step"
 msgstr "Horizontale Sprungweite"
 
-#: src/config/options.inc:363
+#: src/config/options.inc:380
+#, fuzzy
 msgid ""
-"Number of columns to scroll when a key bound to scroll-left or scroll-\n"
-"right is pressed and no prefix was given."
+"Number of columns to scroll when a key bound to scroll-left or scroll-right "
+"is pressed and no prefix was given."
 msgstr ""
 "Anzahl der zu rollenden Zeilen, wenn eine mit scroll-up oder scroll-\n"
 "down verbundene Taste gedrckt und kein Prfix angegeben wurde."
 
-#: src/config/options.inc:366
+#: src/config/options.inc:384
 msgid "Extended horizontal scrolling"
 msgstr ""
 
-#: src/config/options.inc:368
+#: src/config/options.inc:386
 msgid ""
-"Whether to allow horizontal scrolling when the document\n"
-"does not extend off the screen. Useful for copy/paste\n"
-"operations."
+"Whether to allow horizontal scrolling when the document does not extend off "
+"the screen. Useful for copy/paste operations."
 msgstr ""
 
-#: src/config/options.inc:372
+#: src/config/options.inc:390
 msgid "Margin"
 msgstr "Rand"
 
-#: src/config/options.inc:374
+#: src/config/options.inc:392
+#, fuzzy
 msgid ""
-"Size of the virtual margin - when you click inside of that margin,\n"
-"document scrolls in that direction."
+"Size of the virtual margin - when you click inside of that margin, document "
+"scrolls in that direction."
 msgstr ""
 "Gre des virtuellen Seitenrandes - wenn man in diesen Seitenrand klickt,\n"
 "so wird das Dokument in die entspechende Richtung gerollt."
 
-#: src/config/options.inc:377
+#: src/config/options.inc:395
 msgid "Vertical step"
 msgstr "Vertikale Sprungweite"
 
-#: src/config/options.inc:379
+#: src/config/options.inc:397
+#, fuzzy
 msgid ""
-"Number of lines to scroll when a key bound to scroll-up or scroll-\n"
-"down is pressed and no prefix was given."
+"Number of lines to scroll when a key bound to scroll-up or scroll-down is "
+"pressed and no prefix was given."
 msgstr ""
 "Anzahl der zu rollenden Zeilen, wenn eine mit scroll-up oder scroll-\n"
 "down verbundene Taste gedrckt und kein Prfix angegeben wurde."
 
-#: src/config/options.inc:383
+#: src/config/options.inc:401
 msgid "Searching"
 msgstr "Suche"
 
-#: src/config/options.inc:385
+#: src/config/options.inc:403
 msgid "Options for searching."
 msgstr "Optionen fr die Suche."
 
-#: src/config/options.inc:387
+#: src/config/options.inc:405
 msgid "Case sensitivity"
 msgstr "Gro-/Kleinschreibung beachten"
 
-#: src/config/options.inc:389
+#: src/config/options.inc:407
+#, fuzzy
 msgid ""
-"Whether the search should match the document text while maintaining\n"
-"case sensitivity."
+"Whether the search should match the document text while maintaining case "
+"sensitivity."
 msgstr "Gibt an, ob bei der Suche Gro-/Kleinschreibung beachtet werden soll."
 
-#: src/config/options.inc:393
+#: src/config/options.inc:411
 msgid "Regular expressions"
 msgstr "Regulre Ausdrcke"
 
-#: src/config/options.inc:395
+#: src/config/options.inc:413
 #, fuzzy
 msgid ""
 "Enable searching with regular expressions:\n"
@@ -2824,34 +2843,34 @@ msgstr ""
 "1 fr Suche mit einfachen regulren Ausdrcken.\n"
 "2 fr Suche mit erweiterten regulren Ausdrcken."
 
-#: src/config/options.inc:401
+#: src/config/options.inc:419
 msgid "Show search hit top or bottom dialogs"
 msgstr "Dialog anzeigen bei Suche an Dokumentanfang oder -ende"
 
-#: src/config/options.inc:403
+#: src/config/options.inc:421
 #, fuzzy
 msgid ""
-"Whether to show a dialog when the search hits the top or bottom of the\n"
+"Whether to show a dialog when the search hits the top or bottom of the "
 "document."
 msgstr ""
 "Diese Option gibt an, ob ein Fenster angezeigt wird, wenn man bei\n"
 "der Suche auf den Anfang oder das Ende des Dokuments trifft."
 
-#: src/config/options.inc:406
+#: src/config/options.inc:424
 msgid "Wraparound"
 msgstr "ber Ende hinaus zum Anfang"
 
-#: src/config/options.inc:408
+#: src/config/options.inc:426
 msgid "Wrap around when searching. Currently only used for typeahead."
 msgstr ""
 "Bei der Suche am Ende des Dokuments am Anfang weitersuchen.\n"
 "Wird zur Zeit nur bei der zeichenweisen Suche benutzt."
 
-#: src/config/options.inc:410
+#: src/config/options.inc:429
 msgid "Show not found"
 msgstr "Nicht-gefunden-Meldung"
 
-#: src/config/options.inc:412
+#: src/config/options.inc:431
 #, fuzzy
 msgid ""
 "How to inform the user when nothing is matched:\n"
@@ -2865,44 +2884,47 @@ msgstr ""
 "1 Warn-Pieps\n"
 "2 Meldungs-Fenster anzeigen"
 
-#: src/config/options.inc:417
+#: src/config/options.inc:436
 #, fuzzy
 msgid "Typeahead searching"
 msgstr "~Zeichenweise Suche"
 
-#: src/config/options.inc:419
+#: src/config/options.inc:438
 msgid ""
-"Start typeahead searching when an unbound key is pressed without\n"
-"any modifiers. Note that most keys have default bindings, so this\n"
-"feature will not be useful unless you unbind them.\n"
+"Start typeahead searching when an unbound key is pressed without any "
+"modifiers. Note that most keys have default bindings, so this feature will "
+"not be useful unless you unbind them.\n"
 "\n"
-"0 disables this feature; typeahead searching will only be used\n"
-"  when you press a key bound to search-typeahead or similar\n"
+"0 disables this feature; typeahead searching will only be\n"
+"  used when you press a key bound to search-typeahead or\n"
+"  similar\n"
 "1 automatically starts typeahead searching thru link text\n"
-"2 automatically starts typeahead searching thru all document text"
+"2 automatically starts typeahead searching thru all document\n"
+"  text"
 msgstr ""
 
-#: src/config/options.inc:428
+#: src/config/options.inc:451
 msgid "Horizontal text margin"
 msgstr "Horizontale Textbegrenzung"
 
-#: src/config/options.inc:430
+#: src/config/options.inc:453
 msgid "Horizontal text margin."
 msgstr "Horizontale Textbegrenzung."
 
-#: src/config/options.inc:432
+#: src/config/options.inc:455
 msgid "Document meta refresh"
 msgstr "Dokument-Auffrischung"
 
-#: src/config/options.inc:434
+#: src/config/options.inc:457
 #, fuzzy
 msgid ""
-"Automatically follow document-specified refresh directives ('<meta>\n"
-"refresh' tags). Web-page authors use these to instruct the browser\n"
-"to reload a document at a given interval or to load another page.\n"
-"Regardless of the value the refresh URI is accessible as a link.\n"
-"Use the document.browse.minimum_refresh_time to control the minimum\n"
-"number of seconds a refresh will wait."
+"Automatically follow document-specified refresh directives ('<meta> refresh' "
+"tags). Web-page authors use these to instruct the browser to reload a "
+"document at a given interval or to load another page. Regardless of the "
+"value the refresh URI is accessible as a link.\n"
+"\n"
+"Use the document.browse.minimum_refresh_time to control the minimum number "
+"of seconds a refresh will wait."
 msgstr ""
 "Im Dokument angegebenen Auffrischungs-Anweisung automatisch folgen\n"
 "('<meta> refresh' Anweisungen). Autoren von Webseiten benutzen diese,\n"
@@ -2912,16 +2934,16 @@ msgstr ""
 "document.browse.minimum_refresh_time, um die Zeit einzustellen,\n"
 "die eine Auffrischung mindestens braucht."
 
-#: src/config/options.inc:441
+#: src/config/options.inc:466
 msgid "Document meta refresh minimum time"
 msgstr "Mindestdauer fr Dokument-Auffrischung"
 
-#: src/config/options.inc:443
+#: src/config/options.inc:468
+#, fuzzy
 msgid ""
-"The minimum number of milliseconds that should pass before\n"
-"refreshing. If set to zero the document refresh time is used\n"
-"unchanged. It can fix going back in history for some sites that\n"
-"use refreshing with zero values."
+"The minimum number of milliseconds that should pass before refreshing. If "
+"set to zero the document refresh time is used unchanged. It can fix going "
+"back in history for some sites that use refreshing with zero values."
 msgstr ""
 "Anzahl der Millisekunden, die mindestens vergehen mssen bevor\n"
 "das Dokument aufgefrischt wird. Ist der Wert null, so wird die\n"
@@ -2929,47 +2951,46 @@ msgstr ""
 "kann Probleme beim Zurckgehen im Verlauf mit Seiten beheben,\n"
 "die die Auffrisch-Dauer auf null gesetzt haben."
 
-#: src/config/options.inc:448
+#: src/config/options.inc:473
 msgid "Tables navigation order"
 msgstr "Navigations-Reihenfolge in Tabllen"
 
-#: src/config/options.inc:450
+#: src/config/options.inc:475
 msgid "Move by columns in table, instead of rows."
 msgstr "Bewegung in den Spalten der Tabelle, anstatt Zeilen."
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:456
+#: src/config/options.inc:481
 msgid "Cache"
 msgstr "Cache"
 
-#: src/config/options.inc:458
+#: src/config/options.inc:483
 msgid "Cache options."
 msgstr "Cache-Optionen."
 
-#: src/config/options.inc:460
+#: src/config/options.inc:485
 msgid "Cache information about redirects"
 msgstr "Cache-Informationen ber Weiterleitungen"
 
-#: src/config/options.inc:462
+#: src/config/options.inc:487
 #, fuzzy
 msgid ""
-"Cache even redirects sent by server (usually thru HTTP by a 302\n"
-"HTTP code and a Location header). This was the original behaviour\n"
-"for quite some time, but it causes problems in a situation very\n"
-"common to various web login systems - frequently, when accessing\n"
-"a certain location, they will redirect you to a login page if they\n"
-"don't receive an auth cookie, the login page then gives you the\n"
-"cookie and redirects you back to the original page, but there you\n"
-"have already cached redirect back to the login page! If this\n"
-"option has value of 0, this malfunction is fixed, but occasionally\n"
-"you may get superfluous (depends on how you take it ;-) requests to\n"
-"the server. If this option has value of 1, experienced users can\n"
-"still workaround it by clever combination of usage of reload,\n"
-"jumping around in session history and hitting ctrl+enter.\n"
-"Note that this option is checked when retrieving the information\n"
-"from cache, not when saving it to cache - thus if you enable\n"
-"it, even previous redirects will be taken from cache instead of\n"
-"asking the server."
+"Cache even redirects sent by server (usually thru HTTP by a 302 HTTP code "
+"and a Location header). This was the original behaviour for quite some time, "
+"but it causes problems in a situation very common to various web login "
+"systems - frequently, when accessing a certain location, they will redirect "
+"you to a login page if they don't receive an auth cookie, the login page "
+"then gives you the cookie and redirects you back to the original page, but "
+"there you have already cached redirect back to the login page! If this "
+"option has value of 0, this malfunction is fixed, but occasionally you may "
+"get superfluous (depends on how you take it ;-) requests to the server. If "
+"this option has value of 1, experienced users can still workaround it by "
+"clever combination of usage of reload, jumping around in session history and "
+"hitting ctrl+enter.\n"
+"\n"
+"Note that this option is checked when retrieving the information from cache, "
+"not when saving it to cache - thus if you enable it, even previous redirects "
+"will be taken from cache instead of asking the server."
 msgstr ""
 "Auch vom Server gesendete Weiterleitungen zwischenspeichern\n"
 "(normalerweise ber HTTP mittels eines 302 HTTP Kode und eines\n"
@@ -2990,189 +3011,192 @@ msgstr ""
 "frhere Weiterleitungen aus dem Cache anstatt vom Server geholt, wenn\n"
 "diese Option eingeschaltet wird."
 
-#: src/config/options.inc:480
+#: src/config/options.inc:508
 msgid "Ignore cache-control info from server"
 msgstr "Ignoriere cache-control Informationen vom Server"
 
-#: src/config/options.inc:482
+#: src/config/options.inc:510
+#, fuzzy
 msgid ""
-"Ignore Cache-Control and Pragma server headers.\n"
-"When set, the document is cached even with 'Cache-Control: no-cache'."
+"Ignore Cache-Control and Pragma server headers. When set, the document is "
+"cached even with 'Cache-Control: no-cache'."
 msgstr ""
 "Ignoriere die Cache-Control und Pragma Header vom Server.\n"
 "Wenn eingeschaltet wird das Dokument immer zwischengespeichert,\n"
 "auch wenn 'Cache-Control: no-cache' angegeben wurde."
 
-#: src/config/options.inc:485
+#: src/config/options.inc:514
 msgid "Formatted documents"
 msgstr "Formatierte Dokumente"
 
-#: src/config/options.inc:487
+#: src/config/options.inc:516
 msgid "Format cache options."
 msgstr "Optionen fr den Cache formatierter Dokumente."
 
-#: src/config/options.inc:489
+#: src/config/options.inc:518
 msgid "Number"
 msgstr "Anzahl"
 
-#: src/config/options.inc:491
+#: src/config/options.inc:520
 msgid ""
-"Number of cached formatted pages. Do not get too generous\n"
-"here, 'formatted' means that all the accompanying structures\n"
-"are kept in memory so that you get the cached document\n"
-"immediatelly, but these structures may take a lot - 2x the\n"
-"size of the HTML source is probably not unusual, but it can\n"
-"be even more if the document consists of a lot of short lines\n"
-"(padded right, if possible) and links and not much other markup.\n"
-"So if you set this to 256 and then you don't like your ELinks\n"
-"eating 90M, don't come complaining to us. ;-)\n"
-"Also note that the format cache itself is not counted to the\n"
-"memory cache size, but the HTML source of the formatted documents\n"
-"is always cached, even if it is over the memory cache size\n"
-"threshold. (Then of course no other documents can be cached.)"
+"Number of cached formatted pages. Do not get too generous here, 'formatted' "
+"means that all the accompanying structures are kept in memory so that you "
+"get the cached document immediatelly, but these structures may take a lot - "
+"2x the size of the HTML source is probably not unusual, but it can be even "
+"more if the document consists of a lot of short lines (padded right, if "
+"possible) and links and not much other markup. So if you set this to 256 and "
+"then you don't like your ELinks eating 90M, don't come complaining to "
+"us. ;-)\n"
+"\n"
+"Also note that the format cache itself is not counted to the memory cache "
+"size, but the HTML source of the formatted documents is always cached, even "
+"if it is over the memory cache size threshold. (Then of course no other "
+"documents can be cached.)"
 msgstr ""
 
 #. FIXME: Write more.
-#: src/config/options.inc:506
+#: src/config/options.inc:538
 #, fuzzy
 msgid "Revalidation interval"
 msgstr "Speicher-Intervall"
 
-#: src/config/options.inc:508
+#: src/config/options.inc:540
 msgid ""
-"Period in seconds that a cache entry is considered to be\n"
-"up-to-date. When a document is loaded and this interval has elapsed\n"
-"since the document was initially loaded or most recently\n"
-"revalidated with the server, the server will be checked in case\n"
-"there is a more up-to-date version of the document.\n"
+"Period in seconds that a cache entry is considered to be up-to-date. When a "
+"document is loaded and this interval has elapsed since the document was "
+"initially loaded or most recently revalidated with the server, the server "
+"will be checked in case there is a more up-to-date version of the document.\n"
 "\n"
 "A value of -1 disables automatic revalidation."
 msgstr ""
 
-#: src/config/options.inc:515 src/dialogs/info.c:199
+#: src/config/options.inc:549 src/dialogs/info.c:199
 msgid "Memory cache"
 msgstr "RAM-Cache"
 
-#: src/config/options.inc:517
+#: src/config/options.inc:551
 msgid "Memory cache options."
 msgstr "RAM-Cache-Optionen."
 
-#: src/config/options.inc:521
+#: src/config/options.inc:555
 msgid "Memory cache size (in bytes)."
 msgstr "Gre des RAM-Cache (in Bytes)."
 
-#: src/config/options.inc:525
+#: src/config/options.inc:559
 msgid "Charset"
 msgstr "Zeichensatz"
 
-#: src/config/options.inc:527
+#: src/config/options.inc:561
 msgid "Charset options."
 msgstr "Zeichensatz-Optionen."
 
-#: src/config/options.inc:529
+#: src/config/options.inc:563
 msgid "Default codepage"
 msgstr "Zeichensatz-Voreinstellung"
 
-#: src/config/options.inc:531
+#: src/config/options.inc:565
+#, fuzzy
 msgid ""
-"Default document codepage. 'System' stands for\n"
-"a codepage determined by a selected locale."
+"Default document codepage. 'System' stands for a codepage determined by a "
+"selected locale."
 msgstr ""
 "Voreingestellter Zeichensatz. 'System' steht fr einen \n"
 "Zeichensatz, der durch die eingestellte Lokalisierung\n"
 "eingestellt wird."
 
-#: src/config/options.inc:534
+#: src/config/options.inc:568
 msgid "Ignore charset info from server"
 msgstr "Ignoriere Zeichensatz-Information vom Server"
 
-#: src/config/options.inc:536
+#: src/config/options.inc:570
 msgid "Ignore charset info sent by server."
 msgstr "Ignoriere Zeichensatz-Information vom Server."
 
-#: src/config/options.inc:540
+#: src/config/options.inc:574
 msgid "Default color settings"
 msgstr "Grundeinstellung der Farben"
 
-#: src/config/options.inc:542
+#: src/config/options.inc:576
 msgid "Default document color settings."
 msgstr "Grundeinstellung der Farben fr Dokumente."
 
-#: src/config/options.inc:553
+#: src/config/options.inc:587
 msgid "Link color"
 msgstr "Linkfarbe"
 
-#: src/config/options.inc:555
+#: src/config/options.inc:589
 msgid "Default link color."
 msgstr "Grundeinstellung der Farbe von Links."
 
-#: src/config/options.inc:557
+#: src/config/options.inc:591
 msgid "Visited-link color"
 msgstr "Farbe von besuchten Links"
 
-#: src/config/options.inc:559
+#: src/config/options.inc:593
 msgid "Default visited link color."
 msgstr "Grundeinstellung der Farbe von besuchten Links."
 
-#: src/config/options.inc:561
+#: src/config/options.inc:595
 msgid "Image-link color"
 msgstr "Bilder-Link-Farbe"
 
-#: src/config/options.inc:563
+#: src/config/options.inc:597
 msgid "Default image link color."
 msgstr "Grundeinstellung der Farbe von Links zu Bildern."
 
-#: src/config/options.inc:565
+#: src/config/options.inc:599
 msgid "Bookmarked-link color"
 msgstr "Lesezeichen-Link-Farbe"
 
-#: src/config/options.inc:567
+#: src/config/options.inc:601
 msgid "Default bookmarked link color."
 msgstr ""
 "Grundeinstellung der Farbe von Links, die als Lesezeichen\n"
 "gespeichert wurden."
 
-#: src/config/options.inc:569
+#: src/config/options.inc:603
 msgid "Directory color"
 msgstr "Farbe von Verzeichnissen"
 
-#: src/config/options.inc:571
+#: src/config/options.inc:605
+#, fuzzy
 msgid ""
 "Default directory color.\n"
+"\n"
 "See document.browse.links.color_dirs option."
 msgstr ""
 "Grundeinstellung der Farbe von Verzeichnissen.\n"
 "Siehe die Option document.browse.links.color_dirs."
 
-#: src/config/options.inc:578
+#: src/config/options.inc:613
 #, fuzzy
 msgid "Increase contrast"
 msgstr "Kontrast sicherstellen"
 
-#: src/config/options.inc:580
+#: src/config/options.inc:615
 msgid ""
-"Increase the contrast between the foreground and background colors\n"
-"to ensure readability. For example it disallows dark colors on a\n"
-"black background. Note, this is different from ensuring the contrast\n"
-"with the ensure_contrast option."
+"Increase the contrast between the foreground and background colors to ensure "
+"readability. For example it disallows dark colors on a black background. "
+"Note, this is different from ensuring the contrast with the ensure_contrast "
+"option."
 msgstr ""
 
-#: src/config/options.inc:585
+#: src/config/options.inc:621
 msgid "Ensure contrast"
 msgstr "Kontrast sicherstellen"
 
-#: src/config/options.inc:587
+#: src/config/options.inc:623
 #, fuzzy
 msgid "Makes sure that the back- and foreground colors are never equal."
 msgstr "Stellt sicher, dass Hinter- und Vordergrundfarbe nie gleich sind."
 
 #. If you change this please also change ACT_MAIN_DOCUMENT_COLORS action
 #. * handling.
-#: src/config/options.inc:592
+#: src/config/options.inc:628
 msgid "Use document-specified colors"
 msgstr "Benutze dokument-bestimmte Farben"
 
-#: src/config/options.inc:594
+#: src/config/options.inc:630
 #, fuzzy
 msgid ""
 "Use colors specified in document:\n"
@@ -3195,40 +3219,41 @@ msgstr ""
 "  vertrgt, wenn Transparenz fr das Terminal eingeschaltet ist."
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:607
+#: src/config/options.inc:643
 msgid "Downloading"
 msgstr "Download"
 
-#: src/config/options.inc:609
+#: src/config/options.inc:645
 msgid "Options regarding files downloading and handling."
 msgstr "Optionen bezglich des Download von Dateien."
 
-#: src/config/options.inc:611
+#: src/config/options.inc:647
 msgid "Default download directory"
 msgstr "Verzeichnis-Voreinstellung fr Downloads"
 
-#: src/config/options.inc:613
+#: src/config/options.inc:649
 msgid "Default download directory."
 msgstr "Verzeichnis-Voreinstellung fr Downloads."
 
-#: src/config/options.inc:615
+#: src/config/options.inc:651
 msgid "Set original time"
 msgstr "Setze die Originalzeit"
 
-#: src/config/options.inc:617
+#: src/config/options.inc:653
+#, fuzzy
 msgid ""
-"Set the timestamp of each downloaded file to the timestamp\n"
-"stored on the server."
+"Set the timestamp of each downloaded file to the timestamp stored on the "
+"server."
 msgstr ""
 "Setze die Zeit jeder heruntergeladenen Datei auf die Zeit,\n"
 "die auf dem Server gespeichert ist."
 
 #. Does automatic resuming make sense as an option?
-#: src/config/options.inc:621
+#: src/config/options.inc:657
 msgid "Prevent overwriting"
 msgstr "Beuge berschreiben vor"
 
-#: src/config/options.inc:623
+#: src/config/options.inc:659
 #, fuzzy
 msgid ""
 "Prevent overwriting the local files:\n"
@@ -3241,11 +3266,11 @@ msgstr ""
 "1 hnge ein Suffix .{Nummer} (z.B. '.1') an den Dateinamen.\n"
 "2 frage den Benutzer."
 
-#: src/config/options.inc:628
+#: src/config/options.inc:664
 msgid "Notify download completion by bell"
 msgstr "Klingeln bei Ende des Downloads"
 
-#: src/config/options.inc:630
+#: src/config/options.inc:666
 #, fuzzy
 msgid ""
 "Audio notification when download is completed:\n"
@@ -3258,30 +3283,31 @@ msgstr ""
 "1 wenn Hintergrund-Benachrichtigung eingeschaltet ist.\n"
 "2 immer"
 
-#: src/config/options.inc:636
+#: src/config/options.inc:672
 msgid "Dump output"
 msgstr "Ausgabe (dump)"
 
-#: src/config/options.inc:638
+#: src/config/options.inc:674
 msgid "Dump output options."
 msgstr "Optionen fr die Ausgabe (dump)."
 
 #. OPT_CODEPAGE
-#: src/config/options.inc:640 src/config/options.inc:912
+#: src/config/options.inc:676 src/config/options.inc:980
 #: src/config/opttypes.c:481 src/dialogs/document.c:164
 msgid "Codepage"
 msgstr "Zeichensatz"
 
-#: src/config/options.inc:642
+#: src/config/options.inc:678
+#, fuzzy
 msgid ""
-"Codepage used in dump output. 'System' stands for\n"
-"a codepage determined by a selected locale."
+"Codepage used in dump output. 'System' stands for a codepage determined by a "
+"selected locale."
 msgstr ""
 "Zeichensatz, der fr die Ausgabe (dump) benutzt wird.\n"
 "'System' steht fr einen Zeichensatz, der durch die \n"
 "eingestellte Lokalisierung eingestellt wird."
 
-#: src/config/options.inc:645 src/config/options.inc:878
+#: src/config/options.inc:681 src/config/options.inc:941
 msgid "Color mode"
 msgstr "Farbmodus"
 
@@ -3290,12 +3316,15 @@ msgstr "Farbmodus"
 #. * an outer list entry after an inner list.
 #. * TRANSLATORS: This restriction applies only to the
 #. * "en" (English) translation.  (See doc/Makefile.)
-#: src/config/options.inc:652
+#: src/config/options.inc:688
+#, fuzzy
 msgid ""
 "Color mode for dumps.\n"
+"\n"
 "Some modes may have been disabled at compile time. The Setup -> Terminal "
 "options dialog lists the modes supported by this executable. If you select "
 "an unsupported mode, ELinks uses 16 colors.\n"
+"\n"
 "The color modes are:\n"
 "-1 is standard dump mode\n"
 "0 is mono mode\n"
@@ -3304,127 +3333,130 @@ msgid ""
 "3 is 256 color mode\n"
 "4 is true color mode"
 msgstr ""
+"Der Farbmodus kontrolliert, welche Farben benutzt und wie diese\n"
+"auf dem Bildschirm ausgegeben werden. Die Farbmodi sind:\n"
+"0 monochromer Modus, nur 2 Farben werden benutzt\n"
+"1 16-Farbmodus, benutzt die gewhnlichen ANSI-Farben\n"
+"2 256-Farbmodus, verlangt die Benutzung von xterm-256color\n"
 
-#: src/config/options.inc:665
+#: src/config/options.inc:703
 msgid "Footer"
 msgstr "Fuzeile"
 
-#: src/config/options.inc:667
+#: src/config/options.inc:705
 #, c-format
 msgid "Footer string used in dumps. %u is substituted by URL."
 msgstr "Fuzeile fr die Ausgabe (dump). %u wird durch die Url ersetzt."
 
-#: src/config/options.inc:671
+#: src/config/options.inc:709
 #, c-format
 msgid "Header string used in dumps. %u is substituted by URL."
 msgstr "Kopfzeile fr die Ausgabe (dump). %u wird durch die Url ersetzt."
 
-#: src/config/options.inc:673
+#: src/config/options.inc:711
 #, fuzzy
 msgid "Numbering"
 msgstr "Anzahl"
 
-#: src/config/options.inc:675
+#: src/config/options.inc:713
 #, fuzzy
 msgid "Whether to print link numbers in dump output."
 msgstr "Links in der Ausgabe (dump) nicht nummerieren"
 
-#: src/config/options.inc:677
+#: src/config/options.inc:715
 #, fuzzy
 msgid "References"
 msgstr "Ressourcen"
 
-#: src/config/options.inc:679
+#: src/config/options.inc:717
 #, fuzzy
-msgid ""
-"Whether to print references (URIs) of document links\n"
-"in dump output."
+msgid "Whether to print references (URIs) of document links in dump output."
 msgstr ""
 "Verhindert das Anhngen einer Link-Liste (URIs) in der Ausgabe (dump).\n"
 "Beachten Sie, dass dies nur -dump betrifft, nichts anderes."
 
-#: src/config/options.inc:682
+#: src/config/options.inc:720
 msgid "Separator"
 msgstr "Trenn-Zeichenkette"
 
-#: src/config/options.inc:684
+#: src/config/options.inc:722
 msgid "String which separates two dumps."
 msgstr "Zeichenkette zum Trennen zweier Ausgaben (dump)."
 
-#: src/config/options.inc:686
+#: src/config/options.inc:724
 msgid "Width"
 msgstr "Breite"
 
-#: src/config/options.inc:688
+#: src/config/options.inc:726
 #, fuzzy
 msgid "Width of screen in characters when dumping documents."
 msgstr ""
 "Breite des Bildschirms in Zeichen, bei der Ausgabe (dump) eines HTML-"
 "Dokuments."
 
-#: src/config/options.inc:692
+#: src/config/options.inc:730
 msgid "History"
 msgstr "Verlauf"
 
-#: src/config/options.inc:694
+#: src/config/options.inc:732
 msgid "History options."
 msgstr "Verlaufs-Optionen."
 
-#: src/config/options.inc:696
+#: src/config/options.inc:734
 msgid "Keep unhistory"
 msgstr "Spteren Verlauf behalten"
 
-#: src/config/options.inc:698
+#: src/config/options.inc:736
 #, fuzzy
 msgid "Keep unhistory (\"forward history\")."
 msgstr "Spteren Verlauf behalten?"
 
-#: src/config/options.inc:701
+#: src/config/options.inc:739
 msgid "HTML rendering"
 msgstr "HTML-Darstellung"
 
-#: src/config/options.inc:703
+#: src/config/options.inc:741
 msgid "Options concerning the display of HTML pages."
 msgstr "Optionen, die mit der Darstellung von HTML-Seiten zusammenhngen."
 
-#: src/config/options.inc:705
+#: src/config/options.inc:743
 msgid "Display frames"
 msgstr "Rahmen anzeigen"
 
-#: src/config/options.inc:707
+#: src/config/options.inc:745
 msgid "Display frames."
 msgstr "Rahmen anzeigen."
 
-#: src/config/options.inc:709
+#: src/config/options.inc:747
 msgid "Display tables"
 msgstr "Tabellen anzeigen"
 
-#: src/config/options.inc:711
+#: src/config/options.inc:749
 msgid "Display tables."
 msgstr "Tabellen anzeigen."
 
-#: src/config/options.inc:713
+#: src/config/options.inc:751
 msgid "Display subscripts"
 msgstr "Indizes anzeigen"
 
-#: src/config/options.inc:715
+#: src/config/options.inc:753
 msgid "Display subscripts (as [thing])."
 msgstr "Indizes anzeigen (als [Index])."
 
-#: src/config/options.inc:717
+#: src/config/options.inc:755
 msgid "Display superscripts"
 msgstr "Exponenten anzeigen"
 
-#: src/config/options.inc:719
+#: src/config/options.inc:757
 msgid "Display superscripts (as ^thing)."
 msgstr "Exponenten anzeigen (als ^Exponent)."
 
-#: src/config/options.inc:721
+#: src/config/options.inc:759
 #, fuzzy
 msgid "Rendering of HTML link element"
 msgstr "Darstellung des HTML Link-Elements"
 
-#: src/config/options.inc:723
+#: src/config/options.inc:761
 #, fuzzy
 msgid ""
 "How to render <link> tags from the HTML header:\n"
@@ -3443,78 +3475,77 @@ msgstr ""
 "4 zustzlich den Typ anzeigen\n"
 "5 alles anzeigen"
 
-#: src/config/options.inc:731
+#: src/config/options.inc:769
 msgid "Underline links"
 msgstr "Links unterstreichen"
 
-#: src/config/options.inc:733
+#: src/config/options.inc:771
 msgid "Underline links."
 msgstr "Links unterstreichen."
 
-#: src/config/options.inc:735
+#: src/config/options.inc:773
 msgid "Wrap non breaking space"
 msgstr "Nicht trennbare Leerzeichen umbrechen"
 
-#: src/config/options.inc:737
+#: src/config/options.inc:775
+#, fuzzy
 msgid ""
-"If set do not honour non breaking space (the nbsp entity)\n"
-"but allow to wrap the text. This can help keeping the width\n"
-"of documents down so no horizontal scrolling is needed."
+"If set do not honour non breaking space (the nbsp entity) but allow to wrap "
+"the text. This can help keeping the width of documents down so no horizontal "
+"scrolling is needed."
 msgstr ""
 "Nicht trennbare Leerzeichen (nbsp) nicht beachten und das\n"
 "Umbrechen des Textes erlauben. Dies kann helfen, die Breite\n"
 "von Dokumenten klein zu halten, und so horizontales Rollen\n"
 "verhindern."
 
-#: src/config/options.inc:742
+#: src/config/options.inc:780
 msgid "Plain rendering"
 msgstr "Darstellung von einfachem Text"
 
-#: src/config/options.inc:744
+#: src/config/options.inc:782
 msgid "Options concerning the display of plain text pages."
 msgstr "Optionen, die mit der Darstellung von einfachem Text zusammenhngen."
 
-#: src/config/options.inc:746
+#: src/config/options.inc:784
 msgid "Display URIs"
 msgstr "URIs anzeigen"
 
-#: src/config/options.inc:748
+#: src/config/options.inc:786
 msgid "Display URIs in the document as links."
 msgstr "URIs in Dokumenten als Link anzeigen."
 
-#: src/config/options.inc:750
+#: src/config/options.inc:788
 msgid "Compress empty lines"
 msgstr "Leere Zeilen zusammenfassen"
 
-#: src/config/options.inc:752
+#: src/config/options.inc:790
 msgid "Compress successive empty lines to only one in displayed text."
 msgstr ""
 "Mehrere aufeinanderfolgende leere Zeilen werden im\n"
 "angezeigten Text zu einer zusammengefasst."
 
-#: src/config/options.inc:755
+#: src/config/options.inc:794
 msgid "URI passing"
 msgstr "URI Delegierung"
 
-#: src/config/options.inc:757
+#: src/config/options.inc:796
 msgid ""
-"Rules for passing URIs to external commands. When one rule\n"
-"is defined the link and tab menu will have a menu item that\n"
-"makes it possible to pass the the link, frame or tab URI to\n"
-"an external command. If several rules are defined the link and\n"
-"tab menu will have a submenu of items for each rule. Note, this\n"
-"is mostly useful for launching graphical viewers, since there\n"
-"is no support for releasing the terminal while the command runs.\n"
-"The action and submenus are also available by binding keys to\n"
-"the frame-external-command, the link-external-command, and\n"
-"the tab-external-command actions."
+"Rules for passing URIs to external commands. When one rule is defined the "
+"link and tab menu will have a menu item that makes it possible to pass the "
+"the link, frame or tab URI to an external command. If several rules are "
+"defined the link and tab menu will have a submenu of items for each rule.\n"
+"\n"
+"Note, this is mostly useful for launching graphical viewers, since there is "
+"no support for releasing the terminal while the command runs. The action and "
+"submenus are also available by binding keys to the frame-external-command, "
+"the link-external-command, and the tab-external-command actions."
 msgstr ""
 
-#: src/config/options.inc:770
+#: src/config/options.inc:812
 #, fuzzy
 msgid ""
-"A rule for passing URI to an external command.\n"
-"The format is:\n"
+"A rule for passing URI to an external command. The format is:\n"
 "%c in the string means the current URL\n"
 "%% in the string means '%'\n"
 "Do _not_ put single- or double-quotes around %c."
@@ -3525,43 +3556,44 @@ msgstr ""
 "%% in der Zeichenkette bedeutet '%'"
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:780
+#: src/config/options.inc:822
 msgid "Information files"
 msgstr "Informations-Dateien"
 
-#: src/config/options.inc:782
+#: src/config/options.inc:824
 msgid "Options for information files in ~/.elinks."
 msgstr "Optionen fr Informations-Dateien in ~/.elinks."
 
-#: src/config/options.inc:784
+#: src/config/options.inc:826
 msgid "Save interval"
 msgstr "Speicher-Intervall"
 
-#: src/config/options.inc:786
+#: src/config/options.inc:828
 #, fuzzy
 msgid ""
-"Interval at which to trigger information files in ~/.elinks\n"
-"to be saved to disk if they have changed (seconds; 0 to disable)"
+"Interval at which to trigger information files in ~/.elinks to be saved to "
+"disk if they have changed (seconds; 0 to disable)"
 msgstr ""
 "Intervall, in dem die Informations-Dateien in ~/.elinks geschrieben\n"
 "werden, wenn sich etwas verndert hat (in Sekunden; 0 bedeutet\n"
 "Auto-Speichern abschalten)"
 
-#: src/config/options.inc:789
+#: src/config/options.inc:832
 msgid "Use secure file saving"
 msgstr "Benutze sicheres Speichern von Dateien"
 
-#: src/config/options.inc:791
+#: src/config/options.inc:834
 #, fuzzy
 msgid ""
-"First write data to unique temporary file, then rename this file\n"
-"upon successfully finishing this. Note that this relates only to\n"
-"config files, not downloaded files. You may want to disable\n"
-"it if you are using some exotic permissions for concerned files.\n"
-"Secure file saving is automagically disabled if file is symlink.\n"
-"Warning: some systems (ie. OS/2, Win32) require that destination\n"
-"file doesn't exist when rename(3) is called, breaking atomicity,\n"
-"and reducing reliability of this feature."
+"First write data to unique temporary file, then rename this file upon "
+"successfully finishing this. Note that this relates only to config files, "
+"not downloaded files. You may want to disable it if you are using some "
+"exotic permissions for concerned files. Secure file saving is automagically "
+"disabled if file is symlink.\n"
+"\n"
+"Warning: some systems (ie. OS/2, Win32) require that destination file "
+"doesn't exist when rename(3) is called, breaking atomicity, and reducing "
+"reliability of this feature."
 msgstr ""
 "Schreibe die Daten zuerst in die Datei 'datei.tmp' und benenne\n"
 "sie dann in 'datei' um, wenn der erste Schritt erfolgreich war.\n"
@@ -3575,37 +3607,37 @@ msgstr ""
 "durchbricht die Atomizitt (atomicity) und verringert die\n"
 "Zuverlssigkeit dieses Features."
 
-#: src/config/options.inc:800
+#: src/config/options.inc:846
 #, fuzzy
 msgid "Use fsync(3) with secure file saving"
 msgstr "Benutze sicheres Speichern von Dateien"
 
-#: src/config/options.inc:802
+#: src/config/options.inc:848
 msgid ""
-"When using secure file saving, call fsync(3), if the OS\n"
-"supports it, to force the OS immediately to write the data\n"
-"to permanent storage. This is optional for those who wish\n"
-"to avoid excessive disk I/O."
+"When using secure file saving, call fsync(3), if the OS supports it, to "
+"force the OS immediately to write the data to permanent storage. This is "
+"optional for those who wish to avoid excessive disk I/O."
 msgstr ""
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:811
+#: src/config/options.inc:857
 msgid "Terminals"
 msgstr "Terminals"
 
-#: src/config/options.inc:813
+#: src/config/options.inc:859
 msgid "Terminal options."
 msgstr "Terminaleinstellungen"
 
-#: src/config/options.inc:817
+#: src/config/options.inc:863
 msgid "Options specific to this terminal type (according to $TERM value)."
 msgstr ""
 "Optionen speziell fr diesen Terminal-Typ (entspechend dem Wert von $TERM)."
 
-#: src/config/options.inc:842
+#: src/config/options.inc:889
+#, fuzzy
 msgid ""
-"Terminal type; matters mostly only when drawing frames and\n"
-"dialog box borders:\n"
+"Terminal type; matters mostly only when drawing frames and dialog box "
+"borders:\n"
 "0 is dumb terminal type, ASCII art\n"
 "1 is VT100, simple but portable\n"
 "2 is Linux, you get double frames and other goodies\n"
@@ -3620,16 +3652,32 @@ msgstr ""
 "3 KOI-8\n"
 "4 FreeBSD"
 
-#: src/config/options.inc:850 src/dialogs/options.c:227
+#: src/config/options.inc:897
+msgid "Always encode xterm title in ISO-8859-1"
+msgstr ""
+
+#: src/config/options.inc:899
+msgid ""
+"When updating the window title of xterm or a similar terminal emulator, "
+"encode the title in ISO-8859-1 (Latin-1), rather than in the charset used "
+"for other text in the window. Cyrillic and other characters get replaced "
+"with Latin ones. Xterm requires this unless you explicitly enable UTF-8 "
+"titles in it.\n"
+"\n"
+"If this option does not take effect immediately, try switching to a "
+"different page so that ELinks notices it needs to update the title."
+msgstr ""
+
+#: src/config/options.inc:910 src/dialogs/options.c:227
 msgid "Switch fonts for line drawing"
 msgstr "Zeichensatz zum Zeichnen von Linien umschalten"
 
-#: src/config/options.inc:852
+#: src/config/options.inc:912
 #, fuzzy
 msgid ""
-"Switch fonts when drawing lines, enabling both local characters\n"
-"and lines working at the same time. ELinks uses this option only if\n"
-"UTF-8 I/O is disabled and the terminal type is Linux or FreeBSD."
+"Switch fonts when drawing lines, enabling both local characters and lines "
+"working at the same time. ELinks uses this option only if UTF-8 I/O is "
+"disabled and the terminal type is Linux or FreeBSD."
 msgstr ""
 "Zeichensatz zum Zeichnen von Linien umschalten, so dass sowohl\n"
 "nationale Zeichen als auch Linien gezeichnet werden knnen.\n"
@@ -3640,42 +3688,44 @@ msgstr ""
 #. * and if so, behave as if "utf_8_io" were 1.  (When CONFIG_UTF8 is
 #. * not defined, it should not be possible to set UTF-8 as "codepage";
 #. * please report any such possibilities as bugs.)
-#: src/config/options.inc:861 src/dialogs/options.c:232
+#: src/config/options.inc:922 src/dialogs/options.c:232
 msgid "UTF-8 I/O"
 msgstr "UTF-8-E/A"
 
-#: src/config/options.inc:863
+#: src/config/options.inc:924
 #, fuzzy
 msgid ""
-"Enable I/O in UTF-8 for Unicode terminals. Note that currently,\n"
-"only the subset of UTF-8 according to terminal codepage is used.\n"
-"ELinks ignores this option if the terminal codepage is UTF-8."
+"Enable I/O in UTF-8 for Unicode terminals. Note that currently, only the "
+"subset of UTF-8 according to terminal codepage is used. ELinks ignores this "
+"option if the terminal codepage is UTF-8."
 msgstr ""
 "Aktiviere Ein-/Ausgabe mit UTF8 fr Unicode-Terminals. Beachte,\n"
 "dass zur Zeit nur der Teil des Terminal-Zeichensatzes fr UTF8\n"
 "verwendet wird."
 
-#: src/config/options.inc:867 src/dialogs/options.c:228
+#: src/config/options.inc:929 src/dialogs/options.c:228
 msgid "Restrict frames in cp850/852"
 msgstr "Beschrnke Rahmen in CP 850/852"
 
-#: src/config/options.inc:869
+#: src/config/options.inc:931
+#, fuzzy
 msgid ""
-"Restrict the characters used when drawing lines. Makes sense\n"
-"only with linux terminals using the cp850/852 character sets."
+"Restrict the characters used when drawing lines. Makes sense only with linux "
+"terminals using the cp850/852 character sets."
 msgstr ""
 "Beschrnke die Zeichen zum Zeichnen von Linie. Nur sinnvoll\n"
 "fr Linux-Terminals mit Zeichensatz cp850 oder cp852."
 
-#: src/config/options.inc:872 src/dialogs/options.c:229
+#: src/config/options.inc:935 src/dialogs/options.c:229
 msgid "Block cursor"
 msgstr "Block-Cursor"
 
-#: src/config/options.inc:874
+#: src/config/options.inc:937
+#, fuzzy
 msgid ""
-"Move cursor to bottom right corner when done drawing.\n"
-"This is particularly useful when we have a block cursor,\n"
-"so that inversed text is displayed correctly."
+"Move cursor to bottom right corner when done drawing. This is particularly "
+"useful when we have a block cursor, so that inversed text is displayed "
+"correctly."
 msgstr ""
 "Bewege den Cursor beim Zeichnen in die rechte untere Ecke.\n"
 "Dies ist insbesondere sinnvoll, wenn wir einen Block-Cursor\n"
@@ -3686,14 +3736,16 @@ msgstr ""
 #. * an outer list entry after an inner list.
 #. * TRANSLATORS: This restriction applies only to the
 #. * "en" (English) translation.  (See doc/Makefile.)
-#: src/config/options.inc:885
+#: src/config/options.inc:948
 #, fuzzy
 msgid ""
 "The color mode controls what colors are used and how they are output to the "
 "terminal.\n"
+"\n"
 "Some modes may have been disabled at compile time. The Setup -> Terminal "
 "options dialog lists the modes supported by this executable. If you select "
 "an unsupported mode, ELinks uses 16 colors.\n"
+"\n"
 "The color modes are:\n"
 "0 is mono mode, only 2 colors are used\n"
 "1 is 16 color mode, uses the common ANSI colors\n"
@@ -3707,21 +3759,19 @@ msgstr ""
 "1 16-Farbmodus, benutzt die gewhnlichen ANSI-Farben\n"
 "2 256-Farbmodus, verlangt die Benutzung von xterm-256color\n"
 
-#: src/config/options.inc:898 src/dialogs/options.c:230
+#: src/config/options.inc:963 src/dialogs/options.c:230
 msgid "Transparency"
 msgstr "Transparenz"
 
-#: src/config/options.inc:900
+#: src/config/options.inc:965
 #, fuzzy
 msgid ""
-"If we should not set the background to black. This is particularly\n"
-"useful when we have a terminal (typically in some windowing\n"
-"environment) with a background image or a transparent background -\n"
-"it will be visible in ELinks as well (but ELinks document color handling\n"
-"will still assume the background is black so if you have a bright "
-"background\n"
-"you might experience contrast problems). Note that this option makes\n"
-"sense only when colors are enabled."
+"If we should not set the background to black. This is particularly useful "
+"when we have a terminal (typically in some windowing environment) with a "
+"background image or a transparent background - it will be visible in ELinks "
+"as well (but ELinks document color handling will still assume the background "
+"is black so if you have a bright background you might experience contrast "
+"problems). Note that this option makes sense only when colors are enabled."
 msgstr ""
 "Soll der Hintergrund nicht schwarz gemacht werden. Dies ist\n"
 "insbesondere ntzlich, wenn wir ein Terminal (typischerweise in\n"
@@ -3729,395 +3779,396 @@ msgstr ""
 "transparenten Hintergrund haben - dieses wird auch in ELinks sichtbar\n"
 "sein. Diese Option macht nur Sinn, wenn Farben benutzt werden."
 
-#: src/config/options.inc:910
+#: src/config/options.inc:977
 msgid "If we should use underline or enhance the color instead."
 msgstr "Soll unterstrichen oder die Farben verbessert werden."
 
-#: src/config/options.inc:914
+#: src/config/options.inc:982
+#, fuzzy
 msgid ""
-"Codepage of charset used for displaying content on terminal.\n"
-"'System' stands for a codepage determined by a selected locale."
+"Codepage of charset used for displaying content on terminal. 'System' stands "
+"for a codepage determined by a selected locale."
 msgstr ""
 "Zeichensatz fr die Darstellung von Inhalten auf dem Terminal.\n"
 "'System' steht fr einen Zeichensatz, der durch die eingestellte\n"
 "Lokalisierung eingestellt wird."
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:921
+#: src/config/options.inc:990
 msgid "User interface"
 msgstr "Benutzer-Schnittstelle"
 
-#: src/config/options.inc:923
+#: src/config/options.inc:992
 msgid "User interface options."
 msgstr "Optionen der Benutzer-Schnittstelle."
 
-#: src/config/options.inc:927
+#: src/config/options.inc:996
 msgid "Color settings"
 msgstr "Farb-Einstellungen"
 
-#: src/config/options.inc:929
+#: src/config/options.inc:998
 msgid "Default user interface color settings."
 msgstr "Voreinstellung fr die Farben der Benutzer-Schnittstelle."
 
-#: src/config/options.inc:956
+#: src/config/options.inc:1025
 msgid "Color terminals"
 msgstr "Farb-Terminals"
 
-#: src/config/options.inc:958
+#: src/config/options.inc:1027
 msgid "Color settings for color terminal."
 msgstr "Farb-Einstellung fr Farb-Terminals."
 
-#: src/config/options.inc:960
+#: src/config/options.inc:1029
 msgid "Non-color terminals"
 msgstr "Nichtfarbige Terminals"
 
-#: src/config/options.inc:962
+#: src/config/options.inc:1031
 msgid "Color settings for non-color terminal."
 msgstr "Farbeinstellungen fr nichtfarbige Terminals."
 
 #. FIXME: obsolete, how to alias them correctly ? --Zas
-#: src/config/options.inc:965
+#: src/config/options.inc:1034
 msgid "Main menu bar"
 msgstr "Hauptmen"
 
-#: src/config/options.inc:967
+#: src/config/options.inc:1036
 msgid "Main menu bar colors."
 msgstr "Farben des Hauptmen."
 
-#: src/config/options.inc:969
+#: src/config/options.inc:1038
 msgid "Unselected main menu bar item"
 msgstr "Nicht ausgewhlter Hauptmen-Eintrag"
 
-#: src/config/options.inc:971
+#: src/config/options.inc:1040
 msgid "Unselected main menu bar item colors."
 msgstr "Farben nicht ausgewhlter Hauptmen-Eintrge"
 
-#: src/config/options.inc:973
+#: src/config/options.inc:1042
 msgid "Selected main menu bar item"
 msgstr "Ausgewhlter Hauptmen-Eintrag"
 
-#: src/config/options.inc:975
+#: src/config/options.inc:1044
 msgid "Selected main menu bar item colors."
 msgstr "Farben ausgewhlter Hauptmen-Eintrge"
 
-#: src/config/options.inc:977 src/config/options.inc:1006
+#: src/config/options.inc:1046 src/config/options.inc:1075
 msgid "Hotkey"
 msgstr "Zugriffstaste"
 
-#: src/config/options.inc:979
+#: src/config/options.inc:1048
 msgid "Main menu hotkey colors."
 msgstr "Farben von Zugriffstasten im Hauptmen."
 
-#: src/config/options.inc:981 src/config/options.inc:1010
+#: src/config/options.inc:1050 src/config/options.inc:1079
 msgid "Unselected hotkey"
 msgstr "Nicht ausgewhlte Zugriffstaste"
 
-#: src/config/options.inc:983
+#: src/config/options.inc:1052
 msgid "Main menu unselected hotkey colors."
 msgstr "Farben von nicht ausgewhlten  Zugriffstasten im Hauptmen."
 
-#: src/config/options.inc:985 src/config/options.inc:1014
+#: src/config/options.inc:1054 src/config/options.inc:1083
 msgid "Selected hotkey"
 msgstr "Ausgewhlte Zugriffstaste"
 
-#: src/config/options.inc:987
+#: src/config/options.inc:1056
 msgid "Main menu selected hotkey colors."
 msgstr "Farben von ausgewhlten  Zugriffstasten im Hauptmen."
 
-#: src/config/options.inc:990
+#: src/config/options.inc:1059
 msgid "Menu bar"
 msgstr "Men"
 
-#: src/config/options.inc:992
+#: src/config/options.inc:1061
 msgid "Menu bar colors."
 msgstr "Farben des Mens"
 
-#: src/config/options.inc:994
+#: src/config/options.inc:1063
 msgid "Unselected menu item"
 msgstr "Nicht ausgewhlter Men-Eintrag"
 
-#: src/config/options.inc:996
+#: src/config/options.inc:1065
 msgid "Unselected menu item colors."
 msgstr "Farben nicht ausgewhlter Men-Eintrge"
 
-#: src/config/options.inc:998
+#: src/config/options.inc:1067
 msgid "Selected menu item"
 msgstr "Ausgewhlter Men-Eintrag"
 
-#: src/config/options.inc:1000
+#: src/config/options.inc:1069
 msgid "Selected menu item colors."
 msgstr "Farben ausgewhlter Men-Eintrge"
 
-#: src/config/options.inc:1002
+#: src/config/options.inc:1071
 msgid "Marked menu item"
 msgstr "Markierter Men-Eintrag"
 
-#: src/config/options.inc:1004
+#: src/config/options.inc:1073
 msgid "Marked menu item colors."
 msgstr "Farben markierter Men-Eintrge"
 
-#: src/config/options.inc:1008
+#: src/config/options.inc:1077
 msgid "Menu item hotkey colors."
 msgstr "Farben der Zugriffstasten von Meneintrgen."
 
-#: src/config/options.inc:1012
+#: src/config/options.inc:1081
 msgid "Menu item unselected hotkey colors."
 msgstr "Farben der nicht ausgewhlten Zugriffstasten von Meneintrgen."
 
-#: src/config/options.inc:1016
+#: src/config/options.inc:1085
 msgid "Menu item selected hotkey colors."
 msgstr "Farben der ausgewhlten Zugriffstasten von Meneintrgen."
 
-#: src/config/options.inc:1018
+#: src/config/options.inc:1087
 msgid "Menu frame"
 msgstr "Men-Rahmen"
 
-#: src/config/options.inc:1020
+#: src/config/options.inc:1089
 msgid "Menu frame colors."
 msgstr "Farben des Men-Rahmens."
 
-#: src/config/options.inc:1023
+#: src/config/options.inc:1092
 msgid "Dialog"
 msgstr "Dialog"
 
-#: src/config/options.inc:1025
+#: src/config/options.inc:1094
 msgid "Dialog colors."
 msgstr "Farben von Dialogen."
 
-#: src/config/options.inc:1035
+#: src/config/options.inc:1104
 msgid "Generic"
 msgstr "Allgemein"
 
-#: src/config/options.inc:1037
+#: src/config/options.inc:1106
 msgid "Generic dialog colors."
 msgstr "Allgemeine Farben fr Dialoge."
 
-#: src/config/options.inc:1039
+#: src/config/options.inc:1108
 msgid "Frame"
 msgstr "Rahmen"
 
-#: src/config/options.inc:1041
+#: src/config/options.inc:1110
 msgid "Dialog frame colors."
 msgstr "Farben der Rahmen von Dialogen."
 
-#: src/config/options.inc:1043
+#: src/config/options.inc:1112
 msgid "Scrollbar"
 msgstr "Rollleiste(Scrollbar)"
 
-#: src/config/options.inc:1045
+#: src/config/options.inc:1114
 msgid "Scrollbar colors."
 msgstr "Farben fr die Rollleiste."
 
-#: src/config/options.inc:1047
+#: src/config/options.inc:1116
 #, fuzzy
 msgid "Selected scrollbar"
 msgstr "Farben fr eine ausgewhlte Ansicht."
 
-#: src/config/options.inc:1049
+#: src/config/options.inc:1118
 msgid "Scrollbar selected colors."
 msgstr "Farben fr eine ausgewhlte Rollleiste."
 
-#: src/config/options.inc:1053
+#: src/config/options.inc:1122
 msgid "Dialog title colors."
 msgstr "Farben des Titel von Dialogen."
 
-#: src/config/options.inc:1055
+#: src/config/options.inc:1124
 msgid "Text"
 msgstr "Text"
 
-#: src/config/options.inc:1057
+#: src/config/options.inc:1126
 msgid "Dialog text colors."
 msgstr "Farben des Textes in Dialogen."
 
-#: src/config/options.inc:1059 src/viewer/text/form.c:1862
+#: src/config/options.inc:1128 src/viewer/text/form.c:1891
 msgid "Checkbox"
 msgstr "Checkbox"
 
-#: src/config/options.inc:1061
+#: src/config/options.inc:1130
 msgid "Dialog checkbox colors."
 msgstr "Farben einer Checkbox in Dialogen."
 
-#: src/config/options.inc:1063
+#: src/config/options.inc:1132
 #, fuzzy
 msgid "Selected checkbox"
 msgstr "Ausgewhlte Ansicht"
 
-#: src/config/options.inc:1065
+#: src/config/options.inc:1134
 #, fuzzy
 msgid "Dialog selected checkbox colors."
 msgstr "Farbe von ausgewhlten Schaltflchen in Dialogen."
 
-#: src/config/options.inc:1067
+#: src/config/options.inc:1136
 msgid "Checkbox label"
 msgstr "Checkbox-Beschriftung"
 
-#: src/config/options.inc:1069
+#: src/config/options.inc:1138
 msgid "Dialog checkbox label colors."
 msgstr "Farben der Checkbox-Beschriftung in Dialogen."
 
-#: src/config/options.inc:1071
+#: src/config/options.inc:1140
 msgid "Button"
 msgstr "Schaltflche"
 
-#: src/config/options.inc:1073 src/config/options.inc:1081
+#: src/config/options.inc:1142 src/config/options.inc:1150
 msgid "Dialog button colors."
 msgstr "Farben von Schaltflchen in Dialogen."
 
-#: src/config/options.inc:1075
+#: src/config/options.inc:1144
 msgid "Selected button"
 msgstr "Ausgewhlte Schaltflche"
 
-#: src/config/options.inc:1077 src/config/options.inc:1085
+#: src/config/options.inc:1146 src/config/options.inc:1154
 msgid "Dialog selected button colors."
 msgstr "Farbe von ausgewhlten Schaltflchen in Dialogen."
 
-#: src/config/options.inc:1079
+#: src/config/options.inc:1148
 msgid "Button shortcut"
 msgstr ""
 
-#: src/config/options.inc:1083
+#: src/config/options.inc:1152
 #, fuzzy
 msgid "Selected button shortcut"
 msgstr "Ausgewhlte Schaltflche"
 
-#: src/config/options.inc:1087 src/viewer/text/form.c:1866
+#: src/config/options.inc:1156 src/viewer/text/form.c:1895
 msgid "Text field"
 msgstr "Textfeld"
 
-#: src/config/options.inc:1089
+#: src/config/options.inc:1158
 msgid "Dialog text field colors."
 msgstr "Farbe von Textfeldern in Dialogen."
 
-#: src/config/options.inc:1091
+#: src/config/options.inc:1160
 msgid "Text field text"
 msgstr "Text in Textfeldern"
 
-#: src/config/options.inc:1093
+#: src/config/options.inc:1162
 msgid "Dialog field text colors."
 msgstr "Farbe von Text in Textfeldern von Dialogen."
 
-#: src/config/options.inc:1095
+#: src/config/options.inc:1164
 msgid "Meter"
 msgstr "Zhler"
 
-#: src/config/options.inc:1097
+#: src/config/options.inc:1166
 msgid "Dialog meter colors."
 msgstr "Farben von Zhlern in Dialogen."
 
-#: src/config/options.inc:1099
+#: src/config/options.inc:1168
 msgid "Shadow"
 msgstr "Schatten"
 
-#: src/config/options.inc:1101
+#: src/config/options.inc:1170
 msgid "Dialog shadow colors (see ui.shadows option)."
 msgstr "Farben des Schattens der Dialoge (siehe die Option ui.shadows)"
 
-#: src/config/options.inc:1103
+#: src/config/options.inc:1172
 msgid "Title bar"
 msgstr "Titelzeile"
 
-#: src/config/options.inc:1105
+#: src/config/options.inc:1174
 msgid "Title bar colors."
 msgstr "Farben fr die Titelzeile."
 
-#: src/config/options.inc:1107
+#: src/config/options.inc:1176
 msgid "Generic title bar"
 msgstr "Titelzeile (allgemein)"
 
-#: src/config/options.inc:1109
+#: src/config/options.inc:1178
 msgid "Generic title bar colors."
 msgstr "Allgemeine Farben fr die Titelzeile."
 
-#: src/config/options.inc:1111
+#: src/config/options.inc:1180
 msgid "Title bar text"
 msgstr "Text in der Titelzeile"
 
-#: src/config/options.inc:1113
+#: src/config/options.inc:1182
 msgid "Title bar text colors."
 msgstr "Farben fr Text in der Titelzeile."
 
-#: src/config/options.inc:1116
+#: src/config/options.inc:1185
 msgid "Status bar"
 msgstr "Statuszeile"
 
-#: src/config/options.inc:1118
+#: src/config/options.inc:1187
 msgid "Status bar colors."
 msgstr "Farben fr die Statuszeile."
 
-#: src/config/options.inc:1120
+#: src/config/options.inc:1189
 msgid "Generic status bar"
 msgstr "Statuszeile (allgemein)"
 
-#: src/config/options.inc:1122
+#: src/config/options.inc:1191
 msgid "Generic status bar colors."
 msgstr "Allgemeine Farben fr die Statuszeile."
 
-#: src/config/options.inc:1124
+#: src/config/options.inc:1193
 msgid "Status bar text"
 msgstr "Text in der Statuszeile"
 
-#: src/config/options.inc:1126
+#: src/config/options.inc:1195
 msgid "Status bar text colors."
 msgstr "Farben fr Text in der Statuszeile."
 
-#: src/config/options.inc:1129
+#: src/config/options.inc:1198
 msgid "Tabs bar"
 msgstr "Zeile der Kartenreiter"
 
-#: src/config/options.inc:1131
+#: src/config/options.inc:1200
 msgid "Tabs bar colors."
 msgstr "Farbe fr die Zeile der Kartenreiter."
 
-#: src/config/options.inc:1133
+#: src/config/options.inc:1202
 msgid "Unvisited tab"
 msgstr "Nicht angesehene Ansicht"
 
-#: src/config/options.inc:1135
+#: src/config/options.inc:1204
+#, fuzzy
 msgid ""
-"Tab colors for tabs that have not been\n"
-"selected since they completed loading."
+"Tab colors for tabs that have not been selected since they completed loading."
 msgstr ""
 "Farbe der Kartenreiter fr Ansichten, die noch nicht angesehen\n"
 "wurden, seitdem sie komplett geladen sind."
 
-#: src/config/options.inc:1138
+#: src/config/options.inc:1207
 msgid "Unselected tab"
 msgstr "Nicht ausgewhlte Ansicht"
 
-#: src/config/options.inc:1140
+#: src/config/options.inc:1209
 msgid "Unselected tab colors."
 msgstr "Farbe fr eine nicht ausgewhlte Ansicht."
 
-#: src/config/options.inc:1142
+#: src/config/options.inc:1211
 msgid "Loading tab"
 msgstr "Ansicht wird geladen"
 
-#: src/config/options.inc:1144
+#: src/config/options.inc:1213
 msgid "Tab colors for tabs that are loading in the background."
 msgstr ""
 "Farbe der Kartenreiter fr die Ansichten, die im Hintergrund geladen werden."
 
-#: src/config/options.inc:1146
+#: src/config/options.inc:1215
 msgid "Selected tab"
 msgstr "Ausgewhlte Ansicht"
 
-#: src/config/options.inc:1148
+#: src/config/options.inc:1217
 msgid "Selected tab colors."
 msgstr "Farben fr eine ausgewhlte Ansicht."
 
-#: src/config/options.inc:1150
+#: src/config/options.inc:1219
 msgid "Tab separator"
 msgstr "Kartenreiterabgrenzung"
 
-#: src/config/options.inc:1152
+#: src/config/options.inc:1221
 msgid "Tab separator colors."
 msgstr "Farbe fr die Abgrenzung zwischen den Kartenreitern."
 
-#: src/config/options.inc:1155
+#: src/config/options.inc:1224
 msgid "Searched strings"
 msgstr "Gesuchte Texte"
 
-#: src/config/options.inc:1157
+#: src/config/options.inc:1226
 msgid "Searched string highlight colors."
 msgstr "Farbe zum Hervorheben von gesuchten Texten."
 
@@ -4125,83 +4176,86 @@ msgstr "Farbe zum Hervorheben von gesuch
 #. ============= BORING PART (colors) END ===================
 #. ==========================================================
 #. Keep options in alphabetical order.
-#: src/config/options.inc:1166
+#: src/config/options.inc:1235
 msgid "Dialog settings"
 msgstr "Dialog-Einstellungen"
 
-#: src/config/options.inc:1168
+#: src/config/options.inc:1237
 msgid "Dialogs-specific appearance and behaviour settings."
 msgstr "Einstellungen fr spezielles Aussehen und Verhalten von Dialogen."
 
-#: src/config/options.inc:1171
+#: src/config/options.inc:1240
 msgid "Minimal height of listbox widget"
 msgstr "Minimale Hhe von Listen"
 
-#: src/config/options.inc:1173
+#: src/config/options.inc:1242
+#, fuzzy
 msgid ""
-"Minimal height of the listbox widget (used e.g. for bookmarks\n"
-"or global history)."
+"Minimal height of the listbox widget (used e.g. for bookmarks or global "
+"history)."
 msgstr ""
 "Minimale Hhe von Listen, wie sie z.B. fr Lesezeichen\n"
 "und den globalen Verlauf benutzt werden."
 
-#: src/config/options.inc:1176
+#: src/config/options.inc:1245
 msgid "Drop shadows"
 msgstr "Schatten werfen"
 
-#: src/config/options.inc:1178
+#: src/config/options.inc:1247
+#, fuzzy
 msgid ""
-"Make dialogs drop shadows (the shadows are solid, you can\n"
-"adjust their color by ui.colors.*.dialog.shadow). You may\n"
-"also want to eliminate the wide borders by adjusting setup.h."
+"Make dialogs drop shadows (the shadows are solid, you can adjust their color "
+"by ui.colors.*.dialog.shadow). You may also want to eliminate the wide "
+"borders by adjusting setup.h."
 msgstr ""
 "Dialoge werfen Schatten (die Schatten sind undurchlssig;\n"
 "die Farbe kann mit ui.colors.*.dialog.shadow angepasst werden).\n"
 "Mglicherweise mchtest du auch die breiten Rnder durch\n"
 "Anpassung von setup.h entfernen."
 
-#: src/config/options.inc:1182
+#: src/config/options.inc:1252
 #, fuzzy
 msgid "Underline menu hotkeys"
 msgstr "Zugriffstasten unterstreichen"
 
-#: src/config/options.inc:1184
+#: src/config/options.inc:1254
 #, fuzzy
 msgid ""
-"Whether to underline hotkeys in menus to make them more\n"
-"visible. Requires that underlining is enabled for the terminal."
+"Whether to underline hotkeys in menus to make them more visible. Requires "
+"that underlining is enabled for the terminal."
 msgstr ""
 "Zugriffstasten unterstreichen, damit sie in Mens aufflliger sind.\n"
 "Hierfr mssen Unterstreichungen fr das Terminal eingeschaltet sein."
 
-#: src/config/options.inc:1187
+#: src/config/options.inc:1258
 #, fuzzy
 msgid "Underline button shortcuts"
 msgstr "Zugriffstasten unterstreichen"
 
-#: src/config/options.inc:1189
+#: src/config/options.inc:1260
 #, fuzzy
 msgid ""
-"Whether to underline button shortcuts to make them more\n"
-"visible. Requires that underlining is enabled for the terminal."
+"Whether to underline button shortcuts to make them more visible. Requires "
+"that underlining is enabled for the terminal."
 msgstr ""
 "Zugriffstasten unterstreichen, damit sie in Mens aufflliger sind.\n"
 "Hierfr mssen Unterstreichungen fr das Terminal eingeschaltet sein."
 
-#: src/config/options.inc:1193
+#: src/config/options.inc:1265
 msgid "Timer options"
 msgstr "Optionen des Zeitgebers"
 
-#: src/config/options.inc:1195
+#: src/config/options.inc:1267
+#, fuzzy
 msgid ""
-"Timed action after certain interval of user inactivity. Someone can\n"
-"even find this useful, although you may not believe that."
+"Timed action after certain interval of user inactivity. Someone can even "
+"find this useful, although you may not believe that."
 msgstr ""
 "Nach einer bestimmten Zeit, in der der Benutzer inaktiv war, wird eine\n"
 "Aktion ausgefhrt. Man sollte es nicht glauben, aber einige finden sogar\n"
 "das ntzlich."
 
-#: src/config/options.inc:1201
+#: src/config/options.inc:1274
 msgid ""
 "Whether to enable the timer or not:\n"
 "0 is don't count down anything\n"
@@ -4214,7 +4268,7 @@ msgstr ""
 "2 der Zeitgeber ist angeschaltet und die Zeit wird neben den LEDs\n"
 "  angezeigt"
 
-#: src/config/options.inc:1208
+#: src/config/options.inc:1281
 msgid ""
 "Whether to enable the timer or not:\n"
 "0 is don't count down anything\n"
@@ -4227,20 +4281,20 @@ msgstr ""
 "2 der Zeitgeber ist angeschaltet und die Zeit wird neben den LEDs\n"
 "  angezeigt (ABGESCHALTET)"
 
-#: src/config/options.inc:1214
+#: src/config/options.inc:1287
 msgid "Duration"
 msgstr "Dauer"
 
-#: src/config/options.inc:1216
+#: src/config/options.inc:1289
 #, fuzzy
 msgid ""
-"Inactivity timeout in seconds. The maximum of one day\n"
-"should be enough for just everyone (TM)."
+"Inactivity timeout in seconds. The maximum of one day should be enough for "
+"just everyone (TM)."
 msgstr ""
 "Maximale Dauer der Inaktivitt. Ein Tag sollte fr wirklich jeden\n"
 "ausreichen (TM)."
 
-#: src/config/options.inc:1221
+#: src/config/options.inc:1294
 #, fuzzy
 msgid "Keybinding action to be triggered when timer reaches zero."
 msgstr ""
@@ -4248,19 +4302,19 @@ msgstr ""
 "Die Aktion kann aus den Aktionen aus dem Tastenbelegungsmanager\n"
 "ausgewhlt werden."
 
-#: src/config/options.inc:1224
+#: src/config/options.inc:1298
 msgid "Window tabs"
 msgstr "Fenster-Ansichten"
 
-#: src/config/options.inc:1226
+#: src/config/options.inc:1300
 msgid "Window tabs settings."
 msgstr "Einstellungen fr Fenster-Ansichten."
 
-#: src/config/options.inc:1228
+#: src/config/options.inc:1302
 msgid "Display tabs bar"
 msgstr "Zeige die Zeile der Kartenreiter"
 
-#: src/config/options.inc:1230
+#: src/config/options.inc:1304
 #, fuzzy
 msgid ""
 "Show tabs bar on the screen:\n"
@@ -4273,151 +4327,158 @@ msgstr ""
 "1 nur bei zwei oder mehr Ansichten.\n"
 "2 immer."
 
-#: src/config/options.inc:1235
+#: src/config/options.inc:1309
 #, fuzzy
 msgid "Tab bar at top"
 msgstr "Kartenreiterabgrenzung"
 
-#: src/config/options.inc:1237
+#: src/config/options.inc:1311
 msgid "Whether display tab bar at top like other browsers do."
 msgstr ""
 
-#: src/config/options.inc:1239
+#: src/config/options.inc:1313
 msgid "Wrap-around tabs cycling"
 msgstr "Zyklischer Ansichten-Wechsel"
 
-#: src/config/options.inc:1241
+#: src/config/options.inc:1315
 #, fuzzy
 msgid ""
-"When moving right from the last tab, jump to the first one, and\n"
-"vice versa."
+"When moving right from the last tab, jump to the first one, and vice versa."
 msgstr ""
 "Wenn man sich von der letzten Ansicht nach rechts bewegt, so landet\n"
 "man wieder bei der ersten Ansicht, und umgekehrt."
 
-#: src/config/options.inc:1244
+#: src/config/options.inc:1318
 msgid "Confirm tab closing"
 msgstr "Ansicht-Schlieen besttigen"
 
-#: src/config/options.inc:1246
+#: src/config/options.inc:1320
 msgid "When closing a tab show confirmation dialog."
 msgstr "ffne Besttigungsdialog beim Schlieen einer Ansicht."
 
 #. OPT_LANGUAGE
-#: src/config/options.inc:1250 src/config/opttypes.c:483
+#: src/config/options.inc:1324 src/config/opttypes.c:483
 msgid "Language"
 msgstr "Sprache"
 
-#: src/config/options.inc:1252
+#: src/config/options.inc:1326
+#, fuzzy
 msgid ""
-"Language of user interface. 'System' means that the language will\n"
-"be extracted from the environment dynamically."
+"Language of user interface. 'System' means that the language will be "
+"extracted from the environment dynamically."
 msgstr ""
 "Sprache der Benutzer-Schnittstelle. 'System' bedeutet, dass die\n"
 "Sprache dynamisch aus der Umgebung ermittelt wird."
 
-#: src/config/options.inc:1255
+#: src/config/options.inc:1330
 #, fuzzy
 msgid "Display menu bar always"
 msgstr "Titelzeile anzeigen"
 
-#: src/config/options.inc:1257
+#: src/config/options.inc:1332
 #, fuzzy
 msgid "Always show menu bar on the screen."
 msgstr "Zeige die Titelzeile auf dem Bildschirm an."
 
-#: src/config/options.inc:1259
+#: src/config/options.inc:1334
 msgid "Display status bar"
 msgstr "Statuszeile anzeigen"
 
-#: src/config/options.inc:1261
+#: src/config/options.inc:1336
 msgid "Show status bar on the screen."
 msgstr "Zeige die Statuszeile auf dem Bildschirm an."
 
-#: src/config/options.inc:1263
+#: src/config/options.inc:1338
 msgid "Display title bar"
 msgstr "Titelzeile anzeigen"
 
-#: src/config/options.inc:1265
+#: src/config/options.inc:1340
 msgid "Show title bar on the screen."
 msgstr "Zeige die Titelzeile auf dem Bildschirm an."
 
-#: src/config/options.inc:1267
+#: src/config/options.inc:1342
 msgid "Display goto dialog in new tabs"
 msgstr "Gehe-zu-Dialog in neuen Ansichten anzeigen"
 
-#: src/config/options.inc:1269
+#: src/config/options.inc:1344
+#, fuzzy
 msgid ""
-"Pop up goto dialog in newly created tabs when there's no homepage\n"
-"set. This means also showing goto dialog on startup."
+"Pop up goto dialog in newly created tabs when there's no homepage set. This "
+"means also showing goto dialog on startup."
 msgstr ""
 "Gehe-zu-Dialog in neuen Ansichten anzeigen, wenn keine Startseite gesetzt\n"
 "ist. Dies bedeutet auch, dass der Gehe-zu-Dialog beim Start angezeigt wird."
 
-#: src/config/options.inc:1272
+#: src/config/options.inc:1348
 msgid "Show a message box when file is saved successfully"
 msgstr ""
 "Ein Meldungs-Fenster anzeigen, wenn eine Datei erfolgreich gespeichert wurde."
 
-#: src/config/options.inc:1274
+#: src/config/options.inc:1350
+#, fuzzy
 msgid ""
-"When you pressed a [ Save ] button in some manager, this option\n"
-"will make sure that a box confirming success of the operation will\n"
-"pop up."
+"When you pressed a [ Save ] button in some manager, this option will make "
+"sure that a box confirming success of the operation will pop up."
 msgstr ""
 "Wenn in einem der Verwaltungsfenster ein [ Speichern ]-Knopf gedrckt\n"
 "wurde und die Datei erfolgreich gespeichert werden konnte, so wird der\n"
 "Erfolg in einem Fenster angezeigt."
 
-#: src/config/options.inc:1279
+#: src/config/options.inc:1355
 msgid "Sessions"
 msgstr "Sitzungen"
 
-#: src/config/options.inc:1281
+#: src/config/options.inc:1357
 msgid "Sessions settings."
 msgstr "Einstellungen fr Sitzungen."
 
-#: src/config/options.inc:1283
+#: src/config/options.inc:1359
 #, fuzzy
 msgid "Keep session active"
 msgstr "Gro-/Kleinschreibung beachten"
 
-#: src/config/options.inc:1285
+#: src/config/options.inc:1361
 msgid "Keep the session active even if the last terminal exits."
 msgstr ""
 
-#: src/config/options.inc:1287
+#: src/config/options.inc:1364
 msgid "Auto save session"
 msgstr "Sitzungen automatisch speichern"
 
-#: src/config/options.inc:1289
+#: src/config/options.inc:1366
+#, fuzzy
 msgid ""
 "Automatically save the session when quitting.\n"
+"\n"
 "This feature requires bookmark support."
 msgstr ""
 "Beim beenden automatisch die Sitzung speichern.\n"
 "Hierfr muss Lesezeichen-Untersttzung aktiv sein."
 
-#: src/config/options.inc:1292
+#: src/config/options.inc:1370
 msgid "Auto restore session"
 msgstr "Sitzung automatisch wieder herstellen"
 
-#: src/config/options.inc:1294
+#: src/config/options.inc:1372
+#, fuzzy
 msgid ""
 "Automatically restore the session at start.\n"
+"\n"
 "This feature requires bookmark support."
 msgstr ""
 "Beim beenden automatisch die Sitzung wieder herstellen.\n"
 "Hierfr muss Lesezeichen-Untersttzung aktiv sein."
 
-#: src/config/options.inc:1297
+#: src/config/options.inc:1376
 msgid "Auto save and restore session folder name"
 msgstr "Ordnernamen fr Auto-Speichern und -Wiederherstellung von Sitzungen"
 
-#: src/config/options.inc:1299
+#: src/config/options.inc:1378
+#, fuzzy
 msgid ""
-"Name of the bookmarks folder used for auto saving and restoring session.\n"
-"The name has to be unique. Any folders with the same name will be deleted.\n"
+"Name of the bookmarks folder used for auto saving and restoring session. The "
+"name has to be unique. Any folders with the same name will be deleted.\n"
+"\n"
 "This only makes sense with bookmark support."
 msgstr ""
 "Name des Lesezeichen-Ordners, der benutzt wird, um die Sitzung automatisch\n"
@@ -4426,40 +4487,39 @@ msgstr ""
 "wird gelscht.\n"
 "Dies ist nur sinnvoll mit Lesezeichen-Untersttzung."
 
-#: src/config/options.inc:1303
+#: src/config/options.inc:1384
 msgid "Homepage URI"
 msgstr "Homepage URI"
 
-#: src/config/options.inc:1305
+#: src/config/options.inc:1386
 #, fuzzy
 msgid ""
-"The URI to load either at startup time when no URI was given\n"
-"on the command line or when requested by the goto-url-home action.\n"
-"Set to \"\" if the environment variable WWW_HOME should be used\n"
-"as homepage URI instead."
+"The URI to load either at startup time when no URI was given on the command "
+"line or when requested by the goto-url-home action. Set to \"\" if the "
+"environment variable WWW_HOME should be used as homepage URI instead."
 msgstr ""
 "Die URI, die geladen werden soll, wenn beim Start in der Kommandozeile\n"
 "keine URI angegeben ist oder wenn goto-url-home aktiviert wurde.\n"
 "Der Wert \\\"\\\" gibt an, dass der Wert der Umgebungsvariable WWW_HOME als\n"
 "URI benutzt werden soll."
 
-#: src/config/options.inc:1311
+#: src/config/options.inc:1392
 msgid "Date format"
 msgstr "Datums-Format"
 
-#: src/config/options.inc:1313
+#: src/config/options.inc:1394
 msgid "Date format to use in dialogs. See strftime(3)."
 msgstr "Datums-Format zur Benutzung in Dialogen. Siehe strftime()"
 
-#: src/config/options.inc:1316
+#: src/config/options.inc:1397
 msgid "Set window title"
 msgstr "Fenstertitel setzen"
 
-#: src/config/options.inc:1318
+#: src/config/options.inc:1399
+#, fuzzy
 msgid ""
-"Set the window title when running in a windowing environment\n"
-"in an xterm-like terminal. This way the document's title is\n"
-"shown on the window titlebar."
+"Set the window title when running in a windowing environment in an xterm-"
+"like terminal. This way the document's title is shown on the window titlebar."
 msgstr ""
 "Setze den Fenstertitel beim Start in einer Fenster-Umgebung\n"
 "in einem Terminal wie xterm. Auf diesem Wege wird der Titel\n"
@@ -4546,7 +4606,7 @@ msgid "Goto URL History"
 msgstr "Globaler Verlauf"
 
 #. name:
-#: src/cookies/cookies.c:88 src/cookies/cookies.c:911
+#: src/cookies/cookies.c:88 src/cookies/cookies.c:913
 msgid "Cookies"
 msgstr "Cookies"
 
@@ -4579,10 +4639,10 @@ msgstr "Maximales Alter"
 msgid ""
 "Cookie maximum age (in days):\n"
 "-1 is use cookie's expiration date if any\n"
-"0  is force expiration at the end of session, ignoring cookie's\n"
-"   expiration date\n"
-"1+ is use cookie's expiration date, but limit age to the given\n"
-"   number of days"
+"0  is force expiration at the end of session, ignoring\n"
+"   cookie's expiration date\n"
+"1+ is use cookie's expiration date, but limit age to the\n"
+"   given number of days"
 msgstr ""
 "Maximales Alter von Cookies (in Tagen):\n"
 "-1 benutze, falls vorhanden, das Verfallsdatum des Cookies\n"
@@ -4598,47 +4658,47 @@ msgstr "Paranoide Sicherheit"
 #: src/cookies/cookies.c:111
 #, fuzzy
 msgid ""
-"When enabled, we'll require three dots in cookies domain for all\n"
-"non-international domains (instead of just two dots). Some countries\n"
-"have generic second level domains (eg. .com.pl, .co.uk) and allowing\n"
-"sites to set cookies for these generic domains could potentially be\n"
-"very bad. Note, it is off by default as it breaks a lot of sites."
+"When enabled, we'll require three dots in cookies domain for all non-"
+"international domains (instead of just two dots). Some countries have "
+"generic second level domains (eg. .com.pl, .co.uk) and allowing sites to set "
+"cookies for these generic domains could potentially be very bad. Note, it is "
+"off by default as it breaks a lot of sites."
 msgstr ""
 "Wenn eingeschaltet, werden fr alle nicht-internationale Domainnamen\n"
 "drei Punkte im Domainnamen des Cookies verlangt (sonst nur zwei). Siehe\n"
 "Quelltext (cookies.c:check_domain_security()) fr eine Erklrung."
 
-#: src/cookies/cookies.c:117
+#: src/cookies/cookies.c:118
 msgid "Saving"
 msgstr "Speichere"
 
-#: src/cookies/cookies.c:119
+#: src/cookies/cookies.c:120
 msgid "Whether cookies should be loaded from and saved to disk."
 msgstr ""
 
-#: src/cookies/cookies.c:121
+#: src/cookies/cookies.c:123
 msgid "Resaving"
 msgstr "Speichere erneut"
 
-#: src/cookies/cookies.c:123
+#: src/cookies/cookies.c:125
 #, fuzzy
 msgid ""
-"Save cookies after each change in cookies list? No effect when\n"
-"cookie saving (cookies.save) is off."
+"Save cookies after each change in cookies list? No effect when cookie saving "
+"(cookies.save) is off."
 msgstr ""
 "Speicher Cookies nach jeder nderung der Cookie-Liste?\n"
 "Hat keine Wirkung, wenn cookies_save ausgeschaltet ist."
 
-#: src/cookies/cookies.c:817
+#: src/cookies/cookies.c:819
 #, fuzzy
 msgid "Cannot save cookies"
 msgstr "Alle Cookies lschen"
 
-#: src/cookies/cookies.c:828
+#: src/cookies/cookies.c:830
 msgid "ELinks was started without a home directory."
 msgstr ""
 
-#: src/cookies/cookies.c:834
+#: src/cookies/cookies.c:836
 msgid "ELinks was started with the -anonymous option."
 msgstr ""
 
@@ -4844,7 +4904,7 @@ msgid "No header info."
 msgstr "Keine Header-Informationen"
 
 #: src/dialogs/download.c:243 src/dialogs/menu.c:601
-#: src/protocol/bittorrent/dialogs.c:228 src/session/download.c:361
+#: src/protocol/bittorrent/dialogs.c:228 src/session/download.c:387
 msgid "Download"
 msgstr "Download"
 
@@ -5664,7 +5724,7 @@ msgid "No document"
 msgstr "Kein Dokument"
 
 #. name:
-#: src/document/css/css.c:30 src/document/css/css.c:161
+#: src/document/css/css.c:30 src/document/css/css.c:164
 msgid "Cascading Style Sheets"
 msgstr "Cascading Style Sheets"
 
@@ -5672,23 +5732,24 @@ msgstr "Cascading Style Sheets"
 msgid "Options concerning how to use CSS for styling documents."
 msgstr "Optionen fr den Umgang mit CSS beim Darstellen von Dokumenten."
 
-#: src/document/css/css.c:34
+#: src/document/css/css.c:35
 msgid "Enable CSS"
 msgstr "CSS Aktivieren"
 
-#: src/document/css/css.c:36
+#: src/document/css/css.c:37
 msgid "Enable adding of CSS style info to documents."
 msgstr "Aktieviere das Hinzufgen von CSS-Stil-Elementen zu Dokumenten."
 
-#: src/document/css/css.c:38
+#: src/document/css/css.c:39
 msgid "Import external style sheets"
 msgstr "Import von externen Style-Sheets"
 
-#: src/document/css/css.c:40
+#: src/document/css/css.c:41
+#, fuzzy
 msgid ""
-"When enabled any external style sheets that are imported from\n"
-"either CSS itself using the @import keyword or from the HTML using\n"
-"<link> tags in the document header will also be downloaded."
+"When enabled any external style sheets that are imported from either CSS "
+"itself using the @import keyword or from the HTML using <link> tags in the "
+"document header will also be downloaded."
 msgstr ""
 "Gibt an, ob alle anderen Style-Sheets, die entweder von CSS selbst "
 "(@import)\n"
@@ -5696,17 +5757,17 @@ msgstr ""
 "heruntergeladen\n"
 "werden sollen."
 
-#: src/document/css/css.c:44
+#: src/document/css/css.c:46
 msgid "Default style sheet"
 msgstr "Standard-Style-Sheet"
 
-#: src/document/css/css.c:46
+#: src/document/css/css.c:48
 #, fuzzy
 msgid ""
-"The path to the file containing the default user defined\n"
-"Cascading Style Sheet. It can be used to control the basic\n"
-"layout of HTML documents. The path is assumed to be relative\n"
-"to ELinks' home directory.\n"
+"The path to the file containing the default user defined Cascading Style "
+"Sheet. It can be used to control the basic layout of HTML documents. The "
+"path is assumed to be relative to ELinks' home directory.\n"
+"\n"
 "Leave as \"\" to use built-in document styling."
 msgstr ""
 "Pfad zu der Datei mit benutzer-definierten Cascading Style Sheets.\n"
@@ -5745,8 +5806,8 @@ msgstr ""
 
 #: src/ecmascript/ecmascript.c:55
 msgid ""
-"Whether to ignore content enclosed by the <noscript> tag\n"
-"when ECMAScript is enabled."
+"Whether to ignore content enclosed by the <noscript> tag when ECMAScript is "
+"enabled."
 msgstr ""
 
 #: src/ecmascript/ecmascript.c:58
@@ -5798,7 +5859,7 @@ msgid "JavaScript Error"
 msgstr ""
 
 #. name:
-#: src/ecmascript/spidermonkey.c:320
+#: src/ecmascript/spidermonkey.c:321
 msgid "SpiderMonkey"
 msgstr ""
 
@@ -5895,10 +5956,10 @@ msgid "Show form history dialog"
 msgstr "Zeige Verlaufsdialog fr Formulare"
 
 #: src/formhist/formhist.c:38
+#, fuzzy
 msgid ""
-"Ask if a login form should be saved to file or not.\n"
-"This option only disables the dialog, already saved login\n"
-"forms are unaffected."
+"Ask if a login form should be saved to file or not. This option only "
+"disables the dialog, already saved login forms are unaffected."
 msgstr ""
 "Fragen, ob ein Anmeldeformular gespeichert werden soll oder nicht.\n"
 "Diese Option schaltet nur den Dialog ab. Bereits abgespeicherte\n"
@@ -6006,19 +6067,19 @@ msgstr "Optionen fr umfassenden Verlauf
 msgid "Enable global history (\"history of all pages visited\")."
 msgstr "Aktiviere den globalen Verlauf (\"Verlauf aller besuchter Seiten\")."
 
-#: src/globhist/globhist.c:68
+#: src/globhist/globhist.c:69
 msgid "Maximum number of entries"
 msgstr "Maximale Anzahl von Eintrgen"
 
-#: src/globhist/globhist.c:70
+#: src/globhist/globhist.c:71
 msgid "Maximum number of entries in the global history."
 msgstr "Maximale Anzahl von Eintrgen im globalen Verlauf."
 
-#: src/globhist/globhist.c:72
+#: src/globhist/globhist.c:73
 msgid "Display style"
 msgstr "Art der Anzeige"
 
-#: src/globhist/globhist.c:74
+#: src/globhist/globhist.c:75
 msgid ""
 "What to display in global history dialog:\n"
 "0 is URLs\n"
@@ -6029,7 +6090,7 @@ msgstr ""
 "1 bedeutet Seitentitel"
 
 #. name:
-#: src/globhist/globhist.c:451
+#: src/globhist/globhist.c:449
 msgid "Global History"
 msgstr "Globaler Verlauf"
 
@@ -6250,12 +6311,13 @@ msgid "MIME type associations"
 msgstr "MIME-Typ-Verbindungen"
 
 #: src/mime/backend/default.c:27
+#, fuzzy
 msgid ""
-"Handler <-> MIME type association. The first sub-tree is the MIME\n"
-"class while the second sub-tree is the MIME type (ie. image/gif\n"
-"handler will reside at mime.type.image.gif). Each MIME type option\n"
-"should contain (case-sensitive) name of the MIME handler (its\n"
-"properties are stored at mime.handler.<name>)."
+"Handler <-> MIME type association. The first sub-tree is the MIME class "
+"while the second sub-tree is the MIME type (ie. image/gif handler will "
+"reside at mime.type.image.gif). Each MIME type option should contain (case-"
+"sensitive) name of the MIME handler (its properties are stored at mime."
+"handler.<name>)."
 msgstr ""
 "Verarbeiter <-> MIME-Typ Verbindungen. Der erste Teilbaum ist die\n"
 "MIME-Klasse, whrend der zweite Teilbaum der MIME-Typ ist (d.h. der\n"
@@ -6264,37 +6326,35 @@ msgstr ""
 "des MIME-Verarbeiters enthalten (seine Eigenschaften werden unter\n"
 "mime.handler.<Name> gespeichert."
 
-#: src/mime/backend/default.c:35
+#: src/mime/backend/default.c:36
+#, fuzzy
 msgid ""
-"Handler matching this MIME-type class ('*' is used here in place\n"
-"of '.')."
+"Handler matching this MIME-type class ('*' is used here in place of '.')."
 msgstr ""
 "Verarbeiter, der zu dieser MIME-Typ-Klasse gehrt ('*' wird an\n"
 "Stelle von '.' benutzt)."
 
-#: src/mime/backend/default.c:40
+#: src/mime/backend/default.c:41
+#, fuzzy
 msgid ""
-"Handler matching this MIME-type name ('*' is used here in place\n"
-"of '.')."
+"Handler matching this MIME-type name ('*' is used here in place of '.')."
 msgstr ""
 "Verarbeiter, der zu diesem MIME-Typ-Namen gehrt ('*' wird an\n"
 "Stelle von '.' benutzt)."
 
-#: src/mime/backend/default.c:44
+#: src/mime/backend/default.c:45
 msgid "File type handlers"
 msgstr "Verarbeiter von Dateitypen"
 
-#: src/mime/backend/default.c:46
+#: src/mime/backend/default.c:47
 #, fuzzy
 msgid ""
-"A file type handler is a set of information about how to use\n"
-"an external program to view a file. It is possible to refer to it\n"
-"for several MIME types -- e.g., you can define an 'image' handler\n"
-"to which mime.type.image.png, mime.type.image.jpeg, and so on will\n"
-"refer; or one might define a handler for a more specific type of file\n"
-"-- e.g., PDF files.\n"
-"Note you must define both a MIME handler and a MIME type association\n"
-"for it to work."
+"A file type handler is a set of information about how to use an external "
+"program to view a file. It is possible to refer to it for several MIME types "
+"-- e.g., you can define an 'image' handler to which mime.type.image.png, "
+"mime.type.image.jpeg, and so on will refer; or one might define a handler "
+"for a more specific type of file -- e.g., PDF files. Note you must define "
+"both a MIME handler and a MIME type association for it to work."
 msgstr ""
 "Verarbeiter fr bestimmte Datei-Typen. mime.type.* muss so konfiguriert\n"
 "werden, dass auf diesen Verarbeiter verwiesen wird.\n"
@@ -6305,68 +6365,67 @@ msgstr ""
 "definiert einen Verarbeiter fr eine spezifischere Datei-Art, z.B. fr\n"
 "PDF-Dateien."
 
-#: src/mime/backend/default.c:57
+#: src/mime/backend/default.c:58
 msgid "Description of this handler."
 msgstr "Beschreibung dieses Verarbeiters."
 
-#: src/mime/backend/default.c:61
+#: src/mime/backend/default.c:62
 msgid "System-specific handler description (ie. unix, unix-xwin, ...)."
 msgstr ""
 "Systemspezifische Beschreibung des Verarbeiters (d.h. unix, unix-xwin, ...)."
 
-#: src/mime/backend/default.c:63 src/mime/backend/mailcap.c:102
+#: src/mime/backend/default.c:65 src/mime/backend/mailcap.c:102
 msgid "Ask before opening"
 msgstr "Vor dem ffnen fragen"
 
-#: src/mime/backend/default.c:65
+#: src/mime/backend/default.c:67
 msgid "Ask before opening."
 msgstr "Vor dem ffnen fragen."
 
-#: src/mime/backend/default.c:67
+#: src/mime/backend/default.c:69
 msgid "Block terminal"
 msgstr "Bildschirm blockieren"
 
-#: src/mime/backend/default.c:69
+#: src/mime/backend/default.c:71
 msgid "Block the terminal when the handler is running."
 msgstr "Bildschirm blockieren, solange der Verarbeiter luft."
 
-#: src/mime/backend/default.c:71
+#: src/mime/backend/default.c:73
 msgid "Program"
 msgstr "Programm"
 
-#: src/mime/backend/default.c:74
+#: src/mime/backend/default.c:76
 #, fuzzy, no-c-format
 msgid ""
-"External viewer for this file type. '%' in this string will be\n"
-"substituted by a file name.\n"
-"Do _not_ put single- or double-quotes around the % sign."
+"External viewer for this file type. '%' in this string will be substituted "
+"by a file name. Do _not_ put single- or double-quotes around the % sign."
 msgstr ""
 "Externer Betrachter fr diesen Datei-Typ. Ein '%' in der Zeichkette\n"
 "wird durch den Dateinamen ersetzt."
 
-#: src/mime/backend/default.c:79
+#: src/mime/backend/default.c:81
 msgid "File extension associations"
 msgstr "Verknpfungen zu Dateiendungen"
 
-#: src/mime/backend/default.c:81
+#: src/mime/backend/default.c:83
 msgid "Extension <-> MIME type association."
 msgstr "Dateiendung <-> MIME-Typ Verknpfung."
 
-#: src/mime/backend/default.c:85
+#: src/mime/backend/default.c:87
+#, fuzzy
 msgid ""
-"MIME-type matching this file extension ('*' is used here in place\n"
-"of '.')."
+"MIME-type matching this file extension ('*' is used here in place of '.')."
 msgstr ""
 "Zu dieser Dateiendung passender MIME-Typ ('*' wird an Stelle von\n"
 "'.' benutzt)."
 
 #. name:
-#: src/mime/backend/default.c:216
+#: src/mime/backend/default.c:218
 msgid "Option system"
 msgstr "Konfigurations-System"
 
 #. name:
-#: src/mime/backend/mailcap.c:89 src/mime/backend/mailcap.c:684
+#: src/mime/backend/mailcap.c:89 src/mime/backend/mailcap.c:686
 msgid "Mailcap"
 msgstr "Mailcap"
 
@@ -6381,8 +6440,8 @@ msgstr "Mailcap-Untersttzung einschalte
 #: src/mime/backend/mailcap.c:99
 #, fuzzy
 msgid ""
-"Mailcap search path. Colon-separated list of files.\n"
-"Leave as \"\" to use MAILCAP environment variable instead."
+"Mailcap search path. Colon-separated list of files. Leave as \"\" to use "
+"MAILCAP environment variable instead."
 msgstr ""
 "Mailcap-Suchpfad. Ein durch Doppelpunkt getrennte Liste von Dateien.\n"
 "Ist diese Option leer, so wird die MAILCAP-Umgebungsvariable oder\n"
@@ -6399,11 +6458,11 @@ msgstr "Abfragebeschreibung"
 #: src/mime/backend/mailcap.c:108
 #, fuzzy
 msgid ""
-"Type of description to show in \"what to do with this file\"\n"
-"query dialog:\n"
+"Type of description to show in \"what to do with this file\" query dialog:\n"
 "0 is show \"mailcap\"\n"
 "1 is show program to be run\n"
-"2 is show mailcap description field if any; \"mailcap\" otherwise"
+"2 is show mailcap description field if any;\n"
+"     \"mailcap\" otherwise"
 msgstr ""
 "Art der Beschreibung, die im \"was soll ich mit dieser Datei machen\"-\n"
 "Abfrage-Dialog angezeigt wird:\n"
@@ -6412,36 +6471,36 @@ msgstr ""
 "2 um das mailcap-Beschreibungsfeld anzuzeigen, falls es existiert,\n"
 "  und sonst \"mailcap\"."
 
-#: src/mime/backend/mailcap.c:114
+#: src/mime/backend/mailcap.c:115
 msgid "Prioritize entries by file"
 msgstr "Eintrag nach Datei sortieren"
 
-#: src/mime/backend/mailcap.c:116
+#: src/mime/backend/mailcap.c:117
+#, fuzzy
 msgid ""
-"Prioritize entries by the order of the files in the mailcap\n"
-"path. This means that wildcard entries (like: image/*) will\n"
-"also be checked before deciding the handler."
+"Prioritize entries by the order of the files in the mailcap path. This means "
+"that wildcard entries (like: image/*) will also be checked before deciding "
+"the handler."
 msgstr ""
 "Sortiere die Eintrge nach der Folge der Datei im Mailcap-Pfad.\n"
 "Das heit, dass auch Platzhalter (wie: image/*) berprft werden,\n"
 "bevor der Bearbeiter ausgesucht wird."
 
-#: src/mime/backend/mailcap.c:349
+#: src/mime/backend/mailcap.c:351
 #, c-format
 msgid "Badly formated mailcap entry for type %s in \"%s\" line %d"
 msgstr ""
 
 #. name:
-#: src/mime/backend/mimetypes.c:46 src/mime/backend/mimetypes.c:279
+#: src/mime/backend/mimetypes.c:46 src/mime/backend/mimetypes.c:280
 msgid "Mimetypes files"
 msgstr "Mime-Typen-Dateien"
 
 #: src/mime/backend/mimetypes.c:48
 #, fuzzy
 msgid ""
-"Options for the support of mime.types files. These files\n"
-"can be used to find the content type of a URL by looking at\n"
-"the extension of the file name."
+"Options for the support of mime.types files. These files can be used to find "
+"the content type of a URL by looking at the extension of the file name."
 msgstr ""
 "Optionen fr Mime-Typen-Dateien. Diese Dateien knnen benutzt,\n"
 "um den Inhaltstyp einer URL an Hand der Endung zu bestimmen."
@@ -6480,7 +6539,7 @@ msgid "No extensions"
 msgstr "keine Erweiterung"
 
 #. name:
-#: src/mime/mime.c:38 src/mime/mime.c:360
+#: src/mime/mime.c:38 src/mime/mime.c:361
 msgid "MIME"
 msgstr "MIME"
 
@@ -6493,9 +6552,10 @@ msgid "Default MIME-type"
 msgstr "Voreingestellter MIME-Typ"
 
 #: src/mime/mime.c:44
+#, fuzzy
 msgid ""
-"Document MIME-type to assume by default (when we are unable to\n"
-"guess it properly from known information about the document)."
+"Document MIME-type to assume by default (when we are unable to guess it "
+"properly from known information about the document)."
 msgstr ""
 "Per Voreinstellung angenommener MIME-Typ (wenn wir nicht in der\n"
 "Lage sind, ihn aus vorhandenen Informationen ber das Dokument\n"
@@ -6506,9 +6566,10 @@ msgid "Verify certificates"
 msgstr "berprfe Zertifikate"
 
 #: src/network/ssl/ssl.c:74
+#, fuzzy
 msgid ""
-"Verify the peer's SSL certificate. Note that this\n"
-"needs extensive configuration of OpenSSL by the user."
+"Verify the peer's SSL certificate. Note that this needs extensive "
+"configuration of OpenSSL by the user."
 msgstr ""
 "berprfe das SSL-Zertifikat der Gegenseite. Beachte,\n"
 "dass OpenSSL hierfr durch den Benutzer konfiguriert\n"
@@ -6523,9 +6584,10 @@ msgid "X509 client certificate options."
 msgstr "Optionen fr X509-Benutzer-Zertifikate."
 
 #: src/network/ssl/ssl.c:83
+#, fuzzy
 msgid ""
-"Enable or not the sending of X509 client certificates\n"
-"to servers which request them."
+"Enable or not the sending of X509 client certificates to servers which "
+"request them."
 msgstr "X509-Benutzer-Zertifikate an Server senden, die diese anfordern."
 
 #: src/network/ssl/ssl.c:86
@@ -6533,11 +6595,11 @@ msgid "Certificate File"
 msgstr "Zertifikats-Datei"
 
 #: src/network/ssl/ssl.c:88
+#, fuzzy
 msgid ""
-"The location of a file containing the client certificate\n"
-"and unencrypted private key in PEM format. If unset, the\n"
-"file pointed to by the X509_CLIENT_CERT variable is used\n"
-"instead."
+"The location of a file containing the client certificate and unencrypted "
+"private key in PEM format. If unset, the file pointed to by the "
+"X509_CLIENT_CERT variable is used instead."
 msgstr ""
 "Der Name der Datei, die das Benutzer-Zertifikat und den\n"
 "unverschlsselten Privat-Schlssel im PEM-Format enthlt.\n"
@@ -6545,10 +6607,13 @@ msgstr ""
 "Umgebungsvariable X509_CLIENT_CERT benutzt."
 
 #: src/network/ssl/ssl.c:163
+#, fuzzy
 msgid ""
-"Verify the peer's SSL certificate.  If you enable\n"
-"this, set also \"Trusted CA file\"."
+"Verify the peer's SSL certificate.  If you enable this, set also \"Trusted "
+"CA file\"."
 msgstr ""
+"berprfe das SSL-Zertifikat der Gegenseite. Beachte,\n"
+"dass dies mit GnuTLS wahrscheinlich nicht funktioniert."
 
 #. The default value of the following option points to a file
 #. * generated by the ca-certificates Debian package.  Don't use
@@ -6565,20 +6630,20 @@ msgstr "bertragung"
 
 #: src/network/ssl/ssl.c:176
 msgid ""
-"The location of a file containing certificates of\n"
-"trusted certification authorities in PEM format.\n"
-"ELinks then trusts certificates issued by these CAs.\n"
-"If you change this option or the file, you must\n"
-"restart ELinks for the changes to take effect.\n"
-"This option affects GnuTLS but not OpenSSL."
+"The location of a file containing certificates of trusted certification "
+"authorities in PEM format. ELinks then trusts certificates issued by these "
+"CAs.\n"
+"\n"
+"If you change this option or the file, you must restart ELinks for the "
+"changes to take effect. This option affects GnuTLS but not OpenSSL."
 msgstr ""
 
 #. name:
-#: src/network/ssl/ssl.c:199 src/network/ssl/ssl.c:216
+#: src/network/ssl/ssl.c:200 src/network/ssl/ssl.c:217
 msgid "SSL"
 msgstr "SSL"
 
-#: src/network/ssl/ssl.c:201
+#: src/network/ssl/ssl.c:202
 msgid "SSL options."
 msgstr "SSL-Optionen"
 
@@ -6922,7 +6987,7 @@ msgstr "Authentifizierung fr %s bei %s 
 msgid "Login"
 msgstr "Benutzername"
 
-#: src/protocol/auth/dialogs.c:113 src/protocol/http/http.c:140
+#: src/protocol/auth/dialogs.c:113 src/protocol/http/http.c:142
 msgid "Password"
 msgstr "Passwort"
 
@@ -6991,7 +7056,7 @@ msgstr "Authentifizierungs-Manager"
 
 #. name:
 #: src/protocol/bittorrent/bittorrent.c:26
-#: src/protocol/bittorrent/bittorrent.c:335
+#: src/protocol/bittorrent/bittorrent.c:339
 msgid "BitTorrent"
 msgstr ""
 
@@ -7047,9 +7112,8 @@ msgstr ""
 
 #: src/protocol/bittorrent/bittorrent.c:57
 msgid ""
-"Whether to request that the tracker returns peer info\n"
-"in compact format. Note, the compact format only supports\n"
-"IPv4 addresses."
+"Whether to request that the tracker returns peer info in compact format. "
+"Note, the compact format only supports IPv4 addresses."
 msgstr ""
 
 #: src/protocol/bittorrent/bittorrent.c:61
@@ -7058,57 +7122,55 @@ msgstr ""
 
 #: src/protocol/bittorrent/bittorrent.c:63
 msgid ""
-"The number of seconds to wait between periodically contacting\n"
-"the tracker for announcing progress and requesting more peers.\n"
-"Set to zero to use the interval requested by the tracker."
+"The number of seconds to wait between periodically contacting the tracker "
+"for announcing progress and requesting more peers. Set to zero to use the "
+"interval requested by the tracker."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:67
+#: src/protocol/bittorrent/bittorrent.c:68
 msgid "IP-address to announce"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:69
+#: src/protocol/bittorrent/bittorrent.c:70
 msgid ""
-"What IP address to report to the tracker. If set to \"\"\n"
-"no IP address will be sent and the tracker will automatically\n"
-"determine an appropriate IP address."
+"What IP address to report to the tracker. If set to \"\" no IP address will "
+"be sent and the tracker will automatically determine an appropriate IP "
+"address."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:73
+#: src/protocol/bittorrent/bittorrent.c:74
 #, fuzzy
 msgid "User identification string"
 msgstr "Benutzer-Programm Identifikation"
 
-#: src/protocol/bittorrent/bittorrent.c:75
+#: src/protocol/bittorrent/bittorrent.c:76
 msgid ""
-"An additional identification that is not shared with any users.\n"
-"It is intended to allow a client to prove their identity should\n"
-"their IP address change. It is an optional parameter, but some\n"
-"trackers require this parameter. If set to \"\" no user key will\n"
-"be sent to the tracker."
+"An additional identification that is not shared with any users. It is "
+"intended to allow a client to prove their identity should their IP address "
+"change. It is an optional parameter, but some trackers require this "
+"parameter. If set to \"\" no user key will be sent to the tracker."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:81
+#: src/protocol/bittorrent/bittorrent.c:82
 #, fuzzy
 msgid "Maximum number of peers to request"
 msgstr "Maximale Anzahl von Eintrgen"
 
-#: src/protocol/bittorrent/bittorrent.c:83
+#: src/protocol/bittorrent/bittorrent.c:84
 msgid ""
-"The maximum number of peers to request from the tracker.\n"
-"Set to 0 to use the server default."
+"The maximum number of peers to request from the tracker. Set to 0 to use the "
+"server default."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:86
+#: src/protocol/bittorrent/bittorrent.c:87
 msgid "Minimum peers to skip rerequesting"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:88
+#: src/protocol/bittorrent/bittorrent.c:89
 msgid ""
-"The minimum number of peers to have in the current peer info\n"
-"pool before skipping requesting of more peers. I.e. setting\n"
-"numwant to zero.\n"
-"Set to 0 to not have any limit."
+"The minimum number of peers to have in the current peer info pool before "
+"skipping requesting of more peers. I.e. setting numwant to zero. Set to 0 to "
+"not have any limit."
 msgstr ""
 
 #. ******************************************************************
@@ -7129,185 +7191,180 @@ msgstr "Maximale Anzahl von gleichzeitig
 
 #: src/protocol/bittorrent/bittorrent.c:104
 msgid ""
-"The maximum number of allowed connections to both active and\n"
-"non-active peers. By increasing the number of allowed connections,\n"
-"the chance of finding good peers to download from is increased.\n"
-"However, too many connections can lead to TCP congestion. If the\n"
-"maximum is reached all new incoming connections will be closed."
+"The maximum number of allowed connections to both active and non-active "
+"peers. By increasing the number of allowed connections, the chance of "
+"finding good peers to download from is increased. However, too many "
+"connections can lead to TCP congestion. If the maximum is reached all new "
+"incoming connections will be closed."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:110
+#: src/protocol/bittorrent/bittorrent.c:111
 msgid "Maximum peer message length"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:112
+#: src/protocol/bittorrent/bittorrent.c:113
 msgid ""
-"The maximum length of messages to accept over the wire.\n"
-"Larger values will cause the connection to be dropped."
+"The maximum length of messages to accept over the wire. Larger values will "
+"cause the connection to be dropped."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:115
+#: src/protocol/bittorrent/bittorrent.c:116
 msgid "Maximum allowed request length"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:117
+#: src/protocol/bittorrent/bittorrent.c:118
 msgid ""
-"The maximum length to allow for incoming requests.\n"
-"Larger requests will cause the connection to be dropped."
+"The maximum length to allow for incoming requests. Larger requests will "
+"cause the connection to be dropped."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:120
+#: src/protocol/bittorrent/bittorrent.c:121
 msgid "Length of requests"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:122
+#: src/protocol/bittorrent/bittorrent.c:123
 msgid ""
-"How many bytes to query for per request. This is complementary\n"
-"to the max_request_length option. If the configured length is\n"
-"bigger than the piece length it will be truncated."
+"How many bytes to query for per request. This is complementary to the "
+"max_request_length option. If the configured length is bigger than the piece "
+"length it will be truncated."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:126
+#: src/protocol/bittorrent/bittorrent.c:128
 #, fuzzy
 msgid "Peer inactivity timeout"
 msgstr "Timeout bei Empfang aufgetreten"
 
-#: src/protocol/bittorrent/bittorrent.c:128
+#: src/protocol/bittorrent/bittorrent.c:130
 msgid ""
-"The number of seconds to wait before closing a socket on\n"
-"which nothing has been received or sent."
+"The number of seconds to wait before closing a socket on which nothing has "
+"been received or sent."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:131
+#: src/protocol/bittorrent/bittorrent.c:133
 #, fuzzy
 msgid "Maximum peer pool size"
 msgstr "Maximale Anzahl von Eintrgen"
 
-#: src/protocol/bittorrent/bittorrent.c:133
+#: src/protocol/bittorrent/bittorrent.c:135
 msgid ""
-"Maximum number of items in the peer pool. The peer pool\n"
-"contains information used for establishing connections to\n"
-"new peers.\n"
+"Maximum number of items in the peer pool. The peer pool contains information "
+"used for establishing connections to new peers.\n"
+"\n"
 "Set to 0 to have unlimited size."
 msgstr ""
 
 #. ******************************************************************
 #. Piece management options:
 #. ******************************************************************
-#: src/protocol/bittorrent/bittorrent.c:143
+#: src/protocol/bittorrent/bittorrent.c:146
 #, fuzzy
 msgid "Maximum piece cache size"
 msgstr "Maximale Anzahl von Verbindungen"
 
-#: src/protocol/bittorrent/bittorrent.c:145
+#: src/protocol/bittorrent/bittorrent.c:148
 msgid ""
-"The maximum amount of memory used to hold recently\n"
-"downloaded pieces.\n"
+"The maximum amount of memory used to hold recently downloaded pieces.\n"
+"\n"
 "Set to 0 to have unlimited size."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:154
+#: src/protocol/bittorrent/bittorrent.c:158
 #, fuzzy
 msgid "Sharing rate"
 msgstr "Speicher-Art"
 
-#: src/protocol/bittorrent/bittorrent.c:156
+#: src/protocol/bittorrent/bittorrent.c:160
 msgid ""
-"The minimum sharing rate to achieve before stop seeding.\n"
-"The sharing rate is computed as the number of uploaded bytes\n"
-"divided with the number of downloaded bytes. The value should\n"
-"be a double value between 0.0 and 1.0 both included.\n"
-"Set to 1.0 to atleast upload a complete copy of all data and\n"
+"The minimum sharing rate to achieve before stop seeding. The sharing rate is "
+"computed as the number of uploaded bytes divided with the number of "
+"downloaded bytes. The value should be a double value between 0.0 and 1.0 "
+"both included. Set to 1.0 to atleast upload a complete copy of all data and "
 "set to 0.0 to have unlimited sharing rate."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:163
+#: src/protocol/bittorrent/bittorrent.c:167
 #, fuzzy
 msgid "Maximum number of uploads"
 msgstr "Maximale Anzahl von Eintrgen"
 
-#: src/protocol/bittorrent/bittorrent.c:165
+#: src/protocol/bittorrent/bittorrent.c:169
 msgid "The maximum number of uploads to allow at once."
 msgstr ""
 
 #. The number of uploads to fill out to with extra optimistic unchokes
-#: src/protocol/bittorrent/bittorrent.c:168
+#: src/protocol/bittorrent/bittorrent.c:172
 #, fuzzy
 msgid "Minimum number of uploads"
 msgstr "Maximale Anzahl von Eintrgen"
 
-#: src/protocol/bittorrent/bittorrent.c:170
+#: src/protocol/bittorrent/bittorrent.c:174
 msgid ""
-"The minimum number of uploads which should at least\n"
-"be used for new connections."
+"The minimum number of uploads which should at least be used for new "
+"connections."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:174
+#: src/protocol/bittorrent/bittorrent.c:178
 #, fuzzy
 msgid "Keepalive interval"
 msgstr "Speicher-Intervall"
 
-#: src/protocol/bittorrent/bittorrent.c:176
-msgid ""
-"The number of seconds to pause between sending keepalive\n"
-"messages."
+#: src/protocol/bittorrent/bittorrent.c:180
+msgid "The number of seconds to pause between sending keepalive messages."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:179
+#: src/protocol/bittorrent/bittorrent.c:183
 #, fuzzy
 msgid "Number of pending requests"
 msgstr "Anforderung wird von Server verarbeitet"
 
-#: src/protocol/bittorrent/bittorrent.c:181
+#: src/protocol/bittorrent/bittorrent.c:185
 msgid ""
-"How many piece requests to continuously keep in queue. Pipelining\n"
-"of requests is essential to saturate connections and get a good\n"
-"connection performance and thus a faster download. However, a\n"
-"very big queue size can lead to wasting bandwidth near the end\n"
-"of the connection since remaining piece blocks will be requested\n"
-"from multiple peers."
+"How many piece requests to continuously keep in queue. Pipelining of "
+"requests is essential to saturate connections and get a good connection "
+"performance and thus a faster download. However, a very big queue size can "
+"lead to wasting bandwidth near the end of the connection since remaining "
+"piece blocks will be requested from multiple peers."
 msgstr ""
 
 #. Bram uses 30 seconds here.
-#: src/protocol/bittorrent/bittorrent.c:190
+#: src/protocol/bittorrent/bittorrent.c:194
 msgid "Peer snubbing interval"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:192
+#: src/protocol/bittorrent/bittorrent.c:196
 msgid ""
-"The number of seconds to wait for file data before assuming\n"
-"the peer has been snubbed."
+"The number of seconds to wait for file data before assuming the peer has "
+"been snubbed."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:195
+#: src/protocol/bittorrent/bittorrent.c:199
 #, fuzzy
 msgid "Peer choke interval"
 msgstr "Speicher-Intervall"
 
-#: src/protocol/bittorrent/bittorrent.c:197
+#: src/protocol/bittorrent/bittorrent.c:201
 msgid ""
-"The number of seconds between updating the connection state\n"
-"and most importantly choke and unchoke peer connections. The\n"
-"choke period should be big enough for newly unchoked connections\n"
-"to get started but small enough to not allow freeriders too much\n"
-"room for stealing bandwidth."
+"The number of seconds between updating the connection state and most "
+"importantly choke and unchoke peer connections. The choke period should be "
+"big enough for newly unchoked connections to get started but small enough to "
+"not allow freeriders too much room for stealing bandwidth."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:203
+#: src/protocol/bittorrent/bittorrent.c:207
 msgid "Rarest first piece selection cutoff"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:205
+#: src/protocol/bittorrent/bittorrent.c:209
 msgid ""
-"The number of pieces to obtain before switching piece\n"
-"selection strategy from random to rarest first."
+"The number of pieces to obtain before switching piece selection strategy "
+"from random to rarest first."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:208 src/protocol/http/http.c:109
+#: src/protocol/bittorrent/bittorrent.c:212 src/protocol/http/http.c:109
 msgid "Allow blacklisting"
 msgstr "Erlaube eine Schwarze Liste"
 
-#: src/protocol/bittorrent/bittorrent.c:210
+#: src/protocol/bittorrent/bittorrent.c:214
 #, fuzzy
 msgid "Allow blacklisting of buggy peers."
 msgstr "Erlaube, fehlerhafte Server auf eine Schwarze Liste zu setzen."
@@ -7345,7 +7402,7 @@ msgstr "Datei"
 msgid "Comment"
 msgstr "Kommentare"
 
-#: src/protocol/bittorrent/dialogs.c:229 src/session/download.c:362
+#: src/protocol/bittorrent/dialogs.c:229 src/session/download.c:388
 #, c-format
 msgid ""
 "Download complete:\n"
@@ -7516,7 +7573,7 @@ msgid_plural "%u unavailable"
 msgstr[0] "FTP-Dienst nicht verfgbar"
 msgstr[1] "FTP-Dienst nicht verfgbar"
 
-#: src/protocol/bittorrent/dialogs.c:584 src/session/session.c:278
+#: src/protocol/bittorrent/dialogs.c:584 src/session/session.c:279
 #, fuzzy, c-format
 msgid "Unable to retrieve %s"
 msgstr ""
@@ -7533,7 +7590,7 @@ msgstr "Soll die Datei '%s' (Typ: %s) an
 msgid "Information about the torrent"
 msgstr "Zeige Informationen zur aktuellen Seite"
 
-#: src/protocol/bittorrent/dialogs.c:776 src/session/download.c:1106
+#: src/protocol/bittorrent/dialogs.c:776 src/session/download.c:1132
 msgid "What to do?"
 msgstr "Treffen Sie Ihre Wahl."
 
@@ -7544,13 +7601,13 @@ msgid "Down~load"
 msgstr "Download"
 
 #. accelerator_context(src/protocol/bittorrent/dialogs.c:bittorrent_query_callback, src/session/download.c:do_type_query)
-#: src/protocol/bittorrent/dialogs.c:804 src/session/download.c:1209
+#: src/protocol/bittorrent/dialogs.c:804 src/session/download.c:1235
 #, fuzzy
 msgid "~Display"
 msgstr "Anzeigen"
 
 #. accelerator_context(src/protocol/bittorrent/dialogs.c:bittorrent_query_callback, src/session/download.c:do_type_query)
-#: src/protocol/bittorrent/dialogs.c:808 src/session/download.c:1213
+#: src/protocol/bittorrent/dialogs.c:808 src/session/download.c:1239
 #, fuzzy
 msgid "Show ~header"
 msgstr "Vorlagen zeigen"
@@ -7569,16 +7626,16 @@ msgstr ""
 "Durch Doppelpunkt getrennte Liste von Verzeichnissen, wo\n"
 "CGI-Skripts gespeichert sind."
 
-#: src/protocol/file/cgi.c:47
+#: src/protocol/file/cgi.c:48
 msgid "Allow local CGI"
 msgstr "Lokales CGI erlauben"
 
-#: src/protocol/file/cgi.c:49
+#: src/protocol/file/cgi.c:50
 msgid "Whether to execute local CGI scripts."
 msgstr "Gibt an, ob lokale CGI-Skripts ausgefhrt werden."
 
 #. name:
-#: src/protocol/file/cgi.c:54
+#: src/protocol/file/cgi.c:55
 msgid "CGI"
 msgstr ""
 
@@ -7597,9 +7654,8 @@ msgstr "Lesen von speziellen Dateien erl
 #: src/protocol/file/file.c:46
 #, fuzzy
 msgid ""
-"Whether to allow reading from non-regular files.\n"
-"Note this can be dangerous; reading /dev/urandom or\n"
-"/dev/zero can ruin your day!"
+"Whether to allow reading from non-regular files. Note this can be dangerous; "
+"reading /dev/urandom or /dev/zero can ruin your day!"
 msgstr ""
 "Lesen von speziellen Dateien erlauben? (GEFHRLICH - von\n"
 "/dev/urandom oder /dev/zero zu lesen, kann dir den Tag ruinieren!)"
@@ -7611,8 +7667,8 @@ msgstr "Versteckte in Verzeichnis-Auflis
 #: src/protocol/file/file.c:52
 #, fuzzy
 msgid ""
-"When set to false, files with name starting with a dot will be\n"
-"hidden in local directory listings."
+"When set to false, files with name starting with a dot will be hidden in "
+"local directory listings."
 msgstr ""
 "Versteckte in Verzeichnis-Auflistungen anzeigen?\n"
 "Wenn diese Option falsch ist, werden Dateien, die mit einem Punkt beginnen,\n"
@@ -7623,10 +7679,11 @@ msgid "Try encoding extensions"
 msgstr "Versuche Endungen von Kodierungen"
 
 #: src/protocol/file/file.c:57
+#, fuzzy
 msgid ""
-"When set, if we can't open a file named 'filename', we'll try\n"
-"to open 'filename' with some encoding extension appended\n"
-"(ie. 'filename.gz'); it depends on the supported encodings."
+"When set, if we can't open a file named 'filename', we'll try to open "
+"'filename' with some encoding extension appended (ie. 'filename.gz'); it "
+"depends on the supported encodings."
 msgstr ""
 "Wenn diese Option gesetzt ist und die Datei 'dateiname' nicht\n"
 "nicht geffnet werden kann, werden Endungen von verschiedenen\n"
@@ -7634,7 +7691,7 @@ msgstr ""
 "den untersttzten Kodierungen ab."
 
 #. name:
-#: src/protocol/file/file.c:65
+#: src/protocol/file/file.c:66
 #, fuzzy
 msgid "File"
 msgstr "~Datei"
@@ -7667,7 +7724,7 @@ msgid "Whether to sort entries in direct
 msgstr "Versteckte in Verzeichnis-Auflistungen anzeigen"
 
 #. name:
-#: src/protocol/ftp/ftp.c:56 src/protocol/ftp/ftp.c:86
+#: src/protocol/ftp/ftp.c:56 src/protocol/ftp/ftp.c:89
 msgid "FTP"
 msgstr "FTP"
 
@@ -7675,8 +7732,8 @@ msgstr "FTP"
 msgid "FTP specific options."
 msgstr "FTP-spezifische Optionen."
 
-#: src/protocol/ftp/ftp.c:60 src/protocol/http/http.c:127
-#: src/protocol/http/http.c:209
+#: src/protocol/ftp/ftp.c:60 src/protocol/http/http.c:128
+#: src/protocol/http/http.c:235
 msgid "Proxy configuration"
 msgstr "Proxy-Konfiguration"
 
@@ -7684,40 +7741,41 @@ msgstr "Proxy-Konfiguration"
 msgid "FTP proxy configuration."
 msgstr "FTP-Proxy-Konfiguration."
 
-#: src/protocol/ftp/ftp.c:64 src/protocol/http/http.c:131
-#: src/protocol/http/http.c:213
+#: src/protocol/ftp/ftp.c:64 src/protocol/http/http.c:132
+#: src/protocol/http/http.c:239
 msgid "Host and port-number"
 msgstr "Host-Name und Port-Nummer"
 
 #: src/protocol/ftp/ftp.c:66
+#, fuzzy
 msgid ""
-"Host and port-number (host:port) of the FTP proxy, or blank.\n"
-"If it's blank, FTP_PROXY environment variable is checked as well."
+"Host and port-number (host:port) of the FTP proxy, or blank. If it's blank, "
+"FTP_PROXY environment variable is checked as well."
 msgstr ""
 "Host-Name und Port-Nummer (host:port) des FTP-Proxy, oder leer.\n"
 "Ist dieses Feld leer, so wird die Umgebungsvariable FTP_PROXY benutzt."
 
-#: src/protocol/ftp/ftp.c:69
+#: src/protocol/ftp/ftp.c:70
 msgid "Anonymous password"
 msgstr "Anonym-Passwort"
 
-#: src/protocol/ftp/ftp.c:71
+#: src/protocol/ftp/ftp.c:72
 msgid "FTP anonymous password to be sent."
 msgstr "Sende Passwort bei anonymen FTP."
 
-#: src/protocol/ftp/ftp.c:73
+#: src/protocol/ftp/ftp.c:74
 msgid "Use passive mode (IPv4)"
 msgstr "Benutze passiven Modus (IPv4)"
 
-#: src/protocol/ftp/ftp.c:75
+#: src/protocol/ftp/ftp.c:76
 msgid "Use PASV instead of PORT (passive vs active mode, IPv4 only)."
 msgstr "Benutze PASV anstatt von PORT (passiver oder aktiver Modus, nur IPv4)."
 
-#: src/protocol/ftp/ftp.c:77
+#: src/protocol/ftp/ftp.c:79
 msgid "Use passive mode (IPv6)"
 msgstr "Benutze passiven Modus (IPv6)"
 
-#: src/protocol/ftp/ftp.c:79
+#: src/protocol/ftp/ftp.c:81
 msgid "Use EPSV instead of EPRT (passive vs active mode, IPv6 only)."
 msgstr "Benutze EPSV anstatt von EPRT (passiver oder aktiver Modus, nur IPv6)."
 
@@ -7753,7 +7811,7 @@ msgstr ""
 "  nicht auftreten sollte.\n"
 
 #. name:
-#: src/protocol/http/http.c:95 src/protocol/http/http.c:223
+#: src/protocol/http/http.c:95 src/protocol/http/http.c:250
 msgid "HTTP"
 msgstr "HTTP"
 
@@ -7774,9 +7832,10 @@ msgid "Do not send Accept-Charset"
 msgstr "Accept-Charset nicht senden"
 
 #: src/protocol/http/http.c:106
+#, fuzzy
 msgid ""
-"The Accept-Charset header is quite long and sending it can trigger\n"
-"bugs in some rarely found servers."
+"The Accept-Charset header is quite long and sending it can trigger bugs in "
+"some rarely found servers."
 msgstr ""
 "Der Header Accept-Charset ist ziemlich lang und wenn dieser gesendet\n"
 "wird, kann er in einigen seltenen Servern Fehler hervorrufen."
@@ -7790,67 +7849,70 @@ msgid "Broken 302 redirects"
 msgstr "Beschdigte 302 Weiterleitungen"
 
 #: src/protocol/http/http.c:115
+#, fuzzy
 msgid ""
-"Broken 302 redirect (violates RFC but compatible with Netscape).\n"
-"This is a problem for a lot of web discussion boards and the like.\n"
-"If they will do strange things to you, try to play with this."
+"Broken 302 redirect (violates RFC but compatible with Netscape). This is a "
+"problem for a lot of web discussion boards and the like. If they will do "
+"strange things to you, try to play with this."
 msgstr ""
 "Beschdigte 302 Weiterleitung (bricht RFC, ist aber kompatibel\n"
 "zu Netscape). Dies ist ein Problem vieler Web-Diskussions-Foren und\n"
 "hnlichem. Wenn diese komische Sachen machen, versuche diese Option."
 
-#: src/protocol/http/http.c:119
+#: src/protocol/http/http.c:120
 msgid "No keepalive after POST requests"
 msgstr "Keine stndige Verbindung nach einer POST-Anfrage"
 
-#: src/protocol/http/http.c:121
+#: src/protocol/http/http.c:122
 msgid "Disable keepalive connection after POST request."
 msgstr "Schalte eine stndige Verbindung nach einer POST-Anfrage ab."
 
-#: src/protocol/http/http.c:123
+#: src/protocol/http/http.c:124
 msgid "Use HTTP/1.0"
 msgstr "Benutze HTTP/1.0"
 
-#: src/protocol/http/http.c:125
+#: src/protocol/http/http.c:126
 msgid "Use HTTP/1.0 protocol instead of HTTP/1.1."
 msgstr "Benutze HTTP/1.0 Protokoll anstatt von HTTP/1.1."
 
-#: src/protocol/http/http.c:129
+#: src/protocol/http/http.c:130
 msgid "HTTP proxy configuration."
 msgstr "HTTP-Proxy-Konfiguration."
 
-#: src/protocol/http/http.c:133
+#: src/protocol/http/http.c:134
+#, fuzzy
 msgid ""
-"Host and port-number (host:port) of the HTTP proxy, or blank.\n"
-"If it's blank, HTTP_PROXY environment variable is checked as well."
+"Host and port-number (host:port) of the HTTP proxy, or blank. If it's blank, "
+"HTTP_PROXY environment variable is checked as well."
 msgstr ""
 "Host-Name und Port-Nummer (host:port) des HTTP-Proxy, oder leer.\n"
 "Ist dieses Feld leer, so wird die Umgebungsvariable HTTP_PROXY benutzt."
 
-#: src/protocol/http/http.c:136
+#: src/protocol/http/http.c:138
 msgid "Username"
 msgstr "Benutzername"
 
-#: src/protocol/http/http.c:138
+#: src/protocol/http/http.c:140
 msgid "Proxy authentication username."
 msgstr "Benutzername fr die Proxy-Authentifizierung"
 
-#: src/protocol/http/http.c:142
+#: src/protocol/http/http.c:144
 msgid "Proxy authentication password."
 msgstr "Passwort fr die Proxy-Authentifizierung"
 
-#: src/protocol/http/http.c:145
+#: src/protocol/http/http.c:147
 msgid "Referer sending"
 msgstr "Bezug senden"
 
-#: src/protocol/http/http.c:147
+#: src/protocol/http/http.c:149
+#, fuzzy
 msgid ""
-"HTTP referer sending options. HTTP referer is a special header\n"
-"sent in the HTTP requests, which is supposed to contain the previous\n"
-"page visited by the browser. This way, the server can know what link\n"
-"did you follow when accessing that page. However, this behaviour\n"
-"can unfortunately considerably affect privacy and can lead even to a\n"
-"security problem on some badly designed web pages."
+"HTTP referer sending options. HTTP referer is a special header sent in the "
+"HTTP requests, which is supposed to contain the previous page visited by the "
+"browser.This way, the server can know what link did you follow when "
+"accessing that page. However, this behaviour can unfortunately considerably "
+"affect privacy and can lead even to a security problem on some badly "
+"designed web pages."
 msgstr ""
 "Optionen fr das Senden eines HTTP-Bezug. Der HTTP-Bezug (referer) ist\n"
 "ein spezieller Header, der in HTTP-Anfragen gesendet wird. Es ist\n"
@@ -7860,11 +7922,11 @@ msgstr ""
 "Verhalten die Privatsphre betreffen und sogar auf einigen schlecht\n"
 "gestalteten Seiten zu einem Sicherheitsproblem werden."
 
-#: src/protocol/http/http.c:154
+#: src/protocol/http/http.c:157
 msgid "Policy"
 msgstr "Strategie"
 
-#: src/protocol/http/http.c:157
+#: src/protocol/http/http.c:160
 #, fuzzy
 msgid ""
 "Mode of sending HTTP referer:\n"
@@ -7879,36 +7941,35 @@ msgstr ""
 "2 einen festen geflschten Bezug senden\n"
 "3 die vorhergehende URL als Bezug senden (korrekt, aber unsicher)\n"
 
-#: src/protocol/http/http.c:163
+#: src/protocol/http/http.c:166
 msgid "Fake referer URL"
 msgstr "Geflschter Bezug"
 
-#: src/protocol/http/http.c:165
+#: src/protocol/http/http.c:168
 msgid "Fake referer to be sent when policy is 2."
 msgstr ""
 "Geflschter Bezug, der gesendet wird wenn die Strategie auf 2 gesetzt ist."
 
-#: src/protocol/http/http.c:168
+#: src/protocol/http/http.c:171
 msgid "Send Accept-Language header"
 msgstr "Sende Accept-Language Header"
 
-#: src/protocol/http/http.c:170
+#: src/protocol/http/http.c:173
 msgid "Send Accept-Language header."
 msgstr "Sende Accept-Language Header"
 
-#: src/protocol/http/http.c:172
+#: src/protocol/http/http.c:175
 msgid "Use UI language as Accept-Language"
 msgstr "Schnittstellen-Sprache fr Accept-Language benutzen"
 
-#: src/protocol/http/http.c:174
+#: src/protocol/http/http.c:177
 #, fuzzy
 msgid ""
-"Request localised versions of documents from web-servers (using the\n"
-"Accept-Language header) using the language you have configured for\n"
-"ELinks' user-interface (this also affects navigator.language ECMAScript\n"
-"value available to scripts). Note that some see this as a potential\n"
-"security risk because it tells web-masters and the FBI sniffers about\n"
-"your language preference."
+"Request localised versions of documents from web-servers (using the Accept-"
+"Language header) using the language you have configured for ELinks' user-"
+"interface (this also affects navigator.language ECMAScript value available "
+"to scripts). Note that some see this as a potential security risk because it "
+"tells web-masters and the FBI sniffers about your language preference."
 msgstr ""
 "Lokalisierte Versionen von Dokumenten von Webservern (mittels\n"
 "Accept-Language Header) anfordern, wobei die Sprache verwendet wird,\n"
@@ -7916,17 +7977,38 @@ msgstr ""
 "dies als potenzielles Sicherheitsrisiko ansehen, weil es dem Web-Master\n"
 "etwas ber deine Sprache verrt."
 
-#: src/protocol/http/http.c:181
+#. After the compression support has been tested enough,
+#. * we might wrap this option in #if CFG_DEBUG.
+#: src/protocol/http/http.c:187
+msgid "Enable on-the-fly compression"
+msgstr ""
+
+#: src/protocol/http/http.c:189
+msgid ""
+"If enabled, the capability to receive compressed content (gzip and/or bzip2) "
+"is announced to the server, which usually sends the reply compressed, thus "
+"saving some bandwidth at slight CPU expense.\n"
+"\n"
+"If ELinks displays a incomplete page or garbage, try disabling this option. "
+"If that helps, there may be a bug in the decompression part of ELinks. "
+"Please report such bugs.\n"
+"\n"
+"If ELinks has been compiled without compression support, this option has no "
+"effect. To check the supported features, see Help -> About."
+msgstr ""
+
+#: src/protocol/http/http.c:202
 msgid "Activate HTTP TRACE debugging"
 msgstr "Fehlersuche mit HTTP TRACE aktivieren"
 
-#: src/protocol/http/http.c:183
+#: src/protocol/http/http.c:204
+#, fuzzy
 msgid ""
-"If active, all HTTP requests are sent with TRACE as their method\n"
-"rather than GET or POST. This is useful for debugging of both ELinks\n"
-"and various server-side scripts --- the server only returns the client's\n"
-"request back to the client verbatim. Note that this type of request may\n"
-"not be enabled on all servers."
+"If active, all HTTP requests are sent with TRACE as their method rather than "
+"GET or POST. This is useful for debugging of both ELinks and various server-"
+"side scripts --- the server only returns the client's request back to the "
+"client verbatim. Note that this type of request may not be enabled on all "
+"servers."
 msgstr ""
 "Wenn aktiviert, werden alle HTTP-Anfragen mit der TRACE-Methode anstatt\n"
 "GET oder POST gesendet. Dies ist ntzlich fr die Fehlersuche sowohl bei\n"
@@ -7935,20 +8017,21 @@ msgstr ""
 "Anfrage nicht auf allen Servern angeschaltet sein muss."
 
 #. OSNews.com is supposed to be relying on the textmode token, at least.
-#: src/protocol/http/http.c:190
+#: src/protocol/http/http.c:212
 msgid "User-agent identification"
 msgstr "Benutzer-Programm Identifikation"
 
-#: src/protocol/http/http.c:192
+#: src/protocol/http/http.c:214
 #, fuzzy
 msgid ""
-"Change the User Agent ID. That means identification string, which\n"
-"is sent to HTTP server when a document is requested. The 'textmode'\n"
-"token in the first field is our silent attempt to establish this as\n"
-"a standard for new textmode user agents, so that the webmasters can\n"
-"have just a single uniform test for these if they are e.g. pushing\n"
-"some lite version to them automagically.\n"
+"Change the User Agent ID. That means identification string, which is sent to "
+"HTTP server when a document is requested. The 'textmode' token in the first "
+"field is our silent attempt to establish this as a standard for new textmode "
+"user agents, so that the webmasters can have just a single uniform test for "
+"these if they are e.g. pushing some lite version to them automagically.\n"
+"\n"
 "Use \" \" if you don't want any User-Agent header to be sent at all.\n"
+"\n"
 "%v in the string means ELinks version,\n"
 "%s in the string means system identification,\n"
 "%t in the string means size of the terminal,\n"
@@ -7966,28 +8049,29 @@ msgstr ""
 "%t in der Zeichenkette ergibt die Gre des Terminals\n"
 "Benutze \" \", wenn keine Identifikation gesendet werden soll."
 
-#: src/protocol/http/http.c:205
+#: src/protocol/http/http.c:231
 msgid "HTTPS"
 msgstr "HTTPS"
 
-#: src/protocol/http/http.c:207
+#: src/protocol/http/http.c:233
 msgid "HTTPS-specific options."
 msgstr "HTTPS-spezifische Optionen."
 
-#: src/protocol/http/http.c:211
+#: src/protocol/http/http.c:237
 msgid "HTTPS proxy configuration."
 msgstr "HTTPS-Proxy-Konfiguration."
 
-#: src/protocol/http/http.c:215
+#: src/protocol/http/http.c:241
+#, fuzzy
 msgid ""
-"Host and port-number (host:port) of the HTTPS CONNECT proxy, or blank.\n"
-"If it's blank, HTTPS_PROXY environment variable is checked as well."
+"Host and port-number (host:port) of the HTTPS CONNECT proxy, or blank. If "
+"it's blank, HTTPS_PROXY environment variable is checked as well."
 msgstr ""
 "Host-Name und Port-Nummer (host:port) des HTTPS CONNECT-Proxy, oder leer.\n"
 "Ist dieses Feld leer, so wird die Umgebungsvariable HTTPS_PROXY benutzt."
 
 #. name:
-#: src/protocol/nntp/nntp.c:32 src/protocol/nntp/nntp.c:65
+#: src/protocol/nntp/nntp.c:32 src/protocol/nntp/nntp.c:66
 msgid "NNTP"
 msgstr "NNTP"
 
@@ -8000,23 +8084,25 @@ msgid "Default news server"
 msgstr "Standard-News-Server"
 
 #: src/protocol/nntp/nntp.c:38
+#, fuzzy
 msgid ""
-"Used when resolving news: URIs. If set to the empty string\n"
-"the value of the NNTPSERVER environment variable will be used."
+"Used when resolving news: URIs. If set to the empty string the value of the "
+"NNTPSERVER environment variable will be used."
 msgstr ""
 "Wird benutzt, um neue News zu empfangen: URIs. Wenn auf die leere \n"
 "Zeichenkette gesetzt, wird der Wert der Umgebungs-Variable NNTPSERVER\n"
 "benutzt."
 
-#: src/protocol/nntp/nntp.c:41
+#: src/protocol/nntp/nntp.c:42
 msgid "Message header entries"
 msgstr "Message Header-Eintrge"
 
-#: src/protocol/nntp/nntp.c:43
+#: src/protocol/nntp/nntp.c:44
+#, fuzzy
 msgid ""
-"Comma separated list of which entries in the article header\n"
-"to show. E.g. 'Subject' and 'From'.\n"
-"All header entries can be read in the header info dialog."
+"Comma separated list of which entries in the article header to show. E.g. "
+"'Subject' and 'From'. All header entries can be read in the header info "
+"dialog."
 msgstr ""
 "Komma-separierte Liste mit allen Eintrgen im Artikel-Header,\n"
 "die angezeigt werden sollen. Z.B. 'Subject' und 'From'.\n"
@@ -8040,11 +8126,11 @@ msgid "No-proxy domains"
 msgstr "Domains ohne Proxy"
 
 #: src/protocol/protocol.c:279
+#, fuzzy
 msgid ""
-"Comma separated list of domains for which the proxy (HTTP/FTP)\n"
-"should be disabled. Optionally, a port can be specified for some\n"
-"domains as well. If it's blank, NO_PROXY environment variable is\n"
-"checked as well."
+"Comma separated list of domains for which the proxy (HTTP/FTP) should be "
+"disabled. Optionally, a port can be specified for some domains as well. If "
+"it's blank, NO_PROXY environment variable is checked as well."
 msgstr ""
 "Liste von durch Kommata getrennte Domainnamen, fr die der\n"
 "Proxy (HTTP/FTP) nicht benutzt werden soll. Optional kann auch\n"
@@ -8061,12 +8147,12 @@ msgid "URI rewriting"
 msgstr "URI Vernderung"
 
 #: src/protocol/rewrite/rewrite.c:46
+#, fuzzy
 msgid ""
-"Rules for rewriting URIs entered in the goto dialog.\n"
-"It makes it possible to define a set of prefixes that will\n"
-"be expanded if they match a string entered in the goto dialog.\n"
-"The prefixes can be dumb, meaning that they work only like\n"
-"URI abbreviations, or smart ones, making it possible to pass\n"
+"Rules for rewriting URIs entered in the goto dialog. It makes it possible to "
+"define a set of prefixes that will be expanded if they match a string "
+"entered in the goto dialog. The prefixes can be dumb, meaning that they work "
+"only like URI abbreviations, or smart ones, making it possible to pass "
 "arguments to them like search engine keywords."
 msgstr ""
 "Regeln um URIs zu verndern, die im Gehe-zu-Dialog eingegeben werden.\n"
@@ -8075,48 +8161,48 @@ msgstr ""
 "das heit sie verhalten sich wie URI-Abkrzungen, oder komplex sein,\n"
 "dann knnen Argumente angegeben werden wie zum Beispiel Suchbegriffe."
 
-#: src/protocol/rewrite/rewrite.c:53
+#: src/protocol/rewrite/rewrite.c:54
 msgid "Enable dumb prefixes"
 msgstr "Einfache Prfixe aktivieren"
 
-#: src/protocol/rewrite/rewrite.c:55
+#: src/protocol/rewrite/rewrite.c:56
 #, fuzzy
 msgid ""
-"Enable dumb prefixes - simple URI abbreviations which can\n"
-"be written to the Goto URL dialog instead of actual URIs - i.e.\n"
-"if you write 'elinks' there, you are directed to\n"
-"http://elinks.cz/."
+"Enable dumb prefixes - simple URI abbreviations which can be written to the "
+"Goto URL dialog instead of actual URIs - i.e. if you write 'elinks' there, "
+"you are directed to http://elinks.cz/."
 msgstr ""
 "Aktiviert einfache Prfixe. Dabei handelt es sich um URI-Abkrzungen,\n"
 "die in den Gehe-Zu-URL-Dialog geschrieben werden anstelle der \n"
 "aktuellen URI. Z.B. kann man dort 'elinks' eingeben und wird auf\n"
 "http://elinks.or.cz/ umgeleitet."
 
-#: src/protocol/rewrite/rewrite.c:60
+#: src/protocol/rewrite/rewrite.c:61
 msgid "Enable smart prefixes"
 msgstr "Komplexe Prfixe aktivieren"
 
-#: src/protocol/rewrite/rewrite.c:62
+#: src/protocol/rewrite/rewrite.c:63
+#, fuzzy
 msgid ""
-"Enable smart prefixes - URI templates triggered by writing\n"
-"given abbreviation to the Goto URL dialog followed by a list\n"
-"of arguments from which the actual URI is composed - i.e.\n"
-"'gg:search keywords' or 'gn search keywords for news'."
+"Enable smart prefixes - URI templates triggered by writing given "
+"abbreviation to the Goto URL dialog followed by a list of arguments from "
+"which the actual URI is composed - i.e. 'gg:search keywords' or 'gn search "
+"keywords for news'."
 msgstr ""
 "Aktiviert komplexe Prfixe. Dabei handelt es sich um Abkrzungen\n"
 "fr URI-Schablonen, die gefolgt von einer Liste von Argumenten\n"
 "in den Gehe-zu-Dialog eingegeben werden und aus denen die Ziel-URL\n"
 "zusammengesetzt wird. Z.B. 'gg Suchwrter' oder 'gn Suchwrter fr News'."
 
-#: src/protocol/rewrite/rewrite.c:67
+#: src/protocol/rewrite/rewrite.c:69
 msgid "Dumb Prefixes"
 msgstr "Einfache Prfixe"
 
-#: src/protocol/rewrite/rewrite.c:69
+#: src/protocol/rewrite/rewrite.c:71
 msgid "Dumb prefixes, see enable-dumb description for details."
 msgstr "Einfach Prfixe, siehe enable-dump-Beschreibung fr Details."
 
-#: src/protocol/rewrite/rewrite.c:74
+#: src/protocol/rewrite/rewrite.c:76
 #, fuzzy, no-c-format
 msgid ""
 "Replacement URI for this dumbprefix:\n"
@@ -8127,15 +8213,15 @@ msgstr ""
 "%c in der Zeichenkette bedeutet die aktuelle URL\n"
 "%% in der Zeichenkette bedeutet '%'"
 
-#: src/protocol/rewrite/rewrite.c:78
+#: src/protocol/rewrite/rewrite.c:80
 msgid "Smart Prefixes"
 msgstr "Komplexe Prfixe"
 
-#: src/protocol/rewrite/rewrite.c:80
+#: src/protocol/rewrite/rewrite.c:82
 msgid "Smart prefixes, see enable-smart description for details."
 msgstr "Komplexe Prfixe, siehe enable-smart-Beschreibung fr Details."
 
-#: src/protocol/rewrite/rewrite.c:87
+#: src/protocol/rewrite/rewrite.c:90
 #, fuzzy, no-c-format
 msgid ""
 "Replacement URI for this smartprefix:\n"
@@ -8150,27 +8236,29 @@ msgstr ""
 "%0,%1,...,%9 in der Zeichenkette bedeutet Argument 0, 1, ..., 9\n"
 "%% in der Zeichenkette bedeutet '%'"
 
-#: src/protocol/rewrite/rewrite.c:93
+#: src/protocol/rewrite/rewrite.c:96
 #, fuzzy
 msgid "Default template"
 msgstr "Zeichensatz-Voreinstellung"
 
-#: src/protocol/rewrite/rewrite.c:96
+#: src/protocol/rewrite/rewrite.c:99
 #, no-c-format
 msgid ""
-"Default URI template used when the string entered in\n"
-"the goto dialog does not appear to be a URI or a filename\n"
-"(i.e. contains no '.', ':' or '/' characters), and does\n"
-"not match any defined prefixes. Set the value to \"\" to\n"
-"disable use of the default template rewrite rule.\n"
+"Default URI template used when the string entered in the goto dialog does "
+"not appear to be a URI or a filename (i.e. contains no '.', ':' or '/' "
+"characters), and does not match any defined prefixes. Set the value to \"\" "
+"to disable use of the default template rewrite rule.\n"
+"\n"
 "%c in the template means the current URL,\n"
-"%s in the template means the whole string from the goto dialog,\n"
-"%0,%1,...,%9 mean the 1st,2nd,...,10th space-delimited part of %s,\n"
+"%s in the template means the whole string from the goto\n"
+"   dialog,\n"
+"%0,%1,...,%9 mean the 1st,2nd,...,10th space-delimited part\n"
+"   of %s,\n"
 "%% in the template means '%'."
 msgstr ""
 
 #. name:
-#: src/protocol/rewrite/rewrite.c:372
+#: src/protocol/rewrite/rewrite.c:378
 msgid "URI rewrite"
 msgstr "URI Vernderung"
 
@@ -8193,29 +8281,30 @@ msgid "Credentials file passed to smbcli
 msgstr ""
 
 #. name:
-#: src/protocol/user.c:34 src/protocol/user.c:84
+#: src/protocol/user.c:34 src/protocol/user.c:85
 msgid "User protocols"
 msgstr "Benutzer-Protokolle"
 
 #: src/protocol/user.c:36
+#, fuzzy
 msgid ""
-"User protocols. Options in this tree specify external\n"
-"handlers for the appropriate protocols. Ie.\n"
-"protocol.user.mailto.unix."
+"User protocols. Options in this tree specify external handlers for the "
+"appropriate protocols. Ie. protocol.user.mailto.unix."
 msgstr ""
 "Benutzer-Protokolle. Optionen in diesem Baum geben die\n"
 "externen Verarbeiter fr die entsprechenden Protokolle an.\n"
 "D.h. protocol.user.mailto.unix."
 
 #: src/protocol/user.c:47
+#, fuzzy
 msgid ""
-"Handler (external program) for this protocol. Name the\n"
-"options in this tree after your system (ie. unix, unix-xwin)."
+"Handler (external program) for this protocol. Name the options in this tree "
+"after your system (ie. unix, unix-xwin)."
 msgstr ""
 "Verarbeiter (externes Programm) fr dieses Protokoll. Benenne\n"
 "die Optionen in diesem Baum nach deinem System (d.h. unix, unix-xwin, ...)."
 
-#: src/protocol/user.c:52
+#: src/protocol/user.c:53
 msgid ""
 "Handler (external program) for this protocol and system.\n"
 "%f in the string means file name to include form data from\n"
@@ -8234,11 +8323,11 @@ msgstr ""
 "%s in der Zeichenkette ergibt den Betreff (?subject=<dieses>)\n"
 "%u in der Zeichenkette ergibt die ganze URL"
 
-#: src/protocol/user.c:276
+#: src/protocol/user.c:277
 msgid "No program"
 msgstr "Kein Programm"
 
-#: src/protocol/user.c:278
+#: src/protocol/user.c:279
 #, c-format
 msgid "No program specified for protocol %s."
 msgstr "Kein Programm definiert fr Protokoll %s."
@@ -8325,12 +8414,12 @@ msgstr ""
 msgid "Spidermonkey ECMAScript"
 msgstr "Skripte"
 
-#: src/session/download.c:233 src/session/download.c:330
-#: src/session/download.c:561 src/session/download.c:649
+#: src/session/download.c:256 src/session/download.c:356
+#: src/session/download.c:587 src/session/download.c:675
 msgid "Download error"
 msgstr "Downloadfehler"
 
-#: src/session/download.c:234 src/session/download.c:650
+#: src/session/download.c:257 src/session/download.c:676
 #, c-format
 msgid ""
 "Could not create file '%s':\n"
@@ -8339,7 +8428,7 @@ msgstr ""
 "Konnte die Datei '%s' nicht anlegen:\n"
 "%s"
 
-#: src/session/download.c:331
+#: src/session/download.c:357
 #, c-format
 msgid ""
 "Error downloading %s:\n"
@@ -8350,16 +8439,16 @@ msgstr ""
 "\n"
 "%s"
 
-#: src/session/download.c:562
+#: src/session/download.c:588
 #, c-format
 msgid "'%s' is a directory."
 msgstr "'%s' ist ein Verzeichnis"
 
-#: src/session/download.c:596
+#: src/session/download.c:622
 msgid "File exists"
 msgstr "Datei existiert"
 
-#: src/session/download.c:597
+#: src/session/download.c:623
 #, c-format
 msgid ""
 "This file already exists:\n"
@@ -8375,54 +8464,54 @@ msgstr ""
 "%s"
 
 #. accelerator_context(src/session/download.c:lookup_unique_name)
-#: src/session/download.c:604
+#: src/session/download.c:630
 #, fuzzy
 msgid "Sa~ve under the alternative name"
 msgstr "Speicher mit dem alternativen Namen"
 
 #. accelerator_context(src/session/download.c:lookup_unique_name)
-#: src/session/download.c:605
+#: src/session/download.c:631
 #, fuzzy
 msgid "~Overwrite the original file"
 msgstr "berschreibe die Originaldatei"
 
 #. accelerator_context(src/session/download.c:lookup_unique_name)
-#: src/session/download.c:606
+#: src/session/download.c:632
 #, fuzzy
 msgid "~Resume download of the original file"
 msgstr "Nehme Download der Originaldatei wieder auf"
 
-#: src/session/download.c:1109
+#: src/session/download.c:1135
 msgid "Unknown type"
 msgstr "Unbekannter Typ"
 
-#: src/session/download.c:1134
+#: src/session/download.c:1160
 #, fuzzy, c-format
 msgid "What would you like to do with the file '%s' (type: %s%s%s)?"
 msgstr "Soll die Datei '%s' (Typ: %s) angezeigt werden?"
 
-#: src/session/download.c:1137
+#: src/session/download.c:1163
 #, fuzzy, c-format
 msgid "What would you like to do with the file (type: %s%s%s)?"
 msgstr "Soll die Datei '%s' (Typ: %s) angezeigt werden?"
 
-#: src/session/download.c:1165
+#: src/session/download.c:1191
 #, no-c-format
 msgid "Program ('%' will be replaced by the filename)"
 msgstr ""
 
-#: src/session/download.c:1169
+#: src/session/download.c:1195
 #, fuzzy
 msgid "Block the terminal"
 msgstr "Bildschirm blockieren"
 
-#: src/session/download.c:1175
+#: src/session/download.c:1201
 #, c-format
 msgid "The file will be opened with the program '%s'."
 msgstr ""
 
 #. accelerator_context(src/session/download.c:do_type_query)
-#: src/session/download.c:1196
+#: src/session/download.c:1222
 #, fuzzy
 msgid "~Open"
 msgstr "ffnen"
@@ -8431,12 +8520,12 @@ msgstr "ffnen"
 #. * and formatting it with "%u" is safe,
 #. * because fc_maxlength is smaller than
 #. * file.length, which is an int.
-#: src/session/session.c:761 src/session/session.c:780 src/session/task.c:275
-#: src/viewer/text/textarea.c:652
+#: src/session/session.c:771 src/session/session.c:790 src/session/task.c:275
+#: src/viewer/text/textarea.c:641
 msgid "Warning"
 msgstr "Warnung"
 
-#: src/session/session.c:762
+#: src/session/session.c:772
 #, fuzzy
 msgid ""
 "You have an empty string in protocol.http.user_agent - this was a default "
@@ -8457,7 +8546,7 @@ msgstr ""
 "Voreinstellung benutzt wird. Entschuldigung fr jegliche verursachten "
 "Unannehmlichkeiten."
 
-#: src/session/session.c:781
+#: src/session/session.c:791
 #, fuzzy
 msgid ""
 "You have option config.saving_style set to a de facto obsolete value. The "
@@ -8480,11 +8569,11 @@ msgstr ""
 "\" Verhalten zu erreichen. Entschuldigung fr jegliche verursachten "
 "Unannehmlichkeiten."
 
-#: src/session/session.c:806
+#: src/session/session.c:816
 msgid "Welcome"
 msgstr "Willkommen"
 
-#: src/session/session.c:807
+#: src/session/session.c:817
 msgid ""
 "Welcome to ELinks!\n"
 "\n"
@@ -8538,22 +8627,22 @@ msgstr "Ungltige Gre des Terminals: %
 msgid "Warning: terminal name contains illicit chars."
 msgstr "Warnung: der Name des Terminals enthlt nicht erlaubte Zeichen."
 
-#: src/terminal/event.c:259
+#: src/terminal/event.c:258
 #, fuzzy, c-format
 msgid "Failed to create session."
 msgstr "Sitzung automatisch wieder herstellen"
 
-#: src/terminal/event.c:446
+#: src/terminal/event.c:443
 #, c-format
 msgid "Bad event %d"
 msgstr "Ungltiges Ereignis %d"
 
-#: src/terminal/event.c:486
+#: src/terminal/event.c:483
 #, c-format
 msgid "Could not read event: %d (%s)"
 msgstr "Konnte Ereignis nicht lesen: %d (%s)"
 
-#: src/terminal/kbd.c:1187
+#: src/terminal/kbd.c:1210
 #, c-format
 msgid "Too many bytes read from the itrm!"
 msgstr ""
@@ -8624,204 +8713,204 @@ msgstr "Fehlendes Fragment"
 msgid "The requested fragment \"%s\" doesn't exist."
 msgstr "Das angeforderte Fragment \\\"#%s\\\" existiert nicht."
 
-#: src/viewer/text/form.c:1092
+#: src/viewer/text/form.c:1118
 msgid "Error while posting form"
 msgstr "Fehler beim Senden des Formular"
 
-#: src/viewer/text/form.c:1093
+#: src/viewer/text/form.c:1119
 #, fuzzy, c-format
 msgid "Could not load file %s: %s"
 msgstr "Datei %s konnte nicht bertragen werden: %s"
 
-#: src/viewer/text/form.c:1847
+#: src/viewer/text/form.c:1876
 msgid "Reset form"
 msgstr "Formular zurcksetzen"
 
-#: src/viewer/text/form.c:1849
+#: src/viewer/text/form.c:1878
 #, fuzzy
 msgid "Harmless button"
 msgstr "Ausgewhlte Schaltflche"
 
-#: src/viewer/text/form.c:1857
+#: src/viewer/text/form.c:1886
 msgid "Submit form to"
 msgstr "Formular senden an"
 
-#: src/viewer/text/form.c:1858
+#: src/viewer/text/form.c:1887
 msgid "Post form to"
 msgstr "Formular senden an"
 
-#: src/viewer/text/form.c:1860
+#: src/viewer/text/form.c:1889
 msgid "Radio button"
 msgstr "Radiobutton"
 
-#: src/viewer/text/form.c:1864
+#: src/viewer/text/form.c:1893
 msgid "Select field"
 msgstr "Auswahlfeld"
 
-#: src/viewer/text/form.c:1868
+#: src/viewer/text/form.c:1897
 msgid "Text area"
 msgstr "Textbereich"
 
-#: src/viewer/text/form.c:1870
+#: src/viewer/text/form.c:1899
 msgid "File upload"
 msgstr "Datei heraufladen"
 
-#: src/viewer/text/form.c:1872
+#: src/viewer/text/form.c:1901
 msgid "Password field"
 msgstr "Passwortfeld"
 
-#: src/viewer/text/form.c:1910
+#: src/viewer/text/form.c:1939
 msgid "name"
 msgstr "Name"
 
-#: src/viewer/text/form.c:1922
+#: src/viewer/text/form.c:1951
 msgid "value"
 msgstr "Wert"
 
-#: src/viewer/text/form.c:1935
+#: src/viewer/text/form.c:1964
 msgid "read only"
 msgstr "Nur Lesen"
 
-#: src/viewer/text/form.c:1946
+#: src/viewer/text/form.c:1975
 #, c-format
 msgid "press %s to navigate"
 msgstr "Drcken Sie %s, um zu navigieren"
 
-#: src/viewer/text/form.c:1948
+#: src/viewer/text/form.c:1977
 #, c-format
 msgid "press %s to edit"
 msgstr "Drcken Sie %s, um zu editieren"
 
-#: src/viewer/text/form.c:1984
+#: src/viewer/text/form.c:2013
 #, fuzzy, c-format
 msgid "press %s to submit to %s"
 msgstr "Drcken Sie %s, um das Formular abzuschicken (Methode GET)"
 
-#: src/viewer/text/form.c:1986
+#: src/viewer/text/form.c:2015
 #, fuzzy, c-format
 msgid "press %s to post to %s"
 msgstr "Drcken Sie %s, um das Formular abzuschicken (Methode POST)"
 
-#: src/viewer/text/form.c:2088
+#: src/viewer/text/form.c:2117
 #, fuzzy
 msgid "Useless button"
 msgstr "Ausgewhlte Schaltflche"
 
-#: src/viewer/text/form.c:2090
+#: src/viewer/text/form.c:2119
 #, fuzzy
 msgid "Submit button"
 msgstr "Formular senden an"
 
 #. accelerator_context(link_menu.map)
-#: src/viewer/text/link.c:1281
+#: src/viewer/text/link.c:1280
 msgid "Display ~usemap"
 msgstr "~Usemap anzeigen"
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1286
+#: src/viewer/text/link.c:1285
 msgid "~Follow link"
 msgstr "~Link folgen"
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1288
+#: src/viewer/text/link.c:1287
 msgid "Follow link and r~eload"
 msgstr "Link ~folgen und neu laden"
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1292
+#: src/viewer/text/link.c:1291
 msgid "Open in new ~window"
 msgstr "~In neuem Fenster ffnen"
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1294
+#: src/viewer/text/link.c:1293
 msgid "Open in new ~tab"
 msgstr "In neuer Ansich~t ffnen"
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1296
+#: src/viewer/text/link.c:1295
 msgid "Open in new tab in ~background"
 msgstr "In neuer Ansicht im ~Hintergrund ffnen"
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1301
+#: src/viewer/text/link.c:1300
 msgid "~Download link"
 msgstr "Link ~herunterladen"
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1304
+#: src/viewer/text/link.c:1303
 msgid "~Add link to bookmarks"
 msgstr "Link zu Lese~zeichen hinzufgen"
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1308
+#: src/viewer/text/link.c:1307
 msgid "Pass link URI to e~xternal command"
 msgstr "Delegiere Link-URI an e~xternes Programm"
 
 #. accelerator_context(link_menu.form, link_menu.reset, link_menu.textarea)
-#: src/viewer/text/link.c:1319 src/viewer/text/link.c:1359
+#: src/viewer/text/link.c:1318 src/viewer/text/link.c:1358
 msgid "~Reset form"
 msgstr "Formula~r lschen"
 
 #. accelerator_context(link_menu.textarea)
-#: src/viewer/text/link.c:1334
+#: src/viewer/text/link.c:1333
 msgid "Open in ~external editor"
 msgstr "In externen Editor ffnen"
 
 #. accelerator_context(link_menu.form, link_menu.textarea)
-#: src/viewer/text/link.c:1342
+#: src/viewer/text/link.c:1341
 msgid "~Submit form"
 msgstr "Formular ~senden"
 
 #. accelerator_context(link_menu.form, link_menu.textarea)
-#: src/viewer/text/link.c:1343
+#: src/viewer/text/link.c:1342
 msgid "Submit form and rel~oad"
 msgstr "Formular senden und neu laden"
 
 #. accelerator_context(link_menu.form, link_menu.textarea)
-#: src/viewer/text/link.c:1347
+#: src/viewer/text/link.c:1346
 msgid "Submit form and open in new ~window"
 msgstr "Formular senden und in neuem Fenster ffnen"
 
 #. accelerator_context(link_menu.form, link_menu.textarea)
-#: src/viewer/text/link.c:1349
+#: src/viewer/text/link.c:1348
 msgid "Submit form and open in new ~tab"
 msgstr "Formular senden und in neuer Ansich~t ffnen"
 
 #. accelerator_context(link_menu.form, link_menu.textarea)
-#: src/viewer/text/link.c:1352
+#: src/viewer/text/link.c:1351
 msgid "Submit form and open in new tab in ~background"
 msgstr "Formular senden und in neuer Ansicht im ~Hintergrund ffnen"
 
 #. accelerator_context(link_menu.form, link_menu.textarea)
-#: src/viewer/text/link.c:1357
+#: src/viewer/text/link.c:1356
 msgid "Submit form and ~download"
 msgstr "Formular sen~den und herunterladen"
 
 #. accelerator_context(link_menu.form, link_menu.reset, link_menu.textarea)
-#: src/viewer/text/link.c:1364
+#: src/viewer/text/link.c:1363
 #, fuzzy
 msgid "Form f~ields"
 msgstr "Passwortfeld"
 
 #. accelerator_context(link_menu.form, link_menu.map, link_menu.std)
-#: src/viewer/text/link.c:1371
+#: src/viewer/text/link.c:1370
 msgid "V~iew image"
 msgstr "B~ild anzeigen"
 
 #. accelerator_context(link_menu.form, link_menu.map, link_menu.std)
-#: src/viewer/text/link.c:1373
+#: src/viewer/text/link.c:1372
 msgid "Download ima~ge"
 msgstr "Bild herunterladen"
 
-#: src/viewer/text/link.c:1382
+#: src/viewer/text/link.c:1381
 msgid "No link selected"
 msgstr "Kein Link ausgewhlt"
 
-#: src/viewer/text/link.c:1452
+#: src/viewer/text/link.c:1451
 msgid "Image"
 msgstr "Bild"
 
-#: src/viewer/text/link.c:1457
+#: src/viewer/text/link.c:1456
 msgid "Usemap"
 msgstr "Usemap"
 
@@ -8830,86 +8919,86 @@ msgstr "Usemap"
 msgid "Marks"
 msgstr ""
 
-#: src/viewer/text/search.c:1083
+#: src/viewer/text/search.c:1099
 msgid "Search hit top, continuing at bottom."
 msgstr "Am Anfang angekommen, fhre die Suche am Ende fort."
 
-#: src/viewer/text/search.c:1084
+#: src/viewer/text/search.c:1100
 msgid "Search hit bottom, continuing at top."
 msgstr "Am Ende angekommen, fhre die Suche am Anfang fort."
 
-#: src/viewer/text/search.c:1087
+#: src/viewer/text/search.c:1103
 msgid "No previous search"
 msgstr "es wurde noch keine Suche durchgefhrt"
 
-#: src/viewer/text/search.c:1099
+#: src/viewer/text/search.c:1115
 #, fuzzy, c-format
 msgid "Could not compile regular expression '%s'"
 msgstr "Regulre Ausdrcke"
 
-#: src/viewer/text/search.c:1143
+#: src/viewer/text/search.c:1159
 #, c-format
 msgid "No further matches for '%s'."
 msgstr ""
 
-#: src/viewer/text/search.c:1145
+#: src/viewer/text/search.c:1161
 #, c-format
 msgid "Could not find a link with the text '%s'."
 msgstr "Konnte keinen Link mit dem Text '%s' finden."
 
-#: src/viewer/text/search.c:1147 src/viewer/text/search.c:1558
+#: src/viewer/text/search.c:1163 src/viewer/text/search.c:1576
 msgid "Typeahead"
 msgstr "Zeichenweise"
 
-#: src/viewer/text/search.c:1560
+#: src/viewer/text/search.c:1578
 #, c-format
 msgid "No links in current document"
 msgstr "Keine Links im aktuellen Dokument"
 
-#: src/viewer/text/search.c:1643
+#: src/viewer/text/search.c:1661
 msgid "Search for text"
 msgstr "Textsuche"
 
-#: src/viewer/text/search.c:1679
+#: src/viewer/text/search.c:1697
 msgid "Normal search"
 msgstr "Normale Suche"
 
-#: src/viewer/text/search.c:1680
+#: src/viewer/text/search.c:1698
 msgid "Regexp search"
 msgstr "Suche mit regulren Ausdrcken"
 
-#: src/viewer/text/search.c:1681
+#: src/viewer/text/search.c:1699
 msgid "Extended regexp search"
 msgstr "Suche mit erweiterten regulren Ausdrcken"
 
-#: src/viewer/text/search.c:1683
+#: src/viewer/text/search.c:1701
 msgid "Case sensitive"
 msgstr "Gro-/Kleinschreibung beachten"
 
-#: src/viewer/text/search.c:1684
+#: src/viewer/text/search.c:1702
 msgid "Case insensitive"
 msgstr "Gro-/Kleinschreibung ignorieren"
 
-#: src/viewer/text/search.c:1708
+#: src/viewer/text/search.c:1726
 msgid "Search backward"
 msgstr "Suche rckwrts"
 
 #. name:
-#: src/viewer/text/search.c:1747
+#: src/viewer/text/search.c:1765
 #, fuzzy
 msgid "Search History"
 msgstr "Suchen in Verlauf"
 
-#: src/viewer/text/textarea.c:595
+#: src/viewer/text/textarea.c:584
 msgid "You cannot launch an external editor in the anonymous mode."
 msgstr ""
 "Im anonymen Modus (-anonymous) kann kein externer Editor gestartet werden."
 
-#: src/viewer/text/textarea.c:602
+#: src/viewer/text/textarea.c:591
 msgid "You can do this only on the master terminal"
 msgstr "Sie knnen diese Aktion nur auf dem Master-Terminal ausfhren"
 
-#: src/viewer/text/textarea.c:655
+#: src/viewer/text/textarea.c:644
 #, c-format
 msgid ""
 "You have exceeded the textarea's size limit: your input is %d bytes, but the "
@@ -8927,11 +9016,11 @@ msgstr "Link ffnen"
 msgid "Enter link number"
 msgstr "Linknummer eingeben"
 
-#: src/viewer/text/view.c:1627
+#: src/viewer/text/view.c:1628
 msgid "Save error"
 msgstr "Fehler beim Speichern"
 
-#: src/viewer/text/view.c:1628
+#: src/viewer/text/view.c:1629
 msgid "Error writing to file"
 msgstr "Fehler beim Schreiben in Datei"
 
@@ -8947,13 +9036,6 @@ msgstr "Titel"
 msgid "Viewer"
 msgstr "~Anzeige"
 
-#~ msgid ""
-#~ "Verify the peer's SSL certificate. Note that this\n"
-#~ "probably doesn't work properly at all with GnuTLS."
-#~ msgstr ""
-#~ "berprfe das SSL-Zertifikat der Gegenseite. Beachte,\n"
-#~ "dass dies mit GnuTLS wahrscheinlich nicht funktioniert."
-
 #~ msgid "Delete text from clipboard"
 #~ msgstr "Text aus der Zwischenablage lschen"
 
Binary files 0.12~pre2.dfsg0-1/po/el.gmo and 0.12~pre4-1/po/el.gmo differ
diff -pruN 0.12~pre2.dfsg0-1/po/elinks.pot 0.12~pre4-1/po/elinks.pot
--- 0.12~pre2.dfsg0-1/po/elinks.pot	2008-09-21 12:24:12.000000000 +0100
+++ 0.12~pre4-1/po/elinks.pot	2009-05-31 10:12:59.000000000 +0100
@@ -6,9 +6,9 @@
 #, fuzzy
 msgid ""
 msgstr ""
-"Project-Id-Version: ELinks 0.12pre2\n"
+"Project-Id-Version: ELinks 0.12pre4\n"
 "Report-Msgid-Bugs-To: elinks-users@linuxfromscratch.org\n"
-"POT-Creation-Date: 2008-09-21 14:24+0300\n"
+"POT-Creation-Date: 2009-05-31 12:12+0300\n"
 "PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
 "Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
 "Language-Team: LANGUAGE <LL@li.org>\n"
@@ -40,7 +40,7 @@ msgstr ""
 #: src/mime/dialogs.c:132 src/protocol/auth/dialogs.c:115
 #: src/protocol/protocol.c:246 src/scripting/lua/core.c:399
 #: src/scripting/lua/core.c:480 src/scripting/python/dialogs.c:86
-#: src/session/session.c:811 src/viewer/text/search.c:1686
+#: src/session/session.c:821 src/viewer/text/search.c:1704
 msgid "~OK"
 msgstr ""
 
@@ -57,13 +57,13 @@ msgid "Sorry, but the item \"%s\" is bei
 msgstr ""
 
 #. cant_delete_folder
-#: src/bfu/hierbox.c:558 src/bookmarks/dialogs.c:121
+#: src/bfu/hierbox.c:558 src/bookmarks/dialogs.c:153
 #, c-format
 msgid "Sorry, but the folder \"%s\" cannot be deleted."
 msgstr ""
 
 #. cant_delete_used_folder
-#: src/bfu/hierbox.c:561 src/bookmarks/dialogs.c:123
+#: src/bfu/hierbox.c:561 src/bookmarks/dialogs.c:155
 #, c-format
 msgid "Sorry, but the folder \"%s\" is being used by something else."
 msgstr ""
@@ -79,7 +79,7 @@ msgid "Delete marked items?"
 msgstr ""
 
 #. delete_folder_title
-#: src/bfu/hierbox.c:570 src/bookmarks/dialogs.c:129
+#: src/bfu/hierbox.c:570 src/bookmarks/dialogs.c:161
 msgid "Delete folder"
 msgstr ""
 
@@ -133,13 +133,13 @@ msgstr ""
 msgid "~No"
 msgstr ""
 
-#: src/bfu/hierbox.c:945 src/bfu/hierbox.c:976 src/viewer/text/search.c:1090
-#: src/viewer/text/search.c:1098 src/viewer/text/search.c:1114
-#: src/viewer/text/search.c:1705
+#: src/bfu/hierbox.c:945 src/bfu/hierbox.c:976 src/viewer/text/search.c:1106
+#: src/viewer/text/search.c:1114 src/viewer/text/search.c:1130
+#: src/viewer/text/search.c:1723
 msgid "Search"
 msgstr ""
 
-#: src/bfu/hierbox.c:947 src/viewer/text/search.c:1091
+#: src/bfu/hierbox.c:947 src/viewer/text/search.c:1107
 #, c-format
 msgid "Search string '%s' not found"
 msgstr ""
@@ -178,8 +178,8 @@ msgstr ""
 #: src/dialogs/options.c:237 src/dialogs/options.c:316 src/mime/dialogs.c:133
 #: src/protocol/auth/dialogs.c:116 src/protocol/bittorrent/dialogs.c:814
 #: src/scripting/lua/core.c:400 src/scripting/lua/core.c:481
-#: src/session/download.c:607 src/session/download.c:1219
-#: src/viewer/text/search.c:1687
+#: src/session/download.c:633 src/session/download.c:1245
+#: src/viewer/text/search.c:1705
 msgid "~Cancel"
 msgstr ""
 
@@ -191,8 +191,8 @@ msgstr ""
 msgid "Digital clock in the status bar."
 msgstr ""
 
-#: src/bfu/leds.c:77 src/bfu/leds.c:94 src/config/options.inc:1199
-#: src/config/options.inc:1206 src/ecmascript/ecmascript.c:45
+#: src/bfu/leds.c:77 src/bfu/leds.c:94 src/config/options.inc:1272
+#: src/config/options.inc:1279 src/ecmascript/ecmascript.c:45
 #: src/globhist/globhist.c:64 src/mime/backend/mailcap.c:93
 #: src/mime/backend/mimetypes.c:52 src/network/ssl/ssl.c:81
 msgid "Enable"
@@ -208,8 +208,7 @@ msgstr ""
 
 #: src/bfu/leds.c:83
 msgid ""
-"Format string for the digital clock. See the strftime(3)\n"
-"manpage for details."
+"Format string for the digital clock. See the strftime(3) manpage for details."
 msgstr ""
 
 #: src/bfu/leds.c:90
@@ -222,8 +221,7 @@ msgstr ""
 
 #: src/bfu/leds.c:96
 msgid ""
-"Enable LEDs.\n"
-"These visual indicators will inform you about various states."
+"Enable LEDs. These visual indicators will inform you about various states."
 msgstr ""
 
 #. name:
@@ -252,33 +250,33 @@ msgstr ""
 msgid "Search menu/"
 msgstr ""
 
-#: src/bookmarks/backend/xbel.c:97
+#: src/bookmarks/backend/xbel.c:105
 #, c-format
 msgid "read_bookmarks_xbel(): Error in XML_ParserCreate()"
 msgstr ""
 
-#: src/bookmarks/backend/xbel.c:108
+#: src/bookmarks/backend/xbel.c:116
 #, c-format
 msgid "read_bookmarks_xbel(): Error reading %s"
 msgstr ""
 
-#: src/bookmarks/backend/xbel.c:116
+#: src/bookmarks/backend/xbel.c:124
 #, c-format
 msgid ""
 "Parse error while processing XBEL bookmarks in %s at line %d column %d:\n"
 "%s"
 msgstr ""
 
-#: src/bookmarks/backend/xbel.c:390 src/bookmarks/backend/xbel.c:411
+#: src/bookmarks/backend/xbel.c:388 src/bookmarks/backend/xbel.c:410
 msgid "No title"
 msgstr ""
 
-#: src/bookmarks/backend/xbel.c:396
+#: src/bookmarks/backend/xbel.c:394
 msgid "No URL"
 msgstr ""
 
 #. name:
-#: src/bookmarks/bookmarks.c:48 src/bookmarks/bookmarks.c:181
+#: src/bookmarks/bookmarks.c:48 src/bookmarks/bookmarks.c:183
 msgid "Bookmarks"
 msgstr ""
 
@@ -286,7 +284,7 @@ msgstr ""
 msgid "Bookmark options."
 msgstr ""
 
-#: src/bookmarks/bookmarks.c:53 src/bookmarks/bookmarks.c:59
+#: src/bookmarks/bookmarks.c:53 src/bookmarks/bookmarks.c:60
 msgid "File format"
 msgstr ""
 
@@ -294,50 +292,46 @@ msgstr ""
 msgid ""
 "File format for bookmarks (affects both reading and saving):\n"
 "0 is the default native ELinks format\n"
-"1 is XBEL universal XML bookmarks format (ELinks bug 153: NO NATIONAL CHARS "
-"SUPPORT!)"
+"1 is XBEL universal XML bookmarks format"
 msgstr ""
 
-#: src/bookmarks/bookmarks.c:61
+#: src/bookmarks/bookmarks.c:62
 msgid ""
 "File format for bookmarks (affects both reading and saving):\n"
 "0 is the default native ELinks format\n"
-"1 is XBEL universal XML bookmarks format (ELinks bug 153: NO NATIONAL CHARS "
-"SUPPORT!)  (DISABLED)"
+"1 is XBEL universal XML bookmarks format  (DISABLED)"
 msgstr ""
 
-#: src/bookmarks/bookmarks.c:67
+#: src/bookmarks/bookmarks.c:68
 msgid "Save folder state"
 msgstr ""
 
-#: src/bookmarks/bookmarks.c:69
+#: src/bookmarks/bookmarks.c:70
 msgid ""
-"When saving bookmarks also store whether folders are\n"
-"expanded or not, so the look of the bookmark dialog is\n"
-"kept across ELinks sessions. If disabled all folders will\n"
-"appear unexpanded next time ELinks is run."
+"When saving bookmarks also store whether folders are expanded or not, so the "
+"look of the bookmark dialog is kept across ELinks sessions. If disabled all "
+"folders will appear unexpanded next time ELinks is run."
 msgstr ""
 
-#: src/bookmarks/bookmarks.c:74
+#: src/bookmarks/bookmarks.c:75
 msgid "Periodic snapshotting"
 msgstr ""
 
-#: src/bookmarks/bookmarks.c:76
+#: src/bookmarks/bookmarks.c:77
 msgid ""
-"Automatically save a snapshot of all tabs periodically.\n"
-"This will periodically bookmark the tabs of each terminal in a separate "
-"folder\n"
-"for recovery after a crash.\n"
+"Automatically save a snapshot of all tabs periodically. This will "
+"periodically bookmark the tabs of each terminal in a separate folder for "
+"recovery after a crash.\n"
 "\n"
 "This feature requires bookmark support."
 msgstr ""
 
-#: src/bookmarks/dialogs.c:72 src/config/options.inc:1051
+#: src/bookmarks/dialogs.c:97 src/config/options.inc:1120
 #: src/dialogs/document.c:145 src/globhist/dialogs.c:65
 msgid "Title"
 msgstr ""
 
-#: src/bookmarks/dialogs.c:73 src/cache/dialogs.c:65
+#: src/bookmarks/dialogs.c:101 src/cache/dialogs.c:65
 #: src/dialogs/document.c:136 src/dialogs/edit.c:96 src/formhist/dialogs.c:63
 #: src/globhist/dialogs.c:66 src/protocol/auth/dialogs.c:163
 #: src/scripting/lua/core.c:397
@@ -345,81 +339,81 @@ msgid "URL"
 msgstr ""
 
 #. cant_delete_item
-#: src/bookmarks/dialogs.c:117
+#: src/bookmarks/dialogs.c:149
 #, c-format
 msgid "Sorry, but the bookmark \"%s\" cannot be deleted."
 msgstr ""
 
 #. cant_delete_used_item
-#: src/bookmarks/dialogs.c:119
+#: src/bookmarks/dialogs.c:151
 #, c-format
 msgid "Sorry, but the bookmark \"%s\" is being used by something else."
 msgstr ""
 
 #. delete_marked_items_title
-#: src/bookmarks/dialogs.c:125
+#: src/bookmarks/dialogs.c:157
 msgid "Delete marked bookmarks"
 msgstr ""
 
 #. delete_marked_items
-#: src/bookmarks/dialogs.c:127
+#: src/bookmarks/dialogs.c:159
 msgid "Delete marked bookmarks?"
 msgstr ""
 
 #. delete_folder
-#: src/bookmarks/dialogs.c:131
+#: src/bookmarks/dialogs.c:163
 #, c-format
 msgid "Delete the folder \"%s\" and all bookmarks in it?"
 msgstr ""
 
 #. delete_item_title
-#: src/bookmarks/dialogs.c:133
+#: src/bookmarks/dialogs.c:165
 msgid "Delete bookmark"
 msgstr ""
 
-#: src/bookmarks/dialogs.c:135
+#: src/bookmarks/dialogs.c:167
 #, c-format
 msgid "Delete this bookmark?"
 msgstr ""
 
 #. clear_all_items_title
-#: src/bookmarks/dialogs.c:137
+#: src/bookmarks/dialogs.c:169
 msgid "Clear all bookmarks"
 msgstr ""
 
 #. clear_all_items_title
-#: src/bookmarks/dialogs.c:139
+#: src/bookmarks/dialogs.c:171
 msgid "Do you really want to remove all bookmarks?"
 msgstr ""
 
-#: src/bookmarks/dialogs.c:254
+#: src/bookmarks/dialogs.c:327
 msgid "Add folder"
 msgstr ""
 
-#: src/bookmarks/dialogs.c:254
+#: src/bookmarks/dialogs.c:327
 msgid "Folder name"
 msgstr ""
 
-#: src/bookmarks/dialogs.c:310 src/scripting/lua/core.c:391
+#: src/bookmarks/dialogs.c:410 src/scripting/lua/core.c:391
 msgid "Edit bookmark"
 msgstr ""
 
-#: src/bookmarks/dialogs.c:461
+#: src/bookmarks/dialogs.c:567
 msgid "Cannot move folder inside itself"
 msgstr ""
 
-#: src/bookmarks/dialogs.c:462
+#: src/bookmarks/dialogs.c:568
 msgid ""
 "You are trying to move the marked folder inside itself. To move the folder "
 "to a different location select the new location before pressing the Move "
 "button."
 msgstr ""
 
-#: src/bookmarks/dialogs.c:468
+#: src/bookmarks/dialogs.c:574
 msgid "Nothing to move"
 msgstr ""
 
-#: src/bookmarks/dialogs.c:469
+#: src/bookmarks/dialogs.c:575
 msgid ""
 "To move bookmarks, first mark all the bookmarks (or folders) you want to "
 "move.  This can be done with the Insert key if you're using the default key-"
@@ -428,19 +422,19 @@ msgid ""
 msgstr ""
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons, src/cache/dialogs.c:cache_buttons, src/globhist/dialogs.c:globhist_buttons, src/protocol/auth/dialogs.c:auth_buttons)
-#: src/bookmarks/dialogs.c:487 src/cache/dialogs.c:230
+#: src/bookmarks/dialogs.c:593 src/cache/dialogs.c:230
 #: src/globhist/dialogs.c:224 src/protocol/auth/dialogs.c:261
 msgid "~Goto"
 msgstr ""
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons, src/config/dialogs.c:option_buttons, src/cookies/dialogs.c:cookie_buttons)
-#: src/bookmarks/dialogs.c:488 src/config/dialogs.c:503
+#: src/bookmarks/dialogs.c:594 src/config/dialogs.c:503
 #: src/cookies/dialogs.c:492
 msgid "~Edit"
 msgstr ""
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons, src/cache/dialogs.c:cache_buttons, src/config/dialogs.c:keybinding_buttons, src/config/dialogs.c:option_buttons, src/cookies/dialogs.c:cookie_buttons, src/dialogs/menu.c:ext_menu, src/formhist/dialogs.c:formhist_buttons, src/globhist/dialogs.c:globhist_buttons, src/protocol/auth/dialogs.c:auth_buttons)
-#: src/bookmarks/dialogs.c:489 src/cache/dialogs.c:231
+#: src/bookmarks/dialogs.c:595 src/cache/dialogs.c:231
 #: src/config/dialogs.c:505 src/config/dialogs.c:930 src/cookies/dialogs.c:493
 #: src/dialogs/menu.c:463 src/formhist/dialogs.c:211
 #: src/globhist/dialogs.c:229 src/protocol/auth/dialogs.c:263
@@ -448,28 +442,28 @@ msgid "~Delete"
 msgstr ""
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons, src/config/dialogs.c:keybinding_buttons, src/config/dialogs.c:option_buttons, src/cookies/dialogs.c:cookie_buttons, src/dialogs/menu.c:ext_menu)
-#: src/bookmarks/dialogs.c:490 src/config/dialogs.c:504
+#: src/bookmarks/dialogs.c:596 src/config/dialogs.c:504
 #: src/config/dialogs.c:929 src/cookies/dialogs.c:490 src/dialogs/menu.c:461
 msgid "~Add"
 msgstr ""
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons)
-#: src/bookmarks/dialogs.c:491
+#: src/bookmarks/dialogs.c:597
 msgid "Add se~parator"
 msgstr ""
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons)
-#: src/bookmarks/dialogs.c:492
+#: src/bookmarks/dialogs.c:598
 msgid "Add ~folder"
 msgstr ""
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons)
-#: src/bookmarks/dialogs.c:493
+#: src/bookmarks/dialogs.c:599
 msgid "~Move"
 msgstr ""
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons, src/cache/dialogs.c:cache_buttons, src/config/dialogs.c:keybinding_buttons, src/config/dialogs.c:option_buttons, src/dialogs/menu.c:view_menu, src/globhist/dialogs.c:globhist_buttons)
-#: src/bookmarks/dialogs.c:494 src/cache/dialogs.c:232
+#: src/bookmarks/dialogs.c:600 src/cache/dialogs.c:232
 #: src/config/dialogs.c:506 src/config/dialogs.c:932 src/dialogs/menu.c:413
 #: src/globhist/dialogs.c:230
 msgid "~Search"
@@ -477,36 +471,50 @@ msgstr ""
 
 #. This one is too dangerous, so just let user delete
 #. * the bookmarks file if needed. --Zas
-#: src/bookmarks/dialogs.c:498
+#: src/bookmarks/dialogs.c:604
 msgid "Clear"
 msgstr ""
 
 #. TODO: Would this be useful? --jonas
-#: src/bookmarks/dialogs.c:501 src/globhist/dialogs.c:235
+#: src/bookmarks/dialogs.c:607 src/globhist/dialogs.c:235
 msgid "Save"
 msgstr ""
 
-#: src/bookmarks/dialogs.c:507
+#: src/bookmarks/dialogs.c:613
 msgid "Bookmark manager"
 msgstr ""
 
-#: src/bookmarks/dialogs.c:632
+#: src/bookmarks/dialogs.c:825
 msgid "Search bookmarks"
 msgstr ""
 
-#: src/bookmarks/dialogs.c:661
+#. When the user eventually pushes the OK button, BFU calls
+#. * bookmark_add_add() and gives it the struct dialog * as the
+#. * void * parameter.  However, bookmark_add_add() also needs
+#. * to know the struct terminal *, and there is no way to get
+#. * that from struct dialog.  The other bookmark dialogs work
+#. * around that by making dialog.udata point to the struct
+#. * dialog_data of the bookmark manager, but the "Add bookmark"
+#. * dialog can be triggered with ACT_MAIN_ADD_BOOKMARK, which
+#. * does not involve the bookmark manager at all.
+#. *
+#. * The solution here is to save the struct terminal * in
+#. * dialog.udata2, which the "Edit bookmark" dialog uses for
+#. * struct bookmark *.  When adding a new bookmark, we don't
+#. * need a pointer to an existing one, of course.
+#: src/bookmarks/dialogs.c:892
 msgid "Add bookmark"
 msgstr ""
 
-#: src/bookmarks/dialogs.c:697
+#: src/bookmarks/dialogs.c:950
 msgid "Saved session"
 msgstr ""
 
-#: src/bookmarks/dialogs.c:705
+#: src/bookmarks/dialogs.c:958
 msgid "Bookmark tabs"
 msgstr ""
 
-#: src/bookmarks/dialogs.c:705
+#: src/bookmarks/dialogs.c:958
 msgid "Enter folder name"
 msgstr ""
 
@@ -518,7 +526,7 @@ msgstr ""
 msgid "Redirect"
 msgstr ""
 
-#: src/cache/dialogs.c:85 src/config/options.inc:519
+#: src/cache/dialogs.c:85 src/config/options.inc:553
 #: src/dialogs/document.c:156 src/protocol/bittorrent/dialogs.c:126
 msgid "Size"
 msgstr ""
@@ -564,7 +572,7 @@ msgstr ""
 msgid "ID"
 msgstr ""
 
-#: src/cache/dialogs.c:134 src/config/options.inc:669
+#: src/cache/dialogs.c:134 src/config/options.inc:707
 msgid "Header"
 msgstr ""
 
@@ -1236,7 +1244,7 @@ msgstr ""
 msgid "Resolver error"
 msgstr ""
 
-#: src/config/cmdline.c:256 src/cookies/cookies.c:841 src/network/state.c:47
+#: src/config/cmdline.c:256 src/cookies/cookies.c:843 src/network/state.c:47
 #: src/util/secsave.c:379
 msgid "Out of memory"
 msgstr ""
@@ -1257,285 +1265,286 @@ msgstr ""
 msgid "Remote method not supported"
 msgstr ""
 
-#: src/config/cmdline.c:452
+#: src/config/cmdline.c:437
+msgid "Out of memory formatting option documentation"
+msgstr ""
+
+#: src/config/cmdline.c:474
 msgid "Template option folder"
 msgstr ""
 
-#: src/config/cmdline.c:475
+#: src/config/cmdline.c:497
 #, c-format
 msgid "(default: %ld)"
 msgstr ""
 
-#: src/config/cmdline.c:482 src/config/cmdline.c:511
+#: src/config/cmdline.c:504 src/config/cmdline.c:533
 #, c-format
 msgid "(default: \"%s\")"
 msgstr ""
 
-#: src/config/cmdline.c:487
+#: src/config/cmdline.c:509
 #, c-format
 msgid "(alias for %s)"
 msgstr ""
 
-#: src/config/cmdline.c:492 src/config/cmdline.c:501
+#: src/config/cmdline.c:514 src/config/cmdline.c:523
 #, c-format
 msgid "(default: %s)"
 msgstr ""
 
-#: src/config/cmdline.c:642
+#: src/config/cmdline.c:654
 msgid "Configuration options"
 msgstr ""
 
-#: src/config/cmdline.c:646
+#: src/config/cmdline.c:658
 msgid "Usage: elinks [OPTION]... [URL]..."
 msgstr ""
 
-#: src/config/cmdline.c:647
+#: src/config/cmdline.c:659
 msgid "Options"
 msgstr ""
 
-#: src/config/cmdline.c:689
+#: src/config/cmdline.c:701
 msgid "Internal consistency error"
 msgstr ""
 
 #.
-#: src/config/cmdline.c:725
+#: src/config/cmdline.c:737
 msgid "Restrict to anonymous mode"
 msgstr ""
 
-#: src/config/cmdline.c:727
+#: src/config/cmdline.c:739
 msgid ""
-"Restricts ELinks so it can run on an anonymous account.\n"
-"Local file browsing, downloads, and modification of options\n"
-"will be disabled. Execution of viewers is allowed, but entries\n"
-"in the association table can't be added or modified."
+"Restricts ELinks so it can run on an anonymous account. Local file browsing, "
+"downloads, and modification of options will be disabled. Execution of "
+"viewers is allowed, but entries in the association table can't be added or "
+"modified."
 msgstr ""
 
-#: src/config/cmdline.c:732
+#: src/config/cmdline.c:745
 msgid "Autosubmit first form"
 msgstr ""
 
-#: src/config/cmdline.c:734
+#: src/config/cmdline.c:747
 msgid "Automatically submit the first form in the given URLs."
 msgstr ""
 
-#: src/config/cmdline.c:736
+#: src/config/cmdline.c:749
 msgid "Clone internal session with given ID"
 msgstr ""
 
-#: src/config/cmdline.c:738
+#: src/config/cmdline.c:751
 msgid ""
-"Used internally when opening ELinks instances in new windows.\n"
-"The ID maps to information that will be used when creating the\n"
-"new instance. You don't want to use it."
+"Used internally when opening ELinks instances in new windows. The ID maps to "
+"information that will be used when creating the new instance. You don't want "
+"to use it."
 msgstr ""
 
-#: src/config/cmdline.c:744
+#: src/config/cmdline.c:757
 msgid "Name of directory with configuration file"
 msgstr ""
 
-#: src/config/cmdline.c:746
+#: src/config/cmdline.c:759
 msgid ""
-"Path of the directory ELinks will read and write its\n"
-"config and runtime state files to instead of ~/.elinks.\n"
-"If the path does not begin with a '/' it is assumed to be\n"
-"relative to your HOME directory."
+"Path of the directory ELinks will read and write its config and runtime "
+"state files to instead of ~/.elinks. If the path does not begin with a '/' "
+"it is assumed to be relative to your HOME directory."
 msgstr ""
 
-#: src/config/cmdline.c:751
+#: src/config/cmdline.c:764
 msgid "Print default configuration file to stdout"
 msgstr ""
 
-#: src/config/cmdline.c:753
+#: src/config/cmdline.c:766
 msgid ""
-"Print a configuration file with options set to the built-in\n"
-"defaults to stdout."
+"Print a configuration file with options set to the built-in defaults to "
+"stdout."
 msgstr ""
 
-#: src/config/cmdline.c:758
+#: src/config/cmdline.c:771
 msgid "Name of configuration file"
 msgstr ""
 
-#: src/config/cmdline.c:760
+#: src/config/cmdline.c:773
 msgid ""
-"Name of the configuration file that all configuration\n"
-"options will be read from and written to. It should be\n"
-"relative to config-dir."
+"Name of the configuration file that all configuration options will be read "
+"from and written to. It should be relative to config-dir."
 msgstr ""
 
-#: src/config/cmdline.c:764
+#: src/config/cmdline.c:777
 msgid "Print help for configuration options"
 msgstr ""
 
-#: src/config/cmdline.c:766
+#: src/config/cmdline.c:779
 msgid "Print help for configuration options and exit."
 msgstr ""
 
-#: src/config/cmdline.c:768
+#: src/config/cmdline.c:781
 msgid "MIME type assumed for unknown document types"
 msgstr ""
 
-#: src/config/cmdline.c:770
+#: src/config/cmdline.c:783
 msgid "The default MIME type used for documents of unknown type."
 msgstr ""
 
-#: src/config/cmdline.c:772
+#: src/config/cmdline.c:786
 msgid "Ignore user-defined keybindings"
 msgstr ""
 
-#: src/config/cmdline.c:774
+#: src/config/cmdline.c:788
 msgid ""
-"When set, all keybindings from configuration files will be\n"
-"ignored. It forces use of default keybindings and will reset\n"
-"user-defined ones on save."
+"When set, all keybindings from configuration files will be ignored. It "
+"forces use of default keybindings and will reset user-defined ones on save."
 msgstr ""
 
-#: src/config/cmdline.c:778
+#: src/config/cmdline.c:792
 msgid "Print formatted versions of given URLs to stdout"
 msgstr ""
 
-#: src/config/cmdline.c:780
+#: src/config/cmdline.c:794
 msgid "Print formatted plain-text versions of given URLs to stdout."
 msgstr ""
 
-#: src/config/cmdline.c:782
+#: src/config/cmdline.c:797
 msgid "Codepage to use with -dump"
 msgstr ""
 
-#: src/config/cmdline.c:784
+#: src/config/cmdline.c:799
 msgid "Codepage used when formatting dump output."
 msgstr ""
 
-#: src/config/cmdline.c:786
+#: src/config/cmdline.c:801
 msgid "Color mode used with -dump"
 msgstr ""
 
-#: src/config/cmdline.c:788
+#: src/config/cmdline.c:803
 msgid "Color mode used with -dump."
 msgstr ""
 
-#: src/config/cmdline.c:790
+#: src/config/cmdline.c:805
 msgid "Width of document formatted with -dump"
 msgstr ""
 
-#: src/config/cmdline.c:792
+#: src/config/cmdline.c:807
 msgid "Width of the dump output."
 msgstr ""
 
-#: src/config/cmdline.c:794
+#: src/config/cmdline.c:809
 msgid "Evaluate configuration file directive"
 msgstr ""
 
-#: src/config/cmdline.c:796
+#: src/config/cmdline.c:811
 msgid ""
-"Specify configuration file directives on the command-line\n"
-"which will be evaluated after all configuration files has been\n"
-"read. Example usage:\n"
+"Specify configuration file directives on the command-line which will be "
+"evaluated after all configuration files has been read. Example usage:\n"
 "\t-eval 'set protocol.file.allow_special_files = 1'"
 msgstr ""
 
 #. lynx compatibility
-#: src/config/cmdline.c:802
+#: src/config/cmdline.c:817
 msgid "Interpret documents of unknown types as HTML"
 msgstr ""
 
-#: src/config/cmdline.c:804
+#: src/config/cmdline.c:819
 msgid ""
-"Makes ELinks assume documents of unknown types are HTML.\n"
-"Useful when using ELinks as an external viewer from MUAs.\n"
-"This is equivalent to -default-mime-type text/html."
+"Makes ELinks assume documents of unknown types are HTML. Useful when using "
+"ELinks as an external viewer from MUAs. This is equivalent to -default-mime-"
+"type text/html."
 msgstr ""
 
-#: src/config/cmdline.c:814
+#: src/config/cmdline.c:829
 msgid "Print usage help and exit"
 msgstr ""
 
-#: src/config/cmdline.c:816
+#: src/config/cmdline.c:831
 msgid "Print usage help and exit."
 msgstr ""
 
-#: src/config/cmdline.c:818
+#: src/config/cmdline.c:833
 msgid "Only permit local connections"
 msgstr ""
 
-#: src/config/cmdline.c:820
+#: src/config/cmdline.c:835
 msgid ""
-"Restricts ELinks to work offline and only connect to servers\n"
-"with local addresses (ie. 127.0.0.1). No connections to remote\n"
-"servers will be permitted."
+"Restricts ELinks to work offline and only connect to servers with local "
+"addresses (ie. 127.0.0.1). No connections to remote servers will be "
+"permitted."
 msgstr ""
 
-#: src/config/cmdline.c:824
+#: src/config/cmdline.c:839
 msgid "Print detailed usage help and exit"
 msgstr ""
 
-#: src/config/cmdline.c:826
+#: src/config/cmdline.c:841
 msgid "Print detailed usage help and exit."
 msgstr ""
 
-#: src/config/cmdline.c:828
+#: src/config/cmdline.c:843
 msgid "Look up specified host"
 msgstr ""
 
-#: src/config/cmdline.c:830
+#: src/config/cmdline.c:845
 msgid "Look up specified host and print all DNS resolved IP addresses."
 msgstr ""
 
-#: src/config/cmdline.c:832
+#: src/config/cmdline.c:848
 msgid "Run as separate instance"
 msgstr ""
 
-#: src/config/cmdline.c:834
+#: src/config/cmdline.c:850
 msgid ""
-"Run ELinks as a separate instance instead of connecting to an\n"
-"existing instance. Note that normally no runtime state files\n"
-"(bookmarks, history, etc.) are written to the disk when this\n"
-"option is used. See also -touch-files."
+"Run ELinks as a separate instance instead of connecting to an existing "
+"instance. Note that normally no runtime state files (bookmarks, history, "
+"etc.) are written to the disk when this option is used. See also -touch-"
+"files."
 msgstr ""
 
-#: src/config/cmdline.c:839
+#: src/config/cmdline.c:855
 msgid "Disable use of files in ~/.elinks"
 msgstr ""
 
-#: src/config/cmdline.c:841
+#: src/config/cmdline.c:857
 msgid ""
-"Disables creation and use of files in the user specific home\n"
-"configuration directory (~/.elinks). It forces default configuration\n"
-"values to be used and disables saving of runtime state files."
+"Disables creation and use of files in the user specific home configuration "
+"directory (~/.elinks). It forces default configuration values to be used and "
+"disables saving of runtime state files."
 msgstr ""
 
-#: src/config/cmdline.c:845
+#: src/config/cmdline.c:862
 msgid "Disable link numbering in dump output"
 msgstr ""
 
-#: src/config/cmdline.c:847
+#: src/config/cmdline.c:864
 msgid ""
 "Prevents printing of link number in dump output.\n"
+"\n"
 "Note that this really affects only -dump, nothing else."
 msgstr ""
 
-#: src/config/cmdline.c:850
+#: src/config/cmdline.c:868
 msgid "Disable printing of link references in dump output"
 msgstr ""
 
-#: src/config/cmdline.c:852
+#: src/config/cmdline.c:870
 msgid ""
-"Prevents printing of references (URIs) of document links\n"
-"in dump output.\n"
+"Prevents printing of references (URIs) of document links in dump output.\n"
+"\n"
 "Note that this really affects only -dump, nothing else."
 msgstr ""
 
-#: src/config/cmdline.c:856
+#: src/config/cmdline.c:875
 msgid "Control an already running ELinks"
 msgstr ""
 
-#: src/config/cmdline.c:858
+#: src/config/cmdline.c:877
 msgid ""
-"Control a remote ELinks instance by passing commands to it.\n"
-"The option takes an additional argument containing the method\n"
-"which should be invoked and any parameters that should be passed\n"
-"to it. For ease of use, the additional method argument can be\n"
-"omitted in which case any URL arguments will be opened in new\n"
-"tabs in the remote instance.\n"
+"Control a remote ELinks instance by passing commands to it. The option takes "
+"an additional argument containing the method which should be invoked and any "
+"parameters that should be passed to it. For ease of use, the additional "
+"method argument can be omitted in which case any URL arguments will be "
+"opened in new tabs in the remote instance.\n"
+"\n"
 "Following is a list of the supported methods:\n"
 "\tping()                    : look for a remote instance\n"
 "\topenURL()                 : prompt URL in current tab\n"
@@ -1547,70 +1556,69 @@ msgid ""
 "\txfeDoCommand(openBrowser) : open new window"
 msgstr ""
 
-#: src/config/cmdline.c:874
+#: src/config/cmdline.c:895
 msgid "Connect to session ring with given ID"
 msgstr ""
 
-#: src/config/cmdline.c:876
+#: src/config/cmdline.c:897
 msgid ""
-"ID of session ring this ELinks session should connect to. ELinks\n"
-"works in so-called session rings, whereby all instances of ELinks\n"
-"are interconnected and share state (cache, bookmarks, cookies,\n"
-"and so on). By default, all ELinks instances connect to session\n"
-"ring 0. You can change that behaviour with this switch and form as\n"
-"many session rings as you want. Obviously, if the session-ring with\n"
-"this number doesn't exist yet, it's created and this ELinks instance\n"
-"will become the master instance (that usually doesn't matter for you\n"
-"as a user much). Note that you usually don't want to use this unless\n"
-"you're a developer and you want to do some testing - if you want the\n"
-"ELinks instances each running standalone, rather use the -no-connect\n"
-"command-line option. Also note that normally no runtime state files\n"
-"are written to the disk when this option is used. See also\n"
-"-touch-files."
+"ID of session ring this ELinks session should connect to. ELinks works in so-"
+"called session rings, whereby all instances of ELinks are interconnected and "
+"share state (cache, bookmarks, cookies, and so on). By default, all ELinks "
+"instances connect to session ring 0. You can change that behaviour with this "
+"switch and form as many session rings as you want. Obviously, if the session-"
+"ring with this number doesn't exist yet, it's created and this ELinks "
+"instance will become the master instance (that usually doesn't matter for "
+"you as a user much).\n"
+"\n"
+"Note that you usually don't want to use this unless you're a developer and "
+"you want to do some testing - if you want the ELinks instances each running "
+"standalone, rather use the -no-connect command-line option. Also note that "
+"normally no runtime state files are written to the disk when this option is "
+"used. See also -touch-files."
 msgstr ""
 
-#: src/config/cmdline.c:891
+#: src/config/cmdline.c:915
 msgid "Print the source of given URLs to stdout"
 msgstr ""
 
-#: src/config/cmdline.c:893
+#: src/config/cmdline.c:917
 msgid "Print given URLs in source form to stdout."
 msgstr ""
 
-#: src/config/cmdline.c:897
+#: src/config/cmdline.c:921
 msgid "Touch files in ~/.elinks when running with -no-connect/-session-ring"
 msgstr ""
 
-#: src/config/cmdline.c:899
+#: src/config/cmdline.c:923
 msgid ""
-"When enabled, runtime state files (bookmarks, history, etc.) are\n"
-"written to disk, even when -no-connect or -session-ring is used.\n"
-"The option has no effect if not used in conjunction with any of\n"
-"these options."
+"When enabled, runtime state files (bookmarks, history, etc.) are written to "
+"disk, even when -no-connect or -session-ring is used. The option has no "
+"effect if not used in conjunction with any of these options."
 msgstr ""
 
-#: src/config/cmdline.c:904
+#: src/config/cmdline.c:928
 msgid "Verbose level"
 msgstr ""
 
-#: src/config/cmdline.c:906
+#: src/config/cmdline.c:930
 msgid ""
-"The verbose level controls what messages are shown at\n"
-"start up and while running:\n"
+"The verbose level controls what messages are shown at start up and while "
+"running:\n"
 "\t0 means only show serious errors\n"
 "\t1 means show serious errors and warnings\n"
 "\t2 means show all messages"
 msgstr ""
 
-#: src/config/cmdline.c:912
+#: src/config/cmdline.c:936
 msgid "Print version information and exit"
 msgstr ""
 
-#: src/config/cmdline.c:914
+#: src/config/cmdline.c:938
 msgid "Print ELinks version information and exit."
 msgstr ""
 
-#: src/config/conf.c:938
+#: src/config/conf.c:963
 msgid ""
 "## This is ELinks configuration file. You can edit it manually,\n"
 "## if you wish so; this file is edited by ELinks when you save\n"
@@ -1618,7 +1626,7 @@ msgid ""
 "## and all your formatting, own comments etc will be kept as-is.\n"
 msgstr ""
 
-#: src/config/conf.c:946
+#: src/config/conf.c:971
 msgid ""
 "## This is ELinks configuration file. You can edit it manually,\n"
 "## if you wish so; this file is edited by ELinks when you save\n"
@@ -1629,7 +1637,7 @@ msgid ""
 "## own comments and so on will be kept as-is.\n"
 msgstr ""
 
-#: src/config/conf.c:956
+#: src/config/conf.c:981
 msgid ""
 "## This is ELinks configuration file. You can edit it manually,\n"
 "## if you wish so, but keep in mind that this file is overwritten\n"
@@ -1637,18 +1645,18 @@ msgid ""
 "## luck with your formatting and own comments then, so beware.\n"
 msgstr ""
 
-#: src/config/conf.c:967
+#: src/config/conf.c:992
 msgid ""
 "## Obviously, if you don't like what ELinks is going to do with\n"
 "## this file, you can change it by altering the config.saving_style\n"
 "## option. Come on, aren't we friendly guys after all?\n"
 msgstr ""
 
-#: src/config/conf.c:980
+#: src/config/conf.c:1005
 msgid "Automatically saved options\n"
 msgstr ""
 
-#: src/config/conf.c:992
+#: src/config/conf.c:1017
 msgid "Automatically saved keybindings\n"
 msgstr ""
 
@@ -1707,7 +1715,7 @@ msgstr ""
 #. * switch charsets.  So, it will work in any terminal that
 #. * understands UTF-8 and has the characters in its font.
 #: src/config/dialogs.c:149 src/config/dialogs.c:330
-#: src/config/options.inc:840
+#: src/config/options.inc:887
 msgid "Type"
 msgstr ""
 
@@ -1732,9 +1740,9 @@ msgid "Description"
 msgstr ""
 
 #: src/config/dialogs.c:291 src/protocol/bittorrent/dialogs.c:600
-#: src/protocol/protocol.c:240 src/session/session.c:287
-#: src/session/session.c:975 src/viewer/text/textarea.c:594
-#: src/viewer/text/textarea.c:601
+#: src/protocol/protocol.c:240 src/session/session.c:288
+#: src/session/session.c:999 src/viewer/text/textarea.c:583
+#: src/viewer/text/textarea.c:590
 msgid "Error"
 msgstr ""
 
@@ -1769,7 +1777,7 @@ msgstr ""
 #. accelerator_context(src/config/dialogs.c:keybinding_buttons, src/config/dialogs.c:option_buttons, src/cookies/dialogs.c:cookie_buttons, src/formhist/dialogs.c:formhist_buttons, src/protocol/bittorrent/dialogs.c:bittorrent_query_callback, src/session/download.c:do_type_query, terminal_options)
 #: src/config/dialogs.c:507 src/config/dialogs.c:933 src/cookies/dialogs.c:495
 #: src/dialogs/options.c:236 src/formhist/dialogs.c:214
-#: src/protocol/bittorrent/dialogs.c:801 src/session/download.c:1203
+#: src/protocol/bittorrent/dialogs.c:801 src/session/download.c:1229
 msgid "Sa~ve"
 msgstr ""
 
@@ -1781,7 +1789,7 @@ msgstr ""
 msgid "Keystroke"
 msgstr ""
 
-#: src/config/dialogs.c:676 src/config/options.inc:1219
+#: src/config/dialogs.c:676 src/config/options.inc:1292
 msgid "Action"
 msgstr ""
 
@@ -1852,31 +1860,31 @@ msgid ""
 "directory."
 msgstr ""
 
-#: src/config/kbdbind.c:221
+#: src/config/kbdbind.c:222
 msgid "Main mapping"
 msgstr ""
 
-#: src/config/kbdbind.c:222
+#: src/config/kbdbind.c:223
 msgid "Edit mapping"
 msgstr ""
 
-#: src/config/kbdbind.c:223
+#: src/config/kbdbind.c:224
 msgid "Menu mapping"
 msgstr ""
 
-#: src/config/kbdbind.c:588 src/scripting/python/keybinding.c:104
+#: src/config/kbdbind.c:589 src/scripting/python/keybinding.c:104
 msgid "Unrecognised keymap"
 msgstr ""
 
-#: src/config/kbdbind.c:591
+#: src/config/kbdbind.c:592
 msgid "Error parsing keystroke"
 msgstr ""
 
-#: src/config/kbdbind.c:595
+#: src/config/kbdbind.c:596
 msgid "Unrecognised action (internal error)"
 msgstr ""
 
-#: src/config/kbdbind.c:611
+#: src/config/kbdbind.c:612
 msgid "Error registering event"
 msgstr ""
 
@@ -1902,321 +1910,316 @@ msgid ""
 "3 is full comments are written"
 msgstr ""
 
-#: src/config/options.inc:31
+#: src/config/options.inc:32
 msgid "Indentation"
 msgstr ""
 
-#: src/config/options.inc:33
+#: src/config/options.inc:34
 msgid ""
-"Shift width of one indentation level in the configuration\n"
-"file. Zero means that no indentation is performed at all\n"
-"when saving the configuration."
+"Shift width of one indentation level in the configuration file. Zero means "
+"that no indentation is performed at all when saving the configuration."
 msgstr ""
 
-#: src/config/options.inc:37
+#: src/config/options.inc:38
 msgid "Saving style"
 msgstr ""
 
-#: src/config/options.inc:39
+#: src/config/options.inc:40
 msgid ""
 "Determines what happens when you tell ELinks to save options:\n"
 "0 is only values of current options are altered\n"
-"1 is values of current options are altered and missing options\n"
-"     are added at the end of the file\n"
+"1 is values of current options are altered and missing\n"
+"     options are added at the end of the file\n"
 "2 is the configuration file is rewritten from scratch\n"
-"3 is values of current options are altered and missing options\n"
-"     CHANGED during this ELinks session are added at the end of\n"
-"     the file"
+"3 is values of current options are altered and missing\n"
+"     options CHANGED during this ELinks session are added at\n"
+"     the end of the file"
 msgstr ""
 
-#: src/config/options.inc:48
+#: src/config/options.inc:50
 msgid "Comments localization"
 msgstr ""
 
-#: src/config/options.inc:50
+#: src/config/options.inc:52
 msgid ""
-"If set to 1, comments in the configuration file will be\n"
-"translated to the language used by UI. Note that if you have\n"
-"different language set in different terminals, the language\n"
-"used in the configuration file MAY be the same as on the\n"
-"terminal where you saved the file, but it should be generally\n"
+"If set to 1, comments in the configuration file will be translated to the "
+"language used by UI. Note that if you have different language set in "
+"different terminals, the language used in the configuration file MAY be the "
+"same as on the terminal where you saved the file, but it should be generally "
 "considered unpredictable."
 msgstr ""
 
-#: src/config/options.inc:58
+#: src/config/options.inc:60
 msgid "Saving style warnings"
 msgstr ""
 
-#: src/config/options.inc:60
+#: src/config/options.inc:62
 msgid ""
-"This is internal option used when displaying a warning about\n"
-"obsolete config.saving_style. You shouldn't touch it."
+"This is internal option used when displaying a warning about obsolete config."
+"saving_style. You shouldn't touch it."
 msgstr ""
 
-#: src/config/options.inc:63
+#: src/config/options.inc:66
 msgid "Show template"
 msgstr ""
 
-#: src/config/options.inc:65
+#: src/config/options.inc:68
 msgid ""
-"Show template options in autocreated trees in the options\n"
-"manager and save them to the configuration file."
+"Show template options in autocreated trees in the options manager and save "
+"them to the configuration file."
 msgstr ""
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:71 src/dialogs/info.c:180
+#: src/config/options.inc:74 src/dialogs/info.c:180
 msgid "Connections"
 msgstr ""
 
-#: src/config/options.inc:73
+#: src/config/options.inc:76
 msgid "Connection options."
 msgstr ""
 
-#: src/config/options.inc:76
+#: src/config/options.inc:79
 msgid "Asynchronous DNS"
 msgstr ""
 
-#: src/config/options.inc:78
+#: src/config/options.inc:81
 msgid "Whether to use asynchronous DNS resolving."
 msgstr ""
 
-#: src/config/options.inc:80
+#: src/config/options.inc:83
 msgid "Maximum connections"
 msgstr ""
 
-#: src/config/options.inc:82
+#: src/config/options.inc:85
 msgid "Maximum number of concurrent connections."
 msgstr ""
 
-#: src/config/options.inc:84
+#: src/config/options.inc:87
 msgid "Maximum connections per host"
 msgstr ""
 
-#: src/config/options.inc:86
+#: src/config/options.inc:89
 msgid "Maximum number of concurrent connections to a given host."
 msgstr ""
 
-#: src/config/options.inc:88
+#: src/config/options.inc:92
 msgid "Connection retries"
 msgstr ""
 
-#: src/config/options.inc:90
-msgid ""
-"Number of tries to establish a connection.\n"
-"Zero means try forever."
+#: src/config/options.inc:94
+msgid "Number of tries to establish a connection. Zero means try forever."
 msgstr ""
 
-#: src/config/options.inc:93 src/network/state.c:53
+#: src/config/options.inc:97 src/network/state.c:53
 msgid "Receive timeout"
 msgstr ""
 
-#: src/config/options.inc:95
+#: src/config/options.inc:99
 msgid "Receive timeout (in seconds)."
 msgstr ""
 
-#: src/config/options.inc:98 src/config/options.inc:108
+#: src/config/options.inc:102 src/config/options.inc:113
 msgid "Try IPv4 when connecting"
 msgstr ""
 
-#: src/config/options.inc:100
+#: src/config/options.inc:104
 msgid ""
-"Whether to try to connect to a host over IPv4.\n"
-"Note that if connection.try_ipv6 is enabled too,\n"
-"it takes precedence. And better do not touch this\n"
+"Whether to try to connect to a host over IPv4. Note that if connection."
+"try_ipv6 is enabled too, it takes precedence. And better do not touch this "
 "at all unless you are sure what are you doing.\n"
-"Note that you can also force a given protocol\n"
-"to be used on a per-connection basis by using a URL\n"
-"in the style of e.g. http4://elinks.cz/."
+"\n"
+"Note that you can also force a given protocol to be used on a per-connection "
+"basis by using a URL in the style of e.g. http4://elinks.cz/."
 msgstr ""
 
-#: src/config/options.inc:110
+#: src/config/options.inc:115
 msgid ""
-"Whether to try to connect to a host over IPv4.\n"
-"Do not touch this option.\n"
-"Note that you can also force a given protocol\n"
-"to be used on a per-connection basis by using a URL\n"
-"in the style of e.g. http4://elinks.cz/."
+"Whether to try to connect to a host over IPv4. Do not touch this option.\n"
+"\n"
+"Note that you can also force a given protocol to be used on a per-connection "
+"basis by using a URL in the style of e.g. http4://elinks.cz/."
 msgstr ""
 
-#: src/config/options.inc:118
+#: src/config/options.inc:124
 msgid "Try IPv6 when connecting"
 msgstr ""
 
-#: src/config/options.inc:120
+#: src/config/options.inc:126
 msgid ""
 "Whether to try to connect to a host over IPv6.\n"
-"Note that you can also force a given protocol\n"
-"to be used on a per-connection basis by using a URL\n"
-"in the style of e.g. http6://elinks.cz/."
+"\n"
+"Note that you can also force a given protocol to be used on a per-connection "
+"basis by using a URL in the style of e.g. http6://elinks.cz/."
 msgstr ""
 
-#: src/config/options.inc:126
+#: src/config/options.inc:133
 msgid "Timeout for non-restartable connections"
 msgstr ""
 
-#: src/config/options.inc:128
+#: src/config/options.inc:135
 msgid "Timeout for non-restartable connections (in seconds)."
 msgstr ""
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:134
+#: src/config/options.inc:141
 msgid "Document"
 msgstr ""
 
-#: src/config/options.inc:136
+#: src/config/options.inc:143
 msgid "Document options."
 msgstr ""
 
-#: src/config/options.inc:138
+#: src/config/options.inc:145
 msgid "Browsing"
 msgstr ""
 
-#: src/config/options.inc:140
+#: src/config/options.inc:147
 msgid "Document browsing options (mainly interactivity)."
 msgstr ""
 
-#: src/config/options.inc:143
+#: src/config/options.inc:150
 msgid "Access keys"
 msgstr ""
 
-#: src/config/options.inc:145
+#: src/config/options.inc:152
 msgid ""
-"Options for handling of link access keys.\n"
-"An HTML document can use the ACCESSKEY attribute to assign\n"
-"an access key to an element. When an access key is pressed,\n"
-"the corresponding element will be given focus."
+"Options for handling of link access keys. An HTML document can use the "
+"ACCESSKEY attribute to assign an access key to an element. When an access "
+"key is pressed, the corresponding element will be given focus."
 msgstr ""
 
-#: src/config/options.inc:150
+#: src/config/options.inc:157
 msgid "Automatic links following"
 msgstr ""
 
-#: src/config/options.inc:152
+#: src/config/options.inc:159
 msgid ""
-"Automatically follow a link or submit a form if appropriate\n"
-"accesskey is pressed - this is the standard behaviour, but it's\n"
-"considered dangerous."
+"Automatically follow a link or submit a form if appropriate accesskey is "
+"pressed - this is the standard behaviour, but it's considered dangerous."
 msgstr ""
 
-#: src/config/options.inc:156
+#: src/config/options.inc:163
 msgid "Display access key in link info"
 msgstr ""
 
-#: src/config/options.inc:158
+#: src/config/options.inc:165
 msgid "Display access key in link info."
 msgstr ""
 
-#: src/config/options.inc:160
+#: src/config/options.inc:167
 msgid "Accesskey priority"
 msgstr ""
 
-#: src/config/options.inc:162
+#: src/config/options.inc:169
 msgid ""
 "Priority of 'accesskey' HTML attribute:\n"
-"0 is first try all normal bindings; if it fails, check accesskey\n"
-"1 is first try only frame bindings; if it fails, check accesskey\n"
+"0 is first try all normal bindings; if it fails,\n"
+"     check accesskey\n"
+"1 is first try only frame bindings; if it fails,\n"
+"     check accesskey\n"
 "2 is first check accesskey (this can be dangerous)"
 msgstr ""
 
-#: src/config/options.inc:168
+#: src/config/options.inc:177
 msgid "Forms"
 msgstr ""
 
-#: src/config/options.inc:170
+#: src/config/options.inc:179
 msgid "Options for handling of the forms interaction."
 msgstr ""
 
-#: src/config/options.inc:172
+#: src/config/options.inc:181
 msgid "Submit form automatically"
 msgstr ""
 
-#: src/config/options.inc:174
+#: src/config/options.inc:183
 msgid ""
-"Automagically submit a form when enter is pressed with a text\n"
-"field selected."
+"Automagically submit a form when enter is pressed with a text field selected."
 msgstr ""
 
-#: src/config/options.inc:177
+#: src/config/options.inc:186
 msgid "Confirm submission"
 msgstr ""
 
-#: src/config/options.inc:179
+#: src/config/options.inc:188
 msgid "Ask for confirmation when submitting a form."
 msgstr ""
 
-#: src/config/options.inc:181
+#: src/config/options.inc:190
 msgid "Default form input size"
 msgstr ""
 
-#: src/config/options.inc:183
+#: src/config/options.inc:192
 msgid "Default form input size if none is specified."
 msgstr ""
 
-#: src/config/options.inc:185
+#: src/config/options.inc:194
 msgid "Insert mode"
 msgstr ""
 
-#: src/config/options.inc:187
+#: src/config/options.inc:196
 msgid ""
-"The setting for this option affects how key presses are handled\n"
-"when one selects a text-input form-field. When enabled, one must\n"
-"explicitly 'enter' a selected text-field to edit it; this prevents\n"
-"text fields from capturing key presses, such as presses of a scroll\n"
-"key, when it is inadvertently selected. When disabled, key presses\n"
-"are always inserted into a selected text field."
+"The setting for this option affects how key presses are handled when one "
+"selects a text-input form-field. When enabled, one must explicitly 'enter' a "
+"selected text-field to edit it; this prevents text fields from capturing key "
+"presses, such as presses of a scroll key, when it is inadvertently selected. "
+"When disabled, key presses are always inserted into a selected text field."
 msgstr ""
 
-#: src/config/options.inc:194
+#: src/config/options.inc:204
 msgid "External editor"
 msgstr ""
 
-#: src/config/options.inc:196
+#: src/config/options.inc:206
 msgid ""
-"Path to the executable that ELinks should launch when the user\n"
-"requests to edit a textarea with an external editor.\n"
-"If this is blank, ELinks will use the value of the environmental\n"
-"variable $EDITOR. If $EDITOR is empty or not set, ELinks will then\n"
-"default to \"vi\"."
+"Path to the executable that ELinks should launch when the user requests to "
+"edit a textarea with an external editor.\n"
+"\n"
+"If this is blank, ELinks will use the value of the environmental variable "
+"$EDITOR. If $EDITOR is empty or not set, ELinks will then default to \"vi\"."
 msgstr ""
 
-#: src/config/options.inc:203
+#: src/config/options.inc:214
 msgid "Images"
 msgstr ""
 
-#: src/config/options.inc:205
+#: src/config/options.inc:216
 msgid "Options for handling of images."
 msgstr ""
 
-#: src/config/options.inc:207
+#: src/config/options.inc:218
 msgid "Display style for image tags"
 msgstr ""
 
-#: src/config/options.inc:209
+#: src/config/options.inc:220
 msgid ""
 "Display style for image tags when displayed:\n"
 "0     means always display IMG\n"
 "1     means always display filename\n"
-"2     means display alt/title attribute if possible, IMG if not\n"
-"3     means display alt/title attribute if possible, filename if not"
+"2     means display alt/title attribute if possible,\n"
+"      IMG if not\n"
+"3     means display alt/title attribute if possible,\n"
+"      filename if not"
 msgstr ""
 
-#: src/config/options.inc:215
+#: src/config/options.inc:228
 msgid "Maximum length for image filename"
 msgstr ""
 
-#: src/config/options.inc:217
+#: src/config/options.inc:230
 msgid ""
 "Maximum length of image filename when displayed:\n"
 "0     means always display full filename\n"
 "1-500 means display filename with this maximal length;\n"
-"      if it is longer, the middle is substituted by an asterisk"
+"      if it is longer, the middle is substituted by\n"
+"      an asterisk"
 msgstr ""
 
-#: src/config/options.inc:227
+#: src/config/options.inc:241
 msgid "Image links tagging"
 msgstr ""
 
-#: src/config/options.inc:229
+#: src/config/options.inc:243
 msgid ""
 "When to enclose image links:\n"
 "0 means never\n"
@@ -2224,87 +2227,87 @@ msgid ""
 "2 means always"
 msgstr ""
 
-#: src/config/options.inc:234
+#: src/config/options.inc:248
 msgid "Image link prefix"
 msgstr ""
 
-#: src/config/options.inc:236
+#: src/config/options.inc:250
 msgid "Prefix string to use to mark image links."
 msgstr ""
 
-#: src/config/options.inc:238
+#: src/config/options.inc:252
 msgid "Image link suffix"
 msgstr ""
 
-#: src/config/options.inc:240
+#: src/config/options.inc:254
 msgid "Suffix string to use to mark image links."
 msgstr ""
 
-#: src/config/options.inc:242
+#: src/config/options.inc:256
 msgid "Maximum length for image label"
 msgstr ""
 
-#: src/config/options.inc:244
+#: src/config/options.inc:258
 msgid ""
 "Maximum length of image label (alt/title):\n"
 "0     means always display full label\n"
 "1-500 means display label with this maximal length;\n"
-"      if it is longer, the middle is substituted by an asterisk"
+"      if it is longer, the middle is substituted by\n"
+"      an asterisk"
 msgstr ""
 
-#: src/config/options.inc:249
+#: src/config/options.inc:264
 msgid "Display links to images w/o alt"
 msgstr ""
 
-#: src/config/options.inc:251
+#: src/config/options.inc:266
 msgid ""
-"Display links to images without an alt attribute. If this option\n"
-"is off, these images are completely invisible."
+"Display links to images without an alt attribute. If this option is off, "
+"these images are completely invisible."
 msgstr ""
 
-#: src/config/options.inc:254
+#: src/config/options.inc:269
 msgid "Display links to images"
 msgstr ""
 
-#: src/config/options.inc:256
+#: src/config/options.inc:271
 msgid ""
-"Display links to any images in the document, regardless of them\n"
-"having an alt attribute or not. If this option is off, the alt\n"
-"attribute contents is shown, but as normal text, not selectable\n"
-"as a link."
+"Display links to any images in the document, regardless of them having an "
+"alt attribute or not. If this option is off, the alt attribute contents is "
+"shown, but as normal text, not selectable as a link."
 msgstr ""
 
-#: src/config/options.inc:262
+#: src/config/options.inc:277
 msgid "Links"
 msgstr ""
 
-#: src/config/options.inc:264
+#: src/config/options.inc:279
 msgid "Options for handling of links to other documents."
 msgstr ""
 
-#: src/config/options.inc:266
+#: src/config/options.inc:281
 msgid "Active link"
 msgstr ""
 
-#: src/config/options.inc:268
+#: src/config/options.inc:283
 msgid "Options for the active link."
 msgstr ""
 
-#: src/config/options.inc:270
+#: src/config/options.inc:285
 msgid "Colors"
 msgstr ""
 
-#: src/config/options.inc:272
+#: src/config/options.inc:287
 msgid "Active link colors."
 msgstr ""
 
-#: src/config/options.inc:274 src/config/options.inc:549
-#: src/config/options.inc:945
+#: src/config/options.inc:289 src/config/options.inc:583
+#: src/config/options.inc:1014
 msgid "Background color"
 msgstr ""
 
-#: src/config/options.inc:276 src/config/options.inc:551
-#: src/config/options.inc:946
+#: src/config/options.inc:291 src/config/options.inc:585
+#: src/config/options.inc:1015
 msgid "Default background color."
 msgstr ""
 
@@ -2316,72 +2319,72 @@ msgstr ""
 #. *	on it.
 #. The colors and mono tree should be similar but with different default
 #. * values of course so always use the macros below.
-#: src/config/options.inc:278 src/config/options.inc:545
-#: src/config/options.inc:943
+#: src/config/options.inc:293 src/config/options.inc:579
+#: src/config/options.inc:1012
 msgid "Text color"
 msgstr ""
 
-#: src/config/options.inc:280 src/config/options.inc:547
-#: src/config/options.inc:944
+#: src/config/options.inc:295 src/config/options.inc:581
+#: src/config/options.inc:1013
 msgid "Default text color."
 msgstr ""
 
-#: src/config/options.inc:282
+#: src/config/options.inc:297
 msgid "Enable color"
 msgstr ""
 
-#: src/config/options.inc:284
+#: src/config/options.inc:299
 msgid ""
-"Enable use of the active link background and text color\n"
-"settings instead of the link colors from the document."
+"Enable use of the active link background and text color settings instead of "
+"the link colors from the document."
 msgstr ""
 
-#: src/config/options.inc:287
+#: src/config/options.inc:302
 msgid "Bold"
 msgstr ""
 
-#: src/config/options.inc:289
+#: src/config/options.inc:304
 msgid "Make the active link text bold."
 msgstr ""
 
-#: src/config/options.inc:291
+#: src/config/options.inc:306
 msgid "Invert colors"
 msgstr ""
 
-#: src/config/options.inc:293
+#: src/config/options.inc:308
 msgid "Invert the fore- and background color so the link stands out."
 msgstr ""
 
-#: src/config/options.inc:296 src/config/options.inc:908
+#: src/config/options.inc:311 src/config/options.inc:975
 #: src/dialogs/options.c:231
 msgid "Underline"
 msgstr ""
 
-#: src/config/options.inc:298
+#: src/config/options.inc:313
 msgid "Underline the active link."
 msgstr ""
 
-#: src/config/options.inc:301
+#: src/config/options.inc:316
 msgid "Directory highlighting"
 msgstr ""
 
-#: src/config/options.inc:303
+#: src/config/options.inc:318
 msgid "Highlight links to directories in FTP and local directory listing."
 msgstr ""
 
-#: src/config/options.inc:305
+#: src/config/options.inc:321
 msgid "Number links"
 msgstr ""
 
-#: src/config/options.inc:307
+#: src/config/options.inc:323
 msgid "Display numbers next to the links."
 msgstr ""
 
-#: src/config/options.inc:309
+#: src/config/options.inc:325
 msgid "Handling of target=_blank"
 msgstr ""
 
-#: src/config/options.inc:311
+#: src/config/options.inc:327
 msgid ""
 "Define how to handle links having target=_blank set:\n"
 "0 means open link in current tab\n"
@@ -2390,135 +2393,132 @@ msgid ""
 "3 means open link in new window"
 msgstr ""
 
-#: src/config/options.inc:324
+#: src/config/options.inc:340
 msgid "Use tabindex"
 msgstr ""
 
-#: src/config/options.inc:326
+#: src/config/options.inc:342
 msgid ""
-"Whether to navigate links using tabindex specified ordering.\n"
-"The TABINDEX attribute in HTML elements specifies the order\n"
-"in which links should receive focus when using the keyboard\n"
-"to navigate the document."
+"Whether to navigate links using tabindex specified ordering. The TABINDEX "
+"attribute in HTML elements specifies the order in which links should receive "
+"focus when using the keyboard to navigate the document."
 msgstr ""
 
-#: src/config/options.inc:331
+#: src/config/options.inc:347
 msgid "Missing fragment reporting"
 msgstr ""
 
-#: src/config/options.inc:333
+#: src/config/options.inc:349
 msgid "Open a message box when document has no tag with given id."
 msgstr ""
 
-#: src/config/options.inc:335
+#: src/config/options.inc:352
 msgid "Number keys select links"
 msgstr ""
 
-#: src/config/options.inc:337
+#: src/config/options.inc:354
 msgid ""
-"Number keys select links rather than specify command prefixes. This\n"
-"is a tristate:\n"
+"Number keys select links rather than specify command prefixes. This is a "
+"tristate:\n"
 "0 means never\n"
 "1 means if document.browse.links.numbering = 1\n"
 "2 means always"
 msgstr ""
 
-#: src/config/options.inc:343
+#: src/config/options.inc:360
 msgid "Warn about maliciously crafted URIs"
 msgstr ""
 
-#: src/config/options.inc:345
+#: src/config/options.inc:362
 msgid ""
-"When following a link the user ID part of the URI is\n"
-"checked and if a maliciously crafted URI is detected a\n"
-"warning dialog will ask before following the link."
+"When following a link the user ID part of the URI is checked and if a "
+"maliciously crafted URI is detected a warning dialog will ask before "
+"following the link."
 msgstr ""
 
 #. TODO - this is somehow implemented by ff, but disabled
 #. * for now as it doesn't work.
-#: src/config/options.inc:351
+#: src/config/options.inc:368
 msgid "Wrap-around links cycling"
 msgstr ""
 
 #. 0
-#: src/config/options.inc:353
+#: src/config/options.inc:370
 msgid ""
-"When pressing 'down' on the last link, jump to the first one, and\n"
-"vice versa."
+"When pressing 'down' on the last link, jump to the first one, and vice versa."
 msgstr ""
 
-#: src/config/options.inc:357
+#: src/config/options.inc:374
 msgid "Scrolling"
 msgstr ""
 
-#: src/config/options.inc:359
+#: src/config/options.inc:376
 msgid "Scrolling options."
 msgstr ""
 
-#: src/config/options.inc:361
+#: src/config/options.inc:378
 msgid "Horizontal step"
 msgstr ""
 
-#: src/config/options.inc:363
+#: src/config/options.inc:380
 msgid ""
-"Number of columns to scroll when a key bound to scroll-left or scroll-\n"
-"right is pressed and no prefix was given."
+"Number of columns to scroll when a key bound to scroll-left or scroll-right "
+"is pressed and no prefix was given."
 msgstr ""
 
-#: src/config/options.inc:366
+#: src/config/options.inc:384
 msgid "Extended horizontal scrolling"
 msgstr ""
 
-#: src/config/options.inc:368
+#: src/config/options.inc:386
 msgid ""
-"Whether to allow horizontal scrolling when the document\n"
-"does not extend off the screen. Useful for copy/paste\n"
-"operations."
+"Whether to allow horizontal scrolling when the document does not extend off "
+"the screen. Useful for copy/paste operations."
 msgstr ""
 
-#: src/config/options.inc:372
+#: src/config/options.inc:390
 msgid "Margin"
 msgstr ""
 
-#: src/config/options.inc:374
+#: src/config/options.inc:392
 msgid ""
-"Size of the virtual margin - when you click inside of that margin,\n"
-"document scrolls in that direction."
+"Size of the virtual margin - when you click inside of that margin, document "
+"scrolls in that direction."
 msgstr ""
 
-#: src/config/options.inc:377
+#: src/config/options.inc:395
 msgid "Vertical step"
 msgstr ""
 
-#: src/config/options.inc:379
+#: src/config/options.inc:397
 msgid ""
-"Number of lines to scroll when a key bound to scroll-up or scroll-\n"
-"down is pressed and no prefix was given."
+"Number of lines to scroll when a key bound to scroll-up or scroll-down is "
+"pressed and no prefix was given."
 msgstr ""
 
-#: src/config/options.inc:383
+#: src/config/options.inc:401
 msgid "Searching"
 msgstr ""
 
-#: src/config/options.inc:385
+#: src/config/options.inc:403
 msgid "Options for searching."
 msgstr ""
 
-#: src/config/options.inc:387
+#: src/config/options.inc:405
 msgid "Case sensitivity"
 msgstr ""
 
-#: src/config/options.inc:389
+#: src/config/options.inc:407
 msgid ""
-"Whether the search should match the document text while maintaining\n"
-"case sensitivity."
+"Whether the search should match the document text while maintaining case "
+"sensitivity."
 msgstr ""
 
-#: src/config/options.inc:393
+#: src/config/options.inc:411
 msgid "Regular expressions"
 msgstr ""
 
-#: src/config/options.inc:395
+#: src/config/options.inc:413
 msgid ""
 "Enable searching with regular expressions:\n"
 "0 for plain text searching\n"
@@ -2526,29 +2526,29 @@ msgid ""
 "2 for extended regular expression searches"
 msgstr ""
 
-#: src/config/options.inc:401
+#: src/config/options.inc:419
 msgid "Show search hit top or bottom dialogs"
 msgstr ""
 
-#: src/config/options.inc:403
+#: src/config/options.inc:421
 msgid ""
-"Whether to show a dialog when the search hits the top or bottom of the\n"
+"Whether to show a dialog when the search hits the top or bottom of the "
 "document."
 msgstr ""
 
-#: src/config/options.inc:406
+#: src/config/options.inc:424
 msgid "Wraparound"
 msgstr ""
 
-#: src/config/options.inc:408
+#: src/config/options.inc:426
 msgid "Wrap around when searching. Currently only used for typeahead."
 msgstr ""
 
-#: src/config/options.inc:410
+#: src/config/options.inc:429
 msgid "Show not found"
 msgstr ""
 
-#: src/config/options.inc:412
+#: src/config/options.inc:431
 msgid ""
 "How to inform the user when nothing is matched:\n"
 "0 means do nothing\n"
@@ -2556,268 +2556,269 @@ msgid ""
 "2 means pop up message box"
 msgstr ""
 
-#: src/config/options.inc:417
+#: src/config/options.inc:436
 msgid "Typeahead searching"
 msgstr ""
 
-#: src/config/options.inc:419
+#: src/config/options.inc:438
 msgid ""
-"Start typeahead searching when an unbound key is pressed without\n"
-"any modifiers. Note that most keys have default bindings, so this\n"
-"feature will not be useful unless you unbind them.\n"
+"Start typeahead searching when an unbound key is pressed without any "
+"modifiers. Note that most keys have default bindings, so this feature will "
+"not be useful unless you unbind them.\n"
 "\n"
-"0 disables this feature; typeahead searching will only be used\n"
-"  when you press a key bound to search-typeahead or similar\n"
+"0 disables this feature; typeahead searching will only be\n"
+"  used when you press a key bound to search-typeahead or\n"
+"  similar\n"
 "1 automatically starts typeahead searching thru link text\n"
-"2 automatically starts typeahead searching thru all document text"
+"2 automatically starts typeahead searching thru all document\n"
+"  text"
 msgstr ""
 
-#: src/config/options.inc:428
+#: src/config/options.inc:451
 msgid "Horizontal text margin"
 msgstr ""
 
-#: src/config/options.inc:430
+#: src/config/options.inc:453
 msgid "Horizontal text margin."
 msgstr ""
 
-#: src/config/options.inc:432
+#: src/config/options.inc:455
 msgid "Document meta refresh"
 msgstr ""
 
-#: src/config/options.inc:434
+#: src/config/options.inc:457
 msgid ""
-"Automatically follow document-specified refresh directives ('<meta>\n"
-"refresh' tags). Web-page authors use these to instruct the browser\n"
-"to reload a document at a given interval or to load another page.\n"
-"Regardless of the value the refresh URI is accessible as a link.\n"
-"Use the document.browse.minimum_refresh_time to control the minimum\n"
-"number of seconds a refresh will wait."
+"Automatically follow document-specified refresh directives ('<meta> refresh' "
+"tags). Web-page authors use these to instruct the browser to reload a "
+"document at a given interval or to load another page. Regardless of the "
+"value the refresh URI is accessible as a link.\n"
+"\n"
+"Use the document.browse.minimum_refresh_time to control the minimum number "
+"of seconds a refresh will wait."
 msgstr ""
 
-#: src/config/options.inc:441
+#: src/config/options.inc:466
 msgid "Document meta refresh minimum time"
 msgstr ""
 
-#: src/config/options.inc:443
+#: src/config/options.inc:468
 msgid ""
-"The minimum number of milliseconds that should pass before\n"
-"refreshing. If set to zero the document refresh time is used\n"
-"unchanged. It can fix going back in history for some sites that\n"
-"use refreshing with zero values."
+"The minimum number of milliseconds that should pass before refreshing. If "
+"set to zero the document refresh time is used unchanged. It can fix going "
+"back in history for some sites that use refreshing with zero values."
 msgstr ""
 
-#: src/config/options.inc:448
+#: src/config/options.inc:473
 msgid "Tables navigation order"
 msgstr ""
 
-#: src/config/options.inc:450
+#: src/config/options.inc:475
 msgid "Move by columns in table, instead of rows."
 msgstr ""
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:456
+#: src/config/options.inc:481
 msgid "Cache"
 msgstr ""
 
-#: src/config/options.inc:458
+#: src/config/options.inc:483
 msgid "Cache options."
 msgstr ""
 
-#: src/config/options.inc:460
+#: src/config/options.inc:485
 msgid "Cache information about redirects"
 msgstr ""
 
-#: src/config/options.inc:462
+#: src/config/options.inc:487
 msgid ""
-"Cache even redirects sent by server (usually thru HTTP by a 302\n"
-"HTTP code and a Location header). This was the original behaviour\n"
-"for quite some time, but it causes problems in a situation very\n"
-"common to various web login systems - frequently, when accessing\n"
-"a certain location, they will redirect you to a login page if they\n"
-"don't receive an auth cookie, the login page then gives you the\n"
-"cookie and redirects you back to the original page, but there you\n"
-"have already cached redirect back to the login page! If this\n"
-"option has value of 0, this malfunction is fixed, but occasionally\n"
-"you may get superfluous (depends on how you take it ;-) requests to\n"
-"the server. If this option has value of 1, experienced users can\n"
-"still workaround it by clever combination of usage of reload,\n"
-"jumping around in session history and hitting ctrl+enter.\n"
-"Note that this option is checked when retrieving the information\n"
-"from cache, not when saving it to cache - thus if you enable\n"
-"it, even previous redirects will be taken from cache instead of\n"
-"asking the server."
+"Cache even redirects sent by server (usually thru HTTP by a 302 HTTP code "
+"and a Location header). This was the original behaviour for quite some time, "
+"but it causes problems in a situation very common to various web login "
+"systems - frequently, when accessing a certain location, they will redirect "
+"you to a login page if they don't receive an auth cookie, the login page "
+"then gives you the cookie and redirects you back to the original page, but "
+"there you have already cached redirect back to the login page! If this "
+"option has value of 0, this malfunction is fixed, but occasionally you may "
+"get superfluous (depends on how you take it ;-) requests to the server. If "
+"this option has value of 1, experienced users can still workaround it by "
+"clever combination of usage of reload, jumping around in session history and "
+"hitting ctrl+enter.\n"
+"\n"
+"Note that this option is checked when retrieving the information from cache, "
+"not when saving it to cache - thus if you enable it, even previous redirects "
+"will be taken from cache instead of asking the server."
 msgstr ""
 
-#: src/config/options.inc:480
+#: src/config/options.inc:508
 msgid "Ignore cache-control info from server"
 msgstr ""
 
-#: src/config/options.inc:482
+#: src/config/options.inc:510
 msgid ""
-"Ignore Cache-Control and Pragma server headers.\n"
-"When set, the document is cached even with 'Cache-Control: no-cache'."
+"Ignore Cache-Control and Pragma server headers. When set, the document is "
+"cached even with 'Cache-Control: no-cache'."
 msgstr ""
 
-#: src/config/options.inc:485
+#: src/config/options.inc:514
 msgid "Formatted documents"
 msgstr ""
 
-#: src/config/options.inc:487
+#: src/config/options.inc:516
 msgid "Format cache options."
 msgstr ""
 
-#: src/config/options.inc:489
+#: src/config/options.inc:518
 msgid "Number"
 msgstr ""
 
-#: src/config/options.inc:491
+#: src/config/options.inc:520
 msgid ""
-"Number of cached formatted pages. Do not get too generous\n"
-"here, 'formatted' means that all the accompanying structures\n"
-"are kept in memory so that you get the cached document\n"
-"immediatelly, but these structures may take a lot - 2x the\n"
-"size of the HTML source is probably not unusual, but it can\n"
-"be even more if the document consists of a lot of short lines\n"
-"(padded right, if possible) and links and not much other markup.\n"
-"So if you set this to 256 and then you don't like your ELinks\n"
-"eating 90M, don't come complaining to us. ;-)\n"
-"Also note that the format cache itself is not counted to the\n"
-"memory cache size, but the HTML source of the formatted documents\n"
-"is always cached, even if it is over the memory cache size\n"
-"threshold. (Then of course no other documents can be cached.)"
+"Number of cached formatted pages. Do not get too generous here, 'formatted' "
+"means that all the accompanying structures are kept in memory so that you "
+"get the cached document immediatelly, but these structures may take a lot - "
+"2x the size of the HTML source is probably not unusual, but it can be even "
+"more if the document consists of a lot of short lines (padded right, if "
+"possible) and links and not much other markup. So if you set this to 256 and "
+"then you don't like your ELinks eating 90M, don't come complaining to "
+"us. ;-)\n"
+"\n"
+"Also note that the format cache itself is not counted to the memory cache "
+"size, but the HTML source of the formatted documents is always cached, even "
+"if it is over the memory cache size threshold. (Then of course no other "
+"documents can be cached.)"
 msgstr ""
 
 #. FIXME: Write more.
-#: src/config/options.inc:506
+#: src/config/options.inc:538
 msgid "Revalidation interval"
 msgstr ""
 
-#: src/config/options.inc:508
+#: src/config/options.inc:540
 msgid ""
-"Period in seconds that a cache entry is considered to be\n"
-"up-to-date. When a document is loaded and this interval has elapsed\n"
-"since the document was initially loaded or most recently\n"
-"revalidated with the server, the server will be checked in case\n"
-"there is a more up-to-date version of the document.\n"
+"Period in seconds that a cache entry is considered to be up-to-date. When a "
+"document is loaded and this interval has elapsed since the document was "
+"initially loaded or most recently revalidated with the server, the server "
+"will be checked in case there is a more up-to-date version of the document.\n"
 "\n"
 "A value of -1 disables automatic revalidation."
 msgstr ""
 
-#: src/config/options.inc:515 src/dialogs/info.c:199
+#: src/config/options.inc:549 src/dialogs/info.c:199
 msgid "Memory cache"
 msgstr ""
 
-#: src/config/options.inc:517
+#: src/config/options.inc:551
 msgid "Memory cache options."
 msgstr ""
 
-#: src/config/options.inc:521
+#: src/config/options.inc:555
 msgid "Memory cache size (in bytes)."
 msgstr ""
 
-#: src/config/options.inc:525
+#: src/config/options.inc:559
 msgid "Charset"
 msgstr ""
 
-#: src/config/options.inc:527
+#: src/config/options.inc:561
 msgid "Charset options."
 msgstr ""
 
-#: src/config/options.inc:529
+#: src/config/options.inc:563
 msgid "Default codepage"
 msgstr ""
 
-#: src/config/options.inc:531
+#: src/config/options.inc:565
 msgid ""
-"Default document codepage. 'System' stands for\n"
-"a codepage determined by a selected locale."
+"Default document codepage. 'System' stands for a codepage determined by a "
+"selected locale."
 msgstr ""
 
-#: src/config/options.inc:534
+#: src/config/options.inc:568
 msgid "Ignore charset info from server"
 msgstr ""
 
-#: src/config/options.inc:536
+#: src/config/options.inc:570
 msgid "Ignore charset info sent by server."
 msgstr ""
 
-#: src/config/options.inc:540
+#: src/config/options.inc:574
 msgid "Default color settings"
 msgstr ""
 
-#: src/config/options.inc:542
+#: src/config/options.inc:576
 msgid "Default document color settings."
 msgstr ""
 
-#: src/config/options.inc:553
+#: src/config/options.inc:587
 msgid "Link color"
 msgstr ""
 
-#: src/config/options.inc:555
+#: src/config/options.inc:589
 msgid "Default link color."
 msgstr ""
 
-#: src/config/options.inc:557
+#: src/config/options.inc:591
 msgid "Visited-link color"
 msgstr ""
 
-#: src/config/options.inc:559
+#: src/config/options.inc:593
 msgid "Default visited link color."
 msgstr ""
 
-#: src/config/options.inc:561
+#: src/config/options.inc:595
 msgid "Image-link color"
 msgstr ""
 
-#: src/config/options.inc:563
+#: src/config/options.inc:597
 msgid "Default image link color."
 msgstr ""
 
-#: src/config/options.inc:565
+#: src/config/options.inc:599
 msgid "Bookmarked-link color"
 msgstr ""
 
-#: src/config/options.inc:567
+#: src/config/options.inc:601
 msgid "Default bookmarked link color."
 msgstr ""
 
-#: src/config/options.inc:569
+#: src/config/options.inc:603
 msgid "Directory color"
 msgstr ""
 
-#: src/config/options.inc:571
+#: src/config/options.inc:605
 msgid ""
 "Default directory color.\n"
+"\n"
 "See document.browse.links.color_dirs option."
 msgstr ""
 
-#: src/config/options.inc:578
+#: src/config/options.inc:613
 msgid "Increase contrast"
 msgstr ""
 
-#: src/config/options.inc:580
+#: src/config/options.inc:615
 msgid ""
-"Increase the contrast between the foreground and background colors\n"
-"to ensure readability. For example it disallows dark colors on a\n"
-"black background. Note, this is different from ensuring the contrast\n"
-"with the ensure_contrast option."
+"Increase the contrast between the foreground and background colors to ensure "
+"readability. For example it disallows dark colors on a black background. "
+"Note, this is different from ensuring the contrast with the ensure_contrast "
+"option."
 msgstr ""
 
-#: src/config/options.inc:585
+#: src/config/options.inc:621
 msgid "Ensure contrast"
 msgstr ""
 
-#: src/config/options.inc:587
+#: src/config/options.inc:623
 msgid "Makes sure that the back- and foreground colors are never equal."
 msgstr ""
 
 #. If you change this please also change ACT_MAIN_DOCUMENT_COLORS action
 #. * handling.
-#: src/config/options.inc:592
+#: src/config/options.inc:628
 msgid "Use document-specified colors"
 msgstr ""
 
-#: src/config/options.inc:594
+#: src/config/options.inc:630
 msgid ""
 "Use colors specified in document:\n"
 "0 is use always the default settings\n"
@@ -2829,38 +2830,38 @@ msgid ""
 msgstr ""
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:607
+#: src/config/options.inc:643
 msgid "Downloading"
 msgstr ""
 
-#: src/config/options.inc:609
+#: src/config/options.inc:645
 msgid "Options regarding files downloading and handling."
 msgstr ""
 
-#: src/config/options.inc:611
+#: src/config/options.inc:647
 msgid "Default download directory"
 msgstr ""
 
-#: src/config/options.inc:613
+#: src/config/options.inc:649
 msgid "Default download directory."
 msgstr ""
 
-#: src/config/options.inc:615
+#: src/config/options.inc:651
 msgid "Set original time"
 msgstr ""
 
-#: src/config/options.inc:617
+#: src/config/options.inc:653
 msgid ""
-"Set the timestamp of each downloaded file to the timestamp\n"
-"stored on the server."
+"Set the timestamp of each downloaded file to the timestamp stored on the "
+"server."
 msgstr ""
 
 #. Does automatic resuming make sense as an option?
-#: src/config/options.inc:621
+#: src/config/options.inc:657
 msgid "Prevent overwriting"
 msgstr ""
 
-#: src/config/options.inc:623
+#: src/config/options.inc:659
 msgid ""
 "Prevent overwriting the local files:\n"
 "0 is files will silently be overwritten\n"
@@ -2868,11 +2869,11 @@ msgid ""
 "2 is ask the user"
 msgstr ""
 
-#: src/config/options.inc:628
+#: src/config/options.inc:664
 msgid "Notify download completion by bell"
 msgstr ""
 
-#: src/config/options.inc:630
+#: src/config/options.inc:666
 msgid ""
 "Audio notification when download is completed:\n"
 "0 is never\n"
@@ -2880,27 +2881,27 @@ msgid ""
 "2 is always"
 msgstr ""
 
-#: src/config/options.inc:636
+#: src/config/options.inc:672
 msgid "Dump output"
 msgstr ""
 
-#: src/config/options.inc:638
+#: src/config/options.inc:674
 msgid "Dump output options."
 msgstr ""
 
 #. OPT_CODEPAGE
-#: src/config/options.inc:640 src/config/options.inc:912
+#: src/config/options.inc:676 src/config/options.inc:980
 #: src/config/opttypes.c:481 src/dialogs/document.c:164
 msgid "Codepage"
 msgstr ""
 
-#: src/config/options.inc:642
+#: src/config/options.inc:678
 msgid ""
-"Codepage used in dump output. 'System' stands for\n"
-"a codepage determined by a selected locale."
+"Codepage used in dump output. 'System' stands for a codepage determined by a "
+"selected locale."
 msgstr ""
 
-#: src/config/options.inc:645 src/config/options.inc:878
+#: src/config/options.inc:681 src/config/options.inc:941
 msgid "Color mode"
 msgstr ""
 
@@ -2909,12 +2910,14 @@ msgstr ""
 #. * an outer list entry after an inner list.
 #. * TRANSLATORS: This restriction applies only to the
 #. * "en" (English) translation.  (See doc/Makefile.)
-#: src/config/options.inc:652
+#: src/config/options.inc:688
 msgid ""
 "Color mode for dumps.\n"
+"\n"
 "Some modes may have been disabled at compile time. The Setup -> Terminal "
 "options dialog lists the modes supported by this executable. If you select "
 "an unsupported mode, ELinks uses 16 colors.\n"
+"\n"
 "The color modes are:\n"
 "-1 is standard dump mode\n"
 "0 is mono mode\n"
@@ -2924,115 +2927,113 @@ msgid ""
 "4 is true color mode"
 msgstr ""
 
-#: src/config/options.inc:665
+#: src/config/options.inc:703
 msgid "Footer"
 msgstr ""
 
-#: src/config/options.inc:667
+#: src/config/options.inc:705
 #, c-format
 msgid "Footer string used in dumps. %u is substituted by URL."
 msgstr ""
 
-#: src/config/options.inc:671
+#: src/config/options.inc:709
 #, c-format
 msgid "Header string used in dumps. %u is substituted by URL."
 msgstr ""
 
-#: src/config/options.inc:673
+#: src/config/options.inc:711
 msgid "Numbering"
 msgstr ""
 
-#: src/config/options.inc:675
+#: src/config/options.inc:713
 msgid "Whether to print link numbers in dump output."
 msgstr ""
 
-#: src/config/options.inc:677
+#: src/config/options.inc:715
 msgid "References"
 msgstr ""
 
-#: src/config/options.inc:679
-msgid ""
-"Whether to print references (URIs) of document links\n"
-"in dump output."
+#: src/config/options.inc:717
+msgid "Whether to print references (URIs) of document links in dump output."
 msgstr ""
 
-#: src/config/options.inc:682
+#: src/config/options.inc:720
 msgid "Separator"
 msgstr ""
 
-#: src/config/options.inc:684
+#: src/config/options.inc:722
 msgid "String which separates two dumps."
 msgstr ""
 
-#: src/config/options.inc:686
+#: src/config/options.inc:724
 msgid "Width"
 msgstr ""
 
-#: src/config/options.inc:688
+#: src/config/options.inc:726
 msgid "Width of screen in characters when dumping documents."
 msgstr ""
 
-#: src/config/options.inc:692
+#: src/config/options.inc:730
 msgid "History"
 msgstr ""
 
-#: src/config/options.inc:694
+#: src/config/options.inc:732
 msgid "History options."
 msgstr ""
 
-#: src/config/options.inc:696
+#: src/config/options.inc:734
 msgid "Keep unhistory"
 msgstr ""
 
-#: src/config/options.inc:698
+#: src/config/options.inc:736
 msgid "Keep unhistory (\"forward history\")."
 msgstr ""
 
-#: src/config/options.inc:701
+#: src/config/options.inc:739
 msgid "HTML rendering"
 msgstr ""
 
-#: src/config/options.inc:703
+#: src/config/options.inc:741
 msgid "Options concerning the display of HTML pages."
 msgstr ""
 
-#: src/config/options.inc:705
+#: src/config/options.inc:743
 msgid "Display frames"
 msgstr ""
 
-#: src/config/options.inc:707
+#: src/config/options.inc:745
 msgid "Display frames."
 msgstr ""
 
-#: src/config/options.inc:709
+#: src/config/options.inc:747
 msgid "Display tables"
 msgstr ""
 
-#: src/config/options.inc:711
+#: src/config/options.inc:749
 msgid "Display tables."
 msgstr ""
 
-#: src/config/options.inc:713
+#: src/config/options.inc:751
 msgid "Display subscripts"
 msgstr ""
 
-#: src/config/options.inc:715
+#: src/config/options.inc:753
 msgid "Display subscripts (as [thing])."
 msgstr ""
 
-#: src/config/options.inc:717
+#: src/config/options.inc:755
 msgid "Display superscripts"
 msgstr ""
 
-#: src/config/options.inc:719
+#: src/config/options.inc:757
 msgid "Display superscripts (as ^thing)."
 msgstr ""
 
-#: src/config/options.inc:721
+#: src/config/options.inc:759
 msgid "Rendering of HTML link element"
 msgstr ""
 
-#: src/config/options.inc:723
+#: src/config/options.inc:761
 msgid ""
 "How to render <link> tags from the HTML header:\n"
 "0 is nothing\n"
@@ -3043,140 +3044,138 @@ msgid ""
 "5 is everything"
 msgstr ""
 
-#: src/config/options.inc:731
+#: src/config/options.inc:769
 msgid "Underline links"
 msgstr ""
 
-#: src/config/options.inc:733
+#: src/config/options.inc:771
 msgid "Underline links."
 msgstr ""
 
-#: src/config/options.inc:735
+#: src/config/options.inc:773
 msgid "Wrap non breaking space"
 msgstr ""
 
-#: src/config/options.inc:737
+#: src/config/options.inc:775
 msgid ""
-"If set do not honour non breaking space (the nbsp entity)\n"
-"but allow to wrap the text. This can help keeping the width\n"
-"of documents down so no horizontal scrolling is needed."
+"If set do not honour non breaking space (the nbsp entity) but allow to wrap "
+"the text. This can help keeping the width of documents down so no horizontal "
+"scrolling is needed."
 msgstr ""
 
-#: src/config/options.inc:742
+#: src/config/options.inc:780
 msgid "Plain rendering"
 msgstr ""
 
-#: src/config/options.inc:744
+#: src/config/options.inc:782
 msgid "Options concerning the display of plain text pages."
 msgstr ""
 
-#: src/config/options.inc:746
+#: src/config/options.inc:784
 msgid "Display URIs"
 msgstr ""
 
-#: src/config/options.inc:748
+#: src/config/options.inc:786
 msgid "Display URIs in the document as links."
 msgstr ""
 
-#: src/config/options.inc:750
+#: src/config/options.inc:788
 msgid "Compress empty lines"
 msgstr ""
 
-#: src/config/options.inc:752
+#: src/config/options.inc:790
 msgid "Compress successive empty lines to only one in displayed text."
 msgstr ""
 
-#: src/config/options.inc:755
+#: src/config/options.inc:794
 msgid "URI passing"
 msgstr ""
 
-#: src/config/options.inc:757
+#: src/config/options.inc:796
 msgid ""
-"Rules for passing URIs to external commands. When one rule\n"
-"is defined the link and tab menu will have a menu item that\n"
-"makes it possible to pass the the link, frame or tab URI to\n"
-"an external command. If several rules are defined the link and\n"
-"tab menu will have a submenu of items for each rule. Note, this\n"
-"is mostly useful for launching graphical viewers, since there\n"
-"is no support for releasing the terminal while the command runs.\n"
-"The action and submenus are also available by binding keys to\n"
-"the frame-external-command, the link-external-command, and\n"
-"the tab-external-command actions."
+"Rules for passing URIs to external commands. When one rule is defined the "
+"link and tab menu will have a menu item that makes it possible to pass the "
+"the link, frame or tab URI to an external command. If several rules are "
+"defined the link and tab menu will have a submenu of items for each rule.\n"
+"\n"
+"Note, this is mostly useful for launching graphical viewers, since there is "
+"no support for releasing the terminal while the command runs. The action and "
+"submenus are also available by binding keys to the frame-external-command, "
+"the link-external-command, and the tab-external-command actions."
 msgstr ""
 
-#: src/config/options.inc:770
+#: src/config/options.inc:812
 msgid ""
-"A rule for passing URI to an external command.\n"
-"The format is:\n"
+"A rule for passing URI to an external command. The format is:\n"
 "%c in the string means the current URL\n"
 "%% in the string means '%'\n"
 "Do _not_ put single- or double-quotes around %c."
 msgstr ""
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:780
+#: src/config/options.inc:822
 msgid "Information files"
 msgstr ""
 
-#: src/config/options.inc:782
+#: src/config/options.inc:824
 msgid "Options for information files in ~/.elinks."
 msgstr ""
 
-#: src/config/options.inc:784
+#: src/config/options.inc:826
 msgid "Save interval"
 msgstr ""
 
-#: src/config/options.inc:786
+#: src/config/options.inc:828
 msgid ""
-"Interval at which to trigger information files in ~/.elinks\n"
-"to be saved to disk if they have changed (seconds; 0 to disable)"
+"Interval at which to trigger information files in ~/.elinks to be saved to "
+"disk if they have changed (seconds; 0 to disable)"
 msgstr ""
 
-#: src/config/options.inc:789
+#: src/config/options.inc:832
 msgid "Use secure file saving"
 msgstr ""
 
-#: src/config/options.inc:791
+#: src/config/options.inc:834
 msgid ""
-"First write data to unique temporary file, then rename this file\n"
-"upon successfully finishing this. Note that this relates only to\n"
-"config files, not downloaded files. You may want to disable\n"
-"it if you are using some exotic permissions for concerned files.\n"
-"Secure file saving is automagically disabled if file is symlink.\n"
-"Warning: some systems (ie. OS/2, Win32) require that destination\n"
-"file doesn't exist when rename(3) is called, breaking atomicity,\n"
-"and reducing reliability of this feature."
+"First write data to unique temporary file, then rename this file upon "
+"successfully finishing this. Note that this relates only to config files, "
+"not downloaded files. You may want to disable it if you are using some "
+"exotic permissions for concerned files. Secure file saving is automagically "
+"disabled if file is symlink.\n"
+"\n"
+"Warning: some systems (ie. OS/2, Win32) require that destination file "
+"doesn't exist when rename(3) is called, breaking atomicity, and reducing "
+"reliability of this feature."
 msgstr ""
 
-#: src/config/options.inc:800
+#: src/config/options.inc:846
 msgid "Use fsync(3) with secure file saving"
 msgstr ""
 
-#: src/config/options.inc:802
+#: src/config/options.inc:848
 msgid ""
-"When using secure file saving, call fsync(3), if the OS\n"
-"supports it, to force the OS immediately to write the data\n"
-"to permanent storage. This is optional for those who wish\n"
-"to avoid excessive disk I/O."
+"When using secure file saving, call fsync(3), if the OS supports it, to "
+"force the OS immediately to write the data to permanent storage. This is "
+"optional for those who wish to avoid excessive disk I/O."
 msgstr ""
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:811
+#: src/config/options.inc:857
 msgid "Terminals"
 msgstr ""
 
-#: src/config/options.inc:813
+#: src/config/options.inc:859
 msgid "Terminal options."
 msgstr ""
 
-#: src/config/options.inc:817
+#: src/config/options.inc:863
 msgid "Options specific to this terminal type (according to $TERM value)."
 msgstr ""
 
-#: src/config/options.inc:842
+#: src/config/options.inc:889
 msgid ""
-"Terminal type; matters mostly only when drawing frames and\n"
-"dialog box borders:\n"
+"Terminal type; matters mostly only when drawing frames and dialog box "
+"borders:\n"
 "0 is dumb terminal type, ASCII art\n"
 "1 is VT100, simple but portable\n"
 "2 is Linux, you get double frames and other goodies\n"
@@ -3184,15 +3183,31 @@ msgid ""
 "4 is FreeBSD"
 msgstr ""
 
-#: src/config/options.inc:850 src/dialogs/options.c:227
+#: src/config/options.inc:897
+msgid "Always encode xterm title in ISO-8859-1"
+msgstr ""
+
+#: src/config/options.inc:899
+msgid ""
+"When updating the window title of xterm or a similar terminal emulator, "
+"encode the title in ISO-8859-1 (Latin-1), rather than in the charset used "
+"for other text in the window. Cyrillic and other characters get replaced "
+"with Latin ones. Xterm requires this unless you explicitly enable UTF-8 "
+"titles in it.\n"
+"\n"
+"If this option does not take effect immediately, try switching to a "
+"different page so that ELinks notices it needs to update the title."
+msgstr ""
+
+#: src/config/options.inc:910 src/dialogs/options.c:227
 msgid "Switch fonts for line drawing"
 msgstr ""
 
-#: src/config/options.inc:852
+#: src/config/options.inc:912
 msgid ""
-"Switch fonts when drawing lines, enabling both local characters\n"
-"and lines working at the same time. ELinks uses this option only if\n"
-"UTF-8 I/O is disabled and the terminal type is Linux or FreeBSD."
+"Switch fonts when drawing lines, enabling both local characters and lines "
+"working at the same time. ELinks uses this option only if UTF-8 I/O is "
+"disabled and the terminal type is Linux or FreeBSD."
 msgstr ""
 
 #. When CONFIG_UTF8 is defined, any code that reads the "utf_8_io"
@@ -3200,36 +3215,36 @@ msgstr ""
 #. * and if so, behave as if "utf_8_io" were 1.  (When CONFIG_UTF8 is
 #. * not defined, it should not be possible to set UTF-8 as "codepage";
 #. * please report any such possibilities as bugs.)
-#: src/config/options.inc:861 src/dialogs/options.c:232
+#: src/config/options.inc:922 src/dialogs/options.c:232
 msgid "UTF-8 I/O"
 msgstr ""
 
-#: src/config/options.inc:863
+#: src/config/options.inc:924
 msgid ""
-"Enable I/O in UTF-8 for Unicode terminals. Note that currently,\n"
-"only the subset of UTF-8 according to terminal codepage is used.\n"
-"ELinks ignores this option if the terminal codepage is UTF-8."
+"Enable I/O in UTF-8 for Unicode terminals. Note that currently, only the "
+"subset of UTF-8 according to terminal codepage is used. ELinks ignores this "
+"option if the terminal codepage is UTF-8."
 msgstr ""
 
-#: src/config/options.inc:867 src/dialogs/options.c:228
+#: src/config/options.inc:929 src/dialogs/options.c:228
 msgid "Restrict frames in cp850/852"
 msgstr ""
 
-#: src/config/options.inc:869
+#: src/config/options.inc:931
 msgid ""
-"Restrict the characters used when drawing lines. Makes sense\n"
-"only with linux terminals using the cp850/852 character sets."
+"Restrict the characters used when drawing lines. Makes sense only with linux "
+"terminals using the cp850/852 character sets."
 msgstr ""
 
-#: src/config/options.inc:872 src/dialogs/options.c:229
+#: src/config/options.inc:935 src/dialogs/options.c:229
 msgid "Block cursor"
 msgstr ""
 
-#: src/config/options.inc:874
+#: src/config/options.inc:937
 msgid ""
-"Move cursor to bottom right corner when done drawing.\n"
-"This is particularly useful when we have a block cursor,\n"
-"so that inversed text is displayed correctly."
+"Move cursor to bottom right corner when done drawing. This is particularly "
+"useful when we have a block cursor, so that inversed text is displayed "
+"correctly."
 msgstr ""
 
 #. The list of modes must be at the end of this string
@@ -3237,13 +3252,15 @@ msgstr ""
 #. * an outer list entry after an inner list.
 #. * TRANSLATORS: This restriction applies only to the
 #. * "en" (English) translation.  (See doc/Makefile.)
-#: src/config/options.inc:885
+#: src/config/options.inc:948
 msgid ""
 "The color mode controls what colors are used and how they are output to the "
 "terminal.\n"
+"\n"
 "Some modes may have been disabled at compile time. The Setup -> Terminal "
 "options dialog lists the modes supported by this executable. If you select "
 "an unsupported mode, ELinks uses 16 colors.\n"
+"\n"
 "The color modes are:\n"
 "0 is mono mode, only 2 colors are used\n"
 "1 is 16 color mode, uses the common ANSI colors\n"
@@ -3252,401 +3269,398 @@ msgid ""
 "4 is true color mode, uses konsole RGB codes"
 msgstr ""
 
-#: src/config/options.inc:898 src/dialogs/options.c:230
+#: src/config/options.inc:963 src/dialogs/options.c:230
 msgid "Transparency"
 msgstr ""
 
-#: src/config/options.inc:900
+#: src/config/options.inc:965
 msgid ""
-"If we should not set the background to black. This is particularly\n"
-"useful when we have a terminal (typically in some windowing\n"
-"environment) with a background image or a transparent background -\n"
-"it will be visible in ELinks as well (but ELinks document color handling\n"
-"will still assume the background is black so if you have a bright "
-"background\n"
-"you might experience contrast problems). Note that this option makes\n"
-"sense only when colors are enabled."
+"If we should not set the background to black. This is particularly useful "
+"when we have a terminal (typically in some windowing environment) with a "
+"background image or a transparent background - it will be visible in ELinks "
+"as well (but ELinks document color handling will still assume the background "
+"is black so if you have a bright background you might experience contrast "
+"problems). Note that this option makes sense only when colors are enabled."
 msgstr ""
 
-#: src/config/options.inc:910
+#: src/config/options.inc:977
 msgid "If we should use underline or enhance the color instead."
 msgstr ""
 
-#: src/config/options.inc:914
+#: src/config/options.inc:982
 msgid ""
-"Codepage of charset used for displaying content on terminal.\n"
-"'System' stands for a codepage determined by a selected locale."
+"Codepage of charset used for displaying content on terminal. 'System' stands "
+"for a codepage determined by a selected locale."
 msgstr ""
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:921
+#: src/config/options.inc:990
 msgid "User interface"
 msgstr ""
 
-#: src/config/options.inc:923
+#: src/config/options.inc:992
 msgid "User interface options."
 msgstr ""
 
-#: src/config/options.inc:927
+#: src/config/options.inc:996
 msgid "Color settings"
 msgstr ""
 
-#: src/config/options.inc:929
+#: src/config/options.inc:998
 msgid "Default user interface color settings."
 msgstr ""
 
-#: src/config/options.inc:956
+#: src/config/options.inc:1025
 msgid "Color terminals"
 msgstr ""
 
-#: src/config/options.inc:958
+#: src/config/options.inc:1027
 msgid "Color settings for color terminal."
 msgstr ""
 
-#: src/config/options.inc:960
+#: src/config/options.inc:1029
 msgid "Non-color terminals"
 msgstr ""
 
-#: src/config/options.inc:962
+#: src/config/options.inc:1031
 msgid "Color settings for non-color terminal."
 msgstr ""
 
 #. FIXME: obsolete, how to alias them correctly ? --Zas
-#: src/config/options.inc:965
+#: src/config/options.inc:1034
 msgid "Main menu bar"
 msgstr ""
 
-#: src/config/options.inc:967
+#: src/config/options.inc:1036
 msgid "Main menu bar colors."
 msgstr ""
 
-#: src/config/options.inc:969
+#: src/config/options.inc:1038
 msgid "Unselected main menu bar item"
 msgstr ""
 
-#: src/config/options.inc:971
+#: src/config/options.inc:1040
 msgid "Unselected main menu bar item colors."
 msgstr ""
 
-#: src/config/options.inc:973
+#: src/config/options.inc:1042
 msgid "Selected main menu bar item"
 msgstr ""
 
-#: src/config/options.inc:975
+#: src/config/options.inc:1044
 msgid "Selected main menu bar item colors."
 msgstr ""
 
-#: src/config/options.inc:977 src/config/options.inc:1006
+#: src/config/options.inc:1046 src/config/options.inc:1075
 msgid "Hotkey"
 msgstr ""
 
-#: src/config/options.inc:979
+#: src/config/options.inc:1048
 msgid "Main menu hotkey colors."
 msgstr ""
 
-#: src/config/options.inc:981 src/config/options.inc:1010
+#: src/config/options.inc:1050 src/config/options.inc:1079
 msgid "Unselected hotkey"
 msgstr ""
 
-#: src/config/options.inc:983
+#: src/config/options.inc:1052
 msgid "Main menu unselected hotkey colors."
 msgstr ""
 
-#: src/config/options.inc:985 src/config/options.inc:1014
+#: src/config/options.inc:1054 src/config/options.inc:1083
 msgid "Selected hotkey"
 msgstr ""
 
-#: src/config/options.inc:987
+#: src/config/options.inc:1056
 msgid "Main menu selected hotkey colors."
 msgstr ""
 
-#: src/config/options.inc:990
+#: src/config/options.inc:1059
 msgid "Menu bar"
 msgstr ""
 
-#: src/config/options.inc:992
+#: src/config/options.inc:1061
 msgid "Menu bar colors."
 msgstr ""
 
-#: src/config/options.inc:994
+#: src/config/options.inc:1063
 msgid "Unselected menu item"
 msgstr ""
 
-#: src/config/options.inc:996
+#: src/config/options.inc:1065
 msgid "Unselected menu item colors."
 msgstr ""
 
-#: src/config/options.inc:998
+#: src/config/options.inc:1067
 msgid "Selected menu item"
 msgstr ""
 
-#: src/config/options.inc:1000
+#: src/config/options.inc:1069
 msgid "Selected menu item colors."
 msgstr ""
 
-#: src/config/options.inc:1002
+#: src/config/options.inc:1071
 msgid "Marked menu item"
 msgstr ""
 
-#: src/config/options.inc:1004
+#: src/config/options.inc:1073
 msgid "Marked menu item colors."
 msgstr ""
 
-#: src/config/options.inc:1008
+#: src/config/options.inc:1077
 msgid "Menu item hotkey colors."
 msgstr ""
 
-#: src/config/options.inc:1012
+#: src/config/options.inc:1081
 msgid "Menu item unselected hotkey colors."
 msgstr ""
 
-#: src/config/options.inc:1016
+#: src/config/options.inc:1085
 msgid "Menu item selected hotkey colors."
 msgstr ""
 
-#: src/config/options.inc:1018
+#: src/config/options.inc:1087
 msgid "Menu frame"
 msgstr ""
 
-#: src/config/options.inc:1020
+#: src/config/options.inc:1089
 msgid "Menu frame colors."
 msgstr ""
 
-#: src/config/options.inc:1023
+#: src/config/options.inc:1092
 msgid "Dialog"
 msgstr ""
 
-#: src/config/options.inc:1025
+#: src/config/options.inc:1094
 msgid "Dialog colors."
 msgstr ""
 
-#: src/config/options.inc:1035
+#: src/config/options.inc:1104
 msgid "Generic"
 msgstr ""
 
-#: src/config/options.inc:1037
+#: src/config/options.inc:1106
 msgid "Generic dialog colors."
 msgstr ""
 
-#: src/config/options.inc:1039
+#: src/config/options.inc:1108
 msgid "Frame"
 msgstr ""
 
-#: src/config/options.inc:1041
+#: src/config/options.inc:1110
 msgid "Dialog frame colors."
 msgstr ""
 
-#: src/config/options.inc:1043
+#: src/config/options.inc:1112
 msgid "Scrollbar"
 msgstr ""
 
-#: src/config/options.inc:1045
+#: src/config/options.inc:1114
 msgid "Scrollbar colors."
 msgstr ""
 
-#: src/config/options.inc:1047
+#: src/config/options.inc:1116
 msgid "Selected scrollbar"
 msgstr ""
 
-#: src/config/options.inc:1049
+#: src/config/options.inc:1118
 msgid "Scrollbar selected colors."
 msgstr ""
 
-#: src/config/options.inc:1053
+#: src/config/options.inc:1122
 msgid "Dialog title colors."
 msgstr ""
 
-#: src/config/options.inc:1055
+#: src/config/options.inc:1124
 msgid "Text"
 msgstr ""
 
-#: src/config/options.inc:1057
+#: src/config/options.inc:1126
 msgid "Dialog text colors."
 msgstr ""
 
-#: src/config/options.inc:1059 src/viewer/text/form.c:1862
+#: src/config/options.inc:1128 src/viewer/text/form.c:1891
 msgid "Checkbox"
 msgstr ""
 
-#: src/config/options.inc:1061
+#: src/config/options.inc:1130
 msgid "Dialog checkbox colors."
 msgstr ""
 
-#: src/config/options.inc:1063
+#: src/config/options.inc:1132
 msgid "Selected checkbox"
 msgstr ""
 
-#: src/config/options.inc:1065
+#: src/config/options.inc:1134
 msgid "Dialog selected checkbox colors."
 msgstr ""
 
-#: src/config/options.inc:1067
+#: src/config/options.inc:1136
 msgid "Checkbox label"
 msgstr ""
 
-#: src/config/options.inc:1069
+#: src/config/options.inc:1138
 msgid "Dialog checkbox label colors."
 msgstr ""
 
-#: src/config/options.inc:1071
+#: src/config/options.inc:1140
 msgid "Button"
 msgstr ""
 
-#: src/config/options.inc:1073 src/config/options.inc:1081
+#: src/config/options.inc:1142 src/config/options.inc:1150
 msgid "Dialog button colors."
 msgstr ""
 
-#: src/config/options.inc:1075
+#: src/config/options.inc:1144
 msgid "Selected button"
 msgstr ""
 
-#: src/config/options.inc:1077 src/config/options.inc:1085
+#: src/config/options.inc:1146 src/config/options.inc:1154
 msgid "Dialog selected button colors."
 msgstr ""
 
-#: src/config/options.inc:1079
+#: src/config/options.inc:1148
 msgid "Button shortcut"
 msgstr ""
 
-#: src/config/options.inc:1083
+#: src/config/options.inc:1152
 msgid "Selected button shortcut"
 msgstr ""
 
-#: src/config/options.inc:1087 src/viewer/text/form.c:1866
+#: src/config/options.inc:1156 src/viewer/text/form.c:1895
 msgid "Text field"
 msgstr ""
 
-#: src/config/options.inc:1089
+#: src/config/options.inc:1158
 msgid "Dialog text field colors."
 msgstr ""
 
-#: src/config/options.inc:1091
+#: src/config/options.inc:1160
 msgid "Text field text"
 msgstr ""
 
-#: src/config/options.inc:1093
+#: src/config/options.inc:1162
 msgid "Dialog field text colors."
 msgstr ""
 
-#: src/config/options.inc:1095
+#: src/config/options.inc:1164
 msgid "Meter"
 msgstr ""
 
-#: src/config/options.inc:1097
+#: src/config/options.inc:1166
 msgid "Dialog meter colors."
 msgstr ""
 
-#: src/config/options.inc:1099
+#: src/config/options.inc:1168
 msgid "Shadow"
 msgstr ""
 
-#: src/config/options.inc:1101
+#: src/config/options.inc:1170
 msgid "Dialog shadow colors (see ui.shadows option)."
 msgstr ""
 
-#: src/config/options.inc:1103
+#: src/config/options.inc:1172
 msgid "Title bar"
 msgstr ""
 
-#: src/config/options.inc:1105
+#: src/config/options.inc:1174
 msgid "Title bar colors."
 msgstr ""
 
-#: src/config/options.inc:1107
+#: src/config/options.inc:1176
 msgid "Generic title bar"
 msgstr ""
 
-#: src/config/options.inc:1109
+#: src/config/options.inc:1178
 msgid "Generic title bar colors."
 msgstr ""
 
-#: src/config/options.inc:1111
+#: src/config/options.inc:1180
 msgid "Title bar text"
 msgstr ""
 
-#: src/config/options.inc:1113
+#: src/config/options.inc:1182
 msgid "Title bar text colors."
 msgstr ""
 
-#: src/config/options.inc:1116
+#: src/config/options.inc:1185
 msgid "Status bar"
 msgstr ""
 
-#: src/config/options.inc:1118
+#: src/config/options.inc:1187
 msgid "Status bar colors."
 msgstr ""
 
-#: src/config/options.inc:1120
+#: src/config/options.inc:1189
 msgid "Generic status bar"
 msgstr ""
 
-#: src/config/options.inc:1122
+#: src/config/options.inc:1191
 msgid "Generic status bar colors."
 msgstr ""
 
-#: src/config/options.inc:1124
+#: src/config/options.inc:1193
 msgid "Status bar text"
 msgstr ""
 
-#: src/config/options.inc:1126
+#: src/config/options.inc:1195
 msgid "Status bar text colors."
 msgstr ""
 
-#: src/config/options.inc:1129
+#: src/config/options.inc:1198
 msgid "Tabs bar"
 msgstr ""
 
-#: src/config/options.inc:1131
+#: src/config/options.inc:1200
 msgid "Tabs bar colors."
 msgstr ""
 
-#: src/config/options.inc:1133
+#: src/config/options.inc:1202
 msgid "Unvisited tab"
 msgstr ""
 
-#: src/config/options.inc:1135
+#: src/config/options.inc:1204
 msgid ""
-"Tab colors for tabs that have not been\n"
-"selected since they completed loading."
+"Tab colors for tabs that have not been selected since they completed loading."
 msgstr ""
 
-#: src/config/options.inc:1138
+#: src/config/options.inc:1207
 msgid "Unselected tab"
 msgstr ""
 
-#: src/config/options.inc:1140
+#: src/config/options.inc:1209
 msgid "Unselected tab colors."
 msgstr ""
 
-#: src/config/options.inc:1142
+#: src/config/options.inc:1211
 msgid "Loading tab"
 msgstr ""
 
-#: src/config/options.inc:1144
+#: src/config/options.inc:1213
 msgid "Tab colors for tabs that are loading in the background."
 msgstr ""
 
-#: src/config/options.inc:1146
+#: src/config/options.inc:1215
 msgid "Selected tab"
 msgstr ""
 
-#: src/config/options.inc:1148
+#: src/config/options.inc:1217
 msgid "Selected tab colors."
 msgstr ""
 
-#: src/config/options.inc:1150
+#: src/config/options.inc:1219
 msgid "Tab separator"
 msgstr ""
 
-#: src/config/options.inc:1152
+#: src/config/options.inc:1221
 msgid "Tab separator colors."
 msgstr ""
 
-#: src/config/options.inc:1155
+#: src/config/options.inc:1224
 msgid "Searched strings"
 msgstr ""
 
-#: src/config/options.inc:1157
+#: src/config/options.inc:1226
 msgid "Searched string highlight colors."
 msgstr ""
 
@@ -3654,66 +3668,66 @@ msgstr ""
 #. ============= BORING PART (colors) END ===================
 #. ==========================================================
 #. Keep options in alphabetical order.
-#: src/config/options.inc:1166
+#: src/config/options.inc:1235
 msgid "Dialog settings"
 msgstr ""
 
-#: src/config/options.inc:1168
+#: src/config/options.inc:1237
 msgid "Dialogs-specific appearance and behaviour settings."
 msgstr ""
 
-#: src/config/options.inc:1171
+#: src/config/options.inc:1240
 msgid "Minimal height of listbox widget"
 msgstr ""
 
-#: src/config/options.inc:1173
+#: src/config/options.inc:1242
 msgid ""
-"Minimal height of the listbox widget (used e.g. for bookmarks\n"
-"or global history)."
+"Minimal height of the listbox widget (used e.g. for bookmarks or global "
+"history)."
 msgstr ""
 
-#: src/config/options.inc:1176
+#: src/config/options.inc:1245
 msgid "Drop shadows"
 msgstr ""
 
-#: src/config/options.inc:1178
+#: src/config/options.inc:1247
 msgid ""
-"Make dialogs drop shadows (the shadows are solid, you can\n"
-"adjust their color by ui.colors.*.dialog.shadow). You may\n"
-"also want to eliminate the wide borders by adjusting setup.h."
+"Make dialogs drop shadows (the shadows are solid, you can adjust their color "
+"by ui.colors.*.dialog.shadow). You may also want to eliminate the wide "
+"borders by adjusting setup.h."
 msgstr ""
 
-#: src/config/options.inc:1182
+#: src/config/options.inc:1252
 msgid "Underline menu hotkeys"
 msgstr ""
 
-#: src/config/options.inc:1184
+#: src/config/options.inc:1254
 msgid ""
-"Whether to underline hotkeys in menus to make them more\n"
-"visible. Requires that underlining is enabled for the terminal."
+"Whether to underline hotkeys in menus to make them more visible. Requires "
+"that underlining is enabled for the terminal."
 msgstr ""
 
-#: src/config/options.inc:1187
+#: src/config/options.inc:1258
 msgid "Underline button shortcuts"
 msgstr ""
 
-#: src/config/options.inc:1189
+#: src/config/options.inc:1260
 msgid ""
-"Whether to underline button shortcuts to make them more\n"
-"visible. Requires that underlining is enabled for the terminal."
+"Whether to underline button shortcuts to make them more visible. Requires "
+"that underlining is enabled for the terminal."
 msgstr ""
 
-#: src/config/options.inc:1193
+#: src/config/options.inc:1265
 msgid "Timer options"
 msgstr ""
 
-#: src/config/options.inc:1195
+#: src/config/options.inc:1267
 msgid ""
-"Timed action after certain interval of user inactivity. Someone can\n"
-"even find this useful, although you may not believe that."
+"Timed action after certain interval of user inactivity. Someone can even "
+"find this useful, although you may not believe that."
 msgstr ""
 
-#: src/config/options.inc:1201
+#: src/config/options.inc:1274
 msgid ""
 "Whether to enable the timer or not:\n"
 "0 is don't count down anything\n"
@@ -3721,7 +3735,7 @@ msgid ""
 "2 is count down and show the timer near LEDs"
 msgstr ""
 
-#: src/config/options.inc:1208
+#: src/config/options.inc:1281
 msgid ""
 "Whether to enable the timer or not:\n"
 "0 is don't count down anything\n"
@@ -3729,33 +3743,33 @@ msgid ""
 "2 is count down and show the timer near LEDs (DISABLED)"
 msgstr ""
 
-#: src/config/options.inc:1214
+#: src/config/options.inc:1287
 msgid "Duration"
 msgstr ""
 
-#: src/config/options.inc:1216
+#: src/config/options.inc:1289
 msgid ""
-"Inactivity timeout in seconds. The maximum of one day\n"
-"should be enough for just everyone (TM)."
+"Inactivity timeout in seconds. The maximum of one day should be enough for "
+"just everyone (TM)."
 msgstr ""
 
-#: src/config/options.inc:1221
+#: src/config/options.inc:1294
 msgid "Keybinding action to be triggered when timer reaches zero."
 msgstr ""
 
-#: src/config/options.inc:1224
+#: src/config/options.inc:1298
 msgid "Window tabs"
 msgstr ""
 
-#: src/config/options.inc:1226
+#: src/config/options.inc:1300
 msgid "Window tabs settings."
 msgstr ""
 
-#: src/config/options.inc:1228
+#: src/config/options.inc:1302
 msgid "Display tabs bar"
 msgstr ""
 
-#: src/config/options.inc:1230
+#: src/config/options.inc:1304
 msgid ""
 "Show tabs bar on the screen:\n"
 "0 means never\n"
@@ -3763,164 +3777,163 @@ msgid ""
 "2 means always"
 msgstr ""
 
-#: src/config/options.inc:1235
+#: src/config/options.inc:1309
 msgid "Tab bar at top"
 msgstr ""
 
-#: src/config/options.inc:1237
+#: src/config/options.inc:1311
 msgid "Whether display tab bar at top like other browsers do."
 msgstr ""
 
-#: src/config/options.inc:1239
+#: src/config/options.inc:1313
 msgid "Wrap-around tabs cycling"
 msgstr ""
 
-#: src/config/options.inc:1241
+#: src/config/options.inc:1315
 msgid ""
-"When moving right from the last tab, jump to the first one, and\n"
-"vice versa."
+"When moving right from the last tab, jump to the first one, and vice versa."
 msgstr ""
 
-#: src/config/options.inc:1244
+#: src/config/options.inc:1318
 msgid "Confirm tab closing"
 msgstr ""
 
-#: src/config/options.inc:1246
+#: src/config/options.inc:1320
 msgid "When closing a tab show confirmation dialog."
 msgstr ""
 
 #. OPT_LANGUAGE
-#: src/config/options.inc:1250 src/config/opttypes.c:483
+#: src/config/options.inc:1324 src/config/opttypes.c:483
 msgid "Language"
 msgstr ""
 
-#: src/config/options.inc:1252
+#: src/config/options.inc:1326
 msgid ""
-"Language of user interface. 'System' means that the language will\n"
-"be extracted from the environment dynamically."
+"Language of user interface. 'System' means that the language will be "
+"extracted from the environment dynamically."
 msgstr ""
 
-#: src/config/options.inc:1255
+#: src/config/options.inc:1330
 msgid "Display menu bar always"
 msgstr ""
 
-#: src/config/options.inc:1257
+#: src/config/options.inc:1332
 msgid "Always show menu bar on the screen."
 msgstr ""
 
-#: src/config/options.inc:1259
+#: src/config/options.inc:1334
 msgid "Display status bar"
 msgstr ""
 
-#: src/config/options.inc:1261
+#: src/config/options.inc:1336
 msgid "Show status bar on the screen."
 msgstr ""
 
-#: src/config/options.inc:1263
+#: src/config/options.inc:1338
 msgid "Display title bar"
 msgstr ""
 
-#: src/config/options.inc:1265
+#: src/config/options.inc:1340
 msgid "Show title bar on the screen."
 msgstr ""
 
-#: src/config/options.inc:1267
+#: src/config/options.inc:1342
 msgid "Display goto dialog in new tabs"
 msgstr ""
 
-#: src/config/options.inc:1269
+#: src/config/options.inc:1344
 msgid ""
-"Pop up goto dialog in newly created tabs when there's no homepage\n"
-"set. This means also showing goto dialog on startup."
+"Pop up goto dialog in newly created tabs when there's no homepage set. This "
+"means also showing goto dialog on startup."
 msgstr ""
 
-#: src/config/options.inc:1272
+#: src/config/options.inc:1348
 msgid "Show a message box when file is saved successfully"
 msgstr ""
 
-#: src/config/options.inc:1274
+#: src/config/options.inc:1350
 msgid ""
-"When you pressed a [ Save ] button in some manager, this option\n"
-"will make sure that a box confirming success of the operation will\n"
-"pop up."
+"When you pressed a [ Save ] button in some manager, this option will make "
+"sure that a box confirming success of the operation will pop up."
 msgstr ""
 
-#: src/config/options.inc:1279
+#: src/config/options.inc:1355
 msgid "Sessions"
 msgstr ""
 
-#: src/config/options.inc:1281
+#: src/config/options.inc:1357
 msgid "Sessions settings."
 msgstr ""
 
-#: src/config/options.inc:1283
+#: src/config/options.inc:1359
 msgid "Keep session active"
 msgstr ""
 
-#: src/config/options.inc:1285
+#: src/config/options.inc:1361
 msgid "Keep the session active even if the last terminal exits."
 msgstr ""
 
-#: src/config/options.inc:1287
+#: src/config/options.inc:1364
 msgid "Auto save session"
 msgstr ""
 
-#: src/config/options.inc:1289
+#: src/config/options.inc:1366
 msgid ""
 "Automatically save the session when quitting.\n"
+"\n"
 "This feature requires bookmark support."
 msgstr ""
 
-#: src/config/options.inc:1292
+#: src/config/options.inc:1370
 msgid "Auto restore session"
 msgstr ""
 
-#: src/config/options.inc:1294
+#: src/config/options.inc:1372
 msgid ""
 "Automatically restore the session at start.\n"
+"\n"
 "This feature requires bookmark support."
 msgstr ""
 
-#: src/config/options.inc:1297
+#: src/config/options.inc:1376
 msgid "Auto save and restore session folder name"
 msgstr ""
 
-#: src/config/options.inc:1299
+#: src/config/options.inc:1378
 msgid ""
-"Name of the bookmarks folder used for auto saving and restoring session.\n"
-"The name has to be unique. Any folders with the same name will be deleted.\n"
+"Name of the bookmarks folder used for auto saving and restoring session. The "
+"name has to be unique. Any folders with the same name will be deleted.\n"
+"\n"
 "This only makes sense with bookmark support."
 msgstr ""
 
-#: src/config/options.inc:1303
+#: src/config/options.inc:1384
 msgid "Homepage URI"
 msgstr ""
 
-#: src/config/options.inc:1305
+#: src/config/options.inc:1386
 msgid ""
-"The URI to load either at startup time when no URI was given\n"
-"on the command line or when requested by the goto-url-home action.\n"
-"Set to \"\" if the environment variable WWW_HOME should be used\n"
-"as homepage URI instead."
+"The URI to load either at startup time when no URI was given on the command "
+"line or when requested by the goto-url-home action. Set to \"\" if the "
+"environment variable WWW_HOME should be used as homepage URI instead."
 msgstr ""
 
-#: src/config/options.inc:1311
+#: src/config/options.inc:1392
 msgid "Date format"
 msgstr ""
 
-#: src/config/options.inc:1313
+#: src/config/options.inc:1394
 msgid "Date format to use in dialogs. See strftime(3)."
 msgstr ""
 
-#: src/config/options.inc:1316
+#: src/config/options.inc:1397
 msgid "Set window title"
 msgstr ""
 
-#: src/config/options.inc:1318
+#: src/config/options.inc:1399
 msgid ""
-"Set the window title when running in a windowing environment\n"
-"in an xterm-like terminal. This way the document's title is\n"
-"shown on the window titlebar."
+"Set the window title when running in a windowing environment in an xterm-"
+"like terminal. This way the document's title is shown on the window titlebar."
 msgstr ""
 
 #: src/config/opttypes.c:54
@@ -4003,7 +4016,7 @@ msgid "Goto URL History"
 msgstr ""
 
 #. name:
-#: src/cookies/cookies.c:88 src/cookies/cookies.c:911
+#: src/cookies/cookies.c:88 src/cookies/cookies.c:913
 msgid "Cookies"
 msgstr ""
 
@@ -4031,10 +4044,10 @@ msgstr ""
 msgid ""
 "Cookie maximum age (in days):\n"
 "-1 is use cookie's expiration date if any\n"
-"0  is force expiration at the end of session, ignoring cookie's\n"
-"   expiration date\n"
-"1+ is use cookie's expiration date, but limit age to the given\n"
-"   number of days"
+"0  is force expiration at the end of session, ignoring\n"
+"   cookie's expiration date\n"
+"1+ is use cookie's expiration date, but limit age to the\n"
+"   given number of days"
 msgstr ""
 
 #: src/cookies/cookies.c:109
@@ -4043,40 +4056,40 @@ msgstr ""
 
 #: src/cookies/cookies.c:111
 msgid ""
-"When enabled, we'll require three dots in cookies domain for all\n"
-"non-international domains (instead of just two dots). Some countries\n"
-"have generic second level domains (eg. .com.pl, .co.uk) and allowing\n"
-"sites to set cookies for these generic domains could potentially be\n"
-"very bad. Note, it is off by default as it breaks a lot of sites."
+"When enabled, we'll require three dots in cookies domain for all non-"
+"international domains (instead of just two dots). Some countries have "
+"generic second level domains (eg. .com.pl, .co.uk) and allowing sites to set "
+"cookies for these generic domains could potentially be very bad. Note, it is "
+"off by default as it breaks a lot of sites."
 msgstr ""
 
-#: src/cookies/cookies.c:117
+#: src/cookies/cookies.c:118
 msgid "Saving"
 msgstr ""
 
-#: src/cookies/cookies.c:119
+#: src/cookies/cookies.c:120
 msgid "Whether cookies should be loaded from and saved to disk."
 msgstr ""
 
-#: src/cookies/cookies.c:121
+#: src/cookies/cookies.c:123
 msgid "Resaving"
 msgstr ""
 
-#: src/cookies/cookies.c:123
+#: src/cookies/cookies.c:125
 msgid ""
-"Save cookies after each change in cookies list? No effect when\n"
-"cookie saving (cookies.save) is off."
+"Save cookies after each change in cookies list? No effect when cookie saving "
+"(cookies.save) is off."
 msgstr ""
 
-#: src/cookies/cookies.c:817
+#: src/cookies/cookies.c:819
 msgid "Cannot save cookies"
 msgstr ""
 
-#: src/cookies/cookies.c:828
+#: src/cookies/cookies.c:830
 msgid "ELinks was started without a home directory."
 msgstr ""
 
-#: src/cookies/cookies.c:834
+#: src/cookies/cookies.c:836
 msgid "ELinks was started with the -anonymous option."
 msgstr ""
 
@@ -4274,7 +4287,7 @@ msgid "No header info."
 msgstr ""
 
 #: src/dialogs/download.c:243 src/dialogs/menu.c:601
-#: src/protocol/bittorrent/dialogs.c:228 src/session/download.c:361
+#: src/protocol/bittorrent/dialogs.c:228 src/session/download.c:387
 msgid "Download"
 msgstr ""
 
@@ -5070,7 +5083,7 @@ msgid "No document"
 msgstr ""
 
 #. name:
-#: src/document/css/css.c:30 src/document/css/css.c:161
+#: src/document/css/css.c:30 src/document/css/css.c:164
 msgid "Cascading Style Sheets"
 msgstr ""
 
@@ -5078,35 +5091,35 @@ msgstr ""
 msgid "Options concerning how to use CSS for styling documents."
 msgstr ""
 
-#: src/document/css/css.c:34
+#: src/document/css/css.c:35
 msgid "Enable CSS"
 msgstr ""
 
-#: src/document/css/css.c:36
+#: src/document/css/css.c:37
 msgid "Enable adding of CSS style info to documents."
 msgstr ""
 
-#: src/document/css/css.c:38
+#: src/document/css/css.c:39
 msgid "Import external style sheets"
 msgstr ""
 
-#: src/document/css/css.c:40
+#: src/document/css/css.c:41
 msgid ""
-"When enabled any external style sheets that are imported from\n"
-"either CSS itself using the @import keyword or from the HTML using\n"
-"<link> tags in the document header will also be downloaded."
+"When enabled any external style sheets that are imported from either CSS "
+"itself using the @import keyword or from the HTML using <link> tags in the "
+"document header will also be downloaded."
 msgstr ""
 
-#: src/document/css/css.c:44
+#: src/document/css/css.c:46
 msgid "Default style sheet"
 msgstr ""
 
-#: src/document/css/css.c:46
+#: src/document/css/css.c:48
 msgid ""
-"The path to the file containing the default user defined\n"
-"Cascading Style Sheet. It can be used to control the basic\n"
-"layout of HTML documents. The path is assumed to be relative\n"
-"to ELinks' home directory.\n"
+"The path to the file containing the default user defined Cascading Style "
+"Sheet. It can be used to control the basic layout of HTML documents. The "
+"path is assumed to be relative to ELinks' home directory.\n"
+"\n"
 "Leave as \"\" to use built-in document styling."
 msgstr ""
 
@@ -5137,8 +5150,8 @@ msgstr ""
 
 #: src/ecmascript/ecmascript.c:55
 msgid ""
-"Whether to ignore content enclosed by the <noscript> tag\n"
-"when ECMAScript is enabled."
+"Whether to ignore content enclosed by the <noscript> tag when ECMAScript is "
+"enabled."
 msgstr ""
 
 #: src/ecmascript/ecmascript.c:58
@@ -5189,7 +5202,7 @@ msgid "JavaScript Error"
 msgstr ""
 
 #. name:
-#: src/ecmascript/spidermonkey.c:320
+#: src/ecmascript/spidermonkey.c:321
 msgid "SpiderMonkey"
 msgstr ""
 
@@ -5279,9 +5292,8 @@ msgstr ""
 
 #: src/formhist/formhist.c:38
 msgid ""
-"Ask if a login form should be saved to file or not.\n"
-"This option only disables the dialog, already saved login\n"
-"forms are unaffected."
+"Ask if a login form should be saved to file or not. This option only "
+"disables the dialog, already saved login forms are unaffected."
 msgstr ""
 
 #: src/formhist/formhist.c:426
@@ -5375,19 +5387,19 @@ msgstr ""
 msgid "Enable global history (\"history of all pages visited\")."
 msgstr ""
 
-#: src/globhist/globhist.c:68
+#: src/globhist/globhist.c:69
 msgid "Maximum number of entries"
 msgstr ""
 
-#: src/globhist/globhist.c:70
+#: src/globhist/globhist.c:71
 msgid "Maximum number of entries in the global history."
 msgstr ""
 
-#: src/globhist/globhist.c:72
+#: src/globhist/globhist.c:73
 msgid "Display style"
 msgstr ""
 
-#: src/globhist/globhist.c:74
+#: src/globhist/globhist.c:75
 msgid ""
 "What to display in global history dialog:\n"
 "0 is URLs\n"
@@ -5395,7 +5407,7 @@ msgid ""
 msgstr ""
 
 #. name:
-#: src/globhist/globhist.c:451
+#: src/globhist/globhist.c:449
 msgid "Global History"
 msgstr ""
 
@@ -5616,98 +5628,92 @@ msgstr ""
 
 #: src/mime/backend/default.c:27
 msgid ""
-"Handler <-> MIME type association. The first sub-tree is the MIME\n"
-"class while the second sub-tree is the MIME type (ie. image/gif\n"
-"handler will reside at mime.type.image.gif). Each MIME type option\n"
-"should contain (case-sensitive) name of the MIME handler (its\n"
-"properties are stored at mime.handler.<name>)."
+"Handler <-> MIME type association. The first sub-tree is the MIME class "
+"while the second sub-tree is the MIME type (ie. image/gif handler will "
+"reside at mime.type.image.gif). Each MIME type option should contain (case-"
+"sensitive) name of the MIME handler (its properties are stored at mime."
+"handler.<name>)."
 msgstr ""
 
-#: src/mime/backend/default.c:35
+#: src/mime/backend/default.c:36
 msgid ""
-"Handler matching this MIME-type class ('*' is used here in place\n"
-"of '.')."
+"Handler matching this MIME-type class ('*' is used here in place of '.')."
 msgstr ""
 
-#: src/mime/backend/default.c:40
+#: src/mime/backend/default.c:41
 msgid ""
-"Handler matching this MIME-type name ('*' is used here in place\n"
-"of '.')."
+"Handler matching this MIME-type name ('*' is used here in place of '.')."
 msgstr ""
 
-#: src/mime/backend/default.c:44
+#: src/mime/backend/default.c:45
 msgid "File type handlers"
 msgstr ""
 
-#: src/mime/backend/default.c:46
+#: src/mime/backend/default.c:47
 msgid ""
-"A file type handler is a set of information about how to use\n"
-"an external program to view a file. It is possible to refer to it\n"
-"for several MIME types -- e.g., you can define an 'image' handler\n"
-"to which mime.type.image.png, mime.type.image.jpeg, and so on will\n"
-"refer; or one might define a handler for a more specific type of file\n"
-"-- e.g., PDF files.\n"
-"Note you must define both a MIME handler and a MIME type association\n"
-"for it to work."
+"A file type handler is a set of information about how to use an external "
+"program to view a file. It is possible to refer to it for several MIME types "
+"-- e.g., you can define an 'image' handler to which mime.type.image.png, "
+"mime.type.image.jpeg, and so on will refer; or one might define a handler "
+"for a more specific type of file -- e.g., PDF files. Note you must define "
+"both a MIME handler and a MIME type association for it to work."
 msgstr ""
 
-#: src/mime/backend/default.c:57
+#: src/mime/backend/default.c:58
 msgid "Description of this handler."
 msgstr ""
 
-#: src/mime/backend/default.c:61
+#: src/mime/backend/default.c:62
 msgid "System-specific handler description (ie. unix, unix-xwin, ...)."
 msgstr ""
 
-#: src/mime/backend/default.c:63 src/mime/backend/mailcap.c:102
+#: src/mime/backend/default.c:65 src/mime/backend/mailcap.c:102
 msgid "Ask before opening"
 msgstr ""
 
-#: src/mime/backend/default.c:65
+#: src/mime/backend/default.c:67
 msgid "Ask before opening."
 msgstr ""
 
-#: src/mime/backend/default.c:67
+#: src/mime/backend/default.c:69
 msgid "Block terminal"
 msgstr ""
 
-#: src/mime/backend/default.c:69
+#: src/mime/backend/default.c:71
 msgid "Block the terminal when the handler is running."
 msgstr ""
 
-#: src/mime/backend/default.c:71
+#: src/mime/backend/default.c:73
 msgid "Program"
 msgstr ""
 
-#: src/mime/backend/default.c:74
+#: src/mime/backend/default.c:76
 #, no-c-format
 msgid ""
-"External viewer for this file type. '%' in this string will be\n"
-"substituted by a file name.\n"
-"Do _not_ put single- or double-quotes around the % sign."
+"External viewer for this file type. '%' in this string will be substituted "
+"by a file name. Do _not_ put single- or double-quotes around the % sign."
 msgstr ""
 
-#: src/mime/backend/default.c:79
+#: src/mime/backend/default.c:81
 msgid "File extension associations"
 msgstr ""
 
-#: src/mime/backend/default.c:81
+#: src/mime/backend/default.c:83
 msgid "Extension <-> MIME type association."
 msgstr ""
 
-#: src/mime/backend/default.c:85
+#: src/mime/backend/default.c:87
 msgid ""
-"MIME-type matching this file extension ('*' is used here in place\n"
-"of '.')."
+"MIME-type matching this file extension ('*' is used here in place of '.')."
 msgstr ""
 
 #. name:
-#: src/mime/backend/default.c:216
+#: src/mime/backend/default.c:218
 msgid "Option system"
 msgstr ""
 
 #. name:
-#: src/mime/backend/mailcap.c:89 src/mime/backend/mailcap.c:684
+#: src/mime/backend/mailcap.c:89 src/mime/backend/mailcap.c:686
 msgid "Mailcap"
 msgstr ""
 
@@ -5721,8 +5727,8 @@ msgstr ""
 
 #: src/mime/backend/mailcap.c:99
 msgid ""
-"Mailcap search path. Colon-separated list of files.\n"
-"Leave as \"\" to use MAILCAP environment variable instead."
+"Mailcap search path. Colon-separated list of files. Leave as \"\" to use "
+"MAILCAP environment variable instead."
 msgstr ""
 
 #: src/mime/backend/mailcap.c:104
@@ -5735,39 +5741,38 @@ msgstr ""
 
 #: src/mime/backend/mailcap.c:108
 msgid ""
-"Type of description to show in \"what to do with this file\"\n"
-"query dialog:\n"
+"Type of description to show in \"what to do with this file\" query dialog:\n"
 "0 is show \"mailcap\"\n"
 "1 is show program to be run\n"
-"2 is show mailcap description field if any; \"mailcap\" otherwise"
+"2 is show mailcap description field if any;\n"
+"     \"mailcap\" otherwise"
 msgstr ""
 
-#: src/mime/backend/mailcap.c:114
+#: src/mime/backend/mailcap.c:115
 msgid "Prioritize entries by file"
 msgstr ""
 
-#: src/mime/backend/mailcap.c:116
+#: src/mime/backend/mailcap.c:117
 msgid ""
-"Prioritize entries by the order of the files in the mailcap\n"
-"path. This means that wildcard entries (like: image/*) will\n"
-"also be checked before deciding the handler."
+"Prioritize entries by the order of the files in the mailcap path. This means "
+"that wildcard entries (like: image/*) will also be checked before deciding "
+"the handler."
 msgstr ""
 
-#: src/mime/backend/mailcap.c:349
+#: src/mime/backend/mailcap.c:351
 #, c-format
 msgid "Badly formated mailcap entry for type %s in \"%s\" line %d"
 msgstr ""
 
 #. name:
-#: src/mime/backend/mimetypes.c:46 src/mime/backend/mimetypes.c:279
+#: src/mime/backend/mimetypes.c:46 src/mime/backend/mimetypes.c:280
 msgid "Mimetypes files"
 msgstr ""
 
 #: src/mime/backend/mimetypes.c:48
 msgid ""
-"Options for the support of mime.types files. These files\n"
-"can be used to find the content type of a URL by looking at\n"
-"the extension of the file name."
+"Options for the support of mime.types files. These files can be used to find "
+"the content type of a URL by looking at the extension of the file name."
 msgstr ""
 
 #: src/mime/backend/mimetypes.c:54
@@ -5804,7 +5809,7 @@ msgid "No extensions"
 msgstr ""
 
 #. name:
-#: src/mime/mime.c:38 src/mime/mime.c:360
+#: src/mime/mime.c:38 src/mime/mime.c:361
 msgid "MIME"
 msgstr ""
 
@@ -5818,8 +5823,8 @@ msgstr ""
 
 #: src/mime/mime.c:44
 msgid ""
-"Document MIME-type to assume by default (when we are unable to\n"
-"guess it properly from known information about the document)."
+"Document MIME-type to assume by default (when we are unable to guess it "
+"properly from known information about the document)."
 msgstr ""
 
 #: src/network/ssl/ssl.c:72 src/network/ssl/ssl.c:161
@@ -5828,8 +5833,8 @@ msgstr ""
 
 #: src/network/ssl/ssl.c:74
 msgid ""
-"Verify the peer's SSL certificate. Note that this\n"
-"needs extensive configuration of OpenSSL by the user."
+"Verify the peer's SSL certificate. Note that this needs extensive "
+"configuration of OpenSSL by the user."
 msgstr ""
 
 #: src/network/ssl/ssl.c:77
@@ -5842,8 +5847,8 @@ msgstr ""
 
 #: src/network/ssl/ssl.c:83
 msgid ""
-"Enable or not the sending of X509 client certificates\n"
-"to servers which request them."
+"Enable or not the sending of X509 client certificates to servers which "
+"request them."
 msgstr ""
 
 #: src/network/ssl/ssl.c:86
@@ -5852,16 +5857,15 @@ msgstr ""
 
 #: src/network/ssl/ssl.c:88
 msgid ""
-"The location of a file containing the client certificate\n"
-"and unencrypted private key in PEM format. If unset, the\n"
-"file pointed to by the X509_CLIENT_CERT variable is used\n"
-"instead."
+"The location of a file containing the client certificate and unencrypted "
+"private key in PEM format. If unset, the file pointed to by the "
+"X509_CLIENT_CERT variable is used instead."
 msgstr ""
 
 #: src/network/ssl/ssl.c:163
 msgid ""
-"Verify the peer's SSL certificate.  If you enable\n"
-"this, set also \"Trusted CA file\"."
+"Verify the peer's SSL certificate.  If you enable this, set also \"Trusted "
+"CA file\"."
 msgstr ""
 
 #. The default value of the following option points to a file
@@ -5878,20 +5882,20 @@ msgstr ""
 
 #: src/network/ssl/ssl.c:176
 msgid ""
-"The location of a file containing certificates of\n"
-"trusted certification authorities in PEM format.\n"
-"ELinks then trusts certificates issued by these CAs.\n"
-"If you change this option or the file, you must\n"
-"restart ELinks for the changes to take effect.\n"
-"This option affects GnuTLS but not OpenSSL."
+"The location of a file containing certificates of trusted certification "
+"authorities in PEM format. ELinks then trusts certificates issued by these "
+"CAs.\n"
+"\n"
+"If you change this option or the file, you must restart ELinks for the "
+"changes to take effect. This option affects GnuTLS but not OpenSSL."
 msgstr ""
 
 #. name:
-#: src/network/ssl/ssl.c:199 src/network/ssl/ssl.c:216
+#: src/network/ssl/ssl.c:200 src/network/ssl/ssl.c:217
 msgid "SSL"
 msgstr ""
 
-#: src/network/ssl/ssl.c:201
+#: src/network/ssl/ssl.c:202
 msgid "SSL options."
 msgstr ""
 
@@ -6215,7 +6219,7 @@ msgstr ""
 msgid "Login"
 msgstr ""
 
-#: src/protocol/auth/dialogs.c:113 src/protocol/http/http.c:140
+#: src/protocol/auth/dialogs.c:113 src/protocol/http/http.c:142
 msgid "Password"
 msgstr ""
 
@@ -6283,7 +6287,7 @@ msgstr ""
 
 #. name:
 #: src/protocol/bittorrent/bittorrent.c:26
-#: src/protocol/bittorrent/bittorrent.c:335
+#: src/protocol/bittorrent/bittorrent.c:339
 msgid "BitTorrent"
 msgstr ""
 
@@ -6335,9 +6339,8 @@ msgstr ""
 
 #: src/protocol/bittorrent/bittorrent.c:57
 msgid ""
-"Whether to request that the tracker returns peer info\n"
-"in compact format. Note, the compact format only supports\n"
-"IPv4 addresses."
+"Whether to request that the tracker returns peer info in compact format. "
+"Note, the compact format only supports IPv4 addresses."
 msgstr ""
 
 #: src/protocol/bittorrent/bittorrent.c:61
@@ -6346,55 +6349,53 @@ msgstr ""
 
 #: src/protocol/bittorrent/bittorrent.c:63
 msgid ""
-"The number of seconds to wait between periodically contacting\n"
-"the tracker for announcing progress and requesting more peers.\n"
-"Set to zero to use the interval requested by the tracker."
+"The number of seconds to wait between periodically contacting the tracker "
+"for announcing progress and requesting more peers. Set to zero to use the "
+"interval requested by the tracker."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:67
+#: src/protocol/bittorrent/bittorrent.c:68
 msgid "IP-address to announce"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:69
+#: src/protocol/bittorrent/bittorrent.c:70
 msgid ""
-"What IP address to report to the tracker. If set to \"\"\n"
-"no IP address will be sent and the tracker will automatically\n"
-"determine an appropriate IP address."
+"What IP address to report to the tracker. If set to \"\" no IP address will "
+"be sent and the tracker will automatically determine an appropriate IP "
+"address."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:73
+#: src/protocol/bittorrent/bittorrent.c:74
 msgid "User identification string"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:75
+#: src/protocol/bittorrent/bittorrent.c:76
 msgid ""
-"An additional identification that is not shared with any users.\n"
-"It is intended to allow a client to prove their identity should\n"
-"their IP address change. It is an optional parameter, but some\n"
-"trackers require this parameter. If set to \"\" no user key will\n"
-"be sent to the tracker."
+"An additional identification that is not shared with any users. It is "
+"intended to allow a client to prove their identity should their IP address "
+"change. It is an optional parameter, but some trackers require this "
+"parameter. If set to \"\" no user key will be sent to the tracker."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:81
+#: src/protocol/bittorrent/bittorrent.c:82
 msgid "Maximum number of peers to request"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:83
+#: src/protocol/bittorrent/bittorrent.c:84
 msgid ""
-"The maximum number of peers to request from the tracker.\n"
-"Set to 0 to use the server default."
+"The maximum number of peers to request from the tracker. Set to 0 to use the "
+"server default."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:86
+#: src/protocol/bittorrent/bittorrent.c:87
 msgid "Minimum peers to skip rerequesting"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:88
+#: src/protocol/bittorrent/bittorrent.c:89
 msgid ""
-"The minimum number of peers to have in the current peer info\n"
-"pool before skipping requesting of more peers. I.e. setting\n"
-"numwant to zero.\n"
-"Set to 0 to not have any limit."
+"The minimum number of peers to have in the current peer info pool before "
+"skipping requesting of more peers. I.e. setting numwant to zero. Set to 0 to "
+"not have any limit."
 msgstr ""
 
 #. ******************************************************************
@@ -6414,176 +6415,171 @@ msgstr ""
 
 #: src/protocol/bittorrent/bittorrent.c:104
 msgid ""
-"The maximum number of allowed connections to both active and\n"
-"non-active peers. By increasing the number of allowed connections,\n"
-"the chance of finding good peers to download from is increased.\n"
-"However, too many connections can lead to TCP congestion. If the\n"
-"maximum is reached all new incoming connections will be closed."
+"The maximum number of allowed connections to both active and non-active "
+"peers. By increasing the number of allowed connections, the chance of "
+"finding good peers to download from is increased. However, too many "
+"connections can lead to TCP congestion. If the maximum is reached all new "
+"incoming connections will be closed."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:110
+#: src/protocol/bittorrent/bittorrent.c:111
 msgid "Maximum peer message length"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:112
+#: src/protocol/bittorrent/bittorrent.c:113
 msgid ""
-"The maximum length of messages to accept over the wire.\n"
-"Larger values will cause the connection to be dropped."
+"The maximum length of messages to accept over the wire. Larger values will "
+"cause the connection to be dropped."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:115
+#: src/protocol/bittorrent/bittorrent.c:116
 msgid "Maximum allowed request length"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:117
+#: src/protocol/bittorrent/bittorrent.c:118
 msgid ""
-"The maximum length to allow for incoming requests.\n"
-"Larger requests will cause the connection to be dropped."
+"The maximum length to allow for incoming requests. Larger requests will "
+"cause the connection to be dropped."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:120
+#: src/protocol/bittorrent/bittorrent.c:121
 msgid "Length of requests"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:122
+#: src/protocol/bittorrent/bittorrent.c:123
 msgid ""
-"How many bytes to query for per request. This is complementary\n"
-"to the max_request_length option. If the configured length is\n"
-"bigger than the piece length it will be truncated."
+"How many bytes to query for per request. This is complementary to the "
+"max_request_length option. If the configured length is bigger than the piece "
+"length it will be truncated."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:126
+#: src/protocol/bittorrent/bittorrent.c:128
 msgid "Peer inactivity timeout"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:128
+#: src/protocol/bittorrent/bittorrent.c:130
 msgid ""
-"The number of seconds to wait before closing a socket on\n"
-"which nothing has been received or sent."
+"The number of seconds to wait before closing a socket on which nothing has "
+"been received or sent."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:131
+#: src/protocol/bittorrent/bittorrent.c:133
 msgid "Maximum peer pool size"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:133
+#: src/protocol/bittorrent/bittorrent.c:135
 msgid ""
-"Maximum number of items in the peer pool. The peer pool\n"
-"contains information used for establishing connections to\n"
-"new peers.\n"
+"Maximum number of items in the peer pool. The peer pool contains information "
+"used for establishing connections to new peers.\n"
+"\n"
 "Set to 0 to have unlimited size."
 msgstr ""
 
 #. ******************************************************************
 #. Piece management options:
 #. ******************************************************************
-#: src/protocol/bittorrent/bittorrent.c:143
+#: src/protocol/bittorrent/bittorrent.c:146
 msgid "Maximum piece cache size"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:145
+#: src/protocol/bittorrent/bittorrent.c:148
 msgid ""
-"The maximum amount of memory used to hold recently\n"
-"downloaded pieces.\n"
+"The maximum amount of memory used to hold recently downloaded pieces.\n"
+"\n"
 "Set to 0 to have unlimited size."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:154
+#: src/protocol/bittorrent/bittorrent.c:158
 msgid "Sharing rate"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:156
+#: src/protocol/bittorrent/bittorrent.c:160
 msgid ""
-"The minimum sharing rate to achieve before stop seeding.\n"
-"The sharing rate is computed as the number of uploaded bytes\n"
-"divided with the number of downloaded bytes. The value should\n"
-"be a double value between 0.0 and 1.0 both included.\n"
-"Set to 1.0 to atleast upload a complete copy of all data and\n"
+"The minimum sharing rate to achieve before stop seeding. The sharing rate is "
+"computed as the number of uploaded bytes divided with the number of "
+"downloaded bytes. The value should be a double value between 0.0 and 1.0 "
+"both included. Set to 1.0 to atleast upload a complete copy of all data and "
 "set to 0.0 to have unlimited sharing rate."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:163
+#: src/protocol/bittorrent/bittorrent.c:167
 msgid "Maximum number of uploads"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:165
+#: src/protocol/bittorrent/bittorrent.c:169
 msgid "The maximum number of uploads to allow at once."
 msgstr ""
 
 #. The number of uploads to fill out to with extra optimistic unchokes
-#: src/protocol/bittorrent/bittorrent.c:168
+#: src/protocol/bittorrent/bittorrent.c:172
 msgid "Minimum number of uploads"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:170
+#: src/protocol/bittorrent/bittorrent.c:174
 msgid ""
-"The minimum number of uploads which should at least\n"
-"be used for new connections."
+"The minimum number of uploads which should at least be used for new "
+"connections."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:174
+#: src/protocol/bittorrent/bittorrent.c:178
 msgid "Keepalive interval"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:176
-msgid ""
-"The number of seconds to pause between sending keepalive\n"
-"messages."
+#: src/protocol/bittorrent/bittorrent.c:180
+msgid "The number of seconds to pause between sending keepalive messages."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:179
+#: src/protocol/bittorrent/bittorrent.c:183
 msgid "Number of pending requests"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:181
+#: src/protocol/bittorrent/bittorrent.c:185
 msgid ""
-"How many piece requests to continuously keep in queue. Pipelining\n"
-"of requests is essential to saturate connections and get a good\n"
-"connection performance and thus a faster download. However, a\n"
-"very big queue size can lead to wasting bandwidth near the end\n"
-"of the connection since remaining piece blocks will be requested\n"
-"from multiple peers."
+"How many piece requests to continuously keep in queue. Pipelining of "
+"requests is essential to saturate connections and get a good connection "
+"performance and thus a faster download. However, a very big queue size can "
+"lead to wasting bandwidth near the end of the connection since remaining "
+"piece blocks will be requested from multiple peers."
 msgstr ""
 
 #. Bram uses 30 seconds here.
-#: src/protocol/bittorrent/bittorrent.c:190
+#: src/protocol/bittorrent/bittorrent.c:194
 msgid "Peer snubbing interval"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:192
+#: src/protocol/bittorrent/bittorrent.c:196
 msgid ""
-"The number of seconds to wait for file data before assuming\n"
-"the peer has been snubbed."
+"The number of seconds to wait for file data before assuming the peer has "
+"been snubbed."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:195
+#: src/protocol/bittorrent/bittorrent.c:199
 msgid "Peer choke interval"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:197
+#: src/protocol/bittorrent/bittorrent.c:201
 msgid ""
-"The number of seconds between updating the connection state\n"
-"and most importantly choke and unchoke peer connections. The\n"
-"choke period should be big enough for newly unchoked connections\n"
-"to get started but small enough to not allow freeriders too much\n"
-"room for stealing bandwidth."
+"The number of seconds between updating the connection state and most "
+"importantly choke and unchoke peer connections. The choke period should be "
+"big enough for newly unchoked connections to get started but small enough to "
+"not allow freeriders too much room for stealing bandwidth."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:203
+#: src/protocol/bittorrent/bittorrent.c:207
 msgid "Rarest first piece selection cutoff"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:205
+#: src/protocol/bittorrent/bittorrent.c:209
 msgid ""
-"The number of pieces to obtain before switching piece\n"
-"selection strategy from random to rarest first."
+"The number of pieces to obtain before switching piece selection strategy "
+"from random to rarest first."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:208 src/protocol/http/http.c:109
+#: src/protocol/bittorrent/bittorrent.c:212 src/protocol/http/http.c:109
 msgid "Allow blacklisting"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:210
+#: src/protocol/bittorrent/bittorrent.c:214
 msgid "Allow blacklisting of buggy peers."
 msgstr ""
 
@@ -6615,7 +6611,7 @@ msgstr ""
 msgid "Comment"
 msgstr ""
 
-#: src/protocol/bittorrent/dialogs.c:229 src/session/download.c:362
+#: src/protocol/bittorrent/dialogs.c:229 src/session/download.c:388
 #, c-format
 msgid ""
 "Download complete:\n"
@@ -6772,7 +6768,7 @@ msgid_plural "%u unavailable"
 msgstr[0] ""
 msgstr[1] ""
 
-#: src/protocol/bittorrent/dialogs.c:584 src/session/session.c:278
+#: src/protocol/bittorrent/dialogs.c:584 src/session/session.c:279
 #, c-format
 msgid "Unable to retrieve %s"
 msgstr ""
@@ -6786,7 +6782,7 @@ msgstr ""
 msgid "Information about the torrent"
 msgstr ""
 
-#: src/protocol/bittorrent/dialogs.c:776 src/session/download.c:1106
+#: src/protocol/bittorrent/dialogs.c:776 src/session/download.c:1132
 msgid "What to do?"
 msgstr ""
 
@@ -6796,12 +6792,12 @@ msgid "Down~load"
 msgstr ""
 
 #. accelerator_context(src/protocol/bittorrent/dialogs.c:bittorrent_query_callback, src/session/download.c:do_type_query)
-#: src/protocol/bittorrent/dialogs.c:804 src/session/download.c:1209
+#: src/protocol/bittorrent/dialogs.c:804 src/session/download.c:1235
 msgid "~Display"
 msgstr ""
 
 #. accelerator_context(src/protocol/bittorrent/dialogs.c:bittorrent_query_callback, src/session/download.c:do_type_query)
-#: src/protocol/bittorrent/dialogs.c:808 src/session/download.c:1213
+#: src/protocol/bittorrent/dialogs.c:808 src/session/download.c:1239
 msgid "Show ~header"
 msgstr ""
 
@@ -6817,16 +6813,16 @@ msgstr ""
 msgid "Colon separated list of directories, where CGI scripts are stored."
 msgstr ""
 
-#: src/protocol/file/cgi.c:47
+#: src/protocol/file/cgi.c:48
 msgid "Allow local CGI"
 msgstr ""
 
-#: src/protocol/file/cgi.c:49
+#: src/protocol/file/cgi.c:50
 msgid "Whether to execute local CGI scripts."
 msgstr ""
 
 #. name:
-#: src/protocol/file/cgi.c:54
+#: src/protocol/file/cgi.c:55
 msgid "CGI"
 msgstr ""
 
@@ -6844,9 +6840,8 @@ msgstr ""
 
 #: src/protocol/file/file.c:46
 msgid ""
-"Whether to allow reading from non-regular files.\n"
-"Note this can be dangerous; reading /dev/urandom or\n"
-"/dev/zero can ruin your day!"
+"Whether to allow reading from non-regular files. Note this can be dangerous; "
+"reading /dev/urandom or /dev/zero can ruin your day!"
 msgstr ""
 
 #: src/protocol/file/file.c:50
@@ -6855,8 +6850,8 @@ msgstr ""
 
 #: src/protocol/file/file.c:52
 msgid ""
-"When set to false, files with name starting with a dot will be\n"
-"hidden in local directory listings."
+"When set to false, files with name starting with a dot will be hidden in "
+"local directory listings."
 msgstr ""
 
 #: src/protocol/file/file.c:55
@@ -6865,13 +6860,13 @@ msgstr ""
 
 #: src/protocol/file/file.c:57
 msgid ""
-"When set, if we can't open a file named 'filename', we'll try\n"
-"to open 'filename' with some encoding extension appended\n"
-"(ie. 'filename.gz'); it depends on the supported encodings."
+"When set, if we can't open a file named 'filename', we'll try to open "
+"'filename' with some encoding extension appended (ie. 'filename.gz'); it "
+"depends on the supported encodings."
 msgstr ""
 
 #. name:
-#: src/protocol/file/file.c:65
+#: src/protocol/file/file.c:66
 msgid "File"
 msgstr ""
 
@@ -6898,7 +6893,7 @@ msgid "Whether to sort entries in direct
 msgstr ""
 
 #. name:
-#: src/protocol/ftp/ftp.c:56 src/protocol/ftp/ftp.c:86
+#: src/protocol/ftp/ftp.c:56 src/protocol/ftp/ftp.c:89
 msgid "FTP"
 msgstr ""
 
@@ -6906,8 +6901,8 @@ msgstr ""
 msgid "FTP specific options."
 msgstr ""
 
-#: src/protocol/ftp/ftp.c:60 src/protocol/http/http.c:127
-#: src/protocol/http/http.c:209
+#: src/protocol/ftp/ftp.c:60 src/protocol/http/http.c:128
+#: src/protocol/http/http.c:235
 msgid "Proxy configuration"
 msgstr ""
 
@@ -6915,38 +6910,38 @@ msgstr ""
 msgid "FTP proxy configuration."
 msgstr ""
 
-#: src/protocol/ftp/ftp.c:64 src/protocol/http/http.c:131
-#: src/protocol/http/http.c:213
+#: src/protocol/ftp/ftp.c:64 src/protocol/http/http.c:132
+#: src/protocol/http/http.c:239
 msgid "Host and port-number"
 msgstr ""
 
 #: src/protocol/ftp/ftp.c:66
 msgid ""
-"Host and port-number (host:port) of the FTP proxy, or blank.\n"
-"If it's blank, FTP_PROXY environment variable is checked as well."
+"Host and port-number (host:port) of the FTP proxy, or blank. If it's blank, "
+"FTP_PROXY environment variable is checked as well."
 msgstr ""
 
-#: src/protocol/ftp/ftp.c:69
+#: src/protocol/ftp/ftp.c:70
 msgid "Anonymous password"
 msgstr ""
 
-#: src/protocol/ftp/ftp.c:71
+#: src/protocol/ftp/ftp.c:72
 msgid "FTP anonymous password to be sent."
 msgstr ""
 
-#: src/protocol/ftp/ftp.c:73
+#: src/protocol/ftp/ftp.c:74
 msgid "Use passive mode (IPv4)"
 msgstr ""
 
-#: src/protocol/ftp/ftp.c:75
+#: src/protocol/ftp/ftp.c:76
 msgid "Use PASV instead of PORT (passive vs active mode, IPv4 only)."
 msgstr ""
 
-#: src/protocol/ftp/ftp.c:77
+#: src/protocol/ftp/ftp.c:79
 msgid "Use passive mode (IPv6)"
 msgstr ""
 
-#: src/protocol/ftp/ftp.c:79
+#: src/protocol/ftp/ftp.c:81
 msgid "Use EPSV instead of EPRT (passive vs active mode, IPv6 only)."
 msgstr ""
 
@@ -6973,7 +6968,7 @@ msgid ""
 msgstr ""
 
 #. name:
-#: src/protocol/http/http.c:95 src/protocol/http/http.c:223
+#: src/protocol/http/http.c:95 src/protocol/http/http.c:250
 msgid "HTTP"
 msgstr ""
 
@@ -6995,8 +6990,8 @@ msgstr ""
 
 #: src/protocol/http/http.c:106
 msgid ""
-"The Accept-Charset header is quite long and sending it can trigger\n"
-"bugs in some rarely found servers."
+"The Accept-Charset header is quite long and sending it can trigger bugs in "
+"some rarely found servers."
 msgstr ""
 
 #: src/protocol/http/http.c:111
@@ -7009,68 +7004,68 @@ msgstr ""
 
 #: src/protocol/http/http.c:115
 msgid ""
-"Broken 302 redirect (violates RFC but compatible with Netscape).\n"
-"This is a problem for a lot of web discussion boards and the like.\n"
-"If they will do strange things to you, try to play with this."
+"Broken 302 redirect (violates RFC but compatible with Netscape). This is a "
+"problem for a lot of web discussion boards and the like. If they will do "
+"strange things to you, try to play with this."
 msgstr ""
 
-#: src/protocol/http/http.c:119
+#: src/protocol/http/http.c:120
 msgid "No keepalive after POST requests"
 msgstr ""
 
-#: src/protocol/http/http.c:121
+#: src/protocol/http/http.c:122
 msgid "Disable keepalive connection after POST request."
 msgstr ""
 
-#: src/protocol/http/http.c:123
+#: src/protocol/http/http.c:124
 msgid "Use HTTP/1.0"
 msgstr ""
 
-#: src/protocol/http/http.c:125
+#: src/protocol/http/http.c:126
 msgid "Use HTTP/1.0 protocol instead of HTTP/1.1."
 msgstr ""
 
-#: src/protocol/http/http.c:129
+#: src/protocol/http/http.c:130
 msgid "HTTP proxy configuration."
 msgstr ""
 
-#: src/protocol/http/http.c:133
+#: src/protocol/http/http.c:134
 msgid ""
-"Host and port-number (host:port) of the HTTP proxy, or blank.\n"
-"If it's blank, HTTP_PROXY environment variable is checked as well."
+"Host and port-number (host:port) of the HTTP proxy, or blank. If it's blank, "
+"HTTP_PROXY environment variable is checked as well."
 msgstr ""
 
-#: src/protocol/http/http.c:136
+#: src/protocol/http/http.c:138
 msgid "Username"
 msgstr ""
 
-#: src/protocol/http/http.c:138
+#: src/protocol/http/http.c:140
 msgid "Proxy authentication username."
 msgstr ""
 
-#: src/protocol/http/http.c:142
+#: src/protocol/http/http.c:144
 msgid "Proxy authentication password."
 msgstr ""
 
-#: src/protocol/http/http.c:145
+#: src/protocol/http/http.c:147
 msgid "Referer sending"
 msgstr ""
 
-#: src/protocol/http/http.c:147
+#: src/protocol/http/http.c:149
 msgid ""
-"HTTP referer sending options. HTTP referer is a special header\n"
-"sent in the HTTP requests, which is supposed to contain the previous\n"
-"page visited by the browser. This way, the server can know what link\n"
-"did you follow when accessing that page. However, this behaviour\n"
-"can unfortunately considerably affect privacy and can lead even to a\n"
-"security problem on some badly designed web pages."
+"HTTP referer sending options. HTTP referer is a special header sent in the "
+"HTTP requests, which is supposed to contain the previous page visited by the "
+"browser.This way, the server can know what link did you follow when "
+"accessing that page. However, this behaviour can unfortunately considerably "
+"affect privacy and can lead even to a security problem on some badly "
+"designed web pages."
 msgstr ""
 
-#: src/protocol/http/http.c:154
+#: src/protocol/http/http.c:157
 msgid "Policy"
 msgstr ""
 
-#: src/protocol/http/http.c:157
+#: src/protocol/http/http.c:160
 msgid ""
 "Mode of sending HTTP referer:\n"
 "0 is send no referer\n"
@@ -7079,89 +7074,109 @@ msgid ""
 "3 is send previous URL as referer (correct, but insecure)"
 msgstr ""
 
-#: src/protocol/http/http.c:163
+#: src/protocol/http/http.c:166
 msgid "Fake referer URL"
 msgstr ""
 
-#: src/protocol/http/http.c:165
+#: src/protocol/http/http.c:168
 msgid "Fake referer to be sent when policy is 2."
 msgstr ""
 
-#: src/protocol/http/http.c:168
+#: src/protocol/http/http.c:171
 msgid "Send Accept-Language header"
 msgstr ""
 
-#: src/protocol/http/http.c:170
+#: src/protocol/http/http.c:173
 msgid "Send Accept-Language header."
 msgstr ""
 
-#: src/protocol/http/http.c:172
+#: src/protocol/http/http.c:175
 msgid "Use UI language as Accept-Language"
 msgstr ""
 
-#: src/protocol/http/http.c:174
+#: src/protocol/http/http.c:177
 msgid ""
-"Request localised versions of documents from web-servers (using the\n"
-"Accept-Language header) using the language you have configured for\n"
-"ELinks' user-interface (this also affects navigator.language ECMAScript\n"
-"value available to scripts). Note that some see this as a potential\n"
-"security risk because it tells web-masters and the FBI sniffers about\n"
-"your language preference."
+"Request localised versions of documents from web-servers (using the Accept-"
+"Language header) using the language you have configured for ELinks' user-"
+"interface (this also affects navigator.language ECMAScript value available "
+"to scripts). Note that some see this as a potential security risk because it "
+"tells web-masters and the FBI sniffers about your language preference."
+msgstr ""
+
+#. After the compression support has been tested enough,
+#. * we might wrap this option in #if CFG_DEBUG.
+#: src/protocol/http/http.c:187
+msgid "Enable on-the-fly compression"
 msgstr ""
 
-#: src/protocol/http/http.c:181
+#: src/protocol/http/http.c:189
+msgid ""
+"If enabled, the capability to receive compressed content (gzip and/or bzip2) "
+"is announced to the server, which usually sends the reply compressed, thus "
+"saving some bandwidth at slight CPU expense.\n"
+"\n"
+"If ELinks displays a incomplete page or garbage, try disabling this option. "
+"If that helps, there may be a bug in the decompression part of ELinks. "
+"Please report such bugs.\n"
+"\n"
+"If ELinks has been compiled without compression support, this option has no "
+"effect. To check the supported features, see Help -> About."
+msgstr ""
+
+#: src/protocol/http/http.c:202
 msgid "Activate HTTP TRACE debugging"
 msgstr ""
 
-#: src/protocol/http/http.c:183
+#: src/protocol/http/http.c:204
 msgid ""
-"If active, all HTTP requests are sent with TRACE as their method\n"
-"rather than GET or POST. This is useful for debugging of both ELinks\n"
-"and various server-side scripts --- the server only returns the client's\n"
-"request back to the client verbatim. Note that this type of request may\n"
-"not be enabled on all servers."
+"If active, all HTTP requests are sent with TRACE as their method rather than "
+"GET or POST. This is useful for debugging of both ELinks and various server-"
+"side scripts --- the server only returns the client's request back to the "
+"client verbatim. Note that this type of request may not be enabled on all "
+"servers."
 msgstr ""
 
 #. OSNews.com is supposed to be relying on the textmode token, at least.
-#: src/protocol/http/http.c:190
+#: src/protocol/http/http.c:212
 msgid "User-agent identification"
 msgstr ""
 
-#: src/protocol/http/http.c:192
+#: src/protocol/http/http.c:214
 msgid ""
-"Change the User Agent ID. That means identification string, which\n"
-"is sent to HTTP server when a document is requested. The 'textmode'\n"
-"token in the first field is our silent attempt to establish this as\n"
-"a standard for new textmode user agents, so that the webmasters can\n"
-"have just a single uniform test for these if they are e.g. pushing\n"
-"some lite version to them automagically.\n"
+"Change the User Agent ID. That means identification string, which is sent to "
+"HTTP server when a document is requested. The 'textmode' token in the first "
+"field is our silent attempt to establish this as a standard for new textmode "
+"user agents, so that the webmasters can have just a single uniform test for "
+"these if they are e.g. pushing some lite version to them automagically.\n"
+"\n"
 "Use \" \" if you don't want any User-Agent header to be sent at all.\n"
+"\n"
 "%v in the string means ELinks version,\n"
 "%s in the string means system identification,\n"
 "%t in the string means size of the terminal,\n"
 "%b in the string means number of bars displayed by ELinks."
 msgstr ""
 
-#: src/protocol/http/http.c:205
+#: src/protocol/http/http.c:231
 msgid "HTTPS"
 msgstr ""
 
-#: src/protocol/http/http.c:207
+#: src/protocol/http/http.c:233
 msgid "HTTPS-specific options."
 msgstr ""
 
-#: src/protocol/http/http.c:211
+#: src/protocol/http/http.c:237
 msgid "HTTPS proxy configuration."
 msgstr ""
 
-#: src/protocol/http/http.c:215
+#: src/protocol/http/http.c:241
 msgid ""
-"Host and port-number (host:port) of the HTTPS CONNECT proxy, or blank.\n"
-"If it's blank, HTTPS_PROXY environment variable is checked as well."
+"Host and port-number (host:port) of the HTTPS CONNECT proxy, or blank. If "
+"it's blank, HTTPS_PROXY environment variable is checked as well."
 msgstr ""
 
 #. name:
-#: src/protocol/nntp/nntp.c:32 src/protocol/nntp/nntp.c:65
+#: src/protocol/nntp/nntp.c:32 src/protocol/nntp/nntp.c:66
 msgid "NNTP"
 msgstr ""
 
@@ -7175,19 +7190,19 @@ msgstr ""
 
 #: src/protocol/nntp/nntp.c:38
 msgid ""
-"Used when resolving news: URIs. If set to the empty string\n"
-"the value of the NNTPSERVER environment variable will be used."
+"Used when resolving news: URIs. If set to the empty string the value of the "
+"NNTPSERVER environment variable will be used."
 msgstr ""
 
-#: src/protocol/nntp/nntp.c:41
+#: src/protocol/nntp/nntp.c:42
 msgid "Message header entries"
 msgstr ""
 
-#: src/protocol/nntp/nntp.c:43
+#: src/protocol/nntp/nntp.c:44
 msgid ""
-"Comma separated list of which entries in the article header\n"
-"to show. E.g. 'Subject' and 'From'.\n"
-"All header entries can be read in the header info dialog."
+"Comma separated list of which entries in the article header to show. E.g. "
+"'Subject' and 'From'. All header entries can be read in the header info "
+"dialog."
 msgstr ""
 
 #: src/protocol/protocol.c:242
@@ -7209,10 +7224,9 @@ msgstr ""
 
 #: src/protocol/protocol.c:279
 msgid ""
-"Comma separated list of domains for which the proxy (HTTP/FTP)\n"
-"should be disabled. Optionally, a port can be specified for some\n"
-"domains as well. If it's blank, NO_PROXY environment variable is\n"
-"checked as well."
+"Comma separated list of domains for which the proxy (HTTP/FTP) should be "
+"disabled. Optionally, a port can be specified for some domains as well. If "
+"it's blank, NO_PROXY environment variable is checked as well."
 msgstr ""
 
 #. name:
@@ -7226,47 +7240,45 @@ msgstr ""
 
 #: src/protocol/rewrite/rewrite.c:46
 msgid ""
-"Rules for rewriting URIs entered in the goto dialog.\n"
-"It makes it possible to define a set of prefixes that will\n"
-"be expanded if they match a string entered in the goto dialog.\n"
-"The prefixes can be dumb, meaning that they work only like\n"
-"URI abbreviations, or smart ones, making it possible to pass\n"
+"Rules for rewriting URIs entered in the goto dialog. It makes it possible to "
+"define a set of prefixes that will be expanded if they match a string "
+"entered in the goto dialog. The prefixes can be dumb, meaning that they work "
+"only like URI abbreviations, or smart ones, making it possible to pass "
 "arguments to them like search engine keywords."
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:53
+#: src/protocol/rewrite/rewrite.c:54
 msgid "Enable dumb prefixes"
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:55
+#: src/protocol/rewrite/rewrite.c:56
 msgid ""
-"Enable dumb prefixes - simple URI abbreviations which can\n"
-"be written to the Goto URL dialog instead of actual URIs - i.e.\n"
-"if you write 'elinks' there, you are directed to\n"
-"http://elinks.cz/."
+"Enable dumb prefixes - simple URI abbreviations which can be written to the "
+"Goto URL dialog instead of actual URIs - i.e. if you write 'elinks' there, "
+"you are directed to http://elinks.cz/."
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:60
+#: src/protocol/rewrite/rewrite.c:61
 msgid "Enable smart prefixes"
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:62
+#: src/protocol/rewrite/rewrite.c:63
 msgid ""
-"Enable smart prefixes - URI templates triggered by writing\n"
-"given abbreviation to the Goto URL dialog followed by a list\n"
-"of arguments from which the actual URI is composed - i.e.\n"
-"'gg:search keywords' or 'gn search keywords for news'."
+"Enable smart prefixes - URI templates triggered by writing given "
+"abbreviation to the Goto URL dialog followed by a list of arguments from "
+"which the actual URI is composed - i.e. 'gg:search keywords' or 'gn search "
+"keywords for news'."
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:67
+#: src/protocol/rewrite/rewrite.c:69
 msgid "Dumb Prefixes"
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:69
+#: src/protocol/rewrite/rewrite.c:71
 msgid "Dumb prefixes, see enable-dumb description for details."
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:74
+#: src/protocol/rewrite/rewrite.c:76
 #, no-c-format
 msgid ""
 "Replacement URI for this dumbprefix:\n"
@@ -7274,15 +7286,15 @@ msgid ""
 "%% in the string means '%'"
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:78
+#: src/protocol/rewrite/rewrite.c:80
 msgid "Smart Prefixes"
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:80
+#: src/protocol/rewrite/rewrite.c:82
 msgid "Smart prefixes, see enable-smart description for details."
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:87
+#: src/protocol/rewrite/rewrite.c:90
 #, no-c-format
 msgid ""
 "Replacement URI for this smartprefix:\n"
@@ -7292,26 +7304,28 @@ msgid ""
 "%% in the string means '%'"
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:93
+#: src/protocol/rewrite/rewrite.c:96
 msgid "Default template"
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:96
+#: src/protocol/rewrite/rewrite.c:99
 #, no-c-format
 msgid ""
-"Default URI template used when the string entered in\n"
-"the goto dialog does not appear to be a URI or a filename\n"
-"(i.e. contains no '.', ':' or '/' characters), and does\n"
-"not match any defined prefixes. Set the value to \"\" to\n"
-"disable use of the default template rewrite rule.\n"
+"Default URI template used when the string entered in the goto dialog does "
+"not appear to be a URI or a filename (i.e. contains no '.', ':' or '/' "
+"characters), and does not match any defined prefixes. Set the value to \"\" "
+"to disable use of the default template rewrite rule.\n"
+"\n"
 "%c in the template means the current URL,\n"
-"%s in the template means the whole string from the goto dialog,\n"
-"%0,%1,...,%9 mean the 1st,2nd,...,10th space-delimited part of %s,\n"
+"%s in the template means the whole string from the goto\n"
+"   dialog,\n"
+"%0,%1,...,%9 mean the 1st,2nd,...,10th space-delimited part\n"
+"   of %s,\n"
 "%% in the template means '%'."
 msgstr ""
 
 #. name:
-#: src/protocol/rewrite/rewrite.c:372
+#: src/protocol/rewrite/rewrite.c:378
 msgid "URI rewrite"
 msgstr ""
 
@@ -7333,24 +7347,23 @@ msgid "Credentials file passed to smbcli
 msgstr ""
 
 #. name:
-#: src/protocol/user.c:34 src/protocol/user.c:84
+#: src/protocol/user.c:34 src/protocol/user.c:85
 msgid "User protocols"
 msgstr ""
 
 #: src/protocol/user.c:36
 msgid ""
-"User protocols. Options in this tree specify external\n"
-"handlers for the appropriate protocols. Ie.\n"
-"protocol.user.mailto.unix."
+"User protocols. Options in this tree specify external handlers for the "
+"appropriate protocols. Ie. protocol.user.mailto.unix."
 msgstr ""
 
 #: src/protocol/user.c:47
 msgid ""
-"Handler (external program) for this protocol. Name the\n"
-"options in this tree after your system (ie. unix, unix-xwin)."
+"Handler (external program) for this protocol. Name the options in this tree "
+"after your system (ie. unix, unix-xwin)."
 msgstr ""
 
-#: src/protocol/user.c:52
+#: src/protocol/user.c:53
 msgid ""
 "Handler (external program) for this protocol and system.\n"
 "%f in the string means file name to include form data from\n"
@@ -7361,11 +7374,11 @@ msgid ""
 "%u in the string means the whole URL"
 msgstr ""
 
-#: src/protocol/user.c:276
+#: src/protocol/user.c:277
 msgid "No program"
 msgstr ""
 
-#: src/protocol/user.c:278
+#: src/protocol/user.c:279
 #, c-format
 msgid "No program specified for protocol %s."
 msgstr ""
@@ -7447,19 +7460,19 @@ msgstr ""
 msgid "Spidermonkey ECMAScript"
 msgstr ""
 
-#: src/session/download.c:233 src/session/download.c:330
-#: src/session/download.c:561 src/session/download.c:649
+#: src/session/download.c:256 src/session/download.c:356
+#: src/session/download.c:587 src/session/download.c:675
 msgid "Download error"
 msgstr ""
 
-#: src/session/download.c:234 src/session/download.c:650
+#: src/session/download.c:257 src/session/download.c:676
 #, c-format
 msgid ""
 "Could not create file '%s':\n"
 "%s"
 msgstr ""
 
-#: src/session/download.c:331
+#: src/session/download.c:357
 #, c-format
 msgid ""
 "Error downloading %s:\n"
@@ -7467,16 +7480,16 @@ msgid ""
 "%s"
 msgstr ""
 
-#: src/session/download.c:562
+#: src/session/download.c:588
 #, c-format
 msgid "'%s' is a directory."
 msgstr ""
 
-#: src/session/download.c:596
+#: src/session/download.c:622
 msgid "File exists"
 msgstr ""
 
-#: src/session/download.c:597
+#: src/session/download.c:623
 #, c-format
 msgid ""
 "This file already exists:\n"
@@ -7487,50 +7500,50 @@ msgid ""
 msgstr ""
 
 #. accelerator_context(src/session/download.c:lookup_unique_name)
-#: src/session/download.c:604
+#: src/session/download.c:630
 msgid "Sa~ve under the alternative name"
 msgstr ""
 
 #. accelerator_context(src/session/download.c:lookup_unique_name)
-#: src/session/download.c:605
+#: src/session/download.c:631
 msgid "~Overwrite the original file"
 msgstr ""
 
 #. accelerator_context(src/session/download.c:lookup_unique_name)
-#: src/session/download.c:606
+#: src/session/download.c:632
 msgid "~Resume download of the original file"
 msgstr ""
 
-#: src/session/download.c:1109
+#: src/session/download.c:1135
 msgid "Unknown type"
 msgstr ""
 
-#: src/session/download.c:1134
+#: src/session/download.c:1160
 #, c-format
 msgid "What would you like to do with the file '%s' (type: %s%s%s)?"
 msgstr ""
 
-#: src/session/download.c:1137
+#: src/session/download.c:1163
 #, c-format
 msgid "What would you like to do with the file (type: %s%s%s)?"
 msgstr ""
 
-#: src/session/download.c:1165
+#: src/session/download.c:1191
 #, no-c-format
 msgid "Program ('%' will be replaced by the filename)"
 msgstr ""
 
-#: src/session/download.c:1169
+#: src/session/download.c:1195
 msgid "Block the terminal"
 msgstr ""
 
-#: src/session/download.c:1175
+#: src/session/download.c:1201
 #, c-format
 msgid "The file will be opened with the program '%s'."
 msgstr ""
 
 #. accelerator_context(src/session/download.c:do_type_query)
-#: src/session/download.c:1196
+#: src/session/download.c:1222
 msgid "~Open"
 msgstr ""
 
@@ -7538,12 +7551,12 @@ msgstr ""
 #. * and formatting it with "%u" is safe,
 #. * because fc_maxlength is smaller than
 #. * file.length, which is an int.
-#: src/session/session.c:761 src/session/session.c:780 src/session/task.c:275
-#: src/viewer/text/textarea.c:652
+#: src/session/session.c:771 src/session/session.c:790 src/session/task.c:275
+#: src/viewer/text/textarea.c:641
 msgid "Warning"
 msgstr ""
 
-#: src/session/session.c:762
+#: src/session/session.c:772
 msgid ""
 "You have an empty string in protocol.http.user_agent - this was a default "
 "value in the past, substituted by default ELinks User-Agent string. However, "
@@ -7554,7 +7567,7 @@ msgid ""
 "will be used. Apologies for any inconvience caused."
 msgstr ""
 
-#: src/session/session.c:781
+#: src/session/session.c:791
 msgid ""
 "You have option config.saving_style set to a de facto obsolete value. The "
 "configuration saving algorithms of ELinks were changed from the last time "
@@ -7567,11 +7580,11 @@ msgid ""
 "caused."
 msgstr ""
 
-#: src/session/session.c:806
+#: src/session/session.c:816
 msgid "Welcome"
 msgstr ""
 
-#: src/session/session.c:807
+#: src/session/session.c:817
 msgid ""
 "Welcome to ELinks!\n"
 "\n"
@@ -7620,22 +7633,22 @@ msgstr ""
 msgid "Warning: terminal name contains illicit chars."
 msgstr ""
 
-#: src/terminal/event.c:259
+#: src/terminal/event.c:258
 #, c-format
 msgid "Failed to create session."
 msgstr ""
 
-#: src/terminal/event.c:446
+#: src/terminal/event.c:443
 #, c-format
 msgid "Bad event %d"
 msgstr ""
 
-#: src/terminal/event.c:486
+#: src/terminal/event.c:483
 #, c-format
 msgid "Could not read event: %d (%s)"
 msgstr ""
 
-#: src/terminal/kbd.c:1187
+#: src/terminal/kbd.c:1210
 #, c-format
 msgid "Too many bytes read from the itrm!"
 msgstr ""
@@ -7704,200 +7717,200 @@ msgstr ""
 msgid "The requested fragment \"%s\" doesn't exist."
 msgstr ""
 
-#: src/viewer/text/form.c:1092
+#: src/viewer/text/form.c:1118
 msgid "Error while posting form"
 msgstr ""
 
-#: src/viewer/text/form.c:1093
+#: src/viewer/text/form.c:1119
 #, c-format
 msgid "Could not load file %s: %s"
 msgstr ""
 
-#: src/viewer/text/form.c:1847
+#: src/viewer/text/form.c:1876
 msgid "Reset form"
 msgstr ""
 
-#: src/viewer/text/form.c:1849
+#: src/viewer/text/form.c:1878
 msgid "Harmless button"
 msgstr ""
 
-#: src/viewer/text/form.c:1857
+#: src/viewer/text/form.c:1886
 msgid "Submit form to"
 msgstr ""
 
-#: src/viewer/text/form.c:1858
+#: src/viewer/text/form.c:1887
 msgid "Post form to"
 msgstr ""
 
-#: src/viewer/text/form.c:1860
+#: src/viewer/text/form.c:1889
 msgid "Radio button"
 msgstr ""
 
-#: src/viewer/text/form.c:1864
+#: src/viewer/text/form.c:1893
 msgid "Select field"
 msgstr ""
 
-#: src/viewer/text/form.c:1868
+#: src/viewer/text/form.c:1897
 msgid "Text area"
 msgstr ""
 
-#: src/viewer/text/form.c:1870
+#: src/viewer/text/form.c:1899
 msgid "File upload"
 msgstr ""
 
-#: src/viewer/text/form.c:1872
+#: src/viewer/text/form.c:1901
 msgid "Password field"
 msgstr ""
 
-#: src/viewer/text/form.c:1910
+#: src/viewer/text/form.c:1939
 msgid "name"
 msgstr ""
 
-#: src/viewer/text/form.c:1922
+#: src/viewer/text/form.c:1951
 msgid "value"
 msgstr ""
 
-#: src/viewer/text/form.c:1935
+#: src/viewer/text/form.c:1964
 msgid "read only"
 msgstr ""
 
-#: src/viewer/text/form.c:1946
+#: src/viewer/text/form.c:1975
 #, c-format
 msgid "press %s to navigate"
 msgstr ""
 
-#: src/viewer/text/form.c:1948
+#: src/viewer/text/form.c:1977
 #, c-format
 msgid "press %s to edit"
 msgstr ""
 
-#: src/viewer/text/form.c:1984
+#: src/viewer/text/form.c:2013
 #, c-format
 msgid "press %s to submit to %s"
 msgstr ""
 
-#: src/viewer/text/form.c:1986
+#: src/viewer/text/form.c:2015
 #, c-format
 msgid "press %s to post to %s"
 msgstr ""
 
-#: src/viewer/text/form.c:2088
+#: src/viewer/text/form.c:2117
 msgid "Useless button"
 msgstr ""
 
-#: src/viewer/text/form.c:2090
+#: src/viewer/text/form.c:2119
 msgid "Submit button"
 msgstr ""
 
 #. accelerator_context(link_menu.map)
-#: src/viewer/text/link.c:1281
+#: src/viewer/text/link.c:1280
 msgid "Display ~usemap"
 msgstr ""
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1286
+#: src/viewer/text/link.c:1285
 msgid "~Follow link"
 msgstr ""
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1288
+#: src/viewer/text/link.c:1287
 msgid "Follow link and r~eload"
 msgstr ""
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1292
+#: src/viewer/text/link.c:1291
 msgid "Open in new ~window"
 msgstr ""
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1294
+#: src/viewer/text/link.c:1293
 msgid "Open in new ~tab"
 msgstr ""
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1296
+#: src/viewer/text/link.c:1295
 msgid "Open in new tab in ~background"
 msgstr ""
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1301
+#: src/viewer/text/link.c:1300
 msgid "~Download link"
 msgstr ""
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1304
+#: src/viewer/text/link.c:1303
 msgid "~Add link to bookmarks"
 msgstr ""
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1308
+#: src/viewer/text/link.c:1307
 msgid "Pass link URI to e~xternal command"
 msgstr ""
 
 #. accelerator_context(link_menu.form, link_menu.reset, link_menu.textarea)
-#: src/viewer/text/link.c:1319 src/viewer/text/link.c:1359
+#: src/viewer/text/link.c:1318 src/viewer/text/link.c:1358
 msgid "~Reset form"
 msgstr ""
 
 #. accelerator_context(link_menu.textarea)
-#: src/viewer/text/link.c:1334
+#: src/viewer/text/link.c:1333
 msgid "Open in ~external editor"
 msgstr ""
 
 #. accelerator_context(link_menu.form, link_menu.textarea)
-#: src/viewer/text/link.c:1342
+#: src/viewer/text/link.c:1341
 msgid "~Submit form"
 msgstr ""
 
 #. accelerator_context(link_menu.form, link_menu.textarea)
-#: src/viewer/text/link.c:1343
+#: src/viewer/text/link.c:1342
 msgid "Submit form and rel~oad"
 msgstr ""
 
 #. accelerator_context(link_menu.form, link_menu.textarea)
-#: src/viewer/text/link.c:1347
+#: src/viewer/text/link.c:1346
 msgid "Submit form and open in new ~window"
 msgstr ""
 
 #. accelerator_context(link_menu.form, link_menu.textarea)
-#: src/viewer/text/link.c:1349
+#: src/viewer/text/link.c:1348
 msgid "Submit form and open in new ~tab"
 msgstr ""
 
 #. accelerator_context(link_menu.form, link_menu.textarea)
-#: src/viewer/text/link.c:1352
+#: src/viewer/text/link.c:1351
 msgid "Submit form and open in new tab in ~background"
 msgstr ""
 
 #. accelerator_context(link_menu.form, link_menu.textarea)
-#: src/viewer/text/link.c:1357
+#: src/viewer/text/link.c:1356
 msgid "Submit form and ~download"
 msgstr ""
 
 #. accelerator_context(link_menu.form, link_menu.reset, link_menu.textarea)
-#: src/viewer/text/link.c:1364
+#: src/viewer/text/link.c:1363
 msgid "Form f~ields"
 msgstr ""
 
 #. accelerator_context(link_menu.form, link_menu.map, link_menu.std)
-#: src/viewer/text/link.c:1371
+#: src/viewer/text/link.c:1370
 msgid "V~iew image"
 msgstr ""
 
 #. accelerator_context(link_menu.form, link_menu.map, link_menu.std)
-#: src/viewer/text/link.c:1373
+#: src/viewer/text/link.c:1372
 msgid "Download ima~ge"
 msgstr ""
 
-#: src/viewer/text/link.c:1382
+#: src/viewer/text/link.c:1381
 msgid "No link selected"
 msgstr ""
 
-#: src/viewer/text/link.c:1452
+#: src/viewer/text/link.c:1451
 msgid "Image"
 msgstr ""
 
-#: src/viewer/text/link.c:1457
+#: src/viewer/text/link.c:1456
 msgid "Usemap"
 msgstr ""
 
@@ -7906,84 +7919,84 @@ msgstr ""
 msgid "Marks"
 msgstr ""
 
-#: src/viewer/text/search.c:1083
+#: src/viewer/text/search.c:1099
 msgid "Search hit top, continuing at bottom."
 msgstr ""
 
-#: src/viewer/text/search.c:1084
+#: src/viewer/text/search.c:1100
 msgid "Search hit bottom, continuing at top."
 msgstr ""
 
-#: src/viewer/text/search.c:1087
+#: src/viewer/text/search.c:1103
 msgid "No previous search"
 msgstr ""
 
-#: src/viewer/text/search.c:1099
+#: src/viewer/text/search.c:1115
 #, c-format
 msgid "Could not compile regular expression '%s'"
 msgstr ""
 
-#: src/viewer/text/search.c:1143
+#: src/viewer/text/search.c:1159
 #, c-format
 msgid "No further matches for '%s'."
 msgstr ""
 
-#: src/viewer/text/search.c:1145
+#: src/viewer/text/search.c:1161
 #, c-format
 msgid "Could not find a link with the text '%s'."
 msgstr ""
 
-#: src/viewer/text/search.c:1147 src/viewer/text/search.c:1558
+#: src/viewer/text/search.c:1163 src/viewer/text/search.c:1576
 msgid "Typeahead"
 msgstr ""
 
-#: src/viewer/text/search.c:1560
+#: src/viewer/text/search.c:1578
 #, c-format
 msgid "No links in current document"
 msgstr ""
 
-#: src/viewer/text/search.c:1643
+#: src/viewer/text/search.c:1661
 msgid "Search for text"
 msgstr ""
 
-#: src/viewer/text/search.c:1679
+#: src/viewer/text/search.c:1697
 msgid "Normal search"
 msgstr ""
 
-#: src/viewer/text/search.c:1680
+#: src/viewer/text/search.c:1698
 msgid "Regexp search"
 msgstr ""
 
-#: src/viewer/text/search.c:1681
+#: src/viewer/text/search.c:1699
 msgid "Extended regexp search"
 msgstr ""
 
-#: src/viewer/text/search.c:1683
+#: src/viewer/text/search.c:1701
 msgid "Case sensitive"
 msgstr ""
 
-#: src/viewer/text/search.c:1684
+#: src/viewer/text/search.c:1702
 msgid "Case insensitive"
 msgstr ""
 
-#: src/viewer/text/search.c:1708
+#: src/viewer/text/search.c:1726
 msgid "Search backward"
 msgstr ""
 
 #. name:
-#: src/viewer/text/search.c:1747
+#: src/viewer/text/search.c:1765
 msgid "Search History"
 msgstr ""
 
-#: src/viewer/text/textarea.c:595
+#: src/viewer/text/textarea.c:584
 msgid "You cannot launch an external editor in the anonymous mode."
 msgstr ""
 
-#: src/viewer/text/textarea.c:602
+#: src/viewer/text/textarea.c:591
 msgid "You can do this only on the master terminal"
 msgstr ""
 
-#: src/viewer/text/textarea.c:655
+#: src/viewer/text/textarea.c:644
 #, c-format
 msgid ""
 "You have exceeded the textarea's size limit: your input is %d bytes, but the "
@@ -8001,11 +8014,11 @@ msgstr ""
 msgid "Enter link number"
 msgstr ""
 
-#: src/viewer/text/view.c:1627
+#: src/viewer/text/view.c:1628
 msgid "Save error"
 msgstr ""
 
-#: src/viewer/text/view.c:1628
+#: src/viewer/text/view.c:1629
 msgid "Error writing to file"
 msgstr ""
 
diff -pruN 0.12~pre2.dfsg0-1/po/el.po 0.12~pre4-1/po/el.po
--- 0.12~pre2.dfsg0-1/po/el.po	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/po/el.po	2009-05-31 09:48:47.000000000 +0100
@@ -7,7 +7,7 @@ msgid ""
 msgstr ""
 "Project-Id-Version: ELinks 0.5pre0.CVS\n"
 "Report-Msgid-Bugs-To: elinks-users@linuxfromscratch.org\n"
-"POT-Creation-Date: 2008-09-21 11:13+0300\n"
+"POT-Creation-Date: 2009-05-31 01:57+0300\n"
 "PO-Revision-Date: 2003-01-03 03:41+0100\n"
 "Last-Translator: Simos Xenitellis <simos@hellug.gr>\n"
 "Language-Team: Greek <nls@tux.hellug.gr>\n"
@@ -38,7 +38,7 @@ msgstr ""
 #: src/mime/dialogs.c:132 src/protocol/auth/dialogs.c:115
 #: src/protocol/protocol.c:246 src/scripting/lua/core.c:399
 #: src/scripting/lua/core.c:480 src/scripting/python/dialogs.c:86
-#: src/session/session.c:811 src/viewer/text/search.c:1686
+#: src/session/session.c:821 src/viewer/text/search.c:1704
 #, fuzzy
 msgid "~OK"
 msgstr ""
@@ -56,13 +56,13 @@ msgid "Sorry, but the item \"%s\" is bei
 msgstr ""
 
 #. cant_delete_folder
-#: src/bfu/hierbox.c:558 src/bookmarks/dialogs.c:121
+#: src/bfu/hierbox.c:558 src/bookmarks/dialogs.c:153
 #, c-format
 msgid "Sorry, but the folder \"%s\" cannot be deleted."
 msgstr ""
 
 #. cant_delete_used_folder
-#: src/bfu/hierbox.c:561 src/bookmarks/dialogs.c:123
+#: src/bfu/hierbox.c:561 src/bookmarks/dialogs.c:155
 #, c-format
 msgid "Sorry, but the folder \"%s\" is being used by something else."
 msgstr ""
@@ -80,7 +80,7 @@ msgid "Delete marked items?"
 msgstr " "
 
 #. delete_folder_title
-#: src/bfu/hierbox.c:570 src/bookmarks/dialogs.c:129
+#: src/bfu/hierbox.c:570 src/bookmarks/dialogs.c:161
 #, fuzzy
 msgid "Delete folder"
 msgstr " "
@@ -140,13 +140,13 @@ msgstr ""
 msgid "~No"
 msgstr ""
 
-#: src/bfu/hierbox.c:945 src/bfu/hierbox.c:976 src/viewer/text/search.c:1090
-#: src/viewer/text/search.c:1098 src/viewer/text/search.c:1114
-#: src/viewer/text/search.c:1705
+#: src/bfu/hierbox.c:945 src/bfu/hierbox.c:976 src/viewer/text/search.c:1106
+#: src/viewer/text/search.c:1114 src/viewer/text/search.c:1130
+#: src/viewer/text/search.c:1723
 msgid "Search"
 msgstr ""
 
-#: src/bfu/hierbox.c:947 src/viewer/text/search.c:1091
+#: src/bfu/hierbox.c:947 src/viewer/text/search.c:1107
 #, fuzzy, c-format
 msgid "Search string '%s' not found"
 msgstr "    "
@@ -185,8 +185,8 @@ msgstr "   
 #: src/dialogs/options.c:237 src/dialogs/options.c:316 src/mime/dialogs.c:133
 #: src/protocol/auth/dialogs.c:116 src/protocol/bittorrent/dialogs.c:814
 #: src/scripting/lua/core.c:400 src/scripting/lua/core.c:481
-#: src/session/download.c:607 src/session/download.c:1219
-#: src/viewer/text/search.c:1687
+#: src/session/download.c:633 src/session/download.c:1245
+#: src/viewer/text/search.c:1705
 #, fuzzy
 msgid "~Cancel"
 msgstr ""
@@ -200,8 +200,8 @@ msgstr ""
 msgid "Digital clock in the status bar."
 msgstr ""
 
-#: src/bfu/leds.c:77 src/bfu/leds.c:94 src/config/options.inc:1199
-#: src/config/options.inc:1206 src/ecmascript/ecmascript.c:45
+#: src/bfu/leds.c:77 src/bfu/leds.c:94 src/config/options.inc:1272
+#: src/config/options.inc:1279 src/ecmascript/ecmascript.c:45
 #: src/globhist/globhist.c:64 src/mime/backend/mailcap.c:93
 #: src/mime/backend/mimetypes.c:52 src/network/ssl/ssl.c:81
 #, fuzzy
@@ -219,8 +219,7 @@ msgstr " "
 
 #: src/bfu/leds.c:83
 msgid ""
-"Format string for the digital clock. See the strftime(3)\n"
-"manpage for details."
+"Format string for the digital clock. See the strftime(3) manpage for details."
 msgstr ""
 
 #: src/bfu/leds.c:90
@@ -233,8 +232,7 @@ msgstr ""
 
 #: src/bfu/leds.c:96
 msgid ""
-"Enable LEDs.\n"
-"These visual indicators will inform you about various states."
+"Enable LEDs. These visual indicators will inform you about various states."
 msgstr ""
 
 #. name:
@@ -264,34 +262,34 @@ msgstr ""
 msgid "Search menu/"
 msgstr ""
 
-#: src/bookmarks/backend/xbel.c:97
+#: src/bookmarks/backend/xbel.c:105
 #, c-format
 msgid "read_bookmarks_xbel(): Error in XML_ParserCreate()"
 msgstr ""
 
-#: src/bookmarks/backend/xbel.c:108
+#: src/bookmarks/backend/xbel.c:116
 #, c-format
 msgid "read_bookmarks_xbel(): Error reading %s"
 msgstr ""
 
-#: src/bookmarks/backend/xbel.c:116
+#: src/bookmarks/backend/xbel.c:124
 #, c-format
 msgid ""
 "Parse error while processing XBEL bookmarks in %s at line %d column %d:\n"
 "%s"
 msgstr ""
 
-#: src/bookmarks/backend/xbel.c:390 src/bookmarks/backend/xbel.c:411
+#: src/bookmarks/backend/xbel.c:388 src/bookmarks/backend/xbel.c:410
 msgid "No title"
 msgstr ""
 
-#: src/bookmarks/backend/xbel.c:396
+#: src/bookmarks/backend/xbel.c:394
 #, fuzzy
 msgid "No URL"
 msgstr "  URL"
 
 #. name:
-#: src/bookmarks/bookmarks.c:48 src/bookmarks/bookmarks.c:181
+#: src/bookmarks/bookmarks.c:48 src/bookmarks/bookmarks.c:183
 #, fuzzy
 msgid "Bookmarks"
 msgstr ""
@@ -301,7 +299,7 @@ msgstr ""
 msgid "Bookmark options."
 msgstr ""
 
-#: src/bookmarks/bookmarks.c:53 src/bookmarks/bookmarks.c:59
+#: src/bookmarks/bookmarks.c:53 src/bookmarks/bookmarks.c:60
 #, fuzzy
 msgid "File format"
 msgstr " "
@@ -310,51 +308,47 @@ msgstr " "
 msgid ""
 "File format for bookmarks (affects both reading and saving):\n"
 "0 is the default native ELinks format\n"
-"1 is XBEL universal XML bookmarks format (ELinks bug 153: NO NATIONAL CHARS "
-"SUPPORT!)"
+"1 is XBEL universal XML bookmarks format"
 msgstr ""
 
-#: src/bookmarks/bookmarks.c:61
+#: src/bookmarks/bookmarks.c:62
 msgid ""
 "File format for bookmarks (affects both reading and saving):\n"
 "0 is the default native ELinks format\n"
-"1 is XBEL universal XML bookmarks format (ELinks bug 153: NO NATIONAL CHARS "
-"SUPPORT!)  (DISABLED)"
+"1 is XBEL universal XML bookmarks format  (DISABLED)"
 msgstr ""
 
-#: src/bookmarks/bookmarks.c:67
+#: src/bookmarks/bookmarks.c:68
 #, fuzzy
 msgid "Save folder state"
 msgstr "  "
 
-#: src/bookmarks/bookmarks.c:69
+#: src/bookmarks/bookmarks.c:70
 msgid ""
-"When saving bookmarks also store whether folders are\n"
-"expanded or not, so the look of the bookmark dialog is\n"
-"kept across ELinks sessions. If disabled all folders will\n"
-"appear unexpanded next time ELinks is run."
+"When saving bookmarks also store whether folders are expanded or not, so the "
+"look of the bookmark dialog is kept across ELinks sessions. If disabled all "
+"folders will appear unexpanded next time ELinks is run."
 msgstr ""
 
-#: src/bookmarks/bookmarks.c:74
+#: src/bookmarks/bookmarks.c:75
 msgid "Periodic snapshotting"
 msgstr ""
 
-#: src/bookmarks/bookmarks.c:76
+#: src/bookmarks/bookmarks.c:77
 msgid ""
-"Automatically save a snapshot of all tabs periodically.\n"
-"This will periodically bookmark the tabs of each terminal in a separate "
-"folder\n"
-"for recovery after a crash.\n"
+"Automatically save a snapshot of all tabs periodically. This will "
+"periodically bookmark the tabs of each terminal in a separate folder for "
+"recovery after a crash.\n"
 "\n"
 "This feature requires bookmark support."
 msgstr ""
 
-#: src/bookmarks/dialogs.c:72 src/config/options.inc:1051
+#: src/bookmarks/dialogs.c:97 src/config/options.inc:1120
 #: src/dialogs/document.c:145 src/globhist/dialogs.c:65
 msgid "Title"
 msgstr ""
 
-#: src/bookmarks/dialogs.c:73 src/cache/dialogs.c:65
+#: src/bookmarks/dialogs.c:101 src/cache/dialogs.c:65
 #: src/dialogs/document.c:136 src/dialogs/edit.c:96 src/formhist/dialogs.c:63
 #: src/globhist/dialogs.c:66 src/protocol/auth/dialogs.c:163
 #: src/scripting/lua/core.c:397
@@ -362,86 +356,86 @@ msgid "URL"
 msgstr "URL"
 
 #. cant_delete_item
-#: src/bookmarks/dialogs.c:117
+#: src/bookmarks/dialogs.c:149
 #, c-format
 msgid "Sorry, but the bookmark \"%s\" cannot be deleted."
 msgstr ""
 
 #. cant_delete_used_item
-#: src/bookmarks/dialogs.c:119
+#: src/bookmarks/dialogs.c:151
 #, c-format
 msgid "Sorry, but the bookmark \"%s\" is being used by something else."
 msgstr ""
 
 #. delete_marked_items_title
-#: src/bookmarks/dialogs.c:125
+#: src/bookmarks/dialogs.c:157
 #, fuzzy
 msgid "Delete marked bookmarks"
 msgstr " "
 
 #. delete_marked_items
-#: src/bookmarks/dialogs.c:127
+#: src/bookmarks/dialogs.c:159
 #, fuzzy
 msgid "Delete marked bookmarks?"
 msgstr " "
 
 #. delete_folder
-#: src/bookmarks/dialogs.c:131
+#: src/bookmarks/dialogs.c:163
 #, fuzzy, c-format
 msgid "Delete the folder \"%s\" and all bookmarks in it?"
 msgstr " "
 
 #. delete_item_title
-#: src/bookmarks/dialogs.c:133
+#: src/bookmarks/dialogs.c:165
 #, fuzzy
 msgid "Delete bookmark"
 msgstr " "
 
-#: src/bookmarks/dialogs.c:135
+#: src/bookmarks/dialogs.c:167
 #, c-format
 msgid "Delete this bookmark?"
 msgstr ""
 
 #. clear_all_items_title
-#: src/bookmarks/dialogs.c:137
+#: src/bookmarks/dialogs.c:169
 #, fuzzy
 msgid "Clear all bookmarks"
 msgstr ""
 
 #. clear_all_items_title
-#: src/bookmarks/dialogs.c:139
+#: src/bookmarks/dialogs.c:171
 #, fuzzy
 msgid "Do you really want to remove all bookmarks?"
 msgstr "     links;"
 
-#: src/bookmarks/dialogs.c:254
+#: src/bookmarks/dialogs.c:327
 msgid "Add folder"
 msgstr ""
 
-#: src/bookmarks/dialogs.c:254
+#: src/bookmarks/dialogs.c:327
 msgid "Folder name"
 msgstr ""
 
-#: src/bookmarks/dialogs.c:310 src/scripting/lua/core.c:391
+#: src/bookmarks/dialogs.c:410 src/scripting/lua/core.c:391
 msgid "Edit bookmark"
 msgstr " "
 
-#: src/bookmarks/dialogs.c:461
+#: src/bookmarks/dialogs.c:567
 msgid "Cannot move folder inside itself"
 msgstr ""
 
-#: src/bookmarks/dialogs.c:462
+#: src/bookmarks/dialogs.c:568
 msgid ""
 "You are trying to move the marked folder inside itself. To move the folder "
 "to a different location select the new location before pressing the Move "
 "button."
 msgstr ""
 
-#: src/bookmarks/dialogs.c:468
+#: src/bookmarks/dialogs.c:574
 msgid "Nothing to move"
 msgstr ""
 
-#: src/bookmarks/dialogs.c:469
+#: src/bookmarks/dialogs.c:575
 msgid ""
 "To move bookmarks, first mark all the bookmarks (or folders) you want to "
 "move.  This can be done with the Insert key if you're using the default key-"
@@ -450,21 +444,21 @@ msgid ""
 msgstr ""
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons, src/cache/dialogs.c:cache_buttons, src/globhist/dialogs.c:globhist_buttons, src/protocol/auth/dialogs.c:auth_buttons)
-#: src/bookmarks/dialogs.c:487 src/cache/dialogs.c:230
+#: src/bookmarks/dialogs.c:593 src/cache/dialogs.c:230
 #: src/globhist/dialogs.c:224 src/protocol/auth/dialogs.c:261
 #, fuzzy
 msgid "~Goto"
 msgstr ""
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons, src/config/dialogs.c:option_buttons, src/cookies/dialogs.c:cookie_buttons)
-#: src/bookmarks/dialogs.c:488 src/config/dialogs.c:503
+#: src/bookmarks/dialogs.c:594 src/config/dialogs.c:503
 #: src/cookies/dialogs.c:492
 #, fuzzy
 msgid "~Edit"
 msgstr ""
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons, src/cache/dialogs.c:cache_buttons, src/config/dialogs.c:keybinding_buttons, src/config/dialogs.c:option_buttons, src/cookies/dialogs.c:cookie_buttons, src/dialogs/menu.c:ext_menu, src/formhist/dialogs.c:formhist_buttons, src/globhist/dialogs.c:globhist_buttons, src/protocol/auth/dialogs.c:auth_buttons)
-#: src/bookmarks/dialogs.c:489 src/cache/dialogs.c:231
+#: src/bookmarks/dialogs.c:595 src/cache/dialogs.c:231
 #: src/config/dialogs.c:505 src/config/dialogs.c:930 src/cookies/dialogs.c:493
 #: src/dialogs/menu.c:463 src/formhist/dialogs.c:211
 #: src/globhist/dialogs.c:229 src/protocol/auth/dialogs.c:263
@@ -472,28 +466,28 @@ msgid "~Delete"
 msgstr ""
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons, src/config/dialogs.c:keybinding_buttons, src/config/dialogs.c:option_buttons, src/cookies/dialogs.c:cookie_buttons, src/dialogs/menu.c:ext_menu)
-#: src/bookmarks/dialogs.c:490 src/config/dialogs.c:504
+#: src/bookmarks/dialogs.c:596 src/config/dialogs.c:504
 #: src/config/dialogs.c:929 src/cookies/dialogs.c:490 src/dialogs/menu.c:461
 msgid "~Add"
 msgstr ""
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons)
-#: src/bookmarks/dialogs.c:491
+#: src/bookmarks/dialogs.c:597
 msgid "Add se~parator"
 msgstr ""
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons)
-#: src/bookmarks/dialogs.c:492
+#: src/bookmarks/dialogs.c:598
 msgid "Add ~folder"
 msgstr ""
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons)
-#: src/bookmarks/dialogs.c:493
+#: src/bookmarks/dialogs.c:599
 msgid "~Move"
 msgstr ""
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons, src/cache/dialogs.c:cache_buttons, src/config/dialogs.c:keybinding_buttons, src/config/dialogs.c:option_buttons, src/dialogs/menu.c:view_menu, src/globhist/dialogs.c:globhist_buttons)
-#: src/bookmarks/dialogs.c:494 src/cache/dialogs.c:232
+#: src/bookmarks/dialogs.c:600 src/cache/dialogs.c:232
 #: src/config/dialogs.c:506 src/config/dialogs.c:932 src/dialogs/menu.c:413
 #: src/globhist/dialogs.c:230
 msgid "~Search"
@@ -501,38 +495,52 @@ msgstr ""
 
 #. This one is too dangerous, so just let user delete
 #. * the bookmarks file if needed. --Zas
-#: src/bookmarks/dialogs.c:498
+#: src/bookmarks/dialogs.c:604
 msgid "Clear"
 msgstr ""
 
 #. TODO: Would this be useful? --jonas
-#: src/bookmarks/dialogs.c:501 src/globhist/dialogs.c:235
+#: src/bookmarks/dialogs.c:607 src/globhist/dialogs.c:235
 msgid "Save"
 msgstr ""
 
-#: src/bookmarks/dialogs.c:507
+#: src/bookmarks/dialogs.c:613
 msgid "Bookmark manager"
 msgstr " "
 
-#: src/bookmarks/dialogs.c:632
+#: src/bookmarks/dialogs.c:825
 msgid "Search bookmarks"
 msgstr ""
 
-#: src/bookmarks/dialogs.c:661
+#. When the user eventually pushes the OK button, BFU calls
+#. * bookmark_add_add() and gives it the struct dialog * as the
+#. * void * parameter.  However, bookmark_add_add() also needs
+#. * to know the struct terminal *, and there is no way to get
+#. * that from struct dialog.  The other bookmark dialogs work
+#. * around that by making dialog.udata point to the struct
+#. * dialog_data of the bookmark manager, but the "Add bookmark"
+#. * dialog can be triggered with ACT_MAIN_ADD_BOOKMARK, which
+#. * does not involve the bookmark manager at all.
+#. *
+#. * The solution here is to save the struct terminal * in
+#. * dialog.udata2, which the "Edit bookmark" dialog uses for
+#. * struct bookmark *.  When adding a new bookmark, we don't
+#. * need a pointer to an existing one, of course.
+#: src/bookmarks/dialogs.c:892
 msgid "Add bookmark"
 msgstr " "
 
-#: src/bookmarks/dialogs.c:697
+#: src/bookmarks/dialogs.c:950
 #, fuzzy
 msgid "Saved session"
 msgstr " "
 
-#: src/bookmarks/dialogs.c:705
+#: src/bookmarks/dialogs.c:958
 #, fuzzy
 msgid "Bookmark tabs"
 msgstr ""
 
-#: src/bookmarks/dialogs.c:705
+#: src/bookmarks/dialogs.c:958
 #, fuzzy
 msgid "Enter folder name"
 msgstr "  "
@@ -546,7 +554,7 @@ msgstr "  URL"
 msgid "Redirect"
 msgstr ""
 
-#: src/cache/dialogs.c:85 src/config/options.inc:519
+#: src/cache/dialogs.c:85 src/config/options.inc:553
 #: src/dialogs/document.c:156 src/protocol/bittorrent/dialogs.c:126
 msgid "Size"
 msgstr ""
@@ -593,7 +601,7 @@ msgstr ""
 msgid "ID"
 msgstr ""
 
-#: src/cache/dialogs.c:134 src/config/options.inc:669
+#: src/cache/dialogs.c:134 src/config/options.inc:707
 #, fuzzy
 msgid "Header"
 msgstr " "
@@ -1347,7 +1355,7 @@ msgstr "   "
 msgid "Resolver error"
 msgstr " "
 
-#: src/config/cmdline.c:256 src/cookies/cookies.c:841 src/network/state.c:47
+#: src/config/cmdline.c:256 src/cookies/cookies.c:843 src/network/state.c:47
 #: src/util/secsave.c:379
 msgid "Out of memory"
 msgstr "  "
@@ -1369,290 +1377,291 @@ msgstr ""
 msgid "Remote method not supported"
 msgstr ""
 
-#: src/config/cmdline.c:452
+#: src/config/cmdline.c:437
+msgid "Out of memory formatting option documentation"
+msgstr ""
+
+#: src/config/cmdline.c:474
 msgid "Template option folder"
 msgstr ""
 
-#: src/config/cmdline.c:475
+#: src/config/cmdline.c:497
 #, c-format
 msgid "(default: %ld)"
 msgstr ""
 
-#: src/config/cmdline.c:482 src/config/cmdline.c:511
+#: src/config/cmdline.c:504 src/config/cmdline.c:533
 #, c-format
 msgid "(default: \"%s\")"
 msgstr ""
 
-#: src/config/cmdline.c:487
+#: src/config/cmdline.c:509
 #, c-format
 msgid "(alias for %s)"
 msgstr ""
 
-#: src/config/cmdline.c:492 src/config/cmdline.c:501
+#: src/config/cmdline.c:514 src/config/cmdline.c:523
 #, c-format
 msgid "(default: %s)"
 msgstr ""
 
-#: src/config/cmdline.c:642
+#: src/config/cmdline.c:654
 #, fuzzy
 msgid "Configuration options"
 msgstr ""
 
-#: src/config/cmdline.c:646
+#: src/config/cmdline.c:658
 msgid "Usage: elinks [OPTION]... [URL]..."
 msgstr ""
 
-#: src/config/cmdline.c:647
+#: src/config/cmdline.c:659
 #, fuzzy
 msgid "Options"
 msgstr " "
 
-#: src/config/cmdline.c:689
+#: src/config/cmdline.c:701
 #, fuzzy
 msgid "Internal consistency error"
 msgstr " "
 
 #.
-#: src/config/cmdline.c:725
+#: src/config/cmdline.c:737
 msgid "Restrict to anonymous mode"
 msgstr ""
 
-#: src/config/cmdline.c:727
+#: src/config/cmdline.c:739
 msgid ""
-"Restricts ELinks so it can run on an anonymous account.\n"
-"Local file browsing, downloads, and modification of options\n"
-"will be disabled. Execution of viewers is allowed, but entries\n"
-"in the association table can't be added or modified."
+"Restricts ELinks so it can run on an anonymous account. Local file browsing, "
+"downloads, and modification of options will be disabled. Execution of "
+"viewers is allowed, but entries in the association table can't be added or "
+"modified."
 msgstr ""
 
-#: src/config/cmdline.c:732
+#: src/config/cmdline.c:745
 #, fuzzy
 msgid "Autosubmit first form"
 msgstr " "
 
-#: src/config/cmdline.c:734
+#: src/config/cmdline.c:747
 msgid "Automatically submit the first form in the given URLs."
 msgstr ""
 
-#: src/config/cmdline.c:736
+#: src/config/cmdline.c:749
 msgid "Clone internal session with given ID"
 msgstr ""
 
-#: src/config/cmdline.c:738
+#: src/config/cmdline.c:751
 msgid ""
-"Used internally when opening ELinks instances in new windows.\n"
-"The ID maps to information that will be used when creating the\n"
-"new instance. You don't want to use it."
+"Used internally when opening ELinks instances in new windows. The ID maps to "
+"information that will be used when creating the new instance. You don't want "
+"to use it."
 msgstr ""
 
-#: src/config/cmdline.c:744
+#: src/config/cmdline.c:757
 msgid "Name of directory with configuration file"
 msgstr ""
 
-#: src/config/cmdline.c:746
+#: src/config/cmdline.c:759
 msgid ""
-"Path of the directory ELinks will read and write its\n"
-"config and runtime state files to instead of ~/.elinks.\n"
-"If the path does not begin with a '/' it is assumed to be\n"
-"relative to your HOME directory."
+"Path of the directory ELinks will read and write its config and runtime "
+"state files to instead of ~/.elinks. If the path does not begin with a '/' "
+"it is assumed to be relative to your HOME directory."
 msgstr ""
 
-#: src/config/cmdline.c:751
+#: src/config/cmdline.c:764
 msgid "Print default configuration file to stdout"
 msgstr ""
 
-#: src/config/cmdline.c:753
+#: src/config/cmdline.c:766
 msgid ""
-"Print a configuration file with options set to the built-in\n"
-"defaults to stdout."
+"Print a configuration file with options set to the built-in defaults to "
+"stdout."
 msgstr ""
 
-#: src/config/cmdline.c:758
+#: src/config/cmdline.c:771
 msgid "Name of configuration file"
 msgstr ""
 
-#: src/config/cmdline.c:760
+#: src/config/cmdline.c:773
 msgid ""
-"Name of the configuration file that all configuration\n"
-"options will be read from and written to. It should be\n"
-"relative to config-dir."
+"Name of the configuration file that all configuration options will be read "
+"from and written to. It should be relative to config-dir."
 msgstr ""
 
-#: src/config/cmdline.c:764
+#: src/config/cmdline.c:777
 msgid "Print help for configuration options"
 msgstr ""
 
-#: src/config/cmdline.c:766
+#: src/config/cmdline.c:779
 msgid "Print help for configuration options and exit."
 msgstr ""
 
-#: src/config/cmdline.c:768
+#: src/config/cmdline.c:781
 msgid "MIME type assumed for unknown document types"
 msgstr ""
 
-#: src/config/cmdline.c:770
+#: src/config/cmdline.c:783
 msgid "The default MIME type used for documents of unknown type."
 msgstr ""
 
-#: src/config/cmdline.c:772
+#: src/config/cmdline.c:786
 msgid "Ignore user-defined keybindings"
 msgstr ""
 
-#: src/config/cmdline.c:774
+#: src/config/cmdline.c:788
 msgid ""
-"When set, all keybindings from configuration files will be\n"
-"ignored. It forces use of default keybindings and will reset\n"
-"user-defined ones on save."
+"When set, all keybindings from configuration files will be ignored. It "
+"forces use of default keybindings and will reset user-defined ones on save."
 msgstr ""
 
-#: src/config/cmdline.c:778
+#: src/config/cmdline.c:792
 msgid "Print formatted versions of given URLs to stdout"
 msgstr ""
 
-#: src/config/cmdline.c:780
+#: src/config/cmdline.c:794
 msgid "Print formatted plain-text versions of given URLs to stdout."
 msgstr ""
 
-#: src/config/cmdline.c:782
+#: src/config/cmdline.c:797
 msgid "Codepage to use with -dump"
 msgstr ""
 
-#: src/config/cmdline.c:784
+#: src/config/cmdline.c:799
 msgid "Codepage used when formatting dump output."
 msgstr ""
 
-#: src/config/cmdline.c:786
+#: src/config/cmdline.c:801
 msgid "Color mode used with -dump"
 msgstr ""
 
-#: src/config/cmdline.c:788
+#: src/config/cmdline.c:803
 msgid "Color mode used with -dump."
 msgstr ""
 
-#: src/config/cmdline.c:790
+#: src/config/cmdline.c:805
 msgid "Width of document formatted with -dump"
 msgstr ""
 
-#: src/config/cmdline.c:792
+#: src/config/cmdline.c:807
 msgid "Width of the dump output."
 msgstr ""
 
-#: src/config/cmdline.c:794
+#: src/config/cmdline.c:809
 msgid "Evaluate configuration file directive"
 msgstr ""
 
-#: src/config/cmdline.c:796
+#: src/config/cmdline.c:811
 msgid ""
-"Specify configuration file directives on the command-line\n"
-"which will be evaluated after all configuration files has been\n"
-"read. Example usage:\n"
+"Specify configuration file directives on the command-line which will be "
+"evaluated after all configuration files has been read. Example usage:\n"
 "\t-eval 'set protocol.file.allow_special_files = 1'"
 msgstr ""
 
 #. lynx compatibility
-#: src/config/cmdline.c:802
+#: src/config/cmdline.c:817
 msgid "Interpret documents of unknown types as HTML"
 msgstr ""
 
-#: src/config/cmdline.c:804
+#: src/config/cmdline.c:819
 msgid ""
-"Makes ELinks assume documents of unknown types are HTML.\n"
-"Useful when using ELinks as an external viewer from MUAs.\n"
-"This is equivalent to -default-mime-type text/html."
+"Makes ELinks assume documents of unknown types are HTML. Useful when using "
+"ELinks as an external viewer from MUAs. This is equivalent to -default-mime-"
+"type text/html."
 msgstr ""
 
-#: src/config/cmdline.c:814
+#: src/config/cmdline.c:829
 msgid "Print usage help and exit"
 msgstr ""
 
-#: src/config/cmdline.c:816
+#: src/config/cmdline.c:831
 msgid "Print usage help and exit."
 msgstr ""
 
-#: src/config/cmdline.c:818
+#: src/config/cmdline.c:833
 msgid "Only permit local connections"
 msgstr ""
 
-#: src/config/cmdline.c:820
+#: src/config/cmdline.c:835
 msgid ""
-"Restricts ELinks to work offline and only connect to servers\n"
-"with local addresses (ie. 127.0.0.1). No connections to remote\n"
-"servers will be permitted."
+"Restricts ELinks to work offline and only connect to servers with local "
+"addresses (ie. 127.0.0.1). No connections to remote servers will be "
+"permitted."
 msgstr ""
 
-#: src/config/cmdline.c:824
+#: src/config/cmdline.c:839
 msgid "Print detailed usage help and exit"
 msgstr ""
 
-#: src/config/cmdline.c:826
+#: src/config/cmdline.c:841
 msgid "Print detailed usage help and exit."
 msgstr ""
 
-#: src/config/cmdline.c:828
+#: src/config/cmdline.c:843
 #, fuzzy
 msgid "Look up specified host"
 msgstr "   "
 
-#: src/config/cmdline.c:830
+#: src/config/cmdline.c:845
 msgid "Look up specified host and print all DNS resolved IP addresses."
 msgstr ""
 
-#: src/config/cmdline.c:832
+#: src/config/cmdline.c:848
 msgid "Run as separate instance"
 msgstr ""
 
-#: src/config/cmdline.c:834
+#: src/config/cmdline.c:850
 msgid ""
-"Run ELinks as a separate instance instead of connecting to an\n"
-"existing instance. Note that normally no runtime state files\n"
-"(bookmarks, history, etc.) are written to the disk when this\n"
-"option is used. See also -touch-files."
+"Run ELinks as a separate instance instead of connecting to an existing "
+"instance. Note that normally no runtime state files (bookmarks, history, "
+"etc.) are written to the disk when this option is used. See also -touch-"
+"files."
 msgstr ""
 
-#: src/config/cmdline.c:839
+#: src/config/cmdline.c:855
 msgid "Disable use of files in ~/.elinks"
 msgstr ""
 
-#: src/config/cmdline.c:841
+#: src/config/cmdline.c:857
 msgid ""
-"Disables creation and use of files in the user specific home\n"
-"configuration directory (~/.elinks). It forces default configuration\n"
-"values to be used and disables saving of runtime state files."
+"Disables creation and use of files in the user specific home configuration "
+"directory (~/.elinks). It forces default configuration values to be used and "
+"disables saving of runtime state files."
 msgstr ""
 
-#: src/config/cmdline.c:845
+#: src/config/cmdline.c:862
 msgid "Disable link numbering in dump output"
 msgstr ""
 
-#: src/config/cmdline.c:847
+#: src/config/cmdline.c:864
 msgid ""
 "Prevents printing of link number in dump output.\n"
+"\n"
 "Note that this really affects only -dump, nothing else."
 msgstr ""
 
-#: src/config/cmdline.c:850
+#: src/config/cmdline.c:868
 msgid "Disable printing of link references in dump output"
 msgstr ""
 
-#: src/config/cmdline.c:852
+#: src/config/cmdline.c:870
 msgid ""
-"Prevents printing of references (URIs) of document links\n"
-"in dump output.\n"
+"Prevents printing of references (URIs) of document links in dump output.\n"
+"\n"
 "Note that this really affects only -dump, nothing else."
 msgstr ""
 
-#: src/config/cmdline.c:856
+#: src/config/cmdline.c:875
 msgid "Control an already running ELinks"
 msgstr ""
 
-#: src/config/cmdline.c:858
+#: src/config/cmdline.c:877
 msgid ""
-"Control a remote ELinks instance by passing commands to it.\n"
-"The option takes an additional argument containing the method\n"
-"which should be invoked and any parameters that should be passed\n"
-"to it. For ease of use, the additional method argument can be\n"
-"omitted in which case any URL arguments will be opened in new\n"
-"tabs in the remote instance.\n"
+"Control a remote ELinks instance by passing commands to it. The option takes "
+"an additional argument containing the method which should be invoked and any "
+"parameters that should be passed to it. For ease of use, the additional "
+"method argument can be omitted in which case any URL arguments will be "
+"opened in new tabs in the remote instance.\n"
+"\n"
 "Following is a list of the supported methods:\n"
 "\tping()                    : look for a remote instance\n"
 "\topenURL()                 : prompt URL in current tab\n"
@@ -1664,70 +1673,69 @@ msgid ""
 "\txfeDoCommand(openBrowser) : open new window"
 msgstr ""
 
-#: src/config/cmdline.c:874
+#: src/config/cmdline.c:895
 msgid "Connect to session ring with given ID"
 msgstr ""
 
-#: src/config/cmdline.c:876
+#: src/config/cmdline.c:897
 msgid ""
-"ID of session ring this ELinks session should connect to. ELinks\n"
-"works in so-called session rings, whereby all instances of ELinks\n"
-"are interconnected and share state (cache, bookmarks, cookies,\n"
-"and so on). By default, all ELinks instances connect to session\n"
-"ring 0. You can change that behaviour with this switch and form as\n"
-"many session rings as you want. Obviously, if the session-ring with\n"
-"this number doesn't exist yet, it's created and this ELinks instance\n"
-"will become the master instance (that usually doesn't matter for you\n"
-"as a user much). Note that you usually don't want to use this unless\n"
-"you're a developer and you want to do some testing - if you want the\n"
-"ELinks instances each running standalone, rather use the -no-connect\n"
-"command-line option. Also note that normally no runtime state files\n"
-"are written to the disk when this option is used. See also\n"
-"-touch-files."
+"ID of session ring this ELinks session should connect to. ELinks works in so-"
+"called session rings, whereby all instances of ELinks are interconnected and "
+"share state (cache, bookmarks, cookies, and so on). By default, all ELinks "
+"instances connect to session ring 0. You can change that behaviour with this "
+"switch and form as many session rings as you want. Obviously, if the session-"
+"ring with this number doesn't exist yet, it's created and this ELinks "
+"instance will become the master instance (that usually doesn't matter for "
+"you as a user much).\n"
+"\n"
+"Note that you usually don't want to use this unless you're a developer and "
+"you want to do some testing - if you want the ELinks instances each running "
+"standalone, rather use the -no-connect command-line option. Also note that "
+"normally no runtime state files are written to the disk when this option is "
+"used. See also -touch-files."
 msgstr ""
 
-#: src/config/cmdline.c:891
+#: src/config/cmdline.c:915
 msgid "Print the source of given URLs to stdout"
 msgstr ""
 
-#: src/config/cmdline.c:893
+#: src/config/cmdline.c:917
 msgid "Print given URLs in source form to stdout."
 msgstr ""
 
-#: src/config/cmdline.c:897
+#: src/config/cmdline.c:921
 msgid "Touch files in ~/.elinks when running with -no-connect/-session-ring"
 msgstr ""
 
-#: src/config/cmdline.c:899
+#: src/config/cmdline.c:923
 msgid ""
-"When enabled, runtime state files (bookmarks, history, etc.) are\n"
-"written to disk, even when -no-connect or -session-ring is used.\n"
-"The option has no effect if not used in conjunction with any of\n"
-"these options."
+"When enabled, runtime state files (bookmarks, history, etc.) are written to "
+"disk, even when -no-connect or -session-ring is used. The option has no "
+"effect if not used in conjunction with any of these options."
 msgstr ""
 
-#: src/config/cmdline.c:904
+#: src/config/cmdline.c:928
 msgid "Verbose level"
 msgstr ""
 
-#: src/config/cmdline.c:906
+#: src/config/cmdline.c:930
 msgid ""
-"The verbose level controls what messages are shown at\n"
-"start up and while running:\n"
+"The verbose level controls what messages are shown at start up and while "
+"running:\n"
 "\t0 means only show serious errors\n"
 "\t1 means show serious errors and warnings\n"
 "\t2 means show all messages"
 msgstr ""
 
-#: src/config/cmdline.c:912
+#: src/config/cmdline.c:936
 msgid "Print version information and exit"
 msgstr ""
 
-#: src/config/cmdline.c:914
+#: src/config/cmdline.c:938
 msgid "Print ELinks version information and exit."
 msgstr ""
 
-#: src/config/conf.c:938
+#: src/config/conf.c:963
 msgid ""
 "## This is ELinks configuration file. You can edit it manually,\n"
 "## if you wish so; this file is edited by ELinks when you save\n"
@@ -1735,7 +1743,7 @@ msgid ""
 "## and all your formatting, own comments etc will be kept as-is.\n"
 msgstr ""
 
-#: src/config/conf.c:946
+#: src/config/conf.c:971
 msgid ""
 "## This is ELinks configuration file. You can edit it manually,\n"
 "## if you wish so; this file is edited by ELinks when you save\n"
@@ -1746,7 +1754,7 @@ msgid ""
 "## own comments and so on will be kept as-is.\n"
 msgstr ""
 
-#: src/config/conf.c:956
+#: src/config/conf.c:981
 msgid ""
 "## This is ELinks configuration file. You can edit it manually,\n"
 "## if you wish so, but keep in mind that this file is overwritten\n"
@@ -1754,18 +1762,18 @@ msgid ""
 "## luck with your formatting and own comments then, so beware.\n"
 msgstr ""
 
-#: src/config/conf.c:967
+#: src/config/conf.c:992
 msgid ""
 "## Obviously, if you don't like what ELinks is going to do with\n"
 "## this file, you can change it by altering the config.saving_style\n"
 "## option. Come on, aren't we friendly guys after all?\n"
 msgstr ""
 
-#: src/config/conf.c:980
+#: src/config/conf.c:1005
 msgid "Automatically saved options\n"
 msgstr ""
 
-#: src/config/conf.c:992
+#: src/config/conf.c:1017
 msgid "Automatically saved keybindings\n"
 msgstr ""
 
@@ -1826,7 +1834,7 @@ msgstr ""
 #. * switch charsets.  So, it will work in any terminal that
 #. * understands UTF-8 and has the characters in its font.
 #: src/config/dialogs.c:149 src/config/dialogs.c:330
-#: src/config/options.inc:840
+#: src/config/options.inc:887
 msgid "Type"
 msgstr ""
 
@@ -1852,9 +1860,9 @@ msgid "Description"
 msgstr ""
 
 #: src/config/dialogs.c:291 src/protocol/bittorrent/dialogs.c:600
-#: src/protocol/protocol.c:240 src/session/session.c:287
-#: src/session/session.c:975 src/viewer/text/textarea.c:594
-#: src/viewer/text/textarea.c:601
+#: src/protocol/protocol.c:240 src/session/session.c:288
+#: src/session/session.c:999 src/viewer/text/textarea.c:583
+#: src/viewer/text/textarea.c:590
 msgid "Error"
 msgstr ""
 
@@ -1889,7 +1897,7 @@ msgstr ""
 #. accelerator_context(src/config/dialogs.c:keybinding_buttons, src/config/dialogs.c:option_buttons, src/cookies/dialogs.c:cookie_buttons, src/formhist/dialogs.c:formhist_buttons, src/protocol/bittorrent/dialogs.c:bittorrent_query_callback, src/session/download.c:do_type_query, terminal_options)
 #: src/config/dialogs.c:507 src/config/dialogs.c:933 src/cookies/dialogs.c:495
 #: src/dialogs/options.c:236 src/formhist/dialogs.c:214
-#: src/protocol/bittorrent/dialogs.c:801 src/session/download.c:1203
+#: src/protocol/bittorrent/dialogs.c:801 src/session/download.c:1229
 #, fuzzy
 msgid "Sa~ve"
 msgstr ""
@@ -1903,7 +1911,7 @@ msgstr " "
 msgid "Keystroke"
 msgstr ""
 
-#: src/config/dialogs.c:676 src/config/options.inc:1219
+#: src/config/dialogs.c:676 src/config/options.inc:1292
 msgid "Action"
 msgstr ""
 
@@ -1975,32 +1983,32 @@ msgid ""
 "directory."
 msgstr ""
 
-#: src/config/kbdbind.c:221
+#: src/config/kbdbind.c:222
 msgid "Main mapping"
 msgstr ""
 
-#: src/config/kbdbind.c:222
+#: src/config/kbdbind.c:223
 msgid "Edit mapping"
 msgstr ""
 
-#: src/config/kbdbind.c:223
+#: src/config/kbdbind.c:224
 msgid "Menu mapping"
 msgstr ""
 
-#: src/config/kbdbind.c:588 src/scripting/python/keybinding.c:104
+#: src/config/kbdbind.c:589 src/scripting/python/keybinding.c:104
 msgid "Unrecognised keymap"
 msgstr ""
 
-#: src/config/kbdbind.c:591
+#: src/config/kbdbind.c:592
 #, fuzzy
 msgid "Error parsing keystroke"
 msgstr "   "
 
-#: src/config/kbdbind.c:595
+#: src/config/kbdbind.c:596
 msgid "Unrecognised action (internal error)"
 msgstr ""
 
-#: src/config/kbdbind.c:611
+#: src/config/kbdbind.c:612
 #, fuzzy
 msgid "Error registering event"
 msgstr "   "
@@ -2028,332 +2036,327 @@ msgid ""
 "3 is full comments are written"
 msgstr ""
 
-#: src/config/options.inc:31
+#: src/config/options.inc:32
 msgid "Indentation"
 msgstr ""
 
-#: src/config/options.inc:33
+#: src/config/options.inc:34
 msgid ""
-"Shift width of one indentation level in the configuration\n"
-"file. Zero means that no indentation is performed at all\n"
-"when saving the configuration."
+"Shift width of one indentation level in the configuration file. Zero means "
+"that no indentation is performed at all when saving the configuration."
 msgstr ""
 
-#: src/config/options.inc:37
+#: src/config/options.inc:38
 msgid "Saving style"
 msgstr ""
 
-#: src/config/options.inc:39
+#: src/config/options.inc:40
 msgid ""
 "Determines what happens when you tell ELinks to save options:\n"
 "0 is only values of current options are altered\n"
-"1 is values of current options are altered and missing options\n"
-"     are added at the end of the file\n"
+"1 is values of current options are altered and missing\n"
+"     options are added at the end of the file\n"
 "2 is the configuration file is rewritten from scratch\n"
-"3 is values of current options are altered and missing options\n"
-"     CHANGED during this ELinks session are added at the end of\n"
-"     the file"
+"3 is values of current options are altered and missing\n"
+"     options CHANGED during this ELinks session are added at\n"
+"     the end of the file"
 msgstr ""
 
-#: src/config/options.inc:48
+#: src/config/options.inc:50
 msgid "Comments localization"
 msgstr ""
 
-#: src/config/options.inc:50
+#: src/config/options.inc:52
 msgid ""
-"If set to 1, comments in the configuration file will be\n"
-"translated to the language used by UI. Note that if you have\n"
-"different language set in different terminals, the language\n"
-"used in the configuration file MAY be the same as on the\n"
-"terminal where you saved the file, but it should be generally\n"
+"If set to 1, comments in the configuration file will be translated to the "
+"language used by UI. Note that if you have different language set in "
+"different terminals, the language used in the configuration file MAY be the "
+"same as on the terminal where you saved the file, but it should be generally "
 "considered unpredictable."
 msgstr ""
 
-#: src/config/options.inc:58
+#: src/config/options.inc:60
 msgid "Saving style warnings"
 msgstr ""
 
-#: src/config/options.inc:60
+#: src/config/options.inc:62
 msgid ""
-"This is internal option used when displaying a warning about\n"
-"obsolete config.saving_style. You shouldn't touch it."
+"This is internal option used when displaying a warning about obsolete config."
+"saving_style. You shouldn't touch it."
 msgstr ""
 
-#: src/config/options.inc:63
+#: src/config/options.inc:66
 msgid "Show template"
 msgstr ""
 
-#: src/config/options.inc:65
+#: src/config/options.inc:68
 msgid ""
-"Show template options in autocreated trees in the options\n"
-"manager and save them to the configuration file."
+"Show template options in autocreated trees in the options manager and save "
+"them to the configuration file."
 msgstr ""
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:71 src/dialogs/info.c:180
+#: src/config/options.inc:74 src/dialogs/info.c:180
 msgid "Connections"
 msgstr ""
 
-#: src/config/options.inc:73
+#: src/config/options.inc:76
 #, fuzzy
 msgid "Connection options."
 msgstr ""
 
-#: src/config/options.inc:76
+#: src/config/options.inc:79
 msgid "Asynchronous DNS"
 msgstr ""
 
-#: src/config/options.inc:78
+#: src/config/options.inc:81
 msgid "Whether to use asynchronous DNS resolving."
 msgstr ""
 
-#: src/config/options.inc:80
+#: src/config/options.inc:83
 #, fuzzy
 msgid "Maximum connections"
 msgstr " "
 
-#: src/config/options.inc:82
+#: src/config/options.inc:85
 msgid "Maximum number of concurrent connections."
 msgstr ""
 
-#: src/config/options.inc:84
+#: src/config/options.inc:87
 #, fuzzy
 msgid "Maximum connections per host"
 msgstr " "
 
-#: src/config/options.inc:86
+#: src/config/options.inc:89
 msgid "Maximum number of concurrent connections to a given host."
 msgstr ""
 
-#: src/config/options.inc:88
+#: src/config/options.inc:92
 #, fuzzy
 msgid "Connection retries"
 msgstr ""
 
-#: src/config/options.inc:90
-msgid ""
-"Number of tries to establish a connection.\n"
-"Zero means try forever."
+#: src/config/options.inc:94
+msgid "Number of tries to establish a connection. Zero means try forever."
 msgstr ""
 
-#: src/config/options.inc:93 src/network/state.c:53
+#: src/config/options.inc:97 src/network/state.c:53
 msgid "Receive timeout"
 msgstr "  "
 
-#: src/config/options.inc:95
+#: src/config/options.inc:99
 #, fuzzy
 msgid "Receive timeout (in seconds)."
 msgstr "  "
 
-#: src/config/options.inc:98 src/config/options.inc:108
+#: src/config/options.inc:102 src/config/options.inc:113
 msgid "Try IPv4 when connecting"
 msgstr ""
 
-#: src/config/options.inc:100
+#: src/config/options.inc:104
 msgid ""
-"Whether to try to connect to a host over IPv4.\n"
-"Note that if connection.try_ipv6 is enabled too,\n"
-"it takes precedence. And better do not touch this\n"
+"Whether to try to connect to a host over IPv4. Note that if connection."
+"try_ipv6 is enabled too, it takes precedence. And better do not touch this "
 "at all unless you are sure what are you doing.\n"
-"Note that you can also force a given protocol\n"
-"to be used on a per-connection basis by using a URL\n"
-"in the style of e.g. http4://elinks.cz/."
+"\n"
+"Note that you can also force a given protocol to be used on a per-connection "
+"basis by using a URL in the style of e.g. http4://elinks.cz/."
 msgstr ""
 
-#: src/config/options.inc:110
+#: src/config/options.inc:115
 msgid ""
-"Whether to try to connect to a host over IPv4.\n"
-"Do not touch this option.\n"
-"Note that you can also force a given protocol\n"
-"to be used on a per-connection basis by using a URL\n"
-"in the style of e.g. http4://elinks.cz/."
+"Whether to try to connect to a host over IPv4. Do not touch this option.\n"
+"\n"
+"Note that you can also force a given protocol to be used on a per-connection "
+"basis by using a URL in the style of e.g. http4://elinks.cz/."
 msgstr ""
 
-#: src/config/options.inc:118
+#: src/config/options.inc:124
 msgid "Try IPv6 when connecting"
 msgstr ""
 
-#: src/config/options.inc:120
+#: src/config/options.inc:126
 msgid ""
 "Whether to try to connect to a host over IPv6.\n"
-"Note that you can also force a given protocol\n"
-"to be used on a per-connection basis by using a URL\n"
-"in the style of e.g. http6://elinks.cz/."
+"\n"
+"Note that you can also force a given protocol to be used on a per-connection "
+"basis by using a URL in the style of e.g. http6://elinks.cz/."
 msgstr ""
 
-#: src/config/options.inc:126
+#: src/config/options.inc:133
 msgid "Timeout for non-restartable connections"
 msgstr ""
 
-#: src/config/options.inc:128
+#: src/config/options.inc:135
 msgid "Timeout for non-restartable connections (in seconds)."
 msgstr ""
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:134
+#: src/config/options.inc:141
 #, fuzzy
 msgid "Document"
 msgstr ""
 
-#: src/config/options.inc:136
+#: src/config/options.inc:143
 #, fuzzy
 msgid "Document options."
 msgstr " "
 
-#: src/config/options.inc:138
+#: src/config/options.inc:145
 msgid "Browsing"
 msgstr ""
 
-#: src/config/options.inc:140
+#: src/config/options.inc:147
 msgid "Document browsing options (mainly interactivity)."
 msgstr ""
 
-#: src/config/options.inc:143
+#: src/config/options.inc:150
 msgid "Access keys"
 msgstr ""
 
-#: src/config/options.inc:145
+#: src/config/options.inc:152
 msgid ""
-"Options for handling of link access keys.\n"
-"An HTML document can use the ACCESSKEY attribute to assign\n"
-"an access key to an element. When an access key is pressed,\n"
-"the corresponding element will be given focus."
+"Options for handling of link access keys. An HTML document can use the "
+"ACCESSKEY attribute to assign an access key to an element. When an access "
+"key is pressed, the corresponding element will be given focus."
 msgstr ""
 
-#: src/config/options.inc:150
+#: src/config/options.inc:157
 msgid "Automatic links following"
 msgstr ""
 
-#: src/config/options.inc:152
+#: src/config/options.inc:159
 msgid ""
-"Automatically follow a link or submit a form if appropriate\n"
-"accesskey is pressed - this is the standard behaviour, but it's\n"
-"considered dangerous."
+"Automatically follow a link or submit a form if appropriate accesskey is "
+"pressed - this is the standard behaviour, but it's considered dangerous."
 msgstr ""
 
-#: src/config/options.inc:156
+#: src/config/options.inc:163
 msgid "Display access key in link info"
 msgstr ""
 
-#: src/config/options.inc:158
+#: src/config/options.inc:165
 msgid "Display access key in link info."
 msgstr ""
 
-#: src/config/options.inc:160
+#: src/config/options.inc:167
 msgid "Accesskey priority"
 msgstr ""
 
-#: src/config/options.inc:162
+#: src/config/options.inc:169
 msgid ""
 "Priority of 'accesskey' HTML attribute:\n"
-"0 is first try all normal bindings; if it fails, check accesskey\n"
-"1 is first try only frame bindings; if it fails, check accesskey\n"
+"0 is first try all normal bindings; if it fails,\n"
+"     check accesskey\n"
+"1 is first try only frame bindings; if it fails,\n"
+"     check accesskey\n"
 "2 is first check accesskey (this can be dangerous)"
 msgstr ""
 
-#: src/config/options.inc:168
+#: src/config/options.inc:177
 msgid "Forms"
 msgstr ""
 
-#: src/config/options.inc:170
+#: src/config/options.inc:179
 msgid "Options for handling of the forms interaction."
 msgstr ""
 
-#: src/config/options.inc:172
+#: src/config/options.inc:181
 #, fuzzy
 msgid "Submit form automatically"
 msgstr "  "
 
-#: src/config/options.inc:174
+#: src/config/options.inc:183
 msgid ""
-"Automagically submit a form when enter is pressed with a text\n"
-"field selected."
+"Automagically submit a form when enter is pressed with a text field selected."
 msgstr ""
 
-#: src/config/options.inc:177
+#: src/config/options.inc:186
 msgid "Confirm submission"
 msgstr ""
 
-#: src/config/options.inc:179
+#: src/config/options.inc:188
 msgid "Ask for confirmation when submitting a form."
 msgstr ""
 
-#: src/config/options.inc:181
+#: src/config/options.inc:190
 msgid "Default form input size"
 msgstr ""
 
-#: src/config/options.inc:183
+#: src/config/options.inc:192
 msgid "Default form input size if none is specified."
 msgstr ""
 
-#: src/config/options.inc:185
+#: src/config/options.inc:194
 msgid "Insert mode"
 msgstr ""
 
-#: src/config/options.inc:187
+#: src/config/options.inc:196
 msgid ""
-"The setting for this option affects how key presses are handled\n"
-"when one selects a text-input form-field. When enabled, one must\n"
-"explicitly 'enter' a selected text-field to edit it; this prevents\n"
-"text fields from capturing key presses, such as presses of a scroll\n"
-"key, when it is inadvertently selected. When disabled, key presses\n"
-"are always inserted into a selected text field."
+"The setting for this option affects how key presses are handled when one "
+"selects a text-input form-field. When enabled, one must explicitly 'enter' a "
+"selected text-field to edit it; this prevents text fields from capturing key "
+"presses, such as presses of a scroll key, when it is inadvertently selected. "
+"When disabled, key presses are always inserted into a selected text field."
 msgstr ""
 
-#: src/config/options.inc:194
+#: src/config/options.inc:204
 #, fuzzy
 msgid "External editor"
 msgstr " "
 
-#: src/config/options.inc:196
+#: src/config/options.inc:206
 msgid ""
-"Path to the executable that ELinks should launch when the user\n"
-"requests to edit a textarea with an external editor.\n"
-"If this is blank, ELinks will use the value of the environmental\n"
-"variable $EDITOR. If $EDITOR is empty or not set, ELinks will then\n"
-"default to \"vi\"."
+"Path to the executable that ELinks should launch when the user requests to "
+"edit a textarea with an external editor.\n"
+"\n"
+"If this is blank, ELinks will use the value of the environmental variable "
+"$EDITOR. If $EDITOR is empty or not set, ELinks will then default to \"vi\"."
 msgstr ""
 
-#: src/config/options.inc:203
+#: src/config/options.inc:214
 #, fuzzy
 msgid "Images"
 msgstr ""
 
-#: src/config/options.inc:205
+#: src/config/options.inc:216
 msgid "Options for handling of images."
 msgstr ""
 
-#: src/config/options.inc:207
+#: src/config/options.inc:218
 #, fuzzy
 msgid "Display style for image tags"
 msgstr ""
 
-#: src/config/options.inc:209
+#: src/config/options.inc:220
 msgid ""
 "Display style for image tags when displayed:\n"
 "0     means always display IMG\n"
 "1     means always display filename\n"
-"2     means display alt/title attribute if possible, IMG if not\n"
-"3     means display alt/title attribute if possible, filename if not"
+"2     means display alt/title attribute if possible,\n"
+"      IMG if not\n"
+"3     means display alt/title attribute if possible,\n"
+"      filename if not"
 msgstr ""
 
-#: src/config/options.inc:215
+#: src/config/options.inc:228
 msgid "Maximum length for image filename"
 msgstr ""
 
-#: src/config/options.inc:217
+#: src/config/options.inc:230
 msgid ""
 "Maximum length of image filename when displayed:\n"
 "0     means always display full filename\n"
 "1-500 means display filename with this maximal length;\n"
-"      if it is longer, the middle is substituted by an asterisk"
+"      if it is longer, the middle is substituted by\n"
+"      an asterisk"
 msgstr ""
 
-#: src/config/options.inc:227
+#: src/config/options.inc:241
 msgid "Image links tagging"
 msgstr ""
 
-#: src/config/options.inc:229
+#: src/config/options.inc:243
 msgid ""
 "When to enclose image links:\n"
 "0 means never\n"
@@ -2361,92 +2364,92 @@ msgid ""
 "2 means always"
 msgstr ""
 
-#: src/config/options.inc:234
+#: src/config/options.inc:248
 msgid "Image link prefix"
 msgstr ""
 
-#: src/config/options.inc:236
+#: src/config/options.inc:250
 msgid "Prefix string to use to mark image links."
 msgstr ""
 
-#: src/config/options.inc:238
+#: src/config/options.inc:252
 msgid "Image link suffix"
 msgstr ""
 
-#: src/config/options.inc:240
+#: src/config/options.inc:254
 msgid "Suffix string to use to mark image links."
 msgstr ""
 
-#: src/config/options.inc:242
+#: src/config/options.inc:256
 msgid "Maximum length for image label"
 msgstr ""
 
-#: src/config/options.inc:244
+#: src/config/options.inc:258
 msgid ""
 "Maximum length of image label (alt/title):\n"
 "0     means always display full label\n"
 "1-500 means display label with this maximal length;\n"
-"      if it is longer, the middle is substituted by an asterisk"
+"      if it is longer, the middle is substituted by\n"
+"      an asterisk"
 msgstr ""
 
-#: src/config/options.inc:249
+#: src/config/options.inc:264
 msgid "Display links to images w/o alt"
 msgstr ""
 
-#: src/config/options.inc:251
+#: src/config/options.inc:266
 msgid ""
-"Display links to images without an alt attribute. If this option\n"
-"is off, these images are completely invisible."
+"Display links to images without an alt attribute. If this option is off, "
+"these images are completely invisible."
 msgstr ""
 
-#: src/config/options.inc:254
+#: src/config/options.inc:269
 #, fuzzy
 msgid "Display links to images"
 msgstr ""
 
-#: src/config/options.inc:256
+#: src/config/options.inc:271
 msgid ""
-"Display links to any images in the document, regardless of them\n"
-"having an alt attribute or not. If this option is off, the alt\n"
-"attribute contents is shown, but as normal text, not selectable\n"
-"as a link."
+"Display links to any images in the document, regardless of them having an "
+"alt attribute or not. If this option is off, the alt attribute contents is "
+"shown, but as normal text, not selectable as a link."
 msgstr ""
 
-#: src/config/options.inc:262
+#: src/config/options.inc:277
 #, fuzzy
 msgid "Links"
 msgstr ""
 
-#: src/config/options.inc:264
+#: src/config/options.inc:279
 msgid "Options for handling of links to other documents."
 msgstr ""
 
-#: src/config/options.inc:266
+#: src/config/options.inc:281
 msgid "Active link"
 msgstr ""
 
-#: src/config/options.inc:268
+#: src/config/options.inc:283
 msgid "Options for the active link."
 msgstr ""
 
-#: src/config/options.inc:270
+#: src/config/options.inc:285
 #, fuzzy
 msgid "Colors"
 msgstr ""
 
-#: src/config/options.inc:272
+#: src/config/options.inc:287
 #, fuzzy
 msgid "Active link colors."
 msgstr "  "
 
-#: src/config/options.inc:274 src/config/options.inc:549
-#: src/config/options.inc:945
+#: src/config/options.inc:289 src/config/options.inc:583
+#: src/config/options.inc:1014
 #, fuzzy
 msgid "Background color"
 msgstr ""
 
-#: src/config/options.inc:276 src/config/options.inc:551
-#: src/config/options.inc:946
+#: src/config/options.inc:291 src/config/options.inc:585
+#: src/config/options.inc:1015
 #, fuzzy
 msgid "Default background color."
 msgstr "  "
@@ -2459,75 +2462,75 @@ msgstr "  
 #. *	on it.
 #. The colors and mono tree should be similar but with different default
 #. * values of course so always use the macros below.
-#: src/config/options.inc:278 src/config/options.inc:545
-#: src/config/options.inc:943
+#: src/config/options.inc:293 src/config/options.inc:579
+#: src/config/options.inc:1012
 #, fuzzy
 msgid "Text color"
 msgstr " "
 
-#: src/config/options.inc:280 src/config/options.inc:547
-#: src/config/options.inc:944
+#: src/config/options.inc:295 src/config/options.inc:581
+#: src/config/options.inc:1013
 msgid "Default text color."
 msgstr ""
 
-#: src/config/options.inc:282
+#: src/config/options.inc:297
 #, fuzzy
 msgid "Enable color"
 msgstr ""
 
-#: src/config/options.inc:284
+#: src/config/options.inc:299
 msgid ""
-"Enable use of the active link background and text color\n"
-"settings instead of the link colors from the document."
+"Enable use of the active link background and text color settings instead of "
+"the link colors from the document."
 msgstr ""
 
-#: src/config/options.inc:287
+#: src/config/options.inc:302
 msgid "Bold"
 msgstr ""
 
-#: src/config/options.inc:289
+#: src/config/options.inc:304
 msgid "Make the active link text bold."
 msgstr ""
 
-#: src/config/options.inc:291
+#: src/config/options.inc:306
 #, fuzzy
 msgid "Invert colors"
 msgstr " "
 
-#: src/config/options.inc:293
+#: src/config/options.inc:308
 msgid "Invert the fore- and background color so the link stands out."
 msgstr ""
 
-#: src/config/options.inc:296 src/config/options.inc:908
+#: src/config/options.inc:311 src/config/options.inc:975
 #: src/dialogs/options.c:231
 msgid "Underline"
 msgstr ""
 
-#: src/config/options.inc:298
+#: src/config/options.inc:313
 msgid "Underline the active link."
 msgstr ""
 
-#: src/config/options.inc:301
+#: src/config/options.inc:316
 msgid "Directory highlighting"
 msgstr ""
 
-#: src/config/options.inc:303
+#: src/config/options.inc:318
 msgid "Highlight links to directories in FTP and local directory listing."
 msgstr ""
 
-#: src/config/options.inc:305
+#: src/config/options.inc:321
 msgid "Number links"
 msgstr ""
 
-#: src/config/options.inc:307
+#: src/config/options.inc:323
 msgid "Display numbers next to the links."
 msgstr ""
 
-#: src/config/options.inc:309
+#: src/config/options.inc:325
 msgid "Handling of target=_blank"
 msgstr ""
 
-#: src/config/options.inc:311
+#: src/config/options.inc:327
 msgid ""
 "Define how to handle links having target=_blank set:\n"
 "0 means open link in current tab\n"
@@ -2536,139 +2539,136 @@ msgid ""
 "3 means open link in new window"
 msgstr ""
 
-#: src/config/options.inc:324
+#: src/config/options.inc:340
 msgid "Use tabindex"
 msgstr ""
 
-#: src/config/options.inc:326
+#: src/config/options.inc:342
 msgid ""
-"Whether to navigate links using tabindex specified ordering.\n"
-"The TABINDEX attribute in HTML elements specifies the order\n"
-"in which links should receive focus when using the keyboard\n"
-"to navigate the document."
+"Whether to navigate links using tabindex specified ordering. The TABINDEX "
+"attribute in HTML elements specifies the order in which links should receive "
+"focus when using the keyboard to navigate the document."
 msgstr ""
 
-#: src/config/options.inc:331
+#: src/config/options.inc:347
 #, fuzzy
 msgid "Missing fragment reporting"
 msgstr "   (frames)"
 
-#: src/config/options.inc:333
+#: src/config/options.inc:349
 msgid "Open a message box when document has no tag with given id."
 msgstr ""
 
-#: src/config/options.inc:335
+#: src/config/options.inc:352
 msgid "Number keys select links"
 msgstr ""
 
-#: src/config/options.inc:337
+#: src/config/options.inc:354
 msgid ""
-"Number keys select links rather than specify command prefixes. This\n"
-"is a tristate:\n"
+"Number keys select links rather than specify command prefixes. This is a "
+"tristate:\n"
 "0 means never\n"
 "1 means if document.browse.links.numbering = 1\n"
 "2 means always"
 msgstr ""
 
-#: src/config/options.inc:343
+#: src/config/options.inc:360
 msgid "Warn about maliciously crafted URIs"
 msgstr ""
 
-#: src/config/options.inc:345
+#: src/config/options.inc:362
 msgid ""
-"When following a link the user ID part of the URI is\n"
-"checked and if a maliciously crafted URI is detected a\n"
-"warning dialog will ask before following the link."
+"When following a link the user ID part of the URI is checked and if a "
+"maliciously crafted URI is detected a warning dialog will ask before "
+"following the link."
 msgstr ""
 
 #. TODO - this is somehow implemented by ff, but disabled
 #. * for now as it doesn't work.
-#: src/config/options.inc:351
+#: src/config/options.inc:368
 msgid "Wrap-around links cycling"
 msgstr ""
 
 #. 0
-#: src/config/options.inc:353
+#: src/config/options.inc:370
 msgid ""
-"When pressing 'down' on the last link, jump to the first one, and\n"
-"vice versa."
+"When pressing 'down' on the last link, jump to the first one, and vice versa."
 msgstr ""
 
-#: src/config/options.inc:357
+#: src/config/options.inc:374
 msgid "Scrolling"
 msgstr ""
 
-#: src/config/options.inc:359
+#: src/config/options.inc:376
 #, fuzzy
 msgid "Scrolling options."
 msgstr " "
 
-#: src/config/options.inc:361
+#: src/config/options.inc:378
 msgid "Horizontal step"
 msgstr ""
 
-#: src/config/options.inc:363
+#: src/config/options.inc:380
 msgid ""
-"Number of columns to scroll when a key bound to scroll-left or scroll-\n"
-"right is pressed and no prefix was given."
+"Number of columns to scroll when a key bound to scroll-left or scroll-right "
+"is pressed and no prefix was given."
 msgstr ""
 
-#: src/config/options.inc:366
+#: src/config/options.inc:384
 msgid "Extended horizontal scrolling"
 msgstr ""
 
-#: src/config/options.inc:368
+#: src/config/options.inc:386
 msgid ""
-"Whether to allow horizontal scrolling when the document\n"
-"does not extend off the screen. Useful for copy/paste\n"
-"operations."
+"Whether to allow horizontal scrolling when the document does not extend off "
+"the screen. Useful for copy/paste operations."
 msgstr ""
 
-#: src/config/options.inc:372
+#: src/config/options.inc:390
 #, fuzzy
 msgid "Margin"
 msgstr ""
 
-#: src/config/options.inc:374
+#: src/config/options.inc:392
 msgid ""
-"Size of the virtual margin - when you click inside of that margin,\n"
-"document scrolls in that direction."
+"Size of the virtual margin - when you click inside of that margin, document "
+"scrolls in that direction."
 msgstr ""
 
-#: src/config/options.inc:377
+#: src/config/options.inc:395
 msgid "Vertical step"
 msgstr ""
 
-#: src/config/options.inc:379
+#: src/config/options.inc:397
 msgid ""
-"Number of lines to scroll when a key bound to scroll-up or scroll-\n"
-"down is pressed and no prefix was given."
+"Number of lines to scroll when a key bound to scroll-up or scroll-down is "
+"pressed and no prefix was given."
 msgstr ""
 
-#: src/config/options.inc:383
+#: src/config/options.inc:401
 #, fuzzy
 msgid "Searching"
 msgstr ""
 
-#: src/config/options.inc:385
+#: src/config/options.inc:403
 msgid "Options for searching."
 msgstr ""
 
-#: src/config/options.inc:387
+#: src/config/options.inc:405
 msgid "Case sensitivity"
 msgstr ""
 
-#: src/config/options.inc:389
+#: src/config/options.inc:407
 msgid ""
-"Whether the search should match the document text while maintaining\n"
-"case sensitivity."
+"Whether the search should match the document text while maintaining case "
+"sensitivity."
 msgstr ""
 
-#: src/config/options.inc:393
+#: src/config/options.inc:411
 msgid "Regular expressions"
 msgstr ""
 
-#: src/config/options.inc:395
+#: src/config/options.inc:413
 msgid ""
 "Enable searching with regular expressions:\n"
 "0 for plain text searching\n"
@@ -2676,31 +2676,31 @@ msgid ""
 "2 for extended regular expression searches"
 msgstr ""
 
-#: src/config/options.inc:401
+#: src/config/options.inc:419
 msgid "Show search hit top or bottom dialogs"
 msgstr ""
 
-#: src/config/options.inc:403
+#: src/config/options.inc:421
 msgid ""
-"Whether to show a dialog when the search hits the top or bottom of the\n"
+"Whether to show a dialog when the search hits the top or bottom of the "
 "document."
 msgstr ""
 
-#: src/config/options.inc:406
+#: src/config/options.inc:424
 #, fuzzy
 msgid "Wraparound"
 msgstr ""
 
-#: src/config/options.inc:408
+#: src/config/options.inc:426
 msgid "Wrap around when searching. Currently only used for typeahead."
 msgstr ""
 
-#: src/config/options.inc:410
+#: src/config/options.inc:429
 #, fuzzy
 msgid "Show not found"
 msgstr "   "
 
-#: src/config/options.inc:412
+#: src/config/options.inc:431
 msgid ""
 "How to inform the user when nothing is matched:\n"
 "0 means do nothing\n"
@@ -2708,281 +2708,282 @@ msgid ""
 "2 means pop up message box"
 msgstr ""
 
-#: src/config/options.inc:417
+#: src/config/options.inc:436
 #, fuzzy
 msgid "Typeahead searching"
 msgstr "  "
 
-#: src/config/options.inc:419
+#: src/config/options.inc:438
 msgid ""
-"Start typeahead searching when an unbound key is pressed without\n"
-"any modifiers. Note that most keys have default bindings, so this\n"
-"feature will not be useful unless you unbind them.\n"
+"Start typeahead searching when an unbound key is pressed without any "
+"modifiers. Note that most keys have default bindings, so this feature will "
+"not be useful unless you unbind them.\n"
 "\n"
-"0 disables this feature; typeahead searching will only be used\n"
-"  when you press a key bound to search-typeahead or similar\n"
+"0 disables this feature; typeahead searching will only be\n"
+"  used when you press a key bound to search-typeahead or\n"
+"  similar\n"
 "1 automatically starts typeahead searching thru link text\n"
-"2 automatically starts typeahead searching thru all document text"
+"2 automatically starts typeahead searching thru all document\n"
+"  text"
 msgstr ""
 
-#: src/config/options.inc:428
+#: src/config/options.inc:451
 msgid "Horizontal text margin"
 msgstr ""
 
-#: src/config/options.inc:430
+#: src/config/options.inc:453
 msgid "Horizontal text margin."
 msgstr ""
 
-#: src/config/options.inc:432
+#: src/config/options.inc:455
 msgid "Document meta refresh"
 msgstr ""
 
-#: src/config/options.inc:434
+#: src/config/options.inc:457
 msgid ""
-"Automatically follow document-specified refresh directives ('<meta>\n"
-"refresh' tags). Web-page authors use these to instruct the browser\n"
-"to reload a document at a given interval or to load another page.\n"
-"Regardless of the value the refresh URI is accessible as a link.\n"
-"Use the document.browse.minimum_refresh_time to control the minimum\n"
-"number of seconds a refresh will wait."
+"Automatically follow document-specified refresh directives ('<meta> refresh' "
+"tags). Web-page authors use these to instruct the browser to reload a "
+"document at a given interval or to load another page. Regardless of the "
+"value the refresh URI is accessible as a link.\n"
+"\n"
+"Use the document.browse.minimum_refresh_time to control the minimum number "
+"of seconds a refresh will wait."
 msgstr ""
 
-#: src/config/options.inc:441
+#: src/config/options.inc:466
 msgid "Document meta refresh minimum time"
 msgstr ""
 
-#: src/config/options.inc:443
+#: src/config/options.inc:468
 msgid ""
-"The minimum number of milliseconds that should pass before\n"
-"refreshing. If set to zero the document refresh time is used\n"
-"unchanged. It can fix going back in history for some sites that\n"
-"use refreshing with zero values."
+"The minimum number of milliseconds that should pass before refreshing. If "
+"set to zero the document refresh time is used unchanged. It can fix going "
+"back in history for some sites that use refreshing with zero values."
 msgstr ""
 
-#: src/config/options.inc:448
+#: src/config/options.inc:473
 msgid "Tables navigation order"
 msgstr ""
 
-#: src/config/options.inc:450
+#: src/config/options.inc:475
 msgid "Move by columns in table, instead of rows."
 msgstr ""
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:456
+#: src/config/options.inc:481
 #, fuzzy
 msgid "Cache"
 msgstr ""
 
-#: src/config/options.inc:458
+#: src/config/options.inc:483
 #, fuzzy
 msgid "Cache options."
 msgstr " "
 
-#: src/config/options.inc:460
+#: src/config/options.inc:485
 msgid "Cache information about redirects"
 msgstr ""
 
-#: src/config/options.inc:462
+#: src/config/options.inc:487
 msgid ""
-"Cache even redirects sent by server (usually thru HTTP by a 302\n"
-"HTTP code and a Location header). This was the original behaviour\n"
-"for quite some time, but it causes problems in a situation very\n"
-"common to various web login systems - frequently, when accessing\n"
-"a certain location, they will redirect you to a login page if they\n"
-"don't receive an auth cookie, the login page then gives you the\n"
-"cookie and redirects you back to the original page, but there you\n"
-"have already cached redirect back to the login page! If this\n"
-"option has value of 0, this malfunction is fixed, but occasionally\n"
-"you may get superfluous (depends on how you take it ;-) requests to\n"
-"the server. If this option has value of 1, experienced users can\n"
-"still workaround it by clever combination of usage of reload,\n"
-"jumping around in session history and hitting ctrl+enter.\n"
-"Note that this option is checked when retrieving the information\n"
-"from cache, not when saving it to cache - thus if you enable\n"
-"it, even previous redirects will be taken from cache instead of\n"
-"asking the server."
+"Cache even redirects sent by server (usually thru HTTP by a 302 HTTP code "
+"and a Location header). This was the original behaviour for quite some time, "
+"but it causes problems in a situation very common to various web login "
+"systems - frequently, when accessing a certain location, they will redirect "
+"you to a login page if they don't receive an auth cookie, the login page "
+"then gives you the cookie and redirects you back to the original page, but "
+"there you have already cached redirect back to the login page! If this "
+"option has value of 0, this malfunction is fixed, but occasionally you may "
+"get superfluous (depends on how you take it ;-) requests to the server. If "
+"this option has value of 1, experienced users can still workaround it by "
+"clever combination of usage of reload, jumping around in session history and "
+"hitting ctrl+enter.\n"
+"\n"
+"Note that this option is checked when retrieving the information from cache, "
+"not when saving it to cache - thus if you enable it, even previous redirects "
+"will be taken from cache instead of asking the server."
 msgstr ""
 
-#: src/config/options.inc:480
+#: src/config/options.inc:508
 msgid "Ignore cache-control info from server"
 msgstr ""
 
-#: src/config/options.inc:482
+#: src/config/options.inc:510
 msgid ""
-"Ignore Cache-Control and Pragma server headers.\n"
-"When set, the document is cached even with 'Cache-Control: no-cache'."
+"Ignore Cache-Control and Pragma server headers. When set, the document is "
+"cached even with 'Cache-Control: no-cache'."
 msgstr ""
 
-#: src/config/options.inc:485
+#: src/config/options.inc:514
 #, fuzzy
 msgid "Formatted documents"
 msgstr "   "
 
-#: src/config/options.inc:487
+#: src/config/options.inc:516
 msgid "Format cache options."
 msgstr ""
 
-#: src/config/options.inc:489
+#: src/config/options.inc:518
 #, fuzzy
 msgid "Number"
 msgstr "  "
 
-#: src/config/options.inc:491
+#: src/config/options.inc:520
 msgid ""
-"Number of cached formatted pages. Do not get too generous\n"
-"here, 'formatted' means that all the accompanying structures\n"
-"are kept in memory so that you get the cached document\n"
-"immediatelly, but these structures may take a lot - 2x the\n"
-"size of the HTML source is probably not unusual, but it can\n"
-"be even more if the document consists of a lot of short lines\n"
-"(padded right, if possible) and links and not much other markup.\n"
-"So if you set this to 256 and then you don't like your ELinks\n"
-"eating 90M, don't come complaining to us. ;-)\n"
-"Also note that the format cache itself is not counted to the\n"
-"memory cache size, but the HTML source of the formatted documents\n"
-"is always cached, even if it is over the memory cache size\n"
-"threshold. (Then of course no other documents can be cached.)"
+"Number of cached formatted pages. Do not get too generous here, 'formatted' "
+"means that all the accompanying structures are kept in memory so that you "
+"get the cached document immediatelly, but these structures may take a lot - "
+"2x the size of the HTML source is probably not unusual, but it can be even "
+"more if the document consists of a lot of short lines (padded right, if "
+"possible) and links and not much other markup. So if you set this to 256 and "
+"then you don't like your ELinks eating 90M, don't come complaining to "
+"us. ;-)\n"
+"\n"
+"Also note that the format cache itself is not counted to the memory cache "
+"size, but the HTML source of the formatted documents is always cached, even "
+"if it is over the memory cache size threshold. (Then of course no other "
+"documents can be cached.)"
 msgstr ""
 
 #. FIXME: Write more.
-#: src/config/options.inc:506
+#: src/config/options.inc:538
 #, fuzzy
 msgid "Revalidation interval"
 msgstr " "
 
-#: src/config/options.inc:508
+#: src/config/options.inc:540
 msgid ""
-"Period in seconds that a cache entry is considered to be\n"
-"up-to-date. When a document is loaded and this interval has elapsed\n"
-"since the document was initially loaded or most recently\n"
-"revalidated with the server, the server will be checked in case\n"
-"there is a more up-to-date version of the document.\n"
+"Period in seconds that a cache entry is considered to be up-to-date. When a "
+"document is loaded and this interval has elapsed since the document was "
+"initially loaded or most recently revalidated with the server, the server "
+"will be checked in case there is a more up-to-date version of the document.\n"
 "\n"
 "A value of -1 disables automatic revalidation."
 msgstr ""
 
-#: src/config/options.inc:515 src/dialogs/info.c:199
+#: src/config/options.inc:549 src/dialogs/info.c:199
 msgid "Memory cache"
 msgstr " "
 
-#: src/config/options.inc:517
+#: src/config/options.inc:551
 #, fuzzy
 msgid "Memory cache options."
 msgstr " "
 
-#: src/config/options.inc:521
+#: src/config/options.inc:555
 #, fuzzy
 msgid "Memory cache size (in bytes)."
 msgstr " "
 
-#: src/config/options.inc:525
+#: src/config/options.inc:559
 #, fuzzy
 msgid "Charset"
 msgstr " "
 
-#: src/config/options.inc:527
+#: src/config/options.inc:561
 #, fuzzy
 msgid "Charset options."
 msgstr " "
 
-#: src/config/options.inc:529
+#: src/config/options.inc:563
 msgid "Default codepage"
 msgstr ""
 
-#: src/config/options.inc:531
+#: src/config/options.inc:565
 msgid ""
-"Default document codepage. 'System' stands for\n"
-"a codepage determined by a selected locale."
+"Default document codepage. 'System' stands for a codepage determined by a "
+"selected locale."
 msgstr ""
 
-#: src/config/options.inc:534
+#: src/config/options.inc:568
 msgid "Ignore charset info from server"
 msgstr ""
 
-#: src/config/options.inc:536
+#: src/config/options.inc:570
 msgid "Ignore charset info sent by server."
 msgstr ""
 
-#: src/config/options.inc:540
+#: src/config/options.inc:574
 msgid "Default color settings"
 msgstr ""
 
-#: src/config/options.inc:542
+#: src/config/options.inc:576
 msgid "Default document color settings."
 msgstr ""
 
-#: src/config/options.inc:553
+#: src/config/options.inc:587
 msgid "Link color"
 msgstr ""
 
-#: src/config/options.inc:555
+#: src/config/options.inc:589
 msgid "Default link color."
 msgstr ""
 
-#: src/config/options.inc:557
+#: src/config/options.inc:591
 msgid "Visited-link color"
 msgstr ""
 
-#: src/config/options.inc:559
+#: src/config/options.inc:593
 msgid "Default visited link color."
 msgstr ""
 
-#: src/config/options.inc:561
+#: src/config/options.inc:595
 #, fuzzy
 msgid "Image-link color"
 msgstr "  "
 
-#: src/config/options.inc:563
+#: src/config/options.inc:597
 #, fuzzy
 msgid "Default image link color."
 msgstr "  "
 
-#: src/config/options.inc:565
+#: src/config/options.inc:599
 msgid "Bookmarked-link color"
 msgstr ""
 
-#: src/config/options.inc:567
+#: src/config/options.inc:601
 #, fuzzy
 msgid "Default bookmarked link color."
 msgstr "  "
 
-#: src/config/options.inc:569
+#: src/config/options.inc:603
 msgid "Directory color"
 msgstr ""
 
-#: src/config/options.inc:571
+#: src/config/options.inc:605
 msgid ""
 "Default directory color.\n"
+"\n"
 "See document.browse.links.color_dirs option."
 msgstr ""
 
-#: src/config/options.inc:578
+#: src/config/options.inc:613
 msgid "Increase contrast"
 msgstr ""
 
-#: src/config/options.inc:580
+#: src/config/options.inc:615
 msgid ""
-"Increase the contrast between the foreground and background colors\n"
-"to ensure readability. For example it disallows dark colors on a\n"
-"black background. Note, this is different from ensuring the contrast\n"
-"with the ensure_contrast option."
+"Increase the contrast between the foreground and background colors to ensure "
+"readability. For example it disallows dark colors on a black background. "
+"Note, this is different from ensuring the contrast with the ensure_contrast "
+"option."
 msgstr ""
 
-#: src/config/options.inc:585
+#: src/config/options.inc:621
 msgid "Ensure contrast"
 msgstr ""
 
-#: src/config/options.inc:587
+#: src/config/options.inc:623
 msgid "Makes sure that the back- and foreground colors are never equal."
 msgstr ""
 
 #. If you change this please also change ACT_MAIN_DOCUMENT_COLORS action
 #. * handling.
-#: src/config/options.inc:592
+#: src/config/options.inc:628
 msgid "Use document-specified colors"
 msgstr ""
 
-#: src/config/options.inc:594
+#: src/config/options.inc:630
 msgid ""
 "Use colors specified in document:\n"
 "0 is use always the default settings\n"
@@ -2994,40 +2995,40 @@ msgid ""
 msgstr ""
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:607
+#: src/config/options.inc:643
 #, fuzzy
 msgid "Downloading"
 msgstr ""
 
-#: src/config/options.inc:609
+#: src/config/options.inc:645
 msgid "Options regarding files downloading and handling."
 msgstr ""
 
-#: src/config/options.inc:611
+#: src/config/options.inc:647
 #, fuzzy
 msgid "Default download directory"
 msgstr " "
 
-#: src/config/options.inc:613
+#: src/config/options.inc:649
 msgid "Default download directory."
 msgstr ""
 
-#: src/config/options.inc:615
+#: src/config/options.inc:651
 msgid "Set original time"
 msgstr ""
 
-#: src/config/options.inc:617
+#: src/config/options.inc:653
 msgid ""
-"Set the timestamp of each downloaded file to the timestamp\n"
-"stored on the server."
+"Set the timestamp of each downloaded file to the timestamp stored on the "
+"server."
 msgstr ""
 
 #. Does automatic resuming make sense as an option?
-#: src/config/options.inc:621
+#: src/config/options.inc:657
 msgid "Prevent overwriting"
 msgstr ""
 
-#: src/config/options.inc:623
+#: src/config/options.inc:659
 msgid ""
 "Prevent overwriting the local files:\n"
 "0 is files will silently be overwritten\n"
@@ -3035,11 +3036,11 @@ msgid ""
 "2 is ask the user"
 msgstr ""
 
-#: src/config/options.inc:628
+#: src/config/options.inc:664
 msgid "Notify download completion by bell"
 msgstr ""
 
-#: src/config/options.inc:630
+#: src/config/options.inc:666
 msgid ""
 "Audio notification when download is completed:\n"
 "0 is never\n"
@@ -3047,27 +3048,27 @@ msgid ""
 "2 is always"
 msgstr ""
 
-#: src/config/options.inc:636
+#: src/config/options.inc:672
 msgid "Dump output"
 msgstr ""
 
-#: src/config/options.inc:638
+#: src/config/options.inc:674
 msgid "Dump output options."
 msgstr ""
 
 #. OPT_CODEPAGE
-#: src/config/options.inc:640 src/config/options.inc:912
+#: src/config/options.inc:676 src/config/options.inc:980
 #: src/config/opttypes.c:481 src/dialogs/document.c:164
 msgid "Codepage"
 msgstr ""
 
-#: src/config/options.inc:642
+#: src/config/options.inc:678
 msgid ""
-"Codepage used in dump output. 'System' stands for\n"
-"a codepage determined by a selected locale."
+"Codepage used in dump output. 'System' stands for a codepage determined by a "
+"selected locale."
 msgstr ""
 
-#: src/config/options.inc:645 src/config/options.inc:878
+#: src/config/options.inc:681 src/config/options.inc:941
 #, fuzzy
 msgid "Color mode"
 msgstr ""
@@ -3077,12 +3078,14 @@ msgstr ""
 #. * an outer list entry after an inner list.
 #. * TRANSLATORS: This restriction applies only to the
 #. * "en" (English) translation.  (See doc/Makefile.)
-#: src/config/options.inc:652
+#: src/config/options.inc:688
 msgid ""
 "Color mode for dumps.\n"
+"\n"
 "Some modes may have been disabled at compile time. The Setup -> Terminal "
 "options dialog lists the modes supported by this executable. If you select "
 "an unsupported mode, ELinks uses 16 colors.\n"
+"\n"
 "The color modes are:\n"
 "-1 is standard dump mode\n"
 "0 is mono mode\n"
@@ -3092,127 +3095,125 @@ msgid ""
 "4 is true color mode"
 msgstr ""
 
-#: src/config/options.inc:665
+#: src/config/options.inc:703
 msgid "Footer"
 msgstr ""
 
-#: src/config/options.inc:667
+#: src/config/options.inc:705
 #, c-format
 msgid "Footer string used in dumps. %u is substituted by URL."
 msgstr ""
 
-#: src/config/options.inc:671
+#: src/config/options.inc:709
 #, c-format
 msgid "Header string used in dumps. %u is substituted by URL."
 msgstr ""
 
-#: src/config/options.inc:673
+#: src/config/options.inc:711
 #, fuzzy
 msgid "Numbering"
 msgstr "  "
 
-#: src/config/options.inc:675
+#: src/config/options.inc:713
 msgid "Whether to print link numbers in dump output."
 msgstr ""
 
-#: src/config/options.inc:677
+#: src/config/options.inc:715
 #, fuzzy
 msgid "References"
 msgstr ""
 
-#: src/config/options.inc:679
-msgid ""
-"Whether to print references (URIs) of document links\n"
-"in dump output."
+#: src/config/options.inc:717
+msgid "Whether to print references (URIs) of document links in dump output."
 msgstr ""
 
-#: src/config/options.inc:682
+#: src/config/options.inc:720
 msgid "Separator"
 msgstr ""
 
-#: src/config/options.inc:684
+#: src/config/options.inc:722
 msgid "String which separates two dumps."
 msgstr ""
 
-#: src/config/options.inc:686
+#: src/config/options.inc:724
 msgid "Width"
 msgstr ""
 
-#: src/config/options.inc:688
+#: src/config/options.inc:726
 msgid "Width of screen in characters when dumping documents."
 msgstr ""
 
-#: src/config/options.inc:692
+#: src/config/options.inc:730
 #, fuzzy
 msgid "History"
 msgstr ""
 
-#: src/config/options.inc:694
+#: src/config/options.inc:732
 msgid "History options."
 msgstr ""
 
-#: src/config/options.inc:696
+#: src/config/options.inc:734
 #, fuzzy
 msgid "Keep unhistory"
 msgstr "  "
 
-#: src/config/options.inc:698
+#: src/config/options.inc:736
 #, fuzzy
 msgid "Keep unhistory (\"forward history\")."
 msgstr "  "
 
-#: src/config/options.inc:701
+#: src/config/options.inc:739
 #, fuzzy
 msgid "HTML rendering"
 msgstr " "
 
-#: src/config/options.inc:703
+#: src/config/options.inc:741
 msgid "Options concerning the display of HTML pages."
 msgstr ""
 
-#: src/config/options.inc:705
+#: src/config/options.inc:743
 #, fuzzy
 msgid "Display frames"
 msgstr ""
 
-#: src/config/options.inc:707
+#: src/config/options.inc:745
 #, fuzzy
 msgid "Display frames."
 msgstr ""
 
-#: src/config/options.inc:709
+#: src/config/options.inc:747
 #, fuzzy
 msgid "Display tables"
 msgstr ""
 
-#: src/config/options.inc:711
+#: src/config/options.inc:749
 #, fuzzy
 msgid "Display tables."
 msgstr ""
 
-#: src/config/options.inc:713
+#: src/config/options.inc:751
 #, fuzzy
 msgid "Display subscripts"
 msgstr "  USEMAP"
 
-#: src/config/options.inc:715
+#: src/config/options.inc:753
 msgid "Display subscripts (as [thing])."
 msgstr ""
 
-#: src/config/options.inc:717
+#: src/config/options.inc:755
 #, fuzzy
 msgid "Display superscripts"
 msgstr "  USEMAP"
 
-#: src/config/options.inc:719
+#: src/config/options.inc:757
 msgid "Display superscripts (as ^thing)."
 msgstr ""
 
-#: src/config/options.inc:721
+#: src/config/options.inc:759
 msgid "Rendering of HTML link element"
 msgstr ""
 
-#: src/config/options.inc:723
+#: src/config/options.inc:761
 msgid ""
 "How to render <link> tags from the HTML header:\n"
 "0 is nothing\n"
@@ -3223,145 +3224,143 @@ msgid ""
 "5 is everything"
 msgstr ""
 
-#: src/config/options.inc:731
+#: src/config/options.inc:769
 msgid "Underline links"
 msgstr ""
 
-#: src/config/options.inc:733
+#: src/config/options.inc:771
 msgid "Underline links."
 msgstr ""
 
-#: src/config/options.inc:735
+#: src/config/options.inc:773
 msgid "Wrap non breaking space"
 msgstr ""
 
-#: src/config/options.inc:737
+#: src/config/options.inc:775
 msgid ""
-"If set do not honour non breaking space (the nbsp entity)\n"
-"but allow to wrap the text. This can help keeping the width\n"
-"of documents down so no horizontal scrolling is needed."
+"If set do not honour non breaking space (the nbsp entity) but allow to wrap "
+"the text. This can help keeping the width of documents down so no horizontal "
+"scrolling is needed."
 msgstr ""
 
-#: src/config/options.inc:742
+#: src/config/options.inc:780
 #, fuzzy
 msgid "Plain rendering"
 msgstr " "
 
-#: src/config/options.inc:744
+#: src/config/options.inc:782
 msgid "Options concerning the display of plain text pages."
 msgstr ""
 
-#: src/config/options.inc:746
+#: src/config/options.inc:784
 #, fuzzy
 msgid "Display URIs"
 msgstr ""
 
-#: src/config/options.inc:748
+#: src/config/options.inc:786
 msgid "Display URIs in the document as links."
 msgstr ""
 
-#: src/config/options.inc:750
+#: src/config/options.inc:788
 msgid "Compress empty lines"
 msgstr ""
 
-#: src/config/options.inc:752
+#: src/config/options.inc:790
 msgid "Compress successive empty lines to only one in displayed text."
 msgstr ""
 
-#: src/config/options.inc:755
+#: src/config/options.inc:794
 msgid "URI passing"
 msgstr ""
 
-#: src/config/options.inc:757
+#: src/config/options.inc:796
 msgid ""
-"Rules for passing URIs to external commands. When one rule\n"
-"is defined the link and tab menu will have a menu item that\n"
-"makes it possible to pass the the link, frame or tab URI to\n"
-"an external command. If several rules are defined the link and\n"
-"tab menu will have a submenu of items for each rule. Note, this\n"
-"is mostly useful for launching graphical viewers, since there\n"
-"is no support for releasing the terminal while the command runs.\n"
-"The action and submenus are also available by binding keys to\n"
-"the frame-external-command, the link-external-command, and\n"
-"the tab-external-command actions."
+"Rules for passing URIs to external commands. When one rule is defined the "
+"link and tab menu will have a menu item that makes it possible to pass the "
+"the link, frame or tab URI to an external command. If several rules are "
+"defined the link and tab menu will have a submenu of items for each rule.\n"
+"\n"
+"Note, this is mostly useful for launching graphical viewers, since there is "
+"no support for releasing the terminal while the command runs. The action and "
+"submenus are also available by binding keys to the frame-external-command, "
+"the link-external-command, and the tab-external-command actions."
 msgstr ""
 
-#: src/config/options.inc:770
+#: src/config/options.inc:812
 msgid ""
-"A rule for passing URI to an external command.\n"
-"The format is:\n"
+"A rule for passing URI to an external command. The format is:\n"
 "%c in the string means the current URL\n"
 "%% in the string means '%'\n"
 "Do _not_ put single- or double-quotes around %c."
 msgstr ""
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:780
+#: src/config/options.inc:822
 msgid "Information files"
 msgstr ""
 
-#: src/config/options.inc:782
+#: src/config/options.inc:824
 msgid "Options for information files in ~/.elinks."
 msgstr ""
 
-#: src/config/options.inc:784
+#: src/config/options.inc:826
 #, fuzzy
 msgid "Save interval"
 msgstr " "
 
-#: src/config/options.inc:786
+#: src/config/options.inc:828
 msgid ""
-"Interval at which to trigger information files in ~/.elinks\n"
-"to be saved to disk if they have changed (seconds; 0 to disable)"
+"Interval at which to trigger information files in ~/.elinks to be saved to "
+"disk if they have changed (seconds; 0 to disable)"
 msgstr ""
 
-#: src/config/options.inc:789
+#: src/config/options.inc:832
 msgid "Use secure file saving"
 msgstr ""
 
-#: src/config/options.inc:791
+#: src/config/options.inc:834
 msgid ""
-"First write data to unique temporary file, then rename this file\n"
-"upon successfully finishing this. Note that this relates only to\n"
-"config files, not downloaded files. You may want to disable\n"
-"it if you are using some exotic permissions for concerned files.\n"
-"Secure file saving is automagically disabled if file is symlink.\n"
-"Warning: some systems (ie. OS/2, Win32) require that destination\n"
-"file doesn't exist when rename(3) is called, breaking atomicity,\n"
-"and reducing reliability of this feature."
+"First write data to unique temporary file, then rename this file upon "
+"successfully finishing this. Note that this relates only to config files, "
+"not downloaded files. You may want to disable it if you are using some "
+"exotic permissions for concerned files. Secure file saving is automagically "
+"disabled if file is symlink.\n"
+"\n"
+"Warning: some systems (ie. OS/2, Win32) require that destination file "
+"doesn't exist when rename(3) is called, breaking atomicity, and reducing "
+"reliability of this feature."
 msgstr ""
 
-#: src/config/options.inc:800
+#: src/config/options.inc:846
 msgid "Use fsync(3) with secure file saving"
 msgstr ""
 
-#: src/config/options.inc:802
+#: src/config/options.inc:848
 msgid ""
-"When using secure file saving, call fsync(3), if the OS\n"
-"supports it, to force the OS immediately to write the data\n"
-"to permanent storage. This is optional for those who wish\n"
-"to avoid excessive disk I/O."
+"When using secure file saving, call fsync(3), if the OS supports it, to "
+"force the OS immediately to write the data to permanent storage. This is "
+"optional for those who wish to avoid excessive disk I/O."
 msgstr ""
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:811
+#: src/config/options.inc:857
 #, fuzzy
 msgid "Terminals"
 msgstr " "
 
-#: src/config/options.inc:813
+#: src/config/options.inc:859
 #, fuzzy
 msgid "Terminal options."
 msgstr " "
 
-#: src/config/options.inc:817
+#: src/config/options.inc:863
 msgid "Options specific to this terminal type (according to $TERM value)."
 msgstr ""
 
-#: src/config/options.inc:842
+#: src/config/options.inc:889
 msgid ""
-"Terminal type; matters mostly only when drawing frames and\n"
-"dialog box borders:\n"
+"Terminal type; matters mostly only when drawing frames and dialog box "
+"borders:\n"
 "0 is dumb terminal type, ASCII art\n"
 "1 is VT100, simple but portable\n"
 "2 is Linux, you get double frames and other goodies\n"
@@ -3369,15 +3368,31 @@ msgid ""
 "4 is FreeBSD"
 msgstr ""
 
-#: src/config/options.inc:850 src/dialogs/options.c:227
+#: src/config/options.inc:897
+msgid "Always encode xterm title in ISO-8859-1"
+msgstr ""
+
+#: src/config/options.inc:899
+msgid ""
+"When updating the window title of xterm or a similar terminal emulator, "
+"encode the title in ISO-8859-1 (Latin-1), rather than in the charset used "
+"for other text in the window. Cyrillic and other characters get replaced "
+"with Latin ones. Xterm requires this unless you explicitly enable UTF-8 "
+"titles in it.\n"
+"\n"
+"If this option does not take effect immediately, try switching to a "
+"different page so that ELinks notices it needs to update the title."
+msgstr ""
+
+#: src/config/options.inc:910 src/dialogs/options.c:227
 msgid "Switch fonts for line drawing"
 msgstr ""
 
-#: src/config/options.inc:852
+#: src/config/options.inc:912
 msgid ""
-"Switch fonts when drawing lines, enabling both local characters\n"
-"and lines working at the same time. ELinks uses this option only if\n"
-"UTF-8 I/O is disabled and the terminal type is Linux or FreeBSD."
+"Switch fonts when drawing lines, enabling both local characters and lines "
+"working at the same time. ELinks uses this option only if UTF-8 I/O is "
+"disabled and the terminal type is Linux or FreeBSD."
 msgstr ""
 
 #. When CONFIG_UTF8 is defined, any code that reads the "utf_8_io"
@@ -3385,37 +3400,37 @@ msgstr ""
 #. * and if so, behave as if "utf_8_io" were 1.  (When CONFIG_UTF8 is
 #. * not defined, it should not be possible to set UTF-8 as "codepage";
 #. * please report any such possibilities as bugs.)
-#: src/config/options.inc:861 src/dialogs/options.c:232
+#: src/config/options.inc:922 src/dialogs/options.c:232
 msgid "UTF-8 I/O"
 msgstr ""
 
-#: src/config/options.inc:863
+#: src/config/options.inc:924
 msgid ""
-"Enable I/O in UTF-8 for Unicode terminals. Note that currently,\n"
-"only the subset of UTF-8 according to terminal codepage is used.\n"
-"ELinks ignores this option if the terminal codepage is UTF-8."
+"Enable I/O in UTF-8 for Unicode terminals. Note that currently, only the "
+"subset of UTF-8 according to terminal codepage is used. ELinks ignores this "
+"option if the terminal codepage is UTF-8."
 msgstr ""
 
-#: src/config/options.inc:867 src/dialogs/options.c:228
+#: src/config/options.inc:929 src/dialogs/options.c:228
 msgid "Restrict frames in cp850/852"
 msgstr "   cp850/852"
 
-#: src/config/options.inc:869
+#: src/config/options.inc:931
 msgid ""
-"Restrict the characters used when drawing lines. Makes sense\n"
-"only with linux terminals using the cp850/852 character sets."
+"Restrict the characters used when drawing lines. Makes sense only with linux "
+"terminals using the cp850/852 character sets."
 msgstr ""
 
-#: src/config/options.inc:872 src/dialogs/options.c:229
+#: src/config/options.inc:935 src/dialogs/options.c:229
 #, fuzzy
 msgid "Block cursor"
 msgstr "  "
 
-#: src/config/options.inc:874
+#: src/config/options.inc:937
 msgid ""
-"Move cursor to bottom right corner when done drawing.\n"
-"This is particularly useful when we have a block cursor,\n"
-"so that inversed text is displayed correctly."
+"Move cursor to bottom right corner when done drawing. This is particularly "
+"useful when we have a block cursor, so that inversed text is displayed "
+"correctly."
 msgstr ""
 
 #. The list of modes must be at the end of this string
@@ -3423,13 +3438,15 @@ msgstr ""
 #. * an outer list entry after an inner list.
 #. * TRANSLATORS: This restriction applies only to the
 #. * "en" (English) translation.  (See doc/Makefile.)
-#: src/config/options.inc:885
+#: src/config/options.inc:948
 msgid ""
 "The color mode controls what colors are used and how they are output to the "
 "terminal.\n"
+"\n"
 "Some modes may have been disabled at compile time. The Setup -> Terminal "
 "options dialog lists the modes supported by this executable. If you select "
 "an unsupported mode, ELinks uses 16 colors.\n"
+"\n"
 "The color modes are:\n"
 "0 is mono mode, only 2 colors are used\n"
 "1 is 16 color mode, uses the common ANSI colors\n"
@@ -3438,425 +3455,422 @@ msgid ""
 "4 is true color mode, uses konsole RGB codes"
 msgstr ""
 
-#: src/config/options.inc:898 src/dialogs/options.c:230
+#: src/config/options.inc:963 src/dialogs/options.c:230
 msgid "Transparency"
 msgstr ""
 
-#: src/config/options.inc:900
+#: src/config/options.inc:965
 msgid ""
-"If we should not set the background to black. This is particularly\n"
-"useful when we have a terminal (typically in some windowing\n"
-"environment) with a background image or a transparent background -\n"
-"it will be visible in ELinks as well (but ELinks document color handling\n"
-"will still assume the background is black so if you have a bright "
-"background\n"
-"you might experience contrast problems). Note that this option makes\n"
-"sense only when colors are enabled."
+"If we should not set the background to black. This is particularly useful "
+"when we have a terminal (typically in some windowing environment) with a "
+"background image or a transparent background - it will be visible in ELinks "
+"as well (but ELinks document color handling will still assume the background "
+"is black so if you have a bright background you might experience contrast "
+"problems). Note that this option makes sense only when colors are enabled."
 msgstr ""
 
-#: src/config/options.inc:910
+#: src/config/options.inc:977
 msgid "If we should use underline or enhance the color instead."
 msgstr ""
 
-#: src/config/options.inc:914
+#: src/config/options.inc:982
 msgid ""
-"Codepage of charset used for displaying content on terminal.\n"
-"'System' stands for a codepage determined by a selected locale."
+"Codepage of charset used for displaying content on terminal. 'System' stands "
+"for a codepage determined by a selected locale."
 msgstr ""
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:921
+#: src/config/options.inc:990
 msgid "User interface"
 msgstr ""
 
-#: src/config/options.inc:923
+#: src/config/options.inc:992
 #, fuzzy
 msgid "User interface options."
 msgstr " "
 
-#: src/config/options.inc:927
+#: src/config/options.inc:996
 msgid "Color settings"
 msgstr ""
 
-#: src/config/options.inc:929
+#: src/config/options.inc:998
 msgid "Default user interface color settings."
 msgstr ""
 
-#: src/config/options.inc:956
+#: src/config/options.inc:1025
 #, fuzzy
 msgid "Color terminals"
 msgstr " BeOS"
 
-#: src/config/options.inc:958
+#: src/config/options.inc:1027
 msgid "Color settings for color terminal."
 msgstr ""
 
-#: src/config/options.inc:960
+#: src/config/options.inc:1029
 msgid "Non-color terminals"
 msgstr ""
 
-#: src/config/options.inc:962
+#: src/config/options.inc:1031
 msgid "Color settings for non-color terminal."
 msgstr ""
 
 #. FIXME: obsolete, how to alias them correctly ? --Zas
-#: src/config/options.inc:965
+#: src/config/options.inc:1034
 msgid "Main menu bar"
 msgstr ""
 
-#: src/config/options.inc:967
+#: src/config/options.inc:1036
 msgid "Main menu bar colors."
 msgstr ""
 
-#: src/config/options.inc:969
+#: src/config/options.inc:1038
 msgid "Unselected main menu bar item"
 msgstr ""
 
-#: src/config/options.inc:971
+#: src/config/options.inc:1040
 msgid "Unselected main menu bar item colors."
 msgstr ""
 
-#: src/config/options.inc:973
+#: src/config/options.inc:1042
 msgid "Selected main menu bar item"
 msgstr ""
 
-#: src/config/options.inc:975
+#: src/config/options.inc:1044
 msgid "Selected main menu bar item colors."
 msgstr ""
 
-#: src/config/options.inc:977 src/config/options.inc:1006
+#: src/config/options.inc:1046 src/config/options.inc:1075
 msgid "Hotkey"
 msgstr ""
 
-#: src/config/options.inc:979
+#: src/config/options.inc:1048
 msgid "Main menu hotkey colors."
 msgstr ""
 
-#: src/config/options.inc:981 src/config/options.inc:1010
+#: src/config/options.inc:1050 src/config/options.inc:1079
 msgid "Unselected hotkey"
 msgstr ""
 
-#: src/config/options.inc:983
+#: src/config/options.inc:1052
 msgid "Main menu unselected hotkey colors."
 msgstr ""
 
-#: src/config/options.inc:985 src/config/options.inc:1014
+#: src/config/options.inc:1054 src/config/options.inc:1083
 #, fuzzy
 msgid "Selected hotkey"
 msgstr " "
 
-#: src/config/options.inc:987
+#: src/config/options.inc:1056
 msgid "Main menu selected hotkey colors."
 msgstr ""
 
-#: src/config/options.inc:990
+#: src/config/options.inc:1059
 msgid "Menu bar"
 msgstr ""
 
-#: src/config/options.inc:992
+#: src/config/options.inc:1061
 msgid "Menu bar colors."
 msgstr ""
 
-#: src/config/options.inc:994
+#: src/config/options.inc:1063
 msgid "Unselected menu item"
 msgstr ""
 
-#: src/config/options.inc:996
+#: src/config/options.inc:1065
 msgid "Unselected menu item colors."
 msgstr ""
 
-#: src/config/options.inc:998
+#: src/config/options.inc:1067
 #, fuzzy
 msgid "Selected menu item"
 msgstr " "
 
-#: src/config/options.inc:1000
+#: src/config/options.inc:1069
 msgid "Selected menu item colors."
 msgstr ""
 
-#: src/config/options.inc:1002
+#: src/config/options.inc:1071
 #, fuzzy
 msgid "Marked menu item"
 msgstr " "
 
-#: src/config/options.inc:1004
+#: src/config/options.inc:1073
 msgid "Marked menu item colors."
 msgstr ""
 
-#: src/config/options.inc:1008
+#: src/config/options.inc:1077
 msgid "Menu item hotkey colors."
 msgstr ""
 
-#: src/config/options.inc:1012
+#: src/config/options.inc:1081
 msgid "Menu item unselected hotkey colors."
 msgstr ""
 
-#: src/config/options.inc:1016
+#: src/config/options.inc:1085
 msgid "Menu item selected hotkey colors."
 msgstr ""
 
-#: src/config/options.inc:1018
+#: src/config/options.inc:1087
 #, fuzzy
 msgid "Menu frame"
 msgstr "   (frames)"
 
-#: src/config/options.inc:1020
+#: src/config/options.inc:1089
 msgid "Menu frame colors."
 msgstr ""
 
-#: src/config/options.inc:1023
+#: src/config/options.inc:1092
 msgid "Dialog"
 msgstr ""
 
-#: src/config/options.inc:1025
+#: src/config/options.inc:1094
 msgid "Dialog colors."
 msgstr ""
 
-#: src/config/options.inc:1035
+#: src/config/options.inc:1104
 msgid "Generic"
 msgstr ""
 
-#: src/config/options.inc:1037
+#: src/config/options.inc:1106
 #, fuzzy
 msgid "Generic dialog colors."
 msgstr "  "
 
-#: src/config/options.inc:1039
+#: src/config/options.inc:1108
 #, fuzzy
 msgid "Frame"
 msgstr ""
 
-#: src/config/options.inc:1041
+#: src/config/options.inc:1110
 msgid "Dialog frame colors."
 msgstr ""
 
-#: src/config/options.inc:1043
+#: src/config/options.inc:1112
 msgid "Scrollbar"
 msgstr ""
 
-#: src/config/options.inc:1045
+#: src/config/options.inc:1114
 msgid "Scrollbar colors."
 msgstr ""
 
-#: src/config/options.inc:1047
+#: src/config/options.inc:1116
 #, fuzzy
 msgid "Selected scrollbar"
 msgstr "  "
 
-#: src/config/options.inc:1049
+#: src/config/options.inc:1118
 #, fuzzy
 msgid "Scrollbar selected colors."
 msgstr "  "
 
-#: src/config/options.inc:1053
+#: src/config/options.inc:1122
 msgid "Dialog title colors."
 msgstr ""
 
-#: src/config/options.inc:1055
+#: src/config/options.inc:1124
 #, fuzzy
 msgid "Text"
 msgstr " "
 
-#: src/config/options.inc:1057
+#: src/config/options.inc:1126
 msgid "Dialog text colors."
 msgstr ""
 
-#: src/config/options.inc:1059 src/viewer/text/form.c:1862
+#: src/config/options.inc:1128 src/viewer/text/form.c:1891
 msgid "Checkbox"
 msgstr " "
 
-#: src/config/options.inc:1061
+#: src/config/options.inc:1130
 msgid "Dialog checkbox colors."
 msgstr ""
 
-#: src/config/options.inc:1063
+#: src/config/options.inc:1132
 #, fuzzy
 msgid "Selected checkbox"
 msgstr " "
 
-#: src/config/options.inc:1065
+#: src/config/options.inc:1134
 #, fuzzy
 msgid "Dialog selected checkbox colors."
 msgstr "  "
 
-#: src/config/options.inc:1067
+#: src/config/options.inc:1136
 #, fuzzy
 msgid "Checkbox label"
 msgstr " "
 
-#: src/config/options.inc:1069
+#: src/config/options.inc:1138
 msgid "Dialog checkbox label colors."
 msgstr ""
 
-#: src/config/options.inc:1071
+#: src/config/options.inc:1140
 msgid "Button"
 msgstr ""
 
-#: src/config/options.inc:1073 src/config/options.inc:1081
+#: src/config/options.inc:1142 src/config/options.inc:1150
 msgid "Dialog button colors."
 msgstr ""
 
-#: src/config/options.inc:1075
+#: src/config/options.inc:1144
 msgid "Selected button"
 msgstr ""
 
-#: src/config/options.inc:1077 src/config/options.inc:1085
+#: src/config/options.inc:1146 src/config/options.inc:1154
 msgid "Dialog selected button colors."
 msgstr ""
 
-#: src/config/options.inc:1079
+#: src/config/options.inc:1148
 msgid "Button shortcut"
 msgstr ""
 
-#: src/config/options.inc:1083
+#: src/config/options.inc:1152
 #, fuzzy
 msgid "Selected button shortcut"
 msgstr " "
 
-#: src/config/options.inc:1087 src/viewer/text/form.c:1866
+#: src/config/options.inc:1156 src/viewer/text/form.c:1895
 msgid "Text field"
 msgstr " "
 
-#: src/config/options.inc:1089
+#: src/config/options.inc:1158
 msgid "Dialog text field colors."
 msgstr ""
 
-#: src/config/options.inc:1091
+#: src/config/options.inc:1160
 #, fuzzy
 msgid "Text field text"
 msgstr " "
 
-#: src/config/options.inc:1093
+#: src/config/options.inc:1162
 msgid "Dialog field text colors."
 msgstr ""
 
-#: src/config/options.inc:1095
+#: src/config/options.inc:1164
 msgid "Meter"
 msgstr ""
 
-#: src/config/options.inc:1097
+#: src/config/options.inc:1166
 msgid "Dialog meter colors."
 msgstr ""
 
-#: src/config/options.inc:1099
+#: src/config/options.inc:1168
 msgid "Shadow"
 msgstr ""
 
-#: src/config/options.inc:1101
+#: src/config/options.inc:1170
 msgid "Dialog shadow colors (see ui.shadows option)."
 msgstr ""
 
-#: src/config/options.inc:1103
+#: src/config/options.inc:1172
 msgid "Title bar"
 msgstr ""
 
-#: src/config/options.inc:1105
+#: src/config/options.inc:1174
 msgid "Title bar colors."
 msgstr ""
 
-#: src/config/options.inc:1107
+#: src/config/options.inc:1176
 msgid "Generic title bar"
 msgstr ""
 
-#: src/config/options.inc:1109
+#: src/config/options.inc:1178
 msgid "Generic title bar colors."
 msgstr ""
 
-#: src/config/options.inc:1111
+#: src/config/options.inc:1180
 msgid "Title bar text"
 msgstr ""
 
-#: src/config/options.inc:1113
+#: src/config/options.inc:1182
 msgid "Title bar text colors."
 msgstr ""
 
-#: src/config/options.inc:1116
+#: src/config/options.inc:1185
 msgid "Status bar"
 msgstr ""
 
-#: src/config/options.inc:1118
+#: src/config/options.inc:1187
 msgid "Status bar colors."
 msgstr ""
 
-#: src/config/options.inc:1120
+#: src/config/options.inc:1189
 msgid "Generic status bar"
 msgstr ""
 
-#: src/config/options.inc:1122
+#: src/config/options.inc:1191
 msgid "Generic status bar colors."
 msgstr ""
 
-#: src/config/options.inc:1124
+#: src/config/options.inc:1193
 #, fuzzy
 msgid "Status bar text"
 msgstr " "
 
-#: src/config/options.inc:1126
+#: src/config/options.inc:1195
 msgid "Status bar text colors."
 msgstr ""
 
-#: src/config/options.inc:1129
+#: src/config/options.inc:1198
 msgid "Tabs bar"
 msgstr ""
 
-#: src/config/options.inc:1131
+#: src/config/options.inc:1200
 msgid "Tabs bar colors."
 msgstr ""
 
-#: src/config/options.inc:1133
+#: src/config/options.inc:1202
 #, fuzzy
 msgid "Unvisited tab"
 msgstr " "
 
-#: src/config/options.inc:1135
+#: src/config/options.inc:1204
 msgid ""
-"Tab colors for tabs that have not been\n"
-"selected since they completed loading."
+"Tab colors for tabs that have not been selected since they completed loading."
 msgstr ""
 
-#: src/config/options.inc:1138
+#: src/config/options.inc:1207
 #, fuzzy
 msgid "Unselected tab"
 msgstr " "
 
-#: src/config/options.inc:1140
+#: src/config/options.inc:1209
 #, fuzzy
 msgid "Unselected tab colors."
 msgstr "  "
 
-#: src/config/options.inc:1142
+#: src/config/options.inc:1211
 #, fuzzy
 msgid "Loading tab"
 msgstr " "
 
-#: src/config/options.inc:1144
+#: src/config/options.inc:1213
 msgid "Tab colors for tabs that are loading in the background."
 msgstr ""
 
-#: src/config/options.inc:1146
+#: src/config/options.inc:1215
 #, fuzzy
 msgid "Selected tab"
 msgstr " "
 
-#: src/config/options.inc:1148
+#: src/config/options.inc:1217
 #, fuzzy
 msgid "Selected tab colors."
 msgstr "  "
 
-#: src/config/options.inc:1150
+#: src/config/options.inc:1219
 msgid "Tab separator"
 msgstr ""
 
-#: src/config/options.inc:1152
+#: src/config/options.inc:1221
 msgid "Tab separator colors."
 msgstr ""
 
-#: src/config/options.inc:1155
+#: src/config/options.inc:1224
 #, fuzzy
 msgid "Searched strings"
 msgstr "  "
 
-#: src/config/options.inc:1157
+#: src/config/options.inc:1226
 #, fuzzy
 msgid "Searched string highlight colors."
 msgstr "    "
@@ -3865,69 +3879,69 @@ msgstr "    
 #. ============= BORING PART (colors) END ===================
 #. ==========================================================
 #. Keep options in alphabetical order.
-#: src/config/options.inc:1166
+#: src/config/options.inc:1235
 msgid "Dialog settings"
 msgstr ""
 
-#: src/config/options.inc:1168
+#: src/config/options.inc:1237
 msgid "Dialogs-specific appearance and behaviour settings."
 msgstr ""
 
-#: src/config/options.inc:1171
+#: src/config/options.inc:1240
 msgid "Minimal height of listbox widget"
 msgstr ""
 
-#: src/config/options.inc:1173
+#: src/config/options.inc:1242
 msgid ""
-"Minimal height of the listbox widget (used e.g. for bookmarks\n"
-"or global history)."
+"Minimal height of the listbox widget (used e.g. for bookmarks or global "
+"history)."
 msgstr ""
 
-#: src/config/options.inc:1176
+#: src/config/options.inc:1245
 msgid "Drop shadows"
 msgstr ""
 
-#: src/config/options.inc:1178
+#: src/config/options.inc:1247
 msgid ""
-"Make dialogs drop shadows (the shadows are solid, you can\n"
-"adjust their color by ui.colors.*.dialog.shadow). You may\n"
-"also want to eliminate the wide borders by adjusting setup.h."
+"Make dialogs drop shadows (the shadows are solid, you can adjust their color "
+"by ui.colors.*.dialog.shadow). You may also want to eliminate the wide "
+"borders by adjusting setup.h."
 msgstr ""
 
-#: src/config/options.inc:1182
+#: src/config/options.inc:1252
 #, fuzzy
 msgid "Underline menu hotkeys"
 msgstr " "
 
-#: src/config/options.inc:1184
+#: src/config/options.inc:1254
 msgid ""
-"Whether to underline hotkeys in menus to make them more\n"
-"visible. Requires that underlining is enabled for the terminal."
+"Whether to underline hotkeys in menus to make them more visible. Requires "
+"that underlining is enabled for the terminal."
 msgstr ""
 
-#: src/config/options.inc:1187
+#: src/config/options.inc:1258
 #, fuzzy
 msgid "Underline button shortcuts"
 msgstr " "
 
-#: src/config/options.inc:1189
+#: src/config/options.inc:1260
 msgid ""
-"Whether to underline button shortcuts to make them more\n"
-"visible. Requires that underlining is enabled for the terminal."
+"Whether to underline button shortcuts to make them more visible. Requires "
+"that underlining is enabled for the terminal."
 msgstr ""
 
-#: src/config/options.inc:1193
+#: src/config/options.inc:1265
 #, fuzzy
 msgid "Timer options"
 msgstr " "
 
-#: src/config/options.inc:1195
+#: src/config/options.inc:1267
 msgid ""
-"Timed action after certain interval of user inactivity. Someone can\n"
-"even find this useful, although you may not believe that."
+"Timed action after certain interval of user inactivity. Someone can even "
+"find this useful, although you may not believe that."
 msgstr ""
 
-#: src/config/options.inc:1201
+#: src/config/options.inc:1274
 msgid ""
 "Whether to enable the timer or not:\n"
 "0 is don't count down anything\n"
@@ -3935,7 +3949,7 @@ msgid ""
 "2 is count down and show the timer near LEDs"
 msgstr ""
 
-#: src/config/options.inc:1208
+#: src/config/options.inc:1281
 msgid ""
 "Whether to enable the timer or not:\n"
 "0 is don't count down anything\n"
@@ -3943,35 +3957,35 @@ msgid ""
 "2 is count down and show the timer near LEDs (DISABLED)"
 msgstr ""
 
-#: src/config/options.inc:1214
+#: src/config/options.inc:1287
 msgid "Duration"
 msgstr ""
 
-#: src/config/options.inc:1216
+#: src/config/options.inc:1289
 msgid ""
-"Inactivity timeout in seconds. The maximum of one day\n"
-"should be enough for just everyone (TM)."
+"Inactivity timeout in seconds. The maximum of one day should be enough for "
+"just everyone (TM)."
 msgstr ""
 
-#: src/config/options.inc:1221
+#: src/config/options.inc:1294
 msgid "Keybinding action to be triggered when timer reaches zero."
 msgstr ""
 
-#: src/config/options.inc:1224
+#: src/config/options.inc:1298
 #, fuzzy
 msgid "Window tabs"
 msgstr ""
 
-#: src/config/options.inc:1226
+#: src/config/options.inc:1300
 msgid "Window tabs settings."
 msgstr ""
 
-#: src/config/options.inc:1228
+#: src/config/options.inc:1302
 #, fuzzy
 msgid "Display tabs bar"
 msgstr "  USEMAP"
 
-#: src/config/options.inc:1230
+#: src/config/options.inc:1304
 msgid ""
 "Show tabs bar on the screen:\n"
 "0 means never\n"
@@ -3979,170 +3993,169 @@ msgid ""
 "2 means always"
 msgstr ""
 
-#: src/config/options.inc:1235
+#: src/config/options.inc:1309
 msgid "Tab bar at top"
 msgstr ""
 
-#: src/config/options.inc:1237
+#: src/config/options.inc:1311
 msgid "Whether display tab bar at top like other browsers do."
 msgstr ""
 
-#: src/config/options.inc:1239
+#: src/config/options.inc:1313
 msgid "Wrap-around tabs cycling"
 msgstr ""
 
-#: src/config/options.inc:1241
+#: src/config/options.inc:1315
 msgid ""
-"When moving right from the last tab, jump to the first one, and\n"
-"vice versa."
+"When moving right from the last tab, jump to the first one, and vice versa."
 msgstr ""
 
-#: src/config/options.inc:1244
+#: src/config/options.inc:1318
 msgid "Confirm tab closing"
 msgstr ""
 
-#: src/config/options.inc:1246
+#: src/config/options.inc:1320
 msgid "When closing a tab show confirmation dialog."
 msgstr ""
 
 #. OPT_LANGUAGE
-#: src/config/options.inc:1250 src/config/opttypes.c:483
+#: src/config/options.inc:1324 src/config/opttypes.c:483
 msgid "Language"
 msgstr ""
 
-#: src/config/options.inc:1252
+#: src/config/options.inc:1326
 msgid ""
-"Language of user interface. 'System' means that the language will\n"
-"be extracted from the environment dynamically."
+"Language of user interface. 'System' means that the language will be "
+"extracted from the environment dynamically."
 msgstr ""
 
-#: src/config/options.inc:1255
+#: src/config/options.inc:1330
 #, fuzzy
 msgid "Display menu bar always"
 msgstr "  USEMAP"
 
-#: src/config/options.inc:1257
+#: src/config/options.inc:1332
 msgid "Always show menu bar on the screen."
 msgstr ""
 
-#: src/config/options.inc:1259
+#: src/config/options.inc:1334
 #, fuzzy
 msgid "Display status bar"
 msgstr "  USEMAP"
 
-#: src/config/options.inc:1261
+#: src/config/options.inc:1336
 msgid "Show status bar on the screen."
 msgstr ""
 
-#: src/config/options.inc:1263
+#: src/config/options.inc:1338
 #, fuzzy
 msgid "Display title bar"
 msgstr "  USEMAP"
 
-#: src/config/options.inc:1265
+#: src/config/options.inc:1340
 msgid "Show title bar on the screen."
 msgstr ""
 
-#: src/config/options.inc:1267
+#: src/config/options.inc:1342
 msgid "Display goto dialog in new tabs"
 msgstr ""
 
-#: src/config/options.inc:1269
+#: src/config/options.inc:1344
 msgid ""
-"Pop up goto dialog in newly created tabs when there's no homepage\n"
-"set. This means also showing goto dialog on startup."
+"Pop up goto dialog in newly created tabs when there's no homepage set. This "
+"means also showing goto dialog on startup."
 msgstr ""
 
-#: src/config/options.inc:1272
+#: src/config/options.inc:1348
 msgid "Show a message box when file is saved successfully"
 msgstr ""
 
-#: src/config/options.inc:1274
+#: src/config/options.inc:1350
 msgid ""
-"When you pressed a [ Save ] button in some manager, this option\n"
-"will make sure that a box confirming success of the operation will\n"
-"pop up."
+"When you pressed a [ Save ] button in some manager, this option will make "
+"sure that a box confirming success of the operation will pop up."
 msgstr ""
 
-#: src/config/options.inc:1279
+#: src/config/options.inc:1355
 #, fuzzy
 msgid "Sessions"
 msgstr "()"
 
-#: src/config/options.inc:1281
+#: src/config/options.inc:1357
 msgid "Sessions settings."
 msgstr ""
 
-#: src/config/options.inc:1283
+#: src/config/options.inc:1359
 msgid "Keep session active"
 msgstr ""
 
-#: src/config/options.inc:1285
+#: src/config/options.inc:1361
 msgid "Keep the session active even if the last terminal exits."
 msgstr ""
 
-#: src/config/options.inc:1287
+#: src/config/options.inc:1364
 msgid "Auto save session"
 msgstr ""
 
-#: src/config/options.inc:1289
+#: src/config/options.inc:1366
 msgid ""
 "Automatically save the session when quitting.\n"
+"\n"
 "This feature requires bookmark support."
 msgstr ""
 
-#: src/config/options.inc:1292
+#: src/config/options.inc:1370
 msgid "Auto restore session"
 msgstr ""
 
-#: src/config/options.inc:1294
+#: src/config/options.inc:1372
 msgid ""
 "Automatically restore the session at start.\n"
+"\n"
 "This feature requires bookmark support."
 msgstr ""
 
-#: src/config/options.inc:1297
+#: src/config/options.inc:1376
 msgid "Auto save and restore session folder name"
 msgstr ""
 
-#: src/config/options.inc:1299
+#: src/config/options.inc:1378
 msgid ""
-"Name of the bookmarks folder used for auto saving and restoring session.\n"
-"The name has to be unique. Any folders with the same name will be deleted.\n"
+"Name of the bookmarks folder used for auto saving and restoring session. The "
+"name has to be unique. Any folders with the same name will be deleted.\n"
+"\n"
 "This only makes sense with bookmark support."
 msgstr ""
 
-#: src/config/options.inc:1303
+#: src/config/options.inc:1384
 #, fuzzy
 msgid "Homepage URI"
 msgstr ""
 
-#: src/config/options.inc:1305
+#: src/config/options.inc:1386
 msgid ""
-"The URI to load either at startup time when no URI was given\n"
-"on the command line or when requested by the goto-url-home action.\n"
-"Set to \"\" if the environment variable WWW_HOME should be used\n"
-"as homepage URI instead."
+"The URI to load either at startup time when no URI was given on the command "
+"line or when requested by the goto-url-home action. Set to \"\" if the "
+"environment variable WWW_HOME should be used as homepage URI instead."
 msgstr ""
 
-#: src/config/options.inc:1311
+#: src/config/options.inc:1392
 #, fuzzy
 msgid "Date format"
 msgstr " "
 
-#: src/config/options.inc:1313
+#: src/config/options.inc:1394
 msgid "Date format to use in dialogs. See strftime(3)."
 msgstr ""
 
-#: src/config/options.inc:1316
+#: src/config/options.inc:1397
 msgid "Set window title"
 msgstr ""
 
-#: src/config/options.inc:1318
+#: src/config/options.inc:1399
 msgid ""
-"Set the window title when running in a windowing environment\n"
-"in an xterm-like terminal. This way the document's title is\n"
-"shown on the window titlebar."
+"Set the window title when running in a windowing environment in an xterm-"
+"like terminal. This way the document's title is shown on the window titlebar."
 msgstr ""
 
 #: src/config/opttypes.c:54
@@ -4229,7 +4242,7 @@ msgid "Goto URL History"
 msgstr "  "
 
 #. name:
-#: src/cookies/cookies.c:88 src/cookies/cookies.c:911
+#: src/cookies/cookies.c:88 src/cookies/cookies.c:913
 msgid "Cookies"
 msgstr ""
 
@@ -4259,10 +4272,10 @@ msgstr " "
 msgid ""
 "Cookie maximum age (in days):\n"
 "-1 is use cookie's expiration date if any\n"
-"0  is force expiration at the end of session, ignoring cookie's\n"
-"   expiration date\n"
-"1+ is use cookie's expiration date, but limit age to the given\n"
-"   number of days"
+"0  is force expiration at the end of session, ignoring\n"
+"   cookie's expiration date\n"
+"1+ is use cookie's expiration date, but limit age to the\n"
+"   given number of days"
 msgstr ""
 
 #: src/cookies/cookies.c:109
@@ -4271,42 +4284,42 @@ msgstr ""
 
 #: src/cookies/cookies.c:111
 msgid ""
-"When enabled, we'll require three dots in cookies domain for all\n"
-"non-international domains (instead of just two dots). Some countries\n"
-"have generic second level domains (eg. .com.pl, .co.uk) and allowing\n"
-"sites to set cookies for these generic domains could potentially be\n"
-"very bad. Note, it is off by default as it breaks a lot of sites."
+"When enabled, we'll require three dots in cookies domain for all non-"
+"international domains (instead of just two dots). Some countries have "
+"generic second level domains (eg. .com.pl, .co.uk) and allowing sites to set "
+"cookies for these generic domains could potentially be very bad. Note, it is "
+"off by default as it breaks a lot of sites."
 msgstr ""
 
-#: src/cookies/cookies.c:117
+#: src/cookies/cookies.c:118
 #, fuzzy
 msgid "Saving"
 msgstr ".."
 
-#: src/cookies/cookies.c:119
+#: src/cookies/cookies.c:120
 msgid "Whether cookies should be loaded from and saved to disk."
 msgstr ""
 
-#: src/cookies/cookies.c:121
+#: src/cookies/cookies.c:123
 msgid "Resaving"
 msgstr ""
 
-#: src/cookies/cookies.c:123
+#: src/cookies/cookies.c:125
 msgid ""
-"Save cookies after each change in cookies list? No effect when\n"
-"cookie saving (cookies.save) is off."
+"Save cookies after each change in cookies list? No effect when cookie saving "
+"(cookies.save) is off."
 msgstr ""
 
-#: src/cookies/cookies.c:817
+#: src/cookies/cookies.c:819
 #, fuzzy
 msgid "Cannot save cookies"
 msgstr "   "
 
-#: src/cookies/cookies.c:828
+#: src/cookies/cookies.c:830
 msgid "ELinks was started without a home directory."
 msgstr ""
 
-#: src/cookies/cookies.c:834
+#: src/cookies/cookies.c:836
 msgid "ELinks was started with the -anonymous option."
 msgstr ""
 
@@ -4521,7 +4534,7 @@ msgid "No header info."
 msgstr ""
 
 #: src/dialogs/download.c:243 src/dialogs/menu.c:601
-#: src/protocol/bittorrent/dialogs.c:228 src/session/download.c:361
+#: src/protocol/bittorrent/dialogs.c:228 src/session/download.c:387
 msgid "Download"
 msgstr ""
 
@@ -5382,7 +5395,7 @@ msgid "No document"
 msgstr ""
 
 #. name:
-#: src/document/css/css.c:30 src/document/css/css.c:161
+#: src/document/css/css.c:30 src/document/css/css.c:164
 msgid "Cascading Style Sheets"
 msgstr ""
 
@@ -5390,36 +5403,36 @@ msgstr ""
 msgid "Options concerning how to use CSS for styling documents."
 msgstr ""
 
-#: src/document/css/css.c:34
+#: src/document/css/css.c:35
 #, fuzzy
 msgid "Enable CSS"
 msgstr ""
 
-#: src/document/css/css.c:36
+#: src/document/css/css.c:37
 msgid "Enable adding of CSS style info to documents."
 msgstr ""
 
-#: src/document/css/css.c:38
+#: src/document/css/css.c:39
 msgid "Import external style sheets"
 msgstr ""
 
-#: src/document/css/css.c:40
+#: src/document/css/css.c:41
 msgid ""
-"When enabled any external style sheets that are imported from\n"
-"either CSS itself using the @import keyword or from the HTML using\n"
-"<link> tags in the document header will also be downloaded."
+"When enabled any external style sheets that are imported from either CSS "
+"itself using the @import keyword or from the HTML using <link> tags in the "
+"document header will also be downloaded."
 msgstr ""
 
-#: src/document/css/css.c:44
+#: src/document/css/css.c:46
 msgid "Default style sheet"
 msgstr ""
 
-#: src/document/css/css.c:46
+#: src/document/css/css.c:48
 msgid ""
-"The path to the file containing the default user defined\n"
-"Cascading Style Sheet. It can be used to control the basic\n"
-"layout of HTML documents. The path is assumed to be relative\n"
-"to ELinks' home directory.\n"
+"The path to the file containing the default user defined Cascading Style "
+"Sheet. It can be used to control the basic layout of HTML documents. The "
+"path is assumed to be relative to ELinks' home directory.\n"
+"\n"
 "Leave as \"\" to use built-in document styling."
 msgstr ""
 
@@ -5451,8 +5464,8 @@ msgstr ""
 
 #: src/ecmascript/ecmascript.c:55
 msgid ""
-"Whether to ignore content enclosed by the <noscript> tag\n"
-"when ECMAScript is enabled."
+"Whether to ignore content enclosed by the <noscript> tag when ECMAScript is "
+"enabled."
 msgstr ""
 
 #: src/ecmascript/ecmascript.c:58
@@ -5504,7 +5517,7 @@ msgid "JavaScript Error"
 msgstr ""
 
 #. name:
-#: src/ecmascript/spidermonkey.c:320
+#: src/ecmascript/spidermonkey.c:321
 msgid "SpiderMonkey"
 msgstr ""
 
@@ -5602,9 +5615,8 @@ msgstr " "
 
 #: src/formhist/formhist.c:38
 msgid ""
-"Ask if a login form should be saved to file or not.\n"
-"This option only disables the dialog, already saved login\n"
-"forms are unaffected."
+"Ask if a login form should be saved to file or not. This option only "
+"disables the dialog, already saved login forms are unaffected."
 msgstr ""
 
 #: src/formhist/formhist.c:426
@@ -5706,20 +5718,20 @@ msgstr ""
 msgid "Enable global history (\"history of all pages visited\")."
 msgstr ""
 
-#: src/globhist/globhist.c:68
+#: src/globhist/globhist.c:69
 msgid "Maximum number of entries"
 msgstr ""
 
-#: src/globhist/globhist.c:70
+#: src/globhist/globhist.c:71
 msgid "Maximum number of entries in the global history."
 msgstr ""
 
-#: src/globhist/globhist.c:72
+#: src/globhist/globhist.c:73
 #, fuzzy
 msgid "Display style"
 msgstr "  USEMAP"
 
-#: src/globhist/globhist.c:74
+#: src/globhist/globhist.c:75
 msgid ""
 "What to display in global history dialog:\n"
 "0 is URLs\n"
@@ -5727,7 +5739,7 @@ msgid ""
 msgstr ""
 
 #. name:
-#: src/globhist/globhist.c:451
+#: src/globhist/globhist.c:449
 #, fuzzy
 msgid "Global History"
 msgstr "  "
@@ -5956,101 +5968,95 @@ msgstr ""
 
 #: src/mime/backend/default.c:27
 msgid ""
-"Handler <-> MIME type association. The first sub-tree is the MIME\n"
-"class while the second sub-tree is the MIME type (ie. image/gif\n"
-"handler will reside at mime.type.image.gif). Each MIME type option\n"
-"should contain (case-sensitive) name of the MIME handler (its\n"
-"properties are stored at mime.handler.<name>)."
+"Handler <-> MIME type association. The first sub-tree is the MIME class "
+"while the second sub-tree is the MIME type (ie. image/gif handler will "
+"reside at mime.type.image.gif). Each MIME type option should contain (case-"
+"sensitive) name of the MIME handler (its properties are stored at mime."
+"handler.<name>)."
 msgstr ""
 
-#: src/mime/backend/default.c:35
+#: src/mime/backend/default.c:36
 msgid ""
-"Handler matching this MIME-type class ('*' is used here in place\n"
-"of '.')."
+"Handler matching this MIME-type class ('*' is used here in place of '.')."
 msgstr ""
 
-#: src/mime/backend/default.c:40
+#: src/mime/backend/default.c:41
 msgid ""
-"Handler matching this MIME-type name ('*' is used here in place\n"
-"of '.')."
+"Handler matching this MIME-type name ('*' is used here in place of '.')."
 msgstr ""
 
-#: src/mime/backend/default.c:44
+#: src/mime/backend/default.c:45
 msgid "File type handlers"
 msgstr ""
 
-#: src/mime/backend/default.c:46
+#: src/mime/backend/default.c:47
 msgid ""
-"A file type handler is a set of information about how to use\n"
-"an external program to view a file. It is possible to refer to it\n"
-"for several MIME types -- e.g., you can define an 'image' handler\n"
-"to which mime.type.image.png, mime.type.image.jpeg, and so on will\n"
-"refer; or one might define a handler for a more specific type of file\n"
-"-- e.g., PDF files.\n"
-"Note you must define both a MIME handler and a MIME type association\n"
-"for it to work."
+"A file type handler is a set of information about how to use an external "
+"program to view a file. It is possible to refer to it for several MIME types "
+"-- e.g., you can define an 'image' handler to which mime.type.image.png, "
+"mime.type.image.jpeg, and so on will refer; or one might define a handler "
+"for a more specific type of file -- e.g., PDF files. Note you must define "
+"both a MIME handler and a MIME type association for it to work."
 msgstr ""
 
-#: src/mime/backend/default.c:57
+#: src/mime/backend/default.c:58
 msgid "Description of this handler."
 msgstr ""
 
-#: src/mime/backend/default.c:61
+#: src/mime/backend/default.c:62
 msgid "System-specific handler description (ie. unix, unix-xwin, ...)."
 msgstr ""
 
-#: src/mime/backend/default.c:63 src/mime/backend/mailcap.c:102
+#: src/mime/backend/default.c:65 src/mime/backend/mailcap.c:102
 msgid "Ask before opening"
 msgstr ""
 
-#: src/mime/backend/default.c:65
+#: src/mime/backend/default.c:67
 msgid "Ask before opening."
 msgstr ""
 
-#: src/mime/backend/default.c:67
+#: src/mime/backend/default.c:69
 #, fuzzy
 msgid "Block terminal"
 msgstr " BeOS"
 
-#: src/mime/backend/default.c:69
+#: src/mime/backend/default.c:71
 msgid "Block the terminal when the handler is running."
 msgstr ""
 
-#: src/mime/backend/default.c:71
+#: src/mime/backend/default.c:73
 #, fuzzy
 msgid "Program"
 msgstr "  "
 
-#: src/mime/backend/default.c:74
+#: src/mime/backend/default.c:76
 #, no-c-format
 msgid ""
-"External viewer for this file type. '%' in this string will be\n"
-"substituted by a file name.\n"
-"Do _not_ put single- or double-quotes around the % sign."
+"External viewer for this file type. '%' in this string will be substituted "
+"by a file name. Do _not_ put single- or double-quotes around the % sign."
 msgstr ""
 
-#: src/mime/backend/default.c:79
+#: src/mime/backend/default.c:81
 #, fuzzy
 msgid "File extension associations"
 msgstr " "
 
-#: src/mime/backend/default.c:81
+#: src/mime/backend/default.c:83
 msgid "Extension <-> MIME type association."
 msgstr ""
 
-#: src/mime/backend/default.c:85
+#: src/mime/backend/default.c:87
 msgid ""
-"MIME-type matching this file extension ('*' is used here in place\n"
-"of '.')."
+"MIME-type matching this file extension ('*' is used here in place of '.')."
 msgstr ""
 
 #. name:
-#: src/mime/backend/default.c:216
+#: src/mime/backend/default.c:218
 msgid "Option system"
 msgstr ""
 
 #. name:
-#: src/mime/backend/mailcap.c:89 src/mime/backend/mailcap.c:684
+#: src/mime/backend/mailcap.c:89 src/mime/backend/mailcap.c:686
 msgid "Mailcap"
 msgstr ""
 
@@ -6064,8 +6070,8 @@ msgstr ""
 
 #: src/mime/backend/mailcap.c:99
 msgid ""
-"Mailcap search path. Colon-separated list of files.\n"
-"Leave as \"\" to use MAILCAP environment variable instead."
+"Mailcap search path. Colon-separated list of files. Leave as \"\" to use "
+"MAILCAP environment variable instead."
 msgstr ""
 
 #: src/mime/backend/mailcap.c:104
@@ -6078,39 +6084,38 @@ msgstr ""
 
 #: src/mime/backend/mailcap.c:108
 msgid ""
-"Type of description to show in \"what to do with this file\"\n"
-"query dialog:\n"
+"Type of description to show in \"what to do with this file\" query dialog:\n"
 "0 is show \"mailcap\"\n"
 "1 is show program to be run\n"
-"2 is show mailcap description field if any; \"mailcap\" otherwise"
+"2 is show mailcap description field if any;\n"
+"     \"mailcap\" otherwise"
 msgstr ""
 
-#: src/mime/backend/mailcap.c:114
+#: src/mime/backend/mailcap.c:115
 msgid "Prioritize entries by file"
 msgstr ""
 
-#: src/mime/backend/mailcap.c:116
+#: src/mime/backend/mailcap.c:117
 msgid ""
-"Prioritize entries by the order of the files in the mailcap\n"
-"path. This means that wildcard entries (like: image/*) will\n"
-"also be checked before deciding the handler."
+"Prioritize entries by the order of the files in the mailcap path. This means "
+"that wildcard entries (like: image/*) will also be checked before deciding "
+"the handler."
 msgstr ""
 
-#: src/mime/backend/mailcap.c:349
+#: src/mime/backend/mailcap.c:351
 #, c-format
 msgid "Badly formated mailcap entry for type %s in \"%s\" line %d"
 msgstr ""
 
 #. name:
-#: src/mime/backend/mimetypes.c:46 src/mime/backend/mimetypes.c:279
+#: src/mime/backend/mimetypes.c:46 src/mime/backend/mimetypes.c:280
 msgid "Mimetypes files"
 msgstr ""
 
 #: src/mime/backend/mimetypes.c:48
 msgid ""
-"Options for the support of mime.types files. These files\n"
-"can be used to find the content type of a URL by looking at\n"
-"the extension of the file name."
+"Options for the support of mime.types files. These files can be used to find "
+"the content type of a URL by looking at the extension of the file name."
 msgstr ""
 
 #: src/mime/backend/mimetypes.c:54
@@ -6147,7 +6152,7 @@ msgid "No extensions"
 msgstr " "
 
 #. name:
-#: src/mime/mime.c:38 src/mime/mime.c:360
+#: src/mime/mime.c:38 src/mime/mime.c:361
 msgid "MIME"
 msgstr ""
 
@@ -6161,8 +6166,8 @@ msgstr ""
 
 #: src/mime/mime.c:44
 msgid ""
-"Document MIME-type to assume by default (when we are unable to\n"
-"guess it properly from known information about the document)."
+"Document MIME-type to assume by default (when we are unable to guess it "
+"properly from known information about the document)."
 msgstr ""
 
 #: src/network/ssl/ssl.c:72 src/network/ssl/ssl.c:161
@@ -6171,8 +6176,8 @@ msgstr ""
 
 #: src/network/ssl/ssl.c:74
 msgid ""
-"Verify the peer's SSL certificate. Note that this\n"
-"needs extensive configuration of OpenSSL by the user."
+"Verify the peer's SSL certificate. Note that this needs extensive "
+"configuration of OpenSSL by the user."
 msgstr ""
 
 #: src/network/ssl/ssl.c:77
@@ -6186,8 +6191,8 @@ msgstr " "
 
 #: src/network/ssl/ssl.c:83
 msgid ""
-"Enable or not the sending of X509 client certificates\n"
-"to servers which request them."
+"Enable or not the sending of X509 client certificates to servers which "
+"request them."
 msgstr ""
 
 #: src/network/ssl/ssl.c:86
@@ -6197,16 +6202,15 @@ msgstr " "
 
 #: src/network/ssl/ssl.c:88
 msgid ""
-"The location of a file containing the client certificate\n"
-"and unencrypted private key in PEM format. If unset, the\n"
-"file pointed to by the X509_CLIENT_CERT variable is used\n"
-"instead."
+"The location of a file containing the client certificate and unencrypted "
+"private key in PEM format. If unset, the file pointed to by the "
+"X509_CLIENT_CERT variable is used instead."
 msgstr ""
 
 #: src/network/ssl/ssl.c:163
 msgid ""
-"Verify the peer's SSL certificate.  If you enable\n"
-"this, set also \"Trusted CA file\"."
+"Verify the peer's SSL certificate.  If you enable this, set also \"Trusted "
+"CA file\"."
 msgstr ""
 
 #. The default value of the following option points to a file
@@ -6224,20 +6228,20 @@ msgstr " "
 
 #: src/network/ssl/ssl.c:176
 msgid ""
-"The location of a file containing certificates of\n"
-"trusted certification authorities in PEM format.\n"
-"ELinks then trusts certificates issued by these CAs.\n"
-"If you change this option or the file, you must\n"
-"restart ELinks for the changes to take effect.\n"
-"This option affects GnuTLS but not OpenSSL."
+"The location of a file containing certificates of trusted certification "
+"authorities in PEM format. ELinks then trusts certificates issued by these "
+"CAs.\n"
+"\n"
+"If you change this option or the file, you must restart ELinks for the "
+"changes to take effect. This option affects GnuTLS but not OpenSSL."
 msgstr ""
 
 #. name:
-#: src/network/ssl/ssl.c:199 src/network/ssl/ssl.c:216
+#: src/network/ssl/ssl.c:200 src/network/ssl/ssl.c:217
 msgid "SSL"
 msgstr ""
 
-#: src/network/ssl/ssl.c:201
+#: src/network/ssl/ssl.c:202
 #, fuzzy
 msgid "SSL options."
 msgstr " "
@@ -6575,7 +6579,7 @@ msgstr "    "
 msgid "Login"
 msgstr " "
 
-#: src/protocol/auth/dialogs.c:113 src/protocol/http/http.c:140
+#: src/protocol/auth/dialogs.c:113 src/protocol/http/http.c:142
 msgid "Password"
 msgstr ""
 
@@ -6652,7 +6656,7 @@ msgstr " "
 
 #. name:
 #: src/protocol/bittorrent/bittorrent.c:26
-#: src/protocol/bittorrent/bittorrent.c:335
+#: src/protocol/bittorrent/bittorrent.c:339
 msgid "BitTorrent"
 msgstr ""
 
@@ -6707,9 +6711,8 @@ msgstr ""
 
 #: src/protocol/bittorrent/bittorrent.c:57
 msgid ""
-"Whether to request that the tracker returns peer info\n"
-"in compact format. Note, the compact format only supports\n"
-"IPv4 addresses."
+"Whether to request that the tracker returns peer info in compact format. "
+"Note, the compact format only supports IPv4 addresses."
 msgstr ""
 
 #: src/protocol/bittorrent/bittorrent.c:61
@@ -6718,57 +6721,55 @@ msgstr ""
 
 #: src/protocol/bittorrent/bittorrent.c:63
 msgid ""
-"The number of seconds to wait between periodically contacting\n"
-"the tracker for announcing progress and requesting more peers.\n"
-"Set to zero to use the interval requested by the tracker."
+"The number of seconds to wait between periodically contacting the tracker "
+"for announcing progress and requesting more peers. Set to zero to use the "
+"interval requested by the tracker."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:67
+#: src/protocol/bittorrent/bittorrent.c:68
 msgid "IP-address to announce"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:69
+#: src/protocol/bittorrent/bittorrent.c:70
 msgid ""
-"What IP address to report to the tracker. If set to \"\"\n"
-"no IP address will be sent and the tracker will automatically\n"
-"determine an appropriate IP address."
+"What IP address to report to the tracker. If set to \"\" no IP address will "
+"be sent and the tracker will automatically determine an appropriate IP "
+"address."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:73
+#: src/protocol/bittorrent/bittorrent.c:74
 #, fuzzy
 msgid "User identification string"
 msgstr " "
 
-#: src/protocol/bittorrent/bittorrent.c:75
+#: src/protocol/bittorrent/bittorrent.c:76
 msgid ""
-"An additional identification that is not shared with any users.\n"
-"It is intended to allow a client to prove their identity should\n"
-"their IP address change. It is an optional parameter, but some\n"
-"trackers require this parameter. If set to \"\" no user key will\n"
-"be sent to the tracker."
+"An additional identification that is not shared with any users. It is "
+"intended to allow a client to prove their identity should their IP address "
+"change. It is an optional parameter, but some trackers require this "
+"parameter. If set to \"\" no user key will be sent to the tracker."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:81
+#: src/protocol/bittorrent/bittorrent.c:82
 #, fuzzy
 msgid "Maximum number of peers to request"
 msgstr " "
 
-#: src/protocol/bittorrent/bittorrent.c:83
+#: src/protocol/bittorrent/bittorrent.c:84
 msgid ""
-"The maximum number of peers to request from the tracker.\n"
-"Set to 0 to use the server default."
+"The maximum number of peers to request from the tracker. Set to 0 to use the "
+"server default."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:86
+#: src/protocol/bittorrent/bittorrent.c:87
 msgid "Minimum peers to skip rerequesting"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:88
+#: src/protocol/bittorrent/bittorrent.c:89
 msgid ""
-"The minimum number of peers to have in the current peer info\n"
-"pool before skipping requesting of more peers. I.e. setting\n"
-"numwant to zero.\n"
-"Set to 0 to not have any limit."
+"The minimum number of peers to have in the current peer info pool before "
+"skipping requesting of more peers. I.e. setting numwant to zero. Set to 0 to "
+"not have any limit."
 msgstr ""
 
 #. ******************************************************************
@@ -6789,182 +6790,177 @@ msgstr " "
 
 #: src/protocol/bittorrent/bittorrent.c:104
 msgid ""
-"The maximum number of allowed connections to both active and\n"
-"non-active peers. By increasing the number of allowed connections,\n"
-"the chance of finding good peers to download from is increased.\n"
-"However, too many connections can lead to TCP congestion. If the\n"
-"maximum is reached all new incoming connections will be closed."
+"The maximum number of allowed connections to both active and non-active "
+"peers. By increasing the number of allowed connections, the chance of "
+"finding good peers to download from is increased. However, too many "
+"connections can lead to TCP congestion. If the maximum is reached all new "
+"incoming connections will be closed."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:110
+#: src/protocol/bittorrent/bittorrent.c:111
 msgid "Maximum peer message length"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:112
+#: src/protocol/bittorrent/bittorrent.c:113
 msgid ""
-"The maximum length of messages to accept over the wire.\n"
-"Larger values will cause the connection to be dropped."
+"The maximum length of messages to accept over the wire. Larger values will "
+"cause the connection to be dropped."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:115
+#: src/protocol/bittorrent/bittorrent.c:116
 msgid "Maximum allowed request length"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:117
+#: src/protocol/bittorrent/bittorrent.c:118
 msgid ""
-"The maximum length to allow for incoming requests.\n"
-"Larger requests will cause the connection to be dropped."
+"The maximum length to allow for incoming requests. Larger requests will "
+"cause the connection to be dropped."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:120
+#: src/protocol/bittorrent/bittorrent.c:121
 msgid "Length of requests"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:122
+#: src/protocol/bittorrent/bittorrent.c:123
 msgid ""
-"How many bytes to query for per request. This is complementary\n"
-"to the max_request_length option. If the configured length is\n"
-"bigger than the piece length it will be truncated."
+"How many bytes to query for per request. This is complementary to the "
+"max_request_length option. If the configured length is bigger than the piece "
+"length it will be truncated."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:126
+#: src/protocol/bittorrent/bittorrent.c:128
 #, fuzzy
 msgid "Peer inactivity timeout"
 msgstr "  "
 
-#: src/protocol/bittorrent/bittorrent.c:128
+#: src/protocol/bittorrent/bittorrent.c:130
 msgid ""
-"The number of seconds to wait before closing a socket on\n"
-"which nothing has been received or sent."
+"The number of seconds to wait before closing a socket on which nothing has "
+"been received or sent."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:131
+#: src/protocol/bittorrent/bittorrent.c:133
 #, fuzzy
 msgid "Maximum peer pool size"
 msgstr " "
 
-#: src/protocol/bittorrent/bittorrent.c:133
+#: src/protocol/bittorrent/bittorrent.c:135
 msgid ""
-"Maximum number of items in the peer pool. The peer pool\n"
-"contains information used for establishing connections to\n"
-"new peers.\n"
+"Maximum number of items in the peer pool. The peer pool contains information "
+"used for establishing connections to new peers.\n"
+"\n"
 "Set to 0 to have unlimited size."
 msgstr ""
 
 #. ******************************************************************
 #. Piece management options:
 #. ******************************************************************
-#: src/protocol/bittorrent/bittorrent.c:143
+#: src/protocol/bittorrent/bittorrent.c:146
 #, fuzzy
 msgid "Maximum piece cache size"
 msgstr " "
 
-#: src/protocol/bittorrent/bittorrent.c:145
+#: src/protocol/bittorrent/bittorrent.c:148
 msgid ""
-"The maximum amount of memory used to hold recently\n"
-"downloaded pieces.\n"
+"The maximum amount of memory used to hold recently downloaded pieces.\n"
+"\n"
 "Set to 0 to have unlimited size."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:154
+#: src/protocol/bittorrent/bittorrent.c:158
 msgid "Sharing rate"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:156
+#: src/protocol/bittorrent/bittorrent.c:160
 msgid ""
-"The minimum sharing rate to achieve before stop seeding.\n"
-"The sharing rate is computed as the number of uploaded bytes\n"
-"divided with the number of downloaded bytes. The value should\n"
-"be a double value between 0.0 and 1.0 both included.\n"
-"Set to 1.0 to atleast upload a complete copy of all data and\n"
+"The minimum sharing rate to achieve before stop seeding. The sharing rate is "
+"computed as the number of uploaded bytes divided with the number of "
+"downloaded bytes. The value should be a double value between 0.0 and 1.0 "
+"both included. Set to 1.0 to atleast upload a complete copy of all data and "
 "set to 0.0 to have unlimited sharing rate."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:163
+#: src/protocol/bittorrent/bittorrent.c:167
 msgid "Maximum number of uploads"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:165
+#: src/protocol/bittorrent/bittorrent.c:169
 msgid "The maximum number of uploads to allow at once."
 msgstr ""
 
 #. The number of uploads to fill out to with extra optimistic unchokes
-#: src/protocol/bittorrent/bittorrent.c:168
+#: src/protocol/bittorrent/bittorrent.c:172
 msgid "Minimum number of uploads"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:170
+#: src/protocol/bittorrent/bittorrent.c:174
 msgid ""
-"The minimum number of uploads which should at least\n"
-"be used for new connections."
+"The minimum number of uploads which should at least be used for new "
+"connections."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:174
+#: src/protocol/bittorrent/bittorrent.c:178
 #, fuzzy
 msgid "Keepalive interval"
 msgstr " "
 
-#: src/protocol/bittorrent/bittorrent.c:176
-msgid ""
-"The number of seconds to pause between sending keepalive\n"
-"messages."
+#: src/protocol/bittorrent/bittorrent.c:180
+msgid "The number of seconds to pause between sending keepalive messages."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:179
+#: src/protocol/bittorrent/bittorrent.c:183
 #, fuzzy
 msgid "Number of pending requests"
 msgstr "    "
 
-#: src/protocol/bittorrent/bittorrent.c:181
+#: src/protocol/bittorrent/bittorrent.c:185
 msgid ""
-"How many piece requests to continuously keep in queue. Pipelining\n"
-"of requests is essential to saturate connections and get a good\n"
-"connection performance and thus a faster download. However, a\n"
-"very big queue size can lead to wasting bandwidth near the end\n"
-"of the connection since remaining piece blocks will be requested\n"
-"from multiple peers."
+"How many piece requests to continuously keep in queue. Pipelining of "
+"requests is essential to saturate connections and get a good connection "
+"performance and thus a faster download. However, a very big queue size can "
+"lead to wasting bandwidth near the end of the connection since remaining "
+"piece blocks will be requested from multiple peers."
 msgstr ""
 
 #. Bram uses 30 seconds here.
-#: src/protocol/bittorrent/bittorrent.c:190
+#: src/protocol/bittorrent/bittorrent.c:194
 msgid "Peer snubbing interval"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:192
+#: src/protocol/bittorrent/bittorrent.c:196
 msgid ""
-"The number of seconds to wait for file data before assuming\n"
-"the peer has been snubbed."
+"The number of seconds to wait for file data before assuming the peer has "
+"been snubbed."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:195
+#: src/protocol/bittorrent/bittorrent.c:199
 #, fuzzy
 msgid "Peer choke interval"
 msgstr " "
 
-#: src/protocol/bittorrent/bittorrent.c:197
+#: src/protocol/bittorrent/bittorrent.c:201
 msgid ""
-"The number of seconds between updating the connection state\n"
-"and most importantly choke and unchoke peer connections. The\n"
-"choke period should be big enough for newly unchoked connections\n"
-"to get started but small enough to not allow freeriders too much\n"
-"room for stealing bandwidth."
+"The number of seconds between updating the connection state and most "
+"importantly choke and unchoke peer connections. The choke period should be "
+"big enough for newly unchoked connections to get started but small enough to "
+"not allow freeriders too much room for stealing bandwidth."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:203
+#: src/protocol/bittorrent/bittorrent.c:207
 msgid "Rarest first piece selection cutoff"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:205
+#: src/protocol/bittorrent/bittorrent.c:209
 msgid ""
-"The number of pieces to obtain before switching piece\n"
-"selection strategy from random to rarest first."
+"The number of pieces to obtain before switching piece selection strategy "
+"from random to rarest first."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:208 src/protocol/http/http.c:109
+#: src/protocol/bittorrent/bittorrent.c:212 src/protocol/http/http.c:109
 msgid "Allow blacklisting"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:210
+#: src/protocol/bittorrent/bittorrent.c:214
 msgid "Allow blacklisting of buggy peers."
 msgstr ""
 
@@ -7000,7 +6996,7 @@ msgstr ""
 msgid "Comment"
 msgstr ""
 
-#: src/protocol/bittorrent/dialogs.c:229 src/session/download.c:362
+#: src/protocol/bittorrent/dialogs.c:229 src/session/download.c:388
 #, fuzzy, c-format
 msgid ""
 "Download complete:\n"
@@ -7168,7 +7164,7 @@ msgid_plural "%u unavailable"
 msgstr[0] "  FTP   "
 msgstr[1] "  FTP   "
 
-#: src/protocol/bittorrent/dialogs.c:584 src/session/session.c:278
+#: src/protocol/bittorrent/dialogs.c:584 src/session/session.c:279
 #, fuzzy, c-format
 msgid "Unable to retrieve %s"
 msgstr "     "
@@ -7183,7 +7179,7 @@ msgstr ""
 msgid "Information about the torrent"
 msgstr " "
 
-#: src/protocol/bittorrent/dialogs.c:776 src/session/download.c:1106
+#: src/protocol/bittorrent/dialogs.c:776 src/session/download.c:1132
 msgid "What to do?"
 msgstr "   ;"
 
@@ -7194,13 +7190,13 @@ msgid "Down~load"
 msgstr ""
 
 #. accelerator_context(src/protocol/bittorrent/dialogs.c:bittorrent_query_callback, src/session/download.c:do_type_query)
-#: src/protocol/bittorrent/dialogs.c:804 src/session/download.c:1209
+#: src/protocol/bittorrent/dialogs.c:804 src/session/download.c:1235
 #, fuzzy
 msgid "~Display"
 msgstr ""
 
 #. accelerator_context(src/protocol/bittorrent/dialogs.c:bittorrent_query_callback, src/session/download.c:do_type_query)
-#: src/protocol/bittorrent/dialogs.c:808 src/session/download.c:1213
+#: src/protocol/bittorrent/dialogs.c:808 src/session/download.c:1239
 msgid "Show ~header"
 msgstr ""
 
@@ -7218,16 +7214,16 @@ msgstr "   "
 msgid "Colon separated list of directories, where CGI scripts are stored."
 msgstr ""
 
-#: src/protocol/file/cgi.c:47
+#: src/protocol/file/cgi.c:48
 msgid "Allow local CGI"
 msgstr ""
 
-#: src/protocol/file/cgi.c:49
+#: src/protocol/file/cgi.c:50
 msgid "Whether to execute local CGI scripts."
 msgstr ""
 
 #. name:
-#: src/protocol/file/cgi.c:54
+#: src/protocol/file/cgi.c:55
 msgid "CGI"
 msgstr ""
 
@@ -7246,9 +7242,8 @@ msgstr ""
 
 #: src/protocol/file/file.c:46
 msgid ""
-"Whether to allow reading from non-regular files.\n"
-"Note this can be dangerous; reading /dev/urandom or\n"
-"/dev/zero can ruin your day!"
+"Whether to allow reading from non-regular files. Note this can be dangerous; "
+"reading /dev/urandom or /dev/zero can ruin your day!"
 msgstr ""
 
 #: src/protocol/file/file.c:50
@@ -7257,8 +7252,8 @@ msgstr ""
 
 #: src/protocol/file/file.c:52
 msgid ""
-"When set to false, files with name starting with a dot will be\n"
-"hidden in local directory listings."
+"When set to false, files with name starting with a dot will be hidden in "
+"local directory listings."
 msgstr ""
 
 #: src/protocol/file/file.c:55
@@ -7268,13 +7263,13 @@ msgstr " "
 
 #: src/protocol/file/file.c:57
 msgid ""
-"When set, if we can't open a file named 'filename', we'll try\n"
-"to open 'filename' with some encoding extension appended\n"
-"(ie. 'filename.gz'); it depends on the supported encodings."
+"When set, if we can't open a file named 'filename', we'll try to open "
+"'filename' with some encoding extension appended (ie. 'filename.gz'); it "
+"depends on the supported encodings."
 msgstr ""
 
 #. name:
-#: src/protocol/file/file.c:65
+#: src/protocol/file/file.c:66
 #, fuzzy
 msgid "File"
 msgstr ""
@@ -7304,7 +7299,7 @@ msgid "Whether to sort entries in direct
 msgstr ""
 
 #. name:
-#: src/protocol/ftp/ftp.c:56 src/protocol/ftp/ftp.c:86
+#: src/protocol/ftp/ftp.c:56 src/protocol/ftp/ftp.c:89
 msgid "FTP"
 msgstr ""
 
@@ -7312,8 +7307,8 @@ msgstr ""
 msgid "FTP specific options."
 msgstr ""
 
-#: src/protocol/ftp/ftp.c:60 src/protocol/http/http.c:127
-#: src/protocol/http/http.c:209
+#: src/protocol/ftp/ftp.c:60 src/protocol/http/http.c:128
+#: src/protocol/http/http.c:235
 msgid "Proxy configuration"
 msgstr ""
 
@@ -7321,39 +7316,39 @@ msgstr ""
 msgid "FTP proxy configuration."
 msgstr ""
 
-#: src/protocol/ftp/ftp.c:64 src/protocol/http/http.c:131
-#: src/protocol/http/http.c:213
+#: src/protocol/ftp/ftp.c:64 src/protocol/http/http.c:132
+#: src/protocol/http/http.c:239
 #, fuzzy
 msgid "Host and port-number"
 msgstr "  "
 
 #: src/protocol/ftp/ftp.c:66
 msgid ""
-"Host and port-number (host:port) of the FTP proxy, or blank.\n"
-"If it's blank, FTP_PROXY environment variable is checked as well."
+"Host and port-number (host:port) of the FTP proxy, or blank. If it's blank, "
+"FTP_PROXY environment variable is checked as well."
 msgstr ""
 
-#: src/protocol/ftp/ftp.c:69
+#: src/protocol/ftp/ftp.c:70
 msgid "Anonymous password"
 msgstr ""
 
-#: src/protocol/ftp/ftp.c:71
+#: src/protocol/ftp/ftp.c:72
 msgid "FTP anonymous password to be sent."
 msgstr ""
 
-#: src/protocol/ftp/ftp.c:73
+#: src/protocol/ftp/ftp.c:74
 msgid "Use passive mode (IPv4)"
 msgstr ""
 
-#: src/protocol/ftp/ftp.c:75
+#: src/protocol/ftp/ftp.c:76
 msgid "Use PASV instead of PORT (passive vs active mode, IPv4 only)."
 msgstr ""
 
-#: src/protocol/ftp/ftp.c:77
+#: src/protocol/ftp/ftp.c:79
 msgid "Use passive mode (IPv6)"
 msgstr ""
 
-#: src/protocol/ftp/ftp.c:79
+#: src/protocol/ftp/ftp.c:81
 msgid "Use EPSV instead of EPRT (passive vs active mode, IPv6 only)."
 msgstr ""
 
@@ -7380,7 +7375,7 @@ msgid ""
 msgstr ""
 
 #. name:
-#: src/protocol/http/http.c:95 src/protocol/http/http.c:223
+#: src/protocol/http/http.c:95 src/protocol/http/http.c:250
 msgid "HTTP"
 msgstr ""
 
@@ -7402,8 +7397,8 @@ msgstr ""
 
 #: src/protocol/http/http.c:106
 msgid ""
-"The Accept-Charset header is quite long and sending it can trigger\n"
-"bugs in some rarely found servers."
+"The Accept-Charset header is quite long and sending it can trigger bugs in "
+"some rarely found servers."
 msgstr ""
 
 #: src/protocol/http/http.c:111
@@ -7416,69 +7411,69 @@ msgstr ""
 
 #: src/protocol/http/http.c:115
 msgid ""
-"Broken 302 redirect (violates RFC but compatible with Netscape).\n"
-"This is a problem for a lot of web discussion boards and the like.\n"
-"If they will do strange things to you, try to play with this."
+"Broken 302 redirect (violates RFC but compatible with Netscape). This is a "
+"problem for a lot of web discussion boards and the like. If they will do "
+"strange things to you, try to play with this."
 msgstr ""
 
-#: src/protocol/http/http.c:119
+#: src/protocol/http/http.c:120
 msgid "No keepalive after POST requests"
 msgstr ""
 
-#: src/protocol/http/http.c:121
+#: src/protocol/http/http.c:122
 msgid "Disable keepalive connection after POST request."
 msgstr ""
 
-#: src/protocol/http/http.c:123
+#: src/protocol/http/http.c:124
 msgid "Use HTTP/1.0"
 msgstr ""
 
-#: src/protocol/http/http.c:125
+#: src/protocol/http/http.c:126
 msgid "Use HTTP/1.0 protocol instead of HTTP/1.1."
 msgstr ""
 
-#: src/protocol/http/http.c:129
+#: src/protocol/http/http.c:130
 msgid "HTTP proxy configuration."
 msgstr ""
 
-#: src/protocol/http/http.c:133
+#: src/protocol/http/http.c:134
 msgid ""
-"Host and port-number (host:port) of the HTTP proxy, or blank.\n"
-"If it's blank, HTTP_PROXY environment variable is checked as well."
+"Host and port-number (host:port) of the HTTP proxy, or blank. If it's blank, "
+"HTTP_PROXY environment variable is checked as well."
 msgstr ""
 
-#: src/protocol/http/http.c:136
+#: src/protocol/http/http.c:138
 #, fuzzy
 msgid "Username"
 msgstr ""
 
-#: src/protocol/http/http.c:138
+#: src/protocol/http/http.c:140
 msgid "Proxy authentication username."
 msgstr ""
 
-#: src/protocol/http/http.c:142
+#: src/protocol/http/http.c:144
 msgid "Proxy authentication password."
 msgstr ""
 
-#: src/protocol/http/http.c:145
+#: src/protocol/http/http.c:147
 msgid "Referer sending"
 msgstr ""
 
-#: src/protocol/http/http.c:147
+#: src/protocol/http/http.c:149
 msgid ""
-"HTTP referer sending options. HTTP referer is a special header\n"
-"sent in the HTTP requests, which is supposed to contain the previous\n"
-"page visited by the browser. This way, the server can know what link\n"
-"did you follow when accessing that page. However, this behaviour\n"
-"can unfortunately considerably affect privacy and can lead even to a\n"
-"security problem on some badly designed web pages."
+"HTTP referer sending options. HTTP referer is a special header sent in the "
+"HTTP requests, which is supposed to contain the previous page visited by the "
+"browser.This way, the server can know what link did you follow when "
+"accessing that page. However, this behaviour can unfortunately considerably "
+"affect privacy and can lead even to a security problem on some badly "
+"designed web pages."
 msgstr ""
 
-#: src/protocol/http/http.c:154
+#: src/protocol/http/http.c:157
 msgid "Policy"
 msgstr ""
 
-#: src/protocol/http/http.c:157
+#: src/protocol/http/http.c:160
 msgid ""
 "Mode of sending HTTP referer:\n"
 "0 is send no referer\n"
@@ -7487,90 +7482,110 @@ msgid ""
 "3 is send previous URL as referer (correct, but insecure)"
 msgstr ""
 
-#: src/protocol/http/http.c:163
+#: src/protocol/http/http.c:166
 msgid "Fake referer URL"
 msgstr ""
 
-#: src/protocol/http/http.c:165
+#: src/protocol/http/http.c:168
 msgid "Fake referer to be sent when policy is 2."
 msgstr ""
 
-#: src/protocol/http/http.c:168
+#: src/protocol/http/http.c:171
 msgid "Send Accept-Language header"
 msgstr ""
 
-#: src/protocol/http/http.c:170
+#: src/protocol/http/http.c:173
 msgid "Send Accept-Language header."
 msgstr ""
 
-#: src/protocol/http/http.c:172
+#: src/protocol/http/http.c:175
 msgid "Use UI language as Accept-Language"
 msgstr ""
 
-#: src/protocol/http/http.c:174
+#: src/protocol/http/http.c:177
 msgid ""
-"Request localised versions of documents from web-servers (using the\n"
-"Accept-Language header) using the language you have configured for\n"
-"ELinks' user-interface (this also affects navigator.language ECMAScript\n"
-"value available to scripts). Note that some see this as a potential\n"
-"security risk because it tells web-masters and the FBI sniffers about\n"
-"your language preference."
+"Request localised versions of documents from web-servers (using the Accept-"
+"Language header) using the language you have configured for ELinks' user-"
+"interface (this also affects navigator.language ECMAScript value available "
+"to scripts). Note that some see this as a potential security risk because it "
+"tells web-masters and the FBI sniffers about your language preference."
+msgstr ""
+
+#. After the compression support has been tested enough,
+#. * we might wrap this option in #if CFG_DEBUG.
+#: src/protocol/http/http.c:187
+msgid "Enable on-the-fly compression"
 msgstr ""
 
-#: src/protocol/http/http.c:181
+#: src/protocol/http/http.c:189
+msgid ""
+"If enabled, the capability to receive compressed content (gzip and/or bzip2) "
+"is announced to the server, which usually sends the reply compressed, thus "
+"saving some bandwidth at slight CPU expense.\n"
+"\n"
+"If ELinks displays a incomplete page or garbage, try disabling this option. "
+"If that helps, there may be a bug in the decompression part of ELinks. "
+"Please report such bugs.\n"
+"\n"
+"If ELinks has been compiled without compression support, this option has no "
+"effect. To check the supported features, see Help -> About."
+msgstr ""
+
+#: src/protocol/http/http.c:202
 msgid "Activate HTTP TRACE debugging"
 msgstr ""
 
-#: src/protocol/http/http.c:183
+#: src/protocol/http/http.c:204
 msgid ""
-"If active, all HTTP requests are sent with TRACE as their method\n"
-"rather than GET or POST. This is useful for debugging of both ELinks\n"
-"and various server-side scripts --- the server only returns the client's\n"
-"request back to the client verbatim. Note that this type of request may\n"
-"not be enabled on all servers."
+"If active, all HTTP requests are sent with TRACE as their method rather than "
+"GET or POST. This is useful for debugging of both ELinks and various server-"
+"side scripts --- the server only returns the client's request back to the "
+"client verbatim. Note that this type of request may not be enabled on all "
+"servers."
 msgstr ""
 
 #. OSNews.com is supposed to be relying on the textmode token, at least.
-#: src/protocol/http/http.c:190
+#: src/protocol/http/http.c:212
 msgid "User-agent identification"
 msgstr ""
 
-#: src/protocol/http/http.c:192
+#: src/protocol/http/http.c:214
 msgid ""
-"Change the User Agent ID. That means identification string, which\n"
-"is sent to HTTP server when a document is requested. The 'textmode'\n"
-"token in the first field is our silent attempt to establish this as\n"
-"a standard for new textmode user agents, so that the webmasters can\n"
-"have just a single uniform test for these if they are e.g. pushing\n"
-"some lite version to them automagically.\n"
+"Change the User Agent ID. That means identification string, which is sent to "
+"HTTP server when a document is requested. The 'textmode' token in the first "
+"field is our silent attempt to establish this as a standard for new textmode "
+"user agents, so that the webmasters can have just a single uniform test for "
+"these if they are e.g. pushing some lite version to them automagically.\n"
+"\n"
 "Use \" \" if you don't want any User-Agent header to be sent at all.\n"
+"\n"
 "%v in the string means ELinks version,\n"
 "%s in the string means system identification,\n"
 "%t in the string means size of the terminal,\n"
 "%b in the string means number of bars displayed by ELinks."
 msgstr ""
 
-#: src/protocol/http/http.c:205
+#: src/protocol/http/http.c:231
 msgid "HTTPS"
 msgstr ""
 
-#: src/protocol/http/http.c:207
+#: src/protocol/http/http.c:233
 #, fuzzy
 msgid "HTTPS-specific options."
 msgstr "   "
 
-#: src/protocol/http/http.c:211
+#: src/protocol/http/http.c:237
 msgid "HTTPS proxy configuration."
 msgstr ""
 
-#: src/protocol/http/http.c:215
+#: src/protocol/http/http.c:241
 msgid ""
-"Host and port-number (host:port) of the HTTPS CONNECT proxy, or blank.\n"
-"If it's blank, HTTPS_PROXY environment variable is checked as well."
+"Host and port-number (host:port) of the HTTPS CONNECT proxy, or blank. If "
+"it's blank, HTTPS_PROXY environment variable is checked as well."
 msgstr ""
 
 #. name:
-#: src/protocol/nntp/nntp.c:32 src/protocol/nntp/nntp.c:65
+#: src/protocol/nntp/nntp.c:32 src/protocol/nntp/nntp.c:66
 msgid "NNTP"
 msgstr ""
 
@@ -7585,19 +7600,19 @@ msgstr ""
 
 #: src/protocol/nntp/nntp.c:38
 msgid ""
-"Used when resolving news: URIs. If set to the empty string\n"
-"the value of the NNTPSERVER environment variable will be used."
+"Used when resolving news: URIs. If set to the empty string the value of the "
+"NNTPSERVER environment variable will be used."
 msgstr ""
 
-#: src/protocol/nntp/nntp.c:41
+#: src/protocol/nntp/nntp.c:42
 msgid "Message header entries"
 msgstr ""
 
-#: src/protocol/nntp/nntp.c:43
+#: src/protocol/nntp/nntp.c:44
 msgid ""
-"Comma separated list of which entries in the article header\n"
-"to show. E.g. 'Subject' and 'From'.\n"
-"All header entries can be read in the header info dialog."
+"Comma separated list of which entries in the article header to show. E.g. "
+"'Subject' and 'From'. All header entries can be read in the header info "
+"dialog."
 msgstr ""
 
 #: src/protocol/protocol.c:242
@@ -7619,10 +7634,9 @@ msgstr ""
 
 #: src/protocol/protocol.c:279
 msgid ""
-"Comma separated list of domains for which the proxy (HTTP/FTP)\n"
-"should be disabled. Optionally, a port can be specified for some\n"
-"domains as well. If it's blank, NO_PROXY environment variable is\n"
-"checked as well."
+"Comma separated list of domains for which the proxy (HTTP/FTP) should be "
+"disabled. Optionally, a port can be specified for some domains as well. If "
+"it's blank, NO_PROXY environment variable is checked as well."
 msgstr ""
 
 #. name:
@@ -7636,47 +7650,45 @@ msgstr ""
 
 #: src/protocol/rewrite/rewrite.c:46
 msgid ""
-"Rules for rewriting URIs entered in the goto dialog.\n"
-"It makes it possible to define a set of prefixes that will\n"
-"be expanded if they match a string entered in the goto dialog.\n"
-"The prefixes can be dumb, meaning that they work only like\n"
-"URI abbreviations, or smart ones, making it possible to pass\n"
+"Rules for rewriting URIs entered in the goto dialog. It makes it possible to "
+"define a set of prefixes that will be expanded if they match a string "
+"entered in the goto dialog. The prefixes can be dumb, meaning that they work "
+"only like URI abbreviations, or smart ones, making it possible to pass "
 "arguments to them like search engine keywords."
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:53
+#: src/protocol/rewrite/rewrite.c:54
 msgid "Enable dumb prefixes"
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:55
+#: src/protocol/rewrite/rewrite.c:56
 msgid ""
-"Enable dumb prefixes - simple URI abbreviations which can\n"
-"be written to the Goto URL dialog instead of actual URIs - i.e.\n"
-"if you write 'elinks' there, you are directed to\n"
-"http://elinks.cz/."
+"Enable dumb prefixes - simple URI abbreviations which can be written to the "
+"Goto URL dialog instead of actual URIs - i.e. if you write 'elinks' there, "
+"you are directed to http://elinks.cz/."
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:60
+#: src/protocol/rewrite/rewrite.c:61
 msgid "Enable smart prefixes"
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:62
+#: src/protocol/rewrite/rewrite.c:63
 msgid ""
-"Enable smart prefixes - URI templates triggered by writing\n"
-"given abbreviation to the Goto URL dialog followed by a list\n"
-"of arguments from which the actual URI is composed - i.e.\n"
-"'gg:search keywords' or 'gn search keywords for news'."
+"Enable smart prefixes - URI templates triggered by writing given "
+"abbreviation to the Goto URL dialog followed by a list of arguments from "
+"which the actual URI is composed - i.e. 'gg:search keywords' or 'gn search "
+"keywords for news'."
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:67
+#: src/protocol/rewrite/rewrite.c:69
 msgid "Dumb Prefixes"
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:69
+#: src/protocol/rewrite/rewrite.c:71
 msgid "Dumb prefixes, see enable-dumb description for details."
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:74
+#: src/protocol/rewrite/rewrite.c:76
 #, no-c-format
 msgid ""
 "Replacement URI for this dumbprefix:\n"
@@ -7684,15 +7696,15 @@ msgid ""
 "%% in the string means '%'"
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:78
+#: src/protocol/rewrite/rewrite.c:80
 msgid "Smart Prefixes"
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:80
+#: src/protocol/rewrite/rewrite.c:82
 msgid "Smart prefixes, see enable-smart description for details."
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:87
+#: src/protocol/rewrite/rewrite.c:90
 #, no-c-format
 msgid ""
 "Replacement URI for this smartprefix:\n"
@@ -7702,27 +7714,29 @@ msgid ""
 "%% in the string means '%'"
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:93
+#: src/protocol/rewrite/rewrite.c:96
 #, fuzzy
 msgid "Default template"
 msgstr "   "
 
-#: src/protocol/rewrite/rewrite.c:96
+#: src/protocol/rewrite/rewrite.c:99
 #, no-c-format
 msgid ""
-"Default URI template used when the string entered in\n"
-"the goto dialog does not appear to be a URI or a filename\n"
-"(i.e. contains no '.', ':' or '/' characters), and does\n"
-"not match any defined prefixes. Set the value to \"\" to\n"
-"disable use of the default template rewrite rule.\n"
+"Default URI template used when the string entered in the goto dialog does "
+"not appear to be a URI or a filename (i.e. contains no '.', ':' or '/' "
+"characters), and does not match any defined prefixes. Set the value to \"\" "
+"to disable use of the default template rewrite rule.\n"
+"\n"
 "%c in the template means the current URL,\n"
-"%s in the template means the whole string from the goto dialog,\n"
-"%0,%1,...,%9 mean the 1st,2nd,...,10th space-delimited part of %s,\n"
+"%s in the template means the whole string from the goto\n"
+"   dialog,\n"
+"%0,%1,...,%9 mean the 1st,2nd,...,10th space-delimited part\n"
+"   of %s,\n"
 "%% in the template means '%'."
 msgstr ""
 
 #. name:
-#: src/protocol/rewrite/rewrite.c:372
+#: src/protocol/rewrite/rewrite.c:378
 msgid "URI rewrite"
 msgstr ""
 
@@ -7745,24 +7759,23 @@ msgid "Credentials file passed to smbcli
 msgstr ""
 
 #. name:
-#: src/protocol/user.c:34 src/protocol/user.c:84
+#: src/protocol/user.c:34 src/protocol/user.c:85
 msgid "User protocols"
 msgstr ""
 
 #: src/protocol/user.c:36
 msgid ""
-"User protocols. Options in this tree specify external\n"
-"handlers for the appropriate protocols. Ie.\n"
-"protocol.user.mailto.unix."
+"User protocols. Options in this tree specify external handlers for the "
+"appropriate protocols. Ie. protocol.user.mailto.unix."
 msgstr ""
 
 #: src/protocol/user.c:47
 msgid ""
-"Handler (external program) for this protocol. Name the\n"
-"options in this tree after your system (ie. unix, unix-xwin)."
+"Handler (external program) for this protocol. Name the options in this tree "
+"after your system (ie. unix, unix-xwin)."
 msgstr ""
 
-#: src/protocol/user.c:52
+#: src/protocol/user.c:53
 msgid ""
 "Handler (external program) for this protocol and system.\n"
 "%f in the string means file name to include form data from\n"
@@ -7773,11 +7786,11 @@ msgid ""
 "%u in the string means the whole URL"
 msgstr ""
 
-#: src/protocol/user.c:276
+#: src/protocol/user.c:277
 msgid "No program"
 msgstr "  "
 
-#: src/protocol/user.c:278
+#: src/protocol/user.c:279
 #, fuzzy, c-format
 msgid "No program specified for protocol %s."
 msgstr "   "
@@ -7861,19 +7874,19 @@ msgstr ""
 msgid "Spidermonkey ECMAScript"
 msgstr ""
 
-#: src/session/download.c:233 src/session/download.c:330
-#: src/session/download.c:561 src/session/download.c:649
+#: src/session/download.c:256 src/session/download.c:356
+#: src/session/download.c:587 src/session/download.c:675
 msgid "Download error"
 msgstr " "
 
-#: src/session/download.c:234 src/session/download.c:650
+#: src/session/download.c:257 src/session/download.c:676
 #, fuzzy, c-format
 msgid ""
 "Could not create file '%s':\n"
 "%s"
 msgstr "   "
 
-#: src/session/download.c:331
+#: src/session/download.c:357
 #, fuzzy, c-format
 msgid ""
 "Error downloading %s:\n"
@@ -7881,17 +7894,17 @@ msgid ""
 "%s"
 msgstr " "
 
-#: src/session/download.c:562
+#: src/session/download.c:588
 #, c-format
 msgid "'%s' is a directory."
 msgstr ""
 
-#: src/session/download.c:596
+#: src/session/download.c:622
 #, fuzzy
 msgid "File exists"
 msgstr " "
 
-#: src/session/download.c:597
+#: src/session/download.c:623
 #, c-format
 msgid ""
 "This file already exists:\n"
@@ -7902,51 +7915,51 @@ msgid ""
 msgstr ""
 
 #. accelerator_context(src/session/download.c:lookup_unique_name)
-#: src/session/download.c:604
+#: src/session/download.c:630
 msgid "Sa~ve under the alternative name"
 msgstr ""
 
 #. accelerator_context(src/session/download.c:lookup_unique_name)
-#: src/session/download.c:605
+#: src/session/download.c:631
 msgid "~Overwrite the original file"
 msgstr ""
 
 #. accelerator_context(src/session/download.c:lookup_unique_name)
-#: src/session/download.c:606
+#: src/session/download.c:632
 msgid "~Resume download of the original file"
 msgstr ""
 
-#: src/session/download.c:1109
+#: src/session/download.c:1135
 msgid "Unknown type"
 msgstr " "
 
-#: src/session/download.c:1134
+#: src/session/download.c:1160
 #, c-format
 msgid "What would you like to do with the file '%s' (type: %s%s%s)?"
 msgstr ""
 
-#: src/session/download.c:1137
+#: src/session/download.c:1163
 #, c-format
 msgid "What would you like to do with the file (type: %s%s%s)?"
 msgstr ""
 
-#: src/session/download.c:1165
+#: src/session/download.c:1191
 #, no-c-format
 msgid "Program ('%' will be replaced by the filename)"
 msgstr ""
 
-#: src/session/download.c:1169
+#: src/session/download.c:1195
 #, fuzzy
 msgid "Block the terminal"
 msgstr " BeOS"
 
-#: src/session/download.c:1175
+#: src/session/download.c:1201
 #, c-format
 msgid "The file will be opened with the program '%s'."
 msgstr ""
 
 #. accelerator_context(src/session/download.c:do_type_query)
-#: src/session/download.c:1196
+#: src/session/download.c:1222
 #, fuzzy
 msgid "~Open"
 msgstr ""
@@ -7955,12 +7968,12 @@ msgstr ""
 #. * and formatting it with "%u" is safe,
 #. * because fc_maxlength is smaller than
 #. * file.length, which is an int.
-#: src/session/session.c:761 src/session/session.c:780 src/session/task.c:275
-#: src/viewer/text/textarea.c:652
+#: src/session/session.c:771 src/session/session.c:790 src/session/task.c:275
+#: src/viewer/text/textarea.c:641
 msgid "Warning"
 msgstr ""
 
-#: src/session/session.c:762
+#: src/session/session.c:772
 msgid ""
 "You have an empty string in protocol.http.user_agent - this was a default "
 "value in the past, substituted by default ELinks User-Agent string. However, "
@@ -7971,7 +7984,7 @@ msgid ""
 "will be used. Apologies for any inconvience caused."
 msgstr ""
 
-#: src/session/session.c:781
+#: src/session/session.c:791
 msgid ""
 "You have option config.saving_style set to a de facto obsolete value. The "
 "configuration saving algorithms of ELinks were changed from the last time "
@@ -7984,11 +7997,11 @@ msgid ""
 "caused."
 msgstr ""
 
-#: src/session/session.c:806
+#: src/session/session.c:816
 msgid "Welcome"
 msgstr " "
 
-#: src/session/session.c:807
+#: src/session/session.c:817
 #, fuzzy
 msgid ""
 "Welcome to ELinks!\n"
@@ -8040,22 +8053,22 @@ msgstr ""
 msgid "Warning: terminal name contains illicit chars."
 msgstr ""
 
-#: src/terminal/event.c:259
+#: src/terminal/event.c:258
 #, c-format
 msgid "Failed to create session."
 msgstr ""
 
-#: src/terminal/event.c:446
+#: src/terminal/event.c:443
 #, c-format
 msgid "Bad event %d"
 msgstr ""
 
-#: src/terminal/event.c:486
+#: src/terminal/event.c:483
 #, fuzzy, c-format
 msgid "Could not read event: %d (%s)"
 msgstr "   "
 
-#: src/terminal/kbd.c:1187
+#: src/terminal/kbd.c:1210
 #, c-format
 msgid "Too many bytes read from the itrm!"
 msgstr ""
@@ -8134,207 +8147,207 @@ msgstr "   (frames)"
 msgid "The requested fragment \"%s\" doesn't exist."
 msgstr ""
 
-#: src/viewer/text/form.c:1092
+#: src/viewer/text/form.c:1118
 msgid "Error while posting form"
 msgstr "    "
 
-#: src/viewer/text/form.c:1093
+#: src/viewer/text/form.c:1119
 #, fuzzy, c-format
 msgid "Could not load file %s: %s"
 msgstr "   "
 
-#: src/viewer/text/form.c:1847
+#: src/viewer/text/form.c:1876
 #, fuzzy
 msgid "Reset form"
 msgstr " "
 
-#: src/viewer/text/form.c:1849
+#: src/viewer/text/form.c:1878
 msgid "Harmless button"
 msgstr ""
 
-#: src/viewer/text/form.c:1857
+#: src/viewer/text/form.c:1886
 msgid "Submit form to"
 msgstr "  "
 
-#: src/viewer/text/form.c:1858
+#: src/viewer/text/form.c:1887
 msgid "Post form to"
 msgstr "  "
 
-#: src/viewer/text/form.c:1860
+#: src/viewer/text/form.c:1889
 msgid "Radio button"
 msgstr "  "
 
-#: src/viewer/text/form.c:1864
+#: src/viewer/text/form.c:1893
 msgid "Select field"
 msgstr " "
 
-#: src/viewer/text/form.c:1868
+#: src/viewer/text/form.c:1897
 msgid "Text area"
 msgstr " "
 
-#: src/viewer/text/form.c:1870
+#: src/viewer/text/form.c:1899
 msgid "File upload"
 msgstr " "
 
-#: src/viewer/text/form.c:1872
+#: src/viewer/text/form.c:1901
 msgid "Password field"
 msgstr " "
 
-#: src/viewer/text/form.c:1910
+#: src/viewer/text/form.c:1939
 msgid "name"
 msgstr ""
 
-#: src/viewer/text/form.c:1922
+#: src/viewer/text/form.c:1951
 msgid "value"
 msgstr ""
 
-#: src/viewer/text/form.c:1935
+#: src/viewer/text/form.c:1964
 msgid "read only"
 msgstr ""
 
-#: src/viewer/text/form.c:1946
+#: src/viewer/text/form.c:1975
 #, c-format
 msgid "press %s to navigate"
 msgstr ""
 
-#: src/viewer/text/form.c:1948
+#: src/viewer/text/form.c:1977
 #, c-format
 msgid "press %s to edit"
 msgstr ""
 
-#: src/viewer/text/form.c:1984
+#: src/viewer/text/form.c:2013
 #, fuzzy, c-format
 msgid "press %s to submit to %s"
 msgstr " "
 
-#: src/viewer/text/form.c:1986
+#: src/viewer/text/form.c:2015
 #, fuzzy, c-format
 msgid "press %s to post to %s"
 msgstr " "
 
-#: src/viewer/text/form.c:2088
+#: src/viewer/text/form.c:2117
 msgid "Useless button"
 msgstr ""
 
-#: src/viewer/text/form.c:2090
+#: src/viewer/text/form.c:2119
 #, fuzzy
 msgid "Submit button"
 msgstr "  "
 
 #. accelerator_context(link_menu.map)
-#: src/viewer/text/link.c:1281
+#: src/viewer/text/link.c:1280
 msgid "Display ~usemap"
 msgstr "  USEMAP"
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1286
+#: src/viewer/text/link.c:1285
 msgid "~Follow link"
 msgstr " "
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1288
+#: src/viewer/text/link.c:1287
 msgid "Follow link and r~eload"
 msgstr ""
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1292
+#: src/viewer/text/link.c:1291
 msgid "Open in new ~window"
 msgstr "   "
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1294
+#: src/viewer/text/link.c:1293
 #, fuzzy
 msgid "Open in new ~tab"
 msgstr "   "
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1296
+#: src/viewer/text/link.c:1295
 #, fuzzy
 msgid "Open in new tab in ~background"
 msgstr ""
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1301
+#: src/viewer/text/link.c:1300
 msgid "~Download link"
 msgstr " "
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1304
+#: src/viewer/text/link.c:1303
 msgid "~Add link to bookmarks"
 msgstr ""
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1308
+#: src/viewer/text/link.c:1307
 msgid "Pass link URI to e~xternal command"
 msgstr ""
 
 #. accelerator_context(link_menu.form, link_menu.reset, link_menu.textarea)
-#: src/viewer/text/link.c:1319 src/viewer/text/link.c:1359
+#: src/viewer/text/link.c:1318 src/viewer/text/link.c:1358
 msgid "~Reset form"
 msgstr " "
 
 #. accelerator_context(link_menu.textarea)
-#: src/viewer/text/link.c:1334
+#: src/viewer/text/link.c:1333
 msgid "Open in ~external editor"
 msgstr ""
 
 #. accelerator_context(link_menu.form, link_menu.textarea)
-#: src/viewer/text/link.c:1342
+#: src/viewer/text/link.c:1341
 msgid "~Submit form"
 msgstr " "
 
 #. accelerator_context(link_menu.form, link_menu.textarea)
-#: src/viewer/text/link.c:1343
+#: src/viewer/text/link.c:1342
 msgid "Submit form and rel~oad"
 msgstr ""
 
 #. accelerator_context(link_menu.form, link_menu.textarea)
-#: src/viewer/text/link.c:1347
+#: src/viewer/text/link.c:1346
 msgid "Submit form and open in new ~window"
 msgstr "      "
 
 #. accelerator_context(link_menu.form, link_menu.textarea)
-#: src/viewer/text/link.c:1349
+#: src/viewer/text/link.c:1348
 #, fuzzy
 msgid "Submit form and open in new ~tab"
 msgstr "      "
 
 #. accelerator_context(link_menu.form, link_menu.textarea)
-#: src/viewer/text/link.c:1352
+#: src/viewer/text/link.c:1351
 #, fuzzy
 msgid "Submit form and open in new tab in ~background"
 msgstr "      "
 
 #. accelerator_context(link_menu.form, link_menu.textarea)
-#: src/viewer/text/link.c:1357
+#: src/viewer/text/link.c:1356
 msgid "Submit form and ~download"
 msgstr "   "
 
 #. accelerator_context(link_menu.form, link_menu.reset, link_menu.textarea)
-#: src/viewer/text/link.c:1364
+#: src/viewer/text/link.c:1363
 #, fuzzy
 msgid "Form f~ields"
 msgstr " "
 
 #. accelerator_context(link_menu.form, link_menu.map, link_menu.std)
-#: src/viewer/text/link.c:1371
+#: src/viewer/text/link.c:1370
 msgid "V~iew image"
 msgstr " "
 
 #. accelerator_context(link_menu.form, link_menu.map, link_menu.std)
-#: src/viewer/text/link.c:1373
+#: src/viewer/text/link.c:1372
 msgid "Download ima~ge"
 msgstr " "
 
-#: src/viewer/text/link.c:1382
+#: src/viewer/text/link.c:1381
 msgid "No link selected"
 msgstr "  "
 
-#: src/viewer/text/link.c:1452
+#: src/viewer/text/link.c:1451
 msgid "Image"
 msgstr ""
 
-#: src/viewer/text/link.c:1457
+#: src/viewer/text/link.c:1456
 msgid "Usemap"
 msgstr "USEMAP"
 
@@ -8343,86 +8356,86 @@ msgstr "USEMAP"
 msgid "Marks"
 msgstr ""
 
-#: src/viewer/text/search.c:1083
+#: src/viewer/text/search.c:1099
 msgid "Search hit top, continuing at bottom."
 msgstr ""
 
-#: src/viewer/text/search.c:1084
+#: src/viewer/text/search.c:1100
 msgid "Search hit bottom, continuing at top."
 msgstr ""
 
-#: src/viewer/text/search.c:1087
+#: src/viewer/text/search.c:1103
 msgid "No previous search"
 msgstr "   "
 
-#: src/viewer/text/search.c:1099
+#: src/viewer/text/search.c:1115
 #, c-format
 msgid "Could not compile regular expression '%s'"
 msgstr ""
 
-#: src/viewer/text/search.c:1143
+#: src/viewer/text/search.c:1159
 #, c-format
 msgid "No further matches for '%s'."
 msgstr ""
 
-#: src/viewer/text/search.c:1145
+#: src/viewer/text/search.c:1161
 #, c-format
 msgid "Could not find a link with the text '%s'."
 msgstr ""
 
-#: src/viewer/text/search.c:1147 src/viewer/text/search.c:1558
+#: src/viewer/text/search.c:1163 src/viewer/text/search.c:1576
 msgid "Typeahead"
 msgstr ""
 
-#: src/viewer/text/search.c:1560
+#: src/viewer/text/search.c:1578
 #, c-format
 msgid "No links in current document"
 msgstr ""
 
-#: src/viewer/text/search.c:1643
+#: src/viewer/text/search.c:1661
 msgid "Search for text"
 msgstr " "
 
-#: src/viewer/text/search.c:1679
+#: src/viewer/text/search.c:1697
 #, fuzzy
 msgid "Normal search"
 msgstr "   "
 
-#: src/viewer/text/search.c:1680
+#: src/viewer/text/search.c:1698
 msgid "Regexp search"
 msgstr ""
 
-#: src/viewer/text/search.c:1681
+#: src/viewer/text/search.c:1699
 msgid "Extended regexp search"
 msgstr ""
 
-#: src/viewer/text/search.c:1683
+#: src/viewer/text/search.c:1701
 msgid "Case sensitive"
 msgstr ""
 
-#: src/viewer/text/search.c:1684
+#: src/viewer/text/search.c:1702
 msgid "Case insensitive"
 msgstr ""
 
-#: src/viewer/text/search.c:1708
+#: src/viewer/text/search.c:1726
 msgid "Search backward"
 msgstr " "
 
 #. name:
-#: src/viewer/text/search.c:1747
+#: src/viewer/text/search.c:1765
 #, fuzzy
 msgid "Search History"
 msgstr "  "
 
-#: src/viewer/text/textarea.c:595
+#: src/viewer/text/textarea.c:584
 msgid "You cannot launch an external editor in the anonymous mode."
 msgstr ""
 
-#: src/viewer/text/textarea.c:602
+#: src/viewer/text/textarea.c:591
 msgid "You can do this only on the master terminal"
 msgstr ""
 
-#: src/viewer/text/textarea.c:655
+#: src/viewer/text/textarea.c:644
 #, c-format
 msgid ""
 "You have exceeded the textarea's size limit: your input is %d bytes, but the "
@@ -8440,11 +8453,11 @@ msgstr "  "
 msgid "Enter link number"
 msgstr "  "
 
-#: src/viewer/text/view.c:1627
+#: src/viewer/text/view.c:1628
 msgid "Save error"
 msgstr " "
 
-#: src/viewer/text/view.c:1628
+#: src/viewer/text/view.c:1629
 msgid "Error writing to file"
 msgstr "   "
 
Binary files 0.12~pre2.dfsg0-1/po/es.gmo and 0.12~pre4-1/po/es.gmo differ
diff -pruN 0.12~pre2.dfsg0-1/po/es.po 0.12~pre4-1/po/es.po
--- 0.12~pre2.dfsg0-1/po/es.po	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/po/es.po	2009-05-31 09:48:47.000000000 +0100
@@ -7,7 +7,7 @@ msgid ""
 msgstr ""
 "Project-Id-Version: ELinks 0.5pre0.CVS\n"
 "Report-Msgid-Bugs-To: elinks-users@linuxfromscratch.org\n"
-"POT-Creation-Date: 2008-09-21 11:13+0300\n"
+"POT-Creation-Date: 2009-05-31 01:57+0300\n"
 "PO-Revision-Date: 2003-01-03 03:41+0100\n"
 "Last-Translator: David Mediavilla <r96x6a79yki40001@sneakemail.com>\n"
 "Language-Team: Spanish <es@li.org>\n"
@@ -38,7 +38,7 @@ msgstr ""
 #: src/mime/dialogs.c:132 src/protocol/auth/dialogs.c:115
 #: src/protocol/protocol.c:246 src/scripting/lua/core.c:399
 #: src/scripting/lua/core.c:480 src/scripting/python/dialogs.c:86
-#: src/session/session.c:811 src/viewer/text/search.c:1686
+#: src/session/session.c:821 src/viewer/text/search.c:1704
 #, fuzzy
 msgid "~OK"
 msgstr "Aceptar"
@@ -56,13 +56,13 @@ msgid "Sorry, but the item \"%s\" is bei
 msgstr "Este marcador se est usando todava."
 
 #. cant_delete_folder
-#: src/bfu/hierbox.c:558 src/bookmarks/dialogs.c:121
+#: src/bfu/hierbox.c:558 src/bookmarks/dialogs.c:153
 #, fuzzy, c-format
 msgid "Sorry, but the folder \"%s\" cannot be deleted."
 msgstr "Este marcador se est usando todava."
 
 #. cant_delete_used_folder
-#: src/bfu/hierbox.c:561 src/bookmarks/dialogs.c:123
+#: src/bfu/hierbox.c:561 src/bookmarks/dialogs.c:155
 #, fuzzy, c-format
 msgid "Sorry, but the folder \"%s\" is being used by something else."
 msgstr "Este marcador se est usando todava."
@@ -80,7 +80,7 @@ msgid "Delete marked items?"
 msgstr "Borrar elemento de historial"
 
 #. delete_folder_title
-#: src/bfu/hierbox.c:570 src/bookmarks/dialogs.c:129
+#: src/bfu/hierbox.c:570 src/bookmarks/dialogs.c:161
 #, fuzzy
 msgid "Delete folder"
 msgstr "Eliminar marcador"
@@ -141,13 +141,13 @@ msgstr "S"
 msgid "~No"
 msgstr "No"
 
-#: src/bfu/hierbox.c:945 src/bfu/hierbox.c:976 src/viewer/text/search.c:1090
-#: src/viewer/text/search.c:1098 src/viewer/text/search.c:1114
-#: src/viewer/text/search.c:1705
+#: src/bfu/hierbox.c:945 src/bfu/hierbox.c:976 src/viewer/text/search.c:1106
+#: src/viewer/text/search.c:1114 src/viewer/text/search.c:1130
+#: src/viewer/text/search.c:1723
 msgid "Search"
 msgstr "Buscar..."
 
-#: src/bfu/hierbox.c:947 src/viewer/text/search.c:1091
+#: src/bfu/hierbox.c:947 src/viewer/text/search.c:1107
 #, fuzzy, c-format
 msgid "Search string '%s' not found"
 msgstr "Cadena no encontrada"
@@ -186,8 +186,8 @@ msgstr "No se permite dejar el campo vac
 #: src/dialogs/options.c:237 src/dialogs/options.c:316 src/mime/dialogs.c:133
 #: src/protocol/auth/dialogs.c:116 src/protocol/bittorrent/dialogs.c:814
 #: src/scripting/lua/core.c:400 src/scripting/lua/core.c:481
-#: src/session/download.c:607 src/session/download.c:1219
-#: src/viewer/text/search.c:1687
+#: src/session/download.c:633 src/session/download.c:1245
+#: src/viewer/text/search.c:1705
 #, fuzzy
 msgid "~Cancel"
 msgstr "Cancelar"
@@ -201,8 +201,8 @@ msgstr "bloqueados"
 msgid "Digital clock in the status bar."
 msgstr ""
 
-#: src/bfu/leds.c:77 src/bfu/leds.c:94 src/config/options.inc:1199
-#: src/config/options.inc:1206 src/ecmascript/ecmascript.c:45
+#: src/bfu/leds.c:77 src/bfu/leds.c:94 src/config/options.inc:1272
+#: src/config/options.inc:1279 src/ecmascript/ecmascript.c:45
 #: src/globhist/globhist.c:64 src/mime/backend/mailcap.c:93
 #: src/mime/backend/mimetypes.c:52 src/network/ssl/ssl.c:81
 #, fuzzy
@@ -220,8 +220,7 @@ msgstr "Enviar fichero"
 
 #: src/bfu/leds.c:83
 msgid ""
-"Format string for the digital clock. See the strftime(3)\n"
-"manpage for details."
+"Format string for the digital clock. See the strftime(3) manpage for details."
 msgstr ""
 
 #: src/bfu/leds.c:90
@@ -234,8 +233,7 @@ msgstr ""
 
 #: src/bfu/leds.c:96
 msgid ""
-"Enable LEDs.\n"
-"These visual indicators will inform you about various states."
+"Enable LEDs. These visual indicators will inform you about various states."
 msgstr ""
 
 #. name:
@@ -265,35 +263,35 @@ msgstr ""
 msgid "Search menu/"
 msgstr "Buscar..."
 
-#: src/bookmarks/backend/xbel.c:97
+#: src/bookmarks/backend/xbel.c:105
 #, c-format
 msgid "read_bookmarks_xbel(): Error in XML_ParserCreate()"
 msgstr ""
 
-#: src/bookmarks/backend/xbel.c:108
+#: src/bookmarks/backend/xbel.c:116
 #, c-format
 msgid "read_bookmarks_xbel(): Error reading %s"
 msgstr ""
 
-#: src/bookmarks/backend/xbel.c:116
+#: src/bookmarks/backend/xbel.c:124
 #, c-format
 msgid ""
 "Parse error while processing XBEL bookmarks in %s at line %d column %d:\n"
 "%s"
 msgstr ""
 
-#: src/bookmarks/backend/xbel.c:390 src/bookmarks/backend/xbel.c:411
+#: src/bookmarks/backend/xbel.c:388 src/bookmarks/backend/xbel.c:410
 #, fuzzy
 msgid "No title"
 msgstr "Ttulo del enlace"
 
-#: src/bookmarks/backend/xbel.c:396
+#: src/bookmarks/backend/xbel.c:394
 #, fuzzy
 msgid "No URL"
 msgstr "Ir a URL..."
 
 #. name:
-#: src/bookmarks/bookmarks.c:48 src/bookmarks/bookmarks.c:181
+#: src/bookmarks/bookmarks.c:48 src/bookmarks/bookmarks.c:183
 #, fuzzy
 msgid "Bookmarks"
 msgstr "Mar~cadores"
@@ -303,7 +301,7 @@ msgstr "Mar~cadores"
 msgid "Bookmark options."
 msgstr "Mar~cadores"
 
-#: src/bookmarks/bookmarks.c:53 src/bookmarks/bookmarks.c:59
+#: src/bookmarks/bookmarks.c:53 src/bookmarks/bookmarks.c:60
 #, fuzzy
 msgid "File format"
 msgstr "Enviar fichero"
@@ -312,51 +310,47 @@ msgstr "Enviar fichero"
 msgid ""
 "File format for bookmarks (affects both reading and saving):\n"
 "0 is the default native ELinks format\n"
-"1 is XBEL universal XML bookmarks format (ELinks bug 153: NO NATIONAL CHARS "
-"SUPPORT!)"
+"1 is XBEL universal XML bookmarks format"
 msgstr ""
 
-#: src/bookmarks/bookmarks.c:61
+#: src/bookmarks/bookmarks.c:62
 msgid ""
 "File format for bookmarks (affects both reading and saving):\n"
 "0 is the default native ELinks format\n"
-"1 is XBEL universal XML bookmarks format (ELinks bug 153: NO NATIONAL CHARS "
-"SUPPORT!)  (DISABLED)"
+"1 is XBEL universal XML bookmarks format  (DISABLED)"
 msgstr ""
 
-#: src/bookmarks/bookmarks.c:67
+#: src/bookmarks/bookmarks.c:68
 #, fuzzy
 msgid "Save folder state"
 msgstr "Nombre de la carpeta"
 
-#: src/bookmarks/bookmarks.c:69
+#: src/bookmarks/bookmarks.c:70
 msgid ""
-"When saving bookmarks also store whether folders are\n"
-"expanded or not, so the look of the bookmark dialog is\n"
-"kept across ELinks sessions. If disabled all folders will\n"
-"appear unexpanded next time ELinks is run."
+"When saving bookmarks also store whether folders are expanded or not, so the "
+"look of the bookmark dialog is kept across ELinks sessions. If disabled all "
+"folders will appear unexpanded next time ELinks is run."
 msgstr ""
 
-#: src/bookmarks/bookmarks.c:74
+#: src/bookmarks/bookmarks.c:75
 msgid "Periodic snapshotting"
 msgstr ""
 
-#: src/bookmarks/bookmarks.c:76
+#: src/bookmarks/bookmarks.c:77
 msgid ""
-"Automatically save a snapshot of all tabs periodically.\n"
-"This will periodically bookmark the tabs of each terminal in a separate "
-"folder\n"
-"for recovery after a crash.\n"
+"Automatically save a snapshot of all tabs periodically. This will "
+"periodically bookmark the tabs of each terminal in a separate folder for "
+"recovery after a crash.\n"
 "\n"
 "This feature requires bookmark support."
 msgstr ""
 
-#: src/bookmarks/dialogs.c:72 src/config/options.inc:1051
+#: src/bookmarks/dialogs.c:97 src/config/options.inc:1120
 #: src/dialogs/document.c:145 src/globhist/dialogs.c:65
 msgid "Title"
 msgstr "Ttulo"
 
-#: src/bookmarks/dialogs.c:73 src/cache/dialogs.c:65
+#: src/bookmarks/dialogs.c:101 src/cache/dialogs.c:65
 #: src/dialogs/document.c:136 src/dialogs/edit.c:96 src/formhist/dialogs.c:63
 #: src/globhist/dialogs.c:66 src/protocol/auth/dialogs.c:163
 #: src/scripting/lua/core.c:397
@@ -364,85 +358,85 @@ msgid "URL"
 msgstr "URL"
 
 #. cant_delete_item
-#: src/bookmarks/dialogs.c:117
+#: src/bookmarks/dialogs.c:149
 #, fuzzy, c-format
 msgid "Sorry, but the bookmark \"%s\" cannot be deleted."
 msgstr "Este marcador se est usando todava."
 
 #. cant_delete_used_item
-#: src/bookmarks/dialogs.c:119
+#: src/bookmarks/dialogs.c:151
 #, fuzzy, c-format
 msgid "Sorry, but the bookmark \"%s\" is being used by something else."
 msgstr "Este marcador se est usando todava."
 
 #. delete_marked_items_title
-#: src/bookmarks/dialogs.c:125
+#: src/bookmarks/dialogs.c:157
 #, fuzzy
 msgid "Delete marked bookmarks"
 msgstr "Borrar los marcadores seleccionados?"
 
 #. delete_marked_items
-#: src/bookmarks/dialogs.c:127
+#: src/bookmarks/dialogs.c:159
 msgid "Delete marked bookmarks?"
 msgstr "Borrar los marcadores seleccionados?"
 
 #. delete_folder
-#: src/bookmarks/dialogs.c:131
+#: src/bookmarks/dialogs.c:163
 #, fuzzy, c-format
 msgid "Delete the folder \"%s\" and all bookmarks in it?"
 msgstr "Borrar el contenido de la carpeta"
 
 #. delete_item_title
-#: src/bookmarks/dialogs.c:133
+#: src/bookmarks/dialogs.c:165
 #, fuzzy
 msgid "Delete bookmark"
 msgstr "Borrar los marcadores seleccionados?"
 
-#: src/bookmarks/dialogs.c:135
+#: src/bookmarks/dialogs.c:167
 #, fuzzy, c-format
 msgid "Delete this bookmark?"
 msgstr "Borrar los marcadores seleccionados?"
 
 #. clear_all_items_title
-#: src/bookmarks/dialogs.c:137
+#: src/bookmarks/dialogs.c:169
 #, fuzzy
 msgid "Clear all bookmarks"
 msgstr "Buscar en marcadores"
 
 #. clear_all_items_title
-#: src/bookmarks/dialogs.c:139
+#: src/bookmarks/dialogs.c:171
 #, fuzzy
 msgid "Do you really want to remove all bookmarks?"
 msgstr "Seguro que quiere salir de ELinks?"
 
-#: src/bookmarks/dialogs.c:254
+#: src/bookmarks/dialogs.c:327
 msgid "Add folder"
 msgstr "Aadir carpeta"
 
-#: src/bookmarks/dialogs.c:254
+#: src/bookmarks/dialogs.c:327
 msgid "Folder name"
 msgstr "Nombre de la carpeta"
 
-#: src/bookmarks/dialogs.c:310 src/scripting/lua/core.c:391
+#: src/bookmarks/dialogs.c:410 src/scripting/lua/core.c:391
 msgid "Edit bookmark"
 msgstr "Modificar marcador"
 
-#: src/bookmarks/dialogs.c:461
+#: src/bookmarks/dialogs.c:567
 msgid "Cannot move folder inside itself"
 msgstr ""
 
-#: src/bookmarks/dialogs.c:462
+#: src/bookmarks/dialogs.c:568
 msgid ""
 "You are trying to move the marked folder inside itself. To move the folder "
 "to a different location select the new location before pressing the Move "
 "button."
 msgstr ""
 
-#: src/bookmarks/dialogs.c:468
+#: src/bookmarks/dialogs.c:574
 msgid "Nothing to move"
 msgstr ""
 
-#: src/bookmarks/dialogs.c:469
+#: src/bookmarks/dialogs.c:575
 msgid ""
 "To move bookmarks, first mark all the bookmarks (or folders) you want to "
 "move.  This can be done with the Insert key if you're using the default key-"
@@ -451,21 +445,21 @@ msgid ""
 msgstr ""
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons, src/cache/dialogs.c:cache_buttons, src/globhist/dialogs.c:globhist_buttons, src/protocol/auth/dialogs.c:auth_buttons)
-#: src/bookmarks/dialogs.c:487 src/cache/dialogs.c:230
+#: src/bookmarks/dialogs.c:593 src/cache/dialogs.c:230
 #: src/globhist/dialogs.c:224 src/protocol/auth/dialogs.c:261
 #, fuzzy
 msgid "~Goto"
 msgstr "Ir a"
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons, src/config/dialogs.c:option_buttons, src/cookies/dialogs.c:cookie_buttons)
-#: src/bookmarks/dialogs.c:488 src/config/dialogs.c:503
+#: src/bookmarks/dialogs.c:594 src/config/dialogs.c:503
 #: src/cookies/dialogs.c:492
 #, fuzzy
 msgid "~Edit"
 msgstr "Modificar..."
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons, src/cache/dialogs.c:cache_buttons, src/config/dialogs.c:keybinding_buttons, src/config/dialogs.c:option_buttons, src/cookies/dialogs.c:cookie_buttons, src/dialogs/menu.c:ext_menu, src/formhist/dialogs.c:formhist_buttons, src/globhist/dialogs.c:globhist_buttons, src/protocol/auth/dialogs.c:auth_buttons)
-#: src/bookmarks/dialogs.c:489 src/cache/dialogs.c:231
+#: src/bookmarks/dialogs.c:595 src/cache/dialogs.c:231
 #: src/config/dialogs.c:505 src/config/dialogs.c:930 src/cookies/dialogs.c:493
 #: src/dialogs/menu.c:463 src/formhist/dialogs.c:211
 #: src/globhist/dialogs.c:229 src/protocol/auth/dialogs.c:263
@@ -473,31 +467,31 @@ msgid "~Delete"
 msgstr "Eliminar"
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons, src/config/dialogs.c:keybinding_buttons, src/config/dialogs.c:option_buttons, src/cookies/dialogs.c:cookie_buttons, src/dialogs/menu.c:ext_menu)
-#: src/bookmarks/dialogs.c:490 src/config/dialogs.c:504
+#: src/bookmarks/dialogs.c:596 src/config/dialogs.c:504
 #: src/config/dialogs.c:929 src/cookies/dialogs.c:490 src/dialogs/menu.c:461
 msgid "~Add"
 msgstr "~Aadir"
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons)
-#: src/bookmarks/dialogs.c:491
+#: src/bookmarks/dialogs.c:597
 #, fuzzy
 msgid "Add se~parator"
 msgstr "Bsqueda en el historial"
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons)
-#: src/bookmarks/dialogs.c:492
+#: src/bookmarks/dialogs.c:598
 #, fuzzy
 msgid "Add ~folder"
 msgstr "Aadir carpeta"
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons)
-#: src/bookmarks/dialogs.c:493
+#: src/bookmarks/dialogs.c:599
 #, fuzzy
 msgid "~Move"
 msgstr "Mover"
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons, src/cache/dialogs.c:cache_buttons, src/config/dialogs.c:keybinding_buttons, src/config/dialogs.c:option_buttons, src/dialogs/menu.c:view_menu, src/globhist/dialogs.c:globhist_buttons)
-#: src/bookmarks/dialogs.c:494 src/cache/dialogs.c:232
+#: src/bookmarks/dialogs.c:600 src/cache/dialogs.c:232
 #: src/config/dialogs.c:506 src/config/dialogs.c:932 src/dialogs/menu.c:413
 #: src/globhist/dialogs.c:230
 msgid "~Search"
@@ -505,38 +499,52 @@ msgstr "~Buscar..."
 
 #. This one is too dangerous, so just let user delete
 #. * the bookmarks file if needed. --Zas
-#: src/bookmarks/dialogs.c:498
+#: src/bookmarks/dialogs.c:604
 msgid "Clear"
 msgstr "Borrar"
 
 #. TODO: Would this be useful? --jonas
-#: src/bookmarks/dialogs.c:501 src/globhist/dialogs.c:235
+#: src/bookmarks/dialogs.c:607 src/globhist/dialogs.c:235
 msgid "Save"
 msgstr "Grabar"
 
-#: src/bookmarks/dialogs.c:507
+#: src/bookmarks/dialogs.c:613
 msgid "Bookmark manager"
 msgstr "Gestor de marcadores"
 
-#: src/bookmarks/dialogs.c:632
+#: src/bookmarks/dialogs.c:825
 msgid "Search bookmarks"
 msgstr "Buscar en marcadores"
 
-#: src/bookmarks/dialogs.c:661
+#. When the user eventually pushes the OK button, BFU calls
+#. * bookmark_add_add() and gives it the struct dialog * as the
+#. * void * parameter.  However, bookmark_add_add() also needs
+#. * to know the struct terminal *, and there is no way to get
+#. * that from struct dialog.  The other bookmark dialogs work
+#. * around that by making dialog.udata point to the struct
+#. * dialog_data of the bookmark manager, but the "Add bookmark"
+#. * dialog can be triggered with ACT_MAIN_ADD_BOOKMARK, which
+#. * does not involve the bookmark manager at all.
+#. *
+#. * The solution here is to save the struct terminal * in
+#. * dialog.udata2, which the "Edit bookmark" dialog uses for
+#. * struct bookmark *.  When adding a new bookmark, we don't
+#. * need a pointer to an existing one, of course.
+#: src/bookmarks/dialogs.c:892
 msgid "Add bookmark"
 msgstr "Aadir marcador..."
 
-#: src/bookmarks/dialogs.c:697
+#: src/bookmarks/dialogs.c:950
 #, fuzzy
 msgid "Saved session"
 msgstr "~Grabar opciones"
 
-#: src/bookmarks/dialogs.c:705
+#: src/bookmarks/dialogs.c:958
 #, fuzzy
 msgid "Bookmark tabs"
 msgstr "Mar~cadores"
 
-#: src/bookmarks/dialogs.c:705
+#: src/bookmarks/dialogs.c:958
 #, fuzzy
 msgid "Enter folder name"
 msgstr "Nombre de la carpeta"
@@ -550,7 +558,7 @@ msgstr "Ir a URL..."
 msgid "Redirect"
 msgstr ""
 
-#: src/cache/dialogs.c:85 src/config/options.inc:519
+#: src/cache/dialogs.c:85 src/config/options.inc:553
 #: src/dialogs/document.c:156 src/protocol/bittorrent/dialogs.c:126
 msgid "Size"
 msgstr "Tamao"
@@ -597,7 +605,7 @@ msgstr ""
 msgid "ID"
 msgstr ""
 
-#: src/cache/dialogs.c:134 src/config/options.inc:669
+#: src/cache/dialogs.c:134 src/config/options.inc:707
 #, fuzzy
 msgid "Header"
 msgstr "Informacin de cabecera"
@@ -1357,7 +1365,7 @@ msgstr "Mquina no encontrada"
 msgid "Resolver error"
 msgstr "Error al grabar"
 
-#: src/config/cmdline.c:256 src/cookies/cookies.c:841 src/network/state.c:47
+#: src/config/cmdline.c:256 src/cookies/cookies.c:843 src/network/state.c:47
 #: src/util/secsave.c:379
 msgid "Out of memory"
 msgstr "No queda memoria libre"
@@ -1379,290 +1387,291 @@ msgstr ""
 msgid "Remote method not supported"
 msgstr ""
 
-#: src/config/cmdline.c:452
+#: src/config/cmdline.c:437
+msgid "Out of memory formatting option documentation"
+msgstr ""
+
+#: src/config/cmdline.c:474
 msgid "Template option folder"
 msgstr ""
 
-#: src/config/cmdline.c:475
+#: src/config/cmdline.c:497
 #, c-format
 msgid "(default: %ld)"
 msgstr ""
 
-#: src/config/cmdline.c:482 src/config/cmdline.c:511
+#: src/config/cmdline.c:504 src/config/cmdline.c:533
 #, c-format
 msgid "(default: \"%s\")"
 msgstr ""
 
-#: src/config/cmdline.c:487
+#: src/config/cmdline.c:509
 #, c-format
 msgid "(alias for %s)"
 msgstr ""
 
-#: src/config/cmdline.c:492 src/config/cmdline.c:501
+#: src/config/cmdline.c:514 src/config/cmdline.c:523
 #, c-format
 msgid "(default: %s)"
 msgstr ""
 
-#: src/config/cmdline.c:642
+#: src/config/cmdline.c:654
 #, fuzzy
 msgid "Configuration options"
 msgstr "Conexiones"
 
-#: src/config/cmdline.c:646
+#: src/config/cmdline.c:658
 msgid "Usage: elinks [OPTION]... [URL]..."
 msgstr ""
 
-#: src/config/cmdline.c:647
+#: src/config/cmdline.c:659
 #, fuzzy
 msgid "Options"
 msgstr "~Grabar opciones"
 
-#: src/config/cmdline.c:689
+#: src/config/cmdline.c:701
 #, fuzzy
 msgid "Internal consistency error"
 msgstr "Error interno"
 
 #.
-#: src/config/cmdline.c:725
+#: src/config/cmdline.c:737
 msgid "Restrict to anonymous mode"
 msgstr ""
 
-#: src/config/cmdline.c:727
+#: src/config/cmdline.c:739
 msgid ""
-"Restricts ELinks so it can run on an anonymous account.\n"
-"Local file browsing, downloads, and modification of options\n"
-"will be disabled. Execution of viewers is allowed, but entries\n"
-"in the association table can't be added or modified."
+"Restricts ELinks so it can run on an anonymous account. Local file browsing, "
+"downloads, and modification of options will be disabled. Execution of "
+"viewers is allowed, but entries in the association table can't be added or "
+"modified."
 msgstr ""
 
-#: src/config/cmdline.c:732
+#: src/config/cmdline.c:745
 #, fuzzy
 msgid "Autosubmit first form"
 msgstr "~Enviar formulario"
 
-#: src/config/cmdline.c:734
+#: src/config/cmdline.c:747
 msgid "Automatically submit the first form in the given URLs."
 msgstr ""
 
-#: src/config/cmdline.c:736
+#: src/config/cmdline.c:749
 msgid "Clone internal session with given ID"
 msgstr ""
 
-#: src/config/cmdline.c:738
+#: src/config/cmdline.c:751
 msgid ""
-"Used internally when opening ELinks instances in new windows.\n"
-"The ID maps to information that will be used when creating the\n"
-"new instance. You don't want to use it."
+"Used internally when opening ELinks instances in new windows. The ID maps to "
+"information that will be used when creating the new instance. You don't want "
+"to use it."
 msgstr ""
 
-#: src/config/cmdline.c:744
+#: src/config/cmdline.c:757
 msgid "Name of directory with configuration file"
 msgstr ""
 
-#: src/config/cmdline.c:746
+#: src/config/cmdline.c:759
 msgid ""
-"Path of the directory ELinks will read and write its\n"
-"config and runtime state files to instead of ~/.elinks.\n"
-"If the path does not begin with a '/' it is assumed to be\n"
-"relative to your HOME directory."
+"Path of the directory ELinks will read and write its config and runtime "
+"state files to instead of ~/.elinks. If the path does not begin with a '/' "
+"it is assumed to be relative to your HOME directory."
 msgstr ""
 
-#: src/config/cmdline.c:751
+#: src/config/cmdline.c:764
 msgid "Print default configuration file to stdout"
 msgstr ""
 
-#: src/config/cmdline.c:753
+#: src/config/cmdline.c:766
 msgid ""
-"Print a configuration file with options set to the built-in\n"
-"defaults to stdout."
+"Print a configuration file with options set to the built-in defaults to "
+"stdout."
 msgstr ""
 
-#: src/config/cmdline.c:758
+#: src/config/cmdline.c:771
 msgid "Name of configuration file"
 msgstr ""
 
-#: src/config/cmdline.c:760
+#: src/config/cmdline.c:773
 msgid ""
-"Name of the configuration file that all configuration\n"
-"options will be read from and written to. It should be\n"
-"relative to config-dir."
+"Name of the configuration file that all configuration options will be read "
+"from and written to. It should be relative to config-dir."
 msgstr ""
 
-#: src/config/cmdline.c:764
+#: src/config/cmdline.c:777
 msgid "Print help for configuration options"
 msgstr ""
 
-#: src/config/cmdline.c:766
+#: src/config/cmdline.c:779
 msgid "Print help for configuration options and exit."
 msgstr ""
 
-#: src/config/cmdline.c:768
+#: src/config/cmdline.c:781
 msgid "MIME type assumed for unknown document types"
 msgstr ""
 
-#: src/config/cmdline.c:770
+#: src/config/cmdline.c:783
 msgid "The default MIME type used for documents of unknown type."
 msgstr ""
 
-#: src/config/cmdline.c:772
+#: src/config/cmdline.c:786
 msgid "Ignore user-defined keybindings"
 msgstr ""
 
-#: src/config/cmdline.c:774
+#: src/config/cmdline.c:788
 msgid ""
-"When set, all keybindings from configuration files will be\n"
-"ignored. It forces use of default keybindings and will reset\n"
-"user-defined ones on save."
+"When set, all keybindings from configuration files will be ignored. It "
+"forces use of default keybindings and will reset user-defined ones on save."
 msgstr ""
 
-#: src/config/cmdline.c:778
+#: src/config/cmdline.c:792
 msgid "Print formatted versions of given URLs to stdout"
 msgstr ""
 
-#: src/config/cmdline.c:780
+#: src/config/cmdline.c:794
 msgid "Print formatted plain-text versions of given URLs to stdout."
 msgstr ""
 
-#: src/config/cmdline.c:782
+#: src/config/cmdline.c:797
 msgid "Codepage to use with -dump"
 msgstr ""
 
-#: src/config/cmdline.c:784
+#: src/config/cmdline.c:799
 msgid "Codepage used when formatting dump output."
 msgstr ""
 
-#: src/config/cmdline.c:786
+#: src/config/cmdline.c:801
 msgid "Color mode used with -dump"
 msgstr ""
 
-#: src/config/cmdline.c:788
+#: src/config/cmdline.c:803
 msgid "Color mode used with -dump."
 msgstr ""
 
-#: src/config/cmdline.c:790
+#: src/config/cmdline.c:805
 msgid "Width of document formatted with -dump"
 msgstr ""
 
-#: src/config/cmdline.c:792
+#: src/config/cmdline.c:807
 msgid "Width of the dump output."
 msgstr ""
 
-#: src/config/cmdline.c:794
+#: src/config/cmdline.c:809
 msgid "Evaluate configuration file directive"
 msgstr ""
 
-#: src/config/cmdline.c:796
+#: src/config/cmdline.c:811
 msgid ""
-"Specify configuration file directives on the command-line\n"
-"which will be evaluated after all configuration files has been\n"
-"read. Example usage:\n"
+"Specify configuration file directives on the command-line which will be "
+"evaluated after all configuration files has been read. Example usage:\n"
 "\t-eval 'set protocol.file.allow_special_files = 1'"
 msgstr ""
 
 #. lynx compatibility
-#: src/config/cmdline.c:802
+#: src/config/cmdline.c:817
 msgid "Interpret documents of unknown types as HTML"
 msgstr ""
 
-#: src/config/cmdline.c:804
+#: src/config/cmdline.c:819
 msgid ""
-"Makes ELinks assume documents of unknown types are HTML.\n"
-"Useful when using ELinks as an external viewer from MUAs.\n"
-"This is equivalent to -default-mime-type text/html."
+"Makes ELinks assume documents of unknown types are HTML. Useful when using "
+"ELinks as an external viewer from MUAs. This is equivalent to -default-mime-"
+"type text/html."
 msgstr ""
 
-#: src/config/cmdline.c:814
+#: src/config/cmdline.c:829
 msgid "Print usage help and exit"
 msgstr ""
 
-#: src/config/cmdline.c:816
+#: src/config/cmdline.c:831
 msgid "Print usage help and exit."
 msgstr ""
 
-#: src/config/cmdline.c:818
+#: src/config/cmdline.c:833
 msgid "Only permit local connections"
 msgstr ""
 
-#: src/config/cmdline.c:820
+#: src/config/cmdline.c:835
 msgid ""
-"Restricts ELinks to work offline and only connect to servers\n"
-"with local addresses (ie. 127.0.0.1). No connections to remote\n"
-"servers will be permitted."
+"Restricts ELinks to work offline and only connect to servers with local "
+"addresses (ie. 127.0.0.1). No connections to remote servers will be "
+"permitted."
 msgstr ""
 
-#: src/config/cmdline.c:824
+#: src/config/cmdline.c:839
 msgid "Print detailed usage help and exit"
 msgstr ""
 
-#: src/config/cmdline.c:826
+#: src/config/cmdline.c:841
 msgid "Print detailed usage help and exit."
 msgstr ""
 
-#: src/config/cmdline.c:828
+#: src/config/cmdline.c:843
 #, fuzzy
 msgid "Look up specified host"
 msgstr "No hay programa especificado para"
 
-#: src/config/cmdline.c:830
+#: src/config/cmdline.c:845
 msgid "Look up specified host and print all DNS resolved IP addresses."
 msgstr ""
 
-#: src/config/cmdline.c:832
+#: src/config/cmdline.c:848
 msgid "Run as separate instance"
 msgstr ""
 
-#: src/config/cmdline.c:834
+#: src/config/cmdline.c:850
 msgid ""
-"Run ELinks as a separate instance instead of connecting to an\n"
-"existing instance. Note that normally no runtime state files\n"
-"(bookmarks, history, etc.) are written to the disk when this\n"
-"option is used. See also -touch-files."
+"Run ELinks as a separate instance instead of connecting to an existing "
+"instance. Note that normally no runtime state files (bookmarks, history, "
+"etc.) are written to the disk when this option is used. See also -touch-"
+"files."
 msgstr ""
 
-#: src/config/cmdline.c:839
+#: src/config/cmdline.c:855
 msgid "Disable use of files in ~/.elinks"
 msgstr ""
 
-#: src/config/cmdline.c:841
+#: src/config/cmdline.c:857
 msgid ""
-"Disables creation and use of files in the user specific home\n"
-"configuration directory (~/.elinks). It forces default configuration\n"
-"values to be used and disables saving of runtime state files."
+"Disables creation and use of files in the user specific home configuration "
+"directory (~/.elinks). It forces default configuration values to be used and "
+"disables saving of runtime state files."
 msgstr ""
 
-#: src/config/cmdline.c:845
+#: src/config/cmdline.c:862
 msgid "Disable link numbering in dump output"
 msgstr ""
 
-#: src/config/cmdline.c:847
+#: src/config/cmdline.c:864
 msgid ""
 "Prevents printing of link number in dump output.\n"
+"\n"
 "Note that this really affects only -dump, nothing else."
 msgstr ""
 
-#: src/config/cmdline.c:850
+#: src/config/cmdline.c:868
 msgid "Disable printing of link references in dump output"
 msgstr ""
 
-#: src/config/cmdline.c:852
+#: src/config/cmdline.c:870
 msgid ""
-"Prevents printing of references (URIs) of document links\n"
-"in dump output.\n"
+"Prevents printing of references (URIs) of document links in dump output.\n"
+"\n"
 "Note that this really affects only -dump, nothing else."
 msgstr ""
 
-#: src/config/cmdline.c:856
+#: src/config/cmdline.c:875
 msgid "Control an already running ELinks"
 msgstr ""
 
-#: src/config/cmdline.c:858
+#: src/config/cmdline.c:877
 msgid ""
-"Control a remote ELinks instance by passing commands to it.\n"
-"The option takes an additional argument containing the method\n"
-"which should be invoked and any parameters that should be passed\n"
-"to it. For ease of use, the additional method argument can be\n"
-"omitted in which case any URL arguments will be opened in new\n"
-"tabs in the remote instance.\n"
+"Control a remote ELinks instance by passing commands to it. The option takes "
+"an additional argument containing the method which should be invoked and any "
+"parameters that should be passed to it. For ease of use, the additional "
+"method argument can be omitted in which case any URL arguments will be "
+"opened in new tabs in the remote instance.\n"
+"\n"
 "Following is a list of the supported methods:\n"
 "\tping()                    : look for a remote instance\n"
 "\topenURL()                 : prompt URL in current tab\n"
@@ -1674,70 +1683,69 @@ msgid ""
 "\txfeDoCommand(openBrowser) : open new window"
 msgstr ""
 
-#: src/config/cmdline.c:874
+#: src/config/cmdline.c:895
 msgid "Connect to session ring with given ID"
 msgstr ""
 
-#: src/config/cmdline.c:876
+#: src/config/cmdline.c:897
 msgid ""
-"ID of session ring this ELinks session should connect to. ELinks\n"
-"works in so-called session rings, whereby all instances of ELinks\n"
-"are interconnected and share state (cache, bookmarks, cookies,\n"
-"and so on). By default, all ELinks instances connect to session\n"
-"ring 0. You can change that behaviour with this switch and form as\n"
-"many session rings as you want. Obviously, if the session-ring with\n"
-"this number doesn't exist yet, it's created and this ELinks instance\n"
-"will become the master instance (that usually doesn't matter for you\n"
-"as a user much). Note that you usually don't want to use this unless\n"
-"you're a developer and you want to do some testing - if you want the\n"
-"ELinks instances each running standalone, rather use the -no-connect\n"
-"command-line option. Also note that normally no runtime state files\n"
-"are written to the disk when this option is used. See also\n"
-"-touch-files."
+"ID of session ring this ELinks session should connect to. ELinks works in so-"
+"called session rings, whereby all instances of ELinks are interconnected and "
+"share state (cache, bookmarks, cookies, and so on). By default, all ELinks "
+"instances connect to session ring 0. You can change that behaviour with this "
+"switch and form as many session rings as you want. Obviously, if the session-"
+"ring with this number doesn't exist yet, it's created and this ELinks "
+"instance will become the master instance (that usually doesn't matter for "
+"you as a user much).\n"
+"\n"
+"Note that you usually don't want to use this unless you're a developer and "
+"you want to do some testing - if you want the ELinks instances each running "
+"standalone, rather use the -no-connect command-line option. Also note that "
+"normally no runtime state files are written to the disk when this option is "
+"used. See also -touch-files."
 msgstr ""
 
-#: src/config/cmdline.c:891
+#: src/config/cmdline.c:915
 msgid "Print the source of given URLs to stdout"
 msgstr ""
 
-#: src/config/cmdline.c:893
+#: src/config/cmdline.c:917
 msgid "Print given URLs in source form to stdout."
 msgstr ""
 
-#: src/config/cmdline.c:897
+#: src/config/cmdline.c:921
 msgid "Touch files in ~/.elinks when running with -no-connect/-session-ring"
 msgstr ""
 
-#: src/config/cmdline.c:899
+#: src/config/cmdline.c:923
 msgid ""
-"When enabled, runtime state files (bookmarks, history, etc.) are\n"
-"written to disk, even when -no-connect or -session-ring is used.\n"
-"The option has no effect if not used in conjunction with any of\n"
-"these options."
+"When enabled, runtime state files (bookmarks, history, etc.) are written to "
+"disk, even when -no-connect or -session-ring is used. The option has no "
+"effect if not used in conjunction with any of these options."
 msgstr ""
 
-#: src/config/cmdline.c:904
+#: src/config/cmdline.c:928
 msgid "Verbose level"
 msgstr ""
 
-#: src/config/cmdline.c:906
+#: src/config/cmdline.c:930
 msgid ""
-"The verbose level controls what messages are shown at\n"
-"start up and while running:\n"
+"The verbose level controls what messages are shown at start up and while "
+"running:\n"
 "\t0 means only show serious errors\n"
 "\t1 means show serious errors and warnings\n"
 "\t2 means show all messages"
 msgstr ""
 
-#: src/config/cmdline.c:912
+#: src/config/cmdline.c:936
 msgid "Print version information and exit"
 msgstr ""
 
-#: src/config/cmdline.c:914
+#: src/config/cmdline.c:938
 msgid "Print ELinks version information and exit."
 msgstr ""
 
-#: src/config/conf.c:938
+#: src/config/conf.c:963
 msgid ""
 "## This is ELinks configuration file. You can edit it manually,\n"
 "## if you wish so; this file is edited by ELinks when you save\n"
@@ -1745,7 +1753,7 @@ msgid ""
 "## and all your formatting, own comments etc will be kept as-is.\n"
 msgstr ""
 
-#: src/config/conf.c:946
+#: src/config/conf.c:971
 msgid ""
 "## This is ELinks configuration file. You can edit it manually,\n"
 "## if you wish so; this file is edited by ELinks when you save\n"
@@ -1756,7 +1764,7 @@ msgid ""
 "## own comments and so on will be kept as-is.\n"
 msgstr ""
 
-#: src/config/conf.c:956
+#: src/config/conf.c:981
 msgid ""
 "## This is ELinks configuration file. You can edit it manually,\n"
 "## if you wish so, but keep in mind that this file is overwritten\n"
@@ -1764,18 +1772,18 @@ msgid ""
 "## luck with your formatting and own comments then, so beware.\n"
 msgstr ""
 
-#: src/config/conf.c:967
+#: src/config/conf.c:992
 msgid ""
 "## Obviously, if you don't like what ELinks is going to do with\n"
 "## this file, you can change it by altering the config.saving_style\n"
 "## option. Come on, aren't we friendly guys after all?\n"
 msgstr ""
 
-#: src/config/conf.c:980
+#: src/config/conf.c:1005
 msgid "Automatically saved options\n"
 msgstr ""
 
-#: src/config/conf.c:992
+#: src/config/conf.c:1017
 msgid "Automatically saved keybindings\n"
 msgstr ""
 
@@ -1836,7 +1844,7 @@ msgstr ""
 #. * switch charsets.  So, it will work in any terminal that
 #. * understands UTF-8 and has the characters in its font.
 #: src/config/dialogs.c:149 src/config/dialogs.c:330
-#: src/config/options.inc:840
+#: src/config/options.inc:887
 msgid "Type"
 msgstr "Tipo"
 
@@ -1862,9 +1870,9 @@ msgid "Description"
 msgstr "Descripcin"
 
 #: src/config/dialogs.c:291 src/protocol/bittorrent/dialogs.c:600
-#: src/protocol/protocol.c:240 src/session/session.c:287
-#: src/session/session.c:975 src/viewer/text/textarea.c:594
-#: src/viewer/text/textarea.c:601
+#: src/protocol/protocol.c:240 src/session/session.c:288
+#: src/session/session.c:999 src/viewer/text/textarea.c:583
+#: src/viewer/text/textarea.c:590
 msgid "Error"
 msgstr "Error"
 
@@ -1899,7 +1907,7 @@ msgstr ""
 #. accelerator_context(src/config/dialogs.c:keybinding_buttons, src/config/dialogs.c:option_buttons, src/cookies/dialogs.c:cookie_buttons, src/formhist/dialogs.c:formhist_buttons, src/protocol/bittorrent/dialogs.c:bittorrent_query_callback, src/session/download.c:do_type_query, terminal_options)
 #: src/config/dialogs.c:507 src/config/dialogs.c:933 src/cookies/dialogs.c:495
 #: src/dialogs/options.c:236 src/formhist/dialogs.c:214
-#: src/protocol/bittorrent/dialogs.c:801 src/session/download.c:1203
+#: src/protocol/bittorrent/dialogs.c:801 src/session/download.c:1229
 #, fuzzy
 msgid "Sa~ve"
 msgstr "Grabar"
@@ -1913,7 +1921,7 @@ msgstr "Gestor de opciones"
 msgid "Keystroke"
 msgstr ""
 
-#: src/config/dialogs.c:676 src/config/options.inc:1219
+#: src/config/dialogs.c:676 src/config/options.inc:1292
 msgid "Action"
 msgstr ""
 
@@ -1985,32 +1993,32 @@ msgid ""
 "directory."
 msgstr ""
 
-#: src/config/kbdbind.c:221
+#: src/config/kbdbind.c:222
 msgid "Main mapping"
 msgstr ""
 
-#: src/config/kbdbind.c:222
+#: src/config/kbdbind.c:223
 msgid "Edit mapping"
 msgstr ""
 
-#: src/config/kbdbind.c:223
+#: src/config/kbdbind.c:224
 msgid "Menu mapping"
 msgstr ""
 
-#: src/config/kbdbind.c:588 src/scripting/python/keybinding.c:104
+#: src/config/kbdbind.c:589 src/scripting/python/keybinding.c:104
 msgid "Unrecognised keymap"
 msgstr ""
 
-#: src/config/kbdbind.c:591
+#: src/config/kbdbind.c:592
 #, fuzzy
 msgid "Error parsing keystroke"
 msgstr "Error escribiendo en el socket"
 
-#: src/config/kbdbind.c:595
+#: src/config/kbdbind.c:596
 msgid "Unrecognised action (internal error)"
 msgstr ""
 
-#: src/config/kbdbind.c:611
+#: src/config/kbdbind.c:612
 #, fuzzy
 msgid "Error registering event"
 msgstr "Error escribiendo en el socket"
@@ -2038,333 +2046,328 @@ msgid ""
 "3 is full comments are written"
 msgstr ""
 
-#: src/config/options.inc:31
+#: src/config/options.inc:32
 #, fuzzy
 msgid "Indentation"
 msgstr "Negociacin de SSL"
 
-#: src/config/options.inc:33
+#: src/config/options.inc:34
 msgid ""
-"Shift width of one indentation level in the configuration\n"
-"file. Zero means that no indentation is performed at all\n"
-"when saving the configuration."
+"Shift width of one indentation level in the configuration file. Zero means "
+"that no indentation is performed at all when saving the configuration."
 msgstr ""
 
-#: src/config/options.inc:37
+#: src/config/options.inc:38
 msgid "Saving style"
 msgstr ""
 
-#: src/config/options.inc:39
+#: src/config/options.inc:40
 msgid ""
 "Determines what happens when you tell ELinks to save options:\n"
 "0 is only values of current options are altered\n"
-"1 is values of current options are altered and missing options\n"
-"     are added at the end of the file\n"
+"1 is values of current options are altered and missing\n"
+"     options are added at the end of the file\n"
 "2 is the configuration file is rewritten from scratch\n"
-"3 is values of current options are altered and missing options\n"
-"     CHANGED during this ELinks session are added at the end of\n"
-"     the file"
+"3 is values of current options are altered and missing\n"
+"     options CHANGED during this ELinks session are added at\n"
+"     the end of the file"
 msgstr ""
 
-#: src/config/options.inc:48
+#: src/config/options.inc:50
 msgid "Comments localization"
 msgstr ""
 
-#: src/config/options.inc:50
+#: src/config/options.inc:52
 msgid ""
-"If set to 1, comments in the configuration file will be\n"
-"translated to the language used by UI. Note that if you have\n"
-"different language set in different terminals, the language\n"
-"used in the configuration file MAY be the same as on the\n"
-"terminal where you saved the file, but it should be generally\n"
+"If set to 1, comments in the configuration file will be translated to the "
+"language used by UI. Note that if you have different language set in "
+"different terminals, the language used in the configuration file MAY be the "
+"same as on the terminal where you saved the file, but it should be generally "
 "considered unpredictable."
 msgstr ""
 
-#: src/config/options.inc:58
+#: src/config/options.inc:60
 msgid "Saving style warnings"
 msgstr ""
 
-#: src/config/options.inc:60
+#: src/config/options.inc:62
 msgid ""
-"This is internal option used when displaying a warning about\n"
-"obsolete config.saving_style. You shouldn't touch it."
+"This is internal option used when displaying a warning about obsolete config."
+"saving_style. You shouldn't touch it."
 msgstr ""
 
-#: src/config/options.inc:63
+#: src/config/options.inc:66
 msgid "Show template"
 msgstr ""
 
-#: src/config/options.inc:65
+#: src/config/options.inc:68
 msgid ""
-"Show template options in autocreated trees in the options\n"
-"manager and save them to the configuration file."
+"Show template options in autocreated trees in the options manager and save "
+"them to the configuration file."
 msgstr ""
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:71 src/dialogs/info.c:180
+#: src/config/options.inc:74 src/dialogs/info.c:180
 msgid "Connections"
 msgstr "Conexiones"
 
-#: src/config/options.inc:73
+#: src/config/options.inc:76
 #, fuzzy
 msgid "Connection options."
 msgstr "Conexiones"
 
-#: src/config/options.inc:76
+#: src/config/options.inc:79
 msgid "Asynchronous DNS"
 msgstr ""
 
-#: src/config/options.inc:78
+#: src/config/options.inc:81
 msgid "Whether to use asynchronous DNS resolving."
 msgstr ""
 
-#: src/config/options.inc:80
+#: src/config/options.inc:83
 #, fuzzy
 msgid "Maximum connections"
 msgstr "Realizando conexin"
 
-#: src/config/options.inc:82
+#: src/config/options.inc:85
 msgid "Maximum number of concurrent connections."
 msgstr ""
 
-#: src/config/options.inc:84
+#: src/config/options.inc:87
 #, fuzzy
 msgid "Maximum connections per host"
 msgstr "Realizando conexin"
 
-#: src/config/options.inc:86
+#: src/config/options.inc:89
 msgid "Maximum number of concurrent connections to a given host."
 msgstr ""
 
-#: src/config/options.inc:88
+#: src/config/options.inc:92
 #, fuzzy
 msgid "Connection retries"
 msgstr "Conexiones"
 
-#: src/config/options.inc:90
-msgid ""
-"Number of tries to establish a connection.\n"
-"Zero means try forever."
+#: src/config/options.inc:94
+msgid "Number of tries to establish a connection. Zero means try forever."
 msgstr ""
 
-#: src/config/options.inc:93 src/network/state.c:53
+#: src/config/options.inc:97 src/network/state.c:53
 msgid "Receive timeout"
 msgstr "Plazo de recepcin sobrepasado"
 
-#: src/config/options.inc:95
+#: src/config/options.inc:99
 #, fuzzy
 msgid "Receive timeout (in seconds)."
 msgstr "Plazo de recepcin sobrepasado"
 
-#: src/config/options.inc:98 src/config/options.inc:108
+#: src/config/options.inc:102 src/config/options.inc:113
 msgid "Try IPv4 when connecting"
 msgstr ""
 
-#: src/config/options.inc:100
+#: src/config/options.inc:104
 msgid ""
-"Whether to try to connect to a host over IPv4.\n"
-"Note that if connection.try_ipv6 is enabled too,\n"
-"it takes precedence. And better do not touch this\n"
+"Whether to try to connect to a host over IPv4. Note that if connection."
+"try_ipv6 is enabled too, it takes precedence. And better do not touch this "
 "at all unless you are sure what are you doing.\n"
-"Note that you can also force a given protocol\n"
-"to be used on a per-connection basis by using a URL\n"
-"in the style of e.g. http4://elinks.cz/."
+"\n"
+"Note that you can also force a given protocol to be used on a per-connection "
+"basis by using a URL in the style of e.g. http4://elinks.cz/."
 msgstr ""
 
-#: src/config/options.inc:110
+#: src/config/options.inc:115
 msgid ""
-"Whether to try to connect to a host over IPv4.\n"
-"Do not touch this option.\n"
-"Note that you can also force a given protocol\n"
-"to be used on a per-connection basis by using a URL\n"
-"in the style of e.g. http4://elinks.cz/."
+"Whether to try to connect to a host over IPv4. Do not touch this option.\n"
+"\n"
+"Note that you can also force a given protocol to be used on a per-connection "
+"basis by using a URL in the style of e.g. http4://elinks.cz/."
 msgstr ""
 
-#: src/config/options.inc:118
+#: src/config/options.inc:124
 msgid "Try IPv6 when connecting"
 msgstr ""
 
-#: src/config/options.inc:120
+#: src/config/options.inc:126
 msgid ""
 "Whether to try to connect to a host over IPv6.\n"
-"Note that you can also force a given protocol\n"
-"to be used on a per-connection basis by using a URL\n"
-"in the style of e.g. http6://elinks.cz/."
+"\n"
+"Note that you can also force a given protocol to be used on a per-connection "
+"basis by using a URL in the style of e.g. http6://elinks.cz/."
 msgstr ""
 
-#: src/config/options.inc:126
+#: src/config/options.inc:133
 msgid "Timeout for non-restartable connections"
 msgstr ""
 
-#: src/config/options.inc:128
+#: src/config/options.inc:135
 msgid "Timeout for non-restartable connections (in seconds)."
 msgstr ""
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:134
+#: src/config/options.inc:141
 #, fuzzy
 msgid "Document"
 msgstr "documentos"
 
-#: src/config/options.inc:136
+#: src/config/options.inc:143
 #, fuzzy
 msgid "Document options."
 msgstr "~Informacin del documento..."
 
-#: src/config/options.inc:138
+#: src/config/options.inc:145
 msgid "Browsing"
 msgstr ""
 
-#: src/config/options.inc:140
+#: src/config/options.inc:147
 msgid "Document browsing options (mainly interactivity)."
 msgstr ""
 
-#: src/config/options.inc:143
+#: src/config/options.inc:150
 msgid "Access keys"
 msgstr ""
 
-#: src/config/options.inc:145
+#: src/config/options.inc:152
 msgid ""
-"Options for handling of link access keys.\n"
-"An HTML document can use the ACCESSKEY attribute to assign\n"
-"an access key to an element. When an access key is pressed,\n"
-"the corresponding element will be given focus."
+"Options for handling of link access keys. An HTML document can use the "
+"ACCESSKEY attribute to assign an access key to an element. When an access "
+"key is pressed, the corresponding element will be given focus."
 msgstr ""
 
-#: src/config/options.inc:150
+#: src/config/options.inc:157
 msgid "Automatic links following"
 msgstr ""
 
-#: src/config/options.inc:152
+#: src/config/options.inc:159
 msgid ""
-"Automatically follow a link or submit a form if appropriate\n"
-"accesskey is pressed - this is the standard behaviour, but it's\n"
-"considered dangerous."
+"Automatically follow a link or submit a form if appropriate accesskey is "
+"pressed - this is the standard behaviour, but it's considered dangerous."
 msgstr ""
 
-#: src/config/options.inc:156
+#: src/config/options.inc:163
 msgid "Display access key in link info"
 msgstr ""
 
-#: src/config/options.inc:158
+#: src/config/options.inc:165
 msgid "Display access key in link info."
 msgstr ""
 
-#: src/config/options.inc:160
+#: src/config/options.inc:167
 msgid "Accesskey priority"
 msgstr ""
 
-#: src/config/options.inc:162
+#: src/config/options.inc:169
 msgid ""
 "Priority of 'accesskey' HTML attribute:\n"
-"0 is first try all normal bindings; if it fails, check accesskey\n"
-"1 is first try only frame bindings; if it fails, check accesskey\n"
+"0 is first try all normal bindings; if it fails,\n"
+"     check accesskey\n"
+"1 is first try only frame bindings; if it fails,\n"
+"     check accesskey\n"
 "2 is first check accesskey (this can be dangerous)"
 msgstr ""
 
-#: src/config/options.inc:168
+#: src/config/options.inc:177
 msgid "Forms"
 msgstr ""
 
-#: src/config/options.inc:170
+#: src/config/options.inc:179
 msgid "Options for handling of the forms interaction."
 msgstr ""
 
-#: src/config/options.inc:172
+#: src/config/options.inc:181
 #, fuzzy
 msgid "Submit form automatically"
 msgstr "Enviar formulario a"
 
-#: src/config/options.inc:174
+#: src/config/options.inc:183
 msgid ""
-"Automagically submit a form when enter is pressed with a text\n"
-"field selected."
+"Automagically submit a form when enter is pressed with a text field selected."
 msgstr ""
 
-#: src/config/options.inc:177
+#: src/config/options.inc:186
 msgid "Confirm submission"
 msgstr ""
 
-#: src/config/options.inc:179
+#: src/config/options.inc:188
 msgid "Ask for confirmation when submitting a form."
 msgstr ""
 
-#: src/config/options.inc:181
+#: src/config/options.inc:190
 msgid "Default form input size"
 msgstr ""
 
-#: src/config/options.inc:183
+#: src/config/options.inc:192
 msgid "Default form input size if none is specified."
 msgstr ""
 
-#: src/config/options.inc:185
+#: src/config/options.inc:194
 msgid "Insert mode"
 msgstr ""
 
-#: src/config/options.inc:187
+#: src/config/options.inc:196
 msgid ""
-"The setting for this option affects how key presses are handled\n"
-"when one selects a text-input form-field. When enabled, one must\n"
-"explicitly 'enter' a selected text-field to edit it; this prevents\n"
-"text fields from capturing key presses, such as presses of a scroll\n"
-"key, when it is inadvertently selected. When disabled, key presses\n"
-"are always inserted into a selected text field."
+"The setting for this option affects how key presses are handled when one "
+"selects a text-input form-field. When enabled, one must explicitly 'enter' a "
+"selected text-field to edit it; this prevents text fields from capturing key "
+"presses, such as presses of a scroll key, when it is inadvertently selected. "
+"When disabled, key presses are always inserted into a selected text field."
 msgstr ""
 
-#: src/config/options.inc:194
+#: src/config/options.inc:204
 #, fuzzy
 msgid "External editor"
 msgstr "Error interno"
 
-#: src/config/options.inc:196
+#: src/config/options.inc:206
 msgid ""
-"Path to the executable that ELinks should launch when the user\n"
-"requests to edit a textarea with an external editor.\n"
-"If this is blank, ELinks will use the value of the environmental\n"
-"variable $EDITOR. If $EDITOR is empty or not set, ELinks will then\n"
-"default to \"vi\"."
+"Path to the executable that ELinks should launch when the user requests to "
+"edit a textarea with an external editor.\n"
+"\n"
+"If this is blank, ELinks will use the value of the environmental variable "
+"$EDITOR. If $EDITOR is empty or not set, ELinks will then default to \"vi\"."
 msgstr ""
 
-#: src/config/options.inc:203
+#: src/config/options.inc:214
 #, fuzzy
 msgid "Images"
 msgstr "Imagen"
 
-#: src/config/options.inc:205
+#: src/config/options.inc:216
 msgid "Options for handling of images."
 msgstr ""
 
-#: src/config/options.inc:207
+#: src/config/options.inc:218
 #, fuzzy
 msgid "Display style for image tags"
 msgstr "Ver en ELinks"
 
-#: src/config/options.inc:209
+#: src/config/options.inc:220
 msgid ""
 "Display style for image tags when displayed:\n"
 "0     means always display IMG\n"
 "1     means always display filename\n"
-"2     means display alt/title attribute if possible, IMG if not\n"
-"3     means display alt/title attribute if possible, filename if not"
+"2     means display alt/title attribute if possible,\n"
+"      IMG if not\n"
+"3     means display alt/title attribute if possible,\n"
+"      filename if not"
 msgstr ""
 
-#: src/config/options.inc:215
+#: src/config/options.inc:228
 msgid "Maximum length for image filename"
 msgstr ""
 
-#: src/config/options.inc:217
+#: src/config/options.inc:230
 msgid ""
 "Maximum length of image filename when displayed:\n"
 "0     means always display full filename\n"
 "1-500 means display filename with this maximal length;\n"
-"      if it is longer, the middle is substituted by an asterisk"
+"      if it is longer, the middle is substituted by\n"
+"      an asterisk"
 msgstr ""
 
-#: src/config/options.inc:227
+#: src/config/options.inc:241
 msgid "Image links tagging"
 msgstr ""
 
-#: src/config/options.inc:229
+#: src/config/options.inc:243
 msgid ""
 "When to enclose image links:\n"
 "0 means never\n"
@@ -2372,92 +2375,92 @@ msgid ""
 "2 means always"
 msgstr ""
 
-#: src/config/options.inc:234
+#: src/config/options.inc:248
 msgid "Image link prefix"
 msgstr ""
 
-#: src/config/options.inc:236
+#: src/config/options.inc:250
 msgid "Prefix string to use to mark image links."
 msgstr ""
 
-#: src/config/options.inc:238
+#: src/config/options.inc:252
 msgid "Image link suffix"
 msgstr ""
 
-#: src/config/options.inc:240
+#: src/config/options.inc:254
 msgid "Suffix string to use to mark image links."
 msgstr ""
 
-#: src/config/options.inc:242
+#: src/config/options.inc:256
 msgid "Maximum length for image label"
 msgstr ""
 
-#: src/config/options.inc:244
+#: src/config/options.inc:258
 msgid ""
 "Maximum length of image label (alt/title):\n"
 "0     means always display full label\n"
 "1-500 means display label with this maximal length;\n"
-"      if it is longer, the middle is substituted by an asterisk"
+"      if it is longer, the middle is substituted by\n"
+"      an asterisk"
 msgstr ""
 
-#: src/config/options.inc:249
+#: src/config/options.inc:264
 msgid "Display links to images w/o alt"
 msgstr ""
 
-#: src/config/options.inc:251
+#: src/config/options.inc:266
 msgid ""
-"Display links to images without an alt attribute. If this option\n"
-"is off, these images are completely invisible."
+"Display links to images without an alt attribute. If this option is off, "
+"these images are completely invisible."
 msgstr ""
 
-#: src/config/options.inc:254
+#: src/config/options.inc:269
 #, fuzzy
 msgid "Display links to images"
 msgstr "Ver en ELinks"
 
-#: src/config/options.inc:256
+#: src/config/options.inc:271
 msgid ""
-"Display links to any images in the document, regardless of them\n"
-"having an alt attribute or not. If this option is off, the alt\n"
-"attribute contents is shown, but as normal text, not selectable\n"
-"as a link."
+"Display links to any images in the document, regardless of them having an "
+"alt attribute or not. If this option is off, the alt attribute contents is "
+"shown, but as normal text, not selectable as a link."
 msgstr ""
 
-#: src/config/options.inc:262
+#: src/config/options.inc:277
 #, fuzzy
 msgid "Links"
 msgstr "~Enlace"
 
-#: src/config/options.inc:264
+#: src/config/options.inc:279
 msgid "Options for handling of links to other documents."
 msgstr ""
 
-#: src/config/options.inc:266
+#: src/config/options.inc:281
 msgid "Active link"
 msgstr ""
 
-#: src/config/options.inc:268
+#: src/config/options.inc:283
 msgid "Options for the active link."
 msgstr ""
 
-#: src/config/options.inc:270
+#: src/config/options.inc:285
 #, fuzzy
 msgid "Colors"
 msgstr "Color"
 
-#: src/config/options.inc:272
+#: src/config/options.inc:287
 #, fuzzy
 msgid "Active link colors."
 msgstr "Ttulo del enlace"
 
-#: src/config/options.inc:274 src/config/options.inc:549
-#: src/config/options.inc:945
+#: src/config/options.inc:289 src/config/options.inc:583
+#: src/config/options.inc:1014
 #, fuzzy
 msgid "Background color"
 msgstr "2 plano"
 
-#: src/config/options.inc:276 src/config/options.inc:551
-#: src/config/options.inc:946
+#: src/config/options.inc:291 src/config/options.inc:585
+#: src/config/options.inc:1015
 #, fuzzy
 msgid "Default background color."
 msgstr "Cortar cone~xiones en segundo plano"
@@ -2470,75 +2473,75 @@ msgstr "Cortar cone~xiones en segundo pl
 #. *	on it.
 #. The colors and mono tree should be similar but with different default
 #. * values of course so always use the macros below.
-#: src/config/options.inc:278 src/config/options.inc:545
-#: src/config/options.inc:943
+#: src/config/options.inc:293 src/config/options.inc:579
+#: src/config/options.inc:1012
 #, fuzzy
 msgid "Text color"
 msgstr "Cuadro de texto"
 
-#: src/config/options.inc:280 src/config/options.inc:547
-#: src/config/options.inc:944
+#: src/config/options.inc:295 src/config/options.inc:581
+#: src/config/options.inc:1013
 msgid "Default text color."
 msgstr ""
 
-#: src/config/options.inc:282
+#: src/config/options.inc:297
 #, fuzzy
 msgid "Enable color"
 msgstr "nombre"
 
-#: src/config/options.inc:284
+#: src/config/options.inc:299
 msgid ""
-"Enable use of the active link background and text color\n"
-"settings instead of the link colors from the document."
+"Enable use of the active link background and text color settings instead of "
+"the link colors from the document."
 msgstr ""
 
-#: src/config/options.inc:287
+#: src/config/options.inc:302
 msgid "Bold"
 msgstr ""
 
-#: src/config/options.inc:289
+#: src/config/options.inc:304
 msgid "Make the active link text bold."
 msgstr ""
 
-#: src/config/options.inc:291
+#: src/config/options.inc:306
 #, fuzzy
 msgid "Invert colors"
 msgstr "Cuadro de texto"
 
-#: src/config/options.inc:293
+#: src/config/options.inc:308
 msgid "Invert the fore- and background color so the link stands out."
 msgstr ""
 
-#: src/config/options.inc:296 src/config/options.inc:908
+#: src/config/options.inc:311 src/config/options.inc:975
 #: src/dialogs/options.c:231
 msgid "Underline"
 msgstr ""
 
-#: src/config/options.inc:298
+#: src/config/options.inc:313
 msgid "Underline the active link."
 msgstr ""
 
-#: src/config/options.inc:301
+#: src/config/options.inc:316
 msgid "Directory highlighting"
 msgstr ""
 
-#: src/config/options.inc:303
+#: src/config/options.inc:318
 msgid "Highlight links to directories in FTP and local directory listing."
 msgstr ""
 
-#: src/config/options.inc:305
+#: src/config/options.inc:321
 msgid "Number links"
 msgstr ""
 
-#: src/config/options.inc:307
+#: src/config/options.inc:323
 msgid "Display numbers next to the links."
 msgstr ""
 
-#: src/config/options.inc:309
+#: src/config/options.inc:325
 msgid "Handling of target=_blank"
 msgstr ""
 
-#: src/config/options.inc:311
+#: src/config/options.inc:327
 msgid ""
 "Define how to handle links having target=_blank set:\n"
 "0 means open link in current tab\n"
@@ -2547,141 +2550,138 @@ msgid ""
 "3 means open link in new window"
 msgstr ""
 
-#: src/config/options.inc:324
+#: src/config/options.inc:340
 msgid "Use tabindex"
 msgstr ""
 
-#: src/config/options.inc:326
+#: src/config/options.inc:342
 msgid ""
-"Whether to navigate links using tabindex specified ordering.\n"
-"The TABINDEX attribute in HTML elements specifies the order\n"
-"in which links should receive focus when using the keyboard\n"
-"to navigate the document."
+"Whether to navigate links using tabindex specified ordering. The TABINDEX "
+"attribute in HTML elements specifies the order in which links should receive "
+"focus when using the keyboard to navigate the document."
 msgstr ""
 
-#: src/config/options.inc:331
+#: src/config/options.inc:347
 #, fuzzy
 msgid "Missing fragment reporting"
 msgstr "No usar recuadros"
 
-#: src/config/options.inc:333
+#: src/config/options.inc:349
 msgid "Open a message box when document has no tag with given id."
 msgstr ""
 
-#: src/config/options.inc:335
+#: src/config/options.inc:352
 msgid "Number keys select links"
 msgstr ""
 
-#: src/config/options.inc:337
+#: src/config/options.inc:354
 msgid ""
-"Number keys select links rather than specify command prefixes. This\n"
-"is a tristate:\n"
+"Number keys select links rather than specify command prefixes. This is a "
+"tristate:\n"
 "0 means never\n"
 "1 means if document.browse.links.numbering = 1\n"
 "2 means always"
 msgstr ""
 
-#: src/config/options.inc:343
+#: src/config/options.inc:360
 msgid "Warn about maliciously crafted URIs"
 msgstr ""
 
-#: src/config/options.inc:345
+#: src/config/options.inc:362
 msgid ""
-"When following a link the user ID part of the URI is\n"
-"checked and if a maliciously crafted URI is detected a\n"
-"warning dialog will ask before following the link."
+"When following a link the user ID part of the URI is checked and if a "
+"maliciously crafted URI is detected a warning dialog will ask before "
+"following the link."
 msgstr ""
 
 #. TODO - this is somehow implemented by ff, but disabled
 #. * for now as it doesn't work.
-#: src/config/options.inc:351
+#: src/config/options.inc:368
 msgid "Wrap-around links cycling"
 msgstr ""
 
 #. 0
-#: src/config/options.inc:353
+#: src/config/options.inc:370
 msgid ""
-"When pressing 'down' on the last link, jump to the first one, and\n"
-"vice versa."
+"When pressing 'down' on the last link, jump to the first one, and vice versa."
 msgstr ""
 
-#: src/config/options.inc:357
+#: src/config/options.inc:374
 #, fuzzy
 msgid "Scrolling"
 msgstr "Descripcin"
 
-#: src/config/options.inc:359
+#: src/config/options.inc:376
 #, fuzzy
 msgid "Scrolling options."
 msgstr "Opciones de terminal..."
 
-#: src/config/options.inc:361
+#: src/config/options.inc:378
 msgid "Horizontal step"
 msgstr ""
 
-#: src/config/options.inc:363
+#: src/config/options.inc:380
 msgid ""
-"Number of columns to scroll when a key bound to scroll-left or scroll-\n"
-"right is pressed and no prefix was given."
+"Number of columns to scroll when a key bound to scroll-left or scroll-right "
+"is pressed and no prefix was given."
 msgstr ""
 
-#: src/config/options.inc:366
+#: src/config/options.inc:384
 msgid "Extended horizontal scrolling"
 msgstr ""
 
-#: src/config/options.inc:368
+#: src/config/options.inc:386
 msgid ""
-"Whether to allow horizontal scrolling when the document\n"
-"does not extend off the screen. Useful for copy/paste\n"
-"operations."
+"Whether to allow horizontal scrolling when the document does not extend off "
+"the screen. Useful for copy/paste operations."
 msgstr ""
 
-#: src/config/options.inc:372
+#: src/config/options.inc:390
 #, fuzzy
 msgid "Margin"
 msgstr "Atencin"
 
-#: src/config/options.inc:374
+#: src/config/options.inc:392
 msgid ""
-"Size of the virtual margin - when you click inside of that margin,\n"
-"document scrolls in that direction."
+"Size of the virtual margin - when you click inside of that margin, document "
+"scrolls in that direction."
 msgstr ""
 
-#: src/config/options.inc:377
+#: src/config/options.inc:395
 msgid "Vertical step"
 msgstr ""
 
-#: src/config/options.inc:379
+#: src/config/options.inc:397
 msgid ""
-"Number of lines to scroll when a key bound to scroll-up or scroll-\n"
-"down is pressed and no prefix was given."
+"Number of lines to scroll when a key bound to scroll-up or scroll-down is "
+"pressed and no prefix was given."
 msgstr ""
 
-#: src/config/options.inc:383
+#: src/config/options.inc:401
 #, fuzzy
 msgid "Searching"
 msgstr "Buscar..."
 
-#: src/config/options.inc:385
+#: src/config/options.inc:403
 msgid "Options for searching."
 msgstr ""
 
-#: src/config/options.inc:387
+#: src/config/options.inc:405
 msgid "Case sensitivity"
 msgstr ""
 
-#: src/config/options.inc:389
+#: src/config/options.inc:407
 msgid ""
-"Whether the search should match the document text while maintaining\n"
-"case sensitivity."
+"Whether the search should match the document text while maintaining case "
+"sensitivity."
 msgstr ""
 
-#: src/config/options.inc:393
+#: src/config/options.inc:411
 #, fuzzy
 msgid "Regular expressions"
 msgstr "Introduzca la expresin"
 
-#: src/config/options.inc:395
+#: src/config/options.inc:413
 msgid ""
 "Enable searching with regular expressions:\n"
 "0 for plain text searching\n"
@@ -2689,31 +2689,31 @@ msgid ""
 "2 for extended regular expression searches"
 msgstr ""
 
-#: src/config/options.inc:401
+#: src/config/options.inc:419
 msgid "Show search hit top or bottom dialogs"
 msgstr ""
 
-#: src/config/options.inc:403
+#: src/config/options.inc:421
 msgid ""
-"Whether to show a dialog when the search hits the top or bottom of the\n"
+"Whether to show a dialog when the search hits the top or bottom of the "
 "document."
 msgstr ""
 
-#: src/config/options.inc:406
+#: src/config/options.inc:424
 #, fuzzy
 msgid "Wraparound"
 msgstr "2 plano"
 
-#: src/config/options.inc:408
+#: src/config/options.inc:426
 msgid "Wrap around when searching. Currently only used for typeahead."
 msgstr ""
 
-#: src/config/options.inc:410
+#: src/config/options.inc:429
 #, fuzzy
 msgid "Show not found"
 msgstr "Mquina no encontrada"
 
-#: src/config/options.inc:412
+#: src/config/options.inc:431
 msgid ""
 "How to inform the user when nothing is matched:\n"
 "0 means do nothing\n"
@@ -2721,282 +2721,283 @@ msgid ""
 "2 means pop up message box"
 msgstr ""
 
-#: src/config/options.inc:417
+#: src/config/options.inc:436
 #, fuzzy
 msgid "Typeahead searching"
 msgstr "Tipo"
 
-#: src/config/options.inc:419
+#: src/config/options.inc:438
 msgid ""
-"Start typeahead searching when an unbound key is pressed without\n"
-"any modifiers. Note that most keys have default bindings, so this\n"
-"feature will not be useful unless you unbind them.\n"
+"Start typeahead searching when an unbound key is pressed without any "
+"modifiers. Note that most keys have default bindings, so this feature will "
+"not be useful unless you unbind them.\n"
 "\n"
-"0 disables this feature; typeahead searching will only be used\n"
-"  when you press a key bound to search-typeahead or similar\n"
+"0 disables this feature; typeahead searching will only be\n"
+"  used when you press a key bound to search-typeahead or\n"
+"  similar\n"
 "1 automatically starts typeahead searching thru link text\n"
-"2 automatically starts typeahead searching thru all document text"
+"2 automatically starts typeahead searching thru all document\n"
+"  text"
 msgstr ""
 
-#: src/config/options.inc:428
+#: src/config/options.inc:451
 msgid "Horizontal text margin"
 msgstr ""
 
-#: src/config/options.inc:430
+#: src/config/options.inc:453
 msgid "Horizontal text margin."
 msgstr ""
 
-#: src/config/options.inc:432
+#: src/config/options.inc:455
 msgid "Document meta refresh"
 msgstr ""
 
-#: src/config/options.inc:434
+#: src/config/options.inc:457
 msgid ""
-"Automatically follow document-specified refresh directives ('<meta>\n"
-"refresh' tags). Web-page authors use these to instruct the browser\n"
-"to reload a document at a given interval or to load another page.\n"
-"Regardless of the value the refresh URI is accessible as a link.\n"
-"Use the document.browse.minimum_refresh_time to control the minimum\n"
-"number of seconds a refresh will wait."
+"Automatically follow document-specified refresh directives ('<meta> refresh' "
+"tags). Web-page authors use these to instruct the browser to reload a "
+"document at a given interval or to load another page. Regardless of the "
+"value the refresh URI is accessible as a link.\n"
+"\n"
+"Use the document.browse.minimum_refresh_time to control the minimum number "
+"of seconds a refresh will wait."
 msgstr ""
 
-#: src/config/options.inc:441
+#: src/config/options.inc:466
 msgid "Document meta refresh minimum time"
 msgstr ""
 
-#: src/config/options.inc:443
+#: src/config/options.inc:468
 msgid ""
-"The minimum number of milliseconds that should pass before\n"
-"refreshing. If set to zero the document refresh time is used\n"
-"unchanged. It can fix going back in history for some sites that\n"
-"use refreshing with zero values."
+"The minimum number of milliseconds that should pass before refreshing. If "
+"set to zero the document refresh time is used unchanged. It can fix going "
+"back in history for some sites that use refreshing with zero values."
 msgstr ""
 
-#: src/config/options.inc:448
+#: src/config/options.inc:473
 msgid "Tables navigation order"
 msgstr ""
 
-#: src/config/options.inc:450
+#: src/config/options.inc:475
 msgid "Move by columns in table, instead of rows."
 msgstr ""
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:456
+#: src/config/options.inc:481
 #, fuzzy
 msgid "Cache"
 msgstr "Cancelar"
 
-#: src/config/options.inc:458
+#: src/config/options.inc:483
 #, fuzzy
 msgid "Cache options."
 msgstr "~Grabar opciones"
 
-#: src/config/options.inc:460
+#: src/config/options.inc:485
 msgid "Cache information about redirects"
 msgstr ""
 
-#: src/config/options.inc:462
+#: src/config/options.inc:487
 msgid ""
-"Cache even redirects sent by server (usually thru HTTP by a 302\n"
-"HTTP code and a Location header). This was the original behaviour\n"
-"for quite some time, but it causes problems in a situation very\n"
-"common to various web login systems - frequently, when accessing\n"
-"a certain location, they will redirect you to a login page if they\n"
-"don't receive an auth cookie, the login page then gives you the\n"
-"cookie and redirects you back to the original page, but there you\n"
-"have already cached redirect back to the login page! If this\n"
-"option has value of 0, this malfunction is fixed, but occasionally\n"
-"you may get superfluous (depends on how you take it ;-) requests to\n"
-"the server. If this option has value of 1, experienced users can\n"
-"still workaround it by clever combination of usage of reload,\n"
-"jumping around in session history and hitting ctrl+enter.\n"
-"Note that this option is checked when retrieving the information\n"
-"from cache, not when saving it to cache - thus if you enable\n"
-"it, even previous redirects will be taken from cache instead of\n"
-"asking the server."
+"Cache even redirects sent by server (usually thru HTTP by a 302 HTTP code "
+"and a Location header). This was the original behaviour for quite some time, "
+"but it causes problems in a situation very common to various web login "
+"systems - frequently, when accessing a certain location, they will redirect "
+"you to a login page if they don't receive an auth cookie, the login page "
+"then gives you the cookie and redirects you back to the original page, but "
+"there you have already cached redirect back to the login page! If this "
+"option has value of 0, this malfunction is fixed, but occasionally you may "
+"get superfluous (depends on how you take it ;-) requests to the server. If "
+"this option has value of 1, experienced users can still workaround it by "
+"clever combination of usage of reload, jumping around in session history and "
+"hitting ctrl+enter.\n"
+"\n"
+"Note that this option is checked when retrieving the information from cache, "
+"not when saving it to cache - thus if you enable it, even previous redirects "
+"will be taken from cache instead of asking the server."
 msgstr ""
 
-#: src/config/options.inc:480
+#: src/config/options.inc:508
 msgid "Ignore cache-control info from server"
 msgstr ""
 
-#: src/config/options.inc:482
+#: src/config/options.inc:510
 msgid ""
-"Ignore Cache-Control and Pragma server headers.\n"
-"When set, the document is cached even with 'Cache-Control: no-cache'."
+"Ignore Cache-Control and Pragma server headers. When set, the document is "
+"cached even with 'Cache-Control: no-cache'."
 msgstr ""
 
-#: src/config/options.inc:485
+#: src/config/options.inc:514
 #, fuzzy
 msgid "Formatted documents"
 msgstr "Cache de documentos con formato"
 
-#: src/config/options.inc:487
+#: src/config/options.inc:516
 msgid "Format cache options."
 msgstr ""
 
-#: src/config/options.inc:489
+#: src/config/options.inc:518
 #, fuzzy
 msgid "Number"
 msgstr "Nmero no vlido"
 
-#: src/config/options.inc:491
+#: src/config/options.inc:520
 msgid ""
-"Number of cached formatted pages. Do not get too generous\n"
-"here, 'formatted' means that all the accompanying structures\n"
-"are kept in memory so that you get the cached document\n"
-"immediatelly, but these structures may take a lot - 2x the\n"
-"size of the HTML source is probably not unusual, but it can\n"
-"be even more if the document consists of a lot of short lines\n"
-"(padded right, if possible) and links and not much other markup.\n"
-"So if you set this to 256 and then you don't like your ELinks\n"
-"eating 90M, don't come complaining to us. ;-)\n"
-"Also note that the format cache itself is not counted to the\n"
-"memory cache size, but the HTML source of the formatted documents\n"
-"is always cached, even if it is over the memory cache size\n"
-"threshold. (Then of course no other documents can be cached.)"
+"Number of cached formatted pages. Do not get too generous here, 'formatted' "
+"means that all the accompanying structures are kept in memory so that you "
+"get the cached document immediatelly, but these structures may take a lot - "
+"2x the size of the HTML source is probably not unusual, but it can be even "
+"more if the document consists of a lot of short lines (padded right, if "
+"possible) and links and not much other markup. So if you set this to 256 and "
+"then you don't like your ELinks eating 90M, don't come complaining to "
+"us. ;-)\n"
+"\n"
+"Also note that the format cache itself is not counted to the memory cache "
+"size, but the HTML source of the formatted documents is always cached, even "
+"if it is over the memory cache size threshold. (Then of course no other "
+"documents can be cached.)"
 msgstr ""
 
 #. FIXME: Write more.
-#: src/config/options.inc:506
+#: src/config/options.inc:538
 #, fuzzy
 msgid "Revalidation interval"
 msgstr "Error al grabar"
 
-#: src/config/options.inc:508
+#: src/config/options.inc:540
 msgid ""
-"Period in seconds that a cache entry is considered to be\n"
-"up-to-date. When a document is loaded and this interval has elapsed\n"
-"since the document was initially loaded or most recently\n"
-"revalidated with the server, the server will be checked in case\n"
-"there is a more up-to-date version of the document.\n"
+"Period in seconds that a cache entry is considered to be up-to-date. When a "
+"document is loaded and this interval has elapsed since the document was "
+"initially loaded or most recently revalidated with the server, the server "
+"will be checked in case there is a more up-to-date version of the document.\n"
 "\n"
 "A value of -1 disables automatic revalidation."
 msgstr ""
 
-#: src/config/options.inc:515 src/dialogs/info.c:199
+#: src/config/options.inc:549 src/dialogs/info.c:199
 msgid "Memory cache"
 msgstr "Cache en memoria"
 
-#: src/config/options.inc:517
+#: src/config/options.inc:551
 #, fuzzy
 msgid "Memory cache options."
 msgstr "Cache en memoria"
 
-#: src/config/options.inc:521
+#: src/config/options.inc:555
 #, fuzzy
 msgid "Memory cache size (in bytes)."
 msgstr "Cache en memoria"
 
-#: src/config/options.inc:525
+#: src/config/options.inc:559
 #, fuzzy
 msgid "Charset"
 msgstr "~Juego de caracteres"
 
-#: src/config/options.inc:527
+#: src/config/options.inc:561
 #, fuzzy
 msgid "Charset options."
 msgstr "~Grabar opciones"
 
-#: src/config/options.inc:529
+#: src/config/options.inc:563
 msgid "Default codepage"
 msgstr ""
 
-#: src/config/options.inc:531
+#: src/config/options.inc:565
 msgid ""
-"Default document codepage. 'System' stands for\n"
-"a codepage determined by a selected locale."
+"Default document codepage. 'System' stands for a codepage determined by a "
+"selected locale."
 msgstr ""
 
-#: src/config/options.inc:534
+#: src/config/options.inc:568
 msgid "Ignore charset info from server"
 msgstr ""
 
-#: src/config/options.inc:536
+#: src/config/options.inc:570
 msgid "Ignore charset info sent by server."
 msgstr ""
 
-#: src/config/options.inc:540
+#: src/config/options.inc:574
 msgid "Default color settings"
 msgstr ""
 
-#: src/config/options.inc:542
+#: src/config/options.inc:576
 msgid "Default document color settings."
 msgstr ""
 
-#: src/config/options.inc:553
+#: src/config/options.inc:587
 #, fuzzy
 msgid "Link color"
 msgstr "Ttulo del enlace"
 
-#: src/config/options.inc:555
+#: src/config/options.inc:589
 msgid "Default link color."
 msgstr ""
 
-#: src/config/options.inc:557
+#: src/config/options.inc:591
 msgid "Visited-link color"
 msgstr ""
 
-#: src/config/options.inc:559
+#: src/config/options.inc:593
 msgid "Default visited link color."
 msgstr ""
 
-#: src/config/options.inc:561
+#: src/config/options.inc:595
 #, fuzzy
 msgid "Image-link color"
 msgstr "Ttulo del enlace"
 
-#: src/config/options.inc:563
+#: src/config/options.inc:597
 #, fuzzy
 msgid "Default image link color."
 msgstr "Cortar cone~xiones en segundo plano"
 
-#: src/config/options.inc:565
+#: src/config/options.inc:599
 msgid "Bookmarked-link color"
 msgstr ""
 
-#: src/config/options.inc:567
+#: src/config/options.inc:601
 #, fuzzy
 msgid "Default bookmarked link color."
 msgstr "Cortar cone~xiones en segundo plano"
 
-#: src/config/options.inc:569
+#: src/config/options.inc:603
 msgid "Directory color"
 msgstr ""
 
-#: src/config/options.inc:571
+#: src/config/options.inc:605
 msgid ""
 "Default directory color.\n"
+"\n"
 "See document.browse.links.color_dirs option."
 msgstr ""
 
-#: src/config/options.inc:578
+#: src/config/options.inc:613
 msgid "Increase contrast"
 msgstr ""
 
-#: src/config/options.inc:580
+#: src/config/options.inc:615
 msgid ""
-"Increase the contrast between the foreground and background colors\n"
-"to ensure readability. For example it disallows dark colors on a\n"
-"black background. Note, this is different from ensuring the contrast\n"
-"with the ensure_contrast option."
+"Increase the contrast between the foreground and background colors to ensure "
+"readability. For example it disallows dark colors on a black background. "
+"Note, this is different from ensuring the contrast with the ensure_contrast "
+"option."
 msgstr ""
 
-#: src/config/options.inc:585
+#: src/config/options.inc:621
 msgid "Ensure contrast"
 msgstr ""
 
-#: src/config/options.inc:587
+#: src/config/options.inc:623
 msgid "Makes sure that the back- and foreground colors are never equal."
 msgstr ""
 
 #. If you change this please also change ACT_MAIN_DOCUMENT_COLORS action
 #. * handling.
-#: src/config/options.inc:592
+#: src/config/options.inc:628
 msgid "Use document-specified colors"
 msgstr ""
 
-#: src/config/options.inc:594
+#: src/config/options.inc:630
 msgid ""
 "Use colors specified in document:\n"
 "0 is use always the default settings\n"
@@ -3008,40 +3009,40 @@ msgid ""
 msgstr ""
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:607
+#: src/config/options.inc:643
 #, fuzzy
 msgid "Downloading"
 msgstr "Descargar"
 
-#: src/config/options.inc:609
+#: src/config/options.inc:645
 msgid "Options regarding files downloading and handling."
 msgstr ""
 
-#: src/config/options.inc:611
+#: src/config/options.inc:647
 #, fuzzy
 msgid "Default download directory"
 msgstr "Error de descarga"
 
-#: src/config/options.inc:613
+#: src/config/options.inc:649
 msgid "Default download directory."
 msgstr ""
 
-#: src/config/options.inc:615
+#: src/config/options.inc:651
 msgid "Set original time"
 msgstr ""
 
-#: src/config/options.inc:617
+#: src/config/options.inc:653
 msgid ""
-"Set the timestamp of each downloaded file to the timestamp\n"
-"stored on the server."
+"Set the timestamp of each downloaded file to the timestamp stored on the "
+"server."
 msgstr ""
 
 #. Does automatic resuming make sense as an option?
-#: src/config/options.inc:621
+#: src/config/options.inc:657
 msgid "Prevent overwriting"
 msgstr ""
 
-#: src/config/options.inc:623
+#: src/config/options.inc:659
 msgid ""
 "Prevent overwriting the local files:\n"
 "0 is files will silently be overwritten\n"
@@ -3049,12 +3050,12 @@ msgid ""
 "2 is ask the user"
 msgstr ""
 
-#: src/config/options.inc:628
+#: src/config/options.inc:664
 #, fuzzy
 msgid "Notify download completion by bell"
 msgstr "Descarga completada"
 
-#: src/config/options.inc:630
+#: src/config/options.inc:666
 msgid ""
 "Audio notification when download is completed:\n"
 "0 is never\n"
@@ -3062,27 +3063,27 @@ msgid ""
 "2 is always"
 msgstr ""
 
-#: src/config/options.inc:636
+#: src/config/options.inc:672
 msgid "Dump output"
 msgstr ""
 
-#: src/config/options.inc:638
+#: src/config/options.inc:674
 msgid "Dump output options."
 msgstr ""
 
 #. OPT_CODEPAGE
-#: src/config/options.inc:640 src/config/options.inc:912
+#: src/config/options.inc:676 src/config/options.inc:980
 #: src/config/opttypes.c:481 src/dialogs/document.c:164
 msgid "Codepage"
 msgstr "Pgina de cdigos"
 
-#: src/config/options.inc:642
+#: src/config/options.inc:678
 msgid ""
-"Codepage used in dump output. 'System' stands for\n"
-"a codepage determined by a selected locale."
+"Codepage used in dump output. 'System' stands for a codepage determined by a "
+"selected locale."
 msgstr ""
 
-#: src/config/options.inc:645 src/config/options.inc:878
+#: src/config/options.inc:681 src/config/options.inc:941
 #, fuzzy
 msgid "Color mode"
 msgstr "Color"
@@ -3092,12 +3093,14 @@ msgstr "Color"
 #. * an outer list entry after an inner list.
 #. * TRANSLATORS: This restriction applies only to the
 #. * "en" (English) translation.  (See doc/Makefile.)
-#: src/config/options.inc:652
+#: src/config/options.inc:688
 msgid ""
 "Color mode for dumps.\n"
+"\n"
 "Some modes may have been disabled at compile time. The Setup -> Terminal "
 "options dialog lists the modes supported by this executable. If you select "
 "an unsupported mode, ELinks uses 16 colors.\n"
+"\n"
 "The color modes are:\n"
 "-1 is standard dump mode\n"
 "0 is mono mode\n"
@@ -3107,128 +3110,126 @@ msgid ""
 "4 is true color mode"
 msgstr ""
 
-#: src/config/options.inc:665
+#: src/config/options.inc:703
 msgid "Footer"
 msgstr ""
 
-#: src/config/options.inc:667
+#: src/config/options.inc:705
 #, c-format
 msgid "Footer string used in dumps. %u is substituted by URL."
 msgstr ""
 
-#: src/config/options.inc:671
+#: src/config/options.inc:709
 #, c-format
 msgid "Header string used in dumps. %u is substituted by URL."
 msgstr ""
 
-#: src/config/options.inc:673
+#: src/config/options.inc:711
 #, fuzzy
 msgid "Numbering"
 msgstr "Nmero no vlido"
 
-#: src/config/options.inc:675
+#: src/config/options.inc:713
 msgid "Whether to print link numbers in dump output."
 msgstr ""
 
-#: src/config/options.inc:677
+#: src/config/options.inc:715
 #, fuzzy
 msgid "References"
 msgstr "Recursos"
 
-#: src/config/options.inc:679
-msgid ""
-"Whether to print references (URIs) of document links\n"
-"in dump output."
+#: src/config/options.inc:717
+msgid "Whether to print references (URIs) of document links in dump output."
 msgstr ""
 
-#: src/config/options.inc:682
+#: src/config/options.inc:720
 #, fuzzy
 msgid "Separator"
 msgstr "Bsqueda en el historial"
 
-#: src/config/options.inc:684
+#: src/config/options.inc:722
 msgid "String which separates two dumps."
 msgstr ""
 
-#: src/config/options.inc:686
+#: src/config/options.inc:724
 msgid "Width"
 msgstr ""
 
-#: src/config/options.inc:688
+#: src/config/options.inc:726
 msgid "Width of screen in characters when dumping documents."
 msgstr ""
 
-#: src/config/options.inc:692
+#: src/config/options.inc:730
 #, fuzzy
 msgid "History"
 msgstr "~Historial"
 
-#: src/config/options.inc:694
+#: src/config/options.inc:732
 msgid "History options."
 msgstr ""
 
-#: src/config/options.inc:696
+#: src/config/options.inc:734
 #, fuzzy
 msgid "Keep unhistory"
 msgstr "Historia~l posterior"
 
-#: src/config/options.inc:698
+#: src/config/options.inc:736
 #, fuzzy
 msgid "Keep unhistory (\"forward history\")."
 msgstr "Gestor de historial"
 
-#: src/config/options.inc:701
+#: src/config/options.inc:739
 #, fuzzy
 msgid "HTML rendering"
 msgstr "Transfiriendo"
 
-#: src/config/options.inc:703
+#: src/config/options.inc:741
 msgid "Options concerning the display of HTML pages."
 msgstr ""
 
-#: src/config/options.inc:705
+#: src/config/options.inc:743
 #, fuzzy
 msgid "Display frames"
 msgstr "Ver en ELinks"
 
-#: src/config/options.inc:707
+#: src/config/options.inc:745
 #, fuzzy
 msgid "Display frames."
 msgstr "Ver en ELinks"
 
-#: src/config/options.inc:709
+#: src/config/options.inc:747
 #, fuzzy
 msgid "Display tables"
 msgstr "Ver en ELinks"
 
-#: src/config/options.inc:711
+#: src/config/options.inc:749
 #, fuzzy
 msgid "Display tables."
 msgstr "Ver en ELinks"
 
-#: src/config/options.inc:713
+#: src/config/options.inc:751
 #, fuzzy
 msgid "Display subscripts"
 msgstr "Mostrar ~Usemap"
 
-#: src/config/options.inc:715
+#: src/config/options.inc:753
 msgid "Display subscripts (as [thing])."
 msgstr ""
 
-#: src/config/options.inc:717
+#: src/config/options.inc:755
 #, fuzzy
 msgid "Display superscripts"
 msgstr "Mostrar ~Usemap"
 
-#: src/config/options.inc:719
+#: src/config/options.inc:757
 msgid "Display superscripts (as ^thing)."
 msgstr ""
 
-#: src/config/options.inc:721
+#: src/config/options.inc:759
 msgid "Rendering of HTML link element"
 msgstr ""
 
-#: src/config/options.inc:723
+#: src/config/options.inc:761
 msgid ""
 "How to render <link> tags from the HTML header:\n"
 "0 is nothing\n"
@@ -3239,145 +3240,143 @@ msgid ""
 "5 is everything"
 msgstr ""
 
-#: src/config/options.inc:731
+#: src/config/options.inc:769
 msgid "Underline links"
 msgstr ""
 
-#: src/config/options.inc:733
+#: src/config/options.inc:771
 msgid "Underline links."
 msgstr ""
 
-#: src/config/options.inc:735
+#: src/config/options.inc:773
 msgid "Wrap non breaking space"
 msgstr ""
 
-#: src/config/options.inc:737
+#: src/config/options.inc:775
 msgid ""
-"If set do not honour non breaking space (the nbsp entity)\n"
-"but allow to wrap the text. This can help keeping the width\n"
-"of documents down so no horizontal scrolling is needed."
+"If set do not honour non breaking space (the nbsp entity) but allow to wrap "
+"the text. This can help keeping the width of documents down so no horizontal "
+"scrolling is needed."
 msgstr ""
 
-#: src/config/options.inc:742
+#: src/config/options.inc:780
 #, fuzzy
 msgid "Plain rendering"
 msgstr "Transfiriendo"
 
-#: src/config/options.inc:744
+#: src/config/options.inc:782
 msgid "Options concerning the display of plain text pages."
 msgstr ""
 
-#: src/config/options.inc:746
+#: src/config/options.inc:784
 #, fuzzy
 msgid "Display URIs"
 msgstr "Ver en ELinks"
 
-#: src/config/options.inc:748
+#: src/config/options.inc:786
 msgid "Display URIs in the document as links."
 msgstr ""
 
-#: src/config/options.inc:750
+#: src/config/options.inc:788
 msgid "Compress empty lines"
 msgstr ""
 
-#: src/config/options.inc:752
+#: src/config/options.inc:790
 msgid "Compress successive empty lines to only one in displayed text."
 msgstr ""
 
-#: src/config/options.inc:755
+#: src/config/options.inc:794
 msgid "URI passing"
 msgstr ""
 
-#: src/config/options.inc:757
+#: src/config/options.inc:796
 msgid ""
-"Rules for passing URIs to external commands. When one rule\n"
-"is defined the link and tab menu will have a menu item that\n"
-"makes it possible to pass the the link, frame or tab URI to\n"
-"an external command. If several rules are defined the link and\n"
-"tab menu will have a submenu of items for each rule. Note, this\n"
-"is mostly useful for launching graphical viewers, since there\n"
-"is no support for releasing the terminal while the command runs.\n"
-"The action and submenus are also available by binding keys to\n"
-"the frame-external-command, the link-external-command, and\n"
-"the tab-external-command actions."
+"Rules for passing URIs to external commands. When one rule is defined the "
+"link and tab menu will have a menu item that makes it possible to pass the "
+"the link, frame or tab URI to an external command. If several rules are "
+"defined the link and tab menu will have a submenu of items for each rule.\n"
+"\n"
+"Note, this is mostly useful for launching graphical viewers, since there is "
+"no support for releasing the terminal while the command runs. The action and "
+"submenus are also available by binding keys to the frame-external-command, "
+"the link-external-command, and the tab-external-command actions."
 msgstr ""
 
-#: src/config/options.inc:770
+#: src/config/options.inc:812
 msgid ""
-"A rule for passing URI to an external command.\n"
-"The format is:\n"
+"A rule for passing URI to an external command. The format is:\n"
 "%c in the string means the current URL\n"
 "%% in the string means '%'\n"
 "Do _not_ put single- or double-quotes around %c."
 msgstr ""
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:780
+#: src/config/options.inc:822
 msgid "Information files"
 msgstr ""
 
-#: src/config/options.inc:782
+#: src/config/options.inc:824
 msgid "Options for information files in ~/.elinks."
 msgstr ""
 
-#: src/config/options.inc:784
+#: src/config/options.inc:826
 #, fuzzy
 msgid "Save interval"
 msgstr "Error al grabar"
 
-#: src/config/options.inc:786
+#: src/config/options.inc:828
 msgid ""
-"Interval at which to trigger information files in ~/.elinks\n"
-"to be saved to disk if they have changed (seconds; 0 to disable)"
+"Interval at which to trigger information files in ~/.elinks to be saved to "
+"disk if they have changed (seconds; 0 to disable)"
 msgstr ""
 
-#: src/config/options.inc:789
+#: src/config/options.inc:832
 msgid "Use secure file saving"
 msgstr ""
 
-#: src/config/options.inc:791
+#: src/config/options.inc:834
 msgid ""
-"First write data to unique temporary file, then rename this file\n"
-"upon successfully finishing this. Note that this relates only to\n"
-"config files, not downloaded files. You may want to disable\n"
-"it if you are using some exotic permissions for concerned files.\n"
-"Secure file saving is automagically disabled if file is symlink.\n"
-"Warning: some systems (ie. OS/2, Win32) require that destination\n"
-"file doesn't exist when rename(3) is called, breaking atomicity,\n"
-"and reducing reliability of this feature."
+"First write data to unique temporary file, then rename this file upon "
+"successfully finishing this. Note that this relates only to config files, "
+"not downloaded files. You may want to disable it if you are using some "
+"exotic permissions for concerned files. Secure file saving is automagically "
+"disabled if file is symlink.\n"
+"\n"
+"Warning: some systems (ie. OS/2, Win32) require that destination file "
+"doesn't exist when rename(3) is called, breaking atomicity, and reducing "
+"reliability of this feature."
 msgstr ""
 
-#: src/config/options.inc:800
+#: src/config/options.inc:846
 msgid "Use fsync(3) with secure file saving"
 msgstr ""
 
-#: src/config/options.inc:802
+#: src/config/options.inc:848
 msgid ""
-"When using secure file saving, call fsync(3), if the OS\n"
-"supports it, to force the OS immediately to write the data\n"
-"to permanent storage. This is optional for those who wish\n"
-"to avoid excessive disk I/O."
+"When using secure file saving, call fsync(3), if the OS supports it, to "
+"force the OS immediately to write the data to permanent storage. This is "
+"optional for those who wish to avoid excessive disk I/O."
 msgstr ""
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:811
+#: src/config/options.inc:857
 #, fuzzy
 msgid "Terminals"
 msgstr "Opciones de terminal..."
 
-#: src/config/options.inc:813
+#: src/config/options.inc:859
 #, fuzzy
 msgid "Terminal options."
 msgstr "Opciones de terminal..."
 
-#: src/config/options.inc:817
+#: src/config/options.inc:863
 msgid "Options specific to this terminal type (according to $TERM value)."
 msgstr ""
 
-#: src/config/options.inc:842
+#: src/config/options.inc:889
 msgid ""
-"Terminal type; matters mostly only when drawing frames and\n"
-"dialog box borders:\n"
+"Terminal type; matters mostly only when drawing frames and dialog box "
+"borders:\n"
 "0 is dumb terminal type, ASCII art\n"
 "1 is VT100, simple but portable\n"
 "2 is Linux, you get double frames and other goodies\n"
@@ -3385,15 +3384,31 @@ msgid ""
 "4 is FreeBSD"
 msgstr ""
 
-#: src/config/options.inc:850 src/dialogs/options.c:227
+#: src/config/options.inc:897
+msgid "Always encode xterm title in ISO-8859-1"
+msgstr ""
+
+#: src/config/options.inc:899
+msgid ""
+"When updating the window title of xterm or a similar terminal emulator, "
+"encode the title in ISO-8859-1 (Latin-1), rather than in the charset used "
+"for other text in the window. Cyrillic and other characters get replaced "
+"with Latin ones. Xterm requires this unless you explicitly enable UTF-8 "
+"titles in it.\n"
+"\n"
+"If this option does not take effect immediately, try switching to a "
+"different page so that ELinks notices it needs to update the title."
+msgstr ""
+
+#: src/config/options.inc:910 src/dialogs/options.c:227
 msgid "Switch fonts for line drawing"
 msgstr ""
 
-#: src/config/options.inc:852
+#: src/config/options.inc:912
 msgid ""
-"Switch fonts when drawing lines, enabling both local characters\n"
-"and lines working at the same time. ELinks uses this option only if\n"
-"UTF-8 I/O is disabled and the terminal type is Linux or FreeBSD."
+"Switch fonts when drawing lines, enabling both local characters and lines "
+"working at the same time. ELinks uses this option only if UTF-8 I/O is "
+"disabled and the terminal type is Linux or FreeBSD."
 msgstr ""
 
 #. When CONFIG_UTF8 is defined, any code that reads the "utf_8_io"
@@ -3401,37 +3416,37 @@ msgstr ""
 #. * and if so, behave as if "utf_8_io" were 1.  (When CONFIG_UTF8 is
 #. * not defined, it should not be possible to set UTF-8 as "codepage";
 #. * please report any such possibilities as bugs.)
-#: src/config/options.inc:861 src/dialogs/options.c:232
+#: src/config/options.inc:922 src/dialogs/options.c:232
 msgid "UTF-8 I/O"
 msgstr "Entrada/salida en UTF-8"
 
-#: src/config/options.inc:863
+#: src/config/options.inc:924
 msgid ""
-"Enable I/O in UTF-8 for Unicode terminals. Note that currently,\n"
-"only the subset of UTF-8 according to terminal codepage is used.\n"
-"ELinks ignores this option if the terminal codepage is UTF-8."
+"Enable I/O in UTF-8 for Unicode terminals. Note that currently, only the "
+"subset of UTF-8 according to terminal codepage is used. ELinks ignores this "
+"option if the terminal codepage is UTF-8."
 msgstr ""
 
-#: src/config/options.inc:867 src/dialogs/options.c:228
+#: src/config/options.inc:929 src/dialogs/options.c:228
 msgid "Restrict frames in cp850/852"
 msgstr "Restringir caracteres de recuadros a los de CP850/852"
 
-#: src/config/options.inc:869
+#: src/config/options.inc:931
 msgid ""
-"Restrict the characters used when drawing lines. Makes sense\n"
-"only with linux terminals using the cp850/852 character sets."
+"Restrict the characters used when drawing lines. Makes sense only with linux "
+"terminals using the cp850/852 character sets."
 msgstr ""
 
-#: src/config/options.inc:872 src/dialogs/options.c:229
+#: src/config/options.inc:935 src/dialogs/options.c:229
 #, fuzzy
 msgid "Block cursor"
 msgstr "El cursor es un bloque"
 
-#: src/config/options.inc:874
+#: src/config/options.inc:937
 msgid ""
-"Move cursor to bottom right corner when done drawing.\n"
-"This is particularly useful when we have a block cursor,\n"
-"so that inversed text is displayed correctly."
+"Move cursor to bottom right corner when done drawing. This is particularly "
+"useful when we have a block cursor, so that inversed text is displayed "
+"correctly."
 msgstr ""
 
 #. The list of modes must be at the end of this string
@@ -3439,13 +3454,15 @@ msgstr ""
 #. * an outer list entry after an inner list.
 #. * TRANSLATORS: This restriction applies only to the
 #. * "en" (English) translation.  (See doc/Makefile.)
-#: src/config/options.inc:885
+#: src/config/options.inc:948
 msgid ""
 "The color mode controls what colors are used and how they are output to the "
 "terminal.\n"
+"\n"
 "Some modes may have been disabled at compile time. The Setup -> Terminal "
 "options dialog lists the modes supported by this executable. If you select "
 "an unsupported mode, ELinks uses 16 colors.\n"
+"\n"
 "The color modes are:\n"
 "0 is mono mode, only 2 colors are used\n"
 "1 is 16 color mode, uses the common ANSI colors\n"
@@ -3454,426 +3471,423 @@ msgid ""
 "4 is true color mode, uses konsole RGB codes"
 msgstr ""
 
-#: src/config/options.inc:898 src/dialogs/options.c:230
+#: src/config/options.inc:963 src/dialogs/options.c:230
 msgid "Transparency"
 msgstr "Transparencia"
 
-#: src/config/options.inc:900
+#: src/config/options.inc:965
 msgid ""
-"If we should not set the background to black. This is particularly\n"
-"useful when we have a terminal (typically in some windowing\n"
-"environment) with a background image or a transparent background -\n"
-"it will be visible in ELinks as well (but ELinks document color handling\n"
-"will still assume the background is black so if you have a bright "
-"background\n"
-"you might experience contrast problems). Note that this option makes\n"
-"sense only when colors are enabled."
+"If we should not set the background to black. This is particularly useful "
+"when we have a terminal (typically in some windowing environment) with a "
+"background image or a transparent background - it will be visible in ELinks "
+"as well (but ELinks document color handling will still assume the background "
+"is black so if you have a bright background you might experience contrast "
+"problems). Note that this option makes sense only when colors are enabled."
 msgstr ""
 
-#: src/config/options.inc:910
+#: src/config/options.inc:977
 msgid "If we should use underline or enhance the color instead."
 msgstr ""
 
-#: src/config/options.inc:914
+#: src/config/options.inc:982
 msgid ""
-"Codepage of charset used for displaying content on terminal.\n"
-"'System' stands for a codepage determined by a selected locale."
+"Codepage of charset used for displaying content on terminal. 'System' stands "
+"for a codepage determined by a selected locale."
 msgstr ""
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:921
+#: src/config/options.inc:990
 msgid "User interface"
 msgstr ""
 
-#: src/config/options.inc:923
+#: src/config/options.inc:992
 #, fuzzy
 msgid "User interface options."
 msgstr "Opciones de terminal..."
 
-#: src/config/options.inc:927
+#: src/config/options.inc:996
 msgid "Color settings"
 msgstr ""
 
-#: src/config/options.inc:929
+#: src/config/options.inc:998
 msgid "Default user interface color settings."
 msgstr ""
 
-#: src/config/options.inc:956
+#: src/config/options.inc:1025
 #, fuzzy
 msgid "Color terminals"
 msgstr "Terminal ~BeOS"
 
-#: src/config/options.inc:958
+#: src/config/options.inc:1027
 msgid "Color settings for color terminal."
 msgstr ""
 
-#: src/config/options.inc:960
+#: src/config/options.inc:1029
 msgid "Non-color terminals"
 msgstr ""
 
-#: src/config/options.inc:962
+#: src/config/options.inc:1031
 msgid "Color settings for non-color terminal."
 msgstr ""
 
 #. FIXME: obsolete, how to alias them correctly ? --Zas
-#: src/config/options.inc:965
+#: src/config/options.inc:1034
 msgid "Main menu bar"
 msgstr ""
 
-#: src/config/options.inc:967
+#: src/config/options.inc:1036
 msgid "Main menu bar colors."
 msgstr ""
 
-#: src/config/options.inc:969
+#: src/config/options.inc:1038
 msgid "Unselected main menu bar item"
 msgstr ""
 
-#: src/config/options.inc:971
+#: src/config/options.inc:1040
 msgid "Unselected main menu bar item colors."
 msgstr ""
 
-#: src/config/options.inc:973
+#: src/config/options.inc:1042
 msgid "Selected main menu bar item"
 msgstr ""
 
-#: src/config/options.inc:975
+#: src/config/options.inc:1044
 msgid "Selected main menu bar item colors."
 msgstr ""
 
-#: src/config/options.inc:977 src/config/options.inc:1006
+#: src/config/options.inc:1046 src/config/options.inc:1075
 msgid "Hotkey"
 msgstr ""
 
-#: src/config/options.inc:979
+#: src/config/options.inc:1048
 msgid "Main menu hotkey colors."
 msgstr ""
 
-#: src/config/options.inc:981 src/config/options.inc:1010
+#: src/config/options.inc:1050 src/config/options.inc:1079
 msgid "Unselected hotkey"
 msgstr ""
 
-#: src/config/options.inc:983
+#: src/config/options.inc:1052
 msgid "Main menu unselected hotkey colors."
 msgstr ""
 
-#: src/config/options.inc:985 src/config/options.inc:1014
+#: src/config/options.inc:1054 src/config/options.inc:1083
 #, fuzzy
 msgid "Selected hotkey"
 msgstr "Campo de seleccin"
 
-#: src/config/options.inc:987
+#: src/config/options.inc:1056
 msgid "Main menu selected hotkey colors."
 msgstr ""
 
-#: src/config/options.inc:990
+#: src/config/options.inc:1059
 msgid "Menu bar"
 msgstr ""
 
-#: src/config/options.inc:992
+#: src/config/options.inc:1061
 msgid "Menu bar colors."
 msgstr ""
 
-#: src/config/options.inc:994
+#: src/config/options.inc:1063
 msgid "Unselected menu item"
 msgstr ""
 
-#: src/config/options.inc:996
+#: src/config/options.inc:1065
 msgid "Unselected menu item colors."
 msgstr ""
 
-#: src/config/options.inc:998
+#: src/config/options.inc:1067
 #, fuzzy
 msgid "Selected menu item"
 msgstr "Campo de seleccin"
 
-#: src/config/options.inc:1000
+#: src/config/options.inc:1069
 msgid "Selected menu item colors."
 msgstr ""
 
-#: src/config/options.inc:1002
+#: src/config/options.inc:1071
 #, fuzzy
 msgid "Marked menu item"
 msgstr "Campo de seleccin"
 
-#: src/config/options.inc:1004
+#: src/config/options.inc:1073
 msgid "Marked menu item colors."
 msgstr ""
 
-#: src/config/options.inc:1008
+#: src/config/options.inc:1077
 msgid "Menu item hotkey colors."
 msgstr ""
 
-#: src/config/options.inc:1012
+#: src/config/options.inc:1081
 msgid "Menu item unselected hotkey colors."
 msgstr ""
 
-#: src/config/options.inc:1016
+#: src/config/options.inc:1085
 msgid "Menu item selected hotkey colors."
 msgstr ""
 
-#: src/config/options.inc:1018
+#: src/config/options.inc:1087
 #, fuzzy
 msgid "Menu frame"
 msgstr "No usar recuadros"
 
-#: src/config/options.inc:1020
+#: src/config/options.inc:1089
 msgid "Menu frame colors."
 msgstr ""
 
-#: src/config/options.inc:1023
+#: src/config/options.inc:1092
 msgid "Dialog"
 msgstr ""
 
-#: src/config/options.inc:1025
+#: src/config/options.inc:1094
 msgid "Dialog colors."
 msgstr ""
 
-#: src/config/options.inc:1035
+#: src/config/options.inc:1104
 msgid "Generic"
 msgstr ""
 
-#: src/config/options.inc:1037
+#: src/config/options.inc:1106
 #, fuzzy
 msgid "Generic dialog colors."
 msgstr "Cortar cone~xiones en segundo plano"
 
-#: src/config/options.inc:1039
+#: src/config/options.inc:1108
 #, fuzzy
 msgid "Frame"
 msgstr "nombre"
 
-#: src/config/options.inc:1041
+#: src/config/options.inc:1110
 msgid "Dialog frame colors."
 msgstr ""
 
-#: src/config/options.inc:1043
+#: src/config/options.inc:1112
 msgid "Scrollbar"
 msgstr ""
 
-#: src/config/options.inc:1045
+#: src/config/options.inc:1114
 msgid "Scrollbar colors."
 msgstr ""
 
-#: src/config/options.inc:1047
+#: src/config/options.inc:1116
 #, fuzzy
 msgid "Selected scrollbar"
 msgstr "Cortar cone~xiones en segundo plano"
 
-#: src/config/options.inc:1049
+#: src/config/options.inc:1118
 #, fuzzy
 msgid "Scrollbar selected colors."
 msgstr "Cortar cone~xiones en segundo plano"
 
-#: src/config/options.inc:1053
+#: src/config/options.inc:1122
 msgid "Dialog title colors."
 msgstr ""
 
-#: src/config/options.inc:1055
+#: src/config/options.inc:1124
 #, fuzzy
 msgid "Text"
 msgstr "Cuadro de texto"
 
-#: src/config/options.inc:1057
+#: src/config/options.inc:1126
 msgid "Dialog text colors."
 msgstr ""
 
-#: src/config/options.inc:1059 src/viewer/text/form.c:1862
+#: src/config/options.inc:1128 src/viewer/text/form.c:1891
 msgid "Checkbox"
 msgstr "Casilla de seleccin"
 
-#: src/config/options.inc:1061
+#: src/config/options.inc:1130
 msgid "Dialog checkbox colors."
 msgstr ""
 
-#: src/config/options.inc:1063
+#: src/config/options.inc:1132
 #, fuzzy
 msgid "Selected checkbox"
 msgstr "Campo de seleccin"
 
-#: src/config/options.inc:1065
+#: src/config/options.inc:1134
 #, fuzzy
 msgid "Dialog selected checkbox colors."
 msgstr "Cortar cone~xiones en segundo plano"
 
-#: src/config/options.inc:1067
+#: src/config/options.inc:1136
 #, fuzzy
 msgid "Checkbox label"
 msgstr "Casilla de seleccin"
 
-#: src/config/options.inc:1069
+#: src/config/options.inc:1138
 msgid "Dialog checkbox label colors."
 msgstr ""
 
-#: src/config/options.inc:1071
+#: src/config/options.inc:1140
 msgid "Button"
 msgstr ""
 
-#: src/config/options.inc:1073 src/config/options.inc:1081
+#: src/config/options.inc:1142 src/config/options.inc:1150
 msgid "Dialog button colors."
 msgstr ""
 
-#: src/config/options.inc:1075
+#: src/config/options.inc:1144
 msgid "Selected button"
 msgstr ""
 
-#: src/config/options.inc:1077 src/config/options.inc:1085
+#: src/config/options.inc:1146 src/config/options.inc:1154
 msgid "Dialog selected button colors."
 msgstr ""
 
-#: src/config/options.inc:1079
+#: src/config/options.inc:1148
 msgid "Button shortcut"
 msgstr ""
 
-#: src/config/options.inc:1083
+#: src/config/options.inc:1152
 #, fuzzy
 msgid "Selected button shortcut"
 msgstr "Campo de seleccin"
 
-#: src/config/options.inc:1087 src/viewer/text/form.c:1866
+#: src/config/options.inc:1156 src/viewer/text/form.c:1895
 msgid "Text field"
 msgstr "Campo de texto"
 
-#: src/config/options.inc:1089
+#: src/config/options.inc:1158
 msgid "Dialog text field colors."
 msgstr ""
 
-#: src/config/options.inc:1091
+#: src/config/options.inc:1160
 #, fuzzy
 msgid "Text field text"
 msgstr "Campo de texto"
 
-#: src/config/options.inc:1093
+#: src/config/options.inc:1162
 msgid "Dialog field text colors."
 msgstr ""
 
-#: src/config/options.inc:1095
+#: src/config/options.inc:1164
 msgid "Meter"
 msgstr ""
 
-#: src/config/options.inc:1097
+#: src/config/options.inc:1166
 msgid "Dialog meter colors."
 msgstr ""
 
-#: src/config/options.inc:1099
+#: src/config/options.inc:1168
 msgid "Shadow"
 msgstr ""
 
-#: src/config/options.inc:1101
+#: src/config/options.inc:1170
 msgid "Dialog shadow colors (see ui.shadows option)."
 msgstr ""
 
-#: src/config/options.inc:1103
+#: src/config/options.inc:1172
 #, fuzzy
 msgid "Title bar"
 msgstr "Ttulo"
 
-#: src/config/options.inc:1105
+#: src/config/options.inc:1174
 msgid "Title bar colors."
 msgstr ""
 
-#: src/config/options.inc:1107
+#: src/config/options.inc:1176
 msgid "Generic title bar"
 msgstr ""
 
-#: src/config/options.inc:1109
+#: src/config/options.inc:1178
 msgid "Generic title bar colors."
 msgstr ""
 
-#: src/config/options.inc:1111
+#: src/config/options.inc:1180
 msgid "Title bar text"
 msgstr ""
 
-#: src/config/options.inc:1113
+#: src/config/options.inc:1182
 msgid "Title bar text colors."
 msgstr ""
 
-#: src/config/options.inc:1116
+#: src/config/options.inc:1185
 msgid "Status bar"
 msgstr ""
 
-#: src/config/options.inc:1118
+#: src/config/options.inc:1187
 msgid "Status bar colors."
 msgstr ""
 
-#: src/config/options.inc:1120
+#: src/config/options.inc:1189
 msgid "Generic status bar"
 msgstr ""
 
-#: src/config/options.inc:1122
+#: src/config/options.inc:1191
 msgid "Generic status bar colors."
 msgstr ""
 
-#: src/config/options.inc:1124
+#: src/config/options.inc:1193
 #, fuzzy
 msgid "Status bar text"
 msgstr "Texto buscado"
 
-#: src/config/options.inc:1126
+#: src/config/options.inc:1195
 msgid "Status bar text colors."
 msgstr ""
 
-#: src/config/options.inc:1129
+#: src/config/options.inc:1198
 msgid "Tabs bar"
 msgstr ""
 
-#: src/config/options.inc:1131
+#: src/config/options.inc:1200
 msgid "Tabs bar colors."
 msgstr ""
 
-#: src/config/options.inc:1133
+#: src/config/options.inc:1202
 #, fuzzy
 msgid "Unvisited tab"
 msgstr "Campo de seleccin"
 
-#: src/config/options.inc:1135
+#: src/config/options.inc:1204
 msgid ""
-"Tab colors for tabs that have not been\n"
-"selected since they completed loading."
+"Tab colors for tabs that have not been selected since they completed loading."
 msgstr ""
 
-#: src/config/options.inc:1138
+#: src/config/options.inc:1207
 #, fuzzy
 msgid "Unselected tab"
 msgstr "Campo de seleccin"
 
-#: src/config/options.inc:1140
+#: src/config/options.inc:1209
 #, fuzzy
 msgid "Unselected tab colors."
 msgstr "Cortar cone~xiones en segundo plano"
 
-#: src/config/options.inc:1142
+#: src/config/options.inc:1211
 #, fuzzy
 msgid "Loading tab"
 msgstr "cargndose"
 
-#: src/config/options.inc:1144
+#: src/config/options.inc:1213
 msgid "Tab colors for tabs that are loading in the background."
 msgstr ""
 
-#: src/config/options.inc:1146
+#: src/config/options.inc:1215
 #, fuzzy
 msgid "Selected tab"
 msgstr "Campo de seleccin"
 
-#: src/config/options.inc:1148
+#: src/config/options.inc:1217
 #, fuzzy
 msgid "Selected tab colors."
 msgstr "Cortar cone~xiones en segundo plano"
 
-#: src/config/options.inc:1150
+#: src/config/options.inc:1219
 msgid "Tab separator"
 msgstr ""
 
-#: src/config/options.inc:1152
+#: src/config/options.inc:1221
 msgid "Tab separator colors."
 msgstr ""
 
-#: src/config/options.inc:1155
+#: src/config/options.inc:1224
 #, fuzzy
 msgid "Searched strings"
 msgstr "Cadena no vlida"
 
-#: src/config/options.inc:1157
+#: src/config/options.inc:1226
 #, fuzzy
 msgid "Searched string highlight colors."
 msgstr "Cadena no encontrada"
@@ -3882,69 +3896,69 @@ msgstr "Cadena no encontrada"
 #. ============= BORING PART (colors) END ===================
 #. ==========================================================
 #. Keep options in alphabetical order.
-#: src/config/options.inc:1166
+#: src/config/options.inc:1235
 msgid "Dialog settings"
 msgstr ""
 
-#: src/config/options.inc:1168
+#: src/config/options.inc:1237
 msgid "Dialogs-specific appearance and behaviour settings."
 msgstr ""
 
-#: src/config/options.inc:1171
+#: src/config/options.inc:1240
 msgid "Minimal height of listbox widget"
 msgstr ""
 
-#: src/config/options.inc:1173
+#: src/config/options.inc:1242
 msgid ""
-"Minimal height of the listbox widget (used e.g. for bookmarks\n"
-"or global history)."
+"Minimal height of the listbox widget (used e.g. for bookmarks or global "
+"history)."
 msgstr ""
 
-#: src/config/options.inc:1176
+#: src/config/options.inc:1245
 msgid "Drop shadows"
 msgstr ""
 
-#: src/config/options.inc:1178
+#: src/config/options.inc:1247
 msgid ""
-"Make dialogs drop shadows (the shadows are solid, you can\n"
-"adjust their color by ui.colors.*.dialog.shadow). You may\n"
-"also want to eliminate the wide borders by adjusting setup.h."
+"Make dialogs drop shadows (the shadows are solid, you can adjust their color "
+"by ui.colors.*.dialog.shadow). You may also want to eliminate the wide "
+"borders by adjusting setup.h."
 msgstr ""
 
-#: src/config/options.inc:1182
+#: src/config/options.inc:1252
 #, fuzzy
 msgid "Underline menu hotkeys"
 msgstr "Campo de seleccin"
 
-#: src/config/options.inc:1184
+#: src/config/options.inc:1254
 msgid ""
-"Whether to underline hotkeys in menus to make them more\n"
-"visible. Requires that underlining is enabled for the terminal."
+"Whether to underline hotkeys in menus to make them more visible. Requires "
+"that underlining is enabled for the terminal."
 msgstr ""
 
-#: src/config/options.inc:1187
+#: src/config/options.inc:1258
 #, fuzzy
 msgid "Underline button shortcuts"
 msgstr "Campo de seleccin"
 
-#: src/config/options.inc:1189
+#: src/config/options.inc:1260
 msgid ""
-"Whether to underline button shortcuts to make them more\n"
-"visible. Requires that underlining is enabled for the terminal."
+"Whether to underline button shortcuts to make them more visible. Requires "
+"that underlining is enabled for the terminal."
 msgstr ""
 
-#: src/config/options.inc:1193
+#: src/config/options.inc:1265
 #, fuzzy
 msgid "Timer options"
 msgstr "Opciones de terminal..."
 
-#: src/config/options.inc:1195
+#: src/config/options.inc:1267
 msgid ""
-"Timed action after certain interval of user inactivity. Someone can\n"
-"even find this useful, although you may not believe that."
+"Timed action after certain interval of user inactivity. Someone can even "
+"find this useful, although you may not believe that."
 msgstr ""
 
-#: src/config/options.inc:1201
+#: src/config/options.inc:1274
 msgid ""
 "Whether to enable the timer or not:\n"
 "0 is don't count down anything\n"
@@ -3952,7 +3966,7 @@ msgid ""
 "2 is count down and show the timer near LEDs"
 msgstr ""
 
-#: src/config/options.inc:1208
+#: src/config/options.inc:1281
 msgid ""
 "Whether to enable the timer or not:\n"
 "0 is don't count down anything\n"
@@ -3960,36 +3974,36 @@ msgid ""
 "2 is count down and show the timer near LEDs (DISABLED)"
 msgstr ""
 
-#: src/config/options.inc:1214
+#: src/config/options.inc:1287
 #, fuzzy
 msgid "Duration"
 msgstr "Descripcin"
 
-#: src/config/options.inc:1216
+#: src/config/options.inc:1289
 msgid ""
-"Inactivity timeout in seconds. The maximum of one day\n"
-"should be enough for just everyone (TM)."
+"Inactivity timeout in seconds. The maximum of one day should be enough for "
+"just everyone (TM)."
 msgstr ""
 
-#: src/config/options.inc:1221
+#: src/config/options.inc:1294
 msgid "Keybinding action to be triggered when timer reaches zero."
 msgstr ""
 
-#: src/config/options.inc:1224
+#: src/config/options.inc:1298
 #, fuzzy
 msgid "Window tabs"
 msgstr "~Ventana"
 
-#: src/config/options.inc:1226
+#: src/config/options.inc:1300
 msgid "Window tabs settings."
 msgstr ""
 
-#: src/config/options.inc:1228
+#: src/config/options.inc:1302
 #, fuzzy
 msgid "Display tabs bar"
 msgstr "Mostrar ~Usemap"
 
-#: src/config/options.inc:1230
+#: src/config/options.inc:1304
 msgid ""
 "Show tabs bar on the screen:\n"
 "0 means never\n"
@@ -3997,171 +4011,170 @@ msgid ""
 "2 means always"
 msgstr ""
 
-#: src/config/options.inc:1235
+#: src/config/options.inc:1309
 msgid "Tab bar at top"
 msgstr ""
 
-#: src/config/options.inc:1237
+#: src/config/options.inc:1311
 msgid "Whether display tab bar at top like other browsers do."
 msgstr ""
 
-#: src/config/options.inc:1239
+#: src/config/options.inc:1313
 msgid "Wrap-around tabs cycling"
 msgstr ""
 
-#: src/config/options.inc:1241
+#: src/config/options.inc:1315
 msgid ""
-"When moving right from the last tab, jump to the first one, and\n"
-"vice versa."
+"When moving right from the last tab, jump to the first one, and vice versa."
 msgstr ""
 
-#: src/config/options.inc:1244
+#: src/config/options.inc:1318
 msgid "Confirm tab closing"
 msgstr ""
 
-#: src/config/options.inc:1246
+#: src/config/options.inc:1320
 msgid "When closing a tab show confirmation dialog."
 msgstr ""
 
 #. OPT_LANGUAGE
-#: src/config/options.inc:1250 src/config/opttypes.c:483
+#: src/config/options.inc:1324 src/config/opttypes.c:483
 msgid "Language"
 msgstr ""
 
-#: src/config/options.inc:1252
+#: src/config/options.inc:1326
 msgid ""
-"Language of user interface. 'System' means that the language will\n"
-"be extracted from the environment dynamically."
+"Language of user interface. 'System' means that the language will be "
+"extracted from the environment dynamically."
 msgstr ""
 
-#: src/config/options.inc:1255
+#: src/config/options.inc:1330
 #, fuzzy
 msgid "Display menu bar always"
 msgstr "Mostrar ~Usemap"
 
-#: src/config/options.inc:1257
+#: src/config/options.inc:1332
 msgid "Always show menu bar on the screen."
 msgstr ""
 
-#: src/config/options.inc:1259
+#: src/config/options.inc:1334
 #, fuzzy
 msgid "Display status bar"
 msgstr "Mostrar ~Usemap"
 
-#: src/config/options.inc:1261
+#: src/config/options.inc:1336
 msgid "Show status bar on the screen."
 msgstr ""
 
-#: src/config/options.inc:1263
+#: src/config/options.inc:1338
 #, fuzzy
 msgid "Display title bar"
 msgstr "Mostrar ~Usemap"
 
-#: src/config/options.inc:1265
+#: src/config/options.inc:1340
 msgid "Show title bar on the screen."
 msgstr ""
 
-#: src/config/options.inc:1267
+#: src/config/options.inc:1342
 msgid "Display goto dialog in new tabs"
 msgstr ""
 
-#: src/config/options.inc:1269
+#: src/config/options.inc:1344
 msgid ""
-"Pop up goto dialog in newly created tabs when there's no homepage\n"
-"set. This means also showing goto dialog on startup."
+"Pop up goto dialog in newly created tabs when there's no homepage set. This "
+"means also showing goto dialog on startup."
 msgstr ""
 
-#: src/config/options.inc:1272
+#: src/config/options.inc:1348
 msgid "Show a message box when file is saved successfully"
 msgstr ""
 
-#: src/config/options.inc:1274
+#: src/config/options.inc:1350
 msgid ""
-"When you pressed a [ Save ] button in some manager, this option\n"
-"will make sure that a box confirming success of the operation will\n"
-"pop up."
+"When you pressed a [ Save ] button in some manager, this option will make "
+"sure that a box confirming success of the operation will pop up."
 msgstr ""
 
-#: src/config/options.inc:1279
+#: src/config/options.inc:1355
 #, fuzzy
 msgid "Sessions"
 msgstr "Extensiones"
 
-#: src/config/options.inc:1281
+#: src/config/options.inc:1357
 msgid "Sessions settings."
 msgstr ""
 
-#: src/config/options.inc:1283
+#: src/config/options.inc:1359
 msgid "Keep session active"
 msgstr ""
 
-#: src/config/options.inc:1285
+#: src/config/options.inc:1361
 msgid "Keep the session active even if the last terminal exits."
 msgstr ""
 
-#: src/config/options.inc:1287
+#: src/config/options.inc:1364
 msgid "Auto save session"
 msgstr ""
 
-#: src/config/options.inc:1289
+#: src/config/options.inc:1366
 msgid ""
 "Automatically save the session when quitting.\n"
+"\n"
 "This feature requires bookmark support."
 msgstr ""
 
-#: src/config/options.inc:1292
+#: src/config/options.inc:1370
 msgid "Auto restore session"
 msgstr ""
 
-#: src/config/options.inc:1294
+#: src/config/options.inc:1372
 msgid ""
 "Automatically restore the session at start.\n"
+"\n"
 "This feature requires bookmark support."
 msgstr ""
 
-#: src/config/options.inc:1297
+#: src/config/options.inc:1376
 msgid "Auto save and restore session folder name"
 msgstr ""
 
-#: src/config/options.inc:1299
+#: src/config/options.inc:1378
 msgid ""
-"Name of the bookmarks folder used for auto saving and restoring session.\n"
-"The name has to be unique. Any folders with the same name will be deleted.\n"
+"Name of the bookmarks folder used for auto saving and restoring session. The "
+"name has to be unique. Any folders with the same name will be deleted.\n"
+"\n"
 "This only makes sense with bookmark support."
 msgstr ""
 
-#: src/config/options.inc:1303
+#: src/config/options.inc:1384
 #, fuzzy
 msgid "Homepage URI"
 msgstr "Pgina de cdigos"
 
-#: src/config/options.inc:1305
+#: src/config/options.inc:1386
 msgid ""
-"The URI to load either at startup time when no URI was given\n"
-"on the command line or when requested by the goto-url-home action.\n"
-"Set to \"\" if the environment variable WWW_HOME should be used\n"
-"as homepage URI instead."
+"The URI to load either at startup time when no URI was given on the command "
+"line or when requested by the goto-url-home action. Set to \"\" if the "
+"environment variable WWW_HOME should be used as homepage URI instead."
 msgstr ""
 
-#: src/config/options.inc:1311
+#: src/config/options.inc:1392
 #, fuzzy
 msgid "Date format"
 msgstr "Enviar fichero"
 
-#: src/config/options.inc:1313
+#: src/config/options.inc:1394
 msgid "Date format to use in dialogs. See strftime(3)."
 msgstr ""
 
-#: src/config/options.inc:1316
+#: src/config/options.inc:1397
 #, fuzzy
 msgid "Set window title"
 msgstr "Ttulo del enlace"
 
-#: src/config/options.inc:1318
+#: src/config/options.inc:1399
 msgid ""
-"Set the window title when running in a windowing environment\n"
-"in an xterm-like terminal. This way the document's title is\n"
-"shown on the window titlebar."
+"Set the window title when running in a windowing environment in an xterm-"
+"like terminal. This way the document's title is shown on the window titlebar."
 msgstr ""
 
 #: src/config/opttypes.c:54
@@ -4248,7 +4261,7 @@ msgid "Goto URL History"
 msgstr "Gestor de historial"
 
 #. name:
-#: src/cookies/cookies.c:88 src/cookies/cookies.c:911
+#: src/cookies/cookies.c:88 src/cookies/cookies.c:913
 msgid "Cookies"
 msgstr ""
 
@@ -4278,10 +4291,10 @@ msgstr "Realizando conexin"
 msgid ""
 "Cookie maximum age (in days):\n"
 "-1 is use cookie's expiration date if any\n"
-"0  is force expiration at the end of session, ignoring cookie's\n"
-"   expiration date\n"
-"1+ is use cookie's expiration date, but limit age to the given\n"
-"   number of days"
+"0  is force expiration at the end of session, ignoring\n"
+"   cookie's expiration date\n"
+"1+ is use cookie's expiration date, but limit age to the\n"
+"   given number of days"
 msgstr ""
 
 #: src/cookies/cookies.c:109
@@ -4290,42 +4303,42 @@ msgstr ""
 
 #: src/cookies/cookies.c:111
 msgid ""
-"When enabled, we'll require three dots in cookies domain for all\n"
-"non-international domains (instead of just two dots). Some countries\n"
-"have generic second level domains (eg. .com.pl, .co.uk) and allowing\n"
-"sites to set cookies for these generic domains could potentially be\n"
-"very bad. Note, it is off by default as it breaks a lot of sites."
+"When enabled, we'll require three dots in cookies domain for all non-"
+"international domains (instead of just two dots). Some countries have "
+"generic second level domains (eg. .com.pl, .co.uk) and allowing sites to set "
+"cookies for these generic domains could potentially be very bad. Note, it is "
+"off by default as it breaks a lot of sites."
 msgstr ""
 
-#: src/cookies/cookies.c:117
+#: src/cookies/cookies.c:118
 #, fuzzy
 msgid "Saving"
 msgstr "media"
 
-#: src/cookies/cookies.c:119
+#: src/cookies/cookies.c:120
 msgid "Whether cookies should be loaded from and saved to disk."
 msgstr ""
 
-#: src/cookies/cookies.c:121
+#: src/cookies/cookies.c:123
 msgid "Resaving"
 msgstr ""
 
-#: src/cookies/cookies.c:123
+#: src/cookies/cookies.c:125
 msgid ""
-"Save cookies after each change in cookies list? No effect when\n"
-"cookie saving (cookies.save) is off."
+"Save cookies after each change in cookies list? No effect when cookie saving "
+"(cookies.save) is off."
 msgstr ""
 
-#: src/cookies/cookies.c:817
+#: src/cookies/cookies.c:819
 #, fuzzy
 msgid "Cannot save cookies"
 msgstr "Borrar todo el historial"
 
-#: src/cookies/cookies.c:828
+#: src/cookies/cookies.c:830
 msgid "ELinks was started without a home directory."
 msgstr ""
 
-#: src/cookies/cookies.c:834
+#: src/cookies/cookies.c:836
 msgid "ELinks was started with the -anonymous option."
 msgstr ""
 
@@ -4545,7 +4558,7 @@ msgid "No header info."
 msgstr ""
 
 #: src/dialogs/download.c:243 src/dialogs/menu.c:601
-#: src/protocol/bittorrent/dialogs.c:228 src/session/download.c:361
+#: src/protocol/bittorrent/dialogs.c:228 src/session/download.c:387
 msgid "Download"
 msgstr "Descargar"
 
@@ -5404,7 +5417,7 @@ msgid "No document"
 msgstr "documentos"
 
 #. name:
-#: src/document/css/css.c:30 src/document/css/css.c:161
+#: src/document/css/css.c:30 src/document/css/css.c:164
 msgid "Cascading Style Sheets"
 msgstr ""
 
@@ -5412,36 +5425,36 @@ msgstr ""
 msgid "Options concerning how to use CSS for styling documents."
 msgstr ""
 
-#: src/document/css/css.c:34
+#: src/document/css/css.c:35
 #, fuzzy
 msgid "Enable CSS"
 msgstr "nombre"
 
-#: src/document/css/css.c:36
+#: src/document/css/css.c:37
 msgid "Enable adding of CSS style info to documents."
 msgstr ""
 
-#: src/document/css/css.c:38
+#: src/document/css/css.c:39
 msgid "Import external style sheets"
 msgstr ""
 
-#: src/document/css/css.c:40
+#: src/document/css/css.c:41
 msgid ""
-"When enabled any external style sheets that are imported from\n"
-"either CSS itself using the @import keyword or from the HTML using\n"
-"<link> tags in the document header will also be downloaded."
+"When enabled any external style sheets that are imported from either CSS "
+"itself using the @import keyword or from the HTML using <link> tags in the "
+"document header will also be downloaded."
 msgstr ""
 
-#: src/document/css/css.c:44
+#: src/document/css/css.c:46
 msgid "Default style sheet"
 msgstr ""
 
-#: src/document/css/css.c:46
+#: src/document/css/css.c:48
 msgid ""
-"The path to the file containing the default user defined\n"
-"Cascading Style Sheet. It can be used to control the basic\n"
-"layout of HTML documents. The path is assumed to be relative\n"
-"to ELinks' home directory.\n"
+"The path to the file containing the default user defined Cascading Style "
+"Sheet. It can be used to control the basic layout of HTML documents. The "
+"path is assumed to be relative to ELinks' home directory.\n"
+"\n"
 "Leave as \"\" to use built-in document styling."
 msgstr ""
 
@@ -5474,8 +5487,8 @@ msgstr ""
 
 #: src/ecmascript/ecmascript.c:55
 msgid ""
-"Whether to ignore content enclosed by the <noscript> tag\n"
-"when ECMAScript is enabled."
+"Whether to ignore content enclosed by the <noscript> tag when ECMAScript is "
+"enabled."
 msgstr ""
 
 #: src/ecmascript/ecmascript.c:58
@@ -5527,7 +5540,7 @@ msgid "JavaScript Error"
 msgstr ""
 
 #. name:
-#: src/ecmascript/spidermonkey.c:320
+#: src/ecmascript/spidermonkey.c:321
 msgid "SpiderMonkey"
 msgstr ""
 
@@ -5627,9 +5640,8 @@ msgstr "Opciones de terminal..."
 
 #: src/formhist/formhist.c:38
 msgid ""
-"Ask if a login form should be saved to file or not.\n"
-"This option only disables the dialog, already saved login\n"
-"forms are unaffected."
+"Ask if a login form should be saved to file or not. This option only "
+"disables the dialog, already saved login forms are unaffected."
 msgstr ""
 
 #: src/formhist/formhist.c:426
@@ -5733,20 +5745,20 @@ msgstr "Gestor de historial"
 msgid "Enable global history (\"history of all pages visited\")."
 msgstr ""
 
-#: src/globhist/globhist.c:68
+#: src/globhist/globhist.c:69
 msgid "Maximum number of entries"
 msgstr ""
 
-#: src/globhist/globhist.c:70
+#: src/globhist/globhist.c:71
 msgid "Maximum number of entries in the global history."
 msgstr ""
 
-#: src/globhist/globhist.c:72
+#: src/globhist/globhist.c:73
 #, fuzzy
 msgid "Display style"
 msgstr "Mostrar ~Usemap"
 
-#: src/globhist/globhist.c:74
+#: src/globhist/globhist.c:75
 msgid ""
 "What to display in global history dialog:\n"
 "0 is URLs\n"
@@ -5754,7 +5766,7 @@ msgid ""
 msgstr ""
 
 #. name:
-#: src/globhist/globhist.c:451
+#: src/globhist/globhist.c:449
 #, fuzzy
 msgid "Global History"
 msgstr "Gestor de historial"
@@ -5985,101 +5997,95 @@ msgstr ""
 
 #: src/mime/backend/default.c:27
 msgid ""
-"Handler <-> MIME type association. The first sub-tree is the MIME\n"
-"class while the second sub-tree is the MIME type (ie. image/gif\n"
-"handler will reside at mime.type.image.gif). Each MIME type option\n"
-"should contain (case-sensitive) name of the MIME handler (its\n"
-"properties are stored at mime.handler.<name>)."
+"Handler <-> MIME type association. The first sub-tree is the MIME class "
+"while the second sub-tree is the MIME type (ie. image/gif handler will "
+"reside at mime.type.image.gif). Each MIME type option should contain (case-"
+"sensitive) name of the MIME handler (its properties are stored at mime."
+"handler.<name>)."
 msgstr ""
 
-#: src/mime/backend/default.c:35
+#: src/mime/backend/default.c:36
 msgid ""
-"Handler matching this MIME-type class ('*' is used here in place\n"
-"of '.')."
+"Handler matching this MIME-type class ('*' is used here in place of '.')."
 msgstr ""
 
-#: src/mime/backend/default.c:40
+#: src/mime/backend/default.c:41
 msgid ""
-"Handler matching this MIME-type name ('*' is used here in place\n"
-"of '.')."
+"Handler matching this MIME-type name ('*' is used here in place of '.')."
 msgstr ""
 
-#: src/mime/backend/default.c:44
+#: src/mime/backend/default.c:45
 msgid "File type handlers"
 msgstr ""
 
-#: src/mime/backend/default.c:46
+#: src/mime/backend/default.c:47
 msgid ""
-"A file type handler is a set of information about how to use\n"
-"an external program to view a file. It is possible to refer to it\n"
-"for several MIME types -- e.g., you can define an 'image' handler\n"
-"to which mime.type.image.png, mime.type.image.jpeg, and so on will\n"
-"refer; or one might define a handler for a more specific type of file\n"
-"-- e.g., PDF files.\n"
-"Note you must define both a MIME handler and a MIME type association\n"
-"for it to work."
+"A file type handler is a set of information about how to use an external "
+"program to view a file. It is possible to refer to it for several MIME types "
+"-- e.g., you can define an 'image' handler to which mime.type.image.png, "
+"mime.type.image.jpeg, and so on will refer; or one might define a handler "
+"for a more specific type of file -- e.g., PDF files. Note you must define "
+"both a MIME handler and a MIME type association for it to work."
 msgstr ""
 
-#: src/mime/backend/default.c:57
+#: src/mime/backend/default.c:58
 msgid "Description of this handler."
 msgstr ""
 
-#: src/mime/backend/default.c:61
+#: src/mime/backend/default.c:62
 msgid "System-specific handler description (ie. unix, unix-xwin, ...)."
 msgstr ""
 
-#: src/mime/backend/default.c:63 src/mime/backend/mailcap.c:102
+#: src/mime/backend/default.c:65 src/mime/backend/mailcap.c:102
 msgid "Ask before opening"
 msgstr ""
 
-#: src/mime/backend/default.c:65
+#: src/mime/backend/default.c:67
 msgid "Ask before opening."
 msgstr ""
 
-#: src/mime/backend/default.c:67
+#: src/mime/backend/default.c:69
 #, fuzzy
 msgid "Block terminal"
 msgstr "Terminal ~BeOS"
 
-#: src/mime/backend/default.c:69
+#: src/mime/backend/default.c:71
 msgid "Block the terminal when the handler is running."
 msgstr ""
 
-#: src/mime/backend/default.c:71
+#: src/mime/backend/default.c:73
 #, fuzzy
 msgid "Program"
 msgstr "Sin programa"
 
-#: src/mime/backend/default.c:74
+#: src/mime/backend/default.c:76
 #, no-c-format
 msgid ""
-"External viewer for this file type. '%' in this string will be\n"
-"substituted by a file name.\n"
-"Do _not_ put single- or double-quotes around the % sign."
+"External viewer for this file type. '%' in this string will be substituted "
+"by a file name. Do _not_ put single- or double-quotes around the % sign."
 msgstr ""
 
-#: src/mime/backend/default.c:79
+#: src/mime/backend/default.c:81
 #, fuzzy
 msgid "File extension associations"
 msgstr "~Extensiones de fichero"
 
-#: src/mime/backend/default.c:81
+#: src/mime/backend/default.c:83
 msgid "Extension <-> MIME type association."
 msgstr ""
 
-#: src/mime/backend/default.c:85
+#: src/mime/backend/default.c:87
 msgid ""
-"MIME-type matching this file extension ('*' is used here in place\n"
-"of '.')."
+"MIME-type matching this file extension ('*' is used here in place of '.')."
 msgstr ""
 
 #. name:
-#: src/mime/backend/default.c:216
+#: src/mime/backend/default.c:218
 msgid "Option system"
 msgstr ""
 
 #. name:
-#: src/mime/backend/mailcap.c:89 src/mime/backend/mailcap.c:684
+#: src/mime/backend/mailcap.c:89 src/mime/backend/mailcap.c:686
 msgid "Mailcap"
 msgstr ""
 
@@ -6093,8 +6099,8 @@ msgstr ""
 
 #: src/mime/backend/mailcap.c:99
 msgid ""
-"Mailcap search path. Colon-separated list of files.\n"
-"Leave as \"\" to use MAILCAP environment variable instead."
+"Mailcap search path. Colon-separated list of files. Leave as \"\" to use "
+"MAILCAP environment variable instead."
 msgstr ""
 
 #: src/mime/backend/mailcap.c:104
@@ -6107,39 +6113,38 @@ msgstr ""
 
 #: src/mime/backend/mailcap.c:108
 msgid ""
-"Type of description to show in \"what to do with this file\"\n"
-"query dialog:\n"
+"Type of description to show in \"what to do with this file\" query dialog:\n"
 "0 is show \"mailcap\"\n"
 "1 is show program to be run\n"
-"2 is show mailcap description field if any; \"mailcap\" otherwise"
+"2 is show mailcap description field if any;\n"
+"     \"mailcap\" otherwise"
 msgstr ""
 
-#: src/mime/backend/mailcap.c:114
+#: src/mime/backend/mailcap.c:115
 msgid "Prioritize entries by file"
 msgstr ""
 
-#: src/mime/backend/mailcap.c:116
+#: src/mime/backend/mailcap.c:117
 msgid ""
-"Prioritize entries by the order of the files in the mailcap\n"
-"path. This means that wildcard entries (like: image/*) will\n"
-"also be checked before deciding the handler."
+"Prioritize entries by the order of the files in the mailcap path. This means "
+"that wildcard entries (like: image/*) will also be checked before deciding "
+"the handler."
 msgstr ""
 
-#: src/mime/backend/mailcap.c:349
+#: src/mime/backend/mailcap.c:351
 #, c-format
 msgid "Badly formated mailcap entry for type %s in \"%s\" line %d"
 msgstr ""
 
 #. name:
-#: src/mime/backend/mimetypes.c:46 src/mime/backend/mimetypes.c:279
+#: src/mime/backend/mimetypes.c:46 src/mime/backend/mimetypes.c:280
 msgid "Mimetypes files"
 msgstr ""
 
 #: src/mime/backend/mimetypes.c:48
 msgid ""
-"Options for the support of mime.types files. These files\n"
-"can be used to find the content type of a URL by looking at\n"
-"the extension of the file name."
+"Options for the support of mime.types files. These files can be used to find "
+"the content type of a URL by looking at the extension of the file name."
 msgstr ""
 
 #: src/mime/backend/mimetypes.c:54
@@ -6176,7 +6181,7 @@ msgid "No extensions"
 msgstr "No hay extensiones"
 
 #. name:
-#: src/mime/mime.c:38 src/mime/mime.c:360
+#: src/mime/mime.c:38 src/mime/mime.c:361
 msgid "MIME"
 msgstr ""
 
@@ -6190,8 +6195,8 @@ msgstr ""
 
 #: src/mime/mime.c:44
 msgid ""
-"Document MIME-type to assume by default (when we are unable to\n"
-"guess it properly from known information about the document)."
+"Document MIME-type to assume by default (when we are unable to guess it "
+"properly from known information about the document)."
 msgstr ""
 
 #: src/network/ssl/ssl.c:72 src/network/ssl/ssl.c:161
@@ -6200,8 +6205,8 @@ msgstr ""
 
 #: src/network/ssl/ssl.c:74
 msgid ""
-"Verify the peer's SSL certificate. Note that this\n"
-"needs extensive configuration of OpenSSL by the user."
+"Verify the peer's SSL certificate. Note that this needs extensive "
+"configuration of OpenSSL by the user."
 msgstr ""
 
 #: src/network/ssl/ssl.c:77
@@ -6215,8 +6220,8 @@ msgstr "Opciones de terminal..."
 
 #: src/network/ssl/ssl.c:83
 msgid ""
-"Enable or not the sending of X509 client certificates\n"
-"to servers which request them."
+"Enable or not the sending of X509 client certificates to servers which "
+"request them."
 msgstr ""
 
 #: src/network/ssl/ssl.c:86
@@ -6226,16 +6231,15 @@ msgstr "tiempo estimado"
 
 #: src/network/ssl/ssl.c:88
 msgid ""
-"The location of a file containing the client certificate\n"
-"and unencrypted private key in PEM format. If unset, the\n"
-"file pointed to by the X509_CLIENT_CERT variable is used\n"
-"instead."
+"The location of a file containing the client certificate and unencrypted "
+"private key in PEM format. If unset, the file pointed to by the "
+"X509_CLIENT_CERT variable is used instead."
 msgstr ""
 
 #: src/network/ssl/ssl.c:163
 msgid ""
-"Verify the peer's SSL certificate.  If you enable\n"
-"this, set also \"Trusted CA file\"."
+"Verify the peer's SSL certificate.  If you enable this, set also \"Trusted "
+"CA file\"."
 msgstr ""
 
 #. The default value of the following option points to a file
@@ -6253,20 +6257,20 @@ msgstr "Transfiriendo"
 
 #: src/network/ssl/ssl.c:176
 msgid ""
-"The location of a file containing certificates of\n"
-"trusted certification authorities in PEM format.\n"
-"ELinks then trusts certificates issued by these CAs.\n"
-"If you change this option or the file, you must\n"
-"restart ELinks for the changes to take effect.\n"
-"This option affects GnuTLS but not OpenSSL."
+"The location of a file containing certificates of trusted certification "
+"authorities in PEM format. ELinks then trusts certificates issued by these "
+"CAs.\n"
+"\n"
+"If you change this option or the file, you must restart ELinks for the "
+"changes to take effect. This option affects GnuTLS but not OpenSSL."
 msgstr ""
 
 #. name:
-#: src/network/ssl/ssl.c:199 src/network/ssl/ssl.c:216
+#: src/network/ssl/ssl.c:200 src/network/ssl/ssl.c:217
 msgid "SSL"
 msgstr ""
 
-#: src/network/ssl/ssl.c:201
+#: src/network/ssl/ssl.c:202
 #, fuzzy
 msgid "SSL options."
 msgstr "~Grabar opciones"
@@ -6603,7 +6607,7 @@ msgstr "Escriba su identificador de usua
 msgid "Login"
 msgstr "Identificador de usuario"
 
-#: src/protocol/auth/dialogs.c:113 src/protocol/http/http.c:140
+#: src/protocol/auth/dialogs.c:113 src/protocol/http/http.c:142
 msgid "Password"
 msgstr "Clave de acceso"
 
@@ -6680,7 +6684,7 @@ msgstr "Identificacin HTTP"
 
 #. name:
 #: src/protocol/bittorrent/bittorrent.c:26
-#: src/protocol/bittorrent/bittorrent.c:335
+#: src/protocol/bittorrent/bittorrent.c:339
 msgid "BitTorrent"
 msgstr ""
 
@@ -6735,9 +6739,8 @@ msgstr ""
 
 #: src/protocol/bittorrent/bittorrent.c:57
 msgid ""
-"Whether to request that the tracker returns peer info\n"
-"in compact format. Note, the compact format only supports\n"
-"IPv4 addresses."
+"Whether to request that the tracker returns peer info in compact format. "
+"Note, the compact format only supports IPv4 addresses."
 msgstr ""
 
 #: src/protocol/bittorrent/bittorrent.c:61
@@ -6746,57 +6749,55 @@ msgstr ""
 
 #: src/protocol/bittorrent/bittorrent.c:63
 msgid ""
-"The number of seconds to wait between periodically contacting\n"
-"the tracker for announcing progress and requesting more peers.\n"
-"Set to zero to use the interval requested by the tracker."
+"The number of seconds to wait between periodically contacting the tracker "
+"for announcing progress and requesting more peers. Set to zero to use the "
+"interval requested by the tracker."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:67
+#: src/protocol/bittorrent/bittorrent.c:68
 msgid "IP-address to announce"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:69
+#: src/protocol/bittorrent/bittorrent.c:70
 msgid ""
-"What IP address to report to the tracker. If set to \"\"\n"
-"no IP address will be sent and the tracker will automatically\n"
-"determine an appropriate IP address."
+"What IP address to report to the tracker. If set to \"\" no IP address will "
+"be sent and the tracker will automatically determine an appropriate IP "
+"address."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:73
+#: src/protocol/bittorrent/bittorrent.c:74
 #, fuzzy
 msgid "User identification string"
 msgstr "Opciones de terminal..."
 
-#: src/protocol/bittorrent/bittorrent.c:75
+#: src/protocol/bittorrent/bittorrent.c:76
 msgid ""
-"An additional identification that is not shared with any users.\n"
-"It is intended to allow a client to prove their identity should\n"
-"their IP address change. It is an optional parameter, but some\n"
-"trackers require this parameter. If set to \"\" no user key will\n"
-"be sent to the tracker."
+"An additional identification that is not shared with any users. It is "
+"intended to allow a client to prove their identity should their IP address "
+"change. It is an optional parameter, but some trackers require this "
+"parameter. If set to \"\" no user key will be sent to the tracker."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:81
+#: src/protocol/bittorrent/bittorrent.c:82
 #, fuzzy
 msgid "Maximum number of peers to request"
 msgstr "Realizando conexin"
 
-#: src/protocol/bittorrent/bittorrent.c:83
+#: src/protocol/bittorrent/bittorrent.c:84
 msgid ""
-"The maximum number of peers to request from the tracker.\n"
-"Set to 0 to use the server default."
+"The maximum number of peers to request from the tracker. Set to 0 to use the "
+"server default."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:86
+#: src/protocol/bittorrent/bittorrent.c:87
 msgid "Minimum peers to skip rerequesting"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:88
+#: src/protocol/bittorrent/bittorrent.c:89
 msgid ""
-"The minimum number of peers to have in the current peer info\n"
-"pool before skipping requesting of more peers. I.e. setting\n"
-"numwant to zero.\n"
-"Set to 0 to not have any limit."
+"The minimum number of peers to have in the current peer info pool before "
+"skipping requesting of more peers. I.e. setting numwant to zero. Set to 0 to "
+"not have any limit."
 msgstr ""
 
 #. ******************************************************************
@@ -6817,182 +6818,177 @@ msgstr "Realizando conexin"
 
 #: src/protocol/bittorrent/bittorrent.c:104
 msgid ""
-"The maximum number of allowed connections to both active and\n"
-"non-active peers. By increasing the number of allowed connections,\n"
-"the chance of finding good peers to download from is increased.\n"
-"However, too many connections can lead to TCP congestion. If the\n"
-"maximum is reached all new incoming connections will be closed."
+"The maximum number of allowed connections to both active and non-active "
+"peers. By increasing the number of allowed connections, the chance of "
+"finding good peers to download from is increased. However, too many "
+"connections can lead to TCP congestion. If the maximum is reached all new "
+"incoming connections will be closed."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:110
+#: src/protocol/bittorrent/bittorrent.c:111
 msgid "Maximum peer message length"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:112
+#: src/protocol/bittorrent/bittorrent.c:113
 msgid ""
-"The maximum length of messages to accept over the wire.\n"
-"Larger values will cause the connection to be dropped."
+"The maximum length of messages to accept over the wire. Larger values will "
+"cause the connection to be dropped."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:115
+#: src/protocol/bittorrent/bittorrent.c:116
 msgid "Maximum allowed request length"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:117
+#: src/protocol/bittorrent/bittorrent.c:118
 msgid ""
-"The maximum length to allow for incoming requests.\n"
-"Larger requests will cause the connection to be dropped."
+"The maximum length to allow for incoming requests. Larger requests will "
+"cause the connection to be dropped."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:120
+#: src/protocol/bittorrent/bittorrent.c:121
 msgid "Length of requests"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:122
+#: src/protocol/bittorrent/bittorrent.c:123
 msgid ""
-"How many bytes to query for per request. This is complementary\n"
-"to the max_request_length option. If the configured length is\n"
-"bigger than the piece length it will be truncated."
+"How many bytes to query for per request. This is complementary to the "
+"max_request_length option. If the configured length is bigger than the piece "
+"length it will be truncated."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:126
+#: src/protocol/bittorrent/bittorrent.c:128
 #, fuzzy
 msgid "Peer inactivity timeout"
 msgstr "Plazo de recepcin sobrepasado"
 
-#: src/protocol/bittorrent/bittorrent.c:128
+#: src/protocol/bittorrent/bittorrent.c:130
 msgid ""
-"The number of seconds to wait before closing a socket on\n"
-"which nothing has been received or sent."
+"The number of seconds to wait before closing a socket on which nothing has "
+"been received or sent."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:131
+#: src/protocol/bittorrent/bittorrent.c:133
 #, fuzzy
 msgid "Maximum peer pool size"
 msgstr "Realizando conexin"
 
-#: src/protocol/bittorrent/bittorrent.c:133
+#: src/protocol/bittorrent/bittorrent.c:135
 msgid ""
-"Maximum number of items in the peer pool. The peer pool\n"
-"contains information used for establishing connections to\n"
-"new peers.\n"
+"Maximum number of items in the peer pool. The peer pool contains information "
+"used for establishing connections to new peers.\n"
+"\n"
 "Set to 0 to have unlimited size."
 msgstr ""
 
 #. ******************************************************************
 #. Piece management options:
 #. ******************************************************************
-#: src/protocol/bittorrent/bittorrent.c:143
+#: src/protocol/bittorrent/bittorrent.c:146
 #, fuzzy
 msgid "Maximum piece cache size"
 msgstr "Realizando conexin"
 
-#: src/protocol/bittorrent/bittorrent.c:145
+#: src/protocol/bittorrent/bittorrent.c:148
 msgid ""
-"The maximum amount of memory used to hold recently\n"
-"downloaded pieces.\n"
+"The maximum amount of memory used to hold recently downloaded pieces.\n"
+"\n"
 "Set to 0 to have unlimited size."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:154
+#: src/protocol/bittorrent/bittorrent.c:158
 msgid "Sharing rate"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:156
+#: src/protocol/bittorrent/bittorrent.c:160
 msgid ""
-"The minimum sharing rate to achieve before stop seeding.\n"
-"The sharing rate is computed as the number of uploaded bytes\n"
-"divided with the number of downloaded bytes. The value should\n"
-"be a double value between 0.0 and 1.0 both included.\n"
-"Set to 1.0 to atleast upload a complete copy of all data and\n"
+"The minimum sharing rate to achieve before stop seeding. The sharing rate is "
+"computed as the number of uploaded bytes divided with the number of "
+"downloaded bytes. The value should be a double value between 0.0 and 1.0 "
+"both included. Set to 1.0 to atleast upload a complete copy of all data and "
 "set to 0.0 to have unlimited sharing rate."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:163
+#: src/protocol/bittorrent/bittorrent.c:167
 msgid "Maximum number of uploads"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:165
+#: src/protocol/bittorrent/bittorrent.c:169
 msgid "The maximum number of uploads to allow at once."
 msgstr ""
 
 #. The number of uploads to fill out to with extra optimistic unchokes
-#: src/protocol/bittorrent/bittorrent.c:168
+#: src/protocol/bittorrent/bittorrent.c:172
 msgid "Minimum number of uploads"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:170
+#: src/protocol/bittorrent/bittorrent.c:174
 msgid ""
-"The minimum number of uploads which should at least\n"
-"be used for new connections."
+"The minimum number of uploads which should at least be used for new "
+"connections."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:174
+#: src/protocol/bittorrent/bittorrent.c:178
 #, fuzzy
 msgid "Keepalive interval"
 msgstr "Error al grabar"
 
-#: src/protocol/bittorrent/bittorrent.c:176
-msgid ""
-"The number of seconds to pause between sending keepalive\n"
-"messages."
+#: src/protocol/bittorrent/bittorrent.c:180
+msgid "The number of seconds to pause between sending keepalive messages."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:179
+#: src/protocol/bittorrent/bittorrent.c:183
 #, fuzzy
 msgid "Number of pending requests"
 msgstr "El servidor est procesando la peticin"
 
-#: src/protocol/bittorrent/bittorrent.c:181
+#: src/protocol/bittorrent/bittorrent.c:185
 msgid ""
-"How many piece requests to continuously keep in queue. Pipelining\n"
-"of requests is essential to saturate connections and get a good\n"
-"connection performance and thus a faster download. However, a\n"
-"very big queue size can lead to wasting bandwidth near the end\n"
-"of the connection since remaining piece blocks will be requested\n"
-"from multiple peers."
+"How many piece requests to continuously keep in queue. Pipelining of "
+"requests is essential to saturate connections and get a good connection "
+"performance and thus a faster download. However, a very big queue size can "
+"lead to wasting bandwidth near the end of the connection since remaining "
+"piece blocks will be requested from multiple peers."
 msgstr ""
 
 #. Bram uses 30 seconds here.
-#: src/protocol/bittorrent/bittorrent.c:190
+#: src/protocol/bittorrent/bittorrent.c:194
 msgid "Peer snubbing interval"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:192
+#: src/protocol/bittorrent/bittorrent.c:196
 msgid ""
-"The number of seconds to wait for file data before assuming\n"
-"the peer has been snubbed."
+"The number of seconds to wait for file data before assuming the peer has "
+"been snubbed."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:195
+#: src/protocol/bittorrent/bittorrent.c:199
 #, fuzzy
 msgid "Peer choke interval"
 msgstr "Error al grabar"
 
-#: src/protocol/bittorrent/bittorrent.c:197
+#: src/protocol/bittorrent/bittorrent.c:201
 msgid ""
-"The number of seconds between updating the connection state\n"
-"and most importantly choke and unchoke peer connections. The\n"
-"choke period should be big enough for newly unchoked connections\n"
-"to get started but small enough to not allow freeriders too much\n"
-"room for stealing bandwidth."
+"The number of seconds between updating the connection state and most "
+"importantly choke and unchoke peer connections. The choke period should be "
+"big enough for newly unchoked connections to get started but small enough to "
+"not allow freeriders too much room for stealing bandwidth."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:203
+#: src/protocol/bittorrent/bittorrent.c:207
 msgid "Rarest first piece selection cutoff"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:205
+#: src/protocol/bittorrent/bittorrent.c:209
 msgid ""
-"The number of pieces to obtain before switching piece\n"
-"selection strategy from random to rarest first."
+"The number of pieces to obtain before switching piece selection strategy "
+"from random to rarest first."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:208 src/protocol/http/http.c:109
+#: src/protocol/bittorrent/bittorrent.c:212 src/protocol/http/http.c:109
 msgid "Allow blacklisting"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:210
+#: src/protocol/bittorrent/bittorrent.c:214
 msgid "Allow blacklisting of buggy peers."
 msgstr ""
 
@@ -7028,7 +7024,7 @@ msgstr "~Fichero"
 msgid "Comment"
 msgstr "documentos"
 
-#: src/protocol/bittorrent/dialogs.c:229 src/session/download.c:362
+#: src/protocol/bittorrent/dialogs.c:229 src/session/download.c:388
 #, fuzzy, c-format
 msgid ""
 "Download complete:\n"
@@ -7196,7 +7192,7 @@ msgid_plural "%u unavailable"
 msgstr[0] "Servicio FTP no disponible"
 msgstr[1] "Servicio FTP no disponible"
 
-#: src/protocol/bittorrent/dialogs.c:584 src/session/session.c:278
+#: src/protocol/bittorrent/dialogs.c:584 src/session/session.c:279
 #, fuzzy, c-format
 msgid "Unable to retrieve %s"
 msgstr "No puedo grabar el fichero de configuracin"
@@ -7211,7 +7207,7 @@ msgstr ""
 msgid "Information about the torrent"
 msgstr "Descargar ima~gen"
 
-#: src/protocol/bittorrent/dialogs.c:776 src/session/download.c:1106
+#: src/protocol/bittorrent/dialogs.c:776 src/session/download.c:1132
 msgid "What to do?"
 msgstr "Qu hago?"
 
@@ -7222,13 +7218,13 @@ msgid "Down~load"
 msgstr "Descargar"
 
 #. accelerator_context(src/protocol/bittorrent/dialogs.c:bittorrent_query_callback, src/session/download.c:do_type_query)
-#: src/protocol/bittorrent/dialogs.c:804 src/session/download.c:1209
+#: src/protocol/bittorrent/dialogs.c:804 src/session/download.c:1235
 #, fuzzy
 msgid "~Display"
 msgstr "Ver en ELinks"
 
 #. accelerator_context(src/protocol/bittorrent/dialogs.c:bittorrent_query_callback, src/session/download.c:do_type_query)
-#: src/protocol/bittorrent/dialogs.c:808 src/session/download.c:1213
+#: src/protocol/bittorrent/dialogs.c:808 src/session/download.c:1239
 msgid "Show ~header"
 msgstr ""
 
@@ -7246,16 +7242,16 @@ msgstr "No hay programa especificado par
 msgid "Colon separated list of directories, where CGI scripts are stored."
 msgstr ""
 
-#: src/protocol/file/cgi.c:47
+#: src/protocol/file/cgi.c:48
 msgid "Allow local CGI"
 msgstr ""
 
-#: src/protocol/file/cgi.c:49
+#: src/protocol/file/cgi.c:50
 msgid "Whether to execute local CGI scripts."
 msgstr ""
 
 #. name:
-#: src/protocol/file/cgi.c:54
+#: src/protocol/file/cgi.c:55
 msgid "CGI"
 msgstr ""
 
@@ -7274,9 +7270,8 @@ msgstr ""
 
 #: src/protocol/file/file.c:46
 msgid ""
-"Whether to allow reading from non-regular files.\n"
-"Note this can be dangerous; reading /dev/urandom or\n"
-"/dev/zero can ruin your day!"
+"Whether to allow reading from non-regular files. Note this can be dangerous; "
+"reading /dev/urandom or /dev/zero can ruin your day!"
 msgstr ""
 
 #: src/protocol/file/file.c:50
@@ -7285,8 +7280,8 @@ msgstr ""
 
 #: src/protocol/file/file.c:52
 msgid ""
-"When set to false, files with name starting with a dot will be\n"
-"hidden in local directory listings."
+"When set to false, files with name starting with a dot will be hidden in "
+"local directory listings."
 msgstr ""
 
 #: src/protocol/file/file.c:55
@@ -7296,13 +7291,13 @@ msgstr "No hay extensiones"
 
 #: src/protocol/file/file.c:57
 msgid ""
-"When set, if we can't open a file named 'filename', we'll try\n"
-"to open 'filename' with some encoding extension appended\n"
-"(ie. 'filename.gz'); it depends on the supported encodings."
+"When set, if we can't open a file named 'filename', we'll try to open "
+"'filename' with some encoding extension appended (ie. 'filename.gz'); it "
+"depends on the supported encodings."
 msgstr ""
 
 #. name:
-#: src/protocol/file/file.c:65
+#: src/protocol/file/file.c:66
 #, fuzzy
 msgid "File"
 msgstr "~Fichero"
@@ -7332,7 +7327,7 @@ msgid "Whether to sort entries in direct
 msgstr ""
 
 #. name:
-#: src/protocol/ftp/ftp.c:56 src/protocol/ftp/ftp.c:86
+#: src/protocol/ftp/ftp.c:56 src/protocol/ftp/ftp.c:89
 msgid "FTP"
 msgstr ""
 
@@ -7340,8 +7335,8 @@ msgstr ""
 msgid "FTP specific options."
 msgstr ""
 
-#: src/protocol/ftp/ftp.c:60 src/protocol/http/http.c:127
-#: src/protocol/http/http.c:209
+#: src/protocol/ftp/ftp.c:60 src/protocol/http/http.c:128
+#: src/protocol/http/http.c:235
 msgid "Proxy configuration"
 msgstr ""
 
@@ -7349,39 +7344,39 @@ msgstr ""
 msgid "FTP proxy configuration."
 msgstr ""
 
-#: src/protocol/ftp/ftp.c:64 src/protocol/http/http.c:131
-#: src/protocol/http/http.c:213
+#: src/protocol/ftp/ftp.c:64 src/protocol/http/http.c:132
+#: src/protocol/http/http.c:239
 #, fuzzy
 msgid "Host and port-number"
 msgstr "Nmero no vlido"
 
 #: src/protocol/ftp/ftp.c:66
 msgid ""
-"Host and port-number (host:port) of the FTP proxy, or blank.\n"
-"If it's blank, FTP_PROXY environment variable is checked as well."
+"Host and port-number (host:port) of the FTP proxy, or blank. If it's blank, "
+"FTP_PROXY environment variable is checked as well."
 msgstr ""
 
-#: src/protocol/ftp/ftp.c:69
+#: src/protocol/ftp/ftp.c:70
 msgid "Anonymous password"
 msgstr ""
 
-#: src/protocol/ftp/ftp.c:71
+#: src/protocol/ftp/ftp.c:72
 msgid "FTP anonymous password to be sent."
 msgstr ""
 
-#: src/protocol/ftp/ftp.c:73
+#: src/protocol/ftp/ftp.c:74
 msgid "Use passive mode (IPv4)"
 msgstr ""
 
-#: src/protocol/ftp/ftp.c:75
+#: src/protocol/ftp/ftp.c:76
 msgid "Use PASV instead of PORT (passive vs active mode, IPv4 only)."
 msgstr ""
 
-#: src/protocol/ftp/ftp.c:77
+#: src/protocol/ftp/ftp.c:79
 msgid "Use passive mode (IPv6)"
 msgstr ""
 
-#: src/protocol/ftp/ftp.c:79
+#: src/protocol/ftp/ftp.c:81
 msgid "Use EPSV instead of EPRT (passive vs active mode, IPv6 only)."
 msgstr ""
 
@@ -7408,7 +7403,7 @@ msgid ""
 msgstr ""
 
 #. name:
-#: src/protocol/http/http.c:95 src/protocol/http/http.c:223
+#: src/protocol/http/http.c:95 src/protocol/http/http.c:250
 msgid "HTTP"
 msgstr ""
 
@@ -7430,8 +7425,8 @@ msgstr ""
 
 #: src/protocol/http/http.c:106
 msgid ""
-"The Accept-Charset header is quite long and sending it can trigger\n"
-"bugs in some rarely found servers."
+"The Accept-Charset header is quite long and sending it can trigger bugs in "
+"some rarely found servers."
 msgstr ""
 
 #: src/protocol/http/http.c:111
@@ -7444,71 +7439,71 @@ msgstr ""
 
 #: src/protocol/http/http.c:115
 msgid ""
-"Broken 302 redirect (violates RFC but compatible with Netscape).\n"
-"This is a problem for a lot of web discussion boards and the like.\n"
-"If they will do strange things to you, try to play with this."
+"Broken 302 redirect (violates RFC but compatible with Netscape). This is a "
+"problem for a lot of web discussion boards and the like. If they will do "
+"strange things to you, try to play with this."
 msgstr ""
 
-#: src/protocol/http/http.c:119
+#: src/protocol/http/http.c:120
 msgid "No keepalive after POST requests"
 msgstr ""
 
-#: src/protocol/http/http.c:121
+#: src/protocol/http/http.c:122
 msgid "Disable keepalive connection after POST request."
 msgstr ""
 
-#: src/protocol/http/http.c:123
+#: src/protocol/http/http.c:124
 msgid "Use HTTP/1.0"
 msgstr ""
 
-#: src/protocol/http/http.c:125
+#: src/protocol/http/http.c:126
 msgid "Use HTTP/1.0 protocol instead of HTTP/1.1."
 msgstr ""
 
-#: src/protocol/http/http.c:129
+#: src/protocol/http/http.c:130
 msgid "HTTP proxy configuration."
 msgstr ""
 
-#: src/protocol/http/http.c:133
+#: src/protocol/http/http.c:134
 msgid ""
-"Host and port-number (host:port) of the HTTP proxy, or blank.\n"
-"If it's blank, HTTP_PROXY environment variable is checked as well."
+"Host and port-number (host:port) of the HTTP proxy, or blank. If it's blank, "
+"HTTP_PROXY environment variable is checked as well."
 msgstr ""
 
-#: src/protocol/http/http.c:136
+#: src/protocol/http/http.c:138
 #, fuzzy
 msgid "Username"
 msgstr "nombre"
 
-#: src/protocol/http/http.c:138
+#: src/protocol/http/http.c:140
 #, fuzzy
 msgid "Proxy authentication username."
 msgstr "Identificacin HTTP"
 
-#: src/protocol/http/http.c:142
+#: src/protocol/http/http.c:144
 #, fuzzy
 msgid "Proxy authentication password."
 msgstr "Identificacin HTTP"
 
-#: src/protocol/http/http.c:145
+#: src/protocol/http/http.c:147
 msgid "Referer sending"
 msgstr ""
 
-#: src/protocol/http/http.c:147
+#: src/protocol/http/http.c:149
 msgid ""
-"HTTP referer sending options. HTTP referer is a special header\n"
-"sent in the HTTP requests, which is supposed to contain the previous\n"
-"page visited by the browser. This way, the server can know what link\n"
-"did you follow when accessing that page. However, this behaviour\n"
-"can unfortunately considerably affect privacy and can lead even to a\n"
-"security problem on some badly designed web pages."
+"HTTP referer sending options. HTTP referer is a special header sent in the "
+"HTTP requests, which is supposed to contain the previous page visited by the "
+"browser.This way, the server can know what link did you follow when "
+"accessing that page. However, this behaviour can unfortunately considerably "
+"affect privacy and can lead even to a security problem on some badly "
+"designed web pages."
 msgstr ""
 
-#: src/protocol/http/http.c:154
+#: src/protocol/http/http.c:157
 msgid "Policy"
 msgstr ""
 
-#: src/protocol/http/http.c:157
+#: src/protocol/http/http.c:160
 msgid ""
 "Mode of sending HTTP referer:\n"
 "0 is send no referer\n"
@@ -7517,90 +7512,110 @@ msgid ""
 "3 is send previous URL as referer (correct, but insecure)"
 msgstr ""
 
-#: src/protocol/http/http.c:163
+#: src/protocol/http/http.c:166
 msgid "Fake referer URL"
 msgstr ""
 
-#: src/protocol/http/http.c:165
+#: src/protocol/http/http.c:168
 msgid "Fake referer to be sent when policy is 2."
 msgstr ""
 
-#: src/protocol/http/http.c:168
+#: src/protocol/http/http.c:171
 msgid "Send Accept-Language header"
 msgstr ""
 
-#: src/protocol/http/http.c:170
+#: src/protocol/http/http.c:173
 msgid "Send Accept-Language header."
 msgstr ""
 
-#: src/protocol/http/http.c:172
+#: src/protocol/http/http.c:175
 msgid "Use UI language as Accept-Language"
 msgstr ""
 
-#: src/protocol/http/http.c:174
+#: src/protocol/http/http.c:177
 msgid ""
-"Request localised versions of documents from web-servers (using the\n"
-"Accept-Language header) using the language you have configured for\n"
-"ELinks' user-interface (this also affects navigator.language ECMAScript\n"
-"value available to scripts). Note that some see this as a potential\n"
-"security risk because it tells web-masters and the FBI sniffers about\n"
-"your language preference."
+"Request localised versions of documents from web-servers (using the Accept-"
+"Language header) using the language you have configured for ELinks' user-"
+"interface (this also affects navigator.language ECMAScript value available "
+"to scripts). Note that some see this as a potential security risk because it "
+"tells web-masters and the FBI sniffers about your language preference."
+msgstr ""
+
+#. After the compression support has been tested enough,
+#. * we might wrap this option in #if CFG_DEBUG.
+#: src/protocol/http/http.c:187
+msgid "Enable on-the-fly compression"
 msgstr ""
 
-#: src/protocol/http/http.c:181
+#: src/protocol/http/http.c:189
+msgid ""
+"If enabled, the capability to receive compressed content (gzip and/or bzip2) "
+"is announced to the server, which usually sends the reply compressed, thus "
+"saving some bandwidth at slight CPU expense.\n"
+"\n"
+"If ELinks displays a incomplete page or garbage, try disabling this option. "
+"If that helps, there may be a bug in the decompression part of ELinks. "
+"Please report such bugs.\n"
+"\n"
+"If ELinks has been compiled without compression support, this option has no "
+"effect. To check the supported features, see Help -> About."
+msgstr ""
+
+#: src/protocol/http/http.c:202
 msgid "Activate HTTP TRACE debugging"
 msgstr ""
 
-#: src/protocol/http/http.c:183
+#: src/protocol/http/http.c:204
 msgid ""
-"If active, all HTTP requests are sent with TRACE as their method\n"
-"rather than GET or POST. This is useful for debugging of both ELinks\n"
-"and various server-side scripts --- the server only returns the client's\n"
-"request back to the client verbatim. Note that this type of request may\n"
-"not be enabled on all servers."
+"If active, all HTTP requests are sent with TRACE as their method rather than "
+"GET or POST. This is useful for debugging of both ELinks and various server-"
+"side scripts --- the server only returns the client's request back to the "
+"client verbatim. Note that this type of request may not be enabled on all "
+"servers."
 msgstr ""
 
 #. OSNews.com is supposed to be relying on the textmode token, at least.
-#: src/protocol/http/http.c:190
+#: src/protocol/http/http.c:212
 msgid "User-agent identification"
 msgstr ""
 
-#: src/protocol/http/http.c:192
+#: src/protocol/http/http.c:214
 msgid ""
-"Change the User Agent ID. That means identification string, which\n"
-"is sent to HTTP server when a document is requested. The 'textmode'\n"
-"token in the first field is our silent attempt to establish this as\n"
-"a standard for new textmode user agents, so that the webmasters can\n"
-"have just a single uniform test for these if they are e.g. pushing\n"
-"some lite version to them automagically.\n"
+"Change the User Agent ID. That means identification string, which is sent to "
+"HTTP server when a document is requested. The 'textmode' token in the first "
+"field is our silent attempt to establish this as a standard for new textmode "
+"user agents, so that the webmasters can have just a single uniform test for "
+"these if they are e.g. pushing some lite version to them automagically.\n"
+"\n"
 "Use \" \" if you don't want any User-Agent header to be sent at all.\n"
+"\n"
 "%v in the string means ELinks version,\n"
 "%s in the string means system identification,\n"
 "%t in the string means size of the terminal,\n"
 "%b in the string means number of bars displayed by ELinks."
 msgstr ""
 
-#: src/protocol/http/http.c:205
+#: src/protocol/http/http.c:231
 msgid "HTTPS"
 msgstr ""
 
-#: src/protocol/http/http.c:207
+#: src/protocol/http/http.c:233
 #, fuzzy
 msgid "HTTPS-specific options."
 msgstr "No hay programa especificado para"
 
-#: src/protocol/http/http.c:211
+#: src/protocol/http/http.c:237
 msgid "HTTPS proxy configuration."
 msgstr ""
 
-#: src/protocol/http/http.c:215
+#: src/protocol/http/http.c:241
 msgid ""
-"Host and port-number (host:port) of the HTTPS CONNECT proxy, or blank.\n"
-"If it's blank, HTTPS_PROXY environment variable is checked as well."
+"Host and port-number (host:port) of the HTTPS CONNECT proxy, or blank. If "
+"it's blank, HTTPS_PROXY environment variable is checked as well."
 msgstr ""
 
 #. name:
-#: src/protocol/nntp/nntp.c:32 src/protocol/nntp/nntp.c:65
+#: src/protocol/nntp/nntp.c:32 src/protocol/nntp/nntp.c:66
 msgid "NNTP"
 msgstr ""
 
@@ -7615,19 +7630,19 @@ msgstr ""
 
 #: src/protocol/nntp/nntp.c:38
 msgid ""
-"Used when resolving news: URIs. If set to the empty string\n"
-"the value of the NNTPSERVER environment variable will be used."
+"Used when resolving news: URIs. If set to the empty string the value of the "
+"NNTPSERVER environment variable will be used."
 msgstr ""
 
-#: src/protocol/nntp/nntp.c:41
+#: src/protocol/nntp/nntp.c:42
 msgid "Message header entries"
 msgstr ""
 
-#: src/protocol/nntp/nntp.c:43
+#: src/protocol/nntp/nntp.c:44
 msgid ""
-"Comma separated list of which entries in the article header\n"
-"to show. E.g. 'Subject' and 'From'.\n"
-"All header entries can be read in the header info dialog."
+"Comma separated list of which entries in the article header to show. E.g. "
+"'Subject' and 'From'. All header entries can be read in the header info "
+"dialog."
 msgstr ""
 
 #: src/protocol/protocol.c:242
@@ -7649,10 +7664,9 @@ msgstr ""
 
 #: src/protocol/protocol.c:279
 msgid ""
-"Comma separated list of domains for which the proxy (HTTP/FTP)\n"
-"should be disabled. Optionally, a port can be specified for some\n"
-"domains as well. If it's blank, NO_PROXY environment variable is\n"
-"checked as well."
+"Comma separated list of domains for which the proxy (HTTP/FTP) should be "
+"disabled. Optionally, a port can be specified for some domains as well. If "
+"it's blank, NO_PROXY environment variable is checked as well."
 msgstr ""
 
 #. name:
@@ -7667,47 +7681,45 @@ msgstr ""
 
 #: src/protocol/rewrite/rewrite.c:46
 msgid ""
-"Rules for rewriting URIs entered in the goto dialog.\n"
-"It makes it possible to define a set of prefixes that will\n"
-"be expanded if they match a string entered in the goto dialog.\n"
-"The prefixes can be dumb, meaning that they work only like\n"
-"URI abbreviations, or smart ones, making it possible to pass\n"
+"Rules for rewriting URIs entered in the goto dialog. It makes it possible to "
+"define a set of prefixes that will be expanded if they match a string "
+"entered in the goto dialog. The prefixes can be dumb, meaning that they work "
+"only like URI abbreviations, or smart ones, making it possible to pass "
 "arguments to them like search engine keywords."
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:53
+#: src/protocol/rewrite/rewrite.c:54
 msgid "Enable dumb prefixes"
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:55
+#: src/protocol/rewrite/rewrite.c:56
 msgid ""
-"Enable dumb prefixes - simple URI abbreviations which can\n"
-"be written to the Goto URL dialog instead of actual URIs - i.e.\n"
-"if you write 'elinks' there, you are directed to\n"
-"http://elinks.cz/."
+"Enable dumb prefixes - simple URI abbreviations which can be written to the "
+"Goto URL dialog instead of actual URIs - i.e. if you write 'elinks' there, "
+"you are directed to http://elinks.cz/."
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:60
+#: src/protocol/rewrite/rewrite.c:61
 msgid "Enable smart prefixes"
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:62
+#: src/protocol/rewrite/rewrite.c:63
 msgid ""
-"Enable smart prefixes - URI templates triggered by writing\n"
-"given abbreviation to the Goto URL dialog followed by a list\n"
-"of arguments from which the actual URI is composed - i.e.\n"
-"'gg:search keywords' or 'gn search keywords for news'."
+"Enable smart prefixes - URI templates triggered by writing given "
+"abbreviation to the Goto URL dialog followed by a list of arguments from "
+"which the actual URI is composed - i.e. 'gg:search keywords' or 'gn search "
+"keywords for news'."
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:67
+#: src/protocol/rewrite/rewrite.c:69
 msgid "Dumb Prefixes"
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:69
+#: src/protocol/rewrite/rewrite.c:71
 msgid "Dumb prefixes, see enable-dumb description for details."
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:74
+#: src/protocol/rewrite/rewrite.c:76
 #, no-c-format
 msgid ""
 "Replacement URI for this dumbprefix:\n"
@@ -7715,15 +7727,15 @@ msgid ""
 "%% in the string means '%'"
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:78
+#: src/protocol/rewrite/rewrite.c:80
 msgid "Smart Prefixes"
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:80
+#: src/protocol/rewrite/rewrite.c:82
 msgid "Smart prefixes, see enable-smart description for details."
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:87
+#: src/protocol/rewrite/rewrite.c:90
 #, no-c-format
 msgid ""
 "Replacement URI for this smartprefix:\n"
@@ -7733,27 +7745,29 @@ msgid ""
 "%% in the string means '%'"
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:93
+#: src/protocol/rewrite/rewrite.c:96
 #, fuzzy
 msgid "Default template"
 msgstr "Cache de documentos con formato"
 
-#: src/protocol/rewrite/rewrite.c:96
+#: src/protocol/rewrite/rewrite.c:99
 #, no-c-format
 msgid ""
-"Default URI template used when the string entered in\n"
-"the goto dialog does not appear to be a URI or a filename\n"
-"(i.e. contains no '.', ':' or '/' characters), and does\n"
-"not match any defined prefixes. Set the value to \"\" to\n"
-"disable use of the default template rewrite rule.\n"
+"Default URI template used when the string entered in the goto dialog does "
+"not appear to be a URI or a filename (i.e. contains no '.', ':' or '/' "
+"characters), and does not match any defined prefixes. Set the value to \"\" "
+"to disable use of the default template rewrite rule.\n"
+"\n"
 "%c in the template means the current URL,\n"
-"%s in the template means the whole string from the goto dialog,\n"
-"%0,%1,...,%9 mean the 1st,2nd,...,10th space-delimited part of %s,\n"
+"%s in the template means the whole string from the goto\n"
+"   dialog,\n"
+"%0,%1,...,%9 mean the 1st,2nd,...,10th space-delimited part\n"
+"   of %s,\n"
 "%% in the template means '%'."
 msgstr ""
 
 #. name:
-#: src/protocol/rewrite/rewrite.c:372
+#: src/protocol/rewrite/rewrite.c:378
 msgid "URI rewrite"
 msgstr ""
 
@@ -7776,25 +7790,24 @@ msgid "Credentials file passed to smbcli
 msgstr ""
 
 #. name:
-#: src/protocol/user.c:34 src/protocol/user.c:84
+#: src/protocol/user.c:34 src/protocol/user.c:85
 #, fuzzy
 msgid "User protocols"
 msgstr "El URL tiene un protocolo de usuario incorrecto"
 
 #: src/protocol/user.c:36
 msgid ""
-"User protocols. Options in this tree specify external\n"
-"handlers for the appropriate protocols. Ie.\n"
-"protocol.user.mailto.unix."
+"User protocols. Options in this tree specify external handlers for the "
+"appropriate protocols. Ie. protocol.user.mailto.unix."
 msgstr ""
 
 #: src/protocol/user.c:47
 msgid ""
-"Handler (external program) for this protocol. Name the\n"
-"options in this tree after your system (ie. unix, unix-xwin)."
+"Handler (external program) for this protocol. Name the options in this tree "
+"after your system (ie. unix, unix-xwin)."
 msgstr ""
 
-#: src/protocol/user.c:52
+#: src/protocol/user.c:53
 msgid ""
 "Handler (external program) for this protocol and system.\n"
 "%f in the string means file name to include form data from\n"
@@ -7805,11 +7818,11 @@ msgid ""
 "%u in the string means the whole URL"
 msgstr ""
 
-#: src/protocol/user.c:276
+#: src/protocol/user.c:277
 msgid "No program"
 msgstr "Sin programa"
 
-#: src/protocol/user.c:278
+#: src/protocol/user.c:279
 #, fuzzy, c-format
 msgid "No program specified for protocol %s."
 msgstr "No hay programa especificado para"
@@ -7895,19 +7908,19 @@ msgstr ""
 msgid "Spidermonkey ECMAScript"
 msgstr "Descripcin"
 
-#: src/session/download.c:233 src/session/download.c:330
-#: src/session/download.c:561 src/session/download.c:649
+#: src/session/download.c:256 src/session/download.c:356
+#: src/session/download.c:587 src/session/download.c:675
 msgid "Download error"
 msgstr "Error de descarga"
 
-#: src/session/download.c:234 src/session/download.c:650
+#: src/session/download.c:257 src/session/download.c:676
 #, fuzzy, c-format
 msgid ""
 "Could not create file '%s':\n"
 "%s"
 msgstr "No puedo escribir en el fichero"
 
-#: src/session/download.c:331
+#: src/session/download.c:357
 #, fuzzy, c-format
 msgid ""
 "Error downloading %s:\n"
@@ -7915,17 +7928,17 @@ msgid ""
 "%s"
 msgstr "Error de descarga"
 
-#: src/session/download.c:562
+#: src/session/download.c:588
 #, c-format
 msgid "'%s' is a directory."
 msgstr ""
 
-#: src/session/download.c:596
+#: src/session/download.c:622
 #, fuzzy
 msgid "File exists"
 msgstr "~Extensiones de fichero"
 
-#: src/session/download.c:597
+#: src/session/download.c:623
 #, c-format
 msgid ""
 "This file already exists:\n"
@@ -7936,51 +7949,51 @@ msgid ""
 msgstr ""
 
 #. accelerator_context(src/session/download.c:lookup_unique_name)
-#: src/session/download.c:604
+#: src/session/download.c:630
 msgid "Sa~ve under the alternative name"
 msgstr ""
 
 #. accelerator_context(src/session/download.c:lookup_unique_name)
-#: src/session/download.c:605
+#: src/session/download.c:631
 msgid "~Overwrite the original file"
 msgstr ""
 
 #. accelerator_context(src/session/download.c:lookup_unique_name)
-#: src/session/download.c:606
+#: src/session/download.c:632
 msgid "~Resume download of the original file"
 msgstr ""
 
-#: src/session/download.c:1109
+#: src/session/download.c:1135
 msgid "Unknown type"
 msgstr "Tipo desconocido"
 
-#: src/session/download.c:1134
+#: src/session/download.c:1160
 #, c-format
 msgid "What would you like to do with the file '%s' (type: %s%s%s)?"
 msgstr ""
 
-#: src/session/download.c:1137
+#: src/session/download.c:1163
 #, c-format
 msgid "What would you like to do with the file (type: %s%s%s)?"
 msgstr ""
 
-#: src/session/download.c:1165
+#: src/session/download.c:1191
 #, no-c-format
 msgid "Program ('%' will be replaced by the filename)"
 msgstr ""
 
-#: src/session/download.c:1169
+#: src/session/download.c:1195
 #, fuzzy
 msgid "Block the terminal"
 msgstr "Terminal ~BeOS"
 
-#: src/session/download.c:1175
+#: src/session/download.c:1201
 #, c-format
 msgid "The file will be opened with the program '%s'."
 msgstr ""
 
 #. accelerator_context(src/session/download.c:do_type_query)
-#: src/session/download.c:1196
+#: src/session/download.c:1222
 #, fuzzy
 msgid "~Open"
 msgstr "Abrir con otro programa"
@@ -7989,12 +8002,12 @@ msgstr "Abrir con otro programa"
 #. * and formatting it with "%u" is safe,
 #. * because fc_maxlength is smaller than
 #. * file.length, which is an int.
-#: src/session/session.c:761 src/session/session.c:780 src/session/task.c:275
-#: src/viewer/text/textarea.c:652
+#: src/session/session.c:771 src/session/session.c:790 src/session/task.c:275
+#: src/viewer/text/textarea.c:641
 msgid "Warning"
 msgstr "Atencin"
 
-#: src/session/session.c:762
+#: src/session/session.c:772
 msgid ""
 "You have an empty string in protocol.http.user_agent - this was a default "
 "value in the past, substituted by default ELinks User-Agent string. However, "
@@ -8005,7 +8018,7 @@ msgid ""
 "will be used. Apologies for any inconvience caused."
 msgstr ""
 
-#: src/session/session.c:781
+#: src/session/session.c:791
 msgid ""
 "You have option config.saving_style set to a de facto obsolete value. The "
 "configuration saving algorithms of ELinks were changed from the last time "
@@ -8018,11 +8031,11 @@ msgid ""
 "caused."
 msgstr ""
 
-#: src/session/session.c:806
+#: src/session/session.c:816
 msgid "Welcome"
 msgstr "Bienvenido"
 
-#: src/session/session.c:807
+#: src/session/session.c:817
 #, fuzzy
 msgid ""
 "Welcome to ELinks!\n"
@@ -8074,22 +8087,22 @@ msgstr ""
 msgid "Warning: terminal name contains illicit chars."
 msgstr ""
 
-#: src/terminal/event.c:259
+#: src/terminal/event.c:258
 #, c-format
 msgid "Failed to create session."
 msgstr ""
 
-#: src/terminal/event.c:446
+#: src/terminal/event.c:443
 #, c-format
 msgid "Bad event %d"
 msgstr ""
 
-#: src/terminal/event.c:486
+#: src/terminal/event.c:483
 #, fuzzy, c-format
 msgid "Could not read event: %d (%s)"
 msgstr "No puedo escribir en el fichero"
 
-#: src/terminal/kbd.c:1187
+#: src/terminal/kbd.c:1210
 #, c-format
 msgid "Too many bytes read from the itrm!"
 msgstr ""
@@ -8168,207 +8181,207 @@ msgstr "No usar recuadros"
 msgid "The requested fragment \"%s\" doesn't exist."
 msgstr ""
 
-#: src/viewer/text/form.c:1092
+#: src/viewer/text/form.c:1118
 msgid "Error while posting form"
 msgstr "Error durante el envo del formulario"
 
-#: src/viewer/text/form.c:1093
+#: src/viewer/text/form.c:1119
 #, fuzzy, c-format
 msgid "Could not load file %s: %s"
 msgstr "No puedo conseguir el fichero"
 
-#: src/viewer/text/form.c:1847
+#: src/viewer/text/form.c:1876
 #, fuzzy
 msgid "Reset form"
 msgstr "~Limpiar formulario"
 
-#: src/viewer/text/form.c:1849
+#: src/viewer/text/form.c:1878
 msgid "Harmless button"
 msgstr ""
 
-#: src/viewer/text/form.c:1857
+#: src/viewer/text/form.c:1886
 msgid "Submit form to"
 msgstr "Enviar formulario a"
 
-#: src/viewer/text/form.c:1858
+#: src/viewer/text/form.c:1887
 msgid "Post form to"
 msgstr "Enviar (Post) formulario a"
 
-#: src/viewer/text/form.c:1860
+#: src/viewer/text/form.c:1889
 msgid "Radio button"
 msgstr "Botn exclusivo"
 
-#: src/viewer/text/form.c:1864
+#: src/viewer/text/form.c:1893
 msgid "Select field"
 msgstr "Campo de seleccin"
 
-#: src/viewer/text/form.c:1868
+#: src/viewer/text/form.c:1897
 msgid "Text area"
 msgstr "Cuadro de texto"
 
-#: src/viewer/text/form.c:1870
+#: src/viewer/text/form.c:1899
 msgid "File upload"
 msgstr "Enviar fichero"
 
-#: src/viewer/text/form.c:1872
+#: src/viewer/text/form.c:1901
 msgid "Password field"
 msgstr "Campo de contrasea"
 
-#: src/viewer/text/form.c:1910
+#: src/viewer/text/form.c:1939
 msgid "name"
 msgstr "nombre"
 
-#: src/viewer/text/form.c:1922
+#: src/viewer/text/form.c:1951
 msgid "value"
 msgstr "valor"
 
-#: src/viewer/text/form.c:1935
+#: src/viewer/text/form.c:1964
 msgid "read only"
 msgstr ""
 
-#: src/viewer/text/form.c:1946
+#: src/viewer/text/form.c:1975
 #, c-format
 msgid "press %s to navigate"
 msgstr ""
 
-#: src/viewer/text/form.c:1948
+#: src/viewer/text/form.c:1977
 #, c-format
 msgid "press %s to edit"
 msgstr ""
 
-#: src/viewer/text/form.c:1984
+#: src/viewer/text/form.c:2013
 #, fuzzy, c-format
 msgid "press %s to submit to %s"
 msgstr "enviar a"
 
-#: src/viewer/text/form.c:1986
+#: src/viewer/text/form.c:2015
 #, fuzzy, c-format
 msgid "press %s to post to %s"
 msgstr "enviar a"
 
-#: src/viewer/text/form.c:2088
+#: src/viewer/text/form.c:2117
 msgid "Useless button"
 msgstr ""
 
-#: src/viewer/text/form.c:2090
+#: src/viewer/text/form.c:2119
 #, fuzzy
 msgid "Submit button"
 msgstr "Enviar formulario a"
 
 #. accelerator_context(link_menu.map)
-#: src/viewer/text/link.c:1281
+#: src/viewer/text/link.c:1280
 msgid "Display ~usemap"
 msgstr "Mostrar ~Usemap"
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1286
+#: src/viewer/text/link.c:1285
 msgid "~Follow link"
 msgstr "~Seguir enlace"
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1288
+#: src/viewer/text/link.c:1287
 msgid "Follow link and r~eload"
 msgstr "Seguir enlace y ~recargar"
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1292
+#: src/viewer/text/link.c:1291
 msgid "Open in new ~window"
 msgstr "~Abrir en nueva ventana"
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1294
+#: src/viewer/text/link.c:1293
 #, fuzzy
 msgid "Open in new ~tab"
 msgstr "~Abrir en nueva ventana"
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1296
+#: src/viewer/text/link.c:1295
 #, fuzzy
 msgid "Open in new tab in ~background"
 msgstr "2 plano"
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1301
+#: src/viewer/text/link.c:1300
 msgid "~Download link"
 msgstr "~Descargar enlace..."
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1304
+#: src/viewer/text/link.c:1303
 msgid "~Add link to bookmarks"
 msgstr "~Aadir enlace a los marcadores"
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1308
+#: src/viewer/text/link.c:1307
 msgid "Pass link URI to e~xternal command"
 msgstr ""
 
 #. accelerator_context(link_menu.form, link_menu.reset, link_menu.textarea)
-#: src/viewer/text/link.c:1319 src/viewer/text/link.c:1359
+#: src/viewer/text/link.c:1318 src/viewer/text/link.c:1358
 msgid "~Reset form"
 msgstr "~Limpiar formulario"
 
 #. accelerator_context(link_menu.textarea)
-#: src/viewer/text/link.c:1334
+#: src/viewer/text/link.c:1333
 msgid "Open in ~external editor"
 msgstr ""
 
 #. accelerator_context(link_menu.form, link_menu.textarea)
-#: src/viewer/text/link.c:1342
+#: src/viewer/text/link.c:1341
 msgid "~Submit form"
 msgstr "~Enviar formulario"
 
 #. accelerator_context(link_menu.form, link_menu.textarea)
-#: src/viewer/text/link.c:1343
+#: src/viewer/text/link.c:1342
 msgid "Submit form and rel~oad"
 msgstr "Enviar formulario y ~recargar"
 
 #. accelerator_context(link_menu.form, link_menu.textarea)
-#: src/viewer/text/link.c:1347
+#: src/viewer/text/link.c:1346
 msgid "Submit form and open in new ~window"
 msgstr "Enviar formulario y ~abrir en nueva ventana"
 
 #. accelerator_context(link_menu.form, link_menu.textarea)
-#: src/viewer/text/link.c:1349
+#: src/viewer/text/link.c:1348
 #, fuzzy
 msgid "Submit form and open in new ~tab"
 msgstr "Enviar formulario y ~abrir en nueva ventana"
 
 #. accelerator_context(link_menu.form, link_menu.textarea)
-#: src/viewer/text/link.c:1352
+#: src/viewer/text/link.c:1351
 #, fuzzy
 msgid "Submit form and open in new tab in ~background"
 msgstr "Enviar formulario y ~abrir en nueva ventana"
 
 #. accelerator_context(link_menu.form, link_menu.textarea)
-#: src/viewer/text/link.c:1357
+#: src/viewer/text/link.c:1356
 msgid "Submit form and ~download"
 msgstr "Enviar formulario y ~descargar..."
 
 #. accelerator_context(link_menu.form, link_menu.reset, link_menu.textarea)
-#: src/viewer/text/link.c:1364
+#: src/viewer/text/link.c:1363
 #, fuzzy
 msgid "Form f~ields"
 msgstr "Campo"
 
 #. accelerator_context(link_menu.form, link_menu.map, link_menu.std)
-#: src/viewer/text/link.c:1371
+#: src/viewer/text/link.c:1370
 msgid "V~iew image"
 msgstr "Ver ~imagen"
 
 #. accelerator_context(link_menu.form, link_menu.map, link_menu.std)
-#: src/viewer/text/link.c:1373
+#: src/viewer/text/link.c:1372
 msgid "Download ima~ge"
 msgstr "Descargar ima~gen"
 
-#: src/viewer/text/link.c:1382
+#: src/viewer/text/link.c:1381
 msgid "No link selected"
 msgstr "No hay enlace seleccionado"
 
-#: src/viewer/text/link.c:1452
+#: src/viewer/text/link.c:1451
 msgid "Image"
 msgstr "Imagen"
 
-#: src/viewer/text/link.c:1457
+#: src/viewer/text/link.c:1456
 msgid "Usemap"
 msgstr "Usemap"
 
@@ -8377,87 +8390,87 @@ msgstr "Usemap"
 msgid "Marks"
 msgstr ""
 
-#: src/viewer/text/search.c:1083
+#: src/viewer/text/search.c:1099
 msgid "Search hit top, continuing at bottom."
 msgstr ""
 
-#: src/viewer/text/search.c:1084
+#: src/viewer/text/search.c:1100
 msgid "Search hit bottom, continuing at top."
 msgstr ""
 
-#: src/viewer/text/search.c:1087
+#: src/viewer/text/search.c:1103
 msgid "No previous search"
 msgstr "No hay busqueda anterior"
 
-#: src/viewer/text/search.c:1099
+#: src/viewer/text/search.c:1115
 #, fuzzy, c-format
 msgid "Could not compile regular expression '%s'"
 msgstr "Introduzca la expresin"
 
-#: src/viewer/text/search.c:1143
+#: src/viewer/text/search.c:1159
 #, c-format
 msgid "No further matches for '%s'."
 msgstr ""
 
-#: src/viewer/text/search.c:1145
+#: src/viewer/text/search.c:1161
 #, c-format
 msgid "Could not find a link with the text '%s'."
 msgstr ""
 
-#: src/viewer/text/search.c:1147 src/viewer/text/search.c:1558
+#: src/viewer/text/search.c:1163 src/viewer/text/search.c:1576
 #, fuzzy
 msgid "Typeahead"
 msgstr "Tipo"
 
-#: src/viewer/text/search.c:1560
+#: src/viewer/text/search.c:1578
 #, c-format
 msgid "No links in current document"
 msgstr ""
 
-#: src/viewer/text/search.c:1643
+#: src/viewer/text/search.c:1661
 msgid "Search for text"
 msgstr "Texto buscado"
 
-#: src/viewer/text/search.c:1679
+#: src/viewer/text/search.c:1697
 #, fuzzy
 msgid "Normal search"
 msgstr "No hay busqueda anterior"
 
-#: src/viewer/text/search.c:1680
+#: src/viewer/text/search.c:1698
 msgid "Regexp search"
 msgstr ""
 
-#: src/viewer/text/search.c:1681
+#: src/viewer/text/search.c:1699
 msgid "Extended regexp search"
 msgstr ""
 
-#: src/viewer/text/search.c:1683
+#: src/viewer/text/search.c:1701
 msgid "Case sensitive"
 msgstr ""
 
-#: src/viewer/text/search.c:1684
+#: src/viewer/text/search.c:1702
 msgid "Case insensitive"
 msgstr ""
 
-#: src/viewer/text/search.c:1708
+#: src/viewer/text/search.c:1726
 msgid "Search backward"
 msgstr "Buscar atrs..."
 
 #. name:
-#: src/viewer/text/search.c:1747
+#: src/viewer/text/search.c:1765
 #, fuzzy
 msgid "Search History"
 msgstr "Bsqueda en el historial"
 
-#: src/viewer/text/textarea.c:595
+#: src/viewer/text/textarea.c:584
 msgid "You cannot launch an external editor in the anonymous mode."
 msgstr ""
 
-#: src/viewer/text/textarea.c:602
+#: src/viewer/text/textarea.c:591
 msgid "You can do this only on the master terminal"
 msgstr "Esto slo se puede hacer en la terminal principal"
 
-#: src/viewer/text/textarea.c:655
+#: src/viewer/text/textarea.c:644
 #, c-format
 msgid ""
 "You have exceeded the textarea's size limit: your input is %d bytes, but the "
@@ -8475,11 +8488,11 @@ msgstr "Ir a enlace"
 msgid "Enter link number"
 msgstr "Introduzca n de enlace"
 
-#: src/viewer/text/view.c:1627
+#: src/viewer/text/view.c:1628
 msgid "Save error"
 msgstr "Error al grabar"
 
-#: src/viewer/text/view.c:1628
+#: src/viewer/text/view.c:1629
 msgid "Error writing to file"
 msgstr "Error escribiendo en el fichero"
 
Binary files 0.12~pre2.dfsg0-1/po/et.gmo and 0.12~pre4-1/po/et.gmo differ
diff -pruN 0.12~pre2.dfsg0-1/po/et.po 0.12~pre4-1/po/et.po
--- 0.12~pre2.dfsg0-1/po/et.po	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/po/et.po	2009-05-31 09:48:47.000000000 +0100
@@ -6,7 +6,7 @@ msgid ""
 msgstr ""
 "Project-Id-Version: ELinks 0.5pre0.CVS\n"
 "Report-Msgid-Bugs-To: elinks-users@linuxfromscratch.org\n"
-"POT-Creation-Date: 2008-09-21 11:13+0300\n"
+"POT-Creation-Date: 2009-05-31 01:57+0300\n"
 "PO-Revision-Date: 2003-01-03 03:41+0100\n"
 "Last-Translator: Taniel Kirikal <taniel@colleduc.ee>\n"
 "Language-Team: Estonian <et@li.org>\n"
@@ -37,7 +37,7 @@ msgstr ""
 #: src/mime/dialogs.c:132 src/protocol/auth/dialogs.c:115
 #: src/protocol/protocol.c:246 src/scripting/lua/core.c:399
 #: src/scripting/lua/core.c:480 src/scripting/python/dialogs.c:86
-#: src/session/session.c:811 src/viewer/text/search.c:1686
+#: src/session/session.c:821 src/viewer/text/search.c:1704
 #, fuzzy
 msgid "~OK"
 msgstr "OK"
@@ -55,13 +55,13 @@ msgid "Sorry, but the item \"%s\" is bei
 msgstr ""
 
 #. cant_delete_folder
-#: src/bfu/hierbox.c:558 src/bookmarks/dialogs.c:121
+#: src/bfu/hierbox.c:558 src/bookmarks/dialogs.c:153
 #, c-format
 msgid "Sorry, but the folder \"%s\" cannot be deleted."
 msgstr ""
 
 #. cant_delete_used_folder
-#: src/bfu/hierbox.c:561 src/bookmarks/dialogs.c:123
+#: src/bfu/hierbox.c:561 src/bookmarks/dialogs.c:155
 #, c-format
 msgid "Sorry, but the folder \"%s\" is being used by something else."
 msgstr ""
@@ -79,7 +79,7 @@ msgid "Delete marked items?"
 msgstr "Mrgista vli"
 
 #. delete_folder_title
-#: src/bfu/hierbox.c:570 src/bookmarks/dialogs.c:129
+#: src/bfu/hierbox.c:570 src/bookmarks/dialogs.c:161
 #, fuzzy
 msgid "Delete folder"
 msgstr "Kustuta jrjehoidja"
@@ -139,13 +139,13 @@ msgstr "Jah"
 msgid "~No"
 msgstr "Ei"
 
-#: src/bfu/hierbox.c:945 src/bfu/hierbox.c:976 src/viewer/text/search.c:1090
-#: src/viewer/text/search.c:1098 src/viewer/text/search.c:1114
-#: src/viewer/text/search.c:1705
+#: src/bfu/hierbox.c:945 src/bfu/hierbox.c:976 src/viewer/text/search.c:1106
+#: src/viewer/text/search.c:1114 src/viewer/text/search.c:1130
+#: src/viewer/text/search.c:1723
 msgid "Search"
 msgstr "Otsing"
 
-#: src/bfu/hierbox.c:947 src/viewer/text/search.c:1091
+#: src/bfu/hierbox.c:947 src/viewer/text/search.c:1107
 #, fuzzy, c-format
 msgid "Search string '%s' not found"
 msgstr "Otsitav sna puudub"
@@ -184,8 +184,8 @@ msgstr "Thi string pole lubatud"
 #: src/dialogs/options.c:237 src/dialogs/options.c:316 src/mime/dialogs.c:133
 #: src/protocol/auth/dialogs.c:116 src/protocol/bittorrent/dialogs.c:814
 #: src/scripting/lua/core.c:400 src/scripting/lua/core.c:481
-#: src/session/download.c:607 src/session/download.c:1219
-#: src/viewer/text/search.c:1687
+#: src/session/download.c:633 src/session/download.c:1245
+#: src/viewer/text/search.c:1705
 #, fuzzy
 msgid "~Cancel"
 msgstr "Thista"
@@ -199,8 +199,8 @@ msgstr "lukustatud"
 msgid "Digital clock in the status bar."
 msgstr ""
 
-#: src/bfu/leds.c:77 src/bfu/leds.c:94 src/config/options.inc:1199
-#: src/config/options.inc:1206 src/ecmascript/ecmascript.c:45
+#: src/bfu/leds.c:77 src/bfu/leds.c:94 src/config/options.inc:1272
+#: src/config/options.inc:1279 src/ecmascript/ecmascript.c:45
 #: src/globhist/globhist.c:64 src/mime/backend/mailcap.c:93
 #: src/mime/backend/mimetypes.c:52 src/network/ssl/ssl.c:81
 #, fuzzy
@@ -218,8 +218,7 @@ msgstr "Faili les laadimine"
 
 #: src/bfu/leds.c:83
 msgid ""
-"Format string for the digital clock. See the strftime(3)\n"
-"manpage for details."
+"Format string for the digital clock. See the strftime(3) manpage for details."
 msgstr ""
 
 #: src/bfu/leds.c:90
@@ -232,8 +231,7 @@ msgstr ""
 
 #: src/bfu/leds.c:96
 msgid ""
-"Enable LEDs.\n"
-"These visual indicators will inform you about various states."
+"Enable LEDs. These visual indicators will inform you about various states."
 msgstr ""
 
 #. name:
@@ -263,34 +261,34 @@ msgstr ""
 msgid "Search menu/"
 msgstr "Otsing"
 
-#: src/bookmarks/backend/xbel.c:97
+#: src/bookmarks/backend/xbel.c:105
 #, c-format
 msgid "read_bookmarks_xbel(): Error in XML_ParserCreate()"
 msgstr ""
 
-#: src/bookmarks/backend/xbel.c:108
+#: src/bookmarks/backend/xbel.c:116
 #, c-format
 msgid "read_bookmarks_xbel(): Error reading %s"
 msgstr ""
 
-#: src/bookmarks/backend/xbel.c:116
+#: src/bookmarks/backend/xbel.c:124
 #, c-format
 msgid ""
 "Parse error while processing XBEL bookmarks in %s at line %d column %d:\n"
 "%s"
 msgstr ""
 
-#: src/bookmarks/backend/xbel.c:390 src/bookmarks/backend/xbel.c:411
+#: src/bookmarks/backend/xbel.c:388 src/bookmarks/backend/xbel.c:410
 msgid "No title"
 msgstr ""
 
-#: src/bookmarks/backend/xbel.c:396
+#: src/bookmarks/backend/xbel.c:394
 #, fuzzy
 msgid "No URL"
 msgstr "Ava URL"
 
 #. name:
-#: src/bookmarks/bookmarks.c:48 src/bookmarks/bookmarks.c:181
+#: src/bookmarks/bookmarks.c:48 src/bookmarks/bookmarks.c:183
 #, fuzzy
 msgid "Bookmarks"
 msgstr "Jrjehoidjad"
@@ -300,7 +298,7 @@ msgstr "Jrjehoidjad"
 msgid "Bookmark options."
 msgstr "Jrjehoidjad"
 
-#: src/bookmarks/bookmarks.c:53 src/bookmarks/bookmarks.c:59
+#: src/bookmarks/bookmarks.c:53 src/bookmarks/bookmarks.c:60
 #, fuzzy
 msgid "File format"
 msgstr "Faili les laadimine"
@@ -309,51 +307,47 @@ msgstr "Faili les laadimine"
 msgid ""
 "File format for bookmarks (affects both reading and saving):\n"
 "0 is the default native ELinks format\n"
-"1 is XBEL universal XML bookmarks format (ELinks bug 153: NO NATIONAL CHARS "
-"SUPPORT!)"
+"1 is XBEL universal XML bookmarks format"
 msgstr ""
 
-#: src/bookmarks/bookmarks.c:61
+#: src/bookmarks/bookmarks.c:62
 msgid ""
 "File format for bookmarks (affects both reading and saving):\n"
 "0 is the default native ELinks format\n"
-"1 is XBEL universal XML bookmarks format (ELinks bug 153: NO NATIONAL CHARS "
-"SUPPORT!)  (DISABLED)"
+"1 is XBEL universal XML bookmarks format  (DISABLED)"
 msgstr ""
 
-#: src/bookmarks/bookmarks.c:67
+#: src/bookmarks/bookmarks.c:68
 #, fuzzy
 msgid "Save folder state"
 msgstr "Sisesta lingi number"
 
-#: src/bookmarks/bookmarks.c:69
+#: src/bookmarks/bookmarks.c:70
 msgid ""
-"When saving bookmarks also store whether folders are\n"
-"expanded or not, so the look of the bookmark dialog is\n"
-"kept across ELinks sessions. If disabled all folders will\n"
-"appear unexpanded next time ELinks is run."
+"When saving bookmarks also store whether folders are expanded or not, so the "
+"look of the bookmark dialog is kept across ELinks sessions. If disabled all "
+"folders will appear unexpanded next time ELinks is run."
 msgstr ""
 
-#: src/bookmarks/bookmarks.c:74
+#: src/bookmarks/bookmarks.c:75
 msgid "Periodic snapshotting"
 msgstr ""
 
-#: src/bookmarks/bookmarks.c:76
+#: src/bookmarks/bookmarks.c:77
 msgid ""
-"Automatically save a snapshot of all tabs periodically.\n"
-"This will periodically bookmark the tabs of each terminal in a separate "
-"folder\n"
-"for recovery after a crash.\n"
+"Automatically save a snapshot of all tabs periodically. This will "
+"periodically bookmark the tabs of each terminal in a separate folder for "
+"recovery after a crash.\n"
 "\n"
 "This feature requires bookmark support."
 msgstr ""
 
-#: src/bookmarks/dialogs.c:72 src/config/options.inc:1051
+#: src/bookmarks/dialogs.c:97 src/config/options.inc:1120
 #: src/dialogs/document.c:145 src/globhist/dialogs.c:65
 msgid "Title"
 msgstr ""
 
-#: src/bookmarks/dialogs.c:73 src/cache/dialogs.c:65
+#: src/bookmarks/dialogs.c:101 src/cache/dialogs.c:65
 #: src/dialogs/document.c:136 src/dialogs/edit.c:96 src/formhist/dialogs.c:63
 #: src/globhist/dialogs.c:66 src/protocol/auth/dialogs.c:163
 #: src/scripting/lua/core.c:397
@@ -361,86 +355,86 @@ msgid "URL"
 msgstr "URL"
 
 #. cant_delete_item
-#: src/bookmarks/dialogs.c:117
+#: src/bookmarks/dialogs.c:149
 #, c-format
 msgid "Sorry, but the bookmark \"%s\" cannot be deleted."
 msgstr ""
 
 #. cant_delete_used_item
-#: src/bookmarks/dialogs.c:119
+#: src/bookmarks/dialogs.c:151
 #, c-format
 msgid "Sorry, but the bookmark \"%s\" is being used by something else."
 msgstr ""
 
 #. delete_marked_items_title
-#: src/bookmarks/dialogs.c:125
+#: src/bookmarks/dialogs.c:157
 #, fuzzy
 msgid "Delete marked bookmarks"
 msgstr "Mrgista vli"
 
 #. delete_marked_items
-#: src/bookmarks/dialogs.c:127
+#: src/bookmarks/dialogs.c:159
 #, fuzzy
 msgid "Delete marked bookmarks?"
 msgstr "Mrgista vli"
 
 #. delete_folder
-#: src/bookmarks/dialogs.c:131
+#: src/bookmarks/dialogs.c:163
 #, fuzzy, c-format
 msgid "Delete the folder \"%s\" and all bookmarks in it?"
 msgstr "Kustutada laiend"
 
 #. delete_item_title
-#: src/bookmarks/dialogs.c:133
+#: src/bookmarks/dialogs.c:165
 #, fuzzy
 msgid "Delete bookmark"
 msgstr "Redigeeri jrjehoidjat"
 
-#: src/bookmarks/dialogs.c:135
+#: src/bookmarks/dialogs.c:167
 #, c-format
 msgid "Delete this bookmark?"
 msgstr ""
 
 #. clear_all_items_title
-#: src/bookmarks/dialogs.c:137
+#: src/bookmarks/dialogs.c:169
 #, fuzzy
 msgid "Clear all bookmarks"
 msgstr "Jrjehoidjad"
 
 #. clear_all_items_title
-#: src/bookmarks/dialogs.c:139
+#: src/bookmarks/dialogs.c:171
 #, fuzzy
 msgid "Do you really want to remove all bookmarks?"
 msgstr "Kas te testi tahate vljuda Linksist?"
 
-#: src/bookmarks/dialogs.c:254
+#: src/bookmarks/dialogs.c:327
 msgid "Add folder"
 msgstr ""
 
-#: src/bookmarks/dialogs.c:254
+#: src/bookmarks/dialogs.c:327
 msgid "Folder name"
 msgstr ""
 
-#: src/bookmarks/dialogs.c:310 src/scripting/lua/core.c:391
+#: src/bookmarks/dialogs.c:410 src/scripting/lua/core.c:391
 msgid "Edit bookmark"
 msgstr "Redigeeri jrjehoidjat"
 
-#: src/bookmarks/dialogs.c:461
+#: src/bookmarks/dialogs.c:567
 msgid "Cannot move folder inside itself"
 msgstr ""
 
-#: src/bookmarks/dialogs.c:462
+#: src/bookmarks/dialogs.c:568
 msgid ""
 "You are trying to move the marked folder inside itself. To move the folder "
 "to a different location select the new location before pressing the Move "
 "button."
 msgstr ""
 
-#: src/bookmarks/dialogs.c:468
+#: src/bookmarks/dialogs.c:574
 msgid "Nothing to move"
 msgstr ""
 
-#: src/bookmarks/dialogs.c:469
+#: src/bookmarks/dialogs.c:575
 msgid ""
 "To move bookmarks, first mark all the bookmarks (or folders) you want to "
 "move.  This can be done with the Insert key if you're using the default key-"
@@ -449,21 +443,21 @@ msgid ""
 msgstr ""
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons, src/cache/dialogs.c:cache_buttons, src/globhist/dialogs.c:globhist_buttons, src/protocol/auth/dialogs.c:auth_buttons)
-#: src/bookmarks/dialogs.c:487 src/cache/dialogs.c:230
+#: src/bookmarks/dialogs.c:593 src/cache/dialogs.c:230
 #: src/globhist/dialogs.c:224 src/protocol/auth/dialogs.c:261
 #, fuzzy
 msgid "~Goto"
 msgstr "Mine"
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons, src/config/dialogs.c:option_buttons, src/cookies/dialogs.c:cookie_buttons)
-#: src/bookmarks/dialogs.c:488 src/config/dialogs.c:503
+#: src/bookmarks/dialogs.c:594 src/config/dialogs.c:503
 #: src/cookies/dialogs.c:492
 #, fuzzy
 msgid "~Edit"
 msgstr "Redigeeri"
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons, src/cache/dialogs.c:cache_buttons, src/config/dialogs.c:keybinding_buttons, src/config/dialogs.c:option_buttons, src/cookies/dialogs.c:cookie_buttons, src/dialogs/menu.c:ext_menu, src/formhist/dialogs.c:formhist_buttons, src/globhist/dialogs.c:globhist_buttons, src/protocol/auth/dialogs.c:auth_buttons)
-#: src/bookmarks/dialogs.c:489 src/cache/dialogs.c:231
+#: src/bookmarks/dialogs.c:595 src/cache/dialogs.c:231
 #: src/config/dialogs.c:505 src/config/dialogs.c:930 src/cookies/dialogs.c:493
 #: src/dialogs/menu.c:463 src/formhist/dialogs.c:211
 #: src/globhist/dialogs.c:229 src/protocol/auth/dialogs.c:263
@@ -471,28 +465,28 @@ msgid "~Delete"
 msgstr "Kustuta"
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons, src/config/dialogs.c:keybinding_buttons, src/config/dialogs.c:option_buttons, src/cookies/dialogs.c:cookie_buttons, src/dialogs/menu.c:ext_menu)
-#: src/bookmarks/dialogs.c:490 src/config/dialogs.c:504
+#: src/bookmarks/dialogs.c:596 src/config/dialogs.c:504
 #: src/config/dialogs.c:929 src/cookies/dialogs.c:490 src/dialogs/menu.c:461
 msgid "~Add"
 msgstr "Lis~a"
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons)
-#: src/bookmarks/dialogs.c:491
+#: src/bookmarks/dialogs.c:597
 msgid "Add se~parator"
 msgstr ""
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons)
-#: src/bookmarks/dialogs.c:492
+#: src/bookmarks/dialogs.c:598
 msgid "Add ~folder"
 msgstr ""
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons)
-#: src/bookmarks/dialogs.c:493
+#: src/bookmarks/dialogs.c:599
 msgid "~Move"
 msgstr ""
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons, src/cache/dialogs.c:cache_buttons, src/config/dialogs.c:keybinding_buttons, src/config/dialogs.c:option_buttons, src/dialogs/menu.c:view_menu, src/globhist/dialogs.c:globhist_buttons)
-#: src/bookmarks/dialogs.c:494 src/cache/dialogs.c:232
+#: src/bookmarks/dialogs.c:600 src/cache/dialogs.c:232
 #: src/config/dialogs.c:506 src/config/dialogs.c:932 src/dialogs/menu.c:413
 #: src/globhist/dialogs.c:230
 msgid "~Search"
@@ -500,38 +494,52 @@ msgstr "Ot~sing"
 
 #. This one is too dangerous, so just let user delete
 #. * the bookmarks file if needed. --Zas
-#: src/bookmarks/dialogs.c:498
+#: src/bookmarks/dialogs.c:604
 msgid "Clear"
 msgstr ""
 
 #. TODO: Would this be useful? --jonas
-#: src/bookmarks/dialogs.c:501 src/globhist/dialogs.c:235
+#: src/bookmarks/dialogs.c:607 src/globhist/dialogs.c:235
 msgid "Save"
 msgstr "Salvesta"
 
-#: src/bookmarks/dialogs.c:507
+#: src/bookmarks/dialogs.c:613
 msgid "Bookmark manager"
 msgstr "Jrjehoidja haldur"
 
-#: src/bookmarks/dialogs.c:632
+#: src/bookmarks/dialogs.c:825
 msgid "Search bookmarks"
 msgstr ""
 
-#: src/bookmarks/dialogs.c:661
+#. When the user eventually pushes the OK button, BFU calls
+#. * bookmark_add_add() and gives it the struct dialog * as the
+#. * void * parameter.  However, bookmark_add_add() also needs
+#. * to know the struct terminal *, and there is no way to get
+#. * that from struct dialog.  The other bookmark dialogs work
+#. * around that by making dialog.udata point to the struct
+#. * dialog_data of the bookmark manager, but the "Add bookmark"
+#. * dialog can be triggered with ACT_MAIN_ADD_BOOKMARK, which
+#. * does not involve the bookmark manager at all.
+#. *
+#. * The solution here is to save the struct terminal * in
+#. * dialog.udata2, which the "Edit bookmark" dialog uses for
+#. * struct bookmark *.  When adding a new bookmark, we don't
+#. * need a pointer to an existing one, of course.
+#: src/bookmarks/dialogs.c:892
 msgid "Add bookmark"
 msgstr "Lisa jrjehoidja"
 
-#: src/bookmarks/dialogs.c:697
+#: src/bookmarks/dialogs.c:950
 #, fuzzy
 msgid "Saved session"
 msgstr "~Salvesta parameetrid"
 
-#: src/bookmarks/dialogs.c:705
+#: src/bookmarks/dialogs.c:958
 #, fuzzy
 msgid "Bookmark tabs"
 msgstr "Jrjehoidjad"
 
-#: src/bookmarks/dialogs.c:705
+#: src/bookmarks/dialogs.c:958
 #, fuzzy
 msgid "Enter folder name"
 msgstr "Sisesta lingi number"
@@ -545,7 +553,7 @@ msgstr "Ava URL"
 msgid "Redirect"
 msgstr ""
 
-#: src/cache/dialogs.c:85 src/config/options.inc:519
+#: src/cache/dialogs.c:85 src/config/options.inc:553
 #: src/dialogs/document.c:156 src/protocol/bittorrent/dialogs.c:126
 msgid "Size"
 msgstr "Suurus"
@@ -592,7 +600,7 @@ msgstr ""
 msgid "ID"
 msgstr ""
 
-#: src/cache/dialogs.c:134 src/config/options.inc:669
+#: src/cache/dialogs.c:134 src/config/options.inc:707
 #, fuzzy
 msgid "Header"
 msgstr "Pise info"
@@ -1346,7 +1354,7 @@ msgstr "Ei leidnud hosti"
 msgid "Resolver error"
 msgstr "Salvestamise viga"
 
-#: src/config/cmdline.c:256 src/cookies/cookies.c:841 src/network/state.c:47
+#: src/config/cmdline.c:256 src/cookies/cookies.c:843 src/network/state.c:47
 #: src/util/secsave.c:379
 msgid "Out of memory"
 msgstr "Mlu otsas"
@@ -1368,290 +1376,291 @@ msgstr ""
 msgid "Remote method not supported"
 msgstr ""
 
-#: src/config/cmdline.c:452
+#: src/config/cmdline.c:437
+msgid "Out of memory formatting option documentation"
+msgstr ""
+
+#: src/config/cmdline.c:474
 msgid "Template option folder"
 msgstr ""
 
-#: src/config/cmdline.c:475
+#: src/config/cmdline.c:497
 #, c-format
 msgid "(default: %ld)"
 msgstr ""
 
-#: src/config/cmdline.c:482 src/config/cmdline.c:511
+#: src/config/cmdline.c:504 src/config/cmdline.c:533
 #, c-format
 msgid "(default: \"%s\")"
 msgstr ""
 
-#: src/config/cmdline.c:487
+#: src/config/cmdline.c:509
 #, c-format
 msgid "(alias for %s)"
 msgstr ""
 
-#: src/config/cmdline.c:492 src/config/cmdline.c:501
+#: src/config/cmdline.c:514 src/config/cmdline.c:523
 #, c-format
 msgid "(default: %s)"
 msgstr ""
 
-#: src/config/cmdline.c:642
+#: src/config/cmdline.c:654
 #, fuzzy
 msgid "Configuration options"
 msgstr "hendused"
 
-#: src/config/cmdline.c:646
+#: src/config/cmdline.c:658
 msgid "Usage: elinks [OPTION]... [URL]..."
 msgstr ""
 
-#: src/config/cmdline.c:647
+#: src/config/cmdline.c:659
 #, fuzzy
 msgid "Options"
 msgstr "~Salvesta parameetrid"
 
-#: src/config/cmdline.c:689
+#: src/config/cmdline.c:701
 #, fuzzy
 msgid "Internal consistency error"
 msgstr "Sisemine viga"
 
 #.
-#: src/config/cmdline.c:725
+#: src/config/cmdline.c:737
 msgid "Restrict to anonymous mode"
 msgstr ""
 
-#: src/config/cmdline.c:727
+#: src/config/cmdline.c:739
 msgid ""
-"Restricts ELinks so it can run on an anonymous account.\n"
-"Local file browsing, downloads, and modification of options\n"
-"will be disabled. Execution of viewers is allowed, but entries\n"
-"in the association table can't be added or modified."
+"Restricts ELinks so it can run on an anonymous account. Local file browsing, "
+"downloads, and modification of options will be disabled. Execution of "
+"viewers is allowed, but entries in the association table can't be added or "
+"modified."
 msgstr ""
 
-#: src/config/cmdline.c:732
+#: src/config/cmdline.c:745
 #, fuzzy
 msgid "Autosubmit first form"
 msgstr "E~sita vorm"
 
-#: src/config/cmdline.c:734
+#: src/config/cmdline.c:747
 msgid "Automatically submit the first form in the given URLs."
 msgstr ""
 
-#: src/config/cmdline.c:736
+#: src/config/cmdline.c:749
 msgid "Clone internal session with given ID"
 msgstr ""
 
-#: src/config/cmdline.c:738
+#: src/config/cmdline.c:751
 msgid ""
-"Used internally when opening ELinks instances in new windows.\n"
-"The ID maps to information that will be used when creating the\n"
-"new instance. You don't want to use it."
+"Used internally when opening ELinks instances in new windows. The ID maps to "
+"information that will be used when creating the new instance. You don't want "
+"to use it."
 msgstr ""
 
-#: src/config/cmdline.c:744
+#: src/config/cmdline.c:757
 msgid "Name of directory with configuration file"
 msgstr ""
 
-#: src/config/cmdline.c:746
+#: src/config/cmdline.c:759
 msgid ""
-"Path of the directory ELinks will read and write its\n"
-"config and runtime state files to instead of ~/.elinks.\n"
-"If the path does not begin with a '/' it is assumed to be\n"
-"relative to your HOME directory."
+"Path of the directory ELinks will read and write its config and runtime "
+"state files to instead of ~/.elinks. If the path does not begin with a '/' "
+"it is assumed to be relative to your HOME directory."
 msgstr ""
 
-#: src/config/cmdline.c:751
+#: src/config/cmdline.c:764
 msgid "Print default configuration file to stdout"
 msgstr ""
 
-#: src/config/cmdline.c:753
+#: src/config/cmdline.c:766
 msgid ""
-"Print a configuration file with options set to the built-in\n"
-"defaults to stdout."
+"Print a configuration file with options set to the built-in defaults to "
+"stdout."
 msgstr ""
 
-#: src/config/cmdline.c:758
+#: src/config/cmdline.c:771
 msgid "Name of configuration file"
 msgstr ""
 
-#: src/config/cmdline.c:760
+#: src/config/cmdline.c:773
 msgid ""
-"Name of the configuration file that all configuration\n"
-"options will be read from and written to. It should be\n"
-"relative to config-dir."
+"Name of the configuration file that all configuration options will be read "
+"from and written to. It should be relative to config-dir."
 msgstr ""
 
-#: src/config/cmdline.c:764
+#: src/config/cmdline.c:777
 msgid "Print help for configuration options"
 msgstr ""
 
-#: src/config/cmdline.c:766
+#: src/config/cmdline.c:779
 msgid "Print help for configuration options and exit."
 msgstr ""
 
-#: src/config/cmdline.c:768
+#: src/config/cmdline.c:781
 msgid "MIME type assumed for unknown document types"
 msgstr ""
 
-#: src/config/cmdline.c:770
+#: src/config/cmdline.c:783
 msgid "The default MIME type used for documents of unknown type."
 msgstr ""
 
-#: src/config/cmdline.c:772
+#: src/config/cmdline.c:786
 msgid "Ignore user-defined keybindings"
 msgstr ""
 
-#: src/config/cmdline.c:774
+#: src/config/cmdline.c:788
 msgid ""
-"When set, all keybindings from configuration files will be\n"
-"ignored. It forces use of default keybindings and will reset\n"
-"user-defined ones on save."
+"When set, all keybindings from configuration files will be ignored. It "
+"forces use of default keybindings and will reset user-defined ones on save."
 msgstr ""
 
-#: src/config/cmdline.c:778
+#: src/config/cmdline.c:792
 msgid "Print formatted versions of given URLs to stdout"
 msgstr ""
 
-#: src/config/cmdline.c:780
+#: src/config/cmdline.c:794
 msgid "Print formatted plain-text versions of given URLs to stdout."
 msgstr ""
 
-#: src/config/cmdline.c:782
+#: src/config/cmdline.c:797
 msgid "Codepage to use with -dump"
 msgstr ""
 
-#: src/config/cmdline.c:784
+#: src/config/cmdline.c:799
 msgid "Codepage used when formatting dump output."
 msgstr ""
 
-#: src/config/cmdline.c:786
+#: src/config/cmdline.c:801
 msgid "Color mode used with -dump"
 msgstr ""
 
-#: src/config/cmdline.c:788
+#: src/config/cmdline.c:803
 msgid "Color mode used with -dump."
 msgstr ""
 
-#: src/config/cmdline.c:790
+#: src/config/cmdline.c:805
 msgid "Width of document formatted with -dump"
 msgstr ""
 
-#: src/config/cmdline.c:792
+#: src/config/cmdline.c:807
 msgid "Width of the dump output."
 msgstr ""
 
-#: src/config/cmdline.c:794
+#: src/config/cmdline.c:809
 msgid "Evaluate configuration file directive"
 msgstr ""
 
-#: src/config/cmdline.c:796
+#: src/config/cmdline.c:811
 msgid ""
-"Specify configuration file directives on the command-line\n"
-"which will be evaluated after all configuration files has been\n"
-"read. Example usage:\n"
+"Specify configuration file directives on the command-line which will be "
+"evaluated after all configuration files has been read. Example usage:\n"
 "\t-eval 'set protocol.file.allow_special_files = 1'"
 msgstr ""
 
 #. lynx compatibility
-#: src/config/cmdline.c:802
+#: src/config/cmdline.c:817
 msgid "Interpret documents of unknown types as HTML"
 msgstr ""
 
-#: src/config/cmdline.c:804
+#: src/config/cmdline.c:819
 msgid ""
-"Makes ELinks assume documents of unknown types are HTML.\n"
-"Useful when using ELinks as an external viewer from MUAs.\n"
-"This is equivalent to -default-mime-type text/html."
+"Makes ELinks assume documents of unknown types are HTML. Useful when using "
+"ELinks as an external viewer from MUAs. This is equivalent to -default-mime-"
+"type text/html."
 msgstr ""
 
-#: src/config/cmdline.c:814
+#: src/config/cmdline.c:829
 msgid "Print usage help and exit"
 msgstr ""
 
-#: src/config/cmdline.c:816
+#: src/config/cmdline.c:831
 msgid "Print usage help and exit."
 msgstr ""
 
-#: src/config/cmdline.c:818
+#: src/config/cmdline.c:833
 msgid "Only permit local connections"
 msgstr ""
 
-#: src/config/cmdline.c:820
+#: src/config/cmdline.c:835
 msgid ""
-"Restricts ELinks to work offline and only connect to servers\n"
-"with local addresses (ie. 127.0.0.1). No connections to remote\n"
-"servers will be permitted."
+"Restricts ELinks to work offline and only connect to servers with local "
+"addresses (ie. 127.0.0.1). No connections to remote servers will be "
+"permitted."
 msgstr ""
 
-#: src/config/cmdline.c:824
+#: src/config/cmdline.c:839
 msgid "Print detailed usage help and exit"
 msgstr ""
 
-#: src/config/cmdline.c:826
+#: src/config/cmdline.c:841
 msgid "Print detailed usage help and exit."
 msgstr ""
 
-#: src/config/cmdline.c:828
+#: src/config/cmdline.c:843
 #, fuzzy
 msgid "Look up specified host"
 msgstr "Pole programmi mrgitud"
 
-#: src/config/cmdline.c:830
+#: src/config/cmdline.c:845
 msgid "Look up specified host and print all DNS resolved IP addresses."
 msgstr ""
 
-#: src/config/cmdline.c:832
+#: src/config/cmdline.c:848
 msgid "Run as separate instance"
 msgstr ""
 
-#: src/config/cmdline.c:834
+#: src/config/cmdline.c:850
 msgid ""
-"Run ELinks as a separate instance instead of connecting to an\n"
-"existing instance. Note that normally no runtime state files\n"
-"(bookmarks, history, etc.) are written to the disk when this\n"
-"option is used. See also -touch-files."
+"Run ELinks as a separate instance instead of connecting to an existing "
+"instance. Note that normally no runtime state files (bookmarks, history, "
+"etc.) are written to the disk when this option is used. See also -touch-"
+"files."
 msgstr ""
 
-#: src/config/cmdline.c:839
+#: src/config/cmdline.c:855
 msgid "Disable use of files in ~/.elinks"
 msgstr ""
 
-#: src/config/cmdline.c:841
+#: src/config/cmdline.c:857
 msgid ""
-"Disables creation and use of files in the user specific home\n"
-"configuration directory (~/.elinks). It forces default configuration\n"
-"values to be used and disables saving of runtime state files."
+"Disables creation and use of files in the user specific home configuration "
+"directory (~/.elinks). It forces default configuration values to be used and "
+"disables saving of runtime state files."
 msgstr ""
 
-#: src/config/cmdline.c:845
+#: src/config/cmdline.c:862
 msgid "Disable link numbering in dump output"
 msgstr ""
 
-#: src/config/cmdline.c:847
+#: src/config/cmdline.c:864
 msgid ""
 "Prevents printing of link number in dump output.\n"
+"\n"
 "Note that this really affects only -dump, nothing else."
 msgstr ""
 
-#: src/config/cmdline.c:850
+#: src/config/cmdline.c:868
 msgid "Disable printing of link references in dump output"
 msgstr ""
 
-#: src/config/cmdline.c:852
+#: src/config/cmdline.c:870
 msgid ""
-"Prevents printing of references (URIs) of document links\n"
-"in dump output.\n"
+"Prevents printing of references (URIs) of document links in dump output.\n"
+"\n"
 "Note that this really affects only -dump, nothing else."
 msgstr ""
 
-#: src/config/cmdline.c:856
+#: src/config/cmdline.c:875
 msgid "Control an already running ELinks"
 msgstr ""
 
-#: src/config/cmdline.c:858
+#: src/config/cmdline.c:877
 msgid ""
-"Control a remote ELinks instance by passing commands to it.\n"
-"The option takes an additional argument containing the method\n"
-"which should be invoked and any parameters that should be passed\n"
-"to it. For ease of use, the additional method argument can be\n"
-"omitted in which case any URL arguments will be opened in new\n"
-"tabs in the remote instance.\n"
+"Control a remote ELinks instance by passing commands to it. The option takes "
+"an additional argument containing the method which should be invoked and any "
+"parameters that should be passed to it. For ease of use, the additional "
+"method argument can be omitted in which case any URL arguments will be "
+"opened in new tabs in the remote instance.\n"
+"\n"
 "Following is a list of the supported methods:\n"
 "\tping()                    : look for a remote instance\n"
 "\topenURL()                 : prompt URL in current tab\n"
@@ -1663,70 +1672,69 @@ msgid ""
 "\txfeDoCommand(openBrowser) : open new window"
 msgstr ""
 
-#: src/config/cmdline.c:874
+#: src/config/cmdline.c:895
 msgid "Connect to session ring with given ID"
 msgstr ""
 
-#: src/config/cmdline.c:876
+#: src/config/cmdline.c:897
 msgid ""
-"ID of session ring this ELinks session should connect to. ELinks\n"
-"works in so-called session rings, whereby all instances of ELinks\n"
-"are interconnected and share state (cache, bookmarks, cookies,\n"
-"and so on). By default, all ELinks instances connect to session\n"
-"ring 0. You can change that behaviour with this switch and form as\n"
-"many session rings as you want. Obviously, if the session-ring with\n"
-"this number doesn't exist yet, it's created and this ELinks instance\n"
-"will become the master instance (that usually doesn't matter for you\n"
-"as a user much). Note that you usually don't want to use this unless\n"
-"you're a developer and you want to do some testing - if you want the\n"
-"ELinks instances each running standalone, rather use the -no-connect\n"
-"command-line option. Also note that normally no runtime state files\n"
-"are written to the disk when this option is used. See also\n"
-"-touch-files."
+"ID of session ring this ELinks session should connect to. ELinks works in so-"
+"called session rings, whereby all instances of ELinks are interconnected and "
+"share state (cache, bookmarks, cookies, and so on). By default, all ELinks "
+"instances connect to session ring 0. You can change that behaviour with this "
+"switch and form as many session rings as you want. Obviously, if the session-"
+"ring with this number doesn't exist yet, it's created and this ELinks "
+"instance will become the master instance (that usually doesn't matter for "
+"you as a user much).\n"
+"\n"
+"Note that you usually don't want to use this unless you're a developer and "
+"you want to do some testing - if you want the ELinks instances each running "
+"standalone, rather use the -no-connect command-line option. Also note that "
+"normally no runtime state files are written to the disk when this option is "
+"used. See also -touch-files."
 msgstr ""
 
-#: src/config/cmdline.c:891
+#: src/config/cmdline.c:915
 msgid "Print the source of given URLs to stdout"
 msgstr ""
 
-#: src/config/cmdline.c:893
+#: src/config/cmdline.c:917
 msgid "Print given URLs in source form to stdout."
 msgstr ""
 
-#: src/config/cmdline.c:897
+#: src/config/cmdline.c:921
 msgid "Touch files in ~/.elinks when running with -no-connect/-session-ring"
 msgstr ""
 
-#: src/config/cmdline.c:899
+#: src/config/cmdline.c:923
 msgid ""
-"When enabled, runtime state files (bookmarks, history, etc.) are\n"
-"written to disk, even when -no-connect or -session-ring is used.\n"
-"The option has no effect if not used in conjunction with any of\n"
-"these options."
+"When enabled, runtime state files (bookmarks, history, etc.) are written to "
+"disk, even when -no-connect or -session-ring is used. The option has no "
+"effect if not used in conjunction with any of these options."
 msgstr ""
 
-#: src/config/cmdline.c:904
+#: src/config/cmdline.c:928
 msgid "Verbose level"
 msgstr ""
 
-#: src/config/cmdline.c:906
+#: src/config/cmdline.c:930
 msgid ""
-"The verbose level controls what messages are shown at\n"
-"start up and while running:\n"
+"The verbose level controls what messages are shown at start up and while "
+"running:\n"
 "\t0 means only show serious errors\n"
 "\t1 means show serious errors and warnings\n"
 "\t2 means show all messages"
 msgstr ""
 
-#: src/config/cmdline.c:912
+#: src/config/cmdline.c:936
 msgid "Print version information and exit"
 msgstr ""
 
-#: src/config/cmdline.c:914
+#: src/config/cmdline.c:938
 msgid "Print ELinks version information and exit."
 msgstr ""
 
-#: src/config/conf.c:938
+#: src/config/conf.c:963
 msgid ""
 "## This is ELinks configuration file. You can edit it manually,\n"
 "## if you wish so; this file is edited by ELinks when you save\n"
@@ -1734,7 +1742,7 @@ msgid ""
 "## and all your formatting, own comments etc will be kept as-is.\n"
 msgstr ""
 
-#: src/config/conf.c:946
+#: src/config/conf.c:971
 msgid ""
 "## This is ELinks configuration file. You can edit it manually,\n"
 "## if you wish so; this file is edited by ELinks when you save\n"
@@ -1745,7 +1753,7 @@ msgid ""
 "## own comments and so on will be kept as-is.\n"
 msgstr ""
 
-#: src/config/conf.c:956
+#: src/config/conf.c:981
 msgid ""
 "## This is ELinks configuration file. You can edit it manually,\n"
 "## if you wish so, but keep in mind that this file is overwritten\n"
@@ -1753,18 +1761,18 @@ msgid ""
 "## luck with your formatting and own comments then, so beware.\n"
 msgstr ""
 
-#: src/config/conf.c:967
+#: src/config/conf.c:992
 msgid ""
 "## Obviously, if you don't like what ELinks is going to do with\n"
 "## this file, you can change it by altering the config.saving_style\n"
 "## option. Come on, aren't we friendly guys after all?\n"
 msgstr ""
 
-#: src/config/conf.c:980
+#: src/config/conf.c:1005
 msgid "Automatically saved options\n"
 msgstr ""
 
-#: src/config/conf.c:992
+#: src/config/conf.c:1017
 msgid "Automatically saved keybindings\n"
 msgstr ""
 
@@ -1825,7 +1833,7 @@ msgstr ""
 #. * switch charsets.  So, it will work in any terminal that
 #. * understands UTF-8 and has the characters in its font.
 #: src/config/dialogs.c:149 src/config/dialogs.c:330
-#: src/config/options.inc:840
+#: src/config/options.inc:887
 msgid "Type"
 msgstr ""
 
@@ -1851,9 +1859,9 @@ msgid "Description"
 msgstr ""
 
 #: src/config/dialogs.c:291 src/protocol/bittorrent/dialogs.c:600
-#: src/protocol/protocol.c:240 src/session/session.c:287
-#: src/session/session.c:975 src/viewer/text/textarea.c:594
-#: src/viewer/text/textarea.c:601
+#: src/protocol/protocol.c:240 src/session/session.c:288
+#: src/session/session.c:999 src/viewer/text/textarea.c:583
+#: src/viewer/text/textarea.c:590
 msgid "Error"
 msgstr "Viga"
 
@@ -1888,7 +1896,7 @@ msgstr ""
 #. accelerator_context(src/config/dialogs.c:keybinding_buttons, src/config/dialogs.c:option_buttons, src/cookies/dialogs.c:cookie_buttons, src/formhist/dialogs.c:formhist_buttons, src/protocol/bittorrent/dialogs.c:bittorrent_query_callback, src/session/download.c:do_type_query, terminal_options)
 #: src/config/dialogs.c:507 src/config/dialogs.c:933 src/cookies/dialogs.c:495
 #: src/dialogs/options.c:236 src/formhist/dialogs.c:214
-#: src/protocol/bittorrent/dialogs.c:801 src/session/download.c:1203
+#: src/protocol/bittorrent/dialogs.c:801 src/session/download.c:1229
 #, fuzzy
 msgid "Sa~ve"
 msgstr "Salvesta"
@@ -1902,7 +1910,7 @@ msgstr "Jrjehoidja haldur"
 msgid "Keystroke"
 msgstr ""
 
-#: src/config/dialogs.c:676 src/config/options.inc:1219
+#: src/config/dialogs.c:676 src/config/options.inc:1292
 msgid "Action"
 msgstr ""
 
@@ -1974,32 +1982,32 @@ msgid ""
 "directory."
 msgstr ""
 
-#: src/config/kbdbind.c:221
+#: src/config/kbdbind.c:222
 msgid "Main mapping"
 msgstr ""
 
-#: src/config/kbdbind.c:222
+#: src/config/kbdbind.c:223
 msgid "Edit mapping"
 msgstr ""
 
-#: src/config/kbdbind.c:223
+#: src/config/kbdbind.c:224
 msgid "Menu mapping"
 msgstr ""
 
-#: src/config/kbdbind.c:588 src/scripting/python/keybinding.c:104
+#: src/config/kbdbind.c:589 src/scripting/python/keybinding.c:104
 msgid "Unrecognised keymap"
 msgstr ""
 
-#: src/config/kbdbind.c:591
+#: src/config/kbdbind.c:592
 #, fuzzy
 msgid "Error parsing keystroke"
 msgstr "Viga soklisse kirjutamisel"
 
-#: src/config/kbdbind.c:595
+#: src/config/kbdbind.c:596
 msgid "Unrecognised action (internal error)"
 msgstr ""
 
-#: src/config/kbdbind.c:611
+#: src/config/kbdbind.c:612
 #, fuzzy
 msgid "Error registering event"
 msgstr "Viga soklisse kirjutamisel"
@@ -2027,332 +2035,327 @@ msgid ""
 "3 is full comments are written"
 msgstr ""
 
-#: src/config/options.inc:31
+#: src/config/options.inc:32
 msgid "Indentation"
 msgstr ""
 
-#: src/config/options.inc:33
+#: src/config/options.inc:34
 msgid ""
-"Shift width of one indentation level in the configuration\n"
-"file. Zero means that no indentation is performed at all\n"
-"when saving the configuration."
+"Shift width of one indentation level in the configuration file. Zero means "
+"that no indentation is performed at all when saving the configuration."
 msgstr ""
 
-#: src/config/options.inc:37
+#: src/config/options.inc:38
 msgid "Saving style"
 msgstr ""
 
-#: src/config/options.inc:39
+#: src/config/options.inc:40
 msgid ""
 "Determines what happens when you tell ELinks to save options:\n"
 "0 is only values of current options are altered\n"
-"1 is values of current options are altered and missing options\n"
-"     are added at the end of the file\n"
+"1 is values of current options are altered and missing\n"
+"     options are added at the end of the file\n"
 "2 is the configuration file is rewritten from scratch\n"
-"3 is values of current options are altered and missing options\n"
-"     CHANGED during this ELinks session are added at the end of\n"
-"     the file"
+"3 is values of current options are altered and missing\n"
+"     options CHANGED during this ELinks session are added at\n"
+"     the end of the file"
 msgstr ""
 
-#: src/config/options.inc:48
+#: src/config/options.inc:50
 msgid "Comments localization"
 msgstr ""
 
-#: src/config/options.inc:50
+#: src/config/options.inc:52
 msgid ""
-"If set to 1, comments in the configuration file will be\n"
-"translated to the language used by UI. Note that if you have\n"
-"different language set in different terminals, the language\n"
-"used in the configuration file MAY be the same as on the\n"
-"terminal where you saved the file, but it should be generally\n"
+"If set to 1, comments in the configuration file will be translated to the "
+"language used by UI. Note that if you have different language set in "
+"different terminals, the language used in the configuration file MAY be the "
+"same as on the terminal where you saved the file, but it should be generally "
 "considered unpredictable."
 msgstr ""
 
-#: src/config/options.inc:58
+#: src/config/options.inc:60
 msgid "Saving style warnings"
 msgstr ""
 
-#: src/config/options.inc:60
+#: src/config/options.inc:62
 msgid ""
-"This is internal option used when displaying a warning about\n"
-"obsolete config.saving_style. You shouldn't touch it."
+"This is internal option used when displaying a warning about obsolete config."
+"saving_style. You shouldn't touch it."
 msgstr ""
 
-#: src/config/options.inc:63
+#: src/config/options.inc:66
 msgid "Show template"
 msgstr ""
 
-#: src/config/options.inc:65
+#: src/config/options.inc:68
 msgid ""
-"Show template options in autocreated trees in the options\n"
-"manager and save them to the configuration file."
+"Show template options in autocreated trees in the options manager and save "
+"them to the configuration file."
 msgstr ""
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:71 src/dialogs/info.c:180
+#: src/config/options.inc:74 src/dialogs/info.c:180
 msgid "Connections"
 msgstr "hendused"
 
-#: src/config/options.inc:73
+#: src/config/options.inc:76
 #, fuzzy
 msgid "Connection options."
 msgstr "hendused"
 
-#: src/config/options.inc:76
+#: src/config/options.inc:79
 msgid "Asynchronous DNS"
 msgstr ""
 
-#: src/config/options.inc:78
+#: src/config/options.inc:81
 msgid "Whether to use asynchronous DNS resolving."
 msgstr ""
 
-#: src/config/options.inc:80
+#: src/config/options.inc:83
 #, fuzzy
 msgid "Maximum connections"
 msgstr "Loon hendust"
 
-#: src/config/options.inc:82
+#: src/config/options.inc:85
 msgid "Maximum number of concurrent connections."
 msgstr ""
 
-#: src/config/options.inc:84
+#: src/config/options.inc:87
 #, fuzzy
 msgid "Maximum connections per host"
 msgstr "Loon hendust"
 
-#: src/config/options.inc:86
+#: src/config/options.inc:89
 msgid "Maximum number of concurrent connections to a given host."
 msgstr ""
 
-#: src/config/options.inc:88
+#: src/config/options.inc:92
 #, fuzzy
 msgid "Connection retries"
 msgstr "hendused"
 
-#: src/config/options.inc:90
-msgid ""
-"Number of tries to establish a connection.\n"
-"Zero means try forever."
+#: src/config/options.inc:94
+msgid "Number of tries to establish a connection. Zero means try forever."
 msgstr ""
 
-#: src/config/options.inc:93 src/network/state.c:53
+#: src/config/options.inc:97 src/network/state.c:53
 msgid "Receive timeout"
 msgstr "Vastuvtmise taimaut"
 
-#: src/config/options.inc:95
+#: src/config/options.inc:99
 #, fuzzy
 msgid "Receive timeout (in seconds)."
 msgstr "Vastuvtmise taimaut"
 
-#: src/config/options.inc:98 src/config/options.inc:108
+#: src/config/options.inc:102 src/config/options.inc:113
 msgid "Try IPv4 when connecting"
 msgstr ""
 
-#: src/config/options.inc:100
+#: src/config/options.inc:104
 msgid ""
-"Whether to try to connect to a host over IPv4.\n"
-"Note that if connection.try_ipv6 is enabled too,\n"
-"it takes precedence. And better do not touch this\n"
+"Whether to try to connect to a host over IPv4. Note that if connection."
+"try_ipv6 is enabled too, it takes precedence. And better do not touch this "
 "at all unless you are sure what are you doing.\n"
-"Note that you can also force a given protocol\n"
-"to be used on a per-connection basis by using a URL\n"
-"in the style of e.g. http4://elinks.cz/."
+"\n"
+"Note that you can also force a given protocol to be used on a per-connection "
+"basis by using a URL in the style of e.g. http4://elinks.cz/."
 msgstr ""
 
-#: src/config/options.inc:110
+#: src/config/options.inc:115
 msgid ""
-"Whether to try to connect to a host over IPv4.\n"
-"Do not touch this option.\n"
-"Note that you can also force a given protocol\n"
-"to be used on a per-connection basis by using a URL\n"
-"in the style of e.g. http4://elinks.cz/."
+"Whether to try to connect to a host over IPv4. Do not touch this option.\n"
+"\n"
+"Note that you can also force a given protocol to be used on a per-connection "
+"basis by using a URL in the style of e.g. http4://elinks.cz/."
 msgstr ""
 
-#: src/config/options.inc:118
+#: src/config/options.inc:124
 msgid "Try IPv6 when connecting"
 msgstr ""
 
-#: src/config/options.inc:120
+#: src/config/options.inc:126
 msgid ""
 "Whether to try to connect to a host over IPv6.\n"
-"Note that you can also force a given protocol\n"
-"to be used on a per-connection basis by using a URL\n"
-"in the style of e.g. http6://elinks.cz/."
+"\n"
+"Note that you can also force a given protocol to be used on a per-connection "
+"basis by using a URL in the style of e.g. http6://elinks.cz/."
 msgstr ""
 
-#: src/config/options.inc:126
+#: src/config/options.inc:133
 msgid "Timeout for non-restartable connections"
 msgstr ""
 
-#: src/config/options.inc:128
+#: src/config/options.inc:135
 msgid "Timeout for non-restartable connections (in seconds)."
 msgstr ""
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:134
+#: src/config/options.inc:141
 #, fuzzy
 msgid "Document"
 msgstr "documents"
 
-#: src/config/options.inc:136
+#: src/config/options.inc:143
 #, fuzzy
 msgid "Document options."
 msgstr "Leheklje ~info"
 
-#: src/config/options.inc:138
+#: src/config/options.inc:145
 msgid "Browsing"
 msgstr ""
 
-#: src/config/options.inc:140
+#: src/config/options.inc:147
 msgid "Document browsing options (mainly interactivity)."
 msgstr ""
 
-#: src/config/options.inc:143
+#: src/config/options.inc:150
 msgid "Access keys"
 msgstr ""
 
-#: src/config/options.inc:145
+#: src/config/options.inc:152
 msgid ""
-"Options for handling of link access keys.\n"
-"An HTML document can use the ACCESSKEY attribute to assign\n"
-"an access key to an element. When an access key is pressed,\n"
-"the corresponding element will be given focus."
+"Options for handling of link access keys. An HTML document can use the "
+"ACCESSKEY attribute to assign an access key to an element. When an access "
+"key is pressed, the corresponding element will be given focus."
 msgstr ""
 
-#: src/config/options.inc:150
+#: src/config/options.inc:157
 msgid "Automatic links following"
 msgstr ""
 
-#: src/config/options.inc:152
+#: src/config/options.inc:159
 msgid ""
-"Automatically follow a link or submit a form if appropriate\n"
-"accesskey is pressed - this is the standard behaviour, but it's\n"
-"considered dangerous."
+"Automatically follow a link or submit a form if appropriate accesskey is "
+"pressed - this is the standard behaviour, but it's considered dangerous."
 msgstr ""
 
-#: src/config/options.inc:156
+#: src/config/options.inc:163
 msgid "Display access key in link info"
 msgstr ""
 
-#: src/config/options.inc:158
+#: src/config/options.inc:165
 msgid "Display access key in link info."
 msgstr ""
 
-#: src/config/options.inc:160
+#: src/config/options.inc:167
 msgid "Accesskey priority"
 msgstr ""
 
-#: src/config/options.inc:162
+#: src/config/options.inc:169
 msgid ""
 "Priority of 'accesskey' HTML attribute:\n"
-"0 is first try all normal bindings; if it fails, check accesskey\n"
-"1 is first try only frame bindings; if it fails, check accesskey\n"
+"0 is first try all normal bindings; if it fails,\n"
+"     check accesskey\n"
+"1 is first try only frame bindings; if it fails,\n"
+"     check accesskey\n"
 "2 is first check accesskey (this can be dangerous)"
 msgstr ""
 
-#: src/config/options.inc:168
+#: src/config/options.inc:177
 msgid "Forms"
 msgstr ""
 
-#: src/config/options.inc:170
+#: src/config/options.inc:179
 msgid "Options for handling of the forms interaction."
 msgstr ""
 
-#: src/config/options.inc:172
+#: src/config/options.inc:181
 #, fuzzy
 msgid "Submit form automatically"
 msgstr "Esita vorm"
 
-#: src/config/options.inc:174
+#: src/config/options.inc:183
 msgid ""
-"Automagically submit a form when enter is pressed with a text\n"
-"field selected."
+"Automagically submit a form when enter is pressed with a text field selected."
 msgstr ""
 
-#: src/config/options.inc:177
+#: src/config/options.inc:186
 msgid "Confirm submission"
 msgstr ""
 
-#: src/config/options.inc:179
+#: src/config/options.inc:188
 msgid "Ask for confirmation when submitting a form."
 msgstr ""
 
-#: src/config/options.inc:181
+#: src/config/options.inc:190
 msgid "Default form input size"
 msgstr ""
 
-#: src/config/options.inc:183
+#: src/config/options.inc:192
 msgid "Default form input size if none is specified."
 msgstr ""
 
-#: src/config/options.inc:185
+#: src/config/options.inc:194
 msgid "Insert mode"
 msgstr ""
 
-#: src/config/options.inc:187
+#: src/config/options.inc:196
 msgid ""
-"The setting for this option affects how key presses are handled\n"
-"when one selects a text-input form-field. When enabled, one must\n"
-"explicitly 'enter' a selected text-field to edit it; this prevents\n"
-"text fields from capturing key presses, such as presses of a scroll\n"
-"key, when it is inadvertently selected. When disabled, key presses\n"
-"are always inserted into a selected text field."
+"The setting for this option affects how key presses are handled when one "
+"selects a text-input form-field. When enabled, one must explicitly 'enter' a "
+"selected text-field to edit it; this prevents text fields from capturing key "
+"presses, such as presses of a scroll key, when it is inadvertently selected. "
+"When disabled, key presses are always inserted into a selected text field."
 msgstr ""
 
-#: src/config/options.inc:194
+#: src/config/options.inc:204
 #, fuzzy
 msgid "External editor"
 msgstr "Sisemine viga"
 
-#: src/config/options.inc:196
+#: src/config/options.inc:206
 msgid ""
-"Path to the executable that ELinks should launch when the user\n"
-"requests to edit a textarea with an external editor.\n"
-"If this is blank, ELinks will use the value of the environmental\n"
-"variable $EDITOR. If $EDITOR is empty or not set, ELinks will then\n"
-"default to \"vi\"."
+"Path to the executable that ELinks should launch when the user requests to "
+"edit a textarea with an external editor.\n"
+"\n"
+"If this is blank, ELinks will use the value of the environmental variable "
+"$EDITOR. If $EDITOR is empty or not set, ELinks will then default to \"vi\"."
 msgstr ""
 
-#: src/config/options.inc:203
+#: src/config/options.inc:214
 #, fuzzy
 msgid "Images"
 msgstr "Pilt"
 
-#: src/config/options.inc:205
+#: src/config/options.inc:216
 msgid "Options for handling of images."
 msgstr ""
 
-#: src/config/options.inc:207
+#: src/config/options.inc:218
 #, fuzzy
 msgid "Display style for image tags"
 msgstr "Nita"
 
-#: src/config/options.inc:209
+#: src/config/options.inc:220
 msgid ""
 "Display style for image tags when displayed:\n"
 "0     means always display IMG\n"
 "1     means always display filename\n"
-"2     means display alt/title attribute if possible, IMG if not\n"
-"3     means display alt/title attribute if possible, filename if not"
+"2     means display alt/title attribute if possible,\n"
+"      IMG if not\n"
+"3     means display alt/title attribute if possible,\n"
+"      filename if not"
 msgstr ""
 
-#: src/config/options.inc:215
+#: src/config/options.inc:228
 msgid "Maximum length for image filename"
 msgstr ""
 
-#: src/config/options.inc:217
+#: src/config/options.inc:230
 msgid ""
 "Maximum length of image filename when displayed:\n"
 "0     means always display full filename\n"
 "1-500 means display filename with this maximal length;\n"
-"      if it is longer, the middle is substituted by an asterisk"
+"      if it is longer, the middle is substituted by\n"
+"      an asterisk"
 msgstr ""
 
-#: src/config/options.inc:227
+#: src/config/options.inc:241
 msgid "Image links tagging"
 msgstr ""
 
-#: src/config/options.inc:229
+#: src/config/options.inc:243
 msgid ""
 "When to enclose image links:\n"
 "0 means never\n"
@@ -2360,92 +2363,92 @@ msgid ""
 "2 means always"
 msgstr ""
 
-#: src/config/options.inc:234
+#: src/config/options.inc:248
 msgid "Image link prefix"
 msgstr ""
 
-#: src/config/options.inc:236
+#: src/config/options.inc:250
 msgid "Prefix string to use to mark image links."
 msgstr ""
 
-#: src/config/options.inc:238
+#: src/config/options.inc:252
 msgid "Image link suffix"
 msgstr ""
 
-#: src/config/options.inc:240
+#: src/config/options.inc:254
 msgid "Suffix string to use to mark image links."
 msgstr ""
 
-#: src/config/options.inc:242
+#: src/config/options.inc:256
 msgid "Maximum length for image label"
 msgstr ""
 
-#: src/config/options.inc:244
+#: src/config/options.inc:258
 msgid ""
 "Maximum length of image label (alt/title):\n"
 "0     means always display full label\n"
 "1-500 means display label with this maximal length;\n"
-"      if it is longer, the middle is substituted by an asterisk"
+"      if it is longer, the middle is substituted by\n"
+"      an asterisk"
 msgstr ""
 
-#: src/config/options.inc:249
+#: src/config/options.inc:264
 msgid "Display links to images w/o alt"
 msgstr ""
 
-#: src/config/options.inc:251
+#: src/config/options.inc:266
 msgid ""
-"Display links to images without an alt attribute. If this option\n"
-"is off, these images are completely invisible."
+"Display links to images without an alt attribute. If this option is off, "
+"these images are completely invisible."
 msgstr ""
 
-#: src/config/options.inc:254
+#: src/config/options.inc:269
 #, fuzzy
 msgid "Display links to images"
 msgstr "Nita"
 
-#: src/config/options.inc:256
+#: src/config/options.inc:271
 msgid ""
-"Display links to any images in the document, regardless of them\n"
-"having an alt attribute or not. If this option is off, the alt\n"
-"attribute contents is shown, but as normal text, not selectable\n"
-"as a link."
+"Display links to any images in the document, regardless of them having an "
+"alt attribute or not. If this option is off, the alt attribute contents is "
+"shown, but as normal text, not selectable as a link."
 msgstr ""
 
-#: src/config/options.inc:262
+#: src/config/options.inc:277
 #, fuzzy
 msgid "Links"
 msgstr "~Link"
 
-#: src/config/options.inc:264
+#: src/config/options.inc:279
 msgid "Options for handling of links to other documents."
 msgstr ""
 
-#: src/config/options.inc:266
+#: src/config/options.inc:281
 msgid "Active link"
 msgstr ""
 
-#: src/config/options.inc:268
+#: src/config/options.inc:283
 msgid "Options for the active link."
 msgstr ""
 
-#: src/config/options.inc:270
+#: src/config/options.inc:285
 #, fuzzy
 msgid "Colors"
 msgstr "Vrviline"
 
-#: src/config/options.inc:272
+#: src/config/options.inc:287
 #, fuzzy
 msgid "Active link colors."
 msgstr "Eemalda taustahendused"
 
-#: src/config/options.inc:274 src/config/options.inc:549
-#: src/config/options.inc:945
+#: src/config/options.inc:289 src/config/options.inc:583
+#: src/config/options.inc:1014
 #, fuzzy
 msgid "Background color"
 msgstr "Taustale"
 
-#: src/config/options.inc:276 src/config/options.inc:551
-#: src/config/options.inc:946
+#: src/config/options.inc:291 src/config/options.inc:585
+#: src/config/options.inc:1015
 #, fuzzy
 msgid "Default background color."
 msgstr "Eemalda taustahendused"
@@ -2458,75 +2461,75 @@ msgstr "Eemalda taustahendused"
 #. *	on it.
 #. The colors and mono tree should be similar but with different default
 #. * values of course so always use the macros below.
-#: src/config/options.inc:278 src/config/options.inc:545
-#: src/config/options.inc:943
+#: src/config/options.inc:293 src/config/options.inc:579
+#: src/config/options.inc:1012
 #, fuzzy
 msgid "Text color"
 msgstr "Teksti ala"
 
-#: src/config/options.inc:280 src/config/options.inc:547
-#: src/config/options.inc:944
+#: src/config/options.inc:295 src/config/options.inc:581
+#: src/config/options.inc:1013
 msgid "Default text color."
 msgstr ""
 
-#: src/config/options.inc:282
+#: src/config/options.inc:297
 #, fuzzy
 msgid "Enable color"
 msgstr "nimi"
 
-#: src/config/options.inc:284
+#: src/config/options.inc:299
 msgid ""
-"Enable use of the active link background and text color\n"
-"settings instead of the link colors from the document."
+"Enable use of the active link background and text color settings instead of "
+"the link colors from the document."
 msgstr ""
 
-#: src/config/options.inc:287
+#: src/config/options.inc:302
 msgid "Bold"
 msgstr ""
 
-#: src/config/options.inc:289
+#: src/config/options.inc:304
 msgid "Make the active link text bold."
 msgstr ""
 
-#: src/config/options.inc:291
+#: src/config/options.inc:306
 #, fuzzy
 msgid "Invert colors"
 msgstr "Teksti ala"
 
-#: src/config/options.inc:293
+#: src/config/options.inc:308
 msgid "Invert the fore- and background color so the link stands out."
 msgstr ""
 
-#: src/config/options.inc:296 src/config/options.inc:908
+#: src/config/options.inc:311 src/config/options.inc:975
 #: src/dialogs/options.c:231
 msgid "Underline"
 msgstr ""
 
-#: src/config/options.inc:298
+#: src/config/options.inc:313
 msgid "Underline the active link."
 msgstr ""
 
-#: src/config/options.inc:301
+#: src/config/options.inc:316
 msgid "Directory highlighting"
 msgstr ""
 
-#: src/config/options.inc:303
+#: src/config/options.inc:318
 msgid "Highlight links to directories in FTP and local directory listing."
 msgstr ""
 
-#: src/config/options.inc:305
+#: src/config/options.inc:321
 msgid "Number links"
 msgstr ""
 
-#: src/config/options.inc:307
+#: src/config/options.inc:323
 msgid "Display numbers next to the links."
 msgstr ""
 
-#: src/config/options.inc:309
+#: src/config/options.inc:325
 msgid "Handling of target=_blank"
 msgstr ""
 
-#: src/config/options.inc:311
+#: src/config/options.inc:327
 msgid ""
 "Define how to handle links having target=_blank set:\n"
 "0 means open link in current tab\n"
@@ -2535,139 +2538,136 @@ msgid ""
 "3 means open link in new window"
 msgstr ""
 
-#: src/config/options.inc:324
+#: src/config/options.inc:340
 msgid "Use tabindex"
 msgstr ""
 
-#: src/config/options.inc:326
+#: src/config/options.inc:342
 msgid ""
-"Whether to navigate links using tabindex specified ordering.\n"
-"The TABINDEX attribute in HTML elements specifies the order\n"
-"in which links should receive focus when using the keyboard\n"
-"to navigate the document."
+"Whether to navigate links using tabindex specified ordering. The TABINDEX "
+"attribute in HTML elements specifies the order in which links should receive "
+"focus when using the keyboard to navigate the document."
 msgstr ""
 
-#: src/config/options.inc:331
+#: src/config/options.inc:347
 #, fuzzy
 msgid "Missing fragment reporting"
 msgstr "Pole paane"
 
-#: src/config/options.inc:333
+#: src/config/options.inc:349
 msgid "Open a message box when document has no tag with given id."
 msgstr ""
 
-#: src/config/options.inc:335
+#: src/config/options.inc:352
 msgid "Number keys select links"
 msgstr ""
 
-#: src/config/options.inc:337
+#: src/config/options.inc:354
 msgid ""
-"Number keys select links rather than specify command prefixes. This\n"
-"is a tristate:\n"
+"Number keys select links rather than specify command prefixes. This is a "
+"tristate:\n"
 "0 means never\n"
 "1 means if document.browse.links.numbering = 1\n"
 "2 means always"
 msgstr ""
 
-#: src/config/options.inc:343
+#: src/config/options.inc:360
 msgid "Warn about maliciously crafted URIs"
 msgstr ""
 
-#: src/config/options.inc:345
+#: src/config/options.inc:362
 msgid ""
-"When following a link the user ID part of the URI is\n"
-"checked and if a maliciously crafted URI is detected a\n"
-"warning dialog will ask before following the link."
+"When following a link the user ID part of the URI is checked and if a "
+"maliciously crafted URI is detected a warning dialog will ask before "
+"following the link."
 msgstr ""
 
 #. TODO - this is somehow implemented by ff, but disabled
 #. * for now as it doesn't work.
-#: src/config/options.inc:351
+#: src/config/options.inc:368
 msgid "Wrap-around links cycling"
 msgstr ""
 
 #. 0
-#: src/config/options.inc:353
+#: src/config/options.inc:370
 msgid ""
-"When pressing 'down' on the last link, jump to the first one, and\n"
-"vice versa."
+"When pressing 'down' on the last link, jump to the first one, and vice versa."
 msgstr ""
 
-#: src/config/options.inc:357
+#: src/config/options.inc:374
 msgid "Scrolling"
 msgstr ""
 
-#: src/config/options.inc:359
+#: src/config/options.inc:376
 #, fuzzy
 msgid "Scrolling options."
 msgstr "Terminali seaded"
 
-#: src/config/options.inc:361
+#: src/config/options.inc:378
 msgid "Horizontal step"
 msgstr ""
 
-#: src/config/options.inc:363
+#: src/config/options.inc:380
 msgid ""
-"Number of columns to scroll when a key bound to scroll-left or scroll-\n"
-"right is pressed and no prefix was given."
+"Number of columns to scroll when a key bound to scroll-left or scroll-right "
+"is pressed and no prefix was given."
 msgstr ""
 
-#: src/config/options.inc:366
+#: src/config/options.inc:384
 msgid "Extended horizontal scrolling"
 msgstr ""
 
-#: src/config/options.inc:368
+#: src/config/options.inc:386
 msgid ""
-"Whether to allow horizontal scrolling when the document\n"
-"does not extend off the screen. Useful for copy/paste\n"
-"operations."
+"Whether to allow horizontal scrolling when the document does not extend off "
+"the screen. Useful for copy/paste operations."
 msgstr ""
 
-#: src/config/options.inc:372
+#: src/config/options.inc:390
 #, fuzzy
 msgid "Margin"
 msgstr "Hoiatus"
 
-#: src/config/options.inc:374
+#: src/config/options.inc:392
 msgid ""
-"Size of the virtual margin - when you click inside of that margin,\n"
-"document scrolls in that direction."
+"Size of the virtual margin - when you click inside of that margin, document "
+"scrolls in that direction."
 msgstr ""
 
-#: src/config/options.inc:377
+#: src/config/options.inc:395
 msgid "Vertical step"
 msgstr ""
 
-#: src/config/options.inc:379
+#: src/config/options.inc:397
 msgid ""
-"Number of lines to scroll when a key bound to scroll-up or scroll-\n"
-"down is pressed and no prefix was given."
+"Number of lines to scroll when a key bound to scroll-up or scroll-down is "
+"pressed and no prefix was given."
 msgstr ""
 
-#: src/config/options.inc:383
+#: src/config/options.inc:401
 #, fuzzy
 msgid "Searching"
 msgstr "Otsing"
 
-#: src/config/options.inc:385
+#: src/config/options.inc:403
 msgid "Options for searching."
 msgstr ""
 
-#: src/config/options.inc:387
+#: src/config/options.inc:405
 msgid "Case sensitivity"
 msgstr ""
 
-#: src/config/options.inc:389
+#: src/config/options.inc:407
 msgid ""
-"Whether the search should match the document text while maintaining\n"
-"case sensitivity."
+"Whether the search should match the document text while maintaining case "
+"sensitivity."
 msgstr ""
 
-#: src/config/options.inc:393
+#: src/config/options.inc:411
 msgid "Regular expressions"
 msgstr ""
 
-#: src/config/options.inc:395
+#: src/config/options.inc:413
 msgid ""
 "Enable searching with regular expressions:\n"
 "0 for plain text searching\n"
@@ -2675,31 +2675,31 @@ msgid ""
 "2 for extended regular expression searches"
 msgstr ""
 
-#: src/config/options.inc:401
+#: src/config/options.inc:419
 msgid "Show search hit top or bottom dialogs"
 msgstr ""
 
-#: src/config/options.inc:403
+#: src/config/options.inc:421
 msgid ""
-"Whether to show a dialog when the search hits the top or bottom of the\n"
+"Whether to show a dialog when the search hits the top or bottom of the "
 "document."
 msgstr ""
 
-#: src/config/options.inc:406
+#: src/config/options.inc:424
 #, fuzzy
 msgid "Wraparound"
 msgstr "Taustale"
 
-#: src/config/options.inc:408
+#: src/config/options.inc:426
 msgid "Wrap around when searching. Currently only used for typeahead."
 msgstr ""
 
-#: src/config/options.inc:410
+#: src/config/options.inc:429
 #, fuzzy
 msgid "Show not found"
 msgstr "Ei leidnud hosti"
 
-#: src/config/options.inc:412
+#: src/config/options.inc:431
 msgid ""
 "How to inform the user when nothing is matched:\n"
 "0 means do nothing\n"
@@ -2707,281 +2707,282 @@ msgid ""
 "2 means pop up message box"
 msgstr ""
 
-#: src/config/options.inc:417
+#: src/config/options.inc:436
 #, fuzzy
 msgid "Typeahead searching"
 msgstr "Ebasobiv string"
 
-#: src/config/options.inc:419
+#: src/config/options.inc:438
 msgid ""
-"Start typeahead searching when an unbound key is pressed without\n"
-"any modifiers. Note that most keys have default bindings, so this\n"
-"feature will not be useful unless you unbind them.\n"
+"Start typeahead searching when an unbound key is pressed without any "
+"modifiers. Note that most keys have default bindings, so this feature will "
+"not be useful unless you unbind them.\n"
 "\n"
-"0 disables this feature; typeahead searching will only be used\n"
-"  when you press a key bound to search-typeahead or similar\n"
+"0 disables this feature; typeahead searching will only be\n"
+"  used when you press a key bound to search-typeahead or\n"
+"  similar\n"
 "1 automatically starts typeahead searching thru link text\n"
-"2 automatically starts typeahead searching thru all document text"
+"2 automatically starts typeahead searching thru all document\n"
+"  text"
 msgstr ""
 
-#: src/config/options.inc:428
+#: src/config/options.inc:451
 msgid "Horizontal text margin"
 msgstr ""
 
-#: src/config/options.inc:430
+#: src/config/options.inc:453
 msgid "Horizontal text margin."
 msgstr ""
 
-#: src/config/options.inc:432
+#: src/config/options.inc:455
 msgid "Document meta refresh"
 msgstr ""
 
-#: src/config/options.inc:434
+#: src/config/options.inc:457
 msgid ""
-"Automatically follow document-specified refresh directives ('<meta>\n"
-"refresh' tags). Web-page authors use these to instruct the browser\n"
-"to reload a document at a given interval or to load another page.\n"
-"Regardless of the value the refresh URI is accessible as a link.\n"
-"Use the document.browse.minimum_refresh_time to control the minimum\n"
-"number of seconds a refresh will wait."
+"Automatically follow document-specified refresh directives ('<meta> refresh' "
+"tags). Web-page authors use these to instruct the browser to reload a "
+"document at a given interval or to load another page. Regardless of the "
+"value the refresh URI is accessible as a link.\n"
+"\n"
+"Use the document.browse.minimum_refresh_time to control the minimum number "
+"of seconds a refresh will wait."
 msgstr ""
 
-#: src/config/options.inc:441
+#: src/config/options.inc:466
 msgid "Document meta refresh minimum time"
 msgstr ""
 
-#: src/config/options.inc:443
+#: src/config/options.inc:468
 msgid ""
-"The minimum number of milliseconds that should pass before\n"
-"refreshing. If set to zero the document refresh time is used\n"
-"unchanged. It can fix going back in history for some sites that\n"
-"use refreshing with zero values."
+"The minimum number of milliseconds that should pass before refreshing. If "
+"set to zero the document refresh time is used unchanged. It can fix going "
+"back in history for some sites that use refreshing with zero values."
 msgstr ""
 
-#: src/config/options.inc:448
+#: src/config/options.inc:473
 msgid "Tables navigation order"
 msgstr ""
 
-#: src/config/options.inc:450
+#: src/config/options.inc:475
 msgid "Move by columns in table, instead of rows."
 msgstr ""
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:456
+#: src/config/options.inc:481
 #, fuzzy
 msgid "Cache"
 msgstr "Thista"
 
-#: src/config/options.inc:458
+#: src/config/options.inc:483
 #, fuzzy
 msgid "Cache options."
 msgstr "~Salvesta parameetrid"
 
-#: src/config/options.inc:460
+#: src/config/options.inc:485
 msgid "Cache information about redirects"
 msgstr ""
 
-#: src/config/options.inc:462
+#: src/config/options.inc:487
 msgid ""
-"Cache even redirects sent by server (usually thru HTTP by a 302\n"
-"HTTP code and a Location header). This was the original behaviour\n"
-"for quite some time, but it causes problems in a situation very\n"
-"common to various web login systems - frequently, when accessing\n"
-"a certain location, they will redirect you to a login page if they\n"
-"don't receive an auth cookie, the login page then gives you the\n"
-"cookie and redirects you back to the original page, but there you\n"
-"have already cached redirect back to the login page! If this\n"
-"option has value of 0, this malfunction is fixed, but occasionally\n"
-"you may get superfluous (depends on how you take it ;-) requests to\n"
-"the server. If this option has value of 1, experienced users can\n"
-"still workaround it by clever combination of usage of reload,\n"
-"jumping around in session history and hitting ctrl+enter.\n"
-"Note that this option is checked when retrieving the information\n"
-"from cache, not when saving it to cache - thus if you enable\n"
-"it, even previous redirects will be taken from cache instead of\n"
-"asking the server."
+"Cache even redirects sent by server (usually thru HTTP by a 302 HTTP code "
+"and a Location header). This was the original behaviour for quite some time, "
+"but it causes problems in a situation very common to various web login "
+"systems - frequently, when accessing a certain location, they will redirect "
+"you to a login page if they don't receive an auth cookie, the login page "
+"then gives you the cookie and redirects you back to the original page, but "
+"there you have already cached redirect back to the login page! If this "
+"option has value of 0, this malfunction is fixed, but occasionally you may "
+"get superfluous (depends on how you take it ;-) requests to the server. If "
+"this option has value of 1, experienced users can still workaround it by "
+"clever combination of usage of reload, jumping around in session history and "
+"hitting ctrl+enter.\n"
+"\n"
+"Note that this option is checked when retrieving the information from cache, "
+"not when saving it to cache - thus if you enable it, even previous redirects "
+"will be taken from cache instead of asking the server."
 msgstr ""
 
-#: src/config/options.inc:480
+#: src/config/options.inc:508
 msgid "Ignore cache-control info from server"
 msgstr ""
 
-#: src/config/options.inc:482
+#: src/config/options.inc:510
 msgid ""
-"Ignore Cache-Control and Pragma server headers.\n"
-"When set, the document is cached even with 'Cache-Control: no-cache'."
+"Ignore Cache-Control and Pragma server headers. When set, the document is "
+"cached even with 'Cache-Control: no-cache'."
 msgstr ""
 
-#: src/config/options.inc:485
+#: src/config/options.inc:514
 #, fuzzy
 msgid "Formatted documents"
 msgstr "Valmisvormindatud leheklgede mlupuhver"
 
-#: src/config/options.inc:487
+#: src/config/options.inc:516
 msgid "Format cache options."
 msgstr ""
 
-#: src/config/options.inc:489
+#: src/config/options.inc:518
 #, fuzzy
 msgid "Number"
 msgstr "Vale number"
 
-#: src/config/options.inc:491
+#: src/config/options.inc:520
 msgid ""
-"Number of cached formatted pages. Do not get too generous\n"
-"here, 'formatted' means that all the accompanying structures\n"
-"are kept in memory so that you get the cached document\n"
-"immediatelly, but these structures may take a lot - 2x the\n"
-"size of the HTML source is probably not unusual, but it can\n"
-"be even more if the document consists of a lot of short lines\n"
-"(padded right, if possible) and links and not much other markup.\n"
-"So if you set this to 256 and then you don't like your ELinks\n"
-"eating 90M, don't come complaining to us. ;-)\n"
-"Also note that the format cache itself is not counted to the\n"
-"memory cache size, but the HTML source of the formatted documents\n"
-"is always cached, even if it is over the memory cache size\n"
-"threshold. (Then of course no other documents can be cached.)"
+"Number of cached formatted pages. Do not get too generous here, 'formatted' "
+"means that all the accompanying structures are kept in memory so that you "
+"get the cached document immediatelly, but these structures may take a lot - "
+"2x the size of the HTML source is probably not unusual, but it can be even "
+"more if the document consists of a lot of short lines (padded right, if "
+"possible) and links and not much other markup. So if you set this to 256 and "
+"then you don't like your ELinks eating 90M, don't come complaining to "
+"us. ;-)\n"
+"\n"
+"Also note that the format cache itself is not counted to the memory cache "
+"size, but the HTML source of the formatted documents is always cached, even "
+"if it is over the memory cache size threshold. (Then of course no other "
+"documents can be cached.)"
 msgstr ""
 
 #. FIXME: Write more.
-#: src/config/options.inc:506
+#: src/config/options.inc:538
 #, fuzzy
 msgid "Revalidation interval"
 msgstr "Salvestamise viga"
 
-#: src/config/options.inc:508
+#: src/config/options.inc:540
 msgid ""
-"Period in seconds that a cache entry is considered to be\n"
-"up-to-date. When a document is loaded and this interval has elapsed\n"
-"since the document was initially loaded or most recently\n"
-"revalidated with the server, the server will be checked in case\n"
-"there is a more up-to-date version of the document.\n"
+"Period in seconds that a cache entry is considered to be up-to-date. When a "
+"document is loaded and this interval has elapsed since the document was "
+"initially loaded or most recently revalidated with the server, the server "
+"will be checked in case there is a more up-to-date version of the document.\n"
 "\n"
 "A value of -1 disables automatic revalidation."
 msgstr ""
 
-#: src/config/options.inc:515 src/dialogs/info.c:199
+#: src/config/options.inc:549 src/dialogs/info.c:199
 msgid "Memory cache"
 msgstr "Mlupuhver"
 
-#: src/config/options.inc:517
+#: src/config/options.inc:551
 #, fuzzy
 msgid "Memory cache options."
 msgstr "Mlupuhver"
 
-#: src/config/options.inc:521
+#: src/config/options.inc:555
 #, fuzzy
 msgid "Memory cache size (in bytes)."
 msgstr "Mlupuhver"
 
-#: src/config/options.inc:525
+#: src/config/options.inc:559
 #, fuzzy
 msgid "Charset"
 msgstr "Kooditabel"
 
-#: src/config/options.inc:527
+#: src/config/options.inc:561
 #, fuzzy
 msgid "Charset options."
 msgstr "~Salvesta parameetrid"
 
-#: src/config/options.inc:529
+#: src/config/options.inc:563
 msgid "Default codepage"
 msgstr ""
 
-#: src/config/options.inc:531
+#: src/config/options.inc:565
 msgid ""
-"Default document codepage. 'System' stands for\n"
-"a codepage determined by a selected locale."
+"Default document codepage. 'System' stands for a codepage determined by a "
+"selected locale."
 msgstr ""
 
-#: src/config/options.inc:534
+#: src/config/options.inc:568
 msgid "Ignore charset info from server"
 msgstr ""
 
-#: src/config/options.inc:536
+#: src/config/options.inc:570
 msgid "Ignore charset info sent by server."
 msgstr ""
 
-#: src/config/options.inc:540
+#: src/config/options.inc:574
 msgid "Default color settings"
 msgstr ""
 
-#: src/config/options.inc:542
+#: src/config/options.inc:576
 msgid "Default document color settings."
 msgstr ""
 
-#: src/config/options.inc:553
+#: src/config/options.inc:587
 msgid "Link color"
 msgstr ""
 
-#: src/config/options.inc:555
+#: src/config/options.inc:589
 msgid "Default link color."
 msgstr ""
 
-#: src/config/options.inc:557
+#: src/config/options.inc:591
 msgid "Visited-link color"
 msgstr ""
 
-#: src/config/options.inc:559
+#: src/config/options.inc:593
 msgid "Default visited link color."
 msgstr ""
 
-#: src/config/options.inc:561
+#: src/config/options.inc:595
 #, fuzzy
 msgid "Image-link color"
 msgstr "Eemalda taustahendused"
 
-#: src/config/options.inc:563
+#: src/config/options.inc:597
 #, fuzzy
 msgid "Default image link color."
 msgstr "Eemalda taustahendused"
 
-#: src/config/options.inc:565
+#: src/config/options.inc:599
 msgid "Bookmarked-link color"
 msgstr ""
 
-#: src/config/options.inc:567
+#: src/config/options.inc:601
 #, fuzzy
 msgid "Default bookmarked link color."
 msgstr "Eemalda taustahendused"
 
-#: src/config/options.inc:569
+#: src/config/options.inc:603
 msgid "Directory color"
 msgstr ""
 
-#: src/config/options.inc:571
+#: src/config/options.inc:605
 msgid ""
 "Default directory color.\n"
+"\n"
 "See document.browse.links.color_dirs option."
 msgstr ""
 
-#: src/config/options.inc:578
+#: src/config/options.inc:613
 msgid "Increase contrast"
 msgstr ""
 
-#: src/config/options.inc:580
+#: src/config/options.inc:615
 msgid ""
-"Increase the contrast between the foreground and background colors\n"
-"to ensure readability. For example it disallows dark colors on a\n"
-"black background. Note, this is different from ensuring the contrast\n"
-"with the ensure_contrast option."
+"Increase the contrast between the foreground and background colors to ensure "
+"readability. For example it disallows dark colors on a black background. "
+"Note, this is different from ensuring the contrast with the ensure_contrast "
+"option."
 msgstr ""
 
-#: src/config/options.inc:585
+#: src/config/options.inc:621
 msgid "Ensure contrast"
 msgstr ""
 
-#: src/config/options.inc:587
+#: src/config/options.inc:623
 msgid "Makes sure that the back- and foreground colors are never equal."
 msgstr ""
 
 #. If you change this please also change ACT_MAIN_DOCUMENT_COLORS action
 #. * handling.
-#: src/config/options.inc:592
+#: src/config/options.inc:628
 msgid "Use document-specified colors"
 msgstr ""
 
-#: src/config/options.inc:594
+#: src/config/options.inc:630
 msgid ""
 "Use colors specified in document:\n"
 "0 is use always the default settings\n"
@@ -2993,40 +2994,40 @@ msgid ""
 msgstr ""
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:607
+#: src/config/options.inc:643
 #, fuzzy
 msgid "Downloading"
 msgstr "Alla laadimine"
 
-#: src/config/options.inc:609
+#: src/config/options.inc:645
 msgid "Options regarding files downloading and handling."
 msgstr ""
 
-#: src/config/options.inc:611
+#: src/config/options.inc:647
 #, fuzzy
 msgid "Default download directory"
 msgstr "Alla laadimise viga"
 
-#: src/config/options.inc:613
+#: src/config/options.inc:649
 msgid "Default download directory."
 msgstr ""
 
-#: src/config/options.inc:615
+#: src/config/options.inc:651
 msgid "Set original time"
 msgstr ""
 
-#: src/config/options.inc:617
+#: src/config/options.inc:653
 msgid ""
-"Set the timestamp of each downloaded file to the timestamp\n"
-"stored on the server."
+"Set the timestamp of each downloaded file to the timestamp stored on the "
+"server."
 msgstr ""
 
 #. Does automatic resuming make sense as an option?
-#: src/config/options.inc:621
+#: src/config/options.inc:657
 msgid "Prevent overwriting"
 msgstr ""
 
-#: src/config/options.inc:623
+#: src/config/options.inc:659
 msgid ""
 "Prevent overwriting the local files:\n"
 "0 is files will silently be overwritten\n"
@@ -3034,11 +3035,11 @@ msgid ""
 "2 is ask the user"
 msgstr ""
 
-#: src/config/options.inc:628
+#: src/config/options.inc:664
 msgid "Notify download completion by bell"
 msgstr ""
 
-#: src/config/options.inc:630
+#: src/config/options.inc:666
 msgid ""
 "Audio notification when download is completed:\n"
 "0 is never\n"
@@ -3046,27 +3047,27 @@ msgid ""
 "2 is always"
 msgstr ""
 
-#: src/config/options.inc:636
+#: src/config/options.inc:672
 msgid "Dump output"
 msgstr ""
 
-#: src/config/options.inc:638
+#: src/config/options.inc:674
 msgid "Dump output options."
 msgstr ""
 
 #. OPT_CODEPAGE
-#: src/config/options.inc:640 src/config/options.inc:912
+#: src/config/options.inc:676 src/config/options.inc:980
 #: src/config/opttypes.c:481 src/dialogs/document.c:164
 msgid "Codepage"
 msgstr "Kooditabel"
 
-#: src/config/options.inc:642
+#: src/config/options.inc:678
 msgid ""
-"Codepage used in dump output. 'System' stands for\n"
-"a codepage determined by a selected locale."
+"Codepage used in dump output. 'System' stands for a codepage determined by a "
+"selected locale."
 msgstr ""
 
-#: src/config/options.inc:645 src/config/options.inc:878
+#: src/config/options.inc:681 src/config/options.inc:941
 #, fuzzy
 msgid "Color mode"
 msgstr "Vrviline"
@@ -3076,12 +3077,14 @@ msgstr "Vrviline"
 #. * an outer list entry after an inner list.
 #. * TRANSLATORS: This restriction applies only to the
 #. * "en" (English) translation.  (See doc/Makefile.)
-#: src/config/options.inc:652
+#: src/config/options.inc:688
 msgid ""
 "Color mode for dumps.\n"
+"\n"
 "Some modes may have been disabled at compile time. The Setup -> Terminal "
 "options dialog lists the modes supported by this executable. If you select "
 "an unsupported mode, ELinks uses 16 colors.\n"
+"\n"
 "The color modes are:\n"
 "-1 is standard dump mode\n"
 "0 is mono mode\n"
@@ -3091,127 +3094,125 @@ msgid ""
 "4 is true color mode"
 msgstr ""
 
-#: src/config/options.inc:665
+#: src/config/options.inc:703
 msgid "Footer"
 msgstr ""
 
-#: src/config/options.inc:667
+#: src/config/options.inc:705
 #, c-format
 msgid "Footer string used in dumps. %u is substituted by URL."
 msgstr ""
 
-#: src/config/options.inc:671
+#: src/config/options.inc:709
 #, c-format
 msgid "Header string used in dumps. %u is substituted by URL."
 msgstr ""
 
-#: src/config/options.inc:673
+#: src/config/options.inc:711
 #, fuzzy
 msgid "Numbering"
 msgstr "Vale number"
 
-#: src/config/options.inc:675
+#: src/config/options.inc:713
 msgid "Whether to print link numbers in dump output."
 msgstr ""
 
-#: src/config/options.inc:677
+#: src/config/options.inc:715
 #, fuzzy
 msgid "References"
 msgstr "Ressursid"
 
-#: src/config/options.inc:679
-msgid ""
-"Whether to print references (URIs) of document links\n"
-"in dump output."
+#: src/config/options.inc:717
+msgid "Whether to print references (URIs) of document links in dump output."
 msgstr ""
 
-#: src/config/options.inc:682
+#: src/config/options.inc:720
 msgid "Separator"
 msgstr ""
 
-#: src/config/options.inc:684
+#: src/config/options.inc:722
 msgid "String which separates two dumps."
 msgstr ""
 
-#: src/config/options.inc:686
+#: src/config/options.inc:724
 msgid "Width"
 msgstr ""
 
-#: src/config/options.inc:688
+#: src/config/options.inc:726
 msgid "Width of screen in characters when dumping documents."
 msgstr ""
 
-#: src/config/options.inc:692
+#: src/config/options.inc:730
 #, fuzzy
 msgid "History"
 msgstr "Ajalugu"
 
-#: src/config/options.inc:694
+#: src/config/options.inc:732
 msgid "History options."
 msgstr ""
 
-#: src/config/options.inc:696
+#: src/config/options.inc:734
 #, fuzzy
 msgid "Keep unhistory"
 msgstr "Ajalugu puudub"
 
-#: src/config/options.inc:698
+#: src/config/options.inc:736
 #, fuzzy
 msgid "Keep unhistory (\"forward history\")."
 msgstr "Ajalugu puudub"
 
-#: src/config/options.inc:701
+#: src/config/options.inc:739
 #, fuzzy
 msgid "HTML rendering"
 msgstr "Kannan le"
 
-#: src/config/options.inc:703
+#: src/config/options.inc:741
 msgid "Options concerning the display of HTML pages."
 msgstr ""
 
-#: src/config/options.inc:705
+#: src/config/options.inc:743
 #, fuzzy
 msgid "Display frames"
 msgstr "Nita"
 
-#: src/config/options.inc:707
+#: src/config/options.inc:745
 #, fuzzy
 msgid "Display frames."
 msgstr "Nita"
 
-#: src/config/options.inc:709
+#: src/config/options.inc:747
 #, fuzzy
 msgid "Display tables"
 msgstr "Nita"
 
-#: src/config/options.inc:711
+#: src/config/options.inc:749
 #, fuzzy
 msgid "Display tables."
 msgstr "Nita"
 
-#: src/config/options.inc:713
+#: src/config/options.inc:751
 #, fuzzy
 msgid "Display subscripts"
 msgstr "Nita ~usemap'i"
 
-#: src/config/options.inc:715
+#: src/config/options.inc:753
 msgid "Display subscripts (as [thing])."
 msgstr ""
 
-#: src/config/options.inc:717
+#: src/config/options.inc:755
 #, fuzzy
 msgid "Display superscripts"
 msgstr "Nita ~usemap'i"
 
-#: src/config/options.inc:719
+#: src/config/options.inc:757
 msgid "Display superscripts (as ^thing)."
 msgstr ""
 
-#: src/config/options.inc:721
+#: src/config/options.inc:759
 msgid "Rendering of HTML link element"
 msgstr ""
 
-#: src/config/options.inc:723
+#: src/config/options.inc:761
 msgid ""
 "How to render <link> tags from the HTML header:\n"
 "0 is nothing\n"
@@ -3222,145 +3223,143 @@ msgid ""
 "5 is everything"
 msgstr ""
 
-#: src/config/options.inc:731
+#: src/config/options.inc:769
 msgid "Underline links"
 msgstr ""
 
-#: src/config/options.inc:733
+#: src/config/options.inc:771
 msgid "Underline links."
 msgstr ""
 
-#: src/config/options.inc:735
+#: src/config/options.inc:773
 msgid "Wrap non breaking space"
 msgstr ""
 
-#: src/config/options.inc:737
+#: src/config/options.inc:775
 msgid ""
-"If set do not honour non breaking space (the nbsp entity)\n"
-"but allow to wrap the text. This can help keeping the width\n"
-"of documents down so no horizontal scrolling is needed."
+"If set do not honour non breaking space (the nbsp entity) but allow to wrap "
+"the text. This can help keeping the width of documents down so no horizontal "
+"scrolling is needed."
 msgstr ""
 
-#: src/config/options.inc:742
+#: src/config/options.inc:780
 #, fuzzy
 msgid "Plain rendering"
 msgstr "Kannan le"
 
-#: src/config/options.inc:744
+#: src/config/options.inc:782
 msgid "Options concerning the display of plain text pages."
 msgstr ""
 
-#: src/config/options.inc:746
+#: src/config/options.inc:784
 #, fuzzy
 msgid "Display URIs"
 msgstr "Nita"
 
-#: src/config/options.inc:748
+#: src/config/options.inc:786
 msgid "Display URIs in the document as links."
 msgstr ""
 
-#: src/config/options.inc:750
+#: src/config/options.inc:788
 msgid "Compress empty lines"
 msgstr ""
 
-#: src/config/options.inc:752
+#: src/config/options.inc:790
 msgid "Compress successive empty lines to only one in displayed text."
 msgstr ""
 
-#: src/config/options.inc:755
+#: src/config/options.inc:794
 msgid "URI passing"
 msgstr ""
 
-#: src/config/options.inc:757
+#: src/config/options.inc:796
 msgid ""
-"Rules for passing URIs to external commands. When one rule\n"
-"is defined the link and tab menu will have a menu item that\n"
-"makes it possible to pass the the link, frame or tab URI to\n"
-"an external command. If several rules are defined the link and\n"
-"tab menu will have a submenu of items for each rule. Note, this\n"
-"is mostly useful for launching graphical viewers, since there\n"
-"is no support for releasing the terminal while the command runs.\n"
-"The action and submenus are also available by binding keys to\n"
-"the frame-external-command, the link-external-command, and\n"
-"the tab-external-command actions."
+"Rules for passing URIs to external commands. When one rule is defined the "
+"link and tab menu will have a menu item that makes it possible to pass the "
+"the link, frame or tab URI to an external command. If several rules are "
+"defined the link and tab menu will have a submenu of items for each rule.\n"
+"\n"
+"Note, this is mostly useful for launching graphical viewers, since there is "
+"no support for releasing the terminal while the command runs. The action and "
+"submenus are also available by binding keys to the frame-external-command, "
+"the link-external-command, and the tab-external-command actions."
 msgstr ""
 
-#: src/config/options.inc:770
+#: src/config/options.inc:812
 msgid ""
-"A rule for passing URI to an external command.\n"
-"The format is:\n"
+"A rule for passing URI to an external command. The format is:\n"
 "%c in the string means the current URL\n"
 "%% in the string means '%'\n"
 "Do _not_ put single- or double-quotes around %c."
 msgstr ""
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:780
+#: src/config/options.inc:822
 msgid "Information files"
 msgstr ""
 
-#: src/config/options.inc:782
+#: src/config/options.inc:824
 msgid "Options for information files in ~/.elinks."
 msgstr ""
 
-#: src/config/options.inc:784
+#: src/config/options.inc:826
 #, fuzzy
 msgid "Save interval"
 msgstr "Salvestamise viga"
 
-#: src/config/options.inc:786
+#: src/config/options.inc:828
 msgid ""
-"Interval at which to trigger information files in ~/.elinks\n"
-"to be saved to disk if they have changed (seconds; 0 to disable)"
+"Interval at which to trigger information files in ~/.elinks to be saved to "
+"disk if they have changed (seconds; 0 to disable)"
 msgstr ""
 
-#: src/config/options.inc:789
+#: src/config/options.inc:832
 msgid "Use secure file saving"
 msgstr ""
 
-#: src/config/options.inc:791
+#: src/config/options.inc:834
 msgid ""
-"First write data to unique temporary file, then rename this file\n"
-"upon successfully finishing this. Note that this relates only to\n"
-"config files, not downloaded files. You may want to disable\n"
-"it if you are using some exotic permissions for concerned files.\n"
-"Secure file saving is automagically disabled if file is symlink.\n"
-"Warning: some systems (ie. OS/2, Win32) require that destination\n"
-"file doesn't exist when rename(3) is called, breaking atomicity,\n"
-"and reducing reliability of this feature."
+"First write data to unique temporary file, then rename this file upon "
+"successfully finishing this. Note that this relates only to config files, "
+"not downloaded files. You may want to disable it if you are using some "
+"exotic permissions for concerned files. Secure file saving is automagically "
+"disabled if file is symlink.\n"
+"\n"
+"Warning: some systems (ie. OS/2, Win32) require that destination file "
+"doesn't exist when rename(3) is called, breaking atomicity, and reducing "
+"reliability of this feature."
 msgstr ""
 
-#: src/config/options.inc:800
+#: src/config/options.inc:846
 msgid "Use fsync(3) with secure file saving"
 msgstr ""
 
-#: src/config/options.inc:802
+#: src/config/options.inc:848
 msgid ""
-"When using secure file saving, call fsync(3), if the OS\n"
-"supports it, to force the OS immediately to write the data\n"
-"to permanent storage. This is optional for those who wish\n"
-"to avoid excessive disk I/O."
+"When using secure file saving, call fsync(3), if the OS supports it, to "
+"force the OS immediately to write the data to permanent storage. This is "
+"optional for those who wish to avoid excessive disk I/O."
 msgstr ""
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:811
+#: src/config/options.inc:857
 #, fuzzy
 msgid "Terminals"
 msgstr "Terminali seaded"
 
-#: src/config/options.inc:813
+#: src/config/options.inc:859
 #, fuzzy
 msgid "Terminal options."
 msgstr "Terminali seaded"
 
-#: src/config/options.inc:817
+#: src/config/options.inc:863
 msgid "Options specific to this terminal type (according to $TERM value)."
 msgstr ""
 
-#: src/config/options.inc:842
+#: src/config/options.inc:889
 msgid ""
-"Terminal type; matters mostly only when drawing frames and\n"
-"dialog box borders:\n"
+"Terminal type; matters mostly only when drawing frames and dialog box "
+"borders:\n"
 "0 is dumb terminal type, ASCII art\n"
 "1 is VT100, simple but portable\n"
 "2 is Linux, you get double frames and other goodies\n"
@@ -3368,15 +3367,31 @@ msgid ""
 "4 is FreeBSD"
 msgstr ""
 
-#: src/config/options.inc:850 src/dialogs/options.c:227
+#: src/config/options.inc:897
+msgid "Always encode xterm title in ISO-8859-1"
+msgstr ""
+
+#: src/config/options.inc:899
+msgid ""
+"When updating the window title of xterm or a similar terminal emulator, "
+"encode the title in ISO-8859-1 (Latin-1), rather than in the charset used "
+"for other text in the window. Cyrillic and other characters get replaced "
+"with Latin ones. Xterm requires this unless you explicitly enable UTF-8 "
+"titles in it.\n"
+"\n"
+"If this option does not take effect immediately, try switching to a "
+"different page so that ELinks notices it needs to update the title."
+msgstr ""
+
+#: src/config/options.inc:910 src/dialogs/options.c:227
 msgid "Switch fonts for line drawing"
 msgstr ""
 
-#: src/config/options.inc:852
+#: src/config/options.inc:912
 msgid ""
-"Switch fonts when drawing lines, enabling both local characters\n"
-"and lines working at the same time. ELinks uses this option only if\n"
-"UTF-8 I/O is disabled and the terminal type is Linux or FreeBSD."
+"Switch fonts when drawing lines, enabling both local characters and lines "
+"working at the same time. ELinks uses this option only if UTF-8 I/O is "
+"disabled and the terminal type is Linux or FreeBSD."
 msgstr ""
 
 #. When CONFIG_UTF8 is defined, any code that reads the "utf_8_io"
@@ -3384,37 +3399,37 @@ msgstr ""
 #. * and if so, behave as if "utf_8_io" were 1.  (When CONFIG_UTF8 is
 #. * not defined, it should not be possible to set UTF-8 as "codepage";
 #. * please report any such possibilities as bugs.)
-#: src/config/options.inc:861 src/dialogs/options.c:232
+#: src/config/options.inc:922 src/dialogs/options.c:232
 msgid "UTF-8 I/O"
 msgstr ""
 
-#: src/config/options.inc:863
+#: src/config/options.inc:924
 msgid ""
-"Enable I/O in UTF-8 for Unicode terminals. Note that currently,\n"
-"only the subset of UTF-8 according to terminal codepage is used.\n"
-"ELinks ignores this option if the terminal codepage is UTF-8."
+"Enable I/O in UTF-8 for Unicode terminals. Note that currently, only the "
+"subset of UTF-8 according to terminal codepage is used. ELinks ignores this "
+"option if the terminal codepage is UTF-8."
 msgstr ""
 
-#: src/config/options.inc:867 src/dialogs/options.c:228
+#: src/config/options.inc:929 src/dialogs/options.c:228
 msgid "Restrict frames in cp850/852"
 msgstr "cp850/852 paanide ra keelamine"
 
-#: src/config/options.inc:869
+#: src/config/options.inc:931
 msgid ""
-"Restrict the characters used when drawing lines. Makes sense\n"
-"only with linux terminals using the cp850/852 character sets."
+"Restrict the characters used when drawing lines. Makes sense only with linux "
+"terminals using the cp850/852 character sets."
 msgstr ""
 
-#: src/config/options.inc:872 src/dialogs/options.c:229
+#: src/config/options.inc:935 src/dialogs/options.c:229
 #, fuzzy
 msgid "Block cursor"
 msgstr "Plokk kursor"
 
-#: src/config/options.inc:874
+#: src/config/options.inc:937
 msgid ""
-"Move cursor to bottom right corner when done drawing.\n"
-"This is particularly useful when we have a block cursor,\n"
-"so that inversed text is displayed correctly."
+"Move cursor to bottom right corner when done drawing. This is particularly "
+"useful when we have a block cursor, so that inversed text is displayed "
+"correctly."
 msgstr ""
 
 #. The list of modes must be at the end of this string
@@ -3422,13 +3437,15 @@ msgstr ""
 #. * an outer list entry after an inner list.
 #. * TRANSLATORS: This restriction applies only to the
 #. * "en" (English) translation.  (See doc/Makefile.)
-#: src/config/options.inc:885
+#: src/config/options.inc:948
 msgid ""
 "The color mode controls what colors are used and how they are output to the "
 "terminal.\n"
+"\n"
 "Some modes may have been disabled at compile time. The Setup -> Terminal "
 "options dialog lists the modes supported by this executable. If you select "
 "an unsupported mode, ELinks uses 16 colors.\n"
+"\n"
 "The color modes are:\n"
 "0 is mono mode, only 2 colors are used\n"
 "1 is 16 color mode, uses the common ANSI colors\n"
@@ -3437,425 +3454,422 @@ msgid ""
 "4 is true color mode, uses konsole RGB codes"
 msgstr ""
 
-#: src/config/options.inc:898 src/dialogs/options.c:230
+#: src/config/options.inc:963 src/dialogs/options.c:230
 msgid "Transparency"
 msgstr ""
 
-#: src/config/options.inc:900
+#: src/config/options.inc:965
 msgid ""
-"If we should not set the background to black. This is particularly\n"
-"useful when we have a terminal (typically in some windowing\n"
-"environment) with a background image or a transparent background -\n"
-"it will be visible in ELinks as well (but ELinks document color handling\n"
-"will still assume the background is black so if you have a bright "
-"background\n"
-"you might experience contrast problems). Note that this option makes\n"
-"sense only when colors are enabled."
+"If we should not set the background to black. This is particularly useful "
+"when we have a terminal (typically in some windowing environment) with a "
+"background image or a transparent background - it will be visible in ELinks "
+"as well (but ELinks document color handling will still assume the background "
+"is black so if you have a bright background you might experience contrast "
+"problems). Note that this option makes sense only when colors are enabled."
 msgstr ""
 
-#: src/config/options.inc:910
+#: src/config/options.inc:977
 msgid "If we should use underline or enhance the color instead."
 msgstr ""
 
-#: src/config/options.inc:914
+#: src/config/options.inc:982
 msgid ""
-"Codepage of charset used for displaying content on terminal.\n"
-"'System' stands for a codepage determined by a selected locale."
+"Codepage of charset used for displaying content on terminal. 'System' stands "
+"for a codepage determined by a selected locale."
 msgstr ""
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:921
+#: src/config/options.inc:990
 msgid "User interface"
 msgstr ""
 
-#: src/config/options.inc:923
+#: src/config/options.inc:992
 #, fuzzy
 msgid "User interface options."
 msgstr "Terminali seaded"
 
-#: src/config/options.inc:927
+#: src/config/options.inc:996
 msgid "Color settings"
 msgstr ""
 
-#: src/config/options.inc:929
+#: src/config/options.inc:998
 msgid "Default user interface color settings."
 msgstr ""
 
-#: src/config/options.inc:956
+#: src/config/options.inc:1025
 #, fuzzy
 msgid "Color terminals"
 msgstr "~BeOS-i terminal"
 
-#: src/config/options.inc:958
+#: src/config/options.inc:1027
 msgid "Color settings for color terminal."
 msgstr ""
 
-#: src/config/options.inc:960
+#: src/config/options.inc:1029
 msgid "Non-color terminals"
 msgstr ""
 
-#: src/config/options.inc:962
+#: src/config/options.inc:1031
 msgid "Color settings for non-color terminal."
 msgstr ""
 
 #. FIXME: obsolete, how to alias them correctly ? --Zas
-#: src/config/options.inc:965
+#: src/config/options.inc:1034
 msgid "Main menu bar"
 msgstr ""
 
-#: src/config/options.inc:967
+#: src/config/options.inc:1036
 msgid "Main menu bar colors."
 msgstr ""
 
-#: src/config/options.inc:969
+#: src/config/options.inc:1038
 msgid "Unselected main menu bar item"
 msgstr ""
 
-#: src/config/options.inc:971
+#: src/config/options.inc:1040
 msgid "Unselected main menu bar item colors."
 msgstr ""
 
-#: src/config/options.inc:973
+#: src/config/options.inc:1042
 msgid "Selected main menu bar item"
 msgstr ""
 
-#: src/config/options.inc:975
+#: src/config/options.inc:1044
 msgid "Selected main menu bar item colors."
 msgstr ""
 
-#: src/config/options.inc:977 src/config/options.inc:1006
+#: src/config/options.inc:1046 src/config/options.inc:1075
 msgid "Hotkey"
 msgstr ""
 
-#: src/config/options.inc:979
+#: src/config/options.inc:1048
 msgid "Main menu hotkey colors."
 msgstr ""
 
-#: src/config/options.inc:981 src/config/options.inc:1010
+#: src/config/options.inc:1050 src/config/options.inc:1079
 msgid "Unselected hotkey"
 msgstr ""
 
-#: src/config/options.inc:983
+#: src/config/options.inc:1052
 msgid "Main menu unselected hotkey colors."
 msgstr ""
 
-#: src/config/options.inc:985 src/config/options.inc:1014
+#: src/config/options.inc:1054 src/config/options.inc:1083
 #, fuzzy
 msgid "Selected hotkey"
 msgstr "Mrgista vli"
 
-#: src/config/options.inc:987
+#: src/config/options.inc:1056
 msgid "Main menu selected hotkey colors."
 msgstr ""
 
-#: src/config/options.inc:990
+#: src/config/options.inc:1059
 msgid "Menu bar"
 msgstr ""
 
-#: src/config/options.inc:992
+#: src/config/options.inc:1061
 msgid "Menu bar colors."
 msgstr ""
 
-#: src/config/options.inc:994
+#: src/config/options.inc:1063
 msgid "Unselected menu item"
 msgstr ""
 
-#: src/config/options.inc:996
+#: src/config/options.inc:1065
 msgid "Unselected menu item colors."
 msgstr ""
 
-#: src/config/options.inc:998
+#: src/config/options.inc:1067
 #, fuzzy
 msgid "Selected menu item"
 msgstr "Mrgista vli"
 
-#: src/config/options.inc:1000
+#: src/config/options.inc:1069
 msgid "Selected menu item colors."
 msgstr ""
 
-#: src/config/options.inc:1002
+#: src/config/options.inc:1071
 #, fuzzy
 msgid "Marked menu item"
 msgstr "Mrgista vli"
 
-#: src/config/options.inc:1004
+#: src/config/options.inc:1073
 msgid "Marked menu item colors."
 msgstr ""
 
-#: src/config/options.inc:1008
+#: src/config/options.inc:1077
 msgid "Menu item hotkey colors."
 msgstr ""
 
-#: src/config/options.inc:1012
+#: src/config/options.inc:1081
 msgid "Menu item unselected hotkey colors."
 msgstr ""
 
-#: src/config/options.inc:1016
+#: src/config/options.inc:1085
 msgid "Menu item selected hotkey colors."
 msgstr ""
 
-#: src/config/options.inc:1018
+#: src/config/options.inc:1087
 #, fuzzy
 msgid "Menu frame"
 msgstr "Pole paane"
 
-#: src/config/options.inc:1020
+#: src/config/options.inc:1089
 msgid "Menu frame colors."
 msgstr ""
 
-#: src/config/options.inc:1023
+#: src/config/options.inc:1092
 msgid "Dialog"
 msgstr ""
 
-#: src/config/options.inc:1025
+#: src/config/options.inc:1094
 msgid "Dialog colors."
 msgstr ""
 
-#: src/config/options.inc:1035
+#: src/config/options.inc:1104
 msgid "Generic"
 msgstr ""
 
-#: src/config/options.inc:1037
+#: src/config/options.inc:1106
 #, fuzzy
 msgid "Generic dialog colors."
 msgstr "Eemalda taustahendused"
 
-#: src/config/options.inc:1039
+#: src/config/options.inc:1108
 #, fuzzy
 msgid "Frame"
 msgstr "nimi"
 
-#: src/config/options.inc:1041
+#: src/config/options.inc:1110
 msgid "Dialog frame colors."
 msgstr ""
 
-#: src/config/options.inc:1043
+#: src/config/options.inc:1112
 msgid "Scrollbar"
 msgstr ""
 
-#: src/config/options.inc:1045
+#: src/config/options.inc:1114
 msgid "Scrollbar colors."
 msgstr ""
 
-#: src/config/options.inc:1047
+#: src/config/options.inc:1116
 #, fuzzy
 msgid "Selected scrollbar"
 msgstr "Eemalda taustahendused"
 
-#: src/config/options.inc:1049
+#: src/config/options.inc:1118
 #, fuzzy
 msgid "Scrollbar selected colors."
 msgstr "Eemalda taustahendused"
 
-#: src/config/options.inc:1053
+#: src/config/options.inc:1122
 msgid "Dialog title colors."
 msgstr ""
 
-#: src/config/options.inc:1055
+#: src/config/options.inc:1124
 #, fuzzy
 msgid "Text"
 msgstr "Teksti ala"
 
-#: src/config/options.inc:1057
+#: src/config/options.inc:1126
 msgid "Dialog text colors."
 msgstr ""
 
-#: src/config/options.inc:1059 src/viewer/text/form.c:1862
+#: src/config/options.inc:1128 src/viewer/text/form.c:1891
 msgid "Checkbox"
 msgstr "Mrkeruut"
 
-#: src/config/options.inc:1061
+#: src/config/options.inc:1130
 msgid "Dialog checkbox colors."
 msgstr ""
 
-#: src/config/options.inc:1063
+#: src/config/options.inc:1132
 #, fuzzy
 msgid "Selected checkbox"
 msgstr "Mrgista vli"
 
-#: src/config/options.inc:1065
+#: src/config/options.inc:1134
 #, fuzzy
 msgid "Dialog selected checkbox colors."
 msgstr "Eemalda taustahendused"
 
-#: src/config/options.inc:1067
+#: src/config/options.inc:1136
 #, fuzzy
 msgid "Checkbox label"
 msgstr "Mrkeruut"
 
-#: src/config/options.inc:1069
+#: src/config/options.inc:1138
 msgid "Dialog checkbox label colors."
 msgstr ""
 
-#: src/config/options.inc:1071
+#: src/config/options.inc:1140
 msgid "Button"
 msgstr ""
 
-#: src/config/options.inc:1073 src/config/options.inc:1081
+#: src/config/options.inc:1142 src/config/options.inc:1150
 msgid "Dialog button colors."
 msgstr ""
 
-#: src/config/options.inc:1075
+#: src/config/options.inc:1144
 msgid "Selected button"
 msgstr ""
 
-#: src/config/options.inc:1077 src/config/options.inc:1085
+#: src/config/options.inc:1146 src/config/options.inc:1154
 msgid "Dialog selected button colors."
 msgstr ""
 
-#: src/config/options.inc:1079
+#: src/config/options.inc:1148
 msgid "Button shortcut"
 msgstr ""
 
-#: src/config/options.inc:1083
+#: src/config/options.inc:1152
 #, fuzzy
 msgid "Selected button shortcut"
 msgstr "Mrgista vli"
 
-#: src/config/options.inc:1087 src/viewer/text/form.c:1866
+#: src/config/options.inc:1156 src/viewer/text/form.c:1895
 msgid "Text field"
 msgstr "Tekstivli"
 
-#: src/config/options.inc:1089
+#: src/config/options.inc:1158
 msgid "Dialog text field colors."
 msgstr ""
 
-#: src/config/options.inc:1091
+#: src/config/options.inc:1160
 #, fuzzy
 msgid "Text field text"
 msgstr "Tekstivli"
 
-#: src/config/options.inc:1093
+#: src/config/options.inc:1162
 msgid "Dialog field text colors."
 msgstr ""
 
-#: src/config/options.inc:1095
+#: src/config/options.inc:1164
 msgid "Meter"
 msgstr ""
 
-#: src/config/options.inc:1097
+#: src/config/options.inc:1166
 msgid "Dialog meter colors."
 msgstr ""
 
-#: src/config/options.inc:1099
+#: src/config/options.inc:1168
 msgid "Shadow"
 msgstr ""
 
-#: src/config/options.inc:1101
+#: src/config/options.inc:1170
 msgid "Dialog shadow colors (see ui.shadows option)."
 msgstr ""
 
-#: src/config/options.inc:1103
+#: src/config/options.inc:1172
 msgid "Title bar"
 msgstr ""
 
-#: src/config/options.inc:1105
+#: src/config/options.inc:1174
 msgid "Title bar colors."
 msgstr ""
 
-#: src/config/options.inc:1107
+#: src/config/options.inc:1176
 msgid "Generic title bar"
 msgstr ""
 
-#: src/config/options.inc:1109
+#: src/config/options.inc:1178
 msgid "Generic title bar colors."
 msgstr ""
 
-#: src/config/options.inc:1111
+#: src/config/options.inc:1180
 msgid "Title bar text"
 msgstr ""
 
-#: src/config/options.inc:1113
+#: src/config/options.inc:1182
 msgid "Title bar text colors."
 msgstr ""
 
-#: src/config/options.inc:1116
+#: src/config/options.inc:1185
 msgid "Status bar"
 msgstr ""
 
-#: src/config/options.inc:1118
+#: src/config/options.inc:1187
 msgid "Status bar colors."
 msgstr ""
 
-#: src/config/options.inc:1120
+#: src/config/options.inc:1189
 msgid "Generic status bar"
 msgstr ""
 
-#: src/config/options.inc:1122
+#: src/config/options.inc:1191
 msgid "Generic status bar colors."
 msgstr ""
 
-#: src/config/options.inc:1124
+#: src/config/options.inc:1193
 #, fuzzy
 msgid "Status bar text"
 msgstr "Tekstiotsing"
 
-#: src/config/options.inc:1126
+#: src/config/options.inc:1195
 msgid "Status bar text colors."
 msgstr ""
 
-#: src/config/options.inc:1129
+#: src/config/options.inc:1198
 msgid "Tabs bar"
 msgstr ""
 
-#: src/config/options.inc:1131
+#: src/config/options.inc:1200
 msgid "Tabs bar colors."
 msgstr ""
 
-#: src/config/options.inc:1133
+#: src/config/options.inc:1202
 #, fuzzy
 msgid "Unvisited tab"
 msgstr "Mrgista vli"
 
-#: src/config/options.inc:1135
+#: src/config/options.inc:1204
 msgid ""
-"Tab colors for tabs that have not been\n"
-"selected since they completed loading."
+"Tab colors for tabs that have not been selected since they completed loading."
 msgstr ""
 
-#: src/config/options.inc:1138
+#: src/config/options.inc:1207
 #, fuzzy
 msgid "Unselected tab"
 msgstr "Mrgista vli"
 
-#: src/config/options.inc:1140
+#: src/config/options.inc:1209
 #, fuzzy
 msgid "Unselected tab colors."
 msgstr "Eemalda taustahendused"
 
-#: src/config/options.inc:1142
+#: src/config/options.inc:1211
 #, fuzzy
 msgid "Loading tab"
 msgstr "laadin"
 
-#: src/config/options.inc:1144
+#: src/config/options.inc:1213
 msgid "Tab colors for tabs that are loading in the background."
 msgstr ""
 
-#: src/config/options.inc:1146
+#: src/config/options.inc:1215
 #, fuzzy
 msgid "Selected tab"
 msgstr "Mrgista vli"
 
-#: src/config/options.inc:1148
+#: src/config/options.inc:1217
 #, fuzzy
 msgid "Selected tab colors."
 msgstr "Eemalda taustahendused"
 
-#: src/config/options.inc:1150
+#: src/config/options.inc:1219
 msgid "Tab separator"
 msgstr ""
 
-#: src/config/options.inc:1152
+#: src/config/options.inc:1221
 msgid "Tab separator colors."
 msgstr ""
 
-#: src/config/options.inc:1155
+#: src/config/options.inc:1224
 #, fuzzy
 msgid "Searched strings"
 msgstr "Ebasobiv string"
 
-#: src/config/options.inc:1157
+#: src/config/options.inc:1226
 #, fuzzy
 msgid "Searched string highlight colors."
 msgstr "Otsitav sna puudub"
@@ -3864,69 +3878,69 @@ msgstr "Otsitav sna puudub"
 #. ============= BORING PART (colors) END ===================
 #. ==========================================================
 #. Keep options in alphabetical order.
-#: src/config/options.inc:1166
+#: src/config/options.inc:1235
 msgid "Dialog settings"
 msgstr ""
 
-#: src/config/options.inc:1168
+#: src/config/options.inc:1237
 msgid "Dialogs-specific appearance and behaviour settings."
 msgstr ""
 
-#: src/config/options.inc:1171
+#: src/config/options.inc:1240
 msgid "Minimal height of listbox widget"
 msgstr ""
 
-#: src/config/options.inc:1173
+#: src/config/options.inc:1242
 msgid ""
-"Minimal height of the listbox widget (used e.g. for bookmarks\n"
-"or global history)."
+"Minimal height of the listbox widget (used e.g. for bookmarks or global "
+"history)."
 msgstr ""
 
-#: src/config/options.inc:1176
+#: src/config/options.inc:1245
 msgid "Drop shadows"
 msgstr ""
 
-#: src/config/options.inc:1178
+#: src/config/options.inc:1247
 msgid ""
-"Make dialogs drop shadows (the shadows are solid, you can\n"
-"adjust their color by ui.colors.*.dialog.shadow). You may\n"
-"also want to eliminate the wide borders by adjusting setup.h."
+"Make dialogs drop shadows (the shadows are solid, you can adjust their color "
+"by ui.colors.*.dialog.shadow). You may also want to eliminate the wide "
+"borders by adjusting setup.h."
 msgstr ""
 
-#: src/config/options.inc:1182
+#: src/config/options.inc:1252
 #, fuzzy
 msgid "Underline menu hotkeys"
 msgstr "Mrgista vli"
 
-#: src/config/options.inc:1184
+#: src/config/options.inc:1254
 msgid ""
-"Whether to underline hotkeys in menus to make them more\n"
-"visible. Requires that underlining is enabled for the terminal."
+"Whether to underline hotkeys in menus to make them more visible. Requires "
+"that underlining is enabled for the terminal."
 msgstr ""
 
-#: src/config/options.inc:1187
+#: src/config/options.inc:1258
 #, fuzzy
 msgid "Underline button shortcuts"
 msgstr "Mrgista vli"
 
-#: src/config/options.inc:1189
+#: src/config/options.inc:1260
 msgid ""
-"Whether to underline button shortcuts to make them more\n"
-"visible. Requires that underlining is enabled for the terminal."
+"Whether to underline button shortcuts to make them more visible. Requires "
+"that underlining is enabled for the terminal."
 msgstr ""
 
-#: src/config/options.inc:1193
+#: src/config/options.inc:1265
 #, fuzzy
 msgid "Timer options"
 msgstr "Terminali seaded"
 
-#: src/config/options.inc:1195
+#: src/config/options.inc:1267
 msgid ""
-"Timed action after certain interval of user inactivity. Someone can\n"
-"even find this useful, although you may not believe that."
+"Timed action after certain interval of user inactivity. Someone can even "
+"find this useful, although you may not believe that."
 msgstr ""
 
-#: src/config/options.inc:1201
+#: src/config/options.inc:1274
 msgid ""
 "Whether to enable the timer or not:\n"
 "0 is don't count down anything\n"
@@ -3934,7 +3948,7 @@ msgid ""
 "2 is count down and show the timer near LEDs"
 msgstr ""
 
-#: src/config/options.inc:1208
+#: src/config/options.inc:1281
 msgid ""
 "Whether to enable the timer or not:\n"
 "0 is don't count down anything\n"
@@ -3942,35 +3956,35 @@ msgid ""
 "2 is count down and show the timer near LEDs (DISABLED)"
 msgstr ""
 
-#: src/config/options.inc:1214
+#: src/config/options.inc:1287
 msgid "Duration"
 msgstr ""
 
-#: src/config/options.inc:1216
+#: src/config/options.inc:1289
 msgid ""
-"Inactivity timeout in seconds. The maximum of one day\n"
-"should be enough for just everyone (TM)."
+"Inactivity timeout in seconds. The maximum of one day should be enough for "
+"just everyone (TM)."
 msgstr ""
 
-#: src/config/options.inc:1221
+#: src/config/options.inc:1294
 msgid "Keybinding action to be triggered when timer reaches zero."
 msgstr ""
 
-#: src/config/options.inc:1224
+#: src/config/options.inc:1298
 #, fuzzy
 msgid "Window tabs"
 msgstr "Aken"
 
-#: src/config/options.inc:1226
+#: src/config/options.inc:1300
 msgid "Window tabs settings."
 msgstr ""
 
-#: src/config/options.inc:1228
+#: src/config/options.inc:1302
 #, fuzzy
 msgid "Display tabs bar"
 msgstr "Nita ~usemap'i"
 
-#: src/config/options.inc:1230
+#: src/config/options.inc:1304
 msgid ""
 "Show tabs bar on the screen:\n"
 "0 means never\n"
@@ -3978,170 +3992,169 @@ msgid ""
 "2 means always"
 msgstr ""
 
-#: src/config/options.inc:1235
+#: src/config/options.inc:1309
 msgid "Tab bar at top"
 msgstr ""
 
-#: src/config/options.inc:1237
+#: src/config/options.inc:1311
 msgid "Whether display tab bar at top like other browsers do."
 msgstr ""
 
-#: src/config/options.inc:1239
+#: src/config/options.inc:1313
 msgid "Wrap-around tabs cycling"
 msgstr ""
 
-#: src/config/options.inc:1241
+#: src/config/options.inc:1315
 msgid ""
-"When moving right from the last tab, jump to the first one, and\n"
-"vice versa."
+"When moving right from the last tab, jump to the first one, and vice versa."
 msgstr ""
 
-#: src/config/options.inc:1244
+#: src/config/options.inc:1318
 msgid "Confirm tab closing"
 msgstr ""
 
-#: src/config/options.inc:1246
+#: src/config/options.inc:1320
 msgid "When closing a tab show confirmation dialog."
 msgstr ""
 
 #. OPT_LANGUAGE
-#: src/config/options.inc:1250 src/config/opttypes.c:483
+#: src/config/options.inc:1324 src/config/opttypes.c:483
 msgid "Language"
 msgstr ""
 
-#: src/config/options.inc:1252
+#: src/config/options.inc:1326
 msgid ""
-"Language of user interface. 'System' means that the language will\n"
-"be extracted from the environment dynamically."
+"Language of user interface. 'System' means that the language will be "
+"extracted from the environment dynamically."
 msgstr ""
 
-#: src/config/options.inc:1255
+#: src/config/options.inc:1330
 #, fuzzy
 msgid "Display menu bar always"
 msgstr "Nita ~usemap'i"
 
-#: src/config/options.inc:1257
+#: src/config/options.inc:1332
 msgid "Always show menu bar on the screen."
 msgstr ""
 
-#: src/config/options.inc:1259
+#: src/config/options.inc:1334
 #, fuzzy
 msgid "Display status bar"
 msgstr "Nita ~usemap'i"
 
-#: src/config/options.inc:1261
+#: src/config/options.inc:1336
 msgid "Show status bar on the screen."
 msgstr ""
 
-#: src/config/options.inc:1263
+#: src/config/options.inc:1338
 #, fuzzy
 msgid "Display title bar"
 msgstr "Nita ~usemap'i"
 
-#: src/config/options.inc:1265
+#: src/config/options.inc:1340
 msgid "Show title bar on the screen."
 msgstr ""
 
-#: src/config/options.inc:1267
+#: src/config/options.inc:1342
 msgid "Display goto dialog in new tabs"
 msgstr ""
 
-#: src/config/options.inc:1269
+#: src/config/options.inc:1344
 msgid ""
-"Pop up goto dialog in newly created tabs when there's no homepage\n"
-"set. This means also showing goto dialog on startup."
+"Pop up goto dialog in newly created tabs when there's no homepage set. This "
+"means also showing goto dialog on startup."
 msgstr ""
 
-#: src/config/options.inc:1272
+#: src/config/options.inc:1348
 msgid "Show a message box when file is saved successfully"
 msgstr ""
 
-#: src/config/options.inc:1274
+#: src/config/options.inc:1350
 msgid ""
-"When you pressed a [ Save ] button in some manager, this option\n"
-"will make sure that a box confirming success of the operation will\n"
-"pop up."
+"When you pressed a [ Save ] button in some manager, this option will make "
+"sure that a box confirming success of the operation will pop up."
 msgstr ""
 
-#: src/config/options.inc:1279
+#: src/config/options.inc:1355
 #, fuzzy
 msgid "Sessions"
 msgstr "Laiend(id)"
 
-#: src/config/options.inc:1281
+#: src/config/options.inc:1357
 msgid "Sessions settings."
 msgstr ""
 
-#: src/config/options.inc:1283
+#: src/config/options.inc:1359
 msgid "Keep session active"
 msgstr ""
 
-#: src/config/options.inc:1285
+#: src/config/options.inc:1361
 msgid "Keep the session active even if the last terminal exits."
 msgstr ""
 
-#: src/config/options.inc:1287
+#: src/config/options.inc:1364
 msgid "Auto save session"
 msgstr ""
 
-#: src/config/options.inc:1289
+#: src/config/options.inc:1366
 msgid ""
 "Automatically save the session when quitting.\n"
+"\n"
 "This feature requires bookmark support."
 msgstr ""
 
-#: src/config/options.inc:1292
+#: src/config/options.inc:1370
 msgid "Auto restore session"
 msgstr ""
 
-#: src/config/options.inc:1294
+#: src/config/options.inc:1372
 msgid ""
 "Automatically restore the session at start.\n"
+"\n"
 "This feature requires bookmark support."
 msgstr ""
 
-#: src/config/options.inc:1297
+#: src/config/options.inc:1376
 msgid "Auto save and restore session folder name"
 msgstr ""
 
-#: src/config/options.inc:1299
+#: src/config/options.inc:1378
 msgid ""
-"Name of the bookmarks folder used for auto saving and restoring session.\n"
-"The name has to be unique. Any folders with the same name will be deleted.\n"
+"Name of the bookmarks folder used for auto saving and restoring session. The "
+"name has to be unique. Any folders with the same name will be deleted.\n"
+"\n"
 "This only makes sense with bookmark support."
 msgstr ""
 
-#: src/config/options.inc:1303
+#: src/config/options.inc:1384
 #, fuzzy
 msgid "Homepage URI"
 msgstr "Kooditabel"
 
-#: src/config/options.inc:1305
+#: src/config/options.inc:1386
 msgid ""
-"The URI to load either at startup time when no URI was given\n"
-"on the command line or when requested by the goto-url-home action.\n"
-"Set to \"\" if the environment variable WWW_HOME should be used\n"
-"as homepage URI instead."
+"The URI to load either at startup time when no URI was given on the command "
+"line or when requested by the goto-url-home action. Set to \"\" if the "
+"environment variable WWW_HOME should be used as homepage URI instead."
 msgstr ""
 
-#: src/config/options.inc:1311
+#: src/config/options.inc:1392
 #, fuzzy
 msgid "Date format"
 msgstr "Faili les laadimine"
 
-#: src/config/options.inc:1313
+#: src/config/options.inc:1394
 msgid "Date format to use in dialogs. See strftime(3)."
 msgstr ""
 
-#: src/config/options.inc:1316
+#: src/config/options.inc:1397
 msgid "Set window title"
 msgstr ""
 
-#: src/config/options.inc:1318
+#: src/config/options.inc:1399
 msgid ""
-"Set the window title when running in a windowing environment\n"
-"in an xterm-like terminal. This way the document's title is\n"
-"shown on the window titlebar."
+"Set the window title when running in a windowing environment in an xterm-"
+"like terminal. This way the document's title is shown on the window titlebar."
 msgstr ""
 
 #: src/config/opttypes.c:54
@@ -4228,7 +4241,7 @@ msgid "Goto URL History"
 msgstr "Ajalugu puudub"
 
 #. name:
-#: src/cookies/cookies.c:88 src/cookies/cookies.c:911
+#: src/cookies/cookies.c:88 src/cookies/cookies.c:913
 msgid "Cookies"
 msgstr ""
 
@@ -4258,10 +4271,10 @@ msgstr "Loon hendust"
 msgid ""
 "Cookie maximum age (in days):\n"
 "-1 is use cookie's expiration date if any\n"
-"0  is force expiration at the end of session, ignoring cookie's\n"
-"   expiration date\n"
-"1+ is use cookie's expiration date, but limit age to the given\n"
-"   number of days"
+"0  is force expiration at the end of session, ignoring\n"
+"   cookie's expiration date\n"
+"1+ is use cookie's expiration date, but limit age to the\n"
+"   given number of days"
 msgstr ""
 
 #: src/cookies/cookies.c:109
@@ -4270,42 +4283,42 @@ msgstr ""
 
 #: src/cookies/cookies.c:111
 msgid ""
-"When enabled, we'll require three dots in cookies domain for all\n"
-"non-international domains (instead of just two dots). Some countries\n"
-"have generic second level domains (eg. .com.pl, .co.uk) and allowing\n"
-"sites to set cookies for these generic domains could potentially be\n"
-"very bad. Note, it is off by default as it breaks a lot of sites."
+"When enabled, we'll require three dots in cookies domain for all non-"
+"international domains (instead of just two dots). Some countries have "
+"generic second level domains (eg. .com.pl, .co.uk) and allowing sites to set "
+"cookies for these generic domains could potentially be very bad. Note, it is "
+"off by default as it breaks a lot of sites."
 msgstr ""
 
-#: src/cookies/cookies.c:117
+#: src/cookies/cookies.c:118
 #, fuzzy
 msgid "Saving"
 msgstr "keskm."
 
-#: src/cookies/cookies.c:119
+#: src/cookies/cookies.c:120
 msgid "Whether cookies should be loaded from and saved to disk."
 msgstr ""
 
-#: src/cookies/cookies.c:121
+#: src/cookies/cookies.c:123
 msgid "Resaving"
 msgstr ""
 
-#: src/cookies/cookies.c:123
+#: src/cookies/cookies.c:125
 msgid ""
-"Save cookies after each change in cookies list? No effect when\n"
-"cookie saving (cookies.save) is off."
+"Save cookies after each change in cookies list? No effect when cookie saving "
+"(cookies.save) is off."
 msgstr ""
 
-#: src/cookies/cookies.c:817
+#: src/cookies/cookies.c:819
 #, fuzzy
 msgid "Cannot save cookies"
 msgstr "Viga faili kirjutamisel"
 
-#: src/cookies/cookies.c:828
+#: src/cookies/cookies.c:830
 msgid "ELinks was started without a home directory."
 msgstr ""
 
-#: src/cookies/cookies.c:834
+#: src/cookies/cookies.c:836
 msgid "ELinks was started with the -anonymous option."
 msgstr ""
 
@@ -4520,7 +4533,7 @@ msgid "No header info."
 msgstr ""
 
 #: src/dialogs/download.c:243 src/dialogs/menu.c:601
-#: src/protocol/bittorrent/dialogs.c:228 src/session/download.c:361
+#: src/protocol/bittorrent/dialogs.c:228 src/session/download.c:387
 msgid "Download"
 msgstr "Alla laadimine"
 
@@ -5379,7 +5392,7 @@ msgid "No document"
 msgstr "documents"
 
 #. name:
-#: src/document/css/css.c:30 src/document/css/css.c:161
+#: src/document/css/css.c:30 src/document/css/css.c:164
 msgid "Cascading Style Sheets"
 msgstr ""
 
@@ -5387,36 +5400,36 @@ msgstr ""
 msgid "Options concerning how to use CSS for styling documents."
 msgstr ""
 
-#: src/document/css/css.c:34
+#: src/document/css/css.c:35
 #, fuzzy
 msgid "Enable CSS"
 msgstr "nimi"
 
-#: src/document/css/css.c:36
+#: src/document/css/css.c:37
 msgid "Enable adding of CSS style info to documents."
 msgstr ""
 
-#: src/document/css/css.c:38
+#: src/document/css/css.c:39
 msgid "Import external style sheets"
 msgstr ""
 
-#: src/document/css/css.c:40
+#: src/document/css/css.c:41
 msgid ""
-"When enabled any external style sheets that are imported from\n"
-"either CSS itself using the @import keyword or from the HTML using\n"
-"<link> tags in the document header will also be downloaded."
+"When enabled any external style sheets that are imported from either CSS "
+"itself using the @import keyword or from the HTML using <link> tags in the "
+"document header will also be downloaded."
 msgstr ""
 
-#: src/document/css/css.c:44
+#: src/document/css/css.c:46
 msgid "Default style sheet"
 msgstr ""
 
-#: src/document/css/css.c:46
+#: src/document/css/css.c:48
 msgid ""
-"The path to the file containing the default user defined\n"
-"Cascading Style Sheet. It can be used to control the basic\n"
-"layout of HTML documents. The path is assumed to be relative\n"
-"to ELinks' home directory.\n"
+"The path to the file containing the default user defined Cascading Style "
+"Sheet. It can be used to control the basic layout of HTML documents. The "
+"path is assumed to be relative to ELinks' home directory.\n"
+"\n"
 "Leave as \"\" to use built-in document styling."
 msgstr ""
 
@@ -5448,8 +5461,8 @@ msgstr ""
 
 #: src/ecmascript/ecmascript.c:55
 msgid ""
-"Whether to ignore content enclosed by the <noscript> tag\n"
-"when ECMAScript is enabled."
+"Whether to ignore content enclosed by the <noscript> tag when ECMAScript is "
+"enabled."
 msgstr ""
 
 #: src/ecmascript/ecmascript.c:58
@@ -5501,7 +5514,7 @@ msgid "JavaScript Error"
 msgstr ""
 
 #. name:
-#: src/ecmascript/spidermonkey.c:320
+#: src/ecmascript/spidermonkey.c:321
 msgid "SpiderMonkey"
 msgstr ""
 
@@ -5599,9 +5612,8 @@ msgstr "Terminali seaded"
 
 #: src/formhist/formhist.c:38
 msgid ""
-"Ask if a login form should be saved to file or not.\n"
-"This option only disables the dialog, already saved login\n"
-"forms are unaffected."
+"Ask if a login form should be saved to file or not. This option only "
+"disables the dialog, already saved login forms are unaffected."
 msgstr ""
 
 #: src/formhist/formhist.c:426
@@ -5703,20 +5715,20 @@ msgstr ""
 msgid "Enable global history (\"history of all pages visited\")."
 msgstr ""
 
-#: src/globhist/globhist.c:68
+#: src/globhist/globhist.c:69
 msgid "Maximum number of entries"
 msgstr ""
 
-#: src/globhist/globhist.c:70
+#: src/globhist/globhist.c:71
 msgid "Maximum number of entries in the global history."
 msgstr ""
 
-#: src/globhist/globhist.c:72
+#: src/globhist/globhist.c:73
 #, fuzzy
 msgid "Display style"
 msgstr "Nita ~usemap'i"
 
-#: src/globhist/globhist.c:74
+#: src/globhist/globhist.c:75
 msgid ""
 "What to display in global history dialog:\n"
 "0 is URLs\n"
@@ -5724,7 +5736,7 @@ msgid ""
 msgstr ""
 
 #. name:
-#: src/globhist/globhist.c:451
+#: src/globhist/globhist.c:449
 #, fuzzy
 msgid "Global History"
 msgstr "Ajalugu puudub"
@@ -5953,101 +5965,95 @@ msgstr ""
 
 #: src/mime/backend/default.c:27
 msgid ""
-"Handler <-> MIME type association. The first sub-tree is the MIME\n"
-"class while the second sub-tree is the MIME type (ie. image/gif\n"
-"handler will reside at mime.type.image.gif). Each MIME type option\n"
-"should contain (case-sensitive) name of the MIME handler (its\n"
-"properties are stored at mime.handler.<name>)."
+"Handler <-> MIME type association. The first sub-tree is the MIME class "
+"while the second sub-tree is the MIME type (ie. image/gif handler will "
+"reside at mime.type.image.gif). Each MIME type option should contain (case-"
+"sensitive) name of the MIME handler (its properties are stored at mime."
+"handler.<name>)."
 msgstr ""
 
-#: src/mime/backend/default.c:35
+#: src/mime/backend/default.c:36
 msgid ""
-"Handler matching this MIME-type class ('*' is used here in place\n"
-"of '.')."
+"Handler matching this MIME-type class ('*' is used here in place of '.')."
 msgstr ""
 
-#: src/mime/backend/default.c:40
+#: src/mime/backend/default.c:41
 msgid ""
-"Handler matching this MIME-type name ('*' is used here in place\n"
-"of '.')."
+"Handler matching this MIME-type name ('*' is used here in place of '.')."
 msgstr ""
 
-#: src/mime/backend/default.c:44
+#: src/mime/backend/default.c:45
 msgid "File type handlers"
 msgstr ""
 
-#: src/mime/backend/default.c:46
+#: src/mime/backend/default.c:47
 msgid ""
-"A file type handler is a set of information about how to use\n"
-"an external program to view a file. It is possible to refer to it\n"
-"for several MIME types -- e.g., you can define an 'image' handler\n"
-"to which mime.type.image.png, mime.type.image.jpeg, and so on will\n"
-"refer; or one might define a handler for a more specific type of file\n"
-"-- e.g., PDF files.\n"
-"Note you must define both a MIME handler and a MIME type association\n"
-"for it to work."
+"A file type handler is a set of information about how to use an external "
+"program to view a file. It is possible to refer to it for several MIME types "
+"-- e.g., you can define an 'image' handler to which mime.type.image.png, "
+"mime.type.image.jpeg, and so on will refer; or one might define a handler "
+"for a more specific type of file -- e.g., PDF files. Note you must define "
+"both a MIME handler and a MIME type association for it to work."
 msgstr ""
 
-#: src/mime/backend/default.c:57
+#: src/mime/backend/default.c:58
 msgid "Description of this handler."
 msgstr ""
 
-#: src/mime/backend/default.c:61
+#: src/mime/backend/default.c:62
 msgid "System-specific handler description (ie. unix, unix-xwin, ...)."
 msgstr ""
 
-#: src/mime/backend/default.c:63 src/mime/backend/mailcap.c:102
+#: src/mime/backend/default.c:65 src/mime/backend/mailcap.c:102
 msgid "Ask before opening"
 msgstr ""
 
-#: src/mime/backend/default.c:65
+#: src/mime/backend/default.c:67
 msgid "Ask before opening."
 msgstr ""
 
-#: src/mime/backend/default.c:67
+#: src/mime/backend/default.c:69
 #, fuzzy
 msgid "Block terminal"
 msgstr "~BeOS-i terminal"
 
-#: src/mime/backend/default.c:69
+#: src/mime/backend/default.c:71
 msgid "Block the terminal when the handler is running."
 msgstr ""
 
-#: src/mime/backend/default.c:71
+#: src/mime/backend/default.c:73
 #, fuzzy
 msgid "Program"
 msgstr "Pole programmi"
 
-#: src/mime/backend/default.c:74
+#: src/mime/backend/default.c:76
 #, no-c-format
 msgid ""
-"External viewer for this file type. '%' in this string will be\n"
-"substituted by a file name.\n"
-"Do _not_ put single- or double-quotes around the % sign."
+"External viewer for this file type. '%' in this string will be substituted "
+"by a file name. Do _not_ put single- or double-quotes around the % sign."
 msgstr ""
 
-#: src/mime/backend/default.c:79
+#: src/mime/backend/default.c:81
 #, fuzzy
 msgid "File extension associations"
 msgstr "Faililai~endid"
 
-#: src/mime/backend/default.c:81
+#: src/mime/backend/default.c:83
 msgid "Extension <-> MIME type association."
 msgstr ""
 
-#: src/mime/backend/default.c:85
+#: src/mime/backend/default.c:87
 msgid ""
-"MIME-type matching this file extension ('*' is used here in place\n"
-"of '.')."
+"MIME-type matching this file extension ('*' is used here in place of '.')."
 msgstr ""
 
 #. name:
-#: src/mime/backend/default.c:216
+#: src/mime/backend/default.c:218
 msgid "Option system"
 msgstr ""
 
 #. name:
-#: src/mime/backend/mailcap.c:89 src/mime/backend/mailcap.c:684
+#: src/mime/backend/mailcap.c:89 src/mime/backend/mailcap.c:686
 msgid "Mailcap"
 msgstr ""
 
@@ -6061,8 +6067,8 @@ msgstr ""
 
 #: src/mime/backend/mailcap.c:99
 msgid ""
-"Mailcap search path. Colon-separated list of files.\n"
-"Leave as \"\" to use MAILCAP environment variable instead."
+"Mailcap search path. Colon-separated list of files. Leave as \"\" to use "
+"MAILCAP environment variable instead."
 msgstr ""
 
 #: src/mime/backend/mailcap.c:104
@@ -6075,39 +6081,38 @@ msgstr ""
 
 #: src/mime/backend/mailcap.c:108
 msgid ""
-"Type of description to show in \"what to do with this file\"\n"
-"query dialog:\n"
+"Type of description to show in \"what to do with this file\" query dialog:\n"
 "0 is show \"mailcap\"\n"
 "1 is show program to be run\n"
-"2 is show mailcap description field if any; \"mailcap\" otherwise"
+"2 is show mailcap description field if any;\n"
+"     \"mailcap\" otherwise"
 msgstr ""
 
-#: src/mime/backend/mailcap.c:114
+#: src/mime/backend/mailcap.c:115
 msgid "Prioritize entries by file"
 msgstr ""
 
-#: src/mime/backend/mailcap.c:116
+#: src/mime/backend/mailcap.c:117
 msgid ""
-"Prioritize entries by the order of the files in the mailcap\n"
-"path. This means that wildcard entries (like: image/*) will\n"
-"also be checked before deciding the handler."
+"Prioritize entries by the order of the files in the mailcap path. This means "
+"that wildcard entries (like: image/*) will also be checked before deciding "
+"the handler."
 msgstr ""
 
-#: src/mime/backend/mailcap.c:349
+#: src/mime/backend/mailcap.c:351
 #, c-format
 msgid "Badly formated mailcap entry for type %s in \"%s\" line %d"
 msgstr ""
 
 #. name:
-#: src/mime/backend/mimetypes.c:46 src/mime/backend/mimetypes.c:279
+#: src/mime/backend/mimetypes.c:46 src/mime/backend/mimetypes.c:280
 msgid "Mimetypes files"
 msgstr ""
 
 #: src/mime/backend/mimetypes.c:48
 msgid ""
-"Options for the support of mime.types files. These files\n"
-"can be used to find the content type of a URL by looking at\n"
-"the extension of the file name."
+"Options for the support of mime.types files. These files can be used to find "
+"the content type of a URL by looking at the extension of the file name."
 msgstr ""
 
 #: src/mime/backend/mimetypes.c:54
@@ -6144,7 +6149,7 @@ msgid "No extensions"
 msgstr "Laiendid puuduvad"
 
 #. name:
-#: src/mime/mime.c:38 src/mime/mime.c:360
+#: src/mime/mime.c:38 src/mime/mime.c:361
 msgid "MIME"
 msgstr ""
 
@@ -6158,8 +6163,8 @@ msgstr ""
 
 #: src/mime/mime.c:44
 msgid ""
-"Document MIME-type to assume by default (when we are unable to\n"
-"guess it properly from known information about the document)."
+"Document MIME-type to assume by default (when we are unable to guess it "
+"properly from known information about the document)."
 msgstr ""
 
 #: src/network/ssl/ssl.c:72 src/network/ssl/ssl.c:161
@@ -6168,8 +6173,8 @@ msgstr ""
 
 #: src/network/ssl/ssl.c:74
 msgid ""
-"Verify the peer's SSL certificate. Note that this\n"
-"needs extensive configuration of OpenSSL by the user."
+"Verify the peer's SSL certificate. Note that this needs extensive "
+"configuration of OpenSSL by the user."
 msgstr ""
 
 #: src/network/ssl/ssl.c:77
@@ -6183,8 +6188,8 @@ msgstr "Terminali seaded"
 
 #: src/network/ssl/ssl.c:83
 msgid ""
-"Enable or not the sending of X509 client certificates\n"
-"to servers which request them."
+"Enable or not the sending of X509 client certificates to servers which "
+"request them."
 msgstr ""
 
 #: src/network/ssl/ssl.c:86
@@ -6194,16 +6199,15 @@ msgstr "hinnatud aeg"
 
 #: src/network/ssl/ssl.c:88
 msgid ""
-"The location of a file containing the client certificate\n"
-"and unencrypted private key in PEM format. If unset, the\n"
-"file pointed to by the X509_CLIENT_CERT variable is used\n"
-"instead."
+"The location of a file containing the client certificate and unencrypted "
+"private key in PEM format. If unset, the file pointed to by the "
+"X509_CLIENT_CERT variable is used instead."
 msgstr ""
 
 #: src/network/ssl/ssl.c:163
 msgid ""
-"Verify the peer's SSL certificate.  If you enable\n"
-"this, set also \"Trusted CA file\"."
+"Verify the peer's SSL certificate.  If you enable this, set also \"Trusted "
+"CA file\"."
 msgstr ""
 
 #. The default value of the following option points to a file
@@ -6221,20 +6225,20 @@ msgstr "Kannan le"
 
 #: src/network/ssl/ssl.c:176
 msgid ""
-"The location of a file containing certificates of\n"
-"trusted certification authorities in PEM format.\n"
-"ELinks then trusts certificates issued by these CAs.\n"
-"If you change this option or the file, you must\n"
-"restart ELinks for the changes to take effect.\n"
-"This option affects GnuTLS but not OpenSSL."
+"The location of a file containing certificates of trusted certification "
+"authorities in PEM format. ELinks then trusts certificates issued by these "
+"CAs.\n"
+"\n"
+"If you change this option or the file, you must restart ELinks for the "
+"changes to take effect. This option affects GnuTLS but not OpenSSL."
 msgstr ""
 
 #. name:
-#: src/network/ssl/ssl.c:199 src/network/ssl/ssl.c:216
+#: src/network/ssl/ssl.c:200 src/network/ssl/ssl.c:217
 msgid "SSL"
 msgstr ""
 
-#: src/network/ssl/ssl.c:201
+#: src/network/ssl/ssl.c:202
 #, fuzzy
 msgid "SSL options."
 msgstr "~Salvesta parameetrid"
@@ -6572,7 +6576,7 @@ msgstr "Sisesta kasutajanimi "
 msgid "Login"
 msgstr "Kasutaja ID"
 
-#: src/protocol/auth/dialogs.c:113 src/protocol/http/http.c:140
+#: src/protocol/auth/dialogs.c:113 src/protocol/http/http.c:142
 msgid "Password"
 msgstr "Parool"
 
@@ -6649,7 +6653,7 @@ msgstr "Jrjehoidja haldur"
 
 #. name:
 #: src/protocol/bittorrent/bittorrent.c:26
-#: src/protocol/bittorrent/bittorrent.c:335
+#: src/protocol/bittorrent/bittorrent.c:339
 msgid "BitTorrent"
 msgstr ""
 
@@ -6704,9 +6708,8 @@ msgstr ""
 
 #: src/protocol/bittorrent/bittorrent.c:57
 msgid ""
-"Whether to request that the tracker returns peer info\n"
-"in compact format. Note, the compact format only supports\n"
-"IPv4 addresses."
+"Whether to request that the tracker returns peer info in compact format. "
+"Note, the compact format only supports IPv4 addresses."
 msgstr ""
 
 #: src/protocol/bittorrent/bittorrent.c:61
@@ -6715,57 +6718,55 @@ msgstr ""
 
 #: src/protocol/bittorrent/bittorrent.c:63
 msgid ""
-"The number of seconds to wait between periodically contacting\n"
-"the tracker for announcing progress and requesting more peers.\n"
-"Set to zero to use the interval requested by the tracker."
+"The number of seconds to wait between periodically contacting the tracker "
+"for announcing progress and requesting more peers. Set to zero to use the "
+"interval requested by the tracker."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:67
+#: src/protocol/bittorrent/bittorrent.c:68
 msgid "IP-address to announce"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:69
+#: src/protocol/bittorrent/bittorrent.c:70
 msgid ""
-"What IP address to report to the tracker. If set to \"\"\n"
-"no IP address will be sent and the tracker will automatically\n"
-"determine an appropriate IP address."
+"What IP address to report to the tracker. If set to \"\" no IP address will "
+"be sent and the tracker will automatically determine an appropriate IP "
+"address."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:73
+#: src/protocol/bittorrent/bittorrent.c:74
 #, fuzzy
 msgid "User identification string"
 msgstr "Terminali seaded"
 
-#: src/protocol/bittorrent/bittorrent.c:75
+#: src/protocol/bittorrent/bittorrent.c:76
 msgid ""
-"An additional identification that is not shared with any users.\n"
-"It is intended to allow a client to prove their identity should\n"
-"their IP address change. It is an optional parameter, but some\n"
-"trackers require this parameter. If set to \"\" no user key will\n"
-"be sent to the tracker."
+"An additional identification that is not shared with any users. It is "
+"intended to allow a client to prove their identity should their IP address "
+"change. It is an optional parameter, but some trackers require this "
+"parameter. If set to \"\" no user key will be sent to the tracker."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:81
+#: src/protocol/bittorrent/bittorrent.c:82
 #, fuzzy
 msgid "Maximum number of peers to request"
 msgstr "Loon hendust"
 
-#: src/protocol/bittorrent/bittorrent.c:83
+#: src/protocol/bittorrent/bittorrent.c:84
 msgid ""
-"The maximum number of peers to request from the tracker.\n"
-"Set to 0 to use the server default."
+"The maximum number of peers to request from the tracker. Set to 0 to use the "
+"server default."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:86
+#: src/protocol/bittorrent/bittorrent.c:87
 msgid "Minimum peers to skip rerequesting"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:88
+#: src/protocol/bittorrent/bittorrent.c:89
 msgid ""
-"The minimum number of peers to have in the current peer info\n"
-"pool before skipping requesting of more peers. I.e. setting\n"
-"numwant to zero.\n"
-"Set to 0 to not have any limit."
+"The minimum number of peers to have in the current peer info pool before "
+"skipping requesting of more peers. I.e. setting numwant to zero. Set to 0 to "
+"not have any limit."
 msgstr ""
 
 #. ******************************************************************
@@ -6786,182 +6787,177 @@ msgstr "Loon hendust"
 
 #: src/protocol/bittorrent/bittorrent.c:104
 msgid ""
-"The maximum number of allowed connections to both active and\n"
-"non-active peers. By increasing the number of allowed connections,\n"
-"the chance of finding good peers to download from is increased.\n"
-"However, too many connections can lead to TCP congestion. If the\n"
-"maximum is reached all new incoming connections will be closed."
+"The maximum number of allowed connections to both active and non-active "
+"peers. By increasing the number of allowed connections, the chance of "
+"finding good peers to download from is increased. However, too many "
+"connections can lead to TCP congestion. If the maximum is reached all new "
+"incoming connections will be closed."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:110
+#: src/protocol/bittorrent/bittorrent.c:111
 msgid "Maximum peer message length"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:112
+#: src/protocol/bittorrent/bittorrent.c:113
 msgid ""
-"The maximum length of messages to accept over the wire.\n"
-"Larger values will cause the connection to be dropped."
+"The maximum length of messages to accept over the wire. Larger values will "
+"cause the connection to be dropped."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:115
+#: src/protocol/bittorrent/bittorrent.c:116
 msgid "Maximum allowed request length"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:117
+#: src/protocol/bittorrent/bittorrent.c:118
 msgid ""
-"The maximum length to allow for incoming requests.\n"
-"Larger requests will cause the connection to be dropped."
+"The maximum length to allow for incoming requests. Larger requests will "
+"cause the connection to be dropped."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:120
+#: src/protocol/bittorrent/bittorrent.c:121
 msgid "Length of requests"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:122
+#: src/protocol/bittorrent/bittorrent.c:123
 msgid ""
-"How many bytes to query for per request. This is complementary\n"
-"to the max_request_length option. If the configured length is\n"
-"bigger than the piece length it will be truncated."
+"How many bytes to query for per request. This is complementary to the "
+"max_request_length option. If the configured length is bigger than the piece "
+"length it will be truncated."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:126
+#: src/protocol/bittorrent/bittorrent.c:128
 #, fuzzy
 msgid "Peer inactivity timeout"
 msgstr "Vastuvtmise taimaut"
 
-#: src/protocol/bittorrent/bittorrent.c:128
+#: src/protocol/bittorrent/bittorrent.c:130
 msgid ""
-"The number of seconds to wait before closing a socket on\n"
-"which nothing has been received or sent."
+"The number of seconds to wait before closing a socket on which nothing has "
+"been received or sent."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:131
+#: src/protocol/bittorrent/bittorrent.c:133
 #, fuzzy
 msgid "Maximum peer pool size"
 msgstr "Loon hendust"
 
-#: src/protocol/bittorrent/bittorrent.c:133
+#: src/protocol/bittorrent/bittorrent.c:135
 msgid ""
-"Maximum number of items in the peer pool. The peer pool\n"
-"contains information used for establishing connections to\n"
-"new peers.\n"
+"Maximum number of items in the peer pool. The peer pool contains information "
+"used for establishing connections to new peers.\n"
+"\n"
 "Set to 0 to have unlimited size."
 msgstr ""
 
 #. ******************************************************************
 #. Piece management options:
 #. ******************************************************************
-#: src/protocol/bittorrent/bittorrent.c:143
+#: src/protocol/bittorrent/bittorrent.c:146
 #, fuzzy
 msgid "Maximum piece cache size"
 msgstr "Loon hendust"
 
-#: src/protocol/bittorrent/bittorrent.c:145
+#: src/protocol/bittorrent/bittorrent.c:148
 msgid ""
-"The maximum amount of memory used to hold recently\n"
-"downloaded pieces.\n"
+"The maximum amount of memory used to hold recently downloaded pieces.\n"
+"\n"
 "Set to 0 to have unlimited size."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:154
+#: src/protocol/bittorrent/bittorrent.c:158
 msgid "Sharing rate"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:156
+#: src/protocol/bittorrent/bittorrent.c:160
 msgid ""
-"The minimum sharing rate to achieve before stop seeding.\n"
-"The sharing rate is computed as the number of uploaded bytes\n"
-"divided with the number of downloaded bytes. The value should\n"
-"be a double value between 0.0 and 1.0 both included.\n"
-"Set to 1.0 to atleast upload a complete copy of all data and\n"
+"The minimum sharing rate to achieve before stop seeding. The sharing rate is "
+"computed as the number of uploaded bytes divided with the number of "
+"downloaded bytes. The value should be a double value between 0.0 and 1.0 "
+"both included. Set to 1.0 to atleast upload a complete copy of all data and "
 "set to 0.0 to have unlimited sharing rate."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:163
+#: src/protocol/bittorrent/bittorrent.c:167
 msgid "Maximum number of uploads"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:165
+#: src/protocol/bittorrent/bittorrent.c:169
 msgid "The maximum number of uploads to allow at once."
 msgstr ""
 
 #. The number of uploads to fill out to with extra optimistic unchokes
-#: src/protocol/bittorrent/bittorrent.c:168
+#: src/protocol/bittorrent/bittorrent.c:172
 msgid "Minimum number of uploads"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:170
+#: src/protocol/bittorrent/bittorrent.c:174
 msgid ""
-"The minimum number of uploads which should at least\n"
-"be used for new connections."
+"The minimum number of uploads which should at least be used for new "
+"connections."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:174
+#: src/protocol/bittorrent/bittorrent.c:178
 #, fuzzy
 msgid "Keepalive interval"
 msgstr "Salvestamise viga"
 
-#: src/protocol/bittorrent/bittorrent.c:176
-msgid ""
-"The number of seconds to pause between sending keepalive\n"
-"messages."
+#: src/protocol/bittorrent/bittorrent.c:180
+msgid "The number of seconds to pause between sending keepalive messages."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:179
+#: src/protocol/bittorrent/bittorrent.c:183
 #, fuzzy
 msgid "Number of pending requests"
 msgstr "Server ttleb pringut"
 
-#: src/protocol/bittorrent/bittorrent.c:181
+#: src/protocol/bittorrent/bittorrent.c:185
 msgid ""
-"How many piece requests to continuously keep in queue. Pipelining\n"
-"of requests is essential to saturate connections and get a good\n"
-"connection performance and thus a faster download. However, a\n"
-"very big queue size can lead to wasting bandwidth near the end\n"
-"of the connection since remaining piece blocks will be requested\n"
-"from multiple peers."
+"How many piece requests to continuously keep in queue. Pipelining of "
+"requests is essential to saturate connections and get a good connection "
+"performance and thus a faster download. However, a very big queue size can "
+"lead to wasting bandwidth near the end of the connection since remaining "
+"piece blocks will be requested from multiple peers."
 msgstr ""
 
 #. Bram uses 30 seconds here.
-#: src/protocol/bittorrent/bittorrent.c:190
+#: src/protocol/bittorrent/bittorrent.c:194
 msgid "Peer snubbing interval"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:192
+#: src/protocol/bittorrent/bittorrent.c:196
 msgid ""
-"The number of seconds to wait for file data before assuming\n"
-"the peer has been snubbed."
+"The number of seconds to wait for file data before assuming the peer has "
+"been snubbed."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:195
+#: src/protocol/bittorrent/bittorrent.c:199
 #, fuzzy
 msgid "Peer choke interval"
 msgstr "Salvestamise viga"
 
-#: src/protocol/bittorrent/bittorrent.c:197
+#: src/protocol/bittorrent/bittorrent.c:201
 msgid ""
-"The number of seconds between updating the connection state\n"
-"and most importantly choke and unchoke peer connections. The\n"
-"choke period should be big enough for newly unchoked connections\n"
-"to get started but small enough to not allow freeriders too much\n"
-"room for stealing bandwidth."
+"The number of seconds between updating the connection state and most "
+"importantly choke and unchoke peer connections. The choke period should be "
+"big enough for newly unchoked connections to get started but small enough to "
+"not allow freeriders too much room for stealing bandwidth."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:203
+#: src/protocol/bittorrent/bittorrent.c:207
 msgid "Rarest first piece selection cutoff"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:205
+#: src/protocol/bittorrent/bittorrent.c:209
 msgid ""
-"The number of pieces to obtain before switching piece\n"
-"selection strategy from random to rarest first."
+"The number of pieces to obtain before switching piece selection strategy "
+"from random to rarest first."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:208 src/protocol/http/http.c:109
+#: src/protocol/bittorrent/bittorrent.c:212 src/protocol/http/http.c:109
 msgid "Allow blacklisting"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:210
+#: src/protocol/bittorrent/bittorrent.c:214
 msgid "Allow blacklisting of buggy peers."
 msgstr ""
 
@@ -6997,7 +6993,7 @@ msgstr "~Fail"
 msgid "Comment"
 msgstr "documents"
 
-#: src/protocol/bittorrent/dialogs.c:229 src/session/download.c:362
+#: src/protocol/bittorrent/dialogs.c:229 src/session/download.c:388
 #, fuzzy, c-format
 msgid ""
 "Download complete:\n"
@@ -7165,7 +7161,7 @@ msgid_plural "%u unavailable"
 msgstr[0] "FTP teenus pole ktesaadav"
 msgstr[1] "FTP teenus pole ktesaadav"
 
-#: src/protocol/bittorrent/dialogs.c:584 src/session/session.c:278
+#: src/protocol/bittorrent/dialogs.c:584 src/session/session.c:279
 #, fuzzy, c-format
 msgid "Unable to retrieve %s"
 msgstr "Ei saa kirjutada konfiguratsioonifaili"
@@ -7180,7 +7176,7 @@ msgstr ""
 msgid "Information about the torrent"
 msgstr "Laadi alla pilt"
 
-#: src/protocol/bittorrent/dialogs.c:776 src/session/download.c:1106
+#: src/protocol/bittorrent/dialogs.c:776 src/session/download.c:1132
 msgid "What to do?"
 msgstr "Mida teha?"
 
@@ -7191,13 +7187,13 @@ msgid "Down~load"
 msgstr "Alla laadimine"
 
 #. accelerator_context(src/protocol/bittorrent/dialogs.c:bittorrent_query_callback, src/session/download.c:do_type_query)
-#: src/protocol/bittorrent/dialogs.c:804 src/session/download.c:1209
+#: src/protocol/bittorrent/dialogs.c:804 src/session/download.c:1235
 #, fuzzy
 msgid "~Display"
 msgstr "Nita"
 
 #. accelerator_context(src/protocol/bittorrent/dialogs.c:bittorrent_query_callback, src/session/download.c:do_type_query)
-#: src/protocol/bittorrent/dialogs.c:808 src/session/download.c:1213
+#: src/protocol/bittorrent/dialogs.c:808 src/session/download.c:1239
 msgid "Show ~header"
 msgstr ""
 
@@ -7215,16 +7211,16 @@ msgstr "Pole programmi mrgitud"
 msgid "Colon separated list of directories, where CGI scripts are stored."
 msgstr ""
 
-#: src/protocol/file/cgi.c:47
+#: src/protocol/file/cgi.c:48
 msgid "Allow local CGI"
 msgstr ""
 
-#: src/protocol/file/cgi.c:49
+#: src/protocol/file/cgi.c:50
 msgid "Whether to execute local CGI scripts."
 msgstr ""
 
 #. name:
-#: src/protocol/file/cgi.c:54
+#: src/protocol/file/cgi.c:55
 msgid "CGI"
 msgstr ""
 
@@ -7243,9 +7239,8 @@ msgstr ""
 
 #: src/protocol/file/file.c:46
 msgid ""
-"Whether to allow reading from non-regular files.\n"
-"Note this can be dangerous; reading /dev/urandom or\n"
-"/dev/zero can ruin your day!"
+"Whether to allow reading from non-regular files. Note this can be dangerous; "
+"reading /dev/urandom or /dev/zero can ruin your day!"
 msgstr ""
 
 #: src/protocol/file/file.c:50
@@ -7254,8 +7249,8 @@ msgstr ""
 
 #: src/protocol/file/file.c:52
 msgid ""
-"When set to false, files with name starting with a dot will be\n"
-"hidden in local directory listings."
+"When set to false, files with name starting with a dot will be hidden in "
+"local directory listings."
 msgstr ""
 
 #: src/protocol/file/file.c:55
@@ -7265,13 +7260,13 @@ msgstr "Laiendid puuduvad"
 
 #: src/protocol/file/file.c:57
 msgid ""
-"When set, if we can't open a file named 'filename', we'll try\n"
-"to open 'filename' with some encoding extension appended\n"
-"(ie. 'filename.gz'); it depends on the supported encodings."
+"When set, if we can't open a file named 'filename', we'll try to open "
+"'filename' with some encoding extension appended (ie. 'filename.gz'); it "
+"depends on the supported encodings."
 msgstr ""
 
 #. name:
-#: src/protocol/file/file.c:65
+#: src/protocol/file/file.c:66
 #, fuzzy
 msgid "File"
 msgstr "~Fail"
@@ -7301,7 +7296,7 @@ msgid "Whether to sort entries in direct
 msgstr ""
 
 #. name:
-#: src/protocol/ftp/ftp.c:56 src/protocol/ftp/ftp.c:86
+#: src/protocol/ftp/ftp.c:56 src/protocol/ftp/ftp.c:89
 msgid "FTP"
 msgstr ""
 
@@ -7309,8 +7304,8 @@ msgstr ""
 msgid "FTP specific options."
 msgstr ""
 
-#: src/protocol/ftp/ftp.c:60 src/protocol/http/http.c:127
-#: src/protocol/http/http.c:209
+#: src/protocol/ftp/ftp.c:60 src/protocol/http/http.c:128
+#: src/protocol/http/http.c:235
 msgid "Proxy configuration"
 msgstr ""
 
@@ -7318,39 +7313,39 @@ msgstr ""
 msgid "FTP proxy configuration."
 msgstr ""
 
-#: src/protocol/ftp/ftp.c:64 src/protocol/http/http.c:131
-#: src/protocol/http/http.c:213
+#: src/protocol/ftp/ftp.c:64 src/protocol/http/http.c:132
+#: src/protocol/http/http.c:239
 #, fuzzy
 msgid "Host and port-number"
 msgstr "Vale number"
 
 #: src/protocol/ftp/ftp.c:66
 msgid ""
-"Host and port-number (host:port) of the FTP proxy, or blank.\n"
-"If it's blank, FTP_PROXY environment variable is checked as well."
+"Host and port-number (host:port) of the FTP proxy, or blank. If it's blank, "
+"FTP_PROXY environment variable is checked as well."
 msgstr ""
 
-#: src/protocol/ftp/ftp.c:69
+#: src/protocol/ftp/ftp.c:70
 msgid "Anonymous password"
 msgstr ""
 
-#: src/protocol/ftp/ftp.c:71
+#: src/protocol/ftp/ftp.c:72
 msgid "FTP anonymous password to be sent."
 msgstr ""
 
-#: src/protocol/ftp/ftp.c:73
+#: src/protocol/ftp/ftp.c:74
 msgid "Use passive mode (IPv4)"
 msgstr ""
 
-#: src/protocol/ftp/ftp.c:75
+#: src/protocol/ftp/ftp.c:76
 msgid "Use PASV instead of PORT (passive vs active mode, IPv4 only)."
 msgstr ""
 
-#: src/protocol/ftp/ftp.c:77
+#: src/protocol/ftp/ftp.c:79
 msgid "Use passive mode (IPv6)"
 msgstr ""
 
-#: src/protocol/ftp/ftp.c:79
+#: src/protocol/ftp/ftp.c:81
 msgid "Use EPSV instead of EPRT (passive vs active mode, IPv6 only)."
 msgstr ""
 
@@ -7377,7 +7372,7 @@ msgid ""
 msgstr ""
 
 #. name:
-#: src/protocol/http/http.c:95 src/protocol/http/http.c:223
+#: src/protocol/http/http.c:95 src/protocol/http/http.c:250
 msgid "HTTP"
 msgstr ""
 
@@ -7399,8 +7394,8 @@ msgstr ""
 
 #: src/protocol/http/http.c:106
 msgid ""
-"The Accept-Charset header is quite long and sending it can trigger\n"
-"bugs in some rarely found servers."
+"The Accept-Charset header is quite long and sending it can trigger bugs in "
+"some rarely found servers."
 msgstr ""
 
 #: src/protocol/http/http.c:111
@@ -7413,69 +7408,69 @@ msgstr ""
 
 #: src/protocol/http/http.c:115
 msgid ""
-"Broken 302 redirect (violates RFC but compatible with Netscape).\n"
-"This is a problem for a lot of web discussion boards and the like.\n"
-"If they will do strange things to you, try to play with this."
+"Broken 302 redirect (violates RFC but compatible with Netscape). This is a "
+"problem for a lot of web discussion boards and the like. If they will do "
+"strange things to you, try to play with this."
 msgstr ""
 
-#: src/protocol/http/http.c:119
+#: src/protocol/http/http.c:120
 msgid "No keepalive after POST requests"
 msgstr ""
 
-#: src/protocol/http/http.c:121
+#: src/protocol/http/http.c:122
 msgid "Disable keepalive connection after POST request."
 msgstr ""
 
-#: src/protocol/http/http.c:123
+#: src/protocol/http/http.c:124
 msgid "Use HTTP/1.0"
 msgstr ""
 
-#: src/protocol/http/http.c:125
+#: src/protocol/http/http.c:126
 msgid "Use HTTP/1.0 protocol instead of HTTP/1.1."
 msgstr ""
 
-#: src/protocol/http/http.c:129
+#: src/protocol/http/http.c:130
 msgid "HTTP proxy configuration."
 msgstr ""
 
-#: src/protocol/http/http.c:133
+#: src/protocol/http/http.c:134
 msgid ""
-"Host and port-number (host:port) of the HTTP proxy, or blank.\n"
-"If it's blank, HTTP_PROXY environment variable is checked as well."
+"Host and port-number (host:port) of the HTTP proxy, or blank. If it's blank, "
+"HTTP_PROXY environment variable is checked as well."
 msgstr ""
 
-#: src/protocol/http/http.c:136
+#: src/protocol/http/http.c:138
 #, fuzzy
 msgid "Username"
 msgstr "nimi"
 
-#: src/protocol/http/http.c:138
+#: src/protocol/http/http.c:140
 msgid "Proxy authentication username."
 msgstr ""
 
-#: src/protocol/http/http.c:142
+#: src/protocol/http/http.c:144
 msgid "Proxy authentication password."
 msgstr ""
 
-#: src/protocol/http/http.c:145
+#: src/protocol/http/http.c:147
 msgid "Referer sending"
 msgstr ""
 
-#: src/protocol/http/http.c:147
+#: src/protocol/http/http.c:149
 msgid ""
-"HTTP referer sending options. HTTP referer is a special header\n"
-"sent in the HTTP requests, which is supposed to contain the previous\n"
-"page visited by the browser. This way, the server can know what link\n"
-"did you follow when accessing that page. However, this behaviour\n"
-"can unfortunately considerably affect privacy and can lead even to a\n"
-"security problem on some badly designed web pages."
+"HTTP referer sending options. HTTP referer is a special header sent in the "
+"HTTP requests, which is supposed to contain the previous page visited by the "
+"browser.This way, the server can know what link did you follow when "
+"accessing that page. However, this behaviour can unfortunately considerably "
+"affect privacy and can lead even to a security problem on some badly "
+"designed web pages."
 msgstr ""
 
-#: src/protocol/http/http.c:154
+#: src/protocol/http/http.c:157
 msgid "Policy"
 msgstr ""
 
-#: src/protocol/http/http.c:157
+#: src/protocol/http/http.c:160
 msgid ""
 "Mode of sending HTTP referer:\n"
 "0 is send no referer\n"
@@ -7484,90 +7479,110 @@ msgid ""
 "3 is send previous URL as referer (correct, but insecure)"
 msgstr ""
 
-#: src/protocol/http/http.c:163
+#: src/protocol/http/http.c:166
 msgid "Fake referer URL"
 msgstr ""
 
-#: src/protocol/http/http.c:165
+#: src/protocol/http/http.c:168
 msgid "Fake referer to be sent when policy is 2."
 msgstr ""
 
-#: src/protocol/http/http.c:168
+#: src/protocol/http/http.c:171
 msgid "Send Accept-Language header"
 msgstr ""
 
-#: src/protocol/http/http.c:170
+#: src/protocol/http/http.c:173
 msgid "Send Accept-Language header."
 msgstr ""
 
-#: src/protocol/http/http.c:172
+#: src/protocol/http/http.c:175
 msgid "Use UI language as Accept-Language"
 msgstr ""
 
-#: src/protocol/http/http.c:174
+#: src/protocol/http/http.c:177
 msgid ""
-"Request localised versions of documents from web-servers (using the\n"
-"Accept-Language header) using the language you have configured for\n"
-"ELinks' user-interface (this also affects navigator.language ECMAScript\n"
-"value available to scripts). Note that some see this as a potential\n"
-"security risk because it tells web-masters and the FBI sniffers about\n"
-"your language preference."
+"Request localised versions of documents from web-servers (using the Accept-"
+"Language header) using the language you have configured for ELinks' user-"
+"interface (this also affects navigator.language ECMAScript value available "
+"to scripts). Note that some see this as a potential security risk because it "
+"tells web-masters and the FBI sniffers about your language preference."
+msgstr ""
+
+#. After the compression support has been tested enough,
+#. * we might wrap this option in #if CFG_DEBUG.
+#: src/protocol/http/http.c:187
+msgid "Enable on-the-fly compression"
 msgstr ""
 
-#: src/protocol/http/http.c:181
+#: src/protocol/http/http.c:189
+msgid ""
+"If enabled, the capability to receive compressed content (gzip and/or bzip2) "
+"is announced to the server, which usually sends the reply compressed, thus "
+"saving some bandwidth at slight CPU expense.\n"
+"\n"
+"If ELinks displays a incomplete page or garbage, try disabling this option. "
+"If that helps, there may be a bug in the decompression part of ELinks. "
+"Please report such bugs.\n"
+"\n"
+"If ELinks has been compiled without compression support, this option has no "
+"effect. To check the supported features, see Help -> About."
+msgstr ""
+
+#: src/protocol/http/http.c:202
 msgid "Activate HTTP TRACE debugging"
 msgstr ""
 
-#: src/protocol/http/http.c:183
+#: src/protocol/http/http.c:204
 msgid ""
-"If active, all HTTP requests are sent with TRACE as their method\n"
-"rather than GET or POST. This is useful for debugging of both ELinks\n"
-"and various server-side scripts --- the server only returns the client's\n"
-"request back to the client verbatim. Note that this type of request may\n"
-"not be enabled on all servers."
+"If active, all HTTP requests are sent with TRACE as their method rather than "
+"GET or POST. This is useful for debugging of both ELinks and various server-"
+"side scripts --- the server only returns the client's request back to the "
+"client verbatim. Note that this type of request may not be enabled on all "
+"servers."
 msgstr ""
 
 #. OSNews.com is supposed to be relying on the textmode token, at least.
-#: src/protocol/http/http.c:190
+#: src/protocol/http/http.c:212
 msgid "User-agent identification"
 msgstr ""
 
-#: src/protocol/http/http.c:192
+#: src/protocol/http/http.c:214
 msgid ""
-"Change the User Agent ID. That means identification string, which\n"
-"is sent to HTTP server when a document is requested. The 'textmode'\n"
-"token in the first field is our silent attempt to establish this as\n"
-"a standard for new textmode user agents, so that the webmasters can\n"
-"have just a single uniform test for these if they are e.g. pushing\n"
-"some lite version to them automagically.\n"
+"Change the User Agent ID. That means identification string, which is sent to "
+"HTTP server when a document is requested. The 'textmode' token in the first "
+"field is our silent attempt to establish this as a standard for new textmode "
+"user agents, so that the webmasters can have just a single uniform test for "
+"these if they are e.g. pushing some lite version to them automagically.\n"
+"\n"
 "Use \" \" if you don't want any User-Agent header to be sent at all.\n"
+"\n"
 "%v in the string means ELinks version,\n"
 "%s in the string means system identification,\n"
 "%t in the string means size of the terminal,\n"
 "%b in the string means number of bars displayed by ELinks."
 msgstr ""
 
-#: src/protocol/http/http.c:205
+#: src/protocol/http/http.c:231
 msgid "HTTPS"
 msgstr ""
 
-#: src/protocol/http/http.c:207
+#: src/protocol/http/http.c:233
 #, fuzzy
 msgid "HTTPS-specific options."
 msgstr "Pole programmi mrgitud"
 
-#: src/protocol/http/http.c:211
+#: src/protocol/http/http.c:237
 msgid "HTTPS proxy configuration."
 msgstr ""
 
-#: src/protocol/http/http.c:215
+#: src/protocol/http/http.c:241
 msgid ""
-"Host and port-number (host:port) of the HTTPS CONNECT proxy, or blank.\n"
-"If it's blank, HTTPS_PROXY environment variable is checked as well."
+"Host and port-number (host:port) of the HTTPS CONNECT proxy, or blank. If "
+"it's blank, HTTPS_PROXY environment variable is checked as well."
 msgstr ""
 
 #. name:
-#: src/protocol/nntp/nntp.c:32 src/protocol/nntp/nntp.c:65
+#: src/protocol/nntp/nntp.c:32 src/protocol/nntp/nntp.c:66
 msgid "NNTP"
 msgstr ""
 
@@ -7582,19 +7597,19 @@ msgstr ""
 
 #: src/protocol/nntp/nntp.c:38
 msgid ""
-"Used when resolving news: URIs. If set to the empty string\n"
-"the value of the NNTPSERVER environment variable will be used."
+"Used when resolving news: URIs. If set to the empty string the value of the "
+"NNTPSERVER environment variable will be used."
 msgstr ""
 
-#: src/protocol/nntp/nntp.c:41
+#: src/protocol/nntp/nntp.c:42
 msgid "Message header entries"
 msgstr ""
 
-#: src/protocol/nntp/nntp.c:43
+#: src/protocol/nntp/nntp.c:44
 msgid ""
-"Comma separated list of which entries in the article header\n"
-"to show. E.g. 'Subject' and 'From'.\n"
-"All header entries can be read in the header info dialog."
+"Comma separated list of which entries in the article header to show. E.g. "
+"'Subject' and 'From'. All header entries can be read in the header info "
+"dialog."
 msgstr ""
 
 #: src/protocol/protocol.c:242
@@ -7616,10 +7631,9 @@ msgstr ""
 
 #: src/protocol/protocol.c:279
 msgid ""
-"Comma separated list of domains for which the proxy (HTTP/FTP)\n"
-"should be disabled. Optionally, a port can be specified for some\n"
-"domains as well. If it's blank, NO_PROXY environment variable is\n"
-"checked as well."
+"Comma separated list of domains for which the proxy (HTTP/FTP) should be "
+"disabled. Optionally, a port can be specified for some domains as well. If "
+"it's blank, NO_PROXY environment variable is checked as well."
 msgstr ""
 
 #. name:
@@ -7633,47 +7647,45 @@ msgstr ""
 
 #: src/protocol/rewrite/rewrite.c:46
 msgid ""
-"Rules for rewriting URIs entered in the goto dialog.\n"
-"It makes it possible to define a set of prefixes that will\n"
-"be expanded if they match a string entered in the goto dialog.\n"
-"The prefixes can be dumb, meaning that they work only like\n"
-"URI abbreviations, or smart ones, making it possible to pass\n"
+"Rules for rewriting URIs entered in the goto dialog. It makes it possible to "
+"define a set of prefixes that will be expanded if they match a string "
+"entered in the goto dialog. The prefixes can be dumb, meaning that they work "
+"only like URI abbreviations, or smart ones, making it possible to pass "
 "arguments to them like search engine keywords."
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:53
+#: src/protocol/rewrite/rewrite.c:54
 msgid "Enable dumb prefixes"
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:55
+#: src/protocol/rewrite/rewrite.c:56
 msgid ""
-"Enable dumb prefixes - simple URI abbreviations which can\n"
-"be written to the Goto URL dialog instead of actual URIs - i.e.\n"
-"if you write 'elinks' there, you are directed to\n"
-"http://elinks.cz/."
+"Enable dumb prefixes - simple URI abbreviations which can be written to the "
+"Goto URL dialog instead of actual URIs - i.e. if you write 'elinks' there, "
+"you are directed to http://elinks.cz/."
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:60
+#: src/protocol/rewrite/rewrite.c:61
 msgid "Enable smart prefixes"
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:62
+#: src/protocol/rewrite/rewrite.c:63
 msgid ""
-"Enable smart prefixes - URI templates triggered by writing\n"
-"given abbreviation to the Goto URL dialog followed by a list\n"
-"of arguments from which the actual URI is composed - i.e.\n"
-"'gg:search keywords' or 'gn search keywords for news'."
+"Enable smart prefixes - URI templates triggered by writing given "
+"abbreviation to the Goto URL dialog followed by a list of arguments from "
+"which the actual URI is composed - i.e. 'gg:search keywords' or 'gn search "
+"keywords for news'."
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:67
+#: src/protocol/rewrite/rewrite.c:69
 msgid "Dumb Prefixes"
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:69
+#: src/protocol/rewrite/rewrite.c:71
 msgid "Dumb prefixes, see enable-dumb description for details."
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:74
+#: src/protocol/rewrite/rewrite.c:76
 #, no-c-format
 msgid ""
 "Replacement URI for this dumbprefix:\n"
@@ -7681,15 +7693,15 @@ msgid ""
 "%% in the string means '%'"
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:78
+#: src/protocol/rewrite/rewrite.c:80
 msgid "Smart Prefixes"
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:80
+#: src/protocol/rewrite/rewrite.c:82
 msgid "Smart prefixes, see enable-smart description for details."
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:87
+#: src/protocol/rewrite/rewrite.c:90
 #, no-c-format
 msgid ""
 "Replacement URI for this smartprefix:\n"
@@ -7699,27 +7711,29 @@ msgid ""
 "%% in the string means '%'"
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:93
+#: src/protocol/rewrite/rewrite.c:96
 #, fuzzy
 msgid "Default template"
 msgstr "Valmisvormindatud leheklgede mlupuhver"
 
-#: src/protocol/rewrite/rewrite.c:96
+#: src/protocol/rewrite/rewrite.c:99
 #, no-c-format
 msgid ""
-"Default URI template used when the string entered in\n"
-"the goto dialog does not appear to be a URI or a filename\n"
-"(i.e. contains no '.', ':' or '/' characters), and does\n"
-"not match any defined prefixes. Set the value to \"\" to\n"
-"disable use of the default template rewrite rule.\n"
+"Default URI template used when the string entered in the goto dialog does "
+"not appear to be a URI or a filename (i.e. contains no '.', ':' or '/' "
+"characters), and does not match any defined prefixes. Set the value to \"\" "
+"to disable use of the default template rewrite rule.\n"
+"\n"
 "%c in the template means the current URL,\n"
-"%s in the template means the whole string from the goto dialog,\n"
-"%0,%1,...,%9 mean the 1st,2nd,...,10th space-delimited part of %s,\n"
+"%s in the template means the whole string from the goto\n"
+"   dialog,\n"
+"%0,%1,...,%9 mean the 1st,2nd,...,10th space-delimited part\n"
+"   of %s,\n"
 "%% in the template means '%'."
 msgstr ""
 
 #. name:
-#: src/protocol/rewrite/rewrite.c:372
+#: src/protocol/rewrite/rewrite.c:378
 msgid "URI rewrite"
 msgstr ""
 
@@ -7742,24 +7756,23 @@ msgid "Credentials file passed to smbcli
 msgstr ""
 
 #. name:
-#: src/protocol/user.c:34 src/protocol/user.c:84
+#: src/protocol/user.c:34 src/protocol/user.c:85
 msgid "User protocols"
 msgstr ""
 
 #: src/protocol/user.c:36
 msgid ""
-"User protocols. Options in this tree specify external\n"
-"handlers for the appropriate protocols. Ie.\n"
-"protocol.user.mailto.unix."
+"User protocols. Options in this tree specify external handlers for the "
+"appropriate protocols. Ie. protocol.user.mailto.unix."
 msgstr ""
 
 #: src/protocol/user.c:47
 msgid ""
-"Handler (external program) for this protocol. Name the\n"
-"options in this tree after your system (ie. unix, unix-xwin)."
+"Handler (external program) for this protocol. Name the options in this tree "
+"after your system (ie. unix, unix-xwin)."
 msgstr ""
 
-#: src/protocol/user.c:52
+#: src/protocol/user.c:53
 msgid ""
 "Handler (external program) for this protocol and system.\n"
 "%f in the string means file name to include form data from\n"
@@ -7770,11 +7783,11 @@ msgid ""
 "%u in the string means the whole URL"
 msgstr ""
 
-#: src/protocol/user.c:276
+#: src/protocol/user.c:277
 msgid "No program"
 msgstr "Pole programmi"
 
-#: src/protocol/user.c:278
+#: src/protocol/user.c:279
 #, fuzzy, c-format
 msgid "No program specified for protocol %s."
 msgstr "Pole programmi mrgitud"
@@ -7858,19 +7871,19 @@ msgstr ""
 msgid "Spidermonkey ECMAScript"
 msgstr ""
 
-#: src/session/download.c:233 src/session/download.c:330
-#: src/session/download.c:561 src/session/download.c:649
+#: src/session/download.c:256 src/session/download.c:356
+#: src/session/download.c:587 src/session/download.c:675
 msgid "Download error"
 msgstr "Alla laadimise viga"
 
-#: src/session/download.c:234 src/session/download.c:650
+#: src/session/download.c:257 src/session/download.c:676
 #, fuzzy, c-format
 msgid ""
 "Could not create file '%s':\n"
 "%s"
 msgstr "Ei suuda kirjutada faili"
 
-#: src/session/download.c:331
+#: src/session/download.c:357
 #, fuzzy, c-format
 msgid ""
 "Error downloading %s:\n"
@@ -7878,17 +7891,17 @@ msgid ""
 "%s"
 msgstr "Viga alla laadimisel"
 
-#: src/session/download.c:562
+#: src/session/download.c:588
 #, c-format
 msgid "'%s' is a directory."
 msgstr ""
 
-#: src/session/download.c:596
+#: src/session/download.c:622
 #, fuzzy
 msgid "File exists"
 msgstr "Faililai~endid"
 
-#: src/session/download.c:597
+#: src/session/download.c:623
 #, c-format
 msgid ""
 "This file already exists:\n"
@@ -7899,51 +7912,51 @@ msgid ""
 msgstr ""
 
 #. accelerator_context(src/session/download.c:lookup_unique_name)
-#: src/session/download.c:604
+#: src/session/download.c:630
 msgid "Sa~ve under the alternative name"
 msgstr ""
 
 #. accelerator_context(src/session/download.c:lookup_unique_name)
-#: src/session/download.c:605
+#: src/session/download.c:631
 msgid "~Overwrite the original file"
 msgstr ""
 
 #. accelerator_context(src/session/download.c:lookup_unique_name)
-#: src/session/download.c:606
+#: src/session/download.c:632
 msgid "~Resume download of the original file"
 msgstr ""
 
-#: src/session/download.c:1109
+#: src/session/download.c:1135
 msgid "Unknown type"
 msgstr "Tundmatu tp"
 
-#: src/session/download.c:1134
+#: src/session/download.c:1160
 #, c-format
 msgid "What would you like to do with the file '%s' (type: %s%s%s)?"
 msgstr ""
 
-#: src/session/download.c:1137
+#: src/session/download.c:1163
 #, c-format
 msgid "What would you like to do with the file (type: %s%s%s)?"
 msgstr ""
 
-#: src/session/download.c:1165
+#: src/session/download.c:1191
 #, no-c-format
 msgid "Program ('%' will be replaced by the filename)"
 msgstr ""
 
-#: src/session/download.c:1169
+#: src/session/download.c:1195
 #, fuzzy
 msgid "Block the terminal"
 msgstr "~BeOS-i terminal"
 
-#: src/session/download.c:1175
+#: src/session/download.c:1201
 #, c-format
 msgid "The file will be opened with the program '%s'."
 msgstr ""
 
 #. accelerator_context(src/session/download.c:do_type_query)
-#: src/session/download.c:1196
+#: src/session/download.c:1222
 #, fuzzy
 msgid "~Open"
 msgstr "Ava"
@@ -7952,12 +7965,12 @@ msgstr "Ava"
 #. * and formatting it with "%u" is safe,
 #. * because fc_maxlength is smaller than
 #. * file.length, which is an int.
-#: src/session/session.c:761 src/session/session.c:780 src/session/task.c:275
-#: src/viewer/text/textarea.c:652
+#: src/session/session.c:771 src/session/session.c:790 src/session/task.c:275
+#: src/viewer/text/textarea.c:641
 msgid "Warning"
 msgstr "Hoiatus"
 
-#: src/session/session.c:762
+#: src/session/session.c:772
 msgid ""
 "You have an empty string in protocol.http.user_agent - this was a default "
 "value in the past, substituted by default ELinks User-Agent string. However, "
@@ -7968,7 +7981,7 @@ msgid ""
 "will be used. Apologies for any inconvience caused."
 msgstr ""
 
-#: src/session/session.c:781
+#: src/session/session.c:791
 msgid ""
 "You have option config.saving_style set to a de facto obsolete value. The "
 "configuration saving algorithms of ELinks were changed from the last time "
@@ -7981,11 +7994,11 @@ msgid ""
 "caused."
 msgstr ""
 
-#: src/session/session.c:806
+#: src/session/session.c:816
 msgid "Welcome"
 msgstr "Tere tulemast"
 
-#: src/session/session.c:807
+#: src/session/session.c:817
 #, fuzzy
 msgid ""
 "Welcome to ELinks!\n"
@@ -8037,22 +8050,22 @@ msgstr ""
 msgid "Warning: terminal name contains illicit chars."
 msgstr ""
 
-#: src/terminal/event.c:259
+#: src/terminal/event.c:258
 #, c-format
 msgid "Failed to create session."
 msgstr ""
 
-#: src/terminal/event.c:446
+#: src/terminal/event.c:443
 #, c-format
 msgid "Bad event %d"
 msgstr ""
 
-#: src/terminal/event.c:486
+#: src/terminal/event.c:483
 #, fuzzy, c-format
 msgid "Could not read event: %d (%s)"
 msgstr "Ei suuda kirjutada faili"
 
-#: src/terminal/kbd.c:1187
+#: src/terminal/kbd.c:1210
 #, c-format
 msgid "Too many bytes read from the itrm!"
 msgstr ""
@@ -8131,207 +8144,207 @@ msgstr "Pole paane"
 msgid "The requested fragment \"%s\" doesn't exist."
 msgstr ""
 
-#: src/viewer/text/form.c:1092
+#: src/viewer/text/form.c:1118
 msgid "Error while posting form"
 msgstr "Viga vormi saatmisel"
 
-#: src/viewer/text/form.c:1093
+#: src/viewer/text/form.c:1119
 #, fuzzy, c-format
 msgid "Could not load file %s: %s"
 msgstr "Ei suuda tuua faili"
 
-#: src/viewer/text/form.c:1847
+#: src/viewer/text/form.c:1876
 #, fuzzy
 msgid "Reset form"
 msgstr "Nulli vorm"
 
-#: src/viewer/text/form.c:1849
+#: src/viewer/text/form.c:1878
 msgid "Harmless button"
 msgstr ""
 
-#: src/viewer/text/form.c:1857
+#: src/viewer/text/form.c:1886
 msgid "Submit form to"
 msgstr "Esita vorm"
 
-#: src/viewer/text/form.c:1858
+#: src/viewer/text/form.c:1887
 msgid "Post form to"
 msgstr "Postita vorm"
 
-#: src/viewer/text/form.c:1860
+#: src/viewer/text/form.c:1889
 msgid "Radio button"
 msgstr "Raadio nupp"
 
-#: src/viewer/text/form.c:1864
+#: src/viewer/text/form.c:1893
 msgid "Select field"
 msgstr "Mrgista vli"
 
-#: src/viewer/text/form.c:1868
+#: src/viewer/text/form.c:1897
 msgid "Text area"
 msgstr "Teksti ala"
 
-#: src/viewer/text/form.c:1870
+#: src/viewer/text/form.c:1899
 msgid "File upload"
 msgstr "Faili les laadimine"
 
-#: src/viewer/text/form.c:1872
+#: src/viewer/text/form.c:1901
 msgid "Password field"
 msgstr "Paroolivli"
 
-#: src/viewer/text/form.c:1910
+#: src/viewer/text/form.c:1939
 msgid "name"
 msgstr "nimi"
 
-#: src/viewer/text/form.c:1922
+#: src/viewer/text/form.c:1951
 msgid "value"
 msgstr "vrtus"
 
-#: src/viewer/text/form.c:1935
+#: src/viewer/text/form.c:1964
 msgid "read only"
 msgstr ""
 
-#: src/viewer/text/form.c:1946
+#: src/viewer/text/form.c:1975
 #, c-format
 msgid "press %s to navigate"
 msgstr ""
 
-#: src/viewer/text/form.c:1948
+#: src/viewer/text/form.c:1977
 #, c-format
 msgid "press %s to edit"
 msgstr ""
 
-#: src/viewer/text/form.c:1984
+#: src/viewer/text/form.c:2013
 #, fuzzy, c-format
 msgid "press %s to submit to %s"
 msgstr "jrgi"
 
-#: src/viewer/text/form.c:1986
+#: src/viewer/text/form.c:2015
 #, fuzzy, c-format
 msgid "press %s to post to %s"
 msgstr "jrgi"
 
-#: src/viewer/text/form.c:2088
+#: src/viewer/text/form.c:2117
 msgid "Useless button"
 msgstr ""
 
-#: src/viewer/text/form.c:2090
+#: src/viewer/text/form.c:2119
 #, fuzzy
 msgid "Submit button"
 msgstr "Esita vorm"
 
 #. accelerator_context(link_menu.map)
-#: src/viewer/text/link.c:1281
+#: src/viewer/text/link.c:1280
 msgid "Display ~usemap"
 msgstr "Nita ~usemap'i"
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1286
+#: src/viewer/text/link.c:1285
 msgid "~Follow link"
 msgstr "Jrgi linki"
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1288
+#: src/viewer/text/link.c:1287
 msgid "Follow link and r~eload"
 msgstr ""
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1292
+#: src/viewer/text/link.c:1291
 msgid "Open in new ~window"
 msgstr "Ava uues aknas"
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1294
+#: src/viewer/text/link.c:1293
 #, fuzzy
 msgid "Open in new ~tab"
 msgstr "Ava uues aknas"
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1296
+#: src/viewer/text/link.c:1295
 #, fuzzy
 msgid "Open in new tab in ~background"
 msgstr "Taustale"
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1301
+#: src/viewer/text/link.c:1300
 msgid "~Download link"
 msgstr "Laadi alla link"
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1304
+#: src/viewer/text/link.c:1303
 msgid "~Add link to bookmarks"
 msgstr ""
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1308
+#: src/viewer/text/link.c:1307
 msgid "Pass link URI to e~xternal command"
 msgstr ""
 
 #. accelerator_context(link_menu.form, link_menu.reset, link_menu.textarea)
-#: src/viewer/text/link.c:1319 src/viewer/text/link.c:1359
+#: src/viewer/text/link.c:1318 src/viewer/text/link.c:1358
 msgid "~Reset form"
 msgstr "Nulli vorm"
 
 #. accelerator_context(link_menu.textarea)
-#: src/viewer/text/link.c:1334
+#: src/viewer/text/link.c:1333
 msgid "Open in ~external editor"
 msgstr ""
 
 #. accelerator_context(link_menu.form, link_menu.textarea)
-#: src/viewer/text/link.c:1342
+#: src/viewer/text/link.c:1341
 msgid "~Submit form"
 msgstr "E~sita vorm"
 
 #. accelerator_context(link_menu.form, link_menu.textarea)
-#: src/viewer/text/link.c:1343
+#: src/viewer/text/link.c:1342
 msgid "Submit form and rel~oad"
 msgstr ""
 
 #. accelerator_context(link_menu.form, link_menu.textarea)
-#: src/viewer/text/link.c:1347
+#: src/viewer/text/link.c:1346
 msgid "Submit form and open in new ~window"
 msgstr "Esita vorm ja ava uues aknas"
 
 #. accelerator_context(link_menu.form, link_menu.textarea)
-#: src/viewer/text/link.c:1349
+#: src/viewer/text/link.c:1348
 #, fuzzy
 msgid "Submit form and open in new ~tab"
 msgstr "Esita vorm ja ava uues aknas"
 
 #. accelerator_context(link_menu.form, link_menu.textarea)
-#: src/viewer/text/link.c:1352
+#: src/viewer/text/link.c:1351
 #, fuzzy
 msgid "Submit form and open in new tab in ~background"
 msgstr "Esita vorm ja ava uues aknas"
 
 #. accelerator_context(link_menu.form, link_menu.textarea)
-#: src/viewer/text/link.c:1357
+#: src/viewer/text/link.c:1356
 msgid "Submit form and ~download"
 msgstr "Esita vorm ja laadi alla"
 
 #. accelerator_context(link_menu.form, link_menu.reset, link_menu.textarea)
-#: src/viewer/text/link.c:1364
+#: src/viewer/text/link.c:1363
 #, fuzzy
 msgid "Form f~ields"
 msgstr "Paroolivli"
 
 #. accelerator_context(link_menu.form, link_menu.map, link_menu.std)
-#: src/viewer/text/link.c:1371
+#: src/viewer/text/link.c:1370
 msgid "V~iew image"
 msgstr "N~ita pilti"
 
 #. accelerator_context(link_menu.form, link_menu.map, link_menu.std)
-#: src/viewer/text/link.c:1373
+#: src/viewer/text/link.c:1372
 msgid "Download ima~ge"
 msgstr "Laadi alla pilt"
 
-#: src/viewer/text/link.c:1382
+#: src/viewer/text/link.c:1381
 msgid "No link selected"
 msgstr "Link pole valitud"
 
-#: src/viewer/text/link.c:1452
+#: src/viewer/text/link.c:1451
 msgid "Image"
 msgstr "Pilt"
 
-#: src/viewer/text/link.c:1457
+#: src/viewer/text/link.c:1456
 msgid "Usemap"
 msgstr "Usemap"
 
@@ -8340,86 +8353,86 @@ msgstr "Usemap"
 msgid "Marks"
 msgstr ""
 
-#: src/viewer/text/search.c:1083
+#: src/viewer/text/search.c:1099
 msgid "Search hit top, continuing at bottom."
 msgstr ""
 
-#: src/viewer/text/search.c:1084
+#: src/viewer/text/search.c:1100
 msgid "Search hit bottom, continuing at top."
 msgstr ""
 
-#: src/viewer/text/search.c:1087
+#: src/viewer/text/search.c:1103
 msgid "No previous search"
 msgstr "Eelnev otsing puudub"
 
-#: src/viewer/text/search.c:1099
+#: src/viewer/text/search.c:1115
 #, c-format
 msgid "Could not compile regular expression '%s'"
 msgstr ""
 
-#: src/viewer/text/search.c:1143
+#: src/viewer/text/search.c:1159
 #, c-format
 msgid "No further matches for '%s'."
 msgstr ""
 
-#: src/viewer/text/search.c:1145
+#: src/viewer/text/search.c:1161
 #, c-format
 msgid "Could not find a link with the text '%s'."
 msgstr ""
 
-#: src/viewer/text/search.c:1147 src/viewer/text/search.c:1558
+#: src/viewer/text/search.c:1163 src/viewer/text/search.c:1576
 msgid "Typeahead"
 msgstr ""
 
-#: src/viewer/text/search.c:1560
+#: src/viewer/text/search.c:1578
 #, c-format
 msgid "No links in current document"
 msgstr ""
 
-#: src/viewer/text/search.c:1643
+#: src/viewer/text/search.c:1661
 msgid "Search for text"
 msgstr "Tekstiotsing"
 
-#: src/viewer/text/search.c:1679
+#: src/viewer/text/search.c:1697
 #, fuzzy
 msgid "Normal search"
 msgstr "Eelnev otsing puudub"
 
-#: src/viewer/text/search.c:1680
+#: src/viewer/text/search.c:1698
 msgid "Regexp search"
 msgstr ""
 
-#: src/viewer/text/search.c:1681
+#: src/viewer/text/search.c:1699
 msgid "Extended regexp search"
 msgstr ""
 
-#: src/viewer/text/search.c:1683
+#: src/viewer/text/search.c:1701
 msgid "Case sensitive"
 msgstr ""
 
-#: src/viewer/text/search.c:1684
+#: src/viewer/text/search.c:1702
 msgid "Case insensitive"
 msgstr ""
 
-#: src/viewer/text/search.c:1708
+#: src/viewer/text/search.c:1726
 msgid "Search backward"
 msgstr "Tagurpidi otsing"
 
 #. name:
-#: src/viewer/text/search.c:1747
+#: src/viewer/text/search.c:1765
 #, fuzzy
 msgid "Search History"
 msgstr "Mlu otsas"
 
-#: src/viewer/text/textarea.c:595
+#: src/viewer/text/textarea.c:584
 msgid "You cannot launch an external editor in the anonymous mode."
 msgstr ""
 
-#: src/viewer/text/textarea.c:602
+#: src/viewer/text/textarea.c:591
 msgid "You can do this only on the master terminal"
 msgstr ""
 
-#: src/viewer/text/textarea.c:655
+#: src/viewer/text/textarea.c:644
 #, c-format
 msgid ""
 "You have exceeded the textarea's size limit: your input is %d bytes, but the "
@@ -8437,11 +8450,11 @@ msgstr "Mine lingile"
 msgid "Enter link number"
 msgstr "Sisesta lingi number"
 
-#: src/viewer/text/view.c:1627
+#: src/viewer/text/view.c:1628
 msgid "Save error"
 msgstr "Salvestamise viga"
 
-#: src/viewer/text/view.c:1628
+#: src/viewer/text/view.c:1629
 msgid "Error writing to file"
 msgstr "Viga faili kirjutamisel"
 
Binary files 0.12~pre2.dfsg0-1/po/fi.gmo and 0.12~pre4-1/po/fi.gmo differ
diff -pruN 0.12~pre2.dfsg0-1/po/fi.po 0.12~pre4-1/po/fi.po
--- 0.12~pre2.dfsg0-1/po/fi.po	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/po/fi.po	2009-05-31 09:48:47.000000000 +0100
@@ -6,8 +6,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: ELinks 0.12.GIT\n"
 "Report-Msgid-Bugs-To: elinks-users@linuxfromscratch.org\n"
-"POT-Creation-Date: 2008-09-21 11:13+0300\n"
-"PO-Revision-Date: 2006-09-03 13:49+0300\n"
+"POT-Creation-Date: 2009-05-31 01:57+0300\n"
+"PO-Revision-Date: 2009-03-24 00:31+0200\n"
 "Last-Translator: Kalle Olavi Niemitalo <kon@iki.fi>\n"
 "Language-Team: Finnish <translation-team-fi@lists.sourceforge.net>\n"
 "MIME-Version: 1.0\n"
@@ -38,7 +38,7 @@ msgstr "Voit laventaa kansion painamalla
 #: src/mime/dialogs.c:132 src/protocol/auth/dialogs.c:115
 #: src/protocol/protocol.c:246 src/scripting/lua/core.c:399
 #: src/scripting/lua/core.c:480 src/scripting/python/dialogs.c:86
-#: src/session/session.c:811 src/viewer/text/search.c:1686
+#: src/session/session.c:821 src/viewer/text/search.c:1704
 msgid "~OK"
 msgstr "~OK"
 
@@ -55,13 +55,13 @@ msgid "Sorry, but the item \"%s\" is bei
 msgstr "Ikv kyll kohtaa \"%s\" kytt viel jokin muu."
 
 #. cant_delete_folder
-#: src/bfu/hierbox.c:558 src/bookmarks/dialogs.c:121
+#: src/bfu/hierbox.c:558 src/bookmarks/dialogs.c:153
 #, c-format
 msgid "Sorry, but the folder \"%s\" cannot be deleted."
 msgstr "Ikv kyll kansiota \"%s\" ei voi poistaa."
 
 #. cant_delete_used_folder
-#: src/bfu/hierbox.c:561 src/bookmarks/dialogs.c:123
+#: src/bfu/hierbox.c:561 src/bookmarks/dialogs.c:155
 #, c-format
 msgid "Sorry, but the folder \"%s\" is being used by something else."
 msgstr "Ikv kyll kansiota \"%s\" kytt viel jokin muu."
@@ -78,7 +78,7 @@ msgid "Delete marked items?"
 msgstr "Poistatko merkityt kohdat?"
 
 #. delete_folder_title
-#: src/bfu/hierbox.c:570 src/bookmarks/dialogs.c:129
+#: src/bfu/hierbox.c:570 src/bookmarks/dialogs.c:161
 msgid "Delete folder"
 msgstr "Poista kansio"
 
@@ -136,13 +136,13 @@ msgstr "~Kyll"
 msgid "~No"
 msgstr "~Ei"
 
-#: src/bfu/hierbox.c:945 src/bfu/hierbox.c:976 src/viewer/text/search.c:1090
-#: src/viewer/text/search.c:1098 src/viewer/text/search.c:1114
-#: src/viewer/text/search.c:1705
+#: src/bfu/hierbox.c:945 src/bfu/hierbox.c:976 src/viewer/text/search.c:1106
+#: src/viewer/text/search.c:1114 src/viewer/text/search.c:1130
+#: src/viewer/text/search.c:1723
 msgid "Search"
 msgstr "Etsi"
 
-#: src/bfu/hierbox.c:947 src/viewer/text/search.c:1091
+#: src/bfu/hierbox.c:947 src/viewer/text/search.c:1107
 #, c-format
 msgid "Search string '%s' not found"
 msgstr "Etsitty jonoa \"%s\" ei lytynyt"
@@ -184,8 +184,8 @@ msgstr "Tyhj merkkijono ei sallittu"
 #: src/dialogs/options.c:237 src/dialogs/options.c:316 src/mime/dialogs.c:133
 #: src/protocol/auth/dialogs.c:116 src/protocol/bittorrent/dialogs.c:814
 #: src/scripting/lua/core.c:400 src/scripting/lua/core.c:481
-#: src/session/download.c:607 src/session/download.c:1219
-#: src/viewer/text/search.c:1687
+#: src/session/download.c:633 src/session/download.c:1245
+#: src/viewer/text/search.c:1705
 #, fuzzy
 msgid "~Cancel"
 msgstr "~Keskeyt"
@@ -198,12 +198,12 @@ msgstr "Kello"
 msgid "Digital clock in the status bar."
 msgstr "Digitaalikello tilapalkissa."
 
-#: src/bfu/leds.c:77 src/bfu/leds.c:94 src/config/options.inc:1199
-#: src/config/options.inc:1206 src/ecmascript/ecmascript.c:45
+#: src/bfu/leds.c:77 src/bfu/leds.c:94 src/config/options.inc:1272
+#: src/config/options.inc:1279 src/ecmascript/ecmascript.c:45
 #: src/globhist/globhist.c:64 src/mime/backend/mailcap.c:93
 #: src/mime/backend/mimetypes.c:52 src/network/ssl/ssl.c:81
 msgid "Enable"
-msgstr ""
+msgstr "Ota kyttn"
 
 #: src/bfu/leds.c:79
 msgid "Whether to display a digital clock in the status bar."
@@ -216,15 +216,14 @@ msgstr "Muoto"
 # TODO: man=?
 #: src/bfu/leds.c:83
 msgid ""
-"Format string for the digital clock. See the strftime(3)\n"
-"manpage for details."
+"Format string for the digital clock. See the strftime(3) manpage for details."
 msgstr ""
-"Digitaalikellon muodonmritys. Katso tarkemmat tiedot\n"
-"man-sivulta strftime(3)."
+"Digitaalikellon muodonmritys. Katso tarkemmat tiedot man-sivulta strftime"
+"(3)."
 
 #: src/bfu/leds.c:90
 msgid "LEDs"
-msgstr ""
+msgstr "LEDit"
 
 #: src/bfu/leds.c:92
 msgid "LEDs (visual indicators) options."
@@ -232,8 +231,7 @@ msgstr ""
 
 #: src/bfu/leds.c:96
 msgid ""
-"Enable LEDs.\n"
-"These visual indicators will inform you about various states."
+"Enable LEDs. These visual indicators will inform you about various states."
 msgstr ""
 
 #. name:
@@ -265,17 +263,17 @@ msgstr ""
 msgid "Search menu/"
 msgstr "Etsi valikosta/"
 
-#: src/bookmarks/backend/xbel.c:97
+#: src/bookmarks/backend/xbel.c:105
 #, c-format
 msgid "read_bookmarks_xbel(): Error in XML_ParserCreate()"
 msgstr "read_bookmarks_xbel(): Virhe funktiossa XML_ParserCreate()"
 
-#: src/bookmarks/backend/xbel.c:108
+#: src/bookmarks/backend/xbel.c:116
 #, c-format
 msgid "read_bookmarks_xbel(): Error reading %s"
 msgstr "read_bookmarks_xbel(): Virhe luettaessa tiedostoa %s"
 
-#: src/bookmarks/backend/xbel.c:116
+#: src/bookmarks/backend/xbel.c:124
 #, c-format
 msgid ""
 "Parse error while processing XBEL bookmarks in %s at line %d column %d:\n"
@@ -285,16 +283,16 @@ msgstr ""
 "sarakkeessa %d:\n"
 "%s"
 
-#: src/bookmarks/backend/xbel.c:390 src/bookmarks/backend/xbel.c:411
+#: src/bookmarks/backend/xbel.c:388 src/bookmarks/backend/xbel.c:410
 msgid "No title"
 msgstr "Ei otsikkoa"
 
-#: src/bookmarks/backend/xbel.c:396
+#: src/bookmarks/backend/xbel.c:394
 msgid "No URL"
 msgstr "Ei URL:"
 
 #. name:
-#: src/bookmarks/bookmarks.c:48 src/bookmarks/bookmarks.c:181
+#: src/bookmarks/bookmarks.c:48 src/bookmarks/bookmarks.c:183
 msgid "Bookmarks"
 msgstr "Kirjanmerkit"
 
@@ -302,82 +300,72 @@ msgstr "Kirjanmerkit"
 msgid "Bookmark options."
 msgstr "Kirjanmerkkiasetukset."
 
-#: src/bookmarks/bookmarks.c:53 src/bookmarks/bookmarks.c:59
+#: src/bookmarks/bookmarks.c:53 src/bookmarks/bookmarks.c:60
 msgid "File format"
 msgstr "Tiedostomuoto"
 
 #: src/bookmarks/bookmarks.c:55
-#, fuzzy
 msgid ""
 "File format for bookmarks (affects both reading and saving):\n"
 "0 is the default native ELinks format\n"
-"1 is XBEL universal XML bookmarks format (ELinks bug 153: NO NATIONAL CHARS "
-"SUPPORT!)"
+"1 is XBEL universal XML bookmarks format"
 msgstr ""
 "Kirjanmerkkitiedoston muoto (koskee sek latausta ett tallennusta):\n"
 "0 on tavallinen ELinksin oma muoto\n"
-"1 on siirrettv XML-pohjainen XBEL-kirjanmerkkimuoto (EI KANSALLISTEN "
-"MERKKIEN TUKEA!)"
+"1 on siirrettv XML-pohjainen XBEL-kirjanmerkkimuoto"
 
-#: src/bookmarks/bookmarks.c:61
-#, fuzzy
+#: src/bookmarks/bookmarks.c:62
 msgid ""
 "File format for bookmarks (affects both reading and saving):\n"
 "0 is the default native ELinks format\n"
-"1 is XBEL universal XML bookmarks format (ELinks bug 153: NO NATIONAL CHARS "
-"SUPPORT!)  (DISABLED)"
+"1 is XBEL universal XML bookmarks format  (DISABLED)"
 msgstr ""
 "Kirjanmerkkitiedoston muoto (koskee sek latausta ett tallennusta):\n"
 "0 on tavallinen ELinksin oma muoto\n"
-"1 on siirrettv XML-pohjainen XBEL-kirjanmerkkimuoto (EI KANSALLISTEN "
-"MERKKIEN TUKEA!)  (ESTETTY)"
+"1 on siirrettv XML-pohjainen XBEL-kirjanmerkkimuoto  (ESTETTY)"
 
-#: src/bookmarks/bookmarks.c:67
+#: src/bookmarks/bookmarks.c:68
 msgid "Save folder state"
 msgstr "Tallenna kansioiden tilat"
 
-#: src/bookmarks/bookmarks.c:69
+#: src/bookmarks/bookmarks.c:70
 msgid ""
-"When saving bookmarks also store whether folders are\n"
-"expanded or not, so the look of the bookmark dialog is\n"
-"kept across ELinks sessions. If disabled all folders will\n"
-"appear unexpanded next time ELinks is run."
-msgstr ""
-"Kirjanmerkkej tallennettaessa tallentaa mys tiedon, mitk\n"
-"kansiot olivat auki, jotta kirjanmerkkilista silyy saman\n"
-"nkisen ELinksin kyttkerrasta toiseen. Jos kytket tmn\n"
-"pois, niin seuraavalla kynnistyskerralla kaikki kansiot\n"
-"ovat aluksi kiinni."
+"When saving bookmarks also store whether folders are expanded or not, so the "
+"look of the bookmark dialog is kept across ELinks sessions. If disabled all "
+"folders will appear unexpanded next time ELinks is run."
+msgstr ""
+"Kirjanmerkkej tallennettaessa tallentaa mys tiedon, mitk kansiot olivat "
+"auki, jotta kirjanmerkkilista silyy saman nkisen ELinksin kyttkerrasta "
+"toiseen. Jos kytket tmn pois, niin seuraavalla kynnistyskerralla kaikki "
+"kansiot ovat aluksi kiinni."
 
-#: src/bookmarks/bookmarks.c:74
+#: src/bookmarks/bookmarks.c:75
 msgid "Periodic snapshotting"
 msgstr "Ajoittaiset tilannevedokset"
 
 # "bookmark support" tarkoittanee, ett features.conf:ssa oli
 # CONFIG_BOOKMARKS=yes, kun ELinks knnettiin.
-#: src/bookmarks/bookmarks.c:76
+#: src/bookmarks/bookmarks.c:77
 msgid ""
-"Automatically save a snapshot of all tabs periodically.\n"
-"This will periodically bookmark the tabs of each terminal in a separate "
-"folder\n"
-"for recovery after a crash.\n"
+"Automatically save a snapshot of all tabs periodically. This will "
+"periodically bookmark the tabs of each terminal in a separate folder for "
+"recovery after a crash.\n"
 "\n"
 "This feature requires bookmark support."
 msgstr ""
-"Tallenna ajoittain automaattisesti tilannevedos kaikista vlilehdist.\n"
-"Tm tallentaa ajoittain kunkin ptteen vlilehdet kirjanmerkeiksi "
-"erilliseen\n"
+"Tallenna ajoittain automaattisesti tilannevedos kaikista vlilehdist. Tm "
+"tallentaa ajoittain kunkin ptteen vlilehdet kirjanmerkeiksi erilliseen "
 "kansioon, josta ne voidaan palauttaa ELinksin kaaduttua.\n"
 "\n"
-"Tm ominaisuus toimii vain sellaisissa ELinksin versioissa, jotka tukevat\n"
+"Tm ominaisuus toimii vain sellaisissa ELinksin versioissa, jotka tukevat "
 "kirjanmerkkej."
 
-#: src/bookmarks/dialogs.c:72 src/config/options.inc:1051
+#: src/bookmarks/dialogs.c:97 src/config/options.inc:1120
 #: src/dialogs/document.c:145 src/globhist/dialogs.c:65
 msgid "Title"
 msgstr "Otsikko"
 
-#: src/bookmarks/dialogs.c:73 src/cache/dialogs.c:65
+#: src/bookmarks/dialogs.c:101 src/cache/dialogs.c:65
 #: src/dialogs/document.c:136 src/dialogs/edit.c:96 src/formhist/dialogs.c:63
 #: src/globhist/dialogs.c:66 src/protocol/auth/dialogs.c:163
 #: src/scripting/lua/core.c:397
@@ -385,72 +373,72 @@ msgid "URL"
 msgstr "URL"
 
 #. cant_delete_item
-#: src/bookmarks/dialogs.c:117
+#: src/bookmarks/dialogs.c:149
 #, c-format
 msgid "Sorry, but the bookmark \"%s\" cannot be deleted."
 msgstr "Ikv kyll kirjanmerkki \"%s\" ei voi poistaa."
 
 #. cant_delete_used_item
-#: src/bookmarks/dialogs.c:119
+#: src/bookmarks/dialogs.c:151
 #, c-format
 msgid "Sorry, but the bookmark \"%s\" is being used by something else."
 msgstr "Ikv kyll kirjanmerkki \"%s\" kytt viel jokin muu."
 
 #. delete_marked_items_title
-#: src/bookmarks/dialogs.c:125
+#: src/bookmarks/dialogs.c:157
 msgid "Delete marked bookmarks"
 msgstr "Poista merkityt kirjanmerkit"
 
 #. delete_marked_items
-#: src/bookmarks/dialogs.c:127
+#: src/bookmarks/dialogs.c:159
 msgid "Delete marked bookmarks?"
 msgstr "Poistatko merkityt kirjanmerkit?"
 
 #. delete_folder
-#: src/bookmarks/dialogs.c:131
+#: src/bookmarks/dialogs.c:163
 #, c-format
 msgid "Delete the folder \"%s\" and all bookmarks in it?"
 msgstr "Poistatko kansion \"%s\" ja kaikki sen sisltmt kirjanmerkit?"
 
 #. delete_item_title
-#: src/bookmarks/dialogs.c:133
+#: src/bookmarks/dialogs.c:165
 msgid "Delete bookmark"
 msgstr "Poista kirjanmerkki"
 
-#: src/bookmarks/dialogs.c:135
+#: src/bookmarks/dialogs.c:167
 #, c-format
 msgid "Delete this bookmark?"
 msgstr "Poistatko tmn kirjanmerkin?"
 
 #. clear_all_items_title
-#: src/bookmarks/dialogs.c:137
+#: src/bookmarks/dialogs.c:169
 msgid "Clear all bookmarks"
 msgstr "Tyhjenn kaikki kirjanmerkit"
 
 #. clear_all_items_title
-#: src/bookmarks/dialogs.c:139
+#: src/bookmarks/dialogs.c:171
 msgid "Do you really want to remove all bookmarks?"
 msgstr "Haluatko tosiaan poistaa kaikki kirjanmerkit?"
 
 # "Lis kansio" kuulostaa silt kuin kansio jo olisi olemassa
 # jossakin muualla ja se pitisi en list kirjanmerkkeihin.
-#: src/bookmarks/dialogs.c:254
+#: src/bookmarks/dialogs.c:327
 msgid "Add folder"
 msgstr "Luo kansio"
 
-#: src/bookmarks/dialogs.c:254
+#: src/bookmarks/dialogs.c:327
 msgid "Folder name"
 msgstr "Kansion nimi"
 
-#: src/bookmarks/dialogs.c:310 src/scripting/lua/core.c:391
+#: src/bookmarks/dialogs.c:410 src/scripting/lua/core.c:391
 msgid "Edit bookmark"
 msgstr "Muokkaa kirjanmerkki"
 
-#: src/bookmarks/dialogs.c:461
+#: src/bookmarks/dialogs.c:567
 msgid "Cannot move folder inside itself"
 msgstr "Kansiota ei voi siirt itsens sisn"
 
-#: src/bookmarks/dialogs.c:462
+#: src/bookmarks/dialogs.c:568
 msgid ""
 "You are trying to move the marked folder inside itself. To move the folder "
 "to a different location select the new location before pressing the Move "
@@ -460,11 +448,11 @@ msgstr ""
 "johonkin muuhun paikkaan, valitse uusi paikka ennen kuin painat Siirr-"
 "painiketta."
 
-#: src/bookmarks/dialogs.c:468
+#: src/bookmarks/dialogs.c:574
 msgid "Nothing to move"
 msgstr "Ei ole mitn siirrettv"
 
-#: src/bookmarks/dialogs.c:469
+#: src/bookmarks/dialogs.c:575
 msgid ""
 "To move bookmarks, first mark all the bookmarks (or folders) you want to "
 "move.  This can be done with the Insert key if you're using the default key-"
@@ -478,19 +466,19 @@ msgstr ""
 "paina \"Siirr\"-painiketta."
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons, src/cache/dialogs.c:cache_buttons, src/globhist/dialogs.c:globhist_buttons, src/protocol/auth/dialogs.c:auth_buttons)
-#: src/bookmarks/dialogs.c:487 src/cache/dialogs.c:230
+#: src/bookmarks/dialogs.c:593 src/cache/dialogs.c:230
 #: src/globhist/dialogs.c:224 src/protocol/auth/dialogs.c:261
 msgid "~Goto"
 msgstr "~Mene"
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons, src/config/dialogs.c:option_buttons, src/cookies/dialogs.c:cookie_buttons)
-#: src/bookmarks/dialogs.c:488 src/config/dialogs.c:503
+#: src/bookmarks/dialogs.c:594 src/config/dialogs.c:503
 #: src/cookies/dialogs.c:492
 msgid "~Edit"
 msgstr "M~uokkaa"
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons, src/cache/dialogs.c:cache_buttons, src/config/dialogs.c:keybinding_buttons, src/config/dialogs.c:option_buttons, src/cookies/dialogs.c:cookie_buttons, src/dialogs/menu.c:ext_menu, src/formhist/dialogs.c:formhist_buttons, src/globhist/dialogs.c:globhist_buttons, src/protocol/auth/dialogs.c:auth_buttons)
-#: src/bookmarks/dialogs.c:489 src/cache/dialogs.c:231
+#: src/bookmarks/dialogs.c:595 src/cache/dialogs.c:231
 #: src/config/dialogs.c:505 src/config/dialogs.c:930 src/cookies/dialogs.c:493
 #: src/dialogs/menu.c:463 src/formhist/dialogs.c:211
 #: src/globhist/dialogs.c:229 src/protocol/auth/dialogs.c:263
@@ -498,30 +486,30 @@ msgid "~Delete"
 msgstr "~Poista"
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons, src/config/dialogs.c:keybinding_buttons, src/config/dialogs.c:option_buttons, src/cookies/dialogs.c:cookie_buttons, src/dialogs/menu.c:ext_menu)
-#: src/bookmarks/dialogs.c:490 src/config/dialogs.c:504
+#: src/bookmarks/dialogs.c:596 src/config/dialogs.c:504
 #: src/config/dialogs.c:929 src/cookies/dialogs.c:490 src/dialogs/menu.c:461
 msgid "~Add"
 msgstr "~Lis"
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons)
-#: src/bookmarks/dialogs.c:491
+#: src/bookmarks/dialogs.c:597
 msgid "Add se~parator"
 msgstr "Luo e~rotin"
 
 # "Lis kansio" kuulostaa silt kuin kansio jo olisi olemassa
 # jossakin muualla ja se pitisi en list kirjanmerkkeihin.
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons)
-#: src/bookmarks/dialogs.c:492
+#: src/bookmarks/dialogs.c:598
 msgid "Add ~folder"
 msgstr "Luo ~kansio"
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons)
-#: src/bookmarks/dialogs.c:493
+#: src/bookmarks/dialogs.c:599
 msgid "~Move"
 msgstr "S~iirr"
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons, src/cache/dialogs.c:cache_buttons, src/config/dialogs.c:keybinding_buttons, src/config/dialogs.c:option_buttons, src/dialogs/menu.c:view_menu, src/globhist/dialogs.c:globhist_buttons)
-#: src/bookmarks/dialogs.c:494 src/cache/dialogs.c:232
+#: src/bookmarks/dialogs.c:600 src/cache/dialogs.c:232
 #: src/config/dialogs.c:506 src/config/dialogs.c:932 src/dialogs/menu.c:413
 #: src/globhist/dialogs.c:230
 msgid "~Search"
@@ -529,37 +517,51 @@ msgstr "~Etsi"
 
 #. This one is too dangerous, so just let user delete
 #. * the bookmarks file if needed. --Zas
-#: src/bookmarks/dialogs.c:498
+#: src/bookmarks/dialogs.c:604
 msgid "Clear"
 msgstr "Tyhjenn"
 
 #. TODO: Would this be useful? --jonas
-#: src/bookmarks/dialogs.c:501 src/globhist/dialogs.c:235
+#: src/bookmarks/dialogs.c:607 src/globhist/dialogs.c:235
 msgid "Save"
 msgstr "Tallenna"
 
-#: src/bookmarks/dialogs.c:507
+#: src/bookmarks/dialogs.c:613
 msgid "Bookmark manager"
 msgstr "Kirjanmerkkien hallinta"
 
 # Tll etsinttavalla lytyy enintn yksi kerrallaan.
-#: src/bookmarks/dialogs.c:632
+#: src/bookmarks/dialogs.c:825
 msgid "Search bookmarks"
 msgstr "Etsi kirjanmerkki"
 
-#: src/bookmarks/dialogs.c:661
+#. When the user eventually pushes the OK button, BFU calls
+#. * bookmark_add_add() and gives it the struct dialog * as the
+#. * void * parameter.  However, bookmark_add_add() also needs
+#. * to know the struct terminal *, and there is no way to get
+#. * that from struct dialog.  The other bookmark dialogs work
+#. * around that by making dialog.udata point to the struct
+#. * dialog_data of the bookmark manager, but the "Add bookmark"
+#. * dialog can be triggered with ACT_MAIN_ADD_BOOKMARK, which
+#. * does not involve the bookmark manager at all.
+#. *
+#. * The solution here is to save the struct terminal * in
+#. * dialog.udata2, which the "Edit bookmark" dialog uses for
+#. * struct bookmark *.  When adding a new bookmark, we don't
+#. * need a pointer to an existing one, of course.
+#: src/bookmarks/dialogs.c:892
 msgid "Add bookmark"
 msgstr "Lis kirjanmerkki"
 
-#: src/bookmarks/dialogs.c:697
+#: src/bookmarks/dialogs.c:950
 msgid "Saved session"
 msgstr "Tallennettu istunto"
 
-#: src/bookmarks/dialogs.c:705
+#: src/bookmarks/dialogs.c:958
 msgid "Bookmark tabs"
 msgstr "Kirjanmerkit vlilehdist"
 
-#: src/bookmarks/dialogs.c:705
+#: src/bookmarks/dialogs.c:958
 msgid "Enter folder name"
 msgstr "Kirjoita kansion nimi"
 
@@ -571,7 +573,7 @@ msgstr "Vlipalvelimen URL"
 msgid "Redirect"
 msgstr "Uudelleenosoitus"
 
-#: src/cache/dialogs.c:85 src/config/options.inc:519
+#: src/cache/dialogs.c:85 src/config/options.inc:553
 #: src/dialogs/document.c:156 src/protocol/bittorrent/dialogs.c:126
 msgid "Size"
 msgstr "Koko"
@@ -620,7 +622,7 @@ msgstr "Vanhenee"
 msgid "ID"
 msgstr ""
 
-#: src/cache/dialogs.c:134 src/config/options.inc:669
+#: src/cache/dialogs.c:134 src/config/options.inc:707
 #, fuzzy
 msgid "Header"
 msgstr "Otsikkotieto"
@@ -711,9 +713,8 @@ msgid "Copy text to clipboard"
 msgstr "Kopioi teksti leikepydlle"
 
 #: src/config/actions-edit.inc:14
-#, fuzzy
 msgid "Cut text to clipboard"
-msgstr "Kopioi teksti leikepydlle"
+msgstr "Leikkaa teksti leikepydlle"
 
 #: src/config/actions-edit.inc:15 src/config/actions-menu.inc:9
 msgid "Delete character under cursor"
@@ -879,7 +880,7 @@ msgstr "Avaa lomakehistorian hallinta"
 
 #: src/config/actions-main.inc:28
 msgid "Pass URI of current frame to external command"
-msgstr ""
+msgstr "Anna nykyisen kehyksen URI ulkoiselle komennolle"
 
 #: src/config/actions-main.inc:29
 msgid "Maximize the current frame"
@@ -919,7 +920,6 @@ msgid "Open history manager"
 msgstr "Avaa historian hallinta"
 
 #: src/config/actions-main.inc:38
-#, fuzzy
 msgid "Return to the previous document in history"
 msgstr "Palaa historiassa edelliseen dokumenttiin"
 
@@ -997,9 +997,8 @@ msgid "Move cursor left"
 msgstr "Siirr kohdistinta vasemmalle"
 
 #: src/config/actions-main.inc:57
-#, fuzzy
 msgid "Move cursor to the start of the line"
-msgstr "Mene sivun/rivin alkuun"
+msgstr "Siirr kohdistin rivin alkuun"
 
 # Toisaalla on "Move the cursor right"; miten eronnee tst?
 #: src/config/actions-main.inc:58
@@ -1024,18 +1023,16 @@ msgid "Move one link down"
 msgstr "Siirry yksi linkki alemmas"
 
 #: src/config/actions-main.inc:63
-#, fuzzy
 msgid "Move to the next line with a link"
-msgstr "Siirry seuraavaan linkkiin"
+msgstr "Siirry seuraavalle riville, jolla on linkki"
 
 #: src/config/actions-main.inc:64
 msgid "Move one link left"
 msgstr "Siirry yksi linkki vasemmalle"
 
 #: src/config/actions-main.inc:65
-#, fuzzy
 msgid "Move one link left or to the previous link"
-msgstr "Siirry edelliseen linkkiin"
+msgstr "Siirry joko yksi linkki vasemmalle tai edelliseen linkkiin"
 
 #: src/config/actions-main.inc:66
 msgid "Move to the next link"
@@ -1050,18 +1047,16 @@ msgid "Move one link right"
 msgstr "Siirry yksi linkki oikealle"
 
 #: src/config/actions-main.inc:69
-#, fuzzy
 msgid "Move one link right or to the next link"
-msgstr "Siirry seuraavaan linkkiin"
+msgstr "Siirry joko yksi linkki oikealle tai seuraavaan linkkiin"
 
 #: src/config/actions-main.inc:70
 msgid "Move one link up"
 msgstr "Siirry yksi linkki ylemms"
 
 #: src/config/actions-main.inc:71
-#, fuzzy
 msgid "Move to the previous line with a link"
-msgstr "Siirry edelliseen linkkiin"
+msgstr "Siirry edelliselle riville, jolla on linkki"
 
 #: src/config/actions-main.inc:72 src/config/actions-menu.inc:18
 msgid "Move downwards by a page"
@@ -1189,12 +1184,10 @@ msgid "Show terminal options dialog"
 msgstr "Nyt Pteasetukset-ikkuna"
 
 #: src/config/actions-main.inc:104
-#, fuzzy
 msgid "Submit form"
 msgstr "Lhet lomake"
 
 #: src/config/actions-main.inc:105
-#, fuzzy
 msgid "Submit form and reload"
 msgstr "Lhet lomake ja lataa"
 
@@ -1274,9 +1267,8 @@ msgid "Toggle wrapping of text"
 msgstr ""
 
 #: src/config/actions-main.inc:124
-#, fuzzy
 msgid "View the current image"
-msgstr "Nyt kuva"
+msgstr "Nyt nykyinen kuva"
 
 #: src/config/actions-menu.inc:13
 msgid "Expand item"
@@ -1302,7 +1294,7 @@ msgstr ""
 #: src/config/cmdline.c:114
 #, c-format
 msgid "Unknown option %s"
-msgstr ""
+msgstr "Tuntematon valitsin %s"
 
 #: src/config/cmdline.c:133 src/config/cmdline.c:157 src/config/cmdline.c:227
 #: src/config/opttypes.c:38
@@ -1311,7 +1303,7 @@ msgstr ""
 
 #: src/config/cmdline.c:158
 msgid "Too many parameters"
-msgstr ""
+msgstr "Liikaa parametreja"
 
 #: src/config/cmdline.c:163
 msgid "error"
@@ -1327,19 +1319,18 @@ msgstr "Osoite tuntematon"
 msgid "Resolver error"
 msgstr "Talletusvirhe"
 
-#: src/config/cmdline.c:256 src/cookies/cookies.c:841 src/network/state.c:47
+#: src/config/cmdline.c:256 src/cookies/cookies.c:843 src/network/state.c:47
 #: src/util/secsave.c:379
 msgid "Out of memory"
 msgstr "Muisti loppu"
 
 #: src/config/cmdline.c:264
 msgid "Too many arguments"
-msgstr ""
+msgstr "Liikaa argumentteja"
 
 #: src/config/cmdline.c:282
-#, fuzzy
 msgid "Mismatched ending argument quoting"
-msgstr "Ei kehyksi"
+msgstr "Argumentin loppulainausmerkki ei tsm"
 
 #: src/config/cmdline.c:287
 msgid "Garbage after quoted argument"
@@ -1349,305 +1340,300 @@ msgstr ""
 msgid "Remote method not supported"
 msgstr ""
 
-#: src/config/cmdline.c:452
-msgid "Template option folder"
+#: src/config/cmdline.c:437
+msgid "Out of memory formatting option documentation"
 msgstr ""
 
-#: src/config/cmdline.c:475
+#: src/config/cmdline.c:474
+msgid "Template option folder"
+msgstr "Malliasetuskansio"
+
+#: src/config/cmdline.c:497
 #, c-format
 msgid "(default: %ld)"
 msgstr "(oletus: %ld)"
 
-#: src/config/cmdline.c:482 src/config/cmdline.c:511
+#: src/config/cmdline.c:504 src/config/cmdline.c:533
 #, c-format
 msgid "(default: \"%s\")"
 msgstr "(oletus: \"%s\")"
 
-#: src/config/cmdline.c:487
+#: src/config/cmdline.c:509
 #, c-format
 msgid "(alias for %s)"
 msgstr ""
 
-#: src/config/cmdline.c:492 src/config/cmdline.c:501
+#: src/config/cmdline.c:514 src/config/cmdline.c:523
 #, c-format
 msgid "(default: %s)"
 msgstr "(oletus: %s)"
 
-#: src/config/cmdline.c:642
+#: src/config/cmdline.c:654
 #, fuzzy
 msgid "Configuration options"
 msgstr "Yhteydet"
 
-#: src/config/cmdline.c:646
+#: src/config/cmdline.c:658
 msgid "Usage: elinks [OPTION]... [URL]..."
 msgstr "Kytt: elinks [VALITSIN]... [URL]..."
 
-#: src/config/cmdline.c:647
-#, fuzzy
+#: src/config/cmdline.c:659
 msgid "Options"
-msgstr "Asetukset"
+msgstr "Valitsimet"
 
-#: src/config/cmdline.c:689
-#, fuzzy
+#: src/config/cmdline.c:701
 msgid "Internal consistency error"
-msgstr "Sisinen virhe"
+msgstr "Sisinen ristiriidattomuusvirhe"
 
 #.
-#: src/config/cmdline.c:725
+#: src/config/cmdline.c:737
 msgid "Restrict to anonymous mode"
 msgstr ""
 
-#: src/config/cmdline.c:727
+#: src/config/cmdline.c:739
 msgid ""
-"Restricts ELinks so it can run on an anonymous account.\n"
-"Local file browsing, downloads, and modification of options\n"
-"will be disabled. Execution of viewers is allowed, but entries\n"
-"in the association table can't be added or modified."
+"Restricts ELinks so it can run on an anonymous account. Local file browsing, "
+"downloads, and modification of options will be disabled. Execution of "
+"viewers is allowed, but entries in the association table can't be added or "
+"modified."
 msgstr ""
 
 # "automaattisesti" olisi kovin pitk.
-#: src/config/cmdline.c:732
+#: src/config/cmdline.c:745
 msgid "Autosubmit first form"
 msgstr "Lhet ensimminen lomake heti"
 
-#: src/config/cmdline.c:734
+#: src/config/cmdline.c:747
 msgid "Automatically submit the first form in the given URLs."
 msgstr ""
 
-#: src/config/cmdline.c:736
-#, fuzzy
+#: src/config/cmdline.c:749
 msgid "Clone internal session with given ID"
-msgstr "Kloonaa istunto, jolla on annettu ID"
+msgstr "Kloonaa istunto, jonka ID on annettu"
 
-#: src/config/cmdline.c:738
+#: src/config/cmdline.c:751
 msgid ""
-"Used internally when opening ELinks instances in new windows.\n"
-"The ID maps to information that will be used when creating the\n"
-"new instance. You don't want to use it."
+"Used internally when opening ELinks instances in new windows. The ID maps to "
+"information that will be used when creating the new instance. You don't want "
+"to use it."
 msgstr ""
 
-#: src/config/cmdline.c:744
+#: src/config/cmdline.c:757
 msgid "Name of directory with configuration file"
 msgstr "Asetustiedoston sisltvn hakemiston nimi"
 
-#: src/config/cmdline.c:746
+#: src/config/cmdline.c:759
 msgid ""
-"Path of the directory ELinks will read and write its\n"
-"config and runtime state files to instead of ~/.elinks.\n"
-"If the path does not begin with a '/' it is assumed to be\n"
-"relative to your HOME directory."
+"Path of the directory ELinks will read and write its config and runtime "
+"state files to instead of ~/.elinks. If the path does not begin with a '/' "
+"it is assumed to be relative to your HOME directory."
 msgstr ""
 
-#: src/config/cmdline.c:751
+#: src/config/cmdline.c:764
 msgid "Print default configuration file to stdout"
 msgstr ""
 
-#: src/config/cmdline.c:753
+#: src/config/cmdline.c:766
 msgid ""
-"Print a configuration file with options set to the built-in\n"
-"defaults to stdout."
+"Print a configuration file with options set to the built-in defaults to "
+"stdout."
 msgstr ""
 
-#: src/config/cmdline.c:758
+#: src/config/cmdline.c:771
 msgid "Name of configuration file"
 msgstr "Asetustiedoston nimi"
 
-#: src/config/cmdline.c:760
+#: src/config/cmdline.c:773
 msgid ""
-"Name of the configuration file that all configuration\n"
-"options will be read from and written to. It should be\n"
-"relative to config-dir."
+"Name of the configuration file that all configuration options will be read "
+"from and written to. It should be relative to config-dir."
 msgstr ""
 
-#: src/config/cmdline.c:764
+#: src/config/cmdline.c:777
 msgid "Print help for configuration options"
 msgstr ""
 
 # "ja poistu"?
-#: src/config/cmdline.c:766
+#: src/config/cmdline.c:779
 #, fuzzy
 msgid "Print help for configuration options and exit."
 msgstr "Nyt versiotiedot ja lopeta"
 
-#: src/config/cmdline.c:768
+#: src/config/cmdline.c:781
 msgid "MIME type assumed for unknown document types"
 msgstr ""
 
-#: src/config/cmdline.c:770
+#: src/config/cmdline.c:783
 msgid "The default MIME type used for documents of unknown type."
 msgstr ""
 
-#: src/config/cmdline.c:772
+#: src/config/cmdline.c:786
 msgid "Ignore user-defined keybindings"
 msgstr "Sivuuta kyttjn tekemt nppinsidonnat"
 
-#: src/config/cmdline.c:774
+#: src/config/cmdline.c:788
 msgid ""
-"When set, all keybindings from configuration files will be\n"
-"ignored. It forces use of default keybindings and will reset\n"
-"user-defined ones on save."
+"When set, all keybindings from configuration files will be ignored. It "
+"forces use of default keybindings and will reset user-defined ones on save."
 msgstr ""
 
-#: src/config/cmdline.c:778
+#: src/config/cmdline.c:792
 msgid "Print formatted versions of given URLs to stdout"
 msgstr ""
 
-#: src/config/cmdline.c:780
+#: src/config/cmdline.c:794
 msgid "Print formatted plain-text versions of given URLs to stdout."
 msgstr ""
 
-#: src/config/cmdline.c:782
+#: src/config/cmdline.c:797
 msgid "Codepage to use with -dump"
 msgstr ""
 
-#: src/config/cmdline.c:784
+#: src/config/cmdline.c:799
 msgid "Codepage used when formatting dump output."
 msgstr ""
 
-#: src/config/cmdline.c:786
+#: src/config/cmdline.c:801
 msgid "Color mode used with -dump"
 msgstr ""
 
-#: src/config/cmdline.c:788
+#: src/config/cmdline.c:803
 msgid "Color mode used with -dump."
 msgstr ""
 
-#: src/config/cmdline.c:790
+#: src/config/cmdline.c:805
 msgid "Width of document formatted with -dump"
 msgstr ""
 
-#: src/config/cmdline.c:792
+#: src/config/cmdline.c:807
 msgid "Width of the dump output."
 msgstr ""
 
-#: src/config/cmdline.c:794
-#, fuzzy
+#: src/config/cmdline.c:809
 msgid "Evaluate configuration file directive"
-msgstr "Asetustiedoston nimi"
+msgstr "Suorita asetustiedoston komento"
 
-#: src/config/cmdline.c:796
+#: src/config/cmdline.c:811
 msgid ""
-"Specify configuration file directives on the command-line\n"
-"which will be evaluated after all configuration files has been\n"
-"read. Example usage:\n"
+"Specify configuration file directives on the command-line which will be "
+"evaluated after all configuration files has been read. Example usage:\n"
 "\t-eval 'set protocol.file.allow_special_files = 1'"
 msgstr ""
 
 #. lynx compatibility
-#: src/config/cmdline.c:802
-#, fuzzy
+#: src/config/cmdline.c:817
 msgid "Interpret documents of unknown types as HTML"
-msgstr "Oleta tiedoston olevan HTML:"
+msgstr "Tulkitse tuntemattoman tyyppiset dokumentit HTML:ksi"
 
-#: src/config/cmdline.c:804
+#: src/config/cmdline.c:819
 msgid ""
-"Makes ELinks assume documents of unknown types are HTML.\n"
-"Useful when using ELinks as an external viewer from MUAs.\n"
-"This is equivalent to -default-mime-type text/html."
+"Makes ELinks assume documents of unknown types are HTML. Useful when using "
+"ELinks as an external viewer from MUAs. This is equivalent to -default-mime-"
+"type text/html."
 msgstr ""
 
-#: src/config/cmdline.c:814
+#: src/config/cmdline.c:829
 msgid "Print usage help and exit"
 msgstr ""
 
-#: src/config/cmdline.c:816
+#: src/config/cmdline.c:831
 msgid "Print usage help and exit."
 msgstr ""
 
-#: src/config/cmdline.c:818
+#: src/config/cmdline.c:833
 msgid "Only permit local connections"
 msgstr "Salli vain paikalliset yhteydet"
 
 # src/network/socket.c (check_if_local_address4) sallii yhteyden, jos se
 # on osoitteeseen 127.0.0.0/8 tai jonkin paikallisen verkkosovittimen
 # osoitteeseen.
-#: src/config/cmdline.c:820
+#: src/config/cmdline.c:835
 msgid ""
-"Restricts ELinks to work offline and only connect to servers\n"
-"with local addresses (ie. 127.0.0.1). No connections to remote\n"
-"servers will be permitted."
-msgstr ""
-"Rajoittaa ELinksin toimimaan ilman verkkoyhteytt ja yhdist vain\n"
-"paikallisissa osoitteissa (mm. 127.0.0.1) toimiviin palvelimiin.\n"
-"Yhteyksi etpalvelimiin ei sallita."
+"Restricts ELinks to work offline and only connect to servers with local "
+"addresses (ie. 127.0.0.1). No connections to remote servers will be "
+"permitted."
+msgstr ""
+"Rajoittaa ELinksin toimimaan ilman verkkoyhteytt ja yhdist vain "
+"paikallisissa osoitteissa (mm. 127.0.0.1) toimiviin palvelimiin. Yhteyksi "
+"etpalvelimiin ei sallita."
 
-#: src/config/cmdline.c:824
+#: src/config/cmdline.c:839
 msgid "Print detailed usage help and exit"
 msgstr ""
 
-#: src/config/cmdline.c:826
+#: src/config/cmdline.c:841
 msgid "Print detailed usage help and exit."
 msgstr ""
 
-#: src/config/cmdline.c:828
-#, fuzzy
+#: src/config/cmdline.c:843
 msgid "Look up specified host"
-msgstr "Ei ohjelmaa osoitettu"
+msgstr "Selvit palvelimen osoitteet"
 
-#: src/config/cmdline.c:830
+#: src/config/cmdline.c:845
 msgid "Look up specified host and print all DNS resolved IP addresses."
 msgstr ""
 
-#: src/config/cmdline.c:832
+#: src/config/cmdline.c:848
 msgid "Run as separate instance"
 msgstr ""
 
-#: src/config/cmdline.c:834
+#: src/config/cmdline.c:850
 msgid ""
-"Run ELinks as a separate instance instead of connecting to an\n"
-"existing instance. Note that normally no runtime state files\n"
-"(bookmarks, history, etc.) are written to the disk when this\n"
-"option is used. See also -touch-files."
+"Run ELinks as a separate instance instead of connecting to an existing "
+"instance. Note that normally no runtime state files (bookmarks, history, "
+"etc.) are written to the disk when this option is used. See also -touch-"
+"files."
 msgstr ""
 
-#: src/config/cmdline.c:839
+#: src/config/cmdline.c:855
 msgid "Disable use of files in ~/.elinks"
 msgstr "Est hakemiston ~/.elinks kytt"
 
 # <fonseca> You can still alter option values but there is no way to save them.
-#: src/config/cmdline.c:841
+#: src/config/cmdline.c:857
 msgid ""
-"Disables creation and use of files in the user specific home\n"
-"configuration directory (~/.elinks). It forces default configuration\n"
-"values to be used and disables saving of runtime state files."
-msgstr ""
-"Est tallentamasta ja kyttmst tiedostoja kyttjkohtaisessa\n"
-"asetushakemistossa (~/.elinks). Pakottaa oletusasetukset kyttn\n"
-"ja est tallentamasta ohjelman tilaa tiedostoihin."
+"Disables creation and use of files in the user specific home configuration "
+"directory (~/.elinks). It forces default configuration values to be used and "
+"disables saving of runtime state files."
+msgstr ""
+"Est tallentamasta ja kyttmst tiedostoja kyttjkohtaisessa "
+"asetushakemistossa (~/.elinks). Pakottaa oletusasetukset kyttn ja est "
+"tallentamasta ohjelman tilaa tiedostoihin."
 
-#: src/config/cmdline.c:845
+#: src/config/cmdline.c:862
 msgid "Disable link numbering in dump output"
 msgstr "Est linkkien numerointi dump-tulosteessa"
 
-#: src/config/cmdline.c:847
+#: src/config/cmdline.c:864
 msgid ""
 "Prevents printing of link number in dump output.\n"
+"\n"
 "Note that this really affects only -dump, nothing else."
 msgstr ""
 
-#: src/config/cmdline.c:850
+#: src/config/cmdline.c:868
 msgid "Disable printing of link references in dump output"
 msgstr ""
 
-#: src/config/cmdline.c:852
+#: src/config/cmdline.c:870
 msgid ""
-"Prevents printing of references (URIs) of document links\n"
-"in dump output.\n"
+"Prevents printing of references (URIs) of document links in dump output.\n"
+"\n"
 "Note that this really affects only -dump, nothing else."
 msgstr ""
 
-#: src/config/cmdline.c:856
+#: src/config/cmdline.c:875
 msgid "Control an already running ELinks"
 msgstr "Ohjaa kynniss olevaa ELinksi"
 
-#: src/config/cmdline.c:858
+#: src/config/cmdline.c:877
 msgid ""
-"Control a remote ELinks instance by passing commands to it.\n"
-"The option takes an additional argument containing the method\n"
-"which should be invoked and any parameters that should be passed\n"
-"to it. For ease of use, the additional method argument can be\n"
-"omitted in which case any URL arguments will be opened in new\n"
-"tabs in the remote instance.\n"
+"Control a remote ELinks instance by passing commands to it. The option takes "
+"an additional argument containing the method which should be invoked and any "
+"parameters that should be passed to it. For ease of use, the additional "
+"method argument can be omitted in which case any URL arguments will be "
+"opened in new tabs in the remote instance.\n"
+"\n"
 "Following is a list of the supported methods:\n"
 "\tping()                    : look for a remote instance\n"
 "\topenURL()                 : prompt URL in current tab\n"
@@ -1659,72 +1645,71 @@ msgid ""
 "\txfeDoCommand(openBrowser) : open new window"
 msgstr ""
 
-#: src/config/cmdline.c:874
+#: src/config/cmdline.c:895
 msgid "Connect to session ring with given ID"
 msgstr ""
 
-#: src/config/cmdline.c:876
+#: src/config/cmdline.c:897
 msgid ""
-"ID of session ring this ELinks session should connect to. ELinks\n"
-"works in so-called session rings, whereby all instances of ELinks\n"
-"are interconnected and share state (cache, bookmarks, cookies,\n"
-"and so on). By default, all ELinks instances connect to session\n"
-"ring 0. You can change that behaviour with this switch and form as\n"
-"many session rings as you want. Obviously, if the session-ring with\n"
-"this number doesn't exist yet, it's created and this ELinks instance\n"
-"will become the master instance (that usually doesn't matter for you\n"
-"as a user much). Note that you usually don't want to use this unless\n"
-"you're a developer and you want to do some testing - if you want the\n"
-"ELinks instances each running standalone, rather use the -no-connect\n"
-"command-line option. Also note that normally no runtime state files\n"
-"are written to the disk when this option is used. See also\n"
-"-touch-files."
+"ID of session ring this ELinks session should connect to. ELinks works in so-"
+"called session rings, whereby all instances of ELinks are interconnected and "
+"share state (cache, bookmarks, cookies, and so on). By default, all ELinks "
+"instances connect to session ring 0. You can change that behaviour with this "
+"switch and form as many session rings as you want. Obviously, if the session-"
+"ring with this number doesn't exist yet, it's created and this ELinks "
+"instance will become the master instance (that usually doesn't matter for "
+"you as a user much).\n"
+"\n"
+"Note that you usually don't want to use this unless you're a developer and "
+"you want to do some testing - if you want the ELinks instances each running "
+"standalone, rather use the -no-connect command-line option. Also note that "
+"normally no runtime state files are written to the disk when this option is "
+"used. See also -touch-files."
 msgstr ""
 
-#: src/config/cmdline.c:891
+#: src/config/cmdline.c:915
 msgid "Print the source of given URLs to stdout"
 msgstr ""
 
-#: src/config/cmdline.c:893
+#: src/config/cmdline.c:917
 msgid "Print given URLs in source form to stdout."
 msgstr ""
 
-#: src/config/cmdline.c:897
+#: src/config/cmdline.c:921
 msgid "Touch files in ~/.elinks when running with -no-connect/-session-ring"
 msgstr ""
 
-#: src/config/cmdline.c:899
+#: src/config/cmdline.c:923
 msgid ""
-"When enabled, runtime state files (bookmarks, history, etc.) are\n"
-"written to disk, even when -no-connect or -session-ring is used.\n"
-"The option has no effect if not used in conjunction with any of\n"
-"these options."
+"When enabled, runtime state files (bookmarks, history, etc.) are written to "
+"disk, even when -no-connect or -session-ring is used. The option has no "
+"effect if not used in conjunction with any of these options."
 msgstr ""
 
-#: src/config/cmdline.c:904
+#: src/config/cmdline.c:928
 msgid "Verbose level"
 msgstr ""
 
-#: src/config/cmdline.c:906
+#: src/config/cmdline.c:930
 msgid ""
-"The verbose level controls what messages are shown at\n"
-"start up and while running:\n"
+"The verbose level controls what messages are shown at start up and while "
+"running:\n"
 "\t0 means only show serious errors\n"
 "\t1 means show serious errors and warnings\n"
 "\t2 means show all messages"
 msgstr ""
 
 # "ja poistu"?
-#: src/config/cmdline.c:912
+#: src/config/cmdline.c:936
 msgid "Print version information and exit"
 msgstr "Nyt versiotiedot ja lopeta"
 
 # "ja poistu"?
-#: src/config/cmdline.c:914
+#: src/config/cmdline.c:938
 msgid "Print ELinks version information and exit."
 msgstr "Nyt ELinksin versiotiedot ja lopeta."
 
-#: src/config/conf.c:938
+#: src/config/conf.c:963
 msgid ""
 "## This is ELinks configuration file. You can edit it manually,\n"
 "## if you wish so; this file is edited by ELinks when you save\n"
@@ -1736,7 +1721,7 @@ msgstr ""
 "## ELinks muokkaa tt tiedostoa mutta muuttaa vain asetusten\n"
 "## arvot; kaikki muotoilusi, huomautuksesi yms. jvt ennalleen.\n"
 
-#: src/config/conf.c:946
+#: src/config/conf.c:971
 msgid ""
 "## This is ELinks configuration file. You can edit it manually,\n"
 "## if you wish so; this file is edited by ELinks when you save\n"
@@ -1747,7 +1732,7 @@ msgid ""
 "## own comments and so on will be kept as-is.\n"
 msgstr ""
 
-#: src/config/conf.c:956
+#: src/config/conf.c:981
 msgid ""
 "## This is ELinks configuration file. You can edit it manually,\n"
 "## if you wish so, but keep in mind that this file is overwritten\n"
@@ -1760,18 +1745,18 @@ msgstr ""
 "## jolloin kaikki tekemsi muotoilut ja lismsi huomautukset\n"
 "## katoavat, joten pid varasi.\n"
 
-#: src/config/conf.c:967
+#: src/config/conf.c:992
 msgid ""
 "## Obviously, if you don't like what ELinks is going to do with\n"
 "## this file, you can change it by altering the config.saving_style\n"
 "## option. Come on, aren't we friendly guys after all?\n"
 msgstr ""
 
-#: src/config/conf.c:980
+#: src/config/conf.c:1005
 msgid "Automatically saved options\n"
 msgstr ""
 
-#: src/config/conf.c:992
+#: src/config/conf.c:1017
 msgid "Automatically saved keybindings\n"
 msgstr "Automaattisesti tallennetut nppinsidonnat\n"
 
@@ -1790,9 +1775,8 @@ msgid "~Do not show anymore"
 msgstr "~l nyt seuraavilla kerroilla"
 
 #: src/config/dialogs.c:69
-#, fuzzy
 msgid "Write config error"
-msgstr "Asetuksissa virhe"
+msgstr "Asetusten tallennusvirhe"
 
 #: src/config/dialogs.c:70
 #, c-format
@@ -1834,7 +1818,7 @@ msgstr "(lavenna painamalla vlilynti)
 #. * switch charsets.  So, it will work in any terminal that
 #. * understands UTF-8 and has the characters in its font.
 #: src/config/dialogs.c:149 src/config/dialogs.c:330
-#: src/config/options.inc:840
+#: src/config/options.inc:887
 msgid "Type"
 msgstr "Tyyppi"
 
@@ -1862,9 +1846,9 @@ msgid "Description"
 msgstr "Kuvaus"
 
 #: src/config/dialogs.c:291 src/protocol/bittorrent/dialogs.c:600
-#: src/protocol/protocol.c:240 src/session/session.c:287
-#: src/session/session.c:975 src/viewer/text/textarea.c:594
-#: src/viewer/text/textarea.c:601
+#: src/protocol/protocol.c:240 src/session/session.c:288
+#: src/session/session.c:999 src/viewer/text/textarea.c:583
+#: src/viewer/text/textarea.c:590
 msgid "Error"
 msgstr "Virhe"
 
@@ -1899,7 +1883,7 @@ msgstr ""
 #. accelerator_context(src/config/dialogs.c:keybinding_buttons, src/config/dialogs.c:option_buttons, src/cookies/dialogs.c:cookie_buttons, src/formhist/dialogs.c:formhist_buttons, src/protocol/bittorrent/dialogs.c:bittorrent_query_callback, src/session/download.c:do_type_query, terminal_options)
 #: src/config/dialogs.c:507 src/config/dialogs.c:933 src/cookies/dialogs.c:495
 #: src/dialogs/options.c:236 src/formhist/dialogs.c:214
-#: src/protocol/bittorrent/dialogs.c:801 src/session/download.c:1203
+#: src/protocol/bittorrent/dialogs.c:801 src/session/download.c:1229
 msgid "Sa~ve"
 msgstr "~Tallenna"
 
@@ -1911,7 +1895,7 @@ msgstr "Asetusten hallinta"
 msgid "Keystroke"
 msgstr "Nppily"
 
-#: src/config/dialogs.c:676 src/config/options.inc:1219
+#: src/config/dialogs.c:676 src/config/options.inc:1292
 msgid "Action"
 msgstr "Toiminto"
 
@@ -1991,32 +1975,32 @@ msgid ""
 "directory."
 msgstr ""
 
-#: src/config/kbdbind.c:221
+#: src/config/kbdbind.c:222
 msgid "Main mapping"
 msgstr ""
 
-#: src/config/kbdbind.c:222
+#: src/config/kbdbind.c:223
 msgid "Edit mapping"
 msgstr ""
 
-#: src/config/kbdbind.c:223
+#: src/config/kbdbind.c:224
 msgid "Menu mapping"
 msgstr ""
 
-#: src/config/kbdbind.c:588 src/scripting/python/keybinding.c:104
+#: src/config/kbdbind.c:589 src/scripting/python/keybinding.c:104
 msgid "Unrecognised keymap"
 msgstr "Tunnistamaton nppinkartta"
 
-#: src/config/kbdbind.c:591
+#: src/config/kbdbind.c:592
 #, fuzzy
 msgid "Error parsing keystroke"
 msgstr "Tpseliin kirjoitus ei onnistu"
 
-#: src/config/kbdbind.c:595
+#: src/config/kbdbind.c:596
 msgid "Unrecognised action (internal error)"
 msgstr ""
 
-#: src/config/kbdbind.c:611
+#: src/config/kbdbind.c:612
 #, fuzzy
 msgid "Error registering event"
 msgstr "Tpseliin kirjoitus ei onnistu"
@@ -2043,358 +2027,343 @@ msgid ""
 "3 is full comments are written"
 msgstr ""
 
-#: src/config/options.inc:31
+#: src/config/options.inc:32
 msgid "Indentation"
 msgstr "Sisennys"
 
-#: src/config/options.inc:33
+#: src/config/options.inc:34
 msgid ""
-"Shift width of one indentation level in the configuration\n"
-"file. Zero means that no indentation is performed at all\n"
-"when saving the configuration."
+"Shift width of one indentation level in the configuration file. Zero means "
+"that no indentation is performed at all when saving the configuration."
 msgstr ""
 
-#: src/config/options.inc:37
+#: src/config/options.inc:38
 msgid "Saving style"
 msgstr "Tallennustapa"
 
-#: src/config/options.inc:39
+#: src/config/options.inc:40
 msgid ""
 "Determines what happens when you tell ELinks to save options:\n"
 "0 is only values of current options are altered\n"
-"1 is values of current options are altered and missing options\n"
-"     are added at the end of the file\n"
+"1 is values of current options are altered and missing\n"
+"     options are added at the end of the file\n"
 "2 is the configuration file is rewritten from scratch\n"
-"3 is values of current options are altered and missing options\n"
-"     CHANGED during this ELinks session are added at the end of\n"
-"     the file"
+"3 is values of current options are altered and missing\n"
+"     options CHANGED during this ELinks session are added at\n"
+"     the end of the file"
 msgstr ""
 "Mr mit tapahtuu, kun ksket ELinksin tallentaa asetukset:\n"
 "0: muuttaa vain nykyisten asetusten arvot\n"
-"1: muuttaa nykyisten asetusten arvot ja lis puuttuvat asetukset\n"
-"   tiedoston loppuun\n"
+"1: muuttaa nykyisten asetusten arvot ja lis puuttuvat\n"
+"   asetukset tiedoston loppuun\n"
 "2: kirjoittaa asetustiedoston tyhjst uusiksi\n"
-"3: muuttaa nykyisten asetusten arvot ja lis tiedoston loppuun\n"
-"   ne puuttuvat asetukset, joita on MUUTETTU tll ELinksin\n"
-"   kyttkerralla"
+"3: muuttaa nykyisten asetusten arvot ja lis tiedoston\n"
+"   loppuun ne puuttuvat asetukset, joita on MUUTETTU tll\n"
+"   ELinksin kyttkerralla"
 
-#: src/config/options.inc:48
+#: src/config/options.inc:50
 msgid "Comments localization"
 msgstr "Selitysten kotoistus"
 
-#: src/config/options.inc:50
+#: src/config/options.inc:52
 msgid ""
-"If set to 1, comments in the configuration file will be\n"
-"translated to the language used by UI. Note that if you have\n"
-"different language set in different terminals, the language\n"
-"used in the configuration file MAY be the same as on the\n"
-"terminal where you saved the file, but it should be generally\n"
+"If set to 1, comments in the configuration file will be translated to the "
+"language used by UI. Note that if you have different language set in "
+"different terminals, the language used in the configuration file MAY be the "
+"same as on the terminal where you saved the file, but it should be generally "
 "considered unpredictable."
 msgstr ""
-"Jos tm on 1, niin selitykset tallentuvat asetustiedostoon\n"
-"kyttliittymn kielen mukaisina. Huomaa, ett jos olet asettanut\n"
-"eri ptteisiin eri kielet, niin asetustiedostoon tuleva kieli\n"
-"SAATTAA olla sama kuin siin ptteess, josta tallensit tiedoston,\n"
-"mutta thn ei parane luottaa."
+"Jos tm on 1, niin selitykset tallentuvat asetustiedostoon kyttliittymn "
+"kielen mukaisina. Huomaa, ett jos olet asettanut eri ptteisiin eri "
+"kielet, niin asetustiedostoon tuleva kieli SAATTAA olla sama kuin siin "
+"ptteess, josta tallensit tiedoston, mutta thn ei parane luottaa."
 
-#: src/config/options.inc:58
+#: src/config/options.inc:60
 msgid "Saving style warnings"
 msgstr "Tallennustapavaroitukset"
 
-#: src/config/options.inc:60
+#: src/config/options.inc:62
 msgid ""
-"This is internal option used when displaying a warning about\n"
-"obsolete config.saving_style. You shouldn't touch it."
+"This is internal option used when displaying a warning about obsolete config."
+"saving_style. You shouldn't touch it."
 msgstr ""
 
-#: src/config/options.inc:63
+#: src/config/options.inc:66
 msgid "Show template"
 msgstr ""
 
-#: src/config/options.inc:65
+#: src/config/options.inc:68
 msgid ""
-"Show template options in autocreated trees in the options\n"
-"manager and save them to the configuration file."
+"Show template options in autocreated trees in the options manager and save "
+"them to the configuration file."
 msgstr ""
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:71 src/dialogs/info.c:180
+#: src/config/options.inc:74 src/dialogs/info.c:180
 msgid "Connections"
 msgstr "Yhteydet"
 
-#: src/config/options.inc:73
+#: src/config/options.inc:76
 msgid "Connection options."
 msgstr "Yhteysasetukset."
 
-#: src/config/options.inc:76
+#: src/config/options.inc:79
 #, fuzzy
 msgid "Asynchronous DNS"
 msgstr "Tahdistamaton DNS"
 
-#: src/config/options.inc:78
+#: src/config/options.inc:81
 msgid "Whether to use asynchronous DNS resolving."
 msgstr ""
 
-#: src/config/options.inc:80
+#: src/config/options.inc:83
 msgid "Maximum connections"
 msgstr "Yhteyksi enintn"
 
-#: src/config/options.inc:82
+#: src/config/options.inc:85
 msgid "Maximum number of concurrent connections."
 msgstr "Samanaikaisten yhteyksien enimmismr."
 
-#: src/config/options.inc:84
+#: src/config/options.inc:87
 msgid "Maximum connections per host"
 msgstr "Yhteyksi samaan palvelimeen enintn"
 
-#: src/config/options.inc:86
+#: src/config/options.inc:89
 msgid "Maximum number of concurrent connections to a given host."
 msgstr ""
 
-#: src/config/options.inc:88
-#, fuzzy
+#: src/config/options.inc:92
 msgid "Connection retries"
-msgstr "Yhteydet"
+msgstr "Yhteysyritysten toisto"
 
-#: src/config/options.inc:90
-msgid ""
-"Number of tries to establish a connection.\n"
-"Zero means try forever."
+#: src/config/options.inc:94
+msgid "Number of tries to establish a connection. Zero means try forever."
 msgstr ""
 
-#: src/config/options.inc:93 src/network/state.c:53
+#: src/config/options.inc:97 src/network/state.c:53
 msgid "Receive timeout"
 msgstr "Vastaanoton aikakatkaisu"
 
-#: src/config/options.inc:95
+#: src/config/options.inc:99
 msgid "Receive timeout (in seconds)."
 msgstr "Vastaanoton aikakatkaisu (sekunteina)."
 
-#: src/config/options.inc:98 src/config/options.inc:108
+#: src/config/options.inc:102 src/config/options.inc:113
 msgid "Try IPv4 when connecting"
 msgstr "Yrit yhteytt IPv4:ll"
 
-#: src/config/options.inc:100
-#, fuzzy
+#: src/config/options.inc:104
 msgid ""
-"Whether to try to connect to a host over IPv4.\n"
-"Note that if connection.try_ipv6 is enabled too,\n"
-"it takes precedence. And better do not touch this\n"
+"Whether to try to connect to a host over IPv4. Note that if connection."
+"try_ipv6 is enabled too, it takes precedence. And better do not touch this "
 "at all unless you are sure what are you doing.\n"
-"Note that you can also force a given protocol\n"
-"to be used on a per-connection basis by using a URL\n"
-"in the style of e.g. http4://elinks.cz/."
-msgstr ""
-"Yrittk ottaa isntn yhteytt IPv4:ll.\n"
-"Huomaa, ett jos connection.try_ipv6 on mys pll,\n"
-"se menee tst edelle. Ja on parempi ettet kajoa thn\n"
-"ollenkaan, ellet ole varma mit teet.\n"
-"Huomaa, ett voit mys pakottaa yksittisen yhteyden\n"
-"kyttmn valitsemaasi yhteyskytnt kyttmll\n"
-"esim. \"http4://elinks.cz/\"-muotoista URL:."
-
-#: src/config/options.inc:110
-#, fuzzy
-msgid ""
-"Whether to try to connect to a host over IPv4.\n"
-"Do not touch this option.\n"
-"Note that you can also force a given protocol\n"
-"to be used on a per-connection basis by using a URL\n"
-"in the style of e.g. http4://elinks.cz/."
-msgstr ""
-"Yrittk ottaa isntn yhteytt IPv4:ll.\n"
-"l kajoa thn asetukseen.\n"
-"Huomaa, ett voit mys pakottaa yksittisen yhteyden\n"
-"kyttmn valitsemaasi yhteyskytnt kyttmll\n"
-"esim. \"http4://elinks.cz/\"-muotoista URL:."
+"\n"
+"Note that you can also force a given protocol to be used on a per-connection "
+"basis by using a URL in the style of e.g. http4://elinks.cz/."
+msgstr ""
+"Yrittk ottaa isntn yhteytt IPv4:ll. Huomaa, ett jos connection."
+"try_ipv6 on mys pll, se menee tst edelle. Ja on parempi ettet kajoa "
+"thn ollenkaan, ellet ole varma mit teet.\n"
+"\n"
+"Huomaa, ett voit mys pakottaa yksittisen yhteyden kyttmn valitsemaasi "
+"yhteyskytnt kyttmll esim. \"http4://elinks.cz/\"-muotoista URL:."
 
-#: src/config/options.inc:118
+#: src/config/options.inc:115
+msgid ""
+"Whether to try to connect to a host over IPv4. Do not touch this option.\n"
+"\n"
+"Note that you can also force a given protocol to be used on a per-connection "
+"basis by using a URL in the style of e.g. http4://elinks.cz/."
+msgstr ""
+"Yrittk ottaa isntn yhteytt IPv4:ll. l kajoa thn asetukseen.\n"
+"\n"
+"Huomaa, ett voit mys pakottaa yksittisen yhteyden kyttmn valitsemaasi "
+"yhteyskytnt kyttmll esim. \"http4://elinks.cz/\"-muotoista URL:."
+
+#: src/config/options.inc:124
 msgid "Try IPv6 when connecting"
 msgstr "Yrit yhteytt IPv6:lla"
 
-#: src/config/options.inc:120
-#, fuzzy
+#: src/config/options.inc:126
 msgid ""
 "Whether to try to connect to a host over IPv6.\n"
-"Note that you can also force a given protocol\n"
-"to be used on a per-connection basis by using a URL\n"
-"in the style of e.g. http6://elinks.cz/."
+"\n"
+"Note that you can also force a given protocol to be used on a per-connection "
+"basis by using a URL in the style of e.g. http6://elinks.cz/."
 msgstr ""
 "Yrittk ottaa isntn yhteytt IPv6:lla.\n"
-"Huomaa, ett voit mys pakottaa yksittisen yhteyden\n"
-"kyttmn valitsemaasi yhteyskytnt kyttmll\n"
-"esim. \"http6://elinks.cz/\"-muotoista URL:."
+"\n"
+"Huomaa, ett voit mys pakottaa yksittisen yhteyden kyttmn valitsemaasi "
+"yhteyskytnt kyttmll esim. \"http6://elinks.cz/\"-muotoista URL:."
 
-#: src/config/options.inc:126
+#: src/config/options.inc:133
 msgid "Timeout for non-restartable connections"
 msgstr ""
 
-#: src/config/options.inc:128
+#: src/config/options.inc:135
 msgid "Timeout for non-restartable connections (in seconds)."
 msgstr ""
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:134
+#: src/config/options.inc:141
 msgid "Document"
 msgstr "Dokumentti"
 
-#: src/config/options.inc:136
+#: src/config/options.inc:143
 msgid "Document options."
 msgstr "Dokumenttiasetukset."
 
-#: src/config/options.inc:138
+#: src/config/options.inc:145
 msgid "Browsing"
 msgstr ""
 
-#: src/config/options.inc:140
+#: src/config/options.inc:147
 msgid "Document browsing options (mainly interactivity)."
 msgstr ""
 
-#: src/config/options.inc:143
+#: src/config/options.inc:150
 msgid "Access keys"
 msgstr ""
 
-#: src/config/options.inc:145
+#: src/config/options.inc:152
 msgid ""
-"Options for handling of link access keys.\n"
-"An HTML document can use the ACCESSKEY attribute to assign\n"
-"an access key to an element. When an access key is pressed,\n"
-"the corresponding element will be given focus."
+"Options for handling of link access keys. An HTML document can use the "
+"ACCESSKEY attribute to assign an access key to an element. When an access "
+"key is pressed, the corresponding element will be given focus."
 msgstr ""
 
-#: src/config/options.inc:150
+#: src/config/options.inc:157
 msgid "Automatic links following"
 msgstr ""
 
-#: src/config/options.inc:152
+#: src/config/options.inc:159
 msgid ""
-"Automatically follow a link or submit a form if appropriate\n"
-"accesskey is pressed - this is the standard behaviour, but it's\n"
-"considered dangerous."
+"Automatically follow a link or submit a form if appropriate accesskey is "
+"pressed - this is the standard behaviour, but it's considered dangerous."
 msgstr ""
 
-#: src/config/options.inc:156
+#: src/config/options.inc:163
 msgid "Display access key in link info"
 msgstr ""
 
-#: src/config/options.inc:158
+#: src/config/options.inc:165
 msgid "Display access key in link info."
 msgstr ""
 
-#: src/config/options.inc:160
+#: src/config/options.inc:167
 msgid "Accesskey priority"
 msgstr ""
 
-#: src/config/options.inc:162
+#: src/config/options.inc:169
 msgid ""
 "Priority of 'accesskey' HTML attribute:\n"
-"0 is first try all normal bindings; if it fails, check accesskey\n"
-"1 is first try only frame bindings; if it fails, check accesskey\n"
+"0 is first try all normal bindings; if it fails,\n"
+"     check accesskey\n"
+"1 is first try only frame bindings; if it fails,\n"
+"     check accesskey\n"
 "2 is first check accesskey (this can be dangerous)"
 msgstr ""
 
-#: src/config/options.inc:168
+#: src/config/options.inc:177
 msgid "Forms"
 msgstr ""
 
-#: src/config/options.inc:170
+#: src/config/options.inc:179
 msgid "Options for handling of the forms interaction."
 msgstr ""
 
-#: src/config/options.inc:172
-#, fuzzy
+#: src/config/options.inc:181
 msgid "Submit form automatically"
-msgstr "Hyvksy lomake:"
+msgstr "Lhet lomake automaattisesti"
 
-#: src/config/options.inc:174
+#: src/config/options.inc:183
 msgid ""
-"Automagically submit a form when enter is pressed with a text\n"
-"field selected."
+"Automagically submit a form when enter is pressed with a text field selected."
 msgstr ""
 
-#: src/config/options.inc:177
+#: src/config/options.inc:186
 msgid "Confirm submission"
 msgstr ""
 
-#: src/config/options.inc:179
+#: src/config/options.inc:188
 msgid "Ask for confirmation when submitting a form."
 msgstr ""
 
-#: src/config/options.inc:181
+#: src/config/options.inc:190
 msgid "Default form input size"
 msgstr ""
 
-#: src/config/options.inc:183
+#: src/config/options.inc:192
 msgid "Default form input size if none is specified."
 msgstr ""
 
-#: src/config/options.inc:185
+#: src/config/options.inc:194
 msgid "Insert mode"
 msgstr ""
 
-#: src/config/options.inc:187
+#: src/config/options.inc:196
 msgid ""
-"The setting for this option affects how key presses are handled\n"
-"when one selects a text-input form-field. When enabled, one must\n"
-"explicitly 'enter' a selected text-field to edit it; this prevents\n"
-"text fields from capturing key presses, such as presses of a scroll\n"
-"key, when it is inadvertently selected. When disabled, key presses\n"
-"are always inserted into a selected text field."
+"The setting for this option affects how key presses are handled when one "
+"selects a text-input form-field. When enabled, one must explicitly 'enter' a "
+"selected text-field to edit it; this prevents text fields from capturing key "
+"presses, such as presses of a scroll key, when it is inadvertently selected. "
+"When disabled, key presses are always inserted into a selected text field."
 msgstr ""
 
-#: src/config/options.inc:194
-#, fuzzy
+#: src/config/options.inc:204
 msgid "External editor"
-msgstr "Sisinen virhe"
+msgstr "Ulkoinen muokkausohjelma"
 
-#: src/config/options.inc:196
+#: src/config/options.inc:206
 msgid ""
-"Path to the executable that ELinks should launch when the user\n"
-"requests to edit a textarea with an external editor.\n"
-"If this is blank, ELinks will use the value of the environmental\n"
-"variable $EDITOR. If $EDITOR is empty or not set, ELinks will then\n"
-"default to \"vi\"."
+"Path to the executable that ELinks should launch when the user requests to "
+"edit a textarea with an external editor.\n"
+"\n"
+"If this is blank, ELinks will use the value of the environmental variable "
+"$EDITOR. If $EDITOR is empty or not set, ELinks will then default to \"vi\"."
 msgstr ""
 
-#: src/config/options.inc:203
+#: src/config/options.inc:214
 msgid "Images"
 msgstr "Kuvat"
 
-#: src/config/options.inc:205
+#: src/config/options.inc:216
 msgid "Options for handling of images."
 msgstr ""
 
-#: src/config/options.inc:207
-#, fuzzy
+#: src/config/options.inc:218
 msgid "Display style for image tags"
-msgstr "Nyt"
+msgstr "Image-tagien nytttapa"
 
-#: src/config/options.inc:209
+#: src/config/options.inc:220
 msgid ""
 "Display style for image tags when displayed:\n"
 "0     means always display IMG\n"
 "1     means always display filename\n"
-"2     means display alt/title attribute if possible, IMG if not\n"
-"3     means display alt/title attribute if possible, filename if not"
+"2     means display alt/title attribute if possible,\n"
+"      IMG if not\n"
+"3     means display alt/title attribute if possible,\n"
+"      filename if not"
 msgstr ""
 
-#: src/config/options.inc:215
+#: src/config/options.inc:228
 msgid "Maximum length for image filename"
 msgstr "Kuvatiedoston nimen enimmispituus"
 
-#: src/config/options.inc:217
+#: src/config/options.inc:230
 msgid ""
 "Maximum length of image filename when displayed:\n"
 "0     means always display full filename\n"
 "1-500 means display filename with this maximal length;\n"
-"      if it is longer, the middle is substituted by an asterisk"
+"      if it is longer, the middle is substituted by\n"
+"      an asterisk"
 msgstr ""
 
-#: src/config/options.inc:227
+#: src/config/options.inc:241
 msgid "Image links tagging"
 msgstr ""
 
-#: src/config/options.inc:229
+#: src/config/options.inc:243
 msgid ""
 "When to enclose image links:\n"
 "0 means never\n"
@@ -2402,89 +2371,87 @@ msgid ""
 "2 means always"
 msgstr ""
 
-#: src/config/options.inc:234
+#: src/config/options.inc:248
 msgid "Image link prefix"
 msgstr ""
 
-#: src/config/options.inc:236
+#: src/config/options.inc:250
 msgid "Prefix string to use to mark image links."
 msgstr ""
 
-#: src/config/options.inc:238
+#: src/config/options.inc:252
 msgid "Image link suffix"
 msgstr ""
 
-#: src/config/options.inc:240
+#: src/config/options.inc:254
 msgid "Suffix string to use to mark image links."
 msgstr ""
 
-#: src/config/options.inc:242
+#: src/config/options.inc:256
 msgid "Maximum length for image label"
 msgstr ""
 
-#: src/config/options.inc:244
+#: src/config/options.inc:258
 msgid ""
 "Maximum length of image label (alt/title):\n"
 "0     means always display full label\n"
 "1-500 means display label with this maximal length;\n"
-"      if it is longer, the middle is substituted by an asterisk"
+"      if it is longer, the middle is substituted by\n"
+"      an asterisk"
 msgstr ""
 
-#: src/config/options.inc:249
+#: src/config/options.inc:264
 msgid "Display links to images w/o alt"
 msgstr ""
 
-#: src/config/options.inc:251
+#: src/config/options.inc:266
 msgid ""
-"Display links to images without an alt attribute. If this option\n"
-"is off, these images are completely invisible."
+"Display links to images without an alt attribute. If this option is off, "
+"these images are completely invisible."
 msgstr ""
 
-#: src/config/options.inc:254
-#, fuzzy
+#: src/config/options.inc:269
 msgid "Display links to images"
-msgstr "Nyt"
+msgstr "Nyt linkit kuviin"
 
-#: src/config/options.inc:256
+#: src/config/options.inc:271
 msgid ""
-"Display links to any images in the document, regardless of them\n"
-"having an alt attribute or not. If this option is off, the alt\n"
-"attribute contents is shown, but as normal text, not selectable\n"
-"as a link."
+"Display links to any images in the document, regardless of them having an "
+"alt attribute or not. If this option is off, the alt attribute contents is "
+"shown, but as normal text, not selectable as a link."
 msgstr ""
 
-#: src/config/options.inc:262
+#: src/config/options.inc:277
 msgid "Links"
 msgstr "Linkit"
 
-#: src/config/options.inc:264
+#: src/config/options.inc:279
 msgid "Options for handling of links to other documents."
 msgstr ""
 
-#: src/config/options.inc:266
+#: src/config/options.inc:281
 msgid "Active link"
 msgstr ""
 
-#: src/config/options.inc:268
+#: src/config/options.inc:283
 msgid "Options for the active link."
 msgstr ""
 
-#: src/config/options.inc:270
+#: src/config/options.inc:285
 msgid "Colors"
 msgstr "Vrit"
 
-#: src/config/options.inc:272
-#, fuzzy
+#: src/config/options.inc:287
 msgid "Active link colors."
-msgstr "Poista taustayhteydet"
+msgstr "Valitun linkin vrit."
 
-#: src/config/options.inc:274 src/config/options.inc:549
-#: src/config/options.inc:945
+#: src/config/options.inc:289 src/config/options.inc:583
+#: src/config/options.inc:1014
 msgid "Background color"
 msgstr "Taustavri"
 
-#: src/config/options.inc:276 src/config/options.inc:551
-#: src/config/options.inc:946
+#: src/config/options.inc:291 src/config/options.inc:585
+#: src/config/options.inc:1015
 msgid "Default background color."
 msgstr "Oletustaustavri."
 
@@ -2496,75 +2463,74 @@ msgstr "Oletustaustavri."
 #. *	on it.
 #. The colors and mono tree should be similar but with different default
 #. * values of course so always use the macros below.
-#: src/config/options.inc:278 src/config/options.inc:545
-#: src/config/options.inc:943
+#: src/config/options.inc:293 src/config/options.inc:579
+#: src/config/options.inc:1012
 msgid "Text color"
 msgstr "Tekstin vri"
 
-#: src/config/options.inc:280 src/config/options.inc:547
-#: src/config/options.inc:944
+#: src/config/options.inc:295 src/config/options.inc:581
+#: src/config/options.inc:1013
 msgid "Default text color."
 msgstr ""
 
-#: src/config/options.inc:282
-#, fuzzy
+#: src/config/options.inc:297
 msgid "Enable color"
-msgstr "nimi"
+msgstr "Ota vrit kyttn"
 
-#: src/config/options.inc:284
+#: src/config/options.inc:299
 msgid ""
-"Enable use of the active link background and text color\n"
-"settings instead of the link colors from the document."
+"Enable use of the active link background and text color settings instead of "
+"the link colors from the document."
 msgstr ""
 
 # TODO: "Lihavoitu"?
-#: src/config/options.inc:287
+#: src/config/options.inc:302
 msgid "Bold"
 msgstr "Lihavoi"
 
-#: src/config/options.inc:289
+#: src/config/options.inc:304
 msgid "Make the active link text bold."
 msgstr ""
 
 # TODO: Thn pitisi kai saada verbi.
-#: src/config/options.inc:291
+#: src/config/options.inc:306
 msgid "Invert colors"
 msgstr "Knteiset vrit"
 
-#: src/config/options.inc:293
+#: src/config/options.inc:308
 msgid "Invert the fore- and background color so the link stands out."
 msgstr ""
 
-#: src/config/options.inc:296 src/config/options.inc:908
+#: src/config/options.inc:311 src/config/options.inc:975
 #: src/dialogs/options.c:231
 msgid "Underline"
 msgstr "Alleviivaa"
 
-#: src/config/options.inc:298
+#: src/config/options.inc:313
 msgid "Underline the active link."
 msgstr ""
 
-#: src/config/options.inc:301
+#: src/config/options.inc:316
 msgid "Directory highlighting"
 msgstr ""
 
-#: src/config/options.inc:303
+#: src/config/options.inc:318
 msgid "Highlight links to directories in FTP and local directory listing."
 msgstr ""
 
-#: src/config/options.inc:305
+#: src/config/options.inc:321
 msgid "Number links"
 msgstr "Numeroi linkit"
 
-#: src/config/options.inc:307
+#: src/config/options.inc:323
 msgid "Display numbers next to the links."
 msgstr "Nyt numerot linkkien vieress."
 
-#: src/config/options.inc:309
+#: src/config/options.inc:325
 msgid "Handling of target=_blank"
 msgstr ""
 
-#: src/config/options.inc:311
+#: src/config/options.inc:327
 msgid ""
 "Define how to handle links having target=_blank set:\n"
 "0 means open link in current tab\n"
@@ -2573,139 +2539,134 @@ msgid ""
 "3 means open link in new window"
 msgstr ""
 
-#: src/config/options.inc:324
+#: src/config/options.inc:340
 msgid "Use tabindex"
 msgstr ""
 
-#: src/config/options.inc:326
+#: src/config/options.inc:342
 msgid ""
-"Whether to navigate links using tabindex specified ordering.\n"
-"The TABINDEX attribute in HTML elements specifies the order\n"
-"in which links should receive focus when using the keyboard\n"
-"to navigate the document."
+"Whether to navigate links using tabindex specified ordering. The TABINDEX "
+"attribute in HTML elements specifies the order in which links should receive "
+"focus when using the keyboard to navigate the document."
 msgstr ""
 
-#: src/config/options.inc:331
-#, fuzzy
+#: src/config/options.inc:347
 msgid "Missing fragment reporting"
-msgstr "Ei kehyksi"
+msgstr ""
 
-#: src/config/options.inc:333
+#: src/config/options.inc:349
 msgid "Open a message box when document has no tag with given id."
 msgstr ""
 
 # TODO: vai "linkit"?
-#: src/config/options.inc:335
+#: src/config/options.inc:352
 msgid "Number keys select links"
 msgstr "Numeronppimet valitsevat linkkej"
 
-#: src/config/options.inc:337
+#: src/config/options.inc:354
 msgid ""
-"Number keys select links rather than specify command prefixes. This\n"
-"is a tristate:\n"
+"Number keys select links rather than specify command prefixes. This is a "
+"tristate:\n"
 "0 means never\n"
 "1 means if document.browse.links.numbering = 1\n"
 "2 means always"
 msgstr ""
 
-#: src/config/options.inc:343
+#: src/config/options.inc:360
 msgid "Warn about maliciously crafted URIs"
 msgstr ""
 
-#: src/config/options.inc:345
+#: src/config/options.inc:362
 msgid ""
-"When following a link the user ID part of the URI is\n"
-"checked and if a maliciously crafted URI is detected a\n"
-"warning dialog will ask before following the link."
+"When following a link the user ID part of the URI is checked and if a "
+"maliciously crafted URI is detected a warning dialog will ask before "
+"following the link."
 msgstr ""
 
 #. TODO - this is somehow implemented by ff, but disabled
 #. * for now as it doesn't work.
-#: src/config/options.inc:351
+#: src/config/options.inc:368
 msgid "Wrap-around links cycling"
 msgstr ""
 
 #. 0
-#: src/config/options.inc:353
+#: src/config/options.inc:370
 msgid ""
-"When pressing 'down' on the last link, jump to the first one, and\n"
-"vice versa."
+"When pressing 'down' on the last link, jump to the first one, and vice versa."
 msgstr ""
 
-#: src/config/options.inc:357
+#: src/config/options.inc:374
 msgid "Scrolling"
 msgstr "Vieritys"
 
-#: src/config/options.inc:359
-#, fuzzy
+#: src/config/options.inc:376
 msgid "Scrolling options."
-msgstr "Terminaaliasetukset"
+msgstr "Vieritysasetukset."
 
-#: src/config/options.inc:361
+#: src/config/options.inc:378
 msgid "Horizontal step"
 msgstr "Vaaka-askel"
 
-#: src/config/options.inc:363
+#: src/config/options.inc:380
 msgid ""
-"Number of columns to scroll when a key bound to scroll-left or scroll-\n"
-"right is pressed and no prefix was given."
+"Number of columns to scroll when a key bound to scroll-left or scroll-right "
+"is pressed and no prefix was given."
 msgstr ""
 
-#: src/config/options.inc:366
+#: src/config/options.inc:384
 msgid "Extended horizontal scrolling"
 msgstr ""
 
-#: src/config/options.inc:368
+#: src/config/options.inc:386
 msgid ""
-"Whether to allow horizontal scrolling when the document\n"
-"does not extend off the screen. Useful for copy/paste\n"
-"operations."
+"Whether to allow horizontal scrolling when the document does not extend off "
+"the screen. Useful for copy/paste operations."
 msgstr ""
 
-#: src/config/options.inc:372
+#: src/config/options.inc:390
 msgid "Margin"
 msgstr ""
 
-#: src/config/options.inc:374
+#: src/config/options.inc:392
 msgid ""
-"Size of the virtual margin - when you click inside of that margin,\n"
-"document scrolls in that direction."
+"Size of the virtual margin - when you click inside of that margin, document "
+"scrolls in that direction."
 msgstr ""
 
-#: src/config/options.inc:377
+#: src/config/options.inc:395
 msgid "Vertical step"
 msgstr "Pystyaskel"
 
-#: src/config/options.inc:379
+#: src/config/options.inc:397
 msgid ""
-"Number of lines to scroll when a key bound to scroll-up or scroll-\n"
-"down is pressed and no prefix was given."
+"Number of lines to scroll when a key bound to scroll-up or scroll-down is "
+"pressed and no prefix was given."
 msgstr ""
 
 # TODO: vai "Haku"?
-#: src/config/options.inc:383
+#: src/config/options.inc:401
 msgid "Searching"
 msgstr "Etsint"
 
-#: src/config/options.inc:385
+#: src/config/options.inc:403
 msgid "Options for searching."
 msgstr ""
 
-#: src/config/options.inc:387
+#: src/config/options.inc:405
 msgid "Case sensitivity"
 msgstr ""
 
-#: src/config/options.inc:389
+#: src/config/options.inc:407
 msgid ""
-"Whether the search should match the document text while maintaining\n"
-"case sensitivity."
+"Whether the search should match the document text while maintaining case "
+"sensitivity."
 msgstr ""
 
-#: src/config/options.inc:393
+#: src/config/options.inc:411
 msgid "Regular expressions"
 msgstr "Snnlliset lausekkeet"
 
-#: src/config/options.inc:395
+#: src/config/options.inc:413
 msgid ""
 "Enable searching with regular expressions:\n"
 "0 for plain text searching\n"
@@ -2713,29 +2674,29 @@ msgid ""
 "2 for extended regular expression searches"
 msgstr ""
 
-#: src/config/options.inc:401
+#: src/config/options.inc:419
 msgid "Show search hit top or bottom dialogs"
 msgstr ""
 
-#: src/config/options.inc:403
+#: src/config/options.inc:421
 msgid ""
-"Whether to show a dialog when the search hits the top or bottom of the\n"
+"Whether to show a dialog when the search hits the top or bottom of the "
 "document."
 msgstr ""
 
-#: src/config/options.inc:406
+#: src/config/options.inc:424
 msgid "Wraparound"
 msgstr "Pyrht ympri"
 
-#: src/config/options.inc:408
+#: src/config/options.inc:426
 msgid "Wrap around when searching. Currently only used for typeahead."
 msgstr ""
 
-#: src/config/options.inc:410
+#: src/config/options.inc:429
 msgid "Show not found"
 msgstr "Ilmoita ettei lydy"
 
-#: src/config/options.inc:412
+#: src/config/options.inc:431
 msgid ""
 "How to inform the user when nothing is matched:\n"
 "0 means do nothing\n"
@@ -2743,277 +2704,272 @@ msgid ""
 "2 means pop up message box"
 msgstr ""
 
-#: src/config/options.inc:417
+#: src/config/options.inc:436
 msgid "Typeahead searching"
 msgstr ""
 
-#: src/config/options.inc:419
+#: src/config/options.inc:438
 msgid ""
-"Start typeahead searching when an unbound key is pressed without\n"
-"any modifiers. Note that most keys have default bindings, so this\n"
-"feature will not be useful unless you unbind them.\n"
+"Start typeahead searching when an unbound key is pressed without any "
+"modifiers. Note that most keys have default bindings, so this feature will "
+"not be useful unless you unbind them.\n"
 "\n"
-"0 disables this feature; typeahead searching will only be used\n"
-"  when you press a key bound to search-typeahead or similar\n"
+"0 disables this feature; typeahead searching will only be\n"
+"  used when you press a key bound to search-typeahead or\n"
+"  similar\n"
 "1 automatically starts typeahead searching thru link text\n"
-"2 automatically starts typeahead searching thru all document text"
+"2 automatically starts typeahead searching thru all document\n"
+"  text"
 msgstr ""
 
-#: src/config/options.inc:428
+#: src/config/options.inc:451
 msgid "Horizontal text margin"
 msgstr ""
 
-#: src/config/options.inc:430
+#: src/config/options.inc:453
 msgid "Horizontal text margin."
 msgstr ""
 
-#: src/config/options.inc:432
+#: src/config/options.inc:455
 msgid "Document meta refresh"
 msgstr ""
 
-#: src/config/options.inc:434
+#: src/config/options.inc:457
 msgid ""
-"Automatically follow document-specified refresh directives ('<meta>\n"
-"refresh' tags). Web-page authors use these to instruct the browser\n"
-"to reload a document at a given interval or to load another page.\n"
-"Regardless of the value the refresh URI is accessible as a link.\n"
-"Use the document.browse.minimum_refresh_time to control the minimum\n"
-"number of seconds a refresh will wait."
+"Automatically follow document-specified refresh directives ('<meta> refresh' "
+"tags). Web-page authors use these to instruct the browser to reload a "
+"document at a given interval or to load another page. Regardless of the "
+"value the refresh URI is accessible as a link.\n"
+"\n"
+"Use the document.browse.minimum_refresh_time to control the minimum number "
+"of seconds a refresh will wait."
 msgstr ""
 
-#: src/config/options.inc:441
+#: src/config/options.inc:466
 msgid "Document meta refresh minimum time"
 msgstr ""
 
-#: src/config/options.inc:443
+#: src/config/options.inc:468
 msgid ""
-"The minimum number of milliseconds that should pass before\n"
-"refreshing. If set to zero the document refresh time is used\n"
-"unchanged. It can fix going back in history for some sites that\n"
-"use refreshing with zero values."
+"The minimum number of milliseconds that should pass before refreshing. If "
+"set to zero the document refresh time is used unchanged. It can fix going "
+"back in history for some sites that use refreshing with zero values."
 msgstr ""
 
-#: src/config/options.inc:448
+#: src/config/options.inc:473
 msgid "Tables navigation order"
 msgstr ""
 
-#: src/config/options.inc:450
+#: src/config/options.inc:475
 msgid "Move by columns in table, instead of rows."
 msgstr ""
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:456
+#: src/config/options.inc:481
 msgid "Cache"
 msgstr "Vlimuisti"
 
-#: src/config/options.inc:458
+#: src/config/options.inc:483
 msgid "Cache options."
 msgstr "Vlimuistiasetukset."
 
-#: src/config/options.inc:460
+#: src/config/options.inc:485
 msgid "Cache information about redirects"
 msgstr ""
 
-#: src/config/options.inc:462
+#: src/config/options.inc:487
 msgid ""
-"Cache even redirects sent by server (usually thru HTTP by a 302\n"
-"HTTP code and a Location header). This was the original behaviour\n"
-"for quite some time, but it causes problems in a situation very\n"
-"common to various web login systems - frequently, when accessing\n"
-"a certain location, they will redirect you to a login page if they\n"
-"don't receive an auth cookie, the login page then gives you the\n"
-"cookie and redirects you back to the original page, but there you\n"
-"have already cached redirect back to the login page! If this\n"
-"option has value of 0, this malfunction is fixed, but occasionally\n"
-"you may get superfluous (depends on how you take it ;-) requests to\n"
-"the server. If this option has value of 1, experienced users can\n"
-"still workaround it by clever combination of usage of reload,\n"
-"jumping around in session history and hitting ctrl+enter.\n"
-"Note that this option is checked when retrieving the information\n"
-"from cache, not when saving it to cache - thus if you enable\n"
-"it, even previous redirects will be taken from cache instead of\n"
-"asking the server."
+"Cache even redirects sent by server (usually thru HTTP by a 302 HTTP code "
+"and a Location header). This was the original behaviour for quite some time, "
+"but it causes problems in a situation very common to various web login "
+"systems - frequently, when accessing a certain location, they will redirect "
+"you to a login page if they don't receive an auth cookie, the login page "
+"then gives you the cookie and redirects you back to the original page, but "
+"there you have already cached redirect back to the login page! If this "
+"option has value of 0, this malfunction is fixed, but occasionally you may "
+"get superfluous (depends on how you take it ;-) requests to the server. If "
+"this option has value of 1, experienced users can still workaround it by "
+"clever combination of usage of reload, jumping around in session history and "
+"hitting ctrl+enter.\n"
+"\n"
+"Note that this option is checked when retrieving the information from cache, "
+"not when saving it to cache - thus if you enable it, even previous redirects "
+"will be taken from cache instead of asking the server."
 msgstr ""
 
-#: src/config/options.inc:480
+#: src/config/options.inc:508
 msgid "Ignore cache-control info from server"
 msgstr ""
 
-#: src/config/options.inc:482
+#: src/config/options.inc:510
 msgid ""
-"Ignore Cache-Control and Pragma server headers.\n"
-"When set, the document is cached even with 'Cache-Control: no-cache'."
+"Ignore Cache-Control and Pragma server headers. When set, the document is "
+"cached even with 'Cache-Control: no-cache'."
 msgstr ""
 
-#: src/config/options.inc:485
+#: src/config/options.inc:514
 msgid "Formatted documents"
 msgstr "Muotoillut dokumentit"
 
-#: src/config/options.inc:487
+#: src/config/options.inc:516
 msgid "Format cache options."
 msgstr ""
 
-#: src/config/options.inc:489
+#: src/config/options.inc:518
 msgid "Number"
 msgstr "Mr"
 
-#: src/config/options.inc:491
+#: src/config/options.inc:520
 msgid ""
-"Number of cached formatted pages. Do not get too generous\n"
-"here, 'formatted' means that all the accompanying structures\n"
-"are kept in memory so that you get the cached document\n"
-"immediatelly, but these structures may take a lot - 2x the\n"
-"size of the HTML source is probably not unusual, but it can\n"
-"be even more if the document consists of a lot of short lines\n"
-"(padded right, if possible) and links and not much other markup.\n"
-"So if you set this to 256 and then you don't like your ELinks\n"
-"eating 90M, don't come complaining to us. ;-)\n"
-"Also note that the format cache itself is not counted to the\n"
-"memory cache size, but the HTML source of the formatted documents\n"
-"is always cached, even if it is over the memory cache size\n"
-"threshold. (Then of course no other documents can be cached.)"
+"Number of cached formatted pages. Do not get too generous here, 'formatted' "
+"means that all the accompanying structures are kept in memory so that you "
+"get the cached document immediatelly, but these structures may take a lot - "
+"2x the size of the HTML source is probably not unusual, but it can be even "
+"more if the document consists of a lot of short lines (padded right, if "
+"possible) and links and not much other markup. So if you set this to 256 and "
+"then you don't like your ELinks eating 90M, don't come complaining to "
+"us. ;-)\n"
+"\n"
+"Also note that the format cache itself is not counted to the memory cache "
+"size, but the HTML source of the formatted documents is always cached, even "
+"if it is over the memory cache size threshold. (Then of course no other "
+"documents can be cached.)"
 msgstr ""
 
 #. FIXME: Write more.
-#: src/config/options.inc:506
-#, fuzzy
+#: src/config/options.inc:538
 msgid "Revalidation interval"
-msgstr "Tallennusvli"
+msgstr "Tarkistusvli"
 
-#: src/config/options.inc:508
+#: src/config/options.inc:540
 msgid ""
-"Period in seconds that a cache entry is considered to be\n"
-"up-to-date. When a document is loaded and this interval has elapsed\n"
-"since the document was initially loaded or most recently\n"
-"revalidated with the server, the server will be checked in case\n"
-"there is a more up-to-date version of the document.\n"
+"Period in seconds that a cache entry is considered to be up-to-date. When a "
+"document is loaded and this interval has elapsed since the document was "
+"initially loaded or most recently revalidated with the server, the server "
+"will be checked in case there is a more up-to-date version of the document.\n"
 "\n"
 "A value of -1 disables automatic revalidation."
 msgstr ""
 
-#: src/config/options.inc:515 src/dialogs/info.c:199
+#: src/config/options.inc:549 src/dialogs/info.c:199
 #, fuzzy
 msgid "Memory cache"
 msgstr "Vlimuisti"
 
-#: src/config/options.inc:517
+#: src/config/options.inc:551
 #, fuzzy
 msgid "Memory cache options."
 msgstr "Vlimuisti"
 
-#: src/config/options.inc:521
+#: src/config/options.inc:555
 #, fuzzy
 msgid "Memory cache size (in bytes)."
 msgstr "Vlimuisti"
 
-#: src/config/options.inc:525
-#, fuzzy
+#: src/config/options.inc:559
 msgid "Charset"
 msgstr "Merkist"
 
-#: src/config/options.inc:527
+#: src/config/options.inc:561
 msgid "Charset options."
 msgstr "Merkistasetukset."
 
-#: src/config/options.inc:529
+#: src/config/options.inc:563
 msgid "Default codepage"
 msgstr ""
 
-#: src/config/options.inc:531
+#: src/config/options.inc:565
 msgid ""
-"Default document codepage. 'System' stands for\n"
-"a codepage determined by a selected locale."
+"Default document codepage. 'System' stands for a codepage determined by a "
+"selected locale."
 msgstr ""
 
-#: src/config/options.inc:534
+#: src/config/options.inc:568
 msgid "Ignore charset info from server"
 msgstr ""
 
-#: src/config/options.inc:536
+#: src/config/options.inc:570
 msgid "Ignore charset info sent by server."
 msgstr ""
 
-#: src/config/options.inc:540
+#: src/config/options.inc:574
 msgid "Default color settings"
 msgstr ""
 
-#: src/config/options.inc:542
+#: src/config/options.inc:576
 msgid "Default document color settings."
 msgstr ""
 
-#: src/config/options.inc:553
+#: src/config/options.inc:587
 msgid "Link color"
 msgstr ""
 
-#: src/config/options.inc:555
+#: src/config/options.inc:589
 msgid "Default link color."
 msgstr ""
 
-#: src/config/options.inc:557
+#: src/config/options.inc:591
 msgid "Visited-link color"
 msgstr ""
 
-#: src/config/options.inc:559
+#: src/config/options.inc:593
 msgid "Default visited link color."
 msgstr ""
 
-#: src/config/options.inc:561
-#, fuzzy
+#: src/config/options.inc:595
 msgid "Image-link color"
-msgstr "Poista taustayhteydet"
+msgstr ""
 
-#: src/config/options.inc:563
-#, fuzzy
+#: src/config/options.inc:597
 msgid "Default image link color."
-msgstr "Poista taustayhteydet"
+msgstr ""
 
-#: src/config/options.inc:565
+#: src/config/options.inc:599
 msgid "Bookmarked-link color"
 msgstr ""
 
-#: src/config/options.inc:567
-#, fuzzy
+#: src/config/options.inc:601
 msgid "Default bookmarked link color."
-msgstr "Poista taustayhteydet"
+msgstr ""
 
-#: src/config/options.inc:569
+#: src/config/options.inc:603
 msgid "Directory color"
 msgstr ""
 
-#: src/config/options.inc:571
+#: src/config/options.inc:605
 msgid ""
 "Default directory color.\n"
+"\n"
 "See document.browse.links.color_dirs option."
 msgstr ""
 
-#: src/config/options.inc:578
+#: src/config/options.inc:613
 msgid "Increase contrast"
 msgstr ""
 
-#: src/config/options.inc:580
+#: src/config/options.inc:615
 msgid ""
-"Increase the contrast between the foreground and background colors\n"
-"to ensure readability. For example it disallows dark colors on a\n"
-"black background. Note, this is different from ensuring the contrast\n"
-"with the ensure_contrast option."
+"Increase the contrast between the foreground and background colors to ensure "
+"readability. For example it disallows dark colors on a black background. "
+"Note, this is different from ensuring the contrast with the ensure_contrast "
+"option."
 msgstr ""
 
-#: src/config/options.inc:585
+#: src/config/options.inc:621
 msgid "Ensure contrast"
 msgstr ""
 
-#: src/config/options.inc:587
-#, fuzzy
+#: src/config/options.inc:623
 msgid "Makes sure that the back- and foreground colors are never equal."
 msgstr "Varmistaa etteivt tausta- ja edustavrit koskaan ole samat."
 
 #. If you change this please also change ACT_MAIN_DOCUMENT_COLORS action
 #. * handling.
-#: src/config/options.inc:592
+#: src/config/options.inc:628
 msgid "Use document-specified colors"
 msgstr ""
 
-#: src/config/options.inc:594
+#: src/config/options.inc:630
 msgid ""
 "Use colors specified in document:\n"
 "0 is use always the default settings\n"
@@ -3025,39 +2981,38 @@ msgid ""
 msgstr ""
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:607
+#: src/config/options.inc:643
 msgid "Downloading"
 msgstr "Lataus"
 
-#: src/config/options.inc:609
+#: src/config/options.inc:645
 msgid "Options regarding files downloading and handling."
 msgstr ""
 
-#: src/config/options.inc:611
-#, fuzzy
+#: src/config/options.inc:647
 msgid "Default download directory"
-msgstr "Vastaanottovirhe"
+msgstr "Tiedostohakujen oletushakemisto"
 
-#: src/config/options.inc:613
+#: src/config/options.inc:649
 msgid "Default download directory."
 msgstr ""
 
-#: src/config/options.inc:615
+#: src/config/options.inc:651
 msgid "Set original time"
 msgstr ""
 
-#: src/config/options.inc:617
+#: src/config/options.inc:653
 msgid ""
-"Set the timestamp of each downloaded file to the timestamp\n"
-"stored on the server."
+"Set the timestamp of each downloaded file to the timestamp stored on the "
+"server."
 msgstr ""
 
 #. Does automatic resuming make sense as an option?
-#: src/config/options.inc:621
+#: src/config/options.inc:657
 msgid "Prevent overwriting"
 msgstr "Est plle kirjoittaminen"
 
-#: src/config/options.inc:623
+#: src/config/options.inc:659
 msgid ""
 "Prevent overwriting the local files:\n"
 "0 is files will silently be overwritten\n"
@@ -3065,11 +3020,11 @@ msgid ""
 "2 is ask the user"
 msgstr ""
 
-#: src/config/options.inc:628
+#: src/config/options.inc:664
 msgid "Notify download completion by bell"
 msgstr ""
 
-#: src/config/options.inc:630
+#: src/config/options.inc:666
 msgid ""
 "Audio notification when download is completed:\n"
 "0 is never\n"
@@ -3077,42 +3032,43 @@ msgid ""
 "2 is always"
 msgstr ""
 
-#: src/config/options.inc:636
+#: src/config/options.inc:672
 msgid "Dump output"
 msgstr ""
 
-#: src/config/options.inc:638
+#: src/config/options.inc:674
 msgid "Dump output options."
 msgstr ""
 
 #. OPT_CODEPAGE
-#: src/config/options.inc:640 src/config/options.inc:912
+#: src/config/options.inc:676 src/config/options.inc:980
 #: src/config/opttypes.c:481 src/dialogs/document.c:164
 msgid "Codepage"
 msgstr "Merkist"
 
-#: src/config/options.inc:642
+#: src/config/options.inc:678
 msgid ""
-"Codepage used in dump output. 'System' stands for\n"
-"a codepage determined by a selected locale."
+"Codepage used in dump output. 'System' stands for a codepage determined by a "
+"selected locale."
 msgstr ""
 
-#: src/config/options.inc:645 src/config/options.inc:878
-#, fuzzy
+#: src/config/options.inc:681 src/config/options.inc:941
 msgid "Color mode"
-msgstr "Vri"
+msgstr "Vritila"
 
 #. The list of modes must be at the end of this string
 #. * because AsciiDoc 7.1.2 does not support continuing
 #. * an outer list entry after an inner list.
 #. * TRANSLATORS: This restriction applies only to the
 #. * "en" (English) translation.  (See doc/Makefile.)
-#: src/config/options.inc:652
+#: src/config/options.inc:688
 msgid ""
 "Color mode for dumps.\n"
+"\n"
 "Some modes may have been disabled at compile time. The Setup -> Terminal "
 "options dialog lists the modes supported by this executable. If you select "
 "an unsupported mode, ELinks uses 16 colors.\n"
+"\n"
 "The color modes are:\n"
 "-1 is standard dump mode\n"
 "0 is mono mode\n"
@@ -3121,122 +3077,129 @@ msgid ""
 "3 is 256 color mode\n"
 "4 is true color mode"
 msgstr ""
+"Vedosten vritila.\n"
+"\n"
+"Jotkin tilat on voitu poistaa kytst knnsaikana. Asetukset -> "
+"Pteasetukset -ikkuna nytt, mit tiloja tm ELinksin versio tukee. Jos "
+"valitset tilan, jota ELinks ei tue, niin ELinks kytt 16 vri.\n"
+"\n"
+"Vritilat ovat:\n"
+"-1 on vedoksissa tavallisesti kytetty tila\n"
+"0 on mustavalkotila\n"
+"1 on 16-vritila\n"
+"2 on 88-vritila\n"
+"3 on 256-vritila\n"
+"4 on tysvritila"
 
-#: src/config/options.inc:665
+#: src/config/options.inc:703
 msgid "Footer"
 msgstr ""
 
-#: src/config/options.inc:667
+#: src/config/options.inc:705
 #, c-format
 msgid "Footer string used in dumps. %u is substituted by URL."
 msgstr ""
 
-#: src/config/options.inc:671
+#: src/config/options.inc:709
 #, c-format
 msgid "Header string used in dumps. %u is substituted by URL."
 msgstr ""
 
-#: src/config/options.inc:673
-#, fuzzy
+#: src/config/options.inc:711
 msgid "Numbering"
-msgstr "Mr"
+msgstr "Numerointi"
 
-#: src/config/options.inc:675
+#: src/config/options.inc:713
 msgid "Whether to print link numbers in dump output."
 msgstr ""
 
-# TODO?
-#: src/config/options.inc:677
-#, fuzzy
+#: src/config/options.inc:715
 msgid "References"
-msgstr "Lhteet"
+msgstr "Viitteet"
 
-#: src/config/options.inc:679
-msgid ""
-"Whether to print references (URIs) of document links\n"
-"in dump output."
+#: src/config/options.inc:717
+msgid "Whether to print references (URIs) of document links in dump output."
 msgstr ""
 
-#: src/config/options.inc:682
+#: src/config/options.inc:720
 msgid "Separator"
 msgstr "Erotin"
 
-#: src/config/options.inc:684
+#: src/config/options.inc:722
 msgid "String which separates two dumps."
 msgstr ""
 
-#: src/config/options.inc:686
+#: src/config/options.inc:724
 msgid "Width"
 msgstr "Leveys"
 
-#: src/config/options.inc:688
+#: src/config/options.inc:726
 msgid "Width of screen in characters when dumping documents."
 msgstr ""
 
-#: src/config/options.inc:692
+#: src/config/options.inc:730
 msgid "History"
 msgstr "Historia"
 
-#: src/config/options.inc:694
+#: src/config/options.inc:732
 msgid "History options."
 msgstr ""
 
-#: src/config/options.inc:696
-#, fuzzy
+#: src/config/options.inc:734
 msgid "Keep unhistory"
-msgstr "Ei historiaa"
+msgstr "Silyt ephistoria"
 
-#: src/config/options.inc:698
+#: src/config/options.inc:736
 msgid "Keep unhistory (\"forward history\")."
 msgstr ""
 
-#: src/config/options.inc:701
+#: src/config/options.inc:739
 msgid "HTML rendering"
 msgstr ""
 
-#: src/config/options.inc:703
+#: src/config/options.inc:741
 msgid "Options concerning the display of HTML pages."
 msgstr ""
 
-#: src/config/options.inc:705
+#: src/config/options.inc:743
 msgid "Display frames"
 msgstr "Nyt kehykset"
 
-#: src/config/options.inc:707
+#: src/config/options.inc:745
 msgid "Display frames."
 msgstr "Nyt kehykset."
 
-#: src/config/options.inc:709
+#: src/config/options.inc:747
 msgid "Display tables"
 msgstr "Nyt taulukot"
 
-#: src/config/options.inc:711
+#: src/config/options.inc:749
 msgid "Display tables."
 msgstr "Nyt taulukot."
 
-#: src/config/options.inc:713
+#: src/config/options.inc:751
 #, fuzzy
 msgid "Display subscripts"
 msgstr "Nyt kartta"
 
-#: src/config/options.inc:715
+#: src/config/options.inc:753
 msgid "Display subscripts (as [thing])."
 msgstr ""
 
-#: src/config/options.inc:717
+#: src/config/options.inc:755
 #, fuzzy
 msgid "Display superscripts"
 msgstr "Nyt kartta"
 
-#: src/config/options.inc:719
+#: src/config/options.inc:757
 msgid "Display superscripts (as ^thing)."
 msgstr ""
 
-#: src/config/options.inc:721
+#: src/config/options.inc:759
 msgid "Rendering of HTML link element"
 msgstr ""
 
-#: src/config/options.inc:723
+#: src/config/options.inc:761
 msgid ""
 "How to render <link> tags from the HTML header:\n"
 "0 is nothing\n"
@@ -3247,142 +3210,139 @@ msgid ""
 "5 is everything"
 msgstr ""
 
-#: src/config/options.inc:731
+#: src/config/options.inc:769
 msgid "Underline links"
 msgstr "Alleviivaa linkit"
 
-#: src/config/options.inc:733
+#: src/config/options.inc:771
 msgid "Underline links."
 msgstr ""
 
-#: src/config/options.inc:735
+#: src/config/options.inc:773
 msgid "Wrap non breaking space"
 msgstr ""
 
-#: src/config/options.inc:737
+#: src/config/options.inc:775
 msgid ""
-"If set do not honour non breaking space (the nbsp entity)\n"
-"but allow to wrap the text. This can help keeping the width\n"
-"of documents down so no horizontal scrolling is needed."
+"If set do not honour non breaking space (the nbsp entity) but allow to wrap "
+"the text. This can help keeping the width of documents down so no horizontal "
+"scrolling is needed."
 msgstr ""
 
-#: src/config/options.inc:742
-#, fuzzy
+#: src/config/options.inc:780
 msgid "Plain rendering"
-msgstr "Siirt"
+msgstr ""
 
-#: src/config/options.inc:744
+#: src/config/options.inc:782
 msgid "Options concerning the display of plain text pages."
 msgstr ""
 
-#: src/config/options.inc:746
+#: src/config/options.inc:784
 msgid "Display URIs"
 msgstr "Nyt URIt"
 
-#: src/config/options.inc:748
+#: src/config/options.inc:786
 msgid "Display URIs in the document as links."
 msgstr ""
 
-#: src/config/options.inc:750
+#: src/config/options.inc:788
 msgid "Compress empty lines"
 msgstr "Tiivist tyhjt rivit"
 
-#: src/config/options.inc:752
+#: src/config/options.inc:790
 msgid "Compress successive empty lines to only one in displayed text."
 msgstr ""
 
-#: src/config/options.inc:755
+#: src/config/options.inc:794
 msgid "URI passing"
 msgstr ""
 
-#: src/config/options.inc:757
+#: src/config/options.inc:796
 msgid ""
-"Rules for passing URIs to external commands. When one rule\n"
-"is defined the link and tab menu will have a menu item that\n"
-"makes it possible to pass the the link, frame or tab URI to\n"
-"an external command. If several rules are defined the link and\n"
-"tab menu will have a submenu of items for each rule. Note, this\n"
-"is mostly useful for launching graphical viewers, since there\n"
-"is no support for releasing the terminal while the command runs.\n"
-"The action and submenus are also available by binding keys to\n"
-"the frame-external-command, the link-external-command, and\n"
-"the tab-external-command actions."
+"Rules for passing URIs to external commands. When one rule is defined the "
+"link and tab menu will have a menu item that makes it possible to pass the "
+"the link, frame or tab URI to an external command. If several rules are "
+"defined the link and tab menu will have a submenu of items for each rule.\n"
+"\n"
+"Note, this is mostly useful for launching graphical viewers, since there is "
+"no support for releasing the terminal while the command runs. The action and "
+"submenus are also available by binding keys to the frame-external-command, "
+"the link-external-command, and the tab-external-command actions."
 msgstr ""
 
-#: src/config/options.inc:770
+#: src/config/options.inc:812
 msgid ""
-"A rule for passing URI to an external command.\n"
-"The format is:\n"
+"A rule for passing URI to an external command. The format is:\n"
 "%c in the string means the current URL\n"
 "%% in the string means '%'\n"
 "Do _not_ put single- or double-quotes around %c."
 msgstr ""
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:780
+#: src/config/options.inc:822
 msgid "Information files"
 msgstr ""
 
-#: src/config/options.inc:782
+#: src/config/options.inc:824
 msgid "Options for information files in ~/.elinks."
 msgstr ""
 
-#: src/config/options.inc:784
+#: src/config/options.inc:826
 msgid "Save interval"
 msgstr "Tallennusvli"
 
-#: src/config/options.inc:786
+#: src/config/options.inc:828
 msgid ""
-"Interval at which to trigger information files in ~/.elinks\n"
-"to be saved to disk if they have changed (seconds; 0 to disable)"
+"Interval at which to trigger information files in ~/.elinks to be saved to "
+"disk if they have changed (seconds; 0 to disable)"
 msgstr ""
 
-#: src/config/options.inc:789
+#: src/config/options.inc:832
 msgid "Use secure file saving"
 msgstr ""
 
-#: src/config/options.inc:791
+#: src/config/options.inc:834
 msgid ""
-"First write data to unique temporary file, then rename this file\n"
-"upon successfully finishing this. Note that this relates only to\n"
-"config files, not downloaded files. You may want to disable\n"
-"it if you are using some exotic permissions for concerned files.\n"
-"Secure file saving is automagically disabled if file is symlink.\n"
-"Warning: some systems (ie. OS/2, Win32) require that destination\n"
-"file doesn't exist when rename(3) is called, breaking atomicity,\n"
-"and reducing reliability of this feature."
+"First write data to unique temporary file, then rename this file upon "
+"successfully finishing this. Note that this relates only to config files, "
+"not downloaded files. You may want to disable it if you are using some "
+"exotic permissions for concerned files. Secure file saving is automagically "
+"disabled if file is symlink.\n"
+"\n"
+"Warning: some systems (ie. OS/2, Win32) require that destination file "
+"doesn't exist when rename(3) is called, breaking atomicity, and reducing "
+"reliability of this feature."
 msgstr ""
 
-#: src/config/options.inc:800
+#: src/config/options.inc:846
 msgid "Use fsync(3) with secure file saving"
 msgstr ""
 
-#: src/config/options.inc:802
+#: src/config/options.inc:848
 msgid ""
-"When using secure file saving, call fsync(3), if the OS\n"
-"supports it, to force the OS immediately to write the data\n"
-"to permanent storage. This is optional for those who wish\n"
-"to avoid excessive disk I/O."
+"When using secure file saving, call fsync(3), if the OS supports it, to "
+"force the OS immediately to write the data to permanent storage. This is "
+"optional for those who wish to avoid excessive disk I/O."
 msgstr ""
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:811
+#: src/config/options.inc:857
 msgid "Terminals"
 msgstr "Ptteet"
 
 # voisi olla mys "ptekohtaiset asetukset" mutta ei "ptteen asetukset"
-#: src/config/options.inc:813
+#: src/config/options.inc:859
 msgid "Terminal options."
 msgstr "Pteasetukset."
 
-#: src/config/options.inc:817
+#: src/config/options.inc:863
 msgid "Options specific to this terminal type (according to $TERM value)."
 msgstr ""
 
-#: src/config/options.inc:842
+#: src/config/options.inc:889
 msgid ""
-"Terminal type; matters mostly only when drawing frames and\n"
-"dialog box borders:\n"
+"Terminal type; matters mostly only when drawing frames and dialog box "
+"borders:\n"
 "0 is dumb terminal type, ASCII art\n"
 "1 is VT100, simple but portable\n"
 "2 is Linux, you get double frames and other goodies\n"
@@ -3390,15 +3350,31 @@ msgid ""
 "4 is FreeBSD"
 msgstr ""
 
-#: src/config/options.inc:850 src/dialogs/options.c:227
+#: src/config/options.inc:897
+msgid "Always encode xterm title in ISO-8859-1"
+msgstr ""
+
+#: src/config/options.inc:899
+msgid ""
+"When updating the window title of xterm or a similar terminal emulator, "
+"encode the title in ISO-8859-1 (Latin-1), rather than in the charset used "
+"for other text in the window. Cyrillic and other characters get replaced "
+"with Latin ones. Xterm requires this unless you explicitly enable UTF-8 "
+"titles in it.\n"
+"\n"
+"If this option does not take effect immediately, try switching to a "
+"different page so that ELinks notices it needs to update the title."
+msgstr ""
+
+#: src/config/options.inc:910 src/dialogs/options.c:227
 msgid "Switch fonts for line drawing"
 msgstr ""
 
-#: src/config/options.inc:852
+#: src/config/options.inc:912
 msgid ""
-"Switch fonts when drawing lines, enabling both local characters\n"
-"and lines working at the same time. ELinks uses this option only if\n"
-"UTF-8 I/O is disabled and the terminal type is Linux or FreeBSD."
+"Switch fonts when drawing lines, enabling both local characters and lines "
+"working at the same time. ELinks uses this option only if UTF-8 I/O is "
+"disabled and the terminal type is Linux or FreeBSD."
 msgstr ""
 
 #. When CONFIG_UTF8 is defined, any code that reads the "utf_8_io"
@@ -3406,37 +3382,36 @@ msgstr ""
 #. * and if so, behave as if "utf_8_io" were 1.  (When CONFIG_UTF8 is
 #. * not defined, it should not be possible to set UTF-8 as "codepage";
 #. * please report any such possibilities as bugs.)
-#: src/config/options.inc:861 src/dialogs/options.c:232
+#: src/config/options.inc:922 src/dialogs/options.c:232
 msgid "UTF-8 I/O"
 msgstr ""
 
-#: src/config/options.inc:863
+#: src/config/options.inc:924
 msgid ""
-"Enable I/O in UTF-8 for Unicode terminals. Note that currently,\n"
-"only the subset of UTF-8 according to terminal codepage is used.\n"
-"ELinks ignores this option if the terminal codepage is UTF-8."
+"Enable I/O in UTF-8 for Unicode terminals. Note that currently, only the "
+"subset of UTF-8 according to terminal codepage is used. ELinks ignores this "
+"option if the terminal codepage is UTF-8."
 msgstr ""
 
-#: src/config/options.inc:867 src/dialogs/options.c:228
+#: src/config/options.inc:929 src/dialogs/options.c:228
 msgid "Restrict frames in cp850/852"
 msgstr "Rajoita kehykset nihin: cp850/852"
 
-#: src/config/options.inc:869
+#: src/config/options.inc:931
 msgid ""
-"Restrict the characters used when drawing lines. Makes sense\n"
-"only with linux terminals using the cp850/852 character sets."
+"Restrict the characters used when drawing lines. Makes sense only with linux "
+"terminals using the cp850/852 character sets."
 msgstr ""
 
-#: src/config/options.inc:872 src/dialogs/options.c:229
-#, fuzzy
+#: src/config/options.inc:935 src/dialogs/options.c:229
 msgid "Block cursor"
-msgstr "Neliosoitin"
+msgstr "Peittv kohdistin"
 
-#: src/config/options.inc:874
+#: src/config/options.inc:937
 msgid ""
-"Move cursor to bottom right corner when done drawing.\n"
-"This is particularly useful when we have a block cursor,\n"
-"so that inversed text is displayed correctly."
+"Move cursor to bottom right corner when done drawing. This is particularly "
+"useful when we have a block cursor, so that inversed text is displayed "
+"correctly."
 msgstr ""
 
 #. The list of modes must be at the end of this string
@@ -3444,13 +3419,15 @@ msgstr ""
 #. * an outer list entry after an inner list.
 #. * TRANSLATORS: This restriction applies only to the
 #. * "en" (English) translation.  (See doc/Makefile.)
-#: src/config/options.inc:885
+#: src/config/options.inc:948
 msgid ""
 "The color mode controls what colors are used and how they are output to the "
 "terminal.\n"
+"\n"
 "Some modes may have been disabled at compile time. The Setup -> Terminal "
 "options dialog lists the modes supported by this executable. If you select "
 "an unsupported mode, ELinks uses 16 colors.\n"
+"\n"
 "The color modes are:\n"
 "0 is mono mode, only 2 colors are used\n"
 "1 is 16 color mode, uses the common ANSI colors\n"
@@ -3458,492 +3435,482 @@ msgid ""
 "3 is 256 color mode, uses XTerm RGB codes\n"
 "4 is true color mode, uses konsole RGB codes"
 msgstr ""
+"Vritila mr, mit vrej ELinks kytt ja miten se vlitt ne "
+"ptteeseen.\n"
+"\n"
+"Jotkin tilat on voitu poistaa kytst knnsaikana. Asetukset -> "
+"Pteasetukset -ikkuna nytt, mit tiloja tm ELinksin versio tukee. Jos "
+"valitset tilan, jota ELinks ei tue, niin ELinks kytt 16 vri.\n"
+"\n"
+"Vritilat ovat:\n"
+"0 on mustavalkotila, kytt vain 2 vri\n"
+"1 on 16-vritila, kytt yleisi ANSI-vrej\n"
+"2 on 88-vritila, kytt XTermin RGB-koodeja\n"
+"3 on 256-vritila, kytt XTermin RGB-koodeja\n"
+"4 on tysvritila, kytt konsolen RGB-koodeja"
 
-#: src/config/options.inc:898 src/dialogs/options.c:230
+#: src/config/options.inc:963 src/dialogs/options.c:230
 msgid "Transparency"
 msgstr "Lpinkyvyys"
 
-#: src/config/options.inc:900
+#: src/config/options.inc:965
 msgid ""
-"If we should not set the background to black. This is particularly\n"
-"useful when we have a terminal (typically in some windowing\n"
-"environment) with a background image or a transparent background -\n"
-"it will be visible in ELinks as well (but ELinks document color handling\n"
-"will still assume the background is black so if you have a bright "
-"background\n"
-"you might experience contrast problems). Note that this option makes\n"
-"sense only when colors are enabled."
+"If we should not set the background to black. This is particularly useful "
+"when we have a terminal (typically in some windowing environment) with a "
+"background image or a transparent background - it will be visible in ELinks "
+"as well (but ELinks document color handling will still assume the background "
+"is black so if you have a bright background you might experience contrast "
+"problems). Note that this option makes sense only when colors are enabled."
 msgstr ""
 
-#: src/config/options.inc:910
+#: src/config/options.inc:977
 msgid "If we should use underline or enhance the color instead."
 msgstr ""
 
-#: src/config/options.inc:914
+#: src/config/options.inc:982
 msgid ""
-"Codepage of charset used for displaying content on terminal.\n"
-"'System' stands for a codepage determined by a selected locale."
+"Codepage of charset used for displaying content on terminal. 'System' stands "
+"for a codepage determined by a selected locale."
 msgstr ""
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:921
+#: src/config/options.inc:990
 msgid "User interface"
 msgstr "Kyttliittym"
 
-#: src/config/options.inc:923
-#, fuzzy
+#: src/config/options.inc:992
 msgid "User interface options."
-msgstr "Terminaaliasetukset"
+msgstr "Kyttliittymn asetukset."
 
-#: src/config/options.inc:927
+#: src/config/options.inc:996
 msgid "Color settings"
-msgstr ""
+msgstr "Vriasetukset"
 
-#: src/config/options.inc:929
+#: src/config/options.inc:998
 msgid "Default user interface color settings."
 msgstr ""
 
-#: src/config/options.inc:956
+#: src/config/options.inc:1025
 msgid "Color terminals"
 msgstr "Vrilliset ptteet"
 
-#: src/config/options.inc:958
+#: src/config/options.inc:1027
 msgid "Color settings for color terminal."
 msgstr ""
 
-#: src/config/options.inc:960
+#: src/config/options.inc:1029
 msgid "Non-color terminals"
 msgstr ""
 
-#: src/config/options.inc:962
+#: src/config/options.inc:1031
 msgid "Color settings for non-color terminal."
 msgstr ""
 
 #. FIXME: obsolete, how to alias them correctly ? --Zas
-#: src/config/options.inc:965
+#: src/config/options.inc:1034
 msgid "Main menu bar"
-msgstr ""
+msgstr "Pvalikkopalkki"
 
-#: src/config/options.inc:967
+#: src/config/options.inc:1036
 msgid "Main menu bar colors."
-msgstr ""
+msgstr "Pvalikkopalkin vrit."
 
-#: src/config/options.inc:969
+#: src/config/options.inc:1038
 msgid "Unselected main menu bar item"
 msgstr ""
 
-#: src/config/options.inc:971
+#: src/config/options.inc:1040
 msgid "Unselected main menu bar item colors."
 msgstr ""
 
-#: src/config/options.inc:973
+#: src/config/options.inc:1042
 msgid "Selected main menu bar item"
 msgstr ""
 
-#: src/config/options.inc:975
+#: src/config/options.inc:1044
 msgid "Selected main menu bar item colors."
 msgstr ""
 
-#: src/config/options.inc:977 src/config/options.inc:1006
+#: src/config/options.inc:1046 src/config/options.inc:1075
 msgid "Hotkey"
-msgstr ""
+msgstr "Pikanppin"
 
-#: src/config/options.inc:979
+#: src/config/options.inc:1048
 msgid "Main menu hotkey colors."
-msgstr ""
+msgstr "Pvalikon pikanppinten vrit."
 
-#: src/config/options.inc:981 src/config/options.inc:1010
+#: src/config/options.inc:1050 src/config/options.inc:1079
 msgid "Unselected hotkey"
 msgstr ""
 
-#: src/config/options.inc:983
+#: src/config/options.inc:1052
 msgid "Main menu unselected hotkey colors."
 msgstr ""
 
-#: src/config/options.inc:985 src/config/options.inc:1014
-#, fuzzy
+#: src/config/options.inc:1054 src/config/options.inc:1083
 msgid "Selected hotkey"
-msgstr "Valitse kentt"
+msgstr "Valittu pikanppin"
 
-#: src/config/options.inc:987
+#: src/config/options.inc:1056
 msgid "Main menu selected hotkey colors."
 msgstr ""
 
-#: src/config/options.inc:990
+#: src/config/options.inc:1059
 msgid "Menu bar"
 msgstr ""
 
-#: src/config/options.inc:992
+#: src/config/options.inc:1061
 msgid "Menu bar colors."
 msgstr ""
 
-#: src/config/options.inc:994
+#: src/config/options.inc:1063
 msgid "Unselected menu item"
 msgstr ""
 
-#: src/config/options.inc:996
+#: src/config/options.inc:1065
 msgid "Unselected menu item colors."
 msgstr ""
 
-#: src/config/options.inc:998
-#, fuzzy
+#: src/config/options.inc:1067
 msgid "Selected menu item"
-msgstr "Valitse kentt"
+msgstr "Valittu valikon kohta"
 
-#: src/config/options.inc:1000
+#: src/config/options.inc:1069
 msgid "Selected menu item colors."
 msgstr ""
 
-#: src/config/options.inc:1002
-#, fuzzy
+#: src/config/options.inc:1071
 msgid "Marked menu item"
-msgstr "Valitse kentt"
+msgstr "Merkitty valikon kohta"
 
-#: src/config/options.inc:1004
+#: src/config/options.inc:1073
 msgid "Marked menu item colors."
 msgstr ""
 
-#: src/config/options.inc:1008
+#: src/config/options.inc:1077
 msgid "Menu item hotkey colors."
 msgstr ""
 
-#: src/config/options.inc:1012
+#: src/config/options.inc:1081
 msgid "Menu item unselected hotkey colors."
 msgstr ""
 
-#: src/config/options.inc:1016
+#: src/config/options.inc:1085
 msgid "Menu item selected hotkey colors."
 msgstr ""
 
-#: src/config/options.inc:1018
-#, fuzzy
+#: src/config/options.inc:1087
 msgid "Menu frame"
-msgstr "Ei kehyksi"
+msgstr "Valikon kehys"
 
-#: src/config/options.inc:1020
+#: src/config/options.inc:1089
 msgid "Menu frame colors."
 msgstr ""
 
-#: src/config/options.inc:1023
+#: src/config/options.inc:1092
 msgid "Dialog"
 msgstr ""
 
-#: src/config/options.inc:1025
+#: src/config/options.inc:1094
 msgid "Dialog colors."
 msgstr ""
 
-#: src/config/options.inc:1035
+#: src/config/options.inc:1104
 msgid "Generic"
 msgstr ""
 
-#: src/config/options.inc:1037
-#, fuzzy
+#: src/config/options.inc:1106
 msgid "Generic dialog colors."
-msgstr "Poista taustayhteydet"
+msgstr ""
 
-#: src/config/options.inc:1039
+#: src/config/options.inc:1108
 msgid "Frame"
 msgstr "Kehys"
 
-#: src/config/options.inc:1041
+#: src/config/options.inc:1110
 msgid "Dialog frame colors."
 msgstr ""
 
-#: src/config/options.inc:1043
+#: src/config/options.inc:1112
 msgid "Scrollbar"
-msgstr ""
+msgstr "Vierityspalkki"
 
-#: src/config/options.inc:1045
+#: src/config/options.inc:1114
 msgid "Scrollbar colors."
-msgstr ""
+msgstr "Vierityspalkin vrit."
 
-#: src/config/options.inc:1047
-#, fuzzy
+#: src/config/options.inc:1116
 msgid "Selected scrollbar"
-msgstr "Poista taustayhteydet"
+msgstr "Valittu vierityspalkki"
 
-#: src/config/options.inc:1049
-#, fuzzy
+#: src/config/options.inc:1118
 msgid "Scrollbar selected colors."
-msgstr "Poista taustayhteydet"
+msgstr ""
 
-#: src/config/options.inc:1053
+#: src/config/options.inc:1122
 msgid "Dialog title colors."
 msgstr ""
 
-#: src/config/options.inc:1055
+#: src/config/options.inc:1124
 #, fuzzy
 msgid "Text"
 msgstr "Tekstialue"
 
-#: src/config/options.inc:1057
+#: src/config/options.inc:1126
 msgid "Dialog text colors."
 msgstr ""
 
-#: src/config/options.inc:1059 src/viewer/text/form.c:1862
+# Lhde: Tietotekniikan termitalkoot, 2001-04-30.
+# Tietotekniikan liiton ATK-sanakirjassa (2004) tm on "asetusnappi".
+#: src/config/options.inc:1128 src/viewer/text/form.c:1891
 msgid "Checkbox"
-msgstr "Valintalaatikko"
+msgstr "Valintaruutu"
 
-#: src/config/options.inc:1061
+#: src/config/options.inc:1130
 msgid "Dialog checkbox colors."
 msgstr ""
 
-#: src/config/options.inc:1063
-#, fuzzy
+#: src/config/options.inc:1132
 msgid "Selected checkbox"
-msgstr "Valittu vlilehti"
+msgstr "Valittu valintaruutu"
 
-#: src/config/options.inc:1065
-#, fuzzy
+#: src/config/options.inc:1134
 msgid "Dialog selected checkbox colors."
-msgstr "Poista taustayhteydet"
+msgstr ""
 
-#: src/config/options.inc:1067
-#, fuzzy
+#: src/config/options.inc:1136
 msgid "Checkbox label"
-msgstr "Valintalaatikko"
+msgstr "Valintaruudun otsikko"
 
-#: src/config/options.inc:1069
+#: src/config/options.inc:1138
 msgid "Dialog checkbox label colors."
 msgstr ""
 
-#: src/config/options.inc:1071
+#: src/config/options.inc:1140
 msgid "Button"
 msgstr "Painike"
 
-#: src/config/options.inc:1073 src/config/options.inc:1081
+#: src/config/options.inc:1142 src/config/options.inc:1150
 msgid "Dialog button colors."
 msgstr ""
 
-#: src/config/options.inc:1075
+#: src/config/options.inc:1144
 msgid "Selected button"
 msgstr ""
 
-#: src/config/options.inc:1077 src/config/options.inc:1085
+#: src/config/options.inc:1146 src/config/options.inc:1154
 msgid "Dialog selected button colors."
 msgstr ""
 
-#: src/config/options.inc:1079
+#: src/config/options.inc:1148
 msgid "Button shortcut"
 msgstr ""
 
-#: src/config/options.inc:1083
-#, fuzzy
+#: src/config/options.inc:1152
 msgid "Selected button shortcut"
-msgstr "Valitse kentt"
+msgstr "Valitun painikkeen pikanppin"
 
-#: src/config/options.inc:1087 src/viewer/text/form.c:1866
+#: src/config/options.inc:1156 src/viewer/text/form.c:1895
 msgid "Text field"
 msgstr "Tekstikentt"
 
-#: src/config/options.inc:1089
+#: src/config/options.inc:1158
 msgid "Dialog text field colors."
 msgstr ""
 
-#: src/config/options.inc:1091
-#, fuzzy
+#: src/config/options.inc:1160
 msgid "Text field text"
-msgstr "Tekstikentt"
+msgstr "Tekstikentn teksti"
 
-#: src/config/options.inc:1093
+#: src/config/options.inc:1162
 msgid "Dialog field text colors."
 msgstr ""
 
-#: src/config/options.inc:1095
+#: src/config/options.inc:1164
 msgid "Meter"
 msgstr ""
 
-#: src/config/options.inc:1097
+#: src/config/options.inc:1166
 msgid "Dialog meter colors."
 msgstr ""
 
-#: src/config/options.inc:1099
+#: src/config/options.inc:1168
 msgid "Shadow"
 msgstr ""
 
-#: src/config/options.inc:1101
+#: src/config/options.inc:1170
 msgid "Dialog shadow colors (see ui.shadows option)."
 msgstr ""
 
-#: src/config/options.inc:1103
+#: src/config/options.inc:1172
 msgid "Title bar"
 msgstr ""
 
-#: src/config/options.inc:1105
+#: src/config/options.inc:1174
 msgid "Title bar colors."
 msgstr ""
 
-#: src/config/options.inc:1107
+#: src/config/options.inc:1176
 msgid "Generic title bar"
 msgstr ""
 
-#: src/config/options.inc:1109
+#: src/config/options.inc:1178
 msgid "Generic title bar colors."
 msgstr ""
 
-#: src/config/options.inc:1111
+#: src/config/options.inc:1180
 msgid "Title bar text"
 msgstr ""
 
-#: src/config/options.inc:1113
+#: src/config/options.inc:1182
 msgid "Title bar text colors."
 msgstr ""
 
-#: src/config/options.inc:1116
+#: src/config/options.inc:1185
 msgid "Status bar"
 msgstr ""
 
-#: src/config/options.inc:1118
+#: src/config/options.inc:1187
 msgid "Status bar colors."
 msgstr ""
 
-#: src/config/options.inc:1120
+#: src/config/options.inc:1189
 msgid "Generic status bar"
 msgstr ""
 
-#: src/config/options.inc:1122
+#: src/config/options.inc:1191
 msgid "Generic status bar colors."
 msgstr ""
 
-#: src/config/options.inc:1124
-#, fuzzy
+#: src/config/options.inc:1193
 msgid "Status bar text"
-msgstr "Etsi teksti"
+msgstr "Tilarivin teksti"
 
-#: src/config/options.inc:1126
+#: src/config/options.inc:1195
 msgid "Status bar text colors."
 msgstr ""
 
-#: src/config/options.inc:1129
+#: src/config/options.inc:1198
 msgid "Tabs bar"
 msgstr ""
 
-#: src/config/options.inc:1131
+#: src/config/options.inc:1200
 msgid "Tabs bar colors."
 msgstr ""
 
-#: src/config/options.inc:1133
-#, fuzzy
+#: src/config/options.inc:1202
 msgid "Unvisited tab"
-msgstr "Valitse kentt"
+msgstr ""
 
-#: src/config/options.inc:1135
+#: src/config/options.inc:1204
 msgid ""
-"Tab colors for tabs that have not been\n"
-"selected since they completed loading."
+"Tab colors for tabs that have not been selected since they completed loading."
 msgstr ""
 
-#: src/config/options.inc:1138
-#, fuzzy
+#: src/config/options.inc:1207
 msgid "Unselected tab"
-msgstr "Valitse kentt"
+msgstr "Valitsematon vlilehti"
 
-#: src/config/options.inc:1140
-#, fuzzy
+#: src/config/options.inc:1209
 msgid "Unselected tab colors."
-msgstr "Poista taustayhteydet"
+msgstr "Valitsemattoman vlilehden vrit."
 
-#: src/config/options.inc:1142
+#: src/config/options.inc:1211
 msgid "Loading tab"
 msgstr "Latautuva vlilehti"
 
-#: src/config/options.inc:1144
+#: src/config/options.inc:1213
 msgid "Tab colors for tabs that are loading in the background."
 msgstr ""
 
-#: src/config/options.inc:1146
+#: src/config/options.inc:1215
 msgid "Selected tab"
 msgstr "Valittu vlilehti"
 
-#: src/config/options.inc:1148
-#, fuzzy
+#: src/config/options.inc:1217
 msgid "Selected tab colors."
-msgstr "Poista taustayhteydet"
+msgstr "Valitun vlilehden vrit."
 
-#: src/config/options.inc:1150
+#: src/config/options.inc:1219
 msgid "Tab separator"
 msgstr ""
 
-#: src/config/options.inc:1152
+#: src/config/options.inc:1221
 msgid "Tab separator colors."
 msgstr ""
 
-#: src/config/options.inc:1155
-#, fuzzy
+#: src/config/options.inc:1224
 msgid "Searched strings"
-msgstr "Laiton merkkijono"
+msgstr "Etsityt merkkijonot"
 
-#: src/config/options.inc:1157
-#, fuzzy
+#: src/config/options.inc:1226
 msgid "Searched string highlight colors."
-msgstr "Hakumerkkijonoa ei lytynyt"
+msgstr "Etsityn merkkijonon korostusvrit."
 
 #. ==========================================================
 #. ============= BORING PART (colors) END ===================
 #. ==========================================================
 #. Keep options in alphabetical order.
-#: src/config/options.inc:1166
+#: src/config/options.inc:1235
 msgid "Dialog settings"
 msgstr ""
 
-#: src/config/options.inc:1168
+#: src/config/options.inc:1237
 msgid "Dialogs-specific appearance and behaviour settings."
 msgstr ""
 
-#: src/config/options.inc:1171
+#: src/config/options.inc:1240
 msgid "Minimal height of listbox widget"
 msgstr ""
 
-#: src/config/options.inc:1173
+#: src/config/options.inc:1242
 msgid ""
-"Minimal height of the listbox widget (used e.g. for bookmarks\n"
-"or global history)."
+"Minimal height of the listbox widget (used e.g. for bookmarks or global "
+"history)."
 msgstr ""
 
-#: src/config/options.inc:1176
+#: src/config/options.inc:1245
 msgid "Drop shadows"
 msgstr ""
 
-#: src/config/options.inc:1178
+#: src/config/options.inc:1247
 msgid ""
-"Make dialogs drop shadows (the shadows are solid, you can\n"
-"adjust their color by ui.colors.*.dialog.shadow). You may\n"
-"also want to eliminate the wide borders by adjusting setup.h."
+"Make dialogs drop shadows (the shadows are solid, you can adjust their color "
+"by ui.colors.*.dialog.shadow). You may also want to eliminate the wide "
+"borders by adjusting setup.h."
 msgstr ""
 
-#: src/config/options.inc:1182
+#: src/config/options.inc:1252
 msgid "Underline menu hotkeys"
 msgstr "Alleviivaa pikanppimet valikossa"
 
-#: src/config/options.inc:1184
+#: src/config/options.inc:1254
 msgid ""
-"Whether to underline hotkeys in menus to make them more\n"
-"visible. Requires that underlining is enabled for the terminal."
+"Whether to underline hotkeys in menus to make them more visible. Requires "
+"that underlining is enabled for the terminal."
 msgstr ""
 
-#: src/config/options.inc:1187
-#, fuzzy
+#: src/config/options.inc:1258
 msgid "Underline button shortcuts"
-msgstr "Valitse kentt"
+msgstr "Alleviivaa painikkeiden pikanppimet"
 
-#: src/config/options.inc:1189
+#: src/config/options.inc:1260
 msgid ""
-"Whether to underline button shortcuts to make them more\n"
-"visible. Requires that underlining is enabled for the terminal."
+"Whether to underline button shortcuts to make them more visible. Requires "
+"that underlining is enabled for the terminal."
 msgstr ""
 
-#: src/config/options.inc:1193
-#, fuzzy
+#: src/config/options.inc:1265
 msgid "Timer options"
-msgstr "Terminaaliasetukset"
+msgstr "Ajastinasetukset"
 
-#: src/config/options.inc:1195
+#: src/config/options.inc:1267
 msgid ""
-"Timed action after certain interval of user inactivity. Someone can\n"
-"even find this useful, although you may not believe that."
+"Timed action after certain interval of user inactivity. Someone can even "
+"find this useful, although you may not believe that."
 msgstr ""
 
-#: src/config/options.inc:1201
+#: src/config/options.inc:1274
 msgid ""
 "Whether to enable the timer or not:\n"
 "0 is don't count down anything\n"
@@ -3951,7 +3918,7 @@ msgid ""
 "2 is count down and show the timer near LEDs"
 msgstr ""
 
-#: src/config/options.inc:1208
+#: src/config/options.inc:1281
 msgid ""
 "Whether to enable the timer or not:\n"
 "0 is don't count down anything\n"
@@ -3959,212 +3926,206 @@ msgid ""
 "2 is count down and show the timer near LEDs (DISABLED)"
 msgstr ""
 
-#: src/config/options.inc:1214
+#: src/config/options.inc:1287
 msgid "Duration"
 msgstr ""
 
-#: src/config/options.inc:1216
+#: src/config/options.inc:1289
 msgid ""
-"Inactivity timeout in seconds. The maximum of one day\n"
-"should be enough for just everyone (TM)."
+"Inactivity timeout in seconds. The maximum of one day should be enough for "
+"just everyone (TM)."
 msgstr ""
 
-#: src/config/options.inc:1221
+#: src/config/options.inc:1294
 msgid "Keybinding action to be triggered when timer reaches zero."
 msgstr ""
 
-#: src/config/options.inc:1224
-#, fuzzy
+#: src/config/options.inc:1298
 msgid "Window tabs"
-msgstr "Ikkuna"
+msgstr "Ikkunan vlilehdet"
 
-#: src/config/options.inc:1226
+#: src/config/options.inc:1300
 msgid "Window tabs settings."
-msgstr ""
+msgstr "Ikkunan vlilehtien asetukset."
 
-#: src/config/options.inc:1228
-#, fuzzy
+#: src/config/options.inc:1302
 msgid "Display tabs bar"
-msgstr "Nyt kartta"
+msgstr "Nyt vlilehtipalkki"
 
-#: src/config/options.inc:1230
+#: src/config/options.inc:1304
 msgid ""
 "Show tabs bar on the screen:\n"
 "0 means never\n"
 "1 means only if two or more tabs are open\n"
 "2 means always"
 msgstr ""
+"Nyt vlilehtipalkki nytll:\n"
+"0 tarkoittaa ei koskaan\n"
+"1 tarkoittaa vain jos vhintn kaksi vlilehte on auki\n"
+"2 tarkoittaa aina"
 
-#: src/config/options.inc:1235
+#: src/config/options.inc:1309
 msgid "Tab bar at top"
 msgstr ""
 
-#: src/config/options.inc:1237
+#: src/config/options.inc:1311
 msgid "Whether display tab bar at top like other browsers do."
 msgstr ""
 
-#: src/config/options.inc:1239
+#: src/config/options.inc:1313
 msgid "Wrap-around tabs cycling"
 msgstr ""
 
-#: src/config/options.inc:1241
+#: src/config/options.inc:1315
 msgid ""
-"When moving right from the last tab, jump to the first one, and\n"
-"vice versa."
+"When moving right from the last tab, jump to the first one, and vice versa."
 msgstr ""
 
-#: src/config/options.inc:1244
+#: src/config/options.inc:1318
 msgid "Confirm tab closing"
-msgstr ""
+msgstr "Varmista vlilehden sulkeminen"
 
-#: src/config/options.inc:1246
+#: src/config/options.inc:1320
 msgid "When closing a tab show confirmation dialog."
 msgstr ""
 
 #. OPT_LANGUAGE
-#: src/config/options.inc:1250 src/config/opttypes.c:483
+#: src/config/options.inc:1324 src/config/opttypes.c:483
 msgid "Language"
-msgstr ""
+msgstr "Kieli"
 
-#: src/config/options.inc:1252
+#: src/config/options.inc:1326
 msgid ""
-"Language of user interface. 'System' means that the language will\n"
-"be extracted from the environment dynamically."
+"Language of user interface. 'System' means that the language will be "
+"extracted from the environment dynamically."
 msgstr ""
 
-#: src/config/options.inc:1255
-#, fuzzy
+#: src/config/options.inc:1330
 msgid "Display menu bar always"
-msgstr "Nyt kartta"
+msgstr "Nyt valikkopalkki aina"
 
-#: src/config/options.inc:1257
+#: src/config/options.inc:1332
 msgid "Always show menu bar on the screen."
 msgstr ""
 
-#: src/config/options.inc:1259
-#, fuzzy
+#: src/config/options.inc:1334
 msgid "Display status bar"
-msgstr "Nyt kartta"
+msgstr "Nyt tilapalkki"
 
-#: src/config/options.inc:1261
+#: src/config/options.inc:1336
 msgid "Show status bar on the screen."
 msgstr ""
 
-#: src/config/options.inc:1263
-#, fuzzy
+#: src/config/options.inc:1338
 msgid "Display title bar"
-msgstr "Nyt kartta"
+msgstr "Nyt otsikkopalkki"
 
-#: src/config/options.inc:1265
+#: src/config/options.inc:1340
 msgid "Show title bar on the screen."
 msgstr ""
 
-#: src/config/options.inc:1267
+#: src/config/options.inc:1342
 msgid "Display goto dialog in new tabs"
 msgstr ""
 
-#: src/config/options.inc:1269
+#: src/config/options.inc:1344
 msgid ""
-"Pop up goto dialog in newly created tabs when there's no homepage\n"
-"set. This means also showing goto dialog on startup."
+"Pop up goto dialog in newly created tabs when there's no homepage set. This "
+"means also showing goto dialog on startup."
 msgstr ""
 
-#: src/config/options.inc:1272
+#: src/config/options.inc:1348
 msgid "Show a message box when file is saved successfully"
 msgstr ""
 
-#: src/config/options.inc:1274
+#: src/config/options.inc:1350
 msgid ""
-"When you pressed a [ Save ] button in some manager, this option\n"
-"will make sure that a box confirming success of the operation will\n"
-"pop up."
+"When you pressed a [ Save ] button in some manager, this option will make "
+"sure that a box confirming success of the operation will pop up."
 msgstr ""
 
-#: src/config/options.inc:1279
-#, fuzzy
+#: src/config/options.inc:1355
 msgid "Sessions"
-msgstr "Tiedostoptteet"
+msgstr "Istunnot"
 
-#: src/config/options.inc:1281
+#: src/config/options.inc:1357
 msgid "Sessions settings."
 msgstr ""
 
-#: src/config/options.inc:1283
+#: src/config/options.inc:1359
 msgid "Keep session active"
-msgstr ""
+msgstr "Jt istunto aktiiviseksi"
 
-#: src/config/options.inc:1285
+#: src/config/options.inc:1361
 msgid "Keep the session active even if the last terminal exits."
 msgstr ""
 
-#: src/config/options.inc:1287
+#: src/config/options.inc:1364
 msgid "Auto save session"
-msgstr ""
+msgstr "Tallenna istunto automaattisesti"
 
-#: src/config/options.inc:1289
+#: src/config/options.inc:1366
 msgid ""
 "Automatically save the session when quitting.\n"
+"\n"
 "This feature requires bookmark support."
 msgstr ""
 
-#: src/config/options.inc:1292
+#: src/config/options.inc:1370
 msgid "Auto restore session"
-msgstr ""
+msgstr "Palauta istunto automaattisesti"
 
-#: src/config/options.inc:1294
+#: src/config/options.inc:1372
 msgid ""
 "Automatically restore the session at start.\n"
+"\n"
 "This feature requires bookmark support."
 msgstr ""
 
-#: src/config/options.inc:1297
+#: src/config/options.inc:1376
 msgid "Auto save and restore session folder name"
-msgstr ""
+msgstr "Kansion nimi istunnon automaattiselle tallennukselle ja palautukselle"
 
-#: src/config/options.inc:1299
+#: src/config/options.inc:1378
 msgid ""
-"Name of the bookmarks folder used for auto saving and restoring session.\n"
-"The name has to be unique. Any folders with the same name will be deleted.\n"
+"Name of the bookmarks folder used for auto saving and restoring session. The "
+"name has to be unique. Any folders with the same name will be deleted.\n"
+"\n"
 "This only makes sense with bookmark support."
 msgstr ""
 
-#: src/config/options.inc:1303
-#, fuzzy
+#: src/config/options.inc:1384
 msgid "Homepage URI"
-msgstr "Merkist"
+msgstr "Kotisivun URI"
 
-#: src/config/options.inc:1305
+#: src/config/options.inc:1386
 msgid ""
-"The URI to load either at startup time when no URI was given\n"
-"on the command line or when requested by the goto-url-home action.\n"
-"Set to \"\" if the environment variable WWW_HOME should be used\n"
-"as homepage URI instead."
+"The URI to load either at startup time when no URI was given on the command "
+"line or when requested by the goto-url-home action. Set to \"\" if the "
+"environment variable WWW_HOME should be used as homepage URI instead."
 msgstr ""
 
-#: src/config/options.inc:1311
-#, fuzzy
+#: src/config/options.inc:1392
 msgid "Date format"
-msgstr "Tiedoston lhetys"
+msgstr "Pivyksen muoto"
 
-#: src/config/options.inc:1313
+#: src/config/options.inc:1394
 msgid "Date format to use in dialogs. See strftime(3)."
 msgstr ""
 
-#: src/config/options.inc:1316
+#: src/config/options.inc:1397
 msgid "Set window title"
-msgstr ""
+msgstr "Aseta ikkunan otsikko"
 
-#: src/config/options.inc:1318
+#: src/config/options.inc:1399
 msgid ""
-"Set the window title when running in a windowing environment\n"
-"in an xterm-like terminal. This way the document's title is\n"
-"shown on the window titlebar."
+"Set the window title when running in a windowing environment in an xterm-"
+"like terminal. This way the document's title is shown on the window titlebar."
 msgstr ""
 
 #: src/config/opttypes.c:54
-#, fuzzy
 msgid "Read error"
-msgstr "Talletusvirhe"
+msgstr "Lukuvirhe"
 
 #. The OPT_ comments below are here to be found by grep.
 #. OPT_BOOL
@@ -4179,7 +4140,7 @@ msgstr ""
 #. OPT_INT
 #: src/config/opttypes.c:474
 msgid "Integer"
-msgstr ""
+msgstr "Kokonaisluku"
 
 #: src/config/opttypes.c:474 src/config/opttypes.c:476
 msgid "<num>"
@@ -4193,16 +4154,15 @@ msgstr ""
 #. OPT_STRING
 #: src/config/opttypes.c:478
 msgid "String"
-msgstr ""
+msgstr "Merkkijono"
 
 #: src/config/opttypes.c:478
 msgid "<str>"
 msgstr ""
 
 #: src/config/opttypes.c:481
-#, fuzzy
 msgid "<codepage>"
-msgstr "Merkist"
+msgstr "<merkist>"
 
 #: src/config/opttypes.c:483
 msgid "<language>"
@@ -4244,7 +4204,7 @@ msgid "Goto URL History"
 msgstr "Ei historiaa"
 
 #. name:
-#: src/cookies/cookies.c:88 src/cookies/cookies.c:911
+#: src/cookies/cookies.c:88 src/cookies/cookies.c:913
 msgid "Cookies"
 msgstr "Evsteet"
 
@@ -4272,10 +4232,10 @@ msgstr "Enimmisik"
 msgid ""
 "Cookie maximum age (in days):\n"
 "-1 is use cookie's expiration date if any\n"
-"0  is force expiration at the end of session, ignoring cookie's\n"
-"   expiration date\n"
-"1+ is use cookie's expiration date, but limit age to the given\n"
-"   number of days"
+"0  is force expiration at the end of session, ignoring\n"
+"   cookie's expiration date\n"
+"1+ is use cookie's expiration date, but limit age to the\n"
+"   given number of days"
 msgstr ""
 
 #: src/cookies/cookies.c:109
@@ -4284,41 +4244,40 @@ msgstr ""
 
 #: src/cookies/cookies.c:111
 msgid ""
-"When enabled, we'll require three dots in cookies domain for all\n"
-"non-international domains (instead of just two dots). Some countries\n"
-"have generic second level domains (eg. .com.pl, .co.uk) and allowing\n"
-"sites to set cookies for these generic domains could potentially be\n"
-"very bad. Note, it is off by default as it breaks a lot of sites."
+"When enabled, we'll require three dots in cookies domain for all non-"
+"international domains (instead of just two dots). Some countries have "
+"generic second level domains (eg. .com.pl, .co.uk) and allowing sites to set "
+"cookies for these generic domains could potentially be very bad. Note, it is "
+"off by default as it breaks a lot of sites."
 msgstr ""
 
-#: src/cookies/cookies.c:117
+#: src/cookies/cookies.c:118
 msgid "Saving"
 msgstr "Tallennus"
 
-#: src/cookies/cookies.c:119
+#: src/cookies/cookies.c:120
 msgid "Whether cookies should be loaded from and saved to disk."
 msgstr ""
 
-#: src/cookies/cookies.c:121
+#: src/cookies/cookies.c:123
 msgid "Resaving"
 msgstr ""
 
-#: src/cookies/cookies.c:123
+#: src/cookies/cookies.c:125
 msgid ""
-"Save cookies after each change in cookies list? No effect when\n"
-"cookie saving (cookies.save) is off."
+"Save cookies after each change in cookies list? No effect when cookie saving "
+"(cookies.save) is off."
 msgstr ""
 
-#: src/cookies/cookies.c:817
-#, fuzzy
+#: src/cookies/cookies.c:819
 msgid "Cannot save cookies"
-msgstr "Tyhjenn evsteet"
+msgstr "Evsteit ei voi tallentaa"
 
-#: src/cookies/cookies.c:828
+#: src/cookies/cookies.c:830
 msgid "ELinks was started without a home directory."
-msgstr ""
+msgstr "ELinks kynnistettiin ilman kotihakemistoa."
 
-#: src/cookies/cookies.c:834
+#: src/cookies/cookies.c:836
 msgid "ELinks was started with the -anonymous option."
 msgstr ""
 
@@ -4472,9 +4431,8 @@ msgid "Link title"
 msgstr "Linkin otsikko"
 
 #: src/dialogs/document.c:88
-#, fuzzy
 msgid "Link image"
-msgstr "Nyt kuva"
+msgstr "Linkin kuva"
 
 #: src/dialogs/document.c:103
 msgid "Link last visit time"
@@ -4509,16 +4467,15 @@ msgid "Header info"
 msgstr "Otsikkotieto"
 
 #: src/dialogs/document.c:261
-#, fuzzy
 msgid "Internal header info"
-msgstr "Otsikkotieto"
+msgstr "Sisinen otsikkotieto"
 
 #: src/dialogs/document.c:302
 msgid "No header info."
 msgstr ""
 
 #: src/dialogs/download.c:243 src/dialogs/menu.c:601
-#: src/protocol/bittorrent/dialogs.c:228 src/session/download.c:361
+#: src/protocol/bittorrent/dialogs.c:228 src/session/download.c:387
 msgid "Download"
 msgstr "Lataa"
 
@@ -4630,7 +4587,7 @@ msgid "Resources"
 msgstr "Lhteet"
 
 #: src/dialogs/info.c:173
-#, fuzzy, c-format
+#, c-format
 msgid "%ld handle"
 msgid_plural "%ld handles"
 msgstr[0] "%ld kahva"
@@ -4665,11 +4622,11 @@ msgstr[0] "%ld siirt"
 msgstr[1] "%ld siirt"
 
 #: src/dialogs/info.c:196
-#, fuzzy, c-format
+#, c-format
 msgid "%ld keepalive"
 msgid_plural "%ld keepalive"
-msgstr[0] "keepalive"
-msgstr[1] "keepalive"
+msgstr[0] "%ld varalla"
+msgstr[1] "%ld varalla"
 
 #: src/dialogs/info.c:204 src/dialogs/info.c:256
 #, c-format
@@ -4679,7 +4636,7 @@ msgstr[0] "%ld tavu"
 msgstr[1] "%ld tavua"
 
 #: src/dialogs/info.c:208
-#, fuzzy, c-format
+#, c-format
 msgid "%ld file"
 msgid_plural "%ld files"
 msgstr[0] "%ld tiedosto"
@@ -4693,16 +4650,15 @@ msgstr[0] "%ld kytss"
 msgstr[1] "%ld kytss"
 
 #: src/dialogs/info.c:216
-#, fuzzy, c-format
+#, c-format
 msgid "%ld loading"
 msgid_plural "%ld loading"
-msgstr[0] "Lataus"
-msgstr[1] "Lataus"
+msgstr[0] "%ld lataa"
+msgstr[1] "%ld lataa"
 
 #: src/dialogs/info.c:219
-#, fuzzy
 msgid "Document cache"
-msgstr "Dokumentti"
+msgstr "Dokumenttivlimuisti"
 
 # "2 dokumenttia on muotoiltu" mutta "2 muotoiltua dokumenttia"
 #: src/dialogs/info.c:223
@@ -4720,9 +4676,8 @@ msgstr[0] "siirt"
 msgstr[1] "siirt"
 
 #: src/dialogs/info.c:234
-#, fuzzy
 msgid "Interlinking"
-msgstr "Valitse linkkinumero"
+msgstr ""
 
 #: src/dialogs/info.c:237
 msgid "master terminal"
@@ -4799,9 +4754,8 @@ msgstr "~Kirjanmerkki dokumentista"
 
 #. accelerator_context(src/dialogs/menu.c:view_menu, tab_menu)
 #: src/dialogs/menu.c:250 src/dialogs/menu.c:419
-#, fuzzy
 msgid "Toggle ~HTML/plain"
-msgstr "Vaihda ~HTML/tavallinen"
+msgstr "Vaihda ~HTML/pelkk teksti"
 
 #. accelerator_context(tab_menu)
 #: src/dialogs/menu.c:251
@@ -4831,7 +4785,7 @@ msgstr "Edell~inen vlilehti"
 #. accelerator_context(src/dialogs/menu.c:view_menu, tab_menu)
 #: src/dialogs/menu.c:268 src/dialogs/menu.c:433
 msgid "~Close tab"
-msgstr "~Sulje vlilehti"
+msgstr "Sul~je vlilehti"
 
 #. accelerator_context(tab_menu)
 #: src/dialogs/menu.c:271
@@ -4886,9 +4840,8 @@ msgstr "Tallenna ~nimell"
 
 #. accelerator_context(src/dialogs/menu.c:file_menu)
 #: src/dialogs/menu.c:324
-#, fuzzy
 msgid "Save UR~L as"
-msgstr "Tallenna ~URL nimell"
+msgstr "Tallenna UR~L nimell"
 
 # Toisaalla on "Re-render the current page".
 #. accelerator_context(src/dialogs/menu.c:file_menu)
@@ -4941,7 +4894,7 @@ msgstr "Etsi takaisin~pin"
 #. accelerator_context(src/dialogs/menu.c:view_menu)
 #: src/dialogs/menu.c:415
 msgid "Find ~next"
-msgstr "Etsi seur~aava"
+msgstr "Etsi ~seuraava"
 
 #. accelerator_context(src/dialogs/menu.c:view_menu)
 #: src/dialogs/menu.c:416
@@ -4951,7 +4904,7 @@ msgstr "E~tsi edellinen"
 #. accelerator_context(src/dialogs/menu.c:view_menu)
 #: src/dialogs/menu.c:417
 msgid "T~ypeahead search"
-msgstr ""
+msgstr "~Askelittainen haku"
 
 #. accelerator_context(src/dialogs/menu.c:view_menu)
 #: src/dialogs/menu.c:420
@@ -4970,7 +4923,6 @@ msgstr "Vaihda dokumentin ~vrit"
 
 #. accelerator_context(src/dialogs/menu.c:view_menu)
 #: src/dialogs/menu.c:423
-#, fuzzy
 msgid "~Wrap text on/off"
 msgstr "Tekstin rivit~ys plle/pois"
 
@@ -5226,9 +5178,8 @@ msgid "256 colors"
 msgstr "256 vri"
 
 #: src/dialogs/options.c:225
-#, fuzzy
 msgid "true color"
-msgstr "Tekstialue"
+msgstr "tysvrisyys"
 
 #: src/dialogs/options.c:309
 msgid "Resize terminal"
@@ -5330,7 +5281,7 @@ msgid "No document"
 msgstr ""
 
 #. name:
-#: src/document/css/css.c:30 src/document/css/css.c:161
+#: src/document/css/css.c:30 src/document/css/css.c:164
 msgid "Cascading Style Sheets"
 msgstr ""
 
@@ -5338,35 +5289,35 @@ msgstr ""
 msgid "Options concerning how to use CSS for styling documents."
 msgstr ""
 
-#: src/document/css/css.c:34
+#: src/document/css/css.c:35
 msgid "Enable CSS"
 msgstr ""
 
-#: src/document/css/css.c:36
+#: src/document/css/css.c:37
 msgid "Enable adding of CSS style info to documents."
 msgstr ""
 
-#: src/document/css/css.c:38
+#: src/document/css/css.c:39
 msgid "Import external style sheets"
 msgstr ""
 
-#: src/document/css/css.c:40
+#: src/document/css/css.c:41
 msgid ""
-"When enabled any external style sheets that are imported from\n"
-"either CSS itself using the @import keyword or from the HTML using\n"
-"<link> tags in the document header will also be downloaded."
+"When enabled any external style sheets that are imported from either CSS "
+"itself using the @import keyword or from the HTML using <link> tags in the "
+"document header will also be downloaded."
 msgstr ""
 
-#: src/document/css/css.c:44
+#: src/document/css/css.c:46
 msgid "Default style sheet"
 msgstr ""
 
-#: src/document/css/css.c:46
+#: src/document/css/css.c:48
 msgid ""
-"The path to the file containing the default user defined\n"
-"Cascading Style Sheet. It can be used to control the basic\n"
-"layout of HTML documents. The path is assumed to be relative\n"
-"to ELinks' home directory.\n"
+"The path to the file containing the default user defined Cascading Style "
+"Sheet. It can be used to control the basic layout of HTML documents. The "
+"path is assumed to be relative to ELinks' home directory.\n"
+"\n"
 "Leave as \"\" to use built-in document styling."
 msgstr ""
 
@@ -5397,8 +5348,8 @@ msgstr ""
 
 #: src/ecmascript/ecmascript.c:55
 msgid ""
-"Whether to ignore content enclosed by the <noscript> tag\n"
-"when ECMAScript is enabled."
+"Whether to ignore content enclosed by the <noscript> tag when ECMAScript is "
+"enabled."
 msgstr ""
 
 #: src/ecmascript/ecmascript.c:58
@@ -5411,7 +5362,7 @@ msgstr ""
 
 #: src/ecmascript/ecmascript.c:62
 msgid "Pop-up window blocking"
-msgstr ""
+msgstr "Ponnahdusikkunoiden esto"
 
 #: src/ecmascript/ecmascript.c:64
 msgid "Whether to disallow scripts to open new windows or tabs."
@@ -5446,10 +5397,10 @@ msgstr ""
 
 #: src/ecmascript/spidermonkey.c:104
 msgid "JavaScript Error"
-msgstr ""
+msgstr "JavaScript-virhe"
 
 #. name:
-#: src/ecmascript/spidermonkey.c:320
+#: src/ecmascript/spidermonkey.c:321
 msgid "SpiderMonkey"
 msgstr ""
 
@@ -5540,9 +5491,8 @@ msgstr "Nyt lomakehistoriaikkuna"
 
 #: src/formhist/formhist.c:38
 msgid ""
-"Ask if a login form should be saved to file or not.\n"
-"This option only disables the dialog, already saved login\n"
-"forms are unaffected."
+"Ask if a login form should be saved to file or not. This option only "
+"disables the dialog, already saved login forms are unaffected."
 msgstr ""
 
 #: src/formhist/formhist.c:426
@@ -5630,25 +5580,25 @@ msgstr "Yleishistoria"
 
 #: src/globhist/globhist.c:62
 msgid "Global history options."
-msgstr ""
+msgstr "Yleishistorian asetukset."
 
 #: src/globhist/globhist.c:66
 msgid "Enable global history (\"history of all pages visited\")."
 msgstr ""
 
-#: src/globhist/globhist.c:68
+#: src/globhist/globhist.c:69
 msgid "Maximum number of entries"
 msgstr ""
 
-#: src/globhist/globhist.c:70
+#: src/globhist/globhist.c:71
 msgid "Maximum number of entries in the global history."
 msgstr ""
 
-#: src/globhist/globhist.c:72
+#: src/globhist/globhist.c:73
 msgid "Display style"
 msgstr "Esitysmuoto"
 
-#: src/globhist/globhist.c:74
+#: src/globhist/globhist.c:75
 msgid ""
 "What to display in global history dialog:\n"
 "0 is URLs\n"
@@ -5656,7 +5606,7 @@ msgid ""
 msgstr ""
 
 #. name:
-#: src/globhist/globhist.c:451
+#: src/globhist/globhist.c:449
 msgid "Global History"
 msgstr "Yleishistoria"
 
@@ -5865,9 +5815,8 @@ msgid "Own Libc Routines"
 msgstr "omat libc-rutiinit"
 
 #: src/main/version.c:126
-#, fuzzy
 msgid "No Backtrace"
-msgstr "Siirry takaisin"
+msgstr ""
 
 #: src/main/version.c:141
 msgid "No mouse"
@@ -5879,100 +5828,95 @@ msgstr ""
 
 #: src/mime/backend/default.c:27
 msgid ""
-"Handler <-> MIME type association. The first sub-tree is the MIME\n"
-"class while the second sub-tree is the MIME type (ie. image/gif\n"
-"handler will reside at mime.type.image.gif). Each MIME type option\n"
-"should contain (case-sensitive) name of the MIME handler (its\n"
-"properties are stored at mime.handler.<name>)."
+"Handler <-> MIME type association. The first sub-tree is the MIME class "
+"while the second sub-tree is the MIME type (ie. image/gif handler will "
+"reside at mime.type.image.gif). Each MIME type option should contain (case-"
+"sensitive) name of the MIME handler (its properties are stored at mime."
+"handler.<name>)."
 msgstr ""
 
-#: src/mime/backend/default.c:35
+#: src/mime/backend/default.c:36
 msgid ""
-"Handler matching this MIME-type class ('*' is used here in place\n"
-"of '.')."
+"Handler matching this MIME-type class ('*' is used here in place of '.')."
 msgstr ""
 
-#: src/mime/backend/default.c:40
+#: src/mime/backend/default.c:41
 msgid ""
-"Handler matching this MIME-type name ('*' is used here in place\n"
-"of '.')."
+"Handler matching this MIME-type name ('*' is used here in place of '.')."
 msgstr ""
 
-#: src/mime/backend/default.c:44
+#: src/mime/backend/default.c:45
 msgid "File type handlers"
 msgstr ""
 
-#: src/mime/backend/default.c:46
+#: src/mime/backend/default.c:47
 msgid ""
-"A file type handler is a set of information about how to use\n"
-"an external program to view a file. It is possible to refer to it\n"
-"for several MIME types -- e.g., you can define an 'image' handler\n"
-"to which mime.type.image.png, mime.type.image.jpeg, and so on will\n"
-"refer; or one might define a handler for a more specific type of file\n"
-"-- e.g., PDF files.\n"
-"Note you must define both a MIME handler and a MIME type association\n"
-"for it to work."
+"A file type handler is a set of information about how to use an external "
+"program to view a file. It is possible to refer to it for several MIME types "
+"-- e.g., you can define an 'image' handler to which mime.type.image.png, "
+"mime.type.image.jpeg, and so on will refer; or one might define a handler "
+"for a more specific type of file -- e.g., PDF files. Note you must define "
+"both a MIME handler and a MIME type association for it to work."
 msgstr ""
 
-#: src/mime/backend/default.c:57
+#: src/mime/backend/default.c:58
 msgid "Description of this handler."
 msgstr ""
 
-#: src/mime/backend/default.c:61
+#: src/mime/backend/default.c:62
 msgid "System-specific handler description (ie. unix, unix-xwin, ...)."
 msgstr ""
 
-#: src/mime/backend/default.c:63 src/mime/backend/mailcap.c:102
+#: src/mime/backend/default.c:65 src/mime/backend/mailcap.c:102
 msgid "Ask before opening"
 msgstr "Kysy ennen avaamista"
 
-#: src/mime/backend/default.c:65
+#: src/mime/backend/default.c:67
 msgid "Ask before opening."
 msgstr "Kysy ennen avaamista."
 
-#: src/mime/backend/default.c:67
+#: src/mime/backend/default.c:69
 msgid "Block terminal"
 msgstr "Varaa pte"
 
-#: src/mime/backend/default.c:69
+#: src/mime/backend/default.c:71
 msgid "Block the terminal when the handler is running."
 msgstr ""
 
-#: src/mime/backend/default.c:71
+#: src/mime/backend/default.c:73
 msgid "Program"
 msgstr "Ohjelma"
 
-#: src/mime/backend/default.c:74
-#, fuzzy, no-c-format
+#: src/mime/backend/default.c:76
+#, no-c-format
 msgid ""
-"External viewer for this file type. '%' in this string will be\n"
-"substituted by a file name.\n"
-"Do _not_ put single- or double-quotes around the % sign."
+"External viewer for this file type. '%' in this string will be substituted "
+"by a file name. Do _not_ put single- or double-quotes around the % sign."
 msgstr ""
-"Ulkoinen katseluohjelma tlle tiedostotyypille. Merkkijonossa oleva\n"
-"%-merkki korvataan tiedoston nimell."
+"Ulkoinen katseluohjelma tlle tiedostotyypille. Merkkijonossa oleva %-merkki "
+"korvataan tiedoston nimell. _l_ laita %-merkin ymprille lainausmerkkej "
+"lk puolilainausmerkkej."
 
-#: src/mime/backend/default.c:79
+#: src/mime/backend/default.c:81
 msgid "File extension associations"
 msgstr "Tiedostoptteiden kytkennt"
 
-#: src/mime/backend/default.c:81
+#: src/mime/backend/default.c:83
 msgid "Extension <-> MIME type association."
 msgstr ""
 
-#: src/mime/backend/default.c:85
+#: src/mime/backend/default.c:87
 msgid ""
-"MIME-type matching this file extension ('*' is used here in place\n"
-"of '.')."
+"MIME-type matching this file extension ('*' is used here in place of '.')."
 msgstr ""
 
 #. name:
-#: src/mime/backend/default.c:216
+#: src/mime/backend/default.c:218
 msgid "Option system"
 msgstr "Asetusjrjestelm"
 
 #. name:
-#: src/mime/backend/mailcap.c:89 src/mime/backend/mailcap.c:684
+#: src/mime/backend/mailcap.c:89 src/mime/backend/mailcap.c:686
 msgid "Mailcap"
 msgstr ""
 
@@ -5986,8 +5930,8 @@ msgstr ""
 
 #: src/mime/backend/mailcap.c:99
 msgid ""
-"Mailcap search path. Colon-separated list of files.\n"
-"Leave as \"\" to use MAILCAP environment variable instead."
+"Mailcap search path. Colon-separated list of files. Leave as \"\" to use "
+"MAILCAP environment variable instead."
 msgstr ""
 
 #: src/mime/backend/mailcap.c:104
@@ -6000,39 +5944,38 @@ msgstr ""
 
 #: src/mime/backend/mailcap.c:108
 msgid ""
-"Type of description to show in \"what to do with this file\"\n"
-"query dialog:\n"
+"Type of description to show in \"what to do with this file\" query dialog:\n"
 "0 is show \"mailcap\"\n"
 "1 is show program to be run\n"
-"2 is show mailcap description field if any; \"mailcap\" otherwise"
+"2 is show mailcap description field if any;\n"
+"     \"mailcap\" otherwise"
 msgstr ""
 
-#: src/mime/backend/mailcap.c:114
+#: src/mime/backend/mailcap.c:115
 msgid "Prioritize entries by file"
 msgstr ""
 
-#: src/mime/backend/mailcap.c:116
+#: src/mime/backend/mailcap.c:117
 msgid ""
-"Prioritize entries by the order of the files in the mailcap\n"
-"path. This means that wildcard entries (like: image/*) will\n"
-"also be checked before deciding the handler."
+"Prioritize entries by the order of the files in the mailcap path. This means "
+"that wildcard entries (like: image/*) will also be checked before deciding "
+"the handler."
 msgstr ""
 
-#: src/mime/backend/mailcap.c:349
+#: src/mime/backend/mailcap.c:351
 #, c-format
 msgid "Badly formated mailcap entry for type %s in \"%s\" line %d"
 msgstr ""
 
 #. name:
-#: src/mime/backend/mimetypes.c:46 src/mime/backend/mimetypes.c:279
+#: src/mime/backend/mimetypes.c:46 src/mime/backend/mimetypes.c:280
 msgid "Mimetypes files"
 msgstr ""
 
 #: src/mime/backend/mimetypes.c:48
 msgid ""
-"Options for the support of mime.types files. These files\n"
-"can be used to find the content type of a URL by looking at\n"
-"the extension of the file name."
+"Options for the support of mime.types files. These files can be used to find "
+"the content type of a URL by looking at the extension of the file name."
 msgstr ""
 
 #: src/mime/backend/mimetypes.c:54
@@ -6048,9 +5991,9 @@ msgid "Delete extension"
 msgstr "Poista tiedostopte"
 
 #: src/mime/dialogs.c:67
-#, fuzzy, c-format
+#, c-format
 msgid "Delete extension %s -> %s?"
-msgstr "Poista tiedostopte"
+msgstr "Poistatko tiedostoptteen %s -> %s?"
 
 #: src/mime/dialogs.c:126
 msgid "Extension"
@@ -6069,7 +6012,7 @@ msgid "No extensions"
 msgstr "Ei tiedostoptteit"
 
 #. name:
-#: src/mime/mime.c:38 src/mime/mime.c:360
+#: src/mime/mime.c:38 src/mime/mime.c:361
 msgid "MIME"
 msgstr ""
 
@@ -6083,8 +6026,8 @@ msgstr ""
 
 #: src/mime/mime.c:44
 msgid ""
-"Document MIME-type to assume by default (when we are unable to\n"
-"guess it properly from known information about the document)."
+"Document MIME-type to assume by default (when we are unable to guess it "
+"properly from known information about the document)."
 msgstr ""
 
 #: src/network/ssl/ssl.c:72 src/network/ssl/ssl.c:161
@@ -6093,8 +6036,8 @@ msgstr "Tarkista varmenteet"
 
 #: src/network/ssl/ssl.c:74
 msgid ""
-"Verify the peer's SSL certificate. Note that this\n"
-"needs extensive configuration of OpenSSL by the user."
+"Verify the peer's SSL certificate. Note that this needs extensive "
+"configuration of OpenSSL by the user."
 msgstr ""
 
 #: src/network/ssl/ssl.c:77
@@ -6102,14 +6045,13 @@ msgid "Client Certificates"
 msgstr ""
 
 #: src/network/ssl/ssl.c:79
-#, fuzzy
 msgid "X509 client certificate options."
-msgstr "Terminaaliasetukset"
+msgstr "X509-asiakasvarmenneasetukset."
 
 #: src/network/ssl/ssl.c:83
 msgid ""
-"Enable or not the sending of X509 client certificates\n"
-"to servers which request them."
+"Enable or not the sending of X509 client certificates to servers which "
+"request them."
 msgstr ""
 
 #: src/network/ssl/ssl.c:86
@@ -6118,16 +6060,15 @@ msgstr "Varmennetiedosto"
 
 #: src/network/ssl/ssl.c:88
 msgid ""
-"The location of a file containing the client certificate\n"
-"and unencrypted private key in PEM format. If unset, the\n"
-"file pointed to by the X509_CLIENT_CERT variable is used\n"
-"instead."
+"The location of a file containing the client certificate and unencrypted "
+"private key in PEM format. If unset, the file pointed to by the "
+"X509_CLIENT_CERT variable is used instead."
 msgstr ""
 
 #: src/network/ssl/ssl.c:163
 msgid ""
-"Verify the peer's SSL certificate.  If you enable\n"
-"this, set also \"Trusted CA file\"."
+"Verify the peer's SSL certificate.  If you enable this, set also \"Trusted "
+"CA file\"."
 msgstr ""
 
 #. The default value of the following option points to a file
@@ -6139,26 +6080,25 @@ msgstr ""
 #. * suit their systems.
 #. * TODO: If the file name is relative, look in elinks_home?
 #: src/network/ssl/ssl.c:174
-#, fuzzy
 msgid "Trusted CA file"
-msgstr "Siirto eponnistui"
+msgstr "Luotetut varmentajat luetteleva tiedosto"
 
 #: src/network/ssl/ssl.c:176
 msgid ""
-"The location of a file containing certificates of\n"
-"trusted certification authorities in PEM format.\n"
-"ELinks then trusts certificates issued by these CAs.\n"
-"If you change this option or the file, you must\n"
-"restart ELinks for the changes to take effect.\n"
-"This option affects GnuTLS but not OpenSSL."
+"The location of a file containing certificates of trusted certification "
+"authorities in PEM format. ELinks then trusts certificates issued by these "
+"CAs.\n"
+"\n"
+"If you change this option or the file, you must restart ELinks for the "
+"changes to take effect. This option affects GnuTLS but not OpenSSL."
 msgstr ""
 
 #. name:
-#: src/network/ssl/ssl.c:199 src/network/ssl/ssl.c:216
+#: src/network/ssl/ssl.c:200 src/network/ssl/ssl.c:217
 msgid "SSL"
 msgstr "SSL"
 
-#: src/network/ssl/ssl.c:201
+#: src/network/ssl/ssl.c:202
 msgid "SSL options."
 msgstr "SSL-asetukset."
 
@@ -6183,7 +6123,6 @@ msgid "Request sent"
 msgstr "Pyynt lhetetty"
 
 #: src/network/state.c:32
-#, fuzzy
 msgid "Logging in"
 msgstr "Kirjautuu"
 
@@ -6204,14 +6143,12 @@ msgid "Resuming"
 msgstr ""
 
 #: src/network/state.c:38
-#, fuzzy
 msgid "Connecting to peers"
-msgstr "Yhteydet"
+msgstr "Yhdist vertaislaitteisiin"
 
 #: src/network/state.c:39
-#, fuzzy
 msgid "Connecting to tracker"
-msgstr "Yhteydet"
+msgstr ""
 
 #: src/network/state.c:42
 msgid "Waiting for redirect confirmation"
@@ -6347,9 +6284,8 @@ msgid "This version of ELinks does not c
 msgstr "Tss ELinksin versiossa ei ole SSL/TLS-tukea"
 
 #: src/network/state.c:94
-#, fuzzy
 msgid "JavaScript support is not enabled"
-msgstr "JavaScript-tuki ei ole kytss."
+msgstr "JavaScript-tuki ei ole kytss"
 
 #: src/network/state.c:97
 #, fuzzy
@@ -6372,9 +6308,8 @@ msgid "No such newsgroup"
 msgstr ""
 
 #: src/network/state.c:103
-#, fuzzy
 msgid "No such article"
-msgstr "Ei otsikkoa"
+msgstr "Viesti puuttuu"
 
 #: src/network/state.c:104
 msgid "Transfer failed"
@@ -6430,9 +6365,8 @@ msgstr ""
 #. * More likely, there was some problem in asking a DNS server
 #. * about the address of the FSP server.
 #: src/network/state.c:135
-#, fuzzy
 msgid "FSP server not found"
-msgstr "Tiedostoa ei lydy"
+msgstr "FSP-palvelinta ei lydy"
 
 #: src/network/state.c:158
 msgid "Unknown error"
@@ -6470,14 +6404,13 @@ msgstr "~BeOS-terminaali"
 
 #. name:
 #: src/protocol/auth/auth.c:332
-#, fuzzy
 msgid "Authentication"
-msgstr "~Todennus"
+msgstr "Todennus"
 
 #: src/protocol/auth/dialogs.c:87
 #, fuzzy, c-format
 msgid "Authentication required for %s at %s"
-msgstr "Kirjoita kttjnimi"
+msgstr "Kirjoita kyttjnimi"
 
 #. This function is used for at least HTTP and FTP, so don't
 #. * name the protocol here.  Consider also what an FTP server
@@ -6490,7 +6423,7 @@ msgstr "Todennus vaaditaan"
 msgid "Login"
 msgstr "Kyttjn ID"
 
-#: src/protocol/auth/dialogs.c:113 src/protocol/http/http.c:140
+#: src/protocol/auth/dialogs.c:113 src/protocol/http/http.c:142
 msgid "Password"
 msgstr "Salasana"
 
@@ -6503,7 +6436,6 @@ msgid "none"
 msgstr "ei mikn"
 
 #: src/protocol/auth/dialogs.c:181
-#, fuzzy
 msgid "State"
 msgstr "Tila"
 
@@ -6563,7 +6495,7 @@ msgstr "Todennustietojen hallinta"
 
 #. name:
 #: src/protocol/bittorrent/bittorrent.c:26
-#: src/protocol/bittorrent/bittorrent.c:335
+#: src/protocol/bittorrent/bittorrent.c:339
 msgid "BitTorrent"
 msgstr "BitTorrent"
 
@@ -6616,9 +6548,8 @@ msgstr ""
 
 #: src/protocol/bittorrent/bittorrent.c:57
 msgid ""
-"Whether to request that the tracker returns peer info\n"
-"in compact format. Note, the compact format only supports\n"
-"IPv4 addresses."
+"Whether to request that the tracker returns peer info in compact format. "
+"Note, the compact format only supports IPv4 addresses."
 msgstr ""
 
 #: src/protocol/bittorrent/bittorrent.c:61
@@ -6627,57 +6558,53 @@ msgstr ""
 
 #: src/protocol/bittorrent/bittorrent.c:63
 msgid ""
-"The number of seconds to wait between periodically contacting\n"
-"the tracker for announcing progress and requesting more peers.\n"
-"Set to zero to use the interval requested by the tracker."
+"The number of seconds to wait between periodically contacting the tracker "
+"for announcing progress and requesting more peers. Set to zero to use the "
+"interval requested by the tracker."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:67
+#: src/protocol/bittorrent/bittorrent.c:68
 msgid "IP-address to announce"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:69
+#: src/protocol/bittorrent/bittorrent.c:70
 msgid ""
-"What IP address to report to the tracker. If set to \"\"\n"
-"no IP address will be sent and the tracker will automatically\n"
-"determine an appropriate IP address."
+"What IP address to report to the tracker. If set to \"\" no IP address will "
+"be sent and the tracker will automatically determine an appropriate IP "
+"address."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:73
-#, fuzzy
+#: src/protocol/bittorrent/bittorrent.c:74
 msgid "User identification string"
-msgstr "Terminaaliasetukset"
+msgstr "Kyttjntunnistusmerkkijono"
 
-#: src/protocol/bittorrent/bittorrent.c:75
+#: src/protocol/bittorrent/bittorrent.c:76
 msgid ""
-"An additional identification that is not shared with any users.\n"
-"It is intended to allow a client to prove their identity should\n"
-"their IP address change. It is an optional parameter, but some\n"
-"trackers require this parameter. If set to \"\" no user key will\n"
-"be sent to the tracker."
+"An additional identification that is not shared with any users. It is "
+"intended to allow a client to prove their identity should their IP address "
+"change. It is an optional parameter, but some trackers require this "
+"parameter. If set to \"\" no user key will be sent to the tracker."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:81
-#, fuzzy
+#: src/protocol/bittorrent/bittorrent.c:82
 msgid "Maximum number of peers to request"
-msgstr "Yhdist"
+msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:83
+#: src/protocol/bittorrent/bittorrent.c:84
 msgid ""
-"The maximum number of peers to request from the tracker.\n"
-"Set to 0 to use the server default."
+"The maximum number of peers to request from the tracker. Set to 0 to use the "
+"server default."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:86
+#: src/protocol/bittorrent/bittorrent.c:87
 msgid "Minimum peers to skip rerequesting"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:88
+#: src/protocol/bittorrent/bittorrent.c:89
 msgid ""
-"The minimum number of peers to have in the current peer info\n"
-"pool before skipping requesting of more peers. I.e. setting\n"
-"numwant to zero.\n"
-"Set to 0 to not have any limit."
+"The minimum number of peers to have in the current peer info pool before "
+"skipping requesting of more peers. I.e. setting numwant to zero. Set to 0 to "
+"not have any limit."
 msgstr ""
 
 #. ******************************************************************
@@ -6692,186 +6619,179 @@ msgid "Lowlevel peer-wire options."
 msgstr ""
 
 #: src/protocol/bittorrent/bittorrent.c:102
-#, fuzzy
 msgid "Maximum number of peer connections"
-msgstr "Yhdist"
+msgstr ""
 
 #: src/protocol/bittorrent/bittorrent.c:104
 msgid ""
-"The maximum number of allowed connections to both active and\n"
-"non-active peers. By increasing the number of allowed connections,\n"
-"the chance of finding good peers to download from is increased.\n"
-"However, too many connections can lead to TCP congestion. If the\n"
-"maximum is reached all new incoming connections will be closed."
+"The maximum number of allowed connections to both active and non-active "
+"peers. By increasing the number of allowed connections, the chance of "
+"finding good peers to download from is increased. However, too many "
+"connections can lead to TCP congestion. If the maximum is reached all new "
+"incoming connections will be closed."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:110
+#: src/protocol/bittorrent/bittorrent.c:111
 msgid "Maximum peer message length"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:112
+#: src/protocol/bittorrent/bittorrent.c:113
 msgid ""
-"The maximum length of messages to accept over the wire.\n"
-"Larger values will cause the connection to be dropped."
+"The maximum length of messages to accept over the wire. Larger values will "
+"cause the connection to be dropped."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:115
+#: src/protocol/bittorrent/bittorrent.c:116
 msgid "Maximum allowed request length"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:117
+#: src/protocol/bittorrent/bittorrent.c:118
 msgid ""
-"The maximum length to allow for incoming requests.\n"
-"Larger requests will cause the connection to be dropped."
+"The maximum length to allow for incoming requests. Larger requests will "
+"cause the connection to be dropped."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:120
+#: src/protocol/bittorrent/bittorrent.c:121
 msgid "Length of requests"
 msgstr "Pyyntjen pituus"
 
-#: src/protocol/bittorrent/bittorrent.c:122
+#: src/protocol/bittorrent/bittorrent.c:123
 msgid ""
-"How many bytes to query for per request. This is complementary\n"
-"to the max_request_length option. If the configured length is\n"
-"bigger than the piece length it will be truncated."
+"How many bytes to query for per request. This is complementary to the "
+"max_request_length option. If the configured length is bigger than the piece "
+"length it will be truncated."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:126
+#: src/protocol/bittorrent/bittorrent.c:128
 #, fuzzy
 msgid "Peer inactivity timeout"
 msgstr "Vastaanoton ajanylitys"
 
-#: src/protocol/bittorrent/bittorrent.c:128
+#: src/protocol/bittorrent/bittorrent.c:130
 msgid ""
-"The number of seconds to wait before closing a socket on\n"
-"which nothing has been received or sent."
+"The number of seconds to wait before closing a socket on which nothing has "
+"been received or sent."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:131
+#: src/protocol/bittorrent/bittorrent.c:133
 msgid "Maximum peer pool size"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:133
+#: src/protocol/bittorrent/bittorrent.c:135
 msgid ""
-"Maximum number of items in the peer pool. The peer pool\n"
-"contains information used for establishing connections to\n"
-"new peers.\n"
+"Maximum number of items in the peer pool. The peer pool contains information "
+"used for establishing connections to new peers.\n"
+"\n"
 "Set to 0 to have unlimited size."
 msgstr ""
 
 #. ******************************************************************
 #. Piece management options:
 #. ******************************************************************
-#: src/protocol/bittorrent/bittorrent.c:143
+#: src/protocol/bittorrent/bittorrent.c:146
 msgid "Maximum piece cache size"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:145
+#: src/protocol/bittorrent/bittorrent.c:148
 msgid ""
-"The maximum amount of memory used to hold recently\n"
-"downloaded pieces.\n"
+"The maximum amount of memory used to hold recently downloaded pieces.\n"
+"\n"
 "Set to 0 to have unlimited size."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:154
+#: src/protocol/bittorrent/bittorrent.c:158
 msgid "Sharing rate"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:156
+#: src/protocol/bittorrent/bittorrent.c:160
 msgid ""
-"The minimum sharing rate to achieve before stop seeding.\n"
-"The sharing rate is computed as the number of uploaded bytes\n"
-"divided with the number of downloaded bytes. The value should\n"
-"be a double value between 0.0 and 1.0 both included.\n"
-"Set to 1.0 to atleast upload a complete copy of all data and\n"
+"The minimum sharing rate to achieve before stop seeding. The sharing rate is "
+"computed as the number of uploaded bytes divided with the number of "
+"downloaded bytes. The value should be a double value between 0.0 and 1.0 "
+"both included. Set to 1.0 to atleast upload a complete copy of all data and "
 "set to 0.0 to have unlimited sharing rate."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:163
+#: src/protocol/bittorrent/bittorrent.c:167
 msgid "Maximum number of uploads"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:165
+#: src/protocol/bittorrent/bittorrent.c:169
 msgid "The maximum number of uploads to allow at once."
 msgstr ""
 
 #. The number of uploads to fill out to with extra optimistic unchokes
-#: src/protocol/bittorrent/bittorrent.c:168
+#: src/protocol/bittorrent/bittorrent.c:172
 msgid "Minimum number of uploads"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:170
+#: src/protocol/bittorrent/bittorrent.c:174
 msgid ""
-"The minimum number of uploads which should at least\n"
-"be used for new connections."
+"The minimum number of uploads which should at least be used for new "
+"connections."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:174
+#: src/protocol/bittorrent/bittorrent.c:178
 #, fuzzy
 msgid "Keepalive interval"
 msgstr "Tallennusvli"
 
-#: src/protocol/bittorrent/bittorrent.c:176
-msgid ""
-"The number of seconds to pause between sending keepalive\n"
-"messages."
+#: src/protocol/bittorrent/bittorrent.c:180
+msgid "The number of seconds to pause between sending keepalive messages."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:179
-#, fuzzy
+#: src/protocol/bittorrent/bittorrent.c:183
 msgid "Number of pending requests"
-msgstr "Palvelin ksittelee pyynt"
+msgstr "Odottavien pyyntjen mr"
 
-#: src/protocol/bittorrent/bittorrent.c:181
+#: src/protocol/bittorrent/bittorrent.c:185
 msgid ""
-"How many piece requests to continuously keep in queue. Pipelining\n"
-"of requests is essential to saturate connections and get a good\n"
-"connection performance and thus a faster download. However, a\n"
-"very big queue size can lead to wasting bandwidth near the end\n"
-"of the connection since remaining piece blocks will be requested\n"
-"from multiple peers."
+"How many piece requests to continuously keep in queue. Pipelining of "
+"requests is essential to saturate connections and get a good connection "
+"performance and thus a faster download. However, a very big queue size can "
+"lead to wasting bandwidth near the end of the connection since remaining "
+"piece blocks will be requested from multiple peers."
 msgstr ""
 
 #. Bram uses 30 seconds here.
-#: src/protocol/bittorrent/bittorrent.c:190
+#: src/protocol/bittorrent/bittorrent.c:194
 msgid "Peer snubbing interval"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:192
+#: src/protocol/bittorrent/bittorrent.c:196
 msgid ""
-"The number of seconds to wait for file data before assuming\n"
-"the peer has been snubbed."
+"The number of seconds to wait for file data before assuming the peer has "
+"been snubbed."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:195
+#: src/protocol/bittorrent/bittorrent.c:199
 #, fuzzy
 msgid "Peer choke interval"
 msgstr "Tallennusvli"
 
-#: src/protocol/bittorrent/bittorrent.c:197
+#: src/protocol/bittorrent/bittorrent.c:201
 msgid ""
-"The number of seconds between updating the connection state\n"
-"and most importantly choke and unchoke peer connections. The\n"
-"choke period should be big enough for newly unchoked connections\n"
-"to get started but small enough to not allow freeriders too much\n"
-"room for stealing bandwidth."
+"The number of seconds between updating the connection state and most "
+"importantly choke and unchoke peer connections. The choke period should be "
+"big enough for newly unchoked connections to get started but small enough to "
+"not allow freeriders too much room for stealing bandwidth."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:203
+#: src/protocol/bittorrent/bittorrent.c:207
 msgid "Rarest first piece selection cutoff"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:205
+#: src/protocol/bittorrent/bittorrent.c:209
 msgid ""
-"The number of pieces to obtain before switching piece\n"
-"selection strategy from random to rarest first."
+"The number of pieces to obtain before switching piece selection strategy "
+"from random to rarest first."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:208 src/protocol/http/http.c:109
+#: src/protocol/bittorrent/bittorrent.c:212 src/protocol/http/http.c:109
 msgid "Allow blacklisting"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:210
+#: src/protocol/bittorrent/bittorrent.c:214
 msgid "Allow blacklisting of buggy peers."
 msgstr ""
 
@@ -6904,7 +6824,7 @@ msgstr "Tiedostot"
 msgid "Comment"
 msgstr "Kommentti"
 
-#: src/protocol/bittorrent/dialogs.c:229 src/session/download.c:362
+#: src/protocol/bittorrent/dialogs.c:229 src/session/download.c:388
 #, c-format
 msgid ""
 "Download complete:\n"
@@ -6950,11 +6870,11 @@ msgid "Peers"
 msgstr ""
 
 #: src/protocol/bittorrent/dialogs.c:319
-#, fuzzy, c-format
+#, c-format
 msgid "%u connection"
 msgid_plural "%u connections"
-msgstr[0] "yhteydet"
-msgstr[1] "yhteydet"
+msgstr[0] "%u yhteys"
+msgstr[1] "%u yhteytt"
 
 #: src/protocol/bittorrent/dialogs.c:329 src/protocol/bittorrent/dialogs.c:345
 #, c-format
@@ -7074,7 +6994,7 @@ msgid_plural "%u unavailable"
 msgstr[0] "%u ei saatavana"
 msgstr[1] "%u ei saatavana"
 
-#: src/protocol/bittorrent/dialogs.c:584 src/session/session.c:278
+#: src/protocol/bittorrent/dialogs.c:584 src/session/session.c:279
 #, fuzzy, c-format
 msgid "Unable to retrieve %s"
 msgstr "Asetustiedoston kirjoitus ei onnistu"
@@ -7089,7 +7009,7 @@ msgstr "Mit haluat tehd tiedostolla \"
 msgid "Information about the torrent"
 msgstr "Nyt tietoja nykyisest sivusta"
 
-#: src/protocol/bittorrent/dialogs.c:776 src/session/download.c:1106
+#: src/protocol/bittorrent/dialogs.c:776 src/session/download.c:1132
 msgid "What to do?"
 msgstr "Mit tehd?"
 
@@ -7099,12 +7019,12 @@ msgid "Down~load"
 msgstr "~Lataa"
 
 #. accelerator_context(src/protocol/bittorrent/dialogs.c:bittorrent_query_callback, src/session/download.c:do_type_query)
-#: src/protocol/bittorrent/dialogs.c:804 src/session/download.c:1209
+#: src/protocol/bittorrent/dialogs.c:804 src/session/download.c:1235
 msgid "~Display"
 msgstr "~Nyt"
 
 #. accelerator_context(src/protocol/bittorrent/dialogs.c:bittorrent_query_callback, src/session/download.c:do_type_query)
-#: src/protocol/bittorrent/dialogs.c:808 src/session/download.c:1213
+#: src/protocol/bittorrent/dialogs.c:808 src/session/download.c:1239
 msgid "Show ~header"
 msgstr "Nyt ~otsake"
 
@@ -7120,16 +7040,16 @@ msgstr "Paikallista CGI:t koskevat aset
 msgid "Colon separated list of directories, where CGI scripts are stored."
 msgstr ""
 
-#: src/protocol/file/cgi.c:47
+#: src/protocol/file/cgi.c:48
 msgid "Allow local CGI"
 msgstr "Salli paikallinen CGI"
 
-#: src/protocol/file/cgi.c:49
+#: src/protocol/file/cgi.c:50
 msgid "Whether to execute local CGI scripts."
 msgstr ""
 
 #. name:
-#: src/protocol/file/cgi.c:54
+#: src/protocol/file/cgi.c:55
 msgid "CGI"
 msgstr ""
 
@@ -7139,7 +7059,7 @@ msgstr "Paikalliset tiedostot"
 
 #: src/protocol/file/file.c:42
 msgid "Options specific to local browsing."
-msgstr ""
+msgstr "Vain paikallista selausta koskevat asetukset."
 
 #: src/protocol/file/file.c:44
 msgid "Allow reading special files"
@@ -7147,9 +7067,8 @@ msgstr "Anna lukea erikoistiedostoja"
 
 #: src/protocol/file/file.c:46
 msgid ""
-"Whether to allow reading from non-regular files.\n"
-"Note this can be dangerous; reading /dev/urandom or\n"
-"/dev/zero can ruin your day!"
+"Whether to allow reading from non-regular files. Note this can be dangerous; "
+"reading /dev/urandom or /dev/zero can ruin your day!"
 msgstr ""
 
 # Unixissa tiedosto on piilossa, jos sen nimi alkaa pisteell.
@@ -7161,8 +7080,8 @@ msgstr "Nyt piilotiedostot hakemistoli
 
 #: src/protocol/file/file.c:52
 msgid ""
-"When set to false, files with name starting with a dot will be\n"
-"hidden in local directory listings."
+"When set to false, files with name starting with a dot will be hidden in "
+"local directory listings."
 msgstr ""
 
 #: src/protocol/file/file.c:55
@@ -7172,13 +7091,13 @@ msgstr "Ei tiedostoptteit"
 
 #: src/protocol/file/file.c:57
 msgid ""
-"When set, if we can't open a file named 'filename', we'll try\n"
-"to open 'filename' with some encoding extension appended\n"
-"(ie. 'filename.gz'); it depends on the supported encodings."
+"When set, if we can't open a file named 'filename', we'll try to open "
+"'filename' with some encoding extension appended (ie. 'filename.gz'); it "
+"depends on the supported encodings."
 msgstr ""
 
 #. name:
-#: src/protocol/file/file.c:65
+#: src/protocol/file/file.c:66
 msgid "File"
 msgstr "Tiedosto"
 
@@ -7205,12 +7124,11 @@ msgstr "Lajittele"
 # Tiedostoa ei siis voi piilottaa muuttamatta sen nime.
 # Siksi tss ei ole "piilotetut tiedostot".
 #: src/protocol/fsp/fsp.c:51
-#, fuzzy
 msgid "Whether to sort entries in directory listings."
-msgstr "Nyt piilotiedostot hakemistolistauksissa"
+msgstr "Aakkostetaanko nimet hakemistolistauksissa."
 
 #. name:
-#: src/protocol/ftp/ftp.c:56 src/protocol/ftp/ftp.c:86
+#: src/protocol/ftp/ftp.c:56 src/protocol/ftp/ftp.c:89
 msgid "FTP"
 msgstr ""
 
@@ -7218,8 +7136,8 @@ msgstr ""
 msgid "FTP specific options."
 msgstr ""
 
-#: src/protocol/ftp/ftp.c:60 src/protocol/http/http.c:127
-#: src/protocol/http/http.c:209
+#: src/protocol/ftp/ftp.c:60 src/protocol/http/http.c:128
+#: src/protocol/http/http.c:235
 msgid "Proxy configuration"
 msgstr ""
 
@@ -7227,39 +7145,39 @@ msgstr ""
 msgid "FTP proxy configuration."
 msgstr ""
 
-#: src/protocol/ftp/ftp.c:64 src/protocol/http/http.c:131
-#: src/protocol/http/http.c:213
+#: src/protocol/ftp/ftp.c:64 src/protocol/http/http.c:132
+#: src/protocol/http/http.c:239
 #, fuzzy
 msgid "Host and port-number"
 msgstr "Palvelin ja portin numero"
 
 #: src/protocol/ftp/ftp.c:66
 msgid ""
-"Host and port-number (host:port) of the FTP proxy, or blank.\n"
-"If it's blank, FTP_PROXY environment variable is checked as well."
+"Host and port-number (host:port) of the FTP proxy, or blank. If it's blank, "
+"FTP_PROXY environment variable is checked as well."
 msgstr ""
 
-#: src/protocol/ftp/ftp.c:69
+#: src/protocol/ftp/ftp.c:70
 msgid "Anonymous password"
 msgstr ""
 
-#: src/protocol/ftp/ftp.c:71
+#: src/protocol/ftp/ftp.c:72
 msgid "FTP anonymous password to be sent."
 msgstr ""
 
-#: src/protocol/ftp/ftp.c:73
+#: src/protocol/ftp/ftp.c:74
 msgid "Use passive mode (IPv4)"
 msgstr ""
 
-#: src/protocol/ftp/ftp.c:75
+#: src/protocol/ftp/ftp.c:76
 msgid "Use PASV instead of PORT (passive vs active mode, IPv4 only)."
 msgstr ""
 
-#: src/protocol/ftp/ftp.c:77
+#: src/protocol/ftp/ftp.c:79
 msgid "Use passive mode (IPv6)"
 msgstr ""
 
-#: src/protocol/ftp/ftp.c:79
+#: src/protocol/ftp/ftp.c:81
 msgid "Use EPSV instead of EPRT (passive vs active mode, IPv6 only)."
 msgstr ""
 
@@ -7286,7 +7204,7 @@ msgid ""
 msgstr ""
 
 #. name:
-#: src/protocol/http/http.c:95 src/protocol/http/http.c:223
+#: src/protocol/http/http.c:95 src/protocol/http/http.c:250
 msgid "HTTP"
 msgstr "HTTP"
 
@@ -7308,11 +7226,11 @@ msgstr "l lhet Accept-Charseti"
 
 #: src/protocol/http/http.c:106
 msgid ""
-"The Accept-Charset header is quite long and sending it can trigger\n"
-"bugs in some rarely found servers."
+"The Accept-Charset header is quite long and sending it can trigger bugs in "
+"some rarely found servers."
 msgstr ""
-"Accept-Charset-otsake on aika pitk, ja sen saadessaan jotkin\n"
-"harvinaiset palvelimet voivat toimia vrin."
+"Accept-Charset-otsake on aika pitk, ja sen saadessaan jotkin harvinaiset "
+"palvelimet voivat toimia vrin."
 
 #: src/protocol/http/http.c:111
 msgid "Allow blacklisting of buggy servers."
@@ -7324,70 +7242,70 @@ msgstr ""
 
 #: src/protocol/http/http.c:115
 msgid ""
-"Broken 302 redirect (violates RFC but compatible with Netscape).\n"
-"This is a problem for a lot of web discussion boards and the like.\n"
-"If they will do strange things to you, try to play with this."
+"Broken 302 redirect (violates RFC but compatible with Netscape). This is a "
+"problem for a lot of web discussion boards and the like. If they will do "
+"strange things to you, try to play with this."
 msgstr ""
 
-#: src/protocol/http/http.c:119
+#: src/protocol/http/http.c:120
 msgid "No keepalive after POST requests"
 msgstr ""
 
-#: src/protocol/http/http.c:121
+#: src/protocol/http/http.c:122
 msgid "Disable keepalive connection after POST request."
 msgstr ""
 
-#: src/protocol/http/http.c:123
+#: src/protocol/http/http.c:124
 msgid "Use HTTP/1.0"
-msgstr ""
+msgstr "Kyt HTTP/1.0:aa"
 
-#: src/protocol/http/http.c:125
+#: src/protocol/http/http.c:126
 msgid "Use HTTP/1.0 protocol instead of HTTP/1.1."
-msgstr ""
+msgstr "Kyt HTTP/1.0-protokollaa HTTP/1.1:n sijasta."
 
-#: src/protocol/http/http.c:129
+#: src/protocol/http/http.c:130
 msgid "HTTP proxy configuration."
-msgstr ""
+msgstr "HTTP-vlipalvelimen asetus."
 
-#: src/protocol/http/http.c:133
+#: src/protocol/http/http.c:134
 msgid ""
-"Host and port-number (host:port) of the HTTP proxy, or blank.\n"
-"If it's blank, HTTP_PROXY environment variable is checked as well."
+"Host and port-number (host:port) of the HTTP proxy, or blank. If it's blank, "
+"HTTP_PROXY environment variable is checked as well."
 msgstr ""
 
-#: src/protocol/http/http.c:136
+#: src/protocol/http/http.c:138
 msgid "Username"
 msgstr "Kyttjtunnus"
 
-#: src/protocol/http/http.c:138
+#: src/protocol/http/http.c:140
 msgid "Proxy authentication username."
 msgstr ""
 
-#: src/protocol/http/http.c:142
+#: src/protocol/http/http.c:144
 msgid "Proxy authentication password."
 msgstr ""
 
 # Koska tm on "Referer" eik "Referrer", kyseess lienee HTTP:ss
 # kytetty otsakkeen nimi, joten en suomenna.
-#: src/protocol/http/http.c:145
+#: src/protocol/http/http.c:147
 msgid "Referer sending"
 msgstr "Refererin lhetys"
 
-#: src/protocol/http/http.c:147
+#: src/protocol/http/http.c:149
 msgid ""
-"HTTP referer sending options. HTTP referer is a special header\n"
-"sent in the HTTP requests, which is supposed to contain the previous\n"
-"page visited by the browser. This way, the server can know what link\n"
-"did you follow when accessing that page. However, this behaviour\n"
-"can unfortunately considerably affect privacy and can lead even to a\n"
-"security problem on some badly designed web pages."
+"HTTP referer sending options. HTTP referer is a special header sent in the "
+"HTTP requests, which is supposed to contain the previous page visited by the "
+"browser.This way, the server can know what link did you follow when "
+"accessing that page. However, this behaviour can unfortunately considerably "
+"affect privacy and can lead even to a security problem on some badly "
+"designed web pages."
 msgstr ""
 
-#: src/protocol/http/http.c:154
+#: src/protocol/http/http.c:157
 msgid "Policy"
 msgstr ""
 
-#: src/protocol/http/http.c:157
+#: src/protocol/http/http.c:160
 msgid ""
 "Mode of sending HTTP referer:\n"
 "0 is send no referer\n"
@@ -7396,90 +7314,110 @@ msgid ""
 "3 is send previous URL as referer (correct, but insecure)"
 msgstr ""
 
-#: src/protocol/http/http.c:163
+#: src/protocol/http/http.c:166
 msgid "Fake referer URL"
 msgstr ""
 
-#: src/protocol/http/http.c:165
+#: src/protocol/http/http.c:168
 msgid "Fake referer to be sent when policy is 2."
 msgstr ""
 
-#: src/protocol/http/http.c:168
+#: src/protocol/http/http.c:171
 msgid "Send Accept-Language header"
 msgstr ""
 
-#: src/protocol/http/http.c:170
+#: src/protocol/http/http.c:173
 msgid "Send Accept-Language header."
 msgstr ""
 
-#: src/protocol/http/http.c:172
+#: src/protocol/http/http.c:175
 msgid "Use UI language as Accept-Language"
 msgstr ""
 
-#: src/protocol/http/http.c:174
+#: src/protocol/http/http.c:177
+msgid ""
+"Request localised versions of documents from web-servers (using the Accept-"
+"Language header) using the language you have configured for ELinks' user-"
+"interface (this also affects navigator.language ECMAScript value available "
+"to scripts). Note that some see this as a potential security risk because it "
+"tells web-masters and the FBI sniffers about your language preference."
+msgstr ""
+
+#. After the compression support has been tested enough,
+#. * we might wrap this option in #if CFG_DEBUG.
+#: src/protocol/http/http.c:187
+msgid "Enable on-the-fly compression"
+msgstr ""
+
+#: src/protocol/http/http.c:189
 msgid ""
-"Request localised versions of documents from web-servers (using the\n"
-"Accept-Language header) using the language you have configured for\n"
-"ELinks' user-interface (this also affects navigator.language ECMAScript\n"
-"value available to scripts). Note that some see this as a potential\n"
-"security risk because it tells web-masters and the FBI sniffers about\n"
-"your language preference."
+"If enabled, the capability to receive compressed content (gzip and/or bzip2) "
+"is announced to the server, which usually sends the reply compressed, thus "
+"saving some bandwidth at slight CPU expense.\n"
+"\n"
+"If ELinks displays a incomplete page or garbage, try disabling this option. "
+"If that helps, there may be a bug in the decompression part of ELinks. "
+"Please report such bugs.\n"
+"\n"
+"If ELinks has been compiled without compression support, this option has no "
+"effect. To check the supported features, see Help -> About."
 msgstr ""
 
-#: src/protocol/http/http.c:181
+#: src/protocol/http/http.c:202
 msgid "Activate HTTP TRACE debugging"
 msgstr ""
 
-#: src/protocol/http/http.c:183
+#: src/protocol/http/http.c:204
 msgid ""
-"If active, all HTTP requests are sent with TRACE as their method\n"
-"rather than GET or POST. This is useful for debugging of both ELinks\n"
-"and various server-side scripts --- the server only returns the client's\n"
-"request back to the client verbatim. Note that this type of request may\n"
-"not be enabled on all servers."
+"If active, all HTTP requests are sent with TRACE as their method rather than "
+"GET or POST. This is useful for debugging of both ELinks and various server-"
+"side scripts --- the server only returns the client's request back to the "
+"client verbatim. Note that this type of request may not be enabled on all "
+"servers."
 msgstr ""
 
 #. OSNews.com is supposed to be relying on the textmode token, at least.
-#: src/protocol/http/http.c:190
+#: src/protocol/http/http.c:212
 msgid "User-agent identification"
 msgstr ""
 
-#: src/protocol/http/http.c:192
+#: src/protocol/http/http.c:214
 msgid ""
-"Change the User Agent ID. That means identification string, which\n"
-"is sent to HTTP server when a document is requested. The 'textmode'\n"
-"token in the first field is our silent attempt to establish this as\n"
-"a standard for new textmode user agents, so that the webmasters can\n"
-"have just a single uniform test for these if they are e.g. pushing\n"
-"some lite version to them automagically.\n"
+"Change the User Agent ID. That means identification string, which is sent to "
+"HTTP server when a document is requested. The 'textmode' token in the first "
+"field is our silent attempt to establish this as a standard for new textmode "
+"user agents, so that the webmasters can have just a single uniform test for "
+"these if they are e.g. pushing some lite version to them automagically.\n"
+"\n"
 "Use \" \" if you don't want any User-Agent header to be sent at all.\n"
+"\n"
 "%v in the string means ELinks version,\n"
 "%s in the string means system identification,\n"
 "%t in the string means size of the terminal,\n"
 "%b in the string means number of bars displayed by ELinks."
 msgstr ""
 
-#: src/protocol/http/http.c:205
+#: src/protocol/http/http.c:231
 msgid "HTTPS"
 msgstr "HTTPS"
 
-#: src/protocol/http/http.c:207
+#: src/protocol/http/http.c:233
 #, fuzzy
 msgid "HTTPS-specific options."
 msgstr "Ei ohjelmaa osoitettu"
 
-#: src/protocol/http/http.c:211
+#: src/protocol/http/http.c:237
 msgid "HTTPS proxy configuration."
 msgstr ""
 
-#: src/protocol/http/http.c:215
+#: src/protocol/http/http.c:241
 msgid ""
-"Host and port-number (host:port) of the HTTPS CONNECT proxy, or blank.\n"
-"If it's blank, HTTPS_PROXY environment variable is checked as well."
+"Host and port-number (host:port) of the HTTPS CONNECT proxy, or blank. If "
+"it's blank, HTTPS_PROXY environment variable is checked as well."
 msgstr ""
 
 #. name:
-#: src/protocol/nntp/nntp.c:32 src/protocol/nntp/nntp.c:65
+#: src/protocol/nntp/nntp.c:32 src/protocol/nntp/nntp.c:66
 msgid "NNTP"
 msgstr "NNTP"
 
@@ -7493,19 +7431,19 @@ msgstr ""
 
 #: src/protocol/nntp/nntp.c:38
 msgid ""
-"Used when resolving news: URIs. If set to the empty string\n"
-"the value of the NNTPSERVER environment variable will be used."
+"Used when resolving news: URIs. If set to the empty string the value of the "
+"NNTPSERVER environment variable will be used."
 msgstr ""
 
-#: src/protocol/nntp/nntp.c:41
+#: src/protocol/nntp/nntp.c:42
 msgid "Message header entries"
 msgstr ""
 
-#: src/protocol/nntp/nntp.c:43
+#: src/protocol/nntp/nntp.c:44
 msgid ""
-"Comma separated list of which entries in the article header\n"
-"to show. E.g. 'Subject' and 'From'.\n"
-"All header entries can be read in the header info dialog."
+"Comma separated list of which entries in the article header to show. E.g. "
+"'Subject' and 'From'. All header entries can be read in the header info "
+"dialog."
 msgstr ""
 
 # protokollan?
@@ -7528,10 +7466,9 @@ msgstr "Vlipalvelimettomat verkkoalueet
 
 #: src/protocol/protocol.c:279
 msgid ""
-"Comma separated list of domains for which the proxy (HTTP/FTP)\n"
-"should be disabled. Optionally, a port can be specified for some\n"
-"domains as well. If it's blank, NO_PROXY environment variable is\n"
-"checked as well."
+"Comma separated list of domains for which the proxy (HTTP/FTP) should be "
+"disabled. Optionally, a port can be specified for some domains as well. If "
+"it's blank, NO_PROXY environment variable is checked as well."
 msgstr ""
 
 #. name:
@@ -7545,47 +7482,45 @@ msgstr ""
 
 #: src/protocol/rewrite/rewrite.c:46
 msgid ""
-"Rules for rewriting URIs entered in the goto dialog.\n"
-"It makes it possible to define a set of prefixes that will\n"
-"be expanded if they match a string entered in the goto dialog.\n"
-"The prefixes can be dumb, meaning that they work only like\n"
-"URI abbreviations, or smart ones, making it possible to pass\n"
+"Rules for rewriting URIs entered in the goto dialog. It makes it possible to "
+"define a set of prefixes that will be expanded if they match a string "
+"entered in the goto dialog. The prefixes can be dumb, meaning that they work "
+"only like URI abbreviations, or smart ones, making it possible to pass "
 "arguments to them like search engine keywords."
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:53
+#: src/protocol/rewrite/rewrite.c:54
 msgid "Enable dumb prefixes"
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:55
+#: src/protocol/rewrite/rewrite.c:56
 msgid ""
-"Enable dumb prefixes - simple URI abbreviations which can\n"
-"be written to the Goto URL dialog instead of actual URIs - i.e.\n"
-"if you write 'elinks' there, you are directed to\n"
-"http://elinks.cz/."
+"Enable dumb prefixes - simple URI abbreviations which can be written to the "
+"Goto URL dialog instead of actual URIs - i.e. if you write 'elinks' there, "
+"you are directed to http://elinks.cz/."
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:60
+#: src/protocol/rewrite/rewrite.c:61
 msgid "Enable smart prefixes"
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:62
+#: src/protocol/rewrite/rewrite.c:63
 msgid ""
-"Enable smart prefixes - URI templates triggered by writing\n"
-"given abbreviation to the Goto URL dialog followed by a list\n"
-"of arguments from which the actual URI is composed - i.e.\n"
-"'gg:search keywords' or 'gn search keywords for news'."
+"Enable smart prefixes - URI templates triggered by writing given "
+"abbreviation to the Goto URL dialog followed by a list of arguments from "
+"which the actual URI is composed - i.e. 'gg:search keywords' or 'gn search "
+"keywords for news'."
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:67
+#: src/protocol/rewrite/rewrite.c:69
 msgid "Dumb Prefixes"
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:69
+#: src/protocol/rewrite/rewrite.c:71
 msgid "Dumb prefixes, see enable-dumb description for details."
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:74
+#: src/protocol/rewrite/rewrite.c:76
 #, no-c-format
 msgid ""
 "Replacement URI for this dumbprefix:\n"
@@ -7593,15 +7528,15 @@ msgid ""
 "%% in the string means '%'"
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:78
+#: src/protocol/rewrite/rewrite.c:80
 msgid "Smart Prefixes"
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:80
+#: src/protocol/rewrite/rewrite.c:82
 msgid "Smart prefixes, see enable-smart description for details."
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:87
+#: src/protocol/rewrite/rewrite.c:90
 #, no-c-format
 msgid ""
 "Replacement URI for this smartprefix:\n"
@@ -7611,26 +7546,28 @@ msgid ""
 "%% in the string means '%'"
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:93
+#: src/protocol/rewrite/rewrite.c:96
 msgid "Default template"
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:96
+#: src/protocol/rewrite/rewrite.c:99
 #, no-c-format
 msgid ""
-"Default URI template used when the string entered in\n"
-"the goto dialog does not appear to be a URI or a filename\n"
-"(i.e. contains no '.', ':' or '/' characters), and does\n"
-"not match any defined prefixes. Set the value to \"\" to\n"
-"disable use of the default template rewrite rule.\n"
+"Default URI template used when the string entered in the goto dialog does "
+"not appear to be a URI or a filename (i.e. contains no '.', ':' or '/' "
+"characters), and does not match any defined prefixes. Set the value to \"\" "
+"to disable use of the default template rewrite rule.\n"
+"\n"
 "%c in the template means the current URL,\n"
-"%s in the template means the whole string from the goto dialog,\n"
-"%0,%1,...,%9 mean the 1st,2nd,...,10th space-delimited part of %s,\n"
+"%s in the template means the whole string from the goto\n"
+"   dialog,\n"
+"%0,%1,...,%9 mean the 1st,2nd,...,10th space-delimited part\n"
+"   of %s,\n"
 "%% in the template means '%'."
 msgstr ""
 
 #. name:
-#: src/protocol/rewrite/rewrite.c:372
+#: src/protocol/rewrite/rewrite.c:378
 msgid "URI rewrite"
 msgstr ""
 
@@ -7653,24 +7590,23 @@ msgid "Credentials file passed to smbcli
 msgstr ""
 
 #. name:
-#: src/protocol/user.c:34 src/protocol/user.c:84
+#: src/protocol/user.c:34 src/protocol/user.c:85
 msgid "User protocols"
 msgstr ""
 
 #: src/protocol/user.c:36
 msgid ""
-"User protocols. Options in this tree specify external\n"
-"handlers for the appropriate protocols. Ie.\n"
-"protocol.user.mailto.unix."
+"User protocols. Options in this tree specify external handlers for the "
+"appropriate protocols. Ie. protocol.user.mailto.unix."
 msgstr ""
 
 #: src/protocol/user.c:47
 msgid ""
-"Handler (external program) for this protocol. Name the\n"
-"options in this tree after your system (ie. unix, unix-xwin)."
+"Handler (external program) for this protocol. Name the options in this tree "
+"after your system (ie. unix, unix-xwin)."
 msgstr ""
 
-#: src/protocol/user.c:52
+#: src/protocol/user.c:53
 msgid ""
 "Handler (external program) for this protocol and system.\n"
 "%f in the string means file name to include form data from\n"
@@ -7681,20 +7617,19 @@ msgid ""
 "%u in the string means the whole URL"
 msgstr ""
 
-#: src/protocol/user.c:276
+#: src/protocol/user.c:277
 msgid "No program"
 msgstr "Ei ohjelmaa"
 
-#: src/protocol/user.c:278
+#: src/protocol/user.c:279
 #, fuzzy, c-format
 msgid "No program specified for protocol %s."
 msgstr "Ei ohjelmaa osoitettu"
 
 #. name:
 #: src/scripting/guile/guile.c:16
-#, fuzzy
 msgid "Guile"
-msgstr "Tiedosto"
+msgstr "Guile"
 
 #: src/scripting/lua/core.c:321 src/scripting/python/keybinding.c:151
 #, fuzzy
@@ -7766,16 +7701,15 @@ msgstr ""
 
 #. name:
 #: src/scripting/smjs/smjs.c:16
-#, fuzzy
 msgid "Spidermonkey ECMAScript"
-msgstr "ECMAScript"
+msgstr ""
 
-#: src/session/download.c:233 src/session/download.c:330
-#: src/session/download.c:561 src/session/download.c:649
+#: src/session/download.c:256 src/session/download.c:356
+#: src/session/download.c:587 src/session/download.c:675
 msgid "Download error"
 msgstr "Vastaanottovirhe"
 
-#: src/session/download.c:234 src/session/download.c:650
+#: src/session/download.c:257 src/session/download.c:676
 #, c-format
 msgid ""
 "Could not create file '%s':\n"
@@ -7784,7 +7718,7 @@ msgstr ""
 "Tiedostoa \"%s\" ei voi perustaa:\n"
 "%s"
 
-#: src/session/download.c:331
+#: src/session/download.c:357
 #, c-format
 msgid ""
 "Error downloading %s:\n"
@@ -7795,16 +7729,16 @@ msgstr ""
 "\n"
 "%s"
 
-#: src/session/download.c:562
+#: src/session/download.c:588
 #, c-format
 msgid "'%s' is a directory."
 msgstr "\"%s\" on hakemisto."
 
-#: src/session/download.c:596
+#: src/session/download.c:622
 msgid "File exists"
 msgstr "Tiedosto on olemassa"
 
-#: src/session/download.c:597
+#: src/session/download.c:623
 #, c-format
 msgid ""
 "This file already exists:\n"
@@ -7820,51 +7754,50 @@ msgstr ""
 "%s"
 
 #. accelerator_context(src/session/download.c:lookup_unique_name)
-#: src/session/download.c:604
+#: src/session/download.c:630
 msgid "Sa~ve under the alternative name"
 msgstr "~Tallenna vaihtoehtoisella nimell"
 
 #. accelerator_context(src/session/download.c:lookup_unique_name)
-#: src/session/download.c:605
+#: src/session/download.c:631
 msgid "~Overwrite the original file"
 msgstr "~Kirjoita alkuperisen tiedoston plle"
 
 #. accelerator_context(src/session/download.c:lookup_unique_name)
-#: src/session/download.c:606
+#: src/session/download.c:632
 msgid "~Resume download of the original file"
 msgstr "~Jatka alkuperisen tiedoston latausta"
 
-#: src/session/download.c:1109
+#: src/session/download.c:1135
 msgid "Unknown type"
 msgstr "Tuntematon tyyppi"
 
-#: src/session/download.c:1134
+#: src/session/download.c:1160
 #, c-format
 msgid "What would you like to do with the file '%s' (type: %s%s%s)?"
 msgstr "Mit haluat tehd tiedostolla \"%s\" (tyyppi: %s%s%s)?"
 
-#: src/session/download.c:1137
-#, fuzzy, c-format
+#: src/session/download.c:1163
+#, c-format
 msgid "What would you like to do with the file (type: %s%s%s)?"
-msgstr "Mit haluat tehd tiedostolla \"%s\" (tyyppi: %s%s%s)?"
+msgstr "Mit haluat tehd tiedostolla (tyyppi: %s%s%s)?"
 
-#: src/session/download.c:1165
+#: src/session/download.c:1191
 #, no-c-format
 msgid "Program ('%' will be replaced by the filename)"
 msgstr "Ohjelma (\"%\" korvataan tiedoston nimell)"
 
-#: src/session/download.c:1169
-#, fuzzy
+#: src/session/download.c:1195
 msgid "Block the terminal"
 msgstr "Varaa pte"
 
-#: src/session/download.c:1175
+#: src/session/download.c:1201
 #, c-format
 msgid "The file will be opened with the program '%s'."
 msgstr "Tiedosto avataan ohjelmalla \"%s\"."
 
 #. accelerator_context(src/session/download.c:do_type_query)
-#: src/session/download.c:1196
+#: src/session/download.c:1222
 msgid "~Open"
 msgstr "~Avaa"
 
@@ -7872,12 +7805,12 @@ msgstr "~Avaa"
 #. * and formatting it with "%u" is safe,
 #. * because fc_maxlength is smaller than
 #. * file.length, which is an int.
-#: src/session/session.c:761 src/session/session.c:780 src/session/task.c:275
-#: src/viewer/text/textarea.c:652
+#: src/session/session.c:771 src/session/session.c:790 src/session/task.c:275
+#: src/viewer/text/textarea.c:641
 msgid "Warning"
 msgstr "Varoitus"
 
-#: src/session/session.c:762
+#: src/session/session.c:772
 msgid ""
 "You have an empty string in protocol.http.user_agent - this was a default "
 "value in the past, substituted by default ELinks User-Agent string. However, "
@@ -7888,7 +7821,7 @@ msgid ""
 "will be used. Apologies for any inconvience caused."
 msgstr ""
 
-#: src/session/session.c:781
+#: src/session/session.c:791
 msgid ""
 "You have option config.saving_style set to a de facto obsolete value. The "
 "configuration saving algorithms of ELinks were changed from the last time "
@@ -7901,11 +7834,11 @@ msgid ""
 "caused."
 msgstr ""
 
-#: src/session/session.c:806
+#: src/session/session.c:816
 msgid "Welcome"
 msgstr "Tervetuloa"
 
-#: src/session/session.c:807
+#: src/session/session.c:817
 msgid ""
 "Welcome to ELinks!\n"
 "\n"
@@ -7962,22 +7895,22 @@ msgstr ""
 msgid "Warning: terminal name contains illicit chars."
 msgstr ""
 
-#: src/terminal/event.c:259
+#: src/terminal/event.c:258
 #, c-format
 msgid "Failed to create session."
 msgstr ""
 
-#: src/terminal/event.c:446
+#: src/terminal/event.c:443
 #, c-format
 msgid "Bad event %d"
 msgstr ""
 
-#: src/terminal/event.c:486
+#: src/terminal/event.c:483
 #, fuzzy, c-format
 msgid "Could not read event: %d (%s)"
 msgstr "Tiedostoon kirjoitus eponnistui"
 
-#: src/terminal/kbd.c:1187
+#: src/terminal/kbd.c:1210
 #, c-format
 msgid "Too many bytes read from the itrm!"
 msgstr ""
@@ -7995,9 +7928,8 @@ msgid "Cannot read the file"
 msgstr "Virhe tiedostosta lukiessa"
 
 #: src/util/secsave.c:369
-#, fuzzy
 msgid "Cannot get file status"
-msgstr "Tpselin tilaa ei saada"
+msgstr "Tiedoston tilaa ei voi tarkistaa"
 
 #: src/util/secsave.c:371
 #, fuzzy
@@ -8029,14 +7961,14 @@ msgid "Secure file saving error"
 msgstr "FTP tiedostovirhe"
 
 #: src/viewer/dump/dump.c:87
-#, fuzzy, c-format
+#, c-format
 msgid "Can't write to stdout: %s"
-msgstr "Tpseliin kirjoitus ei onnistu"
+msgstr "Oletustulostukseen ei voi kirjoittaa: %s"
 
 #: src/viewer/dump/dump.c:90
-#, fuzzy, c-format
+#, c-format
 msgid "Can't write to stdout."
-msgstr "Tpseliin kirjoitus ei onnistu"
+msgstr "Oletustulostukseen ei voi kirjoittaa."
 
 #: src/viewer/dump/dump.c:286
 #, c-format
@@ -8053,202 +7985,201 @@ msgstr "Ei kehyksi"
 msgid "The requested fragment \"%s\" doesn't exist."
 msgstr ""
 
-#: src/viewer/text/form.c:1092
+#: src/viewer/text/form.c:1118
 msgid "Error while posting form"
 msgstr "Virhe lomaketta lhetettess"
 
-#: src/viewer/text/form.c:1093
+#: src/viewer/text/form.c:1119
 #, fuzzy, c-format
 msgid "Could not load file %s: %s"
 msgstr "Tiedoston haku eponnistui"
 
-#: src/viewer/text/form.c:1847
-#, fuzzy
+#: src/viewer/text/form.c:1876
 msgid "Reset form"
 msgstr "Tyhjenn lomake"
 
-#: src/viewer/text/form.c:1849
+#: src/viewer/text/form.c:1878
 msgid "Harmless button"
 msgstr "Harmiton painike"
 
-#: src/viewer/text/form.c:1857
+#: src/viewer/text/form.c:1886
 msgid "Submit form to"
 msgstr "Hyvksy lomake:"
 
-#: src/viewer/text/form.c:1858
+#: src/viewer/text/form.c:1887
 msgid "Post form to"
 msgstr "Lhet lomake:"
 
-#: src/viewer/text/form.c:1860
+#: src/viewer/text/form.c:1889
 msgid "Radio button"
 msgstr "Radionppin"
 
 # kentt, jossa on joukko arvoja, joista pit valita yksi
-#: src/viewer/text/form.c:1864
+#: src/viewer/text/form.c:1893
 msgid "Select field"
 msgstr "Valintakentt"
 
-#: src/viewer/text/form.c:1868
+#: src/viewer/text/form.c:1897
 msgid "Text area"
 msgstr "Tekstialue"
 
-#: src/viewer/text/form.c:1870
+#: src/viewer/text/form.c:1899
 msgid "File upload"
 msgstr "Tiedoston lhetys"
 
-#: src/viewer/text/form.c:1872
+#: src/viewer/text/form.c:1901
 msgid "Password field"
 msgstr "Salasanakentt"
 
-#: src/viewer/text/form.c:1910
+#: src/viewer/text/form.c:1939
 msgid "name"
 msgstr "nimi"
 
-#: src/viewer/text/form.c:1922
+#: src/viewer/text/form.c:1951
 msgid "value"
 msgstr "arvo"
 
-#: src/viewer/text/form.c:1935
+#: src/viewer/text/form.c:1964
 msgid "read only"
 msgstr ""
 
-#: src/viewer/text/form.c:1946
+#: src/viewer/text/form.c:1975
 #, c-format
 msgid "press %s to navigate"
 msgstr ""
 
-#: src/viewer/text/form.c:1948
+#: src/viewer/text/form.c:1977
 #, c-format
 msgid "press %s to edit"
 msgstr "paina %s muokataksesi"
 
-#: src/viewer/text/form.c:1984
-#, fuzzy, c-format
+#: src/viewer/text/form.c:2013
+#, c-format
 msgid "press %s to submit to %s"
-msgstr "hyvksy"
+msgstr "paina %s lhettksesi (GET) osoitteeseen %s"
 
-#: src/viewer/text/form.c:1986
-#, fuzzy, c-format
+#: src/viewer/text/form.c:2015
+#, c-format
 msgid "press %s to post to %s"
-msgstr "hyvksy"
+msgstr "paina %s lhettksesi (POST) osoitteeseen %s"
 
-#: src/viewer/text/form.c:2088
+#: src/viewer/text/form.c:2117
 msgid "Useless button"
 msgstr "Hydytn painike"
 
-#: src/viewer/text/form.c:2090
+#: src/viewer/text/form.c:2119
 msgid "Submit button"
 msgstr "Lhetyspainike"
 
 #. accelerator_context(link_menu.map)
-#: src/viewer/text/link.c:1281
+#: src/viewer/text/link.c:1280
 msgid "Display ~usemap"
 msgstr "Nyt kuvan linkit (~usemap)"
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1286
+#: src/viewer/text/link.c:1285
 msgid "~Follow link"
 msgstr "~Seuraa linkki"
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1288
+#: src/viewer/text/link.c:1287
 msgid "Follow link and r~eload"
 msgstr "Seuraa linkki ja lataa ~uudestaan"
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1292
+#: src/viewer/text/link.c:1291
 msgid "Open in new ~window"
 msgstr "Avaa uuteen ~ikkunaan"
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1294
+#: src/viewer/text/link.c:1293
 msgid "Open in new ~tab"
 msgstr "Avaa uuteen ~vlilehteen"
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1296
+#: src/viewer/text/link.c:1295
 msgid "Open in new tab in ~background"
 msgstr "Avaa uuteen vlilehteen ~taustalla"
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1301
+#: src/viewer/text/link.c:1300
 msgid "~Download link"
 msgstr "~Lataa linkki tiedostoksi"
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1304
+#: src/viewer/text/link.c:1303
 msgid "~Add link to bookmarks"
 msgstr "Lis linkki ~kirjanmerkkeihin"
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1308
+#: src/viewer/text/link.c:1307
 msgid "Pass link URI to e~xternal command"
 msgstr "Anna linkin U~RI ulkoiselle komennolle"
 
 #. accelerator_context(link_menu.form, link_menu.reset, link_menu.textarea)
-#: src/viewer/text/link.c:1319 src/viewer/text/link.c:1359
+#: src/viewer/text/link.c:1318 src/viewer/text/link.c:1358
 msgid "~Reset form"
 msgstr "T~yhjenn lomake"
 
 #. accelerator_context(link_menu.textarea)
-#: src/viewer/text/link.c:1334
+#: src/viewer/text/link.c:1333
 msgid "Open in ~external editor"
 msgstr "~Avaa ulkoisessa muokkausohjelmassa"
 
 #. accelerator_context(link_menu.form, link_menu.textarea)
-#: src/viewer/text/link.c:1342
+#: src/viewer/text/link.c:1341
 msgid "~Submit form"
 msgstr "~Lhet lomake"
 
 #. accelerator_context(link_menu.form, link_menu.textarea)
-#: src/viewer/text/link.c:1343
+#: src/viewer/text/link.c:1342
 msgid "Submit form and rel~oad"
 msgstr "Lhet lomake ja lataa ~uudestaan"
 
 #. accelerator_context(link_menu.form, link_menu.textarea)
-#: src/viewer/text/link.c:1347
+#: src/viewer/text/link.c:1346
 msgid "Submit form and open in new ~window"
 msgstr "Lhet lomake ja avaa uuteen ~ikkunaan"
 
 #. accelerator_context(link_menu.form, link_menu.textarea)
-#: src/viewer/text/link.c:1349
+#: src/viewer/text/link.c:1348
 msgid "Submit form and open in new ~tab"
 msgstr "Lhet lomake ja avaa uuteen ~vlilehteen"
 
 #. accelerator_context(link_menu.form, link_menu.textarea)
-#: src/viewer/text/link.c:1352
+#: src/viewer/text/link.c:1351
 msgid "Submit form and open in new tab in ~background"
 msgstr "Lhet lomake ja avaa uuteen vlilehteen ~taustalla"
 
 #. accelerator_context(link_menu.form, link_menu.textarea)
-#: src/viewer/text/link.c:1357
+#: src/viewer/text/link.c:1356
 msgid "Submit form and ~download"
 msgstr "Lhet lomake ~ja lataa tiedostoksi"
 
 #. accelerator_context(link_menu.form, link_menu.reset, link_menu.textarea)
-#: src/viewer/text/link.c:1364
+#: src/viewer/text/link.c:1363
 msgid "Form f~ields"
 msgstr "Lomakkeen k~entt"
 
 #. accelerator_context(link_menu.form, link_menu.map, link_menu.std)
-#: src/viewer/text/link.c:1371
+#: src/viewer/text/link.c:1370
 msgid "V~iew image"
 msgstr "~Nyt kuva"
 
 #. accelerator_context(link_menu.form, link_menu.map, link_menu.std)
-#: src/viewer/text/link.c:1373
+#: src/viewer/text/link.c:1372
 msgid "Download ima~ge"
 msgstr "Lataa kuv~a tiedostoksi"
 
-#: src/viewer/text/link.c:1382
+#: src/viewer/text/link.c:1381
 msgid "No link selected"
 msgstr "Ei linkki"
 
-#: src/viewer/text/link.c:1452
+#: src/viewer/text/link.c:1451
 msgid "Image"
 msgstr "Kuva"
 
-#: src/viewer/text/link.c:1457
+#: src/viewer/text/link.c:1456
 msgid "Usemap"
 msgstr "Kartta"
 
@@ -8257,85 +8188,85 @@ msgstr "Kartta"
 msgid "Marks"
 msgstr ""
 
-#: src/viewer/text/search.c:1083
+#: src/viewer/text/search.c:1099
 msgid "Search hit top, continuing at bottom."
 msgstr ""
 
-#: src/viewer/text/search.c:1084
+#: src/viewer/text/search.c:1100
 msgid "Search hit bottom, continuing at top."
 msgstr ""
 
-#: src/viewer/text/search.c:1087
+#: src/viewer/text/search.c:1103
 msgid "No previous search"
 msgstr "Ei aikaisempaa hakua"
 
-#: src/viewer/text/search.c:1099
+#: src/viewer/text/search.c:1115
 #, c-format
 msgid "Could not compile regular expression '%s'"
 msgstr ""
 
-#: src/viewer/text/search.c:1143
+#: src/viewer/text/search.c:1159
 #, c-format
 msgid "No further matches for '%s'."
 msgstr ""
 
-#: src/viewer/text/search.c:1145
+#: src/viewer/text/search.c:1161
 #, c-format
 msgid "Could not find a link with the text '%s'."
 msgstr ""
 
-#: src/viewer/text/search.c:1147 src/viewer/text/search.c:1558
+#: src/viewer/text/search.c:1163 src/viewer/text/search.c:1576
 msgid "Typeahead"
 msgstr ""
 
-#: src/viewer/text/search.c:1560
+#: src/viewer/text/search.c:1578
 #, c-format
 msgid "No links in current document"
 msgstr ""
 
-#: src/viewer/text/search.c:1643
+#: src/viewer/text/search.c:1661
 msgid "Search for text"
 msgstr "Etsi teksti"
 
-#: src/viewer/text/search.c:1679
+#: src/viewer/text/search.c:1697
 msgid "Normal search"
 msgstr "Tavallinen haku"
 
-#: src/viewer/text/search.c:1680
+#: src/viewer/text/search.c:1698
 msgid "Regexp search"
 msgstr ""
 
-#: src/viewer/text/search.c:1681
+#: src/viewer/text/search.c:1699
 msgid "Extended regexp search"
 msgstr ""
 
-#: src/viewer/text/search.c:1683
+#: src/viewer/text/search.c:1701
 msgid "Case sensitive"
 msgstr ""
 
-#: src/viewer/text/search.c:1684
+#: src/viewer/text/search.c:1702
 msgid "Case insensitive"
 msgstr ""
 
-#: src/viewer/text/search.c:1708
+#: src/viewer/text/search.c:1726
 msgid "Search backward"
 msgstr "Etsi takaisinpin"
 
 #. name:
-#: src/viewer/text/search.c:1747
+#: src/viewer/text/search.c:1765
 msgid "Search History"
 msgstr "Etsinthistoria"
 
-#: src/viewer/text/textarea.c:595
+#: src/viewer/text/textarea.c:584
 msgid "You cannot launch an external editor in the anonymous mode."
 msgstr ""
 
 # Katso mys erilliset "master terminal" ja "slave terminal".
-#: src/viewer/text/textarea.c:602
+#: src/viewer/text/textarea.c:591
 msgid "You can do this only on the master terminal"
 msgstr "Voit tehd tmn vain isntptteell"
 
-#: src/viewer/text/textarea.c:655
+#: src/viewer/text/textarea.c:644
 #, c-format
 msgid ""
 "You have exceeded the textarea's size limit: your input is %d bytes, but the "
@@ -8353,25 +8284,23 @@ msgstr "Valitse linkki"
 msgid "Enter link number"
 msgstr "Valitse linkkinumero"
 
-#: src/viewer/text/view.c:1627
+#: src/viewer/text/view.c:1628
 msgid "Save error"
 msgstr "Talletusvirhe"
 
-#: src/viewer/text/view.c:1628
+#: src/viewer/text/view.c:1629
 msgid "Error writing to file"
 msgstr "Virhe tiedostoon kirjoittaessa"
 
 #. name:
 #: src/viewer/timer.c:88
-#, fuzzy
 msgid "Timer"
-msgstr "Otsikko"
+msgstr "Ajastin"
 
 #. name:
 #: src/viewer/viewer.c:25
-#, fuzzy
 msgid "Viewer"
-msgstr "~Nyt"
+msgstr ""
 
 #~ msgid "Delete text from clipboard"
 #~ msgstr "Poista teksti leikepydlt"
Binary files 0.12~pre2.dfsg0-1/po/fr.gmo and 0.12~pre4-1/po/fr.gmo differ
diff -pruN 0.12~pre2.dfsg0-1/po/fr.po 0.12~pre4-1/po/fr.po
--- 0.12~pre2.dfsg0-1/po/fr.po	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/po/fr.po	2009-05-31 09:48:47.000000000 +0100
@@ -6,7 +6,7 @@ msgid ""
 msgstr ""
 "Project-Id-Version: ELinks 0.12.GIT\n"
 "Report-Msgid-Bugs-To: elinks-users@linuxfromscratch.org\n"
-"POT-Creation-Date: 2008-09-21 11:13+0300\n"
+"POT-Creation-Date: 2009-05-31 01:57+0300\n"
 "PO-Revision-Date: 2008-03-25 22:30+0100\n"
 "Last-Translator: Laurent Monin <zas@norz.org>\n"
 "Language-Team: French <zas@norz.org>\n"
@@ -38,7 +38,7 @@ msgstr "Pressez espace pour dployer le 
 #: src/mime/dialogs.c:132 src/protocol/auth/dialogs.c:115
 #: src/protocol/protocol.c:246 src/scripting/lua/core.c:399
 #: src/scripting/lua/core.c:480 src/scripting/python/dialogs.c:86
-#: src/session/session.c:811 src/viewer/text/search.c:1686
+#: src/session/session.c:821 src/viewer/text/search.c:1704
 msgid "~OK"
 msgstr "~OK"
 
@@ -55,13 +55,13 @@ msgid "Sorry, but the item \"%s\" is bei
 msgstr "Dsol, mais l'item \"%s\" est actuellement utilis ailleurs."
 
 #. cant_delete_folder
-#: src/bfu/hierbox.c:558 src/bookmarks/dialogs.c:121
+#: src/bfu/hierbox.c:558 src/bookmarks/dialogs.c:153
 #, c-format
 msgid "Sorry, but the folder \"%s\" cannot be deleted."
 msgstr "Dsol, mais le dossier \"%s\" ne peut tre supprim."
 
 #. cant_delete_used_folder
-#: src/bfu/hierbox.c:561 src/bookmarks/dialogs.c:123
+#: src/bfu/hierbox.c:561 src/bookmarks/dialogs.c:155
 #, c-format
 msgid "Sorry, but the folder \"%s\" is being used by something else."
 msgstr "Dsol, mais le dossier \"%s\" est actuellement utilis ailleurs."
@@ -77,7 +77,7 @@ msgid "Delete marked items?"
 msgstr "Supprimer les items marqus ?"
 
 #. delete_folder_title
-#: src/bfu/hierbox.c:570 src/bookmarks/dialogs.c:129
+#: src/bfu/hierbox.c:570 src/bookmarks/dialogs.c:161
 msgid "Delete folder"
 msgstr "Supprimer un dossier"
 
@@ -134,13 +134,13 @@ msgstr "~Oui"
 msgid "~No"
 msgstr "~Non"
 
-#: src/bfu/hierbox.c:945 src/bfu/hierbox.c:976 src/viewer/text/search.c:1090
-#: src/viewer/text/search.c:1098 src/viewer/text/search.c:1114
-#: src/viewer/text/search.c:1705
+#: src/bfu/hierbox.c:945 src/bfu/hierbox.c:976 src/viewer/text/search.c:1106
+#: src/viewer/text/search.c:1114 src/viewer/text/search.c:1130
+#: src/viewer/text/search.c:1723
 msgid "Search"
 msgstr "Chercher"
 
-#: src/bfu/hierbox.c:947 src/viewer/text/search.c:1091
+#: src/bfu/hierbox.c:947 src/viewer/text/search.c:1107
 #, c-format
 msgid "Search string '%s' not found"
 msgstr "Chane recherche '%s' introuvable"
@@ -179,8 +179,8 @@ msgstr "Chane vide non autorise"
 #: src/dialogs/options.c:237 src/dialogs/options.c:316 src/mime/dialogs.c:133
 #: src/protocol/auth/dialogs.c:116 src/protocol/bittorrent/dialogs.c:814
 #: src/scripting/lua/core.c:400 src/scripting/lua/core.c:481
-#: src/session/download.c:607 src/session/download.c:1219
-#: src/viewer/text/search.c:1687
+#: src/session/download.c:633 src/session/download.c:1245
+#: src/viewer/text/search.c:1705
 msgid "~Cancel"
 msgstr "~Annuler"
 
@@ -192,8 +192,8 @@ msgstr "Horloge"
 msgid "Digital clock in the status bar."
 msgstr "Horloge digitale dans la barre de status."
 
-#: src/bfu/leds.c:77 src/bfu/leds.c:94 src/config/options.inc:1199
-#: src/config/options.inc:1206 src/ecmascript/ecmascript.c:45
+#: src/bfu/leds.c:77 src/bfu/leds.c:94 src/config/options.inc:1272
+#: src/config/options.inc:1279 src/ecmascript/ecmascript.c:45
 #: src/globhist/globhist.c:64 src/mime/backend/mailcap.c:93
 #: src/mime/backend/mimetypes.c:52 src/network/ssl/ssl.c:81
 msgid "Enable"
@@ -208,9 +208,9 @@ msgid "Format"
 msgstr "Format"
 
 #: src/bfu/leds.c:83
+#, fuzzy
 msgid ""
-"Format string for the digital clock. See the strftime(3)\n"
-"manpage for details."
+"Format string for the digital clock. See the strftime(3) manpage for details."
 msgstr ""
 "Chane de formatage pour l'horloge digitale.\n"
 "Voir la page de manuel de strftime(3) pour plus de dtails."
@@ -224,9 +224,9 @@ msgid "LEDs (visual indicators) options.
 msgstr "Options concernant les LEDs (indicateurs visuels)."
 
 #: src/bfu/leds.c:96
+#, fuzzy
 msgid ""
-"Enable LEDs.\n"
-"These visual indicators will inform you about various states."
+"Enable LEDs. These visual indicators will inform you about various states."
 msgstr ""
 "Activer les LEDs.\n"
 "Ces indicateurs visuels informent de diffrents tats."
@@ -269,17 +269,17 @@ msgstr ""
 msgid "Search menu/"
 msgstr "Chercher menu/"
 
-#: src/bookmarks/backend/xbel.c:97
+#: src/bookmarks/backend/xbel.c:105
 #, c-format
 msgid "read_bookmarks_xbel(): Error in XML_ParserCreate()"
 msgstr "read_bookmarks_xbel(): Erreur dans XML_ParserCreate()"
 
-#: src/bookmarks/backend/xbel.c:108
+#: src/bookmarks/backend/xbel.c:116
 #, c-format
 msgid "read_bookmarks_xbel(): Error reading %s"
 msgstr "read_bookmarks_xbel(): Erreur lors de la lecture de %s"
 
-#: src/bookmarks/backend/xbel.c:116
+#: src/bookmarks/backend/xbel.c:124
 #, c-format
 msgid ""
 "Parse error while processing XBEL bookmarks in %s at line %d column %d:\n"
@@ -288,16 +288,16 @@ msgstr ""
 "Erreur lors du parcours de signets XBEL dans %s ligne %d colonne %d:\n"
 "%s"
 
-#: src/bookmarks/backend/xbel.c:390 src/bookmarks/backend/xbel.c:411
+#: src/bookmarks/backend/xbel.c:388 src/bookmarks/backend/xbel.c:410
 msgid "No title"
 msgstr "Sans titre"
 
-#: src/bookmarks/backend/xbel.c:396
+#: src/bookmarks/backend/xbel.c:394
 msgid "No URL"
 msgstr "Aucune URL"
 
 #. name:
-#: src/bookmarks/bookmarks.c:48 src/bookmarks/bookmarks.c:181
+#: src/bookmarks/bookmarks.c:48 src/bookmarks/bookmarks.c:183
 msgid "Bookmarks"
 msgstr "Signets"
 
@@ -305,44 +305,44 @@ msgstr "Signets"
 msgid "Bookmark options."
 msgstr "Options des signets."
 
-#: src/bookmarks/bookmarks.c:53 src/bookmarks/bookmarks.c:59
+#: src/bookmarks/bookmarks.c:53 src/bookmarks/bookmarks.c:60
 msgid "File format"
 msgstr "Format de fichier"
 
 #: src/bookmarks/bookmarks.c:55
+#, fuzzy
 msgid ""
 "File format for bookmarks (affects both reading and saving):\n"
 "0 is the default native ELinks format\n"
-"1 is XBEL universal XML bookmarks format (ELinks bug 153: NO NATIONAL CHARS "
-"SUPPORT!)"
+"1 is XBEL universal XML bookmarks format"
 msgstr ""
 "Format du fichier de signets:\n"
 "0 est le format natif d'ELinks\n"
 "1 est le format de signets XML universel XBEL\n"
 "  (ELinks bug 153: PAS DE SUPPORT DES CARACTERES NATIONAUX!)"
 
-#: src/bookmarks/bookmarks.c:61
+#: src/bookmarks/bookmarks.c:62
+#, fuzzy
 msgid ""
 "File format for bookmarks (affects both reading and saving):\n"
 "0 is the default native ELinks format\n"
-"1 is XBEL universal XML bookmarks format (ELinks bug 153: NO NATIONAL CHARS "
-"SUPPORT!)  (DISABLED)"
+"1 is XBEL universal XML bookmarks format  (DISABLED)"
 msgstr ""
 "Format du fichier de signets:\n"
 "0 est le format natif d'ELinks (compatible avec Links 0.9x)\n"
 "1 est le format de signets XML universel XBEL\n"
 "  (ELinks bug 153: PAS DE SUPPORT DES CARACTERES NATIONAUX!) (DSACTIV)"
 
-#: src/bookmarks/bookmarks.c:67
+#: src/bookmarks/bookmarks.c:68
 msgid "Save folder state"
 msgstr "Sauver l'tat des dossiers"
 
-#: src/bookmarks/bookmarks.c:69
+#: src/bookmarks/bookmarks.c:70
+#, fuzzy
 msgid ""
-"When saving bookmarks also store whether folders are\n"
-"expanded or not, so the look of the bookmark dialog is\n"
-"kept across ELinks sessions. If disabled all folders will\n"
-"appear unexpanded next time ELinks is run."
+"When saving bookmarks also store whether folders are expanded or not, so the "
+"look of the bookmark dialog is kept across ELinks sessions. If disabled all "
+"folders will appear unexpanded next time ELinks is run."
 msgstr ""
 "Lors de la sauvegarde des signets, l'tat des dossiers est\n"
 "prserv (ouverts ou non) ainsi l'apparence du gestionnaire\n"
@@ -350,16 +350,16 @@ msgstr ""
 "Si cette option est dsactive, tous les dossiers apparaitront\n"
 "ferms lors du prochain dmarrage d'ELinks."
 
-#: src/bookmarks/bookmarks.c:74
+#: src/bookmarks/bookmarks.c:75
 msgid "Periodic snapshotting"
 msgstr "Instantan priodique"
 
-#: src/bookmarks/bookmarks.c:76
+#: src/bookmarks/bookmarks.c:77
+#, fuzzy
 msgid ""
-"Automatically save a snapshot of all tabs periodically.\n"
-"This will periodically bookmark the tabs of each terminal in a separate "
-"folder\n"
-"for recovery after a crash.\n"
+"Automatically save a snapshot of all tabs periodically. This will "
+"periodically bookmark the tabs of each terminal in a separate folder for "
+"recovery after a crash.\n"
 "\n"
 "This feature requires bookmark support."
 msgstr ""
@@ -369,12 +369,12 @@ msgstr ""
 "\n"
 "Cette fonctionnalit requiert le support des signets."
 
-#: src/bookmarks/dialogs.c:72 src/config/options.inc:1051
+#: src/bookmarks/dialogs.c:97 src/config/options.inc:1120
 #: src/dialogs/document.c:145 src/globhist/dialogs.c:65
 msgid "Title"
 msgstr "Titre"
 
-#: src/bookmarks/dialogs.c:73 src/cache/dialogs.c:65
+#: src/bookmarks/dialogs.c:101 src/cache/dialogs.c:65
 #: src/dialogs/document.c:136 src/dialogs/edit.c:96 src/formhist/dialogs.c:63
 #: src/globhist/dialogs.c:66 src/protocol/auth/dialogs.c:163
 #: src/scripting/lua/core.c:397
@@ -382,70 +382,70 @@ msgid "URL"
 msgstr "URL"
 
 #. cant_delete_item
-#: src/bookmarks/dialogs.c:117
+#: src/bookmarks/dialogs.c:149
 #, c-format
 msgid "Sorry, but the bookmark \"%s\" cannot be deleted."
 msgstr "Dsol, mais le signet \"%s\" ne peut tre supprim."
 
 #. cant_delete_used_item
-#: src/bookmarks/dialogs.c:119
+#: src/bookmarks/dialogs.c:151
 #, c-format
 msgid "Sorry, but the bookmark \"%s\" is being used by something else."
 msgstr "Dsol, mais le signet \"%s\" est actuellement utilis ailleurs."
 
 #. delete_marked_items_title
-#: src/bookmarks/dialogs.c:125
+#: src/bookmarks/dialogs.c:157
 msgid "Delete marked bookmarks"
 msgstr "Supprimer les signets marqus"
 
 #. delete_marked_items
-#: src/bookmarks/dialogs.c:127
+#: src/bookmarks/dialogs.c:159
 msgid "Delete marked bookmarks?"
 msgstr "Supprimer les signets marqus ?"
 
 #. delete_folder
-#: src/bookmarks/dialogs.c:131
+#: src/bookmarks/dialogs.c:163
 #, c-format
 msgid "Delete the folder \"%s\" and all bookmarks in it?"
 msgstr "Supprimer le dossier \"%s\" et tous les signets qu'il contient ?"
 
 #. delete_item_title
-#: src/bookmarks/dialogs.c:133
+#: src/bookmarks/dialogs.c:165
 msgid "Delete bookmark"
 msgstr "Supprimer un signet"
 
-#: src/bookmarks/dialogs.c:135
+#: src/bookmarks/dialogs.c:167
 #, c-format
 msgid "Delete this bookmark?"
 msgstr "Supprimer ce signet ?"
 
 #. clear_all_items_title
-#: src/bookmarks/dialogs.c:137
+#: src/bookmarks/dialogs.c:169
 msgid "Clear all bookmarks"
 msgstr "Effacer tous les signets"
 
 #. clear_all_items_title
-#: src/bookmarks/dialogs.c:139
+#: src/bookmarks/dialogs.c:171
 msgid "Do you really want to remove all bookmarks?"
 msgstr "tes-vous sr de vouloir effacer tous les signets ?"
 
-#: src/bookmarks/dialogs.c:254
+#: src/bookmarks/dialogs.c:327
 msgid "Add folder"
 msgstr "Crer dossier"
 
-#: src/bookmarks/dialogs.c:254
+#: src/bookmarks/dialogs.c:327
 msgid "Folder name"
 msgstr "Nom du dossier"
 
-#: src/bookmarks/dialogs.c:310 src/scripting/lua/core.c:391
+#: src/bookmarks/dialogs.c:410 src/scripting/lua/core.c:391
 msgid "Edit bookmark"
 msgstr "Modifier un signet"
 
-#: src/bookmarks/dialogs.c:461
+#: src/bookmarks/dialogs.c:567
 msgid "Cannot move folder inside itself"
 msgstr "Impossible de dplacer un dossier dans lui-mme"
 
-#: src/bookmarks/dialogs.c:462
+#: src/bookmarks/dialogs.c:568
 msgid ""
 "You are trying to move the marked folder inside itself. To move the folder "
 "to a different location select the new location before pressing the Move "
@@ -455,11 +455,11 @@ msgstr ""
 " un autre endroit, slectionnez la nouvelle position avant de presser "
 "Dplacer."
 
-#: src/bookmarks/dialogs.c:468
+#: src/bookmarks/dialogs.c:574
 msgid "Nothing to move"
 msgstr "Rien  dplacer"
 
-#: src/bookmarks/dialogs.c:469
+#: src/bookmarks/dialogs.c:575
 msgid ""
 "To move bookmarks, first mark all the bookmarks (or folders) you want to "
 "move.  This can be done with the Insert key if you're using the default key-"
@@ -473,19 +473,19 @@ msgstr ""
 "voulez dplacer tout a, et pressez le bouton \"Dplacer\"."
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons, src/cache/dialogs.c:cache_buttons, src/globhist/dialogs.c:globhist_buttons, src/protocol/auth/dialogs.c:auth_buttons)
-#: src/bookmarks/dialogs.c:487 src/cache/dialogs.c:230
+#: src/bookmarks/dialogs.c:593 src/cache/dialogs.c:230
 #: src/globhist/dialogs.c:224 src/protocol/auth/dialogs.c:261
 msgid "~Goto"
 msgstr "A~ller "
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons, src/config/dialogs.c:option_buttons, src/cookies/dialogs.c:cookie_buttons)
-#: src/bookmarks/dialogs.c:488 src/config/dialogs.c:503
+#: src/bookmarks/dialogs.c:594 src/config/dialogs.c:503
 #: src/cookies/dialogs.c:492
 msgid "~Edit"
 msgstr "~Modifier"
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons, src/cache/dialogs.c:cache_buttons, src/config/dialogs.c:keybinding_buttons, src/config/dialogs.c:option_buttons, src/cookies/dialogs.c:cookie_buttons, src/dialogs/menu.c:ext_menu, src/formhist/dialogs.c:formhist_buttons, src/globhist/dialogs.c:globhist_buttons, src/protocol/auth/dialogs.c:auth_buttons)
-#: src/bookmarks/dialogs.c:489 src/cache/dialogs.c:231
+#: src/bookmarks/dialogs.c:595 src/cache/dialogs.c:231
 #: src/config/dialogs.c:505 src/config/dialogs.c:930 src/cookies/dialogs.c:493
 #: src/dialogs/menu.c:463 src/formhist/dialogs.c:211
 #: src/globhist/dialogs.c:229 src/protocol/auth/dialogs.c:263
@@ -493,28 +493,28 @@ msgid "~Delete"
 msgstr "~Supprimer"
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons, src/config/dialogs.c:keybinding_buttons, src/config/dialogs.c:option_buttons, src/cookies/dialogs.c:cookie_buttons, src/dialogs/menu.c:ext_menu)
-#: src/bookmarks/dialogs.c:490 src/config/dialogs.c:504
+#: src/bookmarks/dialogs.c:596 src/config/dialogs.c:504
 #: src/config/dialogs.c:929 src/cookies/dialogs.c:490 src/dialogs/menu.c:461
 msgid "~Add"
 msgstr "~Ajouter"
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons)
-#: src/bookmarks/dialogs.c:491
+#: src/bookmarks/dialogs.c:597
 msgid "Add se~parator"
 msgstr "S~parateur"
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons)
-#: src/bookmarks/dialogs.c:492
+#: src/bookmarks/dialogs.c:598
 msgid "Add ~folder"
 msgstr "C~rer dossier"
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons)
-#: src/bookmarks/dialogs.c:493
+#: src/bookmarks/dialogs.c:599
 msgid "~Move"
 msgstr "~Dplacer"
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons, src/cache/dialogs.c:cache_buttons, src/config/dialogs.c:keybinding_buttons, src/config/dialogs.c:option_buttons, src/dialogs/menu.c:view_menu, src/globhist/dialogs.c:globhist_buttons)
-#: src/bookmarks/dialogs.c:494 src/cache/dialogs.c:232
+#: src/bookmarks/dialogs.c:600 src/cache/dialogs.c:232
 #: src/config/dialogs.c:506 src/config/dialogs.c:932 src/dialogs/menu.c:413
 #: src/globhist/dialogs.c:230
 msgid "~Search"
@@ -522,36 +522,50 @@ msgstr "~Chercher"
 
 #. This one is too dangerous, so just let user delete
 #. * the bookmarks file if needed. --Zas
-#: src/bookmarks/dialogs.c:498
+#: src/bookmarks/dialogs.c:604
 msgid "Clear"
 msgstr "Effacer"
 
 #. TODO: Would this be useful? --jonas
-#: src/bookmarks/dialogs.c:501 src/globhist/dialogs.c:235
+#: src/bookmarks/dialogs.c:607 src/globhist/dialogs.c:235
 msgid "Save"
 msgstr "Enregistrer"
 
-#: src/bookmarks/dialogs.c:507
+#: src/bookmarks/dialogs.c:613
 msgid "Bookmark manager"
 msgstr "Gestionnaire de signets"
 
-#: src/bookmarks/dialogs.c:632
+#: src/bookmarks/dialogs.c:825
 msgid "Search bookmarks"
 msgstr "Recherche parmi les signets"
 
-#: src/bookmarks/dialogs.c:661
+#. When the user eventually pushes the OK button, BFU calls
+#. * bookmark_add_add() and gives it the struct dialog * as the
+#. * void * parameter.  However, bookmark_add_add() also needs
+#. * to know the struct terminal *, and there is no way to get
+#. * that from struct dialog.  The other bookmark dialogs work
+#. * around that by making dialog.udata point to the struct
+#. * dialog_data of the bookmark manager, but the "Add bookmark"
+#. * dialog can be triggered with ACT_MAIN_ADD_BOOKMARK, which
+#. * does not involve the bookmark manager at all.
+#. *
+#. * The solution here is to save the struct terminal * in
+#. * dialog.udata2, which the "Edit bookmark" dialog uses for
+#. * struct bookmark *.  When adding a new bookmark, we don't
+#. * need a pointer to an existing one, of course.
+#: src/bookmarks/dialogs.c:892
 msgid "Add bookmark"
 msgstr "Ajouter un signet"
 
-#: src/bookmarks/dialogs.c:697
+#: src/bookmarks/dialogs.c:950
 msgid "Saved session"
 msgstr "Session sauve"
 
-#: src/bookmarks/dialogs.c:705
+#: src/bookmarks/dialogs.c:958
 msgid "Bookmark tabs"
 msgstr "Signets pour les onglets"
 
-#: src/bookmarks/dialogs.c:705
+#: src/bookmarks/dialogs.c:958
 msgid "Enter folder name"
 msgstr "Entrez un nom de dossier"
 
@@ -563,7 +577,7 @@ msgstr "URL du proxy"
 msgid "Redirect"
 msgstr "Redirection"
 
-#: src/cache/dialogs.c:85 src/config/options.inc:519
+#: src/cache/dialogs.c:85 src/config/options.inc:553
 #: src/dialogs/document.c:156 src/protocol/bittorrent/dialogs.c:126
 msgid "Size"
 msgstr "Taille"
@@ -609,7 +623,7 @@ msgstr "Expiration"
 msgid "ID"
 msgstr "ID"
 
-#: src/cache/dialogs.c:134 src/config/options.inc:669
+#: src/cache/dialogs.c:134 src/config/options.inc:707
 msgid "Header"
 msgstr "En-tte"
 
@@ -1282,7 +1296,7 @@ msgstr "Hte introuvable"
 msgid "Resolver error"
 msgstr "Erreur du rsolveur"
 
-#: src/config/cmdline.c:256 src/cookies/cookies.c:841 src/network/state.c:47
+#: src/config/cmdline.c:256 src/cookies/cookies.c:843 src/network/state.c:47
 #: src/util/secsave.c:379
 msgid "Out of memory"
 msgstr "Mmoire sature"
@@ -1303,57 +1317,62 @@ msgstr "Contenu inattendu aprs l'argume
 msgid "Remote method not supported"
 msgstr "Mthode remote non supporte"
 
-#: src/config/cmdline.c:452
+#: src/config/cmdline.c:437
+msgid "Out of memory formatting option documentation"
+msgstr ""
+
+#: src/config/cmdline.c:474
 msgid "Template option folder"
 msgstr "Dossier des modles d'option"
 
-#: src/config/cmdline.c:475
+#: src/config/cmdline.c:497
 #, c-format
 msgid "(default: %ld)"
 msgstr "(dfaut: %ld)"
 
-#: src/config/cmdline.c:482 src/config/cmdline.c:511
+#: src/config/cmdline.c:504 src/config/cmdline.c:533
 #, c-format
 msgid "(default: \"%s\")"
 msgstr "(dfaut: \"%s\")"
 
-#: src/config/cmdline.c:487
+#: src/config/cmdline.c:509
 #, c-format
 msgid "(alias for %s)"
 msgstr "(alias for %s)"
 
-#: src/config/cmdline.c:492 src/config/cmdline.c:501
+#: src/config/cmdline.c:514 src/config/cmdline.c:523
 #, c-format
 msgid "(default: %s)"
 msgstr "(dfaut: %s)"
 
-#: src/config/cmdline.c:642
+#: src/config/cmdline.c:654
 msgid "Configuration options"
 msgstr "Options de configuration"
 
-#: src/config/cmdline.c:646
+#: src/config/cmdline.c:658
 msgid "Usage: elinks [OPTION]... [URL]..."
 msgstr "Usage: elinks [OPTION]... [URL]..."
 
-#: src/config/cmdline.c:647
+#: src/config/cmdline.c:659
 msgid "Options"
 msgstr "Options"
 
-#: src/config/cmdline.c:689
+#: src/config/cmdline.c:701
 msgid "Internal consistency error"
 msgstr "Erreur interne"
 
 #.
-#: src/config/cmdline.c:725
+#: src/config/cmdline.c:737
 msgid "Restrict to anonymous mode"
 msgstr "Restriction au mode anonyme"
 
-#: src/config/cmdline.c:727
+#: src/config/cmdline.c:739
+#, fuzzy
 msgid ""
-"Restricts ELinks so it can run on an anonymous account.\n"
-"Local file browsing, downloads, and modification of options\n"
-"will be disabled. Execution of viewers is allowed, but entries\n"
-"in the association table can't be added or modified."
+"Restricts ELinks so it can run on an anonymous account. Local file browsing, "
+"downloads, and modification of options will be disabled. Execution of "
+"viewers is allowed, but entries in the association table can't be added or "
+"modified."
 msgstr ""
 "Restreint ELinks de manire  permettre de l'excuter sur un\n"
 "compte anonyme. La navigation dans les fichiers locaux, les\n"
@@ -1361,23 +1380,24 @@ msgstr ""
 "dsactivs. L'utilisation de visionneurs externes reste \n"
 "possible, mais les associations ne peuvent tre modifies."
 
-#: src/config/cmdline.c:732
+#: src/config/cmdline.c:745
 msgid "Autosubmit first form"
 msgstr "Envoyer automatiquement le premier formulaire"
 
-#: src/config/cmdline.c:734
+#: src/config/cmdline.c:747
 msgid "Automatically submit the first form in the given URLs."
 msgstr "Envoyer automatiquement le premier formulaire de l'URL donne."
 
-#: src/config/cmdline.c:736
+#: src/config/cmdline.c:749
 msgid "Clone internal session with given ID"
 msgstr "Cloner la session interne ayant l'ID donn"
 
-#: src/config/cmdline.c:738
+#: src/config/cmdline.c:751
+#, fuzzy
 msgid ""
-"Used internally when opening ELinks instances in new windows.\n"
-"The ID maps to information that will be used when creating the\n"
-"new instance. You don't want to use it."
+"Used internally when opening ELinks instances in new windows. The ID maps to "
+"information that will be used when creating the new instance. You don't want "
+"to use it."
 msgstr ""
 "Utilis de manire interne lors de l'ouverture d'instances d'ELinks\n"
 "dans de nouvelles fentres.\n"
@@ -1385,75 +1405,76 @@ msgstr ""
 "nouvelle instance.\n"
 "N'utilisez pas cette option."
 
-#: src/config/cmdline.c:744
+#: src/config/cmdline.c:757
 msgid "Name of directory with configuration file"
 msgstr "Nom du rpertoire contenant les fichiers de configuration"
 
-#: src/config/cmdline.c:746
+#: src/config/cmdline.c:759
+#, fuzzy
 msgid ""
-"Path of the directory ELinks will read and write its\n"
-"config and runtime state files to instead of ~/.elinks.\n"
-"If the path does not begin with a '/' it is assumed to be\n"
-"relative to your HOME directory."
+"Path of the directory ELinks will read and write its config and runtime "
+"state files to instead of ~/.elinks. If the path does not begin with a '/' "
+"it is assumed to be relative to your HOME directory."
 msgstr ""
 "Chemin du rpertoire dans lequel ELinks lira et crira ses\n"
 "fichiers de configuration et d'tat, au lieau de ~/.elinks.\n"
 "Si le chemin ne commence pas par un '/', il sera considr\n"
 "relatif  votre rpertoire HOME."
 
-#: src/config/cmdline.c:751
+#: src/config/cmdline.c:764
 msgid "Print default configuration file to stdout"
 msgstr "Imprimer le fichier de configuration par dfaut sur la sortie standart"
 
-#: src/config/cmdline.c:753
+#: src/config/cmdline.c:766
+#, fuzzy
 msgid ""
-"Print a configuration file with options set to the built-in\n"
-"defaults to stdout."
+"Print a configuration file with options set to the built-in defaults to "
+"stdout."
 msgstr ""
 "Imprimer un fichier de configuration contenant les options par dfaut\n"
 "sur la sortie standart."
 
-#: src/config/cmdline.c:758
+#: src/config/cmdline.c:771
 msgid "Name of configuration file"
 msgstr "Nom du fichier de configuration"
 
-#: src/config/cmdline.c:760
+#: src/config/cmdline.c:773
+#, fuzzy
 msgid ""
-"Name of the configuration file that all configuration\n"
-"options will be read from and written to. It should be\n"
-"relative to config-dir."
+"Name of the configuration file that all configuration options will be read "
+"from and written to. It should be relative to config-dir."
 msgstr ""
 "Nom du fichier de configuration dans lequel sont crites\n"
 "et lues les options de configuration. Il doit tre relatif\n"
 " config-dir."
 
-#: src/config/cmdline.c:764
+#: src/config/cmdline.c:777
 msgid "Print help for configuration options"
 msgstr "Afficher l'aide pour les options de configuration"
 
-#: src/config/cmdline.c:766
+#: src/config/cmdline.c:779
 msgid "Print help for configuration options and exit."
 msgstr "Afficher l'aide pour les options de configuration et quitter."
 
-#: src/config/cmdline.c:768
+#: src/config/cmdline.c:781
 msgid "MIME type assumed for unknown document types"
 msgstr "Type MIME  supposer pour les documents de type inconnu"
 
-#: src/config/cmdline.c:770
+#: src/config/cmdline.c:783
 msgid "The default MIME type used for documents of unknown type."
 msgstr ""
 "Le type MIME par dfaut  utiliser pour les documents dont\n"
 "le type est inconnu."
 
-#: src/config/cmdline.c:772
+#: src/config/cmdline.c:786
 msgid "Ignore user-defined keybindings"
 msgstr "Ignorer les associations de touches utilisateur"
 
-#: src/config/cmdline.c:774
+#: src/config/cmdline.c:788
+#, fuzzy
 msgid ""
-"When set, all keybindings from configuration files will be\n"
-"ignored. It forces use of default keybindings and will reset\n"
-"user-defined ones on save."
+"When set, all keybindings from configuration files will be ignored. It "
+"forces use of default keybindings and will reset user-defined ones on save."
 msgstr ""
 "Si activ, les associations de touches dfinies dans les fichiers\n"
 "de configuration seront ignores.\n"
@@ -1461,50 +1482,50 @@ msgstr ""
 "rinitialisera les associations de touches dfinies par\n"
 "l'utilisateur lors d'une nouvelle sauvegarde."
 
-#: src/config/cmdline.c:778
+#: src/config/cmdline.c:792
 msgid "Print formatted versions of given URLs to stdout"
 msgstr ""
 "Imprimer les versions formates des URLs donnes sur la sortie standard"
 
-#: src/config/cmdline.c:780
+#: src/config/cmdline.c:794
 msgid "Print formatted plain-text versions of given URLs to stdout."
 msgstr ""
 "Imprimer les versions plein texte formates des URLs donnes sur la \n"
 "sortie standard."
 
-#: src/config/cmdline.c:782
+#: src/config/cmdline.c:797
 msgid "Codepage to use with -dump"
 msgstr "Jeu de caractres  utiliser avec -dump"
 
-#: src/config/cmdline.c:784
+#: src/config/cmdline.c:799
 msgid "Codepage used when formatting dump output."
 msgstr "Jeu de caractres utilis lors du formatage de la sortie (dump)."
 
-#: src/config/cmdline.c:786
+#: src/config/cmdline.c:801
 msgid "Color mode used with -dump"
 msgstr "Mode couleurs  utiliser avec -dump"
 
-#: src/config/cmdline.c:788
+#: src/config/cmdline.c:803
 msgid "Color mode used with -dump."
 msgstr "Mode couleurs  utiliser avec -dump."
 
-#: src/config/cmdline.c:790
+#: src/config/cmdline.c:805
 msgid "Width of document formatted with -dump"
 msgstr "Largeur de document format  utiliser avec -dump"
 
-#: src/config/cmdline.c:792
+#: src/config/cmdline.c:807
 msgid "Width of the dump output."
 msgstr "Largeur de sortie (dump)."
 
-#: src/config/cmdline.c:794
+#: src/config/cmdline.c:809
 msgid "Evaluate configuration file directive"
 msgstr "Evalue une directive de fichier de configuration"
 
-#: src/config/cmdline.c:796
+#: src/config/cmdline.c:811
+#, fuzzy
 msgid ""
-"Specify configuration file directives on the command-line\n"
-"which will be evaluated after all configuration files has been\n"
-"read. Example usage:\n"
+"Specify configuration file directives on the command-line which will be "
+"evaluated after all configuration files has been read. Example usage:\n"
 "\t-eval 'set protocol.file.allow_special_files = 1'"
 msgstr ""
 "Permet de spcifier une directive de fichier de configuation sur la\n"
@@ -1513,129 +1534,137 @@ msgstr ""
 "  -eval 'set protocol.file.allow_special_files = 1'"
 
 #. lynx compatibility
-#: src/config/cmdline.c:802
+#: src/config/cmdline.c:817
 msgid "Interpret documents of unknown types as HTML"
 msgstr "Interprte les documents de type inconnu comme de l'HTML"
 
-#: src/config/cmdline.c:804
+#: src/config/cmdline.c:819
+#, fuzzy
 msgid ""
-"Makes ELinks assume documents of unknown types are HTML.\n"
-"Useful when using ELinks as an external viewer from MUAs.\n"
-"This is equivalent to -default-mime-type text/html."
+"Makes ELinks assume documents of unknown types are HTML. Useful when using "
+"ELinks as an external viewer from MUAs. This is equivalent to -default-mime-"
+"type text/html."
 msgstr ""
 "Cela force ELinks  considrer les documents de type inconnu\n"
 "comme tant au format HTML. Cela est utile lors de l'utilisation\n"
 "d'ELinks comme visionneur pour les clients mail.\n"
 "C'est quivalent  -default-mime-type text/html."
 
-#: src/config/cmdline.c:814
+#: src/config/cmdline.c:829
 msgid "Print usage help and exit"
 msgstr "Afficher l'aide et quitter"
 
-#: src/config/cmdline.c:816
+#: src/config/cmdline.c:831
 msgid "Print usage help and exit."
 msgstr "Afficher l'aide et quitter."
 
-#: src/config/cmdline.c:818
+#: src/config/cmdline.c:833
 msgid "Only permit local connections"
 msgstr "Permettre seulement les connexions locales"
 
-#: src/config/cmdline.c:820
+#: src/config/cmdline.c:835
+#, fuzzy
 msgid ""
-"Restricts ELinks to work offline and only connect to servers\n"
-"with local addresses (ie. 127.0.0.1). No connections to remote\n"
-"servers will be permitted."
+"Restricts ELinks to work offline and only connect to servers with local "
+"addresses (ie. 127.0.0.1). No connections to remote servers will be "
+"permitted."
 msgstr ""
 "Restreint ELinks de manire  ce qu'il ne puisse ouvrir que des\n"
 "connexions vers des adresses locales (par exemple, 127.0.0.1),\n"
 "cela rend impossible toute connexion vers des sites distants."
 
-#: src/config/cmdline.c:824
+#: src/config/cmdline.c:839
 msgid "Print detailed usage help and exit"
 msgstr "Afficher l'aide dtaille et quitter"
 
-#: src/config/cmdline.c:826
+#: src/config/cmdline.c:841
 msgid "Print detailed usage help and exit."
 msgstr "Afficher l'aide dtaille et quitter."
 
-#: src/config/cmdline.c:828
+#: src/config/cmdline.c:843
 msgid "Look up specified host"
 msgstr "Rsolution du nom de l'hte spcifi"
 
-#: src/config/cmdline.c:830
+#: src/config/cmdline.c:845
 msgid "Look up specified host and print all DNS resolved IP addresses."
 msgstr ""
 "Rsoudre le nom d'hte spcifi et imprimer toutes les adresses IP\n"
 "correspondantes."
 
-#: src/config/cmdline.c:832
+#: src/config/cmdline.c:848
 msgid "Run as separate instance"
 msgstr "Excuter en tant qu'instance spare"
 
-#: src/config/cmdline.c:834
+#: src/config/cmdline.c:850
+#, fuzzy
 msgid ""
-"Run ELinks as a separate instance instead of connecting to an\n"
-"existing instance. Note that normally no runtime state files\n"
-"(bookmarks, history, etc.) are written to the disk when this\n"
-"option is used. See also -touch-files."
+"Run ELinks as a separate instance instead of connecting to an existing "
+"instance. Note that normally no runtime state files (bookmarks, history, "
+"etc.) are written to the disk when this option is used. See also -touch-"
+"files."
 msgstr ""
 "Excuter ELinks en tant qu'instance spare au lieu de se connecter\n"
 " la session en cours. Notez que normalement aucun fichier d'tat\n"
 "(signets, historique, etc.) n'est modifi quand cette option est\n"
 "utilise. Voir aussi -touch-files."
 
-#: src/config/cmdline.c:839
+#: src/config/cmdline.c:855
 msgid "Disable use of files in ~/.elinks"
 msgstr "Ne pas utiliser les fichiers dans ~/.elinks"
 
-#: src/config/cmdline.c:841
+#: src/config/cmdline.c:857
+#, fuzzy
 msgid ""
-"Disables creation and use of files in the user specific home\n"
-"configuration directory (~/.elinks). It forces default configuration\n"
-"values to be used and disables saving of runtime state files."
+"Disables creation and use of files in the user specific home configuration "
+"directory (~/.elinks). It forces default configuration values to be used and "
+"disables saving of runtime state files."
 msgstr ""
 "Dsactive la cration et l'utilisation des fichiers dans le rpertoire\n"
 "o se trouve la configuration propre  l'utilisateur (~/.elinks).\n"
 "Cela force l'utilisation des valeurs de configuration par dfaut et\n"
 "dsactive la sauvegarde des fichiers d'tat lors de l'excution."
 
-#: src/config/cmdline.c:845
+#: src/config/cmdline.c:862
 msgid "Disable link numbering in dump output"
 msgstr "Ne pas numroter les liens en sortie (dump)"
 
-#: src/config/cmdline.c:847
+#: src/config/cmdline.c:864
+#, fuzzy
 msgid ""
 "Prevents printing of link number in dump output.\n"
+"\n"
 "Note that this really affects only -dump, nothing else."
 msgstr ""
 "Supprime l'affichage des numros de liens dans la sortie de -dump.\n"
 "Notez que cette option ne concerne que -dump et rien d'autre."
 
-#: src/config/cmdline.c:850
+#: src/config/cmdline.c:868
 msgid "Disable printing of link references in dump output"
 msgstr "Ne pas afficher les rfrences des liens dans la sortie (dump)"
 
-#: src/config/cmdline.c:852
+#: src/config/cmdline.c:870
+#, fuzzy
 msgid ""
-"Prevents printing of references (URIs) of document links\n"
-"in dump output.\n"
+"Prevents printing of references (URIs) of document links in dump output.\n"
+"\n"
 "Note that this really affects only -dump, nothing else."
 msgstr ""
 "Supprime l'affichage des rfrences des liens dans la sortie de -dump.\n"
 "Notez que cette option ne concerne que -dump et rien d'autre."
 
-#: src/config/cmdline.c:856
+#: src/config/cmdline.c:875
 msgid "Control an already running ELinks"
 msgstr "Contrler une instance prexistante d'ELinks"
 
-#: src/config/cmdline.c:858
+#: src/config/cmdline.c:877
+#, fuzzy
 msgid ""
-"Control a remote ELinks instance by passing commands to it.\n"
-"The option takes an additional argument containing the method\n"
-"which should be invoked and any parameters that should be passed\n"
-"to it. For ease of use, the additional method argument can be\n"
-"omitted in which case any URL arguments will be opened in new\n"
-"tabs in the remote instance.\n"
+"Control a remote ELinks instance by passing commands to it. The option takes "
+"an additional argument containing the method which should be invoked and any "
+"parameters that should be passed to it. For ease of use, the additional "
+"method argument can be omitted in which case any URL arguments will be "
+"opened in new tabs in the remote instance.\n"
+"\n"
 "Following is a list of the supported methods:\n"
 "\tping()                    : look for a remote instance\n"
 "\topenURL()                 : prompt URL in current tab\n"
@@ -1662,26 +1691,27 @@ msgstr ""
 "\tinfoBox(text)               : montre un texte dans un bote de dialogue\n"
 "\txfeDoCommand(openBrowser) : ouvre une nouvelle fentre"
 
-#: src/config/cmdline.c:874
+#: src/config/cmdline.c:895
 msgid "Connect to session ring with given ID"
 msgstr "Se connecter au groupe de sessions correspondant  cet ID"
 
-#: src/config/cmdline.c:876
+#: src/config/cmdline.c:897
+#, fuzzy
 msgid ""
-"ID of session ring this ELinks session should connect to. ELinks\n"
-"works in so-called session rings, whereby all instances of ELinks\n"
-"are interconnected and share state (cache, bookmarks, cookies,\n"
-"and so on). By default, all ELinks instances connect to session\n"
-"ring 0. You can change that behaviour with this switch and form as\n"
-"many session rings as you want. Obviously, if the session-ring with\n"
-"this number doesn't exist yet, it's created and this ELinks instance\n"
-"will become the master instance (that usually doesn't matter for you\n"
-"as a user much). Note that you usually don't want to use this unless\n"
-"you're a developer and you want to do some testing - if you want the\n"
-"ELinks instances each running standalone, rather use the -no-connect\n"
-"command-line option. Also note that normally no runtime state files\n"
-"are written to the disk when this option is used. See also\n"
-"-touch-files."
+"ID of session ring this ELinks session should connect to. ELinks works in so-"
+"called session rings, whereby all instances of ELinks are interconnected and "
+"share state (cache, bookmarks, cookies, and so on). By default, all ELinks "
+"instances connect to session ring 0. You can change that behaviour with this "
+"switch and form as many session rings as you want. Obviously, if the session-"
+"ring with this number doesn't exist yet, it's created and this ELinks "
+"instance will become the master instance (that usually doesn't matter for "
+"you as a user much).\n"
+"\n"
+"Note that you usually don't want to use this unless you're a developer and "
+"you want to do some testing - if you want the ELinks instances each running "
+"standalone, rather use the -no-connect command-line option. Also note that "
+"normally no runtime state files are written to the disk when this option is "
+"used. See also -touch-files."
 msgstr ""
 "ID du groupe de sessions que cette instance d'ELinks doit rejoindre.\n"
 "Toutes les instances d'ELinks dans un groupe de sessions sont\n"
@@ -1697,41 +1727,42 @@ msgstr ""
 "-no-connect. Dans tous les cas, les fichiers d'tat ne sont pas modifis\n"
 "sur le disque, sauf si vous utilisez conjointement l'option -touch-files."
 
-#: src/config/cmdline.c:891
+#: src/config/cmdline.c:915
 msgid "Print the source of given URLs to stdout"
 msgstr "Imprimer la source des URLs donnes sur la sortie standard"
 
-#: src/config/cmdline.c:893
+#: src/config/cmdline.c:917
 msgid "Print given URLs in source form to stdout."
 msgstr ""
 "Imprimer les URLs donnes dans leur forme source sur la sortie standard."
 
-#: src/config/cmdline.c:897
+#: src/config/cmdline.c:921
 msgid "Touch files in ~/.elinks when running with -no-connect/-session-ring"
 msgstr ""
 "Modifier les fichiers dans ~/.elinks avec les options -no-connect/-session-"
 "ring"
 
-#: src/config/cmdline.c:899
+#: src/config/cmdline.c:923
+#, fuzzy
 msgid ""
-"When enabled, runtime state files (bookmarks, history, etc.) are\n"
-"written to disk, even when -no-connect or -session-ring is used.\n"
-"The option has no effect if not used in conjunction with any of\n"
-"these options."
+"When enabled, runtime state files (bookmarks, history, etc.) are written to "
+"disk, even when -no-connect or -session-ring is used. The option has no "
+"effect if not used in conjunction with any of these options."
 msgstr ""
 "Quand actif, les fichiers d'tat (signets, historique, etc.) sont\n"
 "crits sur disque, mme si les options -no-connect ou -session-ring\n"
 "sont utilises. Cette option n'a aucun effet si elle n'est pas\n"
 "utilise en conjonction avec ces options."
 
-#: src/config/cmdline.c:904
+#: src/config/cmdline.c:928
 msgid "Verbose level"
 msgstr "Niveau de verbosit"
 
-#: src/config/cmdline.c:906
+#: src/config/cmdline.c:930
+#, fuzzy
 msgid ""
-"The verbose level controls what messages are shown at\n"
-"start up and while running:\n"
+"The verbose level controls what messages are shown at start up and while "
+"running:\n"
 "\t0 means only show serious errors\n"
 "\t1 means show serious errors and warnings\n"
 "\t2 means show all messages"
@@ -1742,15 +1773,15 @@ msgstr ""
 "\t1 pour ne montrer que les erreurs srieuses et les alertes\n"
 "\t2 pour montrer tous les messages"
 
-#: src/config/cmdline.c:912
+#: src/config/cmdline.c:936
 msgid "Print version information and exit"
 msgstr "Afficher la version et quitter"
 
-#: src/config/cmdline.c:914
+#: src/config/cmdline.c:938
 msgid "Print ELinks version information and exit."
 msgstr "Afficher la version d'ELinks et quitter."
 
-#: src/config/conf.c:938
+#: src/config/conf.c:963
 msgid ""
 "## This is ELinks configuration file. You can edit it manually,\n"
 "## if you wish so; this file is edited by ELinks when you save\n"
@@ -1762,7 +1793,7 @@ msgstr ""
 "## des options, mais seules les valeurs des options seront\n"
 "## modifies; votre formatage et commentaires seront prservs.\n"
 
-#: src/config/conf.c:946
+#: src/config/conf.c:971
 msgid ""
 "## This is ELinks configuration file. You can edit it manually,\n"
 "## if you wish so; this file is edited by ELinks when you save\n"
@@ -1780,7 +1811,7 @@ msgstr ""
 "## dans un fichier inclus, l'option ne sera pas considre comme\n"
 "## manquante. Votre formatage et commentaires seront prservs.\n"
 
-#: src/config/conf.c:956
+#: src/config/conf.c:981
 msgid ""
 "## This is ELinks configuration file. You can edit it manually,\n"
 "## if you wish so, but keep in mind that this file is overwritten\n"
@@ -1793,7 +1824,7 @@ msgstr ""
 "## des options, votre formatage et commentaires peuvent ne pas\n"
 "## tre prservs.\n"
 
-#: src/config/conf.c:967
+#: src/config/conf.c:992
 msgid ""
 "## Obviously, if you don't like what ELinks is going to do with\n"
 "## this file, you can change it by altering the config.saving_style\n"
@@ -1802,11 +1833,11 @@ msgstr ""
 "## Evidemment, si vous n'aimez pas ce que ELinks fait avec ce fichier,\n"
 "## vous pouvez modifier la valeur de l'option config.saving_style.\n"
 
-#: src/config/conf.c:980
+#: src/config/conf.c:1005
 msgid "Automatically saved options\n"
 msgstr "Options sauves automatiquement\n"
 
-#: src/config/conf.c:992
+#: src/config/conf.c:1017
 msgid "Automatically saved keybindings\n"
 msgstr "Associations de touches sauves automatiquement\n"
 
@@ -1867,7 +1898,7 @@ msgstr "(dployer en pressant espace)"
 #. * switch charsets.  So, it will work in any terminal that
 #. * understands UTF-8 and has the characters in its font.
 #: src/config/dialogs.c:149 src/config/dialogs.c:330
-#: src/config/options.inc:840
+#: src/config/options.inc:887
 msgid "Type"
 msgstr "Type"
 
@@ -1895,9 +1926,9 @@ msgid "Description"
 msgstr "Description"
 
 #: src/config/dialogs.c:291 src/protocol/bittorrent/dialogs.c:600
-#: src/protocol/protocol.c:240 src/session/session.c:287
-#: src/session/session.c:975 src/viewer/text/textarea.c:594
-#: src/viewer/text/textarea.c:601
+#: src/protocol/protocol.c:240 src/session/session.c:288
+#: src/session/session.c:999 src/viewer/text/textarea.c:583
+#: src/viewer/text/textarea.c:590
 msgid "Error"
 msgstr "Erreur"
 
@@ -1937,7 +1968,7 @@ msgstr "Impossible d'ajouter une option 
 #. accelerator_context(src/config/dialogs.c:keybinding_buttons, src/config/dialogs.c:option_buttons, src/cookies/dialogs.c:cookie_buttons, src/formhist/dialogs.c:formhist_buttons, src/protocol/bittorrent/dialogs.c:bittorrent_query_callback, src/session/download.c:do_type_query, terminal_options)
 #: src/config/dialogs.c:507 src/config/dialogs.c:933 src/cookies/dialogs.c:495
 #: src/dialogs/options.c:236 src/formhist/dialogs.c:214
-#: src/protocol/bittorrent/dialogs.c:801 src/session/download.c:1203
+#: src/protocol/bittorrent/dialogs.c:801 src/session/download.c:1229
 msgid "Sa~ve"
 msgstr "Enre~gistrer"
 
@@ -1949,7 +1980,7 @@ msgstr "Gestionnaire d'options"
 msgid "Keystroke"
 msgstr "Touches"
 
-#: src/config/dialogs.c:676 src/config/options.inc:1219
+#: src/config/dialogs.c:676 src/config/options.inc:1292
 msgid "Action"
 msgstr "Action"
 
@@ -2035,31 +2066,31 @@ msgstr ""
 "Merci de vrifier que la variable $HOME correctement configure et que vous "
 "avez le droit d'crire dans votre rpertoire personnel."
 
-#: src/config/kbdbind.c:221
+#: src/config/kbdbind.c:222
 msgid "Main mapping"
 msgstr "Principal"
 
-#: src/config/kbdbind.c:222
+#: src/config/kbdbind.c:223
 msgid "Edit mapping"
 msgstr "Edition"
 
-#: src/config/kbdbind.c:223
+#: src/config/kbdbind.c:224
 msgid "Menu mapping"
 msgstr "Menu"
 
-#: src/config/kbdbind.c:588 src/scripting/python/keybinding.c:104
+#: src/config/kbdbind.c:589 src/scripting/python/keybinding.c:104
 msgid "Unrecognised keymap"
 msgstr "Table d'associations de touches non reconnue"
 
-#: src/config/kbdbind.c:591
+#: src/config/kbdbind.c:592
 msgid "Error parsing keystroke"
 msgstr "Erreur d'interprtation de touche"
 
-#: src/config/kbdbind.c:595
+#: src/config/kbdbind.c:596
 msgid "Unrecognised action (internal error)"
 msgstr "Action non reconnue (erreur interne)"
 
-#: src/config/kbdbind.c:611
+#: src/config/kbdbind.c:612
 msgid "Error registering event"
 msgstr "Erreur d'enregistrement d'vnement"
 
@@ -2090,34 +2121,35 @@ msgstr ""
 "2 seule la description est crite\n"
 "3 les commentaires complets sont crits"
 
-#: src/config/options.inc:31
+#: src/config/options.inc:32
 msgid "Indentation"
 msgstr "Indentation"
 
-#: src/config/options.inc:33
+#: src/config/options.inc:34
+#, fuzzy
 msgid ""
-"Shift width of one indentation level in the configuration\n"
-"file. Zero means that no indentation is performed at all\n"
-"when saving the configuration."
+"Shift width of one indentation level in the configuration file. Zero means "
+"that no indentation is performed at all when saving the configuration."
 msgstr ""
 "Largeur d'un niveau d'indentation dans le fichier de configuration.\n"
 "Zro signifie qu'aucune indentation ne sera effectue lors de la\n"
 "sauvegarde de la configuration."
 
-#: src/config/options.inc:37
+#: src/config/options.inc:38
 msgid "Saving style"
 msgstr "Style de sauvegarde"
 
-#: src/config/options.inc:39
+#: src/config/options.inc:40
+#, fuzzy
 msgid ""
 "Determines what happens when you tell ELinks to save options:\n"
 "0 is only values of current options are altered\n"
-"1 is values of current options are altered and missing options\n"
-"     are added at the end of the file\n"
+"1 is values of current options are altered and missing\n"
+"     options are added at the end of the file\n"
 "2 is the configuration file is rewritten from scratch\n"
-"3 is values of current options are altered and missing options\n"
-"     CHANGED during this ELinks session are added at the end of\n"
-"     the file"
+"3 is values of current options are altered and missing\n"
+"     options CHANGED during this ELinks session are added at\n"
+"     the end of the file"
 msgstr ""
 "Dtermine ce qu'il se passe lorsque vous demandez  ELinks de sauvegarder "
 "les options:\n"
@@ -2129,17 +2161,17 @@ msgstr ""
 "  options manquantes MODIFIEES durant cette session d'ELinks\n"
 "  sont ajoutes  la fin du fichier"
 
-#: src/config/options.inc:48
+#: src/config/options.inc:50
 msgid "Comments localization"
 msgstr "Localisation des commentaires"
 
-#: src/config/options.inc:50
+#: src/config/options.inc:52
+#, fuzzy
 msgid ""
-"If set to 1, comments in the configuration file will be\n"
-"translated to the language used by UI. Note that if you have\n"
-"different language set in different terminals, the language\n"
-"used in the configuration file MAY be the same as on the\n"
-"terminal where you saved the file, but it should be generally\n"
+"If set to 1, comments in the configuration file will be translated to the "
+"language used by UI. Note that if you have different language set in "
+"different terminals, the language used in the configuration file MAY be the "
+"same as on the terminal where you saved the file, but it should be generally "
 "considered unpredictable."
 msgstr ""
 "Si mis  1, les commentaires dans le fichier de configuration\n"
@@ -2149,97 +2181,98 @@ msgstr ""
 "lequel la sauvegarde a t lance, mais cela doit tre gnralement\n"
 "considr comme hasardeux."
 
-#: src/config/options.inc:58
+#: src/config/options.inc:60
 msgid "Saving style warnings"
 msgstr "Alertes style de sauvegarde"
 
-#: src/config/options.inc:60
+#: src/config/options.inc:62
+#, fuzzy
 msgid ""
-"This is internal option used when displaying a warning about\n"
-"obsolete config.saving_style. You shouldn't touch it."
+"This is internal option used when displaying a warning about obsolete config."
+"saving_style. You shouldn't touch it."
 msgstr ""
 "Cette option interne est utilise pour afficher une alerte concernant\n"
 "l'option obsolte config.saving_style. Vous ne devez pas la modifier."
 
-#: src/config/options.inc:63
+#: src/config/options.inc:66
 msgid "Show template"
 msgstr "Montrer les squelettes"
 
-#: src/config/options.inc:65
+#: src/config/options.inc:68
+#, fuzzy
 msgid ""
-"Show template options in autocreated trees in the options\n"
-"manager and save them to the configuration file."
+"Show template options in autocreated trees in the options manager and save "
+"them to the configuration file."
 msgstr ""
 "Montrer les squelettes d'options dans l'arborescence autognre\n"
 "du gestionnaire d'options et les enregistrer dans le fichier de\n"
 "configuration."
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:71 src/dialogs/info.c:180
+#: src/config/options.inc:74 src/dialogs/info.c:180
 msgid "Connections"
 msgstr "Connexions"
 
-#: src/config/options.inc:73
+#: src/config/options.inc:76
 msgid "Connection options."
 msgstr "Options de connexion."
 
-#: src/config/options.inc:76
+#: src/config/options.inc:79
 msgid "Asynchronous DNS"
 msgstr "Rsolution DNS asynchrone"
 
-#: src/config/options.inc:78
+#: src/config/options.inc:81
 msgid "Whether to use asynchronous DNS resolving."
 msgstr "Utiliser ou non la rsolution DNS asynchrone."
 
-#: src/config/options.inc:80
+#: src/config/options.inc:83
 msgid "Maximum connections"
 msgstr "Nombre max. de connexions"
 
-#: src/config/options.inc:82
+#: src/config/options.inc:85
 msgid "Maximum number of concurrent connections."
 msgstr "Nombre max. de connexions simultanes."
 
-#: src/config/options.inc:84
+#: src/config/options.inc:87
 msgid "Maximum connections per host"
 msgstr "Nombre max. de connexions par hte"
 
-#: src/config/options.inc:86
+#: src/config/options.inc:89
 msgid "Maximum number of concurrent connections to a given host."
 msgstr "Nombre max. de connexions simultanes  un hte donn."
 
-#: src/config/options.inc:88
+#: src/config/options.inc:92
 msgid "Connection retries"
 msgstr "Essais de connexion"
 
-#: src/config/options.inc:90
-msgid ""
-"Number of tries to establish a connection.\n"
-"Zero means try forever."
+#: src/config/options.inc:94
+#, fuzzy
+msgid "Number of tries to establish a connection. Zero means try forever."
 msgstr ""
 "Nombre d'essais pour tablir une connexion.\n"
 "Zro signifie essais infinis."
 
-#: src/config/options.inc:93 src/network/state.c:53
+#: src/config/options.inc:97 src/network/state.c:53
 msgid "Receive timeout"
 msgstr "Dlai d'expiration pour la rception"
 
-#: src/config/options.inc:95
+#: src/config/options.inc:99
 msgid "Receive timeout (in seconds)."
 msgstr "Dlai d'expiration pour la rception (en secondes)."
 
-#: src/config/options.inc:98 src/config/options.inc:108
+#: src/config/options.inc:102 src/config/options.inc:113
 msgid "Try IPv4 when connecting"
 msgstr "Essayer IPv4 lors des connexions"
 
-#: src/config/options.inc:100
+#: src/config/options.inc:104
+#, fuzzy
 msgid ""
-"Whether to try to connect to a host over IPv4.\n"
-"Note that if connection.try_ipv6 is enabled too,\n"
-"it takes precedence. And better do not touch this\n"
+"Whether to try to connect to a host over IPv4. Note that if connection."
+"try_ipv6 is enabled too, it takes precedence. And better do not touch this "
 "at all unless you are sure what are you doing.\n"
-"Note that you can also force a given protocol\n"
-"to be used on a per-connection basis by using a URL\n"
-"in the style of e.g. http4://elinks.cz/."
+"\n"
+"Note that you can also force a given protocol to be used on a per-connection "
+"basis by using a URL in the style of e.g. http4://elinks.cz/."
 msgstr ""
 "Essayer ou non de se connecter en IPv4  un hte.\n"
 "Notez que si connection.try_ipv6 est activ aussi,\n"
@@ -2249,13 +2282,13 @@ msgstr ""
 "protocole pour une connexion en utilisant une URL\n"
 "du style http4://elinks.cz/."
 
-#: src/config/options.inc:110
+#: src/config/options.inc:115
+#, fuzzy
 msgid ""
-"Whether to try to connect to a host over IPv4.\n"
-"Do not touch this option.\n"
-"Note that you can also force a given protocol\n"
-"to be used on a per-connection basis by using a URL\n"
-"in the style of e.g. http4://elinks.cz/."
+"Whether to try to connect to a host over IPv4. Do not touch this option.\n"
+"\n"
+"Note that you can also force a given protocol to be used on a per-connection "
+"basis by using a URL in the style of e.g. http4://elinks.cz/."
 msgstr ""
 "Essayer ou non de se connecter en IPv4  un hte.\n"
 "Ne touchez pas  a du tout  moins de savoir ce\n"
@@ -2264,96 +2297,100 @@ msgstr ""
 "protocole pour une connexion en utilisant une URL\n"
 "du style http4://elinks.cz/."
 
-#: src/config/options.inc:118
+#: src/config/options.inc:124
 msgid "Try IPv6 when connecting"
 msgstr "Essayer IPv6 lors des connexions"
 
-#: src/config/options.inc:120
+#: src/config/options.inc:126
+#, fuzzy
 msgid ""
 "Whether to try to connect to a host over IPv6.\n"
-"Note that you can also force a given protocol\n"
-"to be used on a per-connection basis by using a URL\n"
-"in the style of e.g. http6://elinks.cz/."
+"\n"
+"Note that you can also force a given protocol to be used on a per-connection "
+"basis by using a URL in the style of e.g. http6://elinks.cz/."
 msgstr ""
 "Essayer ou non de se connecter en IPv6  un hte.\n"
 "Vous pouvez toujours forcer l'utilisation d'un\n"
 "protocole pour une connexion en utilisant une URL\n"
 "du style http6://elinks.cz/."
 
-#: src/config/options.inc:126
+#: src/config/options.inc:133
 msgid "Timeout for non-restartable connections"
 msgstr "Dlai d'expiration pour les connexions non-redmarrables"
 
-#: src/config/options.inc:128
+#: src/config/options.inc:135
 msgid "Timeout for non-restartable connections (in seconds)."
 msgstr ""
 "Dlai d'expiration pour les connexions non-redmarrables (en secondes)."
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:134
+#: src/config/options.inc:141
 msgid "Document"
 msgstr "Document"
 
-#: src/config/options.inc:136
+#: src/config/options.inc:143
 msgid "Document options."
 msgstr "Options du document."
 
-#: src/config/options.inc:138
+#: src/config/options.inc:145
 msgid "Browsing"
 msgstr "Navigation"
 
-#: src/config/options.inc:140
+#: src/config/options.inc:147
 msgid "Document browsing options (mainly interactivity)."
 msgstr ""
 "Options de navigation dans le document (interactivit essentiellement)."
 
-#: src/config/options.inc:143
+#: src/config/options.inc:150
 msgid "Access keys"
 msgstr "Touches d'accs"
 
-#: src/config/options.inc:145
+#: src/config/options.inc:152
+#, fuzzy
 msgid ""
-"Options for handling of link access keys.\n"
-"An HTML document can use the ACCESSKEY attribute to assign\n"
-"an access key to an element. When an access key is pressed,\n"
-"the corresponding element will be given focus."
+"Options for handling of link access keys. An HTML document can use the "
+"ACCESSKEY attribute to assign an access key to an element. When an access "
+"key is pressed, the corresponding element will be given focus."
 msgstr ""
 "Options pour grer les touches d'accs aux liens.\n"
 "Un document HTML peut utilis l'attribut ACCESSKEY pour assigner\n"
 "une touche d'accs  un lment. Quand la touche d'accs est presse\n"
 "l'lment correspondant obtiendra le focus."
 
-#: src/config/options.inc:150
+#: src/config/options.inc:157
 msgid "Automatic links following"
 msgstr "Suivi de liens automatique"
 
-#: src/config/options.inc:152
+#: src/config/options.inc:159
+#, fuzzy
 msgid ""
-"Automatically follow a link or submit a form if appropriate\n"
-"accesskey is pressed - this is the standard behaviour, but it's\n"
-"considered dangerous."
+"Automatically follow a link or submit a form if appropriate accesskey is "
+"pressed - this is the standard behaviour, but it's considered dangerous."
 msgstr ""
 "Suivre un lien ou expdier un formulaire automatiquement si la\n"
 "touche d'accs approprie est presse - c'est le fonctionnement habituel,\n"
 "mais il est considr comme dangereux."
 
-#: src/config/options.inc:156
+#: src/config/options.inc:163
 msgid "Display access key in link info"
 msgstr "Afficher la touche d'accs dans l'info de lien"
 
-#: src/config/options.inc:158
+#: src/config/options.inc:165
 msgid "Display access key in link info."
 msgstr "Afficher la touche d'accs dans l'info de lien."
 
-#: src/config/options.inc:160
+#: src/config/options.inc:167
 msgid "Accesskey priority"
 msgstr "Priorit des touches d'accs"
 
-#: src/config/options.inc:162
+#: src/config/options.inc:169
+#, fuzzy
 msgid ""
 "Priority of 'accesskey' HTML attribute:\n"
-"0 is first try all normal bindings; if it fails, check accesskey\n"
-"1 is first try only frame bindings; if it fails, check accesskey\n"
+"0 is first try all normal bindings; if it fails,\n"
+"     check accesskey\n"
+"1 is first try only frame bindings; if it fails,\n"
+"     check accesskey\n"
 "2 is first check accesskey (this can be dangerous)"
 msgstr ""
 "Priorit de l'attribut HTML 'accesskey':\n"
@@ -2363,54 +2400,54 @@ msgstr ""
 "  en cas d'chec\n"
 "2 essayer 'accesskey' en premier (dangereux)"
 
-#: src/config/options.inc:168
+#: src/config/options.inc:177
 msgid "Forms"
 msgstr "Formulaires"
 
-#: src/config/options.inc:170
+#: src/config/options.inc:179
 msgid "Options for handling of the forms interaction."
 msgstr "Options des formulaires."
 
-#: src/config/options.inc:172
+#: src/config/options.inc:181
 msgid "Submit form automatically"
 msgstr "Envoi automatique des formulaires"
 
-#: src/config/options.inc:174
+#: src/config/options.inc:183
+#, fuzzy
 msgid ""
-"Automagically submit a form when enter is pressed with a text\n"
-"field selected."
+"Automagically submit a form when enter is pressed with a text field selected."
 msgstr ""
 "Envoi automatique d'un formulaire quand entre est presse\n"
 "dans un champ texte slectionn."
 
-#: src/config/options.inc:177
+#: src/config/options.inc:186
 msgid "Confirm submission"
 msgstr "Confirmation de l'envoi"
 
-#: src/config/options.inc:179
+#: src/config/options.inc:188
 msgid "Ask for confirmation when submitting a form."
 msgstr "Demander confirmation avant l'envoi d'un formulaire."
 
-#: src/config/options.inc:181
+#: src/config/options.inc:190
 msgid "Default form input size"
 msgstr "Taille par dfaut des entres de formulaire"
 
-#: src/config/options.inc:183
+#: src/config/options.inc:192
 msgid "Default form input size if none is specified."
 msgstr "Taille par dfaut des entres de formulaire si aucune n'est spcifie."
 
-#: src/config/options.inc:185
+#: src/config/options.inc:194
 msgid "Insert mode"
 msgstr "Mode insertion"
 
-#: src/config/options.inc:187
+#: src/config/options.inc:196
+#, fuzzy
 msgid ""
-"The setting for this option affects how key presses are handled\n"
-"when one selects a text-input form-field. When enabled, one must\n"
-"explicitly 'enter' a selected text-field to edit it; this prevents\n"
-"text fields from capturing key presses, such as presses of a scroll\n"
-"key, when it is inadvertently selected. When disabled, key presses\n"
-"are always inserted into a selected text field."
+"The setting for this option affects how key presses are handled when one "
+"selects a text-input form-field. When enabled, one must explicitly 'enter' a "
+"selected text-field to edit it; this prevents text fields from capturing key "
+"presses, such as presses of a scroll key, when it is inadvertently selected. "
+"When disabled, key presses are always inserted into a selected text field."
 msgstr ""
 "L'activation de cette option affecte la manire de grer les touches\n"
 "clavier lorsque slectionnez un champ de formulaire de type texte.\n"
@@ -2420,17 +2457,18 @@ msgstr ""
 "Lorsqu'elle est dsactive, les touches presses sont toujours\n"
 "insres dans le champ texte slectionn."
 
-#: src/config/options.inc:194
+#: src/config/options.inc:204
 msgid "External editor"
 msgstr "Editeur externe"
 
-#: src/config/options.inc:196
+#: src/config/options.inc:206
+#, fuzzy
 msgid ""
-"Path to the executable that ELinks should launch when the user\n"
-"requests to edit a textarea with an external editor.\n"
-"If this is blank, ELinks will use the value of the environmental\n"
-"variable $EDITOR. If $EDITOR is empty or not set, ELinks will then\n"
-"default to \"vi\"."
+"Path to the executable that ELinks should launch when the user requests to "
+"edit a textarea with an external editor.\n"
+"\n"
+"If this is blank, ELinks will use the value of the environmental variable "
+"$EDITOR. If $EDITOR is empty or not set, ELinks will then default to \"vi\"."
 msgstr ""
 "Chemin du programme qu'ELinks doit lancer quand l'utilisateur\n"
 "demande  diter un champ de texte avec un diteur externe.\n"
@@ -2438,25 +2476,28 @@ msgstr ""
 "$EDITOR. Si $EDITOR est vide ou non configure, ELinks utilisera\n"
 "\"vi\" par dfaut."
 
-#: src/config/options.inc:203
+#: src/config/options.inc:214
 msgid "Images"
 msgstr "Images"
 
-#: src/config/options.inc:205
+#: src/config/options.inc:216
 msgid "Options for handling of images."
 msgstr "Options concernant les images."
 
-#: src/config/options.inc:207
+#: src/config/options.inc:218
 msgid "Display style for image tags"
 msgstr "Style d'affichage pour les balises images"
 
-#: src/config/options.inc:209
+#: src/config/options.inc:220
+#, fuzzy
 msgid ""
 "Display style for image tags when displayed:\n"
 "0     means always display IMG\n"
 "1     means always display filename\n"
-"2     means display alt/title attribute if possible, IMG if not\n"
-"3     means display alt/title attribute if possible, filename if not"
+"2     means display alt/title attribute if possible,\n"
+"      IMG if not\n"
+"3     means display alt/title attribute if possible,\n"
+"      filename if not"
 msgstr ""
 "Style d'affichage pour les balises images si affiches:\n"
 "0     signifie toujours afficher IMG\n"
@@ -2465,27 +2506,29 @@ msgstr ""
 "3     signifie afficher l'attribut alt ou title si possible, le nom de "
 "fichier sinon"
 
-#: src/config/options.inc:215
+#: src/config/options.inc:228
 msgid "Maximum length for image filename"
 msgstr "Longueur maximale pour le nom de fichier image"
 
-#: src/config/options.inc:217
+#: src/config/options.inc:230
+#, fuzzy
 msgid ""
 "Maximum length of image filename when displayed:\n"
 "0     means always display full filename\n"
 "1-500 means display filename with this maximal length;\n"
-"      if it is longer, the middle is substituted by an asterisk"
+"      if it is longer, the middle is substituted by\n"
+"      an asterisk"
 msgstr ""
 "Longueur maximale pour le nom du fichier image si affiche:\n"
 "0     toujours afficher le nom de fichier complet\n"
 "1-500 afficher le nom de fichier de cette taille maximale;\n"
 "      si plus long, le milieu est remplac par un astrisque"
 
-#: src/config/options.inc:227
+#: src/config/options.inc:241
 msgid "Image links tagging"
 msgstr "Marquage des liens image"
 
-#: src/config/options.inc:229
+#: src/config/options.inc:243
 msgid ""
 "When to enclose image links:\n"
 "0 means never\n"
@@ -2497,97 +2540,100 @@ msgstr ""
 "1 jamais si les attributs alt ou title sont fournis\n"
 "2 toujours"
 
-#: src/config/options.inc:234
+#: src/config/options.inc:248
 msgid "Image link prefix"
 msgstr "Prfixe pour les liens image"
 
-#: src/config/options.inc:236
+#: src/config/options.inc:250
 msgid "Prefix string to use to mark image links."
 msgstr "Prfixe marquant les liens image."
 
-#: src/config/options.inc:238
+#: src/config/options.inc:252
 msgid "Image link suffix"
 msgstr "Suffixe pour les liens image"
 
-#: src/config/options.inc:240
+#: src/config/options.inc:254
 msgid "Suffix string to use to mark image links."
 msgstr "Suffixe marquant les liens image."
 
-#: src/config/options.inc:242
+#: src/config/options.inc:256
 msgid "Maximum length for image label"
 msgstr "Longueur maximale pour le label des images"
 
-#: src/config/options.inc:244
+#: src/config/options.inc:258
+#, fuzzy
 msgid ""
 "Maximum length of image label (alt/title):\n"
 "0     means always display full label\n"
 "1-500 means display label with this maximal length;\n"
-"      if it is longer, the middle is substituted by an asterisk"
+"      if it is longer, the middle is substituted by\n"
+"      an asterisk"
 msgstr ""
 "Longueur maximale pour le label des images (alt/title):\n"
 "0     toujours afficher le label complet\n"
 "1-500 afficher le label de cette taille maximale;\n"
 "      si plus long, le milieu est remplac par un astrisque"
 
-#: src/config/options.inc:249
+#: src/config/options.inc:264
 msgid "Display links to images w/o alt"
 msgstr "Afficher les liens image sans attribut 'alt'"
 
-#: src/config/options.inc:251
+#: src/config/options.inc:266
+#, fuzzy
 msgid ""
-"Display links to images without an alt attribute. If this option\n"
-"is off, these images are completely invisible."
+"Display links to images without an alt attribute. If this option is off, "
+"these images are completely invisible."
 msgstr ""
 "Afficher les liens vers des images sans attribut alt. Si cette option\n"
 "est dsactiv, ces images sont compltement invisibles."
 
-#: src/config/options.inc:254
+#: src/config/options.inc:269
 msgid "Display links to images"
 msgstr "Afficher tous les liens image"
 
-#: src/config/options.inc:256
+#: src/config/options.inc:271
+#, fuzzy
 msgid ""
-"Display links to any images in the document, regardless of them\n"
-"having an alt attribute or not. If this option is off, the alt\n"
-"attribute contents is shown, but as normal text, not selectable\n"
-"as a link."
+"Display links to any images in the document, regardless of them having an "
+"alt attribute or not. If this option is off, the alt attribute contents is "
+"shown, but as normal text, not selectable as a link."
 msgstr ""
 "Afficher les liens vers des images, que celles-ci aient un attribut\n"
 "alt ou non. Si cette option est dsactive, le contenu de l'attribut\n"
 "alt est affich, mais comme du texte normal, non slectionnable comme\n"
 "un lien."
 
-#: src/config/options.inc:262
+#: src/config/options.inc:277
 msgid "Links"
 msgstr "Liens"
 
-#: src/config/options.inc:264
+#: src/config/options.inc:279
 msgid "Options for handling of links to other documents."
 msgstr "Options pour la gestion des liens vers d'autres documents."
 
-#: src/config/options.inc:266
+#: src/config/options.inc:281
 msgid "Active link"
 msgstr "Lien actif"
 
-#: src/config/options.inc:268
+#: src/config/options.inc:283
 msgid "Options for the active link."
 msgstr "Options concernant le lien actif."
 
-#: src/config/options.inc:270
+#: src/config/options.inc:285
 msgid "Colors"
 msgstr "Couleurs"
 
-#: src/config/options.inc:272
+#: src/config/options.inc:287
 msgid "Active link colors."
 msgstr "Couleurs du lien actif."
 
-#: src/config/options.inc:274 src/config/options.inc:549
-#: src/config/options.inc:945
+#: src/config/options.inc:289 src/config/options.inc:583
+#: src/config/options.inc:1014
 msgid "Background color"
 msgstr "Couleur du fond"
 
-#: src/config/options.inc:276 src/config/options.inc:551
-#: src/config/options.inc:946
+#: src/config/options.inc:291 src/config/options.inc:585
+#: src/config/options.inc:1015
 msgid "Default background color."
 msgstr "Couleur par dfaut du fond."
 
@@ -2599,76 +2645,77 @@ msgstr "Couleur par dfaut du fond."
 #. *	on it.
 #. The colors and mono tree should be similar but with different default
 #. * values of course so always use the macros below.
-#: src/config/options.inc:278 src/config/options.inc:545
-#: src/config/options.inc:943
+#: src/config/options.inc:293 src/config/options.inc:579
+#: src/config/options.inc:1012
 msgid "Text color"
 msgstr "Couleur du texte"
 
-#: src/config/options.inc:280 src/config/options.inc:547
-#: src/config/options.inc:944
+#: src/config/options.inc:295 src/config/options.inc:581
+#: src/config/options.inc:1013
 msgid "Default text color."
 msgstr "Couleur du texte par dfaut."
 
-#: src/config/options.inc:282
+#: src/config/options.inc:297
 msgid "Enable color"
 msgstr "Activer la couleur"
 
-#: src/config/options.inc:284
+#: src/config/options.inc:299
+#, fuzzy
 msgid ""
-"Enable use of the active link background and text color\n"
-"settings instead of the link colors from the document."
+"Enable use of the active link background and text color settings instead of "
+"the link colors from the document."
 msgstr ""
 "Permettre l'utilisation les couleurs de fond et de texte\n"
 "configures pour les liens actifs au lieu des couleurs indiques\n"
 "par le document."
 
-#: src/config/options.inc:287
+#: src/config/options.inc:302
 msgid "Bold"
 msgstr "Gras"
 
-#: src/config/options.inc:289
+#: src/config/options.inc:304
 msgid "Make the active link text bold."
 msgstr "Mettre en gras le texte du lien actif."
 
-#: src/config/options.inc:291
+#: src/config/options.inc:306
 msgid "Invert colors"
 msgstr "Inverser les couleurs"
 
-#: src/config/options.inc:293
+#: src/config/options.inc:308
 msgid "Invert the fore- and background color so the link stands out."
 msgstr ""
 "Inverser les couleurs de fond et de texte pour mettre le lien en vidence."
 
-#: src/config/options.inc:296 src/config/options.inc:908
+#: src/config/options.inc:311 src/config/options.inc:975
 #: src/dialogs/options.c:231
 msgid "Underline"
 msgstr "Soulign"
 
-#: src/config/options.inc:298
+#: src/config/options.inc:313
 msgid "Underline the active link."
 msgstr "Souligner le lien actif."
 
-#: src/config/options.inc:301
+#: src/config/options.inc:316
 msgid "Directory highlighting"
 msgstr "Surbrillance des rpertoires"
 
-#: src/config/options.inc:303
+#: src/config/options.inc:318
 msgid "Highlight links to directories in FTP and local directory listing."
 msgstr "Mettre en surbrillance les liens vers des rpertoires (FTP/local)."
 
-#: src/config/options.inc:305
+#: src/config/options.inc:321
 msgid "Number links"
 msgstr "Numrotation des liens"
 
-#: src/config/options.inc:307
+#: src/config/options.inc:323
 msgid "Display numbers next to the links."
 msgstr "Afficher le numro de lien devant chaque lien."
 
-#: src/config/options.inc:309
+#: src/config/options.inc:325
 msgid "Handling of target=_blank"
 msgstr "Gestion de target=_blank"
 
-#: src/config/options.inc:311
+#: src/config/options.inc:327
 msgid ""
 "Define how to handle links having target=_blank set:\n"
 "0 means open link in current tab\n"
@@ -2682,40 +2729,41 @@ msgstr ""
 "2 signifie ouvrir le lien dans un nouvel onglet en arrire-plan\n"
 "3 signifie ouvrir dans une nouvelle fentre"
 
-#: src/config/options.inc:324
+#: src/config/options.inc:340
 msgid "Use tabindex"
 msgstr "Utiliser tabindex"
 
-#: src/config/options.inc:326
+#: src/config/options.inc:342
+#, fuzzy
 msgid ""
-"Whether to navigate links using tabindex specified ordering.\n"
-"The TABINDEX attribute in HTML elements specifies the order\n"
-"in which links should receive focus when using the keyboard\n"
-"to navigate the document."
+"Whether to navigate links using tabindex specified ordering. The TABINDEX "
+"attribute in HTML elements specifies the order in which links should receive "
+"focus when using the keyboard to navigate the document."
 msgstr ""
 "Autoriser ou non la navigation dans les liens en utilisant\n"
 "l'ordre spcifi par l'attribut TABINDEX. Cet attribut indique\n"
 "l'ordre dans lequel les liens doivent recevoir le focus quand le\n"
 "clavier est utilis pour la navigation dans le document."
 
-#: src/config/options.inc:331
+#: src/config/options.inc:347
 msgid "Missing fragment reporting"
 msgstr "Informer en cas d'ancre manquante"
 
-#: src/config/options.inc:333
+#: src/config/options.inc:349
 msgid "Open a message box when document has no tag with given id."
 msgstr ""
 "Ouvrir une bote de message quand un document ne comporte pas de tag\n"
 "ayant l'id donn."
 
-#: src/config/options.inc:335
+#: src/config/options.inc:352
 msgid "Number keys select links"
 msgstr "Slection des liens par les touches numriques"
 
-#: src/config/options.inc:337
+#: src/config/options.inc:354
+#, fuzzy
 msgid ""
-"Number keys select links rather than specify command prefixes. This\n"
-"is a tristate:\n"
+"Number keys select links rather than specify command prefixes. This is a "
+"tristate:\n"
 "0 means never\n"
 "1 means if document.browse.links.numbering = 1\n"
 "2 means always"
@@ -2726,15 +2774,16 @@ msgstr ""
 "1 si document.browse.links.numbering = 1 (numrotation des liens)\n"
 "2 toujours"
 
-#: src/config/options.inc:343
+#: src/config/options.inc:360
 msgid "Warn about maliciously crafted URIs"
 msgstr "Avertir au sujet des URIs malicieuses"
 
-#: src/config/options.inc:345
+#: src/config/options.inc:362
+#, fuzzy
 msgid ""
-"When following a link the user ID part of the URI is\n"
-"checked and if a maliciously crafted URI is detected a\n"
-"warning dialog will ask before following the link."
+"When following a link the user ID part of the URI is checked and if a "
+"maliciously crafted URI is detected a warning dialog will ask before "
+"following the link."
 msgstr ""
 "Quand vous suivez un lien la partie identifiant utilisateur\n"
 "est vrifie et si une URI malicieuse est dtecte un dialogue\n"
@@ -2742,100 +2791,104 @@ msgstr ""
 
 #. TODO - this is somehow implemented by ff, but disabled
 #. * for now as it doesn't work.
-#: src/config/options.inc:351
+#: src/config/options.inc:368
 msgid "Wrap-around links cycling"
 msgstr "Slection cyclique des liens"
 
 #. 0
-#: src/config/options.inc:353
+#: src/config/options.inc:370
+#, fuzzy
 msgid ""
-"When pressing 'down' on the last link, jump to the first one, and\n"
-"vice versa."
+"When pressing 'down' on the last link, jump to the first one, and vice versa."
 msgstr ""
 "En pressant la touche 'bas' sur le dernier lien, sauter au premier, et\n"
 "vice versa."
 
-#: src/config/options.inc:357
+#: src/config/options.inc:374
 msgid "Scrolling"
 msgstr "Dfilement"
 
-#: src/config/options.inc:359
+#: src/config/options.inc:376
 msgid "Scrolling options."
 msgstr "Options de dfilement."
 
-#: src/config/options.inc:361
+#: src/config/options.inc:378
 msgid "Horizontal step"
 msgstr "Pas horizontal"
 
-#: src/config/options.inc:363
+#: src/config/options.inc:380
+#, fuzzy
 msgid ""
-"Number of columns to scroll when a key bound to scroll-left or scroll-\n"
-"right is pressed and no prefix was given."
+"Number of columns to scroll when a key bound to scroll-left or scroll-right "
+"is pressed and no prefix was given."
 msgstr ""
 "Nombre de lignes  dfiler quand une touche associe  scroll-left\n"
 "ou scroll-right est presse et aucun prfixe n'est donn."
 
-#: src/config/options.inc:366
+#: src/config/options.inc:384
 msgid "Extended horizontal scrolling"
 msgstr "Dfilement horizontal tendu"
 
-#: src/config/options.inc:368
+#: src/config/options.inc:386
+#, fuzzy
 msgid ""
-"Whether to allow horizontal scrolling when the document\n"
-"does not extend off the screen. Useful for copy/paste\n"
-"operations."
+"Whether to allow horizontal scrolling when the document does not extend off "
+"the screen. Useful for copy/paste operations."
 msgstr ""
 "Autoriser ou non le dfilement horizontal quand le document\n"
 "ne s'tend pas au-del de l'cran. Utile pour les oprations\n"
 "de copier/coller."
 
-#: src/config/options.inc:372
+#: src/config/options.inc:390
 msgid "Margin"
 msgstr "Marge"
 
-#: src/config/options.inc:374
+#: src/config/options.inc:392
+#, fuzzy
 msgid ""
-"Size of the virtual margin - when you click inside of that margin,\n"
-"document scrolls in that direction."
+"Size of the virtual margin - when you click inside of that margin, document "
+"scrolls in that direction."
 msgstr ""
 "Taille de la marge virtuelle - quand vous cliquez dans cette marge,\n"
 "le document dfile dans la direction de la marge."
 
-#: src/config/options.inc:377
+#: src/config/options.inc:395
 msgid "Vertical step"
 msgstr "Pas vertical"
 
-#: src/config/options.inc:379
+#: src/config/options.inc:397
+#, fuzzy
 msgid ""
-"Number of lines to scroll when a key bound to scroll-up or scroll-\n"
-"down is pressed and no prefix was given."
+"Number of lines to scroll when a key bound to scroll-up or scroll-down is "
+"pressed and no prefix was given."
 msgstr ""
 "Nombre de lignes  dfiler quand une touche associe  scroll-up\n"
 "ou scroll-down est presse et aucun prfixe n'est donn."
 
-#: src/config/options.inc:383
+#: src/config/options.inc:401
 msgid "Searching"
 msgstr "Recherche"
 
-#: src/config/options.inc:385
+#: src/config/options.inc:403
 msgid "Options for searching."
 msgstr "Options concernant la recherche."
 
-#: src/config/options.inc:387
+#: src/config/options.inc:405
 msgid "Case sensitivity"
 msgstr "Sensibilit  la casse"
 
-#: src/config/options.inc:389
+#: src/config/options.inc:407
+#, fuzzy
 msgid ""
-"Whether the search should match the document text while maintaining\n"
-"case sensitivity."
+"Whether the search should match the document text while maintaining case "
+"sensitivity."
 msgstr "Respecter ou non la casse lors des recherches dans le document."
 
-#: src/config/options.inc:393
+#: src/config/options.inc:411
 msgid "Regular expressions"
 msgstr "Expressions rgulires"
 
-#: src/config/options.inc:395
+#: src/config/options.inc:413
 msgid ""
 "Enable searching with regular expressions:\n"
 "0 for plain text searching\n"
@@ -2847,31 +2900,32 @@ msgstr ""
 "1 pour expressions rgulires\n"
 "2 pour expressions rgulires tendues"
 
-#: src/config/options.inc:401
+#: src/config/options.inc:419
 msgid "Show search hit top or bottom dialogs"
 msgstr "Montrer les dialogues de limite de recherche"
 
-#: src/config/options.inc:403
+#: src/config/options.inc:421
+#, fuzzy
 msgid ""
-"Whether to show a dialog when the search hits the top or bottom of the\n"
+"Whether to show a dialog when the search hits the top or bottom of the "
 "document."
 msgstr ""
 "Montrer un dialogue indiquant que la recherche a atteint le haut ou\n"
 "le bas du document."
 
-#: src/config/options.inc:406
+#: src/config/options.inc:424
 msgid "Wraparound"
 msgstr "Dplacement circulaire"
 
-#: src/config/options.inc:408
+#: src/config/options.inc:426
 msgid "Wrap around when searching. Currently only used for typeahead."
 msgstr "Recherche circulaire. Seulement utilis pour la prfrappe."
 
-#: src/config/options.inc:410
+#: src/config/options.inc:429
 msgid "Show not found"
 msgstr "Comportement si non trouv"
 
-#: src/config/options.inc:412
+#: src/config/options.inc:431
 msgid ""
 "How to inform the user when nothing is matched:\n"
 "0 means do nothing\n"
@@ -2883,20 +2937,23 @@ msgstr ""
 "1 produire un bip sur le terminal\n"
 "2 afficher une bote de dialogue"
 
-#: src/config/options.inc:417
+#: src/config/options.inc:436
 msgid "Typeahead searching"
 msgstr "Recherche par prfrappe"
 
-#: src/config/options.inc:419
+#: src/config/options.inc:438
+#, fuzzy
 msgid ""
-"Start typeahead searching when an unbound key is pressed without\n"
-"any modifiers. Note that most keys have default bindings, so this\n"
-"feature will not be useful unless you unbind them.\n"
-"\n"
-"0 disables this feature; typeahead searching will only be used\n"
-"  when you press a key bound to search-typeahead or similar\n"
+"Start typeahead searching when an unbound key is pressed without any "
+"modifiers. Note that most keys have default bindings, so this feature will "
+"not be useful unless you unbind them.\n"
+"\n"
+"0 disables this feature; typeahead searching will only be\n"
+"  used when you press a key bound to search-typeahead or\n"
+"  similar\n"
 "1 automatically starts typeahead searching thru link text\n"
-"2 automatically starts typeahead searching thru all document text"
+"2 automatically starts typeahead searching thru all document\n"
+"  text"
 msgstr ""
 "Dmarre la recherche par prfrappe quand une touche non configur\n"
 "est presse sans modificateur. Notez que la plupart des touches ont\n"
@@ -2911,26 +2968,28 @@ msgstr ""
 "2 dmarrer automatiquement la recherche par prfrappe pour tout le\n"
 "  texte du document"
 
-#: src/config/options.inc:428
+#: src/config/options.inc:451
 msgid "Horizontal text margin"
 msgstr "Marge horizontale"
 
-#: src/config/options.inc:430
+#: src/config/options.inc:453
 msgid "Horizontal text margin."
 msgstr "Marge horizontale."
 
-#: src/config/options.inc:432
+#: src/config/options.inc:455
 msgid "Document meta refresh"
 msgstr "Directive meta refresh"
 
-#: src/config/options.inc:434
+#: src/config/options.inc:457
+#, fuzzy
 msgid ""
-"Automatically follow document-specified refresh directives ('<meta>\n"
-"refresh' tags). Web-page authors use these to instruct the browser\n"
-"to reload a document at a given interval or to load another page.\n"
-"Regardless of the value the refresh URI is accessible as a link.\n"
-"Use the document.browse.minimum_refresh_time to control the minimum\n"
-"number of seconds a refresh will wait."
+"Automatically follow document-specified refresh directives ('<meta> refresh' "
+"tags). Web-page authors use these to instruct the browser to reload a "
+"document at a given interval or to load another page. Regardless of the "
+"value the refresh URI is accessible as a link.\n"
+"\n"
+"Use the document.browse.minimum_refresh_time to control the minimum number "
+"of seconds a refresh will wait."
 msgstr ""
 "Automatiquement suivre les directives de rafrachissement (tags\n"
 "'<meta> refresh') spcifies dans le document.\n"
@@ -2940,16 +2999,16 @@ msgstr ""
 "Utilisez document.browse.minimum_refresh_time pour contrler le\n"
 "nombre minimum de secondes un rafrachissement prendra."
 
-#: src/config/options.inc:441
+#: src/config/options.inc:466
 msgid "Document meta refresh minimum time"
 msgstr "Temps minimum pour la directive meta refresh"
 
-#: src/config/options.inc:443
+#: src/config/options.inc:468
+#, fuzzy
 msgid ""
-"The minimum number of milliseconds that should pass before\n"
-"refreshing. If set to zero the document refresh time is used\n"
-"unchanged. It can fix going back in history for some sites that\n"
-"use refreshing with zero values."
+"The minimum number of milliseconds that should pass before refreshing. If "
+"set to zero the document refresh time is used unchanged. It can fix going "
+"back in history for some sites that use refreshing with zero values."
 msgstr ""
 "Le nombre minimum de millisecondes qui devra passer avant\n"
 "de rafrachir. Si il vaut zro le temps spcifi par le document\n"
@@ -2957,95 +3016,96 @@ msgstr ""
 "lors d'un retour dans l'historique sur des sites qui utilisent\n"
 "des valeurs nulles pour le rafrachissement."
 
-#: src/config/options.inc:448
+#: src/config/options.inc:473
 msgid "Tables navigation order"
 msgstr "Ordre de navigation dans les tableaux"
 
-#: src/config/options.inc:450
+#: src/config/options.inc:475
 msgid "Move by columns in table, instead of rows."
 msgstr ""
 "Dplacement de colonne en colonne dans les tableaux,\n"
 "(au lieu du dplacement ligne par ligne)."
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:456
+#: src/config/options.inc:481
 msgid "Cache"
 msgstr "Cache"
 
-#: src/config/options.inc:458
+#: src/config/options.inc:483
 msgid "Cache options."
 msgstr "Options concernant les caches."
 
-#: src/config/options.inc:460
+#: src/config/options.inc:485
 msgid "Cache information about redirects"
 msgstr "Cacher les informations concernant les redirections"
 
-#: src/config/options.inc:462
+#: src/config/options.inc:487
 #, fuzzy
 msgid ""
-"Cache even redirects sent by server (usually thru HTTP by a 302\n"
-"HTTP code and a Location header). This was the original behaviour\n"
-"for quite some time, but it causes problems in a situation very\n"
-"common to various web login systems - frequently, when accessing\n"
-"a certain location, they will redirect you to a login page if they\n"
-"don't receive an auth cookie, the login page then gives you the\n"
-"cookie and redirects you back to the original page, but there you\n"
-"have already cached redirect back to the login page! If this\n"
-"option has value of 0, this malfunction is fixed, but occasionally\n"
-"you may get superfluous (depends on how you take it ;-) requests to\n"
-"the server. If this option has value of 1, experienced users can\n"
-"still workaround it by clever combination of usage of reload,\n"
-"jumping around in session history and hitting ctrl+enter.\n"
-"Note that this option is checked when retrieving the information\n"
-"from cache, not when saving it to cache - thus if you enable\n"
-"it, even previous redirects will be taken from cache instead of\n"
-"asking the server."
+"Cache even redirects sent by server (usually thru HTTP by a 302 HTTP code "
+"and a Location header). This was the original behaviour for quite some time, "
+"but it causes problems in a situation very common to various web login "
+"systems - frequently, when accessing a certain location, they will redirect "
+"you to a login page if they don't receive an auth cookie, the login page "
+"then gives you the cookie and redirects you back to the original page, but "
+"there you have already cached redirect back to the login page! If this "
+"option has value of 0, this malfunction is fixed, but occasionally you may "
+"get superfluous (depends on how you take it ;-) requests to the server. If "
+"this option has value of 1, experienced users can still workaround it by "
+"clever combination of usage of reload, jumping around in session history and "
+"hitting ctrl+enter.\n"
+"\n"
+"Note that this option is checked when retrieving the information from cache, "
+"not when saving it to cache - thus if you enable it, even previous redirects "
+"will be taken from cache instead of asking the server."
 msgstr ""
 "Cacher aussi les pages rediriges par le serveur (habituellement\n"
 "grce au code HTTP 302 et un en-tte Location). Ceci tait le\n"
 "fonctionnement initial, mais il pose des problmes pour les\n"
 "pages web comportant un systme d'authentification."
 
-#: src/config/options.inc:480
+#: src/config/options.inc:508
 msgid "Ignore cache-control info from server"
 msgstr "Ignorer les informations de contrle du cache du serveur"
 
-#: src/config/options.inc:482
+#: src/config/options.inc:510
+#, fuzzy
 msgid ""
-"Ignore Cache-Control and Pragma server headers.\n"
-"When set, the document is cached even with 'Cache-Control: no-cache'."
+"Ignore Cache-Control and Pragma server headers. When set, the document is "
+"cached even with 'Cache-Control: no-cache'."
 msgstr ""
 "Ignorer les en-ttes Cache-Control et Pragma.\n"
 "Si activ, le document sera mis en cache mme si le serveur spcifie un\n"
 "en-tte 'Cache-Control: no-cache'."
 
-#: src/config/options.inc:485
+#: src/config/options.inc:514
 msgid "Formatted documents"
 msgstr "Cache des documents formats"
 
-#: src/config/options.inc:487
+#: src/config/options.inc:516
 msgid "Format cache options."
 msgstr "Options du cache des documents formats."
 
-#: src/config/options.inc:489
+#: src/config/options.inc:518
 msgid "Number"
 msgstr "Nombre"
 
-#: src/config/options.inc:491
+#: src/config/options.inc:520
+#, fuzzy
 msgid ""
-"Number of cached formatted pages. Do not get too generous\n"
-"here, 'formatted' means that all the accompanying structures\n"
-"are kept in memory so that you get the cached document\n"
-"immediatelly, but these structures may take a lot - 2x the\n"
-"size of the HTML source is probably not unusual, but it can\n"
-"be even more if the document consists of a lot of short lines\n"
-"(padded right, if possible) and links and not much other markup.\n"
-"So if you set this to 256 and then you don't like your ELinks\n"
-"eating 90M, don't come complaining to us. ;-)\n"
-"Also note that the format cache itself is not counted to the\n"
-"memory cache size, but the HTML source of the formatted documents\n"
-"is always cached, even if it is over the memory cache size\n"
-"threshold. (Then of course no other documents can be cached.)"
+"Number of cached formatted pages. Do not get too generous here, 'formatted' "
+"means that all the accompanying structures are kept in memory so that you "
+"get the cached document immediatelly, but these structures may take a lot - "
+"2x the size of the HTML source is probably not unusual, but it can be even "
+"more if the document consists of a lot of short lines (padded right, if "
+"possible) and links and not much other markup. So if you set this to 256 and "
+"then you don't like your ELinks eating 90M, don't come complaining to "
+"us. ;-)\n"
+"\n"
+"Also note that the format cache itself is not counted to the memory cache "
+"size, but the HTML source of the formatted documents is always cached, even "
+"if it is over the memory cache size threshold. (Then of course no other "
+"documents can be cached.)"
 msgstr ""
 "Nombre de pages formates mises en cache.\n"
 "Ne pas tre trop gnreux ici, 'formates' dsigne toutes les\n"
@@ -3064,17 +3124,17 @@ msgstr ""
 "pourra tre mise en cache)."
 
 #. FIXME: Write more.
-#: src/config/options.inc:506
+#: src/config/options.inc:538
 msgid "Revalidation interval"
 msgstr "Intervalle de revalidation"
 
-#: src/config/options.inc:508
+#: src/config/options.inc:540
+#, fuzzy
 msgid ""
-"Period in seconds that a cache entry is considered to be\n"
-"up-to-date. When a document is loaded and this interval has elapsed\n"
-"since the document was initially loaded or most recently\n"
-"revalidated with the server, the server will be checked in case\n"
-"there is a more up-to-date version of the document.\n"
+"Period in seconds that a cache entry is considered to be up-to-date. When a "
+"document is loaded and this interval has elapsed since the document was "
+"initially loaded or most recently revalidated with the server, the server "
+"will be checked in case there is a more up-to-date version of the document.\n"
 "\n"
 "A value of -1 disables automatic revalidation."
 msgstr ""
@@ -3086,131 +3146,135 @@ msgstr ""
 "\n"
 "Une valeur de -1 dsactive la revalidation automatique."
 
-#: src/config/options.inc:515 src/dialogs/info.c:199
+#: src/config/options.inc:549 src/dialogs/info.c:199
 msgid "Memory cache"
 msgstr "Cache mmoire"
 
-#: src/config/options.inc:517
+#: src/config/options.inc:551
 msgid "Memory cache options."
 msgstr "Options du cache mmoire."
 
-#: src/config/options.inc:521
+#: src/config/options.inc:555
 msgid "Memory cache size (in bytes)."
 msgstr "Taille du cache mmoire (en octets)."
 
-#: src/config/options.inc:525
+#: src/config/options.inc:559
 msgid "Charset"
 msgstr "Jeu de caractres"
 
-#: src/config/options.inc:527
+#: src/config/options.inc:561
 msgid "Charset options."
 msgstr "Options des jeux de caractres."
 
-#: src/config/options.inc:529
+#: src/config/options.inc:563
 msgid "Default codepage"
 msgstr "Page de caractres par dfaut"
 
-#: src/config/options.inc:531
+#: src/config/options.inc:565
+#, fuzzy
 msgid ""
-"Default document codepage. 'System' stands for\n"
-"a codepage determined by a selected locale."
+"Default document codepage. 'System' stands for a codepage determined by a "
+"selected locale."
 msgstr ""
 "Jeu de caractres par dfaut pour les documents.\n"
 "'Systme' indique que celui-ci sera dtermin par\n"
 "la locale en cours."
 
-#: src/config/options.inc:534
+#: src/config/options.inc:568
 msgid "Ignore charset info from server"
 msgstr "Ignorer le jeu de caractres indiqu par le serveur"
 
-#: src/config/options.inc:536
+#: src/config/options.inc:570
 msgid "Ignore charset info sent by server."
 msgstr "Ignorer le jeu de caractres indiqu par le serveur."
 
-#: src/config/options.inc:540
+#: src/config/options.inc:574
 msgid "Default color settings"
 msgstr "Configuration des couleurs par dfaut"
 
-#: src/config/options.inc:542
+#: src/config/options.inc:576
 msgid "Default document color settings."
 msgstr "Configuration des couleurs par dfaut."
 
-#: src/config/options.inc:553
+#: src/config/options.inc:587
 msgid "Link color"
 msgstr "Couleur des liens"
 
-#: src/config/options.inc:555
+#: src/config/options.inc:589
 msgid "Default link color."
 msgstr "Couleur des liens par dfaut."
 
-#: src/config/options.inc:557
+#: src/config/options.inc:591
 msgid "Visited-link color"
 msgstr "Couleur des liens visits"
 
-#: src/config/options.inc:559
+#: src/config/options.inc:593
 msgid "Default visited link color."
 msgstr "Couleur des liens visits par dfaut."
 
-#: src/config/options.inc:561
+#: src/config/options.inc:595
 msgid "Image-link color"
 msgstr "Couleur des liens images"
 
-#: src/config/options.inc:563
+#: src/config/options.inc:597
 msgid "Default image link color."
 msgstr "Couleur par dfaut des liens images."
 
-#: src/config/options.inc:565
+#: src/config/options.inc:599
 msgid "Bookmarked-link color"
 msgstr "Couleur des liens signets"
 
-#: src/config/options.inc:567
+#: src/config/options.inc:601
 msgid "Default bookmarked link color."
 msgstr "Couleur par dfaut des liens signets."
 
-#: src/config/options.inc:569
+#: src/config/options.inc:603
 msgid "Directory color"
 msgstr "Couleur des rpertoires"
 
-#: src/config/options.inc:571
+#: src/config/options.inc:605
+#, fuzzy
 msgid ""
 "Default directory color.\n"
+"\n"
 "See document.browse.links.color_dirs option."
 msgstr ""
 "Couleur des rpertoires par dfaut.\n"
 "Voir l'option document.browse.links.color_dirs."
 
-#: src/config/options.inc:578
+#: src/config/options.inc:613
 msgid "Increase contrast"
 msgstr "Augmenter le contraste"
 
-#: src/config/options.inc:580
+#: src/config/options.inc:615
+#, fuzzy
 msgid ""
-"Increase the contrast between the foreground and background colors\n"
-"to ensure readability. For example it disallows dark colors on a\n"
-"black background. Note, this is different from ensuring the contrast\n"
-"with the ensure_contrast option."
+"Increase the contrast between the foreground and background colors to ensure "
+"readability. For example it disallows dark colors on a black background. "
+"Note, this is different from ensuring the contrast with the ensure_contrast "
+"option."
 msgstr ""
 "Augmenter le contraste entre les couleurs d'avant et d'arrire plan\n"
 "pour garantir la lisibilit. Par exemple, cela interdit les couleurs\n"
 "sombres sur un fond noir. Notez que cela est diffrent de l'action\n"
 "de l'option ensure_contrast."
 
-#: src/config/options.inc:585
+#: src/config/options.inc:621
 msgid "Ensure contrast"
 msgstr "Garantir le contraste"
 
-#: src/config/options.inc:587
+#: src/config/options.inc:623
 msgid "Makes sure that the back- and foreground colors are never equal."
 msgstr ""
 "Assure que les couleurs d'avant et d'arrire-plan ne sont jamais gales."
 
 #. If you change this please also change ACT_MAIN_DOCUMENT_COLORS action
 #. * handling.
-#: src/config/options.inc:592
+#: src/config/options.inc:628
 msgid "Use document-specified colors"
 msgstr "Utiliser les couleurs spcifies par le document"
 
-#: src/config/options.inc:594
+#: src/config/options.inc:630
 msgid ""
 "Use colors specified in document:\n"
 "0 is use always the default settings\n"
@@ -3230,40 +3294,41 @@ msgstr ""
 "  fonctionnera pas correctement."
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:607
+#: src/config/options.inc:643
 msgid "Downloading"
 msgstr "Tlchargement"
 
-#: src/config/options.inc:609
+#: src/config/options.inc:645
 msgid "Options regarding files downloading and handling."
 msgstr "Options de tlchargement."
 
-#: src/config/options.inc:611
+#: src/config/options.inc:647
 msgid "Default download directory"
 msgstr "Rpertoire de tlchargement par dfaut"
 
-#: src/config/options.inc:613
+#: src/config/options.inc:649
 msgid "Default download directory."
 msgstr "Rpertoire de tlchargement par dfaut."
 
-#: src/config/options.inc:615
+#: src/config/options.inc:651
 msgid "Set original time"
 msgstr "Configurer la date de fichier"
 
-#: src/config/options.inc:617
+#: src/config/options.inc:653
+#, fuzzy
 msgid ""
-"Set the timestamp of each downloaded file to the timestamp\n"
-"stored on the server."
+"Set the timestamp of each downloaded file to the timestamp stored on the "
+"server."
 msgstr ""
 "Utiliser la date fournie par le serveur pour chaque fichier\n"
 "tlcharg."
 
 #. Does automatic resuming make sense as an option?
-#: src/config/options.inc:621
+#: src/config/options.inc:657
 msgid "Prevent overwriting"
 msgstr "Prvenir l'crasement"
 
-#: src/config/options.inc:623
+#: src/config/options.inc:659
 msgid ""
 "Prevent overwriting the local files:\n"
 "0 is files will silently be overwritten\n"
@@ -3275,11 +3340,11 @@ msgstr ""
 "1 ajouter un suffixe .{nombre} (par exemple '.1') au nom\n"
 "2 demander  l'utilisateur"
 
-#: src/config/options.inc:628
+#: src/config/options.inc:664
 msgid "Notify download completion by bell"
 msgstr "Notifier la fin du tlchargement par une sonnerie"
 
-#: src/config/options.inc:630
+#: src/config/options.inc:666
 msgid ""
 "Audio notification when download is completed:\n"
 "0 is never\n"
@@ -3291,30 +3356,31 @@ msgstr ""
 "1 quand la notification de fin de tche de fond est active\n"
 "2 toujours"
 
-#: src/config/options.inc:636
+#: src/config/options.inc:672
 msgid "Dump output"
 msgstr "Sortie (dump)"
 
-#: src/config/options.inc:638
+#: src/config/options.inc:674
 msgid "Dump output options."
 msgstr "Options de sortie (dump)."
 
 #. OPT_CODEPAGE
-#: src/config/options.inc:640 src/config/options.inc:912
+#: src/config/options.inc:676 src/config/options.inc:980
 #: src/config/opttypes.c:481 src/dialogs/document.c:164
 msgid "Codepage"
 msgstr "Jeu de caractres"
 
-#: src/config/options.inc:642
+#: src/config/options.inc:678
+#, fuzzy
 msgid ""
-"Codepage used in dump output. 'System' stands for\n"
-"a codepage determined by a selected locale."
+"Codepage used in dump output. 'System' stands for a codepage determined by a "
+"selected locale."
 msgstr ""
 "Jeu de caractres utilis pour la sortie (dump).\n"
 "'System' indique que celui-ci sera dtermin par la locale\n"
 "en cours."
 
-#: src/config/options.inc:645 src/config/options.inc:878
+#: src/config/options.inc:681 src/config/options.inc:941
 msgid "Color mode"
 msgstr "Mode couleurs"
 
@@ -3323,12 +3389,15 @@ msgstr "Mode couleurs"
 #. * an outer list entry after an inner list.
 #. * TRANSLATORS: This restriction applies only to the
 #. * "en" (English) translation.  (See doc/Makefile.)
-#: src/config/options.inc:652
+#: src/config/options.inc:688
+#, fuzzy
 msgid ""
 "Color mode for dumps.\n"
+"\n"
 "Some modes may have been disabled at compile time. The Setup -> Terminal "
 "options dialog lists the modes supported by this executable. If you select "
 "an unsupported mode, ELinks uses 16 colors.\n"
+"\n"
 "The color modes are:\n"
 "-1 is standard dump mode\n"
 "0 is mono mode\n"
@@ -3351,119 +3420,118 @@ msgstr ""
 " 3 est le mode 256 couleurs\n"
 " 4 est le mode vraies couleurs"
 
-#: src/config/options.inc:665
+#: src/config/options.inc:703
 msgid "Footer"
 msgstr "Pied de page"
 
-#: src/config/options.inc:667
+#: src/config/options.inc:705
 #, c-format
 msgid "Footer string used in dumps. %u is substituted by URL."
 msgstr ""
 "Chane de pied de page utilise lors des dumps.\n"
 "%u est remplac par l'URL du document."
 
-#: src/config/options.inc:671
+#: src/config/options.inc:709
 #, c-format
 msgid "Header string used in dumps. %u is substituted by URL."
 msgstr ""
 "Chane d'en-tte utilise lors des dumps.\n"
 "%u est remplac par l'URL du document."
 
-#: src/config/options.inc:673
+#: src/config/options.inc:711
 msgid "Numbering"
 msgstr "Numrotation"
 
-#: src/config/options.inc:675
+#: src/config/options.inc:713
 msgid "Whether to print link numbers in dump output."
 msgstr "Numroter ou non les liens en sortie (dump)."
 
-#: src/config/options.inc:677
+#: src/config/options.inc:715
 msgid "References"
 msgstr "Rfrences"
 
-#: src/config/options.inc:679
-msgid ""
-"Whether to print references (URIs) of document links\n"
-"in dump output."
+#: src/config/options.inc:717
+#, fuzzy
+msgid "Whether to print references (URIs) of document links in dump output."
 msgstr "Afficher ou non les rfrences (URIs) des liens en sortie (dump)."
 
-#: src/config/options.inc:682
+#: src/config/options.inc:720
 msgid "Separator"
 msgstr "Sparateur"
 
-#: src/config/options.inc:684
+#: src/config/options.inc:722
 msgid "String which separates two dumps."
 msgstr "Chane qui spare deux dumps."
 
-#: src/config/options.inc:686
+#: src/config/options.inc:724
 msgid "Width"
 msgstr "Largeur"
 
-#: src/config/options.inc:688
+#: src/config/options.inc:726
 msgid "Width of screen in characters when dumping documents."
 msgstr "Largeur de l'cran en caractres pour les dumps."
 
-#: src/config/options.inc:692
+#: src/config/options.inc:730
 msgid "History"
 msgstr "Historique"
 
-#: src/config/options.inc:694
+#: src/config/options.inc:732
 msgid "History options."
 msgstr "Options de l'historique."
 
-#: src/config/options.inc:696
+#: src/config/options.inc:734
 msgid "Keep unhistory"
 msgstr "Historique inverse"
 
-#: src/config/options.inc:698
+#: src/config/options.inc:736
 msgid "Keep unhistory (\"forward history\")."
 msgstr "Historique inverse (\"forward history\")."
 
-#: src/config/options.inc:701
+#: src/config/options.inc:739
 msgid "HTML rendering"
 msgstr "Rendu HTML"
 
-#: src/config/options.inc:703
+#: src/config/options.inc:741
 msgid "Options concerning the display of HTML pages."
 msgstr "Options d'affichage des pages HTML."
 
-#: src/config/options.inc:705
+#: src/config/options.inc:743
 msgid "Display frames"
 msgstr "Afficher les cadres"
 
-#: src/config/options.inc:707
+#: src/config/options.inc:745
 msgid "Display frames."
 msgstr "Afficher les cadres."
 
-#: src/config/options.inc:709
+#: src/config/options.inc:747
 msgid "Display tables"
 msgstr "Afficher les tableaux"
 
-#: src/config/options.inc:711
+#: src/config/options.inc:749
 msgid "Display tables."
 msgstr "Afficher les tableaux."
 
-#: src/config/options.inc:713
+#: src/config/options.inc:751
 msgid "Display subscripts"
 msgstr "Afficher subscripts"
 
-#: src/config/options.inc:715
+#: src/config/options.inc:753
 msgid "Display subscripts (as [thing])."
 msgstr "Afficher subscripts (comme [chose])."
 
-#: src/config/options.inc:717
+#: src/config/options.inc:755
 msgid "Display superscripts"
 msgstr "Afficher superscripts"
 
-#: src/config/options.inc:719
+#: src/config/options.inc:757
 msgid "Display superscripts (as ^thing)."
 msgstr "Afficher superscripts (comme ^chose)."
 
-#: src/config/options.inc:721
+#: src/config/options.inc:759
 msgid "Rendering of HTML link element"
 msgstr "Rendu des lments HTML link"
 
-#: src/config/options.inc:723
+#: src/config/options.inc:761
 msgid ""
 "How to render <link> tags from the HTML header:\n"
 "0 is nothing\n"
@@ -3481,68 +3549,69 @@ msgstr ""
 "4 type de contenu en plus\n"
 "5 tout"
 
-#: src/config/options.inc:731
+#: src/config/options.inc:769
 msgid "Underline links"
 msgstr "Souligner les liens"
 
-#: src/config/options.inc:733
+#: src/config/options.inc:771
 msgid "Underline links."
 msgstr "Souligner les liens."
 
-#: src/config/options.inc:735
+#: src/config/options.inc:773
 msgid "Wrap non breaking space"
 msgstr "Csure sur les espaces non scables (nbsp)"
 
-#: src/config/options.inc:737
+#: src/config/options.inc:775
+#, fuzzy
 msgid ""
-"If set do not honour non breaking space (the nbsp entity)\n"
-"but allow to wrap the text. This can help keeping the width\n"
-"of documents down so no horizontal scrolling is needed."
+"If set do not honour non breaking space (the nbsp entity) but allow to wrap "
+"the text. This can help keeping the width of documents down so no horizontal "
+"scrolling is needed."
 msgstr ""
 "Si activ, la csure devient possible sur les espaces non scables\n"
 "(entit nbsp). Cela peut aider  garder la largeur des documents\n"
 " une valeur basse, limitant ainsi le besoin de droulement horizontal."
 
-#: src/config/options.inc:742
+#: src/config/options.inc:780
 msgid "Plain rendering"
 msgstr "Rendu plein texte"
 
-#: src/config/options.inc:744
+#: src/config/options.inc:782
 msgid "Options concerning the display of plain text pages."
 msgstr "Options d'affichage des pages plein texte."
 
-#: src/config/options.inc:746
+#: src/config/options.inc:784
 msgid "Display URIs"
 msgstr "Afficher les URIs"
 
-#: src/config/options.inc:748
+#: src/config/options.inc:786
 msgid "Display URIs in the document as links."
 msgstr "Afficher les URIs dans le document en tant que liens."
 
-#: src/config/options.inc:750
+#: src/config/options.inc:788
 msgid "Compress empty lines"
 msgstr "Compresser les lignes vides"
 
-#: src/config/options.inc:752
+#: src/config/options.inc:790
 msgid "Compress successive empty lines to only one in displayed text."
 msgstr "Compresser les lignes vides successives en une dans le texte affich."
 
-#: src/config/options.inc:755
+#: src/config/options.inc:794
 msgid "URI passing"
 msgstr "Passage d'URI"
 
-#: src/config/options.inc:757
+#: src/config/options.inc:796
+#, fuzzy
 msgid ""
-"Rules for passing URIs to external commands. When one rule\n"
-"is defined the link and tab menu will have a menu item that\n"
-"makes it possible to pass the the link, frame or tab URI to\n"
-"an external command. If several rules are defined the link and\n"
-"tab menu will have a submenu of items for each rule. Note, this\n"
-"is mostly useful for launching graphical viewers, since there\n"
-"is no support for releasing the terminal while the command runs.\n"
-"The action and submenus are also available by binding keys to\n"
-"the frame-external-command, the link-external-command, and\n"
-"the tab-external-command actions."
+"Rules for passing URIs to external commands. When one rule is defined the "
+"link and tab menu will have a menu item that makes it possible to pass the "
+"the link, frame or tab URI to an external command. If several rules are "
+"defined the link and tab menu will have a submenu of items for each rule.\n"
+"\n"
+"Note, this is mostly useful for launching graphical viewers, since there is "
+"no support for releasing the terminal while the command runs. The action and "
+"submenus are also available by binding keys to the frame-external-command, "
+"the link-external-command, and the tab-external-command actions."
 msgstr ""
 "Rgles pour passer les URIs  des commandes. Quand une rgle\n"
 "est dfinie, les menus lien et onglet sont enrichis d'un item\n"
@@ -3556,10 +3625,10 @@ msgstr ""
 "frame-external-command, link-external-command, et\n"
 "tab-external-command."
 
-#: src/config/options.inc:770
+#: src/config/options.inc:812
+#, fuzzy
 msgid ""
-"A rule for passing URI to an external command.\n"
-"The format is:\n"
+"A rule for passing URI to an external command. The format is:\n"
 "%c in the string means the current URL\n"
 "%% in the string means '%'\n"
 "Do _not_ put single- or double-quotes around %c."
@@ -3571,40 +3640,43 @@ msgstr ""
 "Ne mettez pas de simples ou doubles guillemets autour de %c."
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:780
+#: src/config/options.inc:822
 msgid "Information files"
 msgstr "Fichiers d'information"
 
-#: src/config/options.inc:782
+#: src/config/options.inc:824
 msgid "Options for information files in ~/.elinks."
 msgstr "Options concernant les fichiers d'information dans ~/.elinks."
 
-#: src/config/options.inc:784
+#: src/config/options.inc:826
 msgid "Save interval"
 msgstr "Intervalle pour la sauvegarde automatique"
 
-#: src/config/options.inc:786
+#: src/config/options.inc:828
+#, fuzzy
 msgid ""
-"Interval at which to trigger information files in ~/.elinks\n"
-"to be saved to disk if they have changed (seconds; 0 to disable)"
+"Interval at which to trigger information files in ~/.elinks to be saved to "
+"disk if they have changed (seconds; 0 to disable)"
 msgstr ""
 "Intervalle pour la sauvegarde des fichiers d'information dans ~/.elinks\n"
 "lorsque ceux-ci ont t modifis (en secondes; 0 pour dsactiver)"
 
-#: src/config/options.inc:789
+#: src/config/options.inc:832
 msgid "Use secure file saving"
 msgstr "Fiabiliser la sauvegarde des fichiers"
 
-#: src/config/options.inc:791
+#: src/config/options.inc:834
+#, fuzzy
 msgid ""
-"First write data to unique temporary file, then rename this file\n"
-"upon successfully finishing this. Note that this relates only to\n"
-"config files, not downloaded files. You may want to disable\n"
-"it if you are using some exotic permissions for concerned files.\n"
-"Secure file saving is automagically disabled if file is symlink.\n"
-"Warning: some systems (ie. OS/2, Win32) require that destination\n"
-"file doesn't exist when rename(3) is called, breaking atomicity,\n"
-"and reducing reliability of this feature."
+"First write data to unique temporary file, then rename this file upon "
+"successfully finishing this. Note that this relates only to config files, "
+"not downloaded files. You may want to disable it if you are using some "
+"exotic permissions for concerned files. Secure file saving is automagically "
+"disabled if file is symlink.\n"
+"\n"
+"Warning: some systems (ie. OS/2, Win32) require that destination file "
+"doesn't exist when rename(3) is called, breaking atomicity, and reducing "
+"reliability of this feature."
 msgstr ""
 "Un fichier temporaire est tout d'abord cr, ensuite en l'absence\n"
 "d'erreur celui-ci est renomm vers le fichier final. L'intgrit\n"
@@ -3618,16 +3690,16 @@ msgstr ""
 "destination n'existe pas au moment de l'appel  rename(3), cela casse\n"
 "l'atomicit de l'opration et rduit la fiabilit de cette fonctionnalit."
 
-#: src/config/options.inc:800
+#: src/config/options.inc:846
 msgid "Use fsync(3) with secure file saving"
 msgstr "Utiliser fsync(3) avec la sauvegarde fiable des fichiers"
 
-#: src/config/options.inc:802
+#: src/config/options.inc:848
+#, fuzzy
 msgid ""
-"When using secure file saving, call fsync(3), if the OS\n"
-"supports it, to force the OS immediately to write the data\n"
-"to permanent storage. This is optional for those who wish\n"
-"to avoid excessive disk I/O."
+"When using secure file saving, call fsync(3), if the OS supports it, to "
+"force the OS immediately to write the data to permanent storage. This is "
+"optional for those who wish to avoid excessive disk I/O."
 msgstr ""
 "Lorsque la sauvegarde fiable des fichiers est utilise, appeler\n"
 "fsync(3), si le systme d'exploitation le supporte, pour forcer\n"
@@ -3636,24 +3708,25 @@ msgstr ""
 "viter une utilisation excessive des entres/sorties disque."
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:811
+#: src/config/options.inc:857
 msgid "Terminals"
 msgstr "Terminaux"
 
-#: src/config/options.inc:813
+#: src/config/options.inc:859
 msgid "Terminal options."
 msgstr "Options du terminal."
 
-#: src/config/options.inc:817
+#: src/config/options.inc:863
 msgid "Options specific to this terminal type (according to $TERM value)."
 msgstr ""
 "Options spcifiques  ce type de terminal (conformment  la valeur de "
 "$TERM)."
 
-#: src/config/options.inc:842
+#: src/config/options.inc:889
+#, fuzzy
 msgid ""
-"Terminal type; matters mostly only when drawing frames and\n"
-"dialog box borders:\n"
+"Terminal type; matters mostly only when drawing frames and dialog box "
+"borders:\n"
 "0 is dumb terminal type, ASCII art\n"
 "1 is VT100, simple but portable\n"
 "2 is Linux, you get double frames and other goodies\n"
@@ -3667,15 +3740,32 @@ msgstr ""
 "3 KOI-8\n"
 "4 FreeBSD"
 
-#: src/config/options.inc:850 src/dialogs/options.c:227
+#: src/config/options.inc:897
+msgid "Always encode xterm title in ISO-8859-1"
+msgstr ""
+
+#: src/config/options.inc:899
+msgid ""
+"When updating the window title of xterm or a similar terminal emulator, "
+"encode the title in ISO-8859-1 (Latin-1), rather than in the charset used "
+"for other text in the window. Cyrillic and other characters get replaced "
+"with Latin ones. Xterm requires this unless you explicitly enable UTF-8 "
+"titles in it.\n"
+"\n"
+"If this option does not take effect immediately, try switching to a "
+"different page so that ELinks notices it needs to update the title."
+msgstr ""
+
+#: src/config/options.inc:910 src/dialogs/options.c:227
 msgid "Switch fonts for line drawing"
 msgstr "Echanger les fontes pour dessiner les lignes"
 
-#: src/config/options.inc:852
+#: src/config/options.inc:912
+#, fuzzy
 msgid ""
-"Switch fonts when drawing lines, enabling both local characters\n"
-"and lines working at the same time. ELinks uses this option only if\n"
-"UTF-8 I/O is disabled and the terminal type is Linux or FreeBSD."
+"Switch fonts when drawing lines, enabling both local characters and lines "
+"working at the same time. ELinks uses this option only if UTF-8 I/O is "
+"disabled and the terminal type is Linux or FreeBSD."
 msgstr ""
 "Echanger les fontes de caractres lors du dessin des lignes, permettant\n"
 "aux caractres locaux et aux lignes de coexister. ELinks utilise cette\n"
@@ -3687,43 +3777,46 @@ msgstr ""
 #. * and if so, behave as if "utf_8_io" were 1.  (When CONFIG_UTF8 is
 #. * not defined, it should not be possible to set UTF-8 as "codepage";
 #. * please report any such possibilities as bugs.)
-#: src/config/options.inc:861 src/dialogs/options.c:232
+#: src/config/options.inc:922 src/dialogs/options.c:232
 msgid "UTF-8 I/O"
 msgstr "E/S UTF-8"
 
-#: src/config/options.inc:863
+#: src/config/options.inc:924
+#, fuzzy
 msgid ""
-"Enable I/O in UTF-8 for Unicode terminals. Note that currently,\n"
-"only the subset of UTF-8 according to terminal codepage is used.\n"
-"ELinks ignores this option if the terminal codepage is UTF-8."
+"Enable I/O in UTF-8 for Unicode terminals. Note that currently, only the "
+"subset of UTF-8 according to terminal codepage is used. ELinks ignores this "
+"option if the terminal codepage is UTF-8."
 msgstr ""
 "Activer les E/S en UTF8 pour les terminaux Unicode. Notez que,\n"
 "pour l'instant, seule une partie de l'UTF8 est utilise, en accord\n"
 "avec l'encodage de caractres du terminal. ELinks ignore cette\n"
 "option si l'encodage de caractres utilis par le terminal est UTF-8."
 
-#: src/config/options.inc:867 src/dialogs/options.c:228
+#: src/config/options.inc:929 src/dialogs/options.c:228
 msgid "Restrict frames in cp850/852"
 msgstr "Limiter les cadres dans cp850/852"
 
-#: src/config/options.inc:869
+#: src/config/options.inc:931
+#, fuzzy
 msgid ""
-"Restrict the characters used when drawing lines. Makes sense\n"
-"only with linux terminals using the cp850/852 character sets."
+"Restrict the characters used when drawing lines. Makes sense only with linux "
+"terminals using the cp850/852 character sets."
 msgstr ""
 "Restreindre les caractres utiliss pour dessiner les lignes.\n"
 "N'a du sens que pour les terminaux linux utilisant les jeux de\n"
 "caractres cp850/852."
 
-#: src/config/options.inc:872 src/dialogs/options.c:229
+#: src/config/options.inc:935 src/dialogs/options.c:229
 msgid "Block cursor"
 msgstr "Bloquer le curseur"
 
-#: src/config/options.inc:874
+#: src/config/options.inc:937
+#, fuzzy
 msgid ""
-"Move cursor to bottom right corner when done drawing.\n"
-"This is particularly useful when we have a block cursor,\n"
-"so that inversed text is displayed correctly."
+"Move cursor to bottom right corner when done drawing. This is particularly "
+"useful when we have a block cursor, so that inversed text is displayed "
+"correctly."
 msgstr ""
 "Dplacer le curseur dans le coin infrieur droit.\n"
 "Cela est particulirement utilise lorsque un curseur\n"
@@ -3735,13 +3828,16 @@ msgstr ""
 #. * an outer list entry after an inner list.
 #. * TRANSLATORS: This restriction applies only to the
 #. * "en" (English) translation.  (See doc/Makefile.)
-#: src/config/options.inc:885
+#: src/config/options.inc:948
+#, fuzzy
 msgid ""
 "The color mode controls what colors are used and how they are output to the "
 "terminal.\n"
+"\n"
 "Some modes may have been disabled at compile time. The Setup -> Terminal "
 "options dialog lists the modes supported by this executable. If you select "
 "an unsupported mode, ELinks uses 16 colors.\n"
+"\n"
 "The color modes are:\n"
 "0 is mono mode, only 2 colors are used\n"
 "1 is 16 color mode, uses the common ANSI colors\n"
@@ -3762,20 +3858,19 @@ msgstr ""
 "3 mode 256 couleurs, utilise les codes RVB d'XTerm\n"
 "4 mode vraies couleurs, utilise les codes RVB de konsole"
 
-#: src/config/options.inc:898 src/dialogs/options.c:230
+#: src/config/options.inc:963 src/dialogs/options.c:230
 msgid "Transparency"
 msgstr "Transparence"
 
-#: src/config/options.inc:900
+#: src/config/options.inc:965
+#, fuzzy
 msgid ""
-"If we should not set the background to black. This is particularly\n"
-"useful when we have a terminal (typically in some windowing\n"
-"environment) with a background image or a transparent background -\n"
-"it will be visible in ELinks as well (but ELinks document color handling\n"
-"will still assume the background is black so if you have a bright "
-"background\n"
-"you might experience contrast problems). Note that this option makes\n"
-"sense only when colors are enabled."
+"If we should not set the background to black. This is particularly useful "
+"when we have a terminal (typically in some windowing environment) with a "
+"background image or a transparent background - it will be visible in ELinks "
+"as well (but ELinks document color handling will still assume the background "
+"is black so if you have a bright background you might experience contrast "
+"problems). Note that this option makes sense only when colors are enabled."
 msgstr ""
 "Rendre le fond noir ou non. C'est particulirement utile quand vous\n"
 "utilisez un terminal avec une image de fond ou un fond transparent - \n"
@@ -3784,388 +3879,389 @@ msgstr ""
 "un fond clair vous rencontrerez des problmes de contraste).\n"
 "Cette option n'a de sens que quand les couleurs sont actives."
 
-#: src/config/options.inc:910
+#: src/config/options.inc:977
 msgid "If we should use underline or enhance the color instead."
 msgstr "Si nous devons utiliser le soulign ou modifier la couleur."
 
-#: src/config/options.inc:914
+#: src/config/options.inc:982
+#, fuzzy
 msgid ""
-"Codepage of charset used for displaying content on terminal.\n"
-"'System' stands for a codepage determined by a selected locale."
+"Codepage of charset used for displaying content on terminal. 'System' stands "
+"for a codepage determined by a selected locale."
 msgstr ""
 "Jeu de caractres utilis pour afficher les contenus dans le terminal.\n"
 "'System' signifie que le jeu de caractres sera dtermin par la locale\n"
 "slectionne."
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:921
+#: src/config/options.inc:990
 msgid "User interface"
 msgstr "Interface utilisateur"
 
-#: src/config/options.inc:923
+#: src/config/options.inc:992
 msgid "User interface options."
 msgstr "Options de l'interface utilisateur."
 
-#: src/config/options.inc:927
+#: src/config/options.inc:996
 msgid "Color settings"
 msgstr "Configuration des couleurs"
 
-#: src/config/options.inc:929
+#: src/config/options.inc:998
 msgid "Default user interface color settings."
 msgstr "Configuration des couleurs de l'interface utilisateur."
 
-#: src/config/options.inc:956
+#: src/config/options.inc:1025
 msgid "Color terminals"
 msgstr "Terminaux couleur"
 
-#: src/config/options.inc:958
+#: src/config/options.inc:1027
 msgid "Color settings for color terminal."
 msgstr "Configuration des couleurs des terminaux couleur."
 
-#: src/config/options.inc:960
+#: src/config/options.inc:1029
 msgid "Non-color terminals"
 msgstr "Terminaux monochromes"
 
-#: src/config/options.inc:962
+#: src/config/options.inc:1031
 msgid "Color settings for non-color terminal."
 msgstr "Configuration des couleurs pour les terminaux monochromes."
 
 #. FIXME: obsolete, how to alias them correctly ? --Zas
-#: src/config/options.inc:965
+#: src/config/options.inc:1034
 msgid "Main menu bar"
 msgstr "Barre du menu principal"
 
-#: src/config/options.inc:967
+#: src/config/options.inc:1036
 msgid "Main menu bar colors."
 msgstr "Couleurs de la barre du menu principal."
 
-#: src/config/options.inc:969
+#: src/config/options.inc:1038
 msgid "Unselected main menu bar item"
 msgstr "Item non slectionn de la barre de menu"
 
-#: src/config/options.inc:971
+#: src/config/options.inc:1040
 msgid "Unselected main menu bar item colors."
 msgstr "Couleurs des items non slectionns de la barre de menu."
 
-#: src/config/options.inc:973
+#: src/config/options.inc:1042
 msgid "Selected main menu bar item"
 msgstr "Item slectionn de la barre de menu"
 
-#: src/config/options.inc:975
+#: src/config/options.inc:1044
 msgid "Selected main menu bar item colors."
 msgstr "Couleurs de l'item slectionn de la barre de menu."
 
-#: src/config/options.inc:977 src/config/options.inc:1006
+#: src/config/options.inc:1046 src/config/options.inc:1075
 msgid "Hotkey"
 msgstr "Raccourci clavier"
 
-#: src/config/options.inc:979
+#: src/config/options.inc:1048
 msgid "Main menu hotkey colors."
 msgstr "Couleurs des raccourcis de la barre du menu principal."
 
-#: src/config/options.inc:981 src/config/options.inc:1010
+#: src/config/options.inc:1050 src/config/options.inc:1079
 msgid "Unselected hotkey"
 msgstr "Raccourci non slectionn"
 
-#: src/config/options.inc:983
+#: src/config/options.inc:1052
 msgid "Main menu unselected hotkey colors."
 msgstr "Couleurs des raccourcis non slectionns du menu principal."
 
-#: src/config/options.inc:985 src/config/options.inc:1014
+#: src/config/options.inc:1054 src/config/options.inc:1083
 msgid "Selected hotkey"
 msgstr "Raccourci slectionn"
 
-#: src/config/options.inc:987
+#: src/config/options.inc:1056
 msgid "Main menu selected hotkey colors."
 msgstr "Couleurs des raccourcis slectionns du menu principal."
 
-#: src/config/options.inc:990
+#: src/config/options.inc:1059
 msgid "Menu bar"
 msgstr "Barre de menu"
 
-#: src/config/options.inc:992
+#: src/config/options.inc:1061
 msgid "Menu bar colors."
 msgstr "Couleurs de la barre de menu."
 
-#: src/config/options.inc:994
+#: src/config/options.inc:1063
 msgid "Unselected menu item"
 msgstr "Item non slectionn du menu"
 
-#: src/config/options.inc:996
+#: src/config/options.inc:1065
 msgid "Unselected menu item colors."
 msgstr "Couleurs des items non slectionns du menu."
 
-#: src/config/options.inc:998
+#: src/config/options.inc:1067
 msgid "Selected menu item"
 msgstr "Item slectionn du menu"
 
-#: src/config/options.inc:1000
+#: src/config/options.inc:1069
 msgid "Selected menu item colors."
 msgstr "Couleurs de l'item slectionns du menu."
 
-#: src/config/options.inc:1002
+#: src/config/options.inc:1071
 msgid "Marked menu item"
 msgstr "Item de menu marqu"
 
-#: src/config/options.inc:1004
+#: src/config/options.inc:1073
 msgid "Marked menu item colors."
 msgstr "Couleurs de l'item du menu marqu."
 
-#: src/config/options.inc:1008
+#: src/config/options.inc:1077
 msgid "Menu item hotkey colors."
 msgstr "Couleurs des raccourcis dans les menus."
 
-#: src/config/options.inc:1012
+#: src/config/options.inc:1081
 msgid "Menu item unselected hotkey colors."
 msgstr "Couleurs des raccourcis non slectionns dans les menus."
 
-#: src/config/options.inc:1016
+#: src/config/options.inc:1085
 msgid "Menu item selected hotkey colors."
 msgstr "Couleurs des raccourcis slectionns dans les menus."
 
-#: src/config/options.inc:1018
+#: src/config/options.inc:1087
 msgid "Menu frame"
 msgstr "Bordure du menu"
 
-#: src/config/options.inc:1020
+#: src/config/options.inc:1089
 msgid "Menu frame colors."
 msgstr "Couleurs de la bordure du menu."
 
-#: src/config/options.inc:1023
+#: src/config/options.inc:1092
 msgid "Dialog"
 msgstr "Dialogue"
 
-#: src/config/options.inc:1025
+#: src/config/options.inc:1094
 msgid "Dialog colors."
 msgstr "Couleurs des dialogues."
 
-#: src/config/options.inc:1035
+#: src/config/options.inc:1104
 msgid "Generic"
 msgstr "Gnrique"
 
-#: src/config/options.inc:1037
+#: src/config/options.inc:1106
 msgid "Generic dialog colors."
 msgstr "Couleurs des dialogues gnriques."
 
-#: src/config/options.inc:1039
+#: src/config/options.inc:1108
 msgid "Frame"
 msgstr "Bordure"
 
-#: src/config/options.inc:1041
+#: src/config/options.inc:1110
 msgid "Dialog frame colors."
 msgstr "Couleurs de la bordure des dialogues."
 
-#: src/config/options.inc:1043
+#: src/config/options.inc:1112
 msgid "Scrollbar"
 msgstr "Barre de dfilement"
 
-#: src/config/options.inc:1045
+#: src/config/options.inc:1114
 msgid "Scrollbar colors."
 msgstr "Couleurs de la barre de dfilement."
 
-#: src/config/options.inc:1047
+#: src/config/options.inc:1116
 msgid "Selected scrollbar"
 msgstr "Barre de dfilement slectionne"
 
-#: src/config/options.inc:1049
+#: src/config/options.inc:1118
 msgid "Scrollbar selected colors."
 msgstr "Couleurs de la barre de dfilement slectionne."
 
-#: src/config/options.inc:1053
+#: src/config/options.inc:1122
 msgid "Dialog title colors."
 msgstr "Couleurs du titre des dialogues."
 
-#: src/config/options.inc:1055
+#: src/config/options.inc:1124
 msgid "Text"
 msgstr "Texte"
 
-#: src/config/options.inc:1057
+#: src/config/options.inc:1126
 msgid "Dialog text colors."
 msgstr "Couleurs du texte des dialogues."
 
-#: src/config/options.inc:1059 src/viewer/text/form.c:1862
+#: src/config/options.inc:1128 src/viewer/text/form.c:1891
 msgid "Checkbox"
 msgstr "Case  cocher"
 
-#: src/config/options.inc:1061
+#: src/config/options.inc:1130
 msgid "Dialog checkbox colors."
 msgstr "Couleurs des cases  cocher dans les dialogues."
 
-#: src/config/options.inc:1063
+#: src/config/options.inc:1132
 msgid "Selected checkbox"
 msgstr "Case  cocher slectionne"
 
-#: src/config/options.inc:1065
+#: src/config/options.inc:1134
 msgid "Dialog selected checkbox colors."
 msgstr "Couleurs de la case  cocher slectionne dans les dialogues."
 
-#: src/config/options.inc:1067
+#: src/config/options.inc:1136
 msgid "Checkbox label"
 msgstr "Label de case  cocher"
 
-#: src/config/options.inc:1069
+#: src/config/options.inc:1138
 msgid "Dialog checkbox label colors."
 msgstr "Couleurs des labels des cases  cocher dans les dialogues."
 
-#: src/config/options.inc:1071
+#: src/config/options.inc:1140
 msgid "Button"
 msgstr "Bouton"
 
-#: src/config/options.inc:1073 src/config/options.inc:1081
+#: src/config/options.inc:1142 src/config/options.inc:1150
 msgid "Dialog button colors."
 msgstr "Couleurs des boutons des dialogues."
 
-#: src/config/options.inc:1075
+#: src/config/options.inc:1144
 msgid "Selected button"
 msgstr "Bouton slectionn"
 
-#: src/config/options.inc:1077 src/config/options.inc:1085
+#: src/config/options.inc:1146 src/config/options.inc:1154
 msgid "Dialog selected button colors."
 msgstr "Couleurs du bouton slectionn dans les dialogues."
 
-#: src/config/options.inc:1079
+#: src/config/options.inc:1148
 msgid "Button shortcut"
 msgstr "Raccourci du bouton"
 
-#: src/config/options.inc:1083
+#: src/config/options.inc:1152
 msgid "Selected button shortcut"
 msgstr "Raccourci du bouton slectionn"
 
-#: src/config/options.inc:1087 src/viewer/text/form.c:1866
+#: src/config/options.inc:1156 src/viewer/text/form.c:1895
 msgid "Text field"
 msgstr "Champ texte"
 
-#: src/config/options.inc:1089
+#: src/config/options.inc:1158
 msgid "Dialog text field colors."
 msgstr "Couleurs des champs texte dans les dialogues."
 
-#: src/config/options.inc:1091
+#: src/config/options.inc:1160
 msgid "Text field text"
 msgstr "Texte des champs texte"
 
-#: src/config/options.inc:1093
+#: src/config/options.inc:1162
 msgid "Dialog field text colors."
 msgstr "Couleurs de texte des champs texte dans les dialogues."
 
-#: src/config/options.inc:1095
+#: src/config/options.inc:1164
 msgid "Meter"
 msgstr "Barre de progression"
 
-#: src/config/options.inc:1097
+#: src/config/options.inc:1166
 msgid "Dialog meter colors."
 msgstr "Couleurs des barres de progression."
 
-#: src/config/options.inc:1099
+#: src/config/options.inc:1168
 msgid "Shadow"
 msgstr "Ombrage"
 
-#: src/config/options.inc:1101
+#: src/config/options.inc:1170
 msgid "Dialog shadow colors (see ui.shadows option)."
 msgstr "Couleurs des ombres des dialogues (voir l'option ui.shadows)."
 
-#: src/config/options.inc:1103
+#: src/config/options.inc:1172
 msgid "Title bar"
 msgstr "Barre de titre"
 
-#: src/config/options.inc:1105
+#: src/config/options.inc:1174
 msgid "Title bar colors."
 msgstr "Couleurs de la barre de titre."
 
-#: src/config/options.inc:1107
+#: src/config/options.inc:1176
 msgid "Generic title bar"
 msgstr "Barre de titre gnrique"
 
-#: src/config/options.inc:1109
+#: src/config/options.inc:1178
 msgid "Generic title bar colors."
 msgstr "Couleurs de la barre de titre gnrique."
 
-#: src/config/options.inc:1111
+#: src/config/options.inc:1180
 msgid "Title bar text"
 msgstr "Texte de la barre de titre"
 
-#: src/config/options.inc:1113
+#: src/config/options.inc:1182
 msgid "Title bar text colors."
 msgstr "Couleurs du texte de la barre de titre."
 
-#: src/config/options.inc:1116
+#: src/config/options.inc:1185
 msgid "Status bar"
 msgstr "Barre d'tat"
 
-#: src/config/options.inc:1118
+#: src/config/options.inc:1187
 msgid "Status bar colors."
 msgstr "Couleurs de la barre d'tat."
 
-#: src/config/options.inc:1120
+#: src/config/options.inc:1189
 msgid "Generic status bar"
 msgstr "Barre d'tat gnrique"
 
-#: src/config/options.inc:1122
+#: src/config/options.inc:1191
 msgid "Generic status bar colors."
 msgstr "Couleurs de la barre d'tat gnrique."
 
-#: src/config/options.inc:1124
+#: src/config/options.inc:1193
 msgid "Status bar text"
 msgstr "Texte de la barre d'tat"
 
-#: src/config/options.inc:1126
+#: src/config/options.inc:1195
 msgid "Status bar text colors."
 msgstr "Couleurs du texte de la barre d'tat."
 
-#: src/config/options.inc:1129
+#: src/config/options.inc:1198
 msgid "Tabs bar"
 msgstr "Barre d'onglets"
 
-#: src/config/options.inc:1131
+#: src/config/options.inc:1200
 msgid "Tabs bar colors."
 msgstr "Couleurs de la barre d'onglets."
 
-#: src/config/options.inc:1133
+#: src/config/options.inc:1202
 msgid "Unvisited tab"
 msgstr "Onglet non visit"
 
-#: src/config/options.inc:1135
+#: src/config/options.inc:1204
+#, fuzzy
 msgid ""
-"Tab colors for tabs that have not been\n"
-"selected since they completed loading."
+"Tab colors for tabs that have not been selected since they completed loading."
 msgstr "Couleurs pour les onglets non encore visits depuis leur chargement."
 
-#: src/config/options.inc:1138
+#: src/config/options.inc:1207
 msgid "Unselected tab"
 msgstr "Onglet non slectionn"
 
-#: src/config/options.inc:1140
+#: src/config/options.inc:1209
 msgid "Unselected tab colors."
 msgstr "Couleurs des onglets non slectionns."
 
-#: src/config/options.inc:1142
+#: src/config/options.inc:1211
 msgid "Loading tab"
 msgstr "Onglet en cours de chargement"
 
-#: src/config/options.inc:1144
+#: src/config/options.inc:1213
 msgid "Tab colors for tabs that are loading in the background."
 msgstr "Couleurs pour les onglets en cours de chargement."
 
-#: src/config/options.inc:1146
+#: src/config/options.inc:1215
 msgid "Selected tab"
 msgstr "Onglet slectionn"
 
-#: src/config/options.inc:1148
+#: src/config/options.inc:1217
 msgid "Selected tab colors."
 msgstr "Couleurs de l'onglet slectionn."
 
-#: src/config/options.inc:1150
+#: src/config/options.inc:1219
 msgid "Tab separator"
 msgstr "Sparateur d'onglets"
 
-#: src/config/options.inc:1152
+#: src/config/options.inc:1221
 msgid "Tab separator colors."
 msgstr "Couleurs du sparateur d'onglets."
 
-#: src/config/options.inc:1155
+#: src/config/options.inc:1224
 msgid "Searched strings"
 msgstr "Chanes recherches"
 
-#: src/config/options.inc:1157
+#: src/config/options.inc:1226
 msgid "Searched string highlight colors."
 msgstr "Couleurs de mise en vidence des chanes recherches."
 
@@ -4173,77 +4269,82 @@ msgstr "Couleurs de mise en vidence des
 #. ============= BORING PART (colors) END ===================
 #. ==========================================================
 #. Keep options in alphabetical order.
-#: src/config/options.inc:1166
+#: src/config/options.inc:1235
 msgid "Dialog settings"
 msgstr "Configuration des dialogues"
 
-#: src/config/options.inc:1168
+#: src/config/options.inc:1237
 msgid "Dialogs-specific appearance and behaviour settings."
 msgstr "Configuration de l'apparence et du fonctionnement des dialogues."
 
-#: src/config/options.inc:1171
+#: src/config/options.inc:1240
 msgid "Minimal height of listbox widget"
 msgstr "Hauteur minimale des botes liste"
 
-#: src/config/options.inc:1173
+#: src/config/options.inc:1242
+#, fuzzy
 msgid ""
-"Minimal height of the listbox widget (used e.g. for bookmarks\n"
-"or global history)."
+"Minimal height of the listbox widget (used e.g. for bookmarks or global "
+"history)."
 msgstr ""
 "Hauteur minimale des botes liste (utilise par exemple pour les\n"
 "signets ou l'historique global)."
 
-#: src/config/options.inc:1176
+#: src/config/options.inc:1245
 msgid "Drop shadows"
 msgstr "Porter des ombres"
 
-#: src/config/options.inc:1178
+#: src/config/options.inc:1247
+#, fuzzy
 msgid ""
-"Make dialogs drop shadows (the shadows are solid, you can\n"
-"adjust their color by ui.colors.*.dialog.shadow). You may\n"
-"also want to eliminate the wide borders by adjusting setup.h."
+"Make dialogs drop shadows (the shadows are solid, you can adjust their color "
+"by ui.colors.*.dialog.shadow). You may also want to eliminate the wide "
+"borders by adjusting setup.h."
 msgstr ""
 "Permettre aux dialogues de porter des ombres. La couleur des\n"
 "ombres est dfinie par ui.colors.*.dialog.shadow). Vous pouvez\n"
 "rduire la largeur des bordures en ditant setup.h."
 
-#: src/config/options.inc:1182
+#: src/config/options.inc:1252
 msgid "Underline menu hotkeys"
 msgstr "Souligner les raccourcis des menus"
 
-#: src/config/options.inc:1184
+#: src/config/options.inc:1254
+#, fuzzy
 msgid ""
-"Whether to underline hotkeys in menus to make them more\n"
-"visible. Requires that underlining is enabled for the terminal."
+"Whether to underline hotkeys in menus to make them more visible. Requires "
+"that underlining is enabled for the terminal."
 msgstr ""
 "Souligner ou non les raccourcis des menus pour les rendre\n"
 "plus visibles. Le soulignement doit tre activ pour le terminal."
 
-#: src/config/options.inc:1187
+#: src/config/options.inc:1258
 msgid "Underline button shortcuts"
 msgstr "Souligner les raccourcis des boutons"
 
-#: src/config/options.inc:1189
+#: src/config/options.inc:1260
+#, fuzzy
 msgid ""
-"Whether to underline button shortcuts to make them more\n"
-"visible. Requires that underlining is enabled for the terminal."
+"Whether to underline button shortcuts to make them more visible. Requires "
+"that underlining is enabled for the terminal."
 msgstr ""
 "Souligner ou non les raccourcis des boutons pour les rendre\n"
 "plus visibles. Le soulignement doit tre activ pour le terminal."
 
-#: src/config/options.inc:1193
+#: src/config/options.inc:1265
 msgid "Timer options"
 msgstr "Options des chronomtres"
 
-#: src/config/options.inc:1195
+#: src/config/options.inc:1267
+#, fuzzy
 msgid ""
-"Timed action after certain interval of user inactivity. Someone can\n"
-"even find this useful, although you may not believe that."
+"Timed action after certain interval of user inactivity. Someone can even "
+"find this useful, although you may not believe that."
 msgstr ""
 "Action aprs un certain temps d'inactivit de l'utilisateur. Certains\n"
 "peuvent trouver ceci utile ou non."
 
-#: src/config/options.inc:1201
+#: src/config/options.inc:1274
 msgid ""
 "Whether to enable the timer or not:\n"
 "0 is don't count down anything\n"
@@ -4255,7 +4356,7 @@ msgstr ""
 "1 oui, mais ne pas montrer le chronomtre\n"
 "2 oui et montrer le chronomtre prs des LEDs"
 
-#: src/config/options.inc:1208
+#: src/config/options.inc:1281
 msgid ""
 "Whether to enable the timer or not:\n"
 "0 is don't count down anything\n"
@@ -4267,35 +4368,36 @@ msgstr ""
 "1 oui, mais ne pas montrer le chronomtre\n"
 "2 oui et montrer le chronomtre prs des LEDs (DSACTIV)"
 
-#: src/config/options.inc:1214
+#: src/config/options.inc:1287
 msgid "Duration"
 msgstr "Dure"
 
-#: src/config/options.inc:1216
+#: src/config/options.inc:1289
+#, fuzzy
 msgid ""
-"Inactivity timeout in seconds. The maximum of one day\n"
-"should be enough for just everyone (TM)."
+"Inactivity timeout in seconds. The maximum of one day should be enough for "
+"just everyone (TM)."
 msgstr ""
 "Dlai d'inactivit en secondes. Une dure maximale\n"
 "d'un jour devrait suffire  tout le monde (TM)."
 
-#: src/config/options.inc:1221
+#: src/config/options.inc:1294
 msgid "Keybinding action to be triggered when timer reaches zero."
 msgstr "Action  dclencher lorsque le chronomtre atteint zro."
 
-#: src/config/options.inc:1224
+#: src/config/options.inc:1298
 msgid "Window tabs"
 msgstr "Onglets"
 
-#: src/config/options.inc:1226
+#: src/config/options.inc:1300
 msgid "Window tabs settings."
 msgstr "Configuration des onglets."
 
-#: src/config/options.inc:1228
+#: src/config/options.inc:1302
 msgid "Display tabs bar"
 msgstr "Afficher la barre d'onglets"
 
-#: src/config/options.inc:1230
+#: src/config/options.inc:1304
 msgid ""
 "Show tabs bar on the screen:\n"
 "0 means never\n"
@@ -4307,187 +4409,195 @@ msgstr ""
 "1 seulement si deux onglets ou plus sont ouverts\n"
 "2 toujours"
 
-#: src/config/options.inc:1235
+#: src/config/options.inc:1309
 msgid "Tab bar at top"
 msgstr "Barre d'onglets en haut"
 
-#: src/config/options.inc:1237
+#: src/config/options.inc:1311
 msgid "Whether display tab bar at top like other browsers do."
 msgstr ""
 "Afficher ou non la barre d'onglets en haut, comme les autres navigateurs."
 
-#: src/config/options.inc:1239
+#: src/config/options.inc:1313
 msgid "Wrap-around tabs cycling"
 msgstr "Navigation cyclique dans les onglets"
 
-#: src/config/options.inc:1241
+#: src/config/options.inc:1315
+#, fuzzy
 msgid ""
-"When moving right from the last tab, jump to the first one, and\n"
-"vice versa."
+"When moving right from the last tab, jump to the first one, and vice versa."
 msgstr ""
 "En cas de dplacement  droite sur le dernier onglet, saute au premier\n"
 "et vice-versa."
 
-#: src/config/options.inc:1244
+#: src/config/options.inc:1318
 msgid "Confirm tab closing"
 msgstr "Confirmer la fermeture d'onglet"
 
-#: src/config/options.inc:1246
+#: src/config/options.inc:1320
 msgid "When closing a tab show confirmation dialog."
 msgstr ""
 "Lors de la fermeture d'un onglet, afficher un dialogue de confirmation."
 
 #. OPT_LANGUAGE
-#: src/config/options.inc:1250 src/config/opttypes.c:483
+#: src/config/options.inc:1324 src/config/opttypes.c:483
 msgid "Language"
 msgstr "Langue"
 
-#: src/config/options.inc:1252
+#: src/config/options.inc:1326
+#, fuzzy
 msgid ""
-"Language of user interface. 'System' means that the language will\n"
-"be extracted from the environment dynamically."
+"Language of user interface. 'System' means that the language will be "
+"extracted from the environment dynamically."
 msgstr ""
 "Langue de l'interface utilisateur. 'System' signifie que la langue\n"
 "sera dynamiquement extraite de l'environnement."
 
-#: src/config/options.inc:1255
+#: src/config/options.inc:1330
 msgid "Display menu bar always"
 msgstr "Toujours afficher la barre de menu"
 
-#: src/config/options.inc:1257
+#: src/config/options.inc:1332
 msgid "Always show menu bar on the screen."
 msgstr "Toujours montrer la barre de menu  l'cran."
 
-#: src/config/options.inc:1259
+#: src/config/options.inc:1334
 msgid "Display status bar"
 msgstr "Afficher la barre d'tat"
 
-#: src/config/options.inc:1261
+#: src/config/options.inc:1336
 msgid "Show status bar on the screen."
 msgstr "Montrer la barre d'tat."
 
-#: src/config/options.inc:1263
+#: src/config/options.inc:1338
 msgid "Display title bar"
 msgstr "Afficher la barre de titre"
 
-#: src/config/options.inc:1265
+#: src/config/options.inc:1340
 msgid "Show title bar on the screen."
 msgstr "Montrer la barre de titre."
 
-#: src/config/options.inc:1267
+#: src/config/options.inc:1342
 msgid "Display goto dialog in new tabs"
 msgstr "Afficher le dialogue \"Atteindre l'URL\" dans les nouveaux onglets"
 
-#: src/config/options.inc:1269
+#: src/config/options.inc:1344
+#, fuzzy
 msgid ""
-"Pop up goto dialog in newly created tabs when there's no homepage\n"
-"set. This means also showing goto dialog on startup."
+"Pop up goto dialog in newly created tabs when there's no homepage set. This "
+"means also showing goto dialog on startup."
 msgstr ""
 "Afficher le dialogue \"Atteindre l'URL\" pour les nouveaux onglets crs\n"
 "quand aucune page d'accueil n'est configure. Cela implique aussi de\n"
 "montrer le dialogue au dmarrage."
 
-#: src/config/options.inc:1272
+#: src/config/options.inc:1348
 msgid "Show a message box when file is saved successfully"
 msgstr "Afficher un dialogue quand le fichier a t sauv avec succs"
 
-#: src/config/options.inc:1274
+#: src/config/options.inc:1350
+#, fuzzy
 msgid ""
-"When you pressed a [ Save ] button in some manager, this option\n"
-"will make sure that a box confirming success of the operation will\n"
-"pop up."
+"When you pressed a [ Save ] button in some manager, this option will make "
+"sure that a box confirming success of the operation will pop up."
 msgstr ""
 "Quand vous avez press un bouton [ Sauver ] dans un gestionnaire, cette\n"
 "option active un dialogue qui confirme que l'opration s'est droule\n"
 "correctement."
 
-#: src/config/options.inc:1279
+#: src/config/options.inc:1355
 msgid "Sessions"
 msgstr "Sessions"
 
-#: src/config/options.inc:1281
+#: src/config/options.inc:1357
 msgid "Sessions settings."
 msgstr "Configuration des sessions."
 
-#: src/config/options.inc:1283
+#: src/config/options.inc:1359
 msgid "Keep session active"
 msgstr "Garder la session active"
 
-#: src/config/options.inc:1285
+#: src/config/options.inc:1361
 msgid "Keep the session active even if the last terminal exits."
 msgstr "Garder la session active mme si le dernier terminal est clos."
 
-#: src/config/options.inc:1287
+#: src/config/options.inc:1364
 msgid "Auto save session"
 msgstr "Sauver automatiquement la session"
 
-#: src/config/options.inc:1289
+#: src/config/options.inc:1366
+#, fuzzy
 msgid ""
 "Automatically save the session when quitting.\n"
+"\n"
 "This feature requires bookmark support."
 msgstr ""
 "Sauvegarder automatiquement la session au moment de quitter.\n"
 "Cette fonctionnalit ncessite le support des signets."
 
-#: src/config/options.inc:1292
+#: src/config/options.inc:1370
 msgid "Auto restore session"
 msgstr "Restaurer automatiquement la session"
 
-#: src/config/options.inc:1294
+#: src/config/options.inc:1372
+#, fuzzy
 msgid ""
 "Automatically restore the session at start.\n"
+"\n"
 "This feature requires bookmark support."
 msgstr ""
 "Restaurer automatiquement la session au dmarrage.\n"
 "Cette fonctionnalit ncessite le support des signets."
 
-#: src/config/options.inc:1297
+#: src/config/options.inc:1376
 msgid "Auto save and restore session folder name"
 msgstr "Nom du dossier pour la session automatique"
 
-#: src/config/options.inc:1299
+#: src/config/options.inc:1378
+#, fuzzy
 msgid ""
-"Name of the bookmarks folder used for auto saving and restoring session.\n"
-"The name has to be unique. Any folders with the same name will be deleted.\n"
+"Name of the bookmarks folder used for auto saving and restoring session. The "
+"name has to be unique. Any folders with the same name will be deleted.\n"
+"\n"
 "This only makes sense with bookmark support."
 msgstr ""
 "Nom du dossier dans les signets utilis pour la sauvegarde et restauration\n"
 "automatique de la session. Le nom doit tre unique, tout dossier du mme\n"
 "nom sera dtruit. Cette option n'a de sens qu'avec le support des signets."
 
-#: src/config/options.inc:1303
+#: src/config/options.inc:1384
 msgid "Homepage URI"
 msgstr "URI de la page d'accueil"
 
-#: src/config/options.inc:1305
+#: src/config/options.inc:1386
+#, fuzzy
 msgid ""
-"The URI to load either at startup time when no URI was given\n"
-"on the command line or when requested by the goto-url-home action.\n"
-"Set to \"\" if the environment variable WWW_HOME should be used\n"
-"as homepage URI instead."
+"The URI to load either at startup time when no URI was given on the command "
+"line or when requested by the goto-url-home action. Set to \"\" if the "
+"environment variable WWW_HOME should be used as homepage URI instead."
 msgstr ""
 "L'URI  charger soit au dmarrage quand aucune n'est spcifie\n"
 "sur la ligne de commande ou lorsque demander par l'action goto-url-home.\n"
 "Mettre \"\" si la variable d'environnement WWW_HOME doit tre\n"
 "utilise comme URI de page d'accueil."
 
-#: src/config/options.inc:1311
+#: src/config/options.inc:1392
 msgid "Date format"
 msgstr "Format des dates"
 
-#: src/config/options.inc:1313
+#: src/config/options.inc:1394
 msgid "Date format to use in dialogs. See strftime(3)."
 msgstr "Format utilis pour les dates dans les dialogues. Voir strftime(3)."
 
-#: src/config/options.inc:1316
+#: src/config/options.inc:1397
 msgid "Set window title"
 msgstr "Modifier le titre de la fentre"
 
-#: src/config/options.inc:1318
+#: src/config/options.inc:1399
+#, fuzzy
 msgid ""
-"Set the window title when running in a windowing environment\n"
-"in an xterm-like terminal. This way the document's title is\n"
-"shown on the window titlebar."
+"Set the window title when running in a windowing environment in an xterm-"
+"like terminal. This way the document's title is shown on the window titlebar."
 msgstr ""
 "Mettre  jour le titre de la fentre, dans le cas d'un\n"
 "environnement de type xterm. Cela permet d'avoir le titre du\n"
@@ -4573,7 +4683,7 @@ msgid "Goto URL History"
 msgstr "Historique Aller "
 
 #. name:
-#: src/cookies/cookies.c:88 src/cookies/cookies.c:911
+#: src/cookies/cookies.c:88 src/cookies/cookies.c:913
 msgid "Cookies"
 msgstr "Cookies"
 
@@ -4602,13 +4712,14 @@ msgid "Maximum age"
 msgstr "Age maximal"
 
 #: src/cookies/cookies.c:102
+#, fuzzy
 msgid ""
 "Cookie maximum age (in days):\n"
 "-1 is use cookie's expiration date if any\n"
-"0  is force expiration at the end of session, ignoring cookie's\n"
-"   expiration date\n"
-"1+ is use cookie's expiration date, but limit age to the given\n"
-"   number of days"
+"0  is force expiration at the end of session, ignoring\n"
+"   cookie's expiration date\n"
+"1+ is use cookie's expiration date, but limit age to the\n"
+"   given number of days"
 msgstr ""
 "Age maximal pour les cookies (en jours):\n"
 "-1  utiliser si possible la date d'expiration du cookie\n"
@@ -4622,12 +4733,13 @@ msgid "Paranoid security"
 msgstr "Scurit maximale (parano.)"
 
 #: src/cookies/cookies.c:111
+#, fuzzy
 msgid ""
-"When enabled, we'll require three dots in cookies domain for all\n"
-"non-international domains (instead of just two dots). Some countries\n"
-"have generic second level domains (eg. .com.pl, .co.uk) and allowing\n"
-"sites to set cookies for these generic domains could potentially be\n"
-"very bad. Note, it is off by default as it breaks a lot of sites."
+"When enabled, we'll require three dots in cookies domain for all non-"
+"international domains (instead of just two dots). Some countries have "
+"generic second level domains (eg. .com.pl, .co.uk) and allowing sites to set "
+"cookies for these generic domains could potentially be very bad. Note, it is "
+"off by default as it breaks a lot of sites."
 msgstr ""
 "Si activ, nous insistons pour avoir trois points dans le nom de\n"
 "domaine des cookies pour tous les domaines non-internationaux\n"
@@ -4637,35 +4749,36 @@ msgstr ""
 "potentiellement tre trs mauvais. Notez, cette option est dsactive\n"
 "par dfaut car elle empche le bon fonctionnement de nombreux sites."
 
-#: src/cookies/cookies.c:117
+#: src/cookies/cookies.c:118
 msgid "Saving"
 msgstr "Sauvegarde"
 
-#: src/cookies/cookies.c:119
+#: src/cookies/cookies.c:120
 msgid "Whether cookies should be loaded from and saved to disk."
 msgstr "Charger/sauvegarder ou non les cookies sur disque."
 
-#: src/cookies/cookies.c:121
+#: src/cookies/cookies.c:123
 msgid "Resaving"
 msgstr "Sauvegarde rpte"
 
-#: src/cookies/cookies.c:123
+#: src/cookies/cookies.c:125
+#, fuzzy
 msgid ""
-"Save cookies after each change in cookies list? No effect when\n"
-"cookie saving (cookies.save) is off."
+"Save cookies after each change in cookies list? No effect when cookie saving "
+"(cookies.save) is off."
 msgstr ""
 "Sauvegarde des cookies aprs chaque modification ?\n"
 "Aucun effet si la sauvegarde (cookies.save) est dsactive."
 
-#: src/cookies/cookies.c:817
+#: src/cookies/cookies.c:819
 msgid "Cannot save cookies"
 msgstr "Ne peut sauvegarder les cookies"
 
-#: src/cookies/cookies.c:828
+#: src/cookies/cookies.c:830
 msgid "ELinks was started without a home directory."
 msgstr "ELinks a t dmarr sans rpertoire personnel."
 
-#: src/cookies/cookies.c:834
+#: src/cookies/cookies.c:836
 msgid "ELinks was started with the -anonymous option."
 msgstr "ELinks a t dmarr avec l'option -anonymous."
 
@@ -4864,7 +4977,7 @@ msgid "No header info."
 msgstr "Aucune information d'en-tte."
 
 #: src/dialogs/download.c:243 src/dialogs/menu.c:601
-#: src/protocol/bittorrent/dialogs.c:228 src/session/download.c:361
+#: src/protocol/bittorrent/dialogs.c:228 src/session/download.c:387
 msgid "Download"
 msgstr "Tlchargement"
 
@@ -5674,7 +5787,7 @@ msgid "No document"
 msgstr "Aucun document"
 
 #. name:
-#: src/document/css/css.c:30 src/document/css/css.c:161
+#: src/document/css/css.c:30 src/document/css/css.c:164
 msgid "Cascading Style Sheets"
 msgstr "Feuilles de style (CSS)"
 
@@ -5682,38 +5795,40 @@ msgstr "Feuilles de style (CSS)"
 msgid "Options concerning how to use CSS for styling documents."
 msgstr "Options concernant l'utilisation des CSS."
 
-#: src/document/css/css.c:34
+#: src/document/css/css.c:35
 msgid "Enable CSS"
 msgstr "Activer les CSS"
 
-#: src/document/css/css.c:36
+#: src/document/css/css.c:37
 msgid "Enable adding of CSS style info to documents."
 msgstr "Permettre l'ajout d'info de style CSS aux documents."
 
-#: src/document/css/css.c:38
+#: src/document/css/css.c:39
 msgid "Import external style sheets"
 msgstr "Importer les feuilles de style externes"
 
-#: src/document/css/css.c:40
+#: src/document/css/css.c:41
+#, fuzzy
 msgid ""
-"When enabled any external style sheets that are imported from\n"
-"either CSS itself using the @import keyword or from the HTML using\n"
-"<link> tags in the document header will also be downloaded."
+"When enabled any external style sheets that are imported from either CSS "
+"itself using the @import keyword or from the HTML using <link> tags in the "
+"document header will also be downloaded."
 msgstr ""
 "Quand cette option est active, toute feuille de style qui est importe\n"
 "soit par le mot cl @import soit par une balise <link> dans l'en-tte du\n"
 "document sera effectivement tlcharge."
 
-#: src/document/css/css.c:44
+#: src/document/css/css.c:46
 msgid "Default style sheet"
 msgstr "Feuille de style par dfaut"
 
-#: src/document/css/css.c:46
+#: src/document/css/css.c:48
+#, fuzzy
 msgid ""
-"The path to the file containing the default user defined\n"
-"Cascading Style Sheet. It can be used to control the basic\n"
-"layout of HTML documents. The path is assumed to be relative\n"
-"to ELinks' home directory.\n"
+"The path to the file containing the default user defined Cascading Style "
+"Sheet. It can be used to control the basic layout of HTML documents. The "
+"path is assumed to be relative to ELinks' home directory.\n"
+"\n"
 "Leave as \"\" to use built-in document styling."
 msgstr ""
 "Chemin du fichier conteant la feuille de style CSS utilisateur\n"
@@ -5748,9 +5863,10 @@ msgid "Ignore <noscript> content"
 msgstr "Ignorer le contenu de <noscript>"
 
 #: src/ecmascript/ecmascript.c:55
+#, fuzzy
 msgid ""
-"Whether to ignore content enclosed by the <noscript> tag\n"
-"when ECMAScript is enabled."
+"Whether to ignore content enclosed by the <noscript> tag when ECMAScript is "
+"enabled."
 msgstr ""
 "Ignorer ou non le contenu du tag <noscript> quand ECMAScript\n"
 "est actif."
@@ -5809,7 +5925,7 @@ msgid "JavaScript Error"
 msgstr "Erreur Javascript"
 
 #. name:
-#: src/ecmascript/spidermonkey.c:320
+#: src/ecmascript/spidermonkey.c:321
 msgid "SpiderMonkey"
 msgstr "SpiderMonkey"
 
@@ -5901,10 +6017,10 @@ msgid "Show form history dialog"
 msgstr "Montrer le dialogue de mmorisation de formulaires"
 
 #: src/formhist/formhist.c:38
+#, fuzzy
 msgid ""
-"Ask if a login form should be saved to file or not.\n"
-"This option only disables the dialog, already saved login\n"
-"forms are unaffected."
+"Ask if a login form should be saved to file or not. This option only "
+"disables the dialog, already saved login forms are unaffected."
 msgstr ""
 "Demander si un formulaire d'authentification doit tre\n"
 "sauvegarder dans un fichier ou non.\n"
@@ -6009,19 +6125,19 @@ msgstr "Options de l'historique global."
 msgid "Enable global history (\"history of all pages visited\")."
 msgstr "Activer l'historique global (ensemble des pages visites)."
 
-#: src/globhist/globhist.c:68
+#: src/globhist/globhist.c:69
 msgid "Maximum number of entries"
 msgstr "Nombre max. d'entres"
 
-#: src/globhist/globhist.c:70
+#: src/globhist/globhist.c:71
 msgid "Maximum number of entries in the global history."
 msgstr "Nombre maximal d'entres dans l'historique global."
 
-#: src/globhist/globhist.c:72
+#: src/globhist/globhist.c:73
 msgid "Display style"
 msgstr "Style d'affichage"
 
-#: src/globhist/globhist.c:74
+#: src/globhist/globhist.c:75
 msgid ""
 "What to display in global history dialog:\n"
 "0 is URLs\n"
@@ -6032,7 +6148,7 @@ msgstr ""
 "1 afficher les titres des pages"
 
 #. name:
-#: src/globhist/globhist.c:451
+#: src/globhist/globhist.c:449
 msgid "Global History"
 msgstr "Historique Global"
 
@@ -6252,12 +6368,13 @@ msgid "MIME type associations"
 msgstr "Associations des types MIME"
 
 #: src/mime/backend/default.c:27
+#, fuzzy
 msgid ""
-"Handler <-> MIME type association. The first sub-tree is the MIME\n"
-"class while the second sub-tree is the MIME type (ie. image/gif\n"
-"handler will reside at mime.type.image.gif). Each MIME type option\n"
-"should contain (case-sensitive) name of the MIME handler (its\n"
-"properties are stored at mime.handler.<name>)."
+"Handler <-> MIME type association. The first sub-tree is the MIME class "
+"while the second sub-tree is the MIME type (ie. image/gif handler will "
+"reside at mime.type.image.gif). Each MIME type option should contain (case-"
+"sensitive) name of the MIME handler (its properties are stored at mime."
+"handler.<name>)."
 msgstr ""
 "Association gestionnaire <-> type MIME. Le premier sous-arbre\n"
 "est la classe MIME tandis que le second sous-arbre est le type MIME\n"
@@ -6266,36 +6383,35 @@ msgstr ""
 "Chaque option type MIME doit contenir le nom du gestionnaire MIME\n"
 "(sensible  la casse, ses proprits sont stockes dans mime.handler.<name>)."
 
-#: src/mime/backend/default.c:35
+#: src/mime/backend/default.c:36
+#, fuzzy
 msgid ""
-"Handler matching this MIME-type class ('*' is used here in place\n"
-"of '.')."
+"Handler matching this MIME-type class ('*' is used here in place of '.')."
 msgstr ""
 "Gestionnaire correspondant  cette classe de type MIME\n"
 "'*' est utilis ici  la place de '.')."
 
-#: src/mime/backend/default.c:40
+#: src/mime/backend/default.c:41
+#, fuzzy
 msgid ""
-"Handler matching this MIME-type name ('*' is used here in place\n"
-"of '.')."
+"Handler matching this MIME-type name ('*' is used here in place of '.')."
 msgstr ""
 "Gestionnaire correspondant  cette classe de type MIME\n"
 "'*' est utilis ici  la place de '.')."
 
-#: src/mime/backend/default.c:44
+#: src/mime/backend/default.c:45
 msgid "File type handlers"
 msgstr "Gestionnaires de type de fichiers"
 
-#: src/mime/backend/default.c:46
+#: src/mime/backend/default.c:47
+#, fuzzy
 msgid ""
-"A file type handler is a set of information about how to use\n"
-"an external program to view a file. It is possible to refer to it\n"
-"for several MIME types -- e.g., you can define an 'image' handler\n"
-"to which mime.type.image.png, mime.type.image.jpeg, and so on will\n"
-"refer; or one might define a handler for a more specific type of file\n"
-"-- e.g., PDF files.\n"
-"Note you must define both a MIME handler and a MIME type association\n"
-"for it to work."
+"A file type handler is a set of information about how to use an external "
+"program to view a file. It is possible to refer to it for several MIME types "
+"-- e.g., you can define an 'image' handler to which mime.type.image.png, "
+"mime.type.image.jpeg, and so on will refer; or one might define a handler "
+"for a more specific type of file -- e.g., PDF files. Note you must define "
+"both a MIME handler and a MIME type association for it to work."
 msgstr ""
 "Un gestionnaire de type de fichier est en ensemble d'informations\n"
 "dfinissant comment utiliser un programme externe pour visualiser\n"
@@ -6307,70 +6423,69 @@ msgstr ""
 "Notez que vous devez dfinir un gestionnaire MIME et une association\n"
 "de type MIME pour que cela fonctionne."
 
-#: src/mime/backend/default.c:57
+#: src/mime/backend/default.c:58
 msgid "Description of this handler."
 msgstr "Description de ce gestionnaire."
 
-#: src/mime/backend/default.c:61
+#: src/mime/backend/default.c:62
 msgid "System-specific handler description (ie. unix, unix-xwin, ...)."
 msgstr ""
 "Description du gestionnaire spcifique  ce systme (par exemple,\n"
 "unix, unix-xwin, ...)."
 
-#: src/mime/backend/default.c:63 src/mime/backend/mailcap.c:102
+#: src/mime/backend/default.c:65 src/mime/backend/mailcap.c:102
 msgid "Ask before opening"
 msgstr "Demander avant ouverture"
 
-#: src/mime/backend/default.c:65
+#: src/mime/backend/default.c:67
 msgid "Ask before opening."
 msgstr "Demander avant ouverture."
 
-#: src/mime/backend/default.c:67
+#: src/mime/backend/default.c:69
 msgid "Block terminal"
 msgstr "Bloquer le terminal"
 
-#: src/mime/backend/default.c:69
+#: src/mime/backend/default.c:71
 msgid "Block the terminal when the handler is running."
 msgstr "Bloquer le terminal pendant l'excution d'un programme externe."
 
-#: src/mime/backend/default.c:71
+#: src/mime/backend/default.c:73
 msgid "Program"
 msgstr "Programme"
 
-#: src/mime/backend/default.c:74
-#, no-c-format
+#: src/mime/backend/default.c:76
+#, fuzzy, no-c-format
 msgid ""
-"External viewer for this file type. '%' in this string will be\n"
-"substituted by a file name.\n"
-"Do _not_ put single- or double-quotes around the % sign."
+"External viewer for this file type. '%' in this string will be substituted "
+"by a file name. Do _not_ put single- or double-quotes around the % sign."
 msgstr ""
 "Visionneur externe pour ce type de fichier. '%' dans la chane sera\n"
 "remplac par un nom de fichier.\n"
 "Ne _pas_ placer de simple ou doubles guillemets autour du signe %."
 
-#: src/mime/backend/default.c:79
+#: src/mime/backend/default.c:81
 msgid "File extension associations"
 msgstr "Associations des extensions de fichiers"
 
-#: src/mime/backend/default.c:81
+#: src/mime/backend/default.c:83
 msgid "Extension <-> MIME type association."
 msgstr "Association extension <-> type MIME."
 
-#: src/mime/backend/default.c:85
+#: src/mime/backend/default.c:87
+#, fuzzy
 msgid ""
-"MIME-type matching this file extension ('*' is used here in place\n"
-"of '.')."
+"MIME-type matching this file extension ('*' is used here in place of '.')."
 msgstr ""
 "Type MIME correspondant  cette extension de fichiers ('*' est utilis\n"
 "ici  la place de '.')."
 
 #. name:
-#: src/mime/backend/default.c:216
+#: src/mime/backend/default.c:218
 msgid "Option system"
 msgstr "Systme de configuration"
 
 #. name:
-#: src/mime/backend/mailcap.c:89 src/mime/backend/mailcap.c:684
+#: src/mime/backend/mailcap.c:89 src/mime/backend/mailcap.c:686
 msgid "Mailcap"
 msgstr "Mailcap"
 
@@ -6383,9 +6498,10 @@ msgid "Enable mailcap support."
 msgstr "Activer le support de mailcap."
 
 #: src/mime/backend/mailcap.c:99
+#, fuzzy
 msgid ""
-"Mailcap search path. Colon-separated list of files.\n"
-"Leave as \"\" to use MAILCAP environment variable instead."
+"Mailcap search path. Colon-separated list of files. Leave as \"\" to use "
+"MAILCAP environment variable instead."
 msgstr ""
 "Chemin de recherche pour Mailcap. Liste de fichiers spars par des "
 "virgules.\n"
@@ -6400,12 +6516,13 @@ msgid "Type query string"
 msgstr "Chane de demande de type"
 
 #: src/mime/backend/mailcap.c:108
+#, fuzzy
 msgid ""
-"Type of description to show in \"what to do with this file\"\n"
-"query dialog:\n"
+"Type of description to show in \"what to do with this file\" query dialog:\n"
 "0 is show \"mailcap\"\n"
 "1 is show program to be run\n"
-"2 is show mailcap description field if any; \"mailcap\" otherwise"
+"2 is show mailcap description field if any;\n"
+"     \"mailcap\" otherwise"
 msgstr ""
 "Type de description  montrer dans le dialogue \"que devons-nous faire avec "
 "ce fichier\"\n"
@@ -6413,36 +6530,37 @@ msgstr ""
 "1 montrer le programme  excuter\n"
 "2 montrer le champ de description mailcap si existant; \"mailcap\" sinon"
 
-#: src/mime/backend/mailcap.c:114
+#: src/mime/backend/mailcap.c:115
 msgid "Prioritize entries by file"
 msgstr "Ordre de priorit par fichier"
 
-#: src/mime/backend/mailcap.c:116
+#: src/mime/backend/mailcap.c:117
+#, fuzzy
 msgid ""
-"Prioritize entries by the order of the files in the mailcap\n"
-"path. This means that wildcard entries (like: image/*) will\n"
-"also be checked before deciding the handler."
+"Prioritize entries by the order of the files in the mailcap path. This means "
+"that wildcard entries (like: image/*) will also be checked before deciding "
+"the handler."
 msgstr ""
 "Attribuer des priorits aux entres en fonction de l'ordre des\n"
 "fichiers dans le chemin vers mailcap. Cela signifie que les\n"
 "entres joker (comme: image/*) seront aussi traites avant\n"
 "le choix du gestionnaire."
 
-#: src/mime/backend/mailcap.c:349
+#: src/mime/backend/mailcap.c:351
 #, c-format
 msgid "Badly formated mailcap entry for type %s in \"%s\" line %d"
 msgstr "Entre mailcap mal formate pour le type %s dans \"%s\" ligne %d"
 
 #. name:
-#: src/mime/backend/mimetypes.c:46 src/mime/backend/mimetypes.c:279
+#: src/mime/backend/mimetypes.c:46 src/mime/backend/mimetypes.c:280
 msgid "Mimetypes files"
 msgstr "Fichiers mime.types"
 
 #: src/mime/backend/mimetypes.c:48
+#, fuzzy
 msgid ""
-"Options for the support of mime.types files. These files\n"
-"can be used to find the content type of a URL by looking at\n"
-"the extension of the file name."
+"Options for the support of mime.types files. These files can be used to find "
+"the content type of a URL by looking at the extension of the file name."
 msgstr ""
 "Options pour le support des fichiers mime.types. Ces fichiers\n"
 "peuvent tre consults pour trouver le type de contenu associ\n"
@@ -6484,7 +6602,7 @@ msgid "No extensions"
 msgstr "Aucune extension"
 
 #. name:
-#: src/mime/mime.c:38 src/mime/mime.c:360
+#: src/mime/mime.c:38 src/mime/mime.c:361
 msgid "MIME"
 msgstr "MIME"
 
@@ -6497,9 +6615,10 @@ msgid "Default MIME-type"
 msgstr "Type MIME par dfaut"
 
 #: src/mime/mime.c:44
+#, fuzzy
 msgid ""
-"Document MIME-type to assume by default (when we are unable to\n"
-"guess it properly from known information about the document)."
+"Document MIME-type to assume by default (when we are unable to guess it "
+"properly from known information about the document)."
 msgstr ""
 "Type MIME du document par dfaut (quand il ne peut tre\n"
 "deviner grce aux informations connues concernant le document)."
@@ -6509,9 +6628,10 @@ msgid "Verify certificates"
 msgstr "Vrification des certificats"
 
 #: src/network/ssl/ssl.c:74
+#, fuzzy
 msgid ""
-"Verify the peer's SSL certificate. Note that this\n"
-"needs extensive configuration of OpenSSL by the user."
+"Verify the peer's SSL certificate. Note that this needs extensive "
+"configuration of OpenSSL by the user."
 msgstr ""
 "Vrifier le certificat SSL du serveur. Notez que cela ncessite\n"
 "une configuration particulire de OpenSSL par l'utilisateur."
@@ -6525,9 +6645,10 @@ msgid "X509 client certificate options."
 msgstr "Options concernant les certificats X509 du client."
 
 #: src/network/ssl/ssl.c:83
+#, fuzzy
 msgid ""
-"Enable or not the sending of X509 client certificates\n"
-"to servers which request them."
+"Enable or not the sending of X509 client certificates to servers which "
+"request them."
 msgstr ""
 "Activer ou non l'envoi des certificats X509 du client aux\n"
 "serveurs qui le demandent."
@@ -6537,11 +6658,11 @@ msgid "Certificate File"
 msgstr "Fichier contenant le certificat"
 
 #: src/network/ssl/ssl.c:88
+#, fuzzy
 msgid ""
-"The location of a file containing the client certificate\n"
-"and unencrypted private key in PEM format. If unset, the\n"
-"file pointed to by the X509_CLIENT_CERT variable is used\n"
-"instead."
+"The location of a file containing the client certificate and unencrypted "
+"private key in PEM format. If unset, the file pointed to by the "
+"X509_CLIENT_CERT variable is used instead."
 msgstr ""
 "Le chemin du fichier contenant le certificat du client et la\n"
 "cl prive non encrypte au format PEM. Si vide, le fichier\n"
@@ -6549,10 +6670,13 @@ msgstr ""
 "utilis."
 
 #: src/network/ssl/ssl.c:163
+#, fuzzy
 msgid ""
-"Verify the peer's SSL certificate.  If you enable\n"
-"this, set also \"Trusted CA file\"."
+"Verify the peer's SSL certificate.  If you enable this, set also \"Trusted "
+"CA file\"."
 msgstr ""
+"Vrifier le certificat SSL du serveur. Notez que cela ne marchera\n"
+"probablement pas correctement avec GnuTLS."
 
 #. The default value of the following option points to a file
 #. * generated by the ca-certificates Debian package.  Don't use
@@ -6569,20 +6693,20 @@ msgstr "Echec de transfert"
 
 #: src/network/ssl/ssl.c:176
 msgid ""
-"The location of a file containing certificates of\n"
-"trusted certification authorities in PEM format.\n"
-"ELinks then trusts certificates issued by these CAs.\n"
-"If you change this option or the file, you must\n"
-"restart ELinks for the changes to take effect.\n"
-"This option affects GnuTLS but not OpenSSL."
+"The location of a file containing certificates of trusted certification "
+"authorities in PEM format. ELinks then trusts certificates issued by these "
+"CAs.\n"
+"\n"
+"If you change this option or the file, you must restart ELinks for the "
+"changes to take effect. This option affects GnuTLS but not OpenSSL."
 msgstr ""
 
 #. name:
-#: src/network/ssl/ssl.c:199 src/network/ssl/ssl.c:216
+#: src/network/ssl/ssl.c:200 src/network/ssl/ssl.c:217
 msgid "SSL"
 msgstr "SSL"
 
-#: src/network/ssl/ssl.c:201
+#: src/network/ssl/ssl.c:202
 msgid "SSL options."
 msgstr "Options SSL."
 
@@ -6926,7 +7050,7 @@ msgstr "Authentification requise"
 msgid "Login"
 msgstr "Login"
 
-#: src/protocol/auth/dialogs.c:113 src/protocol/http/http.c:140
+#: src/protocol/auth/dialogs.c:113 src/protocol/http/http.c:142
 msgid "Password"
 msgstr "Mot de passe"
 
@@ -6995,7 +7119,7 @@ msgstr "Gestionnaire d'authentification"
 
 #. name:
 #: src/protocol/bittorrent/bittorrent.c:26
-#: src/protocol/bittorrent/bittorrent.c:335
+#: src/protocol/bittorrent/bittorrent.c:339
 msgid "BitTorrent"
 msgstr "BitTorrent"
 
@@ -7046,10 +7170,10 @@ msgid "Use compact tracker format"
 msgstr "Utiliser le format compact"
 
 #: src/protocol/bittorrent/bittorrent.c:57
+#, fuzzy
 msgid ""
-"Whether to request that the tracker returns peer info\n"
-"in compact format. Note, the compact format only supports\n"
-"IPv4 addresses."
+"Whether to request that the tracker returns peer info in compact format. "
+"Note, the compact format only supports IPv4 addresses."
 msgstr ""
 "Demander ou non que le serveur retourne les informations\n"
 "de poste dans un format compact. Notez que le format compact\n"
@@ -7060,40 +7184,42 @@ msgid "Tracker announce interval"
 msgstr "Intervalle d'annonce au serveur"
 
 #: src/protocol/bittorrent/bittorrent.c:63
+#, fuzzy
 msgid ""
-"The number of seconds to wait between periodically contacting\n"
-"the tracker for announcing progress and requesting more peers.\n"
-"Set to zero to use the interval requested by the tracker."
+"The number of seconds to wait between periodically contacting the tracker "
+"for announcing progress and requesting more peers. Set to zero to use the "
+"interval requested by the tracker."
 msgstr ""
 "Le nombre de secondes  attendre entre chaque connexion priodique\n"
 "au serveur pour annoncer le progrs et demander d'autres postes.\n"
 "Mettre  zro pour utiliser l'intervalle demand par le serveur."
 
-#: src/protocol/bittorrent/bittorrent.c:67
+#: src/protocol/bittorrent/bittorrent.c:68
 msgid "IP-address to announce"
 msgstr "Address IP  annoncer"
 
-#: src/protocol/bittorrent/bittorrent.c:69
+#: src/protocol/bittorrent/bittorrent.c:70
+#, fuzzy
 msgid ""
-"What IP address to report to the tracker. If set to \"\"\n"
-"no IP address will be sent and the tracker will automatically\n"
-"determine an appropriate IP address."
+"What IP address to report to the tracker. If set to \"\" no IP address will "
+"be sent and the tracker will automatically determine an appropriate IP "
+"address."
 msgstr ""
 "Adresse IP a annonc au serveur. Si mis  \"\", aucune adresse\n"
 "n'est transmise et le serveur dterminera automatiquement\n"
 "l'adresse approprie."
 
-#: src/protocol/bittorrent/bittorrent.c:73
+#: src/protocol/bittorrent/bittorrent.c:74
 msgid "User identification string"
 msgstr "Identification de l'utilisateur"
 
-#: src/protocol/bittorrent/bittorrent.c:75
+#: src/protocol/bittorrent/bittorrent.c:76
+#, fuzzy
 msgid ""
-"An additional identification that is not shared with any users.\n"
-"It is intended to allow a client to prove their identity should\n"
-"their IP address change. It is an optional parameter, but some\n"
-"trackers require this parameter. If set to \"\" no user key will\n"
-"be sent to the tracker."
+"An additional identification that is not shared with any users. It is "
+"intended to allow a client to prove their identity should their IP address "
+"change. It is an optional parameter, but some trackers require this "
+"parameter. If set to \"\" no user key will be sent to the tracker."
 msgstr ""
 "Une cl d'identification additionnelle qui n'est pas partage avec\n"
 "d'autres utilisateurs. L'objectif est de permette l'identification\n"
@@ -7101,28 +7227,29 @@ msgstr ""
 "mais certains trackers le demandent. Si mis  \"\" aucune cl ne sera\n"
 "envoye."
 
-#: src/protocol/bittorrent/bittorrent.c:81
+#: src/protocol/bittorrent/bittorrent.c:82
 msgid "Maximum number of peers to request"
 msgstr "Nombre maximum de postes  demander"
 
-#: src/protocol/bittorrent/bittorrent.c:83
+#: src/protocol/bittorrent/bittorrent.c:84
+#, fuzzy
 msgid ""
-"The maximum number of peers to request from the tracker.\n"
-"Set to 0 to use the server default."
+"The maximum number of peers to request from the tracker. Set to 0 to use the "
+"server default."
 msgstr ""
 "Nombre maximum de postes  demander au serveur.\n"
 "Mettre  0 pour utiliser la valeur par dfaut du serveur."
 
-#: src/protocol/bittorrent/bittorrent.c:86
+#: src/protocol/bittorrent/bittorrent.c:87
 msgid "Minimum peers to skip rerequesting"
 msgstr "Nombre minimal de postes avant abandon de requtes"
 
-#: src/protocol/bittorrent/bittorrent.c:88
+#: src/protocol/bittorrent/bittorrent.c:89
+#, fuzzy
 msgid ""
-"The minimum number of peers to have in the current peer info\n"
-"pool before skipping requesting of more peers. I.e. setting\n"
-"numwant to zero.\n"
-"Set to 0 to not have any limit."
+"The minimum number of peers to have in the current peer info pool before "
+"skipping requesting of more peers. I.e. setting numwant to zero. Set to 0 to "
+"not have any limit."
 msgstr ""
 "Nombre minimal de postes  avoir dans le groupe actuel avant\n"
 "d'abandonner les requtes pour plus de postes.\n"
@@ -7144,12 +7271,13 @@ msgid "Maximum number of peer connection
 msgstr "Nombre maximum de connexions aux postes"
 
 #: src/protocol/bittorrent/bittorrent.c:104
+#, fuzzy
 msgid ""
-"The maximum number of allowed connections to both active and\n"
-"non-active peers. By increasing the number of allowed connections,\n"
-"the chance of finding good peers to download from is increased.\n"
-"However, too many connections can lead to TCP congestion. If the\n"
-"maximum is reached all new incoming connections will be closed."
+"The maximum number of allowed connections to both active and non-active "
+"peers. By increasing the number of allowed connections, the chance of "
+"finding good peers to download from is increased. However, too many "
+"connections can lead to TCP congestion. If the maximum is reached all new "
+"incoming connections will be closed."
 msgstr ""
 "Nombre maximum de connexions autorises vers des postes actifs ou\n"
 "inactifs. En augmentant le nombre de connexions autorises, la chance\n"
@@ -7157,65 +7285,70 @@ msgstr ""
 "Toutefois, trop de connexions peuvent conduire  une congestion TCP.\n"
 "Si le maximum est atteint, toutes les nouvelles connexions seront fermes."
 
-#: src/protocol/bittorrent/bittorrent.c:110
+#: src/protocol/bittorrent/bittorrent.c:111
 msgid "Maximum peer message length"
 msgstr "Longueur maximale des messages"
 
-#: src/protocol/bittorrent/bittorrent.c:112
+#: src/protocol/bittorrent/bittorrent.c:113
+#, fuzzy
 msgid ""
-"The maximum length of messages to accept over the wire.\n"
-"Larger values will cause the connection to be dropped."
+"The maximum length of messages to accept over the wire. Larger values will "
+"cause the connection to be dropped."
 msgstr ""
 "Longueur maximale des messages  accepter sur le lien.\n"
 "De plus grande valeurs causeront une dconnexion."
 
-#: src/protocol/bittorrent/bittorrent.c:115
+#: src/protocol/bittorrent/bittorrent.c:116
 msgid "Maximum allowed request length"
 msgstr "Longueur maximale de requte autorise"
 
-#: src/protocol/bittorrent/bittorrent.c:117
+#: src/protocol/bittorrent/bittorrent.c:118
+#, fuzzy
 msgid ""
-"The maximum length to allow for incoming requests.\n"
-"Larger requests will cause the connection to be dropped."
+"The maximum length to allow for incoming requests. Larger requests will "
+"cause the connection to be dropped."
 msgstr ""
 "Longueur maximale autorise pour les requtes entrantes.\n"
 "De plus grande valeurs causeront une dconnexion."
 
-#: src/protocol/bittorrent/bittorrent.c:120
+#: src/protocol/bittorrent/bittorrent.c:121
 msgid "Length of requests"
 msgstr "Longueur des requtes"
 
-#: src/protocol/bittorrent/bittorrent.c:122
+#: src/protocol/bittorrent/bittorrent.c:123
+#, fuzzy
 msgid ""
-"How many bytes to query for per request. This is complementary\n"
-"to the max_request_length option. If the configured length is\n"
-"bigger than the piece length it will be truncated."
+"How many bytes to query for per request. This is complementary to the "
+"max_request_length option. If the configured length is bigger than the piece "
+"length it will be truncated."
 msgstr ""
 "Nombre d'octets  demander par requte. Ceci est complmentaire \n"
 "l'option  max_request_length. Si la valeur configure est plus\n"
 "grande que la longueur des morceaux celle-ci sera tronque."
 
-#: src/protocol/bittorrent/bittorrent.c:126
+#: src/protocol/bittorrent/bittorrent.c:128
 msgid "Peer inactivity timeout"
 msgstr "Dlai d'inactivit pour un poste"
 
-#: src/protocol/bittorrent/bittorrent.c:128
+#: src/protocol/bittorrent/bittorrent.c:130
+#, fuzzy
 msgid ""
-"The number of seconds to wait before closing a socket on\n"
-"which nothing has been received or sent."
+"The number of seconds to wait before closing a socket on which nothing has "
+"been received or sent."
 msgstr ""
 "Le nombre de secondes  attendre avant de fermer une\n"
 "connexion sur laquelle rien n'a circul."
 
-#: src/protocol/bittorrent/bittorrent.c:131
+#: src/protocol/bittorrent/bittorrent.c:133
 msgid "Maximum peer pool size"
 msgstr "Taille maximale du groupe de postes"
 
-#: src/protocol/bittorrent/bittorrent.c:133
+#: src/protocol/bittorrent/bittorrent.c:135
+#, fuzzy
 msgid ""
-"Maximum number of items in the peer pool. The peer pool\n"
-"contains information used for establishing connections to\n"
-"new peers.\n"
+"Maximum number of items in the peer pool. The peer pool contains information "
+"used for establishing connections to new peers.\n"
+"\n"
 "Set to 0 to have unlimited size."
 msgstr ""
 "Nombre maximal d'items dans le groupe de postes. Le groupe\n"
@@ -7226,31 +7359,32 @@ msgstr ""
 #. ******************************************************************
 #. Piece management options:
 #. ******************************************************************
-#: src/protocol/bittorrent/bittorrent.c:143
+#: src/protocol/bittorrent/bittorrent.c:146
 msgid "Maximum piece cache size"
 msgstr "Taille maximale du cache de morceaux"
 
-#: src/protocol/bittorrent/bittorrent.c:145
+#: src/protocol/bittorrent/bittorrent.c:148
+#, fuzzy
 msgid ""
-"The maximum amount of memory used to hold recently\n"
-"downloaded pieces.\n"
+"The maximum amount of memory used to hold recently downloaded pieces.\n"
+"\n"
 "Set to 0 to have unlimited size."
 msgstr ""
 "La quantit maximale de mmoire utilise pour contenir\n"
 "les morceaux rcemment tlchargs.\n"
 "Mettre  0 pour une taille illimite."
 
-#: src/protocol/bittorrent/bittorrent.c:154
+#: src/protocol/bittorrent/bittorrent.c:158
 msgid "Sharing rate"
 msgstr "Ratio de partage"
 
-#: src/protocol/bittorrent/bittorrent.c:156
+#: src/protocol/bittorrent/bittorrent.c:160
+#, fuzzy
 msgid ""
-"The minimum sharing rate to achieve before stop seeding.\n"
-"The sharing rate is computed as the number of uploaded bytes\n"
-"divided with the number of downloaded bytes. The value should\n"
-"be a double value between 0.0 and 1.0 both included.\n"
-"Set to 1.0 to atleast upload a complete copy of all data and\n"
+"The minimum sharing rate to achieve before stop seeding. The sharing rate is "
+"computed as the number of uploaded bytes divided with the number of "
+"downloaded bytes. The value should be a double value between 0.0 and 1.0 "
+"both included. Set to 1.0 to atleast upload a complete copy of all data and "
 "set to 0.0 to have unlimited sharing rate."
 msgstr ""
 "Taux minimal de partage  atteindre.\n"
@@ -7260,53 +7394,53 @@ msgstr ""
 "Mettre  1.0 pour uploader une copie complte des donnes et\n"
 " 0.0 pour avoir un ratio de partage sans limite."
 
-#: src/protocol/bittorrent/bittorrent.c:163
+#: src/protocol/bittorrent/bittorrent.c:167
 msgid "Maximum number of uploads"
 msgstr "Nombre maximal de tlchargements montants"
 
-#: src/protocol/bittorrent/bittorrent.c:165
+#: src/protocol/bittorrent/bittorrent.c:169
 msgid "The maximum number of uploads to allow at once."
 msgstr ""
 "Nombre maximal de tlchargements montants autoriss\n"
 " un instant."
 
 #. The number of uploads to fill out to with extra optimistic unchokes
-#: src/protocol/bittorrent/bittorrent.c:168
+#: src/protocol/bittorrent/bittorrent.c:172
 msgid "Minimum number of uploads"
 msgstr "Nombre minimal de tlchargements montants"
 
-#: src/protocol/bittorrent/bittorrent.c:170
+#: src/protocol/bittorrent/bittorrent.c:174
+#, fuzzy
 msgid ""
-"The minimum number of uploads which should at least\n"
-"be used for new connections."
+"The minimum number of uploads which should at least be used for new "
+"connections."
 msgstr ""
 "Le nombre minimal de tlchargements montants qui devraient\n"
 "tre utiliss pour les nouvelles connexions."
 
-#: src/protocol/bittorrent/bittorrent.c:174
+#: src/protocol/bittorrent/bittorrent.c:178
 msgid "Keepalive interval"
 msgstr "Intervalle pour le maintien en vie des connexions"
 
-#: src/protocol/bittorrent/bittorrent.c:176
-msgid ""
-"The number of seconds to pause between sending keepalive\n"
-"messages."
+#: src/protocol/bittorrent/bittorrent.c:180
+#, fuzzy
+msgid "The number of seconds to pause between sending keepalive messages."
 msgstr ""
 "Nombre de secondes entre chaque envoi de messages de maintien\n"
 "en vie."
 
-#: src/protocol/bittorrent/bittorrent.c:179
+#: src/protocol/bittorrent/bittorrent.c:183
 msgid "Number of pending requests"
 msgstr "Nombre de requtes en attente"
 
-#: src/protocol/bittorrent/bittorrent.c:181
+#: src/protocol/bittorrent/bittorrent.c:185
+#, fuzzy
 msgid ""
-"How many piece requests to continuously keep in queue. Pipelining\n"
-"of requests is essential to saturate connections and get a good\n"
-"connection performance and thus a faster download. However, a\n"
-"very big queue size can lead to wasting bandwidth near the end\n"
-"of the connection since remaining piece blocks will be requested\n"
-"from multiple peers."
+"How many piece requests to continuously keep in queue. Pipelining of "
+"requests is essential to saturate connections and get a good connection "
+"performance and thus a faster download. However, a very big queue size can "
+"lead to wasting bandwidth near the end of the connection since remaining "
+"piece blocks will be requested from multiple peers."
 msgstr ""
 "Nombre de requtes de morceaux  garder continuellement en queue.\n"
 "L'enchanement des requtes est essentiel pour saturer les connexions\n"
@@ -7316,29 +7450,30 @@ msgstr ""
 "demands  de multiples postes."
 
 #. Bram uses 30 seconds here.
-#: src/protocol/bittorrent/bittorrent.c:190
+#: src/protocol/bittorrent/bittorrent.c:194
 msgid "Peer snubbing interval"
 msgstr "Intervalle de subbing pour les postes"
 
-#: src/protocol/bittorrent/bittorrent.c:192
+#: src/protocol/bittorrent/bittorrent.c:196
+#, fuzzy
 msgid ""
-"The number of seconds to wait for file data before assuming\n"
-"the peer has been snubbed."
+"The number of seconds to wait for file data before assuming the peer has "
+"been snubbed."
 msgstr ""
 "Nombre de secondes  attendre les donnes avant de supposer\n"
 "qu'un poste a t snubb."
 
-#: src/protocol/bittorrent/bittorrent.c:195
+#: src/protocol/bittorrent/bittorrent.c:199
 msgid "Peer choke interval"
 msgstr "Intervalle de choke pour les postes"
 
-#: src/protocol/bittorrent/bittorrent.c:197
+#: src/protocol/bittorrent/bittorrent.c:201
+#, fuzzy
 msgid ""
-"The number of seconds between updating the connection state\n"
-"and most importantly choke and unchoke peer connections. The\n"
-"choke period should be big enough for newly unchoked connections\n"
-"to get started but small enough to not allow freeriders too much\n"
-"room for stealing bandwidth."
+"The number of seconds between updating the connection state and most "
+"importantly choke and unchoke peer connections. The choke period should be "
+"big enough for newly unchoked connections to get started but small enough to "
+"not allow freeriders too much room for stealing bandwidth."
 msgstr ""
 "Nombre de secondes entre chaque mise  jour de l'tat de connexion\n"
 "et entre les actions de choke et unchoke pour les connexions aux postes.\n"
@@ -7346,23 +7481,24 @@ msgstr ""
 "connexions unchokes dmarrent mais assez petite pour ne pas permettre\n"
 " certains d'utiliser trop de bande passante."
 
-#: src/protocol/bittorrent/bittorrent.c:203
+#: src/protocol/bittorrent/bittorrent.c:207
 msgid "Rarest first piece selection cutoff"
 msgstr "Limite pour la slection des morceaux par raret"
 
-#: src/protocol/bittorrent/bittorrent.c:205
+#: src/protocol/bittorrent/bittorrent.c:209
+#, fuzzy
 msgid ""
-"The number of pieces to obtain before switching piece\n"
-"selection strategy from random to rarest first."
+"The number of pieces to obtain before switching piece selection strategy "
+"from random to rarest first."
 msgstr ""
 "Nombre de morceaux  obtenir avant de modifier la stratgie\n"
 "de slection de morceaux du mode hasard au mode raret."
 
-#: src/protocol/bittorrent/bittorrent.c:208 src/protocol/http/http.c:109
+#: src/protocol/bittorrent/bittorrent.c:212 src/protocol/http/http.c:109
 msgid "Allow blacklisting"
 msgstr "Autoriser la mise en liste noire"
 
-#: src/protocol/bittorrent/bittorrent.c:210
+#: src/protocol/bittorrent/bittorrent.c:214
 msgid "Allow blacklisting of buggy peers."
 msgstr "Autoriser la mise en liste noire des postes bogus."
 
@@ -7394,7 +7530,7 @@ msgstr "Fichiers"
 msgid "Comment"
 msgstr "Commentaire"
 
-#: src/protocol/bittorrent/dialogs.c:229 src/session/download.c:362
+#: src/protocol/bittorrent/dialogs.c:229 src/session/download.c:388
 #, c-format
 msgid ""
 "Download complete:\n"
@@ -7553,7 +7689,7 @@ msgid_plural "%u unavailable"
 msgstr[0] "%u indisponible"
 msgstr[1] "%u indisponibles"
 
-#: src/protocol/bittorrent/dialogs.c:584 src/session/session.c:278
+#: src/protocol/bittorrent/dialogs.c:584 src/session/session.c:279
 #, c-format
 msgid "Unable to retrieve %s"
 msgstr "Incapable de rcuprer %s"
@@ -7567,7 +7703,7 @@ msgstr "Que voulez-vous faire avec le fi
 msgid "Information about the torrent"
 msgstr "Informations sur le torrent"
 
-#: src/protocol/bittorrent/dialogs.c:776 src/session/download.c:1106
+#: src/protocol/bittorrent/dialogs.c:776 src/session/download.c:1132
 msgid "What to do?"
 msgstr "Que faire ?"
 
@@ -7577,12 +7713,12 @@ msgid "Down~load"
 msgstr "T~lcharger"
 
 #. accelerator_context(src/protocol/bittorrent/dialogs.c:bittorrent_query_callback, src/session/download.c:do_type_query)
-#: src/protocol/bittorrent/dialogs.c:804 src/session/download.c:1209
+#: src/protocol/bittorrent/dialogs.c:804 src/session/download.c:1235
 msgid "~Display"
 msgstr "A~fficher"
 
 #. accelerator_context(src/protocol/bittorrent/dialogs.c:bittorrent_query_callback, src/session/download.c:do_type_query)
-#: src/protocol/bittorrent/dialogs.c:808 src/session/download.c:1213
+#: src/protocol/bittorrent/dialogs.c:808 src/session/download.c:1239
 msgid "Show ~header"
 msgstr "~Montrer les en-ttes"
 
@@ -7599,16 +7735,16 @@ msgid "Colon separated list of directori
 msgstr ""
 "Liste des rpertoires o sont les scripts CGI (spare par des virgules)."
 
-#: src/protocol/file/cgi.c:47
+#: src/protocol/file/cgi.c:48
 msgid "Allow local CGI"
 msgstr "Autoriser les scripts CGI locaux"
 
-#: src/protocol/file/cgi.c:49
+#: src/protocol/file/cgi.c:50
 msgid "Whether to execute local CGI scripts."
 msgstr "Excuter ou non les scripts CGI locaux."
 
 #. name:
-#: src/protocol/file/cgi.c:54
+#: src/protocol/file/cgi.c:55
 msgid "CGI"
 msgstr "CGI"
 
@@ -7625,10 +7761,10 @@ msgid "Allow reading special files"
 msgstr "Autoriser la lecture des fichiers spciaux"
 
 #: src/protocol/file/file.c:46
+#, fuzzy
 msgid ""
-"Whether to allow reading from non-regular files.\n"
-"Note this can be dangerous; reading /dev/urandom or\n"
-"/dev/zero can ruin your day!"
+"Whether to allow reading from non-regular files. Note this can be dangerous; "
+"reading /dev/urandom or /dev/zero can ruin your day!"
 msgstr ""
 "Autoriser ou non la lecture des fichiers spciaux.\n"
 "Notez que cela peut tre dangereux; lire /dev/urandom\n"
@@ -7639,9 +7775,10 @@ msgid "Show hidden files in directory li
 msgstr "Montrer les fichiers cachs"
 
 #: src/protocol/file/file.c:52
+#, fuzzy
 msgid ""
-"When set to false, files with name starting with a dot will be\n"
-"hidden in local directory listings."
+"When set to false, files with name starting with a dot will be hidden in "
+"local directory listings."
 msgstr ""
 "Si mis  faux, les fichiers dont le nom commencent par un point\n"
 "seront cachs lors de la visualisation du contenu d'un rpertoire\n"
@@ -7652,17 +7789,18 @@ msgid "Try encoding extensions"
 msgstr "Deviner l'extension des fichiers encods"
 
 #: src/protocol/file/file.c:57
+#, fuzzy
 msgid ""
-"When set, if we can't open a file named 'filename', we'll try\n"
-"to open 'filename' with some encoding extension appended\n"
-"(ie. 'filename.gz'); it depends on the supported encodings."
+"When set, if we can't open a file named 'filename', we'll try to open "
+"'filename' with some encoding extension appended (ie. 'filename.gz'); it "
+"depends on the supported encodings."
 msgstr ""
 "Si un fichier 'un_nom' ne peut tre ouvert, essayer d'ouvrir\n"
 "'un_nom' + quelques extensions connues (par exemple\n"
 "'un_nom.gz'); cela dpend des encodages supports."
 
 #. name:
-#: src/protocol/file/file.c:65
+#: src/protocol/file/file.c:66
 msgid "File"
 msgstr "File"
 
@@ -7689,7 +7827,7 @@ msgid "Whether to sort entries in direct
 msgstr "Trier ou non les entres des rpertoires."
 
 #. name:
-#: src/protocol/ftp/ftp.c:56 src/protocol/ftp/ftp.c:86
+#: src/protocol/ftp/ftp.c:56 src/protocol/ftp/ftp.c:89
 msgid "FTP"
 msgstr "FTP"
 
@@ -7697,8 +7835,8 @@ msgstr "FTP"
 msgid "FTP specific options."
 msgstr "Options du protocole FTP."
 
-#: src/protocol/ftp/ftp.c:60 src/protocol/http/http.c:127
-#: src/protocol/http/http.c:209
+#: src/protocol/ftp/ftp.c:60 src/protocol/http/http.c:128
+#: src/protocol/http/http.c:235
 msgid "Proxy configuration"
 msgstr "Configuration proxy"
 
@@ -7706,42 +7844,43 @@ msgstr "Configuration proxy"
 msgid "FTP proxy configuration."
 msgstr "Configuration proxy FTP."
 
-#: src/protocol/ftp/ftp.c:64 src/protocol/http/http.c:131
-#: src/protocol/http/http.c:213
+#: src/protocol/ftp/ftp.c:64 src/protocol/http/http.c:132
+#: src/protocol/http/http.c:239
 msgid "Host and port-number"
 msgstr "Hte et numro de port"
 
 #: src/protocol/ftp/ftp.c:66
+#, fuzzy
 msgid ""
-"Host and port-number (host:port) of the FTP proxy, or blank.\n"
-"If it's blank, FTP_PROXY environment variable is checked as well."
+"Host and port-number (host:port) of the FTP proxy, or blank. If it's blank, "
+"FTP_PROXY environment variable is checked as well."
 msgstr ""
 "Hte et numro de port (hte:port) du proxy FTP, ou rien.\n"
 "Si rien, la variable d'environnement FTP_PROXY sera utilise."
 
-#: src/protocol/ftp/ftp.c:69
+#: src/protocol/ftp/ftp.c:70
 msgid "Anonymous password"
 msgstr "Mot de passe anonyme"
 
-#: src/protocol/ftp/ftp.c:71
+#: src/protocol/ftp/ftp.c:72
 msgid "FTP anonymous password to be sent."
 msgstr "Mot de passe pour l'accs FTP anonyme."
 
-#: src/protocol/ftp/ftp.c:73
+#: src/protocol/ftp/ftp.c:74
 msgid "Use passive mode (IPv4)"
 msgstr "Utiliser le mode passif (IPv4)"
 
-#: src/protocol/ftp/ftp.c:75
+#: src/protocol/ftp/ftp.c:76
 msgid "Use PASV instead of PORT (passive vs active mode, IPv4 only)."
 msgstr ""
 "Utiliser PASV au lieu de PORT (mode passif contre mode actif, IPv4\n"
 "seulement)."
 
-#: src/protocol/ftp/ftp.c:77
+#: src/protocol/ftp/ftp.c:79
 msgid "Use passive mode (IPv6)"
 msgstr "Utiliser le mode passif (IPv6)"
 
-#: src/protocol/ftp/ftp.c:79
+#: src/protocol/ftp/ftp.c:81
 msgid "Use EPSV instead of EPRT (passive vs active mode, IPv6 only)."
 msgstr ""
 "Utiliser EPSV au lieu de EPRT (mode passif contre mode actif, IPv6\n"
@@ -7777,7 +7916,7 @@ msgstr ""
 "  sous-jascent dans le logiciel du serveur web.\n"
 
 #. name:
-#: src/protocol/http/http.c:95 src/protocol/http/http.c:223
+#: src/protocol/http/http.c:95 src/protocol/http/http.c:250
 msgid "HTTP"
 msgstr "HTTP"
 
@@ -7798,9 +7937,10 @@ msgid "Do not send Accept-Charset"
 msgstr "Ne pas envoyer Accept-Charset"
 
 #: src/protocol/http/http.c:106
+#, fuzzy
 msgid ""
-"The Accept-Charset header is quite long and sending it can trigger\n"
-"bugs in some rarely found servers."
+"The Accept-Charset header is quite long and sending it can trigger bugs in "
+"some rarely found servers."
 msgstr ""
 "L'en-tte Accept-Charset est plutt long et l'envoyer peut\n"
 "dclencher des bogues dans quelques rares serveurs."
@@ -7814,66 +7954,69 @@ msgid "Broken 302 redirects"
 msgstr "Redirections 302 casses"
 
 #: src/protocol/http/http.c:115
+#, fuzzy
 msgid ""
-"Broken 302 redirect (violates RFC but compatible with Netscape).\n"
-"This is a problem for a lot of web discussion boards and the like.\n"
-"If they will do strange things to you, try to play with this."
+"Broken 302 redirect (violates RFC but compatible with Netscape). This is a "
+"problem for a lot of web discussion boards and the like. If they will do "
+"strange things to you, try to play with this."
 msgstr ""
 "Redirections 302 casses (ne respecte pas les RFCs mais compatible avec\n"
 "Netscape). Ceci est un problme pour beaucoup de forums web."
 
-#: src/protocol/http/http.c:119
+#: src/protocol/http/http.c:120
 msgid "No keepalive after POST requests"
 msgstr "Pas de maintien de connexion aprs les requtes POST"
 
-#: src/protocol/http/http.c:121
+#: src/protocol/http/http.c:122
 msgid "Disable keepalive connection after POST request."
 msgstr "Dsactive le maintien de connexion aprs une requte POST."
 
-#: src/protocol/http/http.c:123
+#: src/protocol/http/http.c:124
 msgid "Use HTTP/1.0"
 msgstr "Utiliser HTTP/1.0"
 
-#: src/protocol/http/http.c:125
+#: src/protocol/http/http.c:126
 msgid "Use HTTP/1.0 protocol instead of HTTP/1.1."
 msgstr "Utiliser le protocole HTTP/1.0 au lieu de HTTP/1.1."
 
-#: src/protocol/http/http.c:129
+#: src/protocol/http/http.c:130
 msgid "HTTP proxy configuration."
 msgstr "Configuration proxy HTTP."
 
-#: src/protocol/http/http.c:133
+#: src/protocol/http/http.c:134
+#, fuzzy
 msgid ""
-"Host and port-number (host:port) of the HTTP proxy, or blank.\n"
-"If it's blank, HTTP_PROXY environment variable is checked as well."
+"Host and port-number (host:port) of the HTTP proxy, or blank. If it's blank, "
+"HTTP_PROXY environment variable is checked as well."
 msgstr ""
 "Hte et numro de port (hte:port) du proxy HTTP, ou rien.\n"
 "Si rien, la variable d'environnement HTTP_PROXY sera utilise."
 
-#: src/protocol/http/http.c:136
+#: src/protocol/http/http.c:138
 msgid "Username"
 msgstr "Nom d'utilisateur"
 
-#: src/protocol/http/http.c:138
+#: src/protocol/http/http.c:140
 msgid "Proxy authentication username."
 msgstr "Nom d'utilisateur pour l'authentification proxy."
 
-#: src/protocol/http/http.c:142
+#: src/protocol/http/http.c:144
 msgid "Proxy authentication password."
 msgstr "Mot de passe pour l'authentification proxy."
 
-#: src/protocol/http/http.c:145
+#: src/protocol/http/http.c:147
 msgid "Referer sending"
 msgstr "Envoi de rfrent"
 
-#: src/protocol/http/http.c:147
+#: src/protocol/http/http.c:149
+#, fuzzy
 msgid ""
-"HTTP referer sending options. HTTP referer is a special header\n"
-"sent in the HTTP requests, which is supposed to contain the previous\n"
-"page visited by the browser. This way, the server can know what link\n"
-"did you follow when accessing that page. However, this behaviour\n"
-"can unfortunately considerably affect privacy and can lead even to a\n"
-"security problem on some badly designed web pages."
+"HTTP referer sending options. HTTP referer is a special header sent in the "
+"HTTP requests, which is supposed to contain the previous page visited by the "
+"browser.This way, the server can know what link did you follow when "
+"accessing that page. However, this behaviour can unfortunately considerably "
+"affect privacy and can lead even to a security problem on some badly "
+"designed web pages."
 msgstr ""
 "Options d'envoi de rfrent HTTP. Un rfrent HTTP est un en-tte spcial\n"
 "envoy dans les requtes HTTP, qui est suppos contenir l'URL de la page\n"
@@ -7881,11 +8024,11 @@ msgstr ""
 "connaitre quel lien vous avez suivi pour accder  cette page. Toutefois,\n"
 "ce comportement ne donne pas toutes les garanties de scurit et d'intimit."
 
-#: src/protocol/http/http.c:154
+#: src/protocol/http/http.c:157
 msgid "Policy"
 msgstr "Politique"
 
-#: src/protocol/http/http.c:157
+#: src/protocol/http/http.c:160
 msgid ""
 "Mode of sending HTTP referer:\n"
 "0 is send no referer\n"
@@ -7899,34 +8042,34 @@ msgstr ""
 "2 envoyer un rfrent fixe\n"
 "3 envoyer l'URL prcdente comme rfrent (correct, mais risqu)"
 
-#: src/protocol/http/http.c:163
+#: src/protocol/http/http.c:166
 msgid "Fake referer URL"
 msgstr "Rfrent fixe"
 
-#: src/protocol/http/http.c:165
+#: src/protocol/http/http.c:168
 msgid "Fake referer to be sent when policy is 2."
 msgstr "Rfrent fixe  envoyer lorsque la politique 2 est choisie."
 
-#: src/protocol/http/http.c:168
+#: src/protocol/http/http.c:171
 msgid "Send Accept-Language header"
 msgstr "Envoyer l'en-tte Accept-Language"
 
-#: src/protocol/http/http.c:170
+#: src/protocol/http/http.c:173
 msgid "Send Accept-Language header."
 msgstr "Envoyer l'en-tte Accept-Language."
 
-#: src/protocol/http/http.c:172
+#: src/protocol/http/http.c:175
 msgid "Use UI language as Accept-Language"
 msgstr "Langage de l'interface comme Accept-Language"
 
-#: src/protocol/http/http.c:174
+#: src/protocol/http/http.c:177
+#, fuzzy
 msgid ""
-"Request localised versions of documents from web-servers (using the\n"
-"Accept-Language header) using the language you have configured for\n"
-"ELinks' user-interface (this also affects navigator.language ECMAScript\n"
-"value available to scripts). Note that some see this as a potential\n"
-"security risk because it tells web-masters and the FBI sniffers about\n"
-"your language preference."
+"Request localised versions of documents from web-servers (using the Accept-"
+"Language header) using the language you have configured for ELinks' user-"
+"interface (this also affects navigator.language ECMAScript value available "
+"to scripts). Note that some see this as a potential security risk because it "
+"tells web-masters and the FBI sniffers about your language preference."
 msgstr ""
 "Demander des versions localises des documents aux serveurs web ( l'aide\n"
 "de l'en-tte Accept-Language) en utilisant le langage que vous avez\n"
@@ -7935,17 +8078,51 @@ msgstr ""
 "Notez que certains voient ici un risque potentiel car les webmasters\n"
 "auront connaissance de votre langue prfre ..."
 
-#: src/protocol/http/http.c:181
+#. After the compression support has been tested enough,
+#. * we might wrap this option in #if CFG_DEBUG.
+#: src/protocol/http/http.c:187
+msgid "Enable on-the-fly compression"
+msgstr "Activer la dcompression  la vole"
+
+#: src/protocol/http/http.c:189
+#, fuzzy
+msgid ""
+"If enabled, the capability to receive compressed content (gzip and/or bzip2) "
+"is announced to the server, which usually sends the reply compressed, thus "
+"saving some bandwidth at slight CPU expense.\n"
+"\n"
+"If ELinks displays a incomplete page or garbage, try disabling this option. "
+"If that helps, there may be a bug in the decompression part of ELinks. "
+"Please report such bugs.\n"
+"\n"
+"If ELinks has been compiled without compression support, this option has no "
+"effect. To check the supported features, see Help -> About."
+msgstr ""
+"Si actif, la capacit de recevoir du contenu compress (gzip et/ou bzip2)\n"
+"est annonce au serveur, qui habituellement enverra une rponse compresse,\n"
+"pargnant ainsi de la bande passante rseau au prix d'un usage plus grand\n"
+"du temps processeur.\n"
+"\n"
+"Si ELinks affiche une page incomplte ou corrompue, essayez de dsactiver\n"
+"cette option. Si cela fonctionne, il y a peut-tre un bogue dans le code\n"
+"d'ELinks concernant la dcompression. Merci de rapporter ces erreurs.\n"
+"\n"
+"Si ELinks a t compil sans le support de la compression, cette option\n"
+"n'a pas d'effet. Pour vrifier les fonctionnalits supportes, \n"
+"voir Aide -> A propos."
+
+#: src/protocol/http/http.c:202
 msgid "Activate HTTP TRACE debugging"
 msgstr "Activer l'option de dboguage HTTP TRACE"
 
-#: src/protocol/http/http.c:183
+#: src/protocol/http/http.c:204
+#, fuzzy
 msgid ""
-"If active, all HTTP requests are sent with TRACE as their method\n"
-"rather than GET or POST. This is useful for debugging of both ELinks\n"
-"and various server-side scripts --- the server only returns the client's\n"
-"request back to the client verbatim. Note that this type of request may\n"
-"not be enabled on all servers."
+"If active, all HTTP requests are sent with TRACE as their method rather than "
+"GET or POST. This is useful for debugging of both ELinks and various server-"
+"side scripts --- the server only returns the client's request back to the "
+"client verbatim. Note that this type of request may not be enabled on all "
+"servers."
 msgstr ""
 "Si actif, toutes les requtes HTTP sont envoyes avec la mthode TRACE\n"
 "plutt qu'avec les mthodes GET ou POST. Cela est utile pour le dboguage\n"
@@ -7954,19 +8131,21 @@ msgstr ""
 "n'est pas toujours prsente au niveau serveur."
 
 #. OSNews.com is supposed to be relying on the textmode token, at least.
-#: src/protocol/http/http.c:190
+#: src/protocol/http/http.c:212
 msgid "User-agent identification"
 msgstr "Identification du client"
 
-#: src/protocol/http/http.c:192
+#: src/protocol/http/http.c:214
+#, fuzzy
 msgid ""
-"Change the User Agent ID. That means identification string, which\n"
-"is sent to HTTP server when a document is requested. The 'textmode'\n"
-"token in the first field is our silent attempt to establish this as\n"
-"a standard for new textmode user agents, so that the webmasters can\n"
-"have just a single uniform test for these if they are e.g. pushing\n"
-"some lite version to them automagically.\n"
+"Change the User Agent ID. That means identification string, which is sent to "
+"HTTP server when a document is requested. The 'textmode' token in the first "
+"field is our silent attempt to establish this as a standard for new textmode "
+"user agents, so that the webmasters can have just a single uniform test for "
+"these if they are e.g. pushing some lite version to them automagically.\n"
+"\n"
 "Use \" \" if you don't want any User-Agent header to be sent at all.\n"
+"\n"
 "%v in the string means ELinks version,\n"
 "%s in the string means system identification,\n"
 "%t in the string means size of the terminal,\n"
@@ -7985,28 +8164,29 @@ msgstr ""
 "%t dans la chane insre les dimensions du terminal,\n"
 "%b dans la chane insre le nombre de barres affiches par ELinks."
 
-#: src/protocol/http/http.c:205
+#: src/protocol/http/http.c:231
 msgid "HTTPS"
 msgstr "HTTPS"
 
-#: src/protocol/http/http.c:207
+#: src/protocol/http/http.c:233
 msgid "HTTPS-specific options."
 msgstr "Options spcifiques  HTTPS."
 
-#: src/protocol/http/http.c:211
+#: src/protocol/http/http.c:237
 msgid "HTTPS proxy configuration."
 msgstr "Configuration proxy HTTPS."
 
-#: src/protocol/http/http.c:215
+#: src/protocol/http/http.c:241
+#, fuzzy
 msgid ""
-"Host and port-number (host:port) of the HTTPS CONNECT proxy, or blank.\n"
-"If it's blank, HTTPS_PROXY environment variable is checked as well."
+"Host and port-number (host:port) of the HTTPS CONNECT proxy, or blank. If "
+"it's blank, HTTPS_PROXY environment variable is checked as well."
 msgstr ""
 "Hte et numro de port (hte:port) du proxy HTTPS CONNECT, ou rien.\n"
 "Si rien, la variable d'environnement HTTPS_PROXY sera utilise."
 
 #. name:
-#: src/protocol/nntp/nntp.c:32 src/protocol/nntp/nntp.c:65
+#: src/protocol/nntp/nntp.c:32 src/protocol/nntp/nntp.c:66
 msgid "NNTP"
 msgstr "NNTP"
 
@@ -8019,23 +8199,25 @@ msgid "Default news server"
 msgstr "Serveur de news par dfaut"
 
 #: src/protocol/nntp/nntp.c:38
+#, fuzzy
 msgid ""
-"Used when resolving news: URIs. If set to the empty string\n"
-"the value of the NNTPSERVER environment variable will be used."
+"Used when resolving news: URIs. If set to the empty string the value of the "
+"NNTPSERVER environment variable will be used."
 msgstr ""
 "Utilis lors de la rsolution des URIs news:.\n"
 "Si chane vide, la valeur de la variable d'environnement\n"
 "NNTPSERVER sera utilise."
 
-#: src/protocol/nntp/nntp.c:41
+#: src/protocol/nntp/nntp.c:42
 msgid "Message header entries"
 msgstr "En-ttes des messages"
 
-#: src/protocol/nntp/nntp.c:43
+#: src/protocol/nntp/nntp.c:44
+#, fuzzy
 msgid ""
-"Comma separated list of which entries in the article header\n"
-"to show. E.g. 'Subject' and 'From'.\n"
-"All header entries can be read in the header info dialog."
+"Comma separated list of which entries in the article header to show. E.g. "
+"'Subject' and 'From'. All header entries can be read in the header info "
+"dialog."
 msgstr ""
 "Liste spare par des virgules des en-ttes de l'article  montrer.\n"
 "Par exemple, 'Subject' et 'From'.\n"
@@ -8060,11 +8242,11 @@ msgid "No-proxy domains"
 msgstr "Domaines ignors en ce qui concerne les proxys"
 
 #: src/protocol/protocol.c:279
+#, fuzzy
 msgid ""
-"Comma separated list of domains for which the proxy (HTTP/FTP)\n"
-"should be disabled. Optionally, a port can be specified for some\n"
-"domains as well. If it's blank, NO_PROXY environment variable is\n"
-"checked as well."
+"Comma separated list of domains for which the proxy (HTTP/FTP) should be "
+"disabled. Optionally, a port can be specified for some domains as well. If "
+"it's blank, NO_PROXY environment variable is checked as well."
 msgstr ""
 "Liste de domaines spars par des virgules pour lesquels le proxy\n"
 "(HTTP/FTP) ne doit pas tre utilis. Optionnellement, un port peut tre\n"
@@ -8081,12 +8263,12 @@ msgid "URI rewriting"
 msgstr "R-criture d'URI"
 
 #: src/protocol/rewrite/rewrite.c:46
+#, fuzzy
 msgid ""
-"Rules for rewriting URIs entered in the goto dialog.\n"
-"It makes it possible to define a set of prefixes that will\n"
-"be expanded if they match a string entered in the goto dialog.\n"
-"The prefixes can be dumb, meaning that they work only like\n"
-"URI abbreviations, or smart ones, making it possible to pass\n"
+"Rules for rewriting URIs entered in the goto dialog. It makes it possible to "
+"define a set of prefixes that will be expanded if they match a string "
+"entered in the goto dialog. The prefixes can be dumb, meaning that they work "
+"only like URI abbreviations, or smart ones, making it possible to pass "
 "arguments to them like search engine keywords."
 msgstr ""
 "Rgles de r-criture des URIs entres dans le dialogue \"Atteindre l'URL"
@@ -8097,49 +8279,50 @@ msgstr ""
 "comme des abrviations d'URIs, ou plus intelligents, avec possibilit\n"
 "de passer des arguments, comme des mots cls pour moteur de recherche."
 
-#: src/protocol/rewrite/rewrite.c:53
+#: src/protocol/rewrite/rewrite.c:54
 msgid "Enable dumb prefixes"
 msgstr "Activer les prfixes simples"
 
-#: src/protocol/rewrite/rewrite.c:55
+#: src/protocol/rewrite/rewrite.c:56
+#, fuzzy
 msgid ""
-"Enable dumb prefixes - simple URI abbreviations which can\n"
-"be written to the Goto URL dialog instead of actual URIs - i.e.\n"
-"if you write 'elinks' there, you are directed to\n"
-"http://elinks.cz/."
+"Enable dumb prefixes - simple URI abbreviations which can be written to the "
+"Goto URL dialog instead of actual URIs - i.e. if you write 'elinks' there, "
+"you are directed to http://elinks.cz/."
 msgstr ""
 "Active les prfixes simples - abbrviations d'URI qui peuvent\n"
 "tre utilises dans le dialogue 'Atteindre l'URL'  la place de\n"
 "vritables URIs - par exemple, si vous entrez 'elinks', vous\n"
 "serez dirig vers http://elinks.cz/."
 
-#: src/protocol/rewrite/rewrite.c:60
+#: src/protocol/rewrite/rewrite.c:61
 msgid "Enable smart prefixes"
 msgstr "Activer les prfixes intelligents"
 
-#: src/protocol/rewrite/rewrite.c:62
+#: src/protocol/rewrite/rewrite.c:63
+#, fuzzy
 msgid ""
-"Enable smart prefixes - URI templates triggered by writing\n"
-"given abbreviation to the Goto URL dialog followed by a list\n"
-"of arguments from which the actual URI is composed - i.e.\n"
-"'gg:search keywords' or 'gn search keywords for news'."
+"Enable smart prefixes - URI templates triggered by writing given "
+"abbreviation to the Goto URL dialog followed by a list of arguments from "
+"which the actual URI is composed - i.e. 'gg:search keywords' or 'gn search "
+"keywords for news'."
 msgstr ""
 "Active les prfixes intelligents. Il s'agit de modles d'URI,\n"
 "utilisables dans le dialogue 'Atteindre l'URL', qui sont suivis\n"
 "d'une liste d'arguments  partir desquels l'URI finale est compose.\n"
 "Par exemple, 'gg:chercher mot' ou 'gn cherche nouvelles'."
 
-#: src/protocol/rewrite/rewrite.c:67
+#: src/protocol/rewrite/rewrite.c:69
 msgid "Dumb Prefixes"
 msgstr "Prfixes simples"
 
-#: src/protocol/rewrite/rewrite.c:69
+#: src/protocol/rewrite/rewrite.c:71
 msgid "Dumb prefixes, see enable-dumb description for details."
 msgstr ""
 "Prfixes simples, voir la description pour\n"
 "'Activer les prfixes simples' pour plus de dtails."
 
-#: src/protocol/rewrite/rewrite.c:74
+#: src/protocol/rewrite/rewrite.c:76
 #, no-c-format
 msgid ""
 "Replacement URI for this dumbprefix:\n"
@@ -8150,17 +8333,17 @@ msgstr ""
 "%c dans la chane signifie URL courante\n"
 "%% dans la chane signifie '%'"
 
-#: src/protocol/rewrite/rewrite.c:78
+#: src/protocol/rewrite/rewrite.c:80
 msgid "Smart Prefixes"
 msgstr "Prfixes intelligents"
 
-#: src/protocol/rewrite/rewrite.c:80
+#: src/protocol/rewrite/rewrite.c:82
 msgid "Smart prefixes, see enable-smart description for details."
 msgstr ""
 "Prfixes intelligents, voir description pour\n"
 "'Activer les prfixes intelligents' pour plus de dtails."
 
-#: src/protocol/rewrite/rewrite.c:87
+#: src/protocol/rewrite/rewrite.c:90
 #, no-c-format
 msgid ""
 "Replacement URI for this smartprefix:\n"
@@ -8175,21 +8358,23 @@ msgstr ""
 "%0,%1,...,%9 signifie argument 0, 1, ..., 9\n"
 "%% dans la chane signifie '%'"
 
-#: src/protocol/rewrite/rewrite.c:93
+#: src/protocol/rewrite/rewrite.c:96
 msgid "Default template"
 msgstr "Modle par dfaut"
 
-#: src/protocol/rewrite/rewrite.c:96
-#, no-c-format
+#: src/protocol/rewrite/rewrite.c:99
+#, fuzzy, no-c-format
 msgid ""
-"Default URI template used when the string entered in\n"
-"the goto dialog does not appear to be a URI or a filename\n"
-"(i.e. contains no '.', ':' or '/' characters), and does\n"
-"not match any defined prefixes. Set the value to \"\" to\n"
-"disable use of the default template rewrite rule.\n"
+"Default URI template used when the string entered in the goto dialog does "
+"not appear to be a URI or a filename (i.e. contains no '.', ':' or '/' "
+"characters), and does not match any defined prefixes. Set the value to \"\" "
+"to disable use of the default template rewrite rule.\n"
+"\n"
 "%c in the template means the current URL,\n"
-"%s in the template means the whole string from the goto dialog,\n"
-"%0,%1,...,%9 mean the 1st,2nd,...,10th space-delimited part of %s,\n"
+"%s in the template means the whole string from the goto\n"
+"   dialog,\n"
+"%0,%1,...,%9 mean the 1st,2nd,...,10th space-delimited part\n"
+"   of %s,\n"
 "%% in the template means '%'."
 msgstr ""
 "Modle d'URI utilis par dfaut quand une chane entre dans\n"
@@ -8204,7 +8389,7 @@ msgstr ""
 "%% signifie '%'."
 
 #. name:
-#: src/protocol/rewrite/rewrite.c:372
+#: src/protocol/rewrite/rewrite.c:378
 msgid "URI rewrite"
 msgstr "R-criture d'URI"
 
@@ -8226,28 +8411,29 @@ msgid "Credentials file passed to smbcli
 msgstr "Fichier d'authentification pass  smbclient via l'option -A."
 
 #. name:
-#: src/protocol/user.c:34 src/protocol/user.c:84
+#: src/protocol/user.c:34 src/protocol/user.c:85
 msgid "User protocols"
 msgstr "Protocoles utilisateur"
 
 #: src/protocol/user.c:36
+#, fuzzy
 msgid ""
-"User protocols. Options in this tree specify external\n"
-"handlers for the appropriate protocols. Ie.\n"
-"protocol.user.mailto.unix."
+"User protocols. Options in this tree specify external handlers for the "
+"appropriate protocols. Ie. protocol.user.mailto.unix."
 msgstr ""
 "Protocoles utilisateur. Les options de cet arbre prcisent les programmes\n"
 "externes pour un protocole donn. Par exemple, protocol.user.mailto.unix."
 
 #: src/protocol/user.c:47
+#, fuzzy
 msgid ""
-"Handler (external program) for this protocol. Name the\n"
-"options in this tree after your system (ie. unix, unix-xwin)."
+"Handler (external program) for this protocol. Name the options in this tree "
+"after your system (ie. unix, unix-xwin)."
 msgstr ""
 "Programme externe pour ce protocole. Nommez les options dans cet arbre\n"
 "en fonction de votre systme (par exemple unix, unix-xwin)."
 
-#: src/protocol/user.c:52
+#: src/protocol/user.c:53
 msgid ""
 "Handler (external program) for this protocol and system.\n"
 "%f in the string means file name to include form data from\n"
@@ -8266,11 +8452,11 @@ msgstr ""
 "%s dans la chane insre le sujet (?subject=<this>)\n"
 "%u dans la chane insre l'URL complte"
 
-#: src/protocol/user.c:276
+#: src/protocol/user.c:277
 msgid "No program"
 msgstr "Aucun programme"
 
-#: src/protocol/user.c:278
+#: src/protocol/user.c:279
 #, c-format
 msgid "No program specified for protocol %s."
 msgstr "Aucun programme spcifi pour le protocole %s."
@@ -8352,12 +8538,12 @@ msgstr "Alerte script utilisateur"
 msgid "Spidermonkey ECMAScript"
 msgstr "Spidermonkey ECMAScript"
 
-#: src/session/download.c:233 src/session/download.c:330
-#: src/session/download.c:561 src/session/download.c:649
+#: src/session/download.c:256 src/session/download.c:356
+#: src/session/download.c:587 src/session/download.c:675
 msgid "Download error"
 msgstr "Erreur de tlchargement"
 
-#: src/session/download.c:234 src/session/download.c:650
+#: src/session/download.c:257 src/session/download.c:676
 #, c-format
 msgid ""
 "Could not create file '%s':\n"
@@ -8366,7 +8552,7 @@ msgstr ""
 "Impossible de crer le fichier '%s':\n"
 "%s"
 
-#: src/session/download.c:331
+#: src/session/download.c:357
 #, c-format
 msgid ""
 "Error downloading %s:\n"
@@ -8377,16 +8563,16 @@ msgstr ""
 "\n"
 "%s"
 
-#: src/session/download.c:562
+#: src/session/download.c:588
 #, c-format
 msgid "'%s' is a directory."
 msgstr "'%s' est un rpertoire."
 
-#: src/session/download.c:596
+#: src/session/download.c:622
 msgid "File exists"
 msgstr "Fichier existant"
 
-#: src/session/download.c:597
+#: src/session/download.c:623
 #, c-format
 msgid ""
 "This file already exists:\n"
@@ -8402,50 +8588,50 @@ msgstr ""
 "%s"
 
 #. accelerator_context(src/session/download.c:lookup_unique_name)
-#: src/session/download.c:604
+#: src/session/download.c:630
 msgid "Sa~ve under the alternative name"
 msgstr "Sau~ver sous un nom alternatif"
 
 #. accelerator_context(src/session/download.c:lookup_unique_name)
-#: src/session/download.c:605
+#: src/session/download.c:631
 msgid "~Overwrite the original file"
 msgstr "Ecraser le fichier ~original"
 
 #. accelerator_context(src/session/download.c:lookup_unique_name)
-#: src/session/download.c:606
+#: src/session/download.c:632
 msgid "~Resume download of the original file"
 msgstr "~Reprendre le tlchargement du fichier original"
 
-#: src/session/download.c:1109
+#: src/session/download.c:1135
 msgid "Unknown type"
 msgstr "Type inconnu"
 
-#: src/session/download.c:1134
+#: src/session/download.c:1160
 #, c-format
 msgid "What would you like to do with the file '%s' (type: %s%s%s)?"
 msgstr "Que voulez-vous faire avec le fichier '%s' (type: %s%s%s) ?"
 
-#: src/session/download.c:1137
+#: src/session/download.c:1163
 #, c-format
 msgid "What would you like to do with the file (type: %s%s%s)?"
 msgstr "Que voulez-vous faire avec le fichier (type: %s%s%s) ?"
 
-#: src/session/download.c:1165
+#: src/session/download.c:1191
 #, no-c-format
 msgid "Program ('%' will be replaced by the filename)"
 msgstr "Programme ('%' sera remplac par le nom du fichier)"
 
-#: src/session/download.c:1169
+#: src/session/download.c:1195
 msgid "Block the terminal"
 msgstr "Bloquer le terminal"
 
-#: src/session/download.c:1175
+#: src/session/download.c:1201
 #, c-format
 msgid "The file will be opened with the program '%s'."
 msgstr "Le fichier sera ouvert avec le programme '%s'."
 
 #. accelerator_context(src/session/download.c:do_type_query)
-#: src/session/download.c:1196
+#: src/session/download.c:1222
 msgid "~Open"
 msgstr "~Ouvrir"
 
@@ -8453,12 +8639,12 @@ msgstr "~Ouvrir"
 #. * and formatting it with "%u" is safe,
 #. * because fc_maxlength is smaller than
 #. * file.length, which is an int.
-#: src/session/session.c:761 src/session/session.c:780 src/session/task.c:275
-#: src/viewer/text/textarea.c:652
+#: src/session/session.c:771 src/session/session.c:790 src/session/task.c:275
+#: src/viewer/text/textarea.c:641
 msgid "Warning"
 msgstr "Avertissement"
 
-#: src/session/session.c:762
+#: src/session/session.c:772
 msgid ""
 "You have an empty string in protocol.http.user_agent - this was a default "
 "value in the past, substituted by default ELinks User-Agent string. However, "
@@ -8477,7 +8663,7 @@ msgstr ""
 "dfaut sera utilise. Si vous n'avez aucune ide de quoi nous parlons alors "
 "faites juste a. Toutes nos excuses pour ce dsagrment."
 
-#: src/session/session.c:781
+#: src/session/session.c:791
 msgid ""
 "You have option config.saving_style set to a de facto obsolete value. The "
 "configuration saving algorithms of ELinks were changed from the last time "
@@ -8498,11 +8684,11 @@ msgstr ""
 "l'option config.saving_style dans le but d'obtenir un fonctionnement "
 "correct. Toutes nos excuses pour l'ventuel dsagrment caus."
 
-#: src/session/session.c:806
+#: src/session/session.c:816
 msgid "Welcome"
 msgstr "Bienvenue"
 
-#: src/session/session.c:807
+#: src/session/session.c:817
 msgid ""
 "Welcome to ELinks!\n"
 "\n"
@@ -8565,22 +8751,22 @@ msgstr "Mauvaise taille de terminal: %d,
 msgid "Warning: terminal name contains illicit chars."
 msgstr "Attention: le nom du terminal contient des caractres illicites."
 
-#: src/terminal/event.c:259
+#: src/terminal/event.c:258
 #, c-format
 msgid "Failed to create session."
 msgstr "Echec de cration de session."
 
-#: src/terminal/event.c:446
+#: src/terminal/event.c:443
 #, c-format
 msgid "Bad event %d"
 msgstr "Mauvais vnement %d"
 
-#: src/terminal/event.c:486
+#: src/terminal/event.c:483
 #, c-format
 msgid "Could not read event: %d (%s)"
 msgstr "Impossible de lire l'vnement: %d (%s)"
 
-#: src/terminal/kbd.c:1187
+#: src/terminal/kbd.c:1210
 #, c-format
 msgid "Too many bytes read from the itrm!"
 msgstr "Trop d'octets lus en provenance de itrm!"
@@ -8649,200 +8835,200 @@ msgstr "Ancre manquante"
 msgid "The requested fragment \"%s\" doesn't exist."
 msgstr "L'ancre demande \"%s\" n'existe pas."
 
-#: src/viewer/text/form.c:1092
+#: src/viewer/text/form.c:1118
 msgid "Error while posting form"
 msgstr "Erreur lors de l'envoi du formulaire"
 
-#: src/viewer/text/form.c:1093
+#: src/viewer/text/form.c:1119
 #, c-format
 msgid "Could not load file %s: %s"
 msgstr "Impossible de charger le fichier %s: %s"
 
-#: src/viewer/text/form.c:1847
+#: src/viewer/text/form.c:1876
 msgid "Reset form"
 msgstr "Rinitialiser le formulaire"
 
-#: src/viewer/text/form.c:1849
+#: src/viewer/text/form.c:1878
 msgid "Harmless button"
 msgstr "Bouton sans impact"
 
-#: src/viewer/text/form.c:1857
+#: src/viewer/text/form.c:1886
 msgid "Submit form to"
 msgstr "Envoi du formulaire "
 
-#: src/viewer/text/form.c:1858
+#: src/viewer/text/form.c:1887
 msgid "Post form to"
 msgstr "Transfert du formulaire "
 
-#: src/viewer/text/form.c:1860
+#: src/viewer/text/form.c:1889
 msgid "Radio button"
 msgstr "Bouton radio"
 
-#: src/viewer/text/form.c:1864
+#: src/viewer/text/form.c:1893
 msgid "Select field"
 msgstr "Liste"
 
-#: src/viewer/text/form.c:1868
+#: src/viewer/text/form.c:1897
 msgid "Text area"
 msgstr "Champ texte multiligne"
 
-#: src/viewer/text/form.c:1870
+#: src/viewer/text/form.c:1899
 msgid "File upload"
 msgstr "Envoi de fichier"
 
-#: src/viewer/text/form.c:1872
+#: src/viewer/text/form.c:1901
 msgid "Password field"
 msgstr "Champ mot de passe"
 
-#: src/viewer/text/form.c:1910
+#: src/viewer/text/form.c:1939
 msgid "name"
 msgstr "Nom"
 
-#: src/viewer/text/form.c:1922
+#: src/viewer/text/form.c:1951
 msgid "value"
 msgstr "Valeur"
 
-#: src/viewer/text/form.c:1935
+#: src/viewer/text/form.c:1964
 msgid "read only"
 msgstr "lecture seule"
 
-#: src/viewer/text/form.c:1946
+#: src/viewer/text/form.c:1975
 #, c-format
 msgid "press %s to navigate"
 msgstr "pressez %s pour naviguer"
 
-#: src/viewer/text/form.c:1948
+#: src/viewer/text/form.c:1977
 #, c-format
 msgid "press %s to edit"
 msgstr "pressez %s pour diter"
 
-#: src/viewer/text/form.c:1984
+#: src/viewer/text/form.c:2013
 #, c-format
 msgid "press %s to submit to %s"
 msgstr "pressez %s pour soumettre  %s"
 
-#: src/viewer/text/form.c:1986
+#: src/viewer/text/form.c:2015
 #, c-format
 msgid "press %s to post to %s"
 msgstr "pressez %s pour poster  %s"
 
-#: src/viewer/text/form.c:2088
+#: src/viewer/text/form.c:2117
 msgid "Useless button"
 msgstr "Bouton inutile"
 
-#: src/viewer/text/form.c:2090
+#: src/viewer/text/form.c:2119
 msgid "Submit button"
 msgstr "Bouton Soumettre"
 
 #. accelerator_context(link_menu.map)
-#: src/viewer/text/link.c:1281
+#: src/viewer/text/link.c:1280
 msgid "Display ~usemap"
 msgstr "Afficher ~usemap"
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1286
+#: src/viewer/text/link.c:1285
 msgid "~Follow link"
 msgstr "~Suivre le lien"
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1288
+#: src/viewer/text/link.c:1287
 msgid "Follow link and r~eload"
 msgstr "Suivre le lien et ~recharger"
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1292
+#: src/viewer/text/link.c:1291
 msgid "Open in new ~window"
 msgstr "Ouvrir dans une nouvelle ~fentre"
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1294
+#: src/viewer/text/link.c:1293
 msgid "Open in new ~tab"
 msgstr "Ouvrir dans un nouvel ongle~t"
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1296
+#: src/viewer/text/link.c:1295
 msgid "Open in new tab in ~background"
 msgstr "Ouvrir dans un nouvel onglet en arrire-~plan"
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1301
+#: src/viewer/text/link.c:1300
 msgid "~Download link"
 msgstr "~Enregistrer le lien"
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1304
+#: src/viewer/text/link.c:1303
 msgid "~Add link to bookmarks"
 msgstr "~Ajouter ce lien aux signets"
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1308
+#: src/viewer/text/link.c:1307
 msgid "Pass link URI to e~xternal command"
 msgstr "Passer l'URI du lien  une commande e~xterne"
 
 #. accelerator_context(link_menu.form, link_menu.reset, link_menu.textarea)
-#: src/viewer/text/link.c:1319 src/viewer/text/link.c:1359
+#: src/viewer/text/link.c:1318 src/viewer/text/link.c:1358
 msgid "~Reset form"
 msgstr "Remettre  ~zro le formulaire"
 
 #. accelerator_context(link_menu.textarea)
-#: src/viewer/text/link.c:1334
+#: src/viewer/text/link.c:1333
 msgid "Open in ~external editor"
 msgstr "Ouvrir dans un ~diteur externe"
 
 #. accelerator_context(link_menu.form, link_menu.textarea)
-#: src/viewer/text/link.c:1342
+#: src/viewer/text/link.c:1341
 msgid "~Submit form"
 msgstr "~Envoyer le formulaire"
 
 #. accelerator_context(link_menu.form, link_menu.textarea)
-#: src/viewer/text/link.c:1343
+#: src/viewer/text/link.c:1342
 msgid "Submit form and rel~oad"
 msgstr "Envoyer le formulaire et ~recharger"
 
 #. accelerator_context(link_menu.form, link_menu.textarea)
-#: src/viewer/text/link.c:1347
+#: src/viewer/text/link.c:1346
 msgid "Submit form and open in new ~window"
 msgstr "Envoyer le formulaire et ouvrir dans une nouvelle ~fentre"
 
 #. accelerator_context(link_menu.form, link_menu.textarea)
-#: src/viewer/text/link.c:1349
+#: src/viewer/text/link.c:1348
 msgid "Submit form and open in new ~tab"
 msgstr "Envoyer le formulaire et ouvrir un ~onglet"
 
 #. accelerator_context(link_menu.form, link_menu.textarea)
-#: src/viewer/text/link.c:1352
+#: src/viewer/text/link.c:1351
 msgid "Submit form and open in new tab in ~background"
 msgstr "Envoyer le formulaire et ouvrir un onglet en ~arrire-plan"
 
 #. accelerator_context(link_menu.form, link_menu.textarea)
-#: src/viewer/text/link.c:1357
+#: src/viewer/text/link.c:1356
 msgid "Submit form and ~download"
 msgstr "Envoyer le formulaire et ~tlcharger"
 
 #. accelerator_context(link_menu.form, link_menu.reset, link_menu.textarea)
-#: src/viewer/text/link.c:1364
+#: src/viewer/text/link.c:1363
 msgid "Form f~ields"
 msgstr "C~hamps de formulaire"
 
 #. accelerator_context(link_menu.form, link_menu.map, link_menu.std)
-#: src/viewer/text/link.c:1371
+#: src/viewer/text/link.c:1370
 msgid "V~iew image"
 msgstr "~Voir l'image"
 
 #. accelerator_context(link_menu.form, link_menu.map, link_menu.std)
-#: src/viewer/text/link.c:1373
+#: src/viewer/text/link.c:1372
 msgid "Download ima~ge"
 msgstr "Enregistrer l'~image"
 
-#: src/viewer/text/link.c:1382
+#: src/viewer/text/link.c:1381
 msgid "No link selected"
 msgstr "Aucun lien slectionn"
 
-#: src/viewer/text/link.c:1452
+#: src/viewer/text/link.c:1451
 msgid "Image"
 msgstr "Image"
 
-#: src/viewer/text/link.c:1457
+#: src/viewer/text/link.c:1456
 msgid "Usemap"
 msgstr "Usemap"
 
@@ -8851,84 +9037,84 @@ msgstr "Usemap"
 msgid "Marks"
 msgstr "Marques"
 
-#: src/viewer/text/search.c:1083
+#: src/viewer/text/search.c:1099
 msgid "Search hit top, continuing at bottom."
 msgstr "La recherche a atteint le haut du document, poursuite  partir du bas."
 
-#: src/viewer/text/search.c:1084
+#: src/viewer/text/search.c:1100
 msgid "Search hit bottom, continuing at top."
 msgstr "La recherche a atteint le bas du document, poursuite  partir du haut."
 
-#: src/viewer/text/search.c:1087
+#: src/viewer/text/search.c:1103
 msgid "No previous search"
 msgstr "Aucune clef de recherche"
 
-#: src/viewer/text/search.c:1099
+#: src/viewer/text/search.c:1115
 #, c-format
 msgid "Could not compile regular expression '%s'"
 msgstr "Ne peut compiler l'expression rgulire '%s'"
 
-#: src/viewer/text/search.c:1143
+#: src/viewer/text/search.c:1159
 #, c-format
 msgid "No further matches for '%s'."
 msgstr "Aucune autre correspondance pour '%s'."
 
-#: src/viewer/text/search.c:1145
+#: src/viewer/text/search.c:1161
 #, c-format
 msgid "Could not find a link with the text '%s'."
 msgstr "Ne peut trouver un lien avec le texte '%s'."
 
-#: src/viewer/text/search.c:1147 src/viewer/text/search.c:1558
+#: src/viewer/text/search.c:1163 src/viewer/text/search.c:1576
 msgid "Typeahead"
 msgstr "Prfrappe"
 
-#: src/viewer/text/search.c:1560
+#: src/viewer/text/search.c:1578
 #, c-format
 msgid "No links in current document"
 msgstr "Aucun lien dans le document courant"
 
-#: src/viewer/text/search.c:1643
+#: src/viewer/text/search.c:1661
 msgid "Search for text"
 msgstr "Recherche du texte"
 
-#: src/viewer/text/search.c:1679
+#: src/viewer/text/search.c:1697
 msgid "Normal search"
 msgstr "Plein texte"
 
-#: src/viewer/text/search.c:1680
+#: src/viewer/text/search.c:1698
 msgid "Regexp search"
 msgstr "Expression rgulire"
 
-#: src/viewer/text/search.c:1681
+#: src/viewer/text/search.c:1699
 msgid "Extended regexp search"
 msgstr "Expression rgulire tendue"
 
-#: src/viewer/text/search.c:1683
+#: src/viewer/text/search.c:1701
 msgid "Case sensitive"
 msgstr "Respecter la casse"
 
-#: src/viewer/text/search.c:1684
+#: src/viewer/text/search.c:1702
 msgid "Case insensitive"
 msgstr "Ignorer la casse"
 
-#: src/viewer/text/search.c:1708
+#: src/viewer/text/search.c:1726
 msgid "Search backward"
 msgstr "Chercher en arrire"
 
 #. name:
-#: src/viewer/text/search.c:1747
+#: src/viewer/text/search.c:1765
 msgid "Search History"
 msgstr "Historique des recherches"
 
-#: src/viewer/text/textarea.c:595
+#: src/viewer/text/textarea.c:584
 msgid "You cannot launch an external editor in the anonymous mode."
 msgstr "Vous ne pouvez utiliser un diteur externe en mode anonyme."
 
-#: src/viewer/text/textarea.c:602
+#: src/viewer/text/textarea.c:591
 msgid "You can do this only on the master terminal"
 msgstr "Vous ne pouvez faire a que dans le terminal matre"
 
-#: src/viewer/text/textarea.c:655
+#: src/viewer/text/textarea.c:644
 #, c-format
 msgid ""
 "You have exceeded the textarea's size limit: your input is %d bytes, but the "
@@ -8951,11 +9137,11 @@ msgstr "Aller au lien"
 msgid "Enter link number"
 msgstr "Entrez un numro de lien"
 
-#: src/viewer/text/view.c:1627
+#: src/viewer/text/view.c:1628
 msgid "Save error"
 msgstr "Erreur lors de la sauvegarde"
 
-#: src/viewer/text/view.c:1628
+#: src/viewer/text/view.c:1629
 msgid "Error writing to file"
 msgstr "Erreur lors de l'criture du fichier"
 
@@ -8969,13 +9155,6 @@ msgstr "Chronomtre"
 msgid "Viewer"
 msgstr "Visionneur"
 
-#~ msgid ""
-#~ "Verify the peer's SSL certificate. Note that this\n"
-#~ "probably doesn't work properly at all with GnuTLS."
-#~ msgstr ""
-#~ "Vrifier le certificat SSL du serveur. Notez que cela ne marchera\n"
-#~ "probablement pas correctement avec GnuTLS."
-
 #~ msgid "The output of the program will be shown in the tab"
 #~ msgstr "La sortie du programme sera montre dans l'onglet"
 
@@ -9305,37 +9484,5 @@ msgstr "Visionneur"
 #~ "Voir CSS2 section 7:\n"
 #~ "http://www.w3.org/TR/1998/REC-CSS2-19980512/media.html"
 
-#~ msgid "Enable on-the-fly compression"
-#~ msgstr "Activer la dcompression  la vole"
-
-#~ msgid ""
-#~ "If enabled, the capability to receive compressed content (gzip and/or\n"
-#~ "bzip2) is announced to the server, which usually sends the reply\n"
-#~ "compressed, thus saving some bandwidth at slight CPU expense.\n"
-#~ "\n"
-#~ "If ELinks displays a incomplete page or garbage, try disabling this\n"
-#~ "option. If that helps, there may be a bug in the decompression part\n"
-#~ "of ELinks. Please report such bugs.\n"
-#~ "\n"
-#~ "If ELinks has been compiled without compression support, this option\n"
-#~ "has no effect. To check the supported features, see Help -> About."
-#~ msgstr ""
-#~ "Si actif, la capacit de recevoir du contenu compress (gzip et/ou "
-#~ "bzip2)\n"
-#~ "est annonce au serveur, qui habituellement enverra une rponse "
-#~ "compresse,\n"
-#~ "pargnant ainsi de la bande passante rseau au prix d'un usage plus "
-#~ "grand\n"
-#~ "du temps processeur.\n"
-#~ "\n"
-#~ "Si ELinks affiche une page incomplte ou corrompue, essayez de "
-#~ "dsactiver\n"
-#~ "cette option. Si cela fonctionne, il y a peut-tre un bogue dans le code\n"
-#~ "d'ELinks concernant la dcompression. Merci de rapporter ces erreurs.\n"
-#~ "\n"
-#~ "Si ELinks a t compil sans le support de la compression, cette option\n"
-#~ "n'a pas d'effet. Pour vrifier les fonctionnalits supportes, \n"
-#~ "voir Aide -> A propos."
-
 #~ msgid "~Link info"
 #~ msgstr "Info sur le ~lien"
Binary files 0.12~pre2.dfsg0-1/po/gl.gmo and 0.12~pre4-1/po/gl.gmo differ
diff -pruN 0.12~pre2.dfsg0-1/po/gl.po 0.12~pre4-1/po/gl.po
--- 0.12~pre2.dfsg0-1/po/gl.po	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/po/gl.po	2009-05-31 09:48:47.000000000 +0100
@@ -6,7 +6,7 @@ msgid ""
 msgstr ""
 "Project-Id-Version: ELinks 0.5pre0.CVS\n"
 "Report-Msgid-Bugs-To: elinks-users@linuxfromscratch.org\n"
-"POT-Creation-Date: 2008-09-21 11:13+0300\n"
+"POT-Creation-Date: 2009-05-31 01:57+0300\n"
 "PO-Revision-Date: 2003-01-03 03:41+0100\n"
 "Last-Translator: Alberto Garca <berto@gpul.org>\n"
 "Language-Team: Galician <gpul-traduccion@ceu.fi.udc.es>\n"
@@ -37,7 +37,7 @@ msgstr ""
 #: src/mime/dialogs.c:132 src/protocol/auth/dialogs.c:115
 #: src/protocol/protocol.c:246 src/scripting/lua/core.c:399
 #: src/scripting/lua/core.c:480 src/scripting/python/dialogs.c:86
-#: src/session/session.c:811 src/viewer/text/search.c:1686
+#: src/session/session.c:821 src/viewer/text/search.c:1704
 #, fuzzy
 msgid "~OK"
 msgstr "Aceptar"
@@ -55,13 +55,13 @@ msgid "Sorry, but the item \"%s\" is bei
 msgstr ""
 
 #. cant_delete_folder
-#: src/bfu/hierbox.c:558 src/bookmarks/dialogs.c:121
+#: src/bfu/hierbox.c:558 src/bookmarks/dialogs.c:153
 #, c-format
 msgid "Sorry, but the folder \"%s\" cannot be deleted."
 msgstr ""
 
 #. cant_delete_used_folder
-#: src/bfu/hierbox.c:561 src/bookmarks/dialogs.c:123
+#: src/bfu/hierbox.c:561 src/bookmarks/dialogs.c:155
 #, c-format
 msgid "Sorry, but the folder \"%s\" is being used by something else."
 msgstr ""
@@ -79,7 +79,7 @@ msgid "Delete marked items?"
 msgstr "Campo de seleccin"
 
 #. delete_folder_title
-#: src/bfu/hierbox.c:570 src/bookmarks/dialogs.c:129
+#: src/bfu/hierbox.c:570 src/bookmarks/dialogs.c:161
 #, fuzzy
 msgid "Delete folder"
 msgstr "Borrar marcador"
@@ -139,13 +139,13 @@ msgstr "S"
 msgid "~No"
 msgstr "Non"
 
-#: src/bfu/hierbox.c:945 src/bfu/hierbox.c:976 src/viewer/text/search.c:1090
-#: src/viewer/text/search.c:1098 src/viewer/text/search.c:1114
-#: src/viewer/text/search.c:1705
+#: src/bfu/hierbox.c:945 src/bfu/hierbox.c:976 src/viewer/text/search.c:1106
+#: src/viewer/text/search.c:1114 src/viewer/text/search.c:1130
+#: src/viewer/text/search.c:1723
 msgid "Search"
 msgstr "Buscar"
 
-#: src/bfu/hierbox.c:947 src/viewer/text/search.c:1091
+#: src/bfu/hierbox.c:947 src/viewer/text/search.c:1107
 #, fuzzy, c-format
 msgid "Search string '%s' not found"
 msgstr "Non se atopou a cadea de bsqueda"
@@ -184,8 +184,8 @@ msgstr "Non se permite unha cadea baleir
 #: src/dialogs/options.c:237 src/dialogs/options.c:316 src/mime/dialogs.c:133
 #: src/protocol/auth/dialogs.c:116 src/protocol/bittorrent/dialogs.c:814
 #: src/scripting/lua/core.c:400 src/scripting/lua/core.c:481
-#: src/session/download.c:607 src/session/download.c:1219
-#: src/viewer/text/search.c:1687
+#: src/session/download.c:633 src/session/download.c:1245
+#: src/viewer/text/search.c:1705
 #, fuzzy
 msgid "~Cancel"
 msgstr "Cancelar"
@@ -199,8 +199,8 @@ msgstr "bloqueado"
 msgid "Digital clock in the status bar."
 msgstr ""
 
-#: src/bfu/leds.c:77 src/bfu/leds.c:94 src/config/options.inc:1199
-#: src/config/options.inc:1206 src/ecmascript/ecmascript.c:45
+#: src/bfu/leds.c:77 src/bfu/leds.c:94 src/config/options.inc:1272
+#: src/config/options.inc:1279 src/ecmascript/ecmascript.c:45
 #: src/globhist/globhist.c:64 src/mime/backend/mailcap.c:93
 #: src/mime/backend/mimetypes.c:52 src/network/ssl/ssl.c:81
 #, fuzzy
@@ -218,8 +218,7 @@ msgstr "Enviar ficheiro"
 
 #: src/bfu/leds.c:83
 msgid ""
-"Format string for the digital clock. See the strftime(3)\n"
-"manpage for details."
+"Format string for the digital clock. See the strftime(3) manpage for details."
 msgstr ""
 
 #: src/bfu/leds.c:90
@@ -232,8 +231,7 @@ msgstr ""
 
 #: src/bfu/leds.c:96
 msgid ""
-"Enable LEDs.\n"
-"These visual indicators will inform you about various states."
+"Enable LEDs. These visual indicators will inform you about various states."
 msgstr ""
 
 #. name:
@@ -263,34 +261,34 @@ msgstr ""
 msgid "Search menu/"
 msgstr "Buscar"
 
-#: src/bookmarks/backend/xbel.c:97
+#: src/bookmarks/backend/xbel.c:105
 #, c-format
 msgid "read_bookmarks_xbel(): Error in XML_ParserCreate()"
 msgstr ""
 
-#: src/bookmarks/backend/xbel.c:108
+#: src/bookmarks/backend/xbel.c:116
 #, c-format
 msgid "read_bookmarks_xbel(): Error reading %s"
 msgstr ""
 
-#: src/bookmarks/backend/xbel.c:116
+#: src/bookmarks/backend/xbel.c:124
 #, c-format
 msgid ""
 "Parse error while processing XBEL bookmarks in %s at line %d column %d:\n"
 "%s"
 msgstr ""
 
-#: src/bookmarks/backend/xbel.c:390 src/bookmarks/backend/xbel.c:411
+#: src/bookmarks/backend/xbel.c:388 src/bookmarks/backend/xbel.c:410
 msgid "No title"
 msgstr ""
 
-#: src/bookmarks/backend/xbel.c:396
+#: src/bookmarks/backend/xbel.c:394
 #, fuzzy
 msgid "No URL"
 msgstr "Ir a URL"
 
 #. name:
-#: src/bookmarks/bookmarks.c:48 src/bookmarks/bookmarks.c:181
+#: src/bookmarks/bookmarks.c:48 src/bookmarks/bookmarks.c:183
 #, fuzzy
 msgid "Bookmarks"
 msgstr "~Marcadores"
@@ -300,7 +298,7 @@ msgstr "~Marcadores"
 msgid "Bookmark options."
 msgstr "~Marcadores"
 
-#: src/bookmarks/bookmarks.c:53 src/bookmarks/bookmarks.c:59
+#: src/bookmarks/bookmarks.c:53 src/bookmarks/bookmarks.c:60
 #, fuzzy
 msgid "File format"
 msgstr "Enviar ficheiro"
@@ -309,51 +307,47 @@ msgstr "Enviar ficheiro"
 msgid ""
 "File format for bookmarks (affects both reading and saving):\n"
 "0 is the default native ELinks format\n"
-"1 is XBEL universal XML bookmarks format (ELinks bug 153: NO NATIONAL CHARS "
-"SUPPORT!)"
+"1 is XBEL universal XML bookmarks format"
 msgstr ""
 
-#: src/bookmarks/bookmarks.c:61
+#: src/bookmarks/bookmarks.c:62
 msgid ""
 "File format for bookmarks (affects both reading and saving):\n"
 "0 is the default native ELinks format\n"
-"1 is XBEL universal XML bookmarks format (ELinks bug 153: NO NATIONAL CHARS "
-"SUPPORT!)  (DISABLED)"
+"1 is XBEL universal XML bookmarks format  (DISABLED)"
 msgstr ""
 
-#: src/bookmarks/bookmarks.c:67
+#: src/bookmarks/bookmarks.c:68
 #, fuzzy
 msgid "Save folder state"
 msgstr "Introduce n de ligazn"
 
-#: src/bookmarks/bookmarks.c:69
+#: src/bookmarks/bookmarks.c:70
 msgid ""
-"When saving bookmarks also store whether folders are\n"
-"expanded or not, so the look of the bookmark dialog is\n"
-"kept across ELinks sessions. If disabled all folders will\n"
-"appear unexpanded next time ELinks is run."
+"When saving bookmarks also store whether folders are expanded or not, so the "
+"look of the bookmark dialog is kept across ELinks sessions. If disabled all "
+"folders will appear unexpanded next time ELinks is run."
 msgstr ""
 
-#: src/bookmarks/bookmarks.c:74
+#: src/bookmarks/bookmarks.c:75
 msgid "Periodic snapshotting"
 msgstr ""
 
-#: src/bookmarks/bookmarks.c:76
+#: src/bookmarks/bookmarks.c:77
 msgid ""
-"Automatically save a snapshot of all tabs periodically.\n"
-"This will periodically bookmark the tabs of each terminal in a separate "
-"folder\n"
-"for recovery after a crash.\n"
+"Automatically save a snapshot of all tabs periodically. This will "
+"periodically bookmark the tabs of each terminal in a separate folder for "
+"recovery after a crash.\n"
 "\n"
 "This feature requires bookmark support."
 msgstr ""
 
-#: src/bookmarks/dialogs.c:72 src/config/options.inc:1051
+#: src/bookmarks/dialogs.c:97 src/config/options.inc:1120
 #: src/dialogs/document.c:145 src/globhist/dialogs.c:65
 msgid "Title"
 msgstr ""
 
-#: src/bookmarks/dialogs.c:73 src/cache/dialogs.c:65
+#: src/bookmarks/dialogs.c:101 src/cache/dialogs.c:65
 #: src/dialogs/document.c:136 src/dialogs/edit.c:96 src/formhist/dialogs.c:63
 #: src/globhist/dialogs.c:66 src/protocol/auth/dialogs.c:163
 #: src/scripting/lua/core.c:397
@@ -361,86 +355,86 @@ msgid "URL"
 msgstr "URL"
 
 #. cant_delete_item
-#: src/bookmarks/dialogs.c:117
+#: src/bookmarks/dialogs.c:149
 #, c-format
 msgid "Sorry, but the bookmark \"%s\" cannot be deleted."
 msgstr ""
 
 #. cant_delete_used_item
-#: src/bookmarks/dialogs.c:119
+#: src/bookmarks/dialogs.c:151
 #, c-format
 msgid "Sorry, but the bookmark \"%s\" is being used by something else."
 msgstr ""
 
 #. delete_marked_items_title
-#: src/bookmarks/dialogs.c:125
+#: src/bookmarks/dialogs.c:157
 #, fuzzy
 msgid "Delete marked bookmarks"
 msgstr "Campo de seleccin"
 
 #. delete_marked_items
-#: src/bookmarks/dialogs.c:127
+#: src/bookmarks/dialogs.c:159
 #, fuzzy
 msgid "Delete marked bookmarks?"
 msgstr "Campo de seleccin"
 
 #. delete_folder
-#: src/bookmarks/dialogs.c:131
+#: src/bookmarks/dialogs.c:163
 #, fuzzy, c-format
 msgid "Delete the folder \"%s\" and all bookmarks in it?"
 msgstr "Eliminar extensin"
 
 #. delete_item_title
-#: src/bookmarks/dialogs.c:133
+#: src/bookmarks/dialogs.c:165
 #, fuzzy
 msgid "Delete bookmark"
 msgstr "Editar marcador"
 
-#: src/bookmarks/dialogs.c:135
+#: src/bookmarks/dialogs.c:167
 #, c-format
 msgid "Delete this bookmark?"
 msgstr ""
 
 #. clear_all_items_title
-#: src/bookmarks/dialogs.c:137
+#: src/bookmarks/dialogs.c:169
 #, fuzzy
 msgid "Clear all bookmarks"
 msgstr "~Marcadores"
 
 #. clear_all_items_title
-#: src/bookmarks/dialogs.c:139
+#: src/bookmarks/dialogs.c:171
 #, fuzzy
 msgid "Do you really want to remove all bookmarks?"
 msgstr "Realmente quere sair de Links?"
 
-#: src/bookmarks/dialogs.c:254
+#: src/bookmarks/dialogs.c:327
 msgid "Add folder"
 msgstr ""
 
-#: src/bookmarks/dialogs.c:254
+#: src/bookmarks/dialogs.c:327
 msgid "Folder name"
 msgstr ""
 
-#: src/bookmarks/dialogs.c:310 src/scripting/lua/core.c:391
+#: src/bookmarks/dialogs.c:410 src/scripting/lua/core.c:391
 msgid "Edit bookmark"
 msgstr "Editar marcador"
 
-#: src/bookmarks/dialogs.c:461
+#: src/bookmarks/dialogs.c:567
 msgid "Cannot move folder inside itself"
 msgstr ""
 
-#: src/bookmarks/dialogs.c:462
+#: src/bookmarks/dialogs.c:568
 msgid ""
 "You are trying to move the marked folder inside itself. To move the folder "
 "to a different location select the new location before pressing the Move "
 "button."
 msgstr ""
 
-#: src/bookmarks/dialogs.c:468
+#: src/bookmarks/dialogs.c:574
 msgid "Nothing to move"
 msgstr ""
 
-#: src/bookmarks/dialogs.c:469
+#: src/bookmarks/dialogs.c:575
 msgid ""
 "To move bookmarks, first mark all the bookmarks (or folders) you want to "
 "move.  This can be done with the Insert key if you're using the default key-"
@@ -449,21 +443,21 @@ msgid ""
 msgstr ""
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons, src/cache/dialogs.c:cache_buttons, src/globhist/dialogs.c:globhist_buttons, src/protocol/auth/dialogs.c:auth_buttons)
-#: src/bookmarks/dialogs.c:487 src/cache/dialogs.c:230
+#: src/bookmarks/dialogs.c:593 src/cache/dialogs.c:230
 #: src/globhist/dialogs.c:224 src/protocol/auth/dialogs.c:261
 #, fuzzy
 msgid "~Goto"
 msgstr "Ir a"
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons, src/config/dialogs.c:option_buttons, src/cookies/dialogs.c:cookie_buttons)
-#: src/bookmarks/dialogs.c:488 src/config/dialogs.c:503
+#: src/bookmarks/dialogs.c:594 src/config/dialogs.c:503
 #: src/cookies/dialogs.c:492
 #, fuzzy
 msgid "~Edit"
 msgstr "Editar"
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons, src/cache/dialogs.c:cache_buttons, src/config/dialogs.c:keybinding_buttons, src/config/dialogs.c:option_buttons, src/cookies/dialogs.c:cookie_buttons, src/dialogs/menu.c:ext_menu, src/formhist/dialogs.c:formhist_buttons, src/globhist/dialogs.c:globhist_buttons, src/protocol/auth/dialogs.c:auth_buttons)
-#: src/bookmarks/dialogs.c:489 src/cache/dialogs.c:231
+#: src/bookmarks/dialogs.c:595 src/cache/dialogs.c:231
 #: src/config/dialogs.c:505 src/config/dialogs.c:930 src/cookies/dialogs.c:493
 #: src/dialogs/menu.c:463 src/formhist/dialogs.c:211
 #: src/globhist/dialogs.c:229 src/protocol/auth/dialogs.c:263
@@ -471,28 +465,28 @@ msgid "~Delete"
 msgstr "Borrar"
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons, src/config/dialogs.c:keybinding_buttons, src/config/dialogs.c:option_buttons, src/cookies/dialogs.c:cookie_buttons, src/dialogs/menu.c:ext_menu)
-#: src/bookmarks/dialogs.c:490 src/config/dialogs.c:504
+#: src/bookmarks/dialogs.c:596 src/config/dialogs.c:504
 #: src/config/dialogs.c:929 src/cookies/dialogs.c:490 src/dialogs/menu.c:461
 msgid "~Add"
 msgstr "Eng~adir"
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons)
-#: src/bookmarks/dialogs.c:491
+#: src/bookmarks/dialogs.c:597
 msgid "Add se~parator"
 msgstr ""
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons)
-#: src/bookmarks/dialogs.c:492
+#: src/bookmarks/dialogs.c:598
 msgid "Add ~folder"
 msgstr ""
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons)
-#: src/bookmarks/dialogs.c:493
+#: src/bookmarks/dialogs.c:599
 msgid "~Move"
 msgstr ""
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons, src/cache/dialogs.c:cache_buttons, src/config/dialogs.c:keybinding_buttons, src/config/dialogs.c:option_buttons, src/dialogs/menu.c:view_menu, src/globhist/dialogs.c:globhist_buttons)
-#: src/bookmarks/dialogs.c:494 src/cache/dialogs.c:232
+#: src/bookmarks/dialogs.c:600 src/cache/dialogs.c:232
 #: src/config/dialogs.c:506 src/config/dialogs.c:932 src/dialogs/menu.c:413
 #: src/globhist/dialogs.c:230
 msgid "~Search"
@@ -500,38 +494,52 @@ msgstr "~Buscar"
 
 #. This one is too dangerous, so just let user delete
 #. * the bookmarks file if needed. --Zas
-#: src/bookmarks/dialogs.c:498
+#: src/bookmarks/dialogs.c:604
 msgid "Clear"
 msgstr ""
 
 #. TODO: Would this be useful? --jonas
-#: src/bookmarks/dialogs.c:501 src/globhist/dialogs.c:235
+#: src/bookmarks/dialogs.c:607 src/globhist/dialogs.c:235
 msgid "Save"
 msgstr "Gardar"
 
-#: src/bookmarks/dialogs.c:507
+#: src/bookmarks/dialogs.c:613
 msgid "Bookmark manager"
 msgstr "Xestor de marcadores"
 
-#: src/bookmarks/dialogs.c:632
+#: src/bookmarks/dialogs.c:825
 msgid "Search bookmarks"
 msgstr ""
 
-#: src/bookmarks/dialogs.c:661
+#. When the user eventually pushes the OK button, BFU calls
+#. * bookmark_add_add() and gives it the struct dialog * as the
+#. * void * parameter.  However, bookmark_add_add() also needs
+#. * to know the struct terminal *, and there is no way to get
+#. * that from struct dialog.  The other bookmark dialogs work
+#. * around that by making dialog.udata point to the struct
+#. * dialog_data of the bookmark manager, but the "Add bookmark"
+#. * dialog can be triggered with ACT_MAIN_ADD_BOOKMARK, which
+#. * does not involve the bookmark manager at all.
+#. *
+#. * The solution here is to save the struct terminal * in
+#. * dialog.udata2, which the "Edit bookmark" dialog uses for
+#. * struct bookmark *.  When adding a new bookmark, we don't
+#. * need a pointer to an existing one, of course.
+#: src/bookmarks/dialogs.c:892
 msgid "Add bookmark"
 msgstr "Engadir marcador"
 
-#: src/bookmarks/dialogs.c:697
+#: src/bookmarks/dialogs.c:950
 #, fuzzy
 msgid "Saved session"
 msgstr "~Gardar opcins"
 
-#: src/bookmarks/dialogs.c:705
+#: src/bookmarks/dialogs.c:958
 #, fuzzy
 msgid "Bookmark tabs"
 msgstr "~Marcadores"
 
-#: src/bookmarks/dialogs.c:705
+#: src/bookmarks/dialogs.c:958
 #, fuzzy
 msgid "Enter folder name"
 msgstr "Introduce n de ligazn"
@@ -545,7 +553,7 @@ msgstr "Ir a URL"
 msgid "Redirect"
 msgstr ""
 
-#: src/cache/dialogs.c:85 src/config/options.inc:519
+#: src/cache/dialogs.c:85 src/config/options.inc:553
 #: src/dialogs/document.c:156 src/protocol/bittorrent/dialogs.c:126
 msgid "Size"
 msgstr "Tamao"
@@ -592,7 +600,7 @@ msgstr ""
 msgid "ID"
 msgstr ""
 
-#: src/cache/dialogs.c:134 src/config/options.inc:669
+#: src/cache/dialogs.c:134 src/config/options.inc:707
 #, fuzzy
 msgid "Header"
 msgstr "Informacin das cabeceiras"
@@ -1346,7 +1354,7 @@ msgstr "Non se atopou a mquina"
 msgid "Resolver error"
 msgstr "Erro  gardar"
 
-#: src/config/cmdline.c:256 src/cookies/cookies.c:841 src/network/state.c:47
+#: src/config/cmdline.c:256 src/cookies/cookies.c:843 src/network/state.c:47
 #: src/util/secsave.c:379
 msgid "Out of memory"
 msgstr "Sen memoria"
@@ -1368,290 +1376,291 @@ msgstr ""
 msgid "Remote method not supported"
 msgstr ""
 
-#: src/config/cmdline.c:452
+#: src/config/cmdline.c:437
+msgid "Out of memory formatting option documentation"
+msgstr ""
+
+#: src/config/cmdline.c:474
 msgid "Template option folder"
 msgstr ""
 
-#: src/config/cmdline.c:475
+#: src/config/cmdline.c:497
 #, c-format
 msgid "(default: %ld)"
 msgstr ""
 
-#: src/config/cmdline.c:482 src/config/cmdline.c:511
+#: src/config/cmdline.c:504 src/config/cmdline.c:533
 #, c-format
 msgid "(default: \"%s\")"
 msgstr ""
 
-#: src/config/cmdline.c:487
+#: src/config/cmdline.c:509
 #, c-format
 msgid "(alias for %s)"
 msgstr ""
 
-#: src/config/cmdline.c:492 src/config/cmdline.c:501
+#: src/config/cmdline.c:514 src/config/cmdline.c:523
 #, c-format
 msgid "(default: %s)"
 msgstr ""
 
-#: src/config/cmdline.c:642
+#: src/config/cmdline.c:654
 #, fuzzy
 msgid "Configuration options"
 msgstr "Conexins"
 
-#: src/config/cmdline.c:646
+#: src/config/cmdline.c:658
 msgid "Usage: elinks [OPTION]... [URL]..."
 msgstr ""
 
-#: src/config/cmdline.c:647
+#: src/config/cmdline.c:659
 #, fuzzy
 msgid "Options"
 msgstr "~Gardar opcins"
 
-#: src/config/cmdline.c:689
+#: src/config/cmdline.c:701
 #, fuzzy
 msgid "Internal consistency error"
 msgstr "Erro interno"
 
 #.
-#: src/config/cmdline.c:725
+#: src/config/cmdline.c:737
 msgid "Restrict to anonymous mode"
 msgstr ""
 
-#: src/config/cmdline.c:727
+#: src/config/cmdline.c:739
 msgid ""
-"Restricts ELinks so it can run on an anonymous account.\n"
-"Local file browsing, downloads, and modification of options\n"
-"will be disabled. Execution of viewers is allowed, but entries\n"
-"in the association table can't be added or modified."
+"Restricts ELinks so it can run on an anonymous account. Local file browsing, "
+"downloads, and modification of options will be disabled. Execution of "
+"viewers is allowed, but entries in the association table can't be added or "
+"modified."
 msgstr ""
 
-#: src/config/cmdline.c:732
+#: src/config/cmdline.c:745
 #, fuzzy
 msgid "Autosubmit first form"
 msgstr "Enviar formulario"
 
-#: src/config/cmdline.c:734
+#: src/config/cmdline.c:747
 msgid "Automatically submit the first form in the given URLs."
 msgstr ""
 
-#: src/config/cmdline.c:736
+#: src/config/cmdline.c:749
 msgid "Clone internal session with given ID"
 msgstr ""
 
-#: src/config/cmdline.c:738
+#: src/config/cmdline.c:751
 msgid ""
-"Used internally when opening ELinks instances in new windows.\n"
-"The ID maps to information that will be used when creating the\n"
-"new instance. You don't want to use it."
+"Used internally when opening ELinks instances in new windows. The ID maps to "
+"information that will be used when creating the new instance. You don't want "
+"to use it."
 msgstr ""
 
-#: src/config/cmdline.c:744
+#: src/config/cmdline.c:757
 msgid "Name of directory with configuration file"
 msgstr ""
 
-#: src/config/cmdline.c:746
+#: src/config/cmdline.c:759
 msgid ""
-"Path of the directory ELinks will read and write its\n"
-"config and runtime state files to instead of ~/.elinks.\n"
-"If the path does not begin with a '/' it is assumed to be\n"
-"relative to your HOME directory."
+"Path of the directory ELinks will read and write its config and runtime "
+"state files to instead of ~/.elinks. If the path does not begin with a '/' "
+"it is assumed to be relative to your HOME directory."
 msgstr ""
 
-#: src/config/cmdline.c:751
+#: src/config/cmdline.c:764
 msgid "Print default configuration file to stdout"
 msgstr ""
 
-#: src/config/cmdline.c:753
+#: src/config/cmdline.c:766
 msgid ""
-"Print a configuration file with options set to the built-in\n"
-"defaults to stdout."
+"Print a configuration file with options set to the built-in defaults to "
+"stdout."
 msgstr ""
 
-#: src/config/cmdline.c:758
+#: src/config/cmdline.c:771
 msgid "Name of configuration file"
 msgstr ""
 
-#: src/config/cmdline.c:760
+#: src/config/cmdline.c:773
 msgid ""
-"Name of the configuration file that all configuration\n"
-"options will be read from and written to. It should be\n"
-"relative to config-dir."
+"Name of the configuration file that all configuration options will be read "
+"from and written to. It should be relative to config-dir."
 msgstr ""
 
-#: src/config/cmdline.c:764
+#: src/config/cmdline.c:777
 msgid "Print help for configuration options"
 msgstr ""
 
-#: src/config/cmdline.c:766
+#: src/config/cmdline.c:779
 msgid "Print help for configuration options and exit."
 msgstr ""
 
-#: src/config/cmdline.c:768
+#: src/config/cmdline.c:781
 msgid "MIME type assumed for unknown document types"
 msgstr ""
 
-#: src/config/cmdline.c:770
+#: src/config/cmdline.c:783
 msgid "The default MIME type used for documents of unknown type."
 msgstr ""
 
-#: src/config/cmdline.c:772
+#: src/config/cmdline.c:786
 msgid "Ignore user-defined keybindings"
 msgstr ""
 
-#: src/config/cmdline.c:774
+#: src/config/cmdline.c:788
 msgid ""
-"When set, all keybindings from configuration files will be\n"
-"ignored. It forces use of default keybindings and will reset\n"
-"user-defined ones on save."
+"When set, all keybindings from configuration files will be ignored. It "
+"forces use of default keybindings and will reset user-defined ones on save."
 msgstr ""
 
-#: src/config/cmdline.c:778
+#: src/config/cmdline.c:792
 msgid "Print formatted versions of given URLs to stdout"
 msgstr ""
 
-#: src/config/cmdline.c:780
+#: src/config/cmdline.c:794
 msgid "Print formatted plain-text versions of given URLs to stdout."
 msgstr ""
 
-#: src/config/cmdline.c:782
+#: src/config/cmdline.c:797
 msgid "Codepage to use with -dump"
 msgstr ""
 
-#: src/config/cmdline.c:784
+#: src/config/cmdline.c:799
 msgid "Codepage used when formatting dump output."
 msgstr ""
 
-#: src/config/cmdline.c:786
+#: src/config/cmdline.c:801
 msgid "Color mode used with -dump"
 msgstr ""
 
-#: src/config/cmdline.c:788
+#: src/config/cmdline.c:803
 msgid "Color mode used with -dump."
 msgstr ""
 
-#: src/config/cmdline.c:790
+#: src/config/cmdline.c:805
 msgid "Width of document formatted with -dump"
 msgstr ""
 
-#: src/config/cmdline.c:792
+#: src/config/cmdline.c:807
 msgid "Width of the dump output."
 msgstr ""
 
-#: src/config/cmdline.c:794
+#: src/config/cmdline.c:809
 msgid "Evaluate configuration file directive"
 msgstr ""
 
-#: src/config/cmdline.c:796
+#: src/config/cmdline.c:811
 msgid ""
-"Specify configuration file directives on the command-line\n"
-"which will be evaluated after all configuration files has been\n"
-"read. Example usage:\n"
+"Specify configuration file directives on the command-line which will be "
+"evaluated after all configuration files has been read. Example usage:\n"
 "\t-eval 'set protocol.file.allow_special_files = 1'"
 msgstr ""
 
 #. lynx compatibility
-#: src/config/cmdline.c:802
+#: src/config/cmdline.c:817
 msgid "Interpret documents of unknown types as HTML"
 msgstr ""
 
-#: src/config/cmdline.c:804
+#: src/config/cmdline.c:819
 msgid ""
-"Makes ELinks assume documents of unknown types are HTML.\n"
-"Useful when using ELinks as an external viewer from MUAs.\n"
-"This is equivalent to -default-mime-type text/html."
+"Makes ELinks assume documents of unknown types are HTML. Useful when using "
+"ELinks as an external viewer from MUAs. This is equivalent to -default-mime-"
+"type text/html."
 msgstr ""
 
-#: src/config/cmdline.c:814
+#: src/config/cmdline.c:829
 msgid "Print usage help and exit"
 msgstr ""
 
-#: src/config/cmdline.c:816
+#: src/config/cmdline.c:831
 msgid "Print usage help and exit."
 msgstr ""
 
-#: src/config/cmdline.c:818
+#: src/config/cmdline.c:833
 msgid "Only permit local connections"
 msgstr ""
 
-#: src/config/cmdline.c:820
+#: src/config/cmdline.c:835
 msgid ""
-"Restricts ELinks to work offline and only connect to servers\n"
-"with local addresses (ie. 127.0.0.1). No connections to remote\n"
-"servers will be permitted."
+"Restricts ELinks to work offline and only connect to servers with local "
+"addresses (ie. 127.0.0.1). No connections to remote servers will be "
+"permitted."
 msgstr ""
 
-#: src/config/cmdline.c:824
+#: src/config/cmdline.c:839
 msgid "Print detailed usage help and exit"
 msgstr ""
 
-#: src/config/cmdline.c:826
+#: src/config/cmdline.c:841
 msgid "Print detailed usage help and exit."
 msgstr ""
 
-#: src/config/cmdline.c:828
+#: src/config/cmdline.c:843
 #, fuzzy
 msgid "Look up specified host"
 msgstr "Sen programa especificado para"
 
-#: src/config/cmdline.c:830
+#: src/config/cmdline.c:845
 msgid "Look up specified host and print all DNS resolved IP addresses."
 msgstr ""
 
-#: src/config/cmdline.c:832
+#: src/config/cmdline.c:848
 msgid "Run as separate instance"
 msgstr ""
 
-#: src/config/cmdline.c:834
+#: src/config/cmdline.c:850
 msgid ""
-"Run ELinks as a separate instance instead of connecting to an\n"
-"existing instance. Note that normally no runtime state files\n"
-"(bookmarks, history, etc.) are written to the disk when this\n"
-"option is used. See also -touch-files."
+"Run ELinks as a separate instance instead of connecting to an existing "
+"instance. Note that normally no runtime state files (bookmarks, history, "
+"etc.) are written to the disk when this option is used. See also -touch-"
+"files."
 msgstr ""
 
-#: src/config/cmdline.c:839
+#: src/config/cmdline.c:855
 msgid "Disable use of files in ~/.elinks"
 msgstr ""
 
-#: src/config/cmdline.c:841
+#: src/config/cmdline.c:857
 msgid ""
-"Disables creation and use of files in the user specific home\n"
-"configuration directory (~/.elinks). It forces default configuration\n"
-"values to be used and disables saving of runtime state files."
+"Disables creation and use of files in the user specific home configuration "
+"directory (~/.elinks). It forces default configuration values to be used and "
+"disables saving of runtime state files."
 msgstr ""
 
-#: src/config/cmdline.c:845
+#: src/config/cmdline.c:862
 msgid "Disable link numbering in dump output"
 msgstr ""
 
-#: src/config/cmdline.c:847
+#: src/config/cmdline.c:864
 msgid ""
 "Prevents printing of link number in dump output.\n"
+"\n"
 "Note that this really affects only -dump, nothing else."
 msgstr ""
 
-#: src/config/cmdline.c:850
+#: src/config/cmdline.c:868
 msgid "Disable printing of link references in dump output"
 msgstr ""
 
-#: src/config/cmdline.c:852
+#: src/config/cmdline.c:870
 msgid ""
-"Prevents printing of references (URIs) of document links\n"
-"in dump output.\n"
+"Prevents printing of references (URIs) of document links in dump output.\n"
+"\n"
 "Note that this really affects only -dump, nothing else."
 msgstr ""
 
-#: src/config/cmdline.c:856
+#: src/config/cmdline.c:875
 msgid "Control an already running ELinks"
 msgstr ""
 
-#: src/config/cmdline.c:858
+#: src/config/cmdline.c:877
 msgid ""
-"Control a remote ELinks instance by passing commands to it.\n"
-"The option takes an additional argument containing the method\n"
-"which should be invoked and any parameters that should be passed\n"
-"to it. For ease of use, the additional method argument can be\n"
-"omitted in which case any URL arguments will be opened in new\n"
-"tabs in the remote instance.\n"
+"Control a remote ELinks instance by passing commands to it. The option takes "
+"an additional argument containing the method which should be invoked and any "
+"parameters that should be passed to it. For ease of use, the additional "
+"method argument can be omitted in which case any URL arguments will be "
+"opened in new tabs in the remote instance.\n"
+"\n"
 "Following is a list of the supported methods:\n"
 "\tping()                    : look for a remote instance\n"
 "\topenURL()                 : prompt URL in current tab\n"
@@ -1663,70 +1672,69 @@ msgid ""
 "\txfeDoCommand(openBrowser) : open new window"
 msgstr ""
 
-#: src/config/cmdline.c:874
+#: src/config/cmdline.c:895
 msgid "Connect to session ring with given ID"
 msgstr ""
 
-#: src/config/cmdline.c:876
+#: src/config/cmdline.c:897
 msgid ""
-"ID of session ring this ELinks session should connect to. ELinks\n"
-"works in so-called session rings, whereby all instances of ELinks\n"
-"are interconnected and share state (cache, bookmarks, cookies,\n"
-"and so on). By default, all ELinks instances connect to session\n"
-"ring 0. You can change that behaviour with this switch and form as\n"
-"many session rings as you want. Obviously, if the session-ring with\n"
-"this number doesn't exist yet, it's created and this ELinks instance\n"
-"will become the master instance (that usually doesn't matter for you\n"
-"as a user much). Note that you usually don't want to use this unless\n"
-"you're a developer and you want to do some testing - if you want the\n"
-"ELinks instances each running standalone, rather use the -no-connect\n"
-"command-line option. Also note that normally no runtime state files\n"
-"are written to the disk when this option is used. See also\n"
-"-touch-files."
+"ID of session ring this ELinks session should connect to. ELinks works in so-"
+"called session rings, whereby all instances of ELinks are interconnected and "
+"share state (cache, bookmarks, cookies, and so on). By default, all ELinks "
+"instances connect to session ring 0. You can change that behaviour with this "
+"switch and form as many session rings as you want. Obviously, if the session-"
+"ring with this number doesn't exist yet, it's created and this ELinks "
+"instance will become the master instance (that usually doesn't matter for "
+"you as a user much).\n"
+"\n"
+"Note that you usually don't want to use this unless you're a developer and "
+"you want to do some testing - if you want the ELinks instances each running "
+"standalone, rather use the -no-connect command-line option. Also note that "
+"normally no runtime state files are written to the disk when this option is "
+"used. See also -touch-files."
 msgstr ""
 
-#: src/config/cmdline.c:891
+#: src/config/cmdline.c:915
 msgid "Print the source of given URLs to stdout"
 msgstr ""
 
-#: src/config/cmdline.c:893
+#: src/config/cmdline.c:917
 msgid "Print given URLs in source form to stdout."
 msgstr ""
 
-#: src/config/cmdline.c:897
+#: src/config/cmdline.c:921
 msgid "Touch files in ~/.elinks when running with -no-connect/-session-ring"
 msgstr ""
 
-#: src/config/cmdline.c:899
+#: src/config/cmdline.c:923
 msgid ""
-"When enabled, runtime state files (bookmarks, history, etc.) are\n"
-"written to disk, even when -no-connect or -session-ring is used.\n"
-"The option has no effect if not used in conjunction with any of\n"
-"these options."
+"When enabled, runtime state files (bookmarks, history, etc.) are written to "
+"disk, even when -no-connect or -session-ring is used. The option has no "
+"effect if not used in conjunction with any of these options."
 msgstr ""
 
-#: src/config/cmdline.c:904
+#: src/config/cmdline.c:928
 msgid "Verbose level"
 msgstr ""
 
-#: src/config/cmdline.c:906
+#: src/config/cmdline.c:930
 msgid ""
-"The verbose level controls what messages are shown at\n"
-"start up and while running:\n"
+"The verbose level controls what messages are shown at start up and while "
+"running:\n"
 "\t0 means only show serious errors\n"
 "\t1 means show serious errors and warnings\n"
 "\t2 means show all messages"
 msgstr ""
 
-#: src/config/cmdline.c:912
+#: src/config/cmdline.c:936
 msgid "Print version information and exit"
 msgstr ""
 
-#: src/config/cmdline.c:914
+#: src/config/cmdline.c:938
 msgid "Print ELinks version information and exit."
 msgstr ""
 
-#: src/config/conf.c:938
+#: src/config/conf.c:963
 msgid ""
 "## This is ELinks configuration file. You can edit it manually,\n"
 "## if you wish so; this file is edited by ELinks when you save\n"
@@ -1734,7 +1742,7 @@ msgid ""
 "## and all your formatting, own comments etc will be kept as-is.\n"
 msgstr ""
 
-#: src/config/conf.c:946
+#: src/config/conf.c:971
 msgid ""
 "## This is ELinks configuration file. You can edit it manually,\n"
 "## if you wish so; this file is edited by ELinks when you save\n"
@@ -1745,7 +1753,7 @@ msgid ""
 "## own comments and so on will be kept as-is.\n"
 msgstr ""
 
-#: src/config/conf.c:956
+#: src/config/conf.c:981
 msgid ""
 "## This is ELinks configuration file. You can edit it manually,\n"
 "## if you wish so, but keep in mind that this file is overwritten\n"
@@ -1753,18 +1761,18 @@ msgid ""
 "## luck with your formatting and own comments then, so beware.\n"
 msgstr ""
 
-#: src/config/conf.c:967
+#: src/config/conf.c:992
 msgid ""
 "## Obviously, if you don't like what ELinks is going to do with\n"
 "## this file, you can change it by altering the config.saving_style\n"
 "## option. Come on, aren't we friendly guys after all?\n"
 msgstr ""
 
-#: src/config/conf.c:980
+#: src/config/conf.c:1005
 msgid "Automatically saved options\n"
 msgstr ""
 
-#: src/config/conf.c:992
+#: src/config/conf.c:1017
 msgid "Automatically saved keybindings\n"
 msgstr ""
 
@@ -1825,7 +1833,7 @@ msgstr ""
 #. * switch charsets.  So, it will work in any terminal that
 #. * understands UTF-8 and has the characters in its font.
 #: src/config/dialogs.c:149 src/config/dialogs.c:330
-#: src/config/options.inc:840
+#: src/config/options.inc:887
 msgid "Type"
 msgstr ""
 
@@ -1851,9 +1859,9 @@ msgid "Description"
 msgstr ""
 
 #: src/config/dialogs.c:291 src/protocol/bittorrent/dialogs.c:600
-#: src/protocol/protocol.c:240 src/session/session.c:287
-#: src/session/session.c:975 src/viewer/text/textarea.c:594
-#: src/viewer/text/textarea.c:601
+#: src/protocol/protocol.c:240 src/session/session.c:288
+#: src/session/session.c:999 src/viewer/text/textarea.c:583
+#: src/viewer/text/textarea.c:590
 msgid "Error"
 msgstr "Erro"
 
@@ -1888,7 +1896,7 @@ msgstr ""
 #. accelerator_context(src/config/dialogs.c:keybinding_buttons, src/config/dialogs.c:option_buttons, src/cookies/dialogs.c:cookie_buttons, src/formhist/dialogs.c:formhist_buttons, src/protocol/bittorrent/dialogs.c:bittorrent_query_callback, src/session/download.c:do_type_query, terminal_options)
 #: src/config/dialogs.c:507 src/config/dialogs.c:933 src/cookies/dialogs.c:495
 #: src/dialogs/options.c:236 src/formhist/dialogs.c:214
-#: src/protocol/bittorrent/dialogs.c:801 src/session/download.c:1203
+#: src/protocol/bittorrent/dialogs.c:801 src/session/download.c:1229
 #, fuzzy
 msgid "Sa~ve"
 msgstr "Gardar"
@@ -1902,7 +1910,7 @@ msgstr "Xestor de marcadores"
 msgid "Keystroke"
 msgstr ""
 
-#: src/config/dialogs.c:676 src/config/options.inc:1219
+#: src/config/dialogs.c:676 src/config/options.inc:1292
 msgid "Action"
 msgstr ""
 
@@ -1974,32 +1982,32 @@ msgid ""
 "directory."
 msgstr ""
 
-#: src/config/kbdbind.c:221
+#: src/config/kbdbind.c:222
 msgid "Main mapping"
 msgstr ""
 
-#: src/config/kbdbind.c:222
+#: src/config/kbdbind.c:223
 msgid "Edit mapping"
 msgstr ""
 
-#: src/config/kbdbind.c:223
+#: src/config/kbdbind.c:224
 msgid "Menu mapping"
 msgstr ""
 
-#: src/config/kbdbind.c:588 src/scripting/python/keybinding.c:104
+#: src/config/kbdbind.c:589 src/scripting/python/keybinding.c:104
 msgid "Unrecognised keymap"
 msgstr ""
 
-#: src/config/kbdbind.c:591
+#: src/config/kbdbind.c:592
 #, fuzzy
 msgid "Error parsing keystroke"
 msgstr "Erro escribindo nun socket"
 
-#: src/config/kbdbind.c:595
+#: src/config/kbdbind.c:596
 msgid "Unrecognised action (internal error)"
 msgstr ""
 
-#: src/config/kbdbind.c:611
+#: src/config/kbdbind.c:612
 #, fuzzy
 msgid "Error registering event"
 msgstr "Erro escribindo nun socket"
@@ -2027,332 +2035,327 @@ msgid ""
 "3 is full comments are written"
 msgstr ""
 
-#: src/config/options.inc:31
+#: src/config/options.inc:32
 msgid "Indentation"
 msgstr ""
 
-#: src/config/options.inc:33
+#: src/config/options.inc:34
 msgid ""
-"Shift width of one indentation level in the configuration\n"
-"file. Zero means that no indentation is performed at all\n"
-"when saving the configuration."
+"Shift width of one indentation level in the configuration file. Zero means "
+"that no indentation is performed at all when saving the configuration."
 msgstr ""
 
-#: src/config/options.inc:37
+#: src/config/options.inc:38
 msgid "Saving style"
 msgstr ""
 
-#: src/config/options.inc:39
+#: src/config/options.inc:40
 msgid ""
 "Determines what happens when you tell ELinks to save options:\n"
 "0 is only values of current options are altered\n"
-"1 is values of current options are altered and missing options\n"
-"     are added at the end of the file\n"
+"1 is values of current options are altered and missing\n"
+"     options are added at the end of the file\n"
 "2 is the configuration file is rewritten from scratch\n"
-"3 is values of current options are altered and missing options\n"
-"     CHANGED during this ELinks session are added at the end of\n"
-"     the file"
+"3 is values of current options are altered and missing\n"
+"     options CHANGED during this ELinks session are added at\n"
+"     the end of the file"
 msgstr ""
 
-#: src/config/options.inc:48
+#: src/config/options.inc:50
 msgid "Comments localization"
 msgstr ""
 
-#: src/config/options.inc:50
+#: src/config/options.inc:52
 msgid ""
-"If set to 1, comments in the configuration file will be\n"
-"translated to the language used by UI. Note that if you have\n"
-"different language set in different terminals, the language\n"
-"used in the configuration file MAY be the same as on the\n"
-"terminal where you saved the file, but it should be generally\n"
+"If set to 1, comments in the configuration file will be translated to the "
+"language used by UI. Note that if you have different language set in "
+"different terminals, the language used in the configuration file MAY be the "
+"same as on the terminal where you saved the file, but it should be generally "
 "considered unpredictable."
 msgstr ""
 
-#: src/config/options.inc:58
+#: src/config/options.inc:60
 msgid "Saving style warnings"
 msgstr ""
 
-#: src/config/options.inc:60
+#: src/config/options.inc:62
 msgid ""
-"This is internal option used when displaying a warning about\n"
-"obsolete config.saving_style. You shouldn't touch it."
+"This is internal option used when displaying a warning about obsolete config."
+"saving_style. You shouldn't touch it."
 msgstr ""
 
-#: src/config/options.inc:63
+#: src/config/options.inc:66
 msgid "Show template"
 msgstr ""
 
-#: src/config/options.inc:65
+#: src/config/options.inc:68
 msgid ""
-"Show template options in autocreated trees in the options\n"
-"manager and save them to the configuration file."
+"Show template options in autocreated trees in the options manager and save "
+"them to the configuration file."
 msgstr ""
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:71 src/dialogs/info.c:180
+#: src/config/options.inc:74 src/dialogs/info.c:180
 msgid "Connections"
 msgstr "Conexins"
 
-#: src/config/options.inc:73
+#: src/config/options.inc:76
 #, fuzzy
 msgid "Connection options."
 msgstr "Conexins"
 
-#: src/config/options.inc:76
+#: src/config/options.inc:79
 msgid "Asynchronous DNS"
 msgstr ""
 
-#: src/config/options.inc:78
+#: src/config/options.inc:81
 msgid "Whether to use asynchronous DNS resolving."
 msgstr ""
 
-#: src/config/options.inc:80
+#: src/config/options.inc:83
 #, fuzzy
 msgid "Maximum connections"
 msgstr "Establecendo conexin"
 
-#: src/config/options.inc:82
+#: src/config/options.inc:85
 msgid "Maximum number of concurrent connections."
 msgstr ""
 
-#: src/config/options.inc:84
+#: src/config/options.inc:87
 #, fuzzy
 msgid "Maximum connections per host"
 msgstr "Establecendo conexin"
 
-#: src/config/options.inc:86
+#: src/config/options.inc:89
 msgid "Maximum number of concurrent connections to a given host."
 msgstr ""
 
-#: src/config/options.inc:88
+#: src/config/options.inc:92
 #, fuzzy
 msgid "Connection retries"
 msgstr "Conexins"
 
-#: src/config/options.inc:90
-msgid ""
-"Number of tries to establish a connection.\n"
-"Zero means try forever."
+#: src/config/options.inc:94
+msgid "Number of tries to establish a connection. Zero means try forever."
 msgstr ""
 
-#: src/config/options.inc:93 src/network/state.c:53
+#: src/config/options.inc:97 src/network/state.c:53
 msgid "Receive timeout"
 msgstr "Prazo de recepcin sobrepasado"
 
-#: src/config/options.inc:95
+#: src/config/options.inc:99
 #, fuzzy
 msgid "Receive timeout (in seconds)."
 msgstr "Prazo de recepcin sobrepasado"
 
-#: src/config/options.inc:98 src/config/options.inc:108
+#: src/config/options.inc:102 src/config/options.inc:113
 msgid "Try IPv4 when connecting"
 msgstr ""
 
-#: src/config/options.inc:100
+#: src/config/options.inc:104
 msgid ""
-"Whether to try to connect to a host over IPv4.\n"
-"Note that if connection.try_ipv6 is enabled too,\n"
-"it takes precedence. And better do not touch this\n"
+"Whether to try to connect to a host over IPv4. Note that if connection."
+"try_ipv6 is enabled too, it takes precedence. And better do not touch this "
 "at all unless you are sure what are you doing.\n"
-"Note that you can also force a given protocol\n"
-"to be used on a per-connection basis by using a URL\n"
-"in the style of e.g. http4://elinks.cz/."
+"\n"
+"Note that you can also force a given protocol to be used on a per-connection "
+"basis by using a URL in the style of e.g. http4://elinks.cz/."
 msgstr ""
 
-#: src/config/options.inc:110
+#: src/config/options.inc:115
 msgid ""
-"Whether to try to connect to a host over IPv4.\n"
-"Do not touch this option.\n"
-"Note that you can also force a given protocol\n"
-"to be used on a per-connection basis by using a URL\n"
-"in the style of e.g. http4://elinks.cz/."
+"Whether to try to connect to a host over IPv4. Do not touch this option.\n"
+"\n"
+"Note that you can also force a given protocol to be used on a per-connection "
+"basis by using a URL in the style of e.g. http4://elinks.cz/."
 msgstr ""
 
-#: src/config/options.inc:118
+#: src/config/options.inc:124
 msgid "Try IPv6 when connecting"
 msgstr ""
 
-#: src/config/options.inc:120
+#: src/config/options.inc:126
 msgid ""
 "Whether to try to connect to a host over IPv6.\n"
-"Note that you can also force a given protocol\n"
-"to be used on a per-connection basis by using a URL\n"
-"in the style of e.g. http6://elinks.cz/."
+"\n"
+"Note that you can also force a given protocol to be used on a per-connection "
+"basis by using a URL in the style of e.g. http6://elinks.cz/."
 msgstr ""
 
-#: src/config/options.inc:126
+#: src/config/options.inc:133
 msgid "Timeout for non-restartable connections"
 msgstr ""
 
-#: src/config/options.inc:128
+#: src/config/options.inc:135
 msgid "Timeout for non-restartable connections (in seconds)."
 msgstr ""
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:134
+#: src/config/options.inc:141
 #, fuzzy
 msgid "Document"
 msgstr "documentos"
 
-#: src/config/options.inc:136
+#: src/config/options.inc:143
 #, fuzzy
 msgid "Document options."
 msgstr "~Informacin do documento"
 
-#: src/config/options.inc:138
+#: src/config/options.inc:145
 msgid "Browsing"
 msgstr ""
 
-#: src/config/options.inc:140
+#: src/config/options.inc:147
 msgid "Document browsing options (mainly interactivity)."
 msgstr ""
 
-#: src/config/options.inc:143
+#: src/config/options.inc:150
 msgid "Access keys"
 msgstr ""
 
-#: src/config/options.inc:145
+#: src/config/options.inc:152
 msgid ""
-"Options for handling of link access keys.\n"
-"An HTML document can use the ACCESSKEY attribute to assign\n"
-"an access key to an element. When an access key is pressed,\n"
-"the corresponding element will be given focus."
+"Options for handling of link access keys. An HTML document can use the "
+"ACCESSKEY attribute to assign an access key to an element. When an access "
+"key is pressed, the corresponding element will be given focus."
 msgstr ""
 
-#: src/config/options.inc:150
+#: src/config/options.inc:157
 msgid "Automatic links following"
 msgstr ""
 
-#: src/config/options.inc:152
+#: src/config/options.inc:159
 msgid ""
-"Automatically follow a link or submit a form if appropriate\n"
-"accesskey is pressed - this is the standard behaviour, but it's\n"
-"considered dangerous."
+"Automatically follow a link or submit a form if appropriate accesskey is "
+"pressed - this is the standard behaviour, but it's considered dangerous."
 msgstr ""
 
-#: src/config/options.inc:156
+#: src/config/options.inc:163
 msgid "Display access key in link info"
 msgstr ""
 
-#: src/config/options.inc:158
+#: src/config/options.inc:165
 msgid "Display access key in link info."
 msgstr ""
 
-#: src/config/options.inc:160
+#: src/config/options.inc:167
 msgid "Accesskey priority"
 msgstr ""
 
-#: src/config/options.inc:162
+#: src/config/options.inc:169
 msgid ""
 "Priority of 'accesskey' HTML attribute:\n"
-"0 is first try all normal bindings; if it fails, check accesskey\n"
-"1 is first try only frame bindings; if it fails, check accesskey\n"
+"0 is first try all normal bindings; if it fails,\n"
+"     check accesskey\n"
+"1 is first try only frame bindings; if it fails,\n"
+"     check accesskey\n"
 "2 is first check accesskey (this can be dangerous)"
 msgstr ""
 
-#: src/config/options.inc:168
+#: src/config/options.inc:177
 msgid "Forms"
 msgstr ""
 
-#: src/config/options.inc:170
+#: src/config/options.inc:179
 msgid "Options for handling of the forms interaction."
 msgstr ""
 
-#: src/config/options.inc:172
+#: src/config/options.inc:181
 #, fuzzy
 msgid "Submit form automatically"
 msgstr "Enviar formulario a"
 
-#: src/config/options.inc:174
+#: src/config/options.inc:183
 msgid ""
-"Automagically submit a form when enter is pressed with a text\n"
-"field selected."
+"Automagically submit a form when enter is pressed with a text field selected."
 msgstr ""
 
-#: src/config/options.inc:177
+#: src/config/options.inc:186
 msgid "Confirm submission"
 msgstr ""
 
-#: src/config/options.inc:179
+#: src/config/options.inc:188
 msgid "Ask for confirmation when submitting a form."
 msgstr ""
 
-#: src/config/options.inc:181
+#: src/config/options.inc:190
 msgid "Default form input size"
 msgstr ""
 
-#: src/config/options.inc:183
+#: src/config/options.inc:192
 msgid "Default form input size if none is specified."
 msgstr ""
 
-#: src/config/options.inc:185
+#: src/config/options.inc:194
 msgid "Insert mode"
 msgstr ""
 
-#: src/config/options.inc:187
+#: src/config/options.inc:196
 msgid ""
-"The setting for this option affects how key presses are handled\n"
-"when one selects a text-input form-field. When enabled, one must\n"
-"explicitly 'enter' a selected text-field to edit it; this prevents\n"
-"text fields from capturing key presses, such as presses of a scroll\n"
-"key, when it is inadvertently selected. When disabled, key presses\n"
-"are always inserted into a selected text field."
+"The setting for this option affects how key presses are handled when one "
+"selects a text-input form-field. When enabled, one must explicitly 'enter' a "
+"selected text-field to edit it; this prevents text fields from capturing key "
+"presses, such as presses of a scroll key, when it is inadvertently selected. "
+"When disabled, key presses are always inserted into a selected text field."
 msgstr ""
 
-#: src/config/options.inc:194
+#: src/config/options.inc:204
 #, fuzzy
 msgid "External editor"
 msgstr "Erro interno"
 
-#: src/config/options.inc:196
+#: src/config/options.inc:206
 msgid ""
-"Path to the executable that ELinks should launch when the user\n"
-"requests to edit a textarea with an external editor.\n"
-"If this is blank, ELinks will use the value of the environmental\n"
-"variable $EDITOR. If $EDITOR is empty or not set, ELinks will then\n"
-"default to \"vi\"."
+"Path to the executable that ELinks should launch when the user requests to "
+"edit a textarea with an external editor.\n"
+"\n"
+"If this is blank, ELinks will use the value of the environmental variable "
+"$EDITOR. If $EDITOR is empty or not set, ELinks will then default to \"vi\"."
 msgstr ""
 
-#: src/config/options.inc:203
+#: src/config/options.inc:214
 #, fuzzy
 msgid "Images"
 msgstr "Imaxe"
 
-#: src/config/options.inc:205
+#: src/config/options.inc:216
 msgid "Options for handling of images."
 msgstr ""
 
-#: src/config/options.inc:207
+#: src/config/options.inc:218
 #, fuzzy
 msgid "Display style for image tags"
 msgstr "Mostrar"
 
-#: src/config/options.inc:209
+#: src/config/options.inc:220
 msgid ""
 "Display style for image tags when displayed:\n"
 "0     means always display IMG\n"
 "1     means always display filename\n"
-"2     means display alt/title attribute if possible, IMG if not\n"
-"3     means display alt/title attribute if possible, filename if not"
+"2     means display alt/title attribute if possible,\n"
+"      IMG if not\n"
+"3     means display alt/title attribute if possible,\n"
+"      filename if not"
 msgstr ""
 
-#: src/config/options.inc:215
+#: src/config/options.inc:228
 msgid "Maximum length for image filename"
 msgstr ""
 
-#: src/config/options.inc:217
+#: src/config/options.inc:230
 msgid ""
 "Maximum length of image filename when displayed:\n"
 "0     means always display full filename\n"
 "1-500 means display filename with this maximal length;\n"
-"      if it is longer, the middle is substituted by an asterisk"
+"      if it is longer, the middle is substituted by\n"
+"      an asterisk"
 msgstr ""
 
-#: src/config/options.inc:227
+#: src/config/options.inc:241
 msgid "Image links tagging"
 msgstr ""
 
-#: src/config/options.inc:229
+#: src/config/options.inc:243
 msgid ""
 "When to enclose image links:\n"
 "0 means never\n"
@@ -2360,92 +2363,92 @@ msgid ""
 "2 means always"
 msgstr ""
 
-#: src/config/options.inc:234
+#: src/config/options.inc:248
 msgid "Image link prefix"
 msgstr ""
 
-#: src/config/options.inc:236
+#: src/config/options.inc:250
 msgid "Prefix string to use to mark image links."
 msgstr ""
 
-#: src/config/options.inc:238
+#: src/config/options.inc:252
 msgid "Image link suffix"
 msgstr ""
 
-#: src/config/options.inc:240
+#: src/config/options.inc:254
 msgid "Suffix string to use to mark image links."
 msgstr ""
 
-#: src/config/options.inc:242
+#: src/config/options.inc:256
 msgid "Maximum length for image label"
 msgstr ""
 
-#: src/config/options.inc:244
+#: src/config/options.inc:258
 msgid ""
 "Maximum length of image label (alt/title):\n"
 "0     means always display full label\n"
 "1-500 means display label with this maximal length;\n"
-"      if it is longer, the middle is substituted by an asterisk"
+"      if it is longer, the middle is substituted by\n"
+"      an asterisk"
 msgstr ""
 
-#: src/config/options.inc:249
+#: src/config/options.inc:264
 msgid "Display links to images w/o alt"
 msgstr ""
 
-#: src/config/options.inc:251
+#: src/config/options.inc:266
 msgid ""
-"Display links to images without an alt attribute. If this option\n"
-"is off, these images are completely invisible."
+"Display links to images without an alt attribute. If this option is off, "
+"these images are completely invisible."
 msgstr ""
 
-#: src/config/options.inc:254
+#: src/config/options.inc:269
 #, fuzzy
 msgid "Display links to images"
 msgstr "Mostrar"
 
-#: src/config/options.inc:256
+#: src/config/options.inc:271
 msgid ""
-"Display links to any images in the document, regardless of them\n"
-"having an alt attribute or not. If this option is off, the alt\n"
-"attribute contents is shown, but as normal text, not selectable\n"
-"as a link."
+"Display links to any images in the document, regardless of them having an "
+"alt attribute or not. If this option is off, the alt attribute contents is "
+"shown, but as normal text, not selectable as a link."
 msgstr ""
 
-#: src/config/options.inc:262
+#: src/config/options.inc:277
 #, fuzzy
 msgid "Links"
 msgstr "~Ligazn"
 
-#: src/config/options.inc:264
+#: src/config/options.inc:279
 msgid "Options for handling of links to other documents."
 msgstr ""
 
-#: src/config/options.inc:266
+#: src/config/options.inc:281
 msgid "Active link"
 msgstr ""
 
-#: src/config/options.inc:268
+#: src/config/options.inc:283
 msgid "Options for the active link."
 msgstr ""
 
-#: src/config/options.inc:270
+#: src/config/options.inc:285
 #, fuzzy
 msgid "Colors"
 msgstr "Cor"
 
-#: src/config/options.inc:272
+#: src/config/options.inc:287
 #, fuzzy
 msgid "Active link colors."
 msgstr "E~liminar conexins en segundo plano"
 
-#: src/config/options.inc:274 src/config/options.inc:549
-#: src/config/options.inc:945
+#: src/config/options.inc:289 src/config/options.inc:583
+#: src/config/options.inc:1014
 #, fuzzy
 msgid "Background color"
 msgstr "2 plano"
 
-#: src/config/options.inc:276 src/config/options.inc:551
-#: src/config/options.inc:946
+#: src/config/options.inc:291 src/config/options.inc:585
+#: src/config/options.inc:1015
 #, fuzzy
 msgid "Default background color."
 msgstr "E~liminar conexins en segundo plano"
@@ -2458,75 +2461,75 @@ msgstr "E~liminar conexins en segundo p
 #. *	on it.
 #. The colors and mono tree should be similar but with different default
 #. * values of course so always use the macros below.
-#: src/config/options.inc:278 src/config/options.inc:545
-#: src/config/options.inc:943
+#: src/config/options.inc:293 src/config/options.inc:579
+#: src/config/options.inc:1012
 #, fuzzy
 msgid "Text color"
 msgstr "Area de texto"
 
-#: src/config/options.inc:280 src/config/options.inc:547
-#: src/config/options.inc:944
+#: src/config/options.inc:295 src/config/options.inc:581
+#: src/config/options.inc:1013
 msgid "Default text color."
 msgstr ""
 
-#: src/config/options.inc:282
+#: src/config/options.inc:297
 #, fuzzy
 msgid "Enable color"
 msgstr "nome"
 
-#: src/config/options.inc:284
+#: src/config/options.inc:299
 msgid ""
-"Enable use of the active link background and text color\n"
-"settings instead of the link colors from the document."
+"Enable use of the active link background and text color settings instead of "
+"the link colors from the document."
 msgstr ""
 
-#: src/config/options.inc:287
+#: src/config/options.inc:302
 msgid "Bold"
 msgstr ""
 
-#: src/config/options.inc:289
+#: src/config/options.inc:304
 msgid "Make the active link text bold."
 msgstr ""
 
-#: src/config/options.inc:291
+#: src/config/options.inc:306
 #, fuzzy
 msgid "Invert colors"
 msgstr "Area de texto"
 
-#: src/config/options.inc:293
+#: src/config/options.inc:308
 msgid "Invert the fore- and background color so the link stands out."
 msgstr ""
 
-#: src/config/options.inc:296 src/config/options.inc:908
+#: src/config/options.inc:311 src/config/options.inc:975
 #: src/dialogs/options.c:231
 msgid "Underline"
 msgstr ""
 
-#: src/config/options.inc:298
+#: src/config/options.inc:313
 msgid "Underline the active link."
 msgstr ""
 
-#: src/config/options.inc:301
+#: src/config/options.inc:316
 msgid "Directory highlighting"
 msgstr ""
 
-#: src/config/options.inc:303
+#: src/config/options.inc:318
 msgid "Highlight links to directories in FTP and local directory listing."
 msgstr ""
 
-#: src/config/options.inc:305
+#: src/config/options.inc:321
 msgid "Number links"
 msgstr ""
 
-#: src/config/options.inc:307
+#: src/config/options.inc:323
 msgid "Display numbers next to the links."
 msgstr ""
 
-#: src/config/options.inc:309
+#: src/config/options.inc:325
 msgid "Handling of target=_blank"
 msgstr ""
 
-#: src/config/options.inc:311
+#: src/config/options.inc:327
 msgid ""
 "Define how to handle links having target=_blank set:\n"
 "0 means open link in current tab\n"
@@ -2535,139 +2538,136 @@ msgid ""
 "3 means open link in new window"
 msgstr ""
 
-#: src/config/options.inc:324
+#: src/config/options.inc:340
 msgid "Use tabindex"
 msgstr ""
 
-#: src/config/options.inc:326
+#: src/config/options.inc:342
 msgid ""
-"Whether to navigate links using tabindex specified ordering.\n"
-"The TABINDEX attribute in HTML elements specifies the order\n"
-"in which links should receive focus when using the keyboard\n"
-"to navigate the document."
+"Whether to navigate links using tabindex specified ordering. The TABINDEX "
+"attribute in HTML elements specifies the order in which links should receive "
+"focus when using the keyboard to navigate the document."
 msgstr ""
 
-#: src/config/options.inc:331
+#: src/config/options.inc:347
 #, fuzzy
 msgid "Missing fragment reporting"
 msgstr "Sen marcos"
 
-#: src/config/options.inc:333
+#: src/config/options.inc:349
 msgid "Open a message box when document has no tag with given id."
 msgstr ""
 
-#: src/config/options.inc:335
+#: src/config/options.inc:352
 msgid "Number keys select links"
 msgstr ""
 
-#: src/config/options.inc:337
+#: src/config/options.inc:354
 msgid ""
-"Number keys select links rather than specify command prefixes. This\n"
-"is a tristate:\n"
+"Number keys select links rather than specify command prefixes. This is a "
+"tristate:\n"
 "0 means never\n"
 "1 means if document.browse.links.numbering = 1\n"
 "2 means always"
 msgstr ""
 
-#: src/config/options.inc:343
+#: src/config/options.inc:360
 msgid "Warn about maliciously crafted URIs"
 msgstr ""
 
-#: src/config/options.inc:345
+#: src/config/options.inc:362
 msgid ""
-"When following a link the user ID part of the URI is\n"
-"checked and if a maliciously crafted URI is detected a\n"
-"warning dialog will ask before following the link."
+"When following a link the user ID part of the URI is checked and if a "
+"maliciously crafted URI is detected a warning dialog will ask before "
+"following the link."
 msgstr ""
 
 #. TODO - this is somehow implemented by ff, but disabled
 #. * for now as it doesn't work.
-#: src/config/options.inc:351
+#: src/config/options.inc:368
 msgid "Wrap-around links cycling"
 msgstr ""
 
 #. 0
-#: src/config/options.inc:353
+#: src/config/options.inc:370
 msgid ""
-"When pressing 'down' on the last link, jump to the first one, and\n"
-"vice versa."
+"When pressing 'down' on the last link, jump to the first one, and vice versa."
 msgstr ""
 
-#: src/config/options.inc:357
+#: src/config/options.inc:374
 msgid "Scrolling"
 msgstr ""
 
-#: src/config/options.inc:359
+#: src/config/options.inc:376
 #, fuzzy
 msgid "Scrolling options."
 msgstr "Opcins de terminal"
 
-#: src/config/options.inc:361
+#: src/config/options.inc:378
 msgid "Horizontal step"
 msgstr ""
 
-#: src/config/options.inc:363
+#: src/config/options.inc:380
 msgid ""
-"Number of columns to scroll when a key bound to scroll-left or scroll-\n"
-"right is pressed and no prefix was given."
+"Number of columns to scroll when a key bound to scroll-left or scroll-right "
+"is pressed and no prefix was given."
 msgstr ""
 
-#: src/config/options.inc:366
+#: src/config/options.inc:384
 msgid "Extended horizontal scrolling"
 msgstr ""
 
-#: src/config/options.inc:368
+#: src/config/options.inc:386
 msgid ""
-"Whether to allow horizontal scrolling when the document\n"
-"does not extend off the screen. Useful for copy/paste\n"
-"operations."
+"Whether to allow horizontal scrolling when the document does not extend off "
+"the screen. Useful for copy/paste operations."
 msgstr ""
 
-#: src/config/options.inc:372
+#: src/config/options.inc:390
 #, fuzzy
 msgid "Margin"
 msgstr "Aviso"
 
-#: src/config/options.inc:374
+#: src/config/options.inc:392
 msgid ""
-"Size of the virtual margin - when you click inside of that margin,\n"
-"document scrolls in that direction."
+"Size of the virtual margin - when you click inside of that margin, document "
+"scrolls in that direction."
 msgstr ""
 
-#: src/config/options.inc:377
+#: src/config/options.inc:395
 msgid "Vertical step"
 msgstr ""
 
-#: src/config/options.inc:379
+#: src/config/options.inc:397
 msgid ""
-"Number of lines to scroll when a key bound to scroll-up or scroll-\n"
-"down is pressed and no prefix was given."
+"Number of lines to scroll when a key bound to scroll-up or scroll-down is "
+"pressed and no prefix was given."
 msgstr ""
 
-#: src/config/options.inc:383
+#: src/config/options.inc:401
 #, fuzzy
 msgid "Searching"
 msgstr "Buscar"
 
-#: src/config/options.inc:385
+#: src/config/options.inc:403
 msgid "Options for searching."
 msgstr ""
 
-#: src/config/options.inc:387
+#: src/config/options.inc:405
 msgid "Case sensitivity"
 msgstr ""
 
-#: src/config/options.inc:389
+#: src/config/options.inc:407
 msgid ""
-"Whether the search should match the document text while maintaining\n"
-"case sensitivity."
+"Whether the search should match the document text while maintaining case "
+"sensitivity."
 msgstr ""
 
-#: src/config/options.inc:393
+#: src/config/options.inc:411
 msgid "Regular expressions"
 msgstr ""
 
-#: src/config/options.inc:395
+#: src/config/options.inc:413
 msgid ""
 "Enable searching with regular expressions:\n"
 "0 for plain text searching\n"
@@ -2675,31 +2675,31 @@ msgid ""
 "2 for extended regular expression searches"
 msgstr ""
 
-#: src/config/options.inc:401
+#: src/config/options.inc:419
 msgid "Show search hit top or bottom dialogs"
 msgstr ""
 
-#: src/config/options.inc:403
+#: src/config/options.inc:421
 msgid ""
-"Whether to show a dialog when the search hits the top or bottom of the\n"
+"Whether to show a dialog when the search hits the top or bottom of the "
 "document."
 msgstr ""
 
-#: src/config/options.inc:406
+#: src/config/options.inc:424
 #, fuzzy
 msgid "Wraparound"
 msgstr "2 plano"
 
-#: src/config/options.inc:408
+#: src/config/options.inc:426
 msgid "Wrap around when searching. Currently only used for typeahead."
 msgstr ""
 
-#: src/config/options.inc:410
+#: src/config/options.inc:429
 #, fuzzy
 msgid "Show not found"
 msgstr "Non se atopou a mquina"
 
-#: src/config/options.inc:412
+#: src/config/options.inc:431
 msgid ""
 "How to inform the user when nothing is matched:\n"
 "0 means do nothing\n"
@@ -2707,281 +2707,282 @@ msgid ""
 "2 means pop up message box"
 msgstr ""
 
-#: src/config/options.inc:417
+#: src/config/options.inc:436
 #, fuzzy
 msgid "Typeahead searching"
 msgstr "Cadea non vlida"
 
-#: src/config/options.inc:419
+#: src/config/options.inc:438
 msgid ""
-"Start typeahead searching when an unbound key is pressed without\n"
-"any modifiers. Note that most keys have default bindings, so this\n"
-"feature will not be useful unless you unbind them.\n"
+"Start typeahead searching when an unbound key is pressed without any "
+"modifiers. Note that most keys have default bindings, so this feature will "
+"not be useful unless you unbind them.\n"
 "\n"
-"0 disables this feature; typeahead searching will only be used\n"
-"  when you press a key bound to search-typeahead or similar\n"
+"0 disables this feature; typeahead searching will only be\n"
+"  used when you press a key bound to search-typeahead or\n"
+"  similar\n"
 "1 automatically starts typeahead searching thru link text\n"
-"2 automatically starts typeahead searching thru all document text"
+"2 automatically starts typeahead searching thru all document\n"
+"  text"
 msgstr ""
 
-#: src/config/options.inc:428
+#: src/config/options.inc:451
 msgid "Horizontal text margin"
 msgstr ""
 
-#: src/config/options.inc:430
+#: src/config/options.inc:453
 msgid "Horizontal text margin."
 msgstr ""
 
-#: src/config/options.inc:432
+#: src/config/options.inc:455
 msgid "Document meta refresh"
 msgstr ""
 
-#: src/config/options.inc:434
+#: src/config/options.inc:457
 msgid ""
-"Automatically follow document-specified refresh directives ('<meta>\n"
-"refresh' tags). Web-page authors use these to instruct the browser\n"
-"to reload a document at a given interval or to load another page.\n"
-"Regardless of the value the refresh URI is accessible as a link.\n"
-"Use the document.browse.minimum_refresh_time to control the minimum\n"
-"number of seconds a refresh will wait."
+"Automatically follow document-specified refresh directives ('<meta> refresh' "
+"tags). Web-page authors use these to instruct the browser to reload a "
+"document at a given interval or to load another page. Regardless of the "
+"value the refresh URI is accessible as a link.\n"
+"\n"
+"Use the document.browse.minimum_refresh_time to control the minimum number "
+"of seconds a refresh will wait."
 msgstr ""
 
-#: src/config/options.inc:441
+#: src/config/options.inc:466
 msgid "Document meta refresh minimum time"
 msgstr ""
 
-#: src/config/options.inc:443
+#: src/config/options.inc:468
 msgid ""
-"The minimum number of milliseconds that should pass before\n"
-"refreshing. If set to zero the document refresh time is used\n"
-"unchanged. It can fix going back in history for some sites that\n"
-"use refreshing with zero values."
+"The minimum number of milliseconds that should pass before refreshing. If "
+"set to zero the document refresh time is used unchanged. It can fix going "
+"back in history for some sites that use refreshing with zero values."
 msgstr ""
 
-#: src/config/options.inc:448
+#: src/config/options.inc:473
 msgid "Tables navigation order"
 msgstr ""
 
-#: src/config/options.inc:450
+#: src/config/options.inc:475
 msgid "Move by columns in table, instead of rows."
 msgstr ""
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:456
+#: src/config/options.inc:481
 #, fuzzy
 msgid "Cache"
 msgstr "Cancelar"
 
-#: src/config/options.inc:458
+#: src/config/options.inc:483
 #, fuzzy
 msgid "Cache options."
 msgstr "~Gardar opcins"
 
-#: src/config/options.inc:460
+#: src/config/options.inc:485
 msgid "Cache information about redirects"
 msgstr ""
 
-#: src/config/options.inc:462
+#: src/config/options.inc:487
 msgid ""
-"Cache even redirects sent by server (usually thru HTTP by a 302\n"
-"HTTP code and a Location header). This was the original behaviour\n"
-"for quite some time, but it causes problems in a situation very\n"
-"common to various web login systems - frequently, when accessing\n"
-"a certain location, they will redirect you to a login page if they\n"
-"don't receive an auth cookie, the login page then gives you the\n"
-"cookie and redirects you back to the original page, but there you\n"
-"have already cached redirect back to the login page! If this\n"
-"option has value of 0, this malfunction is fixed, but occasionally\n"
-"you may get superfluous (depends on how you take it ;-) requests to\n"
-"the server. If this option has value of 1, experienced users can\n"
-"still workaround it by clever combination of usage of reload,\n"
-"jumping around in session history and hitting ctrl+enter.\n"
-"Note that this option is checked when retrieving the information\n"
-"from cache, not when saving it to cache - thus if you enable\n"
-"it, even previous redirects will be taken from cache instead of\n"
-"asking the server."
+"Cache even redirects sent by server (usually thru HTTP by a 302 HTTP code "
+"and a Location header). This was the original behaviour for quite some time, "
+"but it causes problems in a situation very common to various web login "
+"systems - frequently, when accessing a certain location, they will redirect "
+"you to a login page if they don't receive an auth cookie, the login page "
+"then gives you the cookie and redirects you back to the original page, but "
+"there you have already cached redirect back to the login page! If this "
+"option has value of 0, this malfunction is fixed, but occasionally you may "
+"get superfluous (depends on how you take it ;-) requests to the server. If "
+"this option has value of 1, experienced users can still workaround it by "
+"clever combination of usage of reload, jumping around in session history and "
+"hitting ctrl+enter.\n"
+"\n"
+"Note that this option is checked when retrieving the information from cache, "
+"not when saving it to cache - thus if you enable it, even previous redirects "
+"will be taken from cache instead of asking the server."
 msgstr ""
 
-#: src/config/options.inc:480
+#: src/config/options.inc:508
 msgid "Ignore cache-control info from server"
 msgstr ""
 
-#: src/config/options.inc:482
+#: src/config/options.inc:510
 msgid ""
-"Ignore Cache-Control and Pragma server headers.\n"
-"When set, the document is cached even with 'Cache-Control: no-cache'."
+"Ignore Cache-Control and Pragma server headers. When set, the document is "
+"cached even with 'Cache-Control: no-cache'."
 msgstr ""
 
-#: src/config/options.inc:485
+#: src/config/options.inc:514
 #, fuzzy
 msgid "Formatted documents"
 msgstr "Cach de documentos con formato"
 
-#: src/config/options.inc:487
+#: src/config/options.inc:516
 msgid "Format cache options."
 msgstr ""
 
-#: src/config/options.inc:489
+#: src/config/options.inc:518
 #, fuzzy
 msgid "Number"
 msgstr "Nmero non vlido"
 
-#: src/config/options.inc:491
+#: src/config/options.inc:520
 msgid ""
-"Number of cached formatted pages. Do not get too generous\n"
-"here, 'formatted' means that all the accompanying structures\n"
-"are kept in memory so that you get the cached document\n"
-"immediatelly, but these structures may take a lot - 2x the\n"
-"size of the HTML source is probably not unusual, but it can\n"
-"be even more if the document consists of a lot of short lines\n"
-"(padded right, if possible) and links and not much other markup.\n"
-"So if you set this to 256 and then you don't like your ELinks\n"
-"eating 90M, don't come complaining to us. ;-)\n"
-"Also note that the format cache itself is not counted to the\n"
-"memory cache size, but the HTML source of the formatted documents\n"
-"is always cached, even if it is over the memory cache size\n"
-"threshold. (Then of course no other documents can be cached.)"
+"Number of cached formatted pages. Do not get too generous here, 'formatted' "
+"means that all the accompanying structures are kept in memory so that you "
+"get the cached document immediatelly, but these structures may take a lot - "
+"2x the size of the HTML source is probably not unusual, but it can be even "
+"more if the document consists of a lot of short lines (padded right, if "
+"possible) and links and not much other markup. So if you set this to 256 and "
+"then you don't like your ELinks eating 90M, don't come complaining to "
+"us. ;-)\n"
+"\n"
+"Also note that the format cache itself is not counted to the memory cache "
+"size, but the HTML source of the formatted documents is always cached, even "
+"if it is over the memory cache size threshold. (Then of course no other "
+"documents can be cached.)"
 msgstr ""
 
 #. FIXME: Write more.
-#: src/config/options.inc:506
+#: src/config/options.inc:538
 #, fuzzy
 msgid "Revalidation interval"
 msgstr "Erro  gardar"
 
-#: src/config/options.inc:508
+#: src/config/options.inc:540
 msgid ""
-"Period in seconds that a cache entry is considered to be\n"
-"up-to-date. When a document is loaded and this interval has elapsed\n"
-"since the document was initially loaded or most recently\n"
-"revalidated with the server, the server will be checked in case\n"
-"there is a more up-to-date version of the document.\n"
+"Period in seconds that a cache entry is considered to be up-to-date. When a "
+"document is loaded and this interval has elapsed since the document was "
+"initially loaded or most recently revalidated with the server, the server "
+"will be checked in case there is a more up-to-date version of the document.\n"
 "\n"
 "A value of -1 disables automatic revalidation."
 msgstr ""
 
-#: src/config/options.inc:515 src/dialogs/info.c:199
+#: src/config/options.inc:549 src/dialogs/info.c:199
 msgid "Memory cache"
 msgstr "Cach en memoria"
 
-#: src/config/options.inc:517
+#: src/config/options.inc:551
 #, fuzzy
 msgid "Memory cache options."
 msgstr "Cach en memoria"
 
-#: src/config/options.inc:521
+#: src/config/options.inc:555
 #, fuzzy
 msgid "Memory cache size (in bytes)."
 msgstr "Cach en memoria"
 
-#: src/config/options.inc:525
+#: src/config/options.inc:559
 #, fuzzy
 msgid "Charset"
 msgstr "~Xogo de caracteres"
 
-#: src/config/options.inc:527
+#: src/config/options.inc:561
 #, fuzzy
 msgid "Charset options."
 msgstr "~Gardar opcins"
 
-#: src/config/options.inc:529
+#: src/config/options.inc:563
 msgid "Default codepage"
 msgstr ""
 
-#: src/config/options.inc:531
+#: src/config/options.inc:565
 msgid ""
-"Default document codepage. 'System' stands for\n"
-"a codepage determined by a selected locale."
+"Default document codepage. 'System' stands for a codepage determined by a "
+"selected locale."
 msgstr ""
 
-#: src/config/options.inc:534
+#: src/config/options.inc:568
 msgid "Ignore charset info from server"
 msgstr ""
 
-#: src/config/options.inc:536
+#: src/config/options.inc:570
 msgid "Ignore charset info sent by server."
 msgstr ""
 
-#: src/config/options.inc:540
+#: src/config/options.inc:574
 msgid "Default color settings"
 msgstr ""
 
-#: src/config/options.inc:542
+#: src/config/options.inc:576
 msgid "Default document color settings."
 msgstr ""
 
-#: src/config/options.inc:553
+#: src/config/options.inc:587
 msgid "Link color"
 msgstr ""
 
-#: src/config/options.inc:555
+#: src/config/options.inc:589
 msgid "Default link color."
 msgstr ""
 
-#: src/config/options.inc:557
+#: src/config/options.inc:591
 msgid "Visited-link color"
 msgstr ""
 
-#: src/config/options.inc:559
+#: src/config/options.inc:593
 msgid "Default visited link color."
 msgstr ""
 
-#: src/config/options.inc:561
+#: src/config/options.inc:595
 #, fuzzy
 msgid "Image-link color"
 msgstr "E~liminar conexins en segundo plano"
 
-#: src/config/options.inc:563
+#: src/config/options.inc:597
 #, fuzzy
 msgid "Default image link color."
 msgstr "E~liminar conexins en segundo plano"
 
-#: src/config/options.inc:565
+#: src/config/options.inc:599
 msgid "Bookmarked-link color"
 msgstr ""
 
-#: src/config/options.inc:567
+#: src/config/options.inc:601
 #, fuzzy
 msgid "Default bookmarked link color."
 msgstr "E~liminar conexins en segundo plano"
 
-#: src/config/options.inc:569
+#: src/config/options.inc:603
 msgid "Directory color"
 msgstr ""
 
-#: src/config/options.inc:571
+#: src/config/options.inc:605
 msgid ""
 "Default directory color.\n"
+"\n"
 "See document.browse.links.color_dirs option."
 msgstr ""
 
-#: src/config/options.inc:578
+#: src/config/options.inc:613
 msgid "Increase contrast"
 msgstr ""
 
-#: src/config/options.inc:580
+#: src/config/options.inc:615
 msgid ""
-"Increase the contrast between the foreground and background colors\n"
-"to ensure readability. For example it disallows dark colors on a\n"
-"black background. Note, this is different from ensuring the contrast\n"
-"with the ensure_contrast option."
+"Increase the contrast between the foreground and background colors to ensure "
+"readability. For example it disallows dark colors on a black background. "
+"Note, this is different from ensuring the contrast with the ensure_contrast "
+"option."
 msgstr ""
 
-#: src/config/options.inc:585
+#: src/config/options.inc:621
 msgid "Ensure contrast"
 msgstr ""
 
-#: src/config/options.inc:587
+#: src/config/options.inc:623
 msgid "Makes sure that the back- and foreground colors are never equal."
 msgstr ""
 
 #. If you change this please also change ACT_MAIN_DOCUMENT_COLORS action
 #. * handling.
-#: src/config/options.inc:592
+#: src/config/options.inc:628
 msgid "Use document-specified colors"
 msgstr ""
 
-#: src/config/options.inc:594
+#: src/config/options.inc:630
 msgid ""
 "Use colors specified in document:\n"
 "0 is use always the default settings\n"
@@ -2993,40 +2994,40 @@ msgid ""
 msgstr ""
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:607
+#: src/config/options.inc:643
 #, fuzzy
 msgid "Downloading"
 msgstr "Descargar"
 
-#: src/config/options.inc:609
+#: src/config/options.inc:645
 msgid "Options regarding files downloading and handling."
 msgstr ""
 
-#: src/config/options.inc:611
+#: src/config/options.inc:647
 #, fuzzy
 msgid "Default download directory"
 msgstr "Erro de descarga"
 
-#: src/config/options.inc:613
+#: src/config/options.inc:649
 msgid "Default download directory."
 msgstr ""
 
-#: src/config/options.inc:615
+#: src/config/options.inc:651
 msgid "Set original time"
 msgstr ""
 
-#: src/config/options.inc:617
+#: src/config/options.inc:653
 msgid ""
-"Set the timestamp of each downloaded file to the timestamp\n"
-"stored on the server."
+"Set the timestamp of each downloaded file to the timestamp stored on the "
+"server."
 msgstr ""
 
 #. Does automatic resuming make sense as an option?
-#: src/config/options.inc:621
+#: src/config/options.inc:657
 msgid "Prevent overwriting"
 msgstr ""
 
-#: src/config/options.inc:623
+#: src/config/options.inc:659
 msgid ""
 "Prevent overwriting the local files:\n"
 "0 is files will silently be overwritten\n"
@@ -3034,11 +3035,11 @@ msgid ""
 "2 is ask the user"
 msgstr ""
 
-#: src/config/options.inc:628
+#: src/config/options.inc:664
 msgid "Notify download completion by bell"
 msgstr ""
 
-#: src/config/options.inc:630
+#: src/config/options.inc:666
 msgid ""
 "Audio notification when download is completed:\n"
 "0 is never\n"
@@ -3046,27 +3047,27 @@ msgid ""
 "2 is always"
 msgstr ""
 
-#: src/config/options.inc:636
+#: src/config/options.inc:672
 msgid "Dump output"
 msgstr ""
 
-#: src/config/options.inc:638
+#: src/config/options.inc:674
 msgid "Dump output options."
 msgstr ""
 
 #. OPT_CODEPAGE
-#: src/config/options.inc:640 src/config/options.inc:912
+#: src/config/options.inc:676 src/config/options.inc:980
 #: src/config/opttypes.c:481 src/dialogs/document.c:164
 msgid "Codepage"
 msgstr "Tboa de cdigos"
 
-#: src/config/options.inc:642
+#: src/config/options.inc:678
 msgid ""
-"Codepage used in dump output. 'System' stands for\n"
-"a codepage determined by a selected locale."
+"Codepage used in dump output. 'System' stands for a codepage determined by a "
+"selected locale."
 msgstr ""
 
-#: src/config/options.inc:645 src/config/options.inc:878
+#: src/config/options.inc:681 src/config/options.inc:941
 #, fuzzy
 msgid "Color mode"
 msgstr "Cor"
@@ -3076,12 +3077,14 @@ msgstr "Cor"
 #. * an outer list entry after an inner list.
 #. * TRANSLATORS: This restriction applies only to the
 #. * "en" (English) translation.  (See doc/Makefile.)
-#: src/config/options.inc:652
+#: src/config/options.inc:688
 msgid ""
 "Color mode for dumps.\n"
+"\n"
 "Some modes may have been disabled at compile time. The Setup -> Terminal "
 "options dialog lists the modes supported by this executable. If you select "
 "an unsupported mode, ELinks uses 16 colors.\n"
+"\n"
 "The color modes are:\n"
 "-1 is standard dump mode\n"
 "0 is mono mode\n"
@@ -3091,127 +3094,125 @@ msgid ""
 "4 is true color mode"
 msgstr ""
 
-#: src/config/options.inc:665
+#: src/config/options.inc:703
 msgid "Footer"
 msgstr ""
 
-#: src/config/options.inc:667
+#: src/config/options.inc:705
 #, c-format
 msgid "Footer string used in dumps. %u is substituted by URL."
 msgstr ""
 
-#: src/config/options.inc:671
+#: src/config/options.inc:709
 #, c-format
 msgid "Header string used in dumps. %u is substituted by URL."
 msgstr ""
 
-#: src/config/options.inc:673
+#: src/config/options.inc:711
 #, fuzzy
 msgid "Numbering"
 msgstr "Nmero non vlido"
 
-#: src/config/options.inc:675
+#: src/config/options.inc:713
 msgid "Whether to print link numbers in dump output."
 msgstr ""
 
-#: src/config/options.inc:677
+#: src/config/options.inc:715
 #, fuzzy
 msgid "References"
 msgstr "Recursos"
 
-#: src/config/options.inc:679
-msgid ""
-"Whether to print references (URIs) of document links\n"
-"in dump output."
+#: src/config/options.inc:717
+msgid "Whether to print references (URIs) of document links in dump output."
 msgstr ""
 
-#: src/config/options.inc:682
+#: src/config/options.inc:720
 msgid "Separator"
 msgstr ""
 
-#: src/config/options.inc:684
+#: src/config/options.inc:722
 msgid "String which separates two dumps."
 msgstr ""
 
-#: src/config/options.inc:686
+#: src/config/options.inc:724
 msgid "Width"
 msgstr ""
 
-#: src/config/options.inc:688
+#: src/config/options.inc:726
 msgid "Width of screen in characters when dumping documents."
 msgstr ""
 
-#: src/config/options.inc:692
+#: src/config/options.inc:730
 #, fuzzy
 msgid "History"
 msgstr "~Historial"
 
-#: src/config/options.inc:694
+#: src/config/options.inc:732
 msgid "History options."
 msgstr ""
 
-#: src/config/options.inc:696
+#: src/config/options.inc:734
 #, fuzzy
 msgid "Keep unhistory"
 msgstr "Sen historial"
 
-#: src/config/options.inc:698
+#: src/config/options.inc:736
 #, fuzzy
 msgid "Keep unhistory (\"forward history\")."
 msgstr "Sen historial"
 
-#: src/config/options.inc:701
+#: src/config/options.inc:739
 #, fuzzy
 msgid "HTML rendering"
 msgstr "Transferindo"
 
-#: src/config/options.inc:703
+#: src/config/options.inc:741
 msgid "Options concerning the display of HTML pages."
 msgstr ""
 
-#: src/config/options.inc:705
+#: src/config/options.inc:743
 #, fuzzy
 msgid "Display frames"
 msgstr "Mostrar"
 
-#: src/config/options.inc:707
+#: src/config/options.inc:745
 #, fuzzy
 msgid "Display frames."
 msgstr "Mostrar"
 
-#: src/config/options.inc:709
+#: src/config/options.inc:747
 #, fuzzy
 msgid "Display tables"
 msgstr "Mostrar"
 
-#: src/config/options.inc:711
+#: src/config/options.inc:749
 #, fuzzy
 msgid "Display tables."
 msgstr "Mostrar"
 
-#: src/config/options.inc:713
+#: src/config/options.inc:751
 #, fuzzy
 msgid "Display subscripts"
 msgstr "Mostrar ~Usemap"
 
-#: src/config/options.inc:715
+#: src/config/options.inc:753
 msgid "Display subscripts (as [thing])."
 msgstr ""
 
-#: src/config/options.inc:717
+#: src/config/options.inc:755
 #, fuzzy
 msgid "Display superscripts"
 msgstr "Mostrar ~Usemap"
 
-#: src/config/options.inc:719
+#: src/config/options.inc:757
 msgid "Display superscripts (as ^thing)."
 msgstr ""
 
-#: src/config/options.inc:721
+#: src/config/options.inc:759
 msgid "Rendering of HTML link element"
 msgstr ""
 
-#: src/config/options.inc:723
+#: src/config/options.inc:761
 msgid ""
 "How to render <link> tags from the HTML header:\n"
 "0 is nothing\n"
@@ -3222,145 +3223,143 @@ msgid ""
 "5 is everything"
 msgstr ""
 
-#: src/config/options.inc:731
+#: src/config/options.inc:769
 msgid "Underline links"
 msgstr ""
 
-#: src/config/options.inc:733
+#: src/config/options.inc:771
 msgid "Underline links."
 msgstr ""
 
-#: src/config/options.inc:735
+#: src/config/options.inc:773
 msgid "Wrap non breaking space"
 msgstr ""
 
-#: src/config/options.inc:737
+#: src/config/options.inc:775
 msgid ""
-"If set do not honour non breaking space (the nbsp entity)\n"
-"but allow to wrap the text. This can help keeping the width\n"
-"of documents down so no horizontal scrolling is needed."
+"If set do not honour non breaking space (the nbsp entity) but allow to wrap "
+"the text. This can help keeping the width of documents down so no horizontal "
+"scrolling is needed."
 msgstr ""
 
-#: src/config/options.inc:742
+#: src/config/options.inc:780
 #, fuzzy
 msgid "Plain rendering"
 msgstr "Transferindo"
 
-#: src/config/options.inc:744
+#: src/config/options.inc:782
 msgid "Options concerning the display of plain text pages."
 msgstr ""
 
-#: src/config/options.inc:746
+#: src/config/options.inc:784
 #, fuzzy
 msgid "Display URIs"
 msgstr "Mostrar"
 
-#: src/config/options.inc:748
+#: src/config/options.inc:786
 msgid "Display URIs in the document as links."
 msgstr ""
 
-#: src/config/options.inc:750
+#: src/config/options.inc:788
 msgid "Compress empty lines"
 msgstr ""
 
-#: src/config/options.inc:752
+#: src/config/options.inc:790
 msgid "Compress successive empty lines to only one in displayed text."
 msgstr ""
 
-#: src/config/options.inc:755
+#: src/config/options.inc:794
 msgid "URI passing"
 msgstr ""
 
-#: src/config/options.inc:757
+#: src/config/options.inc:796
 msgid ""
-"Rules for passing URIs to external commands. When one rule\n"
-"is defined the link and tab menu will have a menu item that\n"
-"makes it possible to pass the the link, frame or tab URI to\n"
-"an external command. If several rules are defined the link and\n"
-"tab menu will have a submenu of items for each rule. Note, this\n"
-"is mostly useful for launching graphical viewers, since there\n"
-"is no support for releasing the terminal while the command runs.\n"
-"The action and submenus are also available by binding keys to\n"
-"the frame-external-command, the link-external-command, and\n"
-"the tab-external-command actions."
+"Rules for passing URIs to external commands. When one rule is defined the "
+"link and tab menu will have a menu item that makes it possible to pass the "
+"the link, frame or tab URI to an external command. If several rules are "
+"defined the link and tab menu will have a submenu of items for each rule.\n"
+"\n"
+"Note, this is mostly useful for launching graphical viewers, since there is "
+"no support for releasing the terminal while the command runs. The action and "
+"submenus are also available by binding keys to the frame-external-command, "
+"the link-external-command, and the tab-external-command actions."
 msgstr ""
 
-#: src/config/options.inc:770
+#: src/config/options.inc:812
 msgid ""
-"A rule for passing URI to an external command.\n"
-"The format is:\n"
+"A rule for passing URI to an external command. The format is:\n"
 "%c in the string means the current URL\n"
 "%% in the string means '%'\n"
 "Do _not_ put single- or double-quotes around %c."
 msgstr ""
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:780
+#: src/config/options.inc:822
 msgid "Information files"
 msgstr ""
 
-#: src/config/options.inc:782
+#: src/config/options.inc:824
 msgid "Options for information files in ~/.elinks."
 msgstr ""
 
-#: src/config/options.inc:784
+#: src/config/options.inc:826
 #, fuzzy
 msgid "Save interval"
 msgstr "Erro  gardar"
 
-#: src/config/options.inc:786
+#: src/config/options.inc:828
 msgid ""
-"Interval at which to trigger information files in ~/.elinks\n"
-"to be saved to disk if they have changed (seconds; 0 to disable)"
+"Interval at which to trigger information files in ~/.elinks to be saved to "
+"disk if they have changed (seconds; 0 to disable)"
 msgstr ""
 
-#: src/config/options.inc:789
+#: src/config/options.inc:832
 msgid "Use secure file saving"
 msgstr ""
 
-#: src/config/options.inc:791
+#: src/config/options.inc:834
 msgid ""
-"First write data to unique temporary file, then rename this file\n"
-"upon successfully finishing this. Note that this relates only to\n"
-"config files, not downloaded files. You may want to disable\n"
-"it if you are using some exotic permissions for concerned files.\n"
-"Secure file saving is automagically disabled if file is symlink.\n"
-"Warning: some systems (ie. OS/2, Win32) require that destination\n"
-"file doesn't exist when rename(3) is called, breaking atomicity,\n"
-"and reducing reliability of this feature."
+"First write data to unique temporary file, then rename this file upon "
+"successfully finishing this. Note that this relates only to config files, "
+"not downloaded files. You may want to disable it if you are using some "
+"exotic permissions for concerned files. Secure file saving is automagically "
+"disabled if file is symlink.\n"
+"\n"
+"Warning: some systems (ie. OS/2, Win32) require that destination file "
+"doesn't exist when rename(3) is called, breaking atomicity, and reducing "
+"reliability of this feature."
 msgstr ""
 
-#: src/config/options.inc:800
+#: src/config/options.inc:846
 msgid "Use fsync(3) with secure file saving"
 msgstr ""
 
-#: src/config/options.inc:802
+#: src/config/options.inc:848
 msgid ""
-"When using secure file saving, call fsync(3), if the OS\n"
-"supports it, to force the OS immediately to write the data\n"
-"to permanent storage. This is optional for those who wish\n"
-"to avoid excessive disk I/O."
+"When using secure file saving, call fsync(3), if the OS supports it, to "
+"force the OS immediately to write the data to permanent storage. This is "
+"optional for those who wish to avoid excessive disk I/O."
 msgstr ""
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:811
+#: src/config/options.inc:857
 #, fuzzy
 msgid "Terminals"
 msgstr "Opcins de terminal"
 
-#: src/config/options.inc:813
+#: src/config/options.inc:859
 #, fuzzy
 msgid "Terminal options."
 msgstr "Opcins de terminal"
 
-#: src/config/options.inc:817
+#: src/config/options.inc:863
 msgid "Options specific to this terminal type (according to $TERM value)."
 msgstr ""
 
-#: src/config/options.inc:842
+#: src/config/options.inc:889
 msgid ""
-"Terminal type; matters mostly only when drawing frames and\n"
-"dialog box borders:\n"
+"Terminal type; matters mostly only when drawing frames and dialog box "
+"borders:\n"
 "0 is dumb terminal type, ASCII art\n"
 "1 is VT100, simple but portable\n"
 "2 is Linux, you get double frames and other goodies\n"
@@ -3368,15 +3367,31 @@ msgid ""
 "4 is FreeBSD"
 msgstr ""
 
-#: src/config/options.inc:850 src/dialogs/options.c:227
+#: src/config/options.inc:897
+msgid "Always encode xterm title in ISO-8859-1"
+msgstr ""
+
+#: src/config/options.inc:899
+msgid ""
+"When updating the window title of xterm or a similar terminal emulator, "
+"encode the title in ISO-8859-1 (Latin-1), rather than in the charset used "
+"for other text in the window. Cyrillic and other characters get replaced "
+"with Latin ones. Xterm requires this unless you explicitly enable UTF-8 "
+"titles in it.\n"
+"\n"
+"If this option does not take effect immediately, try switching to a "
+"different page so that ELinks notices it needs to update the title."
+msgstr ""
+
+#: src/config/options.inc:910 src/dialogs/options.c:227
 msgid "Switch fonts for line drawing"
 msgstr ""
 
-#: src/config/options.inc:852
+#: src/config/options.inc:912
 msgid ""
-"Switch fonts when drawing lines, enabling both local characters\n"
-"and lines working at the same time. ELinks uses this option only if\n"
-"UTF-8 I/O is disabled and the terminal type is Linux or FreeBSD."
+"Switch fonts when drawing lines, enabling both local characters and lines "
+"working at the same time. ELinks uses this option only if UTF-8 I/O is "
+"disabled and the terminal type is Linux or FreeBSD."
 msgstr ""
 
 #. When CONFIG_UTF8 is defined, any code that reads the "utf_8_io"
@@ -3384,37 +3399,37 @@ msgstr ""
 #. * and if so, behave as if "utf_8_io" were 1.  (When CONFIG_UTF8 is
 #. * not defined, it should not be possible to set UTF-8 as "codepage";
 #. * please report any such possibilities as bugs.)
-#: src/config/options.inc:861 src/dialogs/options.c:232
+#: src/config/options.inc:922 src/dialogs/options.c:232
 msgid "UTF-8 I/O"
 msgstr ""
 
-#: src/config/options.inc:863
+#: src/config/options.inc:924
 msgid ""
-"Enable I/O in UTF-8 for Unicode terminals. Note that currently,\n"
-"only the subset of UTF-8 according to terminal codepage is used.\n"
-"ELinks ignores this option if the terminal codepage is UTF-8."
+"Enable I/O in UTF-8 for Unicode terminals. Note that currently, only the "
+"subset of UTF-8 according to terminal codepage is used. ELinks ignores this "
+"option if the terminal codepage is UTF-8."
 msgstr ""
 
-#: src/config/options.inc:867 src/dialogs/options.c:228
+#: src/config/options.inc:929 src/dialogs/options.c:228
 msgid "Restrict frames in cp850/852"
 msgstr "Restrinxir marcos en cp850/852"
 
-#: src/config/options.inc:869
+#: src/config/options.inc:931
 msgid ""
-"Restrict the characters used when drawing lines. Makes sense\n"
-"only with linux terminals using the cp850/852 character sets."
+"Restrict the characters used when drawing lines. Makes sense only with linux "
+"terminals using the cp850/852 character sets."
 msgstr ""
 
-#: src/config/options.inc:872 src/dialogs/options.c:229
+#: src/config/options.inc:935 src/dialogs/options.c:229
 #, fuzzy
 msgid "Block cursor"
 msgstr "Cursor de bloque"
 
-#: src/config/options.inc:874
+#: src/config/options.inc:937
 msgid ""
-"Move cursor to bottom right corner when done drawing.\n"
-"This is particularly useful when we have a block cursor,\n"
-"so that inversed text is displayed correctly."
+"Move cursor to bottom right corner when done drawing. This is particularly "
+"useful when we have a block cursor, so that inversed text is displayed "
+"correctly."
 msgstr ""
 
 #. The list of modes must be at the end of this string
@@ -3422,13 +3437,15 @@ msgstr ""
 #. * an outer list entry after an inner list.
 #. * TRANSLATORS: This restriction applies only to the
 #. * "en" (English) translation.  (See doc/Makefile.)
-#: src/config/options.inc:885
+#: src/config/options.inc:948
 msgid ""
 "The color mode controls what colors are used and how they are output to the "
 "terminal.\n"
+"\n"
 "Some modes may have been disabled at compile time. The Setup -> Terminal "
 "options dialog lists the modes supported by this executable. If you select "
 "an unsupported mode, ELinks uses 16 colors.\n"
+"\n"
 "The color modes are:\n"
 "0 is mono mode, only 2 colors are used\n"
 "1 is 16 color mode, uses the common ANSI colors\n"
@@ -3437,425 +3454,422 @@ msgid ""
 "4 is true color mode, uses konsole RGB codes"
 msgstr ""
 
-#: src/config/options.inc:898 src/dialogs/options.c:230
+#: src/config/options.inc:963 src/dialogs/options.c:230
 msgid "Transparency"
 msgstr ""
 
-#: src/config/options.inc:900
+#: src/config/options.inc:965
 msgid ""
-"If we should not set the background to black. This is particularly\n"
-"useful when we have a terminal (typically in some windowing\n"
-"environment) with a background image or a transparent background -\n"
-"it will be visible in ELinks as well (but ELinks document color handling\n"
-"will still assume the background is black so if you have a bright "
-"background\n"
-"you might experience contrast problems). Note that this option makes\n"
-"sense only when colors are enabled."
+"If we should not set the background to black. This is particularly useful "
+"when we have a terminal (typically in some windowing environment) with a "
+"background image or a transparent background - it will be visible in ELinks "
+"as well (but ELinks document color handling will still assume the background "
+"is black so if you have a bright background you might experience contrast "
+"problems). Note that this option makes sense only when colors are enabled."
 msgstr ""
 
-#: src/config/options.inc:910
+#: src/config/options.inc:977
 msgid "If we should use underline or enhance the color instead."
 msgstr ""
 
-#: src/config/options.inc:914
+#: src/config/options.inc:982
 msgid ""
-"Codepage of charset used for displaying content on terminal.\n"
-"'System' stands for a codepage determined by a selected locale."
+"Codepage of charset used for displaying content on terminal. 'System' stands "
+"for a codepage determined by a selected locale."
 msgstr ""
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:921
+#: src/config/options.inc:990
 msgid "User interface"
 msgstr ""
 
-#: src/config/options.inc:923
+#: src/config/options.inc:992
 #, fuzzy
 msgid "User interface options."
 msgstr "Opcins de terminal"
 
-#: src/config/options.inc:927
+#: src/config/options.inc:996
 msgid "Color settings"
 msgstr ""
 
-#: src/config/options.inc:929
+#: src/config/options.inc:998
 msgid "Default user interface color settings."
 msgstr ""
 
-#: src/config/options.inc:956
+#: src/config/options.inc:1025
 #, fuzzy
 msgid "Color terminals"
 msgstr "Terminal de ~BeOS"
 
-#: src/config/options.inc:958
+#: src/config/options.inc:1027
 msgid "Color settings for color terminal."
 msgstr ""
 
-#: src/config/options.inc:960
+#: src/config/options.inc:1029
 msgid "Non-color terminals"
 msgstr ""
 
-#: src/config/options.inc:962
+#: src/config/options.inc:1031
 msgid "Color settings for non-color terminal."
 msgstr ""
 
 #. FIXME: obsolete, how to alias them correctly ? --Zas
-#: src/config/options.inc:965
+#: src/config/options.inc:1034
 msgid "Main menu bar"
 msgstr ""
 
-#: src/config/options.inc:967
+#: src/config/options.inc:1036
 msgid "Main menu bar colors."
 msgstr ""
 
-#: src/config/options.inc:969
+#: src/config/options.inc:1038
 msgid "Unselected main menu bar item"
 msgstr ""
 
-#: src/config/options.inc:971
+#: src/config/options.inc:1040
 msgid "Unselected main menu bar item colors."
 msgstr ""
 
-#: src/config/options.inc:973
+#: src/config/options.inc:1042
 msgid "Selected main menu bar item"
 msgstr ""
 
-#: src/config/options.inc:975
+#: src/config/options.inc:1044
 msgid "Selected main menu bar item colors."
 msgstr ""
 
-#: src/config/options.inc:977 src/config/options.inc:1006
+#: src/config/options.inc:1046 src/config/options.inc:1075
 msgid "Hotkey"
 msgstr ""
 
-#: src/config/options.inc:979
+#: src/config/options.inc:1048
 msgid "Main menu hotkey colors."
 msgstr ""
 
-#: src/config/options.inc:981 src/config/options.inc:1010
+#: src/config/options.inc:1050 src/config/options.inc:1079
 msgid "Unselected hotkey"
 msgstr ""
 
-#: src/config/options.inc:983
+#: src/config/options.inc:1052
 msgid "Main menu unselected hotkey colors."
 msgstr ""
 
-#: src/config/options.inc:985 src/config/options.inc:1014
+#: src/config/options.inc:1054 src/config/options.inc:1083
 #, fuzzy
 msgid "Selected hotkey"
 msgstr "Campo de seleccin"
 
-#: src/config/options.inc:987
+#: src/config/options.inc:1056
 msgid "Main menu selected hotkey colors."
 msgstr ""
 
-#: src/config/options.inc:990
+#: src/config/options.inc:1059
 msgid "Menu bar"
 msgstr ""
 
-#: src/config/options.inc:992
+#: src/config/options.inc:1061
 msgid "Menu bar colors."
 msgstr ""
 
-#: src/config/options.inc:994
+#: src/config/options.inc:1063
 msgid "Unselected menu item"
 msgstr ""
 
-#: src/config/options.inc:996
+#: src/config/options.inc:1065
 msgid "Unselected menu item colors."
 msgstr ""
 
-#: src/config/options.inc:998
+#: src/config/options.inc:1067
 #, fuzzy
 msgid "Selected menu item"
 msgstr "Campo de seleccin"
 
-#: src/config/options.inc:1000
+#: src/config/options.inc:1069
 msgid "Selected menu item colors."
 msgstr ""
 
-#: src/config/options.inc:1002
+#: src/config/options.inc:1071
 #, fuzzy
 msgid "Marked menu item"
 msgstr "Campo de seleccin"
 
-#: src/config/options.inc:1004
+#: src/config/options.inc:1073
 msgid "Marked menu item colors."
 msgstr ""
 
-#: src/config/options.inc:1008
+#: src/config/options.inc:1077
 msgid "Menu item hotkey colors."
 msgstr ""
 
-#: src/config/options.inc:1012
+#: src/config/options.inc:1081
 msgid "Menu item unselected hotkey colors."
 msgstr ""
 
-#: src/config/options.inc:1016
+#: src/config/options.inc:1085
 msgid "Menu item selected hotkey colors."
 msgstr ""
 
-#: src/config/options.inc:1018
+#: src/config/options.inc:1087
 #, fuzzy
 msgid "Menu frame"
 msgstr "Sen marcos"
 
-#: src/config/options.inc:1020
+#: src/config/options.inc:1089
 msgid "Menu frame colors."
 msgstr ""
 
-#: src/config/options.inc:1023
+#: src/config/options.inc:1092
 msgid "Dialog"
 msgstr ""
 
-#: src/config/options.inc:1025
+#: src/config/options.inc:1094
 msgid "Dialog colors."
 msgstr ""
 
-#: src/config/options.inc:1035
+#: src/config/options.inc:1104
 msgid "Generic"
 msgstr ""
 
-#: src/config/options.inc:1037
+#: src/config/options.inc:1106
 #, fuzzy
 msgid "Generic dialog colors."
 msgstr "E~liminar conexins en segundo plano"
 
-#: src/config/options.inc:1039
+#: src/config/options.inc:1108
 #, fuzzy
 msgid "Frame"
 msgstr "nome"
 
-#: src/config/options.inc:1041
+#: src/config/options.inc:1110
 msgid "Dialog frame colors."
 msgstr ""
 
-#: src/config/options.inc:1043
+#: src/config/options.inc:1112
 msgid "Scrollbar"
 msgstr ""
 
-#: src/config/options.inc:1045
+#: src/config/options.inc:1114
 msgid "Scrollbar colors."
 msgstr ""
 
-#: src/config/options.inc:1047
+#: src/config/options.inc:1116
 #, fuzzy
 msgid "Selected scrollbar"
 msgstr "E~liminar conexins en segundo plano"
 
-#: src/config/options.inc:1049
+#: src/config/options.inc:1118
 #, fuzzy
 msgid "Scrollbar selected colors."
 msgstr "E~liminar conexins en segundo plano"
 
-#: src/config/options.inc:1053
+#: src/config/options.inc:1122
 msgid "Dialog title colors."
 msgstr ""
 
-#: src/config/options.inc:1055
+#: src/config/options.inc:1124
 #, fuzzy
 msgid "Text"
 msgstr "Area de texto"
 
-#: src/config/options.inc:1057
+#: src/config/options.inc:1126
 msgid "Dialog text colors."
 msgstr ""
 
-#: src/config/options.inc:1059 src/viewer/text/form.c:1862
+#: src/config/options.inc:1128 src/viewer/text/form.c:1891
 msgid "Checkbox"
 msgstr "Caixa de seleccin"
 
-#: src/config/options.inc:1061
+#: src/config/options.inc:1130
 msgid "Dialog checkbox colors."
 msgstr ""
 
-#: src/config/options.inc:1063
+#: src/config/options.inc:1132
 #, fuzzy
 msgid "Selected checkbox"
 msgstr "Campo de seleccin"
 
-#: src/config/options.inc:1065
+#: src/config/options.inc:1134
 #, fuzzy
 msgid "Dialog selected checkbox colors."
 msgstr "E~liminar conexins en segundo plano"
 
-#: src/config/options.inc:1067
+#: src/config/options.inc:1136
 #, fuzzy
 msgid "Checkbox label"
 msgstr "Caixa de seleccin"
 
-#: src/config/options.inc:1069
+#: src/config/options.inc:1138
 msgid "Dialog checkbox label colors."
 msgstr ""
 
-#: src/config/options.inc:1071
+#: src/config/options.inc:1140
 msgid "Button"
 msgstr ""
 
-#: src/config/options.inc:1073 src/config/options.inc:1081
+#: src/config/options.inc:1142 src/config/options.inc:1150
 msgid "Dialog button colors."
 msgstr ""
 
-#: src/config/options.inc:1075
+#: src/config/options.inc:1144
 msgid "Selected button"
 msgstr ""
 
-#: src/config/options.inc:1077 src/config/options.inc:1085
+#: src/config/options.inc:1146 src/config/options.inc:1154
 msgid "Dialog selected button colors."
 msgstr ""
 
-#: src/config/options.inc:1079
+#: src/config/options.inc:1148
 msgid "Button shortcut"
 msgstr ""
 
-#: src/config/options.inc:1083
+#: src/config/options.inc:1152
 #, fuzzy
 msgid "Selected button shortcut"
 msgstr "Campo de seleccin"
 
-#: src/config/options.inc:1087 src/viewer/text/form.c:1866
+#: src/config/options.inc:1156 src/viewer/text/form.c:1895
 msgid "Text field"
 msgstr "Campo de texto"
 
-#: src/config/options.inc:1089
+#: src/config/options.inc:1158
 msgid "Dialog text field colors."
 msgstr ""
 
-#: src/config/options.inc:1091
+#: src/config/options.inc:1160
 #, fuzzy
 msgid "Text field text"
 msgstr "Campo de texto"
 
-#: src/config/options.inc:1093
+#: src/config/options.inc:1162
 msgid "Dialog field text colors."
 msgstr ""
 
-#: src/config/options.inc:1095
+#: src/config/options.inc:1164
 msgid "Meter"
 msgstr ""
 
-#: src/config/options.inc:1097
+#: src/config/options.inc:1166
 msgid "Dialog meter colors."
 msgstr ""
 
-#: src/config/options.inc:1099
+#: src/config/options.inc:1168
 msgid "Shadow"
 msgstr ""
 
-#: src/config/options.inc:1101
+#: src/config/options.inc:1170
 msgid "Dialog shadow colors (see ui.shadows option)."
 msgstr ""
 
-#: src/config/options.inc:1103
+#: src/config/options.inc:1172
 msgid "Title bar"
 msgstr ""
 
-#: src/config/options.inc:1105
+#: src/config/options.inc:1174
 msgid "Title bar colors."
 msgstr ""
 
-#: src/config/options.inc:1107
+#: src/config/options.inc:1176
 msgid "Generic title bar"
 msgstr ""
 
-#: src/config/options.inc:1109
+#: src/config/options.inc:1178
 msgid "Generic title bar colors."
 msgstr ""
 
-#: src/config/options.inc:1111
+#: src/config/options.inc:1180
 msgid "Title bar text"
 msgstr ""
 
-#: src/config/options.inc:1113
+#: src/config/options.inc:1182
 msgid "Title bar text colors."
 msgstr ""
 
-#: src/config/options.inc:1116
+#: src/config/options.inc:1185
 msgid "Status bar"
 msgstr ""
 
-#: src/config/options.inc:1118
+#: src/config/options.inc:1187
 msgid "Status bar colors."
 msgstr ""
 
-#: src/config/options.inc:1120
+#: src/config/options.inc:1189
 msgid "Generic status bar"
 msgstr ""
 
-#: src/config/options.inc:1122
+#: src/config/options.inc:1191
 msgid "Generic status bar colors."
 msgstr ""
 
-#: src/config/options.inc:1124
+#: src/config/options.inc:1193
 #, fuzzy
 msgid "Status bar text"
 msgstr "Buscar texto"
 
-#: src/config/options.inc:1126
+#: src/config/options.inc:1195
 msgid "Status bar text colors."
 msgstr ""
 
-#: src/config/options.inc:1129
+#: src/config/options.inc:1198
 msgid "Tabs bar"
 msgstr ""
 
-#: src/config/options.inc:1131
+#: src/config/options.inc:1200
 msgid "Tabs bar colors."
 msgstr ""
 
-#: src/config/options.inc:1133
+#: src/config/options.inc:1202
 #, fuzzy
 msgid "Unvisited tab"
 msgstr "Campo de seleccin"
 
-#: src/config/options.inc:1135
+#: src/config/options.inc:1204
 msgid ""
-"Tab colors for tabs that have not been\n"
-"selected since they completed loading."
+"Tab colors for tabs that have not been selected since they completed loading."
 msgstr ""
 
-#: src/config/options.inc:1138
+#: src/config/options.inc:1207
 #, fuzzy
 msgid "Unselected tab"
 msgstr "Campo de seleccin"
 
-#: src/config/options.inc:1140
+#: src/config/options.inc:1209
 #, fuzzy
 msgid "Unselected tab colors."
 msgstr "E~liminar conexins en segundo plano"
 
-#: src/config/options.inc:1142
+#: src/config/options.inc:1211
 #, fuzzy
 msgid "Loading tab"
 msgstr "cargando"
 
-#: src/config/options.inc:1144
+#: src/config/options.inc:1213
 msgid "Tab colors for tabs that are loading in the background."
 msgstr ""
 
-#: src/config/options.inc:1146
+#: src/config/options.inc:1215
 #, fuzzy
 msgid "Selected tab"
 msgstr "Campo de seleccin"
 
-#: src/config/options.inc:1148
+#: src/config/options.inc:1217
 #, fuzzy
 msgid "Selected tab colors."
 msgstr "E~liminar conexins en segundo plano"
 
-#: src/config/options.inc:1150
+#: src/config/options.inc:1219
 msgid "Tab separator"
 msgstr ""
 
-#: src/config/options.inc:1152
+#: src/config/options.inc:1221
 msgid "Tab separator colors."
 msgstr ""
 
-#: src/config/options.inc:1155
+#: src/config/options.inc:1224
 #, fuzzy
 msgid "Searched strings"
 msgstr "Cadea non vlida"
 
-#: src/config/options.inc:1157
+#: src/config/options.inc:1226
 #, fuzzy
 msgid "Searched string highlight colors."
 msgstr "Non se atopou a cadea de bsqueda"
@@ -3864,69 +3878,69 @@ msgstr "Non se atopou a cadea de bsqued
 #. ============= BORING PART (colors) END ===================
 #. ==========================================================
 #. Keep options in alphabetical order.
-#: src/config/options.inc:1166
+#: src/config/options.inc:1235
 msgid "Dialog settings"
 msgstr ""
 
-#: src/config/options.inc:1168
+#: src/config/options.inc:1237
 msgid "Dialogs-specific appearance and behaviour settings."
 msgstr ""
 
-#: src/config/options.inc:1171
+#: src/config/options.inc:1240
 msgid "Minimal height of listbox widget"
 msgstr ""
 
-#: src/config/options.inc:1173
+#: src/config/options.inc:1242
 msgid ""
-"Minimal height of the listbox widget (used e.g. for bookmarks\n"
-"or global history)."
+"Minimal height of the listbox widget (used e.g. for bookmarks or global "
+"history)."
 msgstr ""
 
-#: src/config/options.inc:1176
+#: src/config/options.inc:1245
 msgid "Drop shadows"
 msgstr ""
 
-#: src/config/options.inc:1178
+#: src/config/options.inc:1247
 msgid ""
-"Make dialogs drop shadows (the shadows are solid, you can\n"
-"adjust their color by ui.colors.*.dialog.shadow). You may\n"
-"also want to eliminate the wide borders by adjusting setup.h."
+"Make dialogs drop shadows (the shadows are solid, you can adjust their color "
+"by ui.colors.*.dialog.shadow). You may also want to eliminate the wide "
+"borders by adjusting setup.h."
 msgstr ""
 
-#: src/config/options.inc:1182
+#: src/config/options.inc:1252
 #, fuzzy
 msgid "Underline menu hotkeys"
 msgstr "Campo de seleccin"
 
-#: src/config/options.inc:1184
+#: src/config/options.inc:1254
 msgid ""
-"Whether to underline hotkeys in menus to make them more\n"
-"visible. Requires that underlining is enabled for the terminal."
+"Whether to underline hotkeys in menus to make them more visible. Requires "
+"that underlining is enabled for the terminal."
 msgstr ""
 
-#: src/config/options.inc:1187
+#: src/config/options.inc:1258
 #, fuzzy
 msgid "Underline button shortcuts"
 msgstr "Campo de seleccin"
 
-#: src/config/options.inc:1189
+#: src/config/options.inc:1260
 msgid ""
-"Whether to underline button shortcuts to make them more\n"
-"visible. Requires that underlining is enabled for the terminal."
+"Whether to underline button shortcuts to make them more visible. Requires "
+"that underlining is enabled for the terminal."
 msgstr ""
 
-#: src/config/options.inc:1193
+#: src/config/options.inc:1265
 #, fuzzy
 msgid "Timer options"
 msgstr "Opcins de terminal"
 
-#: src/config/options.inc:1195
+#: src/config/options.inc:1267
 msgid ""
-"Timed action after certain interval of user inactivity. Someone can\n"
-"even find this useful, although you may not believe that."
+"Timed action after certain interval of user inactivity. Someone can even "
+"find this useful, although you may not believe that."
 msgstr ""
 
-#: src/config/options.inc:1201
+#: src/config/options.inc:1274
 msgid ""
 "Whether to enable the timer or not:\n"
 "0 is don't count down anything\n"
@@ -3934,7 +3948,7 @@ msgid ""
 "2 is count down and show the timer near LEDs"
 msgstr ""
 
-#: src/config/options.inc:1208
+#: src/config/options.inc:1281
 msgid ""
 "Whether to enable the timer or not:\n"
 "0 is don't count down anything\n"
@@ -3942,35 +3956,35 @@ msgid ""
 "2 is count down and show the timer near LEDs (DISABLED)"
 msgstr ""
 
-#: src/config/options.inc:1214
+#: src/config/options.inc:1287
 msgid "Duration"
 msgstr ""
 
-#: src/config/options.inc:1216
+#: src/config/options.inc:1289
 msgid ""
-"Inactivity timeout in seconds. The maximum of one day\n"
-"should be enough for just everyone (TM)."
+"Inactivity timeout in seconds. The maximum of one day should be enough for "
+"just everyone (TM)."
 msgstr ""
 
-#: src/config/options.inc:1221
+#: src/config/options.inc:1294
 msgid "Keybinding action to be triggered when timer reaches zero."
 msgstr ""
 
-#: src/config/options.inc:1224
+#: src/config/options.inc:1298
 #, fuzzy
 msgid "Window tabs"
 msgstr "Fiestra"
 
-#: src/config/options.inc:1226
+#: src/config/options.inc:1300
 msgid "Window tabs settings."
 msgstr ""
 
-#: src/config/options.inc:1228
+#: src/config/options.inc:1302
 #, fuzzy
 msgid "Display tabs bar"
 msgstr "Mostrar ~Usemap"
 
-#: src/config/options.inc:1230
+#: src/config/options.inc:1304
 msgid ""
 "Show tabs bar on the screen:\n"
 "0 means never\n"
@@ -3978,170 +3992,169 @@ msgid ""
 "2 means always"
 msgstr ""
 
-#: src/config/options.inc:1235
+#: src/config/options.inc:1309
 msgid "Tab bar at top"
 msgstr ""
 
-#: src/config/options.inc:1237
+#: src/config/options.inc:1311
 msgid "Whether display tab bar at top like other browsers do."
 msgstr ""
 
-#: src/config/options.inc:1239
+#: src/config/options.inc:1313
 msgid "Wrap-around tabs cycling"
 msgstr ""
 
-#: src/config/options.inc:1241
+#: src/config/options.inc:1315
 msgid ""
-"When moving right from the last tab, jump to the first one, and\n"
-"vice versa."
+"When moving right from the last tab, jump to the first one, and vice versa."
 msgstr ""
 
-#: src/config/options.inc:1244
+#: src/config/options.inc:1318
 msgid "Confirm tab closing"
 msgstr ""
 
-#: src/config/options.inc:1246
+#: src/config/options.inc:1320
 msgid "When closing a tab show confirmation dialog."
 msgstr ""
 
 #. OPT_LANGUAGE
-#: src/config/options.inc:1250 src/config/opttypes.c:483
+#: src/config/options.inc:1324 src/config/opttypes.c:483
 msgid "Language"
 msgstr ""
 
-#: src/config/options.inc:1252
+#: src/config/options.inc:1326
 msgid ""
-"Language of user interface. 'System' means that the language will\n"
-"be extracted from the environment dynamically."
+"Language of user interface. 'System' means that the language will be "
+"extracted from the environment dynamically."
 msgstr ""
 
-#: src/config/options.inc:1255
+#: src/config/options.inc:1330
 #, fuzzy
 msgid "Display menu bar always"
 msgstr "Mostrar ~Usemap"
 
-#: src/config/options.inc:1257
+#: src/config/options.inc:1332
 msgid "Always show menu bar on the screen."
 msgstr ""
 
-#: src/config/options.inc:1259
+#: src/config/options.inc:1334
 #, fuzzy
 msgid "Display status bar"
 msgstr "Mostrar ~Usemap"
 
-#: src/config/options.inc:1261
+#: src/config/options.inc:1336
 msgid "Show status bar on the screen."
 msgstr ""
 
-#: src/config/options.inc:1263
+#: src/config/options.inc:1338
 #, fuzzy
 msgid "Display title bar"
 msgstr "Mostrar ~Usemap"
 
-#: src/config/options.inc:1265
+#: src/config/options.inc:1340
 msgid "Show title bar on the screen."
 msgstr ""
 
-#: src/config/options.inc:1267
+#: src/config/options.inc:1342
 msgid "Display goto dialog in new tabs"
 msgstr ""
 
-#: src/config/options.inc:1269
+#: src/config/options.inc:1344
 msgid ""
-"Pop up goto dialog in newly created tabs when there's no homepage\n"
-"set. This means also showing goto dialog on startup."
+"Pop up goto dialog in newly created tabs when there's no homepage set. This "
+"means also showing goto dialog on startup."
 msgstr ""
 
-#: src/config/options.inc:1272
+#: src/config/options.inc:1348
 msgid "Show a message box when file is saved successfully"
 msgstr ""
 
-#: src/config/options.inc:1274
+#: src/config/options.inc:1350
 msgid ""
-"When you pressed a [ Save ] button in some manager, this option\n"
-"will make sure that a box confirming success of the operation will\n"
-"pop up."
+"When you pressed a [ Save ] button in some manager, this option will make "
+"sure that a box confirming success of the operation will pop up."
 msgstr ""
 
-#: src/config/options.inc:1279
+#: src/config/options.inc:1355
 #, fuzzy
 msgid "Sessions"
 msgstr "Extensin(s)"
 
-#: src/config/options.inc:1281
+#: src/config/options.inc:1357
 msgid "Sessions settings."
 msgstr ""
 
-#: src/config/options.inc:1283
+#: src/config/options.inc:1359
 msgid "Keep session active"
 msgstr ""
 
-#: src/config/options.inc:1285
+#: src/config/options.inc:1361
 msgid "Keep the session active even if the last terminal exits."
 msgstr ""
 
-#: src/config/options.inc:1287
+#: src/config/options.inc:1364
 msgid "Auto save session"
 msgstr ""
 
-#: src/config/options.inc:1289
+#: src/config/options.inc:1366
 msgid ""
 "Automatically save the session when quitting.\n"
+"\n"
 "This feature requires bookmark support."
 msgstr ""
 
-#: src/config/options.inc:1292
+#: src/config/options.inc:1370
 msgid "Auto restore session"
 msgstr ""
 
-#: src/config/options.inc:1294
+#: src/config/options.inc:1372
 msgid ""
 "Automatically restore the session at start.\n"
+"\n"
 "This feature requires bookmark support."
 msgstr ""
 
-#: src/config/options.inc:1297
+#: src/config/options.inc:1376
 msgid "Auto save and restore session folder name"
 msgstr ""
 
-#: src/config/options.inc:1299
+#: src/config/options.inc:1378
 msgid ""
-"Name of the bookmarks folder used for auto saving and restoring session.\n"
-"The name has to be unique. Any folders with the same name will be deleted.\n"
+"Name of the bookmarks folder used for auto saving and restoring session. The "
+"name has to be unique. Any folders with the same name will be deleted.\n"
+"\n"
 "This only makes sense with bookmark support."
 msgstr ""
 
-#: src/config/options.inc:1303
+#: src/config/options.inc:1384
 #, fuzzy
 msgid "Homepage URI"
 msgstr "Tboa de cdigos"
 
-#: src/config/options.inc:1305
+#: src/config/options.inc:1386
 msgid ""
-"The URI to load either at startup time when no URI was given\n"
-"on the command line or when requested by the goto-url-home action.\n"
-"Set to \"\" if the environment variable WWW_HOME should be used\n"
-"as homepage URI instead."
+"The URI to load either at startup time when no URI was given on the command "
+"line or when requested by the goto-url-home action. Set to \"\" if the "
+"environment variable WWW_HOME should be used as homepage URI instead."
 msgstr ""
 
-#: src/config/options.inc:1311
+#: src/config/options.inc:1392
 #, fuzzy
 msgid "Date format"
 msgstr "Enviar ficheiro"
 
-#: src/config/options.inc:1313
+#: src/config/options.inc:1394
 msgid "Date format to use in dialogs. See strftime(3)."
 msgstr ""
 
-#: src/config/options.inc:1316
+#: src/config/options.inc:1397
 msgid "Set window title"
 msgstr ""
 
-#: src/config/options.inc:1318
+#: src/config/options.inc:1399
 msgid ""
-"Set the window title when running in a windowing environment\n"
-"in an xterm-like terminal. This way the document's title is\n"
-"shown on the window titlebar."
+"Set the window title when running in a windowing environment in an xterm-"
+"like terminal. This way the document's title is shown on the window titlebar."
 msgstr ""
 
 #: src/config/opttypes.c:54
@@ -4228,7 +4241,7 @@ msgid "Goto URL History"
 msgstr "Sen historial"
 
 #. name:
-#: src/cookies/cookies.c:88 src/cookies/cookies.c:911
+#: src/cookies/cookies.c:88 src/cookies/cookies.c:913
 msgid "Cookies"
 msgstr ""
 
@@ -4258,10 +4271,10 @@ msgstr "Establecendo conexin"
 msgid ""
 "Cookie maximum age (in days):\n"
 "-1 is use cookie's expiration date if any\n"
-"0  is force expiration at the end of session, ignoring cookie's\n"
-"   expiration date\n"
-"1+ is use cookie's expiration date, but limit age to the given\n"
-"   number of days"
+"0  is force expiration at the end of session, ignoring\n"
+"   cookie's expiration date\n"
+"1+ is use cookie's expiration date, but limit age to the\n"
+"   given number of days"
 msgstr ""
 
 #: src/cookies/cookies.c:109
@@ -4270,42 +4283,42 @@ msgstr ""
 
 #: src/cookies/cookies.c:111
 msgid ""
-"When enabled, we'll require three dots in cookies domain for all\n"
-"non-international domains (instead of just two dots). Some countries\n"
-"have generic second level domains (eg. .com.pl, .co.uk) and allowing\n"
-"sites to set cookies for these generic domains could potentially be\n"
-"very bad. Note, it is off by default as it breaks a lot of sites."
+"When enabled, we'll require three dots in cookies domain for all non-"
+"international domains (instead of just two dots). Some countries have "
+"generic second level domains (eg. .com.pl, .co.uk) and allowing sites to set "
+"cookies for these generic domains could potentially be very bad. Note, it is "
+"off by default as it breaks a lot of sites."
 msgstr ""
 
-#: src/cookies/cookies.c:117
+#: src/cookies/cookies.c:118
 #, fuzzy
 msgid "Saving"
 msgstr "media"
 
-#: src/cookies/cookies.c:119
+#: src/cookies/cookies.c:120
 msgid "Whether cookies should be loaded from and saved to disk."
 msgstr ""
 
-#: src/cookies/cookies.c:121
+#: src/cookies/cookies.c:123
 msgid "Resaving"
 msgstr ""
 
-#: src/cookies/cookies.c:123
+#: src/cookies/cookies.c:125
 msgid ""
-"Save cookies after each change in cookies list? No effect when\n"
-"cookie saving (cookies.save) is off."
+"Save cookies after each change in cookies list? No effect when cookie saving "
+"(cookies.save) is off."
 msgstr ""
 
-#: src/cookies/cookies.c:817
+#: src/cookies/cookies.c:819
 #, fuzzy
 msgid "Cannot save cookies"
 msgstr "Erro escribindo a ficheiro"
 
-#: src/cookies/cookies.c:828
+#: src/cookies/cookies.c:830
 msgid "ELinks was started without a home directory."
 msgstr ""
 
-#: src/cookies/cookies.c:834
+#: src/cookies/cookies.c:836
 msgid "ELinks was started with the -anonymous option."
 msgstr ""
 
@@ -4520,7 +4533,7 @@ msgid "No header info."
 msgstr ""
 
 #: src/dialogs/download.c:243 src/dialogs/menu.c:601
-#: src/protocol/bittorrent/dialogs.c:228 src/session/download.c:361
+#: src/protocol/bittorrent/dialogs.c:228 src/session/download.c:387
 msgid "Download"
 msgstr "Descargar"
 
@@ -5377,7 +5390,7 @@ msgid "No document"
 msgstr "documentos"
 
 #. name:
-#: src/document/css/css.c:30 src/document/css/css.c:161
+#: src/document/css/css.c:30 src/document/css/css.c:164
 msgid "Cascading Style Sheets"
 msgstr ""
 
@@ -5385,36 +5398,36 @@ msgstr ""
 msgid "Options concerning how to use CSS for styling documents."
 msgstr ""
 
-#: src/document/css/css.c:34
+#: src/document/css/css.c:35
 #, fuzzy
 msgid "Enable CSS"
 msgstr "nome"
 
-#: src/document/css/css.c:36
+#: src/document/css/css.c:37
 msgid "Enable adding of CSS style info to documents."
 msgstr ""
 
-#: src/document/css/css.c:38
+#: src/document/css/css.c:39
 msgid "Import external style sheets"
 msgstr ""
 
-#: src/document/css/css.c:40
+#: src/document/css/css.c:41
 msgid ""
-"When enabled any external style sheets that are imported from\n"
-"either CSS itself using the @import keyword or from the HTML using\n"
-"<link> tags in the document header will also be downloaded."
+"When enabled any external style sheets that are imported from either CSS "
+"itself using the @import keyword or from the HTML using <link> tags in the "
+"document header will also be downloaded."
 msgstr ""
 
-#: src/document/css/css.c:44
+#: src/document/css/css.c:46
 msgid "Default style sheet"
 msgstr ""
 
-#: src/document/css/css.c:46
+#: src/document/css/css.c:48
 msgid ""
-"The path to the file containing the default user defined\n"
-"Cascading Style Sheet. It can be used to control the basic\n"
-"layout of HTML documents. The path is assumed to be relative\n"
-"to ELinks' home directory.\n"
+"The path to the file containing the default user defined Cascading Style "
+"Sheet. It can be used to control the basic layout of HTML documents. The "
+"path is assumed to be relative to ELinks' home directory.\n"
+"\n"
 "Leave as \"\" to use built-in document styling."
 msgstr ""
 
@@ -5446,8 +5459,8 @@ msgstr ""
 
 #: src/ecmascript/ecmascript.c:55
 msgid ""
-"Whether to ignore content enclosed by the <noscript> tag\n"
-"when ECMAScript is enabled."
+"Whether to ignore content enclosed by the <noscript> tag when ECMAScript is "
+"enabled."
 msgstr ""
 
 #: src/ecmascript/ecmascript.c:58
@@ -5499,7 +5512,7 @@ msgid "JavaScript Error"
 msgstr ""
 
 #. name:
-#: src/ecmascript/spidermonkey.c:320
+#: src/ecmascript/spidermonkey.c:321
 msgid "SpiderMonkey"
 msgstr ""
 
@@ -5597,9 +5610,8 @@ msgstr "Opcins de terminal"
 
 #: src/formhist/formhist.c:38
 msgid ""
-"Ask if a login form should be saved to file or not.\n"
-"This option only disables the dialog, already saved login\n"
-"forms are unaffected."
+"Ask if a login form should be saved to file or not. This option only "
+"disables the dialog, already saved login forms are unaffected."
 msgstr ""
 
 #: src/formhist/formhist.c:426
@@ -5701,20 +5713,20 @@ msgstr ""
 msgid "Enable global history (\"history of all pages visited\")."
 msgstr ""
 
-#: src/globhist/globhist.c:68
+#: src/globhist/globhist.c:69
 msgid "Maximum number of entries"
 msgstr ""
 
-#: src/globhist/globhist.c:70
+#: src/globhist/globhist.c:71
 msgid "Maximum number of entries in the global history."
 msgstr ""
 
-#: src/globhist/globhist.c:72
+#: src/globhist/globhist.c:73
 #, fuzzy
 msgid "Display style"
 msgstr "Mostrar ~Usemap"
 
-#: src/globhist/globhist.c:74
+#: src/globhist/globhist.c:75
 msgid ""
 "What to display in global history dialog:\n"
 "0 is URLs\n"
@@ -5722,7 +5734,7 @@ msgid ""
 msgstr ""
 
 #. name:
-#: src/globhist/globhist.c:451
+#: src/globhist/globhist.c:449
 #, fuzzy
 msgid "Global History"
 msgstr "Sen historial"
@@ -5951,101 +5963,95 @@ msgstr ""
 
 #: src/mime/backend/default.c:27
 msgid ""
-"Handler <-> MIME type association. The first sub-tree is the MIME\n"
-"class while the second sub-tree is the MIME type (ie. image/gif\n"
-"handler will reside at mime.type.image.gif). Each MIME type option\n"
-"should contain (case-sensitive) name of the MIME handler (its\n"
-"properties are stored at mime.handler.<name>)."
+"Handler <-> MIME type association. The first sub-tree is the MIME class "
+"while the second sub-tree is the MIME type (ie. image/gif handler will "
+"reside at mime.type.image.gif). Each MIME type option should contain (case-"
+"sensitive) name of the MIME handler (its properties are stored at mime."
+"handler.<name>)."
 msgstr ""
 
-#: src/mime/backend/default.c:35
+#: src/mime/backend/default.c:36
 msgid ""
-"Handler matching this MIME-type class ('*' is used here in place\n"
-"of '.')."
+"Handler matching this MIME-type class ('*' is used here in place of '.')."
 msgstr ""
 
-#: src/mime/backend/default.c:40
+#: src/mime/backend/default.c:41
 msgid ""
-"Handler matching this MIME-type name ('*' is used here in place\n"
-"of '.')."
+"Handler matching this MIME-type name ('*' is used here in place of '.')."
 msgstr ""
 
-#: src/mime/backend/default.c:44
+#: src/mime/backend/default.c:45
 msgid "File type handlers"
 msgstr ""
 
-#: src/mime/backend/default.c:46
+#: src/mime/backend/default.c:47
 msgid ""
-"A file type handler is a set of information about how to use\n"
-"an external program to view a file. It is possible to refer to it\n"
-"for several MIME types -- e.g., you can define an 'image' handler\n"
-"to which mime.type.image.png, mime.type.image.jpeg, and so on will\n"
-"refer; or one might define a handler for a more specific type of file\n"
-"-- e.g., PDF files.\n"
-"Note you must define both a MIME handler and a MIME type association\n"
-"for it to work."
+"A file type handler is a set of information about how to use an external "
+"program to view a file. It is possible to refer to it for several MIME types "
+"-- e.g., you can define an 'image' handler to which mime.type.image.png, "
+"mime.type.image.jpeg, and so on will refer; or one might define a handler "
+"for a more specific type of file -- e.g., PDF files. Note you must define "
+"both a MIME handler and a MIME type association for it to work."
 msgstr ""
 
-#: src/mime/backend/default.c:57
+#: src/mime/backend/default.c:58
 msgid "Description of this handler."
 msgstr ""
 
-#: src/mime/backend/default.c:61
+#: src/mime/backend/default.c:62
 msgid "System-specific handler description (ie. unix, unix-xwin, ...)."
 msgstr ""
 
-#: src/mime/backend/default.c:63 src/mime/backend/mailcap.c:102
+#: src/mime/backend/default.c:65 src/mime/backend/mailcap.c:102
 msgid "Ask before opening"
 msgstr ""
 
-#: src/mime/backend/default.c:65
+#: src/mime/backend/default.c:67
 msgid "Ask before opening."
 msgstr ""
 
-#: src/mime/backend/default.c:67
+#: src/mime/backend/default.c:69
 #, fuzzy
 msgid "Block terminal"
 msgstr "Terminal de ~BeOS"
 
-#: src/mime/backend/default.c:69
+#: src/mime/backend/default.c:71
 msgid "Block the terminal when the handler is running."
 msgstr ""
 
-#: src/mime/backend/default.c:71
+#: src/mime/backend/default.c:73
 #, fuzzy
 msgid "Program"
 msgstr "Sen programa"
 
-#: src/mime/backend/default.c:74
+#: src/mime/backend/default.c:76
 #, no-c-format
 msgid ""
-"External viewer for this file type. '%' in this string will be\n"
-"substituted by a file name.\n"
-"Do _not_ put single- or double-quotes around the % sign."
+"External viewer for this file type. '%' in this string will be substituted "
+"by a file name. Do _not_ put single- or double-quotes around the % sign."
 msgstr ""
 
-#: src/mime/backend/default.c:79
+#: src/mime/backend/default.c:81
 #, fuzzy
 msgid "File extension associations"
 msgstr "~Extensins de ficheiros"
 
-#: src/mime/backend/default.c:81
+#: src/mime/backend/default.c:83
 msgid "Extension <-> MIME type association."
 msgstr ""
 
-#: src/mime/backend/default.c:85
+#: src/mime/backend/default.c:87
 msgid ""
-"MIME-type matching this file extension ('*' is used here in place\n"
-"of '.')."
+"MIME-type matching this file extension ('*' is used here in place of '.')."
 msgstr ""
 
 #. name:
-#: src/mime/backend/default.c:216
+#: src/mime/backend/default.c:218
 msgid "Option system"
 msgstr ""
 
 #. name:
-#: src/mime/backend/mailcap.c:89 src/mime/backend/mailcap.c:684
+#: src/mime/backend/mailcap.c:89 src/mime/backend/mailcap.c:686
 msgid "Mailcap"
 msgstr ""
 
@@ -6059,8 +6065,8 @@ msgstr ""
 
 #: src/mime/backend/mailcap.c:99
 msgid ""
-"Mailcap search path. Colon-separated list of files.\n"
-"Leave as \"\" to use MAILCAP environment variable instead."
+"Mailcap search path. Colon-separated list of files. Leave as \"\" to use "
+"MAILCAP environment variable instead."
 msgstr ""
 
 #: src/mime/backend/mailcap.c:104
@@ -6073,39 +6079,38 @@ msgstr ""
 
 #: src/mime/backend/mailcap.c:108
 msgid ""
-"Type of description to show in \"what to do with this file\"\n"
-"query dialog:\n"
+"Type of description to show in \"what to do with this file\" query dialog:\n"
 "0 is show \"mailcap\"\n"
 "1 is show program to be run\n"
-"2 is show mailcap description field if any; \"mailcap\" otherwise"
+"2 is show mailcap description field if any;\n"
+"     \"mailcap\" otherwise"
 msgstr ""
 
-#: src/mime/backend/mailcap.c:114
+#: src/mime/backend/mailcap.c:115
 msgid "Prioritize entries by file"
 msgstr ""
 
-#: src/mime/backend/mailcap.c:116
+#: src/mime/backend/mailcap.c:117
 msgid ""
-"Prioritize entries by the order of the files in the mailcap\n"
-"path. This means that wildcard entries (like: image/*) will\n"
-"also be checked before deciding the handler."
+"Prioritize entries by the order of the files in the mailcap path. This means "
+"that wildcard entries (like: image/*) will also be checked before deciding "
+"the handler."
 msgstr ""
 
-#: src/mime/backend/mailcap.c:349
+#: src/mime/backend/mailcap.c:351
 #, c-format
 msgid "Badly formated mailcap entry for type %s in \"%s\" line %d"
 msgstr ""
 
 #. name:
-#: src/mime/backend/mimetypes.c:46 src/mime/backend/mimetypes.c:279
+#: src/mime/backend/mimetypes.c:46 src/mime/backend/mimetypes.c:280
 msgid "Mimetypes files"
 msgstr ""
 
 #: src/mime/backend/mimetypes.c:48
 msgid ""
-"Options for the support of mime.types files. These files\n"
-"can be used to find the content type of a URL by looking at\n"
-"the extension of the file name."
+"Options for the support of mime.types files. These files can be used to find "
+"the content type of a URL by looking at the extension of the file name."
 msgstr ""
 
 #: src/mime/backend/mimetypes.c:54
@@ -6142,7 +6147,7 @@ msgid "No extensions"
 msgstr "Sen extensins"
 
 #. name:
-#: src/mime/mime.c:38 src/mime/mime.c:360
+#: src/mime/mime.c:38 src/mime/mime.c:361
 msgid "MIME"
 msgstr ""
 
@@ -6156,8 +6161,8 @@ msgstr ""
 
 #: src/mime/mime.c:44
 msgid ""
-"Document MIME-type to assume by default (when we are unable to\n"
-"guess it properly from known information about the document)."
+"Document MIME-type to assume by default (when we are unable to guess it "
+"properly from known information about the document)."
 msgstr ""
 
 #: src/network/ssl/ssl.c:72 src/network/ssl/ssl.c:161
@@ -6166,8 +6171,8 @@ msgstr ""
 
 #: src/network/ssl/ssl.c:74
 msgid ""
-"Verify the peer's SSL certificate. Note that this\n"
-"needs extensive configuration of OpenSSL by the user."
+"Verify the peer's SSL certificate. Note that this needs extensive "
+"configuration of OpenSSL by the user."
 msgstr ""
 
 #: src/network/ssl/ssl.c:77
@@ -6181,8 +6186,8 @@ msgstr "Opcins de terminal"
 
 #: src/network/ssl/ssl.c:83
 msgid ""
-"Enable or not the sending of X509 client certificates\n"
-"to servers which request them."
+"Enable or not the sending of X509 client certificates to servers which "
+"request them."
 msgstr ""
 
 #: src/network/ssl/ssl.c:86
@@ -6192,16 +6197,15 @@ msgstr "tempo estimado"
 
 #: src/network/ssl/ssl.c:88
 msgid ""
-"The location of a file containing the client certificate\n"
-"and unencrypted private key in PEM format. If unset, the\n"
-"file pointed to by the X509_CLIENT_CERT variable is used\n"
-"instead."
+"The location of a file containing the client certificate and unencrypted "
+"private key in PEM format. If unset, the file pointed to by the "
+"X509_CLIENT_CERT variable is used instead."
 msgstr ""
 
 #: src/network/ssl/ssl.c:163
 msgid ""
-"Verify the peer's SSL certificate.  If you enable\n"
-"this, set also \"Trusted CA file\"."
+"Verify the peer's SSL certificate.  If you enable this, set also \"Trusted "
+"CA file\"."
 msgstr ""
 
 #. The default value of the following option points to a file
@@ -6219,20 +6223,20 @@ msgstr "Transferindo"
 
 #: src/network/ssl/ssl.c:176
 msgid ""
-"The location of a file containing certificates of\n"
-"trusted certification authorities in PEM format.\n"
-"ELinks then trusts certificates issued by these CAs.\n"
-"If you change this option or the file, you must\n"
-"restart ELinks for the changes to take effect.\n"
-"This option affects GnuTLS but not OpenSSL."
+"The location of a file containing certificates of trusted certification "
+"authorities in PEM format. ELinks then trusts certificates issued by these "
+"CAs.\n"
+"\n"
+"If you change this option or the file, you must restart ELinks for the "
+"changes to take effect. This option affects GnuTLS but not OpenSSL."
 msgstr ""
 
 #. name:
-#: src/network/ssl/ssl.c:199 src/network/ssl/ssl.c:216
+#: src/network/ssl/ssl.c:200 src/network/ssl/ssl.c:217
 msgid "SSL"
 msgstr ""
 
-#: src/network/ssl/ssl.c:201
+#: src/network/ssl/ssl.c:202
 #, fuzzy
 msgid "SSL options."
 msgstr "~Gardar opcins"
@@ -6570,7 +6574,7 @@ msgstr "Introduza o nome de usuario para
 msgid "Login"
 msgstr "ID de usuario"
 
-#: src/protocol/auth/dialogs.c:113 src/protocol/http/http.c:140
+#: src/protocol/auth/dialogs.c:113 src/protocol/http/http.c:142
 msgid "Password"
 msgstr "Contrasinal"
 
@@ -6647,7 +6651,7 @@ msgstr "Xestor de marcadores"
 
 #. name:
 #: src/protocol/bittorrent/bittorrent.c:26
-#: src/protocol/bittorrent/bittorrent.c:335
+#: src/protocol/bittorrent/bittorrent.c:339
 msgid "BitTorrent"
 msgstr ""
 
@@ -6702,9 +6706,8 @@ msgstr ""
 
 #: src/protocol/bittorrent/bittorrent.c:57
 msgid ""
-"Whether to request that the tracker returns peer info\n"
-"in compact format. Note, the compact format only supports\n"
-"IPv4 addresses."
+"Whether to request that the tracker returns peer info in compact format. "
+"Note, the compact format only supports IPv4 addresses."
 msgstr ""
 
 #: src/protocol/bittorrent/bittorrent.c:61
@@ -6713,57 +6716,55 @@ msgstr ""
 
 #: src/protocol/bittorrent/bittorrent.c:63
 msgid ""
-"The number of seconds to wait between periodically contacting\n"
-"the tracker for announcing progress and requesting more peers.\n"
-"Set to zero to use the interval requested by the tracker."
+"The number of seconds to wait between periodically contacting the tracker "
+"for announcing progress and requesting more peers. Set to zero to use the "
+"interval requested by the tracker."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:67
+#: src/protocol/bittorrent/bittorrent.c:68
 msgid "IP-address to announce"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:69
+#: src/protocol/bittorrent/bittorrent.c:70
 msgid ""
-"What IP address to report to the tracker. If set to \"\"\n"
-"no IP address will be sent and the tracker will automatically\n"
-"determine an appropriate IP address."
+"What IP address to report to the tracker. If set to \"\" no IP address will "
+"be sent and the tracker will automatically determine an appropriate IP "
+"address."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:73
+#: src/protocol/bittorrent/bittorrent.c:74
 #, fuzzy
 msgid "User identification string"
 msgstr "Opcins de terminal"
 
-#: src/protocol/bittorrent/bittorrent.c:75
+#: src/protocol/bittorrent/bittorrent.c:76
 msgid ""
-"An additional identification that is not shared with any users.\n"
-"It is intended to allow a client to prove their identity should\n"
-"their IP address change. It is an optional parameter, but some\n"
-"trackers require this parameter. If set to \"\" no user key will\n"
-"be sent to the tracker."
+"An additional identification that is not shared with any users. It is "
+"intended to allow a client to prove their identity should their IP address "
+"change. It is an optional parameter, but some trackers require this "
+"parameter. If set to \"\" no user key will be sent to the tracker."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:81
+#: src/protocol/bittorrent/bittorrent.c:82
 #, fuzzy
 msgid "Maximum number of peers to request"
 msgstr "Establecendo conexin"
 
-#: src/protocol/bittorrent/bittorrent.c:83
+#: src/protocol/bittorrent/bittorrent.c:84
 msgid ""
-"The maximum number of peers to request from the tracker.\n"
-"Set to 0 to use the server default."
+"The maximum number of peers to request from the tracker. Set to 0 to use the "
+"server default."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:86
+#: src/protocol/bittorrent/bittorrent.c:87
 msgid "Minimum peers to skip rerequesting"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:88
+#: src/protocol/bittorrent/bittorrent.c:89
 msgid ""
-"The minimum number of peers to have in the current peer info\n"
-"pool before skipping requesting of more peers. I.e. setting\n"
-"numwant to zero.\n"
-"Set to 0 to not have any limit."
+"The minimum number of peers to have in the current peer info pool before "
+"skipping requesting of more peers. I.e. setting numwant to zero. Set to 0 to "
+"not have any limit."
 msgstr ""
 
 #. ******************************************************************
@@ -6784,182 +6785,177 @@ msgstr "Establecendo conexin"
 
 #: src/protocol/bittorrent/bittorrent.c:104
 msgid ""
-"The maximum number of allowed connections to both active and\n"
-"non-active peers. By increasing the number of allowed connections,\n"
-"the chance of finding good peers to download from is increased.\n"
-"However, too many connections can lead to TCP congestion. If the\n"
-"maximum is reached all new incoming connections will be closed."
+"The maximum number of allowed connections to both active and non-active "
+"peers. By increasing the number of allowed connections, the chance of "
+"finding good peers to download from is increased. However, too many "
+"connections can lead to TCP congestion. If the maximum is reached all new "
+"incoming connections will be closed."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:110
+#: src/protocol/bittorrent/bittorrent.c:111
 msgid "Maximum peer message length"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:112
+#: src/protocol/bittorrent/bittorrent.c:113
 msgid ""
-"The maximum length of messages to accept over the wire.\n"
-"Larger values will cause the connection to be dropped."
+"The maximum length of messages to accept over the wire. Larger values will "
+"cause the connection to be dropped."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:115
+#: src/protocol/bittorrent/bittorrent.c:116
 msgid "Maximum allowed request length"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:117
+#: src/protocol/bittorrent/bittorrent.c:118
 msgid ""
-"The maximum length to allow for incoming requests.\n"
-"Larger requests will cause the connection to be dropped."
+"The maximum length to allow for incoming requests. Larger requests will "
+"cause the connection to be dropped."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:120
+#: src/protocol/bittorrent/bittorrent.c:121
 msgid "Length of requests"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:122
+#: src/protocol/bittorrent/bittorrent.c:123
 msgid ""
-"How many bytes to query for per request. This is complementary\n"
-"to the max_request_length option. If the configured length is\n"
-"bigger than the piece length it will be truncated."
+"How many bytes to query for per request. This is complementary to the "
+"max_request_length option. If the configured length is bigger than the piece "
+"length it will be truncated."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:126
+#: src/protocol/bittorrent/bittorrent.c:128
 #, fuzzy
 msgid "Peer inactivity timeout"
 msgstr "Prazo de recepcin sobrepasado"
 
-#: src/protocol/bittorrent/bittorrent.c:128
+#: src/protocol/bittorrent/bittorrent.c:130
 msgid ""
-"The number of seconds to wait before closing a socket on\n"
-"which nothing has been received or sent."
+"The number of seconds to wait before closing a socket on which nothing has "
+"been received or sent."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:131
+#: src/protocol/bittorrent/bittorrent.c:133
 #, fuzzy
 msgid "Maximum peer pool size"
 msgstr "Establecendo conexin"
 
-#: src/protocol/bittorrent/bittorrent.c:133
+#: src/protocol/bittorrent/bittorrent.c:135
 msgid ""
-"Maximum number of items in the peer pool. The peer pool\n"
-"contains information used for establishing connections to\n"
-"new peers.\n"
+"Maximum number of items in the peer pool. The peer pool contains information "
+"used for establishing connections to new peers.\n"
+"\n"
 "Set to 0 to have unlimited size."
 msgstr ""
 
 #. ******************************************************************
 #. Piece management options:
 #. ******************************************************************
-#: src/protocol/bittorrent/bittorrent.c:143
+#: src/protocol/bittorrent/bittorrent.c:146
 #, fuzzy
 msgid "Maximum piece cache size"
 msgstr "Establecendo conexin"
 
-#: src/protocol/bittorrent/bittorrent.c:145
+#: src/protocol/bittorrent/bittorrent.c:148
 msgid ""
-"The maximum amount of memory used to hold recently\n"
-"downloaded pieces.\n"
+"The maximum amount of memory used to hold recently downloaded pieces.\n"
+"\n"
 "Set to 0 to have unlimited size."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:154
+#: src/protocol/bittorrent/bittorrent.c:158
 msgid "Sharing rate"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:156
+#: src/protocol/bittorrent/bittorrent.c:160
 msgid ""
-"The minimum sharing rate to achieve before stop seeding.\n"
-"The sharing rate is computed as the number of uploaded bytes\n"
-"divided with the number of downloaded bytes. The value should\n"
-"be a double value between 0.0 and 1.0 both included.\n"
-"Set to 1.0 to atleast upload a complete copy of all data and\n"
+"The minimum sharing rate to achieve before stop seeding. The sharing rate is "
+"computed as the number of uploaded bytes divided with the number of "
+"downloaded bytes. The value should be a double value between 0.0 and 1.0 "
+"both included. Set to 1.0 to atleast upload a complete copy of all data and "
 "set to 0.0 to have unlimited sharing rate."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:163
+#: src/protocol/bittorrent/bittorrent.c:167
 msgid "Maximum number of uploads"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:165
+#: src/protocol/bittorrent/bittorrent.c:169
 msgid "The maximum number of uploads to allow at once."
 msgstr ""
 
 #. The number of uploads to fill out to with extra optimistic unchokes
-#: src/protocol/bittorrent/bittorrent.c:168
+#: src/protocol/bittorrent/bittorrent.c:172
 msgid "Minimum number of uploads"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:170
+#: src/protocol/bittorrent/bittorrent.c:174
 msgid ""
-"The minimum number of uploads which should at least\n"
-"be used for new connections."
+"The minimum number of uploads which should at least be used for new "
+"connections."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:174
+#: src/protocol/bittorrent/bittorrent.c:178
 #, fuzzy
 msgid "Keepalive interval"
 msgstr "Erro  gardar"
 
-#: src/protocol/bittorrent/bittorrent.c:176
-msgid ""
-"The number of seconds to pause between sending keepalive\n"
-"messages."
+#: src/protocol/bittorrent/bittorrent.c:180
+msgid "The number of seconds to pause between sending keepalive messages."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:179
+#: src/protocol/bittorrent/bittorrent.c:183
 #, fuzzy
 msgid "Number of pending requests"
 msgstr "O servidor est procesando a peticin"
 
-#: src/protocol/bittorrent/bittorrent.c:181
+#: src/protocol/bittorrent/bittorrent.c:185
 msgid ""
-"How many piece requests to continuously keep in queue. Pipelining\n"
-"of requests is essential to saturate connections and get a good\n"
-"connection performance and thus a faster download. However, a\n"
-"very big queue size can lead to wasting bandwidth near the end\n"
-"of the connection since remaining piece blocks will be requested\n"
-"from multiple peers."
+"How many piece requests to continuously keep in queue. Pipelining of "
+"requests is essential to saturate connections and get a good connection "
+"performance and thus a faster download. However, a very big queue size can "
+"lead to wasting bandwidth near the end of the connection since remaining "
+"piece blocks will be requested from multiple peers."
 msgstr ""
 
 #. Bram uses 30 seconds here.
-#: src/protocol/bittorrent/bittorrent.c:190
+#: src/protocol/bittorrent/bittorrent.c:194
 msgid "Peer snubbing interval"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:192
+#: src/protocol/bittorrent/bittorrent.c:196
 msgid ""
-"The number of seconds to wait for file data before assuming\n"
-"the peer has been snubbed."
+"The number of seconds to wait for file data before assuming the peer has "
+"been snubbed."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:195
+#: src/protocol/bittorrent/bittorrent.c:199
 #, fuzzy
 msgid "Peer choke interval"
 msgstr "Erro  gardar"
 
-#: src/protocol/bittorrent/bittorrent.c:197
+#: src/protocol/bittorrent/bittorrent.c:201
 msgid ""
-"The number of seconds between updating the connection state\n"
-"and most importantly choke and unchoke peer connections. The\n"
-"choke period should be big enough for newly unchoked connections\n"
-"to get started but small enough to not allow freeriders too much\n"
-"room for stealing bandwidth."
+"The number of seconds between updating the connection state and most "
+"importantly choke and unchoke peer connections. The choke period should be "
+"big enough for newly unchoked connections to get started but small enough to "
+"not allow freeriders too much room for stealing bandwidth."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:203
+#: src/protocol/bittorrent/bittorrent.c:207
 msgid "Rarest first piece selection cutoff"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:205
+#: src/protocol/bittorrent/bittorrent.c:209
 msgid ""
-"The number of pieces to obtain before switching piece\n"
-"selection strategy from random to rarest first."
+"The number of pieces to obtain before switching piece selection strategy "
+"from random to rarest first."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:208 src/protocol/http/http.c:109
+#: src/protocol/bittorrent/bittorrent.c:212 src/protocol/http/http.c:109
 msgid "Allow blacklisting"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:210
+#: src/protocol/bittorrent/bittorrent.c:214
 msgid "Allow blacklisting of buggy peers."
 msgstr ""
 
@@ -6995,7 +6991,7 @@ msgstr "~Ficheiro"
 msgid "Comment"
 msgstr "documentos"
 
-#: src/protocol/bittorrent/dialogs.c:229 src/session/download.c:362
+#: src/protocol/bittorrent/dialogs.c:229 src/session/download.c:388
 #, fuzzy, c-format
 msgid ""
 "Download complete:\n"
@@ -7163,7 +7159,7 @@ msgid_plural "%u unavailable"
 msgstr[0] "O servicio FTP non est dispoible"
 msgstr[1] "O servicio FTP non est dispoible"
 
-#: src/protocol/bittorrent/dialogs.c:584 src/session/session.c:278
+#: src/protocol/bittorrent/dialogs.c:584 src/session/session.c:279
 #, fuzzy, c-format
 msgid "Unable to retrieve %s"
 msgstr "Non se puido escribir no ficheiro de configuracin"
@@ -7178,7 +7174,7 @@ msgstr ""
 msgid "Information about the torrent"
 msgstr "Descargar ~imaxe"
 
-#: src/protocol/bittorrent/dialogs.c:776 src/session/download.c:1106
+#: src/protocol/bittorrent/dialogs.c:776 src/session/download.c:1132
 msgid "What to do?"
 msgstr "Qu fago?"
 
@@ -7189,13 +7185,13 @@ msgid "Down~load"
 msgstr "Descargar"
 
 #. accelerator_context(src/protocol/bittorrent/dialogs.c:bittorrent_query_callback, src/session/download.c:do_type_query)
-#: src/protocol/bittorrent/dialogs.c:804 src/session/download.c:1209
+#: src/protocol/bittorrent/dialogs.c:804 src/session/download.c:1235
 #, fuzzy
 msgid "~Display"
 msgstr "Mostrar"
 
 #. accelerator_context(src/protocol/bittorrent/dialogs.c:bittorrent_query_callback, src/session/download.c:do_type_query)
-#: src/protocol/bittorrent/dialogs.c:808 src/session/download.c:1213
+#: src/protocol/bittorrent/dialogs.c:808 src/session/download.c:1239
 msgid "Show ~header"
 msgstr ""
 
@@ -7213,16 +7209,16 @@ msgstr "Sen programa especificado para"
 msgid "Colon separated list of directories, where CGI scripts are stored."
 msgstr ""
 
-#: src/protocol/file/cgi.c:47
+#: src/protocol/file/cgi.c:48
 msgid "Allow local CGI"
 msgstr ""
 
-#: src/protocol/file/cgi.c:49
+#: src/protocol/file/cgi.c:50
 msgid "Whether to execute local CGI scripts."
 msgstr ""
 
 #. name:
-#: src/protocol/file/cgi.c:54
+#: src/protocol/file/cgi.c:55
 msgid "CGI"
 msgstr ""
 
@@ -7241,9 +7237,8 @@ msgstr ""
 
 #: src/protocol/file/file.c:46
 msgid ""
-"Whether to allow reading from non-regular files.\n"
-"Note this can be dangerous; reading /dev/urandom or\n"
-"/dev/zero can ruin your day!"
+"Whether to allow reading from non-regular files. Note this can be dangerous; "
+"reading /dev/urandom or /dev/zero can ruin your day!"
 msgstr ""
 
 #: src/protocol/file/file.c:50
@@ -7252,8 +7247,8 @@ msgstr ""
 
 #: src/protocol/file/file.c:52
 msgid ""
-"When set to false, files with name starting with a dot will be\n"
-"hidden in local directory listings."
+"When set to false, files with name starting with a dot will be hidden in "
+"local directory listings."
 msgstr ""
 
 #: src/protocol/file/file.c:55
@@ -7263,13 +7258,13 @@ msgstr "Sen extensins"
 
 #: src/protocol/file/file.c:57
 msgid ""
-"When set, if we can't open a file named 'filename', we'll try\n"
-"to open 'filename' with some encoding extension appended\n"
-"(ie. 'filename.gz'); it depends on the supported encodings."
+"When set, if we can't open a file named 'filename', we'll try to open "
+"'filename' with some encoding extension appended (ie. 'filename.gz'); it "
+"depends on the supported encodings."
 msgstr ""
 
 #. name:
-#: src/protocol/file/file.c:65
+#: src/protocol/file/file.c:66
 #, fuzzy
 msgid "File"
 msgstr "~Ficheiro"
@@ -7299,7 +7294,7 @@ msgid "Whether to sort entries in direct
 msgstr ""
 
 #. name:
-#: src/protocol/ftp/ftp.c:56 src/protocol/ftp/ftp.c:86
+#: src/protocol/ftp/ftp.c:56 src/protocol/ftp/ftp.c:89
 msgid "FTP"
 msgstr ""
 
@@ -7307,8 +7302,8 @@ msgstr ""
 msgid "FTP specific options."
 msgstr ""
 
-#: src/protocol/ftp/ftp.c:60 src/protocol/http/http.c:127
-#: src/protocol/http/http.c:209
+#: src/protocol/ftp/ftp.c:60 src/protocol/http/http.c:128
+#: src/protocol/http/http.c:235
 msgid "Proxy configuration"
 msgstr ""
 
@@ -7316,39 +7311,39 @@ msgstr ""
 msgid "FTP proxy configuration."
 msgstr ""
 
-#: src/protocol/ftp/ftp.c:64 src/protocol/http/http.c:131
-#: src/protocol/http/http.c:213
+#: src/protocol/ftp/ftp.c:64 src/protocol/http/http.c:132
+#: src/protocol/http/http.c:239
 #, fuzzy
 msgid "Host and port-number"
 msgstr "Nmero non vlido"
 
 #: src/protocol/ftp/ftp.c:66
 msgid ""
-"Host and port-number (host:port) of the FTP proxy, or blank.\n"
-"If it's blank, FTP_PROXY environment variable is checked as well."
+"Host and port-number (host:port) of the FTP proxy, or blank. If it's blank, "
+"FTP_PROXY environment variable is checked as well."
 msgstr ""
 
-#: src/protocol/ftp/ftp.c:69
+#: src/protocol/ftp/ftp.c:70
 msgid "Anonymous password"
 msgstr ""
 
-#: src/protocol/ftp/ftp.c:71
+#: src/protocol/ftp/ftp.c:72
 msgid "FTP anonymous password to be sent."
 msgstr ""
 
-#: src/protocol/ftp/ftp.c:73
+#: src/protocol/ftp/ftp.c:74
 msgid "Use passive mode (IPv4)"
 msgstr ""
 
-#: src/protocol/ftp/ftp.c:75
+#: src/protocol/ftp/ftp.c:76
 msgid "Use PASV instead of PORT (passive vs active mode, IPv4 only)."
 msgstr ""
 
-#: src/protocol/ftp/ftp.c:77
+#: src/protocol/ftp/ftp.c:79
 msgid "Use passive mode (IPv6)"
 msgstr ""
 
-#: src/protocol/ftp/ftp.c:79
+#: src/protocol/ftp/ftp.c:81
 msgid "Use EPSV instead of EPRT (passive vs active mode, IPv6 only)."
 msgstr ""
 
@@ -7375,7 +7370,7 @@ msgid ""
 msgstr ""
 
 #. name:
-#: src/protocol/http/http.c:95 src/protocol/http/http.c:223
+#: src/protocol/http/http.c:95 src/protocol/http/http.c:250
 msgid "HTTP"
 msgstr ""
 
@@ -7397,8 +7392,8 @@ msgstr ""
 
 #: src/protocol/http/http.c:106
 msgid ""
-"The Accept-Charset header is quite long and sending it can trigger\n"
-"bugs in some rarely found servers."
+"The Accept-Charset header is quite long and sending it can trigger bugs in "
+"some rarely found servers."
 msgstr ""
 
 #: src/protocol/http/http.c:111
@@ -7411,69 +7406,69 @@ msgstr ""
 
 #: src/protocol/http/http.c:115
 msgid ""
-"Broken 302 redirect (violates RFC but compatible with Netscape).\n"
-"This is a problem for a lot of web discussion boards and the like.\n"
-"If they will do strange things to you, try to play with this."
+"Broken 302 redirect (violates RFC but compatible with Netscape). This is a "
+"problem for a lot of web discussion boards and the like. If they will do "
+"strange things to you, try to play with this."
 msgstr ""
 
-#: src/protocol/http/http.c:119
+#: src/protocol/http/http.c:120
 msgid "No keepalive after POST requests"
 msgstr ""
 
-#: src/protocol/http/http.c:121
+#: src/protocol/http/http.c:122
 msgid "Disable keepalive connection after POST request."
 msgstr ""
 
-#: src/protocol/http/http.c:123
+#: src/protocol/http/http.c:124
 msgid "Use HTTP/1.0"
 msgstr ""
 
-#: src/protocol/http/http.c:125
+#: src/protocol/http/http.c:126
 msgid "Use HTTP/1.0 protocol instead of HTTP/1.1."
 msgstr ""
 
-#: src/protocol/http/http.c:129
+#: src/protocol/http/http.c:130
 msgid "HTTP proxy configuration."
 msgstr ""
 
-#: src/protocol/http/http.c:133
+#: src/protocol/http/http.c:134
 msgid ""
-"Host and port-number (host:port) of the HTTP proxy, or blank.\n"
-"If it's blank, HTTP_PROXY environment variable is checked as well."
+"Host and port-number (host:port) of the HTTP proxy, or blank. If it's blank, "
+"HTTP_PROXY environment variable is checked as well."
 msgstr ""
 
-#: src/protocol/http/http.c:136
+#: src/protocol/http/http.c:138
 #, fuzzy
 msgid "Username"
 msgstr "nome"
 
-#: src/protocol/http/http.c:138
+#: src/protocol/http/http.c:140
 msgid "Proxy authentication username."
 msgstr ""
 
-#: src/protocol/http/http.c:142
+#: src/protocol/http/http.c:144
 msgid "Proxy authentication password."
 msgstr ""
 
-#: src/protocol/http/http.c:145
+#: src/protocol/http/http.c:147
 msgid "Referer sending"
 msgstr ""
 
-#: src/protocol/http/http.c:147
+#: src/protocol/http/http.c:149
 msgid ""
-"HTTP referer sending options. HTTP referer is a special header\n"
-"sent in the HTTP requests, which is supposed to contain the previous\n"
-"page visited by the browser. This way, the server can know what link\n"
-"did you follow when accessing that page. However, this behaviour\n"
-"can unfortunately considerably affect privacy and can lead even to a\n"
-"security problem on some badly designed web pages."
+"HTTP referer sending options. HTTP referer is a special header sent in the "
+"HTTP requests, which is supposed to contain the previous page visited by the "
+"browser.This way, the server can know what link did you follow when "
+"accessing that page. However, this behaviour can unfortunately considerably "
+"affect privacy and can lead even to a security problem on some badly "
+"designed web pages."
 msgstr ""
 
-#: src/protocol/http/http.c:154
+#: src/protocol/http/http.c:157
 msgid "Policy"
 msgstr ""
 
-#: src/protocol/http/http.c:157
+#: src/protocol/http/http.c:160
 msgid ""
 "Mode of sending HTTP referer:\n"
 "0 is send no referer\n"
@@ -7482,90 +7477,110 @@ msgid ""
 "3 is send previous URL as referer (correct, but insecure)"
 msgstr ""
 
-#: src/protocol/http/http.c:163
+#: src/protocol/http/http.c:166
 msgid "Fake referer URL"
 msgstr ""
 
-#: src/protocol/http/http.c:165
+#: src/protocol/http/http.c:168
 msgid "Fake referer to be sent when policy is 2."
 msgstr ""
 
-#: src/protocol/http/http.c:168
+#: src/protocol/http/http.c:171
 msgid "Send Accept-Language header"
 msgstr ""
 
-#: src/protocol/http/http.c:170
+#: src/protocol/http/http.c:173
 msgid "Send Accept-Language header."
 msgstr ""
 
-#: src/protocol/http/http.c:172
+#: src/protocol/http/http.c:175
 msgid "Use UI language as Accept-Language"
 msgstr ""
 
-#: src/protocol/http/http.c:174
+#: src/protocol/http/http.c:177
 msgid ""
-"Request localised versions of documents from web-servers (using the\n"
-"Accept-Language header) using the language you have configured for\n"
-"ELinks' user-interface (this also affects navigator.language ECMAScript\n"
-"value available to scripts). Note that some see this as a potential\n"
-"security risk because it tells web-masters and the FBI sniffers about\n"
-"your language preference."
+"Request localised versions of documents from web-servers (using the Accept-"
+"Language header) using the language you have configured for ELinks' user-"
+"interface (this also affects navigator.language ECMAScript value available "
+"to scripts). Note that some see this as a potential security risk because it "
+"tells web-masters and the FBI sniffers about your language preference."
+msgstr ""
+
+#. After the compression support has been tested enough,
+#. * we might wrap this option in #if CFG_DEBUG.
+#: src/protocol/http/http.c:187
+msgid "Enable on-the-fly compression"
 msgstr ""
 
-#: src/protocol/http/http.c:181
+#: src/protocol/http/http.c:189
+msgid ""
+"If enabled, the capability to receive compressed content (gzip and/or bzip2) "
+"is announced to the server, which usually sends the reply compressed, thus "
+"saving some bandwidth at slight CPU expense.\n"
+"\n"
+"If ELinks displays a incomplete page or garbage, try disabling this option. "
+"If that helps, there may be a bug in the decompression part of ELinks. "
+"Please report such bugs.\n"
+"\n"
+"If ELinks has been compiled without compression support, this option has no "
+"effect. To check the supported features, see Help -> About."
+msgstr ""
+
+#: src/protocol/http/http.c:202
 msgid "Activate HTTP TRACE debugging"
 msgstr ""
 
-#: src/protocol/http/http.c:183
+#: src/protocol/http/http.c:204
 msgid ""
-"If active, all HTTP requests are sent with TRACE as their method\n"
-"rather than GET or POST. This is useful for debugging of both ELinks\n"
-"and various server-side scripts --- the server only returns the client's\n"
-"request back to the client verbatim. Note that this type of request may\n"
-"not be enabled on all servers."
+"If active, all HTTP requests are sent with TRACE as their method rather than "
+"GET or POST. This is useful for debugging of both ELinks and various server-"
+"side scripts --- the server only returns the client's request back to the "
+"client verbatim. Note that this type of request may not be enabled on all "
+"servers."
 msgstr ""
 
 #. OSNews.com is supposed to be relying on the textmode token, at least.
-#: src/protocol/http/http.c:190
+#: src/protocol/http/http.c:212
 msgid "User-agent identification"
 msgstr ""
 
-#: src/protocol/http/http.c:192
+#: src/protocol/http/http.c:214
 msgid ""
-"Change the User Agent ID. That means identification string, which\n"
-"is sent to HTTP server when a document is requested. The 'textmode'\n"
-"token in the first field is our silent attempt to establish this as\n"
-"a standard for new textmode user agents, so that the webmasters can\n"
-"have just a single uniform test for these if they are e.g. pushing\n"
-"some lite version to them automagically.\n"
+"Change the User Agent ID. That means identification string, which is sent to "
+"HTTP server when a document is requested. The 'textmode' token in the first "
+"field is our silent attempt to establish this as a standard for new textmode "
+"user agents, so that the webmasters can have just a single uniform test for "
+"these if they are e.g. pushing some lite version to them automagically.\n"
+"\n"
 "Use \" \" if you don't want any User-Agent header to be sent at all.\n"
+"\n"
 "%v in the string means ELinks version,\n"
 "%s in the string means system identification,\n"
 "%t in the string means size of the terminal,\n"
 "%b in the string means number of bars displayed by ELinks."
 msgstr ""
 
-#: src/protocol/http/http.c:205
+#: src/protocol/http/http.c:231
 msgid "HTTPS"
 msgstr ""
 
-#: src/protocol/http/http.c:207
+#: src/protocol/http/http.c:233
 #, fuzzy
 msgid "HTTPS-specific options."
 msgstr "Sen programa especificado para"
 
-#: src/protocol/http/http.c:211
+#: src/protocol/http/http.c:237
 msgid "HTTPS proxy configuration."
 msgstr ""
 
-#: src/protocol/http/http.c:215
+#: src/protocol/http/http.c:241
 msgid ""
-"Host and port-number (host:port) of the HTTPS CONNECT proxy, or blank.\n"
-"If it's blank, HTTPS_PROXY environment variable is checked as well."
+"Host and port-number (host:port) of the HTTPS CONNECT proxy, or blank. If "
+"it's blank, HTTPS_PROXY environment variable is checked as well."
 msgstr ""
 
 #. name:
-#: src/protocol/nntp/nntp.c:32 src/protocol/nntp/nntp.c:65
+#: src/protocol/nntp/nntp.c:32 src/protocol/nntp/nntp.c:66
 msgid "NNTP"
 msgstr ""
 
@@ -7580,19 +7595,19 @@ msgstr ""
 
 #: src/protocol/nntp/nntp.c:38
 msgid ""
-"Used when resolving news: URIs. If set to the empty string\n"
-"the value of the NNTPSERVER environment variable will be used."
+"Used when resolving news: URIs. If set to the empty string the value of the "
+"NNTPSERVER environment variable will be used."
 msgstr ""
 
-#: src/protocol/nntp/nntp.c:41
+#: src/protocol/nntp/nntp.c:42
 msgid "Message header entries"
 msgstr ""
 
-#: src/protocol/nntp/nntp.c:43
+#: src/protocol/nntp/nntp.c:44
 msgid ""
-"Comma separated list of which entries in the article header\n"
-"to show. E.g. 'Subject' and 'From'.\n"
-"All header entries can be read in the header info dialog."
+"Comma separated list of which entries in the article header to show. E.g. "
+"'Subject' and 'From'. All header entries can be read in the header info "
+"dialog."
 msgstr ""
 
 #: src/protocol/protocol.c:242
@@ -7614,10 +7629,9 @@ msgstr ""
 
 #: src/protocol/protocol.c:279
 msgid ""
-"Comma separated list of domains for which the proxy (HTTP/FTP)\n"
-"should be disabled. Optionally, a port can be specified for some\n"
-"domains as well. If it's blank, NO_PROXY environment variable is\n"
-"checked as well."
+"Comma separated list of domains for which the proxy (HTTP/FTP) should be "
+"disabled. Optionally, a port can be specified for some domains as well. If "
+"it's blank, NO_PROXY environment variable is checked as well."
 msgstr ""
 
 #. name:
@@ -7631,47 +7645,45 @@ msgstr ""
 
 #: src/protocol/rewrite/rewrite.c:46
 msgid ""
-"Rules for rewriting URIs entered in the goto dialog.\n"
-"It makes it possible to define a set of prefixes that will\n"
-"be expanded if they match a string entered in the goto dialog.\n"
-"The prefixes can be dumb, meaning that they work only like\n"
-"URI abbreviations, or smart ones, making it possible to pass\n"
+"Rules for rewriting URIs entered in the goto dialog. It makes it possible to "
+"define a set of prefixes that will be expanded if they match a string "
+"entered in the goto dialog. The prefixes can be dumb, meaning that they work "
+"only like URI abbreviations, or smart ones, making it possible to pass "
 "arguments to them like search engine keywords."
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:53
+#: src/protocol/rewrite/rewrite.c:54
 msgid "Enable dumb prefixes"
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:55
+#: src/protocol/rewrite/rewrite.c:56
 msgid ""
-"Enable dumb prefixes - simple URI abbreviations which can\n"
-"be written to the Goto URL dialog instead of actual URIs - i.e.\n"
-"if you write 'elinks' there, you are directed to\n"
-"http://elinks.cz/."
+"Enable dumb prefixes - simple URI abbreviations which can be written to the "
+"Goto URL dialog instead of actual URIs - i.e. if you write 'elinks' there, "
+"you are directed to http://elinks.cz/."
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:60
+#: src/protocol/rewrite/rewrite.c:61
 msgid "Enable smart prefixes"
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:62
+#: src/protocol/rewrite/rewrite.c:63
 msgid ""
-"Enable smart prefixes - URI templates triggered by writing\n"
-"given abbreviation to the Goto URL dialog followed by a list\n"
-"of arguments from which the actual URI is composed - i.e.\n"
-"'gg:search keywords' or 'gn search keywords for news'."
+"Enable smart prefixes - URI templates triggered by writing given "
+"abbreviation to the Goto URL dialog followed by a list of arguments from "
+"which the actual URI is composed - i.e. 'gg:search keywords' or 'gn search "
+"keywords for news'."
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:67
+#: src/protocol/rewrite/rewrite.c:69
 msgid "Dumb Prefixes"
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:69
+#: src/protocol/rewrite/rewrite.c:71
 msgid "Dumb prefixes, see enable-dumb description for details."
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:74
+#: src/protocol/rewrite/rewrite.c:76
 #, no-c-format
 msgid ""
 "Replacement URI for this dumbprefix:\n"
@@ -7679,15 +7691,15 @@ msgid ""
 "%% in the string means '%'"
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:78
+#: src/protocol/rewrite/rewrite.c:80
 msgid "Smart Prefixes"
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:80
+#: src/protocol/rewrite/rewrite.c:82
 msgid "Smart prefixes, see enable-smart description for details."
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:87
+#: src/protocol/rewrite/rewrite.c:90
 #, no-c-format
 msgid ""
 "Replacement URI for this smartprefix:\n"
@@ -7697,27 +7709,29 @@ msgid ""
 "%% in the string means '%'"
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:93
+#: src/protocol/rewrite/rewrite.c:96
 #, fuzzy
 msgid "Default template"
 msgstr "Cach de documentos con formato"
 
-#: src/protocol/rewrite/rewrite.c:96
+#: src/protocol/rewrite/rewrite.c:99
 #, no-c-format
 msgid ""
-"Default URI template used when the string entered in\n"
-"the goto dialog does not appear to be a URI or a filename\n"
-"(i.e. contains no '.', ':' or '/' characters), and does\n"
-"not match any defined prefixes. Set the value to \"\" to\n"
-"disable use of the default template rewrite rule.\n"
+"Default URI template used when the string entered in the goto dialog does "
+"not appear to be a URI or a filename (i.e. contains no '.', ':' or '/' "
+"characters), and does not match any defined prefixes. Set the value to \"\" "
+"to disable use of the default template rewrite rule.\n"
+"\n"
 "%c in the template means the current URL,\n"
-"%s in the template means the whole string from the goto dialog,\n"
-"%0,%1,...,%9 mean the 1st,2nd,...,10th space-delimited part of %s,\n"
+"%s in the template means the whole string from the goto\n"
+"   dialog,\n"
+"%0,%1,...,%9 mean the 1st,2nd,...,10th space-delimited part\n"
+"   of %s,\n"
 "%% in the template means '%'."
 msgstr ""
 
 #. name:
-#: src/protocol/rewrite/rewrite.c:372
+#: src/protocol/rewrite/rewrite.c:378
 msgid "URI rewrite"
 msgstr ""
 
@@ -7740,24 +7754,23 @@ msgid "Credentials file passed to smbcli
 msgstr ""
 
 #. name:
-#: src/protocol/user.c:34 src/protocol/user.c:84
+#: src/protocol/user.c:34 src/protocol/user.c:85
 msgid "User protocols"
 msgstr ""
 
 #: src/protocol/user.c:36
 msgid ""
-"User protocols. Options in this tree specify external\n"
-"handlers for the appropriate protocols. Ie.\n"
-"protocol.user.mailto.unix."
+"User protocols. Options in this tree specify external handlers for the "
+"appropriate protocols. Ie. protocol.user.mailto.unix."
 msgstr ""
 
 #: src/protocol/user.c:47
 msgid ""
-"Handler (external program) for this protocol. Name the\n"
-"options in this tree after your system (ie. unix, unix-xwin)."
+"Handler (external program) for this protocol. Name the options in this tree "
+"after your system (ie. unix, unix-xwin)."
 msgstr ""
 
-#: src/protocol/user.c:52
+#: src/protocol/user.c:53
 msgid ""
 "Handler (external program) for this protocol and system.\n"
 "%f in the string means file name to include form data from\n"
@@ -7768,11 +7781,11 @@ msgid ""
 "%u in the string means the whole URL"
 msgstr ""
 
-#: src/protocol/user.c:276
+#: src/protocol/user.c:277
 msgid "No program"
 msgstr "Sen programa"
 
-#: src/protocol/user.c:278
+#: src/protocol/user.c:279
 #, fuzzy, c-format
 msgid "No program specified for protocol %s."
 msgstr "Sen programa especificado para"
@@ -7856,19 +7869,19 @@ msgstr ""
 msgid "Spidermonkey ECMAScript"
 msgstr ""
 
-#: src/session/download.c:233 src/session/download.c:330
-#: src/session/download.c:561 src/session/download.c:649
+#: src/session/download.c:256 src/session/download.c:356
+#: src/session/download.c:587 src/session/download.c:675
 msgid "Download error"
 msgstr "Erro de descarga"
 
-#: src/session/download.c:234 src/session/download.c:650
+#: src/session/download.c:257 src/session/download.c:676
 #, fuzzy, c-format
 msgid ""
 "Could not create file '%s':\n"
 "%s"
 msgstr "Non se puido crear o ficheiro"
 
-#: src/session/download.c:331
+#: src/session/download.c:357
 #, fuzzy, c-format
 msgid ""
 "Error downloading %s:\n"
@@ -7876,17 +7889,17 @@ msgid ""
 "%s"
 msgstr "Erro descargando"
 
-#: src/session/download.c:562
+#: src/session/download.c:588
 #, c-format
 msgid "'%s' is a directory."
 msgstr ""
 
-#: src/session/download.c:596
+#: src/session/download.c:622
 #, fuzzy
 msgid "File exists"
 msgstr "~Extensins de ficheiros"
 
-#: src/session/download.c:597
+#: src/session/download.c:623
 #, c-format
 msgid ""
 "This file already exists:\n"
@@ -7897,51 +7910,51 @@ msgid ""
 msgstr ""
 
 #. accelerator_context(src/session/download.c:lookup_unique_name)
-#: src/session/download.c:604
+#: src/session/download.c:630
 msgid "Sa~ve under the alternative name"
 msgstr ""
 
 #. accelerator_context(src/session/download.c:lookup_unique_name)
-#: src/session/download.c:605
+#: src/session/download.c:631
 msgid "~Overwrite the original file"
 msgstr ""
 
 #. accelerator_context(src/session/download.c:lookup_unique_name)
-#: src/session/download.c:606
+#: src/session/download.c:632
 msgid "~Resume download of the original file"
 msgstr ""
 
-#: src/session/download.c:1109
+#: src/session/download.c:1135
 msgid "Unknown type"
 msgstr "Tipo descoecido"
 
-#: src/session/download.c:1134
+#: src/session/download.c:1160
 #, c-format
 msgid "What would you like to do with the file '%s' (type: %s%s%s)?"
 msgstr ""
 
-#: src/session/download.c:1137
+#: src/session/download.c:1163
 #, c-format
 msgid "What would you like to do with the file (type: %s%s%s)?"
 msgstr ""
 
-#: src/session/download.c:1165
+#: src/session/download.c:1191
 #, no-c-format
 msgid "Program ('%' will be replaced by the filename)"
 msgstr ""
 
-#: src/session/download.c:1169
+#: src/session/download.c:1195
 #, fuzzy
 msgid "Block the terminal"
 msgstr "Terminal de ~BeOS"
 
-#: src/session/download.c:1175
+#: src/session/download.c:1201
 #, c-format
 msgid "The file will be opened with the program '%s'."
 msgstr ""
 
 #. accelerator_context(src/session/download.c:do_type_query)
-#: src/session/download.c:1196
+#: src/session/download.c:1222
 #, fuzzy
 msgid "~Open"
 msgstr "Abrir"
@@ -7950,12 +7963,12 @@ msgstr "Abrir"
 #. * and formatting it with "%u" is safe,
 #. * because fc_maxlength is smaller than
 #. * file.length, which is an int.
-#: src/session/session.c:761 src/session/session.c:780 src/session/task.c:275
-#: src/viewer/text/textarea.c:652
+#: src/session/session.c:771 src/session/session.c:790 src/session/task.c:275
+#: src/viewer/text/textarea.c:641
 msgid "Warning"
 msgstr "Aviso"
 
-#: src/session/session.c:762
+#: src/session/session.c:772
 msgid ""
 "You have an empty string in protocol.http.user_agent - this was a default "
 "value in the past, substituted by default ELinks User-Agent string. However, "
@@ -7966,7 +7979,7 @@ msgid ""
 "will be used. Apologies for any inconvience caused."
 msgstr ""
 
-#: src/session/session.c:781
+#: src/session/session.c:791
 msgid ""
 "You have option config.saving_style set to a de facto obsolete value. The "
 "configuration saving algorithms of ELinks were changed from the last time "
@@ -7979,11 +7992,11 @@ msgid ""
 "caused."
 msgstr ""
 
-#: src/session/session.c:806
+#: src/session/session.c:816
 msgid "Welcome"
 msgstr "Benvido"
 
-#: src/session/session.c:807
+#: src/session/session.c:817
 #, fuzzy
 msgid ""
 "Welcome to ELinks!\n"
@@ -8035,22 +8048,22 @@ msgstr ""
 msgid "Warning: terminal name contains illicit chars."
 msgstr ""
 
-#: src/terminal/event.c:259
+#: src/terminal/event.c:258
 #, c-format
 msgid "Failed to create session."
 msgstr ""
 
-#: src/terminal/event.c:446
+#: src/terminal/event.c:443
 #, c-format
 msgid "Bad event %d"
 msgstr ""
 
-#: src/terminal/event.c:486
+#: src/terminal/event.c:483
 #, fuzzy, c-format
 msgid "Could not read event: %d (%s)"
 msgstr "Non se puido crear o ficheiro"
 
-#: src/terminal/kbd.c:1187
+#: src/terminal/kbd.c:1210
 #, c-format
 msgid "Too many bytes read from the itrm!"
 msgstr ""
@@ -8129,207 +8142,207 @@ msgstr "Sen marcos"
 msgid "The requested fragment \"%s\" doesn't exist."
 msgstr ""
 
-#: src/viewer/text/form.c:1092
+#: src/viewer/text/form.c:1118
 msgid "Error while posting form"
 msgstr "Erro durante o envo do formulario"
 
-#: src/viewer/text/form.c:1093
+#: src/viewer/text/form.c:1119
 #, fuzzy, c-format
 msgid "Could not load file %s: %s"
 msgstr "Non se puido obter o ficheiro"
 
-#: src/viewer/text/form.c:1847
+#: src/viewer/text/form.c:1876
 #, fuzzy
 msgid "Reset form"
 msgstr "~Restablecer formulario"
 
-#: src/viewer/text/form.c:1849
+#: src/viewer/text/form.c:1878
 msgid "Harmless button"
 msgstr ""
 
-#: src/viewer/text/form.c:1857
+#: src/viewer/text/form.c:1886
 msgid "Submit form to"
 msgstr "Enviar formulario a"
 
-#: src/viewer/text/form.c:1858
+#: src/viewer/text/form.c:1887
 msgid "Post form to"
 msgstr "Enviar (por Post) formulario a"
 
-#: src/viewer/text/form.c:1860
+#: src/viewer/text/form.c:1889
 msgid "Radio button"
 msgstr "Botn radial"
 
-#: src/viewer/text/form.c:1864
+#: src/viewer/text/form.c:1893
 msgid "Select field"
 msgstr "Campo de seleccin"
 
-#: src/viewer/text/form.c:1868
+#: src/viewer/text/form.c:1897
 msgid "Text area"
 msgstr "Area de texto"
 
-#: src/viewer/text/form.c:1870
+#: src/viewer/text/form.c:1899
 msgid "File upload"
 msgstr "Enviar ficheiro"
 
-#: src/viewer/text/form.c:1872
+#: src/viewer/text/form.c:1901
 msgid "Password field"
 msgstr "Campo de contrasinal"
 
-#: src/viewer/text/form.c:1910
+#: src/viewer/text/form.c:1939
 msgid "name"
 msgstr "nome"
 
-#: src/viewer/text/form.c:1922
+#: src/viewer/text/form.c:1951
 msgid "value"
 msgstr "valor"
 
-#: src/viewer/text/form.c:1935
+#: src/viewer/text/form.c:1964
 msgid "read only"
 msgstr ""
 
-#: src/viewer/text/form.c:1946
+#: src/viewer/text/form.c:1975
 #, c-format
 msgid "press %s to navigate"
 msgstr ""
 
-#: src/viewer/text/form.c:1948
+#: src/viewer/text/form.c:1977
 #, c-format
 msgid "press %s to edit"
 msgstr ""
 
-#: src/viewer/text/form.c:1984
+#: src/viewer/text/form.c:2013
 #, fuzzy, c-format
 msgid "press %s to submit to %s"
 msgstr "enviar a"
 
-#: src/viewer/text/form.c:1986
+#: src/viewer/text/form.c:2015
 #, fuzzy, c-format
 msgid "press %s to post to %s"
 msgstr "enviar a"
 
-#: src/viewer/text/form.c:2088
+#: src/viewer/text/form.c:2117
 msgid "Useless button"
 msgstr ""
 
-#: src/viewer/text/form.c:2090
+#: src/viewer/text/form.c:2119
 #, fuzzy
 msgid "Submit button"
 msgstr "Enviar formulario a"
 
 #. accelerator_context(link_menu.map)
-#: src/viewer/text/link.c:1281
+#: src/viewer/text/link.c:1280
 msgid "Display ~usemap"
 msgstr "Mostrar ~Usemap"
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1286
+#: src/viewer/text/link.c:1285
 msgid "~Follow link"
 msgstr "~Seguir ligazn"
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1288
+#: src/viewer/text/link.c:1287
 msgid "Follow link and r~eload"
 msgstr ""
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1292
+#: src/viewer/text/link.c:1291
 msgid "Open in new ~window"
 msgstr "Abrir en nova fiestra"
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1294
+#: src/viewer/text/link.c:1293
 #, fuzzy
 msgid "Open in new ~tab"
 msgstr "Abrir en nova fiestra"
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1296
+#: src/viewer/text/link.c:1295
 #, fuzzy
 msgid "Open in new tab in ~background"
 msgstr "2 plano"
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1301
+#: src/viewer/text/link.c:1300
 msgid "~Download link"
 msgstr "Descargar ~ligazn"
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1304
+#: src/viewer/text/link.c:1303
 msgid "~Add link to bookmarks"
 msgstr ""
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1308
+#: src/viewer/text/link.c:1307
 msgid "Pass link URI to e~xternal command"
 msgstr ""
 
 #. accelerator_context(link_menu.form, link_menu.reset, link_menu.textarea)
-#: src/viewer/text/link.c:1319 src/viewer/text/link.c:1359
+#: src/viewer/text/link.c:1318 src/viewer/text/link.c:1358
 msgid "~Reset form"
 msgstr "~Restablecer formulario"
 
 #. accelerator_context(link_menu.textarea)
-#: src/viewer/text/link.c:1334
+#: src/viewer/text/link.c:1333
 msgid "Open in ~external editor"
 msgstr ""
 
 #. accelerator_context(link_menu.form, link_menu.textarea)
-#: src/viewer/text/link.c:1342
+#: src/viewer/text/link.c:1341
 msgid "~Submit form"
 msgstr "Enviar formulario"
 
 #. accelerator_context(link_menu.form, link_menu.textarea)
-#: src/viewer/text/link.c:1343
+#: src/viewer/text/link.c:1342
 msgid "Submit form and rel~oad"
 msgstr ""
 
 #. accelerator_context(link_menu.form, link_menu.textarea)
-#: src/viewer/text/link.c:1347
+#: src/viewer/text/link.c:1346
 msgid "Submit form and open in new ~window"
 msgstr "Enviar formulario e abrir nunha fiestra nova"
 
 #. accelerator_context(link_menu.form, link_menu.textarea)
-#: src/viewer/text/link.c:1349
+#: src/viewer/text/link.c:1348
 #, fuzzy
 msgid "Submit form and open in new ~tab"
 msgstr "Enviar formulario e abrir nunha fiestra nova"
 
 #. accelerator_context(link_menu.form, link_menu.textarea)
-#: src/viewer/text/link.c:1352
+#: src/viewer/text/link.c:1351
 #, fuzzy
 msgid "Submit form and open in new tab in ~background"
 msgstr "Enviar formulario e abrir nunha fiestra nova"
 
 #. accelerator_context(link_menu.form, link_menu.textarea)
-#: src/viewer/text/link.c:1357
+#: src/viewer/text/link.c:1356
 msgid "Submit form and ~download"
 msgstr "Enviar formulario e ~descargar"
 
 #. accelerator_context(link_menu.form, link_menu.reset, link_menu.textarea)
-#: src/viewer/text/link.c:1364
+#: src/viewer/text/link.c:1363
 #, fuzzy
 msgid "Form f~ields"
 msgstr "Campo de contrasinal"
 
 #. accelerator_context(link_menu.form, link_menu.map, link_menu.std)
-#: src/viewer/text/link.c:1371
+#: src/viewer/text/link.c:1370
 msgid "V~iew image"
 msgstr "~Ver imaxe"
 
 #. accelerator_context(link_menu.form, link_menu.map, link_menu.std)
-#: src/viewer/text/link.c:1373
+#: src/viewer/text/link.c:1372
 msgid "Download ima~ge"
 msgstr "Descargar ~imaxe"
 
-#: src/viewer/text/link.c:1382
+#: src/viewer/text/link.c:1381
 msgid "No link selected"
 msgstr "Non hai ningunha ligazn seleccionada"
 
-#: src/viewer/text/link.c:1452
+#: src/viewer/text/link.c:1451
 msgid "Image"
 msgstr "Imaxe"
 
-#: src/viewer/text/link.c:1457
+#: src/viewer/text/link.c:1456
 msgid "Usemap"
 msgstr "Usemap"
 
@@ -8338,86 +8351,86 @@ msgstr "Usemap"
 msgid "Marks"
 msgstr ""
 
-#: src/viewer/text/search.c:1083
+#: src/viewer/text/search.c:1099
 msgid "Search hit top, continuing at bottom."
 msgstr ""
 
-#: src/viewer/text/search.c:1084
+#: src/viewer/text/search.c:1100
 msgid "Search hit bottom, continuing at top."
 msgstr ""
 
-#: src/viewer/text/search.c:1087
+#: src/viewer/text/search.c:1103
 msgid "No previous search"
 msgstr "Non hai bsqueda anterior"
 
-#: src/viewer/text/search.c:1099
+#: src/viewer/text/search.c:1115
 #, c-format
 msgid "Could not compile regular expression '%s'"
 msgstr ""
 
-#: src/viewer/text/search.c:1143
+#: src/viewer/text/search.c:1159
 #, c-format
 msgid "No further matches for '%s'."
 msgstr ""
 
-#: src/viewer/text/search.c:1145
+#: src/viewer/text/search.c:1161
 #, c-format
 msgid "Could not find a link with the text '%s'."
 msgstr ""
 
-#: src/viewer/text/search.c:1147 src/viewer/text/search.c:1558
+#: src/viewer/text/search.c:1163 src/viewer/text/search.c:1576
 msgid "Typeahead"
 msgstr ""
 
-#: src/viewer/text/search.c:1560
+#: src/viewer/text/search.c:1578
 #, c-format
 msgid "No links in current document"
 msgstr ""
 
-#: src/viewer/text/search.c:1643
+#: src/viewer/text/search.c:1661
 msgid "Search for text"
 msgstr "Buscar texto"
 
-#: src/viewer/text/search.c:1679
+#: src/viewer/text/search.c:1697
 #, fuzzy
 msgid "Normal search"
 msgstr "Non hai bsqueda anterior"
 
-#: src/viewer/text/search.c:1680
+#: src/viewer/text/search.c:1698
 msgid "Regexp search"
 msgstr ""
 
-#: src/viewer/text/search.c:1681
+#: src/viewer/text/search.c:1699
 msgid "Extended regexp search"
 msgstr ""
 
-#: src/viewer/text/search.c:1683
+#: src/viewer/text/search.c:1701
 msgid "Case sensitive"
 msgstr ""
 
-#: src/viewer/text/search.c:1684
+#: src/viewer/text/search.c:1702
 msgid "Case insensitive"
 msgstr ""
 
-#: src/viewer/text/search.c:1708
+#: src/viewer/text/search.c:1726
 msgid "Search backward"
 msgstr "Buscar hacia atrs"
 
 #. name:
-#: src/viewer/text/search.c:1747
+#: src/viewer/text/search.c:1765
 #, fuzzy
 msgid "Search History"
 msgstr "Sen memoria"
 
-#: src/viewer/text/textarea.c:595
+#: src/viewer/text/textarea.c:584
 msgid "You cannot launch an external editor in the anonymous mode."
 msgstr ""
 
-#: src/viewer/text/textarea.c:602
+#: src/viewer/text/textarea.c:591
 msgid "You can do this only on the master terminal"
 msgstr ""
 
-#: src/viewer/text/textarea.c:655
+#: src/viewer/text/textarea.c:644
 #, c-format
 msgid ""
 "You have exceeded the textarea's size limit: your input is %d bytes, but the "
@@ -8435,11 +8448,11 @@ msgstr "Ir a ligazn"
 msgid "Enter link number"
 msgstr "Introduce n de ligazn"
 
-#: src/viewer/text/view.c:1627
+#: src/viewer/text/view.c:1628
 msgid "Save error"
 msgstr "Erro  gardar"
 
-#: src/viewer/text/view.c:1628
+#: src/viewer/text/view.c:1629
 msgid "Error writing to file"
 msgstr "Erro escribindo a ficheiro"
 
Binary files 0.12~pre2.dfsg0-1/po/hr.gmo and 0.12~pre4-1/po/hr.gmo differ
diff -pruN 0.12~pre2.dfsg0-1/po/hr.po 0.12~pre4-1/po/hr.po
--- 0.12~pre2.dfsg0-1/po/hr.po	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/po/hr.po	2009-05-31 09:48:47.000000000 +0100
@@ -6,7 +6,7 @@ msgid ""
 msgstr ""
 "Project-Id-Version: ELinks 0.5pre0.CVS\n"
 "Report-Msgid-Bugs-To: elinks-users@linuxfromscratch.org\n"
-"POT-Creation-Date: 2008-09-21 11:13+0300\n"
+"POT-Creation-Date: 2009-05-31 01:57+0300\n"
 "PO-Revision-Date: 2003-01-03 03:41+0100\n"
 "Last-Translator: Denis Lackovic <delacko@fly.srk.fer.hr>\n"
 "Language-Team: Croatian <lokalizacija@linux.hr>\n"
@@ -37,7 +37,7 @@ msgstr ""
 #: src/mime/dialogs.c:132 src/protocol/auth/dialogs.c:115
 #: src/protocol/protocol.c:246 src/scripting/lua/core.c:399
 #: src/scripting/lua/core.c:480 src/scripting/python/dialogs.c:86
-#: src/session/session.c:811 src/viewer/text/search.c:1686
+#: src/session/session.c:821 src/viewer/text/search.c:1704
 #, fuzzy
 msgid "~OK"
 msgstr "OK"
@@ -55,13 +55,13 @@ msgid "Sorry, but the item \"%s\" is bei
 msgstr ""
 
 #. cant_delete_folder
-#: src/bfu/hierbox.c:558 src/bookmarks/dialogs.c:121
+#: src/bfu/hierbox.c:558 src/bookmarks/dialogs.c:153
 #, c-format
 msgid "Sorry, but the folder \"%s\" cannot be deleted."
 msgstr ""
 
 #. cant_delete_used_folder
-#: src/bfu/hierbox.c:561 src/bookmarks/dialogs.c:123
+#: src/bfu/hierbox.c:561 src/bookmarks/dialogs.c:155
 #, c-format
 msgid "Sorry, but the folder \"%s\" is being used by something else."
 msgstr ""
@@ -79,7 +79,7 @@ msgid "Delete marked items?"
 msgstr "Odaberi polje"
 
 #. delete_folder_title
-#: src/bfu/hierbox.c:570 src/bookmarks/dialogs.c:129
+#: src/bfu/hierbox.c:570 src/bookmarks/dialogs.c:161
 #, fuzzy
 msgid "Delete folder"
 msgstr "Izbrii biljeku"
@@ -139,13 +139,13 @@ msgstr "Yes"
 msgid "~No"
 msgstr "Ne"
 
-#: src/bfu/hierbox.c:945 src/bfu/hierbox.c:976 src/viewer/text/search.c:1090
-#: src/viewer/text/search.c:1098 src/viewer/text/search.c:1114
-#: src/viewer/text/search.c:1705
+#: src/bfu/hierbox.c:945 src/bfu/hierbox.c:976 src/viewer/text/search.c:1106
+#: src/viewer/text/search.c:1114 src/viewer/text/search.c:1130
+#: src/viewer/text/search.c:1723
 msgid "Search"
 msgstr "Trai"
 
-#: src/bfu/hierbox.c:947 src/viewer/text/search.c:1091
+#: src/bfu/hierbox.c:947 src/viewer/text/search.c:1107
 #, fuzzy, c-format
 msgid "Search string '%s' not found"
 msgstr "Nije naen traeni niz znakova"
@@ -184,8 +184,8 @@ msgstr "Prazni niz znakova nije dozvolje
 #: src/dialogs/options.c:237 src/dialogs/options.c:316 src/mime/dialogs.c:133
 #: src/protocol/auth/dialogs.c:116 src/protocol/bittorrent/dialogs.c:814
 #: src/scripting/lua/core.c:400 src/scripting/lua/core.c:481
-#: src/session/download.c:607 src/session/download.c:1219
-#: src/viewer/text/search.c:1687
+#: src/session/download.c:633 src/session/download.c:1245
+#: src/viewer/text/search.c:1705
 #, fuzzy
 msgid "~Cancel"
 msgstr "Otkai"
@@ -199,8 +199,8 @@ msgstr "zakljuano"
 msgid "Digital clock in the status bar."
 msgstr ""
 
-#: src/bfu/leds.c:77 src/bfu/leds.c:94 src/config/options.inc:1199
-#: src/config/options.inc:1206 src/ecmascript/ecmascript.c:45
+#: src/bfu/leds.c:77 src/bfu/leds.c:94 src/config/options.inc:1272
+#: src/config/options.inc:1279 src/ecmascript/ecmascript.c:45
 #: src/globhist/globhist.c:64 src/mime/backend/mailcap.c:93
 #: src/mime/backend/mimetypes.c:52 src/network/ssl/ssl.c:81
 #, fuzzy
@@ -218,8 +218,7 @@ msgstr "Poalji datoteku"
 
 #: src/bfu/leds.c:83
 msgid ""
-"Format string for the digital clock. See the strftime(3)\n"
-"manpage for details."
+"Format string for the digital clock. See the strftime(3) manpage for details."
 msgstr ""
 
 #: src/bfu/leds.c:90
@@ -232,8 +231,7 @@ msgstr ""
 
 #: src/bfu/leds.c:96
 msgid ""
-"Enable LEDs.\n"
-"These visual indicators will inform you about various states."
+"Enable LEDs. These visual indicators will inform you about various states."
 msgstr ""
 
 #. name:
@@ -263,34 +261,34 @@ msgstr ""
 msgid "Search menu/"
 msgstr "Trai"
 
-#: src/bookmarks/backend/xbel.c:97
+#: src/bookmarks/backend/xbel.c:105
 #, c-format
 msgid "read_bookmarks_xbel(): Error in XML_ParserCreate()"
 msgstr ""
 
-#: src/bookmarks/backend/xbel.c:108
+#: src/bookmarks/backend/xbel.c:116
 #, c-format
 msgid "read_bookmarks_xbel(): Error reading %s"
 msgstr ""
 
-#: src/bookmarks/backend/xbel.c:116
+#: src/bookmarks/backend/xbel.c:124
 #, c-format
 msgid ""
 "Parse error while processing XBEL bookmarks in %s at line %d column %d:\n"
 "%s"
 msgstr ""
 
-#: src/bookmarks/backend/xbel.c:390 src/bookmarks/backend/xbel.c:411
+#: src/bookmarks/backend/xbel.c:388 src/bookmarks/backend/xbel.c:410
 msgid "No title"
 msgstr ""
 
-#: src/bookmarks/backend/xbel.c:396
+#: src/bookmarks/backend/xbel.c:394
 #, fuzzy
 msgid "No URL"
 msgstr "Idi na URL"
 
 #. name:
-#: src/bookmarks/bookmarks.c:48 src/bookmarks/bookmarks.c:181
+#: src/bookmarks/bookmarks.c:48 src/bookmarks/bookmarks.c:183
 #, fuzzy
 msgid "Bookmarks"
 msgstr "Biljeke"
@@ -300,7 +298,7 @@ msgstr "Biljeke"
 msgid "Bookmark options."
 msgstr "Biljeke"
 
-#: src/bookmarks/bookmarks.c:53 src/bookmarks/bookmarks.c:59
+#: src/bookmarks/bookmarks.c:53 src/bookmarks/bookmarks.c:60
 #, fuzzy
 msgid "File format"
 msgstr "Poalji datoteku"
@@ -309,51 +307,47 @@ msgstr "Poalji datoteku"
 msgid ""
 "File format for bookmarks (affects both reading and saving):\n"
 "0 is the default native ELinks format\n"
-"1 is XBEL universal XML bookmarks format (ELinks bug 153: NO NATIONAL CHARS "
-"SUPPORT!)"
+"1 is XBEL universal XML bookmarks format"
 msgstr ""
 
-#: src/bookmarks/bookmarks.c:61
+#: src/bookmarks/bookmarks.c:62
 msgid ""
 "File format for bookmarks (affects both reading and saving):\n"
 "0 is the default native ELinks format\n"
-"1 is XBEL universal XML bookmarks format (ELinks bug 153: NO NATIONAL CHARS "
-"SUPPORT!)  (DISABLED)"
+"1 is XBEL universal XML bookmarks format  (DISABLED)"
 msgstr ""
 
-#: src/bookmarks/bookmarks.c:67
+#: src/bookmarks/bookmarks.c:68
 #, fuzzy
 msgid "Save folder state"
 msgstr "Unesi broj linka"
 
-#: src/bookmarks/bookmarks.c:69
+#: src/bookmarks/bookmarks.c:70
 msgid ""
-"When saving bookmarks also store whether folders are\n"
-"expanded or not, so the look of the bookmark dialog is\n"
-"kept across ELinks sessions. If disabled all folders will\n"
-"appear unexpanded next time ELinks is run."
+"When saving bookmarks also store whether folders are expanded or not, so the "
+"look of the bookmark dialog is kept across ELinks sessions. If disabled all "
+"folders will appear unexpanded next time ELinks is run."
 msgstr ""
 
-#: src/bookmarks/bookmarks.c:74
+#: src/bookmarks/bookmarks.c:75
 msgid "Periodic snapshotting"
 msgstr ""
 
-#: src/bookmarks/bookmarks.c:76
+#: src/bookmarks/bookmarks.c:77
 msgid ""
-"Automatically save a snapshot of all tabs periodically.\n"
-"This will periodically bookmark the tabs of each terminal in a separate "
-"folder\n"
-"for recovery after a crash.\n"
+"Automatically save a snapshot of all tabs periodically. This will "
+"periodically bookmark the tabs of each terminal in a separate folder for "
+"recovery after a crash.\n"
 "\n"
 "This feature requires bookmark support."
 msgstr ""
 
-#: src/bookmarks/dialogs.c:72 src/config/options.inc:1051
+#: src/bookmarks/dialogs.c:97 src/config/options.inc:1120
 #: src/dialogs/document.c:145 src/globhist/dialogs.c:65
 msgid "Title"
 msgstr ""
 
-#: src/bookmarks/dialogs.c:73 src/cache/dialogs.c:65
+#: src/bookmarks/dialogs.c:101 src/cache/dialogs.c:65
 #: src/dialogs/document.c:136 src/dialogs/edit.c:96 src/formhist/dialogs.c:63
 #: src/globhist/dialogs.c:66 src/protocol/auth/dialogs.c:163
 #: src/scripting/lua/core.c:397
@@ -361,86 +355,86 @@ msgid "URL"
 msgstr "URL"
 
 #. cant_delete_item
-#: src/bookmarks/dialogs.c:117
+#: src/bookmarks/dialogs.c:149
 #, c-format
 msgid "Sorry, but the bookmark \"%s\" cannot be deleted."
 msgstr ""
 
 #. cant_delete_used_item
-#: src/bookmarks/dialogs.c:119
+#: src/bookmarks/dialogs.c:151
 #, c-format
 msgid "Sorry, but the bookmark \"%s\" is being used by something else."
 msgstr ""
 
 #. delete_marked_items_title
-#: src/bookmarks/dialogs.c:125
+#: src/bookmarks/dialogs.c:157
 #, fuzzy
 msgid "Delete marked bookmarks"
 msgstr "Odaberi polje"
 
 #. delete_marked_items
-#: src/bookmarks/dialogs.c:127
+#: src/bookmarks/dialogs.c:159
 #, fuzzy
 msgid "Delete marked bookmarks?"
 msgstr "Odaberi polje"
 
 #. delete_folder
-#: src/bookmarks/dialogs.c:131
+#: src/bookmarks/dialogs.c:163
 #, fuzzy, c-format
 msgid "Delete the folder \"%s\" and all bookmarks in it?"
 msgstr "Izbrii nastavak"
 
 #. delete_item_title
-#: src/bookmarks/dialogs.c:133
+#: src/bookmarks/dialogs.c:165
 #, fuzzy
 msgid "Delete bookmark"
 msgstr "Uredi biljeke"
 
-#: src/bookmarks/dialogs.c:135
+#: src/bookmarks/dialogs.c:167
 #, c-format
 msgid "Delete this bookmark?"
 msgstr ""
 
 #. clear_all_items_title
-#: src/bookmarks/dialogs.c:137
+#: src/bookmarks/dialogs.c:169
 #, fuzzy
 msgid "Clear all bookmarks"
 msgstr "Biljeke"
 
 #. clear_all_items_title
-#: src/bookmarks/dialogs.c:139
+#: src/bookmarks/dialogs.c:171
 #, fuzzy
 msgid "Do you really want to remove all bookmarks?"
 msgstr "elite li zaista izai?"
 
-#: src/bookmarks/dialogs.c:254
+#: src/bookmarks/dialogs.c:327
 msgid "Add folder"
 msgstr ""
 
-#: src/bookmarks/dialogs.c:254
+#: src/bookmarks/dialogs.c:327
 msgid "Folder name"
 msgstr ""
 
-#: src/bookmarks/dialogs.c:310 src/scripting/lua/core.c:391
+#: src/bookmarks/dialogs.c:410 src/scripting/lua/core.c:391
 msgid "Edit bookmark"
 msgstr "Uredi biljeke"
 
-#: src/bookmarks/dialogs.c:461
+#: src/bookmarks/dialogs.c:567
 msgid "Cannot move folder inside itself"
 msgstr ""
 
-#: src/bookmarks/dialogs.c:462
+#: src/bookmarks/dialogs.c:568
 msgid ""
 "You are trying to move the marked folder inside itself. To move the folder "
 "to a different location select the new location before pressing the Move "
 "button."
 msgstr ""
 
-#: src/bookmarks/dialogs.c:468
+#: src/bookmarks/dialogs.c:574
 msgid "Nothing to move"
 msgstr ""
 
-#: src/bookmarks/dialogs.c:469
+#: src/bookmarks/dialogs.c:575
 msgid ""
 "To move bookmarks, first mark all the bookmarks (or folders) you want to "
 "move.  This can be done with the Insert key if you're using the default key-"
@@ -449,21 +443,21 @@ msgid ""
 msgstr ""
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons, src/cache/dialogs.c:cache_buttons, src/globhist/dialogs.c:globhist_buttons, src/protocol/auth/dialogs.c:auth_buttons)
-#: src/bookmarks/dialogs.c:487 src/cache/dialogs.c:230
+#: src/bookmarks/dialogs.c:593 src/cache/dialogs.c:230
 #: src/globhist/dialogs.c:224 src/protocol/auth/dialogs.c:261
 #, fuzzy
 msgid "~Goto"
 msgstr "Kreni"
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons, src/config/dialogs.c:option_buttons, src/cookies/dialogs.c:cookie_buttons)
-#: src/bookmarks/dialogs.c:488 src/config/dialogs.c:503
+#: src/bookmarks/dialogs.c:594 src/config/dialogs.c:503
 #: src/cookies/dialogs.c:492
 #, fuzzy
 msgid "~Edit"
 msgstr "Uredi"
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons, src/cache/dialogs.c:cache_buttons, src/config/dialogs.c:keybinding_buttons, src/config/dialogs.c:option_buttons, src/cookies/dialogs.c:cookie_buttons, src/dialogs/menu.c:ext_menu, src/formhist/dialogs.c:formhist_buttons, src/globhist/dialogs.c:globhist_buttons, src/protocol/auth/dialogs.c:auth_buttons)
-#: src/bookmarks/dialogs.c:489 src/cache/dialogs.c:231
+#: src/bookmarks/dialogs.c:595 src/cache/dialogs.c:231
 #: src/config/dialogs.c:505 src/config/dialogs.c:930 src/cookies/dialogs.c:493
 #: src/dialogs/menu.c:463 src/formhist/dialogs.c:211
 #: src/globhist/dialogs.c:229 src/protocol/auth/dialogs.c:263
@@ -471,28 +465,28 @@ msgid "~Delete"
 msgstr "Obrii"
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons, src/config/dialogs.c:keybinding_buttons, src/config/dialogs.c:option_buttons, src/cookies/dialogs.c:cookie_buttons, src/dialogs/menu.c:ext_menu)
-#: src/bookmarks/dialogs.c:490 src/config/dialogs.c:504
+#: src/bookmarks/dialogs.c:596 src/config/dialogs.c:504
 #: src/config/dialogs.c:929 src/cookies/dialogs.c:490 src/dialogs/menu.c:461
 msgid "~Add"
 msgstr "Dod~aj"
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons)
-#: src/bookmarks/dialogs.c:491
+#: src/bookmarks/dialogs.c:597
 msgid "Add se~parator"
 msgstr ""
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons)
-#: src/bookmarks/dialogs.c:492
+#: src/bookmarks/dialogs.c:598
 msgid "Add ~folder"
 msgstr ""
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons)
-#: src/bookmarks/dialogs.c:493
+#: src/bookmarks/dialogs.c:599
 msgid "~Move"
 msgstr ""
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons, src/cache/dialogs.c:cache_buttons, src/config/dialogs.c:keybinding_buttons, src/config/dialogs.c:option_buttons, src/dialogs/menu.c:view_menu, src/globhist/dialogs.c:globhist_buttons)
-#: src/bookmarks/dialogs.c:494 src/cache/dialogs.c:232
+#: src/bookmarks/dialogs.c:600 src/cache/dialogs.c:232
 #: src/config/dialogs.c:506 src/config/dialogs.c:932 src/dialogs/menu.c:413
 #: src/globhist/dialogs.c:230
 msgid "~Search"
@@ -500,38 +494,52 @@ msgstr "Trai"
 
 #. This one is too dangerous, so just let user delete
 #. * the bookmarks file if needed. --Zas
-#: src/bookmarks/dialogs.c:498
+#: src/bookmarks/dialogs.c:604
 msgid "Clear"
 msgstr ""
 
 #. TODO: Would this be useful? --jonas
-#: src/bookmarks/dialogs.c:501 src/globhist/dialogs.c:235
+#: src/bookmarks/dialogs.c:607 src/globhist/dialogs.c:235
 msgid "Save"
 msgstr "Spremi"
 
-#: src/bookmarks/dialogs.c:507
+#: src/bookmarks/dialogs.c:613
 msgid "Bookmark manager"
 msgstr "Upravljanje biljekama"
 
-#: src/bookmarks/dialogs.c:632
+#: src/bookmarks/dialogs.c:825
 msgid "Search bookmarks"
 msgstr ""
 
-#: src/bookmarks/dialogs.c:661
+#. When the user eventually pushes the OK button, BFU calls
+#. * bookmark_add_add() and gives it the struct dialog * as the
+#. * void * parameter.  However, bookmark_add_add() also needs
+#. * to know the struct terminal *, and there is no way to get
+#. * that from struct dialog.  The other bookmark dialogs work
+#. * around that by making dialog.udata point to the struct
+#. * dialog_data of the bookmark manager, but the "Add bookmark"
+#. * dialog can be triggered with ACT_MAIN_ADD_BOOKMARK, which
+#. * does not involve the bookmark manager at all.
+#. *
+#. * The solution here is to save the struct terminal * in
+#. * dialog.udata2, which the "Edit bookmark" dialog uses for
+#. * struct bookmark *.  When adding a new bookmark, we don't
+#. * need a pointer to an existing one, of course.
+#: src/bookmarks/dialogs.c:892
 msgid "Add bookmark"
 msgstr "Dodaj biljeku"
 
-#: src/bookmarks/dialogs.c:697
+#: src/bookmarks/dialogs.c:950
 #, fuzzy
 msgid "Saved session"
 msgstr "~Sauvaj opcije"
 
-#: src/bookmarks/dialogs.c:705
+#: src/bookmarks/dialogs.c:958
 #, fuzzy
 msgid "Bookmark tabs"
 msgstr "Biljeke"
 
-#: src/bookmarks/dialogs.c:705
+#: src/bookmarks/dialogs.c:958
 #, fuzzy
 msgid "Enter folder name"
 msgstr "Unesi broj linka"
@@ -545,7 +553,7 @@ msgstr "Idi na URL"
 msgid "Redirect"
 msgstr ""
 
-#: src/cache/dialogs.c:85 src/config/options.inc:519
+#: src/cache/dialogs.c:85 src/config/options.inc:553
 #: src/dialogs/document.c:156 src/protocol/bittorrent/dialogs.c:126
 msgid "Size"
 msgstr "Veliina"
@@ -592,7 +600,7 @@ msgstr ""
 msgid "ID"
 msgstr ""
 
-#: src/cache/dialogs.c:134 src/config/options.inc:669
+#: src/cache/dialogs.c:134 src/config/options.inc:707
 #, fuzzy
 msgid "Header"
 msgstr "Podaci o zaglavlju"
@@ -1346,7 +1354,7 @@ msgstr "Raunalo nije naeno"
 msgid "Resolver error"
 msgstr "Greka pri spremanju"
 
-#: src/config/cmdline.c:256 src/cookies/cookies.c:841 src/network/state.c:47
+#: src/config/cmdline.c:256 src/cookies/cookies.c:843 src/network/state.c:47
 #: src/util/secsave.c:379
 msgid "Out of memory"
 msgstr "Nedovoljno memorije"
@@ -1368,290 +1376,291 @@ msgstr ""
 msgid "Remote method not supported"
 msgstr ""
 
-#: src/config/cmdline.c:452
+#: src/config/cmdline.c:437
+msgid "Out of memory formatting option documentation"
+msgstr ""
+
+#: src/config/cmdline.c:474
 msgid "Template option folder"
 msgstr ""
 
-#: src/config/cmdline.c:475
+#: src/config/cmdline.c:497
 #, c-format
 msgid "(default: %ld)"
 msgstr ""
 
-#: src/config/cmdline.c:482 src/config/cmdline.c:511
+#: src/config/cmdline.c:504 src/config/cmdline.c:533
 #, c-format
 msgid "(default: \"%s\")"
 msgstr ""
 
-#: src/config/cmdline.c:487
+#: src/config/cmdline.c:509
 #, c-format
 msgid "(alias for %s)"
 msgstr ""
 
-#: src/config/cmdline.c:492 src/config/cmdline.c:501
+#: src/config/cmdline.c:514 src/config/cmdline.c:523
 #, c-format
 msgid "(default: %s)"
 msgstr ""
 
-#: src/config/cmdline.c:642
+#: src/config/cmdline.c:654
 #, fuzzy
 msgid "Configuration options"
 msgstr "Veze"
 
-#: src/config/cmdline.c:646
+#: src/config/cmdline.c:658
 msgid "Usage: elinks [OPTION]... [URL]..."
 msgstr ""
 
-#: src/config/cmdline.c:647
+#: src/config/cmdline.c:659
 #, fuzzy
 msgid "Options"
 msgstr "~Sauvaj opcije"
 
-#: src/config/cmdline.c:689
+#: src/config/cmdline.c:701
 #, fuzzy
 msgid "Internal consistency error"
 msgstr "Interna greka"
 
 #.
-#: src/config/cmdline.c:725
+#: src/config/cmdline.c:737
 msgid "Restrict to anonymous mode"
 msgstr ""
 
-#: src/config/cmdline.c:727
+#: src/config/cmdline.c:739
 msgid ""
-"Restricts ELinks so it can run on an anonymous account.\n"
-"Local file browsing, downloads, and modification of options\n"
-"will be disabled. Execution of viewers is allowed, but entries\n"
-"in the association table can't be added or modified."
+"Restricts ELinks so it can run on an anonymous account. Local file browsing, "
+"downloads, and modification of options will be disabled. Execution of "
+"viewers is allowed, but entries in the association table can't be added or "
+"modified."
 msgstr ""
 
-#: src/config/cmdline.c:732
+#: src/config/cmdline.c:745
 #, fuzzy
 msgid "Autosubmit first form"
 msgstr "Poalji formular"
 
-#: src/config/cmdline.c:734
+#: src/config/cmdline.c:747
 msgid "Automatically submit the first form in the given URLs."
 msgstr ""
 
-#: src/config/cmdline.c:736
+#: src/config/cmdline.c:749
 msgid "Clone internal session with given ID"
 msgstr ""
 
-#: src/config/cmdline.c:738
+#: src/config/cmdline.c:751
 msgid ""
-"Used internally when opening ELinks instances in new windows.\n"
-"The ID maps to information that will be used when creating the\n"
-"new instance. You don't want to use it."
+"Used internally when opening ELinks instances in new windows. The ID maps to "
+"information that will be used when creating the new instance. You don't want "
+"to use it."
 msgstr ""
 
-#: src/config/cmdline.c:744
+#: src/config/cmdline.c:757
 msgid "Name of directory with configuration file"
 msgstr ""
 
-#: src/config/cmdline.c:746
+#: src/config/cmdline.c:759
 msgid ""
-"Path of the directory ELinks will read and write its\n"
-"config and runtime state files to instead of ~/.elinks.\n"
-"If the path does not begin with a '/' it is assumed to be\n"
-"relative to your HOME directory."
+"Path of the directory ELinks will read and write its config and runtime "
+"state files to instead of ~/.elinks. If the path does not begin with a '/' "
+"it is assumed to be relative to your HOME directory."
 msgstr ""
 
-#: src/config/cmdline.c:751
+#: src/config/cmdline.c:764
 msgid "Print default configuration file to stdout"
 msgstr ""
 
-#: src/config/cmdline.c:753
+#: src/config/cmdline.c:766
 msgid ""
-"Print a configuration file with options set to the built-in\n"
-"defaults to stdout."
+"Print a configuration file with options set to the built-in defaults to "
+"stdout."
 msgstr ""
 
-#: src/config/cmdline.c:758
+#: src/config/cmdline.c:771
 msgid "Name of configuration file"
 msgstr ""
 
-#: src/config/cmdline.c:760
+#: src/config/cmdline.c:773
 msgid ""
-"Name of the configuration file that all configuration\n"
-"options will be read from and written to. It should be\n"
-"relative to config-dir."
+"Name of the configuration file that all configuration options will be read "
+"from and written to. It should be relative to config-dir."
 msgstr ""
 
-#: src/config/cmdline.c:764
+#: src/config/cmdline.c:777
 msgid "Print help for configuration options"
 msgstr ""
 
-#: src/config/cmdline.c:766
+#: src/config/cmdline.c:779
 msgid "Print help for configuration options and exit."
 msgstr ""
 
-#: src/config/cmdline.c:768
+#: src/config/cmdline.c:781
 msgid "MIME type assumed for unknown document types"
 msgstr ""
 
-#: src/config/cmdline.c:770
+#: src/config/cmdline.c:783
 msgid "The default MIME type used for documents of unknown type."
 msgstr ""
 
-#: src/config/cmdline.c:772
+#: src/config/cmdline.c:786
 msgid "Ignore user-defined keybindings"
 msgstr ""
 
-#: src/config/cmdline.c:774
+#: src/config/cmdline.c:788
 msgid ""
-"When set, all keybindings from configuration files will be\n"
-"ignored. It forces use of default keybindings and will reset\n"
-"user-defined ones on save."
+"When set, all keybindings from configuration files will be ignored. It "
+"forces use of default keybindings and will reset user-defined ones on save."
 msgstr ""
 
-#: src/config/cmdline.c:778
+#: src/config/cmdline.c:792
 msgid "Print formatted versions of given URLs to stdout"
 msgstr ""
 
-#: src/config/cmdline.c:780
+#: src/config/cmdline.c:794
 msgid "Print formatted plain-text versions of given URLs to stdout."
 msgstr ""
 
-#: src/config/cmdline.c:782
+#: src/config/cmdline.c:797
 msgid "Codepage to use with -dump"
 msgstr ""
 
-#: src/config/cmdline.c:784
+#: src/config/cmdline.c:799
 msgid "Codepage used when formatting dump output."
 msgstr ""
 
-#: src/config/cmdline.c:786
+#: src/config/cmdline.c:801
 msgid "Color mode used with -dump"
 msgstr ""
 
-#: src/config/cmdline.c:788
+#: src/config/cmdline.c:803
 msgid "Color mode used with -dump."
 msgstr ""
 
-#: src/config/cmdline.c:790
+#: src/config/cmdline.c:805
 msgid "Width of document formatted with -dump"
 msgstr ""
 
-#: src/config/cmdline.c:792
+#: src/config/cmdline.c:807
 msgid "Width of the dump output."
 msgstr ""
 
-#: src/config/cmdline.c:794
+#: src/config/cmdline.c:809
 msgid "Evaluate configuration file directive"
 msgstr ""
 
-#: src/config/cmdline.c:796
+#: src/config/cmdline.c:811
 msgid ""
-"Specify configuration file directives on the command-line\n"
-"which will be evaluated after all configuration files has been\n"
-"read. Example usage:\n"
+"Specify configuration file directives on the command-line which will be "
+"evaluated after all configuration files has been read. Example usage:\n"
 "\t-eval 'set protocol.file.allow_special_files = 1'"
 msgstr ""
 
 #. lynx compatibility
-#: src/config/cmdline.c:802
+#: src/config/cmdline.c:817
 msgid "Interpret documents of unknown types as HTML"
 msgstr ""
 
-#: src/config/cmdline.c:804
+#: src/config/cmdline.c:819
 msgid ""
-"Makes ELinks assume documents of unknown types are HTML.\n"
-"Useful when using ELinks as an external viewer from MUAs.\n"
-"This is equivalent to -default-mime-type text/html."
+"Makes ELinks assume documents of unknown types are HTML. Useful when using "
+"ELinks as an external viewer from MUAs. This is equivalent to -default-mime-"
+"type text/html."
 msgstr ""
 
-#: src/config/cmdline.c:814
+#: src/config/cmdline.c:829
 msgid "Print usage help and exit"
 msgstr ""
 
-#: src/config/cmdline.c:816
+#: src/config/cmdline.c:831
 msgid "Print usage help and exit."
 msgstr ""
 
-#: src/config/cmdline.c:818
+#: src/config/cmdline.c:833
 msgid "Only permit local connections"
 msgstr ""
 
-#: src/config/cmdline.c:820
+#: src/config/cmdline.c:835
 msgid ""
-"Restricts ELinks to work offline and only connect to servers\n"
-"with local addresses (ie. 127.0.0.1). No connections to remote\n"
-"servers will be permitted."
+"Restricts ELinks to work offline and only connect to servers with local "
+"addresses (ie. 127.0.0.1). No connections to remote servers will be "
+"permitted."
 msgstr ""
 
-#: src/config/cmdline.c:824
+#: src/config/cmdline.c:839
 msgid "Print detailed usage help and exit"
 msgstr ""
 
-#: src/config/cmdline.c:826
+#: src/config/cmdline.c:841
 msgid "Print detailed usage help and exit."
 msgstr ""
 
-#: src/config/cmdline.c:828
+#: src/config/cmdline.c:843
 #, fuzzy
 msgid "Look up specified host"
 msgstr "Nema programa za"
 
-#: src/config/cmdline.c:830
+#: src/config/cmdline.c:845
 msgid "Look up specified host and print all DNS resolved IP addresses."
 msgstr ""
 
-#: src/config/cmdline.c:832
+#: src/config/cmdline.c:848
 msgid "Run as separate instance"
 msgstr ""
 
-#: src/config/cmdline.c:834
+#: src/config/cmdline.c:850
 msgid ""
-"Run ELinks as a separate instance instead of connecting to an\n"
-"existing instance. Note that normally no runtime state files\n"
-"(bookmarks, history, etc.) are written to the disk when this\n"
-"option is used. See also -touch-files."
+"Run ELinks as a separate instance instead of connecting to an existing "
+"instance. Note that normally no runtime state files (bookmarks, history, "
+"etc.) are written to the disk when this option is used. See also -touch-"
+"files."
 msgstr ""
 
-#: src/config/cmdline.c:839
+#: src/config/cmdline.c:855
 msgid "Disable use of files in ~/.elinks"
 msgstr ""
 
-#: src/config/cmdline.c:841
+#: src/config/cmdline.c:857
 msgid ""
-"Disables creation and use of files in the user specific home\n"
-"configuration directory (~/.elinks). It forces default configuration\n"
-"values to be used and disables saving of runtime state files."
+"Disables creation and use of files in the user specific home configuration "
+"directory (~/.elinks). It forces default configuration values to be used and "
+"disables saving of runtime state files."
 msgstr ""
 
-#: src/config/cmdline.c:845
+#: src/config/cmdline.c:862
 msgid "Disable link numbering in dump output"
 msgstr ""
 
-#: src/config/cmdline.c:847
+#: src/config/cmdline.c:864
 msgid ""
 "Prevents printing of link number in dump output.\n"
+"\n"
 "Note that this really affects only -dump, nothing else."
 msgstr ""
 
-#: src/config/cmdline.c:850
+#: src/config/cmdline.c:868
 msgid "Disable printing of link references in dump output"
 msgstr ""
 
-#: src/config/cmdline.c:852
+#: src/config/cmdline.c:870
 msgid ""
-"Prevents printing of references (URIs) of document links\n"
-"in dump output.\n"
+"Prevents printing of references (URIs) of document links in dump output.\n"
+"\n"
 "Note that this really affects only -dump, nothing else."
 msgstr ""
 
-#: src/config/cmdline.c:856
+#: src/config/cmdline.c:875
 msgid "Control an already running ELinks"
 msgstr ""
 
-#: src/config/cmdline.c:858
+#: src/config/cmdline.c:877
 msgid ""
-"Control a remote ELinks instance by passing commands to it.\n"
-"The option takes an additional argument containing the method\n"
-"which should be invoked and any parameters that should be passed\n"
-"to it. For ease of use, the additional method argument can be\n"
-"omitted in which case any URL arguments will be opened in new\n"
-"tabs in the remote instance.\n"
+"Control a remote ELinks instance by passing commands to it. The option takes "
+"an additional argument containing the method which should be invoked and any "
+"parameters that should be passed to it. For ease of use, the additional "
+"method argument can be omitted in which case any URL arguments will be "
+"opened in new tabs in the remote instance.\n"
+"\n"
 "Following is a list of the supported methods:\n"
 "\tping()                    : look for a remote instance\n"
 "\topenURL()                 : prompt URL in current tab\n"
@@ -1663,70 +1672,69 @@ msgid ""
 "\txfeDoCommand(openBrowser) : open new window"
 msgstr ""
 
-#: src/config/cmdline.c:874
+#: src/config/cmdline.c:895
 msgid "Connect to session ring with given ID"
 msgstr ""
 
-#: src/config/cmdline.c:876
+#: src/config/cmdline.c:897
 msgid ""
-"ID of session ring this ELinks session should connect to. ELinks\n"
-"works in so-called session rings, whereby all instances of ELinks\n"
-"are interconnected and share state (cache, bookmarks, cookies,\n"
-"and so on). By default, all ELinks instances connect to session\n"
-"ring 0. You can change that behaviour with this switch and form as\n"
-"many session rings as you want. Obviously, if the session-ring with\n"
-"this number doesn't exist yet, it's created and this ELinks instance\n"
-"will become the master instance (that usually doesn't matter for you\n"
-"as a user much). Note that you usually don't want to use this unless\n"
-"you're a developer and you want to do some testing - if you want the\n"
-"ELinks instances each running standalone, rather use the -no-connect\n"
-"command-line option. Also note that normally no runtime state files\n"
-"are written to the disk when this option is used. See also\n"
-"-touch-files."
+"ID of session ring this ELinks session should connect to. ELinks works in so-"
+"called session rings, whereby all instances of ELinks are interconnected and "
+"share state (cache, bookmarks, cookies, and so on). By default, all ELinks "
+"instances connect to session ring 0. You can change that behaviour with this "
+"switch and form as many session rings as you want. Obviously, if the session-"
+"ring with this number doesn't exist yet, it's created and this ELinks "
+"instance will become the master instance (that usually doesn't matter for "
+"you as a user much).\n"
+"\n"
+"Note that you usually don't want to use this unless you're a developer and "
+"you want to do some testing - if you want the ELinks instances each running "
+"standalone, rather use the -no-connect command-line option. Also note that "
+"normally no runtime state files are written to the disk when this option is "
+"used. See also -touch-files."
 msgstr ""
 
-#: src/config/cmdline.c:891
+#: src/config/cmdline.c:915
 msgid "Print the source of given URLs to stdout"
 msgstr ""
 
-#: src/config/cmdline.c:893
+#: src/config/cmdline.c:917
 msgid "Print given URLs in source form to stdout."
 msgstr ""
 
-#: src/config/cmdline.c:897
+#: src/config/cmdline.c:921
 msgid "Touch files in ~/.elinks when running with -no-connect/-session-ring"
 msgstr ""
 
-#: src/config/cmdline.c:899
+#: src/config/cmdline.c:923
 msgid ""
-"When enabled, runtime state files (bookmarks, history, etc.) are\n"
-"written to disk, even when -no-connect or -session-ring is used.\n"
-"The option has no effect if not used in conjunction with any of\n"
-"these options."
+"When enabled, runtime state files (bookmarks, history, etc.) are written to "
+"disk, even when -no-connect or -session-ring is used. The option has no "
+"effect if not used in conjunction with any of these options."
 msgstr ""
 
-#: src/config/cmdline.c:904
+#: src/config/cmdline.c:928
 msgid "Verbose level"
 msgstr ""
 
-#: src/config/cmdline.c:906
+#: src/config/cmdline.c:930
 msgid ""
-"The verbose level controls what messages are shown at\n"
-"start up and while running:\n"
+"The verbose level controls what messages are shown at start up and while "
+"running:\n"
 "\t0 means only show serious errors\n"
 "\t1 means show serious errors and warnings\n"
 "\t2 means show all messages"
 msgstr ""
 
-#: src/config/cmdline.c:912
+#: src/config/cmdline.c:936
 msgid "Print version information and exit"
 msgstr ""
 
-#: src/config/cmdline.c:914
+#: src/config/cmdline.c:938
 msgid "Print ELinks version information and exit."
 msgstr ""
 
-#: src/config/conf.c:938
+#: src/config/conf.c:963
 msgid ""
 "## This is ELinks configuration file. You can edit it manually,\n"
 "## if you wish so; this file is edited by ELinks when you save\n"
@@ -1734,7 +1742,7 @@ msgid ""
 "## and all your formatting, own comments etc will be kept as-is.\n"
 msgstr ""
 
-#: src/config/conf.c:946
+#: src/config/conf.c:971
 msgid ""
 "## This is ELinks configuration file. You can edit it manually,\n"
 "## if you wish so; this file is edited by ELinks when you save\n"
@@ -1745,7 +1753,7 @@ msgid ""
 "## own comments and so on will be kept as-is.\n"
 msgstr ""
 
-#: src/config/conf.c:956
+#: src/config/conf.c:981
 msgid ""
 "## This is ELinks configuration file. You can edit it manually,\n"
 "## if you wish so, but keep in mind that this file is overwritten\n"
@@ -1753,18 +1761,18 @@ msgid ""
 "## luck with your formatting and own comments then, so beware.\n"
 msgstr ""
 
-#: src/config/conf.c:967
+#: src/config/conf.c:992
 msgid ""
 "## Obviously, if you don't like what ELinks is going to do with\n"
 "## this file, you can change it by altering the config.saving_style\n"
 "## option. Come on, aren't we friendly guys after all?\n"
 msgstr ""
 
-#: src/config/conf.c:980
+#: src/config/conf.c:1005
 msgid "Automatically saved options\n"
 msgstr ""
 
-#: src/config/conf.c:992
+#: src/config/conf.c:1017
 msgid "Automatically saved keybindings\n"
 msgstr ""
 
@@ -1825,7 +1833,7 @@ msgstr ""
 #. * switch charsets.  So, it will work in any terminal that
 #. * understands UTF-8 and has the characters in its font.
 #: src/config/dialogs.c:149 src/config/dialogs.c:330
-#: src/config/options.inc:840
+#: src/config/options.inc:887
 msgid "Type"
 msgstr ""
 
@@ -1851,9 +1859,9 @@ msgid "Description"
 msgstr ""
 
 #: src/config/dialogs.c:291 src/protocol/bittorrent/dialogs.c:600
-#: src/protocol/protocol.c:240 src/session/session.c:287
-#: src/session/session.c:975 src/viewer/text/textarea.c:594
-#: src/viewer/text/textarea.c:601
+#: src/protocol/protocol.c:240 src/session/session.c:288
+#: src/session/session.c:999 src/viewer/text/textarea.c:583
+#: src/viewer/text/textarea.c:590
 msgid "Error"
 msgstr "Greka"
 
@@ -1888,7 +1896,7 @@ msgstr ""
 #. accelerator_context(src/config/dialogs.c:keybinding_buttons, src/config/dialogs.c:option_buttons, src/cookies/dialogs.c:cookie_buttons, src/formhist/dialogs.c:formhist_buttons, src/protocol/bittorrent/dialogs.c:bittorrent_query_callback, src/session/download.c:do_type_query, terminal_options)
 #: src/config/dialogs.c:507 src/config/dialogs.c:933 src/cookies/dialogs.c:495
 #: src/dialogs/options.c:236 src/formhist/dialogs.c:214
-#: src/protocol/bittorrent/dialogs.c:801 src/session/download.c:1203
+#: src/protocol/bittorrent/dialogs.c:801 src/session/download.c:1229
 #, fuzzy
 msgid "Sa~ve"
 msgstr "Spremi"
@@ -1902,7 +1910,7 @@ msgstr "Upravljanje biljekama"
 msgid "Keystroke"
 msgstr ""
 
-#: src/config/dialogs.c:676 src/config/options.inc:1219
+#: src/config/dialogs.c:676 src/config/options.inc:1292
 msgid "Action"
 msgstr ""
 
@@ -1974,32 +1982,32 @@ msgid ""
 "directory."
 msgstr ""
 
-#: src/config/kbdbind.c:221
+#: src/config/kbdbind.c:222
 msgid "Main mapping"
 msgstr ""
 
-#: src/config/kbdbind.c:222
+#: src/config/kbdbind.c:223
 msgid "Edit mapping"
 msgstr ""
 
-#: src/config/kbdbind.c:223
+#: src/config/kbdbind.c:224
 msgid "Menu mapping"
 msgstr ""
 
-#: src/config/kbdbind.c:588 src/scripting/python/keybinding.c:104
+#: src/config/kbdbind.c:589 src/scripting/python/keybinding.c:104
 msgid "Unrecognised keymap"
 msgstr ""
 
-#: src/config/kbdbind.c:591
+#: src/config/kbdbind.c:592
 #, fuzzy
 msgid "Error parsing keystroke"
 msgstr "Greka pri pisanju u socket"
 
-#: src/config/kbdbind.c:595
+#: src/config/kbdbind.c:596
 msgid "Unrecognised action (internal error)"
 msgstr ""
 
-#: src/config/kbdbind.c:611
+#: src/config/kbdbind.c:612
 #, fuzzy
 msgid "Error registering event"
 msgstr "Greka pri pisanju u socket"
@@ -2027,333 +2035,328 @@ msgid ""
 "3 is full comments are written"
 msgstr ""
 
-#: src/config/options.inc:31
+#: src/config/options.inc:32
 #, fuzzy
 msgid "Indentation"
 msgstr "SSL pregovaranje"
 
-#: src/config/options.inc:33
+#: src/config/options.inc:34
 msgid ""
-"Shift width of one indentation level in the configuration\n"
-"file. Zero means that no indentation is performed at all\n"
-"when saving the configuration."
+"Shift width of one indentation level in the configuration file. Zero means "
+"that no indentation is performed at all when saving the configuration."
 msgstr ""
 
-#: src/config/options.inc:37
+#: src/config/options.inc:38
 msgid "Saving style"
 msgstr ""
 
-#: src/config/options.inc:39
+#: src/config/options.inc:40
 msgid ""
 "Determines what happens when you tell ELinks to save options:\n"
 "0 is only values of current options are altered\n"
-"1 is values of current options are altered and missing options\n"
-"     are added at the end of the file\n"
+"1 is values of current options are altered and missing\n"
+"     options are added at the end of the file\n"
 "2 is the configuration file is rewritten from scratch\n"
-"3 is values of current options are altered and missing options\n"
-"     CHANGED during this ELinks session are added at the end of\n"
-"     the file"
+"3 is values of current options are altered and missing\n"
+"     options CHANGED during this ELinks session are added at\n"
+"     the end of the file"
 msgstr ""
 
-#: src/config/options.inc:48
+#: src/config/options.inc:50
 msgid "Comments localization"
 msgstr ""
 
-#: src/config/options.inc:50
+#: src/config/options.inc:52
 msgid ""
-"If set to 1, comments in the configuration file will be\n"
-"translated to the language used by UI. Note that if you have\n"
-"different language set in different terminals, the language\n"
-"used in the configuration file MAY be the same as on the\n"
-"terminal where you saved the file, but it should be generally\n"
+"If set to 1, comments in the configuration file will be translated to the "
+"language used by UI. Note that if you have different language set in "
+"different terminals, the language used in the configuration file MAY be the "
+"same as on the terminal where you saved the file, but it should be generally "
 "considered unpredictable."
 msgstr ""
 
-#: src/config/options.inc:58
+#: src/config/options.inc:60
 msgid "Saving style warnings"
 msgstr ""
 
-#: src/config/options.inc:60
+#: src/config/options.inc:62
 msgid ""
-"This is internal option used when displaying a warning about\n"
-"obsolete config.saving_style. You shouldn't touch it."
+"This is internal option used when displaying a warning about obsolete config."
+"saving_style. You shouldn't touch it."
 msgstr ""
 
-#: src/config/options.inc:63
+#: src/config/options.inc:66
 msgid "Show template"
 msgstr ""
 
-#: src/config/options.inc:65
+#: src/config/options.inc:68
 msgid ""
-"Show template options in autocreated trees in the options\n"
-"manager and save them to the configuration file."
+"Show template options in autocreated trees in the options manager and save "
+"them to the configuration file."
 msgstr ""
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:71 src/dialogs/info.c:180
+#: src/config/options.inc:74 src/dialogs/info.c:180
 msgid "Connections"
 msgstr "Veze"
 
-#: src/config/options.inc:73
+#: src/config/options.inc:76
 #, fuzzy
 msgid "Connection options."
 msgstr "Veze"
 
-#: src/config/options.inc:76
+#: src/config/options.inc:79
 msgid "Asynchronous DNS"
 msgstr ""
 
-#: src/config/options.inc:78
+#: src/config/options.inc:81
 msgid "Whether to use asynchronous DNS resolving."
 msgstr ""
 
-#: src/config/options.inc:80
+#: src/config/options.inc:83
 #, fuzzy
 msgid "Maximum connections"
 msgstr "Zapoinjem vezu"
 
-#: src/config/options.inc:82
+#: src/config/options.inc:85
 msgid "Maximum number of concurrent connections."
 msgstr ""
 
-#: src/config/options.inc:84
+#: src/config/options.inc:87
 #, fuzzy
 msgid "Maximum connections per host"
 msgstr "Zapoinjem vezu"
 
-#: src/config/options.inc:86
+#: src/config/options.inc:89
 msgid "Maximum number of concurrent connections to a given host."
 msgstr ""
 
-#: src/config/options.inc:88
+#: src/config/options.inc:92
 #, fuzzy
 msgid "Connection retries"
 msgstr "Veze"
 
-#: src/config/options.inc:90
-msgid ""
-"Number of tries to establish a connection.\n"
-"Zero means try forever."
+#: src/config/options.inc:94
+msgid "Number of tries to establish a connection. Zero means try forever."
 msgstr ""
 
-#: src/config/options.inc:93 src/network/state.c:53
+#: src/config/options.inc:97 src/network/state.c:53
 msgid "Receive timeout"
 msgstr "Primi timeout"
 
-#: src/config/options.inc:95
+#: src/config/options.inc:99
 #, fuzzy
 msgid "Receive timeout (in seconds)."
 msgstr "Primi timeout"
 
-#: src/config/options.inc:98 src/config/options.inc:108
+#: src/config/options.inc:102 src/config/options.inc:113
 msgid "Try IPv4 when connecting"
 msgstr ""
 
-#: src/config/options.inc:100
+#: src/config/options.inc:104
 msgid ""
-"Whether to try to connect to a host over IPv4.\n"
-"Note that if connection.try_ipv6 is enabled too,\n"
-"it takes precedence. And better do not touch this\n"
+"Whether to try to connect to a host over IPv4. Note that if connection."
+"try_ipv6 is enabled too, it takes precedence. And better do not touch this "
 "at all unless you are sure what are you doing.\n"
-"Note that you can also force a given protocol\n"
-"to be used on a per-connection basis by using a URL\n"
-"in the style of e.g. http4://elinks.cz/."
+"\n"
+"Note that you can also force a given protocol to be used on a per-connection "
+"basis by using a URL in the style of e.g. http4://elinks.cz/."
 msgstr ""
 
-#: src/config/options.inc:110
+#: src/config/options.inc:115
 msgid ""
-"Whether to try to connect to a host over IPv4.\n"
-"Do not touch this option.\n"
-"Note that you can also force a given protocol\n"
-"to be used on a per-connection basis by using a URL\n"
-"in the style of e.g. http4://elinks.cz/."
+"Whether to try to connect to a host over IPv4. Do not touch this option.\n"
+"\n"
+"Note that you can also force a given protocol to be used on a per-connection "
+"basis by using a URL in the style of e.g. http4://elinks.cz/."
 msgstr ""
 
-#: src/config/options.inc:118
+#: src/config/options.inc:124
 msgid "Try IPv6 when connecting"
 msgstr ""
 
-#: src/config/options.inc:120
+#: src/config/options.inc:126
 msgid ""
 "Whether to try to connect to a host over IPv6.\n"
-"Note that you can also force a given protocol\n"
-"to be used on a per-connection basis by using a URL\n"
-"in the style of e.g. http6://elinks.cz/."
+"\n"
+"Note that you can also force a given protocol to be used on a per-connection "
+"basis by using a URL in the style of e.g. http6://elinks.cz/."
 msgstr ""
 
-#: src/config/options.inc:126
+#: src/config/options.inc:133
 msgid "Timeout for non-restartable connections"
 msgstr ""
 
-#: src/config/options.inc:128
+#: src/config/options.inc:135
 msgid "Timeout for non-restartable connections (in seconds)."
 msgstr ""
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:134
+#: src/config/options.inc:141
 #, fuzzy
 msgid "Document"
 msgstr "dokumenti"
 
-#: src/config/options.inc:136
+#: src/config/options.inc:143
 #, fuzzy
 msgid "Document options."
 msgstr "Podaci o dokumentu"
 
-#: src/config/options.inc:138
+#: src/config/options.inc:145
 msgid "Browsing"
 msgstr ""
 
-#: src/config/options.inc:140
+#: src/config/options.inc:147
 msgid "Document browsing options (mainly interactivity)."
 msgstr ""
 
-#: src/config/options.inc:143
+#: src/config/options.inc:150
 msgid "Access keys"
 msgstr ""
 
-#: src/config/options.inc:145
+#: src/config/options.inc:152
 msgid ""
-"Options for handling of link access keys.\n"
-"An HTML document can use the ACCESSKEY attribute to assign\n"
-"an access key to an element. When an access key is pressed,\n"
-"the corresponding element will be given focus."
+"Options for handling of link access keys. An HTML document can use the "
+"ACCESSKEY attribute to assign an access key to an element. When an access "
+"key is pressed, the corresponding element will be given focus."
 msgstr ""
 
-#: src/config/options.inc:150
+#: src/config/options.inc:157
 msgid "Automatic links following"
 msgstr ""
 
-#: src/config/options.inc:152
+#: src/config/options.inc:159
 msgid ""
-"Automatically follow a link or submit a form if appropriate\n"
-"accesskey is pressed - this is the standard behaviour, but it's\n"
-"considered dangerous."
+"Automatically follow a link or submit a form if appropriate accesskey is "
+"pressed - this is the standard behaviour, but it's considered dangerous."
 msgstr ""
 
-#: src/config/options.inc:156
+#: src/config/options.inc:163
 msgid "Display access key in link info"
 msgstr ""
 
-#: src/config/options.inc:158
+#: src/config/options.inc:165
 msgid "Display access key in link info."
 msgstr ""
 
-#: src/config/options.inc:160
+#: src/config/options.inc:167
 msgid "Accesskey priority"
 msgstr ""
 
-#: src/config/options.inc:162
+#: src/config/options.inc:169
 msgid ""
 "Priority of 'accesskey' HTML attribute:\n"
-"0 is first try all normal bindings; if it fails, check accesskey\n"
-"1 is first try only frame bindings; if it fails, check accesskey\n"
+"0 is first try all normal bindings; if it fails,\n"
+"     check accesskey\n"
+"1 is first try only frame bindings; if it fails,\n"
+"     check accesskey\n"
 "2 is first check accesskey (this can be dangerous)"
 msgstr ""
 
-#: src/config/options.inc:168
+#: src/config/options.inc:177
 msgid "Forms"
 msgstr ""
 
-#: src/config/options.inc:170
+#: src/config/options.inc:179
 msgid "Options for handling of the forms interaction."
 msgstr ""
 
-#: src/config/options.inc:172
+#: src/config/options.inc:181
 #, fuzzy
 msgid "Submit form automatically"
 msgstr "Poali formular na"
 
-#: src/config/options.inc:174
+#: src/config/options.inc:183
 msgid ""
-"Automagically submit a form when enter is pressed with a text\n"
-"field selected."
+"Automagically submit a form when enter is pressed with a text field selected."
 msgstr ""
 
-#: src/config/options.inc:177
+#: src/config/options.inc:186
 msgid "Confirm submission"
 msgstr ""
 
-#: src/config/options.inc:179
+#: src/config/options.inc:188
 msgid "Ask for confirmation when submitting a form."
 msgstr ""
 
-#: src/config/options.inc:181
+#: src/config/options.inc:190
 msgid "Default form input size"
 msgstr ""
 
-#: src/config/options.inc:183
+#: src/config/options.inc:192
 msgid "Default form input size if none is specified."
 msgstr ""
 
-#: src/config/options.inc:185
+#: src/config/options.inc:194
 msgid "Insert mode"
 msgstr ""
 
-#: src/config/options.inc:187
+#: src/config/options.inc:196
 msgid ""
-"The setting for this option affects how key presses are handled\n"
-"when one selects a text-input form-field. When enabled, one must\n"
-"explicitly 'enter' a selected text-field to edit it; this prevents\n"
-"text fields from capturing key presses, such as presses of a scroll\n"
-"key, when it is inadvertently selected. When disabled, key presses\n"
-"are always inserted into a selected text field."
+"The setting for this option affects how key presses are handled when one "
+"selects a text-input form-field. When enabled, one must explicitly 'enter' a "
+"selected text-field to edit it; this prevents text fields from capturing key "
+"presses, such as presses of a scroll key, when it is inadvertently selected. "
+"When disabled, key presses are always inserted into a selected text field."
 msgstr ""
 
-#: src/config/options.inc:194
+#: src/config/options.inc:204
 #, fuzzy
 msgid "External editor"
 msgstr "Interna greka"
 
-#: src/config/options.inc:196
+#: src/config/options.inc:206
 msgid ""
-"Path to the executable that ELinks should launch when the user\n"
-"requests to edit a textarea with an external editor.\n"
-"If this is blank, ELinks will use the value of the environmental\n"
-"variable $EDITOR. If $EDITOR is empty or not set, ELinks will then\n"
-"default to \"vi\"."
+"Path to the executable that ELinks should launch when the user requests to "
+"edit a textarea with an external editor.\n"
+"\n"
+"If this is blank, ELinks will use the value of the environmental variable "
+"$EDITOR. If $EDITOR is empty or not set, ELinks will then default to \"vi\"."
 msgstr ""
 
-#: src/config/options.inc:203
+#: src/config/options.inc:214
 #, fuzzy
 msgid "Images"
 msgstr "Slika"
 
-#: src/config/options.inc:205
+#: src/config/options.inc:216
 msgid "Options for handling of images."
 msgstr ""
 
-#: src/config/options.inc:207
+#: src/config/options.inc:218
 #, fuzzy
 msgid "Display style for image tags"
 msgstr "Prikai"
 
-#: src/config/options.inc:209
+#: src/config/options.inc:220
 msgid ""
 "Display style for image tags when displayed:\n"
 "0     means always display IMG\n"
 "1     means always display filename\n"
-"2     means display alt/title attribute if possible, IMG if not\n"
-"3     means display alt/title attribute if possible, filename if not"
+"2     means display alt/title attribute if possible,\n"
+"      IMG if not\n"
+"3     means display alt/title attribute if possible,\n"
+"      filename if not"
 msgstr ""
 
-#: src/config/options.inc:215
+#: src/config/options.inc:228
 msgid "Maximum length for image filename"
 msgstr ""
 
-#: src/config/options.inc:217
+#: src/config/options.inc:230
 msgid ""
 "Maximum length of image filename when displayed:\n"
 "0     means always display full filename\n"
 "1-500 means display filename with this maximal length;\n"
-"      if it is longer, the middle is substituted by an asterisk"
+"      if it is longer, the middle is substituted by\n"
+"      an asterisk"
 msgstr ""
 
-#: src/config/options.inc:227
+#: src/config/options.inc:241
 msgid "Image links tagging"
 msgstr ""
 
-#: src/config/options.inc:229
+#: src/config/options.inc:243
 msgid ""
 "When to enclose image links:\n"
 "0 means never\n"
@@ -2361,92 +2364,92 @@ msgid ""
 "2 means always"
 msgstr ""
 
-#: src/config/options.inc:234
+#: src/config/options.inc:248
 msgid "Image link prefix"
 msgstr ""
 
-#: src/config/options.inc:236
+#: src/config/options.inc:250
 msgid "Prefix string to use to mark image links."
 msgstr ""
 
-#: src/config/options.inc:238
+#: src/config/options.inc:252
 msgid "Image link suffix"
 msgstr ""
 
-#: src/config/options.inc:240
+#: src/config/options.inc:254
 msgid "Suffix string to use to mark image links."
 msgstr ""
 
-#: src/config/options.inc:242
+#: src/config/options.inc:256
 msgid "Maximum length for image label"
 msgstr ""
 
-#: src/config/options.inc:244
+#: src/config/options.inc:258
 msgid ""
 "Maximum length of image label (alt/title):\n"
 "0     means always display full label\n"
 "1-500 means display label with this maximal length;\n"
-"      if it is longer, the middle is substituted by an asterisk"
+"      if it is longer, the middle is substituted by\n"
+"      an asterisk"
 msgstr ""
 
-#: src/config/options.inc:249
+#: src/config/options.inc:264
 msgid "Display links to images w/o alt"
 msgstr ""
 
-#: src/config/options.inc:251
+#: src/config/options.inc:266
 msgid ""
-"Display links to images without an alt attribute. If this option\n"
-"is off, these images are completely invisible."
+"Display links to images without an alt attribute. If this option is off, "
+"these images are completely invisible."
 msgstr ""
 
-#: src/config/options.inc:254
+#: src/config/options.inc:269
 #, fuzzy
 msgid "Display links to images"
 msgstr "Prikai"
 
-#: src/config/options.inc:256
+#: src/config/options.inc:271
 msgid ""
-"Display links to any images in the document, regardless of them\n"
-"having an alt attribute or not. If this option is off, the alt\n"
-"attribute contents is shown, but as normal text, not selectable\n"
-"as a link."
+"Display links to any images in the document, regardless of them having an "
+"alt attribute or not. If this option is off, the alt attribute contents is "
+"shown, but as normal text, not selectable as a link."
 msgstr ""
 
-#: src/config/options.inc:262
+#: src/config/options.inc:277
 #, fuzzy
 msgid "Links"
 msgstr "~Link"
 
-#: src/config/options.inc:264
+#: src/config/options.inc:279
 msgid "Options for handling of links to other documents."
 msgstr ""
 
-#: src/config/options.inc:266
+#: src/config/options.inc:281
 msgid "Active link"
 msgstr ""
 
-#: src/config/options.inc:268
+#: src/config/options.inc:283
 msgid "Options for the active link."
 msgstr ""
 
-#: src/config/options.inc:270
+#: src/config/options.inc:285
 #, fuzzy
 msgid "Colors"
 msgstr "Boja"
 
-#: src/config/options.inc:272
+#: src/config/options.inc:287
 #, fuzzy
 msgid "Active link colors."
 msgstr "Ubij veze u pozadini"
 
-#: src/config/options.inc:274 src/config/options.inc:549
-#: src/config/options.inc:945
+#: src/config/options.inc:289 src/config/options.inc:583
+#: src/config/options.inc:1014
 #, fuzzy
 msgid "Background color"
 msgstr "Pozadina"
 
-#: src/config/options.inc:276 src/config/options.inc:551
-#: src/config/options.inc:946
+#: src/config/options.inc:291 src/config/options.inc:585
+#: src/config/options.inc:1015
 #, fuzzy
 msgid "Default background color."
 msgstr "Ubij veze u pozadini"
@@ -2459,75 +2462,75 @@ msgstr "Ubij veze u pozadini"
 #. *	on it.
 #. The colors and mono tree should be similar but with different default
 #. * values of course so always use the macros below.
-#: src/config/options.inc:278 src/config/options.inc:545
-#: src/config/options.inc:943
+#: src/config/options.inc:293 src/config/options.inc:579
+#: src/config/options.inc:1012
 #, fuzzy
 msgid "Text color"
 msgstr "Tekstualno podruje"
 
-#: src/config/options.inc:280 src/config/options.inc:547
-#: src/config/options.inc:944
+#: src/config/options.inc:295 src/config/options.inc:581
+#: src/config/options.inc:1013
 msgid "Default text color."
 msgstr ""
 
-#: src/config/options.inc:282
+#: src/config/options.inc:297
 #, fuzzy
 msgid "Enable color"
 msgstr "ime"
 
-#: src/config/options.inc:284
+#: src/config/options.inc:299
 msgid ""
-"Enable use of the active link background and text color\n"
-"settings instead of the link colors from the document."
+"Enable use of the active link background and text color settings instead of "
+"the link colors from the document."
 msgstr ""
 
-#: src/config/options.inc:287
+#: src/config/options.inc:302
 msgid "Bold"
 msgstr ""
 
-#: src/config/options.inc:289
+#: src/config/options.inc:304
 msgid "Make the active link text bold."
 msgstr ""
 
-#: src/config/options.inc:291
+#: src/config/options.inc:306
 #, fuzzy
 msgid "Invert colors"
 msgstr "Tekstualno podruje"
 
-#: src/config/options.inc:293
+#: src/config/options.inc:308
 msgid "Invert the fore- and background color so the link stands out."
 msgstr ""
 
-#: src/config/options.inc:296 src/config/options.inc:908
+#: src/config/options.inc:311 src/config/options.inc:975
 #: src/dialogs/options.c:231
 msgid "Underline"
 msgstr ""
 
-#: src/config/options.inc:298
+#: src/config/options.inc:313
 msgid "Underline the active link."
 msgstr ""
 
-#: src/config/options.inc:301
+#: src/config/options.inc:316
 msgid "Directory highlighting"
 msgstr ""
 
-#: src/config/options.inc:303
+#: src/config/options.inc:318
 msgid "Highlight links to directories in FTP and local directory listing."
 msgstr ""
 
-#: src/config/options.inc:305
+#: src/config/options.inc:321
 msgid "Number links"
 msgstr ""
 
-#: src/config/options.inc:307
+#: src/config/options.inc:323
 msgid "Display numbers next to the links."
 msgstr ""
 
-#: src/config/options.inc:309
+#: src/config/options.inc:325
 msgid "Handling of target=_blank"
 msgstr ""
 
-#: src/config/options.inc:311
+#: src/config/options.inc:327
 msgid ""
 "Define how to handle links having target=_blank set:\n"
 "0 means open link in current tab\n"
@@ -2536,139 +2539,136 @@ msgid ""
 "3 means open link in new window"
 msgstr ""
 
-#: src/config/options.inc:324
+#: src/config/options.inc:340
 msgid "Use tabindex"
 msgstr ""
 
-#: src/config/options.inc:326
+#: src/config/options.inc:342
 msgid ""
-"Whether to navigate links using tabindex specified ordering.\n"
-"The TABINDEX attribute in HTML elements specifies the order\n"
-"in which links should receive focus when using the keyboard\n"
-"to navigate the document."
+"Whether to navigate links using tabindex specified ordering. The TABINDEX "
+"attribute in HTML elements specifies the order in which links should receive "
+"focus when using the keyboard to navigate the document."
 msgstr ""
 
-#: src/config/options.inc:331
+#: src/config/options.inc:347
 #, fuzzy
 msgid "Missing fragment reporting"
 msgstr "Nema okvira"
 
-#: src/config/options.inc:333
+#: src/config/options.inc:349
 msgid "Open a message box when document has no tag with given id."
 msgstr ""
 
-#: src/config/options.inc:335
+#: src/config/options.inc:352
 msgid "Number keys select links"
 msgstr ""
 
-#: src/config/options.inc:337
+#: src/config/options.inc:354
 msgid ""
-"Number keys select links rather than specify command prefixes. This\n"
-"is a tristate:\n"
+"Number keys select links rather than specify command prefixes. This is a "
+"tristate:\n"
 "0 means never\n"
 "1 means if document.browse.links.numbering = 1\n"
 "2 means always"
 msgstr ""
 
-#: src/config/options.inc:343
+#: src/config/options.inc:360
 msgid "Warn about maliciously crafted URIs"
 msgstr ""
 
-#: src/config/options.inc:345
+#: src/config/options.inc:362
 msgid ""
-"When following a link the user ID part of the URI is\n"
-"checked and if a maliciously crafted URI is detected a\n"
-"warning dialog will ask before following the link."
+"When following a link the user ID part of the URI is checked and if a "
+"maliciously crafted URI is detected a warning dialog will ask before "
+"following the link."
 msgstr ""
 
 #. TODO - this is somehow implemented by ff, but disabled
 #. * for now as it doesn't work.
-#: src/config/options.inc:351
+#: src/config/options.inc:368
 msgid "Wrap-around links cycling"
 msgstr ""
 
 #. 0
-#: src/config/options.inc:353
+#: src/config/options.inc:370
 msgid ""
-"When pressing 'down' on the last link, jump to the first one, and\n"
-"vice versa."
+"When pressing 'down' on the last link, jump to the first one, and vice versa."
 msgstr ""
 
-#: src/config/options.inc:357
+#: src/config/options.inc:374
 msgid "Scrolling"
 msgstr ""
 
-#: src/config/options.inc:359
+#: src/config/options.inc:376
 #, fuzzy
 msgid "Scrolling options."
 msgstr "Opcije terminala"
 
-#: src/config/options.inc:361
+#: src/config/options.inc:378
 msgid "Horizontal step"
 msgstr ""
 
-#: src/config/options.inc:363
+#: src/config/options.inc:380
 msgid ""
-"Number of columns to scroll when a key bound to scroll-left or scroll-\n"
-"right is pressed and no prefix was given."
+"Number of columns to scroll when a key bound to scroll-left or scroll-right "
+"is pressed and no prefix was given."
 msgstr ""
 
-#: src/config/options.inc:366
+#: src/config/options.inc:384
 msgid "Extended horizontal scrolling"
 msgstr ""
 
-#: src/config/options.inc:368
+#: src/config/options.inc:386
 msgid ""
-"Whether to allow horizontal scrolling when the document\n"
-"does not extend off the screen. Useful for copy/paste\n"
-"operations."
+"Whether to allow horizontal scrolling when the document does not extend off "
+"the screen. Useful for copy/paste operations."
 msgstr ""
 
-#: src/config/options.inc:372
+#: src/config/options.inc:390
 #, fuzzy
 msgid "Margin"
 msgstr "Upozorenje"
 
-#: src/config/options.inc:374
+#: src/config/options.inc:392
 msgid ""
-"Size of the virtual margin - when you click inside of that margin,\n"
-"document scrolls in that direction."
+"Size of the virtual margin - when you click inside of that margin, document "
+"scrolls in that direction."
 msgstr ""
 
-#: src/config/options.inc:377
+#: src/config/options.inc:395
 msgid "Vertical step"
 msgstr ""
 
-#: src/config/options.inc:379
+#: src/config/options.inc:397
 msgid ""
-"Number of lines to scroll when a key bound to scroll-up or scroll-\n"
-"down is pressed and no prefix was given."
+"Number of lines to scroll when a key bound to scroll-up or scroll-down is "
+"pressed and no prefix was given."
 msgstr ""
 
-#: src/config/options.inc:383
+#: src/config/options.inc:401
 #, fuzzy
 msgid "Searching"
 msgstr "Trai"
 
-#: src/config/options.inc:385
+#: src/config/options.inc:403
 msgid "Options for searching."
 msgstr ""
 
-#: src/config/options.inc:387
+#: src/config/options.inc:405
 msgid "Case sensitivity"
 msgstr ""
 
-#: src/config/options.inc:389
+#: src/config/options.inc:407
 msgid ""
-"Whether the search should match the document text while maintaining\n"
-"case sensitivity."
+"Whether the search should match the document text while maintaining case "
+"sensitivity."
 msgstr ""
 
-#: src/config/options.inc:393
+#: src/config/options.inc:411
 msgid "Regular expressions"
 msgstr ""
 
-#: src/config/options.inc:395
+#: src/config/options.inc:413
 msgid ""
 "Enable searching with regular expressions:\n"
 "0 for plain text searching\n"
@@ -2676,31 +2676,31 @@ msgid ""
 "2 for extended regular expression searches"
 msgstr ""
 
-#: src/config/options.inc:401
+#: src/config/options.inc:419
 msgid "Show search hit top or bottom dialogs"
 msgstr ""
 
-#: src/config/options.inc:403
+#: src/config/options.inc:421
 msgid ""
-"Whether to show a dialog when the search hits the top or bottom of the\n"
+"Whether to show a dialog when the search hits the top or bottom of the "
 "document."
 msgstr ""
 
-#: src/config/options.inc:406
+#: src/config/options.inc:424
 #, fuzzy
 msgid "Wraparound"
 msgstr "Pozadina"
 
-#: src/config/options.inc:408
+#: src/config/options.inc:426
 msgid "Wrap around when searching. Currently only used for typeahead."
 msgstr ""
 
-#: src/config/options.inc:410
+#: src/config/options.inc:429
 #, fuzzy
 msgid "Show not found"
 msgstr "Raunalo nije naeno"
 
-#: src/config/options.inc:412
+#: src/config/options.inc:431
 msgid ""
 "How to inform the user when nothing is matched:\n"
 "0 means do nothing\n"
@@ -2708,281 +2708,282 @@ msgid ""
 "2 means pop up message box"
 msgstr ""
 
-#: src/config/options.inc:417
+#: src/config/options.inc:436
 #, fuzzy
 msgid "Typeahead searching"
 msgstr "Neispravan niz znakova"
 
-#: src/config/options.inc:419
+#: src/config/options.inc:438
 msgid ""
-"Start typeahead searching when an unbound key is pressed without\n"
-"any modifiers. Note that most keys have default bindings, so this\n"
-"feature will not be useful unless you unbind them.\n"
+"Start typeahead searching when an unbound key is pressed without any "
+"modifiers. Note that most keys have default bindings, so this feature will "
+"not be useful unless you unbind them.\n"
 "\n"
-"0 disables this feature; typeahead searching will only be used\n"
-"  when you press a key bound to search-typeahead or similar\n"
+"0 disables this feature; typeahead searching will only be\n"
+"  used when you press a key bound to search-typeahead or\n"
+"  similar\n"
 "1 automatically starts typeahead searching thru link text\n"
-"2 automatically starts typeahead searching thru all document text"
+"2 automatically starts typeahead searching thru all document\n"
+"  text"
 msgstr ""
 
-#: src/config/options.inc:428
+#: src/config/options.inc:451
 msgid "Horizontal text margin"
 msgstr ""
 
-#: src/config/options.inc:430
+#: src/config/options.inc:453
 msgid "Horizontal text margin."
 msgstr ""
 
-#: src/config/options.inc:432
+#: src/config/options.inc:455
 msgid "Document meta refresh"
 msgstr ""
 
-#: src/config/options.inc:434
+#: src/config/options.inc:457
 msgid ""
-"Automatically follow document-specified refresh directives ('<meta>\n"
-"refresh' tags). Web-page authors use these to instruct the browser\n"
-"to reload a document at a given interval or to load another page.\n"
-"Regardless of the value the refresh URI is accessible as a link.\n"
-"Use the document.browse.minimum_refresh_time to control the minimum\n"
-"number of seconds a refresh will wait."
+"Automatically follow document-specified refresh directives ('<meta> refresh' "
+"tags). Web-page authors use these to instruct the browser to reload a "
+"document at a given interval or to load another page. Regardless of the "
+"value the refresh URI is accessible as a link.\n"
+"\n"
+"Use the document.browse.minimum_refresh_time to control the minimum number "
+"of seconds a refresh will wait."
 msgstr ""
 
-#: src/config/options.inc:441
+#: src/config/options.inc:466
 msgid "Document meta refresh minimum time"
 msgstr ""
 
-#: src/config/options.inc:443
+#: src/config/options.inc:468
 msgid ""
-"The minimum number of milliseconds that should pass before\n"
-"refreshing. If set to zero the document refresh time is used\n"
-"unchanged. It can fix going back in history for some sites that\n"
-"use refreshing with zero values."
+"The minimum number of milliseconds that should pass before refreshing. If "
+"set to zero the document refresh time is used unchanged. It can fix going "
+"back in history for some sites that use refreshing with zero values."
 msgstr ""
 
-#: src/config/options.inc:448
+#: src/config/options.inc:473
 msgid "Tables navigation order"
 msgstr ""
 
-#: src/config/options.inc:450
+#: src/config/options.inc:475
 msgid "Move by columns in table, instead of rows."
 msgstr ""
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:456
+#: src/config/options.inc:481
 #, fuzzy
 msgid "Cache"
 msgstr "Otkai"
 
-#: src/config/options.inc:458
+#: src/config/options.inc:483
 #, fuzzy
 msgid "Cache options."
 msgstr "~Sauvaj opcije"
 
-#: src/config/options.inc:460
+#: src/config/options.inc:485
 msgid "Cache information about redirects"
 msgstr ""
 
-#: src/config/options.inc:462
+#: src/config/options.inc:487
 msgid ""
-"Cache even redirects sent by server (usually thru HTTP by a 302\n"
-"HTTP code and a Location header). This was the original behaviour\n"
-"for quite some time, but it causes problems in a situation very\n"
-"common to various web login systems - frequently, when accessing\n"
-"a certain location, they will redirect you to a login page if they\n"
-"don't receive an auth cookie, the login page then gives you the\n"
-"cookie and redirects you back to the original page, but there you\n"
-"have already cached redirect back to the login page! If this\n"
-"option has value of 0, this malfunction is fixed, but occasionally\n"
-"you may get superfluous (depends on how you take it ;-) requests to\n"
-"the server. If this option has value of 1, experienced users can\n"
-"still workaround it by clever combination of usage of reload,\n"
-"jumping around in session history and hitting ctrl+enter.\n"
-"Note that this option is checked when retrieving the information\n"
-"from cache, not when saving it to cache - thus if you enable\n"
-"it, even previous redirects will be taken from cache instead of\n"
-"asking the server."
+"Cache even redirects sent by server (usually thru HTTP by a 302 HTTP code "
+"and a Location header). This was the original behaviour for quite some time, "
+"but it causes problems in a situation very common to various web login "
+"systems - frequently, when accessing a certain location, they will redirect "
+"you to a login page if they don't receive an auth cookie, the login page "
+"then gives you the cookie and redirects you back to the original page, but "
+"there you have already cached redirect back to the login page! If this "
+"option has value of 0, this malfunction is fixed, but occasionally you may "
+"get superfluous (depends on how you take it ;-) requests to the server. If "
+"this option has value of 1, experienced users can still workaround it by "
+"clever combination of usage of reload, jumping around in session history and "
+"hitting ctrl+enter.\n"
+"\n"
+"Note that this option is checked when retrieving the information from cache, "
+"not when saving it to cache - thus if you enable it, even previous redirects "
+"will be taken from cache instead of asking the server."
 msgstr ""
 
-#: src/config/options.inc:480
+#: src/config/options.inc:508
 msgid "Ignore cache-control info from server"
 msgstr ""
 
-#: src/config/options.inc:482
+#: src/config/options.inc:510
 msgid ""
-"Ignore Cache-Control and Pragma server headers.\n"
-"When set, the document is cached even with 'Cache-Control: no-cache'."
+"Ignore Cache-Control and Pragma server headers. When set, the document is "
+"cached even with 'Cache-Control: no-cache'."
 msgstr ""
 
-#: src/config/options.inc:485
+#: src/config/options.inc:514
 #, fuzzy
 msgid "Formatted documents"
 msgstr "Meumemorija formatiranih dokumenata"
 
-#: src/config/options.inc:487
+#: src/config/options.inc:516
 msgid "Format cache options."
 msgstr ""
 
-#: src/config/options.inc:489
+#: src/config/options.inc:518
 #, fuzzy
 msgid "Number"
 msgstr "Neispravan broj"
 
-#: src/config/options.inc:491
+#: src/config/options.inc:520
 msgid ""
-"Number of cached formatted pages. Do not get too generous\n"
-"here, 'formatted' means that all the accompanying structures\n"
-"are kept in memory so that you get the cached document\n"
-"immediatelly, but these structures may take a lot - 2x the\n"
-"size of the HTML source is probably not unusual, but it can\n"
-"be even more if the document consists of a lot of short lines\n"
-"(padded right, if possible) and links and not much other markup.\n"
-"So if you set this to 256 and then you don't like your ELinks\n"
-"eating 90M, don't come complaining to us. ;-)\n"
-"Also note that the format cache itself is not counted to the\n"
-"memory cache size, but the HTML source of the formatted documents\n"
-"is always cached, even if it is over the memory cache size\n"
-"threshold. (Then of course no other documents can be cached.)"
+"Number of cached formatted pages. Do not get too generous here, 'formatted' "
+"means that all the accompanying structures are kept in memory so that you "
+"get the cached document immediatelly, but these structures may take a lot - "
+"2x the size of the HTML source is probably not unusual, but it can be even "
+"more if the document consists of a lot of short lines (padded right, if "
+"possible) and links and not much other markup. So if you set this to 256 and "
+"then you don't like your ELinks eating 90M, don't come complaining to "
+"us. ;-)\n"
+"\n"
+"Also note that the format cache itself is not counted to the memory cache "
+"size, but the HTML source of the formatted documents is always cached, even "
+"if it is over the memory cache size threshold. (Then of course no other "
+"documents can be cached.)"
 msgstr ""
 
 #. FIXME: Write more.
-#: src/config/options.inc:506
+#: src/config/options.inc:538
 #, fuzzy
 msgid "Revalidation interval"
 msgstr "Greka pri spremanju"
 
-#: src/config/options.inc:508
+#: src/config/options.inc:540
 msgid ""
-"Period in seconds that a cache entry is considered to be\n"
-"up-to-date. When a document is loaded and this interval has elapsed\n"
-"since the document was initially loaded or most recently\n"
-"revalidated with the server, the server will be checked in case\n"
-"there is a more up-to-date version of the document.\n"
+"Period in seconds that a cache entry is considered to be up-to-date. When a "
+"document is loaded and this interval has elapsed since the document was "
+"initially loaded or most recently revalidated with the server, the server "
+"will be checked in case there is a more up-to-date version of the document.\n"
 "\n"
 "A value of -1 disables automatic revalidation."
 msgstr ""
 
-#: src/config/options.inc:515 src/dialogs/info.c:199
+#: src/config/options.inc:549 src/dialogs/info.c:199
 msgid "Memory cache"
 msgstr "memorijski meuspremnik"
 
-#: src/config/options.inc:517
+#: src/config/options.inc:551
 #, fuzzy
 msgid "Memory cache options."
 msgstr "memorijski meuspremnik"
 
-#: src/config/options.inc:521
+#: src/config/options.inc:555
 #, fuzzy
 msgid "Memory cache size (in bytes)."
 msgstr "memorijski meuspremnik"
 
-#: src/config/options.inc:525
+#: src/config/options.inc:559
 #, fuzzy
 msgid "Charset"
 msgstr "Kodna stranica"
 
-#: src/config/options.inc:527
+#: src/config/options.inc:561
 #, fuzzy
 msgid "Charset options."
 msgstr "~Sauvaj opcije"
 
-#: src/config/options.inc:529
+#: src/config/options.inc:563
 msgid "Default codepage"
 msgstr ""
 
-#: src/config/options.inc:531
+#: src/config/options.inc:565
 msgid ""
-"Default document codepage. 'System' stands for\n"
-"a codepage determined by a selected locale."
+"Default document codepage. 'System' stands for a codepage determined by a "
+"selected locale."
 msgstr ""
 
-#: src/config/options.inc:534
+#: src/config/options.inc:568
 msgid "Ignore charset info from server"
 msgstr ""
 
-#: src/config/options.inc:536
+#: src/config/options.inc:570
 msgid "Ignore charset info sent by server."
 msgstr ""
 
-#: src/config/options.inc:540
+#: src/config/options.inc:574
 msgid "Default color settings"
 msgstr ""
 
-#: src/config/options.inc:542
+#: src/config/options.inc:576
 msgid "Default document color settings."
 msgstr ""
 
-#: src/config/options.inc:553
+#: src/config/options.inc:587
 msgid "Link color"
 msgstr ""
 
-#: src/config/options.inc:555
+#: src/config/options.inc:589
 msgid "Default link color."
 msgstr ""
 
-#: src/config/options.inc:557
+#: src/config/options.inc:591
 msgid "Visited-link color"
 msgstr ""
 
-#: src/config/options.inc:559
+#: src/config/options.inc:593
 msgid "Default visited link color."
 msgstr ""
 
-#: src/config/options.inc:561
+#: src/config/options.inc:595
 #, fuzzy
 msgid "Image-link color"
 msgstr "Ubij veze u pozadini"
 
-#: src/config/options.inc:563
+#: src/config/options.inc:597
 #, fuzzy
 msgid "Default image link color."
 msgstr "Ubij veze u pozadini"
 
-#: src/config/options.inc:565
+#: src/config/options.inc:599
 msgid "Bookmarked-link color"
 msgstr ""
 
-#: src/config/options.inc:567
+#: src/config/options.inc:601
 #, fuzzy
 msgid "Default bookmarked link color."
 msgstr "Ubij veze u pozadini"
 
-#: src/config/options.inc:569
+#: src/config/options.inc:603
 msgid "Directory color"
 msgstr ""
 
-#: src/config/options.inc:571
+#: src/config/options.inc:605
 msgid ""
 "Default directory color.\n"
+"\n"
 "See document.browse.links.color_dirs option."
 msgstr ""
 
-#: src/config/options.inc:578
+#: src/config/options.inc:613
 msgid "Increase contrast"
 msgstr ""
 
-#: src/config/options.inc:580
+#: src/config/options.inc:615
 msgid ""
-"Increase the contrast between the foreground and background colors\n"
-"to ensure readability. For example it disallows dark colors on a\n"
-"black background. Note, this is different from ensuring the contrast\n"
-"with the ensure_contrast option."
+"Increase the contrast between the foreground and background colors to ensure "
+"readability. For example it disallows dark colors on a black background. "
+"Note, this is different from ensuring the contrast with the ensure_contrast "
+"option."
 msgstr ""
 
-#: src/config/options.inc:585
+#: src/config/options.inc:621
 msgid "Ensure contrast"
 msgstr ""
 
-#: src/config/options.inc:587
+#: src/config/options.inc:623
 msgid "Makes sure that the back- and foreground colors are never equal."
 msgstr ""
 
 #. If you change this please also change ACT_MAIN_DOCUMENT_COLORS action
 #. * handling.
-#: src/config/options.inc:592
+#: src/config/options.inc:628
 msgid "Use document-specified colors"
 msgstr ""
 
-#: src/config/options.inc:594
+#: src/config/options.inc:630
 msgid ""
 "Use colors specified in document:\n"
 "0 is use always the default settings\n"
@@ -2994,40 +2995,40 @@ msgid ""
 msgstr ""
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:607
+#: src/config/options.inc:643
 #, fuzzy
 msgid "Downloading"
 msgstr "Preuzmi"
 
-#: src/config/options.inc:609
+#: src/config/options.inc:645
 msgid "Options regarding files downloading and handling."
 msgstr ""
 
-#: src/config/options.inc:611
+#: src/config/options.inc:647
 #, fuzzy
 msgid "Default download directory"
 msgstr "Greka pri skidanju podatka"
 
-#: src/config/options.inc:613
+#: src/config/options.inc:649
 msgid "Default download directory."
 msgstr ""
 
-#: src/config/options.inc:615
+#: src/config/options.inc:651
 msgid "Set original time"
 msgstr ""
 
-#: src/config/options.inc:617
+#: src/config/options.inc:653
 msgid ""
-"Set the timestamp of each downloaded file to the timestamp\n"
-"stored on the server."
+"Set the timestamp of each downloaded file to the timestamp stored on the "
+"server."
 msgstr ""
 
 #. Does automatic resuming make sense as an option?
-#: src/config/options.inc:621
+#: src/config/options.inc:657
 msgid "Prevent overwriting"
 msgstr ""
 
-#: src/config/options.inc:623
+#: src/config/options.inc:659
 msgid ""
 "Prevent overwriting the local files:\n"
 "0 is files will silently be overwritten\n"
@@ -3035,11 +3036,11 @@ msgid ""
 "2 is ask the user"
 msgstr ""
 
-#: src/config/options.inc:628
+#: src/config/options.inc:664
 msgid "Notify download completion by bell"
 msgstr ""
 
-#: src/config/options.inc:630
+#: src/config/options.inc:666
 msgid ""
 "Audio notification when download is completed:\n"
 "0 is never\n"
@@ -3047,27 +3048,27 @@ msgid ""
 "2 is always"
 msgstr ""
 
-#: src/config/options.inc:636
+#: src/config/options.inc:672
 msgid "Dump output"
 msgstr ""
 
-#: src/config/options.inc:638
+#: src/config/options.inc:674
 msgid "Dump output options."
 msgstr ""
 
 #. OPT_CODEPAGE
-#: src/config/options.inc:640 src/config/options.inc:912
+#: src/config/options.inc:676 src/config/options.inc:980
 #: src/config/opttypes.c:481 src/dialogs/document.c:164
 msgid "Codepage"
 msgstr "Kodna stranica"
 
-#: src/config/options.inc:642
+#: src/config/options.inc:678
 msgid ""
-"Codepage used in dump output. 'System' stands for\n"
-"a codepage determined by a selected locale."
+"Codepage used in dump output. 'System' stands for a codepage determined by a "
+"selected locale."
 msgstr ""
 
-#: src/config/options.inc:645 src/config/options.inc:878
+#: src/config/options.inc:681 src/config/options.inc:941
 #, fuzzy
 msgid "Color mode"
 msgstr "Boja"
@@ -3077,12 +3078,14 @@ msgstr "Boja"
 #. * an outer list entry after an inner list.
 #. * TRANSLATORS: This restriction applies only to the
 #. * "en" (English) translation.  (See doc/Makefile.)
-#: src/config/options.inc:652
+#: src/config/options.inc:688
 msgid ""
 "Color mode for dumps.\n"
+"\n"
 "Some modes may have been disabled at compile time. The Setup -> Terminal "
 "options dialog lists the modes supported by this executable. If you select "
 "an unsupported mode, ELinks uses 16 colors.\n"
+"\n"
 "The color modes are:\n"
 "-1 is standard dump mode\n"
 "0 is mono mode\n"
@@ -3092,127 +3095,125 @@ msgid ""
 "4 is true color mode"
 msgstr ""
 
-#: src/config/options.inc:665
+#: src/config/options.inc:703
 msgid "Footer"
 msgstr ""
 
-#: src/config/options.inc:667
+#: src/config/options.inc:705
 #, c-format
 msgid "Footer string used in dumps. %u is substituted by URL."
 msgstr ""
 
-#: src/config/options.inc:671
+#: src/config/options.inc:709
 #, c-format
 msgid "Header string used in dumps. %u is substituted by URL."
 msgstr ""
 
-#: src/config/options.inc:673
+#: src/config/options.inc:711
 #, fuzzy
 msgid "Numbering"
 msgstr "Neispravan broj"
 
-#: src/config/options.inc:675
+#: src/config/options.inc:713
 msgid "Whether to print link numbers in dump output."
 msgstr ""
 
-#: src/config/options.inc:677
+#: src/config/options.inc:715
 #, fuzzy
 msgid "References"
 msgstr "Resursi"
 
-#: src/config/options.inc:679
-msgid ""
-"Whether to print references (URIs) of document links\n"
-"in dump output."
+#: src/config/options.inc:717
+msgid "Whether to print references (URIs) of document links in dump output."
 msgstr ""
 
-#: src/config/options.inc:682
+#: src/config/options.inc:720
 msgid "Separator"
 msgstr ""
 
-#: src/config/options.inc:684
+#: src/config/options.inc:722
 msgid "String which separates two dumps."
 msgstr ""
 
-#: src/config/options.inc:686
+#: src/config/options.inc:724
 msgid "Width"
 msgstr ""
 
-#: src/config/options.inc:688
+#: src/config/options.inc:726
 msgid "Width of screen in characters when dumping documents."
 msgstr ""
 
-#: src/config/options.inc:692
+#: src/config/options.inc:730
 #, fuzzy
 msgid "History"
 msgstr "Povijest"
 
-#: src/config/options.inc:694
+#: src/config/options.inc:732
 msgid "History options."
 msgstr ""
 
-#: src/config/options.inc:696
+#: src/config/options.inc:734
 #, fuzzy
 msgid "Keep unhistory"
 msgstr "Nema povijesti"
 
-#: src/config/options.inc:698
+#: src/config/options.inc:736
 #, fuzzy
 msgid "Keep unhistory (\"forward history\")."
 msgstr "Nema povijesti"
 
-#: src/config/options.inc:701
+#: src/config/options.inc:739
 #, fuzzy
 msgid "HTML rendering"
 msgstr "Prenosim"
 
-#: src/config/options.inc:703
+#: src/config/options.inc:741
 msgid "Options concerning the display of HTML pages."
 msgstr ""
 
-#: src/config/options.inc:705
+#: src/config/options.inc:743
 #, fuzzy
 msgid "Display frames"
 msgstr "Prikai"
 
-#: src/config/options.inc:707
+#: src/config/options.inc:745
 #, fuzzy
 msgid "Display frames."
 msgstr "Prikai"
 
-#: src/config/options.inc:709
+#: src/config/options.inc:747
 #, fuzzy
 msgid "Display tables"
 msgstr "Prikai"
 
-#: src/config/options.inc:711
+#: src/config/options.inc:749
 #, fuzzy
 msgid "Display tables."
 msgstr "Prikai"
 
-#: src/config/options.inc:713
+#: src/config/options.inc:751
 #, fuzzy
 msgid "Display subscripts"
 msgstr "Prikai ~usemapu"
 
-#: src/config/options.inc:715
+#: src/config/options.inc:753
 msgid "Display subscripts (as [thing])."
 msgstr ""
 
-#: src/config/options.inc:717
+#: src/config/options.inc:755
 #, fuzzy
 msgid "Display superscripts"
 msgstr "Prikai ~usemapu"
 
-#: src/config/options.inc:719
+#: src/config/options.inc:757
 msgid "Display superscripts (as ^thing)."
 msgstr ""
 
-#: src/config/options.inc:721
+#: src/config/options.inc:759
 msgid "Rendering of HTML link element"
 msgstr ""
 
-#: src/config/options.inc:723
+#: src/config/options.inc:761
 msgid ""
 "How to render <link> tags from the HTML header:\n"
 "0 is nothing\n"
@@ -3223,145 +3224,143 @@ msgid ""
 "5 is everything"
 msgstr ""
 
-#: src/config/options.inc:731
+#: src/config/options.inc:769
 msgid "Underline links"
 msgstr ""
 
-#: src/config/options.inc:733
+#: src/config/options.inc:771
 msgid "Underline links."
 msgstr ""
 
-#: src/config/options.inc:735
+#: src/config/options.inc:773
 msgid "Wrap non breaking space"
 msgstr ""
 
-#: src/config/options.inc:737
+#: src/config/options.inc:775
 msgid ""
-"If set do not honour non breaking space (the nbsp entity)\n"
-"but allow to wrap the text. This can help keeping the width\n"
-"of documents down so no horizontal scrolling is needed."
+"If set do not honour non breaking space (the nbsp entity) but allow to wrap "
+"the text. This can help keeping the width of documents down so no horizontal "
+"scrolling is needed."
 msgstr ""
 
-#: src/config/options.inc:742
+#: src/config/options.inc:780
 #, fuzzy
 msgid "Plain rendering"
 msgstr "Prenosim"
 
-#: src/config/options.inc:744
+#: src/config/options.inc:782
 msgid "Options concerning the display of plain text pages."
 msgstr ""
 
-#: src/config/options.inc:746
+#: src/config/options.inc:784
 #, fuzzy
 msgid "Display URIs"
 msgstr "Prikai"
 
-#: src/config/options.inc:748
+#: src/config/options.inc:786
 msgid "Display URIs in the document as links."
 msgstr ""
 
-#: src/config/options.inc:750
+#: src/config/options.inc:788
 msgid "Compress empty lines"
 msgstr ""
 
-#: src/config/options.inc:752
+#: src/config/options.inc:790
 msgid "Compress successive empty lines to only one in displayed text."
 msgstr ""
 
-#: src/config/options.inc:755
+#: src/config/options.inc:794
 msgid "URI passing"
 msgstr ""
 
-#: src/config/options.inc:757
+#: src/config/options.inc:796
 msgid ""
-"Rules for passing URIs to external commands. When one rule\n"
-"is defined the link and tab menu will have a menu item that\n"
-"makes it possible to pass the the link, frame or tab URI to\n"
-"an external command. If several rules are defined the link and\n"
-"tab menu will have a submenu of items for each rule. Note, this\n"
-"is mostly useful for launching graphical viewers, since there\n"
-"is no support for releasing the terminal while the command runs.\n"
-"The action and submenus are also available by binding keys to\n"
-"the frame-external-command, the link-external-command, and\n"
-"the tab-external-command actions."
+"Rules for passing URIs to external commands. When one rule is defined the "
+"link and tab menu will have a menu item that makes it possible to pass the "
+"the link, frame or tab URI to an external command. If several rules are "
+"defined the link and tab menu will have a submenu of items for each rule.\n"
+"\n"
+"Note, this is mostly useful for launching graphical viewers, since there is "
+"no support for releasing the terminal while the command runs. The action and "
+"submenus are also available by binding keys to the frame-external-command, "
+"the link-external-command, and the tab-external-command actions."
 msgstr ""
 
-#: src/config/options.inc:770
+#: src/config/options.inc:812
 msgid ""
-"A rule for passing URI to an external command.\n"
-"The format is:\n"
+"A rule for passing URI to an external command. The format is:\n"
 "%c in the string means the current URL\n"
 "%% in the string means '%'\n"
 "Do _not_ put single- or double-quotes around %c."
 msgstr ""
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:780
+#: src/config/options.inc:822
 msgid "Information files"
 msgstr ""
 
-#: src/config/options.inc:782
+#: src/config/options.inc:824
 msgid "Options for information files in ~/.elinks."
 msgstr ""
 
-#: src/config/options.inc:784
+#: src/config/options.inc:826
 #, fuzzy
 msgid "Save interval"
 msgstr "Greka pri spremanju"
 
-#: src/config/options.inc:786
+#: src/config/options.inc:828
 msgid ""
-"Interval at which to trigger information files in ~/.elinks\n"
-"to be saved to disk if they have changed (seconds; 0 to disable)"
+"Interval at which to trigger information files in ~/.elinks to be saved to "
+"disk if they have changed (seconds; 0 to disable)"
 msgstr ""
 
-#: src/config/options.inc:789
+#: src/config/options.inc:832
 msgid "Use secure file saving"
 msgstr ""
 
-#: src/config/options.inc:791
+#: src/config/options.inc:834
 msgid ""
-"First write data to unique temporary file, then rename this file\n"
-"upon successfully finishing this. Note that this relates only to\n"
-"config files, not downloaded files. You may want to disable\n"
-"it if you are using some exotic permissions for concerned files.\n"
-"Secure file saving is automagically disabled if file is symlink.\n"
-"Warning: some systems (ie. OS/2, Win32) require that destination\n"
-"file doesn't exist when rename(3) is called, breaking atomicity,\n"
-"and reducing reliability of this feature."
+"First write data to unique temporary file, then rename this file upon "
+"successfully finishing this. Note that this relates only to config files, "
+"not downloaded files. You may want to disable it if you are using some "
+"exotic permissions for concerned files. Secure file saving is automagically "
+"disabled if file is symlink.\n"
+"\n"
+"Warning: some systems (ie. OS/2, Win32) require that destination file "
+"doesn't exist when rename(3) is called, breaking atomicity, and reducing "
+"reliability of this feature."
 msgstr ""
 
-#: src/config/options.inc:800
+#: src/config/options.inc:846
 msgid "Use fsync(3) with secure file saving"
 msgstr ""
 
-#: src/config/options.inc:802
+#: src/config/options.inc:848
 msgid ""
-"When using secure file saving, call fsync(3), if the OS\n"
-"supports it, to force the OS immediately to write the data\n"
-"to permanent storage. This is optional for those who wish\n"
-"to avoid excessive disk I/O."
+"When using secure file saving, call fsync(3), if the OS supports it, to "
+"force the OS immediately to write the data to permanent storage. This is "
+"optional for those who wish to avoid excessive disk I/O."
 msgstr ""
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:811
+#: src/config/options.inc:857
 #, fuzzy
 msgid "Terminals"
 msgstr "Opcije terminala"
 
-#: src/config/options.inc:813
+#: src/config/options.inc:859
 #, fuzzy
 msgid "Terminal options."
 msgstr "Opcije terminala"
 
-#: src/config/options.inc:817
+#: src/config/options.inc:863
 msgid "Options specific to this terminal type (according to $TERM value)."
 msgstr ""
 
-#: src/config/options.inc:842
+#: src/config/options.inc:889
 msgid ""
-"Terminal type; matters mostly only when drawing frames and\n"
-"dialog box borders:\n"
+"Terminal type; matters mostly only when drawing frames and dialog box "
+"borders:\n"
 "0 is dumb terminal type, ASCII art\n"
 "1 is VT100, simple but portable\n"
 "2 is Linux, you get double frames and other goodies\n"
@@ -3369,15 +3368,31 @@ msgid ""
 "4 is FreeBSD"
 msgstr ""
 
-#: src/config/options.inc:850 src/dialogs/options.c:227
+#: src/config/options.inc:897
+msgid "Always encode xterm title in ISO-8859-1"
+msgstr ""
+
+#: src/config/options.inc:899
+msgid ""
+"When updating the window title of xterm or a similar terminal emulator, "
+"encode the title in ISO-8859-1 (Latin-1), rather than in the charset used "
+"for other text in the window. Cyrillic and other characters get replaced "
+"with Latin ones. Xterm requires this unless you explicitly enable UTF-8 "
+"titles in it.\n"
+"\n"
+"If this option does not take effect immediately, try switching to a "
+"different page so that ELinks notices it needs to update the title."
+msgstr ""
+
+#: src/config/options.inc:910 src/dialogs/options.c:227
 msgid "Switch fonts for line drawing"
 msgstr ""
 
-#: src/config/options.inc:852
+#: src/config/options.inc:912
 msgid ""
-"Switch fonts when drawing lines, enabling both local characters\n"
-"and lines working at the same time. ELinks uses this option only if\n"
-"UTF-8 I/O is disabled and the terminal type is Linux or FreeBSD."
+"Switch fonts when drawing lines, enabling both local characters and lines "
+"working at the same time. ELinks uses this option only if UTF-8 I/O is "
+"disabled and the terminal type is Linux or FreeBSD."
 msgstr ""
 
 #. When CONFIG_UTF8 is defined, any code that reads the "utf_8_io"
@@ -3385,37 +3400,37 @@ msgstr ""
 #. * and if so, behave as if "utf_8_io" were 1.  (When CONFIG_UTF8 is
 #. * not defined, it should not be possible to set UTF-8 as "codepage";
 #. * please report any such possibilities as bugs.)
-#: src/config/options.inc:861 src/dialogs/options.c:232
+#: src/config/options.inc:922 src/dialogs/options.c:232
 msgid "UTF-8 I/O"
 msgstr ""
 
-#: src/config/options.inc:863
+#: src/config/options.inc:924
 msgid ""
-"Enable I/O in UTF-8 for Unicode terminals. Note that currently,\n"
-"only the subset of UTF-8 according to terminal codepage is used.\n"
-"ELinks ignores this option if the terminal codepage is UTF-8."
+"Enable I/O in UTF-8 for Unicode terminals. Note that currently, only the "
+"subset of UTF-8 according to terminal codepage is used. ELinks ignores this "
+"option if the terminal codepage is UTF-8."
 msgstr ""
 
-#: src/config/options.inc:867 src/dialogs/options.c:228
+#: src/config/options.inc:929 src/dialogs/options.c:228
 msgid "Restrict frames in cp850/852"
 msgstr "Ogranii okvire kod cp850/852"
 
-#: src/config/options.inc:869
+#: src/config/options.inc:931
 msgid ""
-"Restrict the characters used when drawing lines. Makes sense\n"
-"only with linux terminals using the cp850/852 character sets."
+"Restrict the characters used when drawing lines. Makes sense only with linux "
+"terminals using the cp850/852 character sets."
 msgstr ""
 
-#: src/config/options.inc:872 src/dialogs/options.c:229
+#: src/config/options.inc:935 src/dialogs/options.c:229
 #, fuzzy
 msgid "Block cursor"
 msgstr "Blok kursor"
 
-#: src/config/options.inc:874
+#: src/config/options.inc:937
 msgid ""
-"Move cursor to bottom right corner when done drawing.\n"
-"This is particularly useful when we have a block cursor,\n"
-"so that inversed text is displayed correctly."
+"Move cursor to bottom right corner when done drawing. This is particularly "
+"useful when we have a block cursor, so that inversed text is displayed "
+"correctly."
 msgstr ""
 
 #. The list of modes must be at the end of this string
@@ -3423,13 +3438,15 @@ msgstr ""
 #. * an outer list entry after an inner list.
 #. * TRANSLATORS: This restriction applies only to the
 #. * "en" (English) translation.  (See doc/Makefile.)
-#: src/config/options.inc:885
+#: src/config/options.inc:948
 msgid ""
 "The color mode controls what colors are used and how they are output to the "
 "terminal.\n"
+"\n"
 "Some modes may have been disabled at compile time. The Setup -> Terminal "
 "options dialog lists the modes supported by this executable. If you select "
 "an unsupported mode, ELinks uses 16 colors.\n"
+"\n"
 "The color modes are:\n"
 "0 is mono mode, only 2 colors are used\n"
 "1 is 16 color mode, uses the common ANSI colors\n"
@@ -3438,425 +3455,422 @@ msgid ""
 "4 is true color mode, uses konsole RGB codes"
 msgstr ""
 
-#: src/config/options.inc:898 src/dialogs/options.c:230
+#: src/config/options.inc:963 src/dialogs/options.c:230
 msgid "Transparency"
 msgstr ""
 
-#: src/config/options.inc:900
+#: src/config/options.inc:965
 msgid ""
-"If we should not set the background to black. This is particularly\n"
-"useful when we have a terminal (typically in some windowing\n"
-"environment) with a background image or a transparent background -\n"
-"it will be visible in ELinks as well (but ELinks document color handling\n"
-"will still assume the background is black so if you have a bright "
-"background\n"
-"you might experience contrast problems). Note that this option makes\n"
-"sense only when colors are enabled."
+"If we should not set the background to black. This is particularly useful "
+"when we have a terminal (typically in some windowing environment) with a "
+"background image or a transparent background - it will be visible in ELinks "
+"as well (but ELinks document color handling will still assume the background "
+"is black so if you have a bright background you might experience contrast "
+"problems). Note that this option makes sense only when colors are enabled."
 msgstr ""
 
-#: src/config/options.inc:910
+#: src/config/options.inc:977
 msgid "If we should use underline or enhance the color instead."
 msgstr ""
 
-#: src/config/options.inc:914
+#: src/config/options.inc:982
 msgid ""
-"Codepage of charset used for displaying content on terminal.\n"
-"'System' stands for a codepage determined by a selected locale."
+"Codepage of charset used for displaying content on terminal. 'System' stands "
+"for a codepage determined by a selected locale."
 msgstr ""
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:921
+#: src/config/options.inc:990
 msgid "User interface"
 msgstr ""
 
-#: src/config/options.inc:923
+#: src/config/options.inc:992
 #, fuzzy
 msgid "User interface options."
 msgstr "Opcije terminala"
 
-#: src/config/options.inc:927
+#: src/config/options.inc:996
 msgid "Color settings"
 msgstr ""
 
-#: src/config/options.inc:929
+#: src/config/options.inc:998
 msgid "Default user interface color settings."
 msgstr ""
 
-#: src/config/options.inc:956
+#: src/config/options.inc:1025
 #, fuzzy
 msgid "Color terminals"
 msgstr "~BeOS terminal"
 
-#: src/config/options.inc:958
+#: src/config/options.inc:1027
 msgid "Color settings for color terminal."
 msgstr ""
 
-#: src/config/options.inc:960
+#: src/config/options.inc:1029
 msgid "Non-color terminals"
 msgstr ""
 
-#: src/config/options.inc:962
+#: src/config/options.inc:1031
 msgid "Color settings for non-color terminal."
 msgstr ""
 
 #. FIXME: obsolete, how to alias them correctly ? --Zas
-#: src/config/options.inc:965
+#: src/config/options.inc:1034
 msgid "Main menu bar"
 msgstr ""
 
-#: src/config/options.inc:967
+#: src/config/options.inc:1036
 msgid "Main menu bar colors."
 msgstr ""
 
-#: src/config/options.inc:969
+#: src/config/options.inc:1038
 msgid "Unselected main menu bar item"
 msgstr ""
 
-#: src/config/options.inc:971
+#: src/config/options.inc:1040
 msgid "Unselected main menu bar item colors."
 msgstr ""
 
-#: src/config/options.inc:973
+#: src/config/options.inc:1042
 msgid "Selected main menu bar item"
 msgstr ""
 
-#: src/config/options.inc:975
+#: src/config/options.inc:1044
 msgid "Selected main menu bar item colors."
 msgstr ""
 
-#: src/config/options.inc:977 src/config/options.inc:1006
+#: src/config/options.inc:1046 src/config/options.inc:1075
 msgid "Hotkey"
 msgstr ""
 
-#: src/config/options.inc:979
+#: src/config/options.inc:1048
 msgid "Main menu hotkey colors."
 msgstr ""
 
-#: src/config/options.inc:981 src/config/options.inc:1010
+#: src/config/options.inc:1050 src/config/options.inc:1079
 msgid "Unselected hotkey"
 msgstr ""
 
-#: src/config/options.inc:983
+#: src/config/options.inc:1052
 msgid "Main menu unselected hotkey colors."
 msgstr ""
 
-#: src/config/options.inc:985 src/config/options.inc:1014
+#: src/config/options.inc:1054 src/config/options.inc:1083
 #, fuzzy
 msgid "Selected hotkey"
 msgstr "Odaberi polje"
 
-#: src/config/options.inc:987
+#: src/config/options.inc:1056
 msgid "Main menu selected hotkey colors."
 msgstr ""
 
-#: src/config/options.inc:990
+#: src/config/options.inc:1059
 msgid "Menu bar"
 msgstr ""
 
-#: src/config/options.inc:992
+#: src/config/options.inc:1061
 msgid "Menu bar colors."
 msgstr ""
 
-#: src/config/options.inc:994
+#: src/config/options.inc:1063
 msgid "Unselected menu item"
 msgstr ""
 
-#: src/config/options.inc:996
+#: src/config/options.inc:1065
 msgid "Unselected menu item colors."
 msgstr ""
 
-#: src/config/options.inc:998
+#: src/config/options.inc:1067
 #, fuzzy
 msgid "Selected menu item"
 msgstr "Odaberi polje"
 
-#: src/config/options.inc:1000
+#: src/config/options.inc:1069
 msgid "Selected menu item colors."
 msgstr ""
 
-#: src/config/options.inc:1002
+#: src/config/options.inc:1071
 #, fuzzy
 msgid "Marked menu item"
 msgstr "Odaberi polje"
 
-#: src/config/options.inc:1004
+#: src/config/options.inc:1073
 msgid "Marked menu item colors."
 msgstr ""
 
-#: src/config/options.inc:1008
+#: src/config/options.inc:1077
 msgid "Menu item hotkey colors."
 msgstr ""
 
-#: src/config/options.inc:1012
+#: src/config/options.inc:1081
 msgid "Menu item unselected hotkey colors."
 msgstr ""
 
-#: src/config/options.inc:1016
+#: src/config/options.inc:1085
 msgid "Menu item selected hotkey colors."
 msgstr ""
 
-#: src/config/options.inc:1018
+#: src/config/options.inc:1087
 #, fuzzy
 msgid "Menu frame"
 msgstr "Nema okvira"
 
-#: src/config/options.inc:1020
+#: src/config/options.inc:1089
 msgid "Menu frame colors."
 msgstr ""
 
-#: src/config/options.inc:1023
+#: src/config/options.inc:1092
 msgid "Dialog"
 msgstr ""
 
-#: src/config/options.inc:1025
+#: src/config/options.inc:1094
 msgid "Dialog colors."
 msgstr ""
 
-#: src/config/options.inc:1035
+#: src/config/options.inc:1104
 msgid "Generic"
 msgstr ""
 
-#: src/config/options.inc:1037
+#: src/config/options.inc:1106
 #, fuzzy
 msgid "Generic dialog colors."
 msgstr "Ubij veze u pozadini"
 
-#: src/config/options.inc:1039
+#: src/config/options.inc:1108
 #, fuzzy
 msgid "Frame"
 msgstr "ime"
 
-#: src/config/options.inc:1041
+#: src/config/options.inc:1110
 msgid "Dialog frame colors."
 msgstr ""
 
-#: src/config/options.inc:1043
+#: src/config/options.inc:1112
 msgid "Scrollbar"
 msgstr ""
 
-#: src/config/options.inc:1045
+#: src/config/options.inc:1114
 msgid "Scrollbar colors."
 msgstr ""
 
-#: src/config/options.inc:1047
+#: src/config/options.inc:1116
 #, fuzzy
 msgid "Selected scrollbar"
 msgstr "Ubij veze u pozadini"
 
-#: src/config/options.inc:1049
+#: src/config/options.inc:1118
 #, fuzzy
 msgid "Scrollbar selected colors."
 msgstr "Ubij veze u pozadini"
 
-#: src/config/options.inc:1053
+#: src/config/options.inc:1122
 msgid "Dialog title colors."
 msgstr ""
 
-#: src/config/options.inc:1055
+#: src/config/options.inc:1124
 #, fuzzy
 msgid "Text"
 msgstr "Tekstualno podruje"
 
-#: src/config/options.inc:1057
+#: src/config/options.inc:1126
 msgid "Dialog text colors."
 msgstr ""
 
-#: src/config/options.inc:1059 src/viewer/text/form.c:1862
+#: src/config/options.inc:1128 src/viewer/text/form.c:1891
 msgid "Checkbox"
 msgstr "Oznaavanje"
 
-#: src/config/options.inc:1061
+#: src/config/options.inc:1130
 msgid "Dialog checkbox colors."
 msgstr ""
 
-#: src/config/options.inc:1063
+#: src/config/options.inc:1132
 #, fuzzy
 msgid "Selected checkbox"
 msgstr "Odaberi polje"
 
-#: src/config/options.inc:1065
+#: src/config/options.inc:1134
 #, fuzzy
 msgid "Dialog selected checkbox colors."
 msgstr "Ubij veze u pozadini"
 
-#: src/config/options.inc:1067
+#: src/config/options.inc:1136
 #, fuzzy
 msgid "Checkbox label"
 msgstr "Oznaavanje"
 
-#: src/config/options.inc:1069
+#: src/config/options.inc:1138
 msgid "Dialog checkbox label colors."
 msgstr ""
 
-#: src/config/options.inc:1071
+#: src/config/options.inc:1140
 msgid "Button"
 msgstr ""
 
-#: src/config/options.inc:1073 src/config/options.inc:1081
+#: src/config/options.inc:1142 src/config/options.inc:1150
 msgid "Dialog button colors."
 msgstr ""
 
-#: src/config/options.inc:1075
+#: src/config/options.inc:1144
 msgid "Selected button"
 msgstr ""
 
-#: src/config/options.inc:1077 src/config/options.inc:1085
+#: src/config/options.inc:1146 src/config/options.inc:1154
 msgid "Dialog selected button colors."
 msgstr ""
 
-#: src/config/options.inc:1079
+#: src/config/options.inc:1148
 msgid "Button shortcut"
 msgstr ""
 
-#: src/config/options.inc:1083
+#: src/config/options.inc:1152
 #, fuzzy
 msgid "Selected button shortcut"
 msgstr "Odaberi polje"
 
-#: src/config/options.inc:1087 src/viewer/text/form.c:1866
+#: src/config/options.inc:1156 src/viewer/text/form.c:1895
 msgid "Text field"
 msgstr "Tekstualno polje"
 
-#: src/config/options.inc:1089
+#: src/config/options.inc:1158
 msgid "Dialog text field colors."
 msgstr ""
 
-#: src/config/options.inc:1091
+#: src/config/options.inc:1160
 #, fuzzy
 msgid "Text field text"
 msgstr "Tekstualno polje"
 
-#: src/config/options.inc:1093
+#: src/config/options.inc:1162
 msgid "Dialog field text colors."
 msgstr ""
 
-#: src/config/options.inc:1095
+#: src/config/options.inc:1164
 msgid "Meter"
 msgstr ""
 
-#: src/config/options.inc:1097
+#: src/config/options.inc:1166
 msgid "Dialog meter colors."
 msgstr ""
 
-#: src/config/options.inc:1099
+#: src/config/options.inc:1168
 msgid "Shadow"
 msgstr ""
 
-#: src/config/options.inc:1101
+#: src/config/options.inc:1170
 msgid "Dialog shadow colors (see ui.shadows option)."
 msgstr ""
 
-#: src/config/options.inc:1103
+#: src/config/options.inc:1172
 msgid "Title bar"
 msgstr ""
 
-#: src/config/options.inc:1105
+#: src/config/options.inc:1174
 msgid "Title bar colors."
 msgstr ""
 
-#: src/config/options.inc:1107
+#: src/config/options.inc:1176
 msgid "Generic title bar"
 msgstr ""
 
-#: src/config/options.inc:1109
+#: src/config/options.inc:1178
 msgid "Generic title bar colors."
 msgstr ""
 
-#: src/config/options.inc:1111
+#: src/config/options.inc:1180
 msgid "Title bar text"
 msgstr ""
 
-#: src/config/options.inc:1113
+#: src/config/options.inc:1182
 msgid "Title bar text colors."
 msgstr ""
 
-#: src/config/options.inc:1116
+#: src/config/options.inc:1185
 msgid "Status bar"
 msgstr ""
 
-#: src/config/options.inc:1118
+#: src/config/options.inc:1187
 msgid "Status bar colors."
 msgstr ""
 
-#: src/config/options.inc:1120
+#: src/config/options.inc:1189
 msgid "Generic status bar"
 msgstr ""
 
-#: src/config/options.inc:1122
+#: src/config/options.inc:1191
 msgid "Generic status bar colors."
 msgstr ""
 
-#: src/config/options.inc:1124
+#: src/config/options.inc:1193
 #, fuzzy
 msgid "Status bar text"
 msgstr "Trai tekst"
 
-#: src/config/options.inc:1126
+#: src/config/options.inc:1195
 msgid "Status bar text colors."
 msgstr ""
 
-#: src/config/options.inc:1129
+#: src/config/options.inc:1198
 msgid "Tabs bar"
 msgstr ""
 
-#: src/config/options.inc:1131
+#: src/config/options.inc:1200
 msgid "Tabs bar colors."
 msgstr ""
 
-#: src/config/options.inc:1133
+#: src/config/options.inc:1202
 #, fuzzy
 msgid "Unvisited tab"
 msgstr "Odaberi polje"
 
-#: src/config/options.inc:1135
+#: src/config/options.inc:1204
 msgid ""
-"Tab colors for tabs that have not been\n"
-"selected since they completed loading."
+"Tab colors for tabs that have not been selected since they completed loading."
 msgstr ""
 
-#: src/config/options.inc:1138
+#: src/config/options.inc:1207
 #, fuzzy
 msgid "Unselected tab"
 msgstr "Odaberi polje"
 
-#: src/config/options.inc:1140
+#: src/config/options.inc:1209
 #, fuzzy
 msgid "Unselected tab colors."
 msgstr "Ubij veze u pozadini"
 
-#: src/config/options.inc:1142
+#: src/config/options.inc:1211
 #, fuzzy
 msgid "Loading tab"
 msgstr "uitavam"
 
-#: src/config/options.inc:1144
+#: src/config/options.inc:1213
 msgid "Tab colors for tabs that are loading in the background."
 msgstr ""
 
-#: src/config/options.inc:1146
+#: src/config/options.inc:1215
 #, fuzzy
 msgid "Selected tab"
 msgstr "Odaberi polje"
 
-#: src/config/options.inc:1148
+#: src/config/options.inc:1217
 #, fuzzy
 msgid "Selected tab colors."
 msgstr "Ubij veze u pozadini"
 
-#: src/config/options.inc:1150
+#: src/config/options.inc:1219
 msgid "Tab separator"
 msgstr ""
 
-#: src/config/options.inc:1152
+#: src/config/options.inc:1221
 msgid "Tab separator colors."
 msgstr ""
 
-#: src/config/options.inc:1155
+#: src/config/options.inc:1224
 #, fuzzy
 msgid "Searched strings"
 msgstr "Neispravan niz znakova"
 
-#: src/config/options.inc:1157
+#: src/config/options.inc:1226
 #, fuzzy
 msgid "Searched string highlight colors."
 msgstr "Nije naen traeni niz znakova"
@@ -3865,69 +3879,69 @@ msgstr "Nije naen traeni niz znakova"
 #. ============= BORING PART (colors) END ===================
 #. ==========================================================
 #. Keep options in alphabetical order.
-#: src/config/options.inc:1166
+#: src/config/options.inc:1235
 msgid "Dialog settings"
 msgstr ""
 
-#: src/config/options.inc:1168
+#: src/config/options.inc:1237
 msgid "Dialogs-specific appearance and behaviour settings."
 msgstr ""
 
-#: src/config/options.inc:1171
+#: src/config/options.inc:1240
 msgid "Minimal height of listbox widget"
 msgstr ""
 
-#: src/config/options.inc:1173
+#: src/config/options.inc:1242
 msgid ""
-"Minimal height of the listbox widget (used e.g. for bookmarks\n"
-"or global history)."
+"Minimal height of the listbox widget (used e.g. for bookmarks or global "
+"history)."
 msgstr ""
 
-#: src/config/options.inc:1176
+#: src/config/options.inc:1245
 msgid "Drop shadows"
 msgstr ""
 
-#: src/config/options.inc:1178
+#: src/config/options.inc:1247
 msgid ""
-"Make dialogs drop shadows (the shadows are solid, you can\n"
-"adjust their color by ui.colors.*.dialog.shadow). You may\n"
-"also want to eliminate the wide borders by adjusting setup.h."
+"Make dialogs drop shadows (the shadows are solid, you can adjust their color "
+"by ui.colors.*.dialog.shadow). You may also want to eliminate the wide "
+"borders by adjusting setup.h."
 msgstr ""
 
-#: src/config/options.inc:1182
+#: src/config/options.inc:1252
 #, fuzzy
 msgid "Underline menu hotkeys"
 msgstr "Odaberi polje"
 
-#: src/config/options.inc:1184
+#: src/config/options.inc:1254
 msgid ""
-"Whether to underline hotkeys in menus to make them more\n"
-"visible. Requires that underlining is enabled for the terminal."
+"Whether to underline hotkeys in menus to make them more visible. Requires "
+"that underlining is enabled for the terminal."
 msgstr ""
 
-#: src/config/options.inc:1187
+#: src/config/options.inc:1258
 #, fuzzy
 msgid "Underline button shortcuts"
 msgstr "Odaberi polje"
 
-#: src/config/options.inc:1189
+#: src/config/options.inc:1260
 msgid ""
-"Whether to underline button shortcuts to make them more\n"
-"visible. Requires that underlining is enabled for the terminal."
+"Whether to underline button shortcuts to make them more visible. Requires "
+"that underlining is enabled for the terminal."
 msgstr ""
 
-#: src/config/options.inc:1193
+#: src/config/options.inc:1265
 #, fuzzy
 msgid "Timer options"
 msgstr "Opcije terminala"
 
-#: src/config/options.inc:1195
+#: src/config/options.inc:1267
 msgid ""
-"Timed action after certain interval of user inactivity. Someone can\n"
-"even find this useful, although you may not believe that."
+"Timed action after certain interval of user inactivity. Someone can even "
+"find this useful, although you may not believe that."
 msgstr ""
 
-#: src/config/options.inc:1201
+#: src/config/options.inc:1274
 msgid ""
 "Whether to enable the timer or not:\n"
 "0 is don't count down anything\n"
@@ -3935,7 +3949,7 @@ msgid ""
 "2 is count down and show the timer near LEDs"
 msgstr ""
 
-#: src/config/options.inc:1208
+#: src/config/options.inc:1281
 msgid ""
 "Whether to enable the timer or not:\n"
 "0 is don't count down anything\n"
@@ -3943,35 +3957,35 @@ msgid ""
 "2 is count down and show the timer near LEDs (DISABLED)"
 msgstr ""
 
-#: src/config/options.inc:1214
+#: src/config/options.inc:1287
 msgid "Duration"
 msgstr ""
 
-#: src/config/options.inc:1216
+#: src/config/options.inc:1289
 msgid ""
-"Inactivity timeout in seconds. The maximum of one day\n"
-"should be enough for just everyone (TM)."
+"Inactivity timeout in seconds. The maximum of one day should be enough for "
+"just everyone (TM)."
 msgstr ""
 
-#: src/config/options.inc:1221
+#: src/config/options.inc:1294
 msgid "Keybinding action to be triggered when timer reaches zero."
 msgstr ""
 
-#: src/config/options.inc:1224
+#: src/config/options.inc:1298
 #, fuzzy
 msgid "Window tabs"
 msgstr "Prozor"
 
-#: src/config/options.inc:1226
+#: src/config/options.inc:1300
 msgid "Window tabs settings."
 msgstr ""
 
-#: src/config/options.inc:1228
+#: src/config/options.inc:1302
 #, fuzzy
 msgid "Display tabs bar"
 msgstr "Prikai ~usemapu"
 
-#: src/config/options.inc:1230
+#: src/config/options.inc:1304
 msgid ""
 "Show tabs bar on the screen:\n"
 "0 means never\n"
@@ -3979,170 +3993,169 @@ msgid ""
 "2 means always"
 msgstr ""
 
-#: src/config/options.inc:1235
+#: src/config/options.inc:1309
 msgid "Tab bar at top"
 msgstr ""
 
-#: src/config/options.inc:1237
+#: src/config/options.inc:1311
 msgid "Whether display tab bar at top like other browsers do."
 msgstr ""
 
-#: src/config/options.inc:1239
+#: src/config/options.inc:1313
 msgid "Wrap-around tabs cycling"
 msgstr ""
 
-#: src/config/options.inc:1241
+#: src/config/options.inc:1315
 msgid ""
-"When moving right from the last tab, jump to the first one, and\n"
-"vice versa."
+"When moving right from the last tab, jump to the first one, and vice versa."
 msgstr ""
 
-#: src/config/options.inc:1244
+#: src/config/options.inc:1318
 msgid "Confirm tab closing"
 msgstr ""
 
-#: src/config/options.inc:1246
+#: src/config/options.inc:1320
 msgid "When closing a tab show confirmation dialog."
 msgstr ""
 
 #. OPT_LANGUAGE
-#: src/config/options.inc:1250 src/config/opttypes.c:483
+#: src/config/options.inc:1324 src/config/opttypes.c:483
 msgid "Language"
 msgstr ""
 
-#: src/config/options.inc:1252
+#: src/config/options.inc:1326
 msgid ""
-"Language of user interface. 'System' means that the language will\n"
-"be extracted from the environment dynamically."
+"Language of user interface. 'System' means that the language will be "
+"extracted from the environment dynamically."
 msgstr ""
 
-#: src/config/options.inc:1255
+#: src/config/options.inc:1330
 #, fuzzy
 msgid "Display menu bar always"
 msgstr "Prikai ~usemapu"
 
-#: src/config/options.inc:1257
+#: src/config/options.inc:1332
 msgid "Always show menu bar on the screen."
 msgstr ""
 
-#: src/config/options.inc:1259
+#: src/config/options.inc:1334
 #, fuzzy
 msgid "Display status bar"
 msgstr "Prikai ~usemapu"
 
-#: src/config/options.inc:1261
+#: src/config/options.inc:1336
 msgid "Show status bar on the screen."
 msgstr ""
 
-#: src/config/options.inc:1263
+#: src/config/options.inc:1338
 #, fuzzy
 msgid "Display title bar"
 msgstr "Prikai ~usemapu"
 
-#: src/config/options.inc:1265
+#: src/config/options.inc:1340
 msgid "Show title bar on the screen."
 msgstr ""
 
-#: src/config/options.inc:1267
+#: src/config/options.inc:1342
 msgid "Display goto dialog in new tabs"
 msgstr ""
 
-#: src/config/options.inc:1269
+#: src/config/options.inc:1344
 msgid ""
-"Pop up goto dialog in newly created tabs when there's no homepage\n"
-"set. This means also showing goto dialog on startup."
+"Pop up goto dialog in newly created tabs when there's no homepage set. This "
+"means also showing goto dialog on startup."
 msgstr ""
 
-#: src/config/options.inc:1272
+#: src/config/options.inc:1348
 msgid "Show a message box when file is saved successfully"
 msgstr ""
 
-#: src/config/options.inc:1274
+#: src/config/options.inc:1350
 msgid ""
-"When you pressed a [ Save ] button in some manager, this option\n"
-"will make sure that a box confirming success of the operation will\n"
-"pop up."
+"When you pressed a [ Save ] button in some manager, this option will make "
+"sure that a box confirming success of the operation will pop up."
 msgstr ""
 
-#: src/config/options.inc:1279
+#: src/config/options.inc:1355
 #, fuzzy
 msgid "Sessions"
 msgstr "Nastavak(ci)"
 
-#: src/config/options.inc:1281
+#: src/config/options.inc:1357
 msgid "Sessions settings."
 msgstr ""
 
-#: src/config/options.inc:1283
+#: src/config/options.inc:1359
 msgid "Keep session active"
 msgstr ""
 
-#: src/config/options.inc:1285
+#: src/config/options.inc:1361
 msgid "Keep the session active even if the last terminal exits."
 msgstr ""
 
-#: src/config/options.inc:1287
+#: src/config/options.inc:1364
 msgid "Auto save session"
 msgstr ""
 
-#: src/config/options.inc:1289
+#: src/config/options.inc:1366
 msgid ""
 "Automatically save the session when quitting.\n"
+"\n"
 "This feature requires bookmark support."
 msgstr ""
 
-#: src/config/options.inc:1292
+#: src/config/options.inc:1370
 msgid "Auto restore session"
 msgstr ""
 
-#: src/config/options.inc:1294
+#: src/config/options.inc:1372
 msgid ""
 "Automatically restore the session at start.\n"
+"\n"
 "This feature requires bookmark support."
 msgstr ""
 
-#: src/config/options.inc:1297
+#: src/config/options.inc:1376
 msgid "Auto save and restore session folder name"
 msgstr ""
 
-#: src/config/options.inc:1299
+#: src/config/options.inc:1378
 msgid ""
-"Name of the bookmarks folder used for auto saving and restoring session.\n"
-"The name has to be unique. Any folders with the same name will be deleted.\n"
+"Name of the bookmarks folder used for auto saving and restoring session. The "
+"name has to be unique. Any folders with the same name will be deleted.\n"
+"\n"
 "This only makes sense with bookmark support."
 msgstr ""
 
-#: src/config/options.inc:1303
+#: src/config/options.inc:1384
 #, fuzzy
 msgid "Homepage URI"
 msgstr "Kodna stranica"
 
-#: src/config/options.inc:1305
+#: src/config/options.inc:1386
 msgid ""
-"The URI to load either at startup time when no URI was given\n"
-"on the command line or when requested by the goto-url-home action.\n"
-"Set to \"\" if the environment variable WWW_HOME should be used\n"
-"as homepage URI instead."
+"The URI to load either at startup time when no URI was given on the command "
+"line or when requested by the goto-url-home action. Set to \"\" if the "
+"environment variable WWW_HOME should be used as homepage URI instead."
 msgstr ""
 
-#: src/config/options.inc:1311
+#: src/config/options.inc:1392
 #, fuzzy
 msgid "Date format"
 msgstr "Poalji datoteku"
 
-#: src/config/options.inc:1313
+#: src/config/options.inc:1394
 msgid "Date format to use in dialogs. See strftime(3)."
 msgstr ""
 
-#: src/config/options.inc:1316
+#: src/config/options.inc:1397
 msgid "Set window title"
 msgstr ""
 
-#: src/config/options.inc:1318
+#: src/config/options.inc:1399
 msgid ""
-"Set the window title when running in a windowing environment\n"
-"in an xterm-like terminal. This way the document's title is\n"
-"shown on the window titlebar."
+"Set the window title when running in a windowing environment in an xterm-"
+"like terminal. This way the document's title is shown on the window titlebar."
 msgstr ""
 
 #: src/config/opttypes.c:54
@@ -4229,7 +4242,7 @@ msgid "Goto URL History"
 msgstr "Nema povijesti"
 
 #. name:
-#: src/cookies/cookies.c:88 src/cookies/cookies.c:911
+#: src/cookies/cookies.c:88 src/cookies/cookies.c:913
 msgid "Cookies"
 msgstr ""
 
@@ -4259,10 +4272,10 @@ msgstr "Zapoinjem vezu"
 msgid ""
 "Cookie maximum age (in days):\n"
 "-1 is use cookie's expiration date if any\n"
-"0  is force expiration at the end of session, ignoring cookie's\n"
-"   expiration date\n"
-"1+ is use cookie's expiration date, but limit age to the given\n"
-"   number of days"
+"0  is force expiration at the end of session, ignoring\n"
+"   cookie's expiration date\n"
+"1+ is use cookie's expiration date, but limit age to the\n"
+"   given number of days"
 msgstr ""
 
 #: src/cookies/cookies.c:109
@@ -4271,42 +4284,42 @@ msgstr ""
 
 #: src/cookies/cookies.c:111
 msgid ""
-"When enabled, we'll require three dots in cookies domain for all\n"
-"non-international domains (instead of just two dots). Some countries\n"
-"have generic second level domains (eg. .com.pl, .co.uk) and allowing\n"
-"sites to set cookies for these generic domains could potentially be\n"
-"very bad. Note, it is off by default as it breaks a lot of sites."
+"When enabled, we'll require three dots in cookies domain for all non-"
+"international domains (instead of just two dots). Some countries have "
+"generic second level domains (eg. .com.pl, .co.uk) and allowing sites to set "
+"cookies for these generic domains could potentially be very bad. Note, it is "
+"off by default as it breaks a lot of sites."
 msgstr ""
 
-#: src/cookies/cookies.c:117
+#: src/cookies/cookies.c:118
 #, fuzzy
 msgid "Saving"
 msgstr "prosjek"
 
-#: src/cookies/cookies.c:119
+#: src/cookies/cookies.c:120
 msgid "Whether cookies should be loaded from and saved to disk."
 msgstr ""
 
-#: src/cookies/cookies.c:121
+#: src/cookies/cookies.c:123
 msgid "Resaving"
 msgstr ""
 
-#: src/cookies/cookies.c:123
+#: src/cookies/cookies.c:125
 msgid ""
-"Save cookies after each change in cookies list? No effect when\n"
-"cookie saving (cookies.save) is off."
+"Save cookies after each change in cookies list? No effect when cookie saving "
+"(cookies.save) is off."
 msgstr ""
 
-#: src/cookies/cookies.c:817
+#: src/cookies/cookies.c:819
 #, fuzzy
 msgid "Cannot save cookies"
 msgstr "Greka pri pisanju u file"
 
-#: src/cookies/cookies.c:828
+#: src/cookies/cookies.c:830
 msgid "ELinks was started without a home directory."
 msgstr ""
 
-#: src/cookies/cookies.c:834
+#: src/cookies/cookies.c:836
 msgid "ELinks was started with the -anonymous option."
 msgstr ""
 
@@ -4521,7 +4534,7 @@ msgid "No header info."
 msgstr ""
 
 #: src/dialogs/download.c:243 src/dialogs/menu.c:601
-#: src/protocol/bittorrent/dialogs.c:228 src/session/download.c:361
+#: src/protocol/bittorrent/dialogs.c:228 src/session/download.c:387
 msgid "Download"
 msgstr "Preuzmi"
 
@@ -5377,7 +5390,7 @@ msgid "No document"
 msgstr "dokumenti"
 
 #. name:
-#: src/document/css/css.c:30 src/document/css/css.c:161
+#: src/document/css/css.c:30 src/document/css/css.c:164
 msgid "Cascading Style Sheets"
 msgstr ""
 
@@ -5385,36 +5398,36 @@ msgstr ""
 msgid "Options concerning how to use CSS for styling documents."
 msgstr ""
 
-#: src/document/css/css.c:34
+#: src/document/css/css.c:35
 #, fuzzy
 msgid "Enable CSS"
 msgstr "ime"
 
-#: src/document/css/css.c:36
+#: src/document/css/css.c:37
 msgid "Enable adding of CSS style info to documents."
 msgstr ""
 
-#: src/document/css/css.c:38
+#: src/document/css/css.c:39
 msgid "Import external style sheets"
 msgstr ""
 
-#: src/document/css/css.c:40
+#: src/document/css/css.c:41
 msgid ""
-"When enabled any external style sheets that are imported from\n"
-"either CSS itself using the @import keyword or from the HTML using\n"
-"<link> tags in the document header will also be downloaded."
+"When enabled any external style sheets that are imported from either CSS "
+"itself using the @import keyword or from the HTML using <link> tags in the "
+"document header will also be downloaded."
 msgstr ""
 
-#: src/document/css/css.c:44
+#: src/document/css/css.c:46
 msgid "Default style sheet"
 msgstr ""
 
-#: src/document/css/css.c:46
+#: src/document/css/css.c:48
 msgid ""
-"The path to the file containing the default user defined\n"
-"Cascading Style Sheet. It can be used to control the basic\n"
-"layout of HTML documents. The path is assumed to be relative\n"
-"to ELinks' home directory.\n"
+"The path to the file containing the default user defined Cascading Style "
+"Sheet. It can be used to control the basic layout of HTML documents. The "
+"path is assumed to be relative to ELinks' home directory.\n"
+"\n"
 "Leave as \"\" to use built-in document styling."
 msgstr ""
 
@@ -5446,8 +5459,8 @@ msgstr ""
 
 #: src/ecmascript/ecmascript.c:55
 msgid ""
-"Whether to ignore content enclosed by the <noscript> tag\n"
-"when ECMAScript is enabled."
+"Whether to ignore content enclosed by the <noscript> tag when ECMAScript is "
+"enabled."
 msgstr ""
 
 #: src/ecmascript/ecmascript.c:58
@@ -5499,7 +5512,7 @@ msgid "JavaScript Error"
 msgstr ""
 
 #. name:
-#: src/ecmascript/spidermonkey.c:320
+#: src/ecmascript/spidermonkey.c:321
 msgid "SpiderMonkey"
 msgstr ""
 
@@ -5597,9 +5610,8 @@ msgstr "Opcije terminala"
 
 #: src/formhist/formhist.c:38
 msgid ""
-"Ask if a login form should be saved to file or not.\n"
-"This option only disables the dialog, already saved login\n"
-"forms are unaffected."
+"Ask if a login form should be saved to file or not. This option only "
+"disables the dialog, already saved login forms are unaffected."
 msgstr ""
 
 #: src/formhist/formhist.c:426
@@ -5701,20 +5713,20 @@ msgstr ""
 msgid "Enable global history (\"history of all pages visited\")."
 msgstr ""
 
-#: src/globhist/globhist.c:68
+#: src/globhist/globhist.c:69
 msgid "Maximum number of entries"
 msgstr ""
 
-#: src/globhist/globhist.c:70
+#: src/globhist/globhist.c:71
 msgid "Maximum number of entries in the global history."
 msgstr ""
 
-#: src/globhist/globhist.c:72
+#: src/globhist/globhist.c:73
 #, fuzzy
 msgid "Display style"
 msgstr "Prikai ~usemapu"
 
-#: src/globhist/globhist.c:74
+#: src/globhist/globhist.c:75
 msgid ""
 "What to display in global history dialog:\n"
 "0 is URLs\n"
@@ -5722,7 +5734,7 @@ msgid ""
 msgstr ""
 
 #. name:
-#: src/globhist/globhist.c:451
+#: src/globhist/globhist.c:449
 #, fuzzy
 msgid "Global History"
 msgstr "Nema povijesti"
@@ -5951,101 +5963,95 @@ msgstr ""
 
 #: src/mime/backend/default.c:27
 msgid ""
-"Handler <-> MIME type association. The first sub-tree is the MIME\n"
-"class while the second sub-tree is the MIME type (ie. image/gif\n"
-"handler will reside at mime.type.image.gif). Each MIME type option\n"
-"should contain (case-sensitive) name of the MIME handler (its\n"
-"properties are stored at mime.handler.<name>)."
+"Handler <-> MIME type association. The first sub-tree is the MIME class "
+"while the second sub-tree is the MIME type (ie. image/gif handler will "
+"reside at mime.type.image.gif). Each MIME type option should contain (case-"
+"sensitive) name of the MIME handler (its properties are stored at mime."
+"handler.<name>)."
 msgstr ""
 
-#: src/mime/backend/default.c:35
+#: src/mime/backend/default.c:36
 msgid ""
-"Handler matching this MIME-type class ('*' is used here in place\n"
-"of '.')."
+"Handler matching this MIME-type class ('*' is used here in place of '.')."
 msgstr ""
 
-#: src/mime/backend/default.c:40
+#: src/mime/backend/default.c:41
 msgid ""
-"Handler matching this MIME-type name ('*' is used here in place\n"
-"of '.')."
+"Handler matching this MIME-type name ('*' is used here in place of '.')."
 msgstr ""
 
-#: src/mime/backend/default.c:44
+#: src/mime/backend/default.c:45
 msgid "File type handlers"
 msgstr ""
 
-#: src/mime/backend/default.c:46
+#: src/mime/backend/default.c:47
 msgid ""
-"A file type handler is a set of information about how to use\n"
-"an external program to view a file. It is possible to refer to it\n"
-"for several MIME types -- e.g., you can define an 'image' handler\n"
-"to which mime.type.image.png, mime.type.image.jpeg, and so on will\n"
-"refer; or one might define a handler for a more specific type of file\n"
-"-- e.g., PDF files.\n"
-"Note you must define both a MIME handler and a MIME type association\n"
-"for it to work."
+"A file type handler is a set of information about how to use an external "
+"program to view a file. It is possible to refer to it for several MIME types "
+"-- e.g., you can define an 'image' handler to which mime.type.image.png, "
+"mime.type.image.jpeg, and so on will refer; or one might define a handler "
+"for a more specific type of file -- e.g., PDF files. Note you must define "
+"both a MIME handler and a MIME type association for it to work."
 msgstr ""
 
-#: src/mime/backend/default.c:57
+#: src/mime/backend/default.c:58
 msgid "Description of this handler."
 msgstr ""
 
-#: src/mime/backend/default.c:61
+#: src/mime/backend/default.c:62
 msgid "System-specific handler description (ie. unix, unix-xwin, ...)."
 msgstr ""
 
-#: src/mime/backend/default.c:63 src/mime/backend/mailcap.c:102
+#: src/mime/backend/default.c:65 src/mime/backend/mailcap.c:102
 msgid "Ask before opening"
 msgstr ""
 
-#: src/mime/backend/default.c:65
+#: src/mime/backend/default.c:67
 msgid "Ask before opening."
 msgstr ""
 
-#: src/mime/backend/default.c:67
+#: src/mime/backend/default.c:69
 #, fuzzy
 msgid "Block terminal"
 msgstr "~BeOS terminal"
 
-#: src/mime/backend/default.c:69
+#: src/mime/backend/default.c:71
 msgid "Block the terminal when the handler is running."
 msgstr ""
 
-#: src/mime/backend/default.c:71
+#: src/mime/backend/default.c:73
 #, fuzzy
 msgid "Program"
 msgstr "Nema programa"
 
-#: src/mime/backend/default.c:74
+#: src/mime/backend/default.c:76
 #, no-c-format
 msgid ""
-"External viewer for this file type. '%' in this string will be\n"
-"substituted by a file name.\n"
-"Do _not_ put single- or double-quotes around the % sign."
+"External viewer for this file type. '%' in this string will be substituted "
+"by a file name. Do _not_ put single- or double-quotes around the % sign."
 msgstr ""
 
-#: src/mime/backend/default.c:79
+#: src/mime/backend/default.c:81
 #, fuzzy
 msgid "File extension associations"
 msgstr "Nastavci ~datoteka"
 
-#: src/mime/backend/default.c:81
+#: src/mime/backend/default.c:83
 msgid "Extension <-> MIME type association."
 msgstr ""
 
-#: src/mime/backend/default.c:85
+#: src/mime/backend/default.c:87
 msgid ""
-"MIME-type matching this file extension ('*' is used here in place\n"
-"of '.')."
+"MIME-type matching this file extension ('*' is used here in place of '.')."
 msgstr ""
 
 #. name:
-#: src/mime/backend/default.c:216
+#: src/mime/backend/default.c:218
 msgid "Option system"
 msgstr ""
 
 #. name:
-#: src/mime/backend/mailcap.c:89 src/mime/backend/mailcap.c:684
+#: src/mime/backend/mailcap.c:89 src/mime/backend/mailcap.c:686
 msgid "Mailcap"
 msgstr ""
 
@@ -6059,8 +6065,8 @@ msgstr ""
 
 #: src/mime/backend/mailcap.c:99
 msgid ""
-"Mailcap search path. Colon-separated list of files.\n"
-"Leave as \"\" to use MAILCAP environment variable instead."
+"Mailcap search path. Colon-separated list of files. Leave as \"\" to use "
+"MAILCAP environment variable instead."
 msgstr ""
 
 #: src/mime/backend/mailcap.c:104
@@ -6073,39 +6079,38 @@ msgstr ""
 
 #: src/mime/backend/mailcap.c:108
 msgid ""
-"Type of description to show in \"what to do with this file\"\n"
-"query dialog:\n"
+"Type of description to show in \"what to do with this file\" query dialog:\n"
 "0 is show \"mailcap\"\n"
 "1 is show program to be run\n"
-"2 is show mailcap description field if any; \"mailcap\" otherwise"
+"2 is show mailcap description field if any;\n"
+"     \"mailcap\" otherwise"
 msgstr ""
 
-#: src/mime/backend/mailcap.c:114
+#: src/mime/backend/mailcap.c:115
 msgid "Prioritize entries by file"
 msgstr ""
 
-#: src/mime/backend/mailcap.c:116
+#: src/mime/backend/mailcap.c:117
 msgid ""
-"Prioritize entries by the order of the files in the mailcap\n"
-"path. This means that wildcard entries (like: image/*) will\n"
-"also be checked before deciding the handler."
+"Prioritize entries by the order of the files in the mailcap path. This means "
+"that wildcard entries (like: image/*) will also be checked before deciding "
+"the handler."
 msgstr ""
 
-#: src/mime/backend/mailcap.c:349
+#: src/mime/backend/mailcap.c:351
 #, c-format
 msgid "Badly formated mailcap entry for type %s in \"%s\" line %d"
 msgstr ""
 
 #. name:
-#: src/mime/backend/mimetypes.c:46 src/mime/backend/mimetypes.c:279
+#: src/mime/backend/mimetypes.c:46 src/mime/backend/mimetypes.c:280
 msgid "Mimetypes files"
 msgstr ""
 
 #: src/mime/backend/mimetypes.c:48
 msgid ""
-"Options for the support of mime.types files. These files\n"
-"can be used to find the content type of a URL by looking at\n"
-"the extension of the file name."
+"Options for the support of mime.types files. These files can be used to find "
+"the content type of a URL by looking at the extension of the file name."
 msgstr ""
 
 #: src/mime/backend/mimetypes.c:54
@@ -6142,7 +6147,7 @@ msgid "No extensions"
 msgstr ""
 
 #. name:
-#: src/mime/mime.c:38 src/mime/mime.c:360
+#: src/mime/mime.c:38 src/mime/mime.c:361
 msgid "MIME"
 msgstr ""
 
@@ -6156,8 +6161,8 @@ msgstr ""
 
 #: src/mime/mime.c:44
 msgid ""
-"Document MIME-type to assume by default (when we are unable to\n"
-"guess it properly from known information about the document)."
+"Document MIME-type to assume by default (when we are unable to guess it "
+"properly from known information about the document)."
 msgstr ""
 
 #: src/network/ssl/ssl.c:72 src/network/ssl/ssl.c:161
@@ -6166,8 +6171,8 @@ msgstr ""
 
 #: src/network/ssl/ssl.c:74
 msgid ""
-"Verify the peer's SSL certificate. Note that this\n"
-"needs extensive configuration of OpenSSL by the user."
+"Verify the peer's SSL certificate. Note that this needs extensive "
+"configuration of OpenSSL by the user."
 msgstr ""
 
 #: src/network/ssl/ssl.c:77
@@ -6181,8 +6186,8 @@ msgstr "Opcije terminala"
 
 #: src/network/ssl/ssl.c:83
 msgid ""
-"Enable or not the sending of X509 client certificates\n"
-"to servers which request them."
+"Enable or not the sending of X509 client certificates to servers which "
+"request them."
 msgstr ""
 
 #: src/network/ssl/ssl.c:86
@@ -6192,16 +6197,15 @@ msgstr "procijenjeno vrijeme"
 
 #: src/network/ssl/ssl.c:88
 msgid ""
-"The location of a file containing the client certificate\n"
-"and unencrypted private key in PEM format. If unset, the\n"
-"file pointed to by the X509_CLIENT_CERT variable is used\n"
-"instead."
+"The location of a file containing the client certificate and unencrypted "
+"private key in PEM format. If unset, the file pointed to by the "
+"X509_CLIENT_CERT variable is used instead."
 msgstr ""
 
 #: src/network/ssl/ssl.c:163
 msgid ""
-"Verify the peer's SSL certificate.  If you enable\n"
-"this, set also \"Trusted CA file\"."
+"Verify the peer's SSL certificate.  If you enable this, set also \"Trusted "
+"CA file\"."
 msgstr ""
 
 #. The default value of the following option points to a file
@@ -6219,20 +6223,20 @@ msgstr "Prenosim"
 
 #: src/network/ssl/ssl.c:176
 msgid ""
-"The location of a file containing certificates of\n"
-"trusted certification authorities in PEM format.\n"
-"ELinks then trusts certificates issued by these CAs.\n"
-"If you change this option or the file, you must\n"
-"restart ELinks for the changes to take effect.\n"
-"This option affects GnuTLS but not OpenSSL."
+"The location of a file containing certificates of trusted certification "
+"authorities in PEM format. ELinks then trusts certificates issued by these "
+"CAs.\n"
+"\n"
+"If you change this option or the file, you must restart ELinks for the "
+"changes to take effect. This option affects GnuTLS but not OpenSSL."
 msgstr ""
 
 #. name:
-#: src/network/ssl/ssl.c:199 src/network/ssl/ssl.c:216
+#: src/network/ssl/ssl.c:200 src/network/ssl/ssl.c:217
 msgid "SSL"
 msgstr ""
 
-#: src/network/ssl/ssl.c:201
+#: src/network/ssl/ssl.c:202
 #, fuzzy
 msgid "SSL options."
 msgstr "~Sauvaj opcije"
@@ -6568,7 +6572,7 @@ msgstr "Unesi ime korisnika za "
 msgid "Login"
 msgstr "Korisnikov ID"
 
-#: src/protocol/auth/dialogs.c:113 src/protocol/http/http.c:140
+#: src/protocol/auth/dialogs.c:113 src/protocol/http/http.c:142
 msgid "Password"
 msgstr "Lozinka"
 
@@ -6645,7 +6649,7 @@ msgstr "Upravljanje biljekama"
 
 #. name:
 #: src/protocol/bittorrent/bittorrent.c:26
-#: src/protocol/bittorrent/bittorrent.c:335
+#: src/protocol/bittorrent/bittorrent.c:339
 msgid "BitTorrent"
 msgstr ""
 
@@ -6700,9 +6704,8 @@ msgstr ""
 
 #: src/protocol/bittorrent/bittorrent.c:57
 msgid ""
-"Whether to request that the tracker returns peer info\n"
-"in compact format. Note, the compact format only supports\n"
-"IPv4 addresses."
+"Whether to request that the tracker returns peer info in compact format. "
+"Note, the compact format only supports IPv4 addresses."
 msgstr ""
 
 #: src/protocol/bittorrent/bittorrent.c:61
@@ -6711,57 +6714,55 @@ msgstr ""
 
 #: src/protocol/bittorrent/bittorrent.c:63
 msgid ""
-"The number of seconds to wait between periodically contacting\n"
-"the tracker for announcing progress and requesting more peers.\n"
-"Set to zero to use the interval requested by the tracker."
+"The number of seconds to wait between periodically contacting the tracker "
+"for announcing progress and requesting more peers. Set to zero to use the "
+"interval requested by the tracker."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:67
+#: src/protocol/bittorrent/bittorrent.c:68
 msgid "IP-address to announce"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:69
+#: src/protocol/bittorrent/bittorrent.c:70
 msgid ""
-"What IP address to report to the tracker. If set to \"\"\n"
-"no IP address will be sent and the tracker will automatically\n"
-"determine an appropriate IP address."
+"What IP address to report to the tracker. If set to \"\" no IP address will "
+"be sent and the tracker will automatically determine an appropriate IP "
+"address."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:73
+#: src/protocol/bittorrent/bittorrent.c:74
 #, fuzzy
 msgid "User identification string"
 msgstr "Opcije terminala"
 
-#: src/protocol/bittorrent/bittorrent.c:75
+#: src/protocol/bittorrent/bittorrent.c:76
 msgid ""
-"An additional identification that is not shared with any users.\n"
-"It is intended to allow a client to prove their identity should\n"
-"their IP address change. It is an optional parameter, but some\n"
-"trackers require this parameter. If set to \"\" no user key will\n"
-"be sent to the tracker."
+"An additional identification that is not shared with any users. It is "
+"intended to allow a client to prove their identity should their IP address "
+"change. It is an optional parameter, but some trackers require this "
+"parameter. If set to \"\" no user key will be sent to the tracker."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:81
+#: src/protocol/bittorrent/bittorrent.c:82
 #, fuzzy
 msgid "Maximum number of peers to request"
 msgstr "Zapoinjem vezu"
 
-#: src/protocol/bittorrent/bittorrent.c:83
+#: src/protocol/bittorrent/bittorrent.c:84
 msgid ""
-"The maximum number of peers to request from the tracker.\n"
-"Set to 0 to use the server default."
+"The maximum number of peers to request from the tracker. Set to 0 to use the "
+"server default."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:86
+#: src/protocol/bittorrent/bittorrent.c:87
 msgid "Minimum peers to skip rerequesting"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:88
+#: src/protocol/bittorrent/bittorrent.c:89
 msgid ""
-"The minimum number of peers to have in the current peer info\n"
-"pool before skipping requesting of more peers. I.e. setting\n"
-"numwant to zero.\n"
-"Set to 0 to not have any limit."
+"The minimum number of peers to have in the current peer info pool before "
+"skipping requesting of more peers. I.e. setting numwant to zero. Set to 0 to "
+"not have any limit."
 msgstr ""
 
 #. ******************************************************************
@@ -6782,182 +6783,177 @@ msgstr "Zapoinjem vezu"
 
 #: src/protocol/bittorrent/bittorrent.c:104
 msgid ""
-"The maximum number of allowed connections to both active and\n"
-"non-active peers. By increasing the number of allowed connections,\n"
-"the chance of finding good peers to download from is increased.\n"
-"However, too many connections can lead to TCP congestion. If the\n"
-"maximum is reached all new incoming connections will be closed."
+"The maximum number of allowed connections to both active and non-active "
+"peers. By increasing the number of allowed connections, the chance of "
+"finding good peers to download from is increased. However, too many "
+"connections can lead to TCP congestion. If the maximum is reached all new "
+"incoming connections will be closed."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:110
+#: src/protocol/bittorrent/bittorrent.c:111
 msgid "Maximum peer message length"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:112
+#: src/protocol/bittorrent/bittorrent.c:113
 msgid ""
-"The maximum length of messages to accept over the wire.\n"
-"Larger values will cause the connection to be dropped."
+"The maximum length of messages to accept over the wire. Larger values will "
+"cause the connection to be dropped."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:115
+#: src/protocol/bittorrent/bittorrent.c:116
 msgid "Maximum allowed request length"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:117
+#: src/protocol/bittorrent/bittorrent.c:118
 msgid ""
-"The maximum length to allow for incoming requests.\n"
-"Larger requests will cause the connection to be dropped."
+"The maximum length to allow for incoming requests. Larger requests will "
+"cause the connection to be dropped."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:120
+#: src/protocol/bittorrent/bittorrent.c:121
 msgid "Length of requests"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:122
+#: src/protocol/bittorrent/bittorrent.c:123
 msgid ""
-"How many bytes to query for per request. This is complementary\n"
-"to the max_request_length option. If the configured length is\n"
-"bigger than the piece length it will be truncated."
+"How many bytes to query for per request. This is complementary to the "
+"max_request_length option. If the configured length is bigger than the piece "
+"length it will be truncated."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:126
+#: src/protocol/bittorrent/bittorrent.c:128
 #, fuzzy
 msgid "Peer inactivity timeout"
 msgstr "Primi timeout"
 
-#: src/protocol/bittorrent/bittorrent.c:128
+#: src/protocol/bittorrent/bittorrent.c:130
 msgid ""
-"The number of seconds to wait before closing a socket on\n"
-"which nothing has been received or sent."
+"The number of seconds to wait before closing a socket on which nothing has "
+"been received or sent."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:131
+#: src/protocol/bittorrent/bittorrent.c:133
 #, fuzzy
 msgid "Maximum peer pool size"
 msgstr "Zapoinjem vezu"
 
-#: src/protocol/bittorrent/bittorrent.c:133
+#: src/protocol/bittorrent/bittorrent.c:135
 msgid ""
-"Maximum number of items in the peer pool. The peer pool\n"
-"contains information used for establishing connections to\n"
-"new peers.\n"
+"Maximum number of items in the peer pool. The peer pool contains information "
+"used for establishing connections to new peers.\n"
+"\n"
 "Set to 0 to have unlimited size."
 msgstr ""
 
 #. ******************************************************************
 #. Piece management options:
 #. ******************************************************************
-#: src/protocol/bittorrent/bittorrent.c:143
+#: src/protocol/bittorrent/bittorrent.c:146
 #, fuzzy
 msgid "Maximum piece cache size"
 msgstr "Zapoinjem vezu"
 
-#: src/protocol/bittorrent/bittorrent.c:145
+#: src/protocol/bittorrent/bittorrent.c:148
 msgid ""
-"The maximum amount of memory used to hold recently\n"
-"downloaded pieces.\n"
+"The maximum amount of memory used to hold recently downloaded pieces.\n"
+"\n"
 "Set to 0 to have unlimited size."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:154
+#: src/protocol/bittorrent/bittorrent.c:158
 msgid "Sharing rate"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:156
+#: src/protocol/bittorrent/bittorrent.c:160
 msgid ""
-"The minimum sharing rate to achieve before stop seeding.\n"
-"The sharing rate is computed as the number of uploaded bytes\n"
-"divided with the number of downloaded bytes. The value should\n"
-"be a double value between 0.0 and 1.0 both included.\n"
-"Set to 1.0 to atleast upload a complete copy of all data and\n"
+"The minimum sharing rate to achieve before stop seeding. The sharing rate is "
+"computed as the number of uploaded bytes divided with the number of "
+"downloaded bytes. The value should be a double value between 0.0 and 1.0 "
+"both included. Set to 1.0 to atleast upload a complete copy of all data and "
 "set to 0.0 to have unlimited sharing rate."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:163
+#: src/protocol/bittorrent/bittorrent.c:167
 msgid "Maximum number of uploads"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:165
+#: src/protocol/bittorrent/bittorrent.c:169
 msgid "The maximum number of uploads to allow at once."
 msgstr ""
 
 #. The number of uploads to fill out to with extra optimistic unchokes
-#: src/protocol/bittorrent/bittorrent.c:168
+#: src/protocol/bittorrent/bittorrent.c:172
 msgid "Minimum number of uploads"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:170
+#: src/protocol/bittorrent/bittorrent.c:174
 msgid ""
-"The minimum number of uploads which should at least\n"
-"be used for new connections."
+"The minimum number of uploads which should at least be used for new "
+"connections."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:174
+#: src/protocol/bittorrent/bittorrent.c:178
 #, fuzzy
 msgid "Keepalive interval"
 msgstr "Greka pri spremanju"
 
-#: src/protocol/bittorrent/bittorrent.c:176
-msgid ""
-"The number of seconds to pause between sending keepalive\n"
-"messages."
+#: src/protocol/bittorrent/bittorrent.c:180
+msgid "The number of seconds to pause between sending keepalive messages."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:179
+#: src/protocol/bittorrent/bittorrent.c:183
 #, fuzzy
 msgid "Number of pending requests"
 msgstr "Server obrauje zahtjev"
 
-#: src/protocol/bittorrent/bittorrent.c:181
+#: src/protocol/bittorrent/bittorrent.c:185
 msgid ""
-"How many piece requests to continuously keep in queue. Pipelining\n"
-"of requests is essential to saturate connections and get a good\n"
-"connection performance and thus a faster download. However, a\n"
-"very big queue size can lead to wasting bandwidth near the end\n"
-"of the connection since remaining piece blocks will be requested\n"
-"from multiple peers."
+"How many piece requests to continuously keep in queue. Pipelining of "
+"requests is essential to saturate connections and get a good connection "
+"performance and thus a faster download. However, a very big queue size can "
+"lead to wasting bandwidth near the end of the connection since remaining "
+"piece blocks will be requested from multiple peers."
 msgstr ""
 
 #. Bram uses 30 seconds here.
-#: src/protocol/bittorrent/bittorrent.c:190
+#: src/protocol/bittorrent/bittorrent.c:194
 msgid "Peer snubbing interval"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:192
+#: src/protocol/bittorrent/bittorrent.c:196
 msgid ""
-"The number of seconds to wait for file data before assuming\n"
-"the peer has been snubbed."
+"The number of seconds to wait for file data before assuming the peer has "
+"been snubbed."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:195
+#: src/protocol/bittorrent/bittorrent.c:199
 #, fuzzy
 msgid "Peer choke interval"
 msgstr "Greka pri spremanju"
 
-#: src/protocol/bittorrent/bittorrent.c:197
+#: src/protocol/bittorrent/bittorrent.c:201
 msgid ""
-"The number of seconds between updating the connection state\n"
-"and most importantly choke and unchoke peer connections. The\n"
-"choke period should be big enough for newly unchoked connections\n"
-"to get started but small enough to not allow freeriders too much\n"
-"room for stealing bandwidth."
+"The number of seconds between updating the connection state and most "
+"importantly choke and unchoke peer connections. The choke period should be "
+"big enough for newly unchoked connections to get started but small enough to "
+"not allow freeriders too much room for stealing bandwidth."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:203
+#: src/protocol/bittorrent/bittorrent.c:207
 msgid "Rarest first piece selection cutoff"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:205
+#: src/protocol/bittorrent/bittorrent.c:209
 msgid ""
-"The number of pieces to obtain before switching piece\n"
-"selection strategy from random to rarest first."
+"The number of pieces to obtain before switching piece selection strategy "
+"from random to rarest first."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:208 src/protocol/http/http.c:109
+#: src/protocol/bittorrent/bittorrent.c:212 src/protocol/http/http.c:109
 msgid "Allow blacklisting"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:210
+#: src/protocol/bittorrent/bittorrent.c:214
 msgid "Allow blacklisting of buggy peers."
 msgstr ""
 
@@ -6993,7 +6989,7 @@ msgstr "~Datoteka"
 msgid "Comment"
 msgstr "dokumenti"
 
-#: src/protocol/bittorrent/dialogs.c:229 src/session/download.c:362
+#: src/protocol/bittorrent/dialogs.c:229 src/session/download.c:388
 #, fuzzy, c-format
 msgid ""
 "Download complete:\n"
@@ -7161,7 +7157,7 @@ msgid_plural "%u unavailable"
 msgstr[0] "Nemogu pristup FTP usluzi"
 msgstr[1] "Nemogu pristup FTP usluzi"
 
-#: src/protocol/bittorrent/dialogs.c:584 src/session/session.c:278
+#: src/protocol/bittorrent/dialogs.c:584 src/session/session.c:279
 #, fuzzy, c-format
 msgid "Unable to retrieve %s"
 msgstr "Ne mogu pisati u konfiguracijsku datoteku"
@@ -7176,7 +7172,7 @@ msgstr ""
 msgid "Information about the torrent"
 msgstr "Skini sliku"
 
-#: src/protocol/bittorrent/dialogs.c:776 src/session/download.c:1106
+#: src/protocol/bittorrent/dialogs.c:776 src/session/download.c:1132
 msgid "What to do?"
 msgstr "to napraviti?"
 
@@ -7187,13 +7183,13 @@ msgid "Down~load"
 msgstr "Preuzmi"
 
 #. accelerator_context(src/protocol/bittorrent/dialogs.c:bittorrent_query_callback, src/session/download.c:do_type_query)
-#: src/protocol/bittorrent/dialogs.c:804 src/session/download.c:1209
+#: src/protocol/bittorrent/dialogs.c:804 src/session/download.c:1235
 #, fuzzy
 msgid "~Display"
 msgstr "Prikai"
 
 #. accelerator_context(src/protocol/bittorrent/dialogs.c:bittorrent_query_callback, src/session/download.c:do_type_query)
-#: src/protocol/bittorrent/dialogs.c:808 src/session/download.c:1213
+#: src/protocol/bittorrent/dialogs.c:808 src/session/download.c:1239
 msgid "Show ~header"
 msgstr ""
 
@@ -7211,16 +7207,16 @@ msgstr "Nema programa za"
 msgid "Colon separated list of directories, where CGI scripts are stored."
 msgstr ""
 
-#: src/protocol/file/cgi.c:47
+#: src/protocol/file/cgi.c:48
 msgid "Allow local CGI"
 msgstr ""
 
-#: src/protocol/file/cgi.c:49
+#: src/protocol/file/cgi.c:50
 msgid "Whether to execute local CGI scripts."
 msgstr ""
 
 #. name:
-#: src/protocol/file/cgi.c:54
+#: src/protocol/file/cgi.c:55
 msgid "CGI"
 msgstr ""
 
@@ -7239,9 +7235,8 @@ msgstr ""
 
 #: src/protocol/file/file.c:46
 msgid ""
-"Whether to allow reading from non-regular files.\n"
-"Note this can be dangerous; reading /dev/urandom or\n"
-"/dev/zero can ruin your day!"
+"Whether to allow reading from non-regular files. Note this can be dangerous; "
+"reading /dev/urandom or /dev/zero can ruin your day!"
 msgstr ""
 
 #: src/protocol/file/file.c:50
@@ -7250,8 +7245,8 @@ msgstr ""
 
 #: src/protocol/file/file.c:52
 msgid ""
-"When set to false, files with name starting with a dot will be\n"
-"hidden in local directory listings."
+"When set to false, files with name starting with a dot will be hidden in "
+"local directory listings."
 msgstr ""
 
 #: src/protocol/file/file.c:55
@@ -7261,13 +7256,13 @@ msgstr "Nastavci ~datoteka"
 
 #: src/protocol/file/file.c:57
 msgid ""
-"When set, if we can't open a file named 'filename', we'll try\n"
-"to open 'filename' with some encoding extension appended\n"
-"(ie. 'filename.gz'); it depends on the supported encodings."
+"When set, if we can't open a file named 'filename', we'll try to open "
+"'filename' with some encoding extension appended (ie. 'filename.gz'); it "
+"depends on the supported encodings."
 msgstr ""
 
 #. name:
-#: src/protocol/file/file.c:65
+#: src/protocol/file/file.c:66
 #, fuzzy
 msgid "File"
 msgstr "~Datoteka"
@@ -7297,7 +7292,7 @@ msgid "Whether to sort entries in direct
 msgstr ""
 
 #. name:
-#: src/protocol/ftp/ftp.c:56 src/protocol/ftp/ftp.c:86
+#: src/protocol/ftp/ftp.c:56 src/protocol/ftp/ftp.c:89
 msgid "FTP"
 msgstr ""
 
@@ -7305,8 +7300,8 @@ msgstr ""
 msgid "FTP specific options."
 msgstr ""
 
-#: src/protocol/ftp/ftp.c:60 src/protocol/http/http.c:127
-#: src/protocol/http/http.c:209
+#: src/protocol/ftp/ftp.c:60 src/protocol/http/http.c:128
+#: src/protocol/http/http.c:235
 msgid "Proxy configuration"
 msgstr ""
 
@@ -7314,39 +7309,39 @@ msgstr ""
 msgid "FTP proxy configuration."
 msgstr ""
 
-#: src/protocol/ftp/ftp.c:64 src/protocol/http/http.c:131
-#: src/protocol/http/http.c:213
+#: src/protocol/ftp/ftp.c:64 src/protocol/http/http.c:132
+#: src/protocol/http/http.c:239
 #, fuzzy
 msgid "Host and port-number"
 msgstr "Neispravan broj"
 
 #: src/protocol/ftp/ftp.c:66
 msgid ""
-"Host and port-number (host:port) of the FTP proxy, or blank.\n"
-"If it's blank, FTP_PROXY environment variable is checked as well."
+"Host and port-number (host:port) of the FTP proxy, or blank. If it's blank, "
+"FTP_PROXY environment variable is checked as well."
 msgstr ""
 
-#: src/protocol/ftp/ftp.c:69
+#: src/protocol/ftp/ftp.c:70
 msgid "Anonymous password"
 msgstr ""
 
-#: src/protocol/ftp/ftp.c:71
+#: src/protocol/ftp/ftp.c:72
 msgid "FTP anonymous password to be sent."
 msgstr ""
 
-#: src/protocol/ftp/ftp.c:73
+#: src/protocol/ftp/ftp.c:74
 msgid "Use passive mode (IPv4)"
 msgstr ""
 
-#: src/protocol/ftp/ftp.c:75
+#: src/protocol/ftp/ftp.c:76
 msgid "Use PASV instead of PORT (passive vs active mode, IPv4 only)."
 msgstr ""
 
-#: src/protocol/ftp/ftp.c:77
+#: src/protocol/ftp/ftp.c:79
 msgid "Use passive mode (IPv6)"
 msgstr ""
 
-#: src/protocol/ftp/ftp.c:79
+#: src/protocol/ftp/ftp.c:81
 msgid "Use EPSV instead of EPRT (passive vs active mode, IPv6 only)."
 msgstr ""
 
@@ -7373,7 +7368,7 @@ msgid ""
 msgstr ""
 
 #. name:
-#: src/protocol/http/http.c:95 src/protocol/http/http.c:223
+#: src/protocol/http/http.c:95 src/protocol/http/http.c:250
 msgid "HTTP"
 msgstr ""
 
@@ -7395,8 +7390,8 @@ msgstr ""
 
 #: src/protocol/http/http.c:106
 msgid ""
-"The Accept-Charset header is quite long and sending it can trigger\n"
-"bugs in some rarely found servers."
+"The Accept-Charset header is quite long and sending it can trigger bugs in "
+"some rarely found servers."
 msgstr ""
 
 #: src/protocol/http/http.c:111
@@ -7409,69 +7404,69 @@ msgstr ""
 
 #: src/protocol/http/http.c:115
 msgid ""
-"Broken 302 redirect (violates RFC but compatible with Netscape).\n"
-"This is a problem for a lot of web discussion boards and the like.\n"
-"If they will do strange things to you, try to play with this."
+"Broken 302 redirect (violates RFC but compatible with Netscape). This is a "
+"problem for a lot of web discussion boards and the like. If they will do "
+"strange things to you, try to play with this."
 msgstr ""
 
-#: src/protocol/http/http.c:119
+#: src/protocol/http/http.c:120
 msgid "No keepalive after POST requests"
 msgstr ""
 
-#: src/protocol/http/http.c:121
+#: src/protocol/http/http.c:122
 msgid "Disable keepalive connection after POST request."
 msgstr ""
 
-#: src/protocol/http/http.c:123
+#: src/protocol/http/http.c:124
 msgid "Use HTTP/1.0"
 msgstr ""
 
-#: src/protocol/http/http.c:125
+#: src/protocol/http/http.c:126
 msgid "Use HTTP/1.0 protocol instead of HTTP/1.1."
 msgstr ""
 
-#: src/protocol/http/http.c:129
+#: src/protocol/http/http.c:130
 msgid "HTTP proxy configuration."
 msgstr ""
 
-#: src/protocol/http/http.c:133
+#: src/protocol/http/http.c:134
 msgid ""
-"Host and port-number (host:port) of the HTTP proxy, or blank.\n"
-"If it's blank, HTTP_PROXY environment variable is checked as well."
+"Host and port-number (host:port) of the HTTP proxy, or blank. If it's blank, "
+"HTTP_PROXY environment variable is checked as well."
 msgstr ""
 
-#: src/protocol/http/http.c:136
+#: src/protocol/http/http.c:138
 #, fuzzy
 msgid "Username"
 msgstr "ime"
 
-#: src/protocol/http/http.c:138
+#: src/protocol/http/http.c:140
 msgid "Proxy authentication username."
 msgstr ""
 
-#: src/protocol/http/http.c:142
+#: src/protocol/http/http.c:144
 msgid "Proxy authentication password."
 msgstr ""
 
-#: src/protocol/http/http.c:145
+#: src/protocol/http/http.c:147
 msgid "Referer sending"
 msgstr ""
 
-#: src/protocol/http/http.c:147
+#: src/protocol/http/http.c:149
 msgid ""
-"HTTP referer sending options. HTTP referer is a special header\n"
-"sent in the HTTP requests, which is supposed to contain the previous\n"
-"page visited by the browser. This way, the server can know what link\n"
-"did you follow when accessing that page. However, this behaviour\n"
-"can unfortunately considerably affect privacy and can lead even to a\n"
-"security problem on some badly designed web pages."
+"HTTP referer sending options. HTTP referer is a special header sent in the "
+"HTTP requests, which is supposed to contain the previous page visited by the "
+"browser.This way, the server can know what link did you follow when "
+"accessing that page. However, this behaviour can unfortunately considerably "
+"affect privacy and can lead even to a security problem on some badly "
+"designed web pages."
 msgstr ""
 
-#: src/protocol/http/http.c:154
+#: src/protocol/http/http.c:157
 msgid "Policy"
 msgstr ""
 
-#: src/protocol/http/http.c:157
+#: src/protocol/http/http.c:160
 msgid ""
 "Mode of sending HTTP referer:\n"
 "0 is send no referer\n"
@@ -7480,90 +7475,110 @@ msgid ""
 "3 is send previous URL as referer (correct, but insecure)"
 msgstr ""
 
-#: src/protocol/http/http.c:163
+#: src/protocol/http/http.c:166
 msgid "Fake referer URL"
 msgstr ""
 
-#: src/protocol/http/http.c:165
+#: src/protocol/http/http.c:168
 msgid "Fake referer to be sent when policy is 2."
 msgstr ""
 
-#: src/protocol/http/http.c:168
+#: src/protocol/http/http.c:171
 msgid "Send Accept-Language header"
 msgstr ""
 
-#: src/protocol/http/http.c:170
+#: src/protocol/http/http.c:173
 msgid "Send Accept-Language header."
 msgstr ""
 
-#: src/protocol/http/http.c:172
+#: src/protocol/http/http.c:175
 msgid "Use UI language as Accept-Language"
 msgstr ""
 
-#: src/protocol/http/http.c:174
+#: src/protocol/http/http.c:177
 msgid ""
-"Request localised versions of documents from web-servers (using the\n"
-"Accept-Language header) using the language you have configured for\n"
-"ELinks' user-interface (this also affects navigator.language ECMAScript\n"
-"value available to scripts). Note that some see this as a potential\n"
-"security risk because it tells web-masters and the FBI sniffers about\n"
-"your language preference."
+"Request localised versions of documents from web-servers (using the Accept-"
+"Language header) using the language you have configured for ELinks' user-"
+"interface (this also affects navigator.language ECMAScript value available "
+"to scripts). Note that some see this as a potential security risk because it "
+"tells web-masters and the FBI sniffers about your language preference."
+msgstr ""
+
+#. After the compression support has been tested enough,
+#. * we might wrap this option in #if CFG_DEBUG.
+#: src/protocol/http/http.c:187
+msgid "Enable on-the-fly compression"
 msgstr ""
 
-#: src/protocol/http/http.c:181
+#: src/protocol/http/http.c:189
+msgid ""
+"If enabled, the capability to receive compressed content (gzip and/or bzip2) "
+"is announced to the server, which usually sends the reply compressed, thus "
+"saving some bandwidth at slight CPU expense.\n"
+"\n"
+"If ELinks displays a incomplete page or garbage, try disabling this option. "
+"If that helps, there may be a bug in the decompression part of ELinks. "
+"Please report such bugs.\n"
+"\n"
+"If ELinks has been compiled without compression support, this option has no "
+"effect. To check the supported features, see Help -> About."
+msgstr ""
+
+#: src/protocol/http/http.c:202
 msgid "Activate HTTP TRACE debugging"
 msgstr ""
 
-#: src/protocol/http/http.c:183
+#: src/protocol/http/http.c:204
 msgid ""
-"If active, all HTTP requests are sent with TRACE as their method\n"
-"rather than GET or POST. This is useful for debugging of both ELinks\n"
-"and various server-side scripts --- the server only returns the client's\n"
-"request back to the client verbatim. Note that this type of request may\n"
-"not be enabled on all servers."
+"If active, all HTTP requests are sent with TRACE as their method rather than "
+"GET or POST. This is useful for debugging of both ELinks and various server-"
+"side scripts --- the server only returns the client's request back to the "
+"client verbatim. Note that this type of request may not be enabled on all "
+"servers."
 msgstr ""
 
 #. OSNews.com is supposed to be relying on the textmode token, at least.
-#: src/protocol/http/http.c:190
+#: src/protocol/http/http.c:212
 msgid "User-agent identification"
 msgstr ""
 
-#: src/protocol/http/http.c:192
+#: src/protocol/http/http.c:214
 msgid ""
-"Change the User Agent ID. That means identification string, which\n"
-"is sent to HTTP server when a document is requested. The 'textmode'\n"
-"token in the first field is our silent attempt to establish this as\n"
-"a standard for new textmode user agents, so that the webmasters can\n"
-"have just a single uniform test for these if they are e.g. pushing\n"
-"some lite version to them automagically.\n"
+"Change the User Agent ID. That means identification string, which is sent to "
+"HTTP server when a document is requested. The 'textmode' token in the first "
+"field is our silent attempt to establish this as a standard for new textmode "
+"user agents, so that the webmasters can have just a single uniform test for "
+"these if they are e.g. pushing some lite version to them automagically.\n"
+"\n"
 "Use \" \" if you don't want any User-Agent header to be sent at all.\n"
+"\n"
 "%v in the string means ELinks version,\n"
 "%s in the string means system identification,\n"
 "%t in the string means size of the terminal,\n"
 "%b in the string means number of bars displayed by ELinks."
 msgstr ""
 
-#: src/protocol/http/http.c:205
+#: src/protocol/http/http.c:231
 msgid "HTTPS"
 msgstr ""
 
-#: src/protocol/http/http.c:207
+#: src/protocol/http/http.c:233
 #, fuzzy
 msgid "HTTPS-specific options."
 msgstr "Nema programa za"
 
-#: src/protocol/http/http.c:211
+#: src/protocol/http/http.c:237
 msgid "HTTPS proxy configuration."
 msgstr ""
 
-#: src/protocol/http/http.c:215
+#: src/protocol/http/http.c:241
 msgid ""
-"Host and port-number (host:port) of the HTTPS CONNECT proxy, or blank.\n"
-"If it's blank, HTTPS_PROXY environment variable is checked as well."
+"Host and port-number (host:port) of the HTTPS CONNECT proxy, or blank. If "
+"it's blank, HTTPS_PROXY environment variable is checked as well."
 msgstr ""
 
 #. name:
-#: src/protocol/nntp/nntp.c:32 src/protocol/nntp/nntp.c:65
+#: src/protocol/nntp/nntp.c:32 src/protocol/nntp/nntp.c:66
 msgid "NNTP"
 msgstr ""
 
@@ -7578,19 +7593,19 @@ msgstr ""
 
 #: src/protocol/nntp/nntp.c:38
 msgid ""
-"Used when resolving news: URIs. If set to the empty string\n"
-"the value of the NNTPSERVER environment variable will be used."
+"Used when resolving news: URIs. If set to the empty string the value of the "
+"NNTPSERVER environment variable will be used."
 msgstr ""
 
-#: src/protocol/nntp/nntp.c:41
+#: src/protocol/nntp/nntp.c:42
 msgid "Message header entries"
 msgstr ""
 
-#: src/protocol/nntp/nntp.c:43
+#: src/protocol/nntp/nntp.c:44
 msgid ""
-"Comma separated list of which entries in the article header\n"
-"to show. E.g. 'Subject' and 'From'.\n"
-"All header entries can be read in the header info dialog."
+"Comma separated list of which entries in the article header to show. E.g. "
+"'Subject' and 'From'. All header entries can be read in the header info "
+"dialog."
 msgstr ""
 
 #: src/protocol/protocol.c:242
@@ -7612,10 +7627,9 @@ msgstr ""
 
 #: src/protocol/protocol.c:279
 msgid ""
-"Comma separated list of domains for which the proxy (HTTP/FTP)\n"
-"should be disabled. Optionally, a port can be specified for some\n"
-"domains as well. If it's blank, NO_PROXY environment variable is\n"
-"checked as well."
+"Comma separated list of domains for which the proxy (HTTP/FTP) should be "
+"disabled. Optionally, a port can be specified for some domains as well. If "
+"it's blank, NO_PROXY environment variable is checked as well."
 msgstr ""
 
 #. name:
@@ -7629,47 +7643,45 @@ msgstr ""
 
 #: src/protocol/rewrite/rewrite.c:46
 msgid ""
-"Rules for rewriting URIs entered in the goto dialog.\n"
-"It makes it possible to define a set of prefixes that will\n"
-"be expanded if they match a string entered in the goto dialog.\n"
-"The prefixes can be dumb, meaning that they work only like\n"
-"URI abbreviations, or smart ones, making it possible to pass\n"
+"Rules for rewriting URIs entered in the goto dialog. It makes it possible to "
+"define a set of prefixes that will be expanded if they match a string "
+"entered in the goto dialog. The prefixes can be dumb, meaning that they work "
+"only like URI abbreviations, or smart ones, making it possible to pass "
 "arguments to them like search engine keywords."
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:53
+#: src/protocol/rewrite/rewrite.c:54
 msgid "Enable dumb prefixes"
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:55
+#: src/protocol/rewrite/rewrite.c:56
 msgid ""
-"Enable dumb prefixes - simple URI abbreviations which can\n"
-"be written to the Goto URL dialog instead of actual URIs - i.e.\n"
-"if you write 'elinks' there, you are directed to\n"
-"http://elinks.cz/."
+"Enable dumb prefixes - simple URI abbreviations which can be written to the "
+"Goto URL dialog instead of actual URIs - i.e. if you write 'elinks' there, "
+"you are directed to http://elinks.cz/."
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:60
+#: src/protocol/rewrite/rewrite.c:61
 msgid "Enable smart prefixes"
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:62
+#: src/protocol/rewrite/rewrite.c:63
 msgid ""
-"Enable smart prefixes - URI templates triggered by writing\n"
-"given abbreviation to the Goto URL dialog followed by a list\n"
-"of arguments from which the actual URI is composed - i.e.\n"
-"'gg:search keywords' or 'gn search keywords for news'."
+"Enable smart prefixes - URI templates triggered by writing given "
+"abbreviation to the Goto URL dialog followed by a list of arguments from "
+"which the actual URI is composed - i.e. 'gg:search keywords' or 'gn search "
+"keywords for news'."
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:67
+#: src/protocol/rewrite/rewrite.c:69
 msgid "Dumb Prefixes"
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:69
+#: src/protocol/rewrite/rewrite.c:71
 msgid "Dumb prefixes, see enable-dumb description for details."
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:74
+#: src/protocol/rewrite/rewrite.c:76
 #, no-c-format
 msgid ""
 "Replacement URI for this dumbprefix:\n"
@@ -7677,15 +7689,15 @@ msgid ""
 "%% in the string means '%'"
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:78
+#: src/protocol/rewrite/rewrite.c:80
 msgid "Smart Prefixes"
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:80
+#: src/protocol/rewrite/rewrite.c:82
 msgid "Smart prefixes, see enable-smart description for details."
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:87
+#: src/protocol/rewrite/rewrite.c:90
 #, no-c-format
 msgid ""
 "Replacement URI for this smartprefix:\n"
@@ -7695,27 +7707,29 @@ msgid ""
 "%% in the string means '%'"
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:93
+#: src/protocol/rewrite/rewrite.c:96
 #, fuzzy
 msgid "Default template"
 msgstr "Meumemorija formatiranih dokumenata"
 
-#: src/protocol/rewrite/rewrite.c:96
+#: src/protocol/rewrite/rewrite.c:99
 #, no-c-format
 msgid ""
-"Default URI template used when the string entered in\n"
-"the goto dialog does not appear to be a URI or a filename\n"
-"(i.e. contains no '.', ':' or '/' characters), and does\n"
-"not match any defined prefixes. Set the value to \"\" to\n"
-"disable use of the default template rewrite rule.\n"
+"Default URI template used when the string entered in the goto dialog does "
+"not appear to be a URI or a filename (i.e. contains no '.', ':' or '/' "
+"characters), and does not match any defined prefixes. Set the value to \"\" "
+"to disable use of the default template rewrite rule.\n"
+"\n"
 "%c in the template means the current URL,\n"
-"%s in the template means the whole string from the goto dialog,\n"
-"%0,%1,...,%9 mean the 1st,2nd,...,10th space-delimited part of %s,\n"
+"%s in the template means the whole string from the goto\n"
+"   dialog,\n"
+"%0,%1,...,%9 mean the 1st,2nd,...,10th space-delimited part\n"
+"   of %s,\n"
 "%% in the template means '%'."
 msgstr ""
 
 #. name:
-#: src/protocol/rewrite/rewrite.c:372
+#: src/protocol/rewrite/rewrite.c:378
 msgid "URI rewrite"
 msgstr ""
 
@@ -7738,24 +7752,23 @@ msgid "Credentials file passed to smbcli
 msgstr ""
 
 #. name:
-#: src/protocol/user.c:34 src/protocol/user.c:84
+#: src/protocol/user.c:34 src/protocol/user.c:85
 msgid "User protocols"
 msgstr ""
 
 #: src/protocol/user.c:36
 msgid ""
-"User protocols. Options in this tree specify external\n"
-"handlers for the appropriate protocols. Ie.\n"
-"protocol.user.mailto.unix."
+"User protocols. Options in this tree specify external handlers for the "
+"appropriate protocols. Ie. protocol.user.mailto.unix."
 msgstr ""
 
 #: src/protocol/user.c:47
 msgid ""
-"Handler (external program) for this protocol. Name the\n"
-"options in this tree after your system (ie. unix, unix-xwin)."
+"Handler (external program) for this protocol. Name the options in this tree "
+"after your system (ie. unix, unix-xwin)."
 msgstr ""
 
-#: src/protocol/user.c:52
+#: src/protocol/user.c:53
 msgid ""
 "Handler (external program) for this protocol and system.\n"
 "%f in the string means file name to include form data from\n"
@@ -7766,11 +7779,11 @@ msgid ""
 "%u in the string means the whole URL"
 msgstr ""
 
-#: src/protocol/user.c:276
+#: src/protocol/user.c:277
 msgid "No program"
 msgstr "Nema programa"
 
-#: src/protocol/user.c:278
+#: src/protocol/user.c:279
 #, fuzzy, c-format
 msgid "No program specified for protocol %s."
 msgstr "Nema programa za"
@@ -7854,19 +7867,19 @@ msgstr ""
 msgid "Spidermonkey ECMAScript"
 msgstr ""
 
-#: src/session/download.c:233 src/session/download.c:330
-#: src/session/download.c:561 src/session/download.c:649
+#: src/session/download.c:256 src/session/download.c:356
+#: src/session/download.c:587 src/session/download.c:675
 msgid "Download error"
 msgstr "Greka pri skidanju podatka"
 
-#: src/session/download.c:234 src/session/download.c:650
+#: src/session/download.c:257 src/session/download.c:676
 #, fuzzy, c-format
 msgid ""
 "Could not create file '%s':\n"
 "%s"
 msgstr "Nisam mogao stvoriti datoteku"
 
-#: src/session/download.c:331
+#: src/session/download.c:357
 #, fuzzy, c-format
 msgid ""
 "Error downloading %s:\n"
@@ -7874,17 +7887,17 @@ msgid ""
 "%s"
 msgstr "Greka pri preuzimanju"
 
-#: src/session/download.c:562
+#: src/session/download.c:588
 #, c-format
 msgid "'%s' is a directory."
 msgstr ""
 
-#: src/session/download.c:596
+#: src/session/download.c:622
 #, fuzzy
 msgid "File exists"
 msgstr "Nastavci ~datoteka"
 
-#: src/session/download.c:597
+#: src/session/download.c:623
 #, c-format
 msgid ""
 "This file already exists:\n"
@@ -7895,51 +7908,51 @@ msgid ""
 msgstr ""
 
 #. accelerator_context(src/session/download.c:lookup_unique_name)
-#: src/session/download.c:604
+#: src/session/download.c:630
 msgid "Sa~ve under the alternative name"
 msgstr ""
 
 #. accelerator_context(src/session/download.c:lookup_unique_name)
-#: src/session/download.c:605
+#: src/session/download.c:631
 msgid "~Overwrite the original file"
 msgstr ""
 
 #. accelerator_context(src/session/download.c:lookup_unique_name)
-#: src/session/download.c:606
+#: src/session/download.c:632
 msgid "~Resume download of the original file"
 msgstr ""
 
-#: src/session/download.c:1109
+#: src/session/download.c:1135
 msgid "Unknown type"
 msgstr "Nepoznati tip"
 
-#: src/session/download.c:1134
+#: src/session/download.c:1160
 #, c-format
 msgid "What would you like to do with the file '%s' (type: %s%s%s)?"
 msgstr ""
 
-#: src/session/download.c:1137
+#: src/session/download.c:1163
 #, c-format
 msgid "What would you like to do with the file (type: %s%s%s)?"
 msgstr ""
 
-#: src/session/download.c:1165
+#: src/session/download.c:1191
 #, no-c-format
 msgid "Program ('%' will be replaced by the filename)"
 msgstr ""
 
-#: src/session/download.c:1169
+#: src/session/download.c:1195
 #, fuzzy
 msgid "Block the terminal"
 msgstr "~BeOS terminal"
 
-#: src/session/download.c:1175
+#: src/session/download.c:1201
 #, c-format
 msgid "The file will be opened with the program '%s'."
 msgstr ""
 
 #. accelerator_context(src/session/download.c:do_type_query)
-#: src/session/download.c:1196
+#: src/session/download.c:1222
 #, fuzzy
 msgid "~Open"
 msgstr "Otvoriti"
@@ -7948,12 +7961,12 @@ msgstr "Otvoriti"
 #. * and formatting it with "%u" is safe,
 #. * because fc_maxlength is smaller than
 #. * file.length, which is an int.
-#: src/session/session.c:761 src/session/session.c:780 src/session/task.c:275
-#: src/viewer/text/textarea.c:652
+#: src/session/session.c:771 src/session/session.c:790 src/session/task.c:275
+#: src/viewer/text/textarea.c:641
 msgid "Warning"
 msgstr "Upozorenje"
 
-#: src/session/session.c:762
+#: src/session/session.c:772
 msgid ""
 "You have an empty string in protocol.http.user_agent - this was a default "
 "value in the past, substituted by default ELinks User-Agent string. However, "
@@ -7964,7 +7977,7 @@ msgid ""
 "will be used. Apologies for any inconvience caused."
 msgstr ""
 
-#: src/session/session.c:781
+#: src/session/session.c:791
 msgid ""
 "You have option config.saving_style set to a de facto obsolete value. The "
 "configuration saving algorithms of ELinks were changed from the last time "
@@ -7977,11 +7990,11 @@ msgid ""
 "caused."
 msgstr ""
 
-#: src/session/session.c:806
+#: src/session/session.c:816
 msgid "Welcome"
 msgstr "Dobordoli"
 
-#: src/session/session.c:807
+#: src/session/session.c:817
 #, fuzzy
 msgid ""
 "Welcome to ELinks!\n"
@@ -8033,22 +8046,22 @@ msgstr ""
 msgid "Warning: terminal name contains illicit chars."
 msgstr ""
 
-#: src/terminal/event.c:259
+#: src/terminal/event.c:258
 #, c-format
 msgid "Failed to create session."
 msgstr ""
 
-#: src/terminal/event.c:446
+#: src/terminal/event.c:443
 #, c-format
 msgid "Bad event %d"
 msgstr ""
 
-#: src/terminal/event.c:486
+#: src/terminal/event.c:483
 #, fuzzy, c-format
 msgid "Could not read event: %d (%s)"
 msgstr "Nisam mogao stvoriti datoteku"
 
-#: src/terminal/kbd.c:1187
+#: src/terminal/kbd.c:1210
 #, c-format
 msgid "Too many bytes read from the itrm!"
 msgstr ""
@@ -8127,207 +8140,207 @@ msgstr "Nema okvira"
 msgid "The requested fragment \"%s\" doesn't exist."
 msgstr ""
 
-#: src/viewer/text/form.c:1092
+#: src/viewer/text/form.c:1118
 msgid "Error while posting form"
 msgstr "Greka pri slanju formulara"
 
-#: src/viewer/text/form.c:1093
+#: src/viewer/text/form.c:1119
 #, fuzzy, c-format
 msgid "Could not load file %s: %s"
 msgstr "Nisam mogao dobiti file"
 
-#: src/viewer/text/form.c:1847
+#: src/viewer/text/form.c:1876
 #, fuzzy
 msgid "Reset form"
 msgstr "~Resetiraj formular"
 
-#: src/viewer/text/form.c:1849
+#: src/viewer/text/form.c:1878
 msgid "Harmless button"
 msgstr ""
 
-#: src/viewer/text/form.c:1857
+#: src/viewer/text/form.c:1886
 msgid "Submit form to"
 msgstr "Poali formular na"
 
-#: src/viewer/text/form.c:1858
+#: src/viewer/text/form.c:1887
 msgid "Post form to"
 msgstr "Postaj formular na"
 
-#: src/viewer/text/form.c:1860
+#: src/viewer/text/form.c:1889
 msgid "Radio button"
 msgstr "Radio gumb"
 
-#: src/viewer/text/form.c:1864
+#: src/viewer/text/form.c:1893
 msgid "Select field"
 msgstr "Odaberi polje"
 
-#: src/viewer/text/form.c:1868
+#: src/viewer/text/form.c:1897
 msgid "Text area"
 msgstr "Tekstualno podruje"
 
-#: src/viewer/text/form.c:1870
+#: src/viewer/text/form.c:1899
 msgid "File upload"
 msgstr "Poalji datoteku"
 
-#: src/viewer/text/form.c:1872
+#: src/viewer/text/form.c:1901
 msgid "Password field"
 msgstr "Polje za lozinku"
 
-#: src/viewer/text/form.c:1910
+#: src/viewer/text/form.c:1939
 msgid "name"
 msgstr "ime"
 
-#: src/viewer/text/form.c:1922
+#: src/viewer/text/form.c:1951
 msgid "value"
 msgstr "vrijednost"
 
-#: src/viewer/text/form.c:1935
+#: src/viewer/text/form.c:1964
 msgid "read only"
 msgstr ""
 
-#: src/viewer/text/form.c:1946
+#: src/viewer/text/form.c:1975
 #, c-format
 msgid "press %s to navigate"
 msgstr ""
 
-#: src/viewer/text/form.c:1948
+#: src/viewer/text/form.c:1977
 #, c-format
 msgid "press %s to edit"
 msgstr ""
 
-#: src/viewer/text/form.c:1984
+#: src/viewer/text/form.c:2013
 #, fuzzy, c-format
 msgid "press %s to submit to %s"
 msgstr "poalji na"
 
-#: src/viewer/text/form.c:1986
+#: src/viewer/text/form.c:2015
 #, fuzzy, c-format
 msgid "press %s to post to %s"
 msgstr "poalji na"
 
-#: src/viewer/text/form.c:2088
+#: src/viewer/text/form.c:2117
 msgid "Useless button"
 msgstr ""
 
-#: src/viewer/text/form.c:2090
+#: src/viewer/text/form.c:2119
 #, fuzzy
 msgid "Submit button"
 msgstr "Poali formular na"
 
 #. accelerator_context(link_menu.map)
-#: src/viewer/text/link.c:1281
+#: src/viewer/text/link.c:1280
 msgid "Display ~usemap"
 msgstr "Prikai ~usemapu"
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1286
+#: src/viewer/text/link.c:1285
 msgid "~Follow link"
 msgstr "Slijedi link"
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1288
+#: src/viewer/text/link.c:1287
 msgid "Follow link and r~eload"
 msgstr ""
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1292
+#: src/viewer/text/link.c:1291
 msgid "Open in new ~window"
 msgstr "Otvori u novom prozoru"
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1294
+#: src/viewer/text/link.c:1293
 #, fuzzy
 msgid "Open in new ~tab"
 msgstr "Otvori u novom prozoru"
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1296
+#: src/viewer/text/link.c:1295
 #, fuzzy
 msgid "Open in new tab in ~background"
 msgstr "Pozadina"
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1301
+#: src/viewer/text/link.c:1300
 msgid "~Download link"
 msgstr "~Preuzmi link"
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1304
+#: src/viewer/text/link.c:1303
 msgid "~Add link to bookmarks"
 msgstr ""
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1308
+#: src/viewer/text/link.c:1307
 msgid "Pass link URI to e~xternal command"
 msgstr ""
 
 #. accelerator_context(link_menu.form, link_menu.reset, link_menu.textarea)
-#: src/viewer/text/link.c:1319 src/viewer/text/link.c:1359
+#: src/viewer/text/link.c:1318 src/viewer/text/link.c:1358
 msgid "~Reset form"
 msgstr "~Resetiraj formular"
 
 #. accelerator_context(link_menu.textarea)
-#: src/viewer/text/link.c:1334
+#: src/viewer/text/link.c:1333
 msgid "Open in ~external editor"
 msgstr ""
 
 #. accelerator_context(link_menu.form, link_menu.textarea)
-#: src/viewer/text/link.c:1342
+#: src/viewer/text/link.c:1341
 msgid "~Submit form"
 msgstr "Poalji formular"
 
 #. accelerator_context(link_menu.form, link_menu.textarea)
-#: src/viewer/text/link.c:1343
+#: src/viewer/text/link.c:1342
 msgid "Submit form and rel~oad"
 msgstr ""
 
 #. accelerator_context(link_menu.form, link_menu.textarea)
-#: src/viewer/text/link.c:1347
+#: src/viewer/text/link.c:1346
 msgid "Submit form and open in new ~window"
 msgstr "Poalji formular i otvori u novom"
 
 #. accelerator_context(link_menu.form, link_menu.textarea)
-#: src/viewer/text/link.c:1349
+#: src/viewer/text/link.c:1348
 #, fuzzy
 msgid "Submit form and open in new ~tab"
 msgstr "Poalji formular i otvori u novom"
 
 #. accelerator_context(link_menu.form, link_menu.textarea)
-#: src/viewer/text/link.c:1352
+#: src/viewer/text/link.c:1351
 #, fuzzy
 msgid "Submit form and open in new tab in ~background"
 msgstr "Poalji formular i otvori u novom"
 
 #. accelerator_context(link_menu.form, link_menu.textarea)
-#: src/viewer/text/link.c:1357
+#: src/viewer/text/link.c:1356
 msgid "Submit form and ~download"
 msgstr "Poalji formular i preuzmi"
 
 #. accelerator_context(link_menu.form, link_menu.reset, link_menu.textarea)
-#: src/viewer/text/link.c:1364
+#: src/viewer/text/link.c:1363
 #, fuzzy
 msgid "Form f~ields"
 msgstr "Polje za lozinku"
 
 #. accelerator_context(link_menu.form, link_menu.map, link_menu.std)
-#: src/viewer/text/link.c:1371
+#: src/viewer/text/link.c:1370
 msgid "V~iew image"
 msgstr "Prikai sliku"
 
 #. accelerator_context(link_menu.form, link_menu.map, link_menu.std)
-#: src/viewer/text/link.c:1373
+#: src/viewer/text/link.c:1372
 msgid "Download ima~ge"
 msgstr "Skini sliku"
 
-#: src/viewer/text/link.c:1382
+#: src/viewer/text/link.c:1381
 msgid "No link selected"
 msgstr "Nema odabranih linkova"
 
-#: src/viewer/text/link.c:1452
+#: src/viewer/text/link.c:1451
 msgid "Image"
 msgstr "Slika"
 
-#: src/viewer/text/link.c:1457
+#: src/viewer/text/link.c:1456
 msgid "Usemap"
 msgstr "Usemapa"
 
@@ -8336,86 +8349,86 @@ msgstr "Usemapa"
 msgid "Marks"
 msgstr ""
 
-#: src/viewer/text/search.c:1083
+#: src/viewer/text/search.c:1099
 msgid "Search hit top, continuing at bottom."
 msgstr ""
 
-#: src/viewer/text/search.c:1084
+#: src/viewer/text/search.c:1100
 msgid "Search hit bottom, continuing at top."
 msgstr ""
 
-#: src/viewer/text/search.c:1087
+#: src/viewer/text/search.c:1103
 msgid "No previous search"
 msgstr "Nije bilo prethodnog traenja"
 
-#: src/viewer/text/search.c:1099
+#: src/viewer/text/search.c:1115
 #, c-format
 msgid "Could not compile regular expression '%s'"
 msgstr ""
 
-#: src/viewer/text/search.c:1143
+#: src/viewer/text/search.c:1159
 #, c-format
 msgid "No further matches for '%s'."
 msgstr ""
 
-#: src/viewer/text/search.c:1145
+#: src/viewer/text/search.c:1161
 #, c-format
 msgid "Could not find a link with the text '%s'."
 msgstr ""
 
-#: src/viewer/text/search.c:1147 src/viewer/text/search.c:1558
+#: src/viewer/text/search.c:1163 src/viewer/text/search.c:1576
 msgid "Typeahead"
 msgstr ""
 
-#: src/viewer/text/search.c:1560
+#: src/viewer/text/search.c:1578
 #, c-format
 msgid "No links in current document"
 msgstr ""
 
-#: src/viewer/text/search.c:1643
+#: src/viewer/text/search.c:1661
 msgid "Search for text"
 msgstr "Trai tekst"
 
-#: src/viewer/text/search.c:1679
+#: src/viewer/text/search.c:1697
 #, fuzzy
 msgid "Normal search"
 msgstr "Nije bilo prethodnog traenja"
 
-#: src/viewer/text/search.c:1680
+#: src/viewer/text/search.c:1698
 msgid "Regexp search"
 msgstr ""
 
-#: src/viewer/text/search.c:1681
+#: src/viewer/text/search.c:1699
 msgid "Extended regexp search"
 msgstr ""
 
-#: src/viewer/text/search.c:1683
+#: src/viewer/text/search.c:1701
 msgid "Case sensitive"
 msgstr ""
 
-#: src/viewer/text/search.c:1684
+#: src/viewer/text/search.c:1702
 msgid "Case insensitive"
 msgstr ""
 
-#: src/viewer/text/search.c:1708
+#: src/viewer/text/search.c:1726
 msgid "Search backward"
 msgstr "Trai unazad"
 
 #. name:
-#: src/viewer/text/search.c:1747
+#: src/viewer/text/search.c:1765
 #, fuzzy
 msgid "Search History"
 msgstr "Nedovoljno memorije"
 
-#: src/viewer/text/textarea.c:595
+#: src/viewer/text/textarea.c:584
 msgid "You cannot launch an external editor in the anonymous mode."
 msgstr ""
 
-#: src/viewer/text/textarea.c:602
+#: src/viewer/text/textarea.c:591
 msgid "You can do this only on the master terminal"
 msgstr ""
 
-#: src/viewer/text/textarea.c:655
+#: src/viewer/text/textarea.c:644
 #, c-format
 msgid ""
 "You have exceeded the textarea's size limit: your input is %d bytes, but the "
@@ -8433,11 +8446,11 @@ msgstr "Idi na link"
 msgid "Enter link number"
 msgstr "Unesi broj linka"
 
-#: src/viewer/text/view.c:1627
+#: src/viewer/text/view.c:1628
 msgid "Save error"
 msgstr "Greka pri spremanju"
 
-#: src/viewer/text/view.c:1628
+#: src/viewer/text/view.c:1629
 msgid "Error writing to file"
 msgstr "Greka pri pisanju u file"
 
Binary files 0.12~pre2.dfsg0-1/po/hu.gmo and 0.12~pre4-1/po/hu.gmo differ
diff -pruN 0.12~pre2.dfsg0-1/po/hu.po 0.12~pre4-1/po/hu.po
--- 0.12~pre2.dfsg0-1/po/hu.po	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/po/hu.po	2009-05-31 09:48:47.000000000 +0100
@@ -10,7 +10,7 @@ msgid ""
 msgstr ""
 "Project-Id-Version: hu\n"
 "Report-Msgid-Bugs-To: elinks-users@linuxfromscratch.org\n"
-"POT-Creation-Date: 2008-09-21 11:13+0300\n"
+"POT-Creation-Date: 2009-05-31 01:57+0300\n"
 "PO-Revision-Date: 2005-10-11 19:06+0000\n"
 "Last-Translator: \n"
 "Language-Team:  <en@li.org>\n"
@@ -43,7 +43,7 @@ msgstr "A mappa kinyitshoz nyomd meg a
 #: src/mime/dialogs.c:132 src/protocol/auth/dialogs.c:115
 #: src/protocol/protocol.c:246 src/scripting/lua/core.c:399
 #: src/scripting/lua/core.c:480 src/scripting/python/dialogs.c:86
-#: src/session/session.c:811 src/viewer/text/search.c:1686
+#: src/session/session.c:821 src/viewer/text/search.c:1704
 msgid "~OK"
 msgstr "~OK"
 
@@ -60,13 +60,13 @@ msgid "Sorry, but the item \"%s\" is bei
 msgstr "A \"%s\" mr hasznlatban van."
 
 #. cant_delete_folder
-#: src/bfu/hierbox.c:558 src/bookmarks/dialogs.c:121
+#: src/bfu/hierbox.c:558 src/bookmarks/dialogs.c:153
 #, c-format
 msgid "Sorry, but the folder \"%s\" cannot be deleted."
 msgstr "A \"%s\" mappt nem lehet trlni."
 
 #. cant_delete_used_folder
-#: src/bfu/hierbox.c:561 src/bookmarks/dialogs.c:123
+#: src/bfu/hierbox.c:561 src/bookmarks/dialogs.c:155
 #, c-format
 msgid "Sorry, but the folder \"%s\" is being used by something else."
 msgstr "A \"%s\" mappt mr valami hasznlja."
@@ -82,7 +82,7 @@ msgid "Delete marked items?"
 msgstr "A kijellt bejegyzsek trlse?"
 
 #. delete_folder_title
-#: src/bfu/hierbox.c:570 src/bookmarks/dialogs.c:129
+#: src/bfu/hierbox.c:570 src/bookmarks/dialogs.c:161
 msgid "Delete folder"
 msgstr "Mappa trlse"
 
@@ -139,13 +139,13 @@ msgstr "~Igen"
 msgid "~No"
 msgstr "~Nem"
 
-#: src/bfu/hierbox.c:945 src/bfu/hierbox.c:976 src/viewer/text/search.c:1090
-#: src/viewer/text/search.c:1098 src/viewer/text/search.c:1114
-#: src/viewer/text/search.c:1705
+#: src/bfu/hierbox.c:945 src/bfu/hierbox.c:976 src/viewer/text/search.c:1106
+#: src/viewer/text/search.c:1114 src/viewer/text/search.c:1130
+#: src/viewer/text/search.c:1723
 msgid "Search"
 msgstr "Keress"
 
-#: src/bfu/hierbox.c:947 src/viewer/text/search.c:1091
+#: src/bfu/hierbox.c:947 src/viewer/text/search.c:1107
 #, c-format
 msgid "Search string '%s' not found"
 msgstr "Keresett szveg ('%s') nem tallhat"
@@ -184,8 +184,8 @@ msgstr "res szveg nem engedlyezett"
 #: src/dialogs/options.c:237 src/dialogs/options.c:316 src/mime/dialogs.c:133
 #: src/protocol/auth/dialogs.c:116 src/protocol/bittorrent/dialogs.c:814
 #: src/scripting/lua/core.c:400 src/scripting/lua/core.c:481
-#: src/session/download.c:607 src/session/download.c:1219
-#: src/viewer/text/search.c:1687
+#: src/session/download.c:633 src/session/download.c:1245
+#: src/viewer/text/search.c:1705
 msgid "~Cancel"
 msgstr "~Mgsem"
 
@@ -197,8 +197,8 @@ msgstr "ra"
 msgid "Digital clock in the status bar."
 msgstr "Digitlis ra a sttuszsorban."
 
-#: src/bfu/leds.c:77 src/bfu/leds.c:94 src/config/options.inc:1199
-#: src/config/options.inc:1206 src/ecmascript/ecmascript.c:45
+#: src/bfu/leds.c:77 src/bfu/leds.c:94 src/config/options.inc:1272
+#: src/config/options.inc:1279 src/ecmascript/ecmascript.c:45
 #: src/globhist/globhist.c:64 src/mime/backend/mailcap.c:93
 #: src/mime/backend/mimetypes.c:52 src/network/ssl/ssl.c:81
 msgid "Enable"
@@ -213,9 +213,9 @@ msgid "Format"
 msgstr "Formtum"
 
 #: src/bfu/leds.c:83
+#, fuzzy
 msgid ""
-"Format string for the digital clock. See the strftime(3)\n"
-"manpage for details."
+"Format string for the digital clock. See the strftime(3) manpage for details."
 msgstr ""
 "A digitlis ra formtuma. Lsd a strftime(3) man oldalt a pontos\n"
 "belltsok lershoz."
@@ -229,9 +229,9 @@ msgid "LEDs (visual indicators) options.
 msgstr "LED-ek (vizulis visszajelzk) belltsai."
 
 #: src/bfu/leds.c:96
+#, fuzzy
 msgid ""
-"Enable LEDs.\n"
-"These visual indicators will inform you about various states."
+"Enable LEDs. These visual indicators will inform you about various states."
 msgstr ""
 "A LED-ek engedlyezse.\n"
 "Ezek a vizulis visszajelzk klnbz llapotokrl tjkoztatnak."
@@ -274,17 +274,17 @@ msgstr ""
 msgid "Search menu/"
 msgstr "Keress men"
 
-#: src/bookmarks/backend/xbel.c:97
+#: src/bookmarks/backend/xbel.c:105
 #, c-format
 msgid "read_bookmarks_xbel(): Error in XML_ParserCreate()"
 msgstr "read_bookmarks_xbel(): Hiba az XML_ParserCreate() fggvnyben"
 
-#: src/bookmarks/backend/xbel.c:108
+#: src/bookmarks/backend/xbel.c:116
 #, c-format
 msgid "read_bookmarks_xbel(): Error reading %s"
 msgstr "read_bookmarks_xbel(): Hiba a kvetke olvassakor: %s"
 
-#: src/bookmarks/backend/xbel.c:116
+#: src/bookmarks/backend/xbel.c:124
 #, c-format
 msgid ""
 "Parse error while processing XBEL bookmarks in %s at line %d column %d:\n"
@@ -294,16 +294,16 @@ msgstr ""
 "sor %d, oszlop %d: \n"
 "%s"
 
-#: src/bookmarks/backend/xbel.c:390 src/bookmarks/backend/xbel.c:411
+#: src/bookmarks/backend/xbel.c:388 src/bookmarks/backend/xbel.c:410
 msgid "No title"
 msgstr "Nincs cm"
 
-#: src/bookmarks/backend/xbel.c:396
+#: src/bookmarks/backend/xbel.c:394
 msgid "No URL"
 msgstr "Nincs URL"
 
 #. name:
-#: src/bookmarks/bookmarks.c:48 src/bookmarks/bookmarks.c:181
+#: src/bookmarks/bookmarks.c:48 src/bookmarks/bookmarks.c:183
 msgid "Bookmarks"
 msgstr "Knyvjelzk"
 
@@ -311,7 +311,7 @@ msgstr "Knyvjelzk"
 msgid "Bookmark options."
 msgstr "Knyvjelzk belltsai."
 
-#: src/bookmarks/bookmarks.c:53 src/bookmarks/bookmarks.c:59
+#: src/bookmarks/bookmarks.c:53 src/bookmarks/bookmarks.c:60
 msgid "File format"
 msgstr "Fjlformtum"
 
@@ -320,37 +320,35 @@ msgstr "Fjlformtum"
 msgid ""
 "File format for bookmarks (affects both reading and saving):\n"
 "0 is the default native ELinks format\n"
-"1 is XBEL universal XML bookmarks format (ELinks bug 153: NO NATIONAL CHARS "
-"SUPPORT!)"
+"1 is XBEL universal XML bookmarks format"
 msgstr ""
 "A knyvjelzk fjlformtuma (a beolvasst s a mentst is befolysolja):\n"
 "0 - alaprtelmezett Elinks (Links 0.9x kompatibilis) formtum\n"
 "1 - XBEL univerzlis XML knyvjelz formtum (nemzetkzi karaktereket nem "
 "tmogat!)"
 
-#: src/bookmarks/bookmarks.c:61
+#: src/bookmarks/bookmarks.c:62
 #, fuzzy
 msgid ""
 "File format for bookmarks (affects both reading and saving):\n"
 "0 is the default native ELinks format\n"
-"1 is XBEL universal XML bookmarks format (ELinks bug 153: NO NATIONAL CHARS "
-"SUPPORT!)  (DISABLED)"
+"1 is XBEL universal XML bookmarks format  (DISABLED)"
 msgstr ""
 "A knyvjelzk fjlformtuma (a beolvasst s a mentst is befolysolja):\n"
 "0 - alaprtelmezett Elinks (Links 0.9x kompatibilis) formtum\n"
 "1 - XBEL univerzlis XML knyvjelz formtum (nemzetkzi karaktereket nem "
 "tmogat!) (LETILTVA)"
 
-#: src/bookmarks/bookmarks.c:67
+#: src/bookmarks/bookmarks.c:68
 msgid "Save folder state"
 msgstr "A mappa llapotnak mentse"
 
-#: src/bookmarks/bookmarks.c:69
+#: src/bookmarks/bookmarks.c:70
+#, fuzzy
 msgid ""
-"When saving bookmarks also store whether folders are\n"
-"expanded or not, so the look of the bookmark dialog is\n"
-"kept across ELinks sessions. If disabled all folders will\n"
-"appear unexpanded next time ELinks is run."
+"When saving bookmarks also store whether folders are expanded or not, so the "
+"look of the bookmark dialog is kept across ELinks sessions. If disabled all "
+"folders will appear unexpanded next time ELinks is run."
 msgstr ""
 "A knyvjelzk mentsekor azt az llapotot is trolja el, hogy\n"
 "a knyvjelzkben lv mappk nyitott vagy sszezrt llapotak\n"
@@ -358,16 +356,16 @@ msgstr ""
 "opci ki van kapcsolva, az sszes mappa be lesz zrva az ELinks\n"
 "kvetkez indtsakor."
 
-#: src/bookmarks/bookmarks.c:74
+#: src/bookmarks/bookmarks.c:75
 msgid "Periodic snapshotting"
 msgstr "Peridikus llapotments"
 
-#: src/bookmarks/bookmarks.c:76
+#: src/bookmarks/bookmarks.c:77
+#, fuzzy
 msgid ""
-"Automatically save a snapshot of all tabs periodically.\n"
-"This will periodically bookmark the tabs of each terminal in a separate "
-"folder\n"
-"for recovery after a crash.\n"
+"Automatically save a snapshot of all tabs periodically. This will "
+"periodically bookmark the tabs of each terminal in a separate folder for "
+"recovery after a crash.\n"
 "\n"
 "This feature requires bookmark support."
 msgstr ""
@@ -378,12 +376,12 @@ msgstr ""
 "\n"
 "Ez az opci knyvjelztmogatst ignyel."
 
-#: src/bookmarks/dialogs.c:72 src/config/options.inc:1051
+#: src/bookmarks/dialogs.c:97 src/config/options.inc:1120
 #: src/dialogs/document.c:145 src/globhist/dialogs.c:65
 msgid "Title"
 msgstr "Cm"
 
-#: src/bookmarks/dialogs.c:73 src/cache/dialogs.c:65
+#: src/bookmarks/dialogs.c:101 src/cache/dialogs.c:65
 #: src/dialogs/document.c:136 src/dialogs/edit.c:96 src/formhist/dialogs.c:63
 #: src/globhist/dialogs.c:66 src/protocol/auth/dialogs.c:163
 #: src/scripting/lua/core.c:397
@@ -391,81 +389,81 @@ msgid "URL"
 msgstr "URL"
 
 #. cant_delete_item
-#: src/bookmarks/dialogs.c:117
+#: src/bookmarks/dialogs.c:149
 #, c-format
 msgid "Sorry, but the bookmark \"%s\" cannot be deleted."
 msgstr "A \"%s\" knyvjelzt nem lehet trlni."
 
 #. cant_delete_used_item
-#: src/bookmarks/dialogs.c:119
+#: src/bookmarks/dialogs.c:151
 #, c-format
 msgid "Sorry, but the bookmark \"%s\" is being used by something else."
 msgstr "A \"%s\" knyvjelzt mr valami hasznlja."
 
 #. delete_marked_items_title
-#: src/bookmarks/dialogs.c:125
+#: src/bookmarks/dialogs.c:157
 msgid "Delete marked bookmarks"
 msgstr "A kijellt knyvjelz trlse"
 
 #. delete_marked_items
-#: src/bookmarks/dialogs.c:127
+#: src/bookmarks/dialogs.c:159
 msgid "Delete marked bookmarks?"
 msgstr "A kijellt knyvjelzk trlse?"
 
 #. delete_folder
-#: src/bookmarks/dialogs.c:131
+#: src/bookmarks/dialogs.c:163
 #, c-format
 msgid "Delete the folder \"%s\" and all bookmarks in it?"
 msgstr "Trljk a \"%s\" mappt s a benne lv sszes knyvjelzt?"
 
 #. delete_item_title
-#: src/bookmarks/dialogs.c:133
+#: src/bookmarks/dialogs.c:165
 msgid "Delete bookmark"
 msgstr "Knyvjelz trlse"
 
-#: src/bookmarks/dialogs.c:135
+#: src/bookmarks/dialogs.c:167
 #, c-format
 msgid "Delete this bookmark?"
 msgstr "Trljem ezt a knyvjelzt?"
 
 #. clear_all_items_title
-#: src/bookmarks/dialogs.c:137
+#: src/bookmarks/dialogs.c:169
 msgid "Clear all bookmarks"
 msgstr "Az sszes knyvjelzk trlse"
 
 #. clear_all_items_title
-#: src/bookmarks/dialogs.c:139
+#: src/bookmarks/dialogs.c:171
 msgid "Do you really want to remove all bookmarks?"
 msgstr "Trljk az sszes knyvjelzt?"
 
-#: src/bookmarks/dialogs.c:254
+#: src/bookmarks/dialogs.c:327
 msgid "Add folder"
 msgstr "M~appa hozzadsa"
 
-#: src/bookmarks/dialogs.c:254
+#: src/bookmarks/dialogs.c:327
 msgid "Folder name"
 msgstr "Mappa neve"
 
-#: src/bookmarks/dialogs.c:310 src/scripting/lua/core.c:391
+#: src/bookmarks/dialogs.c:410 src/scripting/lua/core.c:391
 msgid "Edit bookmark"
 msgstr "Knyvjelz szerkesztse"
 
-#: src/bookmarks/dialogs.c:461
+#: src/bookmarks/dialogs.c:567
 msgid "Cannot move folder inside itself"
 msgstr ""
 
-#: src/bookmarks/dialogs.c:462
+#: src/bookmarks/dialogs.c:568
 msgid ""
 "You are trying to move the marked folder inside itself. To move the folder "
 "to a different location select the new location before pressing the Move "
 "button."
 msgstr ""
 
-#: src/bookmarks/dialogs.c:468
+#: src/bookmarks/dialogs.c:574
 msgid "Nothing to move"
 msgstr ""
 
-#: src/bookmarks/dialogs.c:469
+#: src/bookmarks/dialogs.c:575
 msgid ""
 "To move bookmarks, first mark all the bookmarks (or folders) you want to "
 "move.  This can be done with the Insert key if you're using the default key-"
@@ -474,19 +472,19 @@ msgid ""
 msgstr ""
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons, src/cache/dialogs.c:cache_buttons, src/globhist/dialogs.c:globhist_buttons, src/protocol/auth/dialogs.c:auth_buttons)
-#: src/bookmarks/dialogs.c:487 src/cache/dialogs.c:230
+#: src/bookmarks/dialogs.c:593 src/cache/dialogs.c:230
 #: src/globhist/dialogs.c:224 src/protocol/auth/dialogs.c:261
 msgid "~Goto"
 msgstr "~Ugrs"
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons, src/config/dialogs.c:option_buttons, src/cookies/dialogs.c:cookie_buttons)
-#: src/bookmarks/dialogs.c:488 src/config/dialogs.c:503
+#: src/bookmarks/dialogs.c:594 src/config/dialogs.c:503
 #: src/cookies/dialogs.c:492
 msgid "~Edit"
 msgstr "~Szerkeszts"
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons, src/cache/dialogs.c:cache_buttons, src/config/dialogs.c:keybinding_buttons, src/config/dialogs.c:option_buttons, src/cookies/dialogs.c:cookie_buttons, src/dialogs/menu.c:ext_menu, src/formhist/dialogs.c:formhist_buttons, src/globhist/dialogs.c:globhist_buttons, src/protocol/auth/dialogs.c:auth_buttons)
-#: src/bookmarks/dialogs.c:489 src/cache/dialogs.c:231
+#: src/bookmarks/dialogs.c:595 src/cache/dialogs.c:231
 #: src/config/dialogs.c:505 src/config/dialogs.c:930 src/cookies/dialogs.c:493
 #: src/dialogs/menu.c:463 src/formhist/dialogs.c:211
 #: src/globhist/dialogs.c:229 src/protocol/auth/dialogs.c:263
@@ -494,28 +492,28 @@ msgid "~Delete"
 msgstr "~Trls"
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons, src/config/dialogs.c:keybinding_buttons, src/config/dialogs.c:option_buttons, src/cookies/dialogs.c:cookie_buttons, src/dialogs/menu.c:ext_menu)
-#: src/bookmarks/dialogs.c:490 src/config/dialogs.c:504
+#: src/bookmarks/dialogs.c:596 src/config/dialogs.c:504
 #: src/config/dialogs.c:929 src/cookies/dialogs.c:490 src/dialogs/menu.c:461
 msgid "~Add"
 msgstr "~Hozzad"
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons)
-#: src/bookmarks/dialogs.c:491
+#: src/bookmarks/dialogs.c:597
 msgid "Add se~parator"
 msgstr "Elvlaszt hozzadsa"
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons)
-#: src/bookmarks/dialogs.c:492
+#: src/bookmarks/dialogs.c:598
 msgid "Add ~folder"
 msgstr "Mappa ~hozzadsa"
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons)
-#: src/bookmarks/dialogs.c:493
+#: src/bookmarks/dialogs.c:599
 msgid "~Move"
 msgstr "Mo~zgats"
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons, src/cache/dialogs.c:cache_buttons, src/config/dialogs.c:keybinding_buttons, src/config/dialogs.c:option_buttons, src/dialogs/menu.c:view_menu, src/globhist/dialogs.c:globhist_buttons)
-#: src/bookmarks/dialogs.c:494 src/cache/dialogs.c:232
+#: src/bookmarks/dialogs.c:600 src/cache/dialogs.c:232
 #: src/config/dialogs.c:506 src/config/dialogs.c:932 src/dialogs/menu.c:413
 #: src/globhist/dialogs.c:230
 msgid "~Search"
@@ -523,36 +521,50 @@ msgstr "~Keress"
 
 #. This one is too dangerous, so just let user delete
 #. * the bookmarks file if needed. --Zas
-#: src/bookmarks/dialogs.c:498
+#: src/bookmarks/dialogs.c:604
 msgid "Clear"
 msgstr "Trls"
 
 #. TODO: Would this be useful? --jonas
-#: src/bookmarks/dialogs.c:501 src/globhist/dialogs.c:235
+#: src/bookmarks/dialogs.c:607 src/globhist/dialogs.c:235
 msgid "Save"
 msgstr "Ments"
 
-#: src/bookmarks/dialogs.c:507
+#: src/bookmarks/dialogs.c:613
 msgid "Bookmark manager"
 msgstr "Knyvjelz kezel"
 
-#: src/bookmarks/dialogs.c:632
+#: src/bookmarks/dialogs.c:825
 msgid "Search bookmarks"
 msgstr "Keress a knyvjelzkben"
 
-#: src/bookmarks/dialogs.c:661
+#. When the user eventually pushes the OK button, BFU calls
+#. * bookmark_add_add() and gives it the struct dialog * as the
+#. * void * parameter.  However, bookmark_add_add() also needs
+#. * to know the struct terminal *, and there is no way to get
+#. * that from struct dialog.  The other bookmark dialogs work
+#. * around that by making dialog.udata point to the struct
+#. * dialog_data of the bookmark manager, but the "Add bookmark"
+#. * dialog can be triggered with ACT_MAIN_ADD_BOOKMARK, which
+#. * does not involve the bookmark manager at all.
+#. *
+#. * The solution here is to save the struct terminal * in
+#. * dialog.udata2, which the "Edit bookmark" dialog uses for
+#. * struct bookmark *.  When adding a new bookmark, we don't
+#. * need a pointer to an existing one, of course.
+#: src/bookmarks/dialogs.c:892
 msgid "Add bookmark"
 msgstr "Hozzfzs a konyvjelzkhz"
 
-#: src/bookmarks/dialogs.c:697
+#: src/bookmarks/dialogs.c:950
 msgid "Saved session"
 msgstr "Mentett munkafolyamat"
 
-#: src/bookmarks/dialogs.c:705
+#: src/bookmarks/dialogs.c:958
 msgid "Bookmark tabs"
 msgstr "A fleken megnyitott oldalak felvtele a knyvjelzkhz"
 
-#: src/bookmarks/dialogs.c:705
+#: src/bookmarks/dialogs.c:958
 msgid "Enter folder name"
 msgstr "rd be a mappa nevt"
 
@@ -564,7 +576,7 @@ msgstr "Proxy URL"
 msgid "Redirect"
 msgstr "tirnyts"
 
-#: src/cache/dialogs.c:85 src/config/options.inc:519
+#: src/cache/dialogs.c:85 src/config/options.inc:553
 #: src/dialogs/document.c:156 src/protocol/bittorrent/dialogs.c:126
 msgid "Size"
 msgstr "Mret"
@@ -610,7 +622,7 @@ msgstr "Lejr"
 msgid "ID"
 msgstr "Azonost"
 
-#: src/cache/dialogs.c:134 src/config/options.inc:669
+#: src/cache/dialogs.c:134 src/config/options.inc:707
 msgid "Header"
 msgstr "Fejlc"
 
@@ -1294,7 +1306,7 @@ msgstr "Kiszolgl nem tallhat"
 msgid "Resolver error"
 msgstr "Nvfeloldsi hiba"
 
-#: src/config/cmdline.c:256 src/cookies/cookies.c:841 src/network/state.c:47
+#: src/config/cmdline.c:256 src/cookies/cookies.c:843 src/network/state.c:47
 #: src/util/secsave.c:379
 msgid "Out of memory"
 msgstr "Elfogyott a memria"
@@ -1317,205 +1329,212 @@ msgstr ""
 msgid "Remote method not supported"
 msgstr "Tvoli metdus nem tmogatott"
 
-#: src/config/cmdline.c:452
+#: src/config/cmdline.c:437
+msgid "Out of memory formatting option documentation"
+msgstr ""
+
+#: src/config/cmdline.c:474
 msgid "Template option folder"
 msgstr ""
 
-#: src/config/cmdline.c:475
+#: src/config/cmdline.c:497
 #, c-format
 msgid "(default: %ld)"
 msgstr "(alaprtelmezett: %ld)"
 
-#: src/config/cmdline.c:482 src/config/cmdline.c:511
+#: src/config/cmdline.c:504 src/config/cmdline.c:533
 #, c-format
 msgid "(default: \"%s\")"
 msgstr "(alaprtelmezett: \"%s\")"
 
-#: src/config/cmdline.c:487
+#: src/config/cmdline.c:509
 #, c-format
 msgid "(alias for %s)"
 msgstr "(lnv ehhez: %s)"
 
-#: src/config/cmdline.c:492 src/config/cmdline.c:501
+#: src/config/cmdline.c:514 src/config/cmdline.c:523
 #, c-format
 msgid "(default: %s)"
 msgstr "(alaprtelmezett: %s)"
 
-#: src/config/cmdline.c:642
+#: src/config/cmdline.c:654
 msgid "Configuration options"
 msgstr "Konfigurcis belltsok"
 
-#: src/config/cmdline.c:646
+#: src/config/cmdline.c:658
 #, fuzzy
 msgid "Usage: elinks [OPTION]... [URL]..."
 msgstr "Hasznlat: elinks [OPCIK]... [URL]"
 
-#: src/config/cmdline.c:647
+#: src/config/cmdline.c:659
 msgid "Options"
 msgstr "Opcik"
 
-#: src/config/cmdline.c:689
+#: src/config/cmdline.c:701
 msgid "Internal consistency error"
 msgstr "Bels kozisztencia hiba"
 
 #.
-#: src/config/cmdline.c:725
+#: src/config/cmdline.c:737
 msgid "Restrict to anonymous mode"
 msgstr "Korltozott zemmd"
 
-#: src/config/cmdline.c:727
+#: src/config/cmdline.c:739
+#, fuzzy
 msgid ""
-"Restricts ELinks so it can run on an anonymous account.\n"
-"Local file browsing, downloads, and modification of options\n"
-"will be disabled. Execution of viewers is allowed, but entries\n"
-"in the association table can't be added or modified."
+"Restricts ELinks so it can run on an anonymous account. Local file browsing, "
+"downloads, and modification of options will be disabled. Execution of "
+"viewers is allowed, but entries in the association table can't be added or "
+"modified."
 msgstr ""
 "Az ELinks hasznlata anonymus hozzfrssel, korltozott\n"
 "lehetsgekkel. Nincs loklis llomnybngszs, letlts. \n"
 "A kls megjelentprogramok mkdnek, de a hozzrendelsi\n"
 "tblhoz nem lehet hozzadni j bejegyzst."
 
-#: src/config/cmdline.c:732
+#: src/config/cmdline.c:745
 msgid "Autosubmit first form"
 msgstr "Az els rlap automatikus kldse"
 
-#: src/config/cmdline.c:734
+#: src/config/cmdline.c:747
 msgid "Automatically submit the first form in the given URLs."
 msgstr "Az elsnek megtallt rlap automatikus kldse a megadott URL-re."
 
-#: src/config/cmdline.c:736
+#: src/config/cmdline.c:749
 msgid "Clone internal session with given ID"
 msgstr "Klnozza a megadott azonostval fut pldnyt"
 
-#: src/config/cmdline.c:738
+#: src/config/cmdline.c:751
+#, fuzzy
 msgid ""
-"Used internally when opening ELinks instances in new windows.\n"
-"The ID maps to information that will be used when creating the\n"
-"new instance. You don't want to use it."
+"Used internally when opening ELinks instances in new windows. The ID maps to "
+"information that will be used when creating the new instance. You don't want "
+"to use it."
 msgstr ""
 "Az ELinks j ablakban val megnyitshoz hasznlhat. A megadott\n"
 "ID-vel rendelkez pldny adatait hasznlja fel az j pldny "
 "ltrehozshoz.\n"
 "Ritkn hasznlt opci."
 
-#: src/config/cmdline.c:744
+#: src/config/cmdline.c:757
 msgid "Name of directory with configuration file"
 msgstr "A konfigurcis fjlt tartalmaz knyvtr neve"
 
-#: src/config/cmdline.c:746
+#: src/config/cmdline.c:759
+#, fuzzy
 msgid ""
-"Path of the directory ELinks will read and write its\n"
-"config and runtime state files to instead of ~/.elinks.\n"
-"If the path does not begin with a '/' it is assumed to be\n"
-"relative to your HOME directory."
+"Path of the directory ELinks will read and write its config and runtime "
+"state files to instead of ~/.elinks. If the path does not begin with a '/' "
+"it is assumed to be relative to your HOME directory."
 msgstr ""
 "A konfigurcis knyvtr elrsi tvonala. Az ELinks innen fogja\n"
 "olvasni, s ide rja a konfigurcis llomnyait a ~/.elinks helyett.\n"
 "Ha az tvonal '/' jellel kezddik, akkor abszolt elrsi tvonalknt,\n"
 "egybknt pedig a HOMEknyvtrhoz kpest relatvan kerl rtelmezsre."
 
-#: src/config/cmdline.c:751
+#: src/config/cmdline.c:764
 msgid "Print default configuration file to stdout"
 msgstr "Az alaprtelmezett konfigurcisllomny kirsa stdoutra"
 
-#: src/config/cmdline.c:753
+#: src/config/cmdline.c:766
+#, fuzzy
 msgid ""
-"Print a configuration file with options set to the built-in\n"
-"defaults to stdout."
+"Print a configuration file with options set to the built-in defaults to "
+"stdout."
 msgstr ""
 "Az alaprtelmezett konfigurcisllomny kirsa stdoutra\n"
 "alapbelltsokkal."
 
-#: src/config/cmdline.c:758
+#: src/config/cmdline.c:771
 msgid "Name of configuration file"
 msgstr "A konfigurcis fjl neve"
 
-#: src/config/cmdline.c:760
+#: src/config/cmdline.c:773
+#, fuzzy
 msgid ""
-"Name of the configuration file that all configuration\n"
-"options will be read from and written to. It should be\n"
-"relative to config-dir."
+"Name of the configuration file that all configuration options will be read "
+"from and written to. It should be relative to config-dir."
 msgstr ""
 "A konfigurcis llomny neve, amely az sszes belltst\n"
 "tartalmazza, relatvan megadva a konfigurcis\n"
 "knyvtrhoz kpest."
 
-#: src/config/cmdline.c:764
+#: src/config/cmdline.c:777
 msgid "Print help for configuration options"
 msgstr "Segtsg megjelentse a belltsokhoz"
 
-#: src/config/cmdline.c:766
+#: src/config/cmdline.c:779
 msgid "Print help for configuration options and exit."
 msgstr "Segtsg megjelentse a belltsokhoz, s kilps."
 
-#: src/config/cmdline.c:768
+#: src/config/cmdline.c:781
 msgid "MIME type assumed for unknown document types"
 msgstr "Az ismeretlen dokumentumokhoz hasznlt MIME tpus"
 
-#: src/config/cmdline.c:770
+#: src/config/cmdline.c:783
 msgid "The default MIME type used for documents of unknown type."
 msgstr "Az ismeretlen dokumentumok alaprtelmezett MIME tpusa."
 
-#: src/config/cmdline.c:772
+#: src/config/cmdline.c:786
 msgid "Ignore user-defined keybindings"
 msgstr ""
 "A felhasznl ltal definilt billentykombincik figyelmen kvl hagysa"
 
-#: src/config/cmdline.c:774
+#: src/config/cmdline.c:788
+#, fuzzy
 msgid ""
-"When set, all keybindings from configuration files will be\n"
-"ignored. It forces use of default keybindings and will reset\n"
-"user-defined ones on save."
+"When set, all keybindings from configuration files will be ignored. It "
+"forces use of default keybindings and will reset user-defined ones on save."
 msgstr ""
 "Ha be van kapcsolva, akkor a felhasznl ltal definilt\n"
 "billentykombincik nem lesznek aktvak, visszall\n"
 "az alaprtelmezett, s mentskor megsemmislnek\n"
 "az egyedi kombincik."
 
-#: src/config/cmdline.c:778
+#: src/config/cmdline.c:792
 msgid "Print formatted versions of given URLs to stdout"
 msgstr "A megadott URL formzott vltozatnak kirsa stdout-ra"
 
-#: src/config/cmdline.c:780
+#: src/config/cmdline.c:794
 msgid "Print formatted plain-text versions of given URLs to stdout."
 msgstr ""
 "A megadott URL formzott norml szveges vltozatnak kirsa stdout-ra."
 
-#: src/config/cmdline.c:782
+#: src/config/cmdline.c:797
 msgid "Codepage to use with -dump"
 msgstr "Kdlap a kirshoz"
 
-#: src/config/cmdline.c:784
+#: src/config/cmdline.c:799
 msgid "Codepage used when formatting dump output."
 msgstr "A kirshoz hasznlt kdlap."
 
-#: src/config/cmdline.c:786
+#: src/config/cmdline.c:801
 #, fuzzy
 msgid "Color mode used with -dump"
 msgstr "Kdlap a kirshoz"
 
-#: src/config/cmdline.c:788
+#: src/config/cmdline.c:803
 #, fuzzy
 msgid "Color mode used with -dump."
 msgstr "Kdlap a kirshoz"
 
-#: src/config/cmdline.c:790
+#: src/config/cmdline.c:805
 msgid "Width of document formatted with -dump"
 msgstr "A dokumentum szlessge -dump-al formzva"
 
-#: src/config/cmdline.c:792
+#: src/config/cmdline.c:807
 msgid "Width of the dump output."
 msgstr "A dokumentum szlessge -dump-al formzva."
 
-#: src/config/cmdline.c:794
+#: src/config/cmdline.c:809
 msgid "Evaluate configuration file directive"
 msgstr "Az adott konfigurcis bellts kirtkelse"
 
-#: src/config/cmdline.c:796
+#: src/config/cmdline.c:811
+#, fuzzy
 msgid ""
-"Specify configuration file directives on the command-line\n"
-"which will be evaluated after all configuration files has been\n"
-"read. Example usage:\n"
+"Specify configuration file directives on the command-line which will be "
+"evaluated after all configuration files has been read. Example usage:\n"
 "\t-eval 'set protocol.file.allow_special_files = 1'"
 msgstr ""
 "Elinks konfigurcis llomnyban rvnyes opcik megadsa\n"
@@ -1524,15 +1543,16 @@ msgstr ""
 "pl: -eval 'set protocol.file.allow_special_files = 1'"
 
 #. lynx compatibility
-#: src/config/cmdline.c:802
+#: src/config/cmdline.c:817
 msgid "Interpret documents of unknown types as HTML"
 msgstr "Az ismeretlen dokumentumok HTML-knt val kezelse"
 
-#: src/config/cmdline.c:804
+#: src/config/cmdline.c:819
+#, fuzzy
 msgid ""
-"Makes ELinks assume documents of unknown types are HTML.\n"
-"Useful when using ELinks as an external viewer from MUAs.\n"
-"This is equivalent to -default-mime-type text/html."
+"Makes ELinks assume documents of unknown types are HTML. Useful when using "
+"ELinks as an external viewer from MUAs. This is equivalent to -default-mime-"
+"type text/html."
 msgstr ""
 "Ezzel lehet megadni hogy az ELinks alaprtelmezettnek vegye a HTML\n"
 "formtumot minden ismeretlen dokumentum esetn. Hasznos ha\n"
@@ -1540,115 +1560,121 @@ msgstr ""
 "(pl. levelezprogram).Ez a bellts megfelel a default-mime-type text/html-"
 "nek."
 
-#: src/config/cmdline.c:814
+#: src/config/cmdline.c:829
 msgid "Print usage help and exit"
 msgstr "Felhasznli segdlet kiirsa, s kilps"
 
-#: src/config/cmdline.c:816
+#: src/config/cmdline.c:831
 msgid "Print usage help and exit."
 msgstr "Felhasznli segdlet kiirsa, s kilps."
 
-#: src/config/cmdline.c:818
+#: src/config/cmdline.c:833
 msgid "Only permit local connections"
 msgstr "Csak helyi kapcsolatok engedlyezse"
 
-#: src/config/cmdline.c:820
+#: src/config/cmdline.c:835
+#, fuzzy
 msgid ""
-"Restricts ELinks to work offline and only connect to servers\n"
-"with local addresses (ie. 127.0.0.1). No connections to remote\n"
-"servers will be permitted."
+"Restricts ELinks to work offline and only connect to servers with local "
+"addresses (ie. 127.0.0.1). No connections to remote servers will be "
+"permitted."
 msgstr ""
 "Az ELinks hlzati kapcsolatainak korltozsa helyi IP cmekre,\n"
 "(pl.: 127.0.0.1), s ezzel a tvoli kapcsolatok megakadlyozsa."
 
-#: src/config/cmdline.c:824
+#: src/config/cmdline.c:839
 msgid "Print detailed usage help and exit"
 msgstr "Rszletes felhasznli segdlet kiirsa, s kilps"
 
-#: src/config/cmdline.c:826
+#: src/config/cmdline.c:841
 msgid "Print detailed usage help and exit."
 msgstr "Rszletes felhasznli segdlet kiirsa, s kilps."
 
-#: src/config/cmdline.c:828
+#: src/config/cmdline.c:843
 msgid "Look up specified host"
 msgstr "A megadott host nvfeloldsa"
 
-#: src/config/cmdline.c:830
+#: src/config/cmdline.c:845
 msgid "Look up specified host and print all DNS resolved IP addresses."
 msgstr ""
 "A megadott host cmnek feloldsa, s az sszes DNS ltal\n"
 "visszaadott IP cm megjelentse."
 
-#: src/config/cmdline.c:832
+#: src/config/cmdline.c:848
 msgid "Run as separate instance"
 msgstr "Futs klnll mdban"
 
-#: src/config/cmdline.c:834
+#: src/config/cmdline.c:850
+#, fuzzy
 msgid ""
-"Run ELinks as a separate instance instead of connecting to an\n"
-"existing instance. Note that normally no runtime state files\n"
-"(bookmarks, history, etc.) are written to the disk when this\n"
-"option is used. See also -touch-files."
+"Run ELinks as a separate instance instead of connecting to an existing "
+"instance. Note that normally no runtime state files (bookmarks, history, "
+"etc.) are written to the disk when this option is used. See also -touch-"
+"files."
 msgstr ""
 "Az ELinks-et kln futtatja, ahelyett hogy a fut bngszk\n"
 "sszekapcsoldnnak. Ebben a mdban nem rdik a lemezre a\n"
 "knyvjelz, ltogatott lapok listja, stb. Lsd mg a\n"
 "\"-touch-files\" opcit."
 
-#: src/config/cmdline.c:839
+#: src/config/cmdline.c:855
 msgid "Disable use of files in ~/.elinks"
 msgstr "Ne hasznlja a ~/.elinks knyvtrban lv fjlokat"
 
-#: src/config/cmdline.c:841
+#: src/config/cmdline.c:857
+#, fuzzy
 msgid ""
-"Disables creation and use of files in the user specific home\n"
-"configuration directory (~/.elinks). It forces default configuration\n"
-"values to be used and disables saving of runtime state files."
+"Disables creation and use of files in the user specific home configuration "
+"directory (~/.elinks). It forces default configuration values to be used and "
+"disables saving of runtime state files."
 msgstr ""
 "Letiltja a felhasznl knyvtrban lv konfigurcis fjlok\n"
 "ltrehozst s hasznlatt. (~/.elinks) Mindig az alaprtelmezett\n"
 "opcik lesznek rvnyben, s nem lehet belltsokat menteni,\n"
 "valamint nem jnnek ltre futs kzben tmeneti llomnyok."
 
-#: src/config/cmdline.c:845
+#: src/config/cmdline.c:862
 msgid "Disable link numbering in dump output"
 msgstr "Ne szmozza a linkeket a kirt fjlban"
 
-#: src/config/cmdline.c:847
+#: src/config/cmdline.c:864
+#, fuzzy
 msgid ""
 "Prevents printing of link number in dump output.\n"
+"\n"
 "Note that this really affects only -dump, nothing else."
 msgstr ""
 "Ne szmozza a linkeket a -dump opcival kirt fjlban.\n"
 " Megjegyzs: Ez az opci csak a -dump ltal mentett\n"
 "fjlokra vonatkozik."
 
-#: src/config/cmdline.c:850
+#: src/config/cmdline.c:868
 msgid "Disable printing of link references in dump output"
 msgstr "Ne rjon link hivatkozsokat a mentett fjlokba"
 
-#: src/config/cmdline.c:852
+#: src/config/cmdline.c:870
+#, fuzzy
 msgid ""
-"Prevents printing of references (URIs) of document links\n"
-"in dump output.\n"
+"Prevents printing of references (URIs) of document links in dump output.\n"
+"\n"
 "Note that this really affects only -dump, nothing else."
 msgstr ""
 "Ne rjon link hivatkozsokat (URI-ket) a mentett fjlokba.\n"
 "Megjegyzs: Ez az opci csak a -dump ltal mentett fjlokra vonatkozik."
 
-#: src/config/cmdline.c:856
+#: src/config/cmdline.c:875
 msgid "Control an already running ELinks"
 msgstr "Egy fut ELinks pldny vezrlse"
 
-#: src/config/cmdline.c:858
+#: src/config/cmdline.c:877
 #, fuzzy
 msgid ""
-"Control a remote ELinks instance by passing commands to it.\n"
-"The option takes an additional argument containing the method\n"
-"which should be invoked and any parameters that should be passed\n"
-"to it. For ease of use, the additional method argument can be\n"
-"omitted in which case any URL arguments will be opened in new\n"
-"tabs in the remote instance.\n"
+"Control a remote ELinks instance by passing commands to it. The option takes "
+"an additional argument containing the method which should be invoked and any "
+"parameters that should be passed to it. For ease of use, the additional "
+"method argument can be omitted in which case any URL arguments will be "
+"opened in new tabs in the remote instance.\n"
+"\n"
 "Following is a list of the supported methods:\n"
 "\tping()                    : look for a remote instance\n"
 "\topenURL()                 : prompt URL in current tab\n"
@@ -1672,27 +1698,28 @@ msgstr ""
 "\taddBookmark(URL)          -- URL felvtele a knyvjelzkhz\n"
 "\txfeDoCommand(openBrowser) -- j ablak megnyitsa"
 
-#: src/config/cmdline.c:874
+#: src/config/cmdline.c:895
 msgid "Connect to session ring with given ID"
 msgstr ""
 "Csatlakozs az ELinks bels adatmegoszt hlzathoz megadott azonostval."
 
-#: src/config/cmdline.c:876
+#: src/config/cmdline.c:897
+#, fuzzy
 msgid ""
-"ID of session ring this ELinks session should connect to. ELinks\n"
-"works in so-called session rings, whereby all instances of ELinks\n"
-"are interconnected and share state (cache, bookmarks, cookies,\n"
-"and so on). By default, all ELinks instances connect to session\n"
-"ring 0. You can change that behaviour with this switch and form as\n"
-"many session rings as you want. Obviously, if the session-ring with\n"
-"this number doesn't exist yet, it's created and this ELinks instance\n"
-"will become the master instance (that usually doesn't matter for you\n"
-"as a user much). Note that you usually don't want to use this unless\n"
-"you're a developer and you want to do some testing - if you want the\n"
-"ELinks instances each running standalone, rather use the -no-connect\n"
-"command-line option. Also note that normally no runtime state files\n"
-"are written to the disk when this option is used. See also\n"
-"-touch-files."
+"ID of session ring this ELinks session should connect to. ELinks works in so-"
+"called session rings, whereby all instances of ELinks are interconnected and "
+"share state (cache, bookmarks, cookies, and so on). By default, all ELinks "
+"instances connect to session ring 0. You can change that behaviour with this "
+"switch and form as many session rings as you want. Obviously, if the session-"
+"ring with this number doesn't exist yet, it's created and this ELinks "
+"instance will become the master instance (that usually doesn't matter for "
+"you as a user much).\n"
+"\n"
+"Note that you usually don't want to use this unless you're a developer and "
+"you want to do some testing - if you want the ELinks instances each running "
+"standalone, rather use the -no-connect command-line option. Also note that "
+"normally no runtime state files are written to the disk when this option is "
+"used. See also -touch-files."
 msgstr ""
 "Annak a bels adatmegoszt hlzatnak az azonostja, amihez csatlakozni\n"
 "szeretnnk. Az ELinks kpes arra, hogy tbb fut pldnya egymssal\n"
@@ -1704,39 +1731,40 @@ msgstr ""
 "programon, s tesztelni szeretnd. Ha azt szeretnd hogy minden ELinks\n"
 "pldny szeparltan induljon, akkor ehelyett hasznld a -no-connect opcit."
 
-#: src/config/cmdline.c:891
+#: src/config/cmdline.c:915
 msgid "Print the source of given URLs to stdout"
 msgstr "A megadott URL forrskdjnak stdout-ra rsa"
 
-#: src/config/cmdline.c:893
+#: src/config/cmdline.c:917
 msgid "Print given URLs in source form to stdout."
 msgstr "A megadott HTML dokumentum stdout-ra rsa forrs formban."
 
-#: src/config/cmdline.c:897
+#: src/config/cmdline.c:921
 msgid "Touch files in ~/.elinks when running with -no-connect/-session-ring"
 msgstr ""
 "Az ~/.elinks knyvtrban lv llomnyok rhatk -no-connect/-session-ring\n"
 "opcik esetn"
 
-#: src/config/cmdline.c:899
+#: src/config/cmdline.c:923
+#, fuzzy
 msgid ""
-"When enabled, runtime state files (bookmarks, history, etc.) are\n"
-"written to disk, even when -no-connect or -session-ring is used.\n"
-"The option has no effect if not used in conjunction with any of\n"
-"these options."
+"When enabled, runtime state files (bookmarks, history, etc.) are written to "
+"disk, even when -no-connect or -session-ring is used. The option has no "
+"effect if not used in conjunction with any of these options."
 msgstr ""
 "Az ~/.elinks knyvtrban lv llomnyok (knyvjelz, elzmnyek, stb)\n"
 "rhatk -no-connect/-session-ring opcik hasznlata mellett is. Az opci\n"
 "hatstalan, ha nem a fenti parancsokkal hasznljuk."
 
-#: src/config/cmdline.c:904
+#: src/config/cmdline.c:928
 msgid "Verbose level"
 msgstr "zenetek rszletessge"
 
-#: src/config/cmdline.c:906
+#: src/config/cmdline.c:930
+#, fuzzy
 msgid ""
-"The verbose level controls what messages are shown at\n"
-"start up and while running:\n"
+"The verbose level controls what messages are shown at start up and while "
+"running:\n"
 "\t0 means only show serious errors\n"
 "\t1 means show serious errors and warnings\n"
 "\t2 means show all messages"
@@ -1747,15 +1775,15 @@ msgstr ""
 "\t1 a slyos hibazenetek, s a figyelmeztetsek is jelenjenek meg\n"
 "\t2 az sszes zenet jelenjen meg"
 
-#: src/config/cmdline.c:912
+#: src/config/cmdline.c:936
 msgid "Print version information and exit"
 msgstr "Veriszm kirsa, s kilps"
 
-#: src/config/cmdline.c:914
+#: src/config/cmdline.c:938
 msgid "Print ELinks version information and exit."
 msgstr "Elinks veriszm kirsa, es kilps."
 
-#: src/config/conf.c:938
+#: src/config/conf.c:963
 msgid ""
 "## This is ELinks configuration file. You can edit it manually,\n"
 "## if you wish so; this file is edited by ELinks when you save\n"
@@ -1766,7 +1794,7 @@ msgstr ""
 "## Ha az ELinksbl mented a belltsokat, csak az rtkek vltoznak,\n"
 "## minden ltalad szerkesztett formzs vagy megjegyzs megmarad.\n"
 
-#: src/config/conf.c:946
+#: src/config/conf.c:971
 msgid ""
 "## This is ELinks configuration file. You can edit it manually,\n"
 "## if you wish so; this file is edited by ELinks when you save\n"
@@ -1783,7 +1811,7 @@ msgstr ""
 "## a fljban, de egy ez a flj hivatkozik egy msikra amiben szerepel,\n"
 "## akkor nem szmt hinyznak opcinak.\n"
 
-#: src/config/conf.c:956
+#: src/config/conf.c:981
 msgid ""
 "## This is ELinks configuration file. You can edit it manually,\n"
 "## if you wish so, but keep in mind that this file is overwritten\n"
@@ -1794,7 +1822,7 @@ msgstr ""
 "## de ha az ELinksbl mented a belltsokat, fellrdnak, s a\n"
 "## formzsod, megjegyzseid elveszhetnek.\n"
 
-#: src/config/conf.c:967
+#: src/config/conf.c:992
 msgid ""
 "## Obviously, if you don't like what ELinks is going to do with\n"
 "## this file, you can change it by altering the config.saving_style\n"
@@ -1803,11 +1831,11 @@ msgstr ""
 "## Ha nem szereted ahogyan az ELinks megvltoztatja ezt a fjlt,\n"
 "## lltsd a config.saving_style opcit.\n"
 
-#: src/config/conf.c:980
+#: src/config/conf.c:1005
 msgid "Automatically saved options\n"
 msgstr "Automatikusan mentett belltsok\n"
 
-#: src/config/conf.c:992
+#: src/config/conf.c:1017
 msgid "Automatically saved keybindings\n"
 msgstr "Automatikusan mentett billentyparancsok\n"
 
@@ -1868,7 +1896,7 @@ msgstr "(szkzzel kinyithat)"
 #. * switch charsets.  So, it will work in any terminal that
 #. * understands UTF-8 and has the characters in its font.
 #: src/config/dialogs.c:149 src/config/dialogs.c:330
-#: src/config/options.inc:840
+#: src/config/options.inc:887
 msgid "Type"
 msgstr "Tpus"
 
@@ -1896,9 +1924,9 @@ msgid "Description"
 msgstr "Lers"
 
 #: src/config/dialogs.c:291 src/protocol/bittorrent/dialogs.c:600
-#: src/protocol/protocol.c:240 src/session/session.c:287
-#: src/session/session.c:975 src/viewer/text/textarea.c:594
-#: src/viewer/text/textarea.c:601
+#: src/protocol/protocol.c:240 src/session/session.c:288
+#: src/session/session.c:999 src/viewer/text/textarea.c:583
+#: src/viewer/text/textarea.c:590
 msgid "Error"
 msgstr "Hiba"
 
@@ -1935,7 +1963,7 @@ msgstr "Ide nem lehet belltst hozzad
 #. accelerator_context(src/config/dialogs.c:keybinding_buttons, src/config/dialogs.c:option_buttons, src/cookies/dialogs.c:cookie_buttons, src/formhist/dialogs.c:formhist_buttons, src/protocol/bittorrent/dialogs.c:bittorrent_query_callback, src/session/download.c:do_type_query, terminal_options)
 #: src/config/dialogs.c:507 src/config/dialogs.c:933 src/cookies/dialogs.c:495
 #: src/dialogs/options.c:236 src/formhist/dialogs.c:214
-#: src/protocol/bittorrent/dialogs.c:801 src/session/download.c:1203
+#: src/protocol/bittorrent/dialogs.c:801 src/session/download.c:1229
 msgid "Sa~ve"
 msgstr "Ment~s"
 
@@ -1947,7 +1975,7 @@ msgstr "~Belltsok"
 msgid "Keystroke"
 msgstr "Billentykombinci"
 
-#: src/config/dialogs.c:676 src/config/options.inc:1219
+#: src/config/dialogs.c:676 src/config/options.inc:1292
 msgid "Action"
 msgstr "Esemny"
 
@@ -2027,31 +2055,31 @@ msgstr ""
 "vltoz helyesen van-e belltva, s hogy a knyvtrra\n"
 "van-e rsi jogod."
 
-#: src/config/kbdbind.c:221
+#: src/config/kbdbind.c:222
 msgid "Main mapping"
 msgstr "F billentyhozzrendels"
 
-#: src/config/kbdbind.c:222
+#: src/config/kbdbind.c:223
 msgid "Edit mapping"
 msgstr "Szerkeszt terleten mkd billentyhozzrendels"
 
-#: src/config/kbdbind.c:223
+#: src/config/kbdbind.c:224
 msgid "Menu mapping"
 msgstr "Menben mkd billentyhozzrendels"
 
-#: src/config/kbdbind.c:588 src/scripting/python/keybinding.c:104
+#: src/config/kbdbind.c:589 src/scripting/python/keybinding.c:104
 msgid "Unrecognised keymap"
 msgstr "Ismeretlen billentykioszts"
 
-#: src/config/kbdbind.c:591
+#: src/config/kbdbind.c:592
 msgid "Error parsing keystroke"
 msgstr "Billentykombinci hiba"
 
-#: src/config/kbdbind.c:595
+#: src/config/kbdbind.c:596
 msgid "Unrecognised action (internal error)"
 msgstr "Ismeretlen esemny (bels hiba)"
 
-#: src/config/kbdbind.c:611
+#: src/config/kbdbind.c:612
 msgid "Error registering event"
 msgstr "Hiba az esemny regisztrlsa kzben"
 
@@ -2082,33 +2110,34 @@ msgstr ""
 "2 - csak a lersok kerlnek bele\n"
 "3 - teljes megjegyzsek kerlnek az llomnyba"
 
-#: src/config/options.inc:31
+#: src/config/options.inc:32
 msgid "Indentation"
 msgstr "Behzs"
 
-#: src/config/options.inc:33
+#: src/config/options.inc:34
+#, fuzzy
 msgid ""
-"Shift width of one indentation level in the configuration\n"
-"file. Zero means that no indentation is performed at all\n"
-"when saving the configuration."
+"Shift width of one indentation level in the configuration file. Zero means "
+"that no indentation is performed at all when saving the configuration."
 msgstr ""
 "A konfigurcis llomny szvegbehzsa a sor elejtl.\n"
 "A nulla azt jelenti hogy nincs szvegbehzs mentskor."
 
-#: src/config/options.inc:37
+#: src/config/options.inc:38
 msgid "Saving style"
 msgstr "Mentsi md"
 
-#: src/config/options.inc:39
+#: src/config/options.inc:40
+#, fuzzy
 msgid ""
 "Determines what happens when you tell ELinks to save options:\n"
 "0 is only values of current options are altered\n"
-"1 is values of current options are altered and missing options\n"
-"     are added at the end of the file\n"
+"1 is values of current options are altered and missing\n"
+"     options are added at the end of the file\n"
 "2 is the configuration file is rewritten from scratch\n"
-"3 is values of current options are altered and missing options\n"
-"     CHANGED during this ELinks session are added at the end of\n"
-"     the file"
+"3 is values of current options are altered and missing\n"
+"     options CHANGED during this ELinks session are added at\n"
+"     the end of the file"
 msgstr ""
 "Meghatrozza hogy az ELinks konfigurcis fjl mentse hogyan trtnjen:\n"
 "0 - csak az aktulis belltsok rdnak t\n"
@@ -2118,17 +2147,17 @@ msgstr ""
 "3 - az aktulis belltsok s a fjlbl hinyz opcik rdnak be, amelyek\n"
 "    az ELinks mostani futsa alatt valtoztak meg"
 
-#: src/config/options.inc:48
+#: src/config/options.inc:50
 msgid "Comments localization"
 msgstr "Megjegyzsek anyanyelvi fordtsa"
 
-#: src/config/options.inc:50
+#: src/config/options.inc:52
+#, fuzzy
 msgid ""
-"If set to 1, comments in the configuration file will be\n"
-"translated to the language used by UI. Note that if you have\n"
-"different language set in different terminals, the language\n"
-"used in the configuration file MAY be the same as on the\n"
-"terminal where you saved the file, but it should be generally\n"
+"If set to 1, comments in the configuration file will be translated to the "
+"language used by UI. Note that if you have different language set in "
+"different terminals, the language used in the configuration file MAY be the "
+"same as on the terminal where you saved the file, but it should be generally "
 "considered unpredictable."
 msgstr ""
 "Ha az rtke 1, a konfigurcis llomnyban lv megjegyzsek\n"
@@ -2137,97 +2166,97 @@ msgstr ""
 "lltottl be, a konfigurcis llomnyban lv megjegyzsek annak\n"
 "megfelelek lesznek, amelyik terminlon utoljra trtnt ments."
 
-#: src/config/options.inc:58
+#: src/config/options.inc:60
 msgid "Saving style warnings"
 msgstr "Mentsi md figyelmeztetsei"
 
-#: src/config/options.inc:60
+#: src/config/options.inc:62
+#, fuzzy
 msgid ""
-"This is internal option used when displaying a warning about\n"
-"obsolete config.saving_style. You shouldn't touch it."
+"This is internal option used when displaying a warning about obsolete config."
+"saving_style. You shouldn't touch it."
 msgstr ""
 "Ez egy bels opci, amit figyelmeztetskor hasznl az elavult\n"
 "config.saving_style. Nem clszer lltani."
 
-#: src/config/options.inc:63
+#: src/config/options.inc:66
 msgid "Show template"
 msgstr "Belltsmintk megjelentse"
 
-#: src/config/options.inc:65
+#: src/config/options.inc:68
+#, fuzzy
 msgid ""
-"Show template options in autocreated trees in the options\n"
-"manager and save them to the configuration file."
+"Show template options in autocreated trees in the options manager and save "
+"them to the configuration file."
 msgstr ""
 "Belltsmintk megjelentse a belltsok ablakban, s elmentse a\n"
 "konfigurcis llomnyba."
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:71 src/dialogs/info.c:180
+#: src/config/options.inc:74 src/dialogs/info.c:180
 msgid "Connections"
 msgstr "Kapcsolatok"
 
-#: src/config/options.inc:73
+#: src/config/options.inc:76
 msgid "Connection options."
 msgstr "Kapcsolatok belltsai."
 
-#: src/config/options.inc:76
+#: src/config/options.inc:79
 msgid "Asynchronous DNS"
 msgstr "Aszinkron nvfelolds"
 
-#: src/config/options.inc:78
+#: src/config/options.inc:81
 msgid "Whether to use asynchronous DNS resolving."
 msgstr "Hasznljunk-e az aszinkron nvfeloldst."
 
-#: src/config/options.inc:80
+#: src/config/options.inc:83
 msgid "Maximum connections"
 msgstr "Maximlis kapcsolatok szma"
 
-#: src/config/options.inc:82
+#: src/config/options.inc:85
 msgid "Maximum number of concurrent connections."
 msgstr "Az egyidben megnyithat maximlis kapcsolatok szma"
 
-#: src/config/options.inc:84
+#: src/config/options.inc:87
 msgid "Maximum connections per host"
 msgstr "Gpenknt megnyithat maximlis kapcsolatok szma"
 
-#: src/config/options.inc:86
+#: src/config/options.inc:89
 msgid "Maximum number of concurrent connections to a given host."
 msgstr "Az egyidben megnyithat maximlis kapcsolatok szma egy adott gphez"
 
-#: src/config/options.inc:88
+#: src/config/options.inc:92
 msgid "Connection retries"
 msgstr "Kapcsolatfelvteli prblkozsok"
 
-#: src/config/options.inc:90
-msgid ""
-"Number of tries to establish a connection.\n"
-"Zero means try forever."
+#: src/config/options.inc:94
+#, fuzzy
+msgid "Number of tries to establish a connection. Zero means try forever."
 msgstr ""
 "A kapcsolatfelvtelre irnyul kisrletek szma.\n"
 "A nulla rtk vgtelen szm prblkozst jelent."
 
-#: src/config/options.inc:93 src/network/state.c:53
+#: src/config/options.inc:97 src/network/state.c:53
 msgid "Receive timeout"
 msgstr "Idtllps adatfogads kzben"
 
-#: src/config/options.inc:95
+#: src/config/options.inc:99
 msgid "Receive timeout (in seconds)."
 msgstr "Idtllpsi rtk vtelkor (msodpercben)"
 
-#: src/config/options.inc:98 src/config/options.inc:108
+#: src/config/options.inc:102 src/config/options.inc:113
 msgid "Try IPv4 when connecting"
 msgstr "Kapcsolds IPv4 protokollal"
 
-#: src/config/options.inc:100
+#: src/config/options.inc:104
 #, fuzzy
 msgid ""
-"Whether to try to connect to a host over IPv4.\n"
-"Note that if connection.try_ipv6 is enabled too,\n"
-"it takes precedence. And better do not touch this\n"
+"Whether to try to connect to a host over IPv4. Note that if connection."
+"try_ipv6 is enabled too, it takes precedence. And better do not touch this "
 "at all unless you are sure what are you doing.\n"
-"Note that you can also force a given protocol\n"
-"to be used on a per-connection basis by using a URL\n"
-"in the style of e.g. http4://elinks.cz/."
+"\n"
+"Note that you can also force a given protocol to be used on a per-connection "
+"basis by using a URL in the style of e.g. http4://elinks.cz/."
 msgstr ""
 "Az IPv4 protokoll hasznlata a kapcsoldshoz.\n"
 "Ha a connection.try_ipv6 opci is engedlyezett, ez\n"
@@ -2236,14 +2265,13 @@ msgstr ""
 "hasznlt protokoll tpust az URL-ben is el lehet rni\n"
 "mint pl.: http4://elinks.or.cz/"
 
-#: src/config/options.inc:110
+#: src/config/options.inc:115
 #, fuzzy
 msgid ""
-"Whether to try to connect to a host over IPv4.\n"
-"Do not touch this option.\n"
-"Note that you can also force a given protocol\n"
-"to be used on a per-connection basis by using a URL\n"
-"in the style of e.g. http4://elinks.cz/."
+"Whether to try to connect to a host over IPv4. Do not touch this option.\n"
+"\n"
+"Note that you can also force a given protocol to be used on a per-connection "
+"basis by using a URL in the style of e.g. http4://elinks.cz/."
 msgstr ""
 "Az IPv4 protokoll hasznlata a kapcsoldshoz.\n"
 "Ne lltsd amg pontosan nem tudod mire val.\n"
@@ -2251,96 +2279,99 @@ msgstr ""
 "tpust az URL-ben is el lehet rni mint pl.:\n"
 "http4://elinks.or.cz/"
 
-#: src/config/options.inc:118
+#: src/config/options.inc:124
 msgid "Try IPv6 when connecting"
 msgstr "Kapcsolds IPv6 protokollal"
 
-#: src/config/options.inc:120
+#: src/config/options.inc:126
 #, fuzzy
 msgid ""
 "Whether to try to connect to a host over IPv6.\n"
-"Note that you can also force a given protocol\n"
-"to be used on a per-connection basis by using a URL\n"
-"in the style of e.g. http6://elinks.cz/."
+"\n"
+"Note that you can also force a given protocol to be used on a per-connection "
+"basis by using a URL in the style of e.g. http6://elinks.cz/."
 msgstr ""
 "Az IPv6 protokoll hasznlata a kapcsoldshoz.\n"
 "Megjegyzs: a kapcsoldshoz hasznlt protokoll\n"
 "tpust az URL-ben is el lehet rni mint pl.:\n"
 "http6://elinks.or.cz/"
 
-#: src/config/options.inc:126
+#: src/config/options.inc:133
 msgid "Timeout for non-restartable connections"
 msgstr "Idtllpsi rtk nem jraindthat kapcsolattpusoknl"
 
-#: src/config/options.inc:128
+#: src/config/options.inc:135
 msgid "Timeout for non-restartable connections (in seconds)."
 msgstr ""
 "Idtllpsi rtk nem jraindthat kapcsolattpusoknl (msodpercben)"
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:134
+#: src/config/options.inc:141
 msgid "Document"
 msgstr "Dokumentum"
 
-#: src/config/options.inc:136
+#: src/config/options.inc:143
 msgid "Document options."
 msgstr "Dokumentum belltsok."
 
-#: src/config/options.inc:138
+#: src/config/options.inc:145
 msgid "Browsing"
 msgstr "Bngszs"
 
-#: src/config/options.inc:140
+#: src/config/options.inc:147
 msgid "Document browsing options (mainly interactivity)."
 msgstr "Dokumentum bngszsi belltsok (fknt interaktivits)."
 
-#: src/config/options.inc:143
+#: src/config/options.inc:150
 msgid "Access keys"
 msgstr "Accesskey attribtum kezelse"
 
-#: src/config/options.inc:145
+#: src/config/options.inc:152
+#, fuzzy
 msgid ""
-"Options for handling of link access keys.\n"
-"An HTML document can use the ACCESSKEY attribute to assign\n"
-"an access key to an element. When an access key is pressed,\n"
-"the corresponding element will be given focus."
+"Options for handling of link access keys. An HTML document can use the "
+"ACCESSKEY attribute to assign an access key to an element. When an access "
+"key is pressed, the corresponding element will be given focus."
 msgstr ""
 "Az accesskey attribtum kezelsnek belltsai.\n"
 "Egy HTML dokumentum tartalmazhat accesskey attribtumokat,\n"
 "amelyekkel elemekhez rendelhetk billentyk. Ha egy accesskey-t\n"
 "menyomunk, a hozz tartoz elem aktivizldik."
 
-#: src/config/options.inc:150
+#: src/config/options.inc:157
 msgid "Automatic links following"
 msgstr "Automatikus link kvets"
 
-#: src/config/options.inc:152
+#: src/config/options.inc:159
+#, fuzzy
 msgid ""
-"Automatically follow a link or submit a form if appropriate\n"
-"accesskey is pressed - this is the standard behaviour, but it's\n"
-"considered dangerous."
+"Automatically follow a link or submit a form if appropriate accesskey is "
+"pressed - this is the standard behaviour, but it's considered dangerous."
 msgstr ""
 "Automatikusan kveti a linket, vagy elkld egy adatlapot, ha az elemhez\n"
 "tartoz accesskey lett lenyomva. Ez az alaprtelmezett zemmd, \n"
 "de veszlyes lehet."
 
-#: src/config/options.inc:156
+#: src/config/options.inc:163
 msgid "Display access key in link info"
 msgstr "Az accesskey attribtum megjelentse a link informcii kztt"
 
-#: src/config/options.inc:158
+#: src/config/options.inc:165
 msgid "Display access key in link info."
 msgstr "Az accesskey attribtum megjelentse a link informcii kztt."
 
-#: src/config/options.inc:160
+#: src/config/options.inc:167
 msgid "Accesskey priority"
 msgstr "\"Accesskey\" priorits"
 
-#: src/config/options.inc:162
+#: src/config/options.inc:169
+#, fuzzy
 msgid ""
 "Priority of 'accesskey' HTML attribute:\n"
-"0 is first try all normal bindings; if it fails, check accesskey\n"
-"1 is first try only frame bindings; if it fails, check accesskey\n"
+"0 is first try all normal bindings; if it fails,\n"
+"     check accesskey\n"
+"1 is first try only frame bindings; if it fails,\n"
+"     check accesskey\n"
 "2 is first check accesskey (this can be dangerous)"
 msgstr ""
 "Az \"accesskey\" HTML attribtum prioritsa:\n"
@@ -2349,53 +2380,52 @@ msgstr ""
 "1 - csak a keret billentyhozzrendelsei, aztn az accesskey\n"
 "2 - az accesskey az elsdleges (veszlyes lehet)"
 
-#: src/config/options.inc:168
+#: src/config/options.inc:177
 msgid "Forms"
 msgstr "rlapok"
 
-#: src/config/options.inc:170
+#: src/config/options.inc:179
 msgid "Options for handling of the forms interaction."
 msgstr "Az rlapok kezelsvel kapcsolatos belltsok."
 
-#: src/config/options.inc:172
+#: src/config/options.inc:181
 msgid "Submit form automatically"
 msgstr "Az rlap automatikus elkldse"
 
-#: src/config/options.inc:174
+#: src/config/options.inc:183
+#, fuzzy
 msgid ""
-"Automagically submit a form when enter is pressed with a text\n"
-"field selected."
+"Automagically submit a form when enter is pressed with a text field selected."
 msgstr "Az rlap automatikus elkldse ha szvegmezn entert nyomunk."
 
-#: src/config/options.inc:177
+#: src/config/options.inc:186
 msgid "Confirm submission"
 msgstr "A klds megerstse"
 
-#: src/config/options.inc:179
+#: src/config/options.inc:188
 msgid "Ask for confirmation when submitting a form."
 msgstr "rlap elkldse eltt krjen megerstst."
 
-#: src/config/options.inc:181
+#: src/config/options.inc:190
 msgid "Default form input size"
 msgstr ""
 
-#: src/config/options.inc:183
+#: src/config/options.inc:192
 msgid "Default form input size if none is specified."
 msgstr ""
 
-#: src/config/options.inc:185
+#: src/config/options.inc:194
 msgid "Insert mode"
 msgstr "Beszrs zemmd"
 
-#: src/config/options.inc:187
+#: src/config/options.inc:196
 #, fuzzy
 msgid ""
-"The setting for this option affects how key presses are handled\n"
-"when one selects a text-input form-field. When enabled, one must\n"
-"explicitly 'enter' a selected text-field to edit it; this prevents\n"
-"text fields from capturing key presses, such as presses of a scroll\n"
-"key, when it is inadvertently selected. When disabled, key presses\n"
-"are always inserted into a selected text field."
+"The setting for this option affects how key presses are handled when one "
+"selects a text-input form-field. When enabled, one must explicitly 'enter' a "
+"selected text-field to edit it; this prevents text fields from capturing key "
+"presses, such as presses of a scroll key, when it is inadvertently selected. "
+"When disabled, key presses are always inserted into a selected text field."
 msgstr ""
 "Ez a bellts a szvegbeviteli mezk viselkedst hatrozza meg.\n"
 "Ha be van kapcsolva, a mezkbe val szvegbevitel eltt ki kell azokat "
@@ -2405,39 +2435,42 @@ msgstr ""
 "amiket pldul az oldal lapozsra szeretnnk hasznlni.\n"
 "Ha le van tiltva, akkor minden bevitel a szvegmezbe kerl."
 
-#: src/config/options.inc:194
+#: src/config/options.inc:204
 #, fuzzy
 msgid "External editor"
 msgstr "Megnyits kls szerkesztprogramban"
 
-#: src/config/options.inc:196
+#: src/config/options.inc:206
 msgid ""
-"Path to the executable that ELinks should launch when the user\n"
-"requests to edit a textarea with an external editor.\n"
-"If this is blank, ELinks will use the value of the environmental\n"
-"variable $EDITOR. If $EDITOR is empty or not set, ELinks will then\n"
-"default to \"vi\"."
+"Path to the executable that ELinks should launch when the user requests to "
+"edit a textarea with an external editor.\n"
+"\n"
+"If this is blank, ELinks will use the value of the environmental variable "
+"$EDITOR. If $EDITOR is empty or not set, ELinks will then default to \"vi\"."
 msgstr ""
 
-#: src/config/options.inc:203
+#: src/config/options.inc:214
 msgid "Images"
 msgstr "Kpek"
 
-#: src/config/options.inc:205
+#: src/config/options.inc:216
 msgid "Options for handling of images."
 msgstr "Kpkezelsi belltsok."
 
-#: src/config/options.inc:207
+#: src/config/options.inc:218
 msgid "Display style for image tags"
 msgstr "A kpek linkjeinek megjelentsi stlusa"
 
-#: src/config/options.inc:209
+#: src/config/options.inc:220
+#, fuzzy
 msgid ""
 "Display style for image tags when displayed:\n"
 "0     means always display IMG\n"
 "1     means always display filename\n"
-"2     means display alt/title attribute if possible, IMG if not\n"
-"3     means display alt/title attribute if possible, filename if not"
+"2     means display alt/title attribute if possible,\n"
+"      IMG if not\n"
+"3     means display alt/title attribute if possible,\n"
+"      filename if not"
 msgstr ""
 "A kpek linkjeinek megjelentsi stlusa:\n"
 "0     IMG felirat megjelentse\n"
@@ -2445,27 +2478,29 @@ msgstr ""
 "2     alt/title attribtum kiirsa, ha nincs IMG felirat megjelentse\n"
 "3     alt/title attribtum kiirsa, ha nincs fjlnv megjelentse"
 
-#: src/config/options.inc:215
+#: src/config/options.inc:228
 msgid "Maximum length for image filename"
 msgstr "A kpfjl nevnek maximlis hossza"
 
-#: src/config/options.inc:217
+#: src/config/options.inc:230
+#, fuzzy
 msgid ""
 "Maximum length of image filename when displayed:\n"
 "0     means always display full filename\n"
 "1-500 means display filename with this maximal length;\n"
-"      if it is longer, the middle is substituted by an asterisk"
+"      if it is longer, the middle is substituted by\n"
+"      an asterisk"
 msgstr ""
 "A kpfjl nevnek maximlis megjelentett hossza:\n"
 "0     teljes fjlnv kirsa\n"
 "1-500 jelenjen meg a cl fjlnv ennyi karakter hosszsgban;\n"
 "       hogyha ennl hosszabb, akkor a kzepbe csillag kerl"
 
-#: src/config/options.inc:227
+#: src/config/options.inc:241
 msgid "Image links tagging"
 msgstr "A kpek linkjeinek jellse"
 
-#: src/config/options.inc:229
+#: src/config/options.inc:243
 msgid ""
 "When to enclose image links:\n"
 "0 means never\n"
@@ -2477,97 +2512,100 @@ msgstr ""
 "1 - soha, ha alt vagy title tag van megadva hozz\n"
 "2 - mindig"
 
-#: src/config/options.inc:234
+#: src/config/options.inc:248
 msgid "Image link prefix"
 msgstr "A kpek linkjeinek felirata (eltag)"
 
-#: src/config/options.inc:236
+#: src/config/options.inc:250
 msgid "Prefix string to use to mark image links."
 msgstr "Szveg ami a kpek linkjeinek megjellsre szolgl."
 
-#: src/config/options.inc:238
+#: src/config/options.inc:252
 msgid "Image link suffix"
 msgstr "A kpek linkjeinek felirata (uttag)"
 
-#: src/config/options.inc:240
+#: src/config/options.inc:254
 msgid "Suffix string to use to mark image links."
 msgstr "Szveg ami a kpek linkjeinek megjellsre szolgl."
 
-#: src/config/options.inc:242
+#: src/config/options.inc:256
 msgid "Maximum length for image label"
 msgstr "A kpfjl cmkjnek maximlis megjelentett hossza"
 
-#: src/config/options.inc:244
+#: src/config/options.inc:258
+#, fuzzy
 msgid ""
 "Maximum length of image label (alt/title):\n"
 "0     means always display full label\n"
 "1-500 means display label with this maximal length;\n"
-"      if it is longer, the middle is substituted by an asterisk"
+"      if it is longer, the middle is substituted by\n"
+"      an asterisk"
 msgstr ""
 "A kpfjl cmkjnek maximlis megjelentett hossza:\n"
 "0     jelenjen meg a teljes cmke\n"
 "1-500 jelenjen meg a cmke ennyi karakter hosszsgban;\n"
 "       hogyha ennl hosszabb, akkor a kzepbe csillag kerl"
 
-#: src/config/options.inc:249
+#: src/config/options.inc:264
 msgid "Display links to images w/o alt"
 msgstr "Az alt tag nlkli kpekre mutat linkek megjelentse"
 
-#: src/config/options.inc:251
+#: src/config/options.inc:266
+#, fuzzy
 msgid ""
-"Display links to images without an alt attribute. If this option\n"
-"is off, these images are completely invisible."
+"Display links to images without an alt attribute. If this option is off, "
+"these images are completely invisible."
 msgstr ""
 "Az alt tag nlkli kpekre mutat linkek megjelentse. Ha ez\n"
 "a bellts ki van kapcsolva, ezek a kpek teljesen lthatatlanok."
 
-#: src/config/options.inc:254
+#: src/config/options.inc:269
 msgid "Display links to images"
 msgstr "A kpekre mutat linkek megjelentse"
 
-#: src/config/options.inc:256
+#: src/config/options.inc:271
+#, fuzzy
 msgid ""
-"Display links to any images in the document, regardless of them\n"
-"having an alt attribute or not. If this option is off, the alt\n"
-"attribute contents is shown, but as normal text, not selectable\n"
-"as a link."
+"Display links to any images in the document, regardless of them having an "
+"alt attribute or not. If this option is off, the alt attribute contents is "
+"shown, but as normal text, not selectable as a link."
 msgstr ""
 "A kpekre mutat linkek megjelentse, attl fggetlenl hogy\n"
 "van-e alt attribtuma vagy sem. Ha ez a bellts ki van kapcsolva,\n"
 "az alt tag tartalma jelenik meg, de csak norml szvegknt,\n"
 "s nem kivlaszthat linkknt."
 
-#: src/config/options.inc:262
+#: src/config/options.inc:277
 msgid "Links"
 msgstr "Linkek"
 
-#: src/config/options.inc:264
+#: src/config/options.inc:279
 msgid "Options for handling of links to other documents."
 msgstr "Ms dokumentumokra mutat linkek kezelse."
 
-#: src/config/options.inc:266
+#: src/config/options.inc:281
 msgid "Active link"
 msgstr "Aktv linkek"
 
-#: src/config/options.inc:268
+#: src/config/options.inc:283
 msgid "Options for the active link."
 msgstr "Az aktv linkek belltsai."
 
-#: src/config/options.inc:270
+#: src/config/options.inc:285
 msgid "Colors"
 msgstr "Sznek"
 
-#: src/config/options.inc:272
+#: src/config/options.inc:287
 msgid "Active link colors."
 msgstr "Aktv link sznei."
 
-#: src/config/options.inc:274 src/config/options.inc:549
-#: src/config/options.inc:945
+#: src/config/options.inc:289 src/config/options.inc:583
+#: src/config/options.inc:1014
 msgid "Background color"
 msgstr "Httrszn"
 
-#: src/config/options.inc:276 src/config/options.inc:551
-#: src/config/options.inc:946
+#: src/config/options.inc:291 src/config/options.inc:585
+#: src/config/options.inc:1015
 msgid "Default background color."
 msgstr "Alaprtelmezett httrszn."
 
@@ -2579,76 +2617,77 @@ msgstr "Alaprtelmezett httrszn."
 #. *	on it.
 #. The colors and mono tree should be similar but with different default
 #. * values of course so always use the macros below.
-#: src/config/options.inc:278 src/config/options.inc:545
-#: src/config/options.inc:943
+#: src/config/options.inc:293 src/config/options.inc:579
+#: src/config/options.inc:1012
 msgid "Text color"
 msgstr "Szvegszn"
 
-#: src/config/options.inc:280 src/config/options.inc:547
-#: src/config/options.inc:944
+#: src/config/options.inc:295 src/config/options.inc:581
+#: src/config/options.inc:1013
 msgid "Default text color."
 msgstr "Alaprtelmezett szvegszn."
 
-#: src/config/options.inc:282
+#: src/config/options.inc:297
 msgid "Enable color"
 msgstr "Sznek engedlyezse"
 
-#: src/config/options.inc:284
+#: src/config/options.inc:299
+#, fuzzy
 msgid ""
-"Enable use of the active link background and text color\n"
-"settings instead of the link colors from the document."
+"Enable use of the active link background and text color settings instead of "
+"the link colors from the document."
 msgstr ""
 "Az aktv link szveg-, s httrsznnek hasznlata a\n"
 "konfigurcis fjlbl, a dokumentumban belltott helyett."
 
-#: src/config/options.inc:287
+#: src/config/options.inc:302
 msgid "Bold"
 msgstr "Flkvr"
 
-#: src/config/options.inc:289
+#: src/config/options.inc:304
 msgid "Make the active link text bold."
 msgstr "Az aktv link legyen flkvr."
 
-#: src/config/options.inc:291
+#: src/config/options.inc:306
 msgid "Invert colors"
 msgstr "Sznek invertlsa"
 
-#: src/config/options.inc:293
+#: src/config/options.inc:308
 msgid "Invert the fore- and background color so the link stands out."
 msgstr ""
 "Invertlja az eltr s a httr szneit, hogy a linkek kiemelkedjenek."
 
-#: src/config/options.inc:296 src/config/options.inc:908
+#: src/config/options.inc:311 src/config/options.inc:975
 #: src/dialogs/options.c:231
 msgid "Underline"
 msgstr "Alhzs"
 
-#: src/config/options.inc:298
+#: src/config/options.inc:313
 msgid "Underline the active link."
 msgstr "Az aktv link alhzsa."
 
-#: src/config/options.inc:301
+#: src/config/options.inc:316
 msgid "Directory highlighting"
 msgstr "Alknyvtrak kiemelse"
 
-#: src/config/options.inc:303
+#: src/config/options.inc:318
 msgid "Highlight links to directories in FTP and local directory listing."
 msgstr ""
 "Emelje ki a knyvtrakat az FTP, s a helyi knyvtrak bngszs esetn."
 
-#: src/config/options.inc:305
+#: src/config/options.inc:321
 msgid "Number links"
 msgstr "Linkek szma"
 
-#: src/config/options.inc:307
+#: src/config/options.inc:323
 msgid "Display numbers next to the links."
 msgstr "Szmok megjelentse a linek mellett."
 
-#: src/config/options.inc:309
+#: src/config/options.inc:325
 msgid "Handling of target=_blank"
 msgstr "A target=_blank attribtum kezelse"
 
-#: src/config/options.inc:311
+#: src/config/options.inc:327
 #, fuzzy
 msgid ""
 "Define how to handle links having target=_blank set:\n"
@@ -2662,41 +2701,41 @@ msgstr ""
 "1 - j fln nyljanak meg eltrben\n"
 "2 - j fln nyljanak meg a httrben"
 
-#: src/config/options.inc:324
+#: src/config/options.inc:340
 msgid "Use tabindex"
 msgstr "A \"tabindex\" attribtum hasznlata"
 
-#: src/config/options.inc:326
+#: src/config/options.inc:342
 #, fuzzy
 msgid ""
-"Whether to navigate links using tabindex specified ordering.\n"
-"The TABINDEX attribute in HTML elements specifies the order\n"
-"in which links should receive focus when using the keyboard\n"
-"to navigate the document."
+"Whether to navigate links using tabindex specified ordering. The TABINDEX "
+"attribute in HTML elements specifies the order in which links should receive "
+"focus when using the keyboard to navigate the document."
 msgstr ""
 "Navigci a tabindex ltal megadott sorrend szerint.\n"
 "A HTML elemek TABINDEX attribtuma meghatrozza hogy\n"
 "a billentyzettel trtn navigci sorn melyik elem milyen\n"
 "sorrendben kvetkezzen egyms utn."
 
-#: src/config/options.inc:331
+#: src/config/options.inc:347
 #, fuzzy
 msgid "Missing fragment reporting"
 msgstr "Hinyz tredk"
 
-#: src/config/options.inc:333
+#: src/config/options.inc:349
 #, fuzzy
 msgid "Open a message box when document has no tag with given id."
 msgstr "Ablak megnyitsa ha egy szkriptben hiba tallhat."
 
-#: src/config/options.inc:335
+#: src/config/options.inc:352
 msgid "Number keys select links"
 msgstr "A szmbillentyk kivlasztjk a linkeket"
 
-#: src/config/options.inc:337
+#: src/config/options.inc:354
+#, fuzzy
 msgid ""
-"Number keys select links rather than specify command prefixes. This\n"
-"is a tristate:\n"
+"Number keys select links rather than specify command prefixes. This is a "
+"tristate:\n"
 "0 means never\n"
 "1 means if document.browse.links.numbering = 1\n"
 "2 means always"
@@ -2707,15 +2746,16 @@ msgstr ""
 "1 - ha a document.browse.links.numbering = 1\n"
 "2 - mindig"
 
-#: src/config/options.inc:343
+#: src/config/options.inc:360
 msgid "Warn about maliciously crafted URIs"
 msgstr "Figyelmeztets hibs URI-k esetn"
 
-#: src/config/options.inc:345
+#: src/config/options.inc:362
+#, fuzzy
 msgid ""
-"When following a link the user ID part of the URI is\n"
-"checked and if a maliciously crafted URI is detected a\n"
-"warning dialog will ask before following the link."
+"When following a link the user ID part of the URI is checked and if a "
+"maliciously crafted URI is detected a warning dialog will ask before "
+"following the link."
 msgstr ""
 "Egy link kivlasztsa utn figyelmeztessen ha az adott link\n"
 "rossz szndk hibt tartalmaz, mieltt megnyitn az abban\n"
@@ -2723,99 +2763,102 @@ msgstr ""
 
 #. TODO - this is somehow implemented by ff, but disabled
 #. * for now as it doesn't work.
-#: src/config/options.inc:351
+#: src/config/options.inc:368
 msgid "Wrap-around links cycling"
 msgstr "Linkek kivlasztsa"
 
 #. 0
-#: src/config/options.inc:353
+#: src/config/options.inc:370
 #, fuzzy
 msgid ""
-"When pressing 'down' on the last link, jump to the first one, and\n"
-"vice versa."
+"When pressing 'down' on the last link, jump to the first one, and vice versa."
 msgstr ""
 "Ha az utols linken lefel nyilat nyomsz, ugorjon az elsre, s fordtva."
 
-#: src/config/options.inc:357
+#: src/config/options.inc:374
 msgid "Scrolling"
 msgstr "Grgets"
 
-#: src/config/options.inc:359
+#: src/config/options.inc:376
 msgid "Scrolling options."
 msgstr "Grgetsi belltsok."
 
-#: src/config/options.inc:361
+#: src/config/options.inc:378
 msgid "Horizontal step"
 msgstr "Vzszintes lps"
 
-#: src/config/options.inc:363
+#: src/config/options.inc:380
+#, fuzzy
 msgid ""
-"Number of columns to scroll when a key bound to scroll-left or scroll-\n"
-"right is pressed and no prefix was given."
+"Number of columns to scroll when a key bound to scroll-left or scroll-right "
+"is pressed and no prefix was given."
 msgstr ""
 "Ennyi sort grget balra vagy jobbra ha egy grgetsre szolgl\n"
 "billentykombincit prefix nlkl hasznlunk."
 
-#: src/config/options.inc:366
+#: src/config/options.inc:384
 msgid "Extended horizontal scrolling"
 msgstr "Kiterjesztett vzszintes grgets"
 
-#: src/config/options.inc:368
+#: src/config/options.inc:386
+#, fuzzy
 msgid ""
-"Whether to allow horizontal scrolling when the document\n"
-"does not extend off the screen. Useful for copy/paste\n"
-"operations."
+"Whether to allow horizontal scrolling when the document does not extend off "
+"the screen. Useful for copy/paste operations."
 msgstr ""
 "Engedlyezi a vzszintes irny grgetst, akkor is,\n"
 "ha az adott dokumentum nem lgna ki a kpernyrl.\n"
 "Vglapmveleteknl hasznos."
 
-#: src/config/options.inc:372
+#: src/config/options.inc:390
 msgid "Margin"
 msgstr "Marg"
 
-#: src/config/options.inc:374
+#: src/config/options.inc:392
+#, fuzzy
 msgid ""
-"Size of the virtual margin - when you click inside of that margin,\n"
-"document scrolls in that direction."
+"Size of the virtual margin - when you click inside of that margin, document "
+"scrolls in that direction."
 msgstr "A marg mrete, amire kattintva lapozni lehet a megfelel irnyba."
 
-#: src/config/options.inc:377
+#: src/config/options.inc:395
 msgid "Vertical step"
 msgstr "Fggleges lpskz"
 
-#: src/config/options.inc:379
+#: src/config/options.inc:397
+#, fuzzy
 msgid ""
-"Number of lines to scroll when a key bound to scroll-up or scroll-\n"
-"down is pressed and no prefix was given."
+"Number of lines to scroll when a key bound to scroll-up or scroll-down is "
+"pressed and no prefix was given."
 msgstr ""
 "Ennyi sort grget felfel vagy lefel ha egy grgetsre szolgl\n"
 "billentykombincit prefix nlkl hasznlunk."
 
-#: src/config/options.inc:383
+#: src/config/options.inc:401
 msgid "Searching"
 msgstr "Keress"
 
-#: src/config/options.inc:385
+#: src/config/options.inc:403
 msgid "Options for searching."
 msgstr "Keressi belltsok."
 
-#: src/config/options.inc:387
+#: src/config/options.inc:405
 msgid "Case sensitivity"
 msgstr "Kis/nagybet rzkenysg"
 
-#: src/config/options.inc:389
+#: src/config/options.inc:407
+#, fuzzy
 msgid ""
-"Whether the search should match the document text while maintaining\n"
-"case sensitivity."
+"Whether the search should match the document text while maintaining case "
+"sensitivity."
 msgstr ""
 "A dokumentum szvegben val keresskor a kis/nagybetk figyelembe vtele."
 
-#: src/config/options.inc:393
+#: src/config/options.inc:411
 msgid "Regular expressions"
 msgstr "Regulris kifejezs"
 
-#: src/config/options.inc:395
+#: src/config/options.inc:413
 msgid ""
 "Enable searching with regular expressions:\n"
 "0 for plain text searching\n"
@@ -2827,32 +2870,32 @@ msgstr ""
 "1 - egyszer regulris kifejezsek\n"
 "2 - kiterjesztett regulris kifejezsek"
 
-#: src/config/options.inc:401
+#: src/config/options.inc:419
 msgid "Show search hit top or bottom dialogs"
 msgstr "A keress dialgusablakai"
 
-#: src/config/options.inc:403
+#: src/config/options.inc:421
 #, fuzzy
 msgid ""
-"Whether to show a dialog when the search hits the top or bottom of the\n"
+"Whether to show a dialog when the search hits the top or bottom of the "
 "document."
 msgstr ""
 "Mutasson-e dialgusablakot ha a keress elrte a dokumentum aljt\n"
 "vagy tetejt."
 
-#: src/config/options.inc:406
+#: src/config/options.inc:424
 msgid "Wraparound"
 msgstr ""
 
-#: src/config/options.inc:408
+#: src/config/options.inc:426
 msgid "Wrap around when searching. Currently only used for typeahead."
 msgstr ""
 
-#: src/config/options.inc:410
+#: src/config/options.inc:429
 msgid "Show not found"
 msgstr "Ha nincs tallat"
 
-#: src/config/options.inc:412
+#: src/config/options.inc:431
 msgid ""
 "How to inform the user when nothing is matched:\n"
 "0 means do nothing\n"
@@ -2864,42 +2907,46 @@ msgstr ""
 "1 - a terminl adjon hangjelzst\n"
 "2 - ugorjon be egy zenetablak"
 
-#: src/config/options.inc:417
+#: src/config/options.inc:436
 msgid "Typeahead searching"
 msgstr "Keress ~gpels kzben"
 
-#: src/config/options.inc:419
+#: src/config/options.inc:438
 msgid ""
-"Start typeahead searching when an unbound key is pressed without\n"
-"any modifiers. Note that most keys have default bindings, so this\n"
-"feature will not be useful unless you unbind them.\n"
+"Start typeahead searching when an unbound key is pressed without any "
+"modifiers. Note that most keys have default bindings, so this feature will "
+"not be useful unless you unbind them.\n"
 "\n"
-"0 disables this feature; typeahead searching will only be used\n"
-"  when you press a key bound to search-typeahead or similar\n"
+"0 disables this feature; typeahead searching will only be\n"
+"  used when you press a key bound to search-typeahead or\n"
+"  similar\n"
 "1 automatically starts typeahead searching thru link text\n"
-"2 automatically starts typeahead searching thru all document text"
+"2 automatically starts typeahead searching thru all document\n"
+"  text"
 msgstr ""
 
-#: src/config/options.inc:428
+#: src/config/options.inc:451
 msgid "Horizontal text margin"
 msgstr "Vzszintes marg"
 
-#: src/config/options.inc:430
+#: src/config/options.inc:453
 msgid "Horizontal text margin."
 msgstr "Vzszintes marg."
 
-#: src/config/options.inc:432
+#: src/config/options.inc:455
 msgid "Document meta refresh"
 msgstr "Meta refresh tag-ek kezelse"
 
-#: src/config/options.inc:434
+#: src/config/options.inc:457
+#, fuzzy
 msgid ""
-"Automatically follow document-specified refresh directives ('<meta>\n"
-"refresh' tags). Web-page authors use these to instruct the browser\n"
-"to reload a document at a given interval or to load another page.\n"
-"Regardless of the value the refresh URI is accessible as a link.\n"
-"Use the document.browse.minimum_refresh_time to control the minimum\n"
-"number of seconds a refresh will wait."
+"Automatically follow document-specified refresh directives ('<meta> refresh' "
+"tags). Web-page authors use these to instruct the browser to reload a "
+"document at a given interval or to load another page. Regardless of the "
+"value the refresh URI is accessible as a link.\n"
+"\n"
+"Use the document.browse.minimum_refresh_time to control the minimum number "
+"of seconds a refresh will wait."
 msgstr ""
 "Automatikusan kvesse a refresh (jratlts) direktvkat ('<meta>\n"
 "refresh tag-ek). A weblapok kszti ezeket hasznljk arra hogy a\n"
@@ -2909,234 +2956,236 @@ msgstr ""
 "Hasznld a document.browse.minimum_refresh_time opcit a\n"
 "frissts minimlis idejnek megadshoz (msodperc)."
 
-#: src/config/options.inc:441
+#: src/config/options.inc:466
 msgid "Document meta refresh minimum time"
 msgstr "Az oldalak automatikus frisstsi idejnek minimuma"
 
-#: src/config/options.inc:443
+#: src/config/options.inc:468
+#, fuzzy
 msgid ""
-"The minimum number of milliseconds that should pass before\n"
-"refreshing. If set to zero the document refresh time is used\n"
-"unchanged. It can fix going back in history for some sites that\n"
-"use refreshing with zero values."
+"The minimum number of milliseconds that should pass before refreshing. If "
+"set to zero the document refresh time is used unchanged. It can fix going "
+"back in history for some sites that use refreshing with zero values."
 msgstr ""
 "Legalbb ennyi tizedmsodpercnek kell eltelni az oldal automatikus\n"
 "frisstsig. A nulla rtk azt jelenti, hogy az oldal ltal meghatrott\n"
 "rtk legyen rvnyes."
 
-#: src/config/options.inc:448
+#: src/config/options.inc:473
 msgid "Tables navigation order"
 msgstr "Tblzatban val navigls sorrendje"
 
-#: src/config/options.inc:450
+#: src/config/options.inc:475
 msgid "Move by columns in table, instead of rows."
 msgstr "Mozgats oszlopok helyett sorok szerint."
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:456
+#: src/config/options.inc:481
 msgid "Cache"
 msgstr "Gyorsttr"
 
-#: src/config/options.inc:458
+#: src/config/options.inc:483
 msgid "Cache options."
 msgstr "Gyorsttr belltsok."
 
-#: src/config/options.inc:460
+#: src/config/options.inc:485
 msgid "Cache information about redirects"
 msgstr "Az tirnytsi informcik gyorsttrazsa"
 
-#: src/config/options.inc:462
+#: src/config/options.inc:487
 msgid ""
-"Cache even redirects sent by server (usually thru HTTP by a 302\n"
-"HTTP code and a Location header). This was the original behaviour\n"
-"for quite some time, but it causes problems in a situation very\n"
-"common to various web login systems - frequently, when accessing\n"
-"a certain location, they will redirect you to a login page if they\n"
-"don't receive an auth cookie, the login page then gives you the\n"
-"cookie and redirects you back to the original page, but there you\n"
-"have already cached redirect back to the login page! If this\n"
-"option has value of 0, this malfunction is fixed, but occasionally\n"
-"you may get superfluous (depends on how you take it ;-) requests to\n"
-"the server. If this option has value of 1, experienced users can\n"
-"still workaround it by clever combination of usage of reload,\n"
-"jumping around in session history and hitting ctrl+enter.\n"
-"Note that this option is checked when retrieving the information\n"
-"from cache, not when saving it to cache - thus if you enable\n"
-"it, even previous redirects will be taken from cache instead of\n"
-"asking the server."
+"Cache even redirects sent by server (usually thru HTTP by a 302 HTTP code "
+"and a Location header). This was the original behaviour for quite some time, "
+"but it causes problems in a situation very common to various web login "
+"systems - frequently, when accessing a certain location, they will redirect "
+"you to a login page if they don't receive an auth cookie, the login page "
+"then gives you the cookie and redirects you back to the original page, but "
+"there you have already cached redirect back to the login page! If this "
+"option has value of 0, this malfunction is fixed, but occasionally you may "
+"get superfluous (depends on how you take it ;-) requests to the server. If "
+"this option has value of 1, experienced users can still workaround it by "
+"clever combination of usage of reload, jumping around in session history and "
+"hitting ctrl+enter.\n"
+"\n"
+"Note that this option is checked when retrieving the information from cache, "
+"not when saving it to cache - thus if you enable it, even previous redirects "
+"will be taken from cache instead of asking the server."
 msgstr ""
 
-#: src/config/options.inc:480
+#: src/config/options.inc:508
 msgid "Ignore cache-control info from server"
 msgstr ""
 "A szervertl kapott gyorsttrvezrlsi utastsok figyelmen kvl hagysa"
 
-#: src/config/options.inc:482
+#: src/config/options.inc:510
+#, fuzzy
 msgid ""
-"Ignore Cache-Control and Pragma server headers.\n"
-"When set, the document is cached even with 'Cache-Control: no-cache'."
+"Ignore Cache-Control and Pragma server headers. When set, the document is "
+"cached even with 'Cache-Control: no-cache'."
 msgstr ""
 "A gyorsttrvezrlsi utastsok, s a 'pragma' fejlcek figyelmen kvl "
 "hagysa.\n"
 "Ha be van lltva, a dokumentum gyorsttrazsra kerl, akkor is ha\n"
 "'Cache-Control: no-cache' van megadva."
 
-#: src/config/options.inc:485
+#: src/config/options.inc:514
 msgid "Formatted documents"
 msgstr "Formzott dokumentumok"
 
-#: src/config/options.inc:487
+#: src/config/options.inc:516
 msgid "Format cache options."
 msgstr "Formz gyorsttr belltsok."
 
-#: src/config/options.inc:489
+#: src/config/options.inc:518
 msgid "Number"
 msgstr "Szm"
 
-#: src/config/options.inc:491
+#: src/config/options.inc:520
 msgid ""
-"Number of cached formatted pages. Do not get too generous\n"
-"here, 'formatted' means that all the accompanying structures\n"
-"are kept in memory so that you get the cached document\n"
-"immediatelly, but these structures may take a lot - 2x the\n"
-"size of the HTML source is probably not unusual, but it can\n"
-"be even more if the document consists of a lot of short lines\n"
-"(padded right, if possible) and links and not much other markup.\n"
-"So if you set this to 256 and then you don't like your ELinks\n"
-"eating 90M, don't come complaining to us. ;-)\n"
-"Also note that the format cache itself is not counted to the\n"
-"memory cache size, but the HTML source of the formatted documents\n"
-"is always cached, even if it is over the memory cache size\n"
-"threshold. (Then of course no other documents can be cached.)"
+"Number of cached formatted pages. Do not get too generous here, 'formatted' "
+"means that all the accompanying structures are kept in memory so that you "
+"get the cached document immediatelly, but these structures may take a lot - "
+"2x the size of the HTML source is probably not unusual, but it can be even "
+"more if the document consists of a lot of short lines (padded right, if "
+"possible) and links and not much other markup. So if you set this to 256 and "
+"then you don't like your ELinks eating 90M, don't come complaining to "
+"us. ;-)\n"
+"\n"
+"Also note that the format cache itself is not counted to the memory cache "
+"size, but the HTML source of the formatted documents is always cached, even "
+"if it is over the memory cache size threshold. (Then of course no other "
+"documents can be cached.)"
 msgstr ""
 
 #. FIXME: Write more.
-#: src/config/options.inc:506
+#: src/config/options.inc:538
 #, fuzzy
 msgid "Revalidation interval"
 msgstr "Ments idkze"
 
-#: src/config/options.inc:508
+#: src/config/options.inc:540
 msgid ""
-"Period in seconds that a cache entry is considered to be\n"
-"up-to-date. When a document is loaded and this interval has elapsed\n"
-"since the document was initially loaded or most recently\n"
-"revalidated with the server, the server will be checked in case\n"
-"there is a more up-to-date version of the document.\n"
+"Period in seconds that a cache entry is considered to be up-to-date. When a "
+"document is loaded and this interval has elapsed since the document was "
+"initially loaded or most recently revalidated with the server, the server "
+"will be checked in case there is a more up-to-date version of the document.\n"
 "\n"
 "A value of -1 disables automatic revalidation."
 msgstr ""
 
-#: src/config/options.inc:515 src/dialogs/info.c:199
+#: src/config/options.inc:549 src/dialogs/info.c:199
 msgid "Memory cache"
 msgstr "Gyorst memria"
 
-#: src/config/options.inc:517
+#: src/config/options.inc:551
 msgid "Memory cache options."
 msgstr "Gyorst memria belltsai."
 
-#: src/config/options.inc:521
+#: src/config/options.inc:555
 msgid "Memory cache size (in bytes)."
 msgstr "Gyorstmemria mrete (byte-ban)"
 
-#: src/config/options.inc:525
+#: src/config/options.inc:559
 msgid "Charset"
 msgstr "Karakterkszlet"
 
-#: src/config/options.inc:527
+#: src/config/options.inc:561
 msgid "Charset options."
 msgstr "Karakterkszlet belltsok."
 
-#: src/config/options.inc:529
+#: src/config/options.inc:563
 msgid "Default codepage"
 msgstr "Alaprtelmezett kdlap"
 
-#: src/config/options.inc:531
+#: src/config/options.inc:565
+#, fuzzy
 msgid ""
-"Default document codepage. 'System' stands for\n"
-"a codepage determined by a selected locale."
+"Default document codepage. 'System' stands for a codepage determined by a "
+"selected locale."
 msgstr ""
 "Alaprtelmezett kdlap a dokumentumok szmra. A 'System'\n"
 "rtk esetn az opercis rendszer nyelvi belltsa lesz mrvad."
 
-#: src/config/options.inc:534
+#: src/config/options.inc:568
 msgid "Ignore charset info from server"
 msgstr "A szervertl kapott karakterkszlet figyelmen kvl hagysa"
 
-#: src/config/options.inc:536
+#: src/config/options.inc:570
 msgid "Ignore charset info sent by server."
 msgstr "A szerver ltal kldtt karakterkszlet figyelmen kvl hagysa."
 
-#: src/config/options.inc:540
+#: src/config/options.inc:574
 msgid "Default color settings"
 msgstr "Alaprtelmezett sznbelltsok"
 
-#: src/config/options.inc:542
+#: src/config/options.inc:576
 msgid "Default document color settings."
 msgstr "A dokumentum alaprtelmezett sznbelltsai."
 
-#: src/config/options.inc:553
+#: src/config/options.inc:587
 msgid "Link color"
 msgstr "A linkek szne"
 
-#: src/config/options.inc:555
+#: src/config/options.inc:589
 msgid "Default link color."
 msgstr "Alaprtelmezett link szn."
 
-#: src/config/options.inc:557
+#: src/config/options.inc:591
 msgid "Visited-link color"
 msgstr "Ltogatott link szne"
 
-#: src/config/options.inc:559
+#: src/config/options.inc:593
 msgid "Default visited link color."
 msgstr "Alaprtelmezett ltogatott link szn."
 
-#: src/config/options.inc:561
+#: src/config/options.inc:595
 msgid "Image-link color"
 msgstr "Kpek linkjeinek szne"
 
-#: src/config/options.inc:563
+#: src/config/options.inc:597
 msgid "Default image link color."
 msgstr "A kpeknl megjelen linkek alaprtelmezett szne."
 
-#: src/config/options.inc:565
+#: src/config/options.inc:599
 msgid "Bookmarked-link color"
 msgstr "A kny link szne"
 
-#: src/config/options.inc:567
+#: src/config/options.inc:601
 msgid "Default bookmarked link color."
 msgstr "A knyvjelzbe felvett linkek alaprtelmezett szne."
 
-#: src/config/options.inc:569
+#: src/config/options.inc:603
 msgid "Directory color"
 msgstr "Knyvtrak szne"
 
-#: src/config/options.inc:571
+#: src/config/options.inc:605
+#, fuzzy
 msgid ""
 "Default directory color.\n"
+"\n"
 "See document.browse.links.color_dirs option."
 msgstr ""
 "Alaprtelmezett knyvtr szn.\n"
 "Lsd a document.browse.links.color_dirs opcit."
 
-#: src/config/options.inc:578
+#: src/config/options.inc:613
 #, fuzzy
 msgid "Increase contrast"
 msgstr "A kontraszt biztostsa"
 
-#: src/config/options.inc:580
+#: src/config/options.inc:615
 msgid ""
-"Increase the contrast between the foreground and background colors\n"
-"to ensure readability. For example it disallows dark colors on a\n"
-"black background. Note, this is different from ensuring the contrast\n"
-"with the ensure_contrast option."
+"Increase the contrast between the foreground and background colors to ensure "
+"readability. For example it disallows dark colors on a black background. "
+"Note, this is different from ensuring the contrast with the ensure_contrast "
+"option."
 msgstr ""
 
-#: src/config/options.inc:585
+#: src/config/options.inc:621
 msgid "Ensure contrast"
 msgstr "A kontraszt biztostsa"
 
-#: src/config/options.inc:587
+#: src/config/options.inc:623
 #, fuzzy
 msgid "Makes sure that the back- and foreground colors are never equal."
 msgstr ""
@@ -3144,11 +3193,11 @@ msgstr ""
 
 #. If you change this please also change ACT_MAIN_DOCUMENT_COLORS action
 #. * handling.
-#: src/config/options.inc:592
+#: src/config/options.inc:628
 msgid "Use document-specified colors"
 msgstr "A dokumentum ltal elrt sznek hasznlata"
 
-#: src/config/options.inc:594
+#: src/config/options.inc:630
 msgid ""
 "Use colors specified in document:\n"
 "0 is use always the default settings\n"
@@ -3169,40 +3218,41 @@ msgstr ""
 "    az ttetszsg bellts hatstalan lesz."
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:607
+#: src/config/options.inc:643
 msgid "Downloading"
 msgstr "Letlts"
 
-#: src/config/options.inc:609
+#: src/config/options.inc:645
 msgid "Options regarding files downloading and handling."
 msgstr "A fljok letltsvel s kezelsvel kapcsolatos belltsok."
 
-#: src/config/options.inc:611
+#: src/config/options.inc:647
 msgid "Default download directory"
 msgstr "Alaprtelmezett letltsi knyvtr"
 
-#: src/config/options.inc:613
+#: src/config/options.inc:649
 msgid "Default download directory."
 msgstr "Alaprtelmezett letltsi knyvtr."
 
-#: src/config/options.inc:615
+#: src/config/options.inc:651
 msgid "Set original time"
 msgstr "Az eredeti idblyeg belltsa"
 
-#: src/config/options.inc:617
+#: src/config/options.inc:653
+#, fuzzy
 msgid ""
-"Set the timestamp of each downloaded file to the timestamp\n"
-"stored on the server."
+"Set the timestamp of each downloaded file to the timestamp stored on the "
+"server."
 msgstr ""
 "A szerveren lv dtumblyeg belltsa minden\n"
 "letlttt flj szmra."
 
 #. Does automatic resuming make sense as an option?
-#: src/config/options.inc:621
+#: src/config/options.inc:657
 msgid "Prevent overwriting"
 msgstr "Fjl fellrs megakadlyozsa"
 
-#: src/config/options.inc:623
+#: src/config/options.inc:659
 msgid ""
 "Prevent overwriting the local files:\n"
 "0 is files will silently be overwritten\n"
@@ -3214,11 +3264,11 @@ msgstr ""
 "1 - hozzad egy szveget a flj vgre (pl '.1').\n"
 "2 - rkrdez"
 
-#: src/config/options.inc:628
+#: src/config/options.inc:664
 msgid "Notify download completion by bell"
 msgstr "Letlts befejezsnek jelzse"
 
-#: src/config/options.inc:630
+#: src/config/options.inc:666
 msgid ""
 "Audio notification when download is completed:\n"
 "0 is never\n"
@@ -3230,27 +3280,30 @@ msgstr ""
 "1 - ha a httrben tltdik, s figyelmeztetskrssel\n"
 "2 - mindig"
 
-#: src/config/options.inc:636
+#: src/config/options.inc:672
 msgid "Dump output"
 msgstr "Formzott dokumentum kirsa"
 
-#: src/config/options.inc:638
+#: src/config/options.inc:674
 msgid "Dump output options."
 msgstr "Formzott dokumentum kirsnak belltsai."
 
 #. OPT_CODEPAGE
-#: src/config/options.inc:640 src/config/options.inc:912
+#: src/config/options.inc:676 src/config/options.inc:980
 #: src/config/opttypes.c:481 src/dialogs/document.c:164
 msgid "Codepage"
 msgstr "Kdlap"
 
-#: src/config/options.inc:642
+#: src/config/options.inc:678
+#, fuzzy
 msgid ""
-"Codepage used in dump output. 'System' stands for\n"
-"a codepage determined by a selected locale."
+"Codepage used in dump output. 'System' stands for a codepage determined by a "
+"selected locale."
 msgstr ""
+"Alaprtelmezett kdlap a dokumentumok szmra. A 'System'\n"
+"rtk esetn az opercis rendszer nyelvi belltsa lesz mrvad."
 
-#: src/config/options.inc:645 src/config/options.inc:878
+#: src/config/options.inc:681 src/config/options.inc:941
 msgid "Color mode"
 msgstr "Szn zemmd"
 
@@ -3259,12 +3312,15 @@ msgstr "Szn zemmd"
 #. * an outer list entry after an inner list.
 #. * TRANSLATORS: This restriction applies only to the
 #. * "en" (English) translation.  (See doc/Makefile.)
-#: src/config/options.inc:652
+#: src/config/options.inc:688
+#, fuzzy
 msgid ""
 "Color mode for dumps.\n"
+"\n"
 "Some modes may have been disabled at compile time. The Setup -> Terminal "
 "options dialog lists the modes supported by this executable. If you select "
 "an unsupported mode, ELinks uses 16 colors.\n"
+"\n"
 "The color modes are:\n"
 "-1 is standard dump mode\n"
 "0 is mono mode\n"
@@ -3273,127 +3329,130 @@ msgid ""
 "3 is 256 color mode\n"
 "4 is true color mode"
 msgstr ""
+"A sznes zemmd bellts azt hatrozza meg, hogy a klnbz\n"
+"sznes terminlokon hogy jelenjenek meg a sznek:\n"
+"0 - monokrm zemmd, csak 2 szn jelenik meg\n"
+"1 - 16 szn zemmd, szabvnyos ANSI sznekkel\n"
+"2 - 256 szn zemmd, XTerm RGB sznkdok hasznlata"
 
-#: src/config/options.inc:665
+#: src/config/options.inc:703
 msgid "Footer"
 msgstr "Lblc"
 
-#: src/config/options.inc:667
+#: src/config/options.inc:705
 #, c-format
 msgid "Footer string used in dumps. %u is substituted by URL."
 msgstr "A dokumentum mentshez hasznlt lblc. %u jelenti az URL-t."
 
-#: src/config/options.inc:671
+#: src/config/options.inc:709
 #, c-format
 msgid "Header string used in dumps. %u is substituted by URL."
 msgstr "A dokumentum mentshez hasznlt fejlc. %u jelenti az URL-t."
 
-#: src/config/options.inc:673
+#: src/config/options.inc:711
 #, fuzzy
 msgid "Numbering"
 msgstr "Szm"
 
-#: src/config/options.inc:675
+#: src/config/options.inc:713
 #, fuzzy
 msgid "Whether to print link numbers in dump output."
 msgstr "Ne szmozza a linkeket a kirt fjlban"
 
-#: src/config/options.inc:677
+#: src/config/options.inc:715
 #, fuzzy
 msgid "References"
 msgstr "Erforrsok"
 
-#: src/config/options.inc:679
+#: src/config/options.inc:717
 #, fuzzy
-msgid ""
-"Whether to print references (URIs) of document links\n"
-"in dump output."
+msgid "Whether to print references (URIs) of document links in dump output."
 msgstr ""
 "Ne rjon link hivatkozsokat (URI-ket) a mentett fjlokba.\n"
 "Megjegyzs: Ez az opci csak a -dump ltal mentett fjlokra vonatkozik."
 
-#: src/config/options.inc:682
+#: src/config/options.inc:720
 msgid "Separator"
 msgstr "Elvlaszt"
 
-#: src/config/options.inc:684
+#: src/config/options.inc:722
 msgid "String which separates two dumps."
 msgstr "Kt dokumentummentst elvlaszt karaktersor."
 
-#: src/config/options.inc:686
+#: src/config/options.inc:724
 msgid "Width"
 msgstr "Szlessg"
 
-#: src/config/options.inc:688
+#: src/config/options.inc:726
 msgid "Width of screen in characters when dumping documents."
 msgstr ""
 "A kperny szlessge karakterekben, amire a HTML dokumentumot\n"
 "formzni kell."
 
-#: src/config/options.inc:692
+#: src/config/options.inc:730
 msgid "History"
 msgstr "Ltogatott oldalak"
 
-#: src/config/options.inc:694
+#: src/config/options.inc:732
 msgid "History options."
 msgstr "Ltogatott oldalak belltsai."
 
-#: src/config/options.inc:696
+#: src/config/options.inc:734
 msgid "Keep unhistory"
 msgstr "Visszalpsek megrzse"
 
-#: src/config/options.inc:698
+#: src/config/options.inc:736
 msgid "Keep unhistory (\"forward history\")."
 msgstr ""
 "Visszalpsek megrzse (a ltogatott lapok fordtott\n"
 "sorrend listja)."
 
-#: src/config/options.inc:701
+#: src/config/options.inc:739
 msgid "HTML rendering"
 msgstr "HTML megjelents"
 
-#: src/config/options.inc:703
+#: src/config/options.inc:741
 msgid "Options concerning the display of HTML pages."
 msgstr "A HTML megjelentsre vonatkoz belltsok."
 
-#: src/config/options.inc:705
+#: src/config/options.inc:743
 msgid "Display frames"
 msgstr "Keretek megjelentse"
 
-#: src/config/options.inc:707
+#: src/config/options.inc:745
 msgid "Display frames."
 msgstr "Keretek megjelentse."
 
-#: src/config/options.inc:709
+#: src/config/options.inc:747
 msgid "Display tables"
 msgstr "Tblzatok megjelentse"
 
-#: src/config/options.inc:711
+#: src/config/options.inc:749
 msgid "Display tables."
 msgstr "Tblzatok megjelentse."
 
-#: src/config/options.inc:713
+#: src/config/options.inc:751
 msgid "Display subscripts"
 msgstr "Als indexek megjelentse"
 
-#: src/config/options.inc:715
+#: src/config/options.inc:753
 msgid "Display subscripts (as [thing])."
 msgstr "Als indexek megjelentse (mint pl.: [szveg])."
 
-#: src/config/options.inc:717
+#: src/config/options.inc:755
 msgid "Display superscripts"
 msgstr "Felsindexek megjelentse"
 
-#: src/config/options.inc:719
+#: src/config/options.inc:757
 msgid "Display superscripts (as ^thing)."
 msgstr "Felsindexek megjelentse (^ jellssel)."
 
-#: src/config/options.inc:721
+#: src/config/options.inc:759
 #, fuzzy
 msgid "Rendering of HTML link element"
 msgstr "A HTML linkek megjelentse"
 
-#: src/config/options.inc:723
+#: src/config/options.inc:761
 msgid ""
 "How to render <link> tags from the HTML header:\n"
 "0 is nothing\n"
@@ -3411,23 +3470,24 @@ msgstr ""
 "4 - ezen fell mg tpus is\n"
 "5 - minden"
 
-#: src/config/options.inc:731
+#: src/config/options.inc:769
 msgid "Underline links"
 msgstr "Linkek alhzsa"
 
-#: src/config/options.inc:733
+#: src/config/options.inc:771
 msgid "Underline links."
 msgstr "Linkek alhzsa."
 
-#: src/config/options.inc:735
+#: src/config/options.inc:773
 msgid "Wrap non breaking space"
 msgstr "Az \"nbsp\"-t tartalmaz sorok kezelse"
 
-#: src/config/options.inc:737
+#: src/config/options.inc:775
+#, fuzzy
 msgid ""
-"If set do not honour non breaking space (the nbsp entity)\n"
-"but allow to wrap the text. This can help keeping the width\n"
-"of documents down so no horizontal scrolling is needed."
+"If set do not honour non breaking space (the nbsp entity) but allow to wrap "
+"the text. This can help keeping the width of documents down so no horizontal "
+"scrolling is needed."
 msgstr ""
 "Ha be van lltva, akkor a megjelents sorn nem kerl figyelembevtelre\n"
 "az \"nbsp\" (nem trhet szkz), s az ezt tartalmaz szveg tbb sorba "
@@ -3435,53 +3495,51 @@ msgstr ""
 "Ezltal lecskken a dokumentum szlessge, s kevesebb oldalirny lapozs\n"
 "szksges az olvasshoz."
 
-#: src/config/options.inc:742
+#: src/config/options.inc:780
 msgid "Plain rendering"
 msgstr "Norml szveg megjelentse"
 
-#: src/config/options.inc:744
+#: src/config/options.inc:782
 msgid "Options concerning the display of plain text pages."
 msgstr "Norml szveget tartalmaz oldalak megjelentsnek belltsai."
 
-#: src/config/options.inc:746
+#: src/config/options.inc:784
 msgid "Display URIs"
 msgstr "URI-k megjelentse"
 
-#: src/config/options.inc:748
+#: src/config/options.inc:786
 msgid "Display URIs in the document as links."
 msgstr "Az URI-k megjelentse a dokumentumban link-knt."
 
-#: src/config/options.inc:750
+#: src/config/options.inc:788
 msgid "Compress empty lines"
 msgstr "Az res sorok tmrtse"
 
-#: src/config/options.inc:752
+#: src/config/options.inc:790
 msgid "Compress successive empty lines to only one in displayed text."
 msgstr "Az egymst kvet res sorok megjelentse egy sorknt."
 
-#: src/config/options.inc:755
+#: src/config/options.inc:794
 msgid "URI passing"
 msgstr "URI tads"
 
-#: src/config/options.inc:757
+#: src/config/options.inc:796
 msgid ""
-"Rules for passing URIs to external commands. When one rule\n"
-"is defined the link and tab menu will have a menu item that\n"
-"makes it possible to pass the the link, frame or tab URI to\n"
-"an external command. If several rules are defined the link and\n"
-"tab menu will have a submenu of items for each rule. Note, this\n"
-"is mostly useful for launching graphical viewers, since there\n"
-"is no support for releasing the terminal while the command runs.\n"
-"The action and submenus are also available by binding keys to\n"
-"the frame-external-command, the link-external-command, and\n"
-"the tab-external-command actions."
+"Rules for passing URIs to external commands. When one rule is defined the "
+"link and tab menu will have a menu item that makes it possible to pass the "
+"the link, frame or tab URI to an external command. If several rules are "
+"defined the link and tab menu will have a submenu of items for each rule.\n"
+"\n"
+"Note, this is mostly useful for launching graphical viewers, since there is "
+"no support for releasing the terminal while the command runs. The action and "
+"submenus are also available by binding keys to the frame-external-command, "
+"the link-external-command, and the tab-external-command actions."
 msgstr ""
 
-#: src/config/options.inc:770
+#: src/config/options.inc:812
 #, fuzzy
 msgid ""
-"A rule for passing URI to an external command.\n"
-"The format is:\n"
+"A rule for passing URI to an external command. The format is:\n"
 "%c in the string means the current URL\n"
 "%% in the string means '%'\n"
 "Do _not_ put single- or double-quotes around %c."
@@ -3494,42 +3552,44 @@ msgstr ""
 "A %c kr nem kell szimpla vagy dupla idzjelet tenni."
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:780
+#: src/config/options.inc:822
 msgid "Information files"
 msgstr "Informcis fjlok"
 
-#: src/config/options.inc:782
+#: src/config/options.inc:824
 msgid "Options for information files in ~/.elinks."
 msgstr "A ~/.elinks informcis fjljainak belltsai."
 
-#: src/config/options.inc:784
+#: src/config/options.inc:826
 msgid "Save interval"
 msgstr "Ments idkze"
 
-#: src/config/options.inc:786
+#: src/config/options.inc:828
 #, fuzzy
 msgid ""
-"Interval at which to trigger information files in ~/.elinks\n"
-"to be saved to disk if they have changed (seconds; 0 to disable)"
+"Interval at which to trigger information files in ~/.elinks to be saved to "
+"disk if they have changed (seconds; 0 to disable)"
 msgstr ""
 "Ennyi idnknt menti a lemezre a ~/.elinks informcis llomnyai ha "
 "vltoztak\n"
 "(msodpercekben, 0 - letilts)"
 
-#: src/config/options.inc:789
+#: src/config/options.inc:832
 msgid "Use secure file saving"
 msgstr "Biztonsgos fjlments hasznlata"
 
-#: src/config/options.inc:791
+#: src/config/options.inc:834
+#, fuzzy
 msgid ""
-"First write data to unique temporary file, then rename this file\n"
-"upon successfully finishing this. Note that this relates only to\n"
-"config files, not downloaded files. You may want to disable\n"
-"it if you are using some exotic permissions for concerned files.\n"
-"Secure file saving is automagically disabled if file is symlink.\n"
-"Warning: some systems (ie. OS/2, Win32) require that destination\n"
-"file doesn't exist when rename(3) is called, breaking atomicity,\n"
-"and reducing reliability of this feature."
+"First write data to unique temporary file, then rename this file upon "
+"successfully finishing this. Note that this relates only to config files, "
+"not downloaded files. You may want to disable it if you are using some "
+"exotic permissions for concerned files. Secure file saving is automagically "
+"disabled if file is symlink.\n"
+"\n"
+"Warning: some systems (ie. OS/2, Win32) require that destination file "
+"doesn't exist when rename(3) is called, breaking atomicity, and reducing "
+"reliability of this feature."
 msgstr ""
 "Mentskor elszr egy egyedi tmeneti flj rsa, majd siker esetn\n"
 "tnevezs vgleges nvre. Megjegyzs: ez a bellts csak konfigurcis\n"
@@ -3542,40 +3602,41 @@ msgstr ""
 "fggvnyhvsnl, amely cskkenti ennek a funkcinak\n"
 "a megbzhatsgt."
 
-#: src/config/options.inc:800
+#: src/config/options.inc:846
 msgid "Use fsync(3) with secure file saving"
 msgstr "Biztonsgos fjlments hasznlata az fsync(3) fggvny segtsgvel"
 
-#: src/config/options.inc:802
+#: src/config/options.inc:848
+#, fuzzy
 msgid ""
-"When using secure file saving, call fsync(3), if the OS\n"
-"supports it, to force the OS immediately to write the data\n"
-"to permanent storage. This is optional for those who wish\n"
-"to avoid excessive disk I/O."
+"When using secure file saving, call fsync(3), if the OS supports it, to "
+"force the OS immediately to write the data to permanent storage. This is "
+"optional for those who wish to avoid excessive disk I/O."
 msgstr ""
 "A biztonsgos fjlments sorn az fsync(3) fggvny segtsgvel\n"
 "biztostjuk hogy az opercis rendszer rgtn a lemezre rja az\n"
 "adatokat. Az intenzv lemez I/O elkerlse rdekben ez opcionlis."
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:811
+#: src/config/options.inc:857
 msgid "Terminals"
 msgstr "Terminlok"
 
-#: src/config/options.inc:813
+#: src/config/options.inc:859
 msgid "Terminal options."
 msgstr "Terminl belltsok."
 
-#: src/config/options.inc:817
+#: src/config/options.inc:863
 msgid "Options specific to this terminal type (according to $TERM value)."
 msgstr ""
 "Belltsok ehhez a terminltpushoz (a $TERM krnyezeti\n"
 "vltoz alapjn)"
 
-#: src/config/options.inc:842
+#: src/config/options.inc:889
+#, fuzzy
 msgid ""
-"Terminal type; matters mostly only when drawing frames and\n"
-"dialog box borders:\n"
+"Terminal type; matters mostly only when drawing frames and dialog box "
+"borders:\n"
 "0 is dumb terminal type, ASCII art\n"
 "1 is VT100, simple but portable\n"
 "2 is Linux, you get double frames and other goodies\n"
@@ -3589,16 +3650,32 @@ msgstr ""
 "2 - Linux, dupla keretek s egyb finomsgok\n"
 "3 - KOI-8 4 - FreeBSD"
 
-#: src/config/options.inc:850 src/dialogs/options.c:227
+#: src/config/options.inc:897
+msgid "Always encode xterm title in ISO-8859-1"
+msgstr ""
+
+#: src/config/options.inc:899
+msgid ""
+"When updating the window title of xterm or a similar terminal emulator, "
+"encode the title in ISO-8859-1 (Latin-1), rather than in the charset used "
+"for other text in the window. Cyrillic and other characters get replaced "
+"with Latin ones. Xterm requires this unless you explicitly enable UTF-8 "
+"titles in it.\n"
+"\n"
+"If this option does not take effect immediately, try switching to a "
+"different page so that ELinks notices it needs to update the title."
+msgstr ""
+
+#: src/config/options.inc:910 src/dialogs/options.c:227
 msgid "Switch fonts for line drawing"
 msgstr "Keretek rajzolsa kln bettpussal"
 
-#: src/config/options.inc:852
+#: src/config/options.inc:912
 #, fuzzy
 msgid ""
-"Switch fonts when drawing lines, enabling both local characters\n"
-"and lines working at the same time. ELinks uses this option only if\n"
-"UTF-8 I/O is disabled and the terminal type is Linux or FreeBSD."
+"Switch fonts when drawing lines, enabling both local characters and lines "
+"working at the same time. ELinks uses this option only if UTF-8 I/O is "
+"disabled and the terminal type is Linux or FreeBSD."
 msgstr ""
 "Keretek rajzolsa idejre bettpus vltsa, a helyi karakterek,\n"
 "s a keretek is mkdnek egyidben. Csak Linux terminl esetn\n"
@@ -3609,42 +3686,44 @@ msgstr ""
 #. * and if so, behave as if "utf_8_io" were 1.  (When CONFIG_UTF8 is
 #. * not defined, it should not be possible to set UTF-8 as "codepage";
 #. * please report any such possibilities as bugs.)
-#: src/config/options.inc:861 src/dialogs/options.c:232
+#: src/config/options.inc:922 src/dialogs/options.c:232
 msgid "UTF-8 I/O"
 msgstr "UTF_8 I/O"
 
-#: src/config/options.inc:863
+#: src/config/options.inc:924
 #, fuzzy
 msgid ""
-"Enable I/O in UTF-8 for Unicode terminals. Note that currently,\n"
-"only the subset of UTF-8 according to terminal codepage is used.\n"
-"ELinks ignores this option if the terminal codepage is UTF-8."
+"Enable I/O in UTF-8 for Unicode terminals. Note that currently, only the "
+"subset of UTF-8 according to terminal codepage is used. ELinks ignores this "
+"option if the terminal codepage is UTF-8."
 msgstr ""
 "Az I/O mveletek UTF8 szerinti engedlyezse, az Unicode\n"
 "terminlok szmra. Megjegyzs: jelenleg csak az UTF8 egy rsze\n"
 "mkdik."
 
-#: src/config/options.inc:867 src/dialogs/options.c:228
+#: src/config/options.inc:929 src/dialogs/options.c:228
 msgid "Restrict frames in cp850/852"
 msgstr "Keretek korltozsa cp850/852 alatt"
 
-#: src/config/options.inc:869
+#: src/config/options.inc:931
+#, fuzzy
 msgid ""
-"Restrict the characters used when drawing lines. Makes sense\n"
-"only with linux terminals using the cp850/852 character sets."
+"Restrict the characters used when drawing lines. Makes sense only with linux "
+"terminals using the cp850/852 character sets."
 msgstr ""
 "Korltozza a keretrajzol karakterek hasznlatt. Csak Linux\n"
 "terminlok s 850/852 kdlap esetn van rtelme lltani."
 
-#: src/config/options.inc:872 src/dialogs/options.c:229
+#: src/config/options.inc:935 src/dialogs/options.c:229
 msgid "Block cursor"
 msgstr "Tmb kurzor"
 
-#: src/config/options.inc:874
+#: src/config/options.inc:937
+#, fuzzy
 msgid ""
-"Move cursor to bottom right corner when done drawing.\n"
-"This is particularly useful when we have a block cursor,\n"
-"so that inversed text is displayed correctly."
+"Move cursor to bottom right corner when done drawing. This is particularly "
+"useful when we have a block cursor, so that inversed text is displayed "
+"correctly."
 msgstr ""
 "Rajzol mveletek utn a kurzor thelyezse a jobb also sarokba.\n"
 "Hasznos ha tmb kurzor van belltva, gy az inverz szveg korrektl\n"
@@ -3655,14 +3734,16 @@ msgstr ""
 #. * an outer list entry after an inner list.
 #. * TRANSLATORS: This restriction applies only to the
 #. * "en" (English) translation.  (See doc/Makefile.)
-#: src/config/options.inc:885
+#: src/config/options.inc:948
 #, fuzzy
 msgid ""
 "The color mode controls what colors are used and how they are output to the "
 "terminal.\n"
+"\n"
 "Some modes may have been disabled at compile time. The Setup -> Terminal "
 "options dialog lists the modes supported by this executable. If you select "
 "an unsupported mode, ELinks uses 16 colors.\n"
+"\n"
 "The color modes are:\n"
 "0 is mono mode, only 2 colors are used\n"
 "1 is 16 color mode, uses the common ANSI colors\n"
@@ -3676,35 +3757,34 @@ msgstr ""
 "1 - 16 szn zemmd, szabvnyos ANSI sznekkel\n"
 "2 - 256 szn zemmd, XTerm RGB sznkdok hasznlata"
 
-#: src/config/options.inc:898 src/dialogs/options.c:230
+#: src/config/options.inc:963 src/dialogs/options.c:230
 msgid "Transparency"
 msgstr "ttetszsg"
 
-#: src/config/options.inc:900
+#: src/config/options.inc:965
 #, fuzzy
 msgid ""
-"If we should not set the background to black. This is particularly\n"
-"useful when we have a terminal (typically in some windowing\n"
-"environment) with a background image or a transparent background -\n"
-"it will be visible in ELinks as well (but ELinks document color handling\n"
-"will still assume the background is black so if you have a bright "
-"background\n"
-"you might experience contrast problems). Note that this option makes\n"
-"sense only when colors are enabled."
+"If we should not set the background to black. This is particularly useful "
+"when we have a terminal (typically in some windowing environment) with a "
+"background image or a transparent background - it will be visible in ELinks "
+"as well (but ELinks document color handling will still assume the background "
+"is black so if you have a bright background you might experience contrast "
+"problems). Note that this option makes sense only when colors are enabled."
 msgstr ""
 "Ez a bellts grafikus krnyezetben hasznos, olyan terminl emultor\n"
 "alatt, amelyik httrkpet vagy ttetszsget hasznl. Ha ezt bekapcsolod,\n"
 "az ELinksben is lthat lesz ez a httrkp. Akkor van rtelme, ha a\n"
 "sznek engedlyezve vannak."
 
-#: src/config/options.inc:910
+#: src/config/options.inc:977
 msgid "If we should use underline or enhance the color instead."
 msgstr "Jelentsnk meg alhzst, vagy hasznljunk sznt helyette?"
 
-#: src/config/options.inc:914
+#: src/config/options.inc:982
+#, fuzzy
 msgid ""
-"Codepage of charset used for displaying content on terminal.\n"
-"'System' stands for a codepage determined by a selected locale."
+"Codepage of charset used for displaying content on terminal. 'System' stands "
+"for a codepage determined by a selected locale."
 msgstr ""
 "A karakterkszlet kdlapja amit a terminlon val megjelentshez "
 "hasznljunk.\n"
@@ -3713,376 +3793,376 @@ msgstr ""
 "kerl hasznlatra."
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:921
+#: src/config/options.inc:990
 msgid "User interface"
 msgstr "Felhasznli fellet"
 
-#: src/config/options.inc:923
+#: src/config/options.inc:992
 msgid "User interface options."
 msgstr "A felhasznli fellet belltsai."
 
-#: src/config/options.inc:927
+#: src/config/options.inc:996
 msgid "Color settings"
 msgstr "Sznbelltsok"
 
-#: src/config/options.inc:929
+#: src/config/options.inc:998
 msgid "Default user interface color settings."
 msgstr "A felhasznli fellet sznbelltsai."
 
-#: src/config/options.inc:956
+#: src/config/options.inc:1025
 msgid "Color terminals"
 msgstr "Sznes terminlok"
 
-#: src/config/options.inc:958
+#: src/config/options.inc:1027
 msgid "Color settings for color terminal."
 msgstr "Sznbelltsok sznes terminlok szmra."
 
-#: src/config/options.inc:960
+#: src/config/options.inc:1029
 msgid "Non-color terminals"
 msgstr "Nem sznes terminlok"
 
-#: src/config/options.inc:962
+#: src/config/options.inc:1031
 msgid "Color settings for non-color terminal."
 msgstr "Sznbelltsok nem sznes terminlok esetn."
 
 #. FIXME: obsolete, how to alias them correctly ? --Zas
-#: src/config/options.inc:965
+#: src/config/options.inc:1034
 msgid "Main menu bar"
 msgstr "Men cmsora"
 
-#: src/config/options.inc:967
+#: src/config/options.inc:1036
 msgid "Main menu bar colors."
 msgstr "Men cmsornak sznei."
 
-#: src/config/options.inc:969
+#: src/config/options.inc:1038
 msgid "Unselected main menu bar item"
 msgstr "Fmen sorban lv elem"
 
-#: src/config/options.inc:971
+#: src/config/options.inc:1040
 msgid "Unselected main menu bar item colors."
 msgstr "Fmen sorban lv elem sznei."
 
-#: src/config/options.inc:973
+#: src/config/options.inc:1042
 msgid "Selected main menu bar item"
 msgstr "Fmen sorban lv kivlasztott elem"
 
-#: src/config/options.inc:975
+#: src/config/options.inc:1044
 msgid "Selected main menu bar item colors."
 msgstr "Fmen sorban lv kivlasztott elem sznei."
 
-#: src/config/options.inc:977 src/config/options.inc:1006
+#: src/config/options.inc:1046 src/config/options.inc:1075
 msgid "Hotkey"
 msgstr "Gyorsbillenty"
 
-#: src/config/options.inc:979
+#: src/config/options.inc:1048
 msgid "Main menu hotkey colors."
 msgstr "Fmen gyorsbillentyinek sznei."
 
-#: src/config/options.inc:981 src/config/options.inc:1010
+#: src/config/options.inc:1050 src/config/options.inc:1079
 msgid "Unselected hotkey"
 msgstr "Gyorsbillenty"
 
-#: src/config/options.inc:983
+#: src/config/options.inc:1052
 msgid "Main menu unselected hotkey colors."
 msgstr "Fmen gyorsbillentyinek sznei."
 
-#: src/config/options.inc:985 src/config/options.inc:1014
+#: src/config/options.inc:1054 src/config/options.inc:1083
 msgid "Selected hotkey"
 msgstr "Kivlasztott gyorsbillenty"
 
-#: src/config/options.inc:987
+#: src/config/options.inc:1056
 msgid "Main menu selected hotkey colors."
 msgstr "Fmen kivlasztott gyorsbillentyinek sznei."
 
-#: src/config/options.inc:990
+#: src/config/options.inc:1059
 msgid "Menu bar"
 msgstr "Mensor"
 
-#: src/config/options.inc:992
+#: src/config/options.inc:1061
 msgid "Menu bar colors."
 msgstr "A mensor sznei."
 
-#: src/config/options.inc:994
+#: src/config/options.inc:1063
 msgid "Unselected menu item"
 msgstr "Menpont"
 
-#: src/config/options.inc:996
+#: src/config/options.inc:1065
 msgid "Unselected menu item colors."
 msgstr "A menpontok sznei."
 
-#: src/config/options.inc:998
+#: src/config/options.inc:1067
 msgid "Selected menu item"
 msgstr "Kivlasztott menpont"
 
-#: src/config/options.inc:1000
+#: src/config/options.inc:1069
 msgid "Selected menu item colors."
 msgstr "Kivlasztott menpontok sznei."
 
-#: src/config/options.inc:1002
+#: src/config/options.inc:1071
 msgid "Marked menu item"
 msgstr "Kivlasztott menpont"
 
-#: src/config/options.inc:1004
+#: src/config/options.inc:1073
 msgid "Marked menu item colors."
 msgstr "Kivlasztott menpontok sznei."
 
-#: src/config/options.inc:1008
+#: src/config/options.inc:1077
 msgid "Menu item hotkey colors."
 msgstr "Menpont gyorsbillentyinek szne."
 
-#: src/config/options.inc:1012
+#: src/config/options.inc:1081
 msgid "Menu item unselected hotkey colors."
 msgstr "Menpont gyorsbillentyjnek szne."
 
-#: src/config/options.inc:1016
+#: src/config/options.inc:1085
 msgid "Menu item selected hotkey colors."
 msgstr "Menpont kivlasztott gyorsbillentyjnek sznei."
 
-#: src/config/options.inc:1018
+#: src/config/options.inc:1087
 msgid "Menu frame"
 msgstr "Men keret"
 
-#: src/config/options.inc:1020
+#: src/config/options.inc:1089
 msgid "Menu frame colors."
 msgstr "Men keret sznei."
 
-#: src/config/options.inc:1023
+#: src/config/options.inc:1092
 msgid "Dialog"
 msgstr "Dialgusablak"
 
-#: src/config/options.inc:1025
+#: src/config/options.inc:1094
 msgid "Dialog colors."
 msgstr "A dialgusablak sznei."
 
-#: src/config/options.inc:1035
+#: src/config/options.inc:1104
 msgid "Generic"
 msgstr "ltalnos"
 
-#: src/config/options.inc:1037
+#: src/config/options.inc:1106
 msgid "Generic dialog colors."
 msgstr "ltalnos dialgusablak sznei."
 
-#: src/config/options.inc:1039
+#: src/config/options.inc:1108
 msgid "Frame"
 msgstr "Keret"
 
-#: src/config/options.inc:1041
+#: src/config/options.inc:1110
 msgid "Dialog frame colors."
 msgstr "Dialgusablak kereteinek szne."
 
-#: src/config/options.inc:1043
+#: src/config/options.inc:1112
 msgid "Scrollbar"
 msgstr "Grgetsv"
 
-#: src/config/options.inc:1045
+#: src/config/options.inc:1114
 msgid "Scrollbar colors."
 msgstr "Grgetsv sznei."
 
-#: src/config/options.inc:1047
+#: src/config/options.inc:1116
 msgid "Selected scrollbar"
 msgstr "Kivlasztott grgetsv"
 
-#: src/config/options.inc:1049
+#: src/config/options.inc:1118
 msgid "Scrollbar selected colors."
 msgstr "Kivlasztott grgetsv sznei."
 
-#: src/config/options.inc:1053
+#: src/config/options.inc:1122
 msgid "Dialog title colors."
 msgstr "Dialgusablak cmnek sznei."
 
-#: src/config/options.inc:1055
+#: src/config/options.inc:1124
 msgid "Text"
 msgstr "Szveg"
 
-#: src/config/options.inc:1057
+#: src/config/options.inc:1126
 msgid "Dialog text colors."
 msgstr "Dialgusablak szvegnek a sznei."
 
-#: src/config/options.inc:1059 src/viewer/text/form.c:1862
+#: src/config/options.inc:1128 src/viewer/text/form.c:1891
 msgid "Checkbox"
 msgstr "Jellngyzet"
 
-#: src/config/options.inc:1061
+#: src/config/options.inc:1130
 msgid "Dialog checkbox colors."
 msgstr "Dialgusablak jellngyzetnek sznei."
 
-#: src/config/options.inc:1063
+#: src/config/options.inc:1132
 msgid "Selected checkbox"
 msgstr "Kivlasztott jellngyzet"
 
-#: src/config/options.inc:1065
+#: src/config/options.inc:1134
 msgid "Dialog selected checkbox colors."
 msgstr "Dialgusablak kivlasztott jellngyzeteinek a sznei."
 
-#: src/config/options.inc:1067
+#: src/config/options.inc:1136
 msgid "Checkbox label"
 msgstr "Jellngyzet cmkje"
 
-#: src/config/options.inc:1069
+#: src/config/options.inc:1138
 msgid "Dialog checkbox label colors."
 msgstr "Jellngyzet cmkjenek a sznei."
 
-#: src/config/options.inc:1071
+#: src/config/options.inc:1140
 msgid "Button"
 msgstr "Nyomgomb"
 
-#: src/config/options.inc:1073 src/config/options.inc:1081
+#: src/config/options.inc:1142 src/config/options.inc:1150
 msgid "Dialog button colors."
 msgstr "Dialgusablak nyomgombjnak a sznei."
 
-#: src/config/options.inc:1075
+#: src/config/options.inc:1144
 msgid "Selected button"
 msgstr "Kivlasztott gomb"
 
-#: src/config/options.inc:1077 src/config/options.inc:1085
+#: src/config/options.inc:1146 src/config/options.inc:1154
 msgid "Dialog selected button colors."
 msgstr "Dialgusablak kivlasztott nyomgombjainak a sznei."
 
-#: src/config/options.inc:1079
+#: src/config/options.inc:1148
 msgid "Button shortcut"
 msgstr ""
 
-#: src/config/options.inc:1083
+#: src/config/options.inc:1152
 msgid "Selected button shortcut"
 msgstr ""
 
-#: src/config/options.inc:1087 src/viewer/text/form.c:1866
+#: src/config/options.inc:1156 src/viewer/text/form.c:1895
 msgid "Text field"
 msgstr "Szveg mez"
 
-#: src/config/options.inc:1089
+#: src/config/options.inc:1158
 msgid "Dialog text field colors."
 msgstr "Dialgusablak szvegmezjnek sznei."
 
-#: src/config/options.inc:1091
+#: src/config/options.inc:1160
 msgid "Text field text"
 msgstr "Szvegmez szveg"
 
-#: src/config/options.inc:1093
+#: src/config/options.inc:1162
 msgid "Dialog field text colors."
 msgstr "Dialgusablak szvegmezjnek sznei."
 
-#: src/config/options.inc:1095
+#: src/config/options.inc:1164
 msgid "Meter"
 msgstr "Jelzcsk"
 
-#: src/config/options.inc:1097
+#: src/config/options.inc:1166
 msgid "Dialog meter colors."
 msgstr "Dialgusablak jelzcskjnak sznei."
 
-#: src/config/options.inc:1099
+#: src/config/options.inc:1168
 msgid "Shadow"
 msgstr "rnyk"
 
-#: src/config/options.inc:1101
+#: src/config/options.inc:1170
 msgid "Dialog shadow colors (see ui.shadows option)."
 msgstr "A dialgusablakok rnyknak sznei (lsd: ui.shadows opci)."
 
-#: src/config/options.inc:1103
+#: src/config/options.inc:1172
 msgid "Title bar"
 msgstr "Cmsor"
 
-#: src/config/options.inc:1105
+#: src/config/options.inc:1174
 msgid "Title bar colors."
 msgstr "Cmsor sznei."
 
-#: src/config/options.inc:1107
+#: src/config/options.inc:1176
 msgid "Generic title bar"
 msgstr "ltalnos cmsor"
 
-#: src/config/options.inc:1109
+#: src/config/options.inc:1178
 msgid "Generic title bar colors."
 msgstr "ltalnos cmsor sznei."
 
-#: src/config/options.inc:1111
+#: src/config/options.inc:1180
 msgid "Title bar text"
 msgstr "Cmsor szvege"
 
-#: src/config/options.inc:1113
+#: src/config/options.inc:1182
 msgid "Title bar text colors."
 msgstr "Cmsor szvegnek sznei."
 
-#: src/config/options.inc:1116
+#: src/config/options.inc:1185
 msgid "Status bar"
 msgstr "llapotsor"
 
-#: src/config/options.inc:1118
+#: src/config/options.inc:1187
 msgid "Status bar colors."
 msgstr "llapotsor sznei."
 
-#: src/config/options.inc:1120
+#: src/config/options.inc:1189
 msgid "Generic status bar"
 msgstr "ltalnos llapotsor"
 
-#: src/config/options.inc:1122
+#: src/config/options.inc:1191
 msgid "Generic status bar colors."
 msgstr "ltalnos llapotsor sznei."
 
-#: src/config/options.inc:1124
+#: src/config/options.inc:1193
 msgid "Status bar text"
 msgstr "llapotsor szveg"
 
-#: src/config/options.inc:1126
+#: src/config/options.inc:1195
 msgid "Status bar text colors."
 msgstr "llapotsor szveg sznei."
 
-#: src/config/options.inc:1129
+#: src/config/options.inc:1198
 msgid "Tabs bar"
 msgstr "Flek sora"
 
-#: src/config/options.inc:1131
+#: src/config/options.inc:1200
 msgid "Tabs bar colors."
 msgstr "Flek sornak sznei."
 
-#: src/config/options.inc:1133
+#: src/config/options.inc:1202
 msgid "Unvisited tab"
 msgstr "j oldalt tartalmaz fl"
 
-#: src/config/options.inc:1135
+#: src/config/options.inc:1204
+#, fuzzy
 msgid ""
-"Tab colors for tabs that have not been\n"
-"selected since they completed loading."
+"Tab colors for tabs that have not been selected since they completed loading."
 msgstr ""
 "Azoknak a fleknek a sznei, amelyek letltttek egy j lapot,\n"
 "de azta mg nem lettek kivlasztva."
 
-#: src/config/options.inc:1138
+#: src/config/options.inc:1207
 msgid "Unselected tab"
 msgstr "Flek"
 
-#: src/config/options.inc:1140
+#: src/config/options.inc:1209
 msgid "Unselected tab colors."
 msgstr "Flek sznei."
 
-#: src/config/options.inc:1142
+#: src/config/options.inc:1211
 msgid "Loading tab"
 msgstr "Letlts kzben lv fl"
 
-#: src/config/options.inc:1144
+#: src/config/options.inc:1213
 msgid "Tab colors for tabs that are loading in the background."
 msgstr "Letlts kzben lv fl sznei."
 
-#: src/config/options.inc:1146
+#: src/config/options.inc:1215
 msgid "Selected tab"
 msgstr "Kivlasztott fl"
 
-#: src/config/options.inc:1148
+#: src/config/options.inc:1217
 msgid "Selected tab colors."
 msgstr "Kivlasztott fl sznei."
 
-#: src/config/options.inc:1150
+#: src/config/options.inc:1219
 msgid "Tab separator"
 msgstr "Fl elvlaszt"
 
-#: src/config/options.inc:1152
+#: src/config/options.inc:1221
 msgid "Tab separator colors."
 msgstr "Flekek elvlaszt rsznek sznei."
 
-#: src/config/options.inc:1155
+#: src/config/options.inc:1224
 msgid "Searched strings"
 msgstr "A keresett szvegek"
 
-#: src/config/options.inc:1157
+#: src/config/options.inc:1226
 msgid "Searched string highlight colors."
 msgstr "A keresett szvegek kiemelsi sznei."
 
@@ -4090,77 +4170,80 @@ msgstr "A keresett szvegek kiemelsi sz
 #. ============= BORING PART (colors) END ===================
 #. ==========================================================
 #. Keep options in alphabetical order.
-#: src/config/options.inc:1166
+#: src/config/options.inc:1235
 msgid "Dialog settings"
 msgstr "Dialgusablak belltsok"
 
-#: src/config/options.inc:1168
+#: src/config/options.inc:1237
 msgid "Dialogs-specific appearance and behaviour settings."
 msgstr "Dialgusablakok megjelense s viselkedse."
 
-#: src/config/options.inc:1171
+#: src/config/options.inc:1240
 msgid "Minimal height of listbox widget"
 msgstr "A listk minimlis magassga"
 
-#: src/config/options.inc:1173
+#: src/config/options.inc:1242
+#, fuzzy
 msgid ""
-"Minimal height of the listbox widget (used e.g. for bookmarks\n"
-"or global history)."
+"Minimal height of the listbox widget (used e.g. for bookmarks or global "
+"history)."
 msgstr ""
 "A listk minimlis magassga (mint pl. a knyvjelzk ablakban, vagy\n"
 "a ltogatott lapok listjnl)."
 
-#: src/config/options.inc:1176
+#: src/config/options.inc:1245
 msgid "Drop shadows"
 msgstr "rnykok"
 
-#: src/config/options.inc:1178
+#: src/config/options.inc:1247
+#, fuzzy
 msgid ""
-"Make dialogs drop shadows (the shadows are solid, you can\n"
-"adjust their color by ui.colors.*.dialog.shadow). You may\n"
-"also want to eliminate the wide borders by adjusting setup.h."
+"Make dialogs drop shadows (the shadows are solid, you can adjust their color "
+"by ui.colors.*.dialog.shadow). You may also want to eliminate the wide "
+"borders by adjusting setup.h."
 msgstr ""
 "A dialgusablakoknak legyenek rnykai (az rnykok egysznek,\n"
 "a sznket a ui.colors.*.dialog.shadow-nl tudod lltani). Ha kedved van,\n"
 "lltsd a keretek szlessgt a setup.h-ban."
 
-#: src/config/options.inc:1182
+#: src/config/options.inc:1252
 msgid "Underline menu hotkeys"
 msgstr "A menkben lv gyorsbillentyk alhzsa"
 
-#: src/config/options.inc:1184
+#: src/config/options.inc:1254
 #, fuzzy
 msgid ""
-"Whether to underline hotkeys in menus to make them more\n"
-"visible. Requires that underlining is enabled for the terminal."
+"Whether to underline hotkeys in menus to make them more visible. Requires "
+"that underlining is enabled for the terminal."
 msgstr ""
 "A menkben lv gyorsbillentyk alhzsa, gy azok jobban\n"
 "ltszanak. A hasznlt terminlnak tmogatnia kell az alhzst."
 
-#: src/config/options.inc:1187
+#: src/config/options.inc:1258
 msgid "Underline button shortcuts"
 msgstr "A nyomgombokon lv gyorsbillentyk alhzsa"
 
-#: src/config/options.inc:1189
+#: src/config/options.inc:1260
 #, fuzzy
 msgid ""
-"Whether to underline button shortcuts to make them more\n"
-"visible. Requires that underlining is enabled for the terminal."
+"Whether to underline button shortcuts to make them more visible. Requires "
+"that underlining is enabled for the terminal."
 msgstr ""
 "A nyomgombokon lv gyorsbillentyk alhzsa, gy azok jobban\n"
 "ltszanak. A hasznlt terminlnak tmogatnia kell az alhzst."
 
-#: src/config/options.inc:1193
+#: src/config/options.inc:1265
 msgid "Timer options"
 msgstr "Idzt belltsok"
 
-#: src/config/options.inc:1195
+#: src/config/options.inc:1267
+#, fuzzy
 msgid ""
-"Timed action after certain interval of user inactivity. Someone can\n"
-"even find this useful, although you may not believe that."
+"Timed action after certain interval of user inactivity. Someone can even "
+"find this useful, although you may not believe that."
 msgstr "Idztett esemny bizonyos felhasznli inaktivits utn."
 
-#: src/config/options.inc:1201
+#: src/config/options.inc:1274
 msgid ""
 "Whether to enable the timer or not:\n"
 "0 is don't count down anything\n"
@@ -4172,7 +4255,7 @@ msgstr ""
 "1 - legyen idzt, de ne mutassa az llapott\n"
 "2 - legyen idzt, s mutassa az llapott a LED-ek mellett"
 
-#: src/config/options.inc:1208
+#: src/config/options.inc:1281
 msgid ""
 "Whether to enable the timer or not:\n"
 "0 is don't count down anything\n"
@@ -4184,35 +4267,36 @@ msgstr ""
 "1 - legyen idzt, de ne mutassa az llapott\n"
 "2 - legyen idzt, s mutassa az llapott a LED-ek mellett (LETILTVA)"
 
-#: src/config/options.inc:1214
+#: src/config/options.inc:1287
 msgid "Duration"
 msgstr "Idtartam"
 
-#: src/config/options.inc:1216
+#: src/config/options.inc:1289
+#, fuzzy
 msgid ""
-"Inactivity timeout in seconds. The maximum of one day\n"
-"should be enough for just everyone (TM)."
+"Inactivity timeout in seconds. The maximum of one day should be enough for "
+"just everyone (TM)."
 msgstr ""
 "Inaktivitsi id msodpercekben megadva.\n"
 "Maximum egy nap elg kell hogy legyen mindenkinek (TM)."
 
-#: src/config/options.inc:1221
+#: src/config/options.inc:1294
 msgid "Keybinding action to be triggered when timer reaches zero."
 msgstr "Billentykombinci, ami az id lejrtval vgrehajtdik."
 
-#: src/config/options.inc:1224
+#: src/config/options.inc:1298
 msgid "Window tabs"
 msgstr "Flek"
 
-#: src/config/options.inc:1226
+#: src/config/options.inc:1300
 msgid "Window tabs settings."
 msgstr "Flek belltsai."
 
-#: src/config/options.inc:1228
+#: src/config/options.inc:1302
 msgid "Display tabs bar"
 msgstr "A flek megjelentse"
 
-#: src/config/options.inc:1230
+#: src/config/options.inc:1304
 msgid ""
 "Show tabs bar on the screen:\n"
 "0 means never\n"
@@ -4224,150 +4308,157 @@ msgstr ""
 "1 - csak ha kett vagy tbb fl van\n"
 "2 - mindig"
 
-#: src/config/options.inc:1235
+#: src/config/options.inc:1309
 #, fuzzy
 msgid "Tab bar at top"
 msgstr "Fl elvlaszt"
 
-#: src/config/options.inc:1237
+#: src/config/options.inc:1311
 msgid "Whether display tab bar at top like other browsers do."
 msgstr ""
 
-#: src/config/options.inc:1239
+#: src/config/options.inc:1313
 msgid "Wrap-around tabs cycling"
 msgstr "Flek lapozsa krbe"
 
-#: src/config/options.inc:1241
+#: src/config/options.inc:1315
 #, fuzzy
 msgid ""
-"When moving right from the last tab, jump to the first one, and\n"
-"vice versa."
+"When moving right from the last tab, jump to the first one, and vice versa."
 msgstr "Ha az utols fln tovbb lapozunk, ugorjon az elsre, s fordtva."
 
-#: src/config/options.inc:1244
+#: src/config/options.inc:1318
 msgid "Confirm tab closing"
 msgstr "Fl bezrsnak megerstse"
 
-#: src/config/options.inc:1246
+#: src/config/options.inc:1320
 msgid "When closing a tab show confirmation dialog."
 msgstr "Fl bezrst megerst dialgusablak megnyitsa."
 
 #. OPT_LANGUAGE
-#: src/config/options.inc:1250 src/config/opttypes.c:483
+#: src/config/options.inc:1324 src/config/opttypes.c:483
 msgid "Language"
 msgstr "Nyelv"
 
-#: src/config/options.inc:1252
+#: src/config/options.inc:1326
+#, fuzzy
 msgid ""
-"Language of user interface. 'System' means that the language will\n"
-"be extracted from the environment dynamically."
+"Language of user interface. 'System' means that the language will be "
+"extracted from the environment dynamically."
 msgstr ""
 "A felhasznli fellet nyelve. A \"system\" azt jelenti, hogy a\n"
 "nyelvbellts az opercis rendszer belltsnak megfelelen trtnik."
 
-#: src/config/options.inc:1255
+#: src/config/options.inc:1330
 #, fuzzy
 msgid "Display menu bar always"
 msgstr "Cmsor megjelentse"
 
-#: src/config/options.inc:1257
+#: src/config/options.inc:1332
 #, fuzzy
 msgid "Always show menu bar on the screen."
 msgstr "Cmsor megjelentse a kpernyn."
 
-#: src/config/options.inc:1259
+#: src/config/options.inc:1334
 msgid "Display status bar"
 msgstr "llapotsor megjelentse"
 
-#: src/config/options.inc:1261
+#: src/config/options.inc:1336
 msgid "Show status bar on the screen."
 msgstr "llapotsor megjelentse a kpernyn."
 
-#: src/config/options.inc:1263
+#: src/config/options.inc:1338
 msgid "Display title bar"
 msgstr "Cmsor megjelentse"
 
-#: src/config/options.inc:1265
+#: src/config/options.inc:1340
 msgid "Show title bar on the screen."
 msgstr "Cmsor megjelentse a kpernyn."
 
-#: src/config/options.inc:1267
+#: src/config/options.inc:1342
 msgid "Display goto dialog in new tabs"
 msgstr "Jelentse meg az URL beviteli ablakot j flek megnyitsakor"
 
-#: src/config/options.inc:1269
+#: src/config/options.inc:1344
+#, fuzzy
 msgid ""
-"Pop up goto dialog in newly created tabs when there's no homepage\n"
-"set. This means also showing goto dialog on startup."
+"Pop up goto dialog in newly created tabs when there's no homepage set. This "
+"means also showing goto dialog on startup."
 msgstr ""
 "Amennyiben nincs belltva kezdlap, az j flek megnyitsakor jelenjen meg\n"
 "a cmbeviteli mez. Ha ez be van kapcsolva, akkor programindts utn is\n"
 "felugrik a cmbeviteli dialgusablak."
 
-#: src/config/options.inc:1272
+#: src/config/options.inc:1348
 msgid "Show a message box when file is saved successfully"
 msgstr "zenetablak megjelentse sikeres llomnymentskor"
 
-#: src/config/options.inc:1274
+#: src/config/options.inc:1350
+#, fuzzy
 msgid ""
-"When you pressed a [ Save ] button in some manager, this option\n"
-"will make sure that a box confirming success of the operation will\n"
-"pop up."
+"When you pressed a [ Save ] button in some manager, this option will make "
+"sure that a box confirming success of the operation will pop up."
 msgstr ""
 "Jelentsen meg zenetablakot, ha valamelyik ablakban az llomny ments\n"
 "sikeres volt."
 
-#: src/config/options.inc:1279
+#: src/config/options.inc:1355
 msgid "Sessions"
 msgstr "Munkafolyamatok"
 
-#: src/config/options.inc:1281
+#: src/config/options.inc:1357
 msgid "Sessions settings."
 msgstr "A munkafolyamatok belltsai."
 
-#: src/config/options.inc:1283
+#: src/config/options.inc:1359
 #, fuzzy
 msgid "Keep session active"
 msgstr "Kis/nagybet rzkeny"
 
-#: src/config/options.inc:1285
+#: src/config/options.inc:1361
 msgid "Keep the session active even if the last terminal exits."
 msgstr ""
 
-#: src/config/options.inc:1287
+#: src/config/options.inc:1364
 msgid "Auto save session"
 msgstr "A munkafolyamat automatikus mentse"
 
-#: src/config/options.inc:1289
+#: src/config/options.inc:1366
+#, fuzzy
 msgid ""
 "Automatically save the session when quitting.\n"
+"\n"
 "This feature requires bookmark support."
 msgstr ""
 "Kilpskor automatikusan mentse a munkafolyamatot.\n"
 "Ehhez a funkcihoz knyvjelztmogats szuksges."
 
-#: src/config/options.inc:1292
+#: src/config/options.inc:1370
 msgid "Auto restore session"
 msgstr "A munkafolyamat automatikus visszalltsa"
 
-#: src/config/options.inc:1294
+#: src/config/options.inc:1372
+#, fuzzy
 msgid ""
 "Automatically restore the session at start.\n"
+"\n"
 "This feature requires bookmark support."
 msgstr ""
 "A munkafolyamat automatikus visszalltsa indtskor.\n"
 "Ehhez a funkcihoz knyvjelztmogats szksges."
 
-#: src/config/options.inc:1297
+#: src/config/options.inc:1376
 msgid "Auto save and restore session folder name"
 msgstr ""
 "Az automatikus munkafolyamat ments s visszallts knyvjelzmappjnak a "
 "neve"
 
-#: src/config/options.inc:1299
+#: src/config/options.inc:1378
+#, fuzzy
 msgid ""
-"Name of the bookmarks folder used for auto saving and restoring session.\n"
-"The name has to be unique. Any folders with the same name will be deleted.\n"
+"Name of the bookmarks folder used for auto saving and restoring session. The "
+"name has to be unique. Any folders with the same name will be deleted.\n"
+"\n"
 "This only makes sense with bookmark support."
 msgstr ""
 "Annak a knyvjelzmappnak a neve, ahova az automatikus munkafolyamat\n"
@@ -4376,40 +4467,40 @@ msgstr ""
 "olyan knyvtr ami ilyen nven ltezik, fellrdik.\n"
 "Csak knyvjelztmogatsnl van rtelme."
 
-#: src/config/options.inc:1303
+#: src/config/options.inc:1384
 msgid "Homepage URI"
 msgstr "Honlap URI"
 
-#: src/config/options.inc:1305
+#: src/config/options.inc:1386
+#, fuzzy
 msgid ""
-"The URI to load either at startup time when no URI was given\n"
-"on the command line or when requested by the goto-url-home action.\n"
-"Set to \"\" if the environment variable WWW_HOME should be used\n"
-"as homepage URI instead."
+"The URI to load either at startup time when no URI was given on the command "
+"line or when requested by the goto-url-home action. Set to \"\" if the "
+"environment variable WWW_HOME should be used as homepage URI instead."
 msgstr ""
 "Az URI amit indtskor megjelentnk, ha nincs URI megadva\n"
 "parancssorban, vagy a goto-url-home-al. Ha a bellts rtke \"\" ,\n"
 "akkor a WWW_HOME krnyezeti vltoz rtke kerl hasznlatra."
 
-#: src/config/options.inc:1311
+#: src/config/options.inc:1392
 msgid "Date format"
 msgstr "Dtumformtum"
 
-#: src/config/options.inc:1313
+#: src/config/options.inc:1394
 msgid "Date format to use in dialogs. See strftime(3)."
 msgstr ""
 "A dialgusablakokban hasznlt dtumformtum. Lsd az\n"
 "strftime(3) man oldalt."
 
-#: src/config/options.inc:1316
+#: src/config/options.inc:1397
 msgid "Set window title"
 msgstr "Ablakfejlc cmnek belltsa"
 
-#: src/config/options.inc:1318
+#: src/config/options.inc:1399
+#, fuzzy
 msgid ""
-"Set the window title when running in a windowing environment\n"
-"in an xterm-like terminal. This way the document's title is\n"
-"shown on the window titlebar."
+"Set the window title when running in a windowing environment in an xterm-"
+"like terminal. This way the document's title is shown on the window titlebar."
 msgstr ""
 "Ablakfejlc cmnek belltsa, ha grafikus krnyezetben fut a program,\n"
 "valamilyen xterm jelleg terminlban. Ebben az esetben a cmsorban\n"
@@ -4497,7 +4588,7 @@ msgid "Goto URL History"
 msgstr "Ltogatott lapok"
 
 #. name:
-#: src/cookies/cookies.c:88 src/cookies/cookies.c:911
+#: src/cookies/cookies.c:88 src/cookies/cookies.c:913
 msgid "Cookies"
 msgstr "Cookie-k"
 
@@ -4526,13 +4617,14 @@ msgid "Maximum age"
 msgstr "rvnyessgi id"
 
 #: src/cookies/cookies.c:102
+#, fuzzy
 msgid ""
 "Cookie maximum age (in days):\n"
 "-1 is use cookie's expiration date if any\n"
-"0  is force expiration at the end of session, ignoring cookie's\n"
-"   expiration date\n"
-"1+ is use cookie's expiration date, but limit age to the given\n"
-"   number of days"
+"0  is force expiration at the end of session, ignoring\n"
+"   cookie's expiration date\n"
+"1+ is use cookie's expiration date, but limit age to the\n"
+"   given number of days"
 msgstr ""
 "A cookie-k maximlis rvnyessgi ideje (napokban):\n"
 "-1 a cookie sajt rvnyessgi idejnek hasznlata\n"
@@ -4546,12 +4638,13 @@ msgid "Paranoid security"
 msgstr "Paranoid biztonsg"
 
 #: src/cookies/cookies.c:111
+#, fuzzy
 msgid ""
-"When enabled, we'll require three dots in cookies domain for all\n"
-"non-international domains (instead of just two dots). Some countries\n"
-"have generic second level domains (eg. .com.pl, .co.uk) and allowing\n"
-"sites to set cookies for these generic domains could potentially be\n"
-"very bad. Note, it is off by default as it breaks a lot of sites."
+"When enabled, we'll require three dots in cookies domain for all non-"
+"international domains (instead of just two dots). Some countries have "
+"generic second level domains (eg. .com.pl, .co.uk) and allowing sites to set "
+"cookies for these generic domains could potentially be very bad. Note, it is "
+"off by default as it breaks a lot of sites."
 msgstr ""
 "Ha engedlyezve van, minden cookie-ban ktelezen lennie kell\n"
 "hrom pontnak (kett helyett). Nhny orszgban rvnyben\n"
@@ -4560,36 +4653,37 @@ msgstr ""
 "llthassanak be. Ez az opci alaprtelmezetten ki van kapcsolva,\n"
 "bekapcsolsa esetn jpr oldal hibsan mkdhet."
 
-#: src/cookies/cookies.c:117
+#: src/cookies/cookies.c:118
 msgid "Saving"
 msgstr "Ments"
 
-#: src/cookies/cookies.c:119
+#: src/cookies/cookies.c:120
 msgid "Whether cookies should be loaded from and saved to disk."
 msgstr ""
 
-#: src/cookies/cookies.c:121
+#: src/cookies/cookies.c:123
 msgid "Resaving"
 msgstr "jraments"
 
-#: src/cookies/cookies.c:123
+#: src/cookies/cookies.c:125
+#, fuzzy
 msgid ""
-"Save cookies after each change in cookies list? No effect when\n"
-"cookie saving (cookies.save) is off."
+"Save cookies after each change in cookies list? No effect when cookie saving "
+"(cookies.save) is off."
 msgstr ""
 "Minden cookie-val kapcsolatos vltozs utn mentsk a listt?\n"
 "Hatstalan ha a (cookies.save) ki van kapcsolva."
 
-#: src/cookies/cookies.c:817
+#: src/cookies/cookies.c:819
 #, fuzzy
 msgid "Cannot save cookies"
 msgstr "Az sszes sti trlse"
 
-#: src/cookies/cookies.c:828
+#: src/cookies/cookies.c:830
 msgid "ELinks was started without a home directory."
 msgstr ""
 
-#: src/cookies/cookies.c:834
+#: src/cookies/cookies.c:836
 msgid "ELinks was started with the -anonymous option."
 msgstr ""
 
@@ -4790,7 +4884,7 @@ msgid "No header info."
 msgstr "Nincs fejlc inf."
 
 #: src/dialogs/download.c:243 src/dialogs/menu.c:601
-#: src/protocol/bittorrent/dialogs.c:228 src/session/download.c:361
+#: src/protocol/bittorrent/dialogs.c:228 src/session/download.c:387
 msgid "Download"
 msgstr "Letlts"
 
@@ -5602,7 +5696,7 @@ msgid "No document"
 msgstr "Nincs dokumentum"
 
 #. name:
-#: src/document/css/css.c:30 src/document/css/css.c:161
+#: src/document/css/css.c:30 src/document/css/css.c:164
 msgid "Cascading Style Sheets"
 msgstr "CSS stluslapok (Cascading Style Sheets)"
 
@@ -5610,38 +5704,40 @@ msgstr "CSS stluslapok (Cascading Style
 msgid "Options concerning how to use CSS for styling documents."
 msgstr "A CSS megjelenentssel kapcsolatos belltsok."
 
-#: src/document/css/css.c:34
+#: src/document/css/css.c:35
 msgid "Enable CSS"
 msgstr "CSS engedlyezse"
 
-#: src/document/css/css.c:36
+#: src/document/css/css.c:37
 msgid "Enable adding of CSS style info to documents."
 msgstr "A CSS stlusinformcik hozzadsa a dokumentumhoz."
 
-#: src/document/css/css.c:38
+#: src/document/css/css.c:39
 msgid "Import external style sheets"
 msgstr "Kls stluslapok importlsa"
 
-#: src/document/css/css.c:40
+#: src/document/css/css.c:41
+#, fuzzy
 msgid ""
-"When enabled any external style sheets that are imported from\n"
-"either CSS itself using the @import keyword or from the HTML using\n"
-"<link> tags in the document header will also be downloaded."
+"When enabled any external style sheets that are imported from either CSS "
+"itself using the @import keyword or from the HTML using <link> tags in the "
+"document header will also be downloaded."
 msgstr ""
 "Ha be van kapcsolva, minden kls stluslap importlsa megtrtnik,\n"
 "akr a CSS-bl @import kulcsszval, akr a HTML-bl a <link> tag-ekkel\n"
 "a fejlcbl."
 
-#: src/document/css/css.c:44
+#: src/document/css/css.c:46
 msgid "Default style sheet"
 msgstr "Alaprtelmezett stluslap"
 
-#: src/document/css/css.c:46
+#: src/document/css/css.c:48
+#, fuzzy
 msgid ""
-"The path to the file containing the default user defined\n"
-"Cascading Style Sheet. It can be used to control the basic\n"
-"layout of HTML documents. The path is assumed to be relative\n"
-"to ELinks' home directory.\n"
+"The path to the file containing the default user defined Cascading Style "
+"Sheet. It can be used to control the basic layout of HTML documents. The "
+"path is assumed to be relative to ELinks' home directory.\n"
+"\n"
 "Leave as \"\" to use built-in document styling."
 msgstr ""
 "Annak a fjlnak az elrsi tvonala, amely az alaprtelmezett\n"
@@ -5677,8 +5773,8 @@ msgstr ""
 
 #: src/ecmascript/ecmascript.c:55
 msgid ""
-"Whether to ignore content enclosed by the <noscript> tag\n"
-"when ECMAScript is enabled."
+"Whether to ignore content enclosed by the <noscript> tag when ECMAScript is "
+"enabled."
 msgstr ""
 
 #: src/ecmascript/ecmascript.c:58
@@ -5736,7 +5832,7 @@ msgid "JavaScript Error"
 msgstr "JavaScript hiba"
 
 #. name:
-#: src/ecmascript/spidermonkey.c:320
+#: src/ecmascript/spidermonkey.c:321
 msgid "SpiderMonkey"
 msgstr ""
 
@@ -5828,10 +5924,10 @@ msgid "Show form history dialog"
 msgstr "Mutassa az rlapok listjt"
 
 #: src/formhist/formhist.c:38
+#, fuzzy
 msgid ""
-"Ask if a login form should be saved to file or not.\n"
-"This option only disables the dialog, already saved login\n"
-"forms are unaffected."
+"Ask if a login form should be saved to file or not. This option only "
+"disables the dialog, already saved login forms are unaffected."
 msgstr ""
 "Krdezzen r hogy elmenthet-e a bejelentkezsi rlap fjlba vagy sem.\n"
 "Ez a bellts csak a dialgusablakot tiltja, a mr elmentett rlapokra\n"
@@ -5934,19 +6030,19 @@ msgstr "Ltogatott oldalak teljes listj
 msgid "Enable global history (\"history of all pages visited\")."
 msgstr "Ltogatott oldalak teljes listjnak engedlyezse."
 
-#: src/globhist/globhist.c:68
+#: src/globhist/globhist.c:69
 msgid "Maximum number of entries"
 msgstr "Bejegyzsek maximlis szma"
 
-#: src/globhist/globhist.c:70
+#: src/globhist/globhist.c:71
 msgid "Maximum number of entries in the global history."
 msgstr "Bejegyzsek maximlis szma."
 
-#: src/globhist/globhist.c:72
+#: src/globhist/globhist.c:73
 msgid "Display style"
 msgstr "Megjelents stlusa"
 
-#: src/globhist/globhist.c:74
+#: src/globhist/globhist.c:75
 msgid ""
 "What to display in global history dialog:\n"
 "0 is URLs\n"
@@ -5957,7 +6053,7 @@ msgstr ""
 "1 - az oldalak cmeit"
 
 #. name:
-#: src/globhist/globhist.c:451
+#: src/globhist/globhist.c:449
 msgid "Global History"
 msgstr "Ltogatott lapok"
 
@@ -6178,111 +6274,109 @@ msgid "MIME type associations"
 msgstr "MIME tpus hozzrendelsek"
 
 #: src/mime/backend/default.c:27
+#, fuzzy
 msgid ""
-"Handler <-> MIME type association. The first sub-tree is the MIME\n"
-"class while the second sub-tree is the MIME type (ie. image/gif\n"
-"handler will reside at mime.type.image.gif). Each MIME type option\n"
-"should contain (case-sensitive) name of the MIME handler (its\n"
-"properties are stored at mime.handler.<name>)."
+"Handler <-> MIME type association. The first sub-tree is the MIME class "
+"while the second sub-tree is the MIME type (ie. image/gif handler will "
+"reside at mime.type.image.gif). Each MIME type option should contain (case-"
+"sensitive) name of the MIME handler (its properties are stored at mime."
+"handler.<name>)."
 msgstr ""
 "Megjelent <-> MIME tpus sszerendels. Az els rsz a MIME osztly,\n"
 "a msodik a MIME tpus (pl. image/gif kezelje a mime.type.image.gif).\n"
 "Minden MIME tpusnak tartalmaznia kell (kis/nagybet!) a MIME kezel\n"
 "nevt (a belltsai a mime.handler.<nv>-ben vannak)."
 
-#: src/mime/backend/default.c:35
+#: src/mime/backend/default.c:36
+#, fuzzy
 msgid ""
-"Handler matching this MIME-type class ('*' is used here in place\n"
-"of '.')."
+"Handler matching this MIME-type class ('*' is used here in place of '.')."
 msgstr ""
 "Megjelent az adott MIME tpus osztlyhoz ('.' helyett\n"
 "'*'-ot kell hasznlni itt)."
 
-#: src/mime/backend/default.c:40
+#: src/mime/backend/default.c:41
+#, fuzzy
 msgid ""
-"Handler matching this MIME-type name ('*' is used here in place\n"
-"of '.')."
+"Handler matching this MIME-type name ('*' is used here in place of '.')."
 msgstr ""
 "Megjelent az adott MIME tpus nvhez ('.' helyett\n"
 "'*'-ot kell hasznlni itt)."
 
-#: src/mime/backend/default.c:44
+#: src/mime/backend/default.c:45
 msgid "File type handlers"
 msgstr "Flj tpus megjelentk"
 
-#: src/mime/backend/default.c:46
+#: src/mime/backend/default.c:47
 msgid ""
-"A file type handler is a set of information about how to use\n"
-"an external program to view a file. It is possible to refer to it\n"
-"for several MIME types -- e.g., you can define an 'image' handler\n"
-"to which mime.type.image.png, mime.type.image.jpeg, and so on will\n"
-"refer; or one might define a handler for a more specific type of file\n"
-"-- e.g., PDF files.\n"
-"Note you must define both a MIME handler and a MIME type association\n"
-"for it to work."
+"A file type handler is a set of information about how to use an external "
+"program to view a file. It is possible to refer to it for several MIME types "
+"-- e.g., you can define an 'image' handler to which mime.type.image.png, "
+"mime.type.image.jpeg, and so on will refer; or one might define a handler "
+"for a more specific type of file -- e.g., PDF files. Note you must define "
+"both a MIME handler and a MIME type association for it to work."
 msgstr ""
 
-#: src/mime/backend/default.c:57
+#: src/mime/backend/default.c:58
 msgid "Description of this handler."
 msgstr "A megjelent lersa."
 
-#: src/mime/backend/default.c:61
+#: src/mime/backend/default.c:62
 msgid "System-specific handler description (ie. unix, unix-xwin, ...)."
 msgstr "A megjelent rendszerspecifikus lersa (pl.  unix, unix-xwin, ...)."
 
-#: src/mime/backend/default.c:63 src/mime/backend/mailcap.c:102
+#: src/mime/backend/default.c:65 src/mime/backend/mailcap.c:102
 msgid "Ask before opening"
 msgstr "Megersts kerse megnyits eltt"
 
-#: src/mime/backend/default.c:65
+#: src/mime/backend/default.c:67
 msgid "Ask before opening."
 msgstr "Megersts kerse megnyits eltt."
 
-#: src/mime/backend/default.c:67
+#: src/mime/backend/default.c:69
 msgid "Block terminal"
 msgstr "Terminl zrolsa"
 
-#: src/mime/backend/default.c:69
+#: src/mime/backend/default.c:71
 msgid "Block the terminal when the handler is running."
 msgstr "Terminl zrolsa amg a megjelentprogram fut."
 
-#: src/mime/backend/default.c:71
+#: src/mime/backend/default.c:73
 msgid "Program"
 msgstr "Program"
 
-#: src/mime/backend/default.c:74
+#: src/mime/backend/default.c:76
 #, fuzzy, no-c-format
 msgid ""
-"External viewer for this file type. '%' in this string will be\n"
-"substituted by a file name.\n"
-"Do _not_ put single- or double-quotes around the % sign."
+"External viewer for this file type. '%' in this string will be substituted "
+"by a file name. Do _not_ put single- or double-quotes around the % sign."
 msgstr ""
 "Kls megjelent ehhez a fjltpushoz. '%' ebben a sztringben\n"
 "a fljnvre cserldik."
 
-#: src/mime/backend/default.c:79
+#: src/mime/backend/default.c:81
 msgid "File extension associations"
 msgstr "Fjl kiterjeszts hozzrendelsek"
 
-#: src/mime/backend/default.c:81
+#: src/mime/backend/default.c:83
 msgid "Extension <-> MIME type association."
 msgstr "Kiterjeszts <-> MIME tpus hozzrendels."
 
-#: src/mime/backend/default.c:85
+#: src/mime/backend/default.c:87
+#, fuzzy
 msgid ""
-"MIME-type matching this file extension ('*' is used here in place\n"
-"of '.')."
+"MIME-type matching this file extension ('*' is used here in place of '.')."
 msgstr ""
 "MIME tpus ehhez a flj kiterjesztshez ('.' helyett\n"
 "'*'-ot kell hasznlni itt)."
 
 #. name:
-#: src/mime/backend/default.c:216
+#: src/mime/backend/default.c:218
 msgid "Option system"
 msgstr "Konfigurcis rendszer"
 
 #. name:
-#: src/mime/backend/mailcap.c:89 src/mime/backend/mailcap.c:684
+#: src/mime/backend/mailcap.c:89 src/mime/backend/mailcap.c:686
 msgid "Mailcap"
 msgstr "Mailcap"
 
@@ -6295,9 +6389,10 @@ msgid "Enable mailcap support."
 msgstr "Mailcap tmogats engedlyezse."
 
 #: src/mime/backend/mailcap.c:99
+#, fuzzy
 msgid ""
-"Mailcap search path. Colon-separated list of files.\n"
-"Leave as \"\" to use MAILCAP environment variable instead."
+"Mailcap search path. Colon-separated list of files. Leave as \"\" to use "
+"MAILCAP environment variable instead."
 msgstr ""
 "A Mailcap keressi tvonala. Kettsponokkal elvlasztott fjl lista.\n"
 "Ha a MAILCAP krnyezeti vltoz rtkt szeretnd hasznlni,\n"
@@ -6312,12 +6407,13 @@ msgid "Type query string"
 msgstr "Lers megjelentse"
 
 #: src/mime/backend/mailcap.c:108
+#, fuzzy
 msgid ""
-"Type of description to show in \"what to do with this file\"\n"
-"query dialog:\n"
+"Type of description to show in \"what to do with this file\" query dialog:\n"
 "0 is show \"mailcap\"\n"
 "1 is show program to be run\n"
-"2 is show mailcap description field if any; \"mailcap\" otherwise"
+"2 is show mailcap description field if any;\n"
+"     \"mailcap\" otherwise"
 msgstr ""
 "A lers amit jelentsnk meg a \"mit tegynk ezzel az llomnnyal\"\n"
 "dialgusablakban:\n"
@@ -6325,18 +6421,18 @@ msgstr ""
 "1 - jelentsk meg a futtatand programot\n"
 "2 - jelentsk meg a mailcap lers mezjt ha van, egybknt \"mailcap\"-et"
 
-#: src/mime/backend/mailcap.c:114
+#: src/mime/backend/mailcap.c:115
 msgid "Prioritize entries by file"
 msgstr ""
 
-#: src/mime/backend/mailcap.c:116
+#: src/mime/backend/mailcap.c:117
 msgid ""
-"Prioritize entries by the order of the files in the mailcap\n"
-"path. This means that wildcard entries (like: image/*) will\n"
-"also be checked before deciding the handler."
+"Prioritize entries by the order of the files in the mailcap path. This means "
+"that wildcard entries (like: image/*) will also be checked before deciding "
+"the handler."
 msgstr ""
 
-#: src/mime/backend/mailcap.c:349
+#: src/mime/backend/mailcap.c:351
 #, c-format
 msgid "Badly formated mailcap entry for type %s in \"%s\" line %d"
 msgstr ""
@@ -6344,16 +6440,15 @@ msgstr ""
 "%d"
 
 #. name:
-#: src/mime/backend/mimetypes.c:46 src/mime/backend/mimetypes.c:279
+#: src/mime/backend/mimetypes.c:46 src/mime/backend/mimetypes.c:280
 msgid "Mimetypes files"
 msgstr "Mimetype fjlok"
 
 #: src/mime/backend/mimetypes.c:48
 #, fuzzy
 msgid ""
-"Options for the support of mime.types files. These files\n"
-"can be used to find the content type of a URL by looking at\n"
-"the extension of the file name."
+"Options for the support of mime.types files. These files can be used to find "
+"the content type of a URL by looking at the extension of the file name."
 msgstr ""
 "A mimetype kezelssel kapcsolatos belltsok. A mimetype fljokat\n"
 "az URL-ek ltal mutatott fljok tartalmnak megllaptshoz lehet\n"
@@ -6394,7 +6489,7 @@ msgid "No extensions"
 msgstr "Nincs kiterjeszts"
 
 #. name:
-#: src/mime/mime.c:38 src/mime/mime.c:360
+#: src/mime/mime.c:38 src/mime/mime.c:361
 msgid "MIME"
 msgstr "MIME"
 
@@ -6407,9 +6502,10 @@ msgid "Default MIME-type"
 msgstr "Alaprtelmezett MIME tpus"
 
 #: src/mime/mime.c:44
+#, fuzzy
 msgid ""
-"Document MIME-type to assume by default (when we are unable to\n"
-"guess it properly from known information about the document)."
+"Document MIME-type to assume by default (when we are unable to guess it "
+"properly from known information about the document)."
 msgstr ""
 "A dokumentum alaprtelmezett MIME tpusa (ha nem lehetsges\n"
 "a dokumentumbl megllaptani)."
@@ -6419,9 +6515,10 @@ msgid "Verify certificates"
 msgstr "Biztonsgi tanstvnyok ellenrzse"
 
 #: src/network/ssl/ssl.c:74
+#, fuzzy
 msgid ""
-"Verify the peer's SSL certificate. Note that this\n"
-"needs extensive configuration of OpenSSL by the user."
+"Verify the peer's SSL certificate. Note that this needs extensive "
+"configuration of OpenSSL by the user."
 msgstr ""
 "Ellenrizze a kapcsolat SSL tanustvnyt. Megjegyzs:\n"
 "Ez az opci a felhasznltl az OpenSSL hozzrt konfigurlst\n"
@@ -6436,9 +6533,10 @@ msgid "X509 client certificate options."
 msgstr "X509 kliens oldali tanstvnyok"
 
 #: src/network/ssl/ssl.c:83
+#, fuzzy
 msgid ""
-"Enable or not the sending of X509 client certificates\n"
-"to servers which request them."
+"Enable or not the sending of X509 client certificates to servers which "
+"request them."
 msgstr ""
 "X509 szabvny kliens oldali tanstvnyok kldse az ket ignyl "
 "szervereknek."
@@ -6448,11 +6546,11 @@ msgid "Certificate File"
 msgstr "Tanstvny fjl"
 
 #: src/network/ssl/ssl.c:88
+#, fuzzy
 msgid ""
-"The location of a file containing the client certificate\n"
-"and unencrypted private key in PEM format. If unset, the\n"
-"file pointed to by the X509_CLIENT_CERT variable is used\n"
-"instead."
+"The location of a file containing the client certificate and unencrypted "
+"private key in PEM format. If unset, the file pointed to by the "
+"X509_CLIENT_CERT variable is used instead."
 msgstr ""
 "A tanstvny fjl, s a PEM formtum titkostatlan pivt kulcs fjl "
 "helye.\n"
@@ -6460,10 +6558,13 @@ msgstr ""
 "mutatott fjl kerl felhasznlsra."
 
 #: src/network/ssl/ssl.c:163
+#, fuzzy
 msgid ""
-"Verify the peer's SSL certificate.  If you enable\n"
-"this, set also \"Trusted CA file\"."
+"Verify the peer's SSL certificate.  If you enable this, set also \"Trusted "
+"CA file\"."
 msgstr ""
+"Ellenrizze a kapcsolat SSL tanustvnyt. Megjegyzs:\n"
+"Ez az opci valsznleg nem mkdik GnuTLS-el."
 
 #. The default value of the following option points to a file
 #. * generated by the ca-certificates Debian package.  Don't use
@@ -6480,20 +6581,20 @@ msgstr "Adattviteli hiba"
 
 #: src/network/ssl/ssl.c:176
 msgid ""
-"The location of a file containing certificates of\n"
-"trusted certification authorities in PEM format.\n"
-"ELinks then trusts certificates issued by these CAs.\n"
-"If you change this option or the file, you must\n"
-"restart ELinks for the changes to take effect.\n"
-"This option affects GnuTLS but not OpenSSL."
+"The location of a file containing certificates of trusted certification "
+"authorities in PEM format. ELinks then trusts certificates issued by these "
+"CAs.\n"
+"\n"
+"If you change this option or the file, you must restart ELinks for the "
+"changes to take effect. This option affects GnuTLS but not OpenSSL."
 msgstr ""
 
 #. name:
-#: src/network/ssl/ssl.c:199 src/network/ssl/ssl.c:216
+#: src/network/ssl/ssl.c:200 src/network/ssl/ssl.c:217
 msgid "SSL"
 msgstr "SSL"
 
-#: src/network/ssl/ssl.c:201
+#: src/network/ssl/ssl.c:202
 msgid "SSL options."
 msgstr "SSL belltsok"
 
@@ -6841,7 +6942,7 @@ msgstr "Azonosts szksges"
 msgid "Login"
 msgstr "Felhasznlnv"
 
-#: src/protocol/auth/dialogs.c:113 src/protocol/http/http.c:140
+#: src/protocol/auth/dialogs.c:113 src/protocol/http/http.c:142
 msgid "Password"
 msgstr "Jelsz"
 
@@ -6909,7 +7010,7 @@ msgstr "Hitelests kezel"
 
 #. name:
 #: src/protocol/bittorrent/bittorrent.c:26
-#: src/protocol/bittorrent/bittorrent.c:335
+#: src/protocol/bittorrent/bittorrent.c:339
 msgid "BitTorrent"
 msgstr ""
 
@@ -6965,9 +7066,8 @@ msgstr ""
 
 #: src/protocol/bittorrent/bittorrent.c:57
 msgid ""
-"Whether to request that the tracker returns peer info\n"
-"in compact format. Note, the compact format only supports\n"
-"IPv4 addresses."
+"Whether to request that the tracker returns peer info in compact format. "
+"Note, the compact format only supports IPv4 addresses."
 msgstr ""
 
 #: src/protocol/bittorrent/bittorrent.c:61
@@ -6976,57 +7076,55 @@ msgstr ""
 
 #: src/protocol/bittorrent/bittorrent.c:63
 msgid ""
-"The number of seconds to wait between periodically contacting\n"
-"the tracker for announcing progress and requesting more peers.\n"
-"Set to zero to use the interval requested by the tracker."
+"The number of seconds to wait between periodically contacting the tracker "
+"for announcing progress and requesting more peers. Set to zero to use the "
+"interval requested by the tracker."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:67
+#: src/protocol/bittorrent/bittorrent.c:68
 msgid "IP-address to announce"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:69
+#: src/protocol/bittorrent/bittorrent.c:70
 msgid ""
-"What IP address to report to the tracker. If set to \"\"\n"
-"no IP address will be sent and the tracker will automatically\n"
-"determine an appropriate IP address."
+"What IP address to report to the tracker. If set to \"\" no IP address will "
+"be sent and the tracker will automatically determine an appropriate IP "
+"address."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:73
+#: src/protocol/bittorrent/bittorrent.c:74
 #, fuzzy
 msgid "User identification string"
 msgstr "User Agent belltsa"
 
-#: src/protocol/bittorrent/bittorrent.c:75
+#: src/protocol/bittorrent/bittorrent.c:76
 msgid ""
-"An additional identification that is not shared with any users.\n"
-"It is intended to allow a client to prove their identity should\n"
-"their IP address change. It is an optional parameter, but some\n"
-"trackers require this parameter. If set to \"\" no user key will\n"
-"be sent to the tracker."
+"An additional identification that is not shared with any users. It is "
+"intended to allow a client to prove their identity should their IP address "
+"change. It is an optional parameter, but some trackers require this "
+"parameter. If set to \"\" no user key will be sent to the tracker."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:81
+#: src/protocol/bittorrent/bittorrent.c:82
 #, fuzzy
 msgid "Maximum number of peers to request"
 msgstr "Bejegyzsek maximlis szma"
 
-#: src/protocol/bittorrent/bittorrent.c:83
+#: src/protocol/bittorrent/bittorrent.c:84
 msgid ""
-"The maximum number of peers to request from the tracker.\n"
-"Set to 0 to use the server default."
+"The maximum number of peers to request from the tracker. Set to 0 to use the "
+"server default."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:86
+#: src/protocol/bittorrent/bittorrent.c:87
 msgid "Minimum peers to skip rerequesting"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:88
+#: src/protocol/bittorrent/bittorrent.c:89
 msgid ""
-"The minimum number of peers to have in the current peer info\n"
-"pool before skipping requesting of more peers. I.e. setting\n"
-"numwant to zero.\n"
-"Set to 0 to not have any limit."
+"The minimum number of peers to have in the current peer info pool before "
+"skipping requesting of more peers. I.e. setting numwant to zero. Set to 0 to "
+"not have any limit."
 msgstr ""
 
 #. ******************************************************************
@@ -7047,186 +7145,181 @@ msgstr "Az egyidben megnyithat maximl
 
 #: src/protocol/bittorrent/bittorrent.c:104
 msgid ""
-"The maximum number of allowed connections to both active and\n"
-"non-active peers. By increasing the number of allowed connections,\n"
-"the chance of finding good peers to download from is increased.\n"
-"However, too many connections can lead to TCP congestion. If the\n"
-"maximum is reached all new incoming connections will be closed."
+"The maximum number of allowed connections to both active and non-active "
+"peers. By increasing the number of allowed connections, the chance of "
+"finding good peers to download from is increased. However, too many "
+"connections can lead to TCP congestion. If the maximum is reached all new "
+"incoming connections will be closed."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:110
+#: src/protocol/bittorrent/bittorrent.c:111
 #, fuzzy
 msgid "Maximum peer message length"
 msgstr "A kpfjl nevnek maximlis hossza"
 
-#: src/protocol/bittorrent/bittorrent.c:112
+#: src/protocol/bittorrent/bittorrent.c:113
 msgid ""
-"The maximum length of messages to accept over the wire.\n"
-"Larger values will cause the connection to be dropped."
+"The maximum length of messages to accept over the wire. Larger values will "
+"cause the connection to be dropped."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:115
+#: src/protocol/bittorrent/bittorrent.c:116
 msgid "Maximum allowed request length"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:117
+#: src/protocol/bittorrent/bittorrent.c:118
 msgid ""
-"The maximum length to allow for incoming requests.\n"
-"Larger requests will cause the connection to be dropped."
+"The maximum length to allow for incoming requests. Larger requests will "
+"cause the connection to be dropped."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:120
+#: src/protocol/bittorrent/bittorrent.c:121
 msgid "Length of requests"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:122
+#: src/protocol/bittorrent/bittorrent.c:123
 msgid ""
-"How many bytes to query for per request. This is complementary\n"
-"to the max_request_length option. If the configured length is\n"
-"bigger than the piece length it will be truncated."
+"How many bytes to query for per request. This is complementary to the "
+"max_request_length option. If the configured length is bigger than the piece "
+"length it will be truncated."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:126
+#: src/protocol/bittorrent/bittorrent.c:128
 #, fuzzy
 msgid "Peer inactivity timeout"
 msgstr "Idtllps adatfogads kzben"
 
-#: src/protocol/bittorrent/bittorrent.c:128
+#: src/protocol/bittorrent/bittorrent.c:130
 msgid ""
-"The number of seconds to wait before closing a socket on\n"
-"which nothing has been received or sent."
+"The number of seconds to wait before closing a socket on which nothing has "
+"been received or sent."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:131
+#: src/protocol/bittorrent/bittorrent.c:133
 #, fuzzy
 msgid "Maximum peer pool size"
 msgstr "Bejegyzsek maximlis szma"
 
-#: src/protocol/bittorrent/bittorrent.c:133
+#: src/protocol/bittorrent/bittorrent.c:135
 msgid ""
-"Maximum number of items in the peer pool. The peer pool\n"
-"contains information used for establishing connections to\n"
-"new peers.\n"
+"Maximum number of items in the peer pool. The peer pool contains information "
+"used for establishing connections to new peers.\n"
+"\n"
 "Set to 0 to have unlimited size."
 msgstr ""
 
 #. ******************************************************************
 #. Piece management options:
 #. ******************************************************************
-#: src/protocol/bittorrent/bittorrent.c:143
+#: src/protocol/bittorrent/bittorrent.c:146
 #, fuzzy
 msgid "Maximum piece cache size"
 msgstr "Maximlis vgrehajtsi id"
 
-#: src/protocol/bittorrent/bittorrent.c:145
+#: src/protocol/bittorrent/bittorrent.c:148
 msgid ""
-"The maximum amount of memory used to hold recently\n"
-"downloaded pieces.\n"
+"The maximum amount of memory used to hold recently downloaded pieces.\n"
+"\n"
 "Set to 0 to have unlimited size."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:154
+#: src/protocol/bittorrent/bittorrent.c:158
 #, fuzzy
 msgid "Sharing rate"
 msgstr "Mentsi md"
 
-#: src/protocol/bittorrent/bittorrent.c:156
+#: src/protocol/bittorrent/bittorrent.c:160
 msgid ""
-"The minimum sharing rate to achieve before stop seeding.\n"
-"The sharing rate is computed as the number of uploaded bytes\n"
-"divided with the number of downloaded bytes. The value should\n"
-"be a double value between 0.0 and 1.0 both included.\n"
-"Set to 1.0 to atleast upload a complete copy of all data and\n"
+"The minimum sharing rate to achieve before stop seeding. The sharing rate is "
+"computed as the number of uploaded bytes divided with the number of "
+"downloaded bytes. The value should be a double value between 0.0 and 1.0 "
+"both included. Set to 1.0 to atleast upload a complete copy of all data and "
 "set to 0.0 to have unlimited sharing rate."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:163
+#: src/protocol/bittorrent/bittorrent.c:167
 #, fuzzy
 msgid "Maximum number of uploads"
 msgstr "Bejegyzsek maximlis szma"
 
-#: src/protocol/bittorrent/bittorrent.c:165
+#: src/protocol/bittorrent/bittorrent.c:169
 msgid "The maximum number of uploads to allow at once."
 msgstr ""
 
 #. The number of uploads to fill out to with extra optimistic unchokes
-#: src/protocol/bittorrent/bittorrent.c:168
+#: src/protocol/bittorrent/bittorrent.c:172
 #, fuzzy
 msgid "Minimum number of uploads"
 msgstr "Bejegyzsek maximlis szma"
 
-#: src/protocol/bittorrent/bittorrent.c:170
+#: src/protocol/bittorrent/bittorrent.c:174
 msgid ""
-"The minimum number of uploads which should at least\n"
-"be used for new connections."
+"The minimum number of uploads which should at least be used for new "
+"connections."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:174
+#: src/protocol/bittorrent/bittorrent.c:178
 #, fuzzy
 msgid "Keepalive interval"
 msgstr "Ments idkze"
 
-#: src/protocol/bittorrent/bittorrent.c:176
-msgid ""
-"The number of seconds to pause between sending keepalive\n"
-"messages."
+#: src/protocol/bittorrent/bittorrent.c:180
+msgid "The number of seconds to pause between sending keepalive messages."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:179
+#: src/protocol/bittorrent/bittorrent.c:183
 #, fuzzy
 msgid "Number of pending requests"
 msgstr "A kiszolgl feldogozza a krst"
 
-#: src/protocol/bittorrent/bittorrent.c:181
+#: src/protocol/bittorrent/bittorrent.c:185
 msgid ""
-"How many piece requests to continuously keep in queue. Pipelining\n"
-"of requests is essential to saturate connections and get a good\n"
-"connection performance and thus a faster download. However, a\n"
-"very big queue size can lead to wasting bandwidth near the end\n"
-"of the connection since remaining piece blocks will be requested\n"
-"from multiple peers."
+"How many piece requests to continuously keep in queue. Pipelining of "
+"requests is essential to saturate connections and get a good connection "
+"performance and thus a faster download. However, a very big queue size can "
+"lead to wasting bandwidth near the end of the connection since remaining "
+"piece blocks will be requested from multiple peers."
 msgstr ""
 
 #. Bram uses 30 seconds here.
-#: src/protocol/bittorrent/bittorrent.c:190
+#: src/protocol/bittorrent/bittorrent.c:194
 msgid "Peer snubbing interval"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:192
+#: src/protocol/bittorrent/bittorrent.c:196
 msgid ""
-"The number of seconds to wait for file data before assuming\n"
-"the peer has been snubbed."
+"The number of seconds to wait for file data before assuming the peer has "
+"been snubbed."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:195
+#: src/protocol/bittorrent/bittorrent.c:199
 #, fuzzy
 msgid "Peer choke interval"
 msgstr "Ments idkze"
 
-#: src/protocol/bittorrent/bittorrent.c:197
+#: src/protocol/bittorrent/bittorrent.c:201
 msgid ""
-"The number of seconds between updating the connection state\n"
-"and most importantly choke and unchoke peer connections. The\n"
-"choke period should be big enough for newly unchoked connections\n"
-"to get started but small enough to not allow freeriders too much\n"
-"room for stealing bandwidth."
+"The number of seconds between updating the connection state and most "
+"importantly choke and unchoke peer connections. The choke period should be "
+"big enough for newly unchoked connections to get started but small enough to "
+"not allow freeriders too much room for stealing bandwidth."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:203
+#: src/protocol/bittorrent/bittorrent.c:207
 msgid "Rarest first piece selection cutoff"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:205
+#: src/protocol/bittorrent/bittorrent.c:209
 msgid ""
-"The number of pieces to obtain before switching piece\n"
-"selection strategy from random to rarest first."
+"The number of pieces to obtain before switching piece selection strategy "
+"from random to rarest first."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:208 src/protocol/http/http.c:109
+#: src/protocol/bittorrent/bittorrent.c:212 src/protocol/http/http.c:109
 msgid "Allow blacklisting"
 msgstr "Feketelista endedlyezse"
 
-#: src/protocol/bittorrent/bittorrent.c:210
+#: src/protocol/bittorrent/bittorrent.c:214
 #, fuzzy
 msgid "Allow blacklisting of buggy peers."
 msgstr "A hibsan mkd szerverek felvtele a feketelistra."
@@ -7264,7 +7357,7 @@ msgstr "llomnyok:"
 msgid "Comment"
 msgstr "Megjegyzsek"
 
-#: src/protocol/bittorrent/dialogs.c:229 src/session/download.c:362
+#: src/protocol/bittorrent/dialogs.c:229 src/session/download.c:388
 #, c-format
 msgid ""
 "Download complete:\n"
@@ -7426,7 +7519,7 @@ msgid "%u unavailable"
 msgid_plural "%u unavailable"
 msgstr[0] "FTP szolgltats nem elrhet"
 
-#: src/protocol/bittorrent/dialogs.c:584 src/session/session.c:278
+#: src/protocol/bittorrent/dialogs.c:584 src/session/session.c:279
 #, c-format
 msgid "Unable to retrieve %s"
 msgstr "Nem lehet letlteni: %s"
@@ -7441,7 +7534,7 @@ msgstr "Mit tegynk a '%s' fjllal? (tp
 msgid "Information about the torrent"
 msgstr "Informci az aktulis oldalrl"
 
-#: src/protocol/bittorrent/dialogs.c:776 src/session/download.c:1106
+#: src/protocol/bittorrent/dialogs.c:776 src/session/download.c:1132
 msgid "What to do?"
 msgstr "Mit tegynk?"
 
@@ -7452,12 +7545,12 @@ msgid "Down~load"
 msgstr "Letlts"
 
 #. accelerator_context(src/protocol/bittorrent/dialogs.c:bittorrent_query_callback, src/session/download.c:do_type_query)
-#: src/protocol/bittorrent/dialogs.c:804 src/session/download.c:1209
+#: src/protocol/bittorrent/dialogs.c:804 src/session/download.c:1235
 msgid "~Display"
 msgstr "Meg~jelents"
 
 #. accelerator_context(src/protocol/bittorrent/dialogs.c:bittorrent_query_callback, src/session/download.c:do_type_query)
-#: src/protocol/bittorrent/dialogs.c:808 src/session/download.c:1213
+#: src/protocol/bittorrent/dialogs.c:808 src/session/download.c:1239
 msgid "Show ~header"
 msgstr "Fejl~c megjelentse"
 
@@ -7475,16 +7568,16 @@ msgstr ""
 "A CGI scriptek trolsra hasznlt knyvtrak felsorolsa, kettsponttal "
 "elvlasztva."
 
-#: src/protocol/file/cgi.c:47
+#: src/protocol/file/cgi.c:48
 msgid "Allow local CGI"
 msgstr "Helyi CGI engedlyezse"
 
-#: src/protocol/file/cgi.c:49
+#: src/protocol/file/cgi.c:50
 msgid "Whether to execute local CGI scripts."
 msgstr "A helyi CGI scriptek futtatsnak engedlyezse."
 
 #. name:
-#: src/protocol/file/cgi.c:54
+#: src/protocol/file/cgi.c:55
 msgid "CGI"
 msgstr ""
 
@@ -7501,10 +7594,10 @@ msgid "Allow reading special files"
 msgstr "Nem regulris fljok olvassa"
 
 #: src/protocol/file/file.c:46
+#, fuzzy
 msgid ""
-"Whether to allow reading from non-regular files.\n"
-"Note this can be dangerous; reading /dev/urandom or\n"
-"/dev/zero can ruin your day!"
+"Whether to allow reading from non-regular files. Note this can be dangerous; "
+"reading /dev/urandom or /dev/zero can ruin your day!"
 msgstr ""
 "Olvass engedlyezse, nem csak a regulris fljokbl?\n"
 "Megjegyzs: Pl a /dev/urandom vagy /dev/zero olvassa nem vrt\n"
@@ -7517,8 +7610,8 @@ msgstr "Rejtett fljok megjelentse"
 #: src/protocol/file/file.c:52
 #, fuzzy
 msgid ""
-"When set to false, files with name starting with a dot will be\n"
-"hidden in local directory listings."
+"When set to false, files with name starting with a dot will be hidden in "
+"local directory listings."
 msgstr ""
 "Rejtett fljok megjelentse a listban?\n"
 "Ha ki van kapcsolva, akkor a ponttal kezdd nev fljok nem jelennek\n"
@@ -7529,17 +7622,18 @@ msgid "Try encoding extensions"
 msgstr "Tpusfgg fjlnvkiterjesztsek hasznlata"
 
 #: src/protocol/file/file.c:57
+#, fuzzy
 msgid ""
-"When set, if we can't open a file named 'filename', we'll try\n"
-"to open 'filename' with some encoding extension appended\n"
-"(ie. 'filename.gz'); it depends on the supported encodings."
+"When set, if we can't open a file named 'filename', we'll try to open "
+"'filename' with some encoding extension appended (ie. 'filename.gz'); it "
+"depends on the supported encodings."
 msgstr ""
 "Ha be van lltva, akkor amennyiben egy fjlt nem lehet megnyitni\n"
 "'filename' nvvel, akkor a tpusnak megfelel kiterjesztssel (pl.\n"
 "'filename.gz) is megkisreljk megnyitni."
 
 #. name:
-#: src/protocol/file/file.c:65
+#: src/protocol/file/file.c:66
 msgid "File"
 msgstr "~Fjl"
 
@@ -7570,7 +7664,7 @@ msgid "Whether to sort entries in direct
 msgstr "Rejtett fljok megjelentse"
 
 #. name:
-#: src/protocol/ftp/ftp.c:56 src/protocol/ftp/ftp.c:86
+#: src/protocol/ftp/ftp.c:56 src/protocol/ftp/ftp.c:89
 msgid "FTP"
 msgstr "FTP"
 
@@ -7578,8 +7672,8 @@ msgstr "FTP"
 msgid "FTP specific options."
 msgstr "FTP specifikus belltsok."
 
-#: src/protocol/ftp/ftp.c:60 src/protocol/http/http.c:127
-#: src/protocol/http/http.c:209
+#: src/protocol/ftp/ftp.c:60 src/protocol/http/http.c:128
+#: src/protocol/http/http.c:235
 msgid "Proxy configuration"
 msgstr "Proxy bellts"
 
@@ -7587,40 +7681,41 @@ msgstr "Proxy bellts"
 msgid "FTP proxy configuration."
 msgstr "FTP proxy bellts."
 
-#: src/protocol/ftp/ftp.c:64 src/protocol/http/http.c:131
-#: src/protocol/http/http.c:213
+#: src/protocol/ftp/ftp.c:64 src/protocol/http/http.c:132
+#: src/protocol/http/http.c:239
 msgid "Host and port-number"
 msgstr "Host s port"
 
 #: src/protocol/ftp/ftp.c:66
+#, fuzzy
 msgid ""
-"Host and port-number (host:port) of the FTP proxy, or blank.\n"
-"If it's blank, FTP_PROXY environment variable is checked as well."
+"Host and port-number (host:port) of the FTP proxy, or blank. If it's blank, "
+"FTP_PROXY environment variable is checked as well."
 msgstr ""
 "Az FTP proxy paramterei (host:port). Ha resen hagyod, akkor az\n"
 "FTP_PROXY krnyezeti vltoz is megvizsglsra kerl."
 
-#: src/protocol/ftp/ftp.c:69
+#: src/protocol/ftp/ftp.c:70
 msgid "Anonymous password"
 msgstr "Anonymus jelszava"
 
-#: src/protocol/ftp/ftp.c:71
+#: src/protocol/ftp/ftp.c:72
 msgid "FTP anonymous password to be sent."
 msgstr "FTP anonymus jelsz."
 
-#: src/protocol/ftp/ftp.c:73
+#: src/protocol/ftp/ftp.c:74
 msgid "Use passive mode (IPv4)"
 msgstr "Passzv md hasznlata (IPv4)"
 
-#: src/protocol/ftp/ftp.c:75
+#: src/protocol/ftp/ftp.c:76
 msgid "Use PASV instead of PORT (passive vs active mode, IPv4 only)."
 msgstr "PASV hasznlata PORT helyett (passzv/aktv md, csak IPv4-nl)."
 
-#: src/protocol/ftp/ftp.c:77
+#: src/protocol/ftp/ftp.c:79
 msgid "Use passive mode (IPv6)"
 msgstr "Passzv md hasznlata (IPv6)"
 
-#: src/protocol/ftp/ftp.c:79
+#: src/protocol/ftp/ftp.c:81
 msgid "Use EPSV instead of EPRT (passive vs active mode, IPv6 only)."
 msgstr "EPSV hasznlata EPRT helyett (passzv/aktv md, csak IPv6-nl)."
 
@@ -7653,7 +7748,7 @@ msgstr ""
 "  komolyabb problmjra utal.\n"
 
 #. name:
-#: src/protocol/http/http.c:95 src/protocol/http/http.c:223
+#: src/protocol/http/http.c:95 src/protocol/http/http.c:250
 msgid "HTTP"
 msgstr "HTTP"
 
@@ -7674,9 +7769,10 @@ msgid "Do not send Accept-Charset"
 msgstr "Nincs \"Accept-Charset\" klds"
 
 #: src/protocol/http/http.c:106
+#, fuzzy
 msgid ""
-"The Accept-Charset header is quite long and sending it can trigger\n"
-"bugs in some rarely found servers."
+"The Accept-Charset header is quite long and sending it can trigger bugs in "
+"some rarely found servers."
 msgstr ""
 "Az \"Accept-Charset\" fejlc elg hossz, s a kldse nhny\n"
 "ritkbban hasznlt szerverben hibs mkdst eredmnyezhet."
@@ -7690,68 +7786,71 @@ msgid "Broken 302 redirects"
 msgstr "Hibs 302 tirnytsok"
 
 #: src/protocol/http/http.c:115
+#, fuzzy
 msgid ""
-"Broken 302 redirect (violates RFC but compatible with Netscape).\n"
-"This is a problem for a lot of web discussion boards and the like.\n"
-"If they will do strange things to you, try to play with this."
+"Broken 302 redirect (violates RFC but compatible with Netscape). This is a "
+"problem for a lot of web discussion boards and the like. If they will do "
+"strange things to you, try to play with this."
 msgstr ""
 "Hibs 302 tirnytsok (nem felel meg az RFC-nek, de kompatbilis\n"
 "a Netscape-el). Ha furcsa viselkeds esetn rdemes kisrletezni\n"
 "ezzel a belltssal."
 
-#: src/protocol/http/http.c:119
+#: src/protocol/http/http.c:120
 msgid "No keepalive after POST requests"
 msgstr "Keepalive tiltsa POST request utn"
 
-#: src/protocol/http/http.c:121
+#: src/protocol/http/http.c:122
 msgid "Disable keepalive connection after POST request."
 msgstr "Keepalive kapcsolat tiltsa POST request utn."
 
-#: src/protocol/http/http.c:123
+#: src/protocol/http/http.c:124
 msgid "Use HTTP/1.0"
 msgstr "HTTP/1.0 hasznlata"
 
-#: src/protocol/http/http.c:125
+#: src/protocol/http/http.c:126
 msgid "Use HTTP/1.0 protocol instead of HTTP/1.1."
 msgstr "HTTP/1.0 hasznlata HTTP/1.1 helyett."
 
-#: src/protocol/http/http.c:129
+#: src/protocol/http/http.c:130
 msgid "HTTP proxy configuration."
 msgstr "HTTP proxy bellts."
 
-#: src/protocol/http/http.c:133
+#: src/protocol/http/http.c:134
+#, fuzzy
 msgid ""
-"Host and port-number (host:port) of the HTTP proxy, or blank.\n"
-"If it's blank, HTTP_PROXY environment variable is checked as well."
+"Host and port-number (host:port) of the HTTP proxy, or blank. If it's blank, "
+"HTTP_PROXY environment variable is checked as well."
 msgstr ""
 "HTTP proxy host s port (host:port), vagy resen hagyni.\n"
 "Ha res, akkor a HTTP_PROXY krnyezeti vltoz is ellenrzsre\n"
 "kerl."
 
-#: src/protocol/http/http.c:136
+#: src/protocol/http/http.c:138
 msgid "Username"
 msgstr "Felhasznlnv"
 
-#: src/protocol/http/http.c:138
+#: src/protocol/http/http.c:140
 msgid "Proxy authentication username."
 msgstr "Felhasznlnv proxy autentikcihoz."
 
-#: src/protocol/http/http.c:142
+#: src/protocol/http/http.c:144
 msgid "Proxy authentication password."
 msgstr "Jelsz proxy autentikcihoz."
 
-#: src/protocol/http/http.c:145
+#: src/protocol/http/http.c:147
 msgid "Referer sending"
 msgstr "Referer klds"
 
-#: src/protocol/http/http.c:147
+#: src/protocol/http/http.c:149
+#, fuzzy
 msgid ""
-"HTTP referer sending options. HTTP referer is a special header\n"
-"sent in the HTTP requests, which is supposed to contain the previous\n"
-"page visited by the browser. This way, the server can know what link\n"
-"did you follow when accessing that page. However, this behaviour\n"
-"can unfortunately considerably affect privacy and can lead even to a\n"
-"security problem on some badly designed web pages."
+"HTTP referer sending options. HTTP referer is a special header sent in the "
+"HTTP requests, which is supposed to contain the previous page visited by the "
+"browser.This way, the server can know what link did you follow when "
+"accessing that page. However, this behaviour can unfortunately considerably "
+"affect privacy and can lead even to a security problem on some badly "
+"designed web pages."
 msgstr ""
 "A HTTP referer egy specilis fejlc, amit a bngsz a HTTP lekrdezsekkor\n"
 "kld, s az elzleg ltogatott oldal URL-jt tartalmazza, ezltal a "
@@ -7761,11 +7860,11 @@ msgstr ""
 "Sajnos ez nem tl pozitv a magnszfrra, s rosszul elksztett\n"
 "oldalaknl biztonsgi veszlyt is jelenthet."
 
-#: src/protocol/http/http.c:154
+#: src/protocol/http/http.c:157
 msgid "Policy"
 msgstr "Elvigyzatossg"
 
-#: src/protocol/http/http.c:157
+#: src/protocol/http/http.c:160
 msgid ""
 "Mode of sending HTTP referer:\n"
 "0 is send no referer\n"
@@ -7779,34 +7878,34 @@ msgstr ""
 "2 - egy fixen belltott hamis referer kldse\n"
 "3 - az elz URL kldse refererknt (korrekt, de nem biztonsgos)"
 
-#: src/protocol/http/http.c:163
+#: src/protocol/http/http.c:166
 msgid "Fake referer URL"
 msgstr "Hamis referer URL"
 
-#: src/protocol/http/http.c:165
+#: src/protocol/http/http.c:168
 msgid "Fake referer to be sent when policy is 2."
 msgstr "A hamis referer ami a 2-es belltskor kerl kldsre."
 
-#: src/protocol/http/http.c:168
+#: src/protocol/http/http.c:171
 msgid "Send Accept-Language header"
 msgstr "Accept-Language fejlc kldse"
 
-#: src/protocol/http/http.c:170
+#: src/protocol/http/http.c:173
 msgid "Send Accept-Language header."
 msgstr "\"Accept-Language\" fejlc kldse."
 
-#: src/protocol/http/http.c:172
+#: src/protocol/http/http.c:175
 msgid "Use UI language as Accept-Language"
 msgstr "A felhasznli fellet nyelvnek hasznlata Accept-Language fejlcknt"
 
-#: src/protocol/http/http.c:174
+#: src/protocol/http/http.c:177
+#, fuzzy
 msgid ""
-"Request localised versions of documents from web-servers (using the\n"
-"Accept-Language header) using the language you have configured for\n"
-"ELinks' user-interface (this also affects navigator.language ECMAScript\n"
-"value available to scripts). Note that some see this as a potential\n"
-"security risk because it tells web-masters and the FBI sniffers about\n"
-"your language preference."
+"Request localised versions of documents from web-servers (using the Accept-"
+"Language header) using the language you have configured for ELinks' user-"
+"interface (this also affects navigator.language ECMAScript value available "
+"to scripts). Note that some see this as a potential security risk because it "
+"tells web-masters and the FBI sniffers about your language preference."
 msgstr ""
 "A webszerverekrl az oldalak lokalizlt nyelvi verzijt kri le,\n"
 "(Accept-Language fejlc hasznlatval) mgpedig azt a vltozatot,\n"
@@ -7814,17 +7913,38 @@ msgstr ""
 "Ez egy potencilis biztonsgi hiba, mert a webmasterek tudomst szereznek\n"
 "a nyelvi belltsaidrl."
 
-#: src/protocol/http/http.c:181
+#. After the compression support has been tested enough,
+#. * we might wrap this option in #if CFG_DEBUG.
+#: src/protocol/http/http.c:187
+msgid "Enable on-the-fly compression"
+msgstr ""
+
+#: src/protocol/http/http.c:189
+msgid ""
+"If enabled, the capability to receive compressed content (gzip and/or bzip2) "
+"is announced to the server, which usually sends the reply compressed, thus "
+"saving some bandwidth at slight CPU expense.\n"
+"\n"
+"If ELinks displays a incomplete page or garbage, try disabling this option. "
+"If that helps, there may be a bug in the decompression part of ELinks. "
+"Please report such bugs.\n"
+"\n"
+"If ELinks has been compiled without compression support, this option has no "
+"effect. To check the supported features, see Help -> About."
+msgstr ""
+
+#: src/protocol/http/http.c:202
 msgid "Activate HTTP TRACE debugging"
 msgstr "A HTTP TRACE hibakeress bekapcsolsa"
 
-#: src/protocol/http/http.c:183
+#: src/protocol/http/http.c:204
+#, fuzzy
 msgid ""
-"If active, all HTTP requests are sent with TRACE as their method\n"
-"rather than GET or POST. This is useful for debugging of both ELinks\n"
-"and various server-side scripts --- the server only returns the client's\n"
-"request back to the client verbatim. Note that this type of request may\n"
-"not be enabled on all servers."
+"If active, all HTTP requests are sent with TRACE as their method rather than "
+"GET or POST. This is useful for debugging of both ELinks and various server-"
+"side scripts --- the server only returns the client's request back to the "
+"client verbatim. Note that this type of request may not be enabled on all "
+"servers."
 msgstr ""
 "Ha aktv, akkor minden HTTP krs TRACE metdussal kerl\n"
 "elkldsre GET vagy POST helyett. Hasznos az ELinks vagy a\n"
@@ -7833,20 +7953,21 @@ msgstr ""
 "szerveren van engedlyezve ez a funkci."
 
 #. OSNews.com is supposed to be relying on the textmode token, at least.
-#: src/protocol/http/http.c:190
+#: src/protocol/http/http.c:212
 msgid "User-agent identification"
 msgstr "User Agent belltsa"
 
-#: src/protocol/http/http.c:192
+#: src/protocol/http/http.c:214
 #, fuzzy
 msgid ""
-"Change the User Agent ID. That means identification string, which\n"
-"is sent to HTTP server when a document is requested. The 'textmode'\n"
-"token in the first field is our silent attempt to establish this as\n"
-"a standard for new textmode user agents, so that the webmasters can\n"
-"have just a single uniform test for these if they are e.g. pushing\n"
-"some lite version to them automagically.\n"
+"Change the User Agent ID. That means identification string, which is sent to "
+"HTTP server when a document is requested. The 'textmode' token in the first "
+"field is our silent attempt to establish this as a standard for new textmode "
+"user agents, so that the webmasters can have just a single uniform test for "
+"these if they are e.g. pushing some lite version to them automagically.\n"
+"\n"
 "Use \" \" if you don't want any User-Agent header to be sent at all.\n"
+"\n"
 "%v in the string means ELinks version,\n"
 "%s in the string means system identification,\n"
 "%t in the string means size of the terminal,\n"
@@ -7864,22 +7985,23 @@ msgstr ""
 "vissza\n"
 "Ha nem akarsz User Agent fejlcet kldeni, irj ide \" \"-t."
 
-#: src/protocol/http/http.c:205
+#: src/protocol/http/http.c:231
 msgid "HTTPS"
 msgstr "HTTPS"
 
-#: src/protocol/http/http.c:207
+#: src/protocol/http/http.c:233
 msgid "HTTPS-specific options."
 msgstr "HTTPS-el kapcsolatos belltsok."
 
-#: src/protocol/http/http.c:211
+#: src/protocol/http/http.c:237
 msgid "HTTPS proxy configuration."
 msgstr "HTTPS proxy bellts."
 
-#: src/protocol/http/http.c:215
+#: src/protocol/http/http.c:241
+#, fuzzy
 msgid ""
-"Host and port-number (host:port) of the HTTPS CONNECT proxy, or blank.\n"
-"If it's blank, HTTPS_PROXY environment variable is checked as well."
+"Host and port-number (host:port) of the HTTPS CONNECT proxy, or blank. If "
+"it's blank, HTTPS_PROXY environment variable is checked as well."
 msgstr ""
 "Host s port bellts (host:port) a HTTPS CONNECT proxyhoz,\n"
 " vagy resen hagyni.\n"
@@ -7887,7 +8009,7 @@ msgstr ""
 "kerl."
 
 #. name:
-#: src/protocol/nntp/nntp.c:32 src/protocol/nntp/nntp.c:65
+#: src/protocol/nntp/nntp.c:32 src/protocol/nntp/nntp.c:66
 msgid "NNTP"
 msgstr "NNTP"
 
@@ -7901,19 +8023,19 @@ msgstr "Alaprtelmezett news kiszolgl"
 
 #: src/protocol/nntp/nntp.c:38
 msgid ""
-"Used when resolving news: URIs. If set to the empty string\n"
-"the value of the NNTPSERVER environment variable will be used."
+"Used when resolving news: URIs. If set to the empty string the value of the "
+"NNTPSERVER environment variable will be used."
 msgstr ""
 
-#: src/protocol/nntp/nntp.c:41
+#: src/protocol/nntp/nntp.c:42
 msgid "Message header entries"
 msgstr ""
 
-#: src/protocol/nntp/nntp.c:43
+#: src/protocol/nntp/nntp.c:44
 msgid ""
-"Comma separated list of which entries in the article header\n"
-"to show. E.g. 'Subject' and 'From'.\n"
-"All header entries can be read in the header info dialog."
+"Comma separated list of which entries in the article header to show. E.g. "
+"'Subject' and 'From'. All header entries can be read in the header info "
+"dialog."
 msgstr ""
 
 #: src/protocol/protocol.c:242
@@ -7934,11 +8056,11 @@ msgid "No-proxy domains"
 msgstr "Proxy tiltsa bizonyos domain-ekhez"
 
 #: src/protocol/protocol.c:279
+#, fuzzy
 msgid ""
-"Comma separated list of domains for which the proxy (HTTP/FTP)\n"
-"should be disabled. Optionally, a port can be specified for some\n"
-"domains as well. If it's blank, NO_PROXY environment variable is\n"
-"checked as well."
+"Comma separated list of domains for which the proxy (HTTP/FTP) should be "
+"disabled. Optionally, a port can be specified for some domains as well. If "
+"it's blank, NO_PROXY environment variable is checked as well."
 msgstr ""
 "Azoknak a domain-eknek a listja vesszvel elvlasztva, amelyekhez\n"
 "a proxyt (HTTP/FTP) nem szabad hasznlni. Opcionlisan egy port is\n"
@@ -7955,12 +8077,12 @@ msgid "URI rewriting"
 msgstr "URI jrars"
 
 #: src/protocol/rewrite/rewrite.c:46
+#, fuzzy
 msgid ""
-"Rules for rewriting URIs entered in the goto dialog.\n"
-"It makes it possible to define a set of prefixes that will\n"
-"be expanded if they match a string entered in the goto dialog.\n"
-"The prefixes can be dumb, meaning that they work only like\n"
-"URI abbreviations, or smart ones, making it possible to pass\n"
+"Rules for rewriting URIs entered in the goto dialog. It makes it possible to "
+"define a set of prefixes that will be expanded if they match a string "
+"entered in the goto dialog. The prefixes can be dumb, meaning that they work "
+"only like URI abbreviations, or smart ones, making it possible to pass "
 "arguments to them like search engine keywords."
 msgstr ""
 "Az URI kiegszts belltsai. Lehetv teszi hogy eltagokat\n"
@@ -7969,39 +8091,38 @@ msgstr ""
 "intelligensek, amelyek argumentumokat fogadnak el, mint pl.\n"
 "keresoldalak kulcsszavait."
 
-#: src/protocol/rewrite/rewrite.c:53
+#: src/protocol/rewrite/rewrite.c:54
 msgid "Enable dumb prefixes"
 msgstr "Egyszer eltagok engedlyezse"
 
-#: src/protocol/rewrite/rewrite.c:55
+#: src/protocol/rewrite/rewrite.c:56
 msgid ""
-"Enable dumb prefixes - simple URI abbreviations which can\n"
-"be written to the Goto URL dialog instead of actual URIs - i.e.\n"
-"if you write 'elinks' there, you are directed to\n"
-"http://elinks.cz/."
+"Enable dumb prefixes - simple URI abbreviations which can be written to the "
+"Goto URL dialog instead of actual URIs - i.e. if you write 'elinks' there, "
+"you are directed to http://elinks.cz/."
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:60
+#: src/protocol/rewrite/rewrite.c:61
 msgid "Enable smart prefixes"
 msgstr "Intelligens eltagok engedlyezse"
 
-#: src/protocol/rewrite/rewrite.c:62
+#: src/protocol/rewrite/rewrite.c:63
 msgid ""
-"Enable smart prefixes - URI templates triggered by writing\n"
-"given abbreviation to the Goto URL dialog followed by a list\n"
-"of arguments from which the actual URI is composed - i.e.\n"
-"'gg:search keywords' or 'gn search keywords for news'."
+"Enable smart prefixes - URI templates triggered by writing given "
+"abbreviation to the Goto URL dialog followed by a list of arguments from "
+"which the actual URI is composed - i.e. 'gg:search keywords' or 'gn search "
+"keywords for news'."
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:67
+#: src/protocol/rewrite/rewrite.c:69
 msgid "Dumb Prefixes"
 msgstr "Egyszer eltagok"
 
-#: src/protocol/rewrite/rewrite.c:69
+#: src/protocol/rewrite/rewrite.c:71
 msgid "Dumb prefixes, see enable-dumb description for details."
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:74
+#: src/protocol/rewrite/rewrite.c:76
 #, no-c-format
 msgid ""
 "Replacement URI for this dumbprefix:\n"
@@ -8012,15 +8133,15 @@ msgstr ""
 "%c a szvegben az aktulis URL-t jelenti\n"
 "%% a szvegben '%' jelet helyettest"
 
-#: src/protocol/rewrite/rewrite.c:78
+#: src/protocol/rewrite/rewrite.c:80
 msgid "Smart Prefixes"
 msgstr "Intelligens eltagok"
 
-#: src/protocol/rewrite/rewrite.c:80
+#: src/protocol/rewrite/rewrite.c:82
 msgid "Smart prefixes, see enable-smart description for details."
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:87
+#: src/protocol/rewrite/rewrite.c:90
 #, no-c-format
 msgid ""
 "Replacement URI for this smartprefix:\n"
@@ -8035,27 +8156,29 @@ msgstr ""
 "%0,%1,...,%9 sorban a 0, 1, ..., 9-dik argumentum\n"
 "%% a karakterlncban '%' jelet helyettest"
 
-#: src/protocol/rewrite/rewrite.c:93
+#: src/protocol/rewrite/rewrite.c:96
 #, fuzzy
 msgid "Default template"
 msgstr "Alaprtelmezett kdlap"
 
-#: src/protocol/rewrite/rewrite.c:96
+#: src/protocol/rewrite/rewrite.c:99
 #, no-c-format
 msgid ""
-"Default URI template used when the string entered in\n"
-"the goto dialog does not appear to be a URI or a filename\n"
-"(i.e. contains no '.', ':' or '/' characters), and does\n"
-"not match any defined prefixes. Set the value to \"\" to\n"
-"disable use of the default template rewrite rule.\n"
+"Default URI template used when the string entered in the goto dialog does "
+"not appear to be a URI or a filename (i.e. contains no '.', ':' or '/' "
+"characters), and does not match any defined prefixes. Set the value to \"\" "
+"to disable use of the default template rewrite rule.\n"
+"\n"
 "%c in the template means the current URL,\n"
-"%s in the template means the whole string from the goto dialog,\n"
-"%0,%1,...,%9 mean the 1st,2nd,...,10th space-delimited part of %s,\n"
+"%s in the template means the whole string from the goto\n"
+"   dialog,\n"
+"%0,%1,...,%9 mean the 1st,2nd,...,10th space-delimited part\n"
+"   of %s,\n"
 "%% in the template means '%'."
 msgstr ""
 
 #. name:
-#: src/protocol/rewrite/rewrite.c:372
+#: src/protocol/rewrite/rewrite.c:378
 msgid "URI rewrite"
 msgstr "URI kiegszts"
 
@@ -8077,29 +8200,30 @@ msgid "Credentials file passed to smbcli
 msgstr ""
 
 #. name:
-#: src/protocol/user.c:34 src/protocol/user.c:84
+#: src/protocol/user.c:34 src/protocol/user.c:85
 msgid "User protocols"
 msgstr "Felhasznli protokollok"
 
 #: src/protocol/user.c:36
+#, fuzzy
 msgid ""
-"User protocols. Options in this tree specify external\n"
-"handlers for the appropriate protocols. Ie.\n"
-"protocol.user.mailto.unix."
+"User protocols. Options in this tree specify external handlers for the "
+"appropriate protocols. Ie. protocol.user.mailto.unix."
 msgstr ""
 "Felhasznli protokollok. Az itt tallhat belltsok kls\n"
 "programokat rendelnek a megfelel protokollokhoz.\n"
 "pl: protocol.user.mailto.unix."
 
 #: src/protocol/user.c:47
+#, fuzzy
 msgid ""
-"Handler (external program) for this protocol. Name the\n"
-"options in this tree after your system (ie. unix, unix-xwin)."
+"Handler (external program) for this protocol. Name the options in this tree "
+"after your system (ie. unix, unix-xwin)."
 msgstr ""
 "Kezelprogram (kls program) ehhez a protokollhoz.\n"
 "Hatrozd meg az opcit a rendszered alapjn (pl. unix, unix-xwin)."
 
-#: src/protocol/user.c:52
+#: src/protocol/user.c:53
 msgid ""
 "Handler (external program) for this protocol and system.\n"
 "%f in the string means file name to include form data from\n"
@@ -8117,11 +8241,11 @@ msgstr ""
 "%s a szvegben subject-et jelent (?subject=<this>)\n"
 "%u a szvegben az egsz URL-t jelenti"
 
-#: src/protocol/user.c:276
+#: src/protocol/user.c:277
 msgid "No program"
 msgstr "Nincs program"
 
-#: src/protocol/user.c:278
+#: src/protocol/user.c:279
 #, c-format
 msgid "No program specified for protocol %s."
 msgstr "Nincs program bellitva ehhez a protokollhoz: %s."
@@ -8208,12 +8332,12 @@ msgstr "JavaScript figyelmeztets"
 msgid "Spidermonkey ECMAScript"
 msgstr "ECMAScript"
 
-#: src/session/download.c:233 src/session/download.c:330
-#: src/session/download.c:561 src/session/download.c:649
+#: src/session/download.c:256 src/session/download.c:356
+#: src/session/download.c:587 src/session/download.c:675
 msgid "Download error"
 msgstr "Hiba a letltsben"
 
-#: src/session/download.c:234 src/session/download.c:650
+#: src/session/download.c:257 src/session/download.c:676
 #, c-format
 msgid ""
 "Could not create file '%s':\n"
@@ -8222,7 +8346,7 @@ msgstr ""
 "Hiba a fjlba irs kzben: '%s': \n"
 "%s"
 
-#: src/session/download.c:331
+#: src/session/download.c:357
 #, c-format
 msgid ""
 "Error downloading %s:\n"
@@ -8233,16 +8357,16 @@ msgstr ""
 "\n"
 "%s"
 
-#: src/session/download.c:562
+#: src/session/download.c:588
 #, c-format
 msgid "'%s' is a directory."
 msgstr "'%s' knytr."
 
-#: src/session/download.c:596
+#: src/session/download.c:622
 msgid "File exists"
 msgstr "A fjl ltezik"
 
-#: src/session/download.c:597
+#: src/session/download.c:623
 #, c-format
 msgid ""
 "This file already exists:\n"
@@ -8258,50 +8382,50 @@ msgstr ""
 "%s"
 
 #. accelerator_context(src/session/download.c:lookup_unique_name)
-#: src/session/download.c:604
+#: src/session/download.c:630
 msgid "Sa~ve under the alternative name"
 msgstr "Ments ms n~ven"
 
 #. accelerator_context(src/session/download.c:lookup_unique_name)
-#: src/session/download.c:605
+#: src/session/download.c:631
 msgid "~Overwrite the original file"
 msgstr "Az eredeti fjl f~ellrsa"
 
 #. accelerator_context(src/session/download.c:lookup_unique_name)
-#: src/session/download.c:606
+#: src/session/download.c:632
 msgid "~Resume download of the original file"
 msgstr "A letlts ~folytatsa"
 
-#: src/session/download.c:1109
+#: src/session/download.c:1135
 msgid "Unknown type"
 msgstr "Ismeretlen fjlformtum"
 
-#: src/session/download.c:1134
+#: src/session/download.c:1160
 #, c-format
 msgid "What would you like to do with the file '%s' (type: %s%s%s)?"
 msgstr "Mit tegynk a '%s' fjllal? (tpus: %s%s%s)?"
 
-#: src/session/download.c:1137
+#: src/session/download.c:1163
 #, fuzzy, c-format
 msgid "What would you like to do with the file (type: %s%s%s)?"
 msgstr "Mit tegynk a '%s' fjllal? (tpus: %s%s%s)?"
 
-#: src/session/download.c:1165
+#: src/session/download.c:1191
 #, no-c-format
 msgid "Program ('%' will be replaced by the filename)"
 msgstr "Program (a '%' jel helyre a fjlnv helyettestdik be)"
 
-#: src/session/download.c:1169
+#: src/session/download.c:1195
 msgid "Block the terminal"
 msgstr "Terminl zrolsa"
 
-#: src/session/download.c:1175
+#: src/session/download.c:1201
 #, c-format
 msgid "The file will be opened with the program '%s'."
 msgstr "A fjlt a '%s' programmal fogjuk megnyitni."
 
 #. accelerator_context(src/session/download.c:do_type_query)
-#: src/session/download.c:1196
+#: src/session/download.c:1222
 msgid "~Open"
 msgstr "Me~gnyits"
 
@@ -8309,12 +8433,12 @@ msgstr "Me~gnyits"
 #. * and formatting it with "%u" is safe,
 #. * because fc_maxlength is smaller than
 #. * file.length, which is an int.
-#: src/session/session.c:761 src/session/session.c:780 src/session/task.c:275
-#: src/viewer/text/textarea.c:652
+#: src/session/session.c:771 src/session/session.c:790 src/session/task.c:275
+#: src/viewer/text/textarea.c:641
 msgid "Warning"
 msgstr "Figyelem"
 
-#: src/session/session.c:762
+#: src/session/session.c:772
 #, fuzzy
 msgid ""
 "You have an empty string in protocol.http.user_agent - this was a default "
@@ -8331,7 +8455,7 @@ msgstr ""
 "ezt a belltst \" \"-re, egybknt trld ezt a sort a konfigurcis "
 "llomnybl! Ha kitrld, korrekt alapbellts lp letbe."
 
-#: src/session/session.c:781
+#: src/session/session.c:791
 #, fuzzy
 msgid ""
 "You have option config.saving_style set to a de facto obsolete value. The "
@@ -8350,11 +8474,11 @@ msgstr ""
 "konfigurcis llomny. Ajnlatos a config.saving_style opcit 3-as\n"
 "rtkre lltani ahhoz hogy megfelel mkdst rjnk el."
 
-#: src/session/session.c:806
+#: src/session/session.c:816
 msgid "Welcome"
 msgstr "dvzlnk"
 
-#: src/session/session.c:807
+#: src/session/session.c:817
 msgid ""
 "Welcome to ELinks!\n"
 "\n"
@@ -8413,22 +8537,22 @@ msgstr "Hibs terminl mret: %d, %d"
 msgid "Warning: terminal name contains illicit chars."
 msgstr "Figyelem:a terminl neve tiltott karaktereket tartalmaz."
 
-#: src/terminal/event.c:259
+#: src/terminal/event.c:258
 #, c-format
 msgid "Failed to create session."
 msgstr "Hiba a munkamenet ltrehozsa kzben."
 
-#: src/terminal/event.c:446
+#: src/terminal/event.c:443
 #, c-format
 msgid "Bad event %d"
 msgstr "Hibas esemny: %d"
 
-#: src/terminal/event.c:486
+#: src/terminal/event.c:483
 #, c-format
 msgid "Could not read event: %d (%s)"
 msgstr "Nem lehet olvasni az esemnyt: %d (%s)"
 
-#: src/terminal/kbd.c:1187
+#: src/terminal/kbd.c:1210
 #, c-format
 msgid "Too many bytes read from the itrm!"
 msgstr "Tl sok byte rkezett az itrm utn!"
@@ -8497,203 +8621,203 @@ msgstr "Hinyz tredk"
 msgid "The requested fragment \"%s\" doesn't exist."
 msgstr "A krt tredk \"#%s\" nem ltezik."
 
-#: src/viewer/text/form.c:1092
+#: src/viewer/text/form.c:1118
 msgid "Error while posting form"
 msgstr "Hiba az rlap elkldse kzben"
 
-#: src/viewer/text/form.c:1093
+#: src/viewer/text/form.c:1119
 #, c-format
 msgid "Could not load file %s: %s"
 msgstr "Nem lehet betlteni a fjlt %s: %s"
 
-#: src/viewer/text/form.c:1847
+#: src/viewer/text/form.c:1876
 msgid "Reset form"
 msgstr "rlap trlse"
 
-#: src/viewer/text/form.c:1849
+#: src/viewer/text/form.c:1878
 msgid "Harmless button"
 msgstr "rtalmatlan gomb"
 
-#: src/viewer/text/form.c:1857
+#: src/viewer/text/form.c:1886
 msgid "Submit form to"
 msgstr "rlap elfogadsa"
 
-#: src/viewer/text/form.c:1858
+#: src/viewer/text/form.c:1887
 msgid "Post form to"
 msgstr "rlap elkldse"
 
-#: src/viewer/text/form.c:1860
+#: src/viewer/text/form.c:1889
 msgid "Radio button"
 msgstr "Radio gomb"
 
-#: src/viewer/text/form.c:1864
+#: src/viewer/text/form.c:1893
 msgid "Select field"
 msgstr "Mez kivlasztsa"
 
-#: src/viewer/text/form.c:1868
+#: src/viewer/text/form.c:1897
 msgid "Text area"
 msgstr "Szveg terlet"
 
-#: src/viewer/text/form.c:1870
+#: src/viewer/text/form.c:1899
 msgid "File upload"
 msgstr "Fjl feltltse"
 
-#: src/viewer/text/form.c:1872
+#: src/viewer/text/form.c:1901
 msgid "Password field"
 msgstr "Jelsz mez"
 
-#: src/viewer/text/form.c:1910
+#: src/viewer/text/form.c:1939
 msgid "name"
 msgstr "nv"
 
-#: src/viewer/text/form.c:1922
+#: src/viewer/text/form.c:1951
 msgid "value"
 msgstr "rtk"
 
-#: src/viewer/text/form.c:1935
+#: src/viewer/text/form.c:1964
 msgid "read only"
 msgstr "csak olvashat"
 
-#: src/viewer/text/form.c:1946
+#: src/viewer/text/form.c:1975
 #, c-format
 msgid "press %s to navigate"
 msgstr "nyomj %s billentyt a naviglshoz"
 
-#: src/viewer/text/form.c:1948
+#: src/viewer/text/form.c:1977
 #, c-format
 msgid "press %s to edit"
 msgstr "nyomj %s billentyt a szerkesztshez"
 
-#: src/viewer/text/form.c:1984
+#: src/viewer/text/form.c:2013
 #, c-format
 msgid "press %s to submit to %s"
 msgstr "nyomj %s-t a tovbbtshoz ide: %s"
 
-#: src/viewer/text/form.c:1986
+#: src/viewer/text/form.c:2015
 #, c-format
 msgid "press %s to post to %s"
 msgstr "nyomj %s billentyt a kldshez ide: %s"
 
-#: src/viewer/text/form.c:2088
+#: src/viewer/text/form.c:2117
 #, fuzzy
 msgid "Useless button"
 msgstr "rtalmatlan gomb"
 
-#: src/viewer/text/form.c:2090
+#: src/viewer/text/form.c:2119
 #, fuzzy
 msgid "Submit button"
 msgstr "rlap elfogadsa"
 
 #. accelerator_context(link_menu.map)
-#: src/viewer/text/link.c:1281
+#: src/viewer/text/link.c:1280
 msgid "Display ~usemap"
 msgstr "Trkp megjelentse"
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1286
+#: src/viewer/text/link.c:1285
 msgid "~Follow link"
 msgstr "Link kvetse"
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1288
+#: src/viewer/text/link.c:1287
 msgid "Follow link and r~eload"
 msgstr "Link kvetse s jratlts"
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1292
+#: src/viewer/text/link.c:1291
 msgid "Open in new ~window"
 msgstr "Megnyits j ~ablakban"
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1294
+#: src/viewer/text/link.c:1293
 msgid "Open in new ~tab"
 msgstr "Megnyits j ~flben"
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1296
+#: src/viewer/text/link.c:1295
 msgid "Open in new tab in ~background"
 msgstr "j fl megnyitsa a httrben"
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1301
+#: src/viewer/text/link.c:1300
 msgid "~Download link"
 msgstr "Link letltse"
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1304
+#: src/viewer/text/link.c:1303
 msgid "~Add link to bookmarks"
 msgstr "H~ozzads a knyvjelzhz"
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1308
+#: src/viewer/text/link.c:1307
 msgid "Pass link URI to e~xternal command"
 msgstr "A link URI-jnak tadsa kls programnak"
 
 #. accelerator_context(link_menu.form, link_menu.reset, link_menu.textarea)
-#: src/viewer/text/link.c:1319 src/viewer/text/link.c:1359
+#: src/viewer/text/link.c:1318 src/viewer/text/link.c:1358
 msgid "~Reset form"
 msgstr "~rlap trlse"
 
 #. accelerator_context(link_menu.textarea)
-#: src/viewer/text/link.c:1334
+#: src/viewer/text/link.c:1333
 msgid "Open in ~external editor"
 msgstr "Megnyits kls szerkesztprogramban"
 
 #. accelerator_context(link_menu.form, link_menu.textarea)
-#: src/viewer/text/link.c:1342
+#: src/viewer/text/link.c:1341
 msgid "~Submit form"
 msgstr "rlap elkldse"
 
 #. accelerator_context(link_menu.form, link_menu.textarea)
-#: src/viewer/text/link.c:1343
+#: src/viewer/text/link.c:1342
 msgid "Submit form and rel~oad"
 msgstr "rlap elkldse, es jratlts"
 
 #. accelerator_context(link_menu.form, link_menu.textarea)
-#: src/viewer/text/link.c:1347
+#: src/viewer/text/link.c:1346
 msgid "Submit form and open in new ~window"
 msgstr "rlap elfogadsa s megnyitsa j ablakban"
 
 #. accelerator_context(link_menu.form, link_menu.textarea)
-#: src/viewer/text/link.c:1349
+#: src/viewer/text/link.c:1348
 msgid "Submit form and open in new ~tab"
 msgstr "rlap tovbbtsa, s megnyitsa j fln"
 
 #. accelerator_context(link_menu.form, link_menu.textarea)
-#: src/viewer/text/link.c:1352
+#: src/viewer/text/link.c:1351
 msgid "Submit form and open in new tab in ~background"
 msgstr "rlap tovbbtsa, s megnyitsa j fln a httrben"
 
 #. accelerator_context(link_menu.form, link_menu.textarea)
-#: src/viewer/text/link.c:1357
+#: src/viewer/text/link.c:1356
 msgid "Submit form and ~download"
 msgstr "rlap elfoga~dsa s letlts"
 
 #. accelerator_context(link_menu.form, link_menu.reset, link_menu.textarea)
-#: src/viewer/text/link.c:1364
+#: src/viewer/text/link.c:1363
 #, fuzzy
 msgid "Form f~ields"
 msgstr "Jelsz mez"
 
 #. accelerator_context(link_menu.form, link_menu.map, link_menu.std)
-#: src/viewer/text/link.c:1371
+#: src/viewer/text/link.c:1370
 msgid "V~iew image"
 msgstr "Kp megtek~intse"
 
 #. accelerator_context(link_menu.form, link_menu.map, link_menu.std)
-#: src/viewer/text/link.c:1373
+#: src/viewer/text/link.c:1372
 msgid "Download ima~ge"
 msgstr "Kp letltse"
 
-#: src/viewer/text/link.c:1382
+#: src/viewer/text/link.c:1381
 msgid "No link selected"
 msgstr "Nincs kivlasztott link"
 
-#: src/viewer/text/link.c:1452
+#: src/viewer/text/link.c:1451
 msgid "Image"
 msgstr "Kp"
 
-#: src/viewer/text/link.c:1457
+#: src/viewer/text/link.c:1456
 msgid "Usemap"
 msgstr "Trkp hasznlata"
 
@@ -8702,85 +8826,85 @@ msgstr "Trkp hasznlata"
 msgid "Marks"
 msgstr ""
 
-#: src/viewer/text/search.c:1083
+#: src/viewer/text/search.c:1099
 msgid "Search hit top, continuing at bottom."
 msgstr "A keress elrte a lap tetejt, folytatdik a lap aljtl."
 
-#: src/viewer/text/search.c:1084
+#: src/viewer/text/search.c:1100
 msgid "Search hit bottom, continuing at top."
 msgstr "A keress elrte a lap aljt, folytatdik a lap tetejtl."
 
-#: src/viewer/text/search.c:1087
+#: src/viewer/text/search.c:1103
 msgid "No previous search"
 msgstr "Nincs korbbi keress"
 
-#: src/viewer/text/search.c:1099
+#: src/viewer/text/search.c:1115
 #, c-format
 msgid "Could not compile regular expression '%s'"
 msgstr "Nem lehet rtelmezni a kvetkez regulris kifejezst: '%s'"
 
-#: src/viewer/text/search.c:1143
+#: src/viewer/text/search.c:1159
 #, c-format
 msgid "No further matches for '%s'."
 msgstr "Nincs tbb tallat erre: '%s'."
 
-#: src/viewer/text/search.c:1145
+#: src/viewer/text/search.c:1161
 #, c-format
 msgid "Could not find a link with the text '%s'."
 msgstr "Nem tallhat link '%s' szveggel."
 
-#: src/viewer/text/search.c:1147 src/viewer/text/search.c:1558
+#: src/viewer/text/search.c:1163 src/viewer/text/search.c:1576
 msgid "Typeahead"
 msgstr "Bevitelkiegszts"
 
-#: src/viewer/text/search.c:1560
+#: src/viewer/text/search.c:1578
 #, c-format
 msgid "No links in current document"
 msgstr "Az aktulis dokumentum nem tartalmaz linkeket"
 
-#: src/viewer/text/search.c:1643
+#: src/viewer/text/search.c:1661
 msgid "Search for text"
 msgstr "Szveg keresse"
 
-#: src/viewer/text/search.c:1679
+#: src/viewer/text/search.c:1697
 msgid "Normal search"
 msgstr "Norml keress"
 
-#: src/viewer/text/search.c:1680
+#: src/viewer/text/search.c:1698
 msgid "Regexp search"
 msgstr "Keress regexp alapjn"
 
-#: src/viewer/text/search.c:1681
+#: src/viewer/text/search.c:1699
 msgid "Extended regexp search"
 msgstr "Rszletes keress regexp alapjn"
 
-#: src/viewer/text/search.c:1683
+#: src/viewer/text/search.c:1701
 msgid "Case sensitive"
 msgstr "Kis/nagybet rzkeny"
 
-#: src/viewer/text/search.c:1684
+#: src/viewer/text/search.c:1702
 msgid "Case insensitive"
 msgstr "Nem kis/nagybet rzkeny"
 
-#: src/viewer/text/search.c:1708
+#: src/viewer/text/search.c:1726
 msgid "Search backward"
 msgstr "Keress visszafel"
 
 #. name:
-#: src/viewer/text/search.c:1747
+#: src/viewer/text/search.c:1765
 #, fuzzy
 msgid "Search History"
 msgstr "Keressi lista"
 
-#: src/viewer/text/textarea.c:595
+#: src/viewer/text/textarea.c:584
 msgid "You cannot launch an external editor in the anonymous mode."
 msgstr "Nem indthatsz kls programot anonymus mdban."
 
-#: src/viewer/text/textarea.c:602
+#: src/viewer/text/textarea.c:591
 msgid "You can do this only on the master terminal"
 msgstr "Ez csak a fterminlon mkdik"
 
-#: src/viewer/text/textarea.c:655
+#: src/viewer/text/textarea.c:644
 #, c-format
 msgid ""
 "You have exceeded the textarea's size limit: your input is %d bytes, but the "
@@ -8798,11 +8922,11 @@ msgstr "Ugrs linkre"
 msgid "Enter link number"
 msgstr "Ird be a link szmt"
 
-#: src/viewer/text/view.c:1627
+#: src/viewer/text/view.c:1628
 msgid "Save error"
 msgstr "Mentsi hiba"
 
-#: src/viewer/text/view.c:1628
+#: src/viewer/text/view.c:1629
 msgid "Error writing to file"
 msgstr "Hiba a fjl irsa kzben"
 
@@ -8818,13 +8942,6 @@ msgstr "Cm"
 msgid "Viewer"
 msgstr "~Nzet"
 
-#~ msgid ""
-#~ "Verify the peer's SSL certificate. Note that this\n"
-#~ "probably doesn't work properly at all with GnuTLS."
-#~ msgstr ""
-#~ "Ellenrizze a kapcsolat SSL tanustvnyt. Megjegyzs:\n"
-#~ "Ez az opci valsznleg nem mkdik GnuTLS-el."
-
 #~ msgid "Delete text from clipboard"
 #~ msgstr "Szveg trlse a vglaprl"
 
Binary files 0.12~pre2.dfsg0-1/po/id.gmo and 0.12~pre4-1/po/id.gmo differ
diff -pruN 0.12~pre2.dfsg0-1/po/id.po 0.12~pre4-1/po/id.po
--- 0.12~pre2.dfsg0-1/po/id.po	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/po/id.po	2009-05-31 09:48:47.000000000 +0100
@@ -6,7 +6,7 @@ msgid ""
 msgstr ""
 "Project-Id-Version: ELinks 0.5pre0.CVS\n"
 "Report-Msgid-Bugs-To: elinks-users@linuxfromscratch.org\n"
-"POT-Creation-Date: 2008-09-21 11:13+0300\n"
+"POT-Creation-Date: 2009-05-31 01:57+0300\n"
 "PO-Revision-Date: 2003-01-03 03:41+0100\n"
 "Last-Translator: Muhamad Faizal <faizal@mfaizal.net>\n"
 "Language-Team: Indonesian <translation-team-id@lists.sourceforge.net>\n"
@@ -37,7 +37,7 @@ msgstr ""
 #: src/mime/dialogs.c:132 src/protocol/auth/dialogs.c:115
 #: src/protocol/protocol.c:246 src/scripting/lua/core.c:399
 #: src/scripting/lua/core.c:480 src/scripting/python/dialogs.c:86
-#: src/session/session.c:811 src/viewer/text/search.c:1686
+#: src/session/session.c:821 src/viewer/text/search.c:1704
 #, fuzzy
 msgid "~OK"
 msgstr "OK"
@@ -55,13 +55,13 @@ msgid "Sorry, but the item \"%s\" is bei
 msgstr ""
 
 #. cant_delete_folder
-#: src/bfu/hierbox.c:558 src/bookmarks/dialogs.c:121
+#: src/bfu/hierbox.c:558 src/bookmarks/dialogs.c:153
 #, c-format
 msgid "Sorry, but the folder \"%s\" cannot be deleted."
 msgstr ""
 
 #. cant_delete_used_folder
-#: src/bfu/hierbox.c:561 src/bookmarks/dialogs.c:123
+#: src/bfu/hierbox.c:561 src/bookmarks/dialogs.c:155
 #, c-format
 msgid "Sorry, but the folder \"%s\" is being used by something else."
 msgstr ""
@@ -79,7 +79,7 @@ msgid "Delete marked items?"
 msgstr "Pilihan"
 
 #. delete_folder_title
-#: src/bfu/hierbox.c:570 src/bookmarks/dialogs.c:129
+#: src/bfu/hierbox.c:570 src/bookmarks/dialogs.c:161
 #, fuzzy
 msgid "Delete folder"
 msgstr "Hapus bookmark"
@@ -139,13 +139,13 @@ msgstr "Ya"
 msgid "~No"
 msgstr "Ngga"
 
-#: src/bfu/hierbox.c:945 src/bfu/hierbox.c:976 src/viewer/text/search.c:1090
-#: src/viewer/text/search.c:1098 src/viewer/text/search.c:1114
-#: src/viewer/text/search.c:1705
+#: src/bfu/hierbox.c:945 src/bfu/hierbox.c:976 src/viewer/text/search.c:1106
+#: src/viewer/text/search.c:1114 src/viewer/text/search.c:1130
+#: src/viewer/text/search.c:1723
 msgid "Search"
 msgstr "Cari"
 
-#: src/bfu/hierbox.c:947 src/viewer/text/search.c:1091
+#: src/bfu/hierbox.c:947 src/viewer/text/search.c:1107
 #, fuzzy, c-format
 msgid "Search string '%s' not found"
 msgstr "Kata yang dicari ngga ketemu"
@@ -184,8 +184,8 @@ msgstr "Tidak boleh string kosong"
 #: src/dialogs/options.c:237 src/dialogs/options.c:316 src/mime/dialogs.c:133
 #: src/protocol/auth/dialogs.c:116 src/protocol/bittorrent/dialogs.c:814
 #: src/scripting/lua/core.c:400 src/scripting/lua/core.c:481
-#: src/session/download.c:607 src/session/download.c:1219
-#: src/viewer/text/search.c:1687
+#: src/session/download.c:633 src/session/download.c:1245
+#: src/viewer/text/search.c:1705
 #, fuzzy
 msgid "~Cancel"
 msgstr "Batal"
@@ -199,8 +199,8 @@ msgstr "terkunci"
 msgid "Digital clock in the status bar."
 msgstr ""
 
-#: src/bfu/leds.c:77 src/bfu/leds.c:94 src/config/options.inc:1199
-#: src/config/options.inc:1206 src/ecmascript/ecmascript.c:45
+#: src/bfu/leds.c:77 src/bfu/leds.c:94 src/config/options.inc:1272
+#: src/config/options.inc:1279 src/ecmascript/ecmascript.c:45
 #: src/globhist/globhist.c:64 src/mime/backend/mailcap.c:93
 #: src/mime/backend/mimetypes.c:52 src/network/ssl/ssl.c:81
 #, fuzzy
@@ -218,8 +218,7 @@ msgstr "Upload file"
 
 #: src/bfu/leds.c:83
 msgid ""
-"Format string for the digital clock. See the strftime(3)\n"
-"manpage for details."
+"Format string for the digital clock. See the strftime(3) manpage for details."
 msgstr ""
 
 #: src/bfu/leds.c:90
@@ -232,8 +231,7 @@ msgstr ""
 
 #: src/bfu/leds.c:96
 msgid ""
-"Enable LEDs.\n"
-"These visual indicators will inform you about various states."
+"Enable LEDs. These visual indicators will inform you about various states."
 msgstr ""
 
 #. name:
@@ -263,34 +261,34 @@ msgstr ""
 msgid "Search menu/"
 msgstr "Cari"
 
-#: src/bookmarks/backend/xbel.c:97
+#: src/bookmarks/backend/xbel.c:105
 #, c-format
 msgid "read_bookmarks_xbel(): Error in XML_ParserCreate()"
 msgstr ""
 
-#: src/bookmarks/backend/xbel.c:108
+#: src/bookmarks/backend/xbel.c:116
 #, c-format
 msgid "read_bookmarks_xbel(): Error reading %s"
 msgstr ""
 
-#: src/bookmarks/backend/xbel.c:116
+#: src/bookmarks/backend/xbel.c:124
 #, c-format
 msgid ""
 "Parse error while processing XBEL bookmarks in %s at line %d column %d:\n"
 "%s"
 msgstr ""
 
-#: src/bookmarks/backend/xbel.c:390 src/bookmarks/backend/xbel.c:411
+#: src/bookmarks/backend/xbel.c:388 src/bookmarks/backend/xbel.c:410
 msgid "No title"
 msgstr ""
 
-#: src/bookmarks/backend/xbel.c:396
+#: src/bookmarks/backend/xbel.c:394
 #, fuzzy
 msgid "No URL"
 msgstr "Pilih URL"
 
 #. name:
-#: src/bookmarks/bookmarks.c:48 src/bookmarks/bookmarks.c:181
+#: src/bookmarks/bookmarks.c:48 src/bookmarks/bookmarks.c:183
 #, fuzzy
 msgid "Bookmarks"
 msgstr "Bookmark"
@@ -300,7 +298,7 @@ msgstr "Bookmark"
 msgid "Bookmark options."
 msgstr "Bookmark"
 
-#: src/bookmarks/bookmarks.c:53 src/bookmarks/bookmarks.c:59
+#: src/bookmarks/bookmarks.c:53 src/bookmarks/bookmarks.c:60
 #, fuzzy
 msgid "File format"
 msgstr "Upload file"
@@ -309,51 +307,47 @@ msgstr "Upload file"
 msgid ""
 "File format for bookmarks (affects both reading and saving):\n"
 "0 is the default native ELinks format\n"
-"1 is XBEL universal XML bookmarks format (ELinks bug 153: NO NATIONAL CHARS "
-"SUPPORT!)"
+"1 is XBEL universal XML bookmarks format"
 msgstr ""
 
-#: src/bookmarks/bookmarks.c:61
+#: src/bookmarks/bookmarks.c:62
 msgid ""
 "File format for bookmarks (affects both reading and saving):\n"
 "0 is the default native ELinks format\n"
-"1 is XBEL universal XML bookmarks format (ELinks bug 153: NO NATIONAL CHARS "
-"SUPPORT!)  (DISABLED)"
+"1 is XBEL universal XML bookmarks format  (DISABLED)"
 msgstr ""
 
-#: src/bookmarks/bookmarks.c:67
+#: src/bookmarks/bookmarks.c:68
 #, fuzzy
 msgid "Save folder state"
 msgstr "Masukkan nomor link"
 
-#: src/bookmarks/bookmarks.c:69
+#: src/bookmarks/bookmarks.c:70
 msgid ""
-"When saving bookmarks also store whether folders are\n"
-"expanded or not, so the look of the bookmark dialog is\n"
-"kept across ELinks sessions. If disabled all folders will\n"
-"appear unexpanded next time ELinks is run."
+"When saving bookmarks also store whether folders are expanded or not, so the "
+"look of the bookmark dialog is kept across ELinks sessions. If disabled all "
+"folders will appear unexpanded next time ELinks is run."
 msgstr ""
 
-#: src/bookmarks/bookmarks.c:74
+#: src/bookmarks/bookmarks.c:75
 msgid "Periodic snapshotting"
 msgstr ""
 
-#: src/bookmarks/bookmarks.c:76
+#: src/bookmarks/bookmarks.c:77
 msgid ""
-"Automatically save a snapshot of all tabs periodically.\n"
-"This will periodically bookmark the tabs of each terminal in a separate "
-"folder\n"
-"for recovery after a crash.\n"
+"Automatically save a snapshot of all tabs periodically. This will "
+"periodically bookmark the tabs of each terminal in a separate folder for "
+"recovery after a crash.\n"
 "\n"
 "This feature requires bookmark support."
 msgstr ""
 
-#: src/bookmarks/dialogs.c:72 src/config/options.inc:1051
+#: src/bookmarks/dialogs.c:97 src/config/options.inc:1120
 #: src/dialogs/document.c:145 src/globhist/dialogs.c:65
 msgid "Title"
 msgstr ""
 
-#: src/bookmarks/dialogs.c:73 src/cache/dialogs.c:65
+#: src/bookmarks/dialogs.c:101 src/cache/dialogs.c:65
 #: src/dialogs/document.c:136 src/dialogs/edit.c:96 src/formhist/dialogs.c:63
 #: src/globhist/dialogs.c:66 src/protocol/auth/dialogs.c:163
 #: src/scripting/lua/core.c:397
@@ -361,86 +355,86 @@ msgid "URL"
 msgstr "URL"
 
 #. cant_delete_item
-#: src/bookmarks/dialogs.c:117
+#: src/bookmarks/dialogs.c:149
 #, c-format
 msgid "Sorry, but the bookmark \"%s\" cannot be deleted."
 msgstr ""
 
 #. cant_delete_used_item
-#: src/bookmarks/dialogs.c:119
+#: src/bookmarks/dialogs.c:151
 #, c-format
 msgid "Sorry, but the bookmark \"%s\" is being used by something else."
 msgstr ""
 
 #. delete_marked_items_title
-#: src/bookmarks/dialogs.c:125
+#: src/bookmarks/dialogs.c:157
 #, fuzzy
 msgid "Delete marked bookmarks"
 msgstr "Pilihan"
 
 #. delete_marked_items
-#: src/bookmarks/dialogs.c:127
+#: src/bookmarks/dialogs.c:159
 #, fuzzy
 msgid "Delete marked bookmarks?"
 msgstr "Pilihan"
 
 #. delete_folder
-#: src/bookmarks/dialogs.c:131
+#: src/bookmarks/dialogs.c:163
 #, fuzzy, c-format
 msgid "Delete the folder \"%s\" and all bookmarks in it?"
 msgstr "Hapus ekstensi"
 
 #. delete_item_title
-#: src/bookmarks/dialogs.c:133
+#: src/bookmarks/dialogs.c:165
 #, fuzzy
 msgid "Delete bookmark"
 msgstr "Ubah bookmark"
 
-#: src/bookmarks/dialogs.c:135
+#: src/bookmarks/dialogs.c:167
 #, c-format
 msgid "Delete this bookmark?"
 msgstr ""
 
 #. clear_all_items_title
-#: src/bookmarks/dialogs.c:137
+#: src/bookmarks/dialogs.c:169
 #, fuzzy
 msgid "Clear all bookmarks"
 msgstr "Bookmark"
 
 #. clear_all_items_title
-#: src/bookmarks/dialogs.c:139
+#: src/bookmarks/dialogs.c:171
 #, fuzzy
 msgid "Do you really want to remove all bookmarks?"
 msgstr "Yakin nih mau keluar dari ELinks?"
 
-#: src/bookmarks/dialogs.c:254
+#: src/bookmarks/dialogs.c:327
 msgid "Add folder"
 msgstr ""
 
-#: src/bookmarks/dialogs.c:254
+#: src/bookmarks/dialogs.c:327
 msgid "Folder name"
 msgstr ""
 
-#: src/bookmarks/dialogs.c:310 src/scripting/lua/core.c:391
+#: src/bookmarks/dialogs.c:410 src/scripting/lua/core.c:391
 msgid "Edit bookmark"
 msgstr "Ubah bookmark"
 
-#: src/bookmarks/dialogs.c:461
+#: src/bookmarks/dialogs.c:567
 msgid "Cannot move folder inside itself"
 msgstr ""
 
-#: src/bookmarks/dialogs.c:462
+#: src/bookmarks/dialogs.c:568
 msgid ""
 "You are trying to move the marked folder inside itself. To move the folder "
 "to a different location select the new location before pressing the Move "
 "button."
 msgstr ""
 
-#: src/bookmarks/dialogs.c:468
+#: src/bookmarks/dialogs.c:574
 msgid "Nothing to move"
 msgstr ""
 
-#: src/bookmarks/dialogs.c:469
+#: src/bookmarks/dialogs.c:575
 msgid ""
 "To move bookmarks, first mark all the bookmarks (or folders) you want to "
 "move.  This can be done with the Insert key if you're using the default key-"
@@ -449,21 +443,21 @@ msgid ""
 msgstr ""
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons, src/cache/dialogs.c:cache_buttons, src/globhist/dialogs.c:globhist_buttons, src/protocol/auth/dialogs.c:auth_buttons)
-#: src/bookmarks/dialogs.c:487 src/cache/dialogs.c:230
+#: src/bookmarks/dialogs.c:593 src/cache/dialogs.c:230
 #: src/globhist/dialogs.c:224 src/protocol/auth/dialogs.c:261
 #, fuzzy
 msgid "~Goto"
 msgstr "Pilih"
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons, src/config/dialogs.c:option_buttons, src/cookies/dialogs.c:cookie_buttons)
-#: src/bookmarks/dialogs.c:488 src/config/dialogs.c:503
+#: src/bookmarks/dialogs.c:594 src/config/dialogs.c:503
 #: src/cookies/dialogs.c:492
 #, fuzzy
 msgid "~Edit"
 msgstr "Ubah"
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons, src/cache/dialogs.c:cache_buttons, src/config/dialogs.c:keybinding_buttons, src/config/dialogs.c:option_buttons, src/cookies/dialogs.c:cookie_buttons, src/dialogs/menu.c:ext_menu, src/formhist/dialogs.c:formhist_buttons, src/globhist/dialogs.c:globhist_buttons, src/protocol/auth/dialogs.c:auth_buttons)
-#: src/bookmarks/dialogs.c:489 src/cache/dialogs.c:231
+#: src/bookmarks/dialogs.c:595 src/cache/dialogs.c:231
 #: src/config/dialogs.c:505 src/config/dialogs.c:930 src/cookies/dialogs.c:493
 #: src/dialogs/menu.c:463 src/formhist/dialogs.c:211
 #: src/globhist/dialogs.c:229 src/protocol/auth/dialogs.c:263
@@ -471,28 +465,28 @@ msgid "~Delete"
 msgstr "Hapus"
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons, src/config/dialogs.c:keybinding_buttons, src/config/dialogs.c:option_buttons, src/cookies/dialogs.c:cookie_buttons, src/dialogs/menu.c:ext_menu)
-#: src/bookmarks/dialogs.c:490 src/config/dialogs.c:504
+#: src/bookmarks/dialogs.c:596 src/config/dialogs.c:504
 #: src/config/dialogs.c:929 src/cookies/dialogs.c:490 src/dialogs/menu.c:461
 msgid "~Add"
 msgstr "T~ambah"
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons)
-#: src/bookmarks/dialogs.c:491
+#: src/bookmarks/dialogs.c:597
 msgid "Add se~parator"
 msgstr ""
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons)
-#: src/bookmarks/dialogs.c:492
+#: src/bookmarks/dialogs.c:598
 msgid "Add ~folder"
 msgstr ""
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons)
-#: src/bookmarks/dialogs.c:493
+#: src/bookmarks/dialogs.c:599
 msgid "~Move"
 msgstr ""
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons, src/cache/dialogs.c:cache_buttons, src/config/dialogs.c:keybinding_buttons, src/config/dialogs.c:option_buttons, src/dialogs/menu.c:view_menu, src/globhist/dialogs.c:globhist_buttons)
-#: src/bookmarks/dialogs.c:494 src/cache/dialogs.c:232
+#: src/bookmarks/dialogs.c:600 src/cache/dialogs.c:232
 #: src/config/dialogs.c:506 src/config/dialogs.c:932 src/dialogs/menu.c:413
 #: src/globhist/dialogs.c:230
 msgid "~Search"
@@ -500,38 +494,52 @@ msgstr "Cari"
 
 #. This one is too dangerous, so just let user delete
 #. * the bookmarks file if needed. --Zas
-#: src/bookmarks/dialogs.c:498
+#: src/bookmarks/dialogs.c:604
 msgid "Clear"
 msgstr ""
 
 #. TODO: Would this be useful? --jonas
-#: src/bookmarks/dialogs.c:501 src/globhist/dialogs.c:235
+#: src/bookmarks/dialogs.c:607 src/globhist/dialogs.c:235
 msgid "Save"
 msgstr "Simpan"
 
-#: src/bookmarks/dialogs.c:507
+#: src/bookmarks/dialogs.c:613
 msgid "Bookmark manager"
 msgstr "Ngatur bookmark"
 
-#: src/bookmarks/dialogs.c:632
+#: src/bookmarks/dialogs.c:825
 msgid "Search bookmarks"
 msgstr ""
 
-#: src/bookmarks/dialogs.c:661
+#. When the user eventually pushes the OK button, BFU calls
+#. * bookmark_add_add() and gives it the struct dialog * as the
+#. * void * parameter.  However, bookmark_add_add() also needs
+#. * to know the struct terminal *, and there is no way to get
+#. * that from struct dialog.  The other bookmark dialogs work
+#. * around that by making dialog.udata point to the struct
+#. * dialog_data of the bookmark manager, but the "Add bookmark"
+#. * dialog can be triggered with ACT_MAIN_ADD_BOOKMARK, which
+#. * does not involve the bookmark manager at all.
+#. *
+#. * The solution here is to save the struct terminal * in
+#. * dialog.udata2, which the "Edit bookmark" dialog uses for
+#. * struct bookmark *.  When adding a new bookmark, we don't
+#. * need a pointer to an existing one, of course.
+#: src/bookmarks/dialogs.c:892
 msgid "Add bookmark"
 msgstr "Tambah bookmark"
 
-#: src/bookmarks/dialogs.c:697
+#: src/bookmarks/dialogs.c:950
 #, fuzzy
 msgid "Saved session"
 msgstr "~Simpan opsi"
 
-#: src/bookmarks/dialogs.c:705
+#: src/bookmarks/dialogs.c:958
 #, fuzzy
 msgid "Bookmark tabs"
 msgstr "Bookmark"
 
-#: src/bookmarks/dialogs.c:705
+#: src/bookmarks/dialogs.c:958
 #, fuzzy
 msgid "Enter folder name"
 msgstr "Masukkan nomor link"
@@ -545,7 +553,7 @@ msgstr "Pilih URL"
 msgid "Redirect"
 msgstr ""
 
-#: src/cache/dialogs.c:85 src/config/options.inc:519
+#: src/cache/dialogs.c:85 src/config/options.inc:553
 #: src/dialogs/document.c:156 src/protocol/bittorrent/dialogs.c:126
 msgid "Size"
 msgstr "Ukuran"
@@ -592,7 +600,7 @@ msgstr ""
 msgid "ID"
 msgstr ""
 
-#: src/cache/dialogs.c:134 src/config/options.inc:669
+#: src/cache/dialogs.c:134 src/config/options.inc:707
 #, fuzzy
 msgid "Header"
 msgstr "Info header"
@@ -1346,7 +1354,7 @@ msgstr "Alamat ngga ketemu"
 msgid "Resolver error"
 msgstr "Kesalahan penyimpanan"
 
-#: src/config/cmdline.c:256 src/cookies/cookies.c:841 src/network/state.c:47
+#: src/config/cmdline.c:256 src/cookies/cookies.c:843 src/network/state.c:47
 #: src/util/secsave.c:379
 msgid "Out of memory"
 msgstr "Memory habis"
@@ -1368,290 +1376,291 @@ msgstr ""
 msgid "Remote method not supported"
 msgstr ""
 
-#: src/config/cmdline.c:452
+#: src/config/cmdline.c:437
+msgid "Out of memory formatting option documentation"
+msgstr ""
+
+#: src/config/cmdline.c:474
 msgid "Template option folder"
 msgstr ""
 
-#: src/config/cmdline.c:475
+#: src/config/cmdline.c:497
 #, c-format
 msgid "(default: %ld)"
 msgstr ""
 
-#: src/config/cmdline.c:482 src/config/cmdline.c:511
+#: src/config/cmdline.c:504 src/config/cmdline.c:533
 #, c-format
 msgid "(default: \"%s\")"
 msgstr ""
 
-#: src/config/cmdline.c:487
+#: src/config/cmdline.c:509
 #, c-format
 msgid "(alias for %s)"
 msgstr ""
 
-#: src/config/cmdline.c:492 src/config/cmdline.c:501
+#: src/config/cmdline.c:514 src/config/cmdline.c:523
 #, c-format
 msgid "(default: %s)"
 msgstr ""
 
-#: src/config/cmdline.c:642
+#: src/config/cmdline.c:654
 #, fuzzy
 msgid "Configuration options"
 msgstr "Koneksi"
 
-#: src/config/cmdline.c:646
+#: src/config/cmdline.c:658
 msgid "Usage: elinks [OPTION]... [URL]..."
 msgstr ""
 
-#: src/config/cmdline.c:647
+#: src/config/cmdline.c:659
 #, fuzzy
 msgid "Options"
 msgstr "~Simpan opsi"
 
-#: src/config/cmdline.c:689
+#: src/config/cmdline.c:701
 #, fuzzy
 msgid "Internal consistency error"
 msgstr "Kesalahan internal"
 
 #.
-#: src/config/cmdline.c:725
+#: src/config/cmdline.c:737
 msgid "Restrict to anonymous mode"
 msgstr ""
 
-#: src/config/cmdline.c:727
+#: src/config/cmdline.c:739
 msgid ""
-"Restricts ELinks so it can run on an anonymous account.\n"
-"Local file browsing, downloads, and modification of options\n"
-"will be disabled. Execution of viewers is allowed, but entries\n"
-"in the association table can't be added or modified."
+"Restricts ELinks so it can run on an anonymous account. Local file browsing, "
+"downloads, and modification of options will be disabled. Execution of "
+"viewers is allowed, but entries in the association table can't be added or "
+"modified."
 msgstr ""
 
-#: src/config/cmdline.c:732
+#: src/config/cmdline.c:745
 #, fuzzy
 msgid "Autosubmit first form"
 msgstr "Kirim form"
 
-#: src/config/cmdline.c:734
+#: src/config/cmdline.c:747
 msgid "Automatically submit the first form in the given URLs."
 msgstr ""
 
-#: src/config/cmdline.c:736
+#: src/config/cmdline.c:749
 msgid "Clone internal session with given ID"
 msgstr ""
 
-#: src/config/cmdline.c:738
+#: src/config/cmdline.c:751
 msgid ""
-"Used internally when opening ELinks instances in new windows.\n"
-"The ID maps to information that will be used when creating the\n"
-"new instance. You don't want to use it."
+"Used internally when opening ELinks instances in new windows. The ID maps to "
+"information that will be used when creating the new instance. You don't want "
+"to use it."
 msgstr ""
 
-#: src/config/cmdline.c:744
+#: src/config/cmdline.c:757
 msgid "Name of directory with configuration file"
 msgstr ""
 
-#: src/config/cmdline.c:746
+#: src/config/cmdline.c:759
 msgid ""
-"Path of the directory ELinks will read and write its\n"
-"config and runtime state files to instead of ~/.elinks.\n"
-"If the path does not begin with a '/' it is assumed to be\n"
-"relative to your HOME directory."
+"Path of the directory ELinks will read and write its config and runtime "
+"state files to instead of ~/.elinks. If the path does not begin with a '/' "
+"it is assumed to be relative to your HOME directory."
 msgstr ""
 
-#: src/config/cmdline.c:751
+#: src/config/cmdline.c:764
 msgid "Print default configuration file to stdout"
 msgstr ""
 
-#: src/config/cmdline.c:753
+#: src/config/cmdline.c:766
 msgid ""
-"Print a configuration file with options set to the built-in\n"
-"defaults to stdout."
+"Print a configuration file with options set to the built-in defaults to "
+"stdout."
 msgstr ""
 
-#: src/config/cmdline.c:758
+#: src/config/cmdline.c:771
 msgid "Name of configuration file"
 msgstr ""
 
-#: src/config/cmdline.c:760
+#: src/config/cmdline.c:773
 msgid ""
-"Name of the configuration file that all configuration\n"
-"options will be read from and written to. It should be\n"
-"relative to config-dir."
+"Name of the configuration file that all configuration options will be read "
+"from and written to. It should be relative to config-dir."
 msgstr ""
 
-#: src/config/cmdline.c:764
+#: src/config/cmdline.c:777
 msgid "Print help for configuration options"
 msgstr ""
 
-#: src/config/cmdline.c:766
+#: src/config/cmdline.c:779
 msgid "Print help for configuration options and exit."
 msgstr ""
 
-#: src/config/cmdline.c:768
+#: src/config/cmdline.c:781
 msgid "MIME type assumed for unknown document types"
 msgstr ""
 
-#: src/config/cmdline.c:770
+#: src/config/cmdline.c:783
 msgid "The default MIME type used for documents of unknown type."
 msgstr ""
 
-#: src/config/cmdline.c:772
+#: src/config/cmdline.c:786
 msgid "Ignore user-defined keybindings"
 msgstr ""
 
-#: src/config/cmdline.c:774
+#: src/config/cmdline.c:788
 msgid ""
-"When set, all keybindings from configuration files will be\n"
-"ignored. It forces use of default keybindings and will reset\n"
-"user-defined ones on save."
+"When set, all keybindings from configuration files will be ignored. It "
+"forces use of default keybindings and will reset user-defined ones on save."
 msgstr ""
 
-#: src/config/cmdline.c:778
+#: src/config/cmdline.c:792
 msgid "Print formatted versions of given URLs to stdout"
 msgstr ""
 
-#: src/config/cmdline.c:780
+#: src/config/cmdline.c:794
 msgid "Print formatted plain-text versions of given URLs to stdout."
 msgstr ""
 
-#: src/config/cmdline.c:782
+#: src/config/cmdline.c:797
 msgid "Codepage to use with -dump"
 msgstr ""
 
-#: src/config/cmdline.c:784
+#: src/config/cmdline.c:799
 msgid "Codepage used when formatting dump output."
 msgstr ""
 
-#: src/config/cmdline.c:786
+#: src/config/cmdline.c:801
 msgid "Color mode used with -dump"
 msgstr ""
 
-#: src/config/cmdline.c:788
+#: src/config/cmdline.c:803
 msgid "Color mode used with -dump."
 msgstr ""
 
-#: src/config/cmdline.c:790
+#: src/config/cmdline.c:805
 msgid "Width of document formatted with -dump"
 msgstr ""
 
-#: src/config/cmdline.c:792
+#: src/config/cmdline.c:807
 msgid "Width of the dump output."
 msgstr ""
 
-#: src/config/cmdline.c:794
+#: src/config/cmdline.c:809
 msgid "Evaluate configuration file directive"
 msgstr ""
 
-#: src/config/cmdline.c:796
+#: src/config/cmdline.c:811
 msgid ""
-"Specify configuration file directives on the command-line\n"
-"which will be evaluated after all configuration files has been\n"
-"read. Example usage:\n"
+"Specify configuration file directives on the command-line which will be "
+"evaluated after all configuration files has been read. Example usage:\n"
 "\t-eval 'set protocol.file.allow_special_files = 1'"
 msgstr ""
 
 #. lynx compatibility
-#: src/config/cmdline.c:802
+#: src/config/cmdline.c:817
 msgid "Interpret documents of unknown types as HTML"
 msgstr ""
 
-#: src/config/cmdline.c:804
+#: src/config/cmdline.c:819
 msgid ""
-"Makes ELinks assume documents of unknown types are HTML.\n"
-"Useful when using ELinks as an external viewer from MUAs.\n"
-"This is equivalent to -default-mime-type text/html."
+"Makes ELinks assume documents of unknown types are HTML. Useful when using "
+"ELinks as an external viewer from MUAs. This is equivalent to -default-mime-"
+"type text/html."
 msgstr ""
 
-#: src/config/cmdline.c:814
+#: src/config/cmdline.c:829
 msgid "Print usage help and exit"
 msgstr ""
 
-#: src/config/cmdline.c:816
+#: src/config/cmdline.c:831
 msgid "Print usage help and exit."
 msgstr ""
 
-#: src/config/cmdline.c:818
+#: src/config/cmdline.c:833
 msgid "Only permit local connections"
 msgstr ""
 
-#: src/config/cmdline.c:820
+#: src/config/cmdline.c:835
 msgid ""
-"Restricts ELinks to work offline and only connect to servers\n"
-"with local addresses (ie. 127.0.0.1). No connections to remote\n"
-"servers will be permitted."
+"Restricts ELinks to work offline and only connect to servers with local "
+"addresses (ie. 127.0.0.1). No connections to remote servers will be "
+"permitted."
 msgstr ""
 
-#: src/config/cmdline.c:824
+#: src/config/cmdline.c:839
 msgid "Print detailed usage help and exit"
 msgstr ""
 
-#: src/config/cmdline.c:826
+#: src/config/cmdline.c:841
 msgid "Print detailed usage help and exit."
 msgstr ""
 
-#: src/config/cmdline.c:828
+#: src/config/cmdline.c:843
 #, fuzzy
 msgid "Look up specified host"
 msgstr "Ngga ada program yang dispesifikasikan untuk"
 
-#: src/config/cmdline.c:830
+#: src/config/cmdline.c:845
 msgid "Look up specified host and print all DNS resolved IP addresses."
 msgstr ""
 
-#: src/config/cmdline.c:832
+#: src/config/cmdline.c:848
 msgid "Run as separate instance"
 msgstr ""
 
-#: src/config/cmdline.c:834
+#: src/config/cmdline.c:850
 msgid ""
-"Run ELinks as a separate instance instead of connecting to an\n"
-"existing instance. Note that normally no runtime state files\n"
-"(bookmarks, history, etc.) are written to the disk when this\n"
-"option is used. See also -touch-files."
+"Run ELinks as a separate instance instead of connecting to an existing "
+"instance. Note that normally no runtime state files (bookmarks, history, "
+"etc.) are written to the disk when this option is used. See also -touch-"
+"files."
 msgstr ""
 
-#: src/config/cmdline.c:839
+#: src/config/cmdline.c:855
 msgid "Disable use of files in ~/.elinks"
 msgstr ""
 
-#: src/config/cmdline.c:841
+#: src/config/cmdline.c:857
 msgid ""
-"Disables creation and use of files in the user specific home\n"
-"configuration directory (~/.elinks). It forces default configuration\n"
-"values to be used and disables saving of runtime state files."
+"Disables creation and use of files in the user specific home configuration "
+"directory (~/.elinks). It forces default configuration values to be used and "
+"disables saving of runtime state files."
 msgstr ""
 
-#: src/config/cmdline.c:845
+#: src/config/cmdline.c:862
 msgid "Disable link numbering in dump output"
 msgstr ""
 
-#: src/config/cmdline.c:847
+#: src/config/cmdline.c:864
 msgid ""
 "Prevents printing of link number in dump output.\n"
+"\n"
 "Note that this really affects only -dump, nothing else."
 msgstr ""
 
-#: src/config/cmdline.c:850
+#: src/config/cmdline.c:868
 msgid "Disable printing of link references in dump output"
 msgstr ""
 
-#: src/config/cmdline.c:852
+#: src/config/cmdline.c:870
 msgid ""
-"Prevents printing of references (URIs) of document links\n"
-"in dump output.\n"
+"Prevents printing of references (URIs) of document links in dump output.\n"
+"\n"
 "Note that this really affects only -dump, nothing else."
 msgstr ""
 
-#: src/config/cmdline.c:856
+#: src/config/cmdline.c:875
 msgid "Control an already running ELinks"
 msgstr ""
 
-#: src/config/cmdline.c:858
+#: src/config/cmdline.c:877
 msgid ""
-"Control a remote ELinks instance by passing commands to it.\n"
-"The option takes an additional argument containing the method\n"
-"which should be invoked and any parameters that should be passed\n"
-"to it. For ease of use, the additional method argument can be\n"
-"omitted in which case any URL arguments will be opened in new\n"
-"tabs in the remote instance.\n"
+"Control a remote ELinks instance by passing commands to it. The option takes "
+"an additional argument containing the method which should be invoked and any "
+"parameters that should be passed to it. For ease of use, the additional "
+"method argument can be omitted in which case any URL arguments will be "
+"opened in new tabs in the remote instance.\n"
+"\n"
 "Following is a list of the supported methods:\n"
 "\tping()                    : look for a remote instance\n"
 "\topenURL()                 : prompt URL in current tab\n"
@@ -1663,70 +1672,69 @@ msgid ""
 "\txfeDoCommand(openBrowser) : open new window"
 msgstr ""
 
-#: src/config/cmdline.c:874
+#: src/config/cmdline.c:895
 msgid "Connect to session ring with given ID"
 msgstr ""
 
-#: src/config/cmdline.c:876
+#: src/config/cmdline.c:897
 msgid ""
-"ID of session ring this ELinks session should connect to. ELinks\n"
-"works in so-called session rings, whereby all instances of ELinks\n"
-"are interconnected and share state (cache, bookmarks, cookies,\n"
-"and so on). By default, all ELinks instances connect to session\n"
-"ring 0. You can change that behaviour with this switch and form as\n"
-"many session rings as you want. Obviously, if the session-ring with\n"
-"this number doesn't exist yet, it's created and this ELinks instance\n"
-"will become the master instance (that usually doesn't matter for you\n"
-"as a user much). Note that you usually don't want to use this unless\n"
-"you're a developer and you want to do some testing - if you want the\n"
-"ELinks instances each running standalone, rather use the -no-connect\n"
-"command-line option. Also note that normally no runtime state files\n"
-"are written to the disk when this option is used. See also\n"
-"-touch-files."
+"ID of session ring this ELinks session should connect to. ELinks works in so-"
+"called session rings, whereby all instances of ELinks are interconnected and "
+"share state (cache, bookmarks, cookies, and so on). By default, all ELinks "
+"instances connect to session ring 0. You can change that behaviour with this "
+"switch and form as many session rings as you want. Obviously, if the session-"
+"ring with this number doesn't exist yet, it's created and this ELinks "
+"instance will become the master instance (that usually doesn't matter for "
+"you as a user much).\n"
+"\n"
+"Note that you usually don't want to use this unless you're a developer and "
+"you want to do some testing - if you want the ELinks instances each running "
+"standalone, rather use the -no-connect command-line option. Also note that "
+"normally no runtime state files are written to the disk when this option is "
+"used. See also -touch-files."
 msgstr ""
 
-#: src/config/cmdline.c:891
+#: src/config/cmdline.c:915
 msgid "Print the source of given URLs to stdout"
 msgstr ""
 
-#: src/config/cmdline.c:893
+#: src/config/cmdline.c:917
 msgid "Print given URLs in source form to stdout."
 msgstr ""
 
-#: src/config/cmdline.c:897
+#: src/config/cmdline.c:921
 msgid "Touch files in ~/.elinks when running with -no-connect/-session-ring"
 msgstr ""
 
-#: src/config/cmdline.c:899
+#: src/config/cmdline.c:923
 msgid ""
-"When enabled, runtime state files (bookmarks, history, etc.) are\n"
-"written to disk, even when -no-connect or -session-ring is used.\n"
-"The option has no effect if not used in conjunction with any of\n"
-"these options."
+"When enabled, runtime state files (bookmarks, history, etc.) are written to "
+"disk, even when -no-connect or -session-ring is used. The option has no "
+"effect if not used in conjunction with any of these options."
 msgstr ""
 
-#: src/config/cmdline.c:904
+#: src/config/cmdline.c:928
 msgid "Verbose level"
 msgstr ""
 
-#: src/config/cmdline.c:906
+#: src/config/cmdline.c:930
 msgid ""
-"The verbose level controls what messages are shown at\n"
-"start up and while running:\n"
+"The verbose level controls what messages are shown at start up and while "
+"running:\n"
 "\t0 means only show serious errors\n"
 "\t1 means show serious errors and warnings\n"
 "\t2 means show all messages"
 msgstr ""
 
-#: src/config/cmdline.c:912
+#: src/config/cmdline.c:936
 msgid "Print version information and exit"
 msgstr ""
 
-#: src/config/cmdline.c:914
+#: src/config/cmdline.c:938
 msgid "Print ELinks version information and exit."
 msgstr ""
 
-#: src/config/conf.c:938
+#: src/config/conf.c:963
 msgid ""
 "## This is ELinks configuration file. You can edit it manually,\n"
 "## if you wish so; this file is edited by ELinks when you save\n"
@@ -1734,7 +1742,7 @@ msgid ""
 "## and all your formatting, own comments etc will be kept as-is.\n"
 msgstr ""
 
-#: src/config/conf.c:946
+#: src/config/conf.c:971
 msgid ""
 "## This is ELinks configuration file. You can edit it manually,\n"
 "## if you wish so; this file is edited by ELinks when you save\n"
@@ -1745,7 +1753,7 @@ msgid ""
 "## own comments and so on will be kept as-is.\n"
 msgstr ""
 
-#: src/config/conf.c:956
+#: src/config/conf.c:981
 msgid ""
 "## This is ELinks configuration file. You can edit it manually,\n"
 "## if you wish so, but keep in mind that this file is overwritten\n"
@@ -1753,18 +1761,18 @@ msgid ""
 "## luck with your formatting and own comments then, so beware.\n"
 msgstr ""
 
-#: src/config/conf.c:967
+#: src/config/conf.c:992
 msgid ""
 "## Obviously, if you don't like what ELinks is going to do with\n"
 "## this file, you can change it by altering the config.saving_style\n"
 "## option. Come on, aren't we friendly guys after all?\n"
 msgstr ""
 
-#: src/config/conf.c:980
+#: src/config/conf.c:1005
 msgid "Automatically saved options\n"
 msgstr ""
 
-#: src/config/conf.c:992
+#: src/config/conf.c:1017
 msgid "Automatically saved keybindings\n"
 msgstr ""
 
@@ -1825,7 +1833,7 @@ msgstr ""
 #. * switch charsets.  So, it will work in any terminal that
 #. * understands UTF-8 and has the characters in its font.
 #: src/config/dialogs.c:149 src/config/dialogs.c:330
-#: src/config/options.inc:840
+#: src/config/options.inc:887
 msgid "Type"
 msgstr ""
 
@@ -1851,9 +1859,9 @@ msgid "Description"
 msgstr ""
 
 #: src/config/dialogs.c:291 src/protocol/bittorrent/dialogs.c:600
-#: src/protocol/protocol.c:240 src/session/session.c:287
-#: src/session/session.c:975 src/viewer/text/textarea.c:594
-#: src/viewer/text/textarea.c:601
+#: src/protocol/protocol.c:240 src/session/session.c:288
+#: src/session/session.c:999 src/viewer/text/textarea.c:583
+#: src/viewer/text/textarea.c:590
 msgid "Error"
 msgstr "Error"
 
@@ -1888,7 +1896,7 @@ msgstr ""
 #. accelerator_context(src/config/dialogs.c:keybinding_buttons, src/config/dialogs.c:option_buttons, src/cookies/dialogs.c:cookie_buttons, src/formhist/dialogs.c:formhist_buttons, src/protocol/bittorrent/dialogs.c:bittorrent_query_callback, src/session/download.c:do_type_query, terminal_options)
 #: src/config/dialogs.c:507 src/config/dialogs.c:933 src/cookies/dialogs.c:495
 #: src/dialogs/options.c:236 src/formhist/dialogs.c:214
-#: src/protocol/bittorrent/dialogs.c:801 src/session/download.c:1203
+#: src/protocol/bittorrent/dialogs.c:801 src/session/download.c:1229
 #, fuzzy
 msgid "Sa~ve"
 msgstr "Simpan"
@@ -1902,7 +1910,7 @@ msgstr "Ngatur bookmark"
 msgid "Keystroke"
 msgstr ""
 
-#: src/config/dialogs.c:676 src/config/options.inc:1219
+#: src/config/dialogs.c:676 src/config/options.inc:1292
 msgid "Action"
 msgstr ""
 
@@ -1974,32 +1982,32 @@ msgid ""
 "directory."
 msgstr ""
 
-#: src/config/kbdbind.c:221
+#: src/config/kbdbind.c:222
 msgid "Main mapping"
 msgstr ""
 
-#: src/config/kbdbind.c:222
+#: src/config/kbdbind.c:223
 msgid "Edit mapping"
 msgstr ""
 
-#: src/config/kbdbind.c:223
+#: src/config/kbdbind.c:224
 msgid "Menu mapping"
 msgstr ""
 
-#: src/config/kbdbind.c:588 src/scripting/python/keybinding.c:104
+#: src/config/kbdbind.c:589 src/scripting/python/keybinding.c:104
 msgid "Unrecognised keymap"
 msgstr ""
 
-#: src/config/kbdbind.c:591
+#: src/config/kbdbind.c:592
 #, fuzzy
 msgid "Error parsing keystroke"
 msgstr "Ngga bisa nulis ke socket"
 
-#: src/config/kbdbind.c:595
+#: src/config/kbdbind.c:596
 msgid "Unrecognised action (internal error)"
 msgstr ""
 
-#: src/config/kbdbind.c:611
+#: src/config/kbdbind.c:612
 #, fuzzy
 msgid "Error registering event"
 msgstr "Ngga bisa nulis ke socket"
@@ -2027,333 +2035,328 @@ msgid ""
 "3 is full comments are written"
 msgstr ""
 
-#: src/config/options.inc:31
+#: src/config/options.inc:32
 #, fuzzy
 msgid "Indentation"
 msgstr "Negosiasi SSL"
 
-#: src/config/options.inc:33
+#: src/config/options.inc:34
 msgid ""
-"Shift width of one indentation level in the configuration\n"
-"file. Zero means that no indentation is performed at all\n"
-"when saving the configuration."
+"Shift width of one indentation level in the configuration file. Zero means "
+"that no indentation is performed at all when saving the configuration."
 msgstr ""
 
-#: src/config/options.inc:37
+#: src/config/options.inc:38
 msgid "Saving style"
 msgstr ""
 
-#: src/config/options.inc:39
+#: src/config/options.inc:40
 msgid ""
 "Determines what happens when you tell ELinks to save options:\n"
 "0 is only values of current options are altered\n"
-"1 is values of current options are altered and missing options\n"
-"     are added at the end of the file\n"
+"1 is values of current options are altered and missing\n"
+"     options are added at the end of the file\n"
 "2 is the configuration file is rewritten from scratch\n"
-"3 is values of current options are altered and missing options\n"
-"     CHANGED during this ELinks session are added at the end of\n"
-"     the file"
+"3 is values of current options are altered and missing\n"
+"     options CHANGED during this ELinks session are added at\n"
+"     the end of the file"
 msgstr ""
 
-#: src/config/options.inc:48
+#: src/config/options.inc:50
 msgid "Comments localization"
 msgstr ""
 
-#: src/config/options.inc:50
+#: src/config/options.inc:52
 msgid ""
-"If set to 1, comments in the configuration file will be\n"
-"translated to the language used by UI. Note that if you have\n"
-"different language set in different terminals, the language\n"
-"used in the configuration file MAY be the same as on the\n"
-"terminal where you saved the file, but it should be generally\n"
+"If set to 1, comments in the configuration file will be translated to the "
+"language used by UI. Note that if you have different language set in "
+"different terminals, the language used in the configuration file MAY be the "
+"same as on the terminal where you saved the file, but it should be generally "
 "considered unpredictable."
 msgstr ""
 
-#: src/config/options.inc:58
+#: src/config/options.inc:60
 msgid "Saving style warnings"
 msgstr ""
 
-#: src/config/options.inc:60
+#: src/config/options.inc:62
 msgid ""
-"This is internal option used when displaying a warning about\n"
-"obsolete config.saving_style. You shouldn't touch it."
+"This is internal option used when displaying a warning about obsolete config."
+"saving_style. You shouldn't touch it."
 msgstr ""
 
-#: src/config/options.inc:63
+#: src/config/options.inc:66
 msgid "Show template"
 msgstr ""
 
-#: src/config/options.inc:65
+#: src/config/options.inc:68
 msgid ""
-"Show template options in autocreated trees in the options\n"
-"manager and save them to the configuration file."
+"Show template options in autocreated trees in the options manager and save "
+"them to the configuration file."
 msgstr ""
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:71 src/dialogs/info.c:180
+#: src/config/options.inc:74 src/dialogs/info.c:180
 msgid "Connections"
 msgstr "Koneksi"
 
-#: src/config/options.inc:73
+#: src/config/options.inc:76
 #, fuzzy
 msgid "Connection options."
 msgstr "Koneksi"
 
-#: src/config/options.inc:76
+#: src/config/options.inc:79
 msgid "Asynchronous DNS"
 msgstr ""
 
-#: src/config/options.inc:78
+#: src/config/options.inc:81
 msgid "Whether to use asynchronous DNS resolving."
 msgstr ""
 
-#: src/config/options.inc:80
+#: src/config/options.inc:83
 #, fuzzy
 msgid "Maximum connections"
 msgstr "Buat koneksi"
 
-#: src/config/options.inc:82
+#: src/config/options.inc:85
 msgid "Maximum number of concurrent connections."
 msgstr ""
 
-#: src/config/options.inc:84
+#: src/config/options.inc:87
 #, fuzzy
 msgid "Maximum connections per host"
 msgstr "Buat koneksi"
 
-#: src/config/options.inc:86
+#: src/config/options.inc:89
 msgid "Maximum number of concurrent connections to a given host."
 msgstr ""
 
-#: src/config/options.inc:88
+#: src/config/options.inc:92
 #, fuzzy
 msgid "Connection retries"
 msgstr "Koneksi"
 
-#: src/config/options.inc:90
-msgid ""
-"Number of tries to establish a connection.\n"
-"Zero means try forever."
+#: src/config/options.inc:94
+msgid "Number of tries to establish a connection. Zero means try forever."
 msgstr ""
 
-#: src/config/options.inc:93 src/network/state.c:53
+#: src/config/options.inc:97 src/network/state.c:53
 msgid "Receive timeout"
 msgstr "Receive timeout"
 
-#: src/config/options.inc:95
+#: src/config/options.inc:99
 #, fuzzy
 msgid "Receive timeout (in seconds)."
 msgstr "Receive timeout"
 
-#: src/config/options.inc:98 src/config/options.inc:108
+#: src/config/options.inc:102 src/config/options.inc:113
 msgid "Try IPv4 when connecting"
 msgstr ""
 
-#: src/config/options.inc:100
+#: src/config/options.inc:104
 msgid ""
-"Whether to try to connect to a host over IPv4.\n"
-"Note that if connection.try_ipv6 is enabled too,\n"
-"it takes precedence. And better do not touch this\n"
+"Whether to try to connect to a host over IPv4. Note that if connection."
+"try_ipv6 is enabled too, it takes precedence. And better do not touch this "
 "at all unless you are sure what are you doing.\n"
-"Note that you can also force a given protocol\n"
-"to be used on a per-connection basis by using a URL\n"
-"in the style of e.g. http4://elinks.cz/."
+"\n"
+"Note that you can also force a given protocol to be used on a per-connection "
+"basis by using a URL in the style of e.g. http4://elinks.cz/."
 msgstr ""
 
-#: src/config/options.inc:110
+#: src/config/options.inc:115
 msgid ""
-"Whether to try to connect to a host over IPv4.\n"
-"Do not touch this option.\n"
-"Note that you can also force a given protocol\n"
-"to be used on a per-connection basis by using a URL\n"
-"in the style of e.g. http4://elinks.cz/."
+"Whether to try to connect to a host over IPv4. Do not touch this option.\n"
+"\n"
+"Note that you can also force a given protocol to be used on a per-connection "
+"basis by using a URL in the style of e.g. http4://elinks.cz/."
 msgstr ""
 
-#: src/config/options.inc:118
+#: src/config/options.inc:124
 msgid "Try IPv6 when connecting"
 msgstr ""
 
-#: src/config/options.inc:120
+#: src/config/options.inc:126
 msgid ""
 "Whether to try to connect to a host over IPv6.\n"
-"Note that you can also force a given protocol\n"
-"to be used on a per-connection basis by using a URL\n"
-"in the style of e.g. http6://elinks.cz/."
+"\n"
+"Note that you can also force a given protocol to be used on a per-connection "
+"basis by using a URL in the style of e.g. http6://elinks.cz/."
 msgstr ""
 
-#: src/config/options.inc:126
+#: src/config/options.inc:133
 msgid "Timeout for non-restartable connections"
 msgstr ""
 
-#: src/config/options.inc:128
+#: src/config/options.inc:135
 msgid "Timeout for non-restartable connections (in seconds)."
 msgstr ""
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:134
+#: src/config/options.inc:141
 #, fuzzy
 msgid "Document"
 msgstr "dokumen"
 
-#: src/config/options.inc:136
+#: src/config/options.inc:143
 #, fuzzy
 msgid "Document options."
 msgstr "~Info dokumen"
 
-#: src/config/options.inc:138
+#: src/config/options.inc:145
 msgid "Browsing"
 msgstr ""
 
-#: src/config/options.inc:140
+#: src/config/options.inc:147
 msgid "Document browsing options (mainly interactivity)."
 msgstr ""
 
-#: src/config/options.inc:143
+#: src/config/options.inc:150
 msgid "Access keys"
 msgstr ""
 
-#: src/config/options.inc:145
+#: src/config/options.inc:152
 msgid ""
-"Options for handling of link access keys.\n"
-"An HTML document can use the ACCESSKEY attribute to assign\n"
-"an access key to an element. When an access key is pressed,\n"
-"the corresponding element will be given focus."
+"Options for handling of link access keys. An HTML document can use the "
+"ACCESSKEY attribute to assign an access key to an element. When an access "
+"key is pressed, the corresponding element will be given focus."
 msgstr ""
 
-#: src/config/options.inc:150
+#: src/config/options.inc:157
 msgid "Automatic links following"
 msgstr ""
 
-#: src/config/options.inc:152
+#: src/config/options.inc:159
 msgid ""
-"Automatically follow a link or submit a form if appropriate\n"
-"accesskey is pressed - this is the standard behaviour, but it's\n"
-"considered dangerous."
+"Automatically follow a link or submit a form if appropriate accesskey is "
+"pressed - this is the standard behaviour, but it's considered dangerous."
 msgstr ""
 
-#: src/config/options.inc:156
+#: src/config/options.inc:163
 msgid "Display access key in link info"
 msgstr ""
 
-#: src/config/options.inc:158
+#: src/config/options.inc:165
 msgid "Display access key in link info."
 msgstr ""
 
-#: src/config/options.inc:160
+#: src/config/options.inc:167
 msgid "Accesskey priority"
 msgstr ""
 
-#: src/config/options.inc:162
+#: src/config/options.inc:169
 msgid ""
 "Priority of 'accesskey' HTML attribute:\n"
-"0 is first try all normal bindings; if it fails, check accesskey\n"
-"1 is first try only frame bindings; if it fails, check accesskey\n"
+"0 is first try all normal bindings; if it fails,\n"
+"     check accesskey\n"
+"1 is first try only frame bindings; if it fails,\n"
+"     check accesskey\n"
 "2 is first check accesskey (this can be dangerous)"
 msgstr ""
 
-#: src/config/options.inc:168
+#: src/config/options.inc:177
 msgid "Forms"
 msgstr ""
 
-#: src/config/options.inc:170
+#: src/config/options.inc:179
 msgid "Options for handling of the forms interaction."
 msgstr ""
 
-#: src/config/options.inc:172
+#: src/config/options.inc:181
 #, fuzzy
 msgid "Submit form automatically"
 msgstr "Kirim form ke"
 
-#: src/config/options.inc:174
+#: src/config/options.inc:183
 msgid ""
-"Automagically submit a form when enter is pressed with a text\n"
-"field selected."
+"Automagically submit a form when enter is pressed with a text field selected."
 msgstr ""
 
-#: src/config/options.inc:177
+#: src/config/options.inc:186
 msgid "Confirm submission"
 msgstr ""
 
-#: src/config/options.inc:179
+#: src/config/options.inc:188
 msgid "Ask for confirmation when submitting a form."
 msgstr ""
 
-#: src/config/options.inc:181
+#: src/config/options.inc:190
 msgid "Default form input size"
 msgstr ""
 
-#: src/config/options.inc:183
+#: src/config/options.inc:192
 msgid "Default form input size if none is specified."
 msgstr ""
 
-#: src/config/options.inc:185
+#: src/config/options.inc:194
 msgid "Insert mode"
 msgstr ""
 
-#: src/config/options.inc:187
+#: src/config/options.inc:196
 msgid ""
-"The setting for this option affects how key presses are handled\n"
-"when one selects a text-input form-field. When enabled, one must\n"
-"explicitly 'enter' a selected text-field to edit it; this prevents\n"
-"text fields from capturing key presses, such as presses of a scroll\n"
-"key, when it is inadvertently selected. When disabled, key presses\n"
-"are always inserted into a selected text field."
+"The setting for this option affects how key presses are handled when one "
+"selects a text-input form-field. When enabled, one must explicitly 'enter' a "
+"selected text-field to edit it; this prevents text fields from capturing key "
+"presses, such as presses of a scroll key, when it is inadvertently selected. "
+"When disabled, key presses are always inserted into a selected text field."
 msgstr ""
 
-#: src/config/options.inc:194
+#: src/config/options.inc:204
 #, fuzzy
 msgid "External editor"
 msgstr "Kesalahan internal"
 
-#: src/config/options.inc:196
+#: src/config/options.inc:206
 msgid ""
-"Path to the executable that ELinks should launch when the user\n"
-"requests to edit a textarea with an external editor.\n"
-"If this is blank, ELinks will use the value of the environmental\n"
-"variable $EDITOR. If $EDITOR is empty or not set, ELinks will then\n"
-"default to \"vi\"."
+"Path to the executable that ELinks should launch when the user requests to "
+"edit a textarea with an external editor.\n"
+"\n"
+"If this is blank, ELinks will use the value of the environmental variable "
+"$EDITOR. If $EDITOR is empty or not set, ELinks will then default to \"vi\"."
 msgstr ""
 
-#: src/config/options.inc:203
+#: src/config/options.inc:214
 #, fuzzy
 msgid "Images"
 msgstr "Image"
 
-#: src/config/options.inc:205
+#: src/config/options.inc:216
 msgid "Options for handling of images."
 msgstr ""
 
-#: src/config/options.inc:207
+#: src/config/options.inc:218
 #, fuzzy
 msgid "Display style for image tags"
 msgstr "Tampilkan"
 
-#: src/config/options.inc:209
+#: src/config/options.inc:220
 msgid ""
 "Display style for image tags when displayed:\n"
 "0     means always display IMG\n"
 "1     means always display filename\n"
-"2     means display alt/title attribute if possible, IMG if not\n"
-"3     means display alt/title attribute if possible, filename if not"
+"2     means display alt/title attribute if possible,\n"
+"      IMG if not\n"
+"3     means display alt/title attribute if possible,\n"
+"      filename if not"
 msgstr ""
 
-#: src/config/options.inc:215
+#: src/config/options.inc:228
 msgid "Maximum length for image filename"
 msgstr ""
 
-#: src/config/options.inc:217
+#: src/config/options.inc:230
 msgid ""
 "Maximum length of image filename when displayed:\n"
 "0     means always display full filename\n"
 "1-500 means display filename with this maximal length;\n"
-"      if it is longer, the middle is substituted by an asterisk"
+"      if it is longer, the middle is substituted by\n"
+"      an asterisk"
 msgstr ""
 
-#: src/config/options.inc:227
+#: src/config/options.inc:241
 msgid "Image links tagging"
 msgstr ""
 
-#: src/config/options.inc:229
+#: src/config/options.inc:243
 msgid ""
 "When to enclose image links:\n"
 "0 means never\n"
@@ -2361,92 +2364,92 @@ msgid ""
 "2 means always"
 msgstr ""
 
-#: src/config/options.inc:234
+#: src/config/options.inc:248
 msgid "Image link prefix"
 msgstr ""
 
-#: src/config/options.inc:236
+#: src/config/options.inc:250
 msgid "Prefix string to use to mark image links."
 msgstr ""
 
-#: src/config/options.inc:238
+#: src/config/options.inc:252
 msgid "Image link suffix"
 msgstr ""
 
-#: src/config/options.inc:240
+#: src/config/options.inc:254
 msgid "Suffix string to use to mark image links."
 msgstr ""
 
-#: src/config/options.inc:242
+#: src/config/options.inc:256
 msgid "Maximum length for image label"
 msgstr ""
 
-#: src/config/options.inc:244
+#: src/config/options.inc:258
 msgid ""
 "Maximum length of image label (alt/title):\n"
 "0     means always display full label\n"
 "1-500 means display label with this maximal length;\n"
-"      if it is longer, the middle is substituted by an asterisk"
+"      if it is longer, the middle is substituted by\n"
+"      an asterisk"
 msgstr ""
 
-#: src/config/options.inc:249
+#: src/config/options.inc:264
 msgid "Display links to images w/o alt"
 msgstr ""
 
-#: src/config/options.inc:251
+#: src/config/options.inc:266
 msgid ""
-"Display links to images without an alt attribute. If this option\n"
-"is off, these images are completely invisible."
+"Display links to images without an alt attribute. If this option is off, "
+"these images are completely invisible."
 msgstr ""
 
-#: src/config/options.inc:254
+#: src/config/options.inc:269
 #, fuzzy
 msgid "Display links to images"
 msgstr "Tampilkan"
 
-#: src/config/options.inc:256
+#: src/config/options.inc:271
 msgid ""
-"Display links to any images in the document, regardless of them\n"
-"having an alt attribute or not. If this option is off, the alt\n"
-"attribute contents is shown, but as normal text, not selectable\n"
-"as a link."
+"Display links to any images in the document, regardless of them having an "
+"alt attribute or not. If this option is off, the alt attribute contents is "
+"shown, but as normal text, not selectable as a link."
 msgstr ""
 
-#: src/config/options.inc:262
+#: src/config/options.inc:277
 #, fuzzy
 msgid "Links"
 msgstr "~Link"
 
-#: src/config/options.inc:264
+#: src/config/options.inc:279
 msgid "Options for handling of links to other documents."
 msgstr ""
 
-#: src/config/options.inc:266
+#: src/config/options.inc:281
 msgid "Active link"
 msgstr ""
 
-#: src/config/options.inc:268
+#: src/config/options.inc:283
 msgid "Options for the active link."
 msgstr ""
 
-#: src/config/options.inc:270
+#: src/config/options.inc:285
 #, fuzzy
 msgid "Colors"
 msgstr "Warna"
 
-#: src/config/options.inc:272
+#: src/config/options.inc:287
 #, fuzzy
 msgid "Active link colors."
 msgstr "Habisi ~koneksi di background"
 
-#: src/config/options.inc:274 src/config/options.inc:549
-#: src/config/options.inc:945
+#: src/config/options.inc:289 src/config/options.inc:583
+#: src/config/options.inc:1014
 #, fuzzy
 msgid "Background color"
 msgstr "Background"
 
-#: src/config/options.inc:276 src/config/options.inc:551
-#: src/config/options.inc:946
+#: src/config/options.inc:291 src/config/options.inc:585
+#: src/config/options.inc:1015
 #, fuzzy
 msgid "Default background color."
 msgstr "Habisi ~koneksi di background"
@@ -2459,75 +2462,75 @@ msgstr "Habisi ~koneksi di background"
 #. *	on it.
 #. The colors and mono tree should be similar but with different default
 #. * values of course so always use the macros below.
-#: src/config/options.inc:278 src/config/options.inc:545
-#: src/config/options.inc:943
+#: src/config/options.inc:293 src/config/options.inc:579
+#: src/config/options.inc:1012
 #, fuzzy
 msgid "Text color"
 msgstr "Teks area"
 
-#: src/config/options.inc:280 src/config/options.inc:547
-#: src/config/options.inc:944
+#: src/config/options.inc:295 src/config/options.inc:581
+#: src/config/options.inc:1013
 msgid "Default text color."
 msgstr ""
 
-#: src/config/options.inc:282
+#: src/config/options.inc:297
 #, fuzzy
 msgid "Enable color"
 msgstr "nama"
 
-#: src/config/options.inc:284
+#: src/config/options.inc:299
 msgid ""
-"Enable use of the active link background and text color\n"
-"settings instead of the link colors from the document."
+"Enable use of the active link background and text color settings instead of "
+"the link colors from the document."
 msgstr ""
 
-#: src/config/options.inc:287
+#: src/config/options.inc:302
 msgid "Bold"
 msgstr ""
 
-#: src/config/options.inc:289
+#: src/config/options.inc:304
 msgid "Make the active link text bold."
 msgstr ""
 
-#: src/config/options.inc:291
+#: src/config/options.inc:306
 #, fuzzy
 msgid "Invert colors"
 msgstr "Teks area"
 
-#: src/config/options.inc:293
+#: src/config/options.inc:308
 msgid "Invert the fore- and background color so the link stands out."
 msgstr ""
 
-#: src/config/options.inc:296 src/config/options.inc:908
+#: src/config/options.inc:311 src/config/options.inc:975
 #: src/dialogs/options.c:231
 msgid "Underline"
 msgstr ""
 
-#: src/config/options.inc:298
+#: src/config/options.inc:313
 msgid "Underline the active link."
 msgstr ""
 
-#: src/config/options.inc:301
+#: src/config/options.inc:316
 msgid "Directory highlighting"
 msgstr ""
 
-#: src/config/options.inc:303
+#: src/config/options.inc:318
 msgid "Highlight links to directories in FTP and local directory listing."
 msgstr ""
 
-#: src/config/options.inc:305
+#: src/config/options.inc:321
 msgid "Number links"
 msgstr ""
 
-#: src/config/options.inc:307
+#: src/config/options.inc:323
 msgid "Display numbers next to the links."
 msgstr ""
 
-#: src/config/options.inc:309
+#: src/config/options.inc:325
 msgid "Handling of target=_blank"
 msgstr ""
 
-#: src/config/options.inc:311
+#: src/config/options.inc:327
 msgid ""
 "Define how to handle links having target=_blank set:\n"
 "0 means open link in current tab\n"
@@ -2536,139 +2539,136 @@ msgid ""
 "3 means open link in new window"
 msgstr ""
 
-#: src/config/options.inc:324
+#: src/config/options.inc:340
 msgid "Use tabindex"
 msgstr ""
 
-#: src/config/options.inc:326
+#: src/config/options.inc:342
 msgid ""
-"Whether to navigate links using tabindex specified ordering.\n"
-"The TABINDEX attribute in HTML elements specifies the order\n"
-"in which links should receive focus when using the keyboard\n"
-"to navigate the document."
+"Whether to navigate links using tabindex specified ordering. The TABINDEX "
+"attribute in HTML elements specifies the order in which links should receive "
+"focus when using the keyboard to navigate the document."
 msgstr ""
 
-#: src/config/options.inc:331
+#: src/config/options.inc:347
 #, fuzzy
 msgid "Missing fragment reporting"
 msgstr "Ngga make frame"
 
-#: src/config/options.inc:333
+#: src/config/options.inc:349
 msgid "Open a message box when document has no tag with given id."
 msgstr ""
 
-#: src/config/options.inc:335
+#: src/config/options.inc:352
 msgid "Number keys select links"
 msgstr ""
 
-#: src/config/options.inc:337
+#: src/config/options.inc:354
 msgid ""
-"Number keys select links rather than specify command prefixes. This\n"
-"is a tristate:\n"
+"Number keys select links rather than specify command prefixes. This is a "
+"tristate:\n"
 "0 means never\n"
 "1 means if document.browse.links.numbering = 1\n"
 "2 means always"
 msgstr ""
 
-#: src/config/options.inc:343
+#: src/config/options.inc:360
 msgid "Warn about maliciously crafted URIs"
 msgstr ""
 
-#: src/config/options.inc:345
+#: src/config/options.inc:362
 msgid ""
-"When following a link the user ID part of the URI is\n"
-"checked and if a maliciously crafted URI is detected a\n"
-"warning dialog will ask before following the link."
+"When following a link the user ID part of the URI is checked and if a "
+"maliciously crafted URI is detected a warning dialog will ask before "
+"following the link."
 msgstr ""
 
 #. TODO - this is somehow implemented by ff, but disabled
 #. * for now as it doesn't work.
-#: src/config/options.inc:351
+#: src/config/options.inc:368
 msgid "Wrap-around links cycling"
 msgstr ""
 
 #. 0
-#: src/config/options.inc:353
+#: src/config/options.inc:370
 msgid ""
-"When pressing 'down' on the last link, jump to the first one, and\n"
-"vice versa."
+"When pressing 'down' on the last link, jump to the first one, and vice versa."
 msgstr ""
 
-#: src/config/options.inc:357
+#: src/config/options.inc:374
 msgid "Scrolling"
 msgstr ""
 
-#: src/config/options.inc:359
+#: src/config/options.inc:376
 #, fuzzy
 msgid "Scrolling options."
 msgstr "Opsi terminal"
 
-#: src/config/options.inc:361
+#: src/config/options.inc:378
 msgid "Horizontal step"
 msgstr ""
 
-#: src/config/options.inc:363
+#: src/config/options.inc:380
 msgid ""
-"Number of columns to scroll when a key bound to scroll-left or scroll-\n"
-"right is pressed and no prefix was given."
+"Number of columns to scroll when a key bound to scroll-left or scroll-right "
+"is pressed and no prefix was given."
 msgstr ""
 
-#: src/config/options.inc:366
+#: src/config/options.inc:384
 msgid "Extended horizontal scrolling"
 msgstr ""
 
-#: src/config/options.inc:368
+#: src/config/options.inc:386
 msgid ""
-"Whether to allow horizontal scrolling when the document\n"
-"does not extend off the screen. Useful for copy/paste\n"
-"operations."
+"Whether to allow horizontal scrolling when the document does not extend off "
+"the screen. Useful for copy/paste operations."
 msgstr ""
 
-#: src/config/options.inc:372
+#: src/config/options.inc:390
 #, fuzzy
 msgid "Margin"
 msgstr "Awas"
 
-#: src/config/options.inc:374
+#: src/config/options.inc:392
 msgid ""
-"Size of the virtual margin - when you click inside of that margin,\n"
-"document scrolls in that direction."
+"Size of the virtual margin - when you click inside of that margin, document "
+"scrolls in that direction."
 msgstr ""
 
-#: src/config/options.inc:377
+#: src/config/options.inc:395
 msgid "Vertical step"
 msgstr ""
 
-#: src/config/options.inc:379
+#: src/config/options.inc:397
 msgid ""
-"Number of lines to scroll when a key bound to scroll-up or scroll-\n"
-"down is pressed and no prefix was given."
+"Number of lines to scroll when a key bound to scroll-up or scroll-down is "
+"pressed and no prefix was given."
 msgstr ""
 
-#: src/config/options.inc:383
+#: src/config/options.inc:401
 #, fuzzy
 msgid "Searching"
 msgstr "Cari"
 
-#: src/config/options.inc:385
+#: src/config/options.inc:403
 msgid "Options for searching."
 msgstr ""
 
-#: src/config/options.inc:387
+#: src/config/options.inc:405
 msgid "Case sensitivity"
 msgstr ""
 
-#: src/config/options.inc:389
+#: src/config/options.inc:407
 msgid ""
-"Whether the search should match the document text while maintaining\n"
-"case sensitivity."
+"Whether the search should match the document text while maintaining case "
+"sensitivity."
 msgstr ""
 
-#: src/config/options.inc:393
+#: src/config/options.inc:411
 msgid "Regular expressions"
 msgstr ""
 
-#: src/config/options.inc:395
+#: src/config/options.inc:413
 msgid ""
 "Enable searching with regular expressions:\n"
 "0 for plain text searching\n"
@@ -2676,31 +2676,31 @@ msgid ""
 "2 for extended regular expression searches"
 msgstr ""
 
-#: src/config/options.inc:401
+#: src/config/options.inc:419
 msgid "Show search hit top or bottom dialogs"
 msgstr ""
 
-#: src/config/options.inc:403
+#: src/config/options.inc:421
 msgid ""
-"Whether to show a dialog when the search hits the top or bottom of the\n"
+"Whether to show a dialog when the search hits the top or bottom of the "
 "document."
 msgstr ""
 
-#: src/config/options.inc:406
+#: src/config/options.inc:424
 #, fuzzy
 msgid "Wraparound"
 msgstr "Background"
 
-#: src/config/options.inc:408
+#: src/config/options.inc:426
 msgid "Wrap around when searching. Currently only used for typeahead."
 msgstr ""
 
-#: src/config/options.inc:410
+#: src/config/options.inc:429
 #, fuzzy
 msgid "Show not found"
 msgstr "Alamat ngga ketemu"
 
-#: src/config/options.inc:412
+#: src/config/options.inc:431
 msgid ""
 "How to inform the user when nothing is matched:\n"
 "0 means do nothing\n"
@@ -2708,281 +2708,282 @@ msgid ""
 "2 means pop up message box"
 msgstr ""
 
-#: src/config/options.inc:417
+#: src/config/options.inc:436
 #, fuzzy
 msgid "Typeahead searching"
 msgstr "Salah string"
 
-#: src/config/options.inc:419
+#: src/config/options.inc:438
 msgid ""
-"Start typeahead searching when an unbound key is pressed without\n"
-"any modifiers. Note that most keys have default bindings, so this\n"
-"feature will not be useful unless you unbind them.\n"
+"Start typeahead searching when an unbound key is pressed without any "
+"modifiers. Note that most keys have default bindings, so this feature will "
+"not be useful unless you unbind them.\n"
 "\n"
-"0 disables this feature; typeahead searching will only be used\n"
-"  when you press a key bound to search-typeahead or similar\n"
+"0 disables this feature; typeahead searching will only be\n"
+"  used when you press a key bound to search-typeahead or\n"
+"  similar\n"
 "1 automatically starts typeahead searching thru link text\n"
-"2 automatically starts typeahead searching thru all document text"
+"2 automatically starts typeahead searching thru all document\n"
+"  text"
 msgstr ""
 
-#: src/config/options.inc:428
+#: src/config/options.inc:451
 msgid "Horizontal text margin"
 msgstr ""
 
-#: src/config/options.inc:430
+#: src/config/options.inc:453
 msgid "Horizontal text margin."
 msgstr ""
 
-#: src/config/options.inc:432
+#: src/config/options.inc:455
 msgid "Document meta refresh"
 msgstr ""
 
-#: src/config/options.inc:434
+#: src/config/options.inc:457
 msgid ""
-"Automatically follow document-specified refresh directives ('<meta>\n"
-"refresh' tags). Web-page authors use these to instruct the browser\n"
-"to reload a document at a given interval or to load another page.\n"
-"Regardless of the value the refresh URI is accessible as a link.\n"
-"Use the document.browse.minimum_refresh_time to control the minimum\n"
-"number of seconds a refresh will wait."
+"Automatically follow document-specified refresh directives ('<meta> refresh' "
+"tags). Web-page authors use these to instruct the browser to reload a "
+"document at a given interval or to load another page. Regardless of the "
+"value the refresh URI is accessible as a link.\n"
+"\n"
+"Use the document.browse.minimum_refresh_time to control the minimum number "
+"of seconds a refresh will wait."
 msgstr ""
 
-#: src/config/options.inc:441
+#: src/config/options.inc:466
 msgid "Document meta refresh minimum time"
 msgstr ""
 
-#: src/config/options.inc:443
+#: src/config/options.inc:468
 msgid ""
-"The minimum number of milliseconds that should pass before\n"
-"refreshing. If set to zero the document refresh time is used\n"
-"unchanged. It can fix going back in history for some sites that\n"
-"use refreshing with zero values."
+"The minimum number of milliseconds that should pass before refreshing. If "
+"set to zero the document refresh time is used unchanged. It can fix going "
+"back in history for some sites that use refreshing with zero values."
 msgstr ""
 
-#: src/config/options.inc:448
+#: src/config/options.inc:473
 msgid "Tables navigation order"
 msgstr ""
 
-#: src/config/options.inc:450
+#: src/config/options.inc:475
 msgid "Move by columns in table, instead of rows."
 msgstr ""
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:456
+#: src/config/options.inc:481
 #, fuzzy
 msgid "Cache"
 msgstr "Batal"
 
-#: src/config/options.inc:458
+#: src/config/options.inc:483
 #, fuzzy
 msgid "Cache options."
 msgstr "~Simpan opsi"
 
-#: src/config/options.inc:460
+#: src/config/options.inc:485
 msgid "Cache information about redirects"
 msgstr ""
 
-#: src/config/options.inc:462
+#: src/config/options.inc:487
 msgid ""
-"Cache even redirects sent by server (usually thru HTTP by a 302\n"
-"HTTP code and a Location header). This was the original behaviour\n"
-"for quite some time, but it causes problems in a situation very\n"
-"common to various web login systems - frequently, when accessing\n"
-"a certain location, they will redirect you to a login page if they\n"
-"don't receive an auth cookie, the login page then gives you the\n"
-"cookie and redirects you back to the original page, but there you\n"
-"have already cached redirect back to the login page! If this\n"
-"option has value of 0, this malfunction is fixed, but occasionally\n"
-"you may get superfluous (depends on how you take it ;-) requests to\n"
-"the server. If this option has value of 1, experienced users can\n"
-"still workaround it by clever combination of usage of reload,\n"
-"jumping around in session history and hitting ctrl+enter.\n"
-"Note that this option is checked when retrieving the information\n"
-"from cache, not when saving it to cache - thus if you enable\n"
-"it, even previous redirects will be taken from cache instead of\n"
-"asking the server."
+"Cache even redirects sent by server (usually thru HTTP by a 302 HTTP code "
+"and a Location header). This was the original behaviour for quite some time, "
+"but it causes problems in a situation very common to various web login "
+"systems - frequently, when accessing a certain location, they will redirect "
+"you to a login page if they don't receive an auth cookie, the login page "
+"then gives you the cookie and redirects you back to the original page, but "
+"there you have already cached redirect back to the login page! If this "
+"option has value of 0, this malfunction is fixed, but occasionally you may "
+"get superfluous (depends on how you take it ;-) requests to the server. If "
+"this option has value of 1, experienced users can still workaround it by "
+"clever combination of usage of reload, jumping around in session history and "
+"hitting ctrl+enter.\n"
+"\n"
+"Note that this option is checked when retrieving the information from cache, "
+"not when saving it to cache - thus if you enable it, even previous redirects "
+"will be taken from cache instead of asking the server."
 msgstr ""
 
-#: src/config/options.inc:480
+#: src/config/options.inc:508
 msgid "Ignore cache-control info from server"
 msgstr ""
 
-#: src/config/options.inc:482
+#: src/config/options.inc:510
 msgid ""
-"Ignore Cache-Control and Pragma server headers.\n"
-"When set, the document is cached even with 'Cache-Control: no-cache'."
+"Ignore Cache-Control and Pragma server headers. When set, the document is "
+"cached even with 'Cache-Control: no-cache'."
 msgstr ""
 
-#: src/config/options.inc:485
+#: src/config/options.inc:514
 #, fuzzy
 msgid "Formatted documents"
 msgstr "Formatted document cache"
 
-#: src/config/options.inc:487
+#: src/config/options.inc:516
 msgid "Format cache options."
 msgstr ""
 
-#: src/config/options.inc:489
+#: src/config/options.inc:518
 #, fuzzy
 msgid "Number"
 msgstr "Salah angka"
 
-#: src/config/options.inc:491
+#: src/config/options.inc:520
 msgid ""
-"Number of cached formatted pages. Do not get too generous\n"
-"here, 'formatted' means that all the accompanying structures\n"
-"are kept in memory so that you get the cached document\n"
-"immediatelly, but these structures may take a lot - 2x the\n"
-"size of the HTML source is probably not unusual, but it can\n"
-"be even more if the document consists of a lot of short lines\n"
-"(padded right, if possible) and links and not much other markup.\n"
-"So if you set this to 256 and then you don't like your ELinks\n"
-"eating 90M, don't come complaining to us. ;-)\n"
-"Also note that the format cache itself is not counted to the\n"
-"memory cache size, but the HTML source of the formatted documents\n"
-"is always cached, even if it is over the memory cache size\n"
-"threshold. (Then of course no other documents can be cached.)"
+"Number of cached formatted pages. Do not get too generous here, 'formatted' "
+"means that all the accompanying structures are kept in memory so that you "
+"get the cached document immediatelly, but these structures may take a lot - "
+"2x the size of the HTML source is probably not unusual, but it can be even "
+"more if the document consists of a lot of short lines (padded right, if "
+"possible) and links and not much other markup. So if you set this to 256 and "
+"then you don't like your ELinks eating 90M, don't come complaining to "
+"us. ;-)\n"
+"\n"
+"Also note that the format cache itself is not counted to the memory cache "
+"size, but the HTML source of the formatted documents is always cached, even "
+"if it is over the memory cache size threshold. (Then of course no other "
+"documents can be cached.)"
 msgstr ""
 
 #. FIXME: Write more.
-#: src/config/options.inc:506
+#: src/config/options.inc:538
 #, fuzzy
 msgid "Revalidation interval"
 msgstr "Kesalahan penyimpanan"
 
-#: src/config/options.inc:508
+#: src/config/options.inc:540
 msgid ""
-"Period in seconds that a cache entry is considered to be\n"
-"up-to-date. When a document is loaded and this interval has elapsed\n"
-"since the document was initially loaded or most recently\n"
-"revalidated with the server, the server will be checked in case\n"
-"there is a more up-to-date version of the document.\n"
+"Period in seconds that a cache entry is considered to be up-to-date. When a "
+"document is loaded and this interval has elapsed since the document was "
+"initially loaded or most recently revalidated with the server, the server "
+"will be checked in case there is a more up-to-date version of the document.\n"
 "\n"
 "A value of -1 disables automatic revalidation."
 msgstr ""
 
-#: src/config/options.inc:515 src/dialogs/info.c:199
+#: src/config/options.inc:549 src/dialogs/info.c:199
 msgid "Memory cache"
 msgstr "Memory cache"
 
-#: src/config/options.inc:517
+#: src/config/options.inc:551
 #, fuzzy
 msgid "Memory cache options."
 msgstr "Memory cache"
 
-#: src/config/options.inc:521
+#: src/config/options.inc:555
 #, fuzzy
 msgid "Memory cache size (in bytes)."
 msgstr "Memory cache"
 
-#: src/config/options.inc:525
+#: src/config/options.inc:559
 #, fuzzy
 msgid "Charset"
 msgstr "Set karakter"
 
-#: src/config/options.inc:527
+#: src/config/options.inc:561
 #, fuzzy
 msgid "Charset options."
 msgstr "~Simpan opsi"
 
-#: src/config/options.inc:529
+#: src/config/options.inc:563
 msgid "Default codepage"
 msgstr ""
 
-#: src/config/options.inc:531
+#: src/config/options.inc:565
 msgid ""
-"Default document codepage. 'System' stands for\n"
-"a codepage determined by a selected locale."
+"Default document codepage. 'System' stands for a codepage determined by a "
+"selected locale."
 msgstr ""
 
-#: src/config/options.inc:534
+#: src/config/options.inc:568
 msgid "Ignore charset info from server"
 msgstr ""
 
-#: src/config/options.inc:536
+#: src/config/options.inc:570
 msgid "Ignore charset info sent by server."
 msgstr ""
 
-#: src/config/options.inc:540
+#: src/config/options.inc:574
 msgid "Default color settings"
 msgstr ""
 
-#: src/config/options.inc:542
+#: src/config/options.inc:576
 msgid "Default document color settings."
 msgstr ""
 
-#: src/config/options.inc:553
+#: src/config/options.inc:587
 msgid "Link color"
 msgstr ""
 
-#: src/config/options.inc:555
+#: src/config/options.inc:589
 msgid "Default link color."
 msgstr ""
 
-#: src/config/options.inc:557
+#: src/config/options.inc:591
 msgid "Visited-link color"
 msgstr ""
 
-#: src/config/options.inc:559
+#: src/config/options.inc:593
 msgid "Default visited link color."
 msgstr ""
 
-#: src/config/options.inc:561
+#: src/config/options.inc:595
 #, fuzzy
 msgid "Image-link color"
 msgstr "Habisi ~koneksi di background"
 
-#: src/config/options.inc:563
+#: src/config/options.inc:597
 #, fuzzy
 msgid "Default image link color."
 msgstr "Habisi ~koneksi di background"
 
-#: src/config/options.inc:565
+#: src/config/options.inc:599
 msgid "Bookmarked-link color"
 msgstr ""
 
-#: src/config/options.inc:567
+#: src/config/options.inc:601
 #, fuzzy
 msgid "Default bookmarked link color."
 msgstr "Habisi ~koneksi di background"
 
-#: src/config/options.inc:569
+#: src/config/options.inc:603
 msgid "Directory color"
 msgstr ""
 
-#: src/config/options.inc:571
+#: src/config/options.inc:605
 msgid ""
 "Default directory color.\n"
+"\n"
 "See document.browse.links.color_dirs option."
 msgstr ""
 
-#: src/config/options.inc:578
+#: src/config/options.inc:613
 msgid "Increase contrast"
 msgstr ""
 
-#: src/config/options.inc:580
+#: src/config/options.inc:615
 msgid ""
-"Increase the contrast between the foreground and background colors\n"
-"to ensure readability. For example it disallows dark colors on a\n"
-"black background. Note, this is different from ensuring the contrast\n"
-"with the ensure_contrast option."
+"Increase the contrast between the foreground and background colors to ensure "
+"readability. For example it disallows dark colors on a black background. "
+"Note, this is different from ensuring the contrast with the ensure_contrast "
+"option."
 msgstr ""
 
-#: src/config/options.inc:585
+#: src/config/options.inc:621
 msgid "Ensure contrast"
 msgstr ""
 
-#: src/config/options.inc:587
+#: src/config/options.inc:623
 msgid "Makes sure that the back- and foreground colors are never equal."
 msgstr ""
 
 #. If you change this please also change ACT_MAIN_DOCUMENT_COLORS action
 #. * handling.
-#: src/config/options.inc:592
+#: src/config/options.inc:628
 msgid "Use document-specified colors"
 msgstr ""
 
-#: src/config/options.inc:594
+#: src/config/options.inc:630
 msgid ""
 "Use colors specified in document:\n"
 "0 is use always the default settings\n"
@@ -2994,40 +2995,40 @@ msgid ""
 msgstr ""
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:607
+#: src/config/options.inc:643
 #, fuzzy
 msgid "Downloading"
 msgstr "Download"
 
-#: src/config/options.inc:609
+#: src/config/options.inc:645
 msgid "Options regarding files downloading and handling."
 msgstr ""
 
-#: src/config/options.inc:611
+#: src/config/options.inc:647
 #, fuzzy
 msgid "Default download directory"
 msgstr "Download gagal"
 
-#: src/config/options.inc:613
+#: src/config/options.inc:649
 msgid "Default download directory."
 msgstr ""
 
-#: src/config/options.inc:615
+#: src/config/options.inc:651
 msgid "Set original time"
 msgstr ""
 
-#: src/config/options.inc:617
+#: src/config/options.inc:653
 msgid ""
-"Set the timestamp of each downloaded file to the timestamp\n"
-"stored on the server."
+"Set the timestamp of each downloaded file to the timestamp stored on the "
+"server."
 msgstr ""
 
 #. Does automatic resuming make sense as an option?
-#: src/config/options.inc:621
+#: src/config/options.inc:657
 msgid "Prevent overwriting"
 msgstr ""
 
-#: src/config/options.inc:623
+#: src/config/options.inc:659
 msgid ""
 "Prevent overwriting the local files:\n"
 "0 is files will silently be overwritten\n"
@@ -3035,11 +3036,11 @@ msgid ""
 "2 is ask the user"
 msgstr ""
 
-#: src/config/options.inc:628
+#: src/config/options.inc:664
 msgid "Notify download completion by bell"
 msgstr ""
 
-#: src/config/options.inc:630
+#: src/config/options.inc:666
 msgid ""
 "Audio notification when download is completed:\n"
 "0 is never\n"
@@ -3047,27 +3048,27 @@ msgid ""
 "2 is always"
 msgstr ""
 
-#: src/config/options.inc:636
+#: src/config/options.inc:672
 msgid "Dump output"
 msgstr ""
 
-#: src/config/options.inc:638
+#: src/config/options.inc:674
 msgid "Dump output options."
 msgstr ""
 
 #. OPT_CODEPAGE
-#: src/config/options.inc:640 src/config/options.inc:912
+#: src/config/options.inc:676 src/config/options.inc:980
 #: src/config/opttypes.c:481 src/dialogs/document.c:164
 msgid "Codepage"
 msgstr "Codepage"
 
-#: src/config/options.inc:642
+#: src/config/options.inc:678
 msgid ""
-"Codepage used in dump output. 'System' stands for\n"
-"a codepage determined by a selected locale."
+"Codepage used in dump output. 'System' stands for a codepage determined by a "
+"selected locale."
 msgstr ""
 
-#: src/config/options.inc:645 src/config/options.inc:878
+#: src/config/options.inc:681 src/config/options.inc:941
 #, fuzzy
 msgid "Color mode"
 msgstr "Warna"
@@ -3077,12 +3078,14 @@ msgstr "Warna"
 #. * an outer list entry after an inner list.
 #. * TRANSLATORS: This restriction applies only to the
 #. * "en" (English) translation.  (See doc/Makefile.)
-#: src/config/options.inc:652
+#: src/config/options.inc:688
 msgid ""
 "Color mode for dumps.\n"
+"\n"
 "Some modes may have been disabled at compile time. The Setup -> Terminal "
 "options dialog lists the modes supported by this executable. If you select "
 "an unsupported mode, ELinks uses 16 colors.\n"
+"\n"
 "The color modes are:\n"
 "-1 is standard dump mode\n"
 "0 is mono mode\n"
@@ -3092,127 +3095,125 @@ msgid ""
 "4 is true color mode"
 msgstr ""
 
-#: src/config/options.inc:665
+#: src/config/options.inc:703
 msgid "Footer"
 msgstr ""
 
-#: src/config/options.inc:667
+#: src/config/options.inc:705
 #, c-format
 msgid "Footer string used in dumps. %u is substituted by URL."
 msgstr ""
 
-#: src/config/options.inc:671
+#: src/config/options.inc:709
 #, c-format
 msgid "Header string used in dumps. %u is substituted by URL."
 msgstr ""
 
-#: src/config/options.inc:673
+#: src/config/options.inc:711
 #, fuzzy
 msgid "Numbering"
 msgstr "Salah angka"
 
-#: src/config/options.inc:675
+#: src/config/options.inc:713
 msgid "Whether to print link numbers in dump output."
 msgstr ""
 
-#: src/config/options.inc:677
+#: src/config/options.inc:715
 #, fuzzy
 msgid "References"
 msgstr "Resources"
 
-#: src/config/options.inc:679
-msgid ""
-"Whether to print references (URIs) of document links\n"
-"in dump output."
+#: src/config/options.inc:717
+msgid "Whether to print references (URIs) of document links in dump output."
 msgstr ""
 
-#: src/config/options.inc:682
+#: src/config/options.inc:720
 msgid "Separator"
 msgstr ""
 
-#: src/config/options.inc:684
+#: src/config/options.inc:722
 msgid "String which separates two dumps."
 msgstr ""
 
-#: src/config/options.inc:686
+#: src/config/options.inc:724
 msgid "Width"
 msgstr ""
 
-#: src/config/options.inc:688
+#: src/config/options.inc:726
 msgid "Width of screen in characters when dumping documents."
 msgstr ""
 
-#: src/config/options.inc:692
+#: src/config/options.inc:730
 #, fuzzy
 msgid "History"
 msgstr "~History"
 
-#: src/config/options.inc:694
+#: src/config/options.inc:732
 msgid "History options."
 msgstr ""
 
-#: src/config/options.inc:696
+#: src/config/options.inc:734
 #, fuzzy
 msgid "Keep unhistory"
 msgstr "Ngga ada history"
 
-#: src/config/options.inc:698
+#: src/config/options.inc:736
 #, fuzzy
 msgid "Keep unhistory (\"forward history\")."
 msgstr "Ngga ada history"
 
-#: src/config/options.inc:701
+#: src/config/options.inc:739
 #, fuzzy
 msgid "HTML rendering"
 msgstr "Lagi transfer"
 
-#: src/config/options.inc:703
+#: src/config/options.inc:741
 msgid "Options concerning the display of HTML pages."
 msgstr ""
 
-#: src/config/options.inc:705
+#: src/config/options.inc:743
 #, fuzzy
 msgid "Display frames"
 msgstr "Tampilkan"
 
-#: src/config/options.inc:707
+#: src/config/options.inc:745
 #, fuzzy
 msgid "Display frames."
 msgstr "Tampilkan"
 
-#: src/config/options.inc:709
+#: src/config/options.inc:747
 #, fuzzy
 msgid "Display tables"
 msgstr "Tampilkan"
 
-#: src/config/options.inc:711
+#: src/config/options.inc:749
 #, fuzzy
 msgid "Display tables."
 msgstr "Tampilkan"
 
-#: src/config/options.inc:713
+#: src/config/options.inc:751
 #, fuzzy
 msgid "Display subscripts"
 msgstr "Tampilkan ~usemap"
 
-#: src/config/options.inc:715
+#: src/config/options.inc:753
 msgid "Display subscripts (as [thing])."
 msgstr ""
 
-#: src/config/options.inc:717
+#: src/config/options.inc:755
 #, fuzzy
 msgid "Display superscripts"
 msgstr "Tampilkan ~usemap"
 
-#: src/config/options.inc:719
+#: src/config/options.inc:757
 msgid "Display superscripts (as ^thing)."
 msgstr ""
 
-#: src/config/options.inc:721
+#: src/config/options.inc:759
 msgid "Rendering of HTML link element"
 msgstr ""
 
-#: src/config/options.inc:723
+#: src/config/options.inc:761
 msgid ""
 "How to render <link> tags from the HTML header:\n"
 "0 is nothing\n"
@@ -3223,145 +3224,143 @@ msgid ""
 "5 is everything"
 msgstr ""
 
-#: src/config/options.inc:731
+#: src/config/options.inc:769
 msgid "Underline links"
 msgstr ""
 
-#: src/config/options.inc:733
+#: src/config/options.inc:771
 msgid "Underline links."
 msgstr ""
 
-#: src/config/options.inc:735
+#: src/config/options.inc:773
 msgid "Wrap non breaking space"
 msgstr ""
 
-#: src/config/options.inc:737
+#: src/config/options.inc:775
 msgid ""
-"If set do not honour non breaking space (the nbsp entity)\n"
-"but allow to wrap the text. This can help keeping the width\n"
-"of documents down so no horizontal scrolling is needed."
+"If set do not honour non breaking space (the nbsp entity) but allow to wrap "
+"the text. This can help keeping the width of documents down so no horizontal "
+"scrolling is needed."
 msgstr ""
 
-#: src/config/options.inc:742
+#: src/config/options.inc:780
 #, fuzzy
 msgid "Plain rendering"
 msgstr "Lagi transfer"
 
-#: src/config/options.inc:744
+#: src/config/options.inc:782
 msgid "Options concerning the display of plain text pages."
 msgstr ""
 
-#: src/config/options.inc:746
+#: src/config/options.inc:784
 #, fuzzy
 msgid "Display URIs"
 msgstr "Tampilkan"
 
-#: src/config/options.inc:748
+#: src/config/options.inc:786
 msgid "Display URIs in the document as links."
 msgstr ""
 
-#: src/config/options.inc:750
+#: src/config/options.inc:788
 msgid "Compress empty lines"
 msgstr ""
 
-#: src/config/options.inc:752
+#: src/config/options.inc:790
 msgid "Compress successive empty lines to only one in displayed text."
 msgstr ""
 
-#: src/config/options.inc:755
+#: src/config/options.inc:794
 msgid "URI passing"
 msgstr ""
 
-#: src/config/options.inc:757
+#: src/config/options.inc:796
 msgid ""
-"Rules for passing URIs to external commands. When one rule\n"
-"is defined the link and tab menu will have a menu item that\n"
-"makes it possible to pass the the link, frame or tab URI to\n"
-"an external command. If several rules are defined the link and\n"
-"tab menu will have a submenu of items for each rule. Note, this\n"
-"is mostly useful for launching graphical viewers, since there\n"
-"is no support for releasing the terminal while the command runs.\n"
-"The action and submenus are also available by binding keys to\n"
-"the frame-external-command, the link-external-command, and\n"
-"the tab-external-command actions."
+"Rules for passing URIs to external commands. When one rule is defined the "
+"link and tab menu will have a menu item that makes it possible to pass the "
+"the link, frame or tab URI to an external command. If several rules are "
+"defined the link and tab menu will have a submenu of items for each rule.\n"
+"\n"
+"Note, this is mostly useful for launching graphical viewers, since there is "
+"no support for releasing the terminal while the command runs. The action and "
+"submenus are also available by binding keys to the frame-external-command, "
+"the link-external-command, and the tab-external-command actions."
 msgstr ""
 
-#: src/config/options.inc:770
+#: src/config/options.inc:812
 msgid ""
-"A rule for passing URI to an external command.\n"
-"The format is:\n"
+"A rule for passing URI to an external command. The format is:\n"
 "%c in the string means the current URL\n"
 "%% in the string means '%'\n"
 "Do _not_ put single- or double-quotes around %c."
 msgstr ""
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:780
+#: src/config/options.inc:822
 msgid "Information files"
 msgstr ""
 
-#: src/config/options.inc:782
+#: src/config/options.inc:824
 msgid "Options for information files in ~/.elinks."
 msgstr ""
 
-#: src/config/options.inc:784
+#: src/config/options.inc:826
 #, fuzzy
 msgid "Save interval"
 msgstr "Kesalahan penyimpanan"
 
-#: src/config/options.inc:786
+#: src/config/options.inc:828
 msgid ""
-"Interval at which to trigger information files in ~/.elinks\n"
-"to be saved to disk if they have changed (seconds; 0 to disable)"
+"Interval at which to trigger information files in ~/.elinks to be saved to "
+"disk if they have changed (seconds; 0 to disable)"
 msgstr ""
 
-#: src/config/options.inc:789
+#: src/config/options.inc:832
 msgid "Use secure file saving"
 msgstr ""
 
-#: src/config/options.inc:791
+#: src/config/options.inc:834
 msgid ""
-"First write data to unique temporary file, then rename this file\n"
-"upon successfully finishing this. Note that this relates only to\n"
-"config files, not downloaded files. You may want to disable\n"
-"it if you are using some exotic permissions for concerned files.\n"
-"Secure file saving is automagically disabled if file is symlink.\n"
-"Warning: some systems (ie. OS/2, Win32) require that destination\n"
-"file doesn't exist when rename(3) is called, breaking atomicity,\n"
-"and reducing reliability of this feature."
+"First write data to unique temporary file, then rename this file upon "
+"successfully finishing this. Note that this relates only to config files, "
+"not downloaded files. You may want to disable it if you are using some "
+"exotic permissions for concerned files. Secure file saving is automagically "
+"disabled if file is symlink.\n"
+"\n"
+"Warning: some systems (ie. OS/2, Win32) require that destination file "
+"doesn't exist when rename(3) is called, breaking atomicity, and reducing "
+"reliability of this feature."
 msgstr ""
 
-#: src/config/options.inc:800
+#: src/config/options.inc:846
 msgid "Use fsync(3) with secure file saving"
 msgstr ""
 
-#: src/config/options.inc:802
+#: src/config/options.inc:848
 msgid ""
-"When using secure file saving, call fsync(3), if the OS\n"
-"supports it, to force the OS immediately to write the data\n"
-"to permanent storage. This is optional for those who wish\n"
-"to avoid excessive disk I/O."
+"When using secure file saving, call fsync(3), if the OS supports it, to "
+"force the OS immediately to write the data to permanent storage. This is "
+"optional for those who wish to avoid excessive disk I/O."
 msgstr ""
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:811
+#: src/config/options.inc:857
 #, fuzzy
 msgid "Terminals"
 msgstr "Opsi terminal"
 
-#: src/config/options.inc:813
+#: src/config/options.inc:859
 #, fuzzy
 msgid "Terminal options."
 msgstr "Opsi terminal"
 
-#: src/config/options.inc:817
+#: src/config/options.inc:863
 msgid "Options specific to this terminal type (according to $TERM value)."
 msgstr ""
 
-#: src/config/options.inc:842
+#: src/config/options.inc:889
 msgid ""
-"Terminal type; matters mostly only when drawing frames and\n"
-"dialog box borders:\n"
+"Terminal type; matters mostly only when drawing frames and dialog box "
+"borders:\n"
 "0 is dumb terminal type, ASCII art\n"
 "1 is VT100, simple but portable\n"
 "2 is Linux, you get double frames and other goodies\n"
@@ -3369,15 +3368,31 @@ msgid ""
 "4 is FreeBSD"
 msgstr ""
 
-#: src/config/options.inc:850 src/dialogs/options.c:227
+#: src/config/options.inc:897
+msgid "Always encode xterm title in ISO-8859-1"
+msgstr ""
+
+#: src/config/options.inc:899
+msgid ""
+"When updating the window title of xterm or a similar terminal emulator, "
+"encode the title in ISO-8859-1 (Latin-1), rather than in the charset used "
+"for other text in the window. Cyrillic and other characters get replaced "
+"with Latin ones. Xterm requires this unless you explicitly enable UTF-8 "
+"titles in it.\n"
+"\n"
+"If this option does not take effect immediately, try switching to a "
+"different page so that ELinks notices it needs to update the title."
+msgstr ""
+
+#: src/config/options.inc:910 src/dialogs/options.c:227
 msgid "Switch fonts for line drawing"
 msgstr ""
 
-#: src/config/options.inc:852
+#: src/config/options.inc:912
 msgid ""
-"Switch fonts when drawing lines, enabling both local characters\n"
-"and lines working at the same time. ELinks uses this option only if\n"
-"UTF-8 I/O is disabled and the terminal type is Linux or FreeBSD."
+"Switch fonts when drawing lines, enabling both local characters and lines "
+"working at the same time. ELinks uses this option only if UTF-8 I/O is "
+"disabled and the terminal type is Linux or FreeBSD."
 msgstr ""
 
 #. When CONFIG_UTF8 is defined, any code that reads the "utf_8_io"
@@ -3385,37 +3400,37 @@ msgstr ""
 #. * and if so, behave as if "utf_8_io" were 1.  (When CONFIG_UTF8 is
 #. * not defined, it should not be possible to set UTF-8 as "codepage";
 #. * please report any such possibilities as bugs.)
-#: src/config/options.inc:861 src/dialogs/options.c:232
+#: src/config/options.inc:922 src/dialogs/options.c:232
 msgid "UTF-8 I/O"
 msgstr ""
 
-#: src/config/options.inc:863
+#: src/config/options.inc:924
 msgid ""
-"Enable I/O in UTF-8 for Unicode terminals. Note that currently,\n"
-"only the subset of UTF-8 according to terminal codepage is used.\n"
-"ELinks ignores this option if the terminal codepage is UTF-8."
+"Enable I/O in UTF-8 for Unicode terminals. Note that currently, only the "
+"subset of UTF-8 according to terminal codepage is used. ELinks ignores this "
+"option if the terminal codepage is UTF-8."
 msgstr ""
 
-#: src/config/options.inc:867 src/dialogs/options.c:228
+#: src/config/options.inc:929 src/dialogs/options.c:228
 msgid "Restrict frames in cp850/852"
 msgstr "Batasin frame di cp850/852"
 
-#: src/config/options.inc:869
+#: src/config/options.inc:931
 msgid ""
-"Restrict the characters used when drawing lines. Makes sense\n"
-"only with linux terminals using the cp850/852 character sets."
+"Restrict the characters used when drawing lines. Makes sense only with linux "
+"terminals using the cp850/852 character sets."
 msgstr ""
 
-#: src/config/options.inc:872 src/dialogs/options.c:229
+#: src/config/options.inc:935 src/dialogs/options.c:229
 #, fuzzy
 msgid "Block cursor"
 msgstr "Blok cursor"
 
-#: src/config/options.inc:874
+#: src/config/options.inc:937
 msgid ""
-"Move cursor to bottom right corner when done drawing.\n"
-"This is particularly useful when we have a block cursor,\n"
-"so that inversed text is displayed correctly."
+"Move cursor to bottom right corner when done drawing. This is particularly "
+"useful when we have a block cursor, so that inversed text is displayed "
+"correctly."
 msgstr ""
 
 #. The list of modes must be at the end of this string
@@ -3423,13 +3438,15 @@ msgstr ""
 #. * an outer list entry after an inner list.
 #. * TRANSLATORS: This restriction applies only to the
 #. * "en" (English) translation.  (See doc/Makefile.)
-#: src/config/options.inc:885
+#: src/config/options.inc:948
 msgid ""
 "The color mode controls what colors are used and how they are output to the "
 "terminal.\n"
+"\n"
 "Some modes may have been disabled at compile time. The Setup -> Terminal "
 "options dialog lists the modes supported by this executable. If you select "
 "an unsupported mode, ELinks uses 16 colors.\n"
+"\n"
 "The color modes are:\n"
 "0 is mono mode, only 2 colors are used\n"
 "1 is 16 color mode, uses the common ANSI colors\n"
@@ -3438,425 +3455,422 @@ msgid ""
 "4 is true color mode, uses konsole RGB codes"
 msgstr ""
 
-#: src/config/options.inc:898 src/dialogs/options.c:230
+#: src/config/options.inc:963 src/dialogs/options.c:230
 msgid "Transparency"
 msgstr ""
 
-#: src/config/options.inc:900
+#: src/config/options.inc:965
 msgid ""
-"If we should not set the background to black. This is particularly\n"
-"useful when we have a terminal (typically in some windowing\n"
-"environment) with a background image or a transparent background -\n"
-"it will be visible in ELinks as well (but ELinks document color handling\n"
-"will still assume the background is black so if you have a bright "
-"background\n"
-"you might experience contrast problems). Note that this option makes\n"
-"sense only when colors are enabled."
+"If we should not set the background to black. This is particularly useful "
+"when we have a terminal (typically in some windowing environment) with a "
+"background image or a transparent background - it will be visible in ELinks "
+"as well (but ELinks document color handling will still assume the background "
+"is black so if you have a bright background you might experience contrast "
+"problems). Note that this option makes sense only when colors are enabled."
 msgstr ""
 
-#: src/config/options.inc:910
+#: src/config/options.inc:977
 msgid "If we should use underline or enhance the color instead."
 msgstr ""
 
-#: src/config/options.inc:914
+#: src/config/options.inc:982
 msgid ""
-"Codepage of charset used for displaying content on terminal.\n"
-"'System' stands for a codepage determined by a selected locale."
+"Codepage of charset used for displaying content on terminal. 'System' stands "
+"for a codepage determined by a selected locale."
 msgstr ""
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:921
+#: src/config/options.inc:990
 msgid "User interface"
 msgstr ""
 
-#: src/config/options.inc:923
+#: src/config/options.inc:992
 #, fuzzy
 msgid "User interface options."
 msgstr "Opsi terminal"
 
-#: src/config/options.inc:927
+#: src/config/options.inc:996
 msgid "Color settings"
 msgstr ""
 
-#: src/config/options.inc:929
+#: src/config/options.inc:998
 msgid "Default user interface color settings."
 msgstr ""
 
-#: src/config/options.inc:956
+#: src/config/options.inc:1025
 #, fuzzy
 msgid "Color terminals"
 msgstr "Terminal a la ~BeOS"
 
-#: src/config/options.inc:958
+#: src/config/options.inc:1027
 msgid "Color settings for color terminal."
 msgstr ""
 
-#: src/config/options.inc:960
+#: src/config/options.inc:1029
 msgid "Non-color terminals"
 msgstr ""
 
-#: src/config/options.inc:962
+#: src/config/options.inc:1031
 msgid "Color settings for non-color terminal."
 msgstr ""
 
 #. FIXME: obsolete, how to alias them correctly ? --Zas
-#: src/config/options.inc:965
+#: src/config/options.inc:1034
 msgid "Main menu bar"
 msgstr ""
 
-#: src/config/options.inc:967
+#: src/config/options.inc:1036
 msgid "Main menu bar colors."
 msgstr ""
 
-#: src/config/options.inc:969
+#: src/config/options.inc:1038
 msgid "Unselected main menu bar item"
 msgstr ""
 
-#: src/config/options.inc:971
+#: src/config/options.inc:1040
 msgid "Unselected main menu bar item colors."
 msgstr ""
 
-#: src/config/options.inc:973
+#: src/config/options.inc:1042
 msgid "Selected main menu bar item"
 msgstr ""
 
-#: src/config/options.inc:975
+#: src/config/options.inc:1044
 msgid "Selected main menu bar item colors."
 msgstr ""
 
-#: src/config/options.inc:977 src/config/options.inc:1006
+#: src/config/options.inc:1046 src/config/options.inc:1075
 msgid "Hotkey"
 msgstr ""
 
-#: src/config/options.inc:979
+#: src/config/options.inc:1048
 msgid "Main menu hotkey colors."
 msgstr ""
 
-#: src/config/options.inc:981 src/config/options.inc:1010
+#: src/config/options.inc:1050 src/config/options.inc:1079
 msgid "Unselected hotkey"
 msgstr ""
 
-#: src/config/options.inc:983
+#: src/config/options.inc:1052
 msgid "Main menu unselected hotkey colors."
 msgstr ""
 
-#: src/config/options.inc:985 src/config/options.inc:1014
+#: src/config/options.inc:1054 src/config/options.inc:1083
 #, fuzzy
 msgid "Selected hotkey"
 msgstr "Pilihan"
 
-#: src/config/options.inc:987
+#: src/config/options.inc:1056
 msgid "Main menu selected hotkey colors."
 msgstr ""
 
-#: src/config/options.inc:990
+#: src/config/options.inc:1059
 msgid "Menu bar"
 msgstr ""
 
-#: src/config/options.inc:992
+#: src/config/options.inc:1061
 msgid "Menu bar colors."
 msgstr ""
 
-#: src/config/options.inc:994
+#: src/config/options.inc:1063
 msgid "Unselected menu item"
 msgstr ""
 
-#: src/config/options.inc:996
+#: src/config/options.inc:1065
 msgid "Unselected menu item colors."
 msgstr ""
 
-#: src/config/options.inc:998
+#: src/config/options.inc:1067
 #, fuzzy
 msgid "Selected menu item"
 msgstr "Pilihan"
 
-#: src/config/options.inc:1000
+#: src/config/options.inc:1069
 msgid "Selected menu item colors."
 msgstr ""
 
-#: src/config/options.inc:1002
+#: src/config/options.inc:1071
 #, fuzzy
 msgid "Marked menu item"
 msgstr "Pilihan"
 
-#: src/config/options.inc:1004
+#: src/config/options.inc:1073
 msgid "Marked menu item colors."
 msgstr ""
 
-#: src/config/options.inc:1008
+#: src/config/options.inc:1077
 msgid "Menu item hotkey colors."
 msgstr ""
 
-#: src/config/options.inc:1012
+#: src/config/options.inc:1081
 msgid "Menu item unselected hotkey colors."
 msgstr ""
 
-#: src/config/options.inc:1016
+#: src/config/options.inc:1085
 msgid "Menu item selected hotkey colors."
 msgstr ""
 
-#: src/config/options.inc:1018
+#: src/config/options.inc:1087
 #, fuzzy
 msgid "Menu frame"
 msgstr "Ngga make frame"
 
-#: src/config/options.inc:1020
+#: src/config/options.inc:1089
 msgid "Menu frame colors."
 msgstr ""
 
-#: src/config/options.inc:1023
+#: src/config/options.inc:1092
 msgid "Dialog"
 msgstr ""
 
-#: src/config/options.inc:1025
+#: src/config/options.inc:1094
 msgid "Dialog colors."
 msgstr ""
 
-#: src/config/options.inc:1035
+#: src/config/options.inc:1104
 msgid "Generic"
 msgstr ""
 
-#: src/config/options.inc:1037
+#: src/config/options.inc:1106
 #, fuzzy
 msgid "Generic dialog colors."
 msgstr "Habisi ~koneksi di background"
 
-#: src/config/options.inc:1039
+#: src/config/options.inc:1108
 #, fuzzy
 msgid "Frame"
 msgstr "nama"
 
-#: src/config/options.inc:1041
+#: src/config/options.inc:1110
 msgid "Dialog frame colors."
 msgstr ""
 
-#: src/config/options.inc:1043
+#: src/config/options.inc:1112
 msgid "Scrollbar"
 msgstr ""
 
-#: src/config/options.inc:1045
+#: src/config/options.inc:1114
 msgid "Scrollbar colors."
 msgstr ""
 
-#: src/config/options.inc:1047
+#: src/config/options.inc:1116
 #, fuzzy
 msgid "Selected scrollbar"
 msgstr "Habisi ~koneksi di background"
 
-#: src/config/options.inc:1049
+#: src/config/options.inc:1118
 #, fuzzy
 msgid "Scrollbar selected colors."
 msgstr "Habisi ~koneksi di background"
 
-#: src/config/options.inc:1053
+#: src/config/options.inc:1122
 msgid "Dialog title colors."
 msgstr ""
 
-#: src/config/options.inc:1055
+#: src/config/options.inc:1124
 #, fuzzy
 msgid "Text"
 msgstr "Teks area"
 
-#: src/config/options.inc:1057
+#: src/config/options.inc:1126
 msgid "Dialog text colors."
 msgstr ""
 
-#: src/config/options.inc:1059 src/viewer/text/form.c:1862
+#: src/config/options.inc:1128 src/viewer/text/form.c:1891
 msgid "Checkbox"
 msgstr "Checkbox"
 
-#: src/config/options.inc:1061
+#: src/config/options.inc:1130
 msgid "Dialog checkbox colors."
 msgstr ""
 
-#: src/config/options.inc:1063
+#: src/config/options.inc:1132
 #, fuzzy
 msgid "Selected checkbox"
 msgstr "Pilihan"
 
-#: src/config/options.inc:1065
+#: src/config/options.inc:1134
 #, fuzzy
 msgid "Dialog selected checkbox colors."
 msgstr "Habisi ~koneksi di background"
 
-#: src/config/options.inc:1067
+#: src/config/options.inc:1136
 #, fuzzy
 msgid "Checkbox label"
 msgstr "Checkbox"
 
-#: src/config/options.inc:1069
+#: src/config/options.inc:1138
 msgid "Dialog checkbox label colors."
 msgstr ""
 
-#: src/config/options.inc:1071
+#: src/config/options.inc:1140
 msgid "Button"
 msgstr ""
 
-#: src/config/options.inc:1073 src/config/options.inc:1081
+#: src/config/options.inc:1142 src/config/options.inc:1150
 msgid "Dialog button colors."
 msgstr ""
 
-#: src/config/options.inc:1075
+#: src/config/options.inc:1144
 msgid "Selected button"
 msgstr ""
 
-#: src/config/options.inc:1077 src/config/options.inc:1085
+#: src/config/options.inc:1146 src/config/options.inc:1154
 msgid "Dialog selected button colors."
 msgstr ""
 
-#: src/config/options.inc:1079
+#: src/config/options.inc:1148
 msgid "Button shortcut"
 msgstr ""
 
-#: src/config/options.inc:1083
+#: src/config/options.inc:1152
 #, fuzzy
 msgid "Selected button shortcut"
 msgstr "Pilihan"
 
-#: src/config/options.inc:1087 src/viewer/text/form.c:1866
+#: src/config/options.inc:1156 src/viewer/text/form.c:1895
 msgid "Text field"
 msgstr "Isian"
 
-#: src/config/options.inc:1089
+#: src/config/options.inc:1158
 msgid "Dialog text field colors."
 msgstr ""
 
-#: src/config/options.inc:1091
+#: src/config/options.inc:1160
 #, fuzzy
 msgid "Text field text"
 msgstr "Isian"
 
-#: src/config/options.inc:1093
+#: src/config/options.inc:1162
 msgid "Dialog field text colors."
 msgstr ""
 
-#: src/config/options.inc:1095
+#: src/config/options.inc:1164
 msgid "Meter"
 msgstr ""
 
-#: src/config/options.inc:1097
+#: src/config/options.inc:1166
 msgid "Dialog meter colors."
 msgstr ""
 
-#: src/config/options.inc:1099
+#: src/config/options.inc:1168
 msgid "Shadow"
 msgstr ""
 
-#: src/config/options.inc:1101
+#: src/config/options.inc:1170
 msgid "Dialog shadow colors (see ui.shadows option)."
 msgstr ""
 
-#: src/config/options.inc:1103
+#: src/config/options.inc:1172
 msgid "Title bar"
 msgstr ""
 
-#: src/config/options.inc:1105
+#: src/config/options.inc:1174
 msgid "Title bar colors."
 msgstr ""
 
-#: src/config/options.inc:1107
+#: src/config/options.inc:1176
 msgid "Generic title bar"
 msgstr ""
 
-#: src/config/options.inc:1109
+#: src/config/options.inc:1178
 msgid "Generic title bar colors."
 msgstr ""
 
-#: src/config/options.inc:1111
+#: src/config/options.inc:1180
 msgid "Title bar text"
 msgstr ""
 
-#: src/config/options.inc:1113
+#: src/config/options.inc:1182
 msgid "Title bar text colors."
 msgstr ""
 
-#: src/config/options.inc:1116
+#: src/config/options.inc:1185
 msgid "Status bar"
 msgstr ""
 
-#: src/config/options.inc:1118
+#: src/config/options.inc:1187
 msgid "Status bar colors."
 msgstr ""
 
-#: src/config/options.inc:1120
+#: src/config/options.inc:1189
 msgid "Generic status bar"
 msgstr ""
 
-#: src/config/options.inc:1122
+#: src/config/options.inc:1191
 msgid "Generic status bar colors."
 msgstr ""
 
-#: src/config/options.inc:1124
+#: src/config/options.inc:1193
 #, fuzzy
 msgid "Status bar text"
 msgstr "Cari teks"
 
-#: src/config/options.inc:1126
+#: src/config/options.inc:1195
 msgid "Status bar text colors."
 msgstr ""
 
-#: src/config/options.inc:1129
+#: src/config/options.inc:1198
 msgid "Tabs bar"
 msgstr ""
 
-#: src/config/options.inc:1131
+#: src/config/options.inc:1200
 msgid "Tabs bar colors."
 msgstr ""
 
-#: src/config/options.inc:1133
+#: src/config/options.inc:1202
 #, fuzzy
 msgid "Unvisited tab"
 msgstr "Pilihan"
 
-#: src/config/options.inc:1135
+#: src/config/options.inc:1204
 msgid ""
-"Tab colors for tabs that have not been\n"
-"selected since they completed loading."
+"Tab colors for tabs that have not been selected since they completed loading."
 msgstr ""
 
-#: src/config/options.inc:1138
+#: src/config/options.inc:1207
 #, fuzzy
 msgid "Unselected tab"
 msgstr "Pilihan"
 
-#: src/config/options.inc:1140
+#: src/config/options.inc:1209
 #, fuzzy
 msgid "Unselected tab colors."
 msgstr "Habisi ~koneksi di background"
 
-#: src/config/options.inc:1142
+#: src/config/options.inc:1211
 #, fuzzy
 msgid "Loading tab"
 msgstr "loading"
 
-#: src/config/options.inc:1144
+#: src/config/options.inc:1213
 msgid "Tab colors for tabs that are loading in the background."
 msgstr ""
 
-#: src/config/options.inc:1146
+#: src/config/options.inc:1215
 #, fuzzy
 msgid "Selected tab"
 msgstr "Pilihan"
 
-#: src/config/options.inc:1148
+#: src/config/options.inc:1217
 #, fuzzy
 msgid "Selected tab colors."
 msgstr "Habisi ~koneksi di background"
 
-#: src/config/options.inc:1150
+#: src/config/options.inc:1219
 msgid "Tab separator"
 msgstr ""
 
-#: src/config/options.inc:1152
+#: src/config/options.inc:1221
 msgid "Tab separator colors."
 msgstr ""
 
-#: src/config/options.inc:1155
+#: src/config/options.inc:1224
 #, fuzzy
 msgid "Searched strings"
 msgstr "Salah string"
 
-#: src/config/options.inc:1157
+#: src/config/options.inc:1226
 #, fuzzy
 msgid "Searched string highlight colors."
 msgstr "Kata yang dicari ngga ketemu"
@@ -3865,69 +3879,69 @@ msgstr "Kata yang dicari ngga ketemu"
 #. ============= BORING PART (colors) END ===================
 #. ==========================================================
 #. Keep options in alphabetical order.
-#: src/config/options.inc:1166
+#: src/config/options.inc:1235
 msgid "Dialog settings"
 msgstr ""
 
-#: src/config/options.inc:1168
+#: src/config/options.inc:1237
 msgid "Dialogs-specific appearance and behaviour settings."
 msgstr ""
 
-#: src/config/options.inc:1171
+#: src/config/options.inc:1240
 msgid "Minimal height of listbox widget"
 msgstr ""
 
-#: src/config/options.inc:1173
+#: src/config/options.inc:1242
 msgid ""
-"Minimal height of the listbox widget (used e.g. for bookmarks\n"
-"or global history)."
+"Minimal height of the listbox widget (used e.g. for bookmarks or global "
+"history)."
 msgstr ""
 
-#: src/config/options.inc:1176
+#: src/config/options.inc:1245
 msgid "Drop shadows"
 msgstr ""
 
-#: src/config/options.inc:1178
+#: src/config/options.inc:1247
 msgid ""
-"Make dialogs drop shadows (the shadows are solid, you can\n"
-"adjust their color by ui.colors.*.dialog.shadow). You may\n"
-"also want to eliminate the wide borders by adjusting setup.h."
+"Make dialogs drop shadows (the shadows are solid, you can adjust their color "
+"by ui.colors.*.dialog.shadow). You may also want to eliminate the wide "
+"borders by adjusting setup.h."
 msgstr ""
 
-#: src/config/options.inc:1182
+#: src/config/options.inc:1252
 #, fuzzy
 msgid "Underline menu hotkeys"
 msgstr "Pilihan"
 
-#: src/config/options.inc:1184
+#: src/config/options.inc:1254
 msgid ""
-"Whether to underline hotkeys in menus to make them more\n"
-"visible. Requires that underlining is enabled for the terminal."
+"Whether to underline hotkeys in menus to make them more visible. Requires "
+"that underlining is enabled for the terminal."
 msgstr ""
 
-#: src/config/options.inc:1187
+#: src/config/options.inc:1258
 #, fuzzy
 msgid "Underline button shortcuts"
 msgstr "Pilihan"
 
-#: src/config/options.inc:1189
+#: src/config/options.inc:1260
 msgid ""
-"Whether to underline button shortcuts to make them more\n"
-"visible. Requires that underlining is enabled for the terminal."
+"Whether to underline button shortcuts to make them more visible. Requires "
+"that underlining is enabled for the terminal."
 msgstr ""
 
-#: src/config/options.inc:1193
+#: src/config/options.inc:1265
 #, fuzzy
 msgid "Timer options"
 msgstr "Opsi terminal"
 
-#: src/config/options.inc:1195
+#: src/config/options.inc:1267
 msgid ""
-"Timed action after certain interval of user inactivity. Someone can\n"
-"even find this useful, although you may not believe that."
+"Timed action after certain interval of user inactivity. Someone can even "
+"find this useful, although you may not believe that."
 msgstr ""
 
-#: src/config/options.inc:1201
+#: src/config/options.inc:1274
 msgid ""
 "Whether to enable the timer or not:\n"
 "0 is don't count down anything\n"
@@ -3935,7 +3949,7 @@ msgid ""
 "2 is count down and show the timer near LEDs"
 msgstr ""
 
-#: src/config/options.inc:1208
+#: src/config/options.inc:1281
 msgid ""
 "Whether to enable the timer or not:\n"
 "0 is don't count down anything\n"
@@ -3943,35 +3957,35 @@ msgid ""
 "2 is count down and show the timer near LEDs (DISABLED)"
 msgstr ""
 
-#: src/config/options.inc:1214
+#: src/config/options.inc:1287
 msgid "Duration"
 msgstr ""
 
-#: src/config/options.inc:1216
+#: src/config/options.inc:1289
 msgid ""
-"Inactivity timeout in seconds. The maximum of one day\n"
-"should be enough for just everyone (TM)."
+"Inactivity timeout in seconds. The maximum of one day should be enough for "
+"just everyone (TM)."
 msgstr ""
 
-#: src/config/options.inc:1221
+#: src/config/options.inc:1294
 msgid "Keybinding action to be triggered when timer reaches zero."
 msgstr ""
 
-#: src/config/options.inc:1224
+#: src/config/options.inc:1298
 #, fuzzy
 msgid "Window tabs"
 msgstr "Jendela"
 
-#: src/config/options.inc:1226
+#: src/config/options.inc:1300
 msgid "Window tabs settings."
 msgstr ""
 
-#: src/config/options.inc:1228
+#: src/config/options.inc:1302
 #, fuzzy
 msgid "Display tabs bar"
 msgstr "Tampilkan ~usemap"
 
-#: src/config/options.inc:1230
+#: src/config/options.inc:1304
 msgid ""
 "Show tabs bar on the screen:\n"
 "0 means never\n"
@@ -3979,170 +3993,169 @@ msgid ""
 "2 means always"
 msgstr ""
 
-#: src/config/options.inc:1235
+#: src/config/options.inc:1309
 msgid "Tab bar at top"
 msgstr ""
 
-#: src/config/options.inc:1237
+#: src/config/options.inc:1311
 msgid "Whether display tab bar at top like other browsers do."
 msgstr ""
 
-#: src/config/options.inc:1239
+#: src/config/options.inc:1313
 msgid "Wrap-around tabs cycling"
 msgstr ""
 
-#: src/config/options.inc:1241
+#: src/config/options.inc:1315
 msgid ""
-"When moving right from the last tab, jump to the first one, and\n"
-"vice versa."
+"When moving right from the last tab, jump to the first one, and vice versa."
 msgstr ""
 
-#: src/config/options.inc:1244
+#: src/config/options.inc:1318
 msgid "Confirm tab closing"
 msgstr ""
 
-#: src/config/options.inc:1246
+#: src/config/options.inc:1320
 msgid "When closing a tab show confirmation dialog."
 msgstr ""
 
 #. OPT_LANGUAGE
-#: src/config/options.inc:1250 src/config/opttypes.c:483
+#: src/config/options.inc:1324 src/config/opttypes.c:483
 msgid "Language"
 msgstr ""
 
-#: src/config/options.inc:1252
+#: src/config/options.inc:1326
 msgid ""
-"Language of user interface. 'System' means that the language will\n"
-"be extracted from the environment dynamically."
+"Language of user interface. 'System' means that the language will be "
+"extracted from the environment dynamically."
 msgstr ""
 
-#: src/config/options.inc:1255
+#: src/config/options.inc:1330
 #, fuzzy
 msgid "Display menu bar always"
 msgstr "Tampilkan ~usemap"
 
-#: src/config/options.inc:1257
+#: src/config/options.inc:1332
 msgid "Always show menu bar on the screen."
 msgstr ""
 
-#: src/config/options.inc:1259
+#: src/config/options.inc:1334
 #, fuzzy
 msgid "Display status bar"
 msgstr "Tampilkan ~usemap"
 
-#: src/config/options.inc:1261
+#: src/config/options.inc:1336
 msgid "Show status bar on the screen."
 msgstr ""
 
-#: src/config/options.inc:1263
+#: src/config/options.inc:1338
 #, fuzzy
 msgid "Display title bar"
 msgstr "Tampilkan ~usemap"
 
-#: src/config/options.inc:1265
+#: src/config/options.inc:1340
 msgid "Show title bar on the screen."
 msgstr ""
 
-#: src/config/options.inc:1267
+#: src/config/options.inc:1342
 msgid "Display goto dialog in new tabs"
 msgstr ""
 
-#: src/config/options.inc:1269
+#: src/config/options.inc:1344
 msgid ""
-"Pop up goto dialog in newly created tabs when there's no homepage\n"
-"set. This means also showing goto dialog on startup."
+"Pop up goto dialog in newly created tabs when there's no homepage set. This "
+"means also showing goto dialog on startup."
 msgstr ""
 
-#: src/config/options.inc:1272
+#: src/config/options.inc:1348
 msgid "Show a message box when file is saved successfully"
 msgstr ""
 
-#: src/config/options.inc:1274
+#: src/config/options.inc:1350
 msgid ""
-"When you pressed a [ Save ] button in some manager, this option\n"
-"will make sure that a box confirming success of the operation will\n"
-"pop up."
+"When you pressed a [ Save ] button in some manager, this option will make "
+"sure that a box confirming success of the operation will pop up."
 msgstr ""
 
-#: src/config/options.inc:1279
+#: src/config/options.inc:1355
 #, fuzzy
 msgid "Sessions"
 msgstr "Ekstensi"
 
-#: src/config/options.inc:1281
+#: src/config/options.inc:1357
 msgid "Sessions settings."
 msgstr ""
 
-#: src/config/options.inc:1283
+#: src/config/options.inc:1359
 msgid "Keep session active"
 msgstr ""
 
-#: src/config/options.inc:1285
+#: src/config/options.inc:1361
 msgid "Keep the session active even if the last terminal exits."
 msgstr ""
 
-#: src/config/options.inc:1287
+#: src/config/options.inc:1364
 msgid "Auto save session"
 msgstr ""
 
-#: src/config/options.inc:1289
+#: src/config/options.inc:1366
 msgid ""
 "Automatically save the session when quitting.\n"
+"\n"
 "This feature requires bookmark support."
 msgstr ""
 
-#: src/config/options.inc:1292
+#: src/config/options.inc:1370
 msgid "Auto restore session"
 msgstr ""
 
-#: src/config/options.inc:1294
+#: src/config/options.inc:1372
 msgid ""
 "Automatically restore the session at start.\n"
+"\n"
 "This feature requires bookmark support."
 msgstr ""
 
-#: src/config/options.inc:1297
+#: src/config/options.inc:1376
 msgid "Auto save and restore session folder name"
 msgstr ""
 
-#: src/config/options.inc:1299
+#: src/config/options.inc:1378
 msgid ""
-"Name of the bookmarks folder used for auto saving and restoring session.\n"
-"The name has to be unique. Any folders with the same name will be deleted.\n"
+"Name of the bookmarks folder used for auto saving and restoring session. The "
+"name has to be unique. Any folders with the same name will be deleted.\n"
+"\n"
 "This only makes sense with bookmark support."
 msgstr ""
 
-#: src/config/options.inc:1303
+#: src/config/options.inc:1384
 #, fuzzy
 msgid "Homepage URI"
 msgstr "Codepage"
 
-#: src/config/options.inc:1305
+#: src/config/options.inc:1386
 msgid ""
-"The URI to load either at startup time when no URI was given\n"
-"on the command line or when requested by the goto-url-home action.\n"
-"Set to \"\" if the environment variable WWW_HOME should be used\n"
-"as homepage URI instead."
+"The URI to load either at startup time when no URI was given on the command "
+"line or when requested by the goto-url-home action. Set to \"\" if the "
+"environment variable WWW_HOME should be used as homepage URI instead."
 msgstr ""
 
-#: src/config/options.inc:1311
+#: src/config/options.inc:1392
 #, fuzzy
 msgid "Date format"
 msgstr "Upload file"
 
-#: src/config/options.inc:1313
+#: src/config/options.inc:1394
 msgid "Date format to use in dialogs. See strftime(3)."
 msgstr ""
 
-#: src/config/options.inc:1316
+#: src/config/options.inc:1397
 msgid "Set window title"
 msgstr ""
 
-#: src/config/options.inc:1318
+#: src/config/options.inc:1399
 msgid ""
-"Set the window title when running in a windowing environment\n"
-"in an xterm-like terminal. This way the document's title is\n"
-"shown on the window titlebar."
+"Set the window title when running in a windowing environment in an xterm-"
+"like terminal. This way the document's title is shown on the window titlebar."
 msgstr ""
 
 #: src/config/opttypes.c:54
@@ -4229,7 +4242,7 @@ msgid "Goto URL History"
 msgstr "Ngga ada history"
 
 #. name:
-#: src/cookies/cookies.c:88 src/cookies/cookies.c:911
+#: src/cookies/cookies.c:88 src/cookies/cookies.c:913
 msgid "Cookies"
 msgstr ""
 
@@ -4259,10 +4272,10 @@ msgstr "Buat koneksi"
 msgid ""
 "Cookie maximum age (in days):\n"
 "-1 is use cookie's expiration date if any\n"
-"0  is force expiration at the end of session, ignoring cookie's\n"
-"   expiration date\n"
-"1+ is use cookie's expiration date, but limit age to the given\n"
-"   number of days"
+"0  is force expiration at the end of session, ignoring\n"
+"   cookie's expiration date\n"
+"1+ is use cookie's expiration date, but limit age to the\n"
+"   given number of days"
 msgstr ""
 
 #: src/cookies/cookies.c:109
@@ -4271,42 +4284,42 @@ msgstr ""
 
 #: src/cookies/cookies.c:111
 msgid ""
-"When enabled, we'll require three dots in cookies domain for all\n"
-"non-international domains (instead of just two dots). Some countries\n"
-"have generic second level domains (eg. .com.pl, .co.uk) and allowing\n"
-"sites to set cookies for these generic domains could potentially be\n"
-"very bad. Note, it is off by default as it breaks a lot of sites."
+"When enabled, we'll require three dots in cookies domain for all non-"
+"international domains (instead of just two dots). Some countries have "
+"generic second level domains (eg. .com.pl, .co.uk) and allowing sites to set "
+"cookies for these generic domains could potentially be very bad. Note, it is "
+"off by default as it breaks a lot of sites."
 msgstr ""
 
-#: src/cookies/cookies.c:117
+#: src/cookies/cookies.c:118
 #, fuzzy
 msgid "Saving"
 msgstr "rata-rata"
 
-#: src/cookies/cookies.c:119
+#: src/cookies/cookies.c:120
 msgid "Whether cookies should be loaded from and saved to disk."
 msgstr ""
 
-#: src/cookies/cookies.c:121
+#: src/cookies/cookies.c:123
 msgid "Resaving"
 msgstr ""
 
-#: src/cookies/cookies.c:123
+#: src/cookies/cookies.c:125
 msgid ""
-"Save cookies after each change in cookies list? No effect when\n"
-"cookie saving (cookies.save) is off."
+"Save cookies after each change in cookies list? No effect when cookie saving "
+"(cookies.save) is off."
 msgstr ""
 
-#: src/cookies/cookies.c:817
+#: src/cookies/cookies.c:819
 #, fuzzy
 msgid "Cannot save cookies"
 msgstr "Kesalahan menulis ke file"
 
-#: src/cookies/cookies.c:828
+#: src/cookies/cookies.c:830
 msgid "ELinks was started without a home directory."
 msgstr ""
 
-#: src/cookies/cookies.c:834
+#: src/cookies/cookies.c:836
 msgid "ELinks was started with the -anonymous option."
 msgstr ""
 
@@ -4521,7 +4534,7 @@ msgid "No header info."
 msgstr ""
 
 #: src/dialogs/download.c:243 src/dialogs/menu.c:601
-#: src/protocol/bittorrent/dialogs.c:228 src/session/download.c:361
+#: src/protocol/bittorrent/dialogs.c:228 src/session/download.c:387
 msgid "Download"
 msgstr "Download"
 
@@ -5380,7 +5393,7 @@ msgid "No document"
 msgstr "dokumen"
 
 #. name:
-#: src/document/css/css.c:30 src/document/css/css.c:161
+#: src/document/css/css.c:30 src/document/css/css.c:164
 msgid "Cascading Style Sheets"
 msgstr ""
 
@@ -5388,36 +5401,36 @@ msgstr ""
 msgid "Options concerning how to use CSS for styling documents."
 msgstr ""
 
-#: src/document/css/css.c:34
+#: src/document/css/css.c:35
 #, fuzzy
 msgid "Enable CSS"
 msgstr "nama"
 
-#: src/document/css/css.c:36
+#: src/document/css/css.c:37
 msgid "Enable adding of CSS style info to documents."
 msgstr ""
 
-#: src/document/css/css.c:38
+#: src/document/css/css.c:39
 msgid "Import external style sheets"
 msgstr ""
 
-#: src/document/css/css.c:40
+#: src/document/css/css.c:41
 msgid ""
-"When enabled any external style sheets that are imported from\n"
-"either CSS itself using the @import keyword or from the HTML using\n"
-"<link> tags in the document header will also be downloaded."
+"When enabled any external style sheets that are imported from either CSS "
+"itself using the @import keyword or from the HTML using <link> tags in the "
+"document header will also be downloaded."
 msgstr ""
 
-#: src/document/css/css.c:44
+#: src/document/css/css.c:46
 msgid "Default style sheet"
 msgstr ""
 
-#: src/document/css/css.c:46
+#: src/document/css/css.c:48
 msgid ""
-"The path to the file containing the default user defined\n"
-"Cascading Style Sheet. It can be used to control the basic\n"
-"layout of HTML documents. The path is assumed to be relative\n"
-"to ELinks' home directory.\n"
+"The path to the file containing the default user defined Cascading Style "
+"Sheet. It can be used to control the basic layout of HTML documents. The "
+"path is assumed to be relative to ELinks' home directory.\n"
+"\n"
 "Leave as \"\" to use built-in document styling."
 msgstr ""
 
@@ -5449,8 +5462,8 @@ msgstr ""
 
 #: src/ecmascript/ecmascript.c:55
 msgid ""
-"Whether to ignore content enclosed by the <noscript> tag\n"
-"when ECMAScript is enabled."
+"Whether to ignore content enclosed by the <noscript> tag when ECMAScript is "
+"enabled."
 msgstr ""
 
 #: src/ecmascript/ecmascript.c:58
@@ -5502,7 +5515,7 @@ msgid "JavaScript Error"
 msgstr ""
 
 #. name:
-#: src/ecmascript/spidermonkey.c:320
+#: src/ecmascript/spidermonkey.c:321
 msgid "SpiderMonkey"
 msgstr ""
 
@@ -5600,9 +5613,8 @@ msgstr "Opsi terminal"
 
 #: src/formhist/formhist.c:38
 msgid ""
-"Ask if a login form should be saved to file or not.\n"
-"This option only disables the dialog, already saved login\n"
-"forms are unaffected."
+"Ask if a login form should be saved to file or not. This option only "
+"disables the dialog, already saved login forms are unaffected."
 msgstr ""
 
 #: src/formhist/formhist.c:426
@@ -5704,20 +5716,20 @@ msgstr ""
 msgid "Enable global history (\"history of all pages visited\")."
 msgstr ""
 
-#: src/globhist/globhist.c:68
+#: src/globhist/globhist.c:69
 msgid "Maximum number of entries"
 msgstr ""
 
-#: src/globhist/globhist.c:70
+#: src/globhist/globhist.c:71
 msgid "Maximum number of entries in the global history."
 msgstr ""
 
-#: src/globhist/globhist.c:72
+#: src/globhist/globhist.c:73
 #, fuzzy
 msgid "Display style"
 msgstr "Tampilkan ~usemap"
 
-#: src/globhist/globhist.c:74
+#: src/globhist/globhist.c:75
 msgid ""
 "What to display in global history dialog:\n"
 "0 is URLs\n"
@@ -5725,7 +5737,7 @@ msgid ""
 msgstr ""
 
 #. name:
-#: src/globhist/globhist.c:451
+#: src/globhist/globhist.c:449
 #, fuzzy
 msgid "Global History"
 msgstr "Ngga ada history"
@@ -5954,101 +5966,95 @@ msgstr ""
 
 #: src/mime/backend/default.c:27
 msgid ""
-"Handler <-> MIME type association. The first sub-tree is the MIME\n"
-"class while the second sub-tree is the MIME type (ie. image/gif\n"
-"handler will reside at mime.type.image.gif). Each MIME type option\n"
-"should contain (case-sensitive) name of the MIME handler (its\n"
-"properties are stored at mime.handler.<name>)."
+"Handler <-> MIME type association. The first sub-tree is the MIME class "
+"while the second sub-tree is the MIME type (ie. image/gif handler will "
+"reside at mime.type.image.gif). Each MIME type option should contain (case-"
+"sensitive) name of the MIME handler (its properties are stored at mime."
+"handler.<name>)."
 msgstr ""
 
-#: src/mime/backend/default.c:35
+#: src/mime/backend/default.c:36
 msgid ""
-"Handler matching this MIME-type class ('*' is used here in place\n"
-"of '.')."
+"Handler matching this MIME-type class ('*' is used here in place of '.')."
 msgstr ""
 
-#: src/mime/backend/default.c:40
+#: src/mime/backend/default.c:41
 msgid ""
-"Handler matching this MIME-type name ('*' is used here in place\n"
-"of '.')."
+"Handler matching this MIME-type name ('*' is used here in place of '.')."
 msgstr ""
 
-#: src/mime/backend/default.c:44
+#: src/mime/backend/default.c:45
 msgid "File type handlers"
 msgstr ""
 
-#: src/mime/backend/default.c:46
+#: src/mime/backend/default.c:47
 msgid ""
-"A file type handler is a set of information about how to use\n"
-"an external program to view a file. It is possible to refer to it\n"
-"for several MIME types -- e.g., you can define an 'image' handler\n"
-"to which mime.type.image.png, mime.type.image.jpeg, and so on will\n"
-"refer; or one might define a handler for a more specific type of file\n"
-"-- e.g., PDF files.\n"
-"Note you must define both a MIME handler and a MIME type association\n"
-"for it to work."
+"A file type handler is a set of information about how to use an external "
+"program to view a file. It is possible to refer to it for several MIME types "
+"-- e.g., you can define an 'image' handler to which mime.type.image.png, "
+"mime.type.image.jpeg, and so on will refer; or one might define a handler "
+"for a more specific type of file -- e.g., PDF files. Note you must define "
+"both a MIME handler and a MIME type association for it to work."
 msgstr ""
 
-#: src/mime/backend/default.c:57
+#: src/mime/backend/default.c:58
 msgid "Description of this handler."
 msgstr ""
 
-#: src/mime/backend/default.c:61
+#: src/mime/backend/default.c:62
 msgid "System-specific handler description (ie. unix, unix-xwin, ...)."
 msgstr ""
 
-#: src/mime/backend/default.c:63 src/mime/backend/mailcap.c:102
+#: src/mime/backend/default.c:65 src/mime/backend/mailcap.c:102
 msgid "Ask before opening"
 msgstr ""
 
-#: src/mime/backend/default.c:65
+#: src/mime/backend/default.c:67
 msgid "Ask before opening."
 msgstr ""
 
-#: src/mime/backend/default.c:67
+#: src/mime/backend/default.c:69
 #, fuzzy
 msgid "Block terminal"
 msgstr "Terminal a la ~BeOS"
 
-#: src/mime/backend/default.c:69
+#: src/mime/backend/default.c:71
 msgid "Block the terminal when the handler is running."
 msgstr ""
 
-#: src/mime/backend/default.c:71
+#: src/mime/backend/default.c:73
 #, fuzzy
 msgid "Program"
 msgstr "Ngga ada program"
 
-#: src/mime/backend/default.c:74
+#: src/mime/backend/default.c:76
 #, no-c-format
 msgid ""
-"External viewer for this file type. '%' in this string will be\n"
-"substituted by a file name.\n"
-"Do _not_ put single- or double-quotes around the % sign."
+"External viewer for this file type. '%' in this string will be substituted "
+"by a file name. Do _not_ put single- or double-quotes around the % sign."
 msgstr ""
 
-#: src/mime/backend/default.c:79
+#: src/mime/backend/default.c:81
 #, fuzzy
 msgid "File extension associations"
 msgstr "~Ekstensi file"
 
-#: src/mime/backend/default.c:81
+#: src/mime/backend/default.c:83
 msgid "Extension <-> MIME type association."
 msgstr ""
 
-#: src/mime/backend/default.c:85
+#: src/mime/backend/default.c:87
 msgid ""
-"MIME-type matching this file extension ('*' is used here in place\n"
-"of '.')."
+"MIME-type matching this file extension ('*' is used here in place of '.')."
 msgstr ""
 
 #. name:
-#: src/mime/backend/default.c:216
+#: src/mime/backend/default.c:218
 msgid "Option system"
 msgstr ""
 
 #. name:
-#: src/mime/backend/mailcap.c:89 src/mime/backend/mailcap.c:684
+#: src/mime/backend/mailcap.c:89 src/mime/backend/mailcap.c:686
 msgid "Mailcap"
 msgstr ""
 
@@ -6062,8 +6068,8 @@ msgstr ""
 
 #: src/mime/backend/mailcap.c:99
 msgid ""
-"Mailcap search path. Colon-separated list of files.\n"
-"Leave as \"\" to use MAILCAP environment variable instead."
+"Mailcap search path. Colon-separated list of files. Leave as \"\" to use "
+"MAILCAP environment variable instead."
 msgstr ""
 
 #: src/mime/backend/mailcap.c:104
@@ -6076,39 +6082,38 @@ msgstr ""
 
 #: src/mime/backend/mailcap.c:108
 msgid ""
-"Type of description to show in \"what to do with this file\"\n"
-"query dialog:\n"
+"Type of description to show in \"what to do with this file\" query dialog:\n"
 "0 is show \"mailcap\"\n"
 "1 is show program to be run\n"
-"2 is show mailcap description field if any; \"mailcap\" otherwise"
+"2 is show mailcap description field if any;\n"
+"     \"mailcap\" otherwise"
 msgstr ""
 
-#: src/mime/backend/mailcap.c:114
+#: src/mime/backend/mailcap.c:115
 msgid "Prioritize entries by file"
 msgstr ""
 
-#: src/mime/backend/mailcap.c:116
+#: src/mime/backend/mailcap.c:117
 msgid ""
-"Prioritize entries by the order of the files in the mailcap\n"
-"path. This means that wildcard entries (like: image/*) will\n"
-"also be checked before deciding the handler."
+"Prioritize entries by the order of the files in the mailcap path. This means "
+"that wildcard entries (like: image/*) will also be checked before deciding "
+"the handler."
 msgstr ""
 
-#: src/mime/backend/mailcap.c:349
+#: src/mime/backend/mailcap.c:351
 #, c-format
 msgid "Badly formated mailcap entry for type %s in \"%s\" line %d"
 msgstr ""
 
 #. name:
-#: src/mime/backend/mimetypes.c:46 src/mime/backend/mimetypes.c:279
+#: src/mime/backend/mimetypes.c:46 src/mime/backend/mimetypes.c:280
 msgid "Mimetypes files"
 msgstr ""
 
 #: src/mime/backend/mimetypes.c:48
 msgid ""
-"Options for the support of mime.types files. These files\n"
-"can be used to find the content type of a URL by looking at\n"
-"the extension of the file name."
+"Options for the support of mime.types files. These files can be used to find "
+"the content type of a URL by looking at the extension of the file name."
 msgstr ""
 
 #: src/mime/backend/mimetypes.c:54
@@ -6145,7 +6150,7 @@ msgid "No extensions"
 msgstr "Ngga ada ekstensi"
 
 #. name:
-#: src/mime/mime.c:38 src/mime/mime.c:360
+#: src/mime/mime.c:38 src/mime/mime.c:361
 msgid "MIME"
 msgstr ""
 
@@ -6159,8 +6164,8 @@ msgstr ""
 
 #: src/mime/mime.c:44
 msgid ""
-"Document MIME-type to assume by default (when we are unable to\n"
-"guess it properly from known information about the document)."
+"Document MIME-type to assume by default (when we are unable to guess it "
+"properly from known information about the document)."
 msgstr ""
 
 #: src/network/ssl/ssl.c:72 src/network/ssl/ssl.c:161
@@ -6169,8 +6174,8 @@ msgstr ""
 
 #: src/network/ssl/ssl.c:74
 msgid ""
-"Verify the peer's SSL certificate. Note that this\n"
-"needs extensive configuration of OpenSSL by the user."
+"Verify the peer's SSL certificate. Note that this needs extensive "
+"configuration of OpenSSL by the user."
 msgstr ""
 
 #: src/network/ssl/ssl.c:77
@@ -6184,8 +6189,8 @@ msgstr "Opsi terminal"
 
 #: src/network/ssl/ssl.c:83
 msgid ""
-"Enable or not the sending of X509 client certificates\n"
-"to servers which request them."
+"Enable or not the sending of X509 client certificates to servers which "
+"request them."
 msgstr ""
 
 #: src/network/ssl/ssl.c:86
@@ -6195,16 +6200,15 @@ msgstr "perkiraan selesai"
 
 #: src/network/ssl/ssl.c:88
 msgid ""
-"The location of a file containing the client certificate\n"
-"and unencrypted private key in PEM format. If unset, the\n"
-"file pointed to by the X509_CLIENT_CERT variable is used\n"
-"instead."
+"The location of a file containing the client certificate and unencrypted "
+"private key in PEM format. If unset, the file pointed to by the "
+"X509_CLIENT_CERT variable is used instead."
 msgstr ""
 
 #: src/network/ssl/ssl.c:163
 msgid ""
-"Verify the peer's SSL certificate.  If you enable\n"
-"this, set also \"Trusted CA file\"."
+"Verify the peer's SSL certificate.  If you enable this, set also \"Trusted "
+"CA file\"."
 msgstr ""
 
 #. The default value of the following option points to a file
@@ -6222,20 +6226,20 @@ msgstr "Lagi transfer"
 
 #: src/network/ssl/ssl.c:176
 msgid ""
-"The location of a file containing certificates of\n"
-"trusted certification authorities in PEM format.\n"
-"ELinks then trusts certificates issued by these CAs.\n"
-"If you change this option or the file, you must\n"
-"restart ELinks for the changes to take effect.\n"
-"This option affects GnuTLS but not OpenSSL."
+"The location of a file containing certificates of trusted certification "
+"authorities in PEM format. ELinks then trusts certificates issued by these "
+"CAs.\n"
+"\n"
+"If you change this option or the file, you must restart ELinks for the "
+"changes to take effect. This option affects GnuTLS but not OpenSSL."
 msgstr ""
 
 #. name:
-#: src/network/ssl/ssl.c:199 src/network/ssl/ssl.c:216
+#: src/network/ssl/ssl.c:200 src/network/ssl/ssl.c:217
 msgid "SSL"
 msgstr ""
 
-#: src/network/ssl/ssl.c:201
+#: src/network/ssl/ssl.c:202
 #, fuzzy
 msgid "SSL options."
 msgstr "~Simpan opsi"
@@ -6572,7 +6576,7 @@ msgstr "Masukkan nama user untuk "
 msgid "Login"
 msgstr "User ID"
 
-#: src/protocol/auth/dialogs.c:113 src/protocol/http/http.c:140
+#: src/protocol/auth/dialogs.c:113 src/protocol/http/http.c:142
 msgid "Password"
 msgstr "Password"
 
@@ -6649,7 +6653,7 @@ msgstr "Ngatur bookmark"
 
 #. name:
 #: src/protocol/bittorrent/bittorrent.c:26
-#: src/protocol/bittorrent/bittorrent.c:335
+#: src/protocol/bittorrent/bittorrent.c:339
 msgid "BitTorrent"
 msgstr ""
 
@@ -6704,9 +6708,8 @@ msgstr ""
 
 #: src/protocol/bittorrent/bittorrent.c:57
 msgid ""
-"Whether to request that the tracker returns peer info\n"
-"in compact format. Note, the compact format only supports\n"
-"IPv4 addresses."
+"Whether to request that the tracker returns peer info in compact format. "
+"Note, the compact format only supports IPv4 addresses."
 msgstr ""
 
 #: src/protocol/bittorrent/bittorrent.c:61
@@ -6715,57 +6718,55 @@ msgstr ""
 
 #: src/protocol/bittorrent/bittorrent.c:63
 msgid ""
-"The number of seconds to wait between periodically contacting\n"
-"the tracker for announcing progress and requesting more peers.\n"
-"Set to zero to use the interval requested by the tracker."
+"The number of seconds to wait between periodically contacting the tracker "
+"for announcing progress and requesting more peers. Set to zero to use the "
+"interval requested by the tracker."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:67
+#: src/protocol/bittorrent/bittorrent.c:68
 msgid "IP-address to announce"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:69
+#: src/protocol/bittorrent/bittorrent.c:70
 msgid ""
-"What IP address to report to the tracker. If set to \"\"\n"
-"no IP address will be sent and the tracker will automatically\n"
-"determine an appropriate IP address."
+"What IP address to report to the tracker. If set to \"\" no IP address will "
+"be sent and the tracker will automatically determine an appropriate IP "
+"address."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:73
+#: src/protocol/bittorrent/bittorrent.c:74
 #, fuzzy
 msgid "User identification string"
 msgstr "Opsi terminal"
 
-#: src/protocol/bittorrent/bittorrent.c:75
+#: src/protocol/bittorrent/bittorrent.c:76
 msgid ""
-"An additional identification that is not shared with any users.\n"
-"It is intended to allow a client to prove their identity should\n"
-"their IP address change. It is an optional parameter, but some\n"
-"trackers require this parameter. If set to \"\" no user key will\n"
-"be sent to the tracker."
+"An additional identification that is not shared with any users. It is "
+"intended to allow a client to prove their identity should their IP address "
+"change. It is an optional parameter, but some trackers require this "
+"parameter. If set to \"\" no user key will be sent to the tracker."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:81
+#: src/protocol/bittorrent/bittorrent.c:82
 #, fuzzy
 msgid "Maximum number of peers to request"
 msgstr "Buat koneksi"
 
-#: src/protocol/bittorrent/bittorrent.c:83
+#: src/protocol/bittorrent/bittorrent.c:84
 msgid ""
-"The maximum number of peers to request from the tracker.\n"
-"Set to 0 to use the server default."
+"The maximum number of peers to request from the tracker. Set to 0 to use the "
+"server default."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:86
+#: src/protocol/bittorrent/bittorrent.c:87
 msgid "Minimum peers to skip rerequesting"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:88
+#: src/protocol/bittorrent/bittorrent.c:89
 msgid ""
-"The minimum number of peers to have in the current peer info\n"
-"pool before skipping requesting of more peers. I.e. setting\n"
-"numwant to zero.\n"
-"Set to 0 to not have any limit."
+"The minimum number of peers to have in the current peer info pool before "
+"skipping requesting of more peers. I.e. setting numwant to zero. Set to 0 to "
+"not have any limit."
 msgstr ""
 
 #. ******************************************************************
@@ -6786,182 +6787,177 @@ msgstr "Buat koneksi"
 
 #: src/protocol/bittorrent/bittorrent.c:104
 msgid ""
-"The maximum number of allowed connections to both active and\n"
-"non-active peers. By increasing the number of allowed connections,\n"
-"the chance of finding good peers to download from is increased.\n"
-"However, too many connections can lead to TCP congestion. If the\n"
-"maximum is reached all new incoming connections will be closed."
+"The maximum number of allowed connections to both active and non-active "
+"peers. By increasing the number of allowed connections, the chance of "
+"finding good peers to download from is increased. However, too many "
+"connections can lead to TCP congestion. If the maximum is reached all new "
+"incoming connections will be closed."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:110
+#: src/protocol/bittorrent/bittorrent.c:111
 msgid "Maximum peer message length"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:112
+#: src/protocol/bittorrent/bittorrent.c:113
 msgid ""
-"The maximum length of messages to accept over the wire.\n"
-"Larger values will cause the connection to be dropped."
+"The maximum length of messages to accept over the wire. Larger values will "
+"cause the connection to be dropped."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:115
+#: src/protocol/bittorrent/bittorrent.c:116
 msgid "Maximum allowed request length"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:117
+#: src/protocol/bittorrent/bittorrent.c:118
 msgid ""
-"The maximum length to allow for incoming requests.\n"
-"Larger requests will cause the connection to be dropped."
+"The maximum length to allow for incoming requests. Larger requests will "
+"cause the connection to be dropped."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:120
+#: src/protocol/bittorrent/bittorrent.c:121
 msgid "Length of requests"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:122
+#: src/protocol/bittorrent/bittorrent.c:123
 msgid ""
-"How many bytes to query for per request. This is complementary\n"
-"to the max_request_length option. If the configured length is\n"
-"bigger than the piece length it will be truncated."
+"How many bytes to query for per request. This is complementary to the "
+"max_request_length option. If the configured length is bigger than the piece "
+"length it will be truncated."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:126
+#: src/protocol/bittorrent/bittorrent.c:128
 #, fuzzy
 msgid "Peer inactivity timeout"
 msgstr "Receive timeout"
 
-#: src/protocol/bittorrent/bittorrent.c:128
+#: src/protocol/bittorrent/bittorrent.c:130
 msgid ""
-"The number of seconds to wait before closing a socket on\n"
-"which nothing has been received or sent."
+"The number of seconds to wait before closing a socket on which nothing has "
+"been received or sent."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:131
+#: src/protocol/bittorrent/bittorrent.c:133
 #, fuzzy
 msgid "Maximum peer pool size"
 msgstr "Buat koneksi"
 
-#: src/protocol/bittorrent/bittorrent.c:133
+#: src/protocol/bittorrent/bittorrent.c:135
 msgid ""
-"Maximum number of items in the peer pool. The peer pool\n"
-"contains information used for establishing connections to\n"
-"new peers.\n"
+"Maximum number of items in the peer pool. The peer pool contains information "
+"used for establishing connections to new peers.\n"
+"\n"
 "Set to 0 to have unlimited size."
 msgstr ""
 
 #. ******************************************************************
 #. Piece management options:
 #. ******************************************************************
-#: src/protocol/bittorrent/bittorrent.c:143
+#: src/protocol/bittorrent/bittorrent.c:146
 #, fuzzy
 msgid "Maximum piece cache size"
 msgstr "Buat koneksi"
 
-#: src/protocol/bittorrent/bittorrent.c:145
+#: src/protocol/bittorrent/bittorrent.c:148
 msgid ""
-"The maximum amount of memory used to hold recently\n"
-"downloaded pieces.\n"
+"The maximum amount of memory used to hold recently downloaded pieces.\n"
+"\n"
 "Set to 0 to have unlimited size."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:154
+#: src/protocol/bittorrent/bittorrent.c:158
 msgid "Sharing rate"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:156
+#: src/protocol/bittorrent/bittorrent.c:160
 msgid ""
-"The minimum sharing rate to achieve before stop seeding.\n"
-"The sharing rate is computed as the number of uploaded bytes\n"
-"divided with the number of downloaded bytes. The value should\n"
-"be a double value between 0.0 and 1.0 both included.\n"
-"Set to 1.0 to atleast upload a complete copy of all data and\n"
+"The minimum sharing rate to achieve before stop seeding. The sharing rate is "
+"computed as the number of uploaded bytes divided with the number of "
+"downloaded bytes. The value should be a double value between 0.0 and 1.0 "
+"both included. Set to 1.0 to atleast upload a complete copy of all data and "
 "set to 0.0 to have unlimited sharing rate."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:163
+#: src/protocol/bittorrent/bittorrent.c:167
 msgid "Maximum number of uploads"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:165
+#: src/protocol/bittorrent/bittorrent.c:169
 msgid "The maximum number of uploads to allow at once."
 msgstr ""
 
 #. The number of uploads to fill out to with extra optimistic unchokes
-#: src/protocol/bittorrent/bittorrent.c:168
+#: src/protocol/bittorrent/bittorrent.c:172
 msgid "Minimum number of uploads"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:170
+#: src/protocol/bittorrent/bittorrent.c:174
 msgid ""
-"The minimum number of uploads which should at least\n"
-"be used for new connections."
+"The minimum number of uploads which should at least be used for new "
+"connections."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:174
+#: src/protocol/bittorrent/bittorrent.c:178
 #, fuzzy
 msgid "Keepalive interval"
 msgstr "Kesalahan penyimpanan"
 
-#: src/protocol/bittorrent/bittorrent.c:176
-msgid ""
-"The number of seconds to pause between sending keepalive\n"
-"messages."
+#: src/protocol/bittorrent/bittorrent.c:180
+msgid "The number of seconds to pause between sending keepalive messages."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:179
+#: src/protocol/bittorrent/bittorrent.c:183
 #, fuzzy
 msgid "Number of pending requests"
 msgstr "Server sedang memproses permohonan"
 
-#: src/protocol/bittorrent/bittorrent.c:181
+#: src/protocol/bittorrent/bittorrent.c:185
 msgid ""
-"How many piece requests to continuously keep in queue. Pipelining\n"
-"of requests is essential to saturate connections and get a good\n"
-"connection performance and thus a faster download. However, a\n"
-"very big queue size can lead to wasting bandwidth near the end\n"
-"of the connection since remaining piece blocks will be requested\n"
-"from multiple peers."
+"How many piece requests to continuously keep in queue. Pipelining of "
+"requests is essential to saturate connections and get a good connection "
+"performance and thus a faster download. However, a very big queue size can "
+"lead to wasting bandwidth near the end of the connection since remaining "
+"piece blocks will be requested from multiple peers."
 msgstr ""
 
 #. Bram uses 30 seconds here.
-#: src/protocol/bittorrent/bittorrent.c:190
+#: src/protocol/bittorrent/bittorrent.c:194
 msgid "Peer snubbing interval"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:192
+#: src/protocol/bittorrent/bittorrent.c:196
 msgid ""
-"The number of seconds to wait for file data before assuming\n"
-"the peer has been snubbed."
+"The number of seconds to wait for file data before assuming the peer has "
+"been snubbed."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:195
+#: src/protocol/bittorrent/bittorrent.c:199
 #, fuzzy
 msgid "Peer choke interval"
 msgstr "Kesalahan penyimpanan"
 
-#: src/protocol/bittorrent/bittorrent.c:197
+#: src/protocol/bittorrent/bittorrent.c:201
 msgid ""
-"The number of seconds between updating the connection state\n"
-"and most importantly choke and unchoke peer connections. The\n"
-"choke period should be big enough for newly unchoked connections\n"
-"to get started but small enough to not allow freeriders too much\n"
-"room for stealing bandwidth."
+"The number of seconds between updating the connection state and most "
+"importantly choke and unchoke peer connections. The choke period should be "
+"big enough for newly unchoked connections to get started but small enough to "
+"not allow freeriders too much room for stealing bandwidth."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:203
+#: src/protocol/bittorrent/bittorrent.c:207
 msgid "Rarest first piece selection cutoff"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:205
+#: src/protocol/bittorrent/bittorrent.c:209
 msgid ""
-"The number of pieces to obtain before switching piece\n"
-"selection strategy from random to rarest first."
+"The number of pieces to obtain before switching piece selection strategy "
+"from random to rarest first."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:208 src/protocol/http/http.c:109
+#: src/protocol/bittorrent/bittorrent.c:212 src/protocol/http/http.c:109
 msgid "Allow blacklisting"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:210
+#: src/protocol/bittorrent/bittorrent.c:214
 msgid "Allow blacklisting of buggy peers."
 msgstr ""
 
@@ -6997,7 +6993,7 @@ msgstr "~File"
 msgid "Comment"
 msgstr "dokumen"
 
-#: src/protocol/bittorrent/dialogs.c:229 src/session/download.c:362
+#: src/protocol/bittorrent/dialogs.c:229 src/session/download.c:388
 #, fuzzy, c-format
 msgid ""
 "Download complete:\n"
@@ -7165,7 +7161,7 @@ msgid_plural "%u unavailable"
 msgstr[0] "Layanan FTP ngga tersedia"
 msgstr[1] "Layanan FTP ngga tersedia"
 
-#: src/protocol/bittorrent/dialogs.c:584 src/session/session.c:278
+#: src/protocol/bittorrent/dialogs.c:584 src/session/session.c:279
 #, fuzzy, c-format
 msgid "Unable to retrieve %s"
 msgstr "Ngga bisa nulis ke file konfigurasi"
@@ -7180,7 +7176,7 @@ msgstr ""
 msgid "Information about the torrent"
 msgstr "Download ima~ge"
 
-#: src/protocol/bittorrent/dialogs.c:776 src/session/download.c:1106
+#: src/protocol/bittorrent/dialogs.c:776 src/session/download.c:1132
 msgid "What to do?"
 msgstr "Apa yang harus dilakukan?"
 
@@ -7191,13 +7187,13 @@ msgid "Down~load"
 msgstr "Download"
 
 #. accelerator_context(src/protocol/bittorrent/dialogs.c:bittorrent_query_callback, src/session/download.c:do_type_query)
-#: src/protocol/bittorrent/dialogs.c:804 src/session/download.c:1209
+#: src/protocol/bittorrent/dialogs.c:804 src/session/download.c:1235
 #, fuzzy
 msgid "~Display"
 msgstr "Tampilkan"
 
 #. accelerator_context(src/protocol/bittorrent/dialogs.c:bittorrent_query_callback, src/session/download.c:do_type_query)
-#: src/protocol/bittorrent/dialogs.c:808 src/session/download.c:1213
+#: src/protocol/bittorrent/dialogs.c:808 src/session/download.c:1239
 msgid "Show ~header"
 msgstr ""
 
@@ -7215,16 +7211,16 @@ msgstr "Ngga ada program yang dispesifik
 msgid "Colon separated list of directories, where CGI scripts are stored."
 msgstr ""
 
-#: src/protocol/file/cgi.c:47
+#: src/protocol/file/cgi.c:48
 msgid "Allow local CGI"
 msgstr ""
 
-#: src/protocol/file/cgi.c:49
+#: src/protocol/file/cgi.c:50
 msgid "Whether to execute local CGI scripts."
 msgstr ""
 
 #. name:
-#: src/protocol/file/cgi.c:54
+#: src/protocol/file/cgi.c:55
 msgid "CGI"
 msgstr ""
 
@@ -7243,9 +7239,8 @@ msgstr ""
 
 #: src/protocol/file/file.c:46
 msgid ""
-"Whether to allow reading from non-regular files.\n"
-"Note this can be dangerous; reading /dev/urandom or\n"
-"/dev/zero can ruin your day!"
+"Whether to allow reading from non-regular files. Note this can be dangerous; "
+"reading /dev/urandom or /dev/zero can ruin your day!"
 msgstr ""
 
 #: src/protocol/file/file.c:50
@@ -7254,8 +7249,8 @@ msgstr ""
 
 #: src/protocol/file/file.c:52
 msgid ""
-"When set to false, files with name starting with a dot will be\n"
-"hidden in local directory listings."
+"When set to false, files with name starting with a dot will be hidden in "
+"local directory listings."
 msgstr ""
 
 #: src/protocol/file/file.c:55
@@ -7265,13 +7260,13 @@ msgstr "Ngga ada ekstensi"
 
 #: src/protocol/file/file.c:57
 msgid ""
-"When set, if we can't open a file named 'filename', we'll try\n"
-"to open 'filename' with some encoding extension appended\n"
-"(ie. 'filename.gz'); it depends on the supported encodings."
+"When set, if we can't open a file named 'filename', we'll try to open "
+"'filename' with some encoding extension appended (ie. 'filename.gz'); it "
+"depends on the supported encodings."
 msgstr ""
 
 #. name:
-#: src/protocol/file/file.c:65
+#: src/protocol/file/file.c:66
 #, fuzzy
 msgid "File"
 msgstr "~File"
@@ -7301,7 +7296,7 @@ msgid "Whether to sort entries in direct
 msgstr ""
 
 #. name:
-#: src/protocol/ftp/ftp.c:56 src/protocol/ftp/ftp.c:86
+#: src/protocol/ftp/ftp.c:56 src/protocol/ftp/ftp.c:89
 msgid "FTP"
 msgstr ""
 
@@ -7309,8 +7304,8 @@ msgstr ""
 msgid "FTP specific options."
 msgstr ""
 
-#: src/protocol/ftp/ftp.c:60 src/protocol/http/http.c:127
-#: src/protocol/http/http.c:209
+#: src/protocol/ftp/ftp.c:60 src/protocol/http/http.c:128
+#: src/protocol/http/http.c:235
 msgid "Proxy configuration"
 msgstr ""
 
@@ -7318,39 +7313,39 @@ msgstr ""
 msgid "FTP proxy configuration."
 msgstr ""
 
-#: src/protocol/ftp/ftp.c:64 src/protocol/http/http.c:131
-#: src/protocol/http/http.c:213
+#: src/protocol/ftp/ftp.c:64 src/protocol/http/http.c:132
+#: src/protocol/http/http.c:239
 #, fuzzy
 msgid "Host and port-number"
 msgstr "Salah angka"
 
 #: src/protocol/ftp/ftp.c:66
 msgid ""
-"Host and port-number (host:port) of the FTP proxy, or blank.\n"
-"If it's blank, FTP_PROXY environment variable is checked as well."
+"Host and port-number (host:port) of the FTP proxy, or blank. If it's blank, "
+"FTP_PROXY environment variable is checked as well."
 msgstr ""
 
-#: src/protocol/ftp/ftp.c:69
+#: src/protocol/ftp/ftp.c:70
 msgid "Anonymous password"
 msgstr ""
 
-#: src/protocol/ftp/ftp.c:71
+#: src/protocol/ftp/ftp.c:72
 msgid "FTP anonymous password to be sent."
 msgstr ""
 
-#: src/protocol/ftp/ftp.c:73
+#: src/protocol/ftp/ftp.c:74
 msgid "Use passive mode (IPv4)"
 msgstr ""
 
-#: src/protocol/ftp/ftp.c:75
+#: src/protocol/ftp/ftp.c:76
 msgid "Use PASV instead of PORT (passive vs active mode, IPv4 only)."
 msgstr ""
 
-#: src/protocol/ftp/ftp.c:77
+#: src/protocol/ftp/ftp.c:79
 msgid "Use passive mode (IPv6)"
 msgstr ""
 
-#: src/protocol/ftp/ftp.c:79
+#: src/protocol/ftp/ftp.c:81
 msgid "Use EPSV instead of EPRT (passive vs active mode, IPv6 only)."
 msgstr ""
 
@@ -7377,7 +7372,7 @@ msgid ""
 msgstr ""
 
 #. name:
-#: src/protocol/http/http.c:95 src/protocol/http/http.c:223
+#: src/protocol/http/http.c:95 src/protocol/http/http.c:250
 msgid "HTTP"
 msgstr ""
 
@@ -7399,8 +7394,8 @@ msgstr ""
 
 #: src/protocol/http/http.c:106
 msgid ""
-"The Accept-Charset header is quite long and sending it can trigger\n"
-"bugs in some rarely found servers."
+"The Accept-Charset header is quite long and sending it can trigger bugs in "
+"some rarely found servers."
 msgstr ""
 
 #: src/protocol/http/http.c:111
@@ -7413,69 +7408,69 @@ msgstr ""
 
 #: src/protocol/http/http.c:115
 msgid ""
-"Broken 302 redirect (violates RFC but compatible with Netscape).\n"
-"This is a problem for a lot of web discussion boards and the like.\n"
-"If they will do strange things to you, try to play with this."
+"Broken 302 redirect (violates RFC but compatible with Netscape). This is a "
+"problem for a lot of web discussion boards and the like. If they will do "
+"strange things to you, try to play with this."
 msgstr ""
 
-#: src/protocol/http/http.c:119
+#: src/protocol/http/http.c:120
 msgid "No keepalive after POST requests"
 msgstr ""
 
-#: src/protocol/http/http.c:121
+#: src/protocol/http/http.c:122
 msgid "Disable keepalive connection after POST request."
 msgstr ""
 
-#: src/protocol/http/http.c:123
+#: src/protocol/http/http.c:124
 msgid "Use HTTP/1.0"
 msgstr ""
 
-#: src/protocol/http/http.c:125
+#: src/protocol/http/http.c:126
 msgid "Use HTTP/1.0 protocol instead of HTTP/1.1."
 msgstr ""
 
-#: src/protocol/http/http.c:129
+#: src/protocol/http/http.c:130
 msgid "HTTP proxy configuration."
 msgstr ""
 
-#: src/protocol/http/http.c:133
+#: src/protocol/http/http.c:134
 msgid ""
-"Host and port-number (host:port) of the HTTP proxy, or blank.\n"
-"If it's blank, HTTP_PROXY environment variable is checked as well."
+"Host and port-number (host:port) of the HTTP proxy, or blank. If it's blank, "
+"HTTP_PROXY environment variable is checked as well."
 msgstr ""
 
-#: src/protocol/http/http.c:136
+#: src/protocol/http/http.c:138
 #, fuzzy
 msgid "Username"
 msgstr "nama"
 
-#: src/protocol/http/http.c:138
+#: src/protocol/http/http.c:140
 msgid "Proxy authentication username."
 msgstr ""
 
-#: src/protocol/http/http.c:142
+#: src/protocol/http/http.c:144
 msgid "Proxy authentication password."
 msgstr ""
 
-#: src/protocol/http/http.c:145
+#: src/protocol/http/http.c:147
 msgid "Referer sending"
 msgstr ""
 
-#: src/protocol/http/http.c:147
+#: src/protocol/http/http.c:149
 msgid ""
-"HTTP referer sending options. HTTP referer is a special header\n"
-"sent in the HTTP requests, which is supposed to contain the previous\n"
-"page visited by the browser. This way, the server can know what link\n"
-"did you follow when accessing that page. However, this behaviour\n"
-"can unfortunately considerably affect privacy and can lead even to a\n"
-"security problem on some badly designed web pages."
+"HTTP referer sending options. HTTP referer is a special header sent in the "
+"HTTP requests, which is supposed to contain the previous page visited by the "
+"browser.This way, the server can know what link did you follow when "
+"accessing that page. However, this behaviour can unfortunately considerably "
+"affect privacy and can lead even to a security problem on some badly "
+"designed web pages."
 msgstr ""
 
-#: src/protocol/http/http.c:154
+#: src/protocol/http/http.c:157
 msgid "Policy"
 msgstr ""
 
-#: src/protocol/http/http.c:157
+#: src/protocol/http/http.c:160
 msgid ""
 "Mode of sending HTTP referer:\n"
 "0 is send no referer\n"
@@ -7484,90 +7479,110 @@ msgid ""
 "3 is send previous URL as referer (correct, but insecure)"
 msgstr ""
 
-#: src/protocol/http/http.c:163
+#: src/protocol/http/http.c:166
 msgid "Fake referer URL"
 msgstr ""
 
-#: src/protocol/http/http.c:165
+#: src/protocol/http/http.c:168
 msgid "Fake referer to be sent when policy is 2."
 msgstr ""
 
-#: src/protocol/http/http.c:168
+#: src/protocol/http/http.c:171
 msgid "Send Accept-Language header"
 msgstr ""
 
-#: src/protocol/http/http.c:170
+#: src/protocol/http/http.c:173
 msgid "Send Accept-Language header."
 msgstr ""
 
-#: src/protocol/http/http.c:172
+#: src/protocol/http/http.c:175
 msgid "Use UI language as Accept-Language"
 msgstr ""
 
-#: src/protocol/http/http.c:174
+#: src/protocol/http/http.c:177
 msgid ""
-"Request localised versions of documents from web-servers (using the\n"
-"Accept-Language header) using the language you have configured for\n"
-"ELinks' user-interface (this also affects navigator.language ECMAScript\n"
-"value available to scripts). Note that some see this as a potential\n"
-"security risk because it tells web-masters and the FBI sniffers about\n"
-"your language preference."
+"Request localised versions of documents from web-servers (using the Accept-"
+"Language header) using the language you have configured for ELinks' user-"
+"interface (this also affects navigator.language ECMAScript value available "
+"to scripts). Note that some see this as a potential security risk because it "
+"tells web-masters and the FBI sniffers about your language preference."
+msgstr ""
+
+#. After the compression support has been tested enough,
+#. * we might wrap this option in #if CFG_DEBUG.
+#: src/protocol/http/http.c:187
+msgid "Enable on-the-fly compression"
 msgstr ""
 
-#: src/protocol/http/http.c:181
+#: src/protocol/http/http.c:189
+msgid ""
+"If enabled, the capability to receive compressed content (gzip and/or bzip2) "
+"is announced to the server, which usually sends the reply compressed, thus "
+"saving some bandwidth at slight CPU expense.\n"
+"\n"
+"If ELinks displays a incomplete page or garbage, try disabling this option. "
+"If that helps, there may be a bug in the decompression part of ELinks. "
+"Please report such bugs.\n"
+"\n"
+"If ELinks has been compiled without compression support, this option has no "
+"effect. To check the supported features, see Help -> About."
+msgstr ""
+
+#: src/protocol/http/http.c:202
 msgid "Activate HTTP TRACE debugging"
 msgstr ""
 
-#: src/protocol/http/http.c:183
+#: src/protocol/http/http.c:204
 msgid ""
-"If active, all HTTP requests are sent with TRACE as their method\n"
-"rather than GET or POST. This is useful for debugging of both ELinks\n"
-"and various server-side scripts --- the server only returns the client's\n"
-"request back to the client verbatim. Note that this type of request may\n"
-"not be enabled on all servers."
+"If active, all HTTP requests are sent with TRACE as their method rather than "
+"GET or POST. This is useful for debugging of both ELinks and various server-"
+"side scripts --- the server only returns the client's request back to the "
+"client verbatim. Note that this type of request may not be enabled on all "
+"servers."
 msgstr ""
 
 #. OSNews.com is supposed to be relying on the textmode token, at least.
-#: src/protocol/http/http.c:190
+#: src/protocol/http/http.c:212
 msgid "User-agent identification"
 msgstr ""
 
-#: src/protocol/http/http.c:192
+#: src/protocol/http/http.c:214
 msgid ""
-"Change the User Agent ID. That means identification string, which\n"
-"is sent to HTTP server when a document is requested. The 'textmode'\n"
-"token in the first field is our silent attempt to establish this as\n"
-"a standard for new textmode user agents, so that the webmasters can\n"
-"have just a single uniform test for these if they are e.g. pushing\n"
-"some lite version to them automagically.\n"
+"Change the User Agent ID. That means identification string, which is sent to "
+"HTTP server when a document is requested. The 'textmode' token in the first "
+"field is our silent attempt to establish this as a standard for new textmode "
+"user agents, so that the webmasters can have just a single uniform test for "
+"these if they are e.g. pushing some lite version to them automagically.\n"
+"\n"
 "Use \" \" if you don't want any User-Agent header to be sent at all.\n"
+"\n"
 "%v in the string means ELinks version,\n"
 "%s in the string means system identification,\n"
 "%t in the string means size of the terminal,\n"
 "%b in the string means number of bars displayed by ELinks."
 msgstr ""
 
-#: src/protocol/http/http.c:205
+#: src/protocol/http/http.c:231
 msgid "HTTPS"
 msgstr ""
 
-#: src/protocol/http/http.c:207
+#: src/protocol/http/http.c:233
 #, fuzzy
 msgid "HTTPS-specific options."
 msgstr "Ngga ada program yang dispesifikasikan untuk"
 
-#: src/protocol/http/http.c:211
+#: src/protocol/http/http.c:237
 msgid "HTTPS proxy configuration."
 msgstr ""
 
-#: src/protocol/http/http.c:215
+#: src/protocol/http/http.c:241
 msgid ""
-"Host and port-number (host:port) of the HTTPS CONNECT proxy, or blank.\n"
-"If it's blank, HTTPS_PROXY environment variable is checked as well."
+"Host and port-number (host:port) of the HTTPS CONNECT proxy, or blank. If "
+"it's blank, HTTPS_PROXY environment variable is checked as well."
 msgstr ""
 
 #. name:
-#: src/protocol/nntp/nntp.c:32 src/protocol/nntp/nntp.c:65
+#: src/protocol/nntp/nntp.c:32 src/protocol/nntp/nntp.c:66
 msgid "NNTP"
 msgstr ""
 
@@ -7582,19 +7597,19 @@ msgstr ""
 
 #: src/protocol/nntp/nntp.c:38
 msgid ""
-"Used when resolving news: URIs. If set to the empty string\n"
-"the value of the NNTPSERVER environment variable will be used."
+"Used when resolving news: URIs. If set to the empty string the value of the "
+"NNTPSERVER environment variable will be used."
 msgstr ""
 
-#: src/protocol/nntp/nntp.c:41
+#: src/protocol/nntp/nntp.c:42
 msgid "Message header entries"
 msgstr ""
 
-#: src/protocol/nntp/nntp.c:43
+#: src/protocol/nntp/nntp.c:44
 msgid ""
-"Comma separated list of which entries in the article header\n"
-"to show. E.g. 'Subject' and 'From'.\n"
-"All header entries can be read in the header info dialog."
+"Comma separated list of which entries in the article header to show. E.g. "
+"'Subject' and 'From'. All header entries can be read in the header info "
+"dialog."
 msgstr ""
 
 #: src/protocol/protocol.c:242
@@ -7616,10 +7631,9 @@ msgstr ""
 
 #: src/protocol/protocol.c:279
 msgid ""
-"Comma separated list of domains for which the proxy (HTTP/FTP)\n"
-"should be disabled. Optionally, a port can be specified for some\n"
-"domains as well. If it's blank, NO_PROXY environment variable is\n"
-"checked as well."
+"Comma separated list of domains for which the proxy (HTTP/FTP) should be "
+"disabled. Optionally, a port can be specified for some domains as well. If "
+"it's blank, NO_PROXY environment variable is checked as well."
 msgstr ""
 
 #. name:
@@ -7633,47 +7647,45 @@ msgstr ""
 
 #: src/protocol/rewrite/rewrite.c:46
 msgid ""
-"Rules for rewriting URIs entered in the goto dialog.\n"
-"It makes it possible to define a set of prefixes that will\n"
-"be expanded if they match a string entered in the goto dialog.\n"
-"The prefixes can be dumb, meaning that they work only like\n"
-"URI abbreviations, or smart ones, making it possible to pass\n"
+"Rules for rewriting URIs entered in the goto dialog. It makes it possible to "
+"define a set of prefixes that will be expanded if they match a string "
+"entered in the goto dialog. The prefixes can be dumb, meaning that they work "
+"only like URI abbreviations, or smart ones, making it possible to pass "
 "arguments to them like search engine keywords."
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:53
+#: src/protocol/rewrite/rewrite.c:54
 msgid "Enable dumb prefixes"
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:55
+#: src/protocol/rewrite/rewrite.c:56
 msgid ""
-"Enable dumb prefixes - simple URI abbreviations which can\n"
-"be written to the Goto URL dialog instead of actual URIs - i.e.\n"
-"if you write 'elinks' there, you are directed to\n"
-"http://elinks.cz/."
+"Enable dumb prefixes - simple URI abbreviations which can be written to the "
+"Goto URL dialog instead of actual URIs - i.e. if you write 'elinks' there, "
+"you are directed to http://elinks.cz/."
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:60
+#: src/protocol/rewrite/rewrite.c:61
 msgid "Enable smart prefixes"
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:62
+#: src/protocol/rewrite/rewrite.c:63
 msgid ""
-"Enable smart prefixes - URI templates triggered by writing\n"
-"given abbreviation to the Goto URL dialog followed by a list\n"
-"of arguments from which the actual URI is composed - i.e.\n"
-"'gg:search keywords' or 'gn search keywords for news'."
+"Enable smart prefixes - URI templates triggered by writing given "
+"abbreviation to the Goto URL dialog followed by a list of arguments from "
+"which the actual URI is composed - i.e. 'gg:search keywords' or 'gn search "
+"keywords for news'."
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:67
+#: src/protocol/rewrite/rewrite.c:69
 msgid "Dumb Prefixes"
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:69
+#: src/protocol/rewrite/rewrite.c:71
 msgid "Dumb prefixes, see enable-dumb description for details."
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:74
+#: src/protocol/rewrite/rewrite.c:76
 #, no-c-format
 msgid ""
 "Replacement URI for this dumbprefix:\n"
@@ -7681,15 +7693,15 @@ msgid ""
 "%% in the string means '%'"
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:78
+#: src/protocol/rewrite/rewrite.c:80
 msgid "Smart Prefixes"
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:80
+#: src/protocol/rewrite/rewrite.c:82
 msgid "Smart prefixes, see enable-smart description for details."
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:87
+#: src/protocol/rewrite/rewrite.c:90
 #, no-c-format
 msgid ""
 "Replacement URI for this smartprefix:\n"
@@ -7699,27 +7711,29 @@ msgid ""
 "%% in the string means '%'"
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:93
+#: src/protocol/rewrite/rewrite.c:96
 #, fuzzy
 msgid "Default template"
 msgstr "Formatted document cache"
 
-#: src/protocol/rewrite/rewrite.c:96
+#: src/protocol/rewrite/rewrite.c:99
 #, no-c-format
 msgid ""
-"Default URI template used when the string entered in\n"
-"the goto dialog does not appear to be a URI or a filename\n"
-"(i.e. contains no '.', ':' or '/' characters), and does\n"
-"not match any defined prefixes. Set the value to \"\" to\n"
-"disable use of the default template rewrite rule.\n"
+"Default URI template used when the string entered in the goto dialog does "
+"not appear to be a URI or a filename (i.e. contains no '.', ':' or '/' "
+"characters), and does not match any defined prefixes. Set the value to \"\" "
+"to disable use of the default template rewrite rule.\n"
+"\n"
 "%c in the template means the current URL,\n"
-"%s in the template means the whole string from the goto dialog,\n"
-"%0,%1,...,%9 mean the 1st,2nd,...,10th space-delimited part of %s,\n"
+"%s in the template means the whole string from the goto\n"
+"   dialog,\n"
+"%0,%1,...,%9 mean the 1st,2nd,...,10th space-delimited part\n"
+"   of %s,\n"
 "%% in the template means '%'."
 msgstr ""
 
 #. name:
-#: src/protocol/rewrite/rewrite.c:372
+#: src/protocol/rewrite/rewrite.c:378
 msgid "URI rewrite"
 msgstr ""
 
@@ -7742,24 +7756,23 @@ msgid "Credentials file passed to smbcli
 msgstr ""
 
 #. name:
-#: src/protocol/user.c:34 src/protocol/user.c:84
+#: src/protocol/user.c:34 src/protocol/user.c:85
 msgid "User protocols"
 msgstr ""
 
 #: src/protocol/user.c:36
 msgid ""
-"User protocols. Options in this tree specify external\n"
-"handlers for the appropriate protocols. Ie.\n"
-"protocol.user.mailto.unix."
+"User protocols. Options in this tree specify external handlers for the "
+"appropriate protocols. Ie. protocol.user.mailto.unix."
 msgstr ""
 
 #: src/protocol/user.c:47
 msgid ""
-"Handler (external program) for this protocol. Name the\n"
-"options in this tree after your system (ie. unix, unix-xwin)."
+"Handler (external program) for this protocol. Name the options in this tree "
+"after your system (ie. unix, unix-xwin)."
 msgstr ""
 
-#: src/protocol/user.c:52
+#: src/protocol/user.c:53
 msgid ""
 "Handler (external program) for this protocol and system.\n"
 "%f in the string means file name to include form data from\n"
@@ -7770,11 +7783,11 @@ msgid ""
 "%u in the string means the whole URL"
 msgstr ""
 
-#: src/protocol/user.c:276
+#: src/protocol/user.c:277
 msgid "No program"
 msgstr "Ngga ada program"
 
-#: src/protocol/user.c:278
+#: src/protocol/user.c:279
 #, fuzzy, c-format
 msgid "No program specified for protocol %s."
 msgstr "Ngga ada program yang dispesifikasikan untuk"
@@ -7858,19 +7871,19 @@ msgstr ""
 msgid "Spidermonkey ECMAScript"
 msgstr ""
 
-#: src/session/download.c:233 src/session/download.c:330
-#: src/session/download.c:561 src/session/download.c:649
+#: src/session/download.c:256 src/session/download.c:356
+#: src/session/download.c:587 src/session/download.c:675
 msgid "Download error"
 msgstr "Download gagal"
 
-#: src/session/download.c:234 src/session/download.c:650
+#: src/session/download.c:257 src/session/download.c:676
 #, fuzzy, c-format
 msgid ""
 "Could not create file '%s':\n"
 "%s"
 msgstr "Ngga bisa buat file"
 
-#: src/session/download.c:331
+#: src/session/download.c:357
 #, fuzzy, c-format
 msgid ""
 "Error downloading %s:\n"
@@ -7878,17 +7891,17 @@ msgid ""
 "%s"
 msgstr "Ngga bisa download"
 
-#: src/session/download.c:562
+#: src/session/download.c:588
 #, c-format
 msgid "'%s' is a directory."
 msgstr ""
 
-#: src/session/download.c:596
+#: src/session/download.c:622
 #, fuzzy
 msgid "File exists"
 msgstr "~Ekstensi file"
 
-#: src/session/download.c:597
+#: src/session/download.c:623
 #, c-format
 msgid ""
 "This file already exists:\n"
@@ -7899,51 +7912,51 @@ msgid ""
 msgstr ""
 
 #. accelerator_context(src/session/download.c:lookup_unique_name)
-#: src/session/download.c:604
+#: src/session/download.c:630
 msgid "Sa~ve under the alternative name"
 msgstr ""
 
 #. accelerator_context(src/session/download.c:lookup_unique_name)
-#: src/session/download.c:605
+#: src/session/download.c:631
 msgid "~Overwrite the original file"
 msgstr ""
 
 #. accelerator_context(src/session/download.c:lookup_unique_name)
-#: src/session/download.c:606
+#: src/session/download.c:632
 msgid "~Resume download of the original file"
 msgstr ""
 
-#: src/session/download.c:1109
+#: src/session/download.c:1135
 msgid "Unknown type"
 msgstr "Tipe ngga dikenal"
 
-#: src/session/download.c:1134
+#: src/session/download.c:1160
 #, c-format
 msgid "What would you like to do with the file '%s' (type: %s%s%s)?"
 msgstr ""
 
-#: src/session/download.c:1137
+#: src/session/download.c:1163
 #, c-format
 msgid "What would you like to do with the file (type: %s%s%s)?"
 msgstr ""
 
-#: src/session/download.c:1165
+#: src/session/download.c:1191
 #, no-c-format
 msgid "Program ('%' will be replaced by the filename)"
 msgstr ""
 
-#: src/session/download.c:1169
+#: src/session/download.c:1195
 #, fuzzy
 msgid "Block the terminal"
 msgstr "Terminal a la ~BeOS"
 
-#: src/session/download.c:1175
+#: src/session/download.c:1201
 #, c-format
 msgid "The file will be opened with the program '%s'."
 msgstr ""
 
 #. accelerator_context(src/session/download.c:do_type_query)
-#: src/session/download.c:1196
+#: src/session/download.c:1222
 #, fuzzy
 msgid "~Open"
 msgstr "Buka"
@@ -7952,12 +7965,12 @@ msgstr "Buka"
 #. * and formatting it with "%u" is safe,
 #. * because fc_maxlength is smaller than
 #. * file.length, which is an int.
-#: src/session/session.c:761 src/session/session.c:780 src/session/task.c:275
-#: src/viewer/text/textarea.c:652
+#: src/session/session.c:771 src/session/session.c:790 src/session/task.c:275
+#: src/viewer/text/textarea.c:641
 msgid "Warning"
 msgstr "Awas"
 
-#: src/session/session.c:762
+#: src/session/session.c:772
 msgid ""
 "You have an empty string in protocol.http.user_agent - this was a default "
 "value in the past, substituted by default ELinks User-Agent string. However, "
@@ -7968,7 +7981,7 @@ msgid ""
 "will be used. Apologies for any inconvience caused."
 msgstr ""
 
-#: src/session/session.c:781
+#: src/session/session.c:791
 msgid ""
 "You have option config.saving_style set to a de facto obsolete value. The "
 "configuration saving algorithms of ELinks were changed from the last time "
@@ -7981,11 +7994,11 @@ msgid ""
 "caused."
 msgstr ""
 
-#: src/session/session.c:806
+#: src/session/session.c:816
 msgid "Welcome"
 msgstr "Selamat datang"
 
-#: src/session/session.c:807
+#: src/session/session.c:817
 #, fuzzy
 msgid ""
 "Welcome to ELinks!\n"
@@ -8036,22 +8049,22 @@ msgstr ""
 msgid "Warning: terminal name contains illicit chars."
 msgstr ""
 
-#: src/terminal/event.c:259
+#: src/terminal/event.c:258
 #, c-format
 msgid "Failed to create session."
 msgstr ""
 
-#: src/terminal/event.c:446
+#: src/terminal/event.c:443
 #, c-format
 msgid "Bad event %d"
 msgstr ""
 
-#: src/terminal/event.c:486
+#: src/terminal/event.c:483
 #, fuzzy, c-format
 msgid "Could not read event: %d (%s)"
 msgstr "Ngga bisa buat file"
 
-#: src/terminal/kbd.c:1187
+#: src/terminal/kbd.c:1210
 #, c-format
 msgid "Too many bytes read from the itrm!"
 msgstr ""
@@ -8130,207 +8143,207 @@ msgstr "Ngga make frame"
 msgid "The requested fragment \"%s\" doesn't exist."
 msgstr ""
 
-#: src/viewer/text/form.c:1092
+#: src/viewer/text/form.c:1118
 msgid "Error while posting form"
 msgstr "Kesalahan saat mengirim data"
 
-#: src/viewer/text/form.c:1093
+#: src/viewer/text/form.c:1119
 #, fuzzy, c-format
 msgid "Could not load file %s: %s"
 msgstr "Ngga bisa mengambil file"
 
-#: src/viewer/text/form.c:1847
+#: src/viewer/text/form.c:1876
 #, fuzzy
 msgid "Reset form"
 msgstr "~Reset form"
 
-#: src/viewer/text/form.c:1849
+#: src/viewer/text/form.c:1878
 msgid "Harmless button"
 msgstr ""
 
-#: src/viewer/text/form.c:1857
+#: src/viewer/text/form.c:1886
 msgid "Submit form to"
 msgstr "Kirim form ke"
 
-#: src/viewer/text/form.c:1858
+#: src/viewer/text/form.c:1887
 msgid "Post form to"
 msgstr "Kirim form ke"
 
-#: src/viewer/text/form.c:1860
+#: src/viewer/text/form.c:1889
 msgid "Radio button"
 msgstr "Tombol radio"
 
-#: src/viewer/text/form.c:1864
+#: src/viewer/text/form.c:1893
 msgid "Select field"
 msgstr "Pilihan"
 
-#: src/viewer/text/form.c:1868
+#: src/viewer/text/form.c:1897
 msgid "Text area"
 msgstr "Teks area"
 
-#: src/viewer/text/form.c:1870
+#: src/viewer/text/form.c:1899
 msgid "File upload"
 msgstr "Upload file"
 
-#: src/viewer/text/form.c:1872
+#: src/viewer/text/form.c:1901
 msgid "Password field"
 msgstr "Password"
 
-#: src/viewer/text/form.c:1910
+#: src/viewer/text/form.c:1939
 msgid "name"
 msgstr "nama"
 
-#: src/viewer/text/form.c:1922
+#: src/viewer/text/form.c:1951
 msgid "value"
 msgstr "isi"
 
-#: src/viewer/text/form.c:1935
+#: src/viewer/text/form.c:1964
 msgid "read only"
 msgstr ""
 
-#: src/viewer/text/form.c:1946
+#: src/viewer/text/form.c:1975
 #, c-format
 msgid "press %s to navigate"
 msgstr ""
 
-#: src/viewer/text/form.c:1948
+#: src/viewer/text/form.c:1977
 #, c-format
 msgid "press %s to edit"
 msgstr ""
 
-#: src/viewer/text/form.c:1984
+#: src/viewer/text/form.c:2013
 #, fuzzy, c-format
 msgid "press %s to submit to %s"
 msgstr "kirim ke"
 
-#: src/viewer/text/form.c:1986
+#: src/viewer/text/form.c:2015
 #, fuzzy, c-format
 msgid "press %s to post to %s"
 msgstr "kirim ke"
 
-#: src/viewer/text/form.c:2088
+#: src/viewer/text/form.c:2117
 msgid "Useless button"
 msgstr ""
 
-#: src/viewer/text/form.c:2090
+#: src/viewer/text/form.c:2119
 #, fuzzy
 msgid "Submit button"
 msgstr "Kirim form ke"
 
 #. accelerator_context(link_menu.map)
-#: src/viewer/text/link.c:1281
+#: src/viewer/text/link.c:1280
 msgid "Display ~usemap"
 msgstr "Tampilkan ~usemap"
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1286
+#: src/viewer/text/link.c:1285
 msgid "~Follow link"
 msgstr "Ikuti link"
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1288
+#: src/viewer/text/link.c:1287
 msgid "Follow link and r~eload"
 msgstr ""
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1292
+#: src/viewer/text/link.c:1291
 msgid "Open in new ~window"
 msgstr "Buka di jendela baru"
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1294
+#: src/viewer/text/link.c:1293
 #, fuzzy
 msgid "Open in new ~tab"
 msgstr "Buka di jendela baru"
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1296
+#: src/viewer/text/link.c:1295
 #, fuzzy
 msgid "Open in new tab in ~background"
 msgstr "Background"
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1301
+#: src/viewer/text/link.c:1300
 msgid "~Download link"
 msgstr "~Download link"
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1304
+#: src/viewer/text/link.c:1303
 msgid "~Add link to bookmarks"
 msgstr ""
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1308
+#: src/viewer/text/link.c:1307
 msgid "Pass link URI to e~xternal command"
 msgstr ""
 
 #. accelerator_context(link_menu.form, link_menu.reset, link_menu.textarea)
-#: src/viewer/text/link.c:1319 src/viewer/text/link.c:1359
+#: src/viewer/text/link.c:1318 src/viewer/text/link.c:1358
 msgid "~Reset form"
 msgstr "~Reset form"
 
 #. accelerator_context(link_menu.textarea)
-#: src/viewer/text/link.c:1334
+#: src/viewer/text/link.c:1333
 msgid "Open in ~external editor"
 msgstr ""
 
 #. accelerator_context(link_menu.form, link_menu.textarea)
-#: src/viewer/text/link.c:1342
+#: src/viewer/text/link.c:1341
 msgid "~Submit form"
 msgstr "Kirim form"
 
 #. accelerator_context(link_menu.form, link_menu.textarea)
-#: src/viewer/text/link.c:1343
+#: src/viewer/text/link.c:1342
 msgid "Submit form and rel~oad"
 msgstr ""
 
 #. accelerator_context(link_menu.form, link_menu.textarea)
-#: src/viewer/text/link.c:1347
+#: src/viewer/text/link.c:1346
 msgid "Submit form and open in new ~window"
 msgstr "Kirim form dan buka di jendela baru"
 
 #. accelerator_context(link_menu.form, link_menu.textarea)
-#: src/viewer/text/link.c:1349
+#: src/viewer/text/link.c:1348
 #, fuzzy
 msgid "Submit form and open in new ~tab"
 msgstr "Kirim form dan buka di jendela baru"
 
 #. accelerator_context(link_menu.form, link_menu.textarea)
-#: src/viewer/text/link.c:1352
+#: src/viewer/text/link.c:1351
 #, fuzzy
 msgid "Submit form and open in new tab in ~background"
 msgstr "Kirim form dan buka di jendela baru"
 
 #. accelerator_context(link_menu.form, link_menu.textarea)
-#: src/viewer/text/link.c:1357
+#: src/viewer/text/link.c:1356
 msgid "Submit form and ~download"
 msgstr "Kirim form ~dan download"
 
 #. accelerator_context(link_menu.form, link_menu.reset, link_menu.textarea)
-#: src/viewer/text/link.c:1364
+#: src/viewer/text/link.c:1363
 #, fuzzy
 msgid "Form f~ields"
 msgstr "Password"
 
 #. accelerator_context(link_menu.form, link_menu.map, link_menu.std)
-#: src/viewer/text/link.c:1371
+#: src/viewer/text/link.c:1370
 msgid "V~iew image"
 msgstr "Tamp~ilkan image"
 
 #. accelerator_context(link_menu.form, link_menu.map, link_menu.std)
-#: src/viewer/text/link.c:1373
+#: src/viewer/text/link.c:1372
 msgid "Download ima~ge"
 msgstr "Download ima~ge"
 
-#: src/viewer/text/link.c:1382
+#: src/viewer/text/link.c:1381
 msgid "No link selected"
 msgstr "Ngga ada link yang dipilih"
 
-#: src/viewer/text/link.c:1452
+#: src/viewer/text/link.c:1451
 msgid "Image"
 msgstr "Image"
 
-#: src/viewer/text/link.c:1457
+#: src/viewer/text/link.c:1456
 msgid "Usemap"
 msgstr "Usemap"
 
@@ -8339,86 +8352,86 @@ msgstr "Usemap"
 msgid "Marks"
 msgstr ""
 
-#: src/viewer/text/search.c:1083
+#: src/viewer/text/search.c:1099
 msgid "Search hit top, continuing at bottom."
 msgstr ""
 
-#: src/viewer/text/search.c:1084
+#: src/viewer/text/search.c:1100
 msgid "Search hit bottom, continuing at top."
 msgstr ""
 
-#: src/viewer/text/search.c:1087
+#: src/viewer/text/search.c:1103
 msgid "No previous search"
 msgstr "Ngga ada pencarian sebelumnya"
 
-#: src/viewer/text/search.c:1099
+#: src/viewer/text/search.c:1115
 #, c-format
 msgid "Could not compile regular expression '%s'"
 msgstr ""
 
-#: src/viewer/text/search.c:1143
+#: src/viewer/text/search.c:1159
 #, c-format
 msgid "No further matches for '%s'."
 msgstr ""
 
-#: src/viewer/text/search.c:1145
+#: src/viewer/text/search.c:1161
 #, c-format
 msgid "Could not find a link with the text '%s'."
 msgstr ""
 
-#: src/viewer/text/search.c:1147 src/viewer/text/search.c:1558
+#: src/viewer/text/search.c:1163 src/viewer/text/search.c:1576
 msgid "Typeahead"
 msgstr ""
 
-#: src/viewer/text/search.c:1560
+#: src/viewer/text/search.c:1578
 #, c-format
 msgid "No links in current document"
 msgstr ""
 
-#: src/viewer/text/search.c:1643
+#: src/viewer/text/search.c:1661
 msgid "Search for text"
 msgstr "Cari teks"
 
-#: src/viewer/text/search.c:1679
+#: src/viewer/text/search.c:1697
 #, fuzzy
 msgid "Normal search"
 msgstr "Ngga ada pencarian sebelumnya"
 
-#: src/viewer/text/search.c:1680
+#: src/viewer/text/search.c:1698
 msgid "Regexp search"
 msgstr ""
 
-#: src/viewer/text/search.c:1681
+#: src/viewer/text/search.c:1699
 msgid "Extended regexp search"
 msgstr ""
 
-#: src/viewer/text/search.c:1683
+#: src/viewer/text/search.c:1701
 msgid "Case sensitive"
 msgstr ""
 
-#: src/viewer/text/search.c:1684
+#: src/viewer/text/search.c:1702
 msgid "Case insensitive"
 msgstr ""
 
-#: src/viewer/text/search.c:1708
+#: src/viewer/text/search.c:1726
 msgid "Search backward"
 msgstr "Cari dari bawah ke atas"
 
 #. name:
-#: src/viewer/text/search.c:1747
+#: src/viewer/text/search.c:1765
 #, fuzzy
 msgid "Search History"
 msgstr "Memory habis"
 
-#: src/viewer/text/textarea.c:595
+#: src/viewer/text/textarea.c:584
 msgid "You cannot launch an external editor in the anonymous mode."
 msgstr ""
 
-#: src/viewer/text/textarea.c:602
+#: src/viewer/text/textarea.c:591
 msgid "You can do this only on the master terminal"
 msgstr ""
 
-#: src/viewer/text/textarea.c:655
+#: src/viewer/text/textarea.c:644
 #, c-format
 msgid ""
 "You have exceeded the textarea's size limit: your input is %d bytes, but the "
@@ -8436,11 +8449,11 @@ msgstr "Pilih link"
 msgid "Enter link number"
 msgstr "Masukkan nomor link"
 
-#: src/viewer/text/view.c:1627
+#: src/viewer/text/view.c:1628
 msgid "Save error"
 msgstr "Kesalahan penyimpanan"
 
-#: src/viewer/text/view.c:1628
+#: src/viewer/text/view.c:1629
 msgid "Error writing to file"
 msgstr "Kesalahan menulis ke file"
 
Binary files 0.12~pre2.dfsg0-1/po/is.gmo and 0.12~pre4-1/po/is.gmo differ
diff -pruN 0.12~pre2.dfsg0-1/po/is.po 0.12~pre4-1/po/is.po
--- 0.12~pre2.dfsg0-1/po/is.po	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/po/is.po	2009-05-31 09:48:47.000000000 +0100
@@ -6,7 +6,7 @@ msgid ""
 msgstr ""
 "Project-Id-Version: ELinks 0.5pre0.CVS\n"
 "Report-Msgid-Bugs-To: elinks-users@linuxfromscratch.org\n"
-"POT-Creation-Date: 2008-09-21 11:13+0300\n"
+"POT-Creation-Date: 2009-05-31 01:57+0300\n"
 "PO-Revision-Date: 2003-01-03 03:41+0100\n"
 "Last-Translator: Armon Red <armon@islandia.is>\n"
 "Language-Team: Icelandic <kde-isl@mmedia.is>\n"
@@ -37,7 +37,7 @@ msgstr ""
 #: src/mime/dialogs.c:132 src/protocol/auth/dialogs.c:115
 #: src/protocol/protocol.c:246 src/scripting/lua/core.c:399
 #: src/scripting/lua/core.c:480 src/scripting/python/dialogs.c:86
-#: src/session/session.c:811 src/viewer/text/search.c:1686
+#: src/session/session.c:821 src/viewer/text/search.c:1704
 #, fuzzy
 msgid "~OK"
 msgstr " lagi"
@@ -55,13 +55,13 @@ msgid "Sorry, but the item \"%s\" is bei
 msgstr ""
 
 #. cant_delete_folder
-#: src/bfu/hierbox.c:558 src/bookmarks/dialogs.c:121
+#: src/bfu/hierbox.c:558 src/bookmarks/dialogs.c:153
 #, c-format
 msgid "Sorry, but the folder \"%s\" cannot be deleted."
 msgstr ""
 
 #. cant_delete_used_folder
-#: src/bfu/hierbox.c:561 src/bookmarks/dialogs.c:123
+#: src/bfu/hierbox.c:561 src/bookmarks/dialogs.c:155
 #, c-format
 msgid "Sorry, but the folder \"%s\" is being used by something else."
 msgstr ""
@@ -79,7 +79,7 @@ msgid "Delete marked items?"
 msgstr "Einvalsreitur"
 
 #. delete_folder_title
-#: src/bfu/hierbox.c:570 src/bookmarks/dialogs.c:129
+#: src/bfu/hierbox.c:570 src/bookmarks/dialogs.c:161
 #, fuzzy
 msgid "Delete folder"
 msgstr "Eya bkamerki"
@@ -139,13 +139,13 @@ msgstr "J"
 msgid "~No"
 msgstr "Nei"
 
-#: src/bfu/hierbox.c:945 src/bfu/hierbox.c:976 src/viewer/text/search.c:1090
-#: src/viewer/text/search.c:1098 src/viewer/text/search.c:1114
-#: src/viewer/text/search.c:1705
+#: src/bfu/hierbox.c:945 src/bfu/hierbox.c:976 src/viewer/text/search.c:1106
+#: src/viewer/text/search.c:1114 src/viewer/text/search.c:1130
+#: src/viewer/text/search.c:1723
 msgid "Search"
 msgstr "Leita"
 
-#: src/bfu/hierbox.c:947 src/viewer/text/search.c:1091
+#: src/bfu/hierbox.c:947 src/viewer/text/search.c:1107
 #, fuzzy, c-format
 msgid "Search string '%s' not found"
 msgstr "Leitarstrengur ekki fundinn"
@@ -184,8 +184,8 @@ msgstr "Tmur strengur heimill"
 #: src/dialogs/options.c:237 src/dialogs/options.c:316 src/mime/dialogs.c:133
 #: src/protocol/auth/dialogs.c:116 src/protocol/bittorrent/dialogs.c:814
 #: src/scripting/lua/core.c:400 src/scripting/lua/core.c:481
-#: src/session/download.c:607 src/session/download.c:1219
-#: src/viewer/text/search.c:1687
+#: src/session/download.c:633 src/session/download.c:1245
+#: src/viewer/text/search.c:1705
 #, fuzzy
 msgid "~Cancel"
 msgstr "Htta vi"
@@ -199,8 +199,8 @@ msgstr "lst"
 msgid "Digital clock in the status bar."
 msgstr ""
 
-#: src/bfu/leds.c:77 src/bfu/leds.c:94 src/config/options.inc:1199
-#: src/config/options.inc:1206 src/ecmascript/ecmascript.c:45
+#: src/bfu/leds.c:77 src/bfu/leds.c:94 src/config/options.inc:1272
+#: src/config/options.inc:1279 src/ecmascript/ecmascript.c:45
 #: src/globhist/globhist.c:64 src/mime/backend/mailcap.c:93
 #: src/mime/backend/mimetypes.c:52 src/network/ssl/ssl.c:81
 #, fuzzy
@@ -218,8 +218,7 @@ msgstr "Upphlun skrar"
 
 #: src/bfu/leds.c:83
 msgid ""
-"Format string for the digital clock. See the strftime(3)\n"
-"manpage for details."
+"Format string for the digital clock. See the strftime(3) manpage for details."
 msgstr ""
 
 #: src/bfu/leds.c:90
@@ -232,8 +231,7 @@ msgstr ""
 
 #: src/bfu/leds.c:96
 msgid ""
-"Enable LEDs.\n"
-"These visual indicators will inform you about various states."
+"Enable LEDs. These visual indicators will inform you about various states."
 msgstr ""
 
 #. name:
@@ -263,34 +261,34 @@ msgstr ""
 msgid "Search menu/"
 msgstr "Leita"
 
-#: src/bookmarks/backend/xbel.c:97
+#: src/bookmarks/backend/xbel.c:105
 #, c-format
 msgid "read_bookmarks_xbel(): Error in XML_ParserCreate()"
 msgstr ""
 
-#: src/bookmarks/backend/xbel.c:108
+#: src/bookmarks/backend/xbel.c:116
 #, c-format
 msgid "read_bookmarks_xbel(): Error reading %s"
 msgstr ""
 
-#: src/bookmarks/backend/xbel.c:116
+#: src/bookmarks/backend/xbel.c:124
 #, c-format
 msgid ""
 "Parse error while processing XBEL bookmarks in %s at line %d column %d:\n"
 "%s"
 msgstr ""
 
-#: src/bookmarks/backend/xbel.c:390 src/bookmarks/backend/xbel.c:411
+#: src/bookmarks/backend/xbel.c:388 src/bookmarks/backend/xbel.c:410
 msgid "No title"
 msgstr ""
 
-#: src/bookmarks/backend/xbel.c:396
+#: src/bookmarks/backend/xbel.c:394
 #, fuzzy
 msgid "No URL"
 msgstr "Opna sl"
 
 #. name:
-#: src/bookmarks/bookmarks.c:48 src/bookmarks/bookmarks.c:181
+#: src/bookmarks/bookmarks.c:48 src/bookmarks/bookmarks.c:183
 #, fuzzy
 msgid "Bookmarks"
 msgstr "Bkam~erki"
@@ -300,7 +298,7 @@ msgstr "Bkam~erki"
 msgid "Bookmark options."
 msgstr "Bkam~erki"
 
-#: src/bookmarks/bookmarks.c:53 src/bookmarks/bookmarks.c:59
+#: src/bookmarks/bookmarks.c:53 src/bookmarks/bookmarks.c:60
 #, fuzzy
 msgid "File format"
 msgstr "Upphlun skrar"
@@ -309,51 +307,47 @@ msgstr "Upphlun skrar"
 msgid ""
 "File format for bookmarks (affects both reading and saving):\n"
 "0 is the default native ELinks format\n"
-"1 is XBEL universal XML bookmarks format (ELinks bug 153: NO NATIONAL CHARS "
-"SUPPORT!)"
+"1 is XBEL universal XML bookmarks format"
 msgstr ""
 
-#: src/bookmarks/bookmarks.c:61
+#: src/bookmarks/bookmarks.c:62
 msgid ""
 "File format for bookmarks (affects both reading and saving):\n"
 "0 is the default native ELinks format\n"
-"1 is XBEL universal XML bookmarks format (ELinks bug 153: NO NATIONAL CHARS "
-"SUPPORT!)  (DISABLED)"
+"1 is XBEL universal XML bookmarks format  (DISABLED)"
 msgstr ""
 
-#: src/bookmarks/bookmarks.c:67
+#: src/bookmarks/bookmarks.c:68
 #, fuzzy
 msgid "Save folder state"
 msgstr "Innsetning tenglanmer"
 
-#: src/bookmarks/bookmarks.c:69
+#: src/bookmarks/bookmarks.c:70
 msgid ""
-"When saving bookmarks also store whether folders are\n"
-"expanded or not, so the look of the bookmark dialog is\n"
-"kept across ELinks sessions. If disabled all folders will\n"
-"appear unexpanded next time ELinks is run."
+"When saving bookmarks also store whether folders are expanded or not, so the "
+"look of the bookmark dialog is kept across ELinks sessions. If disabled all "
+"folders will appear unexpanded next time ELinks is run."
 msgstr ""
 
-#: src/bookmarks/bookmarks.c:74
+#: src/bookmarks/bookmarks.c:75
 msgid "Periodic snapshotting"
 msgstr ""
 
-#: src/bookmarks/bookmarks.c:76
+#: src/bookmarks/bookmarks.c:77
 msgid ""
-"Automatically save a snapshot of all tabs periodically.\n"
-"This will periodically bookmark the tabs of each terminal in a separate "
-"folder\n"
-"for recovery after a crash.\n"
+"Automatically save a snapshot of all tabs periodically. This will "
+"periodically bookmark the tabs of each terminal in a separate folder for "
+"recovery after a crash.\n"
 "\n"
 "This feature requires bookmark support."
 msgstr ""
 
-#: src/bookmarks/dialogs.c:72 src/config/options.inc:1051
+#: src/bookmarks/dialogs.c:97 src/config/options.inc:1120
 #: src/dialogs/document.c:145 src/globhist/dialogs.c:65
 msgid "Title"
 msgstr ""
 
-#: src/bookmarks/dialogs.c:73 src/cache/dialogs.c:65
+#: src/bookmarks/dialogs.c:101 src/cache/dialogs.c:65
 #: src/dialogs/document.c:136 src/dialogs/edit.c:96 src/formhist/dialogs.c:63
 #: src/globhist/dialogs.c:66 src/protocol/auth/dialogs.c:163
 #: src/scripting/lua/core.c:397
@@ -361,86 +355,86 @@ msgid "URL"
 msgstr "sl"
 
 #. cant_delete_item
-#: src/bookmarks/dialogs.c:117
+#: src/bookmarks/dialogs.c:149
 #, c-format
 msgid "Sorry, but the bookmark \"%s\" cannot be deleted."
 msgstr ""
 
 #. cant_delete_used_item
-#: src/bookmarks/dialogs.c:119
+#: src/bookmarks/dialogs.c:151
 #, c-format
 msgid "Sorry, but the bookmark \"%s\" is being used by something else."
 msgstr ""
 
 #. delete_marked_items_title
-#: src/bookmarks/dialogs.c:125
+#: src/bookmarks/dialogs.c:157
 #, fuzzy
 msgid "Delete marked bookmarks"
 msgstr "Einvalsreitur"
 
 #. delete_marked_items
-#: src/bookmarks/dialogs.c:127
+#: src/bookmarks/dialogs.c:159
 #, fuzzy
 msgid "Delete marked bookmarks?"
 msgstr "Einvalsreitur"
 
 #. delete_folder
-#: src/bookmarks/dialogs.c:131
+#: src/bookmarks/dialogs.c:163
 #, fuzzy, c-format
 msgid "Delete the folder \"%s\" and all bookmarks in it?"
 msgstr "Eya skrarendingu"
 
 #. delete_item_title
-#: src/bookmarks/dialogs.c:133
+#: src/bookmarks/dialogs.c:165
 #, fuzzy
 msgid "Delete bookmark"
 msgstr "Breyta bkamerki"
 
-#: src/bookmarks/dialogs.c:135
+#: src/bookmarks/dialogs.c:167
 #, c-format
 msgid "Delete this bookmark?"
 msgstr ""
 
 #. clear_all_items_title
-#: src/bookmarks/dialogs.c:137
+#: src/bookmarks/dialogs.c:169
 #, fuzzy
 msgid "Clear all bookmarks"
 msgstr "Bkam~erki"
 
 #. clear_all_items_title
-#: src/bookmarks/dialogs.c:139
+#: src/bookmarks/dialogs.c:171
 #, fuzzy
 msgid "Do you really want to remove all bookmarks?"
 msgstr "Viltu virkilega loka Links?"
 
-#: src/bookmarks/dialogs.c:254
+#: src/bookmarks/dialogs.c:327
 msgid "Add folder"
 msgstr ""
 
-#: src/bookmarks/dialogs.c:254
+#: src/bookmarks/dialogs.c:327
 msgid "Folder name"
 msgstr ""
 
-#: src/bookmarks/dialogs.c:310 src/scripting/lua/core.c:391
+#: src/bookmarks/dialogs.c:410 src/scripting/lua/core.c:391
 msgid "Edit bookmark"
 msgstr "Breyta bkamerki"
 
-#: src/bookmarks/dialogs.c:461
+#: src/bookmarks/dialogs.c:567
 msgid "Cannot move folder inside itself"
 msgstr ""
 
-#: src/bookmarks/dialogs.c:462
+#: src/bookmarks/dialogs.c:568
 msgid ""
 "You are trying to move the marked folder inside itself. To move the folder "
 "to a different location select the new location before pressing the Move "
 "button."
 msgstr ""
 
-#: src/bookmarks/dialogs.c:468
+#: src/bookmarks/dialogs.c:574
 msgid "Nothing to move"
 msgstr ""
 
-#: src/bookmarks/dialogs.c:469
+#: src/bookmarks/dialogs.c:575
 msgid ""
 "To move bookmarks, first mark all the bookmarks (or folders) you want to "
 "move.  This can be done with the Insert key if you're using the default key-"
@@ -449,21 +443,21 @@ msgid ""
 msgstr ""
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons, src/cache/dialogs.c:cache_buttons, src/globhist/dialogs.c:globhist_buttons, src/protocol/auth/dialogs.c:auth_buttons)
-#: src/bookmarks/dialogs.c:487 src/cache/dialogs.c:230
+#: src/bookmarks/dialogs.c:593 src/cache/dialogs.c:230
 #: src/globhist/dialogs.c:224 src/protocol/auth/dialogs.c:261
 #, fuzzy
 msgid "~Goto"
 msgstr "Fara til"
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons, src/config/dialogs.c:option_buttons, src/cookies/dialogs.c:cookie_buttons)
-#: src/bookmarks/dialogs.c:488 src/config/dialogs.c:503
+#: src/bookmarks/dialogs.c:594 src/config/dialogs.c:503
 #: src/cookies/dialogs.c:492
 #, fuzzy
 msgid "~Edit"
 msgstr "Breyta"
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons, src/cache/dialogs.c:cache_buttons, src/config/dialogs.c:keybinding_buttons, src/config/dialogs.c:option_buttons, src/cookies/dialogs.c:cookie_buttons, src/dialogs/menu.c:ext_menu, src/formhist/dialogs.c:formhist_buttons, src/globhist/dialogs.c:globhist_buttons, src/protocol/auth/dialogs.c:auth_buttons)
-#: src/bookmarks/dialogs.c:489 src/cache/dialogs.c:231
+#: src/bookmarks/dialogs.c:595 src/cache/dialogs.c:231
 #: src/config/dialogs.c:505 src/config/dialogs.c:930 src/cookies/dialogs.c:493
 #: src/dialogs/menu.c:463 src/formhist/dialogs.c:211
 #: src/globhist/dialogs.c:229 src/protocol/auth/dialogs.c:263
@@ -471,28 +465,28 @@ msgid "~Delete"
 msgstr "Eya"
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons, src/config/dialogs.c:keybinding_buttons, src/config/dialogs.c:option_buttons, src/cookies/dialogs.c:cookie_buttons, src/dialogs/menu.c:ext_menu)
-#: src/bookmarks/dialogs.c:490 src/config/dialogs.c:504
+#: src/bookmarks/dialogs.c:596 src/config/dialogs.c:504
 #: src/config/dialogs.c:929 src/cookies/dialogs.c:490 src/dialogs/menu.c:461
 msgid "~Add"
 msgstr "Bt~a vi"
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons)
-#: src/bookmarks/dialogs.c:491
+#: src/bookmarks/dialogs.c:597
 msgid "Add se~parator"
 msgstr ""
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons)
-#: src/bookmarks/dialogs.c:492
+#: src/bookmarks/dialogs.c:598
 msgid "Add ~folder"
 msgstr ""
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons)
-#: src/bookmarks/dialogs.c:493
+#: src/bookmarks/dialogs.c:599
 msgid "~Move"
 msgstr ""
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons, src/cache/dialogs.c:cache_buttons, src/config/dialogs.c:keybinding_buttons, src/config/dialogs.c:option_buttons, src/dialogs/menu.c:view_menu, src/globhist/dialogs.c:globhist_buttons)
-#: src/bookmarks/dialogs.c:494 src/cache/dialogs.c:232
+#: src/bookmarks/dialogs.c:600 src/cache/dialogs.c:232
 #: src/config/dialogs.c:506 src/config/dialogs.c:932 src/dialogs/menu.c:413
 #: src/globhist/dialogs.c:230
 msgid "~Search"
@@ -500,38 +494,52 @@ msgstr "~Leita"
 
 #. This one is too dangerous, so just let user delete
 #. * the bookmarks file if needed. --Zas
-#: src/bookmarks/dialogs.c:498
+#: src/bookmarks/dialogs.c:604
 msgid "Clear"
 msgstr ""
 
 #. TODO: Would this be useful? --jonas
-#: src/bookmarks/dialogs.c:501 src/globhist/dialogs.c:235
+#: src/bookmarks/dialogs.c:607 src/globhist/dialogs.c:235
 msgid "Save"
 msgstr "Vista"
 
-#: src/bookmarks/dialogs.c:507
+#: src/bookmarks/dialogs.c:613
 msgid "Bookmark manager"
 msgstr "Bkamerkjastjri"
 
-#: src/bookmarks/dialogs.c:632
+#: src/bookmarks/dialogs.c:825
 msgid "Search bookmarks"
 msgstr ""
 
-#: src/bookmarks/dialogs.c:661
+#. When the user eventually pushes the OK button, BFU calls
+#. * bookmark_add_add() and gives it the struct dialog * as the
+#. * void * parameter.  However, bookmark_add_add() also needs
+#. * to know the struct terminal *, and there is no way to get
+#. * that from struct dialog.  The other bookmark dialogs work
+#. * around that by making dialog.udata point to the struct
+#. * dialog_data of the bookmark manager, but the "Add bookmark"
+#. * dialog can be triggered with ACT_MAIN_ADD_BOOKMARK, which
+#. * does not involve the bookmark manager at all.
+#. *
+#. * The solution here is to save the struct terminal * in
+#. * dialog.udata2, which the "Edit bookmark" dialog uses for
+#. * struct bookmark *.  When adding a new bookmark, we don't
+#. * need a pointer to an existing one, of course.
+#: src/bookmarks/dialogs.c:892
 msgid "Add bookmark"
 msgstr "Bta vi bkamerki"
 
-#: src/bookmarks/dialogs.c:697
+#: src/bookmarks/dialogs.c:950
 #, fuzzy
 msgid "Saved session"
 msgstr "V~ista stillingar"
 
-#: src/bookmarks/dialogs.c:705
+#: src/bookmarks/dialogs.c:958
 #, fuzzy
 msgid "Bookmark tabs"
 msgstr "Bkam~erki"
 
-#: src/bookmarks/dialogs.c:705
+#: src/bookmarks/dialogs.c:958
 #, fuzzy
 msgid "Enter folder name"
 msgstr "Innsetning tenglanmer"
@@ -545,7 +553,7 @@ msgstr "Opna sl"
 msgid "Redirect"
 msgstr ""
 
-#: src/cache/dialogs.c:85 src/config/options.inc:519
+#: src/cache/dialogs.c:85 src/config/options.inc:553
 #: src/dialogs/document.c:156 src/protocol/bittorrent/dialogs.c:126
 msgid "Size"
 msgstr "Str"
@@ -592,7 +600,7 @@ msgstr ""
 msgid "ID"
 msgstr ""
 
-#: src/cache/dialogs.c:134 src/config/options.inc:669
+#: src/cache/dialogs.c:134 src/config/options.inc:707
 #, fuzzy
 msgid "Header"
 msgstr "Vistunarvilla"
@@ -1346,7 +1354,7 @@ msgstr "Milari ekki fundinn"
 msgid "Resolver error"
 msgstr "Vistunarvilla"
 
-#: src/config/cmdline.c:256 src/cookies/cookies.c:841 src/network/state.c:47
+#: src/config/cmdline.c:256 src/cookies/cookies.c:843 src/network/state.c:47
 #: src/util/secsave.c:379
 msgid "Out of memory"
 msgstr "Minni  rotum"
@@ -1368,290 +1376,291 @@ msgstr ""
 msgid "Remote method not supported"
 msgstr ""
 
-#: src/config/cmdline.c:452
+#: src/config/cmdline.c:437
+msgid "Out of memory formatting option documentation"
+msgstr ""
+
+#: src/config/cmdline.c:474
 msgid "Template option folder"
 msgstr ""
 
-#: src/config/cmdline.c:475
+#: src/config/cmdline.c:497
 #, c-format
 msgid "(default: %ld)"
 msgstr ""
 
-#: src/config/cmdline.c:482 src/config/cmdline.c:511
+#: src/config/cmdline.c:504 src/config/cmdline.c:533
 #, c-format
 msgid "(default: \"%s\")"
 msgstr ""
 
-#: src/config/cmdline.c:487
+#: src/config/cmdline.c:509
 #, c-format
 msgid "(alias for %s)"
 msgstr ""
 
-#: src/config/cmdline.c:492 src/config/cmdline.c:501
+#: src/config/cmdline.c:514 src/config/cmdline.c:523
 #, c-format
 msgid "(default: %s)"
 msgstr ""
 
-#: src/config/cmdline.c:642
+#: src/config/cmdline.c:654
 #, fuzzy
 msgid "Configuration options"
 msgstr "Tengingar"
 
-#: src/config/cmdline.c:646
+#: src/config/cmdline.c:658
 msgid "Usage: elinks [OPTION]... [URL]..."
 msgstr ""
 
-#: src/config/cmdline.c:647
+#: src/config/cmdline.c:659
 #, fuzzy
 msgid "Options"
 msgstr "V~ista stillingar"
 
-#: src/config/cmdline.c:689
+#: src/config/cmdline.c:701
 #, fuzzy
 msgid "Internal consistency error"
 msgstr "Innri villa"
 
 #.
-#: src/config/cmdline.c:725
+#: src/config/cmdline.c:737
 msgid "Restrict to anonymous mode"
 msgstr ""
 
-#: src/config/cmdline.c:727
+#: src/config/cmdline.c:739
 msgid ""
-"Restricts ELinks so it can run on an anonymous account.\n"
-"Local file browsing, downloads, and modification of options\n"
-"will be disabled. Execution of viewers is allowed, but entries\n"
-"in the association table can't be added or modified."
+"Restricts ELinks so it can run on an anonymous account. Local file browsing, "
+"downloads, and modification of options will be disabled. Execution of "
+"viewers is allowed, but entries in the association table can't be added or "
+"modified."
 msgstr ""
 
-#: src/config/cmdline.c:732
+#: src/config/cmdline.c:745
 #, fuzzy
 msgid "Autosubmit first form"
 msgstr "Senda form"
 
-#: src/config/cmdline.c:734
+#: src/config/cmdline.c:747
 msgid "Automatically submit the first form in the given URLs."
 msgstr ""
 
-#: src/config/cmdline.c:736
+#: src/config/cmdline.c:749
 msgid "Clone internal session with given ID"
 msgstr ""
 
-#: src/config/cmdline.c:738
+#: src/config/cmdline.c:751
 msgid ""
-"Used internally when opening ELinks instances in new windows.\n"
-"The ID maps to information that will be used when creating the\n"
-"new instance. You don't want to use it."
+"Used internally when opening ELinks instances in new windows. The ID maps to "
+"information that will be used when creating the new instance. You don't want "
+"to use it."
 msgstr ""
 
-#: src/config/cmdline.c:744
+#: src/config/cmdline.c:757
 msgid "Name of directory with configuration file"
 msgstr ""
 
-#: src/config/cmdline.c:746
+#: src/config/cmdline.c:759
 msgid ""
-"Path of the directory ELinks will read and write its\n"
-"config and runtime state files to instead of ~/.elinks.\n"
-"If the path does not begin with a '/' it is assumed to be\n"
-"relative to your HOME directory."
+"Path of the directory ELinks will read and write its config and runtime "
+"state files to instead of ~/.elinks. If the path does not begin with a '/' "
+"it is assumed to be relative to your HOME directory."
 msgstr ""
 
-#: src/config/cmdline.c:751
+#: src/config/cmdline.c:764
 msgid "Print default configuration file to stdout"
 msgstr ""
 
-#: src/config/cmdline.c:753
+#: src/config/cmdline.c:766
 msgid ""
-"Print a configuration file with options set to the built-in\n"
-"defaults to stdout."
+"Print a configuration file with options set to the built-in defaults to "
+"stdout."
 msgstr ""
 
-#: src/config/cmdline.c:758
+#: src/config/cmdline.c:771
 msgid "Name of configuration file"
 msgstr ""
 
-#: src/config/cmdline.c:760
+#: src/config/cmdline.c:773
 msgid ""
-"Name of the configuration file that all configuration\n"
-"options will be read from and written to. It should be\n"
-"relative to config-dir."
+"Name of the configuration file that all configuration options will be read "
+"from and written to. It should be relative to config-dir."
 msgstr ""
 
-#: src/config/cmdline.c:764
+#: src/config/cmdline.c:777
 msgid "Print help for configuration options"
 msgstr ""
 
-#: src/config/cmdline.c:766
+#: src/config/cmdline.c:779
 msgid "Print help for configuration options and exit."
 msgstr ""
 
-#: src/config/cmdline.c:768
+#: src/config/cmdline.c:781
 msgid "MIME type assumed for unknown document types"
 msgstr ""
 
-#: src/config/cmdline.c:770
+#: src/config/cmdline.c:783
 msgid "The default MIME type used for documents of unknown type."
 msgstr ""
 
-#: src/config/cmdline.c:772
+#: src/config/cmdline.c:786
 msgid "Ignore user-defined keybindings"
 msgstr ""
 
-#: src/config/cmdline.c:774
+#: src/config/cmdline.c:788
 msgid ""
-"When set, all keybindings from configuration files will be\n"
-"ignored. It forces use of default keybindings and will reset\n"
-"user-defined ones on save."
+"When set, all keybindings from configuration files will be ignored. It "
+"forces use of default keybindings and will reset user-defined ones on save."
 msgstr ""
 
-#: src/config/cmdline.c:778
+#: src/config/cmdline.c:792
 msgid "Print formatted versions of given URLs to stdout"
 msgstr ""
 
-#: src/config/cmdline.c:780
+#: src/config/cmdline.c:794
 msgid "Print formatted plain-text versions of given URLs to stdout."
 msgstr ""
 
-#: src/config/cmdline.c:782
+#: src/config/cmdline.c:797
 msgid "Codepage to use with -dump"
 msgstr ""
 
-#: src/config/cmdline.c:784
+#: src/config/cmdline.c:799
 msgid "Codepage used when formatting dump output."
 msgstr ""
 
-#: src/config/cmdline.c:786
+#: src/config/cmdline.c:801
 msgid "Color mode used with -dump"
 msgstr ""
 
-#: src/config/cmdline.c:788
+#: src/config/cmdline.c:803
 msgid "Color mode used with -dump."
 msgstr ""
 
-#: src/config/cmdline.c:790
+#: src/config/cmdline.c:805
 msgid "Width of document formatted with -dump"
 msgstr ""
 
-#: src/config/cmdline.c:792
+#: src/config/cmdline.c:807
 msgid "Width of the dump output."
 msgstr ""
 
-#: src/config/cmdline.c:794
+#: src/config/cmdline.c:809
 msgid "Evaluate configuration file directive"
 msgstr ""
 
-#: src/config/cmdline.c:796
+#: src/config/cmdline.c:811
 msgid ""
-"Specify configuration file directives on the command-line\n"
-"which will be evaluated after all configuration files has been\n"
-"read. Example usage:\n"
+"Specify configuration file directives on the command-line which will be "
+"evaluated after all configuration files has been read. Example usage:\n"
 "\t-eval 'set protocol.file.allow_special_files = 1'"
 msgstr ""
 
 #. lynx compatibility
-#: src/config/cmdline.c:802
+#: src/config/cmdline.c:817
 msgid "Interpret documents of unknown types as HTML"
 msgstr ""
 
-#: src/config/cmdline.c:804
+#: src/config/cmdline.c:819
 msgid ""
-"Makes ELinks assume documents of unknown types are HTML.\n"
-"Useful when using ELinks as an external viewer from MUAs.\n"
-"This is equivalent to -default-mime-type text/html."
+"Makes ELinks assume documents of unknown types are HTML. Useful when using "
+"ELinks as an external viewer from MUAs. This is equivalent to -default-mime-"
+"type text/html."
 msgstr ""
 
-#: src/config/cmdline.c:814
+#: src/config/cmdline.c:829
 msgid "Print usage help and exit"
 msgstr ""
 
-#: src/config/cmdline.c:816
+#: src/config/cmdline.c:831
 msgid "Print usage help and exit."
 msgstr ""
 
-#: src/config/cmdline.c:818
+#: src/config/cmdline.c:833
 msgid "Only permit local connections"
 msgstr ""
 
-#: src/config/cmdline.c:820
+#: src/config/cmdline.c:835
 msgid ""
-"Restricts ELinks to work offline and only connect to servers\n"
-"with local addresses (ie. 127.0.0.1). No connections to remote\n"
-"servers will be permitted."
+"Restricts ELinks to work offline and only connect to servers with local "
+"addresses (ie. 127.0.0.1). No connections to remote servers will be "
+"permitted."
 msgstr ""
 
-#: src/config/cmdline.c:824
+#: src/config/cmdline.c:839
 msgid "Print detailed usage help and exit"
 msgstr ""
 
-#: src/config/cmdline.c:826
+#: src/config/cmdline.c:841
 msgid "Print detailed usage help and exit."
 msgstr ""
 
-#: src/config/cmdline.c:828
+#: src/config/cmdline.c:843
 #, fuzzy
 msgid "Look up specified host"
 msgstr "Ekkert forrit skilgreint fyrir"
 
-#: src/config/cmdline.c:830
+#: src/config/cmdline.c:845
 msgid "Look up specified host and print all DNS resolved IP addresses."
 msgstr ""
 
-#: src/config/cmdline.c:832
+#: src/config/cmdline.c:848
 msgid "Run as separate instance"
 msgstr ""
 
-#: src/config/cmdline.c:834
+#: src/config/cmdline.c:850
 msgid ""
-"Run ELinks as a separate instance instead of connecting to an\n"
-"existing instance. Note that normally no runtime state files\n"
-"(bookmarks, history, etc.) are written to the disk when this\n"
-"option is used. See also -touch-files."
+"Run ELinks as a separate instance instead of connecting to an existing "
+"instance. Note that normally no runtime state files (bookmarks, history, "
+"etc.) are written to the disk when this option is used. See also -touch-"
+"files."
 msgstr ""
 
-#: src/config/cmdline.c:839
+#: src/config/cmdline.c:855
 msgid "Disable use of files in ~/.elinks"
 msgstr ""
 
-#: src/config/cmdline.c:841
+#: src/config/cmdline.c:857
 msgid ""
-"Disables creation and use of files in the user specific home\n"
-"configuration directory (~/.elinks). It forces default configuration\n"
-"values to be used and disables saving of runtime state files."
+"Disables creation and use of files in the user specific home configuration "
+"directory (~/.elinks). It forces default configuration values to be used and "
+"disables saving of runtime state files."
 msgstr ""
 
-#: src/config/cmdline.c:845
+#: src/config/cmdline.c:862
 msgid "Disable link numbering in dump output"
 msgstr ""
 
-#: src/config/cmdline.c:847
+#: src/config/cmdline.c:864
 msgid ""
 "Prevents printing of link number in dump output.\n"
+"\n"
 "Note that this really affects only -dump, nothing else."
 msgstr ""
 
-#: src/config/cmdline.c:850
+#: src/config/cmdline.c:868
 msgid "Disable printing of link references in dump output"
 msgstr ""
 
-#: src/config/cmdline.c:852
+#: src/config/cmdline.c:870
 msgid ""
-"Prevents printing of references (URIs) of document links\n"
-"in dump output.\n"
+"Prevents printing of references (URIs) of document links in dump output.\n"
+"\n"
 "Note that this really affects only -dump, nothing else."
 msgstr ""
 
-#: src/config/cmdline.c:856
+#: src/config/cmdline.c:875
 msgid "Control an already running ELinks"
 msgstr ""
 
-#: src/config/cmdline.c:858
+#: src/config/cmdline.c:877
 msgid ""
-"Control a remote ELinks instance by passing commands to it.\n"
-"The option takes an additional argument containing the method\n"
-"which should be invoked and any parameters that should be passed\n"
-"to it. For ease of use, the additional method argument can be\n"
-"omitted in which case any URL arguments will be opened in new\n"
-"tabs in the remote instance.\n"
+"Control a remote ELinks instance by passing commands to it. The option takes "
+"an additional argument containing the method which should be invoked and any "
+"parameters that should be passed to it. For ease of use, the additional "
+"method argument can be omitted in which case any URL arguments will be "
+"opened in new tabs in the remote instance.\n"
+"\n"
 "Following is a list of the supported methods:\n"
 "\tping()                    : look for a remote instance\n"
 "\topenURL()                 : prompt URL in current tab\n"
@@ -1663,70 +1672,69 @@ msgid ""
 "\txfeDoCommand(openBrowser) : open new window"
 msgstr ""
 
-#: src/config/cmdline.c:874
+#: src/config/cmdline.c:895
 msgid "Connect to session ring with given ID"
 msgstr ""
 
-#: src/config/cmdline.c:876
+#: src/config/cmdline.c:897
 msgid ""
-"ID of session ring this ELinks session should connect to. ELinks\n"
-"works in so-called session rings, whereby all instances of ELinks\n"
-"are interconnected and share state (cache, bookmarks, cookies,\n"
-"and so on). By default, all ELinks instances connect to session\n"
-"ring 0. You can change that behaviour with this switch and form as\n"
-"many session rings as you want. Obviously, if the session-ring with\n"
-"this number doesn't exist yet, it's created and this ELinks instance\n"
-"will become the master instance (that usually doesn't matter for you\n"
-"as a user much). Note that you usually don't want to use this unless\n"
-"you're a developer and you want to do some testing - if you want the\n"
-"ELinks instances each running standalone, rather use the -no-connect\n"
-"command-line option. Also note that normally no runtime state files\n"
-"are written to the disk when this option is used. See also\n"
-"-touch-files."
+"ID of session ring this ELinks session should connect to. ELinks works in so-"
+"called session rings, whereby all instances of ELinks are interconnected and "
+"share state (cache, bookmarks, cookies, and so on). By default, all ELinks "
+"instances connect to session ring 0. You can change that behaviour with this "
+"switch and form as many session rings as you want. Obviously, if the session-"
+"ring with this number doesn't exist yet, it's created and this ELinks "
+"instance will become the master instance (that usually doesn't matter for "
+"you as a user much).\n"
+"\n"
+"Note that you usually don't want to use this unless you're a developer and "
+"you want to do some testing - if you want the ELinks instances each running "
+"standalone, rather use the -no-connect command-line option. Also note that "
+"normally no runtime state files are written to the disk when this option is "
+"used. See also -touch-files."
 msgstr ""
 
-#: src/config/cmdline.c:891
+#: src/config/cmdline.c:915
 msgid "Print the source of given URLs to stdout"
 msgstr ""
 
-#: src/config/cmdline.c:893
+#: src/config/cmdline.c:917
 msgid "Print given URLs in source form to stdout."
 msgstr ""
 
-#: src/config/cmdline.c:897
+#: src/config/cmdline.c:921
 msgid "Touch files in ~/.elinks when running with -no-connect/-session-ring"
 msgstr ""
 
-#: src/config/cmdline.c:899
+#: src/config/cmdline.c:923
 msgid ""
-"When enabled, runtime state files (bookmarks, history, etc.) are\n"
-"written to disk, even when -no-connect or -session-ring is used.\n"
-"The option has no effect if not used in conjunction with any of\n"
-"these options."
+"When enabled, runtime state files (bookmarks, history, etc.) are written to "
+"disk, even when -no-connect or -session-ring is used. The option has no "
+"effect if not used in conjunction with any of these options."
 msgstr ""
 
-#: src/config/cmdline.c:904
+#: src/config/cmdline.c:928
 msgid "Verbose level"
 msgstr ""
 
-#: src/config/cmdline.c:906
+#: src/config/cmdline.c:930
 msgid ""
-"The verbose level controls what messages are shown at\n"
-"start up and while running:\n"
+"The verbose level controls what messages are shown at start up and while "
+"running:\n"
 "\t0 means only show serious errors\n"
 "\t1 means show serious errors and warnings\n"
 "\t2 means show all messages"
 msgstr ""
 
-#: src/config/cmdline.c:912
+#: src/config/cmdline.c:936
 msgid "Print version information and exit"
 msgstr ""
 
-#: src/config/cmdline.c:914
+#: src/config/cmdline.c:938
 msgid "Print ELinks version information and exit."
 msgstr ""
 
-#: src/config/conf.c:938
+#: src/config/conf.c:963
 msgid ""
 "## This is ELinks configuration file. You can edit it manually,\n"
 "## if you wish so; this file is edited by ELinks when you save\n"
@@ -1734,7 +1742,7 @@ msgid ""
 "## and all your formatting, own comments etc will be kept as-is.\n"
 msgstr ""
 
-#: src/config/conf.c:946
+#: src/config/conf.c:971
 msgid ""
 "## This is ELinks configuration file. You can edit it manually,\n"
 "## if you wish so; this file is edited by ELinks when you save\n"
@@ -1745,7 +1753,7 @@ msgid ""
 "## own comments and so on will be kept as-is.\n"
 msgstr ""
 
-#: src/config/conf.c:956
+#: src/config/conf.c:981
 msgid ""
 "## This is ELinks configuration file. You can edit it manually,\n"
 "## if you wish so, but keep in mind that this file is overwritten\n"
@@ -1753,18 +1761,18 @@ msgid ""
 "## luck with your formatting and own comments then, so beware.\n"
 msgstr ""
 
-#: src/config/conf.c:967
+#: src/config/conf.c:992
 msgid ""
 "## Obviously, if you don't like what ELinks is going to do with\n"
 "## this file, you can change it by altering the config.saving_style\n"
 "## option. Come on, aren't we friendly guys after all?\n"
 msgstr ""
 
-#: src/config/conf.c:980
+#: src/config/conf.c:1005
 msgid "Automatically saved options\n"
 msgstr ""
 
-#: src/config/conf.c:992
+#: src/config/conf.c:1017
 msgid "Automatically saved keybindings\n"
 msgstr ""
 
@@ -1825,7 +1833,7 @@ msgstr ""
 #. * switch charsets.  So, it will work in any terminal that
 #. * understands UTF-8 and has the characters in its font.
 #: src/config/dialogs.c:149 src/config/dialogs.c:330
-#: src/config/options.inc:840
+#: src/config/options.inc:887
 msgid "Type"
 msgstr ""
 
@@ -1851,9 +1859,9 @@ msgid "Description"
 msgstr ""
 
 #: src/config/dialogs.c:291 src/protocol/bittorrent/dialogs.c:600
-#: src/protocol/protocol.c:240 src/session/session.c:287
-#: src/session/session.c:975 src/viewer/text/textarea.c:594
-#: src/viewer/text/textarea.c:601
+#: src/protocol/protocol.c:240 src/session/session.c:288
+#: src/session/session.c:999 src/viewer/text/textarea.c:583
+#: src/viewer/text/textarea.c:590
 msgid "Error"
 msgstr "Villa"
 
@@ -1888,7 +1896,7 @@ msgstr ""
 #. accelerator_context(src/config/dialogs.c:keybinding_buttons, src/config/dialogs.c:option_buttons, src/cookies/dialogs.c:cookie_buttons, src/formhist/dialogs.c:formhist_buttons, src/protocol/bittorrent/dialogs.c:bittorrent_query_callback, src/session/download.c:do_type_query, terminal_options)
 #: src/config/dialogs.c:507 src/config/dialogs.c:933 src/cookies/dialogs.c:495
 #: src/dialogs/options.c:236 src/formhist/dialogs.c:214
-#: src/protocol/bittorrent/dialogs.c:801 src/session/download.c:1203
+#: src/protocol/bittorrent/dialogs.c:801 src/session/download.c:1229
 #, fuzzy
 msgid "Sa~ve"
 msgstr "Vista"
@@ -1902,7 +1910,7 @@ msgstr "Bkamerkjastjri"
 msgid "Keystroke"
 msgstr ""
 
-#: src/config/dialogs.c:676 src/config/options.inc:1219
+#: src/config/dialogs.c:676 src/config/options.inc:1292
 msgid "Action"
 msgstr ""
 
@@ -1974,32 +1982,32 @@ msgid ""
 "directory."
 msgstr ""
 
-#: src/config/kbdbind.c:221
+#: src/config/kbdbind.c:222
 msgid "Main mapping"
 msgstr ""
 
-#: src/config/kbdbind.c:222
+#: src/config/kbdbind.c:223
 msgid "Edit mapping"
 msgstr ""
 
-#: src/config/kbdbind.c:223
+#: src/config/kbdbind.c:224
 msgid "Menu mapping"
 msgstr ""
 
-#: src/config/kbdbind.c:588 src/scripting/python/keybinding.c:104
+#: src/config/kbdbind.c:589 src/scripting/python/keybinding.c:104
 msgid "Unrecognised keymap"
 msgstr ""
 
-#: src/config/kbdbind.c:591
+#: src/config/kbdbind.c:592
 #, fuzzy
 msgid "Error parsing keystroke"
 msgstr "Villa vi ritun til nets"
 
-#: src/config/kbdbind.c:595
+#: src/config/kbdbind.c:596
 msgid "Unrecognised action (internal error)"
 msgstr ""
 
-#: src/config/kbdbind.c:611
+#: src/config/kbdbind.c:612
 #, fuzzy
 msgid "Error registering event"
 msgstr "Villa vi ritun til nets"
@@ -2027,332 +2035,327 @@ msgid ""
 "3 is full comments are written"
 msgstr ""
 
-#: src/config/options.inc:31
+#: src/config/options.inc:32
 msgid "Indentation"
 msgstr ""
 
-#: src/config/options.inc:33
+#: src/config/options.inc:34
 msgid ""
-"Shift width of one indentation level in the configuration\n"
-"file. Zero means that no indentation is performed at all\n"
-"when saving the configuration."
+"Shift width of one indentation level in the configuration file. Zero means "
+"that no indentation is performed at all when saving the configuration."
 msgstr ""
 
-#: src/config/options.inc:37
+#: src/config/options.inc:38
 msgid "Saving style"
 msgstr ""
 
-#: src/config/options.inc:39
+#: src/config/options.inc:40
 msgid ""
 "Determines what happens when you tell ELinks to save options:\n"
 "0 is only values of current options are altered\n"
-"1 is values of current options are altered and missing options\n"
-"     are added at the end of the file\n"
+"1 is values of current options are altered and missing\n"
+"     options are added at the end of the file\n"
 "2 is the configuration file is rewritten from scratch\n"
-"3 is values of current options are altered and missing options\n"
-"     CHANGED during this ELinks session are added at the end of\n"
-"     the file"
+"3 is values of current options are altered and missing\n"
+"     options CHANGED during this ELinks session are added at\n"
+"     the end of the file"
 msgstr ""
 
-#: src/config/options.inc:48
+#: src/config/options.inc:50
 msgid "Comments localization"
 msgstr ""
 
-#: src/config/options.inc:50
+#: src/config/options.inc:52
 msgid ""
-"If set to 1, comments in the configuration file will be\n"
-"translated to the language used by UI. Note that if you have\n"
-"different language set in different terminals, the language\n"
-"used in the configuration file MAY be the same as on the\n"
-"terminal where you saved the file, but it should be generally\n"
+"If set to 1, comments in the configuration file will be translated to the "
+"language used by UI. Note that if you have different language set in "
+"different terminals, the language used in the configuration file MAY be the "
+"same as on the terminal where you saved the file, but it should be generally "
 "considered unpredictable."
 msgstr ""
 
-#: src/config/options.inc:58
+#: src/config/options.inc:60
 msgid "Saving style warnings"
 msgstr ""
 
-#: src/config/options.inc:60
+#: src/config/options.inc:62
 msgid ""
-"This is internal option used when displaying a warning about\n"
-"obsolete config.saving_style. You shouldn't touch it."
+"This is internal option used when displaying a warning about obsolete config."
+"saving_style. You shouldn't touch it."
 msgstr ""
 
-#: src/config/options.inc:63
+#: src/config/options.inc:66
 msgid "Show template"
 msgstr ""
 
-#: src/config/options.inc:65
+#: src/config/options.inc:68
 msgid ""
-"Show template options in autocreated trees in the options\n"
-"manager and save them to the configuration file."
+"Show template options in autocreated trees in the options manager and save "
+"them to the configuration file."
 msgstr ""
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:71 src/dialogs/info.c:180
+#: src/config/options.inc:74 src/dialogs/info.c:180
 msgid "Connections"
 msgstr "Tengingar"
 
-#: src/config/options.inc:73
+#: src/config/options.inc:76
 #, fuzzy
 msgid "Connection options."
 msgstr "Tengingar"
 
-#: src/config/options.inc:76
+#: src/config/options.inc:79
 msgid "Asynchronous DNS"
 msgstr ""
 
-#: src/config/options.inc:78
+#: src/config/options.inc:81
 msgid "Whether to use asynchronous DNS resolving."
 msgstr ""
 
-#: src/config/options.inc:80
+#: src/config/options.inc:83
 #, fuzzy
 msgid "Maximum connections"
 msgstr "Opna tengingu"
 
-#: src/config/options.inc:82
+#: src/config/options.inc:85
 msgid "Maximum number of concurrent connections."
 msgstr ""
 
-#: src/config/options.inc:84
+#: src/config/options.inc:87
 #, fuzzy
 msgid "Maximum connections per host"
 msgstr "Opna tengingu"
 
-#: src/config/options.inc:86
+#: src/config/options.inc:89
 msgid "Maximum number of concurrent connections to a given host."
 msgstr ""
 
-#: src/config/options.inc:88
+#: src/config/options.inc:92
 #, fuzzy
 msgid "Connection retries"
 msgstr "Tengingar"
 
-#: src/config/options.inc:90
-msgid ""
-"Number of tries to establish a connection.\n"
-"Zero means try forever."
+#: src/config/options.inc:94
+msgid "Number of tries to establish a connection. Zero means try forever."
 msgstr ""
 
-#: src/config/options.inc:93 src/network/state.c:53
+#: src/config/options.inc:97 src/network/state.c:53
 msgid "Receive timeout"
 msgstr "Sknarfrestur trunninn"
 
-#: src/config/options.inc:95
+#: src/config/options.inc:99
 #, fuzzy
 msgid "Receive timeout (in seconds)."
 msgstr "Sknarfrestur trunninn"
 
-#: src/config/options.inc:98 src/config/options.inc:108
+#: src/config/options.inc:102 src/config/options.inc:113
 msgid "Try IPv4 when connecting"
 msgstr ""
 
-#: src/config/options.inc:100
+#: src/config/options.inc:104
 msgid ""
-"Whether to try to connect to a host over IPv4.\n"
-"Note that if connection.try_ipv6 is enabled too,\n"
-"it takes precedence. And better do not touch this\n"
+"Whether to try to connect to a host over IPv4. Note that if connection."
+"try_ipv6 is enabled too, it takes precedence. And better do not touch this "
 "at all unless you are sure what are you doing.\n"
-"Note that you can also force a given protocol\n"
-"to be used on a per-connection basis by using a URL\n"
-"in the style of e.g. http4://elinks.cz/."
+"\n"
+"Note that you can also force a given protocol to be used on a per-connection "
+"basis by using a URL in the style of e.g. http4://elinks.cz/."
 msgstr ""
 
-#: src/config/options.inc:110
+#: src/config/options.inc:115
 msgid ""
-"Whether to try to connect to a host over IPv4.\n"
-"Do not touch this option.\n"
-"Note that you can also force a given protocol\n"
-"to be used on a per-connection basis by using a URL\n"
-"in the style of e.g. http4://elinks.cz/."
+"Whether to try to connect to a host over IPv4. Do not touch this option.\n"
+"\n"
+"Note that you can also force a given protocol to be used on a per-connection "
+"basis by using a URL in the style of e.g. http4://elinks.cz/."
 msgstr ""
 
-#: src/config/options.inc:118
+#: src/config/options.inc:124
 msgid "Try IPv6 when connecting"
 msgstr ""
 
-#: src/config/options.inc:120
+#: src/config/options.inc:126
 msgid ""
 "Whether to try to connect to a host over IPv6.\n"
-"Note that you can also force a given protocol\n"
-"to be used on a per-connection basis by using a URL\n"
-"in the style of e.g. http6://elinks.cz/."
+"\n"
+"Note that you can also force a given protocol to be used on a per-connection "
+"basis by using a URL in the style of e.g. http6://elinks.cz/."
 msgstr ""
 
-#: src/config/options.inc:126
+#: src/config/options.inc:133
 msgid "Timeout for non-restartable connections"
 msgstr ""
 
-#: src/config/options.inc:128
+#: src/config/options.inc:135
 msgid "Timeout for non-restartable connections (in seconds)."
 msgstr ""
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:134
+#: src/config/options.inc:141
 #, fuzzy
 msgid "Document"
 msgstr "skjl"
 
-#: src/config/options.inc:136
+#: src/config/options.inc:143
 #, fuzzy
 msgid "Document options."
 msgstr "~Uppl. skjals"
 
-#: src/config/options.inc:138
+#: src/config/options.inc:145
 msgid "Browsing"
 msgstr ""
 
-#: src/config/options.inc:140
+#: src/config/options.inc:147
 msgid "Document browsing options (mainly interactivity)."
 msgstr ""
 
-#: src/config/options.inc:143
+#: src/config/options.inc:150
 msgid "Access keys"
 msgstr ""
 
-#: src/config/options.inc:145
+#: src/config/options.inc:152
 msgid ""
-"Options for handling of link access keys.\n"
-"An HTML document can use the ACCESSKEY attribute to assign\n"
-"an access key to an element. When an access key is pressed,\n"
-"the corresponding element will be given focus."
+"Options for handling of link access keys. An HTML document can use the "
+"ACCESSKEY attribute to assign an access key to an element. When an access "
+"key is pressed, the corresponding element will be given focus."
 msgstr ""
 
-#: src/config/options.inc:150
+#: src/config/options.inc:157
 msgid "Automatic links following"
 msgstr ""
 
-#: src/config/options.inc:152
+#: src/config/options.inc:159
 msgid ""
-"Automatically follow a link or submit a form if appropriate\n"
-"accesskey is pressed - this is the standard behaviour, but it's\n"
-"considered dangerous."
+"Automatically follow a link or submit a form if appropriate accesskey is "
+"pressed - this is the standard behaviour, but it's considered dangerous."
 msgstr ""
 
-#: src/config/options.inc:156
+#: src/config/options.inc:163
 msgid "Display access key in link info"
 msgstr ""
 
-#: src/config/options.inc:158
+#: src/config/options.inc:165
 msgid "Display access key in link info."
 msgstr ""
 
-#: src/config/options.inc:160
+#: src/config/options.inc:167
 msgid "Accesskey priority"
 msgstr ""
 
-#: src/config/options.inc:162
+#: src/config/options.inc:169
 msgid ""
 "Priority of 'accesskey' HTML attribute:\n"
-"0 is first try all normal bindings; if it fails, check accesskey\n"
-"1 is first try only frame bindings; if it fails, check accesskey\n"
+"0 is first try all normal bindings; if it fails,\n"
+"     check accesskey\n"
+"1 is first try only frame bindings; if it fails,\n"
+"     check accesskey\n"
 "2 is first check accesskey (this can be dangerous)"
 msgstr ""
 
-#: src/config/options.inc:168
+#: src/config/options.inc:177
 msgid "Forms"
 msgstr ""
 
-#: src/config/options.inc:170
+#: src/config/options.inc:179
 msgid "Options for handling of the forms interaction."
 msgstr ""
 
-#: src/config/options.inc:172
+#: src/config/options.inc:181
 #, fuzzy
 msgid "Submit form automatically"
 msgstr "Senda form til"
 
-#: src/config/options.inc:174
+#: src/config/options.inc:183
 msgid ""
-"Automagically submit a form when enter is pressed with a text\n"
-"field selected."
+"Automagically submit a form when enter is pressed with a text field selected."
 msgstr ""
 
-#: src/config/options.inc:177
+#: src/config/options.inc:186
 msgid "Confirm submission"
 msgstr ""
 
-#: src/config/options.inc:179
+#: src/config/options.inc:188
 msgid "Ask for confirmation when submitting a form."
 msgstr ""
 
-#: src/config/options.inc:181
+#: src/config/options.inc:190
 msgid "Default form input size"
 msgstr ""
 
-#: src/config/options.inc:183
+#: src/config/options.inc:192
 msgid "Default form input size if none is specified."
 msgstr ""
 
-#: src/config/options.inc:185
+#: src/config/options.inc:194
 msgid "Insert mode"
 msgstr ""
 
-#: src/config/options.inc:187
+#: src/config/options.inc:196
 msgid ""
-"The setting for this option affects how key presses are handled\n"
-"when one selects a text-input form-field. When enabled, one must\n"
-"explicitly 'enter' a selected text-field to edit it; this prevents\n"
-"text fields from capturing key presses, such as presses of a scroll\n"
-"key, when it is inadvertently selected. When disabled, key presses\n"
-"are always inserted into a selected text field."
+"The setting for this option affects how key presses are handled when one "
+"selects a text-input form-field. When enabled, one must explicitly 'enter' a "
+"selected text-field to edit it; this prevents text fields from capturing key "
+"presses, such as presses of a scroll key, when it is inadvertently selected. "
+"When disabled, key presses are always inserted into a selected text field."
 msgstr ""
 
-#: src/config/options.inc:194
+#: src/config/options.inc:204
 #, fuzzy
 msgid "External editor"
 msgstr "Innri villa"
 
-#: src/config/options.inc:196
+#: src/config/options.inc:206
 msgid ""
-"Path to the executable that ELinks should launch when the user\n"
-"requests to edit a textarea with an external editor.\n"
-"If this is blank, ELinks will use the value of the environmental\n"
-"variable $EDITOR. If $EDITOR is empty or not set, ELinks will then\n"
-"default to \"vi\"."
+"Path to the executable that ELinks should launch when the user requests to "
+"edit a textarea with an external editor.\n"
+"\n"
+"If this is blank, ELinks will use the value of the environmental variable "
+"$EDITOR. If $EDITOR is empty or not set, ELinks will then default to \"vi\"."
 msgstr ""
 
-#: src/config/options.inc:203
+#: src/config/options.inc:214
 #, fuzzy
 msgid "Images"
 msgstr "Mynd"
 
-#: src/config/options.inc:205
+#: src/config/options.inc:216
 msgid "Options for handling of images."
 msgstr ""
 
-#: src/config/options.inc:207
+#: src/config/options.inc:218
 #, fuzzy
 msgid "Display style for image tags"
 msgstr "Sj"
 
-#: src/config/options.inc:209
+#: src/config/options.inc:220
 msgid ""
 "Display style for image tags when displayed:\n"
 "0     means always display IMG\n"
 "1     means always display filename\n"
-"2     means display alt/title attribute if possible, IMG if not\n"
-"3     means display alt/title attribute if possible, filename if not"
+"2     means display alt/title attribute if possible,\n"
+"      IMG if not\n"
+"3     means display alt/title attribute if possible,\n"
+"      filename if not"
 msgstr ""
 
-#: src/config/options.inc:215
+#: src/config/options.inc:228
 msgid "Maximum length for image filename"
 msgstr ""
 
-#: src/config/options.inc:217
+#: src/config/options.inc:230
 msgid ""
 "Maximum length of image filename when displayed:\n"
 "0     means always display full filename\n"
 "1-500 means display filename with this maximal length;\n"
-"      if it is longer, the middle is substituted by an asterisk"
+"      if it is longer, the middle is substituted by\n"
+"      an asterisk"
 msgstr ""
 
-#: src/config/options.inc:227
+#: src/config/options.inc:241
 msgid "Image links tagging"
 msgstr ""
 
-#: src/config/options.inc:229
+#: src/config/options.inc:243
 msgid ""
 "When to enclose image links:\n"
 "0 means never\n"
@@ -2360,92 +2363,92 @@ msgid ""
 "2 means always"
 msgstr ""
 
-#: src/config/options.inc:234
+#: src/config/options.inc:248
 msgid "Image link prefix"
 msgstr ""
 
-#: src/config/options.inc:236
+#: src/config/options.inc:250
 msgid "Prefix string to use to mark image links."
 msgstr ""
 
-#: src/config/options.inc:238
+#: src/config/options.inc:252
 msgid "Image link suffix"
 msgstr ""
 
-#: src/config/options.inc:240
+#: src/config/options.inc:254
 msgid "Suffix string to use to mark image links."
 msgstr ""
 
-#: src/config/options.inc:242
+#: src/config/options.inc:256
 msgid "Maximum length for image label"
 msgstr ""
 
-#: src/config/options.inc:244
+#: src/config/options.inc:258
 msgid ""
 "Maximum length of image label (alt/title):\n"
 "0     means always display full label\n"
 "1-500 means display label with this maximal length;\n"
-"      if it is longer, the middle is substituted by an asterisk"
+"      if it is longer, the middle is substituted by\n"
+"      an asterisk"
 msgstr ""
 
-#: src/config/options.inc:249
+#: src/config/options.inc:264
 msgid "Display links to images w/o alt"
 msgstr ""
 
-#: src/config/options.inc:251
+#: src/config/options.inc:266
 msgid ""
-"Display links to images without an alt attribute. If this option\n"
-"is off, these images are completely invisible."
+"Display links to images without an alt attribute. If this option is off, "
+"these images are completely invisible."
 msgstr ""
 
-#: src/config/options.inc:254
+#: src/config/options.inc:269
 #, fuzzy
 msgid "Display links to images"
 msgstr "Sj"
 
-#: src/config/options.inc:256
+#: src/config/options.inc:271
 msgid ""
-"Display links to any images in the document, regardless of them\n"
-"having an alt attribute or not. If this option is off, the alt\n"
-"attribute contents is shown, but as normal text, not selectable\n"
-"as a link."
+"Display links to any images in the document, regardless of them having an "
+"alt attribute or not. If this option is off, the alt attribute contents is "
+"shown, but as normal text, not selectable as a link."
 msgstr ""
 
-#: src/config/options.inc:262
+#: src/config/options.inc:277
 #, fuzzy
 msgid "Links"
 msgstr "~Tenglar"
 
-#: src/config/options.inc:264
+#: src/config/options.inc:279
 msgid "Options for handling of links to other documents."
 msgstr ""
 
-#: src/config/options.inc:266
+#: src/config/options.inc:281
 msgid "Active link"
 msgstr ""
 
-#: src/config/options.inc:268
+#: src/config/options.inc:283
 msgid "Options for the active link."
 msgstr ""
 
-#: src/config/options.inc:270
+#: src/config/options.inc:285
 #, fuzzy
 msgid "Colors"
 msgstr "Litur"
 
-#: src/config/options.inc:272
+#: src/config/options.inc:287
 #, fuzzy
 msgid "Active link colors."
 msgstr "Drepa tengingar  ba~kgrunni"
 
-#: src/config/options.inc:274 src/config/options.inc:549
-#: src/config/options.inc:945
+#: src/config/options.inc:289 src/config/options.inc:583
+#: src/config/options.inc:1014
 #, fuzzy
 msgid "Background color"
 msgstr "Bakgrunnur"
 
-#: src/config/options.inc:276 src/config/options.inc:551
-#: src/config/options.inc:946
+#: src/config/options.inc:291 src/config/options.inc:585
+#: src/config/options.inc:1015
 #, fuzzy
 msgid "Default background color."
 msgstr "Drepa tengingar  ba~kgrunni"
@@ -2458,75 +2461,75 @@ msgstr "Drepa tengingar  ba~kgrunni"
 #. *	on it.
 #. The colors and mono tree should be similar but with different default
 #. * values of course so always use the macros below.
-#: src/config/options.inc:278 src/config/options.inc:545
-#: src/config/options.inc:943
+#: src/config/options.inc:293 src/config/options.inc:579
+#: src/config/options.inc:1012
 #, fuzzy
 msgid "Text color"
 msgstr "Textasvi"
 
-#: src/config/options.inc:280 src/config/options.inc:547
-#: src/config/options.inc:944
+#: src/config/options.inc:295 src/config/options.inc:581
+#: src/config/options.inc:1013
 msgid "Default text color."
 msgstr ""
 
-#: src/config/options.inc:282
+#: src/config/options.inc:297
 #, fuzzy
 msgid "Enable color"
 msgstr "nafn"
 
-#: src/config/options.inc:284
+#: src/config/options.inc:299
 msgid ""
-"Enable use of the active link background and text color\n"
-"settings instead of the link colors from the document."
+"Enable use of the active link background and text color settings instead of "
+"the link colors from the document."
 msgstr ""
 
-#: src/config/options.inc:287
+#: src/config/options.inc:302
 msgid "Bold"
 msgstr ""
 
-#: src/config/options.inc:289
+#: src/config/options.inc:304
 msgid "Make the active link text bold."
 msgstr ""
 
-#: src/config/options.inc:291
+#: src/config/options.inc:306
 #, fuzzy
 msgid "Invert colors"
 msgstr "Textasvi"
 
-#: src/config/options.inc:293
+#: src/config/options.inc:308
 msgid "Invert the fore- and background color so the link stands out."
 msgstr ""
 
-#: src/config/options.inc:296 src/config/options.inc:908
+#: src/config/options.inc:311 src/config/options.inc:975
 #: src/dialogs/options.c:231
 msgid "Underline"
 msgstr ""
 
-#: src/config/options.inc:298
+#: src/config/options.inc:313
 msgid "Underline the active link."
 msgstr ""
 
-#: src/config/options.inc:301
+#: src/config/options.inc:316
 msgid "Directory highlighting"
 msgstr ""
 
-#: src/config/options.inc:303
+#: src/config/options.inc:318
 msgid "Highlight links to directories in FTP and local directory listing."
 msgstr ""
 
-#: src/config/options.inc:305
+#: src/config/options.inc:321
 msgid "Number links"
 msgstr ""
 
-#: src/config/options.inc:307
+#: src/config/options.inc:323
 msgid "Display numbers next to the links."
 msgstr ""
 
-#: src/config/options.inc:309
+#: src/config/options.inc:325
 msgid "Handling of target=_blank"
 msgstr ""
 
-#: src/config/options.inc:311
+#: src/config/options.inc:327
 msgid ""
 "Define how to handle links having target=_blank set:\n"
 "0 means open link in current tab\n"
@@ -2535,139 +2538,136 @@ msgid ""
 "3 means open link in new window"
 msgstr ""
 
-#: src/config/options.inc:324
+#: src/config/options.inc:340
 msgid "Use tabindex"
 msgstr ""
 
-#: src/config/options.inc:326
+#: src/config/options.inc:342
 msgid ""
-"Whether to navigate links using tabindex specified ordering.\n"
-"The TABINDEX attribute in HTML elements specifies the order\n"
-"in which links should receive focus when using the keyboard\n"
-"to navigate the document."
+"Whether to navigate links using tabindex specified ordering. The TABINDEX "
+"attribute in HTML elements specifies the order in which links should receive "
+"focus when using the keyboard to navigate the document."
 msgstr ""
 
-#: src/config/options.inc:331
+#: src/config/options.inc:347
 #, fuzzy
 msgid "Missing fragment reporting"
 msgstr "Engir rammar"
 
-#: src/config/options.inc:333
+#: src/config/options.inc:349
 msgid "Open a message box when document has no tag with given id."
 msgstr ""
 
-#: src/config/options.inc:335
+#: src/config/options.inc:352
 msgid "Number keys select links"
 msgstr ""
 
-#: src/config/options.inc:337
+#: src/config/options.inc:354
 msgid ""
-"Number keys select links rather than specify command prefixes. This\n"
-"is a tristate:\n"
+"Number keys select links rather than specify command prefixes. This is a "
+"tristate:\n"
 "0 means never\n"
 "1 means if document.browse.links.numbering = 1\n"
 "2 means always"
 msgstr ""
 
-#: src/config/options.inc:343
+#: src/config/options.inc:360
 msgid "Warn about maliciously crafted URIs"
 msgstr ""
 
-#: src/config/options.inc:345
+#: src/config/options.inc:362
 msgid ""
-"When following a link the user ID part of the URI is\n"
-"checked and if a maliciously crafted URI is detected a\n"
-"warning dialog will ask before following the link."
+"When following a link the user ID part of the URI is checked and if a "
+"maliciously crafted URI is detected a warning dialog will ask before "
+"following the link."
 msgstr ""
 
 #. TODO - this is somehow implemented by ff, but disabled
 #. * for now as it doesn't work.
-#: src/config/options.inc:351
+#: src/config/options.inc:368
 msgid "Wrap-around links cycling"
 msgstr ""
 
 #. 0
-#: src/config/options.inc:353
+#: src/config/options.inc:370
 msgid ""
-"When pressing 'down' on the last link, jump to the first one, and\n"
-"vice versa."
+"When pressing 'down' on the last link, jump to the first one, and vice versa."
 msgstr ""
 
-#: src/config/options.inc:357
+#: src/config/options.inc:374
 msgid "Scrolling"
 msgstr ""
 
-#: src/config/options.inc:359
+#: src/config/options.inc:376
 #, fuzzy
 msgid "Scrolling options."
 msgstr "Stillingar skeljar"
 
-#: src/config/options.inc:361
+#: src/config/options.inc:378
 msgid "Horizontal step"
 msgstr ""
 
-#: src/config/options.inc:363
+#: src/config/options.inc:380
 msgid ""
-"Number of columns to scroll when a key bound to scroll-left or scroll-\n"
-"right is pressed and no prefix was given."
+"Number of columns to scroll when a key bound to scroll-left or scroll-right "
+"is pressed and no prefix was given."
 msgstr ""
 
-#: src/config/options.inc:366
+#: src/config/options.inc:384
 msgid "Extended horizontal scrolling"
 msgstr ""
 
-#: src/config/options.inc:368
+#: src/config/options.inc:386
 msgid ""
-"Whether to allow horizontal scrolling when the document\n"
-"does not extend off the screen. Useful for copy/paste\n"
-"operations."
+"Whether to allow horizontal scrolling when the document does not extend off "
+"the screen. Useful for copy/paste operations."
 msgstr ""
 
-#: src/config/options.inc:372
+#: src/config/options.inc:390
 #, fuzzy
 msgid "Margin"
 msgstr "Vivrun"
 
-#: src/config/options.inc:374
+#: src/config/options.inc:392
 msgid ""
-"Size of the virtual margin - when you click inside of that margin,\n"
-"document scrolls in that direction."
+"Size of the virtual margin - when you click inside of that margin, document "
+"scrolls in that direction."
 msgstr ""
 
-#: src/config/options.inc:377
+#: src/config/options.inc:395
 msgid "Vertical step"
 msgstr ""
 
-#: src/config/options.inc:379
+#: src/config/options.inc:397
 msgid ""
-"Number of lines to scroll when a key bound to scroll-up or scroll-\n"
-"down is pressed and no prefix was given."
+"Number of lines to scroll when a key bound to scroll-up or scroll-down is "
+"pressed and no prefix was given."
 msgstr ""
 
-#: src/config/options.inc:383
+#: src/config/options.inc:401
 #, fuzzy
 msgid "Searching"
 msgstr "Leita"
 
-#: src/config/options.inc:385
+#: src/config/options.inc:403
 msgid "Options for searching."
 msgstr ""
 
-#: src/config/options.inc:387
+#: src/config/options.inc:405
 msgid "Case sensitivity"
 msgstr ""
 
-#: src/config/options.inc:389
+#: src/config/options.inc:407
 msgid ""
-"Whether the search should match the document text while maintaining\n"
-"case sensitivity."
+"Whether the search should match the document text while maintaining case "
+"sensitivity."
 msgstr ""
 
-#: src/config/options.inc:393
+#: src/config/options.inc:411
 msgid "Regular expressions"
 msgstr ""
 
-#: src/config/options.inc:395
+#: src/config/options.inc:413
 msgid ""
 "Enable searching with regular expressions:\n"
 "0 for plain text searching\n"
@@ -2675,31 +2675,31 @@ msgid ""
 "2 for extended regular expression searches"
 msgstr ""
 
-#: src/config/options.inc:401
+#: src/config/options.inc:419
 msgid "Show search hit top or bottom dialogs"
 msgstr ""
 
-#: src/config/options.inc:403
+#: src/config/options.inc:421
 msgid ""
-"Whether to show a dialog when the search hits the top or bottom of the\n"
+"Whether to show a dialog when the search hits the top or bottom of the "
 "document."
 msgstr ""
 
-#: src/config/options.inc:406
+#: src/config/options.inc:424
 #, fuzzy
 msgid "Wraparound"
 msgstr "Bakgrunnur"
 
-#: src/config/options.inc:408
+#: src/config/options.inc:426
 msgid "Wrap around when searching. Currently only used for typeahead."
 msgstr ""
 
-#: src/config/options.inc:410
+#: src/config/options.inc:429
 #, fuzzy
 msgid "Show not found"
 msgstr "Milari ekki fundinn"
 
-#: src/config/options.inc:412
+#: src/config/options.inc:431
 msgid ""
 "How to inform the user when nothing is matched:\n"
 "0 means do nothing\n"
@@ -2707,281 +2707,282 @@ msgid ""
 "2 means pop up message box"
 msgstr ""
 
-#: src/config/options.inc:417
+#: src/config/options.inc:436
 #, fuzzy
 msgid "Typeahead searching"
 msgstr "gildur strengur"
 
-#: src/config/options.inc:419
+#: src/config/options.inc:438
 msgid ""
-"Start typeahead searching when an unbound key is pressed without\n"
-"any modifiers. Note that most keys have default bindings, so this\n"
-"feature will not be useful unless you unbind them.\n"
+"Start typeahead searching when an unbound key is pressed without any "
+"modifiers. Note that most keys have default bindings, so this feature will "
+"not be useful unless you unbind them.\n"
 "\n"
-"0 disables this feature; typeahead searching will only be used\n"
-"  when you press a key bound to search-typeahead or similar\n"
+"0 disables this feature; typeahead searching will only be\n"
+"  used when you press a key bound to search-typeahead or\n"
+"  similar\n"
 "1 automatically starts typeahead searching thru link text\n"
-"2 automatically starts typeahead searching thru all document text"
+"2 automatically starts typeahead searching thru all document\n"
+"  text"
 msgstr ""
 
-#: src/config/options.inc:428
+#: src/config/options.inc:451
 msgid "Horizontal text margin"
 msgstr ""
 
-#: src/config/options.inc:430
+#: src/config/options.inc:453
 msgid "Horizontal text margin."
 msgstr ""
 
-#: src/config/options.inc:432
+#: src/config/options.inc:455
 msgid "Document meta refresh"
 msgstr ""
 
-#: src/config/options.inc:434
+#: src/config/options.inc:457
 msgid ""
-"Automatically follow document-specified refresh directives ('<meta>\n"
-"refresh' tags). Web-page authors use these to instruct the browser\n"
-"to reload a document at a given interval or to load another page.\n"
-"Regardless of the value the refresh URI is accessible as a link.\n"
-"Use the document.browse.minimum_refresh_time to control the minimum\n"
-"number of seconds a refresh will wait."
+"Automatically follow document-specified refresh directives ('<meta> refresh' "
+"tags). Web-page authors use these to instruct the browser to reload a "
+"document at a given interval or to load another page. Regardless of the "
+"value the refresh URI is accessible as a link.\n"
+"\n"
+"Use the document.browse.minimum_refresh_time to control the minimum number "
+"of seconds a refresh will wait."
 msgstr ""
 
-#: src/config/options.inc:441
+#: src/config/options.inc:466
 msgid "Document meta refresh minimum time"
 msgstr ""
 
-#: src/config/options.inc:443
+#: src/config/options.inc:468
 msgid ""
-"The minimum number of milliseconds that should pass before\n"
-"refreshing. If set to zero the document refresh time is used\n"
-"unchanged. It can fix going back in history for some sites that\n"
-"use refreshing with zero values."
+"The minimum number of milliseconds that should pass before refreshing. If "
+"set to zero the document refresh time is used unchanged. It can fix going "
+"back in history for some sites that use refreshing with zero values."
 msgstr ""
 
-#: src/config/options.inc:448
+#: src/config/options.inc:473
 msgid "Tables navigation order"
 msgstr ""
 
-#: src/config/options.inc:450
+#: src/config/options.inc:475
 msgid "Move by columns in table, instead of rows."
 msgstr ""
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:456
+#: src/config/options.inc:481
 #, fuzzy
 msgid "Cache"
 msgstr "Htta vi"
 
-#: src/config/options.inc:458
+#: src/config/options.inc:483
 #, fuzzy
 msgid "Cache options."
 msgstr "V~ista stillingar"
 
-#: src/config/options.inc:460
+#: src/config/options.inc:485
 msgid "Cache information about redirects"
 msgstr ""
 
-#: src/config/options.inc:462
+#: src/config/options.inc:487
 msgid ""
-"Cache even redirects sent by server (usually thru HTTP by a 302\n"
-"HTTP code and a Location header). This was the original behaviour\n"
-"for quite some time, but it causes problems in a situation very\n"
-"common to various web login systems - frequently, when accessing\n"
-"a certain location, they will redirect you to a login page if they\n"
-"don't receive an auth cookie, the login page then gives you the\n"
-"cookie and redirects you back to the original page, but there you\n"
-"have already cached redirect back to the login page! If this\n"
-"option has value of 0, this malfunction is fixed, but occasionally\n"
-"you may get superfluous (depends on how you take it ;-) requests to\n"
-"the server. If this option has value of 1, experienced users can\n"
-"still workaround it by clever combination of usage of reload,\n"
-"jumping around in session history and hitting ctrl+enter.\n"
-"Note that this option is checked when retrieving the information\n"
-"from cache, not when saving it to cache - thus if you enable\n"
-"it, even previous redirects will be taken from cache instead of\n"
-"asking the server."
+"Cache even redirects sent by server (usually thru HTTP by a 302 HTTP code "
+"and a Location header). This was the original behaviour for quite some time, "
+"but it causes problems in a situation very common to various web login "
+"systems - frequently, when accessing a certain location, they will redirect "
+"you to a login page if they don't receive an auth cookie, the login page "
+"then gives you the cookie and redirects you back to the original page, but "
+"there you have already cached redirect back to the login page! If this "
+"option has value of 0, this malfunction is fixed, but occasionally you may "
+"get superfluous (depends on how you take it ;-) requests to the server. If "
+"this option has value of 1, experienced users can still workaround it by "
+"clever combination of usage of reload, jumping around in session history and "
+"hitting ctrl+enter.\n"
+"\n"
+"Note that this option is checked when retrieving the information from cache, "
+"not when saving it to cache - thus if you enable it, even previous redirects "
+"will be taken from cache instead of asking the server."
 msgstr ""
 
-#: src/config/options.inc:480
+#: src/config/options.inc:508
 msgid "Ignore cache-control info from server"
 msgstr ""
 
-#: src/config/options.inc:482
+#: src/config/options.inc:510
 msgid ""
-"Ignore Cache-Control and Pragma server headers.\n"
-"When set, the document is cached even with 'Cache-Control: no-cache'."
+"Ignore Cache-Control and Pragma server headers. When set, the document is "
+"cached even with 'Cache-Control: no-cache'."
 msgstr ""
 
-#: src/config/options.inc:485
+#: src/config/options.inc:514
 #, fuzzy
 msgid "Formatted documents"
 msgstr "Forsnii skyndiminni skra"
 
-#: src/config/options.inc:487
+#: src/config/options.inc:516
 msgid "Format cache options."
 msgstr ""
 
-#: src/config/options.inc:489
+#: src/config/options.inc:518
 #, fuzzy
 msgid "Number"
 msgstr "gild tala"
 
-#: src/config/options.inc:491
+#: src/config/options.inc:520
 msgid ""
-"Number of cached formatted pages. Do not get too generous\n"
-"here, 'formatted' means that all the accompanying structures\n"
-"are kept in memory so that you get the cached document\n"
-"immediatelly, but these structures may take a lot - 2x the\n"
-"size of the HTML source is probably not unusual, but it can\n"
-"be even more if the document consists of a lot of short lines\n"
-"(padded right, if possible) and links and not much other markup.\n"
-"So if you set this to 256 and then you don't like your ELinks\n"
-"eating 90M, don't come complaining to us. ;-)\n"
-"Also note that the format cache itself is not counted to the\n"
-"memory cache size, but the HTML source of the formatted documents\n"
-"is always cached, even if it is over the memory cache size\n"
-"threshold. (Then of course no other documents can be cached.)"
+"Number of cached formatted pages. Do not get too generous here, 'formatted' "
+"means that all the accompanying structures are kept in memory so that you "
+"get the cached document immediatelly, but these structures may take a lot - "
+"2x the size of the HTML source is probably not unusual, but it can be even "
+"more if the document consists of a lot of short lines (padded right, if "
+"possible) and links and not much other markup. So if you set this to 256 and "
+"then you don't like your ELinks eating 90M, don't come complaining to "
+"us. ;-)\n"
+"\n"
+"Also note that the format cache itself is not counted to the memory cache "
+"size, but the HTML source of the formatted documents is always cached, even "
+"if it is over the memory cache size threshold. (Then of course no other "
+"documents can be cached.)"
 msgstr ""
 
 #. FIXME: Write more.
-#: src/config/options.inc:506
+#: src/config/options.inc:538
 #, fuzzy
 msgid "Revalidation interval"
 msgstr "Vistunarvilla"
 
-#: src/config/options.inc:508
+#: src/config/options.inc:540
 msgid ""
-"Period in seconds that a cache entry is considered to be\n"
-"up-to-date. When a document is loaded and this interval has elapsed\n"
-"since the document was initially loaded or most recently\n"
-"revalidated with the server, the server will be checked in case\n"
-"there is a more up-to-date version of the document.\n"
+"Period in seconds that a cache entry is considered to be up-to-date. When a "
+"document is loaded and this interval has elapsed since the document was "
+"initially loaded or most recently revalidated with the server, the server "
+"will be checked in case there is a more up-to-date version of the document.\n"
 "\n"
 "A value of -1 disables automatic revalidation."
 msgstr ""
 
-#: src/config/options.inc:515 src/dialogs/info.c:199
+#: src/config/options.inc:549 src/dialogs/info.c:199
 msgid "Memory cache"
 msgstr "Skyndiminni"
 
-#: src/config/options.inc:517
+#: src/config/options.inc:551
 #, fuzzy
 msgid "Memory cache options."
 msgstr "Skyndiminni"
 
-#: src/config/options.inc:521
+#: src/config/options.inc:555
 #, fuzzy
 msgid "Memory cache size (in bytes)."
 msgstr "Skyndiminni"
 
-#: src/config/options.inc:525
+#: src/config/options.inc:559
 #, fuzzy
 msgid "Charset"
 msgstr "~Stafasett"
 
-#: src/config/options.inc:527
+#: src/config/options.inc:561
 #, fuzzy
 msgid "Charset options."
 msgstr "V~ista stillingar"
 
-#: src/config/options.inc:529
+#: src/config/options.inc:563
 msgid "Default codepage"
 msgstr ""
 
-#: src/config/options.inc:531
+#: src/config/options.inc:565
 msgid ""
-"Default document codepage. 'System' stands for\n"
-"a codepage determined by a selected locale."
+"Default document codepage. 'System' stands for a codepage determined by a "
+"selected locale."
 msgstr ""
 
-#: src/config/options.inc:534
+#: src/config/options.inc:568
 msgid "Ignore charset info from server"
 msgstr ""
 
-#: src/config/options.inc:536
+#: src/config/options.inc:570
 msgid "Ignore charset info sent by server."
 msgstr ""
 
-#: src/config/options.inc:540
+#: src/config/options.inc:574
 msgid "Default color settings"
 msgstr ""
 
-#: src/config/options.inc:542
+#: src/config/options.inc:576
 msgid "Default document color settings."
 msgstr ""
 
-#: src/config/options.inc:553
+#: src/config/options.inc:587
 msgid "Link color"
 msgstr ""
 
-#: src/config/options.inc:555
+#: src/config/options.inc:589
 msgid "Default link color."
 msgstr ""
 
-#: src/config/options.inc:557
+#: src/config/options.inc:591
 msgid "Visited-link color"
 msgstr ""
 
-#: src/config/options.inc:559
+#: src/config/options.inc:593
 msgid "Default visited link color."
 msgstr ""
 
-#: src/config/options.inc:561
+#: src/config/options.inc:595
 #, fuzzy
 msgid "Image-link color"
 msgstr "Drepa tengingar  ba~kgrunni"
 
-#: src/config/options.inc:563
+#: src/config/options.inc:597
 #, fuzzy
 msgid "Default image link color."
 msgstr "Drepa tengingar  ba~kgrunni"
 
-#: src/config/options.inc:565
+#: src/config/options.inc:599
 msgid "Bookmarked-link color"
 msgstr ""
 
-#: src/config/options.inc:567
+#: src/config/options.inc:601
 #, fuzzy
 msgid "Default bookmarked link color."
 msgstr "Drepa tengingar  ba~kgrunni"
 
-#: src/config/options.inc:569
+#: src/config/options.inc:603
 msgid "Directory color"
 msgstr ""
 
-#: src/config/options.inc:571
+#: src/config/options.inc:605
 msgid ""
 "Default directory color.\n"
+"\n"
 "See document.browse.links.color_dirs option."
 msgstr ""
 
-#: src/config/options.inc:578
+#: src/config/options.inc:613
 msgid "Increase contrast"
 msgstr ""
 
-#: src/config/options.inc:580
+#: src/config/options.inc:615
 msgid ""
-"Increase the contrast between the foreground and background colors\n"
-"to ensure readability. For example it disallows dark colors on a\n"
-"black background. Note, this is different from ensuring the contrast\n"
-"with the ensure_contrast option."
+"Increase the contrast between the foreground and background colors to ensure "
+"readability. For example it disallows dark colors on a black background. "
+"Note, this is different from ensuring the contrast with the ensure_contrast "
+"option."
 msgstr ""
 
-#: src/config/options.inc:585
+#: src/config/options.inc:621
 msgid "Ensure contrast"
 msgstr ""
 
-#: src/config/options.inc:587
+#: src/config/options.inc:623
 msgid "Makes sure that the back- and foreground colors are never equal."
 msgstr ""
 
 #. If you change this please also change ACT_MAIN_DOCUMENT_COLORS action
 #. * handling.
-#: src/config/options.inc:592
+#: src/config/options.inc:628
 msgid "Use document-specified colors"
 msgstr ""
 
-#: src/config/options.inc:594
+#: src/config/options.inc:630
 msgid ""
 "Use colors specified in document:\n"
 "0 is use always the default settings\n"
@@ -2993,40 +2994,40 @@ msgid ""
 msgstr ""
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:607
+#: src/config/options.inc:643
 #, fuzzy
 msgid "Downloading"
 msgstr "Niurhlaa"
 
-#: src/config/options.inc:609
+#: src/config/options.inc:645
 msgid "Options regarding files downloading and handling."
 msgstr ""
 
-#: src/config/options.inc:611
+#: src/config/options.inc:647
 #, fuzzy
 msgid "Default download directory"
 msgstr "niurhlesluvilla"
 
-#: src/config/options.inc:613
+#: src/config/options.inc:649
 msgid "Default download directory."
 msgstr ""
 
-#: src/config/options.inc:615
+#: src/config/options.inc:651
 msgid "Set original time"
 msgstr ""
 
-#: src/config/options.inc:617
+#: src/config/options.inc:653
 msgid ""
-"Set the timestamp of each downloaded file to the timestamp\n"
-"stored on the server."
+"Set the timestamp of each downloaded file to the timestamp stored on the "
+"server."
 msgstr ""
 
 #. Does automatic resuming make sense as an option?
-#: src/config/options.inc:621
+#: src/config/options.inc:657
 msgid "Prevent overwriting"
 msgstr ""
 
-#: src/config/options.inc:623
+#: src/config/options.inc:659
 msgid ""
 "Prevent overwriting the local files:\n"
 "0 is files will silently be overwritten\n"
@@ -3034,11 +3035,11 @@ msgid ""
 "2 is ask the user"
 msgstr ""
 
-#: src/config/options.inc:628
+#: src/config/options.inc:664
 msgid "Notify download completion by bell"
 msgstr ""
 
-#: src/config/options.inc:630
+#: src/config/options.inc:666
 msgid ""
 "Audio notification when download is completed:\n"
 "0 is never\n"
@@ -3046,27 +3047,27 @@ msgid ""
 "2 is always"
 msgstr ""
 
-#: src/config/options.inc:636
+#: src/config/options.inc:672
 msgid "Dump output"
 msgstr ""
 
-#: src/config/options.inc:638
+#: src/config/options.inc:674
 msgid "Dump output options."
 msgstr ""
 
 #. OPT_CODEPAGE
-#: src/config/options.inc:640 src/config/options.inc:912
+#: src/config/options.inc:676 src/config/options.inc:980
 #: src/config/opttypes.c:481 src/dialogs/document.c:164
 msgid "Codepage"
 msgstr "Lyklasett"
 
-#: src/config/options.inc:642
+#: src/config/options.inc:678
 msgid ""
-"Codepage used in dump output. 'System' stands for\n"
-"a codepage determined by a selected locale."
+"Codepage used in dump output. 'System' stands for a codepage determined by a "
+"selected locale."
 msgstr ""
 
-#: src/config/options.inc:645 src/config/options.inc:878
+#: src/config/options.inc:681 src/config/options.inc:941
 #, fuzzy
 msgid "Color mode"
 msgstr "Litur"
@@ -3076,12 +3077,14 @@ msgstr "Litur"
 #. * an outer list entry after an inner list.
 #. * TRANSLATORS: This restriction applies only to the
 #. * "en" (English) translation.  (See doc/Makefile.)
-#: src/config/options.inc:652
+#: src/config/options.inc:688
 msgid ""
 "Color mode for dumps.\n"
+"\n"
 "Some modes may have been disabled at compile time. The Setup -> Terminal "
 "options dialog lists the modes supported by this executable. If you select "
 "an unsupported mode, ELinks uses 16 colors.\n"
+"\n"
 "The color modes are:\n"
 "-1 is standard dump mode\n"
 "0 is mono mode\n"
@@ -3091,127 +3094,125 @@ msgid ""
 "4 is true color mode"
 msgstr ""
 
-#: src/config/options.inc:665
+#: src/config/options.inc:703
 msgid "Footer"
 msgstr ""
 
-#: src/config/options.inc:667
+#: src/config/options.inc:705
 #, c-format
 msgid "Footer string used in dumps. %u is substituted by URL."
 msgstr ""
 
-#: src/config/options.inc:671
+#: src/config/options.inc:709
 #, c-format
 msgid "Header string used in dumps. %u is substituted by URL."
 msgstr ""
 
-#: src/config/options.inc:673
+#: src/config/options.inc:711
 #, fuzzy
 msgid "Numbering"
 msgstr "gild tala"
 
-#: src/config/options.inc:675
+#: src/config/options.inc:713
 msgid "Whether to print link numbers in dump output."
 msgstr ""
 
-#: src/config/options.inc:677
+#: src/config/options.inc:715
 #, fuzzy
 msgid "References"
 msgstr "Kerfisol"
 
-#: src/config/options.inc:679
-msgid ""
-"Whether to print references (URIs) of document links\n"
-"in dump output."
+#: src/config/options.inc:717
+msgid "Whether to print references (URIs) of document links in dump output."
 msgstr ""
 
-#: src/config/options.inc:682
+#: src/config/options.inc:720
 msgid "Separator"
 msgstr ""
 
-#: src/config/options.inc:684
+#: src/config/options.inc:722
 msgid "String which separates two dumps."
 msgstr ""
 
-#: src/config/options.inc:686
+#: src/config/options.inc:724
 msgid "Width"
 msgstr ""
 
-#: src/config/options.inc:688
+#: src/config/options.inc:726
 msgid "Width of screen in characters when dumping documents."
 msgstr ""
 
-#: src/config/options.inc:692
+#: src/config/options.inc:730
 #, fuzzy
 msgid "History"
 msgstr "~Saga"
 
-#: src/config/options.inc:694
+#: src/config/options.inc:732
 msgid "History options."
 msgstr ""
 
-#: src/config/options.inc:696
+#: src/config/options.inc:734
 #, fuzzy
 msgid "Keep unhistory"
 msgstr "Engin saga"
 
-#: src/config/options.inc:698
+#: src/config/options.inc:736
 #, fuzzy
 msgid "Keep unhistory (\"forward history\")."
 msgstr "Engin saga"
 
-#: src/config/options.inc:701
+#: src/config/options.inc:739
 #, fuzzy
 msgid "HTML rendering"
 msgstr "Flyt ggn"
 
-#: src/config/options.inc:703
+#: src/config/options.inc:741
 msgid "Options concerning the display of HTML pages."
 msgstr ""
 
-#: src/config/options.inc:705
+#: src/config/options.inc:743
 #, fuzzy
 msgid "Display frames"
 msgstr "Sj"
 
-#: src/config/options.inc:707
+#: src/config/options.inc:745
 #, fuzzy
 msgid "Display frames."
 msgstr "Sj"
 
-#: src/config/options.inc:709
+#: src/config/options.inc:747
 #, fuzzy
 msgid "Display tables"
 msgstr "Sj"
 
-#: src/config/options.inc:711
+#: src/config/options.inc:749
 #, fuzzy
 msgid "Display tables."
 msgstr "Sj"
 
-#: src/config/options.inc:713
+#: src/config/options.inc:751
 #, fuzzy
 msgid "Display subscripts"
 msgstr "Sna notk~unarkort"
 
-#: src/config/options.inc:715
+#: src/config/options.inc:753
 msgid "Display subscripts (as [thing])."
 msgstr ""
 
-#: src/config/options.inc:717
+#: src/config/options.inc:755
 #, fuzzy
 msgid "Display superscripts"
 msgstr "Sna notk~unarkort"
 
-#: src/config/options.inc:719
+#: src/config/options.inc:757
 msgid "Display superscripts (as ^thing)."
 msgstr ""
 
-#: src/config/options.inc:721
+#: src/config/options.inc:759
 msgid "Rendering of HTML link element"
 msgstr ""
 
-#: src/config/options.inc:723
+#: src/config/options.inc:761
 msgid ""
 "How to render <link> tags from the HTML header:\n"
 "0 is nothing\n"
@@ -3222,145 +3223,143 @@ msgid ""
 "5 is everything"
 msgstr ""
 
-#: src/config/options.inc:731
+#: src/config/options.inc:769
 msgid "Underline links"
 msgstr ""
 
-#: src/config/options.inc:733
+#: src/config/options.inc:771
 msgid "Underline links."
 msgstr ""
 
-#: src/config/options.inc:735
+#: src/config/options.inc:773
 msgid "Wrap non breaking space"
 msgstr ""
 
-#: src/config/options.inc:737
+#: src/config/options.inc:775
 msgid ""
-"If set do not honour non breaking space (the nbsp entity)\n"
-"but allow to wrap the text. This can help keeping the width\n"
-"of documents down so no horizontal scrolling is needed."
+"If set do not honour non breaking space (the nbsp entity) but allow to wrap "
+"the text. This can help keeping the width of documents down so no horizontal "
+"scrolling is needed."
 msgstr ""
 
-#: src/config/options.inc:742
+#: src/config/options.inc:780
 #, fuzzy
 msgid "Plain rendering"
 msgstr "Flyt ggn"
 
-#: src/config/options.inc:744
+#: src/config/options.inc:782
 msgid "Options concerning the display of plain text pages."
 msgstr ""
 
-#: src/config/options.inc:746
+#: src/config/options.inc:784
 #, fuzzy
 msgid "Display URIs"
 msgstr "Sj"
 
-#: src/config/options.inc:748
+#: src/config/options.inc:786
 msgid "Display URIs in the document as links."
 msgstr ""
 
-#: src/config/options.inc:750
+#: src/config/options.inc:788
 msgid "Compress empty lines"
 msgstr ""
 
-#: src/config/options.inc:752
+#: src/config/options.inc:790
 msgid "Compress successive empty lines to only one in displayed text."
 msgstr ""
 
-#: src/config/options.inc:755
+#: src/config/options.inc:794
 msgid "URI passing"
 msgstr ""
 
-#: src/config/options.inc:757
+#: src/config/options.inc:796
 msgid ""
-"Rules for passing URIs to external commands. When one rule\n"
-"is defined the link and tab menu will have a menu item that\n"
-"makes it possible to pass the the link, frame or tab URI to\n"
-"an external command. If several rules are defined the link and\n"
-"tab menu will have a submenu of items for each rule. Note, this\n"
-"is mostly useful for launching graphical viewers, since there\n"
-"is no support for releasing the terminal while the command runs.\n"
-"The action and submenus are also available by binding keys to\n"
-"the frame-external-command, the link-external-command, and\n"
-"the tab-external-command actions."
+"Rules for passing URIs to external commands. When one rule is defined the "
+"link and tab menu will have a menu item that makes it possible to pass the "
+"the link, frame or tab URI to an external command. If several rules are "
+"defined the link and tab menu will have a submenu of items for each rule.\n"
+"\n"
+"Note, this is mostly useful for launching graphical viewers, since there is "
+"no support for releasing the terminal while the command runs. The action and "
+"submenus are also available by binding keys to the frame-external-command, "
+"the link-external-command, and the tab-external-command actions."
 msgstr ""
 
-#: src/config/options.inc:770
+#: src/config/options.inc:812
 msgid ""
-"A rule for passing URI to an external command.\n"
-"The format is:\n"
+"A rule for passing URI to an external command. The format is:\n"
 "%c in the string means the current URL\n"
 "%% in the string means '%'\n"
 "Do _not_ put single- or double-quotes around %c."
 msgstr ""
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:780
+#: src/config/options.inc:822
 msgid "Information files"
 msgstr ""
 
-#: src/config/options.inc:782
+#: src/config/options.inc:824
 msgid "Options for information files in ~/.elinks."
 msgstr ""
 
-#: src/config/options.inc:784
+#: src/config/options.inc:826
 #, fuzzy
 msgid "Save interval"
 msgstr "Vistunarvilla"
 
-#: src/config/options.inc:786
+#: src/config/options.inc:828
 msgid ""
-"Interval at which to trigger information files in ~/.elinks\n"
-"to be saved to disk if they have changed (seconds; 0 to disable)"
+"Interval at which to trigger information files in ~/.elinks to be saved to "
+"disk if they have changed (seconds; 0 to disable)"
 msgstr ""
 
-#: src/config/options.inc:789
+#: src/config/options.inc:832
 msgid "Use secure file saving"
 msgstr ""
 
-#: src/config/options.inc:791
+#: src/config/options.inc:834
 msgid ""
-"First write data to unique temporary file, then rename this file\n"
-"upon successfully finishing this. Note that this relates only to\n"
-"config files, not downloaded files. You may want to disable\n"
-"it if you are using some exotic permissions for concerned files.\n"
-"Secure file saving is automagically disabled if file is symlink.\n"
-"Warning: some systems (ie. OS/2, Win32) require that destination\n"
-"file doesn't exist when rename(3) is called, breaking atomicity,\n"
-"and reducing reliability of this feature."
+"First write data to unique temporary file, then rename this file upon "
+"successfully finishing this. Note that this relates only to config files, "
+"not downloaded files. You may want to disable it if you are using some "
+"exotic permissions for concerned files. Secure file saving is automagically "
+"disabled if file is symlink.\n"
+"\n"
+"Warning: some systems (ie. OS/2, Win32) require that destination file "
+"doesn't exist when rename(3) is called, breaking atomicity, and reducing "
+"reliability of this feature."
 msgstr ""
 
-#: src/config/options.inc:800
+#: src/config/options.inc:846
 msgid "Use fsync(3) with secure file saving"
 msgstr ""
 
-#: src/config/options.inc:802
+#: src/config/options.inc:848
 msgid ""
-"When using secure file saving, call fsync(3), if the OS\n"
-"supports it, to force the OS immediately to write the data\n"
-"to permanent storage. This is optional for those who wish\n"
-"to avoid excessive disk I/O."
+"When using secure file saving, call fsync(3), if the OS supports it, to "
+"force the OS immediately to write the data to permanent storage. This is "
+"optional for those who wish to avoid excessive disk I/O."
 msgstr ""
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:811
+#: src/config/options.inc:857
 #, fuzzy
 msgid "Terminals"
 msgstr "Stillingar skeljar"
 
-#: src/config/options.inc:813
+#: src/config/options.inc:859
 #, fuzzy
 msgid "Terminal options."
 msgstr "Stillingar skeljar"
 
-#: src/config/options.inc:817
+#: src/config/options.inc:863
 msgid "Options specific to this terminal type (according to $TERM value)."
 msgstr ""
 
-#: src/config/options.inc:842
+#: src/config/options.inc:889
 msgid ""
-"Terminal type; matters mostly only when drawing frames and\n"
-"dialog box borders:\n"
+"Terminal type; matters mostly only when drawing frames and dialog box "
+"borders:\n"
 "0 is dumb terminal type, ASCII art\n"
 "1 is VT100, simple but portable\n"
 "2 is Linux, you get double frames and other goodies\n"
@@ -3368,15 +3367,31 @@ msgid ""
 "4 is FreeBSD"
 msgstr ""
 
-#: src/config/options.inc:850 src/dialogs/options.c:227
+#: src/config/options.inc:897
+msgid "Always encode xterm title in ISO-8859-1"
+msgstr ""
+
+#: src/config/options.inc:899
+msgid ""
+"When updating the window title of xterm or a similar terminal emulator, "
+"encode the title in ISO-8859-1 (Latin-1), rather than in the charset used "
+"for other text in the window. Cyrillic and other characters get replaced "
+"with Latin ones. Xterm requires this unless you explicitly enable UTF-8 "
+"titles in it.\n"
+"\n"
+"If this option does not take effect immediately, try switching to a "
+"different page so that ELinks notices it needs to update the title."
+msgstr ""
+
+#: src/config/options.inc:910 src/dialogs/options.c:227
 msgid "Switch fonts for line drawing"
 msgstr ""
 
-#: src/config/options.inc:852
+#: src/config/options.inc:912
 msgid ""
-"Switch fonts when drawing lines, enabling both local characters\n"
-"and lines working at the same time. ELinks uses this option only if\n"
-"UTF-8 I/O is disabled and the terminal type is Linux or FreeBSD."
+"Switch fonts when drawing lines, enabling both local characters and lines "
+"working at the same time. ELinks uses this option only if UTF-8 I/O is "
+"disabled and the terminal type is Linux or FreeBSD."
 msgstr ""
 
 #. When CONFIG_UTF8 is defined, any code that reads the "utf_8_io"
@@ -3384,37 +3399,37 @@ msgstr ""
 #. * and if so, behave as if "utf_8_io" were 1.  (When CONFIG_UTF8 is
 #. * not defined, it should not be possible to set UTF-8 as "codepage";
 #. * please report any such possibilities as bugs.)
-#: src/config/options.inc:861 src/dialogs/options.c:232
+#: src/config/options.inc:922 src/dialogs/options.c:232
 msgid "UTF-8 I/O"
 msgstr ""
 
-#: src/config/options.inc:863
+#: src/config/options.inc:924
 msgid ""
-"Enable I/O in UTF-8 for Unicode terminals. Note that currently,\n"
-"only the subset of UTF-8 according to terminal codepage is used.\n"
-"ELinks ignores this option if the terminal codepage is UTF-8."
+"Enable I/O in UTF-8 for Unicode terminals. Note that currently, only the "
+"subset of UTF-8 according to terminal codepage is used. ELinks ignores this "
+"option if the terminal codepage is UTF-8."
 msgstr ""
 
-#: src/config/options.inc:867 src/dialogs/options.c:228
+#: src/config/options.inc:929 src/dialogs/options.c:228
 msgid "Restrict frames in cp850/852"
 msgstr "Afturhalda rmmum  cp850/852"
 
-#: src/config/options.inc:869
+#: src/config/options.inc:931
 msgid ""
-"Restrict the characters used when drawing lines. Makes sense\n"
-"only with linux terminals using the cp850/852 character sets."
+"Restrict the characters used when drawing lines. Makes sense only with linux "
+"terminals using the cp850/852 character sets."
 msgstr ""
 
-#: src/config/options.inc:872 src/dialogs/options.c:229
+#: src/config/options.inc:935 src/dialogs/options.c:229
 #, fuzzy
 msgid "Block cursor"
 msgstr "Blokkarbendill"
 
-#: src/config/options.inc:874
+#: src/config/options.inc:937
 msgid ""
-"Move cursor to bottom right corner when done drawing.\n"
-"This is particularly useful when we have a block cursor,\n"
-"so that inversed text is displayed correctly."
+"Move cursor to bottom right corner when done drawing. This is particularly "
+"useful when we have a block cursor, so that inversed text is displayed "
+"correctly."
 msgstr ""
 
 #. The list of modes must be at the end of this string
@@ -3422,13 +3437,15 @@ msgstr ""
 #. * an outer list entry after an inner list.
 #. * TRANSLATORS: This restriction applies only to the
 #. * "en" (English) translation.  (See doc/Makefile.)
-#: src/config/options.inc:885
+#: src/config/options.inc:948
 msgid ""
 "The color mode controls what colors are used and how they are output to the "
 "terminal.\n"
+"\n"
 "Some modes may have been disabled at compile time. The Setup -> Terminal "
 "options dialog lists the modes supported by this executable. If you select "
 "an unsupported mode, ELinks uses 16 colors.\n"
+"\n"
 "The color modes are:\n"
 "0 is mono mode, only 2 colors are used\n"
 "1 is 16 color mode, uses the common ANSI colors\n"
@@ -3437,425 +3454,422 @@ msgid ""
 "4 is true color mode, uses konsole RGB codes"
 msgstr ""
 
-#: src/config/options.inc:898 src/dialogs/options.c:230
+#: src/config/options.inc:963 src/dialogs/options.c:230
 msgid "Transparency"
 msgstr ""
 
-#: src/config/options.inc:900
+#: src/config/options.inc:965
 msgid ""
-"If we should not set the background to black. This is particularly\n"
-"useful when we have a terminal (typically in some windowing\n"
-"environment) with a background image or a transparent background -\n"
-"it will be visible in ELinks as well (but ELinks document color handling\n"
-"will still assume the background is black so if you have a bright "
-"background\n"
-"you might experience contrast problems). Note that this option makes\n"
-"sense only when colors are enabled."
+"If we should not set the background to black. This is particularly useful "
+"when we have a terminal (typically in some windowing environment) with a "
+"background image or a transparent background - it will be visible in ELinks "
+"as well (but ELinks document color handling will still assume the background "
+"is black so if you have a bright background you might experience contrast "
+"problems). Note that this option makes sense only when colors are enabled."
 msgstr ""
 
-#: src/config/options.inc:910
+#: src/config/options.inc:977
 msgid "If we should use underline or enhance the color instead."
 msgstr ""
 
-#: src/config/options.inc:914
+#: src/config/options.inc:982
 msgid ""
-"Codepage of charset used for displaying content on terminal.\n"
-"'System' stands for a codepage determined by a selected locale."
+"Codepage of charset used for displaying content on terminal. 'System' stands "
+"for a codepage determined by a selected locale."
 msgstr ""
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:921
+#: src/config/options.inc:990
 msgid "User interface"
 msgstr ""
 
-#: src/config/options.inc:923
+#: src/config/options.inc:992
 #, fuzzy
 msgid "User interface options."
 msgstr "Stillingar skeljar"
 
-#: src/config/options.inc:927
+#: src/config/options.inc:996
 msgid "Color settings"
 msgstr ""
 
-#: src/config/options.inc:929
+#: src/config/options.inc:998
 msgid "Default user interface color settings."
 msgstr ""
 
-#: src/config/options.inc:956
+#: src/config/options.inc:1025
 #, fuzzy
 msgid "Color terminals"
 msgstr "~BeOS skel"
 
-#: src/config/options.inc:958
+#: src/config/options.inc:1027
 msgid "Color settings for color terminal."
 msgstr ""
 
-#: src/config/options.inc:960
+#: src/config/options.inc:1029
 msgid "Non-color terminals"
 msgstr ""
 
-#: src/config/options.inc:962
+#: src/config/options.inc:1031
 msgid "Color settings for non-color terminal."
 msgstr ""
 
 #. FIXME: obsolete, how to alias them correctly ? --Zas
-#: src/config/options.inc:965
+#: src/config/options.inc:1034
 msgid "Main menu bar"
 msgstr ""
 
-#: src/config/options.inc:967
+#: src/config/options.inc:1036
 msgid "Main menu bar colors."
 msgstr ""
 
-#: src/config/options.inc:969
+#: src/config/options.inc:1038
 msgid "Unselected main menu bar item"
 msgstr ""
 
-#: src/config/options.inc:971
+#: src/config/options.inc:1040
 msgid "Unselected main menu bar item colors."
 msgstr ""
 
-#: src/config/options.inc:973
+#: src/config/options.inc:1042
 msgid "Selected main menu bar item"
 msgstr ""
 
-#: src/config/options.inc:975
+#: src/config/options.inc:1044
 msgid "Selected main menu bar item colors."
 msgstr ""
 
-#: src/config/options.inc:977 src/config/options.inc:1006
+#: src/config/options.inc:1046 src/config/options.inc:1075
 msgid "Hotkey"
 msgstr ""
 
-#: src/config/options.inc:979
+#: src/config/options.inc:1048
 msgid "Main menu hotkey colors."
 msgstr ""
 
-#: src/config/options.inc:981 src/config/options.inc:1010
+#: src/config/options.inc:1050 src/config/options.inc:1079
 msgid "Unselected hotkey"
 msgstr ""
 
-#: src/config/options.inc:983
+#: src/config/options.inc:1052
 msgid "Main menu unselected hotkey colors."
 msgstr ""
 
-#: src/config/options.inc:985 src/config/options.inc:1014
+#: src/config/options.inc:1054 src/config/options.inc:1083
 #, fuzzy
 msgid "Selected hotkey"
 msgstr "Einvalsreitur"
 
-#: src/config/options.inc:987
+#: src/config/options.inc:1056
 msgid "Main menu selected hotkey colors."
 msgstr ""
 
-#: src/config/options.inc:990
+#: src/config/options.inc:1059
 msgid "Menu bar"
 msgstr ""
 
-#: src/config/options.inc:992
+#: src/config/options.inc:1061
 msgid "Menu bar colors."
 msgstr ""
 
-#: src/config/options.inc:994
+#: src/config/options.inc:1063
 msgid "Unselected menu item"
 msgstr ""
 
-#: src/config/options.inc:996
+#: src/config/options.inc:1065
 msgid "Unselected menu item colors."
 msgstr ""
 
-#: src/config/options.inc:998
+#: src/config/options.inc:1067
 #, fuzzy
 msgid "Selected menu item"
 msgstr "Einvalsreitur"
 
-#: src/config/options.inc:1000
+#: src/config/options.inc:1069
 msgid "Selected menu item colors."
 msgstr ""
 
-#: src/config/options.inc:1002
+#: src/config/options.inc:1071
 #, fuzzy
 msgid "Marked menu item"
 msgstr "Einvalsreitur"
 
-#: src/config/options.inc:1004
+#: src/config/options.inc:1073
 msgid "Marked menu item colors."
 msgstr ""
 
-#: src/config/options.inc:1008
+#: src/config/options.inc:1077
 msgid "Menu item hotkey colors."
 msgstr ""
 
-#: src/config/options.inc:1012
+#: src/config/options.inc:1081
 msgid "Menu item unselected hotkey colors."
 msgstr ""
 
-#: src/config/options.inc:1016
+#: src/config/options.inc:1085
 msgid "Menu item selected hotkey colors."
 msgstr ""
 
-#: src/config/options.inc:1018
+#: src/config/options.inc:1087
 #, fuzzy
 msgid "Menu frame"
 msgstr "Engir rammar"
 
-#: src/config/options.inc:1020
+#: src/config/options.inc:1089
 msgid "Menu frame colors."
 msgstr ""
 
-#: src/config/options.inc:1023
+#: src/config/options.inc:1092
 msgid "Dialog"
 msgstr ""
 
-#: src/config/options.inc:1025
+#: src/config/options.inc:1094
 msgid "Dialog colors."
 msgstr ""
 
-#: src/config/options.inc:1035
+#: src/config/options.inc:1104
 msgid "Generic"
 msgstr ""
 
-#: src/config/options.inc:1037
+#: src/config/options.inc:1106
 #, fuzzy
 msgid "Generic dialog colors."
 msgstr "Drepa tengingar  ba~kgrunni"
 
-#: src/config/options.inc:1039
+#: src/config/options.inc:1108
 #, fuzzy
 msgid "Frame"
 msgstr "nafn"
 
-#: src/config/options.inc:1041
+#: src/config/options.inc:1110
 msgid "Dialog frame colors."
 msgstr ""
 
-#: src/config/options.inc:1043
+#: src/config/options.inc:1112
 msgid "Scrollbar"
 msgstr ""
 
-#: src/config/options.inc:1045
+#: src/config/options.inc:1114
 msgid "Scrollbar colors."
 msgstr ""
 
-#: src/config/options.inc:1047
+#: src/config/options.inc:1116
 #, fuzzy
 msgid "Selected scrollbar"
 msgstr "Drepa tengingar  ba~kgrunni"
 
-#: src/config/options.inc:1049
+#: src/config/options.inc:1118
 #, fuzzy
 msgid "Scrollbar selected colors."
 msgstr "Drepa tengingar  ba~kgrunni"
 
-#: src/config/options.inc:1053
+#: src/config/options.inc:1122
 msgid "Dialog title colors."
 msgstr ""
 
-#: src/config/options.inc:1055
+#: src/config/options.inc:1124
 #, fuzzy
 msgid "Text"
 msgstr "Textasvi"
 
-#: src/config/options.inc:1057
+#: src/config/options.inc:1126
 msgid "Dialog text colors."
 msgstr ""
 
-#: src/config/options.inc:1059 src/viewer/text/form.c:1862
+#: src/config/options.inc:1128 src/viewer/text/form.c:1891
 msgid "Checkbox"
 msgstr "Fjlvalshnappur"
 
-#: src/config/options.inc:1061
+#: src/config/options.inc:1130
 msgid "Dialog checkbox colors."
 msgstr ""
 
-#: src/config/options.inc:1063
+#: src/config/options.inc:1132
 #, fuzzy
 msgid "Selected checkbox"
 msgstr "Einvalsreitur"
 
-#: src/config/options.inc:1065
+#: src/config/options.inc:1134
 #, fuzzy
 msgid "Dialog selected checkbox colors."
 msgstr "Drepa tengingar  ba~kgrunni"
 
-#: src/config/options.inc:1067
+#: src/config/options.inc:1136
 #, fuzzy
 msgid "Checkbox label"
 msgstr "Fjlvalshnappur"
 
-#: src/config/options.inc:1069
+#: src/config/options.inc:1138
 msgid "Dialog checkbox label colors."
 msgstr ""
 
-#: src/config/options.inc:1071
+#: src/config/options.inc:1140
 msgid "Button"
 msgstr ""
 
-#: src/config/options.inc:1073 src/config/options.inc:1081
+#: src/config/options.inc:1142 src/config/options.inc:1150
 msgid "Dialog button colors."
 msgstr ""
 
-#: src/config/options.inc:1075
+#: src/config/options.inc:1144
 msgid "Selected button"
 msgstr ""
 
-#: src/config/options.inc:1077 src/config/options.inc:1085
+#: src/config/options.inc:1146 src/config/options.inc:1154
 msgid "Dialog selected button colors."
 msgstr ""
 
-#: src/config/options.inc:1079
+#: src/config/options.inc:1148
 msgid "Button shortcut"
 msgstr ""
 
-#: src/config/options.inc:1083
+#: src/config/options.inc:1152
 #, fuzzy
 msgid "Selected button shortcut"
 msgstr "Einvalsreitur"
 
-#: src/config/options.inc:1087 src/viewer/text/form.c:1866
+#: src/config/options.inc:1156 src/viewer/text/form.c:1895
 msgid "Text field"
 msgstr "Textareitur"
 
-#: src/config/options.inc:1089
+#: src/config/options.inc:1158
 msgid "Dialog text field colors."
 msgstr ""
 
-#: src/config/options.inc:1091
+#: src/config/options.inc:1160
 #, fuzzy
 msgid "Text field text"
 msgstr "Textareitur"
 
-#: src/config/options.inc:1093
+#: src/config/options.inc:1162
 msgid "Dialog field text colors."
 msgstr ""
 
-#: src/config/options.inc:1095
+#: src/config/options.inc:1164
 msgid "Meter"
 msgstr ""
 
-#: src/config/options.inc:1097
+#: src/config/options.inc:1166
 msgid "Dialog meter colors."
 msgstr ""
 
-#: src/config/options.inc:1099
+#: src/config/options.inc:1168
 msgid "Shadow"
 msgstr ""
 
-#: src/config/options.inc:1101
+#: src/config/options.inc:1170
 msgid "Dialog shadow colors (see ui.shadows option)."
 msgstr ""
 
-#: src/config/options.inc:1103
+#: src/config/options.inc:1172
 msgid "Title bar"
 msgstr ""
 
-#: src/config/options.inc:1105
+#: src/config/options.inc:1174
 msgid "Title bar colors."
 msgstr ""
 
-#: src/config/options.inc:1107
+#: src/config/options.inc:1176
 msgid "Generic title bar"
 msgstr ""
 
-#: src/config/options.inc:1109
+#: src/config/options.inc:1178
 msgid "Generic title bar colors."
 msgstr ""
 
-#: src/config/options.inc:1111
+#: src/config/options.inc:1180
 msgid "Title bar text"
 msgstr ""
 
-#: src/config/options.inc:1113
+#: src/config/options.inc:1182
 msgid "Title bar text colors."
 msgstr ""
 
-#: src/config/options.inc:1116
+#: src/config/options.inc:1185
 msgid "Status bar"
 msgstr ""
 
-#: src/config/options.inc:1118
+#: src/config/options.inc:1187
 msgid "Status bar colors."
 msgstr ""
 
-#: src/config/options.inc:1120
+#: src/config/options.inc:1189
 msgid "Generic status bar"
 msgstr ""
 
-#: src/config/options.inc:1122
+#: src/config/options.inc:1191
 msgid "Generic status bar colors."
 msgstr ""
 
-#: src/config/options.inc:1124
+#: src/config/options.inc:1193
 #, fuzzy
 msgid "Status bar text"
 msgstr "Leita a texta"
 
-#: src/config/options.inc:1126
+#: src/config/options.inc:1195
 msgid "Status bar text colors."
 msgstr ""
 
-#: src/config/options.inc:1129
+#: src/config/options.inc:1198
 msgid "Tabs bar"
 msgstr ""
 
-#: src/config/options.inc:1131
+#: src/config/options.inc:1200
 msgid "Tabs bar colors."
 msgstr ""
 
-#: src/config/options.inc:1133
+#: src/config/options.inc:1202
 #, fuzzy
 msgid "Unvisited tab"
 msgstr "Einvalsreitur"
 
-#: src/config/options.inc:1135
+#: src/config/options.inc:1204
 msgid ""
-"Tab colors for tabs that have not been\n"
-"selected since they completed loading."
+"Tab colors for tabs that have not been selected since they completed loading."
 msgstr ""
 
-#: src/config/options.inc:1138
+#: src/config/options.inc:1207
 #, fuzzy
 msgid "Unselected tab"
 msgstr "Einvalsreitur"
 
-#: src/config/options.inc:1140
+#: src/config/options.inc:1209
 #, fuzzy
 msgid "Unselected tab colors."
 msgstr "Drepa tengingar  ba~kgrunni"
 
-#: src/config/options.inc:1142
+#: src/config/options.inc:1211
 #, fuzzy
 msgid "Loading tab"
 msgstr "hle"
 
-#: src/config/options.inc:1144
+#: src/config/options.inc:1213
 msgid "Tab colors for tabs that are loading in the background."
 msgstr ""
 
-#: src/config/options.inc:1146
+#: src/config/options.inc:1215
 #, fuzzy
 msgid "Selected tab"
 msgstr "Einvalsreitur"
 
-#: src/config/options.inc:1148
+#: src/config/options.inc:1217
 #, fuzzy
 msgid "Selected tab colors."
 msgstr "Drepa tengingar  ba~kgrunni"
 
-#: src/config/options.inc:1150
+#: src/config/options.inc:1219
 msgid "Tab separator"
 msgstr ""
 
-#: src/config/options.inc:1152
+#: src/config/options.inc:1221
 msgid "Tab separator colors."
 msgstr ""
 
-#: src/config/options.inc:1155
+#: src/config/options.inc:1224
 #, fuzzy
 msgid "Searched strings"
 msgstr "gildur strengur"
 
-#: src/config/options.inc:1157
+#: src/config/options.inc:1226
 #, fuzzy
 msgid "Searched string highlight colors."
 msgstr "Leitarstrengur ekki fundinn"
@@ -3864,69 +3878,69 @@ msgstr "Leitarstrengur ekki fundinn"
 #. ============= BORING PART (colors) END ===================
 #. ==========================================================
 #. Keep options in alphabetical order.
-#: src/config/options.inc:1166
+#: src/config/options.inc:1235
 msgid "Dialog settings"
 msgstr ""
 
-#: src/config/options.inc:1168
+#: src/config/options.inc:1237
 msgid "Dialogs-specific appearance and behaviour settings."
 msgstr ""
 
-#: src/config/options.inc:1171
+#: src/config/options.inc:1240
 msgid "Minimal height of listbox widget"
 msgstr ""
 
-#: src/config/options.inc:1173
+#: src/config/options.inc:1242
 msgid ""
-"Minimal height of the listbox widget (used e.g. for bookmarks\n"
-"or global history)."
+"Minimal height of the listbox widget (used e.g. for bookmarks or global "
+"history)."
 msgstr ""
 
-#: src/config/options.inc:1176
+#: src/config/options.inc:1245
 msgid "Drop shadows"
 msgstr ""
 
-#: src/config/options.inc:1178
+#: src/config/options.inc:1247
 msgid ""
-"Make dialogs drop shadows (the shadows are solid, you can\n"
-"adjust their color by ui.colors.*.dialog.shadow). You may\n"
-"also want to eliminate the wide borders by adjusting setup.h."
+"Make dialogs drop shadows (the shadows are solid, you can adjust their color "
+"by ui.colors.*.dialog.shadow). You may also want to eliminate the wide "
+"borders by adjusting setup.h."
 msgstr ""
 
-#: src/config/options.inc:1182
+#: src/config/options.inc:1252
 #, fuzzy
 msgid "Underline menu hotkeys"
 msgstr "Einvalsreitur"
 
-#: src/config/options.inc:1184
+#: src/config/options.inc:1254
 msgid ""
-"Whether to underline hotkeys in menus to make them more\n"
-"visible. Requires that underlining is enabled for the terminal."
+"Whether to underline hotkeys in menus to make them more visible. Requires "
+"that underlining is enabled for the terminal."
 msgstr ""
 
-#: src/config/options.inc:1187
+#: src/config/options.inc:1258
 #, fuzzy
 msgid "Underline button shortcuts"
 msgstr "Einvalsreitur"
 
-#: src/config/options.inc:1189
+#: src/config/options.inc:1260
 msgid ""
-"Whether to underline button shortcuts to make them more\n"
-"visible. Requires that underlining is enabled for the terminal."
+"Whether to underline button shortcuts to make them more visible. Requires "
+"that underlining is enabled for the terminal."
 msgstr ""
 
-#: src/config/options.inc:1193
+#: src/config/options.inc:1265
 #, fuzzy
 msgid "Timer options"
 msgstr "Stillingar skeljar"
 
-#: src/config/options.inc:1195
+#: src/config/options.inc:1267
 msgid ""
-"Timed action after certain interval of user inactivity. Someone can\n"
-"even find this useful, although you may not believe that."
+"Timed action after certain interval of user inactivity. Someone can even "
+"find this useful, although you may not believe that."
 msgstr ""
 
-#: src/config/options.inc:1201
+#: src/config/options.inc:1274
 msgid ""
 "Whether to enable the timer or not:\n"
 "0 is don't count down anything\n"
@@ -3934,7 +3948,7 @@ msgid ""
 "2 is count down and show the timer near LEDs"
 msgstr ""
 
-#: src/config/options.inc:1208
+#: src/config/options.inc:1281
 msgid ""
 "Whether to enable the timer or not:\n"
 "0 is don't count down anything\n"
@@ -3942,35 +3956,35 @@ msgid ""
 "2 is count down and show the timer near LEDs (DISABLED)"
 msgstr ""
 
-#: src/config/options.inc:1214
+#: src/config/options.inc:1287
 msgid "Duration"
 msgstr ""
 
-#: src/config/options.inc:1216
+#: src/config/options.inc:1289
 msgid ""
-"Inactivity timeout in seconds. The maximum of one day\n"
-"should be enough for just everyone (TM)."
+"Inactivity timeout in seconds. The maximum of one day should be enough for "
+"just everyone (TM)."
 msgstr ""
 
-#: src/config/options.inc:1221
+#: src/config/options.inc:1294
 msgid "Keybinding action to be triggered when timer reaches zero."
 msgstr ""
 
-#: src/config/options.inc:1224
+#: src/config/options.inc:1298
 #, fuzzy
 msgid "Window tabs"
 msgstr "Gluggi"
 
-#: src/config/options.inc:1226
+#: src/config/options.inc:1300
 msgid "Window tabs settings."
 msgstr ""
 
-#: src/config/options.inc:1228
+#: src/config/options.inc:1302
 #, fuzzy
 msgid "Display tabs bar"
 msgstr "Sna notk~unarkort"
 
-#: src/config/options.inc:1230
+#: src/config/options.inc:1304
 msgid ""
 "Show tabs bar on the screen:\n"
 "0 means never\n"
@@ -3978,170 +3992,169 @@ msgid ""
 "2 means always"
 msgstr ""
 
-#: src/config/options.inc:1235
+#: src/config/options.inc:1309
 msgid "Tab bar at top"
 msgstr ""
 
-#: src/config/options.inc:1237
+#: src/config/options.inc:1311
 msgid "Whether display tab bar at top like other browsers do."
 msgstr ""
 
-#: src/config/options.inc:1239
+#: src/config/options.inc:1313
 msgid "Wrap-around tabs cycling"
 msgstr ""
 
-#: src/config/options.inc:1241
+#: src/config/options.inc:1315
 msgid ""
-"When moving right from the last tab, jump to the first one, and\n"
-"vice versa."
+"When moving right from the last tab, jump to the first one, and vice versa."
 msgstr ""
 
-#: src/config/options.inc:1244
+#: src/config/options.inc:1318
 msgid "Confirm tab closing"
 msgstr ""
 
-#: src/config/options.inc:1246
+#: src/config/options.inc:1320
 msgid "When closing a tab show confirmation dialog."
 msgstr ""
 
 #. OPT_LANGUAGE
-#: src/config/options.inc:1250 src/config/opttypes.c:483
+#: src/config/options.inc:1324 src/config/opttypes.c:483
 msgid "Language"
 msgstr ""
 
-#: src/config/options.inc:1252
+#: src/config/options.inc:1326
 msgid ""
-"Language of user interface. 'System' means that the language will\n"
-"be extracted from the environment dynamically."
+"Language of user interface. 'System' means that the language will be "
+"extracted from the environment dynamically."
 msgstr ""
 
-#: src/config/options.inc:1255
+#: src/config/options.inc:1330
 #, fuzzy
 msgid "Display menu bar always"
 msgstr "Sna notk~unarkort"
 
-#: src/config/options.inc:1257
+#: src/config/options.inc:1332
 msgid "Always show menu bar on the screen."
 msgstr ""
 
-#: src/config/options.inc:1259
+#: src/config/options.inc:1334
 #, fuzzy
 msgid "Display status bar"
 msgstr "Sna notk~unarkort"
 
-#: src/config/options.inc:1261
+#: src/config/options.inc:1336
 msgid "Show status bar on the screen."
 msgstr ""
 
-#: src/config/options.inc:1263
+#: src/config/options.inc:1338
 #, fuzzy
 msgid "Display title bar"
 msgstr "Sna notk~unarkort"
 
-#: src/config/options.inc:1265
+#: src/config/options.inc:1340
 msgid "Show title bar on the screen."
 msgstr ""
 
-#: src/config/options.inc:1267
+#: src/config/options.inc:1342
 msgid "Display goto dialog in new tabs"
 msgstr ""
 
-#: src/config/options.inc:1269
+#: src/config/options.inc:1344
 msgid ""
-"Pop up goto dialog in newly created tabs when there's no homepage\n"
-"set. This means also showing goto dialog on startup."
+"Pop up goto dialog in newly created tabs when there's no homepage set. This "
+"means also showing goto dialog on startup."
 msgstr ""
 
-#: src/config/options.inc:1272
+#: src/config/options.inc:1348
 msgid "Show a message box when file is saved successfully"
 msgstr ""
 
-#: src/config/options.inc:1274
+#: src/config/options.inc:1350
 msgid ""
-"When you pressed a [ Save ] button in some manager, this option\n"
-"will make sure that a box confirming success of the operation will\n"
-"pop up."
+"When you pressed a [ Save ] button in some manager, this option will make "
+"sure that a box confirming success of the operation will pop up."
 msgstr ""
 
-#: src/config/options.inc:1279
+#: src/config/options.inc:1355
 #, fuzzy
 msgid "Sessions"
 msgstr "Skrarendingar"
 
-#: src/config/options.inc:1281
+#: src/config/options.inc:1357
 msgid "Sessions settings."
 msgstr ""
 
-#: src/config/options.inc:1283
+#: src/config/options.inc:1359
 msgid "Keep session active"
 msgstr ""
 
-#: src/config/options.inc:1285
+#: src/config/options.inc:1361
 msgid "Keep the session active even if the last terminal exits."
 msgstr ""
 
-#: src/config/options.inc:1287
+#: src/config/options.inc:1364
 msgid "Auto save session"
 msgstr ""
 
-#: src/config/options.inc:1289
+#: src/config/options.inc:1366
 msgid ""
 "Automatically save the session when quitting.\n"
+"\n"
 "This feature requires bookmark support."
 msgstr ""
 
-#: src/config/options.inc:1292
+#: src/config/options.inc:1370
 msgid "Auto restore session"
 msgstr ""
 
-#: src/config/options.inc:1294
+#: src/config/options.inc:1372
 msgid ""
 "Automatically restore the session at start.\n"
+"\n"
 "This feature requires bookmark support."
 msgstr ""
 
-#: src/config/options.inc:1297
+#: src/config/options.inc:1376
 msgid "Auto save and restore session folder name"
 msgstr ""
 
-#: src/config/options.inc:1299
+#: src/config/options.inc:1378
 msgid ""
-"Name of the bookmarks folder used for auto saving and restoring session.\n"
-"The name has to be unique. Any folders with the same name will be deleted.\n"
+"Name of the bookmarks folder used for auto saving and restoring session. The "
+"name has to be unique. Any folders with the same name will be deleted.\n"
+"\n"
 "This only makes sense with bookmark support."
 msgstr ""
 
-#: src/config/options.inc:1303
+#: src/config/options.inc:1384
 #, fuzzy
 msgid "Homepage URI"
 msgstr "Lyklasett"
 
-#: src/config/options.inc:1305
+#: src/config/options.inc:1386
 msgid ""
-"The URI to load either at startup time when no URI was given\n"
-"on the command line or when requested by the goto-url-home action.\n"
-"Set to \"\" if the environment variable WWW_HOME should be used\n"
-"as homepage URI instead."
+"The URI to load either at startup time when no URI was given on the command "
+"line or when requested by the goto-url-home action. Set to \"\" if the "
+"environment variable WWW_HOME should be used as homepage URI instead."
 msgstr ""
 
-#: src/config/options.inc:1311
+#: src/config/options.inc:1392
 #, fuzzy
 msgid "Date format"
 msgstr "Upphlun skrar"
 
-#: src/config/options.inc:1313
+#: src/config/options.inc:1394
 msgid "Date format to use in dialogs. See strftime(3)."
 msgstr ""
 
-#: src/config/options.inc:1316
+#: src/config/options.inc:1397
 msgid "Set window title"
 msgstr ""
 
-#: src/config/options.inc:1318
+#: src/config/options.inc:1399
 msgid ""
-"Set the window title when running in a windowing environment\n"
-"in an xterm-like terminal. This way the document's title is\n"
-"shown on the window titlebar."
+"Set the window title when running in a windowing environment in an xterm-"
+"like terminal. This way the document's title is shown on the window titlebar."
 msgstr ""
 
 #: src/config/opttypes.c:54
@@ -4228,7 +4241,7 @@ msgid "Goto URL History"
 msgstr "Engin saga"
 
 #. name:
-#: src/cookies/cookies.c:88 src/cookies/cookies.c:911
+#: src/cookies/cookies.c:88 src/cookies/cookies.c:913
 msgid "Cookies"
 msgstr ""
 
@@ -4258,10 +4271,10 @@ msgstr "Opna tengingu"
 msgid ""
 "Cookie maximum age (in days):\n"
 "-1 is use cookie's expiration date if any\n"
-"0  is force expiration at the end of session, ignoring cookie's\n"
-"   expiration date\n"
-"1+ is use cookie's expiration date, but limit age to the given\n"
-"   number of days"
+"0  is force expiration at the end of session, ignoring\n"
+"   cookie's expiration date\n"
+"1+ is use cookie's expiration date, but limit age to the\n"
+"   given number of days"
 msgstr ""
 
 #: src/cookies/cookies.c:109
@@ -4270,42 +4283,42 @@ msgstr ""
 
 #: src/cookies/cookies.c:111
 msgid ""
-"When enabled, we'll require three dots in cookies domain for all\n"
-"non-international domains (instead of just two dots). Some countries\n"
-"have generic second level domains (eg. .com.pl, .co.uk) and allowing\n"
-"sites to set cookies for these generic domains could potentially be\n"
-"very bad. Note, it is off by default as it breaks a lot of sites."
+"When enabled, we'll require three dots in cookies domain for all non-"
+"international domains (instead of just two dots). Some countries have "
+"generic second level domains (eg. .com.pl, .co.uk) and allowing sites to set "
+"cookies for these generic domains could potentially be very bad. Note, it is "
+"off by default as it breaks a lot of sites."
 msgstr ""
 
-#: src/cookies/cookies.c:117
+#: src/cookies/cookies.c:118
 #, fuzzy
 msgid "Saving"
 msgstr "mealt"
 
-#: src/cookies/cookies.c:119
+#: src/cookies/cookies.c:120
 msgid "Whether cookies should be loaded from and saved to disk."
 msgstr ""
 
-#: src/cookies/cookies.c:121
+#: src/cookies/cookies.c:123
 msgid "Resaving"
 msgstr ""
 
-#: src/cookies/cookies.c:123
+#: src/cookies/cookies.c:125
 msgid ""
-"Save cookies after each change in cookies list? No effect when\n"
-"cookie saving (cookies.save) is off."
+"Save cookies after each change in cookies list? No effect when cookie saving "
+"(cookies.save) is off."
 msgstr ""
 
-#: src/cookies/cookies.c:817
+#: src/cookies/cookies.c:819
 #, fuzzy
 msgid "Cannot save cookies"
 msgstr "Villa vi ritun skrar"
 
-#: src/cookies/cookies.c:828
+#: src/cookies/cookies.c:830
 msgid "ELinks was started without a home directory."
 msgstr ""
 
-#: src/cookies/cookies.c:834
+#: src/cookies/cookies.c:836
 msgid "ELinks was started with the -anonymous option."
 msgstr ""
 
@@ -4520,7 +4533,7 @@ msgid "No header info."
 msgstr ""
 
 #: src/dialogs/download.c:243 src/dialogs/menu.c:601
-#: src/protocol/bittorrent/dialogs.c:228 src/session/download.c:361
+#: src/protocol/bittorrent/dialogs.c:228 src/session/download.c:387
 msgid "Download"
 msgstr "Niurhlaa"
 
@@ -5377,7 +5390,7 @@ msgid "No document"
 msgstr "skjl"
 
 #. name:
-#: src/document/css/css.c:30 src/document/css/css.c:161
+#: src/document/css/css.c:30 src/document/css/css.c:164
 msgid "Cascading Style Sheets"
 msgstr ""
 
@@ -5385,36 +5398,36 @@ msgstr ""
 msgid "Options concerning how to use CSS for styling documents."
 msgstr ""
 
-#: src/document/css/css.c:34
+#: src/document/css/css.c:35
 #, fuzzy
 msgid "Enable CSS"
 msgstr "nafn"
 
-#: src/document/css/css.c:36
+#: src/document/css/css.c:37
 msgid "Enable adding of CSS style info to documents."
 msgstr ""
 
-#: src/document/css/css.c:38
+#: src/document/css/css.c:39
 msgid "Import external style sheets"
 msgstr ""
 
-#: src/document/css/css.c:40
+#: src/document/css/css.c:41
 msgid ""
-"When enabled any external style sheets that are imported from\n"
-"either CSS itself using the @import keyword or from the HTML using\n"
-"<link> tags in the document header will also be downloaded."
+"When enabled any external style sheets that are imported from either CSS "
+"itself using the @import keyword or from the HTML using <link> tags in the "
+"document header will also be downloaded."
 msgstr ""
 
-#: src/document/css/css.c:44
+#: src/document/css/css.c:46
 msgid "Default style sheet"
 msgstr ""
 
-#: src/document/css/css.c:46
+#: src/document/css/css.c:48
 msgid ""
-"The path to the file containing the default user defined\n"
-"Cascading Style Sheet. It can be used to control the basic\n"
-"layout of HTML documents. The path is assumed to be relative\n"
-"to ELinks' home directory.\n"
+"The path to the file containing the default user defined Cascading Style "
+"Sheet. It can be used to control the basic layout of HTML documents. The "
+"path is assumed to be relative to ELinks' home directory.\n"
+"\n"
 "Leave as \"\" to use built-in document styling."
 msgstr ""
 
@@ -5446,8 +5459,8 @@ msgstr ""
 
 #: src/ecmascript/ecmascript.c:55
 msgid ""
-"Whether to ignore content enclosed by the <noscript> tag\n"
-"when ECMAScript is enabled."
+"Whether to ignore content enclosed by the <noscript> tag when ECMAScript is "
+"enabled."
 msgstr ""
 
 #: src/ecmascript/ecmascript.c:58
@@ -5499,7 +5512,7 @@ msgid "JavaScript Error"
 msgstr ""
 
 #. name:
-#: src/ecmascript/spidermonkey.c:320
+#: src/ecmascript/spidermonkey.c:321
 msgid "SpiderMonkey"
 msgstr ""
 
@@ -5597,9 +5610,8 @@ msgstr "Stillingar skeljar"
 
 #: src/formhist/formhist.c:38
 msgid ""
-"Ask if a login form should be saved to file or not.\n"
-"This option only disables the dialog, already saved login\n"
-"forms are unaffected."
+"Ask if a login form should be saved to file or not. This option only "
+"disables the dialog, already saved login forms are unaffected."
 msgstr ""
 
 #: src/formhist/formhist.c:426
@@ -5701,20 +5713,20 @@ msgstr ""
 msgid "Enable global history (\"history of all pages visited\")."
 msgstr ""
 
-#: src/globhist/globhist.c:68
+#: src/globhist/globhist.c:69
 msgid "Maximum number of entries"
 msgstr ""
 
-#: src/globhist/globhist.c:70
+#: src/globhist/globhist.c:71
 msgid "Maximum number of entries in the global history."
 msgstr ""
 
-#: src/globhist/globhist.c:72
+#: src/globhist/globhist.c:73
 #, fuzzy
 msgid "Display style"
 msgstr "Sna notk~unarkort"
 
-#: src/globhist/globhist.c:74
+#: src/globhist/globhist.c:75
 msgid ""
 "What to display in global history dialog:\n"
 "0 is URLs\n"
@@ -5722,7 +5734,7 @@ msgid ""
 msgstr ""
 
 #. name:
-#: src/globhist/globhist.c:451
+#: src/globhist/globhist.c:449
 #, fuzzy
 msgid "Global History"
 msgstr "Engin saga"
@@ -5951,101 +5963,95 @@ msgstr ""
 
 #: src/mime/backend/default.c:27
 msgid ""
-"Handler <-> MIME type association. The first sub-tree is the MIME\n"
-"class while the second sub-tree is the MIME type (ie. image/gif\n"
-"handler will reside at mime.type.image.gif). Each MIME type option\n"
-"should contain (case-sensitive) name of the MIME handler (its\n"
-"properties are stored at mime.handler.<name>)."
+"Handler <-> MIME type association. The first sub-tree is the MIME class "
+"while the second sub-tree is the MIME type (ie. image/gif handler will "
+"reside at mime.type.image.gif). Each MIME type option should contain (case-"
+"sensitive) name of the MIME handler (its properties are stored at mime."
+"handler.<name>)."
 msgstr ""
 
-#: src/mime/backend/default.c:35
+#: src/mime/backend/default.c:36
 msgid ""
-"Handler matching this MIME-type class ('*' is used here in place\n"
-"of '.')."
+"Handler matching this MIME-type class ('*' is used here in place of '.')."
 msgstr ""
 
-#: src/mime/backend/default.c:40
+#: src/mime/backend/default.c:41
 msgid ""
-"Handler matching this MIME-type name ('*' is used here in place\n"
-"of '.')."
+"Handler matching this MIME-type name ('*' is used here in place of '.')."
 msgstr ""
 
-#: src/mime/backend/default.c:44
+#: src/mime/backend/default.c:45
 msgid "File type handlers"
 msgstr ""
 
-#: src/mime/backend/default.c:46
+#: src/mime/backend/default.c:47
 msgid ""
-"A file type handler is a set of information about how to use\n"
-"an external program to view a file. It is possible to refer to it\n"
-"for several MIME types -- e.g., you can define an 'image' handler\n"
-"to which mime.type.image.png, mime.type.image.jpeg, and so on will\n"
-"refer; or one might define a handler for a more specific type of file\n"
-"-- e.g., PDF files.\n"
-"Note you must define both a MIME handler and a MIME type association\n"
-"for it to work."
+"A file type handler is a set of information about how to use an external "
+"program to view a file. It is possible to refer to it for several MIME types "
+"-- e.g., you can define an 'image' handler to which mime.type.image.png, "
+"mime.type.image.jpeg, and so on will refer; or one might define a handler "
+"for a more specific type of file -- e.g., PDF files. Note you must define "
+"both a MIME handler and a MIME type association for it to work."
 msgstr ""
 
-#: src/mime/backend/default.c:57
+#: src/mime/backend/default.c:58
 msgid "Description of this handler."
 msgstr ""
 
-#: src/mime/backend/default.c:61
+#: src/mime/backend/default.c:62
 msgid "System-specific handler description (ie. unix, unix-xwin, ...)."
 msgstr ""
 
-#: src/mime/backend/default.c:63 src/mime/backend/mailcap.c:102
+#: src/mime/backend/default.c:65 src/mime/backend/mailcap.c:102
 msgid "Ask before opening"
 msgstr ""
 
-#: src/mime/backend/default.c:65
+#: src/mime/backend/default.c:67
 msgid "Ask before opening."
 msgstr ""
 
-#: src/mime/backend/default.c:67
+#: src/mime/backend/default.c:69
 #, fuzzy
 msgid "Block terminal"
 msgstr "~BeOS skel"
 
-#: src/mime/backend/default.c:69
+#: src/mime/backend/default.c:71
 msgid "Block the terminal when the handler is running."
 msgstr ""
 
-#: src/mime/backend/default.c:71
+#: src/mime/backend/default.c:73
 #, fuzzy
 msgid "Program"
 msgstr "Ekkert forrit"
 
-#: src/mime/backend/default.c:74
+#: src/mime/backend/default.c:76
 #, no-c-format
 msgid ""
-"External viewer for this file type. '%' in this string will be\n"
-"substituted by a file name.\n"
-"Do _not_ put single- or double-quotes around the % sign."
+"External viewer for this file type. '%' in this string will be substituted "
+"by a file name. Do _not_ put single- or double-quotes around the % sign."
 msgstr ""
 
-#: src/mime/backend/default.c:79
+#: src/mime/backend/default.c:81
 #, fuzzy
 msgid "File extension associations"
 msgstr "Skrar~endingar"
 
-#: src/mime/backend/default.c:81
+#: src/mime/backend/default.c:83
 msgid "Extension <-> MIME type association."
 msgstr ""
 
-#: src/mime/backend/default.c:85
+#: src/mime/backend/default.c:87
 msgid ""
-"MIME-type matching this file extension ('*' is used here in place\n"
-"of '.')."
+"MIME-type matching this file extension ('*' is used here in place of '.')."
 msgstr ""
 
 #. name:
-#: src/mime/backend/default.c:216
+#: src/mime/backend/default.c:218
 msgid "Option system"
 msgstr ""
 
 #. name:
-#: src/mime/backend/mailcap.c:89 src/mime/backend/mailcap.c:684
+#: src/mime/backend/mailcap.c:89 src/mime/backend/mailcap.c:686
 msgid "Mailcap"
 msgstr ""
 
@@ -6059,8 +6065,8 @@ msgstr ""
 
 #: src/mime/backend/mailcap.c:99
 msgid ""
-"Mailcap search path. Colon-separated list of files.\n"
-"Leave as \"\" to use MAILCAP environment variable instead."
+"Mailcap search path. Colon-separated list of files. Leave as \"\" to use "
+"MAILCAP environment variable instead."
 msgstr ""
 
 #: src/mime/backend/mailcap.c:104
@@ -6073,39 +6079,38 @@ msgstr ""
 
 #: src/mime/backend/mailcap.c:108
 msgid ""
-"Type of description to show in \"what to do with this file\"\n"
-"query dialog:\n"
+"Type of description to show in \"what to do with this file\" query dialog:\n"
 "0 is show \"mailcap\"\n"
 "1 is show program to be run\n"
-"2 is show mailcap description field if any; \"mailcap\" otherwise"
+"2 is show mailcap description field if any;\n"
+"     \"mailcap\" otherwise"
 msgstr ""
 
-#: src/mime/backend/mailcap.c:114
+#: src/mime/backend/mailcap.c:115
 msgid "Prioritize entries by file"
 msgstr ""
 
-#: src/mime/backend/mailcap.c:116
+#: src/mime/backend/mailcap.c:117
 msgid ""
-"Prioritize entries by the order of the files in the mailcap\n"
-"path. This means that wildcard entries (like: image/*) will\n"
-"also be checked before deciding the handler."
+"Prioritize entries by the order of the files in the mailcap path. This means "
+"that wildcard entries (like: image/*) will also be checked before deciding "
+"the handler."
 msgstr ""
 
-#: src/mime/backend/mailcap.c:349
+#: src/mime/backend/mailcap.c:351
 #, c-format
 msgid "Badly formated mailcap entry for type %s in \"%s\" line %d"
 msgstr ""
 
 #. name:
-#: src/mime/backend/mimetypes.c:46 src/mime/backend/mimetypes.c:279
+#: src/mime/backend/mimetypes.c:46 src/mime/backend/mimetypes.c:280
 msgid "Mimetypes files"
 msgstr ""
 
 #: src/mime/backend/mimetypes.c:48
 msgid ""
-"Options for the support of mime.types files. These files\n"
-"can be used to find the content type of a URL by looking at\n"
-"the extension of the file name."
+"Options for the support of mime.types files. These files can be used to find "
+"the content type of a URL by looking at the extension of the file name."
 msgstr ""
 
 #: src/mime/backend/mimetypes.c:54
@@ -6142,7 +6147,7 @@ msgid "No extensions"
 msgstr "Engar skrarendingar"
 
 #. name:
-#: src/mime/mime.c:38 src/mime/mime.c:360
+#: src/mime/mime.c:38 src/mime/mime.c:361
 msgid "MIME"
 msgstr ""
 
@@ -6156,8 +6161,8 @@ msgstr ""
 
 #: src/mime/mime.c:44
 msgid ""
-"Document MIME-type to assume by default (when we are unable to\n"
-"guess it properly from known information about the document)."
+"Document MIME-type to assume by default (when we are unable to guess it "
+"properly from known information about the document)."
 msgstr ""
 
 #: src/network/ssl/ssl.c:72 src/network/ssl/ssl.c:161
@@ -6166,8 +6171,8 @@ msgstr ""
 
 #: src/network/ssl/ssl.c:74
 msgid ""
-"Verify the peer's SSL certificate. Note that this\n"
-"needs extensive configuration of OpenSSL by the user."
+"Verify the peer's SSL certificate. Note that this needs extensive "
+"configuration of OpenSSL by the user."
 msgstr ""
 
 #: src/network/ssl/ssl.c:77
@@ -6181,8 +6186,8 @@ msgstr "Stillingar skeljar"
 
 #: src/network/ssl/ssl.c:83
 msgid ""
-"Enable or not the sending of X509 client certificates\n"
-"to servers which request them."
+"Enable or not the sending of X509 client certificates to servers which "
+"request them."
 msgstr ""
 
 #: src/network/ssl/ssl.c:86
@@ -6192,16 +6197,15 @@ msgstr "metinn tmi"
 
 #: src/network/ssl/ssl.c:88
 msgid ""
-"The location of a file containing the client certificate\n"
-"and unencrypted private key in PEM format. If unset, the\n"
-"file pointed to by the X509_CLIENT_CERT variable is used\n"
-"instead."
+"The location of a file containing the client certificate and unencrypted "
+"private key in PEM format. If unset, the file pointed to by the "
+"X509_CLIENT_CERT variable is used instead."
 msgstr ""
 
 #: src/network/ssl/ssl.c:163
 msgid ""
-"Verify the peer's SSL certificate.  If you enable\n"
-"this, set also \"Trusted CA file\"."
+"Verify the peer's SSL certificate.  If you enable this, set also \"Trusted "
+"CA file\"."
 msgstr ""
 
 #. The default value of the following option points to a file
@@ -6219,20 +6223,20 @@ msgstr "Flyt ggn"
 
 #: src/network/ssl/ssl.c:176
 msgid ""
-"The location of a file containing certificates of\n"
-"trusted certification authorities in PEM format.\n"
-"ELinks then trusts certificates issued by these CAs.\n"
-"If you change this option or the file, you must\n"
-"restart ELinks for the changes to take effect.\n"
-"This option affects GnuTLS but not OpenSSL."
+"The location of a file containing certificates of trusted certification "
+"authorities in PEM format. ELinks then trusts certificates issued by these "
+"CAs.\n"
+"\n"
+"If you change this option or the file, you must restart ELinks for the "
+"changes to take effect. This option affects GnuTLS but not OpenSSL."
 msgstr ""
 
 #. name:
-#: src/network/ssl/ssl.c:199 src/network/ssl/ssl.c:216
+#: src/network/ssl/ssl.c:200 src/network/ssl/ssl.c:217
 msgid "SSL"
 msgstr ""
 
-#: src/network/ssl/ssl.c:201
+#: src/network/ssl/ssl.c:202
 #, fuzzy
 msgid "SSL options."
 msgstr "V~ista stillingar"
@@ -6568,7 +6572,7 @@ msgstr "Bkamerkjastjri"
 msgid "Login"
 msgstr ""
 
-#: src/protocol/auth/dialogs.c:113 src/protocol/http/http.c:140
+#: src/protocol/auth/dialogs.c:113 src/protocol/http/http.c:142
 msgid "Password"
 msgstr ""
 
@@ -6645,7 +6649,7 @@ msgstr "Bkamerkjastjri"
 
 #. name:
 #: src/protocol/bittorrent/bittorrent.c:26
-#: src/protocol/bittorrent/bittorrent.c:335
+#: src/protocol/bittorrent/bittorrent.c:339
 msgid "BitTorrent"
 msgstr ""
 
@@ -6700,9 +6704,8 @@ msgstr ""
 
 #: src/protocol/bittorrent/bittorrent.c:57
 msgid ""
-"Whether to request that the tracker returns peer info\n"
-"in compact format. Note, the compact format only supports\n"
-"IPv4 addresses."
+"Whether to request that the tracker returns peer info in compact format. "
+"Note, the compact format only supports IPv4 addresses."
 msgstr ""
 
 #: src/protocol/bittorrent/bittorrent.c:61
@@ -6711,57 +6714,55 @@ msgstr ""
 
 #: src/protocol/bittorrent/bittorrent.c:63
 msgid ""
-"The number of seconds to wait between periodically contacting\n"
-"the tracker for announcing progress and requesting more peers.\n"
-"Set to zero to use the interval requested by the tracker."
+"The number of seconds to wait between periodically contacting the tracker "
+"for announcing progress and requesting more peers. Set to zero to use the "
+"interval requested by the tracker."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:67
+#: src/protocol/bittorrent/bittorrent.c:68
 msgid "IP-address to announce"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:69
+#: src/protocol/bittorrent/bittorrent.c:70
 msgid ""
-"What IP address to report to the tracker. If set to \"\"\n"
-"no IP address will be sent and the tracker will automatically\n"
-"determine an appropriate IP address."
+"What IP address to report to the tracker. If set to \"\" no IP address will "
+"be sent and the tracker will automatically determine an appropriate IP "
+"address."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:73
+#: src/protocol/bittorrent/bittorrent.c:74
 #, fuzzy
 msgid "User identification string"
 msgstr "Stillingar skeljar"
 
-#: src/protocol/bittorrent/bittorrent.c:75
+#: src/protocol/bittorrent/bittorrent.c:76
 msgid ""
-"An additional identification that is not shared with any users.\n"
-"It is intended to allow a client to prove their identity should\n"
-"their IP address change. It is an optional parameter, but some\n"
-"trackers require this parameter. If set to \"\" no user key will\n"
-"be sent to the tracker."
+"An additional identification that is not shared with any users. It is "
+"intended to allow a client to prove their identity should their IP address "
+"change. It is an optional parameter, but some trackers require this "
+"parameter. If set to \"\" no user key will be sent to the tracker."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:81
+#: src/protocol/bittorrent/bittorrent.c:82
 #, fuzzy
 msgid "Maximum number of peers to request"
 msgstr "Opna tengingu"
 
-#: src/protocol/bittorrent/bittorrent.c:83
+#: src/protocol/bittorrent/bittorrent.c:84
 msgid ""
-"The maximum number of peers to request from the tracker.\n"
-"Set to 0 to use the server default."
+"The maximum number of peers to request from the tracker. Set to 0 to use the "
+"server default."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:86
+#: src/protocol/bittorrent/bittorrent.c:87
 msgid "Minimum peers to skip rerequesting"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:88
+#: src/protocol/bittorrent/bittorrent.c:89
 msgid ""
-"The minimum number of peers to have in the current peer info\n"
-"pool before skipping requesting of more peers. I.e. setting\n"
-"numwant to zero.\n"
-"Set to 0 to not have any limit."
+"The minimum number of peers to have in the current peer info pool before "
+"skipping requesting of more peers. I.e. setting numwant to zero. Set to 0 to "
+"not have any limit."
 msgstr ""
 
 #. ******************************************************************
@@ -6782,182 +6783,177 @@ msgstr "Opna tengingu"
 
 #: src/protocol/bittorrent/bittorrent.c:104
 msgid ""
-"The maximum number of allowed connections to both active and\n"
-"non-active peers. By increasing the number of allowed connections,\n"
-"the chance of finding good peers to download from is increased.\n"
-"However, too many connections can lead to TCP congestion. If the\n"
-"maximum is reached all new incoming connections will be closed."
+"The maximum number of allowed connections to both active and non-active "
+"peers. By increasing the number of allowed connections, the chance of "
+"finding good peers to download from is increased. However, too many "
+"connections can lead to TCP congestion. If the maximum is reached all new "
+"incoming connections will be closed."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:110
+#: src/protocol/bittorrent/bittorrent.c:111
 msgid "Maximum peer message length"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:112
+#: src/protocol/bittorrent/bittorrent.c:113
 msgid ""
-"The maximum length of messages to accept over the wire.\n"
-"Larger values will cause the connection to be dropped."
+"The maximum length of messages to accept over the wire. Larger values will "
+"cause the connection to be dropped."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:115
+#: src/protocol/bittorrent/bittorrent.c:116
 msgid "Maximum allowed request length"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:117
+#: src/protocol/bittorrent/bittorrent.c:118
 msgid ""
-"The maximum length to allow for incoming requests.\n"
-"Larger requests will cause the connection to be dropped."
+"The maximum length to allow for incoming requests. Larger requests will "
+"cause the connection to be dropped."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:120
+#: src/protocol/bittorrent/bittorrent.c:121
 msgid "Length of requests"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:122
+#: src/protocol/bittorrent/bittorrent.c:123
 msgid ""
-"How many bytes to query for per request. This is complementary\n"
-"to the max_request_length option. If the configured length is\n"
-"bigger than the piece length it will be truncated."
+"How many bytes to query for per request. This is complementary to the "
+"max_request_length option. If the configured length is bigger than the piece "
+"length it will be truncated."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:126
+#: src/protocol/bittorrent/bittorrent.c:128
 #, fuzzy
 msgid "Peer inactivity timeout"
 msgstr "Sknarfrestur trunninn"
 
-#: src/protocol/bittorrent/bittorrent.c:128
+#: src/protocol/bittorrent/bittorrent.c:130
 msgid ""
-"The number of seconds to wait before closing a socket on\n"
-"which nothing has been received or sent."
+"The number of seconds to wait before closing a socket on which nothing has "
+"been received or sent."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:131
+#: src/protocol/bittorrent/bittorrent.c:133
 #, fuzzy
 msgid "Maximum peer pool size"
 msgstr "Opna tengingu"
 
-#: src/protocol/bittorrent/bittorrent.c:133
+#: src/protocol/bittorrent/bittorrent.c:135
 msgid ""
-"Maximum number of items in the peer pool. The peer pool\n"
-"contains information used for establishing connections to\n"
-"new peers.\n"
+"Maximum number of items in the peer pool. The peer pool contains information "
+"used for establishing connections to new peers.\n"
+"\n"
 "Set to 0 to have unlimited size."
 msgstr ""
 
 #. ******************************************************************
 #. Piece management options:
 #. ******************************************************************
-#: src/protocol/bittorrent/bittorrent.c:143
+#: src/protocol/bittorrent/bittorrent.c:146
 #, fuzzy
 msgid "Maximum piece cache size"
 msgstr "Opna tengingu"
 
-#: src/protocol/bittorrent/bittorrent.c:145
+#: src/protocol/bittorrent/bittorrent.c:148
 msgid ""
-"The maximum amount of memory used to hold recently\n"
-"downloaded pieces.\n"
+"The maximum amount of memory used to hold recently downloaded pieces.\n"
+"\n"
 "Set to 0 to have unlimited size."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:154
+#: src/protocol/bittorrent/bittorrent.c:158
 msgid "Sharing rate"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:156
+#: src/protocol/bittorrent/bittorrent.c:160
 msgid ""
-"The minimum sharing rate to achieve before stop seeding.\n"
-"The sharing rate is computed as the number of uploaded bytes\n"
-"divided with the number of downloaded bytes. The value should\n"
-"be a double value between 0.0 and 1.0 both included.\n"
-"Set to 1.0 to atleast upload a complete copy of all data and\n"
+"The minimum sharing rate to achieve before stop seeding. The sharing rate is "
+"computed as the number of uploaded bytes divided with the number of "
+"downloaded bytes. The value should be a double value between 0.0 and 1.0 "
+"both included. Set to 1.0 to atleast upload a complete copy of all data and "
 "set to 0.0 to have unlimited sharing rate."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:163
+#: src/protocol/bittorrent/bittorrent.c:167
 msgid "Maximum number of uploads"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:165
+#: src/protocol/bittorrent/bittorrent.c:169
 msgid "The maximum number of uploads to allow at once."
 msgstr ""
 
 #. The number of uploads to fill out to with extra optimistic unchokes
-#: src/protocol/bittorrent/bittorrent.c:168
+#: src/protocol/bittorrent/bittorrent.c:172
 msgid "Minimum number of uploads"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:170
+#: src/protocol/bittorrent/bittorrent.c:174
 msgid ""
-"The minimum number of uploads which should at least\n"
-"be used for new connections."
+"The minimum number of uploads which should at least be used for new "
+"connections."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:174
+#: src/protocol/bittorrent/bittorrent.c:178
 #, fuzzy
 msgid "Keepalive interval"
 msgstr "Vistunarvilla"
 
-#: src/protocol/bittorrent/bittorrent.c:176
-msgid ""
-"The number of seconds to pause between sending keepalive\n"
-"messages."
+#: src/protocol/bittorrent/bittorrent.c:180
+msgid "The number of seconds to pause between sending keepalive messages."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:179
+#: src/protocol/bittorrent/bittorrent.c:183
 #, fuzzy
 msgid "Number of pending requests"
 msgstr "Milari er a vinna r fyrirspurn"
 
-#: src/protocol/bittorrent/bittorrent.c:181
+#: src/protocol/bittorrent/bittorrent.c:185
 msgid ""
-"How many piece requests to continuously keep in queue. Pipelining\n"
-"of requests is essential to saturate connections and get a good\n"
-"connection performance and thus a faster download. However, a\n"
-"very big queue size can lead to wasting bandwidth near the end\n"
-"of the connection since remaining piece blocks will be requested\n"
-"from multiple peers."
+"How many piece requests to continuously keep in queue. Pipelining of "
+"requests is essential to saturate connections and get a good connection "
+"performance and thus a faster download. However, a very big queue size can "
+"lead to wasting bandwidth near the end of the connection since remaining "
+"piece blocks will be requested from multiple peers."
 msgstr ""
 
 #. Bram uses 30 seconds here.
-#: src/protocol/bittorrent/bittorrent.c:190
+#: src/protocol/bittorrent/bittorrent.c:194
 msgid "Peer snubbing interval"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:192
+#: src/protocol/bittorrent/bittorrent.c:196
 msgid ""
-"The number of seconds to wait for file data before assuming\n"
-"the peer has been snubbed."
+"The number of seconds to wait for file data before assuming the peer has "
+"been snubbed."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:195
+#: src/protocol/bittorrent/bittorrent.c:199
 #, fuzzy
 msgid "Peer choke interval"
 msgstr "Vistunarvilla"
 
-#: src/protocol/bittorrent/bittorrent.c:197
+#: src/protocol/bittorrent/bittorrent.c:201
 msgid ""
-"The number of seconds between updating the connection state\n"
-"and most importantly choke and unchoke peer connections. The\n"
-"choke period should be big enough for newly unchoked connections\n"
-"to get started but small enough to not allow freeriders too much\n"
-"room for stealing bandwidth."
+"The number of seconds between updating the connection state and most "
+"importantly choke and unchoke peer connections. The choke period should be "
+"big enough for newly unchoked connections to get started but small enough to "
+"not allow freeriders too much room for stealing bandwidth."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:203
+#: src/protocol/bittorrent/bittorrent.c:207
 msgid "Rarest first piece selection cutoff"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:205
+#: src/protocol/bittorrent/bittorrent.c:209
 msgid ""
-"The number of pieces to obtain before switching piece\n"
-"selection strategy from random to rarest first."
+"The number of pieces to obtain before switching piece selection strategy "
+"from random to rarest first."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:208 src/protocol/http/http.c:109
+#: src/protocol/bittorrent/bittorrent.c:212 src/protocol/http/http.c:109
 msgid "Allow blacklisting"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:210
+#: src/protocol/bittorrent/bittorrent.c:214
 msgid "Allow blacklisting of buggy peers."
 msgstr ""
 
@@ -6993,7 +6989,7 @@ msgstr "~Skr"
 msgid "Comment"
 msgstr "skjl"
 
-#: src/protocol/bittorrent/dialogs.c:229 src/session/download.c:362
+#: src/protocol/bittorrent/dialogs.c:229 src/session/download.c:388
 #, fuzzy, c-format
 msgid ""
 "Download complete:\n"
@@ -7161,7 +7157,7 @@ msgid_plural "%u unavailable"
 msgstr[0] "FTP jnusta ekki tiltk"
 msgstr[1] "FTP jnusta ekki tiltk"
 
-#: src/protocol/bittorrent/dialogs.c:584 src/session/session.c:278
+#: src/protocol/bittorrent/dialogs.c:584 src/session/session.c:279
 #, fuzzy, c-format
 msgid "Unable to retrieve %s"
 msgstr "Villa vi ritun uppsetningarskrr"
@@ -7176,7 +7172,7 @@ msgstr ""
 msgid "Information about the torrent"
 msgstr "Hlaa niur ~mynd"
 
-#: src/protocol/bittorrent/dialogs.c:776 src/session/download.c:1106
+#: src/protocol/bittorrent/dialogs.c:776 src/session/download.c:1132
 msgid "What to do?"
 msgstr "Hva skal gera?"
 
@@ -7187,13 +7183,13 @@ msgid "Down~load"
 msgstr "Niurhlaa"
 
 #. accelerator_context(src/protocol/bittorrent/dialogs.c:bittorrent_query_callback, src/session/download.c:do_type_query)
-#: src/protocol/bittorrent/dialogs.c:804 src/session/download.c:1209
+#: src/protocol/bittorrent/dialogs.c:804 src/session/download.c:1235
 #, fuzzy
 msgid "~Display"
 msgstr "Sj"
 
 #. accelerator_context(src/protocol/bittorrent/dialogs.c:bittorrent_query_callback, src/session/download.c:do_type_query)
-#: src/protocol/bittorrent/dialogs.c:808 src/session/download.c:1213
+#: src/protocol/bittorrent/dialogs.c:808 src/session/download.c:1239
 msgid "Show ~header"
 msgstr ""
 
@@ -7211,16 +7207,16 @@ msgstr "Ekkert forrit skilgreint fyrir"
 msgid "Colon separated list of directories, where CGI scripts are stored."
 msgstr ""
 
-#: src/protocol/file/cgi.c:47
+#: src/protocol/file/cgi.c:48
 msgid "Allow local CGI"
 msgstr ""
 
-#: src/protocol/file/cgi.c:49
+#: src/protocol/file/cgi.c:50
 msgid "Whether to execute local CGI scripts."
 msgstr ""
 
 #. name:
-#: src/protocol/file/cgi.c:54
+#: src/protocol/file/cgi.c:55
 msgid "CGI"
 msgstr ""
 
@@ -7239,9 +7235,8 @@ msgstr ""
 
 #: src/protocol/file/file.c:46
 msgid ""
-"Whether to allow reading from non-regular files.\n"
-"Note this can be dangerous; reading /dev/urandom or\n"
-"/dev/zero can ruin your day!"
+"Whether to allow reading from non-regular files. Note this can be dangerous; "
+"reading /dev/urandom or /dev/zero can ruin your day!"
 msgstr ""
 
 #: src/protocol/file/file.c:50
@@ -7250,8 +7245,8 @@ msgstr ""
 
 #: src/protocol/file/file.c:52
 msgid ""
-"When set to false, files with name starting with a dot will be\n"
-"hidden in local directory listings."
+"When set to false, files with name starting with a dot will be hidden in "
+"local directory listings."
 msgstr ""
 
 #: src/protocol/file/file.c:55
@@ -7261,13 +7256,13 @@ msgstr "Engar skrarendingar"
 
 #: src/protocol/file/file.c:57
 msgid ""
-"When set, if we can't open a file named 'filename', we'll try\n"
-"to open 'filename' with some encoding extension appended\n"
-"(ie. 'filename.gz'); it depends on the supported encodings."
+"When set, if we can't open a file named 'filename', we'll try to open "
+"'filename' with some encoding extension appended (ie. 'filename.gz'); it "
+"depends on the supported encodings."
 msgstr ""
 
 #. name:
-#: src/protocol/file/file.c:65
+#: src/protocol/file/file.c:66
 #, fuzzy
 msgid "File"
 msgstr "~Skr"
@@ -7297,7 +7292,7 @@ msgid "Whether to sort entries in direct
 msgstr ""
 
 #. name:
-#: src/protocol/ftp/ftp.c:56 src/protocol/ftp/ftp.c:86
+#: src/protocol/ftp/ftp.c:56 src/protocol/ftp/ftp.c:89
 msgid "FTP"
 msgstr ""
 
@@ -7305,8 +7300,8 @@ msgstr ""
 msgid "FTP specific options."
 msgstr ""
 
-#: src/protocol/ftp/ftp.c:60 src/protocol/http/http.c:127
-#: src/protocol/http/http.c:209
+#: src/protocol/ftp/ftp.c:60 src/protocol/http/http.c:128
+#: src/protocol/http/http.c:235
 msgid "Proxy configuration"
 msgstr ""
 
@@ -7314,39 +7309,39 @@ msgstr ""
 msgid "FTP proxy configuration."
 msgstr ""
 
-#: src/protocol/ftp/ftp.c:64 src/protocol/http/http.c:131
-#: src/protocol/http/http.c:213
+#: src/protocol/ftp/ftp.c:64 src/protocol/http/http.c:132
+#: src/protocol/http/http.c:239
 #, fuzzy
 msgid "Host and port-number"
 msgstr "gild tala"
 
 #: src/protocol/ftp/ftp.c:66
 msgid ""
-"Host and port-number (host:port) of the FTP proxy, or blank.\n"
-"If it's blank, FTP_PROXY environment variable is checked as well."
+"Host and port-number (host:port) of the FTP proxy, or blank. If it's blank, "
+"FTP_PROXY environment variable is checked as well."
 msgstr ""
 
-#: src/protocol/ftp/ftp.c:69
+#: src/protocol/ftp/ftp.c:70
 msgid "Anonymous password"
 msgstr ""
 
-#: src/protocol/ftp/ftp.c:71
+#: src/protocol/ftp/ftp.c:72
 msgid "FTP anonymous password to be sent."
 msgstr ""
 
-#: src/protocol/ftp/ftp.c:73
+#: src/protocol/ftp/ftp.c:74
 msgid "Use passive mode (IPv4)"
 msgstr ""
 
-#: src/protocol/ftp/ftp.c:75
+#: src/protocol/ftp/ftp.c:76
 msgid "Use PASV instead of PORT (passive vs active mode, IPv4 only)."
 msgstr ""
 
-#: src/protocol/ftp/ftp.c:77
+#: src/protocol/ftp/ftp.c:79
 msgid "Use passive mode (IPv6)"
 msgstr ""
 
-#: src/protocol/ftp/ftp.c:79
+#: src/protocol/ftp/ftp.c:81
 msgid "Use EPSV instead of EPRT (passive vs active mode, IPv6 only)."
 msgstr ""
 
@@ -7373,7 +7368,7 @@ msgid ""
 msgstr ""
 
 #. name:
-#: src/protocol/http/http.c:95 src/protocol/http/http.c:223
+#: src/protocol/http/http.c:95 src/protocol/http/http.c:250
 msgid "HTTP"
 msgstr ""
 
@@ -7395,8 +7390,8 @@ msgstr ""
 
 #: src/protocol/http/http.c:106
 msgid ""
-"The Accept-Charset header is quite long and sending it can trigger\n"
-"bugs in some rarely found servers."
+"The Accept-Charset header is quite long and sending it can trigger bugs in "
+"some rarely found servers."
 msgstr ""
 
 #: src/protocol/http/http.c:111
@@ -7409,69 +7404,69 @@ msgstr ""
 
 #: src/protocol/http/http.c:115
 msgid ""
-"Broken 302 redirect (violates RFC but compatible with Netscape).\n"
-"This is a problem for a lot of web discussion boards and the like.\n"
-"If they will do strange things to you, try to play with this."
+"Broken 302 redirect (violates RFC but compatible with Netscape). This is a "
+"problem for a lot of web discussion boards and the like. If they will do "
+"strange things to you, try to play with this."
 msgstr ""
 
-#: src/protocol/http/http.c:119
+#: src/protocol/http/http.c:120
 msgid "No keepalive after POST requests"
 msgstr ""
 
-#: src/protocol/http/http.c:121
+#: src/protocol/http/http.c:122
 msgid "Disable keepalive connection after POST request."
 msgstr ""
 
-#: src/protocol/http/http.c:123
+#: src/protocol/http/http.c:124
 msgid "Use HTTP/1.0"
 msgstr ""
 
-#: src/protocol/http/http.c:125
+#: src/protocol/http/http.c:126
 msgid "Use HTTP/1.0 protocol instead of HTTP/1.1."
 msgstr ""
 
-#: src/protocol/http/http.c:129
+#: src/protocol/http/http.c:130
 msgid "HTTP proxy configuration."
 msgstr ""
 
-#: src/protocol/http/http.c:133
+#: src/protocol/http/http.c:134
 msgid ""
-"Host and port-number (host:port) of the HTTP proxy, or blank.\n"
-"If it's blank, HTTP_PROXY environment variable is checked as well."
+"Host and port-number (host:port) of the HTTP proxy, or blank. If it's blank, "
+"HTTP_PROXY environment variable is checked as well."
 msgstr ""
 
-#: src/protocol/http/http.c:136
+#: src/protocol/http/http.c:138
 #, fuzzy
 msgid "Username"
 msgstr "nafn"
 
-#: src/protocol/http/http.c:138
+#: src/protocol/http/http.c:140
 msgid "Proxy authentication username."
 msgstr ""
 
-#: src/protocol/http/http.c:142
+#: src/protocol/http/http.c:144
 msgid "Proxy authentication password."
 msgstr ""
 
-#: src/protocol/http/http.c:145
+#: src/protocol/http/http.c:147
 msgid "Referer sending"
 msgstr ""
 
-#: src/protocol/http/http.c:147
+#: src/protocol/http/http.c:149
 msgid ""
-"HTTP referer sending options. HTTP referer is a special header\n"
-"sent in the HTTP requests, which is supposed to contain the previous\n"
-"page visited by the browser. This way, the server can know what link\n"
-"did you follow when accessing that page. However, this behaviour\n"
-"can unfortunately considerably affect privacy and can lead even to a\n"
-"security problem on some badly designed web pages."
+"HTTP referer sending options. HTTP referer is a special header sent in the "
+"HTTP requests, which is supposed to contain the previous page visited by the "
+"browser.This way, the server can know what link did you follow when "
+"accessing that page. However, this behaviour can unfortunately considerably "
+"affect privacy and can lead even to a security problem on some badly "
+"designed web pages."
 msgstr ""
 
-#: src/protocol/http/http.c:154
+#: src/protocol/http/http.c:157
 msgid "Policy"
 msgstr ""
 
-#: src/protocol/http/http.c:157
+#: src/protocol/http/http.c:160
 msgid ""
 "Mode of sending HTTP referer:\n"
 "0 is send no referer\n"
@@ -7480,90 +7475,110 @@ msgid ""
 "3 is send previous URL as referer (correct, but insecure)"
 msgstr ""
 
-#: src/protocol/http/http.c:163
+#: src/protocol/http/http.c:166
 msgid "Fake referer URL"
 msgstr ""
 
-#: src/protocol/http/http.c:165
+#: src/protocol/http/http.c:168
 msgid "Fake referer to be sent when policy is 2."
 msgstr ""
 
-#: src/protocol/http/http.c:168
+#: src/protocol/http/http.c:171
 msgid "Send Accept-Language header"
 msgstr ""
 
-#: src/protocol/http/http.c:170
+#: src/protocol/http/http.c:173
 msgid "Send Accept-Language header."
 msgstr ""
 
-#: src/protocol/http/http.c:172
+#: src/protocol/http/http.c:175
 msgid "Use UI language as Accept-Language"
 msgstr ""
 
-#: src/protocol/http/http.c:174
+#: src/protocol/http/http.c:177
 msgid ""
-"Request localised versions of documents from web-servers (using the\n"
-"Accept-Language header) using the language you have configured for\n"
-"ELinks' user-interface (this also affects navigator.language ECMAScript\n"
-"value available to scripts). Note that some see this as a potential\n"
-"security risk because it tells web-masters and the FBI sniffers about\n"
-"your language preference."
+"Request localised versions of documents from web-servers (using the Accept-"
+"Language header) using the language you have configured for ELinks' user-"
+"interface (this also affects navigator.language ECMAScript value available "
+"to scripts). Note that some see this as a potential security risk because it "
+"tells web-masters and the FBI sniffers about your language preference."
+msgstr ""
+
+#. After the compression support has been tested enough,
+#. * we might wrap this option in #if CFG_DEBUG.
+#: src/protocol/http/http.c:187
+msgid "Enable on-the-fly compression"
 msgstr ""
 
-#: src/protocol/http/http.c:181
+#: src/protocol/http/http.c:189
+msgid ""
+"If enabled, the capability to receive compressed content (gzip and/or bzip2) "
+"is announced to the server, which usually sends the reply compressed, thus "
+"saving some bandwidth at slight CPU expense.\n"
+"\n"
+"If ELinks displays a incomplete page or garbage, try disabling this option. "
+"If that helps, there may be a bug in the decompression part of ELinks. "
+"Please report such bugs.\n"
+"\n"
+"If ELinks has been compiled without compression support, this option has no "
+"effect. To check the supported features, see Help -> About."
+msgstr ""
+
+#: src/protocol/http/http.c:202
 msgid "Activate HTTP TRACE debugging"
 msgstr ""
 
-#: src/protocol/http/http.c:183
+#: src/protocol/http/http.c:204
 msgid ""
-"If active, all HTTP requests are sent with TRACE as their method\n"
-"rather than GET or POST. This is useful for debugging of both ELinks\n"
-"and various server-side scripts --- the server only returns the client's\n"
-"request back to the client verbatim. Note that this type of request may\n"
-"not be enabled on all servers."
+"If active, all HTTP requests are sent with TRACE as their method rather than "
+"GET or POST. This is useful for debugging of both ELinks and various server-"
+"side scripts --- the server only returns the client's request back to the "
+"client verbatim. Note that this type of request may not be enabled on all "
+"servers."
 msgstr ""
 
 #. OSNews.com is supposed to be relying on the textmode token, at least.
-#: src/protocol/http/http.c:190
+#: src/protocol/http/http.c:212
 msgid "User-agent identification"
 msgstr ""
 
-#: src/protocol/http/http.c:192
+#: src/protocol/http/http.c:214
 msgid ""
-"Change the User Agent ID. That means identification string, which\n"
-"is sent to HTTP server when a document is requested. The 'textmode'\n"
-"token in the first field is our silent attempt to establish this as\n"
-"a standard for new textmode user agents, so that the webmasters can\n"
-"have just a single uniform test for these if they are e.g. pushing\n"
-"some lite version to them automagically.\n"
+"Change the User Agent ID. That means identification string, which is sent to "
+"HTTP server when a document is requested. The 'textmode' token in the first "
+"field is our silent attempt to establish this as a standard for new textmode "
+"user agents, so that the webmasters can have just a single uniform test for "
+"these if they are e.g. pushing some lite version to them automagically.\n"
+"\n"
 "Use \" \" if you don't want any User-Agent header to be sent at all.\n"
+"\n"
 "%v in the string means ELinks version,\n"
 "%s in the string means system identification,\n"
 "%t in the string means size of the terminal,\n"
 "%b in the string means number of bars displayed by ELinks."
 msgstr ""
 
-#: src/protocol/http/http.c:205
+#: src/protocol/http/http.c:231
 msgid "HTTPS"
 msgstr ""
 
-#: src/protocol/http/http.c:207
+#: src/protocol/http/http.c:233
 #, fuzzy
 msgid "HTTPS-specific options."
 msgstr "Ekkert forrit skilgreint fyrir"
 
-#: src/protocol/http/http.c:211
+#: src/protocol/http/http.c:237
 msgid "HTTPS proxy configuration."
 msgstr ""
 
-#: src/protocol/http/http.c:215
+#: src/protocol/http/http.c:241
 msgid ""
-"Host and port-number (host:port) of the HTTPS CONNECT proxy, or blank.\n"
-"If it's blank, HTTPS_PROXY environment variable is checked as well."
+"Host and port-number (host:port) of the HTTPS CONNECT proxy, or blank. If "
+"it's blank, HTTPS_PROXY environment variable is checked as well."
 msgstr ""
 
 #. name:
-#: src/protocol/nntp/nntp.c:32 src/protocol/nntp/nntp.c:65
+#: src/protocol/nntp/nntp.c:32 src/protocol/nntp/nntp.c:66
 msgid "NNTP"
 msgstr ""
 
@@ -7578,19 +7593,19 @@ msgstr ""
 
 #: src/protocol/nntp/nntp.c:38
 msgid ""
-"Used when resolving news: URIs. If set to the empty string\n"
-"the value of the NNTPSERVER environment variable will be used."
+"Used when resolving news: URIs. If set to the empty string the value of the "
+"NNTPSERVER environment variable will be used."
 msgstr ""
 
-#: src/protocol/nntp/nntp.c:41
+#: src/protocol/nntp/nntp.c:42
 msgid "Message header entries"
 msgstr ""
 
-#: src/protocol/nntp/nntp.c:43
+#: src/protocol/nntp/nntp.c:44
 msgid ""
-"Comma separated list of which entries in the article header\n"
-"to show. E.g. 'Subject' and 'From'.\n"
-"All header entries can be read in the header info dialog."
+"Comma separated list of which entries in the article header to show. E.g. "
+"'Subject' and 'From'. All header entries can be read in the header info "
+"dialog."
 msgstr ""
 
 #: src/protocol/protocol.c:242
@@ -7612,10 +7627,9 @@ msgstr ""
 
 #: src/protocol/protocol.c:279
 msgid ""
-"Comma separated list of domains for which the proxy (HTTP/FTP)\n"
-"should be disabled. Optionally, a port can be specified for some\n"
-"domains as well. If it's blank, NO_PROXY environment variable is\n"
-"checked as well."
+"Comma separated list of domains for which the proxy (HTTP/FTP) should be "
+"disabled. Optionally, a port can be specified for some domains as well. If "
+"it's blank, NO_PROXY environment variable is checked as well."
 msgstr ""
 
 #. name:
@@ -7629,47 +7643,45 @@ msgstr ""
 
 #: src/protocol/rewrite/rewrite.c:46
 msgid ""
-"Rules for rewriting URIs entered in the goto dialog.\n"
-"It makes it possible to define a set of prefixes that will\n"
-"be expanded if they match a string entered in the goto dialog.\n"
-"The prefixes can be dumb, meaning that they work only like\n"
-"URI abbreviations, or smart ones, making it possible to pass\n"
+"Rules for rewriting URIs entered in the goto dialog. It makes it possible to "
+"define a set of prefixes that will be expanded if they match a string "
+"entered in the goto dialog. The prefixes can be dumb, meaning that they work "
+"only like URI abbreviations, or smart ones, making it possible to pass "
 "arguments to them like search engine keywords."
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:53
+#: src/protocol/rewrite/rewrite.c:54
 msgid "Enable dumb prefixes"
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:55
+#: src/protocol/rewrite/rewrite.c:56
 msgid ""
-"Enable dumb prefixes - simple URI abbreviations which can\n"
-"be written to the Goto URL dialog instead of actual URIs - i.e.\n"
-"if you write 'elinks' there, you are directed to\n"
-"http://elinks.cz/."
+"Enable dumb prefixes - simple URI abbreviations which can be written to the "
+"Goto URL dialog instead of actual URIs - i.e. if you write 'elinks' there, "
+"you are directed to http://elinks.cz/."
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:60
+#: src/protocol/rewrite/rewrite.c:61
 msgid "Enable smart prefixes"
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:62
+#: src/protocol/rewrite/rewrite.c:63
 msgid ""
-"Enable smart prefixes - URI templates triggered by writing\n"
-"given abbreviation to the Goto URL dialog followed by a list\n"
-"of arguments from which the actual URI is composed - i.e.\n"
-"'gg:search keywords' or 'gn search keywords for news'."
+"Enable smart prefixes - URI templates triggered by writing given "
+"abbreviation to the Goto URL dialog followed by a list of arguments from "
+"which the actual URI is composed - i.e. 'gg:search keywords' or 'gn search "
+"keywords for news'."
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:67
+#: src/protocol/rewrite/rewrite.c:69
 msgid "Dumb Prefixes"
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:69
+#: src/protocol/rewrite/rewrite.c:71
 msgid "Dumb prefixes, see enable-dumb description for details."
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:74
+#: src/protocol/rewrite/rewrite.c:76
 #, no-c-format
 msgid ""
 "Replacement URI for this dumbprefix:\n"
@@ -7677,15 +7689,15 @@ msgid ""
 "%% in the string means '%'"
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:78
+#: src/protocol/rewrite/rewrite.c:80
 msgid "Smart Prefixes"
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:80
+#: src/protocol/rewrite/rewrite.c:82
 msgid "Smart prefixes, see enable-smart description for details."
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:87
+#: src/protocol/rewrite/rewrite.c:90
 #, no-c-format
 msgid ""
 "Replacement URI for this smartprefix:\n"
@@ -7695,27 +7707,29 @@ msgid ""
 "%% in the string means '%'"
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:93
+#: src/protocol/rewrite/rewrite.c:96
 #, fuzzy
 msgid "Default template"
 msgstr "Forsnii skyndiminni skra"
 
-#: src/protocol/rewrite/rewrite.c:96
+#: src/protocol/rewrite/rewrite.c:99
 #, no-c-format
 msgid ""
-"Default URI template used when the string entered in\n"
-"the goto dialog does not appear to be a URI or a filename\n"
-"(i.e. contains no '.', ':' or '/' characters), and does\n"
-"not match any defined prefixes. Set the value to \"\" to\n"
-"disable use of the default template rewrite rule.\n"
+"Default URI template used when the string entered in the goto dialog does "
+"not appear to be a URI or a filename (i.e. contains no '.', ':' or '/' "
+"characters), and does not match any defined prefixes. Set the value to \"\" "
+"to disable use of the default template rewrite rule.\n"
+"\n"
 "%c in the template means the current URL,\n"
-"%s in the template means the whole string from the goto dialog,\n"
-"%0,%1,...,%9 mean the 1st,2nd,...,10th space-delimited part of %s,\n"
+"%s in the template means the whole string from the goto\n"
+"   dialog,\n"
+"%0,%1,...,%9 mean the 1st,2nd,...,10th space-delimited part\n"
+"   of %s,\n"
 "%% in the template means '%'."
 msgstr ""
 
 #. name:
-#: src/protocol/rewrite/rewrite.c:372
+#: src/protocol/rewrite/rewrite.c:378
 msgid "URI rewrite"
 msgstr ""
 
@@ -7738,24 +7752,23 @@ msgid "Credentials file passed to smbcli
 msgstr ""
 
 #. name:
-#: src/protocol/user.c:34 src/protocol/user.c:84
+#: src/protocol/user.c:34 src/protocol/user.c:85
 msgid "User protocols"
 msgstr ""
 
 #: src/protocol/user.c:36
 msgid ""
-"User protocols. Options in this tree specify external\n"
-"handlers for the appropriate protocols. Ie.\n"
-"protocol.user.mailto.unix."
+"User protocols. Options in this tree specify external handlers for the "
+"appropriate protocols. Ie. protocol.user.mailto.unix."
 msgstr ""
 
 #: src/protocol/user.c:47
 msgid ""
-"Handler (external program) for this protocol. Name the\n"
-"options in this tree after your system (ie. unix, unix-xwin)."
+"Handler (external program) for this protocol. Name the options in this tree "
+"after your system (ie. unix, unix-xwin)."
 msgstr ""
 
-#: src/protocol/user.c:52
+#: src/protocol/user.c:53
 msgid ""
 "Handler (external program) for this protocol and system.\n"
 "%f in the string means file name to include form data from\n"
@@ -7766,11 +7779,11 @@ msgid ""
 "%u in the string means the whole URL"
 msgstr ""
 
-#: src/protocol/user.c:276
+#: src/protocol/user.c:277
 msgid "No program"
 msgstr "Ekkert forrit"
 
-#: src/protocol/user.c:278
+#: src/protocol/user.c:279
 #, fuzzy, c-format
 msgid "No program specified for protocol %s."
 msgstr "Ekkert forrit skilgreint fyrir"
@@ -7854,19 +7867,19 @@ msgstr ""
 msgid "Spidermonkey ECMAScript"
 msgstr ""
 
-#: src/session/download.c:233 src/session/download.c:330
-#: src/session/download.c:561 src/session/download.c:649
+#: src/session/download.c:256 src/session/download.c:356
+#: src/session/download.c:587 src/session/download.c:675
 msgid "Download error"
 msgstr "niurhlesluvilla"
 
-#: src/session/download.c:234 src/session/download.c:650
+#: src/session/download.c:257 src/session/download.c:676
 #, fuzzy, c-format
 msgid ""
 "Could not create file '%s':\n"
 "%s"
 msgstr "Gat ekki skrifa  skr"
 
-#: src/session/download.c:331
+#: src/session/download.c:357
 #, fuzzy, c-format
 msgid ""
 "Error downloading %s:\n"
@@ -7874,17 +7887,17 @@ msgid ""
 "%s"
 msgstr "Villa vi niurhleslu"
 
-#: src/session/download.c:562
+#: src/session/download.c:588
 #, c-format
 msgid "'%s' is a directory."
 msgstr ""
 
-#: src/session/download.c:596
+#: src/session/download.c:622
 #, fuzzy
 msgid "File exists"
 msgstr "Skrar~endingar"
 
-#: src/session/download.c:597
+#: src/session/download.c:623
 #, c-format
 msgid ""
 "This file already exists:\n"
@@ -7895,51 +7908,51 @@ msgid ""
 msgstr ""
 
 #. accelerator_context(src/session/download.c:lookup_unique_name)
-#: src/session/download.c:604
+#: src/session/download.c:630
 msgid "Sa~ve under the alternative name"
 msgstr ""
 
 #. accelerator_context(src/session/download.c:lookup_unique_name)
-#: src/session/download.c:605
+#: src/session/download.c:631
 msgid "~Overwrite the original file"
 msgstr ""
 
 #. accelerator_context(src/session/download.c:lookup_unique_name)
-#: src/session/download.c:606
+#: src/session/download.c:632
 msgid "~Resume download of the original file"
 msgstr ""
 
-#: src/session/download.c:1109
+#: src/session/download.c:1135
 msgid "Unknown type"
 msgstr "ekkt ger"
 
-#: src/session/download.c:1134
+#: src/session/download.c:1160
 #, c-format
 msgid "What would you like to do with the file '%s' (type: %s%s%s)?"
 msgstr ""
 
-#: src/session/download.c:1137
+#: src/session/download.c:1163
 #, c-format
 msgid "What would you like to do with the file (type: %s%s%s)?"
 msgstr ""
 
-#: src/session/download.c:1165
+#: src/session/download.c:1191
 #, no-c-format
 msgid "Program ('%' will be replaced by the filename)"
 msgstr ""
 
-#: src/session/download.c:1169
+#: src/session/download.c:1195
 #, fuzzy
 msgid "Block the terminal"
 msgstr "~BeOS skel"
 
-#: src/session/download.c:1175
+#: src/session/download.c:1201
 #, c-format
 msgid "The file will be opened with the program '%s'."
 msgstr ""
 
 #. accelerator_context(src/session/download.c:do_type_query)
-#: src/session/download.c:1196
+#: src/session/download.c:1222
 #, fuzzy
 msgid "~Open"
 msgstr "Opna"
@@ -7948,12 +7961,12 @@ msgstr "Opna"
 #. * and formatting it with "%u" is safe,
 #. * because fc_maxlength is smaller than
 #. * file.length, which is an int.
-#: src/session/session.c:761 src/session/session.c:780 src/session/task.c:275
-#: src/viewer/text/textarea.c:652
+#: src/session/session.c:771 src/session/session.c:790 src/session/task.c:275
+#: src/viewer/text/textarea.c:641
 msgid "Warning"
 msgstr "Vivrun"
 
-#: src/session/session.c:762
+#: src/session/session.c:772
 msgid ""
 "You have an empty string in protocol.http.user_agent - this was a default "
 "value in the past, substituted by default ELinks User-Agent string. However, "
@@ -7964,7 +7977,7 @@ msgid ""
 "will be used. Apologies for any inconvience caused."
 msgstr ""
 
-#: src/session/session.c:781
+#: src/session/session.c:791
 msgid ""
 "You have option config.saving_style set to a de facto obsolete value. The "
 "configuration saving algorithms of ELinks were changed from the last time "
@@ -7977,11 +7990,11 @@ msgid ""
 "caused."
 msgstr ""
 
-#: src/session/session.c:806
+#: src/session/session.c:816
 msgid "Welcome"
 msgstr "Velkomin"
 
-#: src/session/session.c:807
+#: src/session/session.c:817
 #, fuzzy
 msgid ""
 "Welcome to ELinks!\n"
@@ -8032,22 +8045,22 @@ msgstr ""
 msgid "Warning: terminal name contains illicit chars."
 msgstr ""
 
-#: src/terminal/event.c:259
+#: src/terminal/event.c:258
 #, c-format
 msgid "Failed to create session."
 msgstr ""
 
-#: src/terminal/event.c:446
+#: src/terminal/event.c:443
 #, c-format
 msgid "Bad event %d"
 msgstr ""
 
-#: src/terminal/event.c:486
+#: src/terminal/event.c:483
 #, fuzzy, c-format
 msgid "Could not read event: %d (%s)"
 msgstr "Gat ekki skrifa  skr"
 
-#: src/terminal/kbd.c:1187
+#: src/terminal/kbd.c:1210
 #, c-format
 msgid "Too many bytes read from the itrm!"
 msgstr ""
@@ -8126,207 +8139,207 @@ msgstr "Engir rammar"
 msgid "The requested fragment \"%s\" doesn't exist."
 msgstr ""
 
-#: src/viewer/text/form.c:1092
+#: src/viewer/text/form.c:1118
 msgid "Error while posting form"
 msgstr "Villa vi pstun forms"
 
-#: src/viewer/text/form.c:1093
+#: src/viewer/text/form.c:1119
 #, fuzzy, c-format
 msgid "Could not load file %s: %s"
 msgstr "Gat ekki stt skr"
 
-#: src/viewer/text/form.c:1847
+#: src/viewer/text/form.c:1876
 #, fuzzy
 msgid "Reset form"
 msgstr "H~reinsa form"
 
-#: src/viewer/text/form.c:1849
+#: src/viewer/text/form.c:1878
 msgid "Harmless button"
 msgstr ""
 
-#: src/viewer/text/form.c:1857
+#: src/viewer/text/form.c:1886
 msgid "Submit form to"
 msgstr "Senda form til"
 
-#: src/viewer/text/form.c:1858
+#: src/viewer/text/form.c:1887
 msgid "Post form to"
 msgstr "Senda form til"
 
-#: src/viewer/text/form.c:1860
+#: src/viewer/text/form.c:1889
 msgid "Radio button"
 msgstr "Einvalshnappur"
 
-#: src/viewer/text/form.c:1864
+#: src/viewer/text/form.c:1893
 msgid "Select field"
 msgstr "Einvalsreitur"
 
-#: src/viewer/text/form.c:1868
+#: src/viewer/text/form.c:1897
 msgid "Text area"
 msgstr "Textasvi"
 
-#: src/viewer/text/form.c:1870
+#: src/viewer/text/form.c:1899
 msgid "File upload"
 msgstr "Upphlun skrar"
 
-#: src/viewer/text/form.c:1872
+#: src/viewer/text/form.c:1901
 msgid "Password field"
 msgstr "Lykilorareitur"
 
-#: src/viewer/text/form.c:1910
+#: src/viewer/text/form.c:1939
 msgid "name"
 msgstr "nafn"
 
-#: src/viewer/text/form.c:1922
+#: src/viewer/text/form.c:1951
 msgid "value"
 msgstr "gildi"
 
-#: src/viewer/text/form.c:1935
+#: src/viewer/text/form.c:1964
 msgid "read only"
 msgstr ""
 
-#: src/viewer/text/form.c:1946
+#: src/viewer/text/form.c:1975
 #, c-format
 msgid "press %s to navigate"
 msgstr ""
 
-#: src/viewer/text/form.c:1948
+#: src/viewer/text/form.c:1977
 #, c-format
 msgid "press %s to edit"
 msgstr ""
 
-#: src/viewer/text/form.c:1984
+#: src/viewer/text/form.c:2013
 #, fuzzy, c-format
 msgid "press %s to submit to %s"
 msgstr "senda til"
 
-#: src/viewer/text/form.c:1986
+#: src/viewer/text/form.c:2015
 #, fuzzy, c-format
 msgid "press %s to post to %s"
 msgstr "senda til"
 
-#: src/viewer/text/form.c:2088
+#: src/viewer/text/form.c:2117
 msgid "Useless button"
 msgstr ""
 
-#: src/viewer/text/form.c:2090
+#: src/viewer/text/form.c:2119
 #, fuzzy
 msgid "Submit button"
 msgstr "Senda form til"
 
 #. accelerator_context(link_menu.map)
-#: src/viewer/text/link.c:1281
+#: src/viewer/text/link.c:1280
 msgid "Display ~usemap"
 msgstr "Sna notk~unarkort"
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1286
+#: src/viewer/text/link.c:1285
 msgid "~Follow link"
 msgstr "~Elta sl"
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1288
+#: src/viewer/text/link.c:1287
 msgid "Follow link and r~eload"
 msgstr ""
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1292
+#: src/viewer/text/link.c:1291
 msgid "Open in new ~window"
 msgstr "Opna  njum glugga"
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1294
+#: src/viewer/text/link.c:1293
 #, fuzzy
 msgid "Open in new ~tab"
 msgstr "Opna  njum glugga"
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1296
+#: src/viewer/text/link.c:1295
 #, fuzzy
 msgid "Open in new tab in ~background"
 msgstr "Bakgrunnur"
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1301
+#: src/viewer/text/link.c:1300
 msgid "~Download link"
 msgstr "Hlaa niur ~tengil"
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1304
+#: src/viewer/text/link.c:1303
 msgid "~Add link to bookmarks"
 msgstr ""
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1308
+#: src/viewer/text/link.c:1307
 msgid "Pass link URI to e~xternal command"
 msgstr ""
 
 #. accelerator_context(link_menu.form, link_menu.reset, link_menu.textarea)
-#: src/viewer/text/link.c:1319 src/viewer/text/link.c:1359
+#: src/viewer/text/link.c:1318 src/viewer/text/link.c:1358
 msgid "~Reset form"
 msgstr "H~reinsa form"
 
 #. accelerator_context(link_menu.textarea)
-#: src/viewer/text/link.c:1334
+#: src/viewer/text/link.c:1333
 msgid "Open in ~external editor"
 msgstr ""
 
 #. accelerator_context(link_menu.form, link_menu.textarea)
-#: src/viewer/text/link.c:1342
+#: src/viewer/text/link.c:1341
 msgid "~Submit form"
 msgstr "Senda form"
 
 #. accelerator_context(link_menu.form, link_menu.textarea)
-#: src/viewer/text/link.c:1343
+#: src/viewer/text/link.c:1342
 msgid "Submit form and rel~oad"
 msgstr ""
 
 #. accelerator_context(link_menu.form, link_menu.textarea)
-#: src/viewer/text/link.c:1347
+#: src/viewer/text/link.c:1346
 msgid "Submit form and open in new ~window"
 msgstr "Senda form og opna njan glugga"
 
 #. accelerator_context(link_menu.form, link_menu.textarea)
-#: src/viewer/text/link.c:1349
+#: src/viewer/text/link.c:1348
 #, fuzzy
 msgid "Submit form and open in new ~tab"
 msgstr "Senda form og opna njan glugga"
 
 #. accelerator_context(link_menu.form, link_menu.textarea)
-#: src/viewer/text/link.c:1352
+#: src/viewer/text/link.c:1351
 #, fuzzy
 msgid "Submit form and open in new tab in ~background"
 msgstr "Senda form og opna njan glugga"
 
 #. accelerator_context(link_menu.form, link_menu.textarea)
-#: src/viewer/text/link.c:1357
+#: src/viewer/text/link.c:1356
 msgid "Submit form and ~download"
 msgstr "Sen~da form og hlaa niur"
 
 #. accelerator_context(link_menu.form, link_menu.reset, link_menu.textarea)
-#: src/viewer/text/link.c:1364
+#: src/viewer/text/link.c:1363
 #, fuzzy
 msgid "Form f~ields"
 msgstr "Lykilorareitur"
 
 #. accelerator_context(link_menu.form, link_menu.map, link_menu.std)
-#: src/viewer/text/link.c:1371
+#: src/viewer/text/link.c:1370
 msgid "V~iew image"
 msgstr "~Skoa mynd"
 
 #. accelerator_context(link_menu.form, link_menu.map, link_menu.std)
-#: src/viewer/text/link.c:1373
+#: src/viewer/text/link.c:1372
 msgid "Download ima~ge"
 msgstr "Hlaa niur ~mynd"
 
-#: src/viewer/text/link.c:1382
+#: src/viewer/text/link.c:1381
 msgid "No link selected"
 msgstr "Enginn tengill valinn"
 
-#: src/viewer/text/link.c:1452
+#: src/viewer/text/link.c:1451
 msgid "Image"
 msgstr "Mynd"
 
-#: src/viewer/text/link.c:1457
+#: src/viewer/text/link.c:1456
 msgid "Usemap"
 msgstr "Notkunarkort"
 
@@ -8335,86 +8348,86 @@ msgstr "Notkunarkort"
 msgid "Marks"
 msgstr ""
 
-#: src/viewer/text/search.c:1083
+#: src/viewer/text/search.c:1099
 msgid "Search hit top, continuing at bottom."
 msgstr ""
 
-#: src/viewer/text/search.c:1084
+#: src/viewer/text/search.c:1100
 msgid "Search hit bottom, continuing at top."
 msgstr ""
 
-#: src/viewer/text/search.c:1087
+#: src/viewer/text/search.c:1103
 msgid "No previous search"
 msgstr "Engin fyrri leit"
 
-#: src/viewer/text/search.c:1099
+#: src/viewer/text/search.c:1115
 #, c-format
 msgid "Could not compile regular expression '%s'"
 msgstr ""
 
-#: src/viewer/text/search.c:1143
+#: src/viewer/text/search.c:1159
 #, c-format
 msgid "No further matches for '%s'."
 msgstr ""
 
-#: src/viewer/text/search.c:1145
+#: src/viewer/text/search.c:1161
 #, c-format
 msgid "Could not find a link with the text '%s'."
 msgstr ""
 
-#: src/viewer/text/search.c:1147 src/viewer/text/search.c:1558
+#: src/viewer/text/search.c:1163 src/viewer/text/search.c:1576
 msgid "Typeahead"
 msgstr ""
 
-#: src/viewer/text/search.c:1560
+#: src/viewer/text/search.c:1578
 #, c-format
 msgid "No links in current document"
 msgstr ""
 
-#: src/viewer/text/search.c:1643
+#: src/viewer/text/search.c:1661
 msgid "Search for text"
 msgstr "Leita a texta"
 
-#: src/viewer/text/search.c:1679
+#: src/viewer/text/search.c:1697
 #, fuzzy
 msgid "Normal search"
 msgstr "Engin fyrri leit"
 
-#: src/viewer/text/search.c:1680
+#: src/viewer/text/search.c:1698
 msgid "Regexp search"
 msgstr ""
 
-#: src/viewer/text/search.c:1681
+#: src/viewer/text/search.c:1699
 msgid "Extended regexp search"
 msgstr ""
 
-#: src/viewer/text/search.c:1683
+#: src/viewer/text/search.c:1701
 msgid "Case sensitive"
 msgstr ""
 
-#: src/viewer/text/search.c:1684
+#: src/viewer/text/search.c:1702
 msgid "Case insensitive"
 msgstr ""
 
-#: src/viewer/text/search.c:1708
+#: src/viewer/text/search.c:1726
 msgid "Search backward"
 msgstr "Leita fugt"
 
 #. name:
-#: src/viewer/text/search.c:1747
+#: src/viewer/text/search.c:1765
 #, fuzzy
 msgid "Search History"
 msgstr "Minni  rotum"
 
-#: src/viewer/text/textarea.c:595
+#: src/viewer/text/textarea.c:584
 msgid "You cannot launch an external editor in the anonymous mode."
 msgstr ""
 
-#: src/viewer/text/textarea.c:602
+#: src/viewer/text/textarea.c:591
 msgid "You can do this only on the master terminal"
 msgstr ""
 
-#: src/viewer/text/textarea.c:655
+#: src/viewer/text/textarea.c:644
 #, c-format
 msgid ""
 "You have exceeded the textarea's size limit: your input is %d bytes, but the "
@@ -8432,11 +8445,11 @@ msgstr "Opna tengil"
 msgid "Enter link number"
 msgstr "Innsetning tenglanmer"
 
-#: src/viewer/text/view.c:1627
+#: src/viewer/text/view.c:1628
 msgid "Save error"
 msgstr "Vistunarvilla"
 
-#: src/viewer/text/view.c:1628
+#: src/viewer/text/view.c:1629
 msgid "Error writing to file"
 msgstr "Villa vi ritun skrar"
 
Binary files 0.12~pre2.dfsg0-1/po/it.gmo and 0.12~pre4-1/po/it.gmo differ
diff -pruN 0.12~pre2.dfsg0-1/po/it.po 0.12~pre4-1/po/it.po
--- 0.12~pre2.dfsg0-1/po/it.po	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/po/it.po	2009-05-31 09:48:47.000000000 +0100
@@ -7,7 +7,7 @@ msgid ""
 msgstr ""
 "Project-Id-Version: ELinks 0.5pre0.CVS\n"
 "Report-Msgid-Bugs-To: elinks-users@linuxfromscratch.org\n"
-"POT-Creation-Date: 2008-09-21 11:13+0300\n"
+"POT-Creation-Date: 2009-05-31 01:57+0300\n"
 "PO-Revision-Date: 2003-07-21 00:32+0200\n"
 "Last-Translator: Fabio Bonelli <fabiobonelli@libero.it>\n"
 "Language-Team: Italian <tp@lists.linux.it>\n"
@@ -38,7 +38,7 @@ msgstr "Premere spazio per espandere que
 #: src/mime/dialogs.c:132 src/protocol/auth/dialogs.c:115
 #: src/protocol/protocol.c:246 src/scripting/lua/core.c:399
 #: src/scripting/lua/core.c:480 src/scripting/python/dialogs.c:86
-#: src/session/session.c:811 src/viewer/text/search.c:1686
+#: src/session/session.c:821 src/viewer/text/search.c:1704
 #, fuzzy
 msgid "~OK"
 msgstr "OK"
@@ -56,13 +56,13 @@ msgid "Sorry, but the item \"%s\" is bei
 msgstr "Spiacente, ma l'elemento \"%s\"  in uso in questo momento."
 
 #. cant_delete_folder
-#: src/bfu/hierbox.c:558 src/bookmarks/dialogs.c:121
+#: src/bfu/hierbox.c:558 src/bookmarks/dialogs.c:153
 #, c-format
 msgid "Sorry, but the folder \"%s\" cannot be deleted."
 msgstr "Spiacente, ma la cartella \"%s\" non pu essere rimossa."
 
 #. cant_delete_used_folder
-#: src/bfu/hierbox.c:561 src/bookmarks/dialogs.c:123
+#: src/bfu/hierbox.c:561 src/bookmarks/dialogs.c:155
 #, c-format
 msgid "Sorry, but the folder \"%s\" is being used by something else."
 msgstr "Spiacente, ma la cartella \"%s\"  in uso in questo momento."
@@ -78,7 +78,7 @@ msgid "Delete marked items?"
 msgstr "Eliminare gli elementi selezionati?"
 
 #. delete_folder_title
-#: src/bfu/hierbox.c:570 src/bookmarks/dialogs.c:129
+#: src/bfu/hierbox.c:570 src/bookmarks/dialogs.c:161
 msgid "Delete folder"
 msgstr "Elimina cartella"
 
@@ -137,13 +137,13 @@ msgstr "S"
 msgid "~No"
 msgstr "No"
 
-#: src/bfu/hierbox.c:945 src/bfu/hierbox.c:976 src/viewer/text/search.c:1090
-#: src/viewer/text/search.c:1098 src/viewer/text/search.c:1114
-#: src/viewer/text/search.c:1705
+#: src/bfu/hierbox.c:945 src/bfu/hierbox.c:976 src/viewer/text/search.c:1106
+#: src/viewer/text/search.c:1114 src/viewer/text/search.c:1130
+#: src/viewer/text/search.c:1723
 msgid "Search"
 msgstr "Cerca"
 
-#: src/bfu/hierbox.c:947 src/viewer/text/search.c:1091
+#: src/bfu/hierbox.c:947 src/viewer/text/search.c:1107
 #, c-format
 msgid "Search string '%s' not found"
 msgstr "Stringa '%s' non trovata"
@@ -182,8 +182,8 @@ msgstr "Stringa vuota non consentita"
 #: src/dialogs/options.c:237 src/dialogs/options.c:316 src/mime/dialogs.c:133
 #: src/protocol/auth/dialogs.c:116 src/protocol/bittorrent/dialogs.c:814
 #: src/scripting/lua/core.c:400 src/scripting/lua/core.c:481
-#: src/session/download.c:607 src/session/download.c:1219
-#: src/viewer/text/search.c:1687
+#: src/session/download.c:633 src/session/download.c:1245
+#: src/viewer/text/search.c:1705
 #, fuzzy
 msgid "~Cancel"
 msgstr "Annulla"
@@ -198,8 +198,8 @@ msgstr "Colore"
 msgid "Digital clock in the status bar."
 msgstr "Colori titolo finestra di dialogo."
 
-#: src/bfu/leds.c:77 src/bfu/leds.c:94 src/config/options.inc:1199
-#: src/config/options.inc:1206 src/ecmascript/ecmascript.c:45
+#: src/bfu/leds.c:77 src/bfu/leds.c:94 src/config/options.inc:1272
+#: src/config/options.inc:1279 src/ecmascript/ecmascript.c:45
 #: src/globhist/globhist.c:64 src/mime/backend/mailcap.c:93
 #: src/mime/backend/mimetypes.c:52 src/network/ssl/ssl.c:81
 msgid "Enable"
@@ -217,8 +217,7 @@ msgstr "Form"
 
 #: src/bfu/leds.c:83
 msgid ""
-"Format string for the digital clock. See the strftime(3)\n"
-"manpage for details."
+"Format string for the digital clock. See the strftime(3) manpage for details."
 msgstr ""
 
 #: src/bfu/leds.c:90
@@ -230,9 +229,9 @@ msgid "LEDs (visual indicators) options.
 msgstr "Opzioni LED (indicatori visuali)."
 
 #: src/bfu/leds.c:96
+#, fuzzy
 msgid ""
-"Enable LEDs.\n"
-"These visual indicators will inform you about various states."
+"Enable LEDs. These visual indicators will inform you about various states."
 msgstr ""
 "Abilita LED.\n"
 "Questi indicatori visuali ti informeranno sui vari stati."
@@ -264,17 +263,17 @@ msgstr ""
 msgid "Search menu/"
 msgstr "Ricerca"
 
-#: src/bookmarks/backend/xbel.c:97
+#: src/bookmarks/backend/xbel.c:105
 #, c-format
 msgid "read_bookmarks_xbel(): Error in XML_ParserCreate()"
 msgstr "read_bookmarks_xbel(): Errore in XML_ParserCreate()"
 
-#: src/bookmarks/backend/xbel.c:108
+#: src/bookmarks/backend/xbel.c:116
 #, c-format
 msgid "read_bookmarks_xbel(): Error reading %s"
 msgstr "read_bookmarks_xbel(): Errore leggendo %s"
 
-#: src/bookmarks/backend/xbel.c:116
+#: src/bookmarks/backend/xbel.c:124
 #, fuzzy, c-format
 msgid ""
 "Parse error while processing XBEL bookmarks in %s at line %d column %d:\n"
@@ -283,16 +282,16 @@ msgstr ""
 "read_bookmarks_xbel(): Errore nell'analisi di %s alla riga %d colonna %d:\n"
 "%s"
 
-#: src/bookmarks/backend/xbel.c:390 src/bookmarks/backend/xbel.c:411
+#: src/bookmarks/backend/xbel.c:388 src/bookmarks/backend/xbel.c:410
 msgid "No title"
 msgstr "Senza titolo"
 
-#: src/bookmarks/backend/xbel.c:396
+#: src/bookmarks/backend/xbel.c:394
 msgid "No URL"
 msgstr "Nessun URL"
 
 #. name:
-#: src/bookmarks/bookmarks.c:48 src/bookmarks/bookmarks.c:181
+#: src/bookmarks/bookmarks.c:48 src/bookmarks/bookmarks.c:183
 msgid "Bookmarks"
 msgstr "Segnalibri"
 
@@ -300,7 +299,7 @@ msgstr "Segnalibri"
 msgid "Bookmark options."
 msgstr "Opzioni segnalibri."
 
-#: src/bookmarks/bookmarks.c:53 src/bookmarks/bookmarks.c:59
+#: src/bookmarks/bookmarks.c:53 src/bookmarks/bookmarks.c:60
 msgid "File format"
 msgstr "Formato file"
 
@@ -309,60 +308,56 @@ msgstr "Formato file"
 msgid ""
 "File format for bookmarks (affects both reading and saving):\n"
 "0 is the default native ELinks format\n"
-"1 is XBEL universal XML bookmarks format (ELinks bug 153: NO NATIONAL CHARS "
-"SUPPORT!)"
+"1 is XBEL universal XML bookmarks format"
 msgstr ""
 "Formato dei segnalibri (ha effetto sia in lettura che in scrittura):\n"
 "0  il formato predefinito di ELinks (compatibile con Links 0.9x)\n"
 "1  il formato di bookmark XML universale XBEL (SENZA SUPPORTO PER CARATTERI "
 "NAZIONALI!)"
 
-#: src/bookmarks/bookmarks.c:61
+#: src/bookmarks/bookmarks.c:62
 #, fuzzy
 msgid ""
 "File format for bookmarks (affects both reading and saving):\n"
 "0 is the default native ELinks format\n"
-"1 is XBEL universal XML bookmarks format (ELinks bug 153: NO NATIONAL CHARS "
-"SUPPORT!)  (DISABLED)"
+"1 is XBEL universal XML bookmarks format  (DISABLED)"
 msgstr ""
 "Formato dei segnalibri (ha effetto sia in lettura che in scrittura):\n"
 "0  il formato predefinito di ELinks (compatibile con Links 0.9x)\n"
 "1  il formato di bookmark XML universale XBEL (SENZA SUPPORTO PER CARATTERI "
 "NAZIONALI!) (DISABILITATO)"
 
-#: src/bookmarks/bookmarks.c:67
+#: src/bookmarks/bookmarks.c:68
 #, fuzzy
 msgid "Save folder state"
 msgstr "Immettere nome cartella"
 
-#: src/bookmarks/bookmarks.c:69
+#: src/bookmarks/bookmarks.c:70
 msgid ""
-"When saving bookmarks also store whether folders are\n"
-"expanded or not, so the look of the bookmark dialog is\n"
-"kept across ELinks sessions. If disabled all folders will\n"
-"appear unexpanded next time ELinks is run."
+"When saving bookmarks also store whether folders are expanded or not, so the "
+"look of the bookmark dialog is kept across ELinks sessions. If disabled all "
+"folders will appear unexpanded next time ELinks is run."
 msgstr ""
 
-#: src/bookmarks/bookmarks.c:74
+#: src/bookmarks/bookmarks.c:75
 msgid "Periodic snapshotting"
 msgstr ""
 
-#: src/bookmarks/bookmarks.c:76
+#: src/bookmarks/bookmarks.c:77
 msgid ""
-"Automatically save a snapshot of all tabs periodically.\n"
-"This will periodically bookmark the tabs of each terminal in a separate "
-"folder\n"
-"for recovery after a crash.\n"
+"Automatically save a snapshot of all tabs periodically. This will "
+"periodically bookmark the tabs of each terminal in a separate folder for "
+"recovery after a crash.\n"
 "\n"
 "This feature requires bookmark support."
 msgstr ""
 
-#: src/bookmarks/dialogs.c:72 src/config/options.inc:1051
+#: src/bookmarks/dialogs.c:97 src/config/options.inc:1120
 #: src/dialogs/document.c:145 src/globhist/dialogs.c:65
 msgid "Title"
 msgstr "Titolo"
 
-#: src/bookmarks/dialogs.c:73 src/cache/dialogs.c:65
+#: src/bookmarks/dialogs.c:101 src/cache/dialogs.c:65
 #: src/dialogs/document.c:136 src/dialogs/edit.c:96 src/formhist/dialogs.c:63
 #: src/globhist/dialogs.c:66 src/protocol/auth/dialogs.c:163
 #: src/scripting/lua/core.c:397
@@ -370,86 +365,86 @@ msgid "URL"
 msgstr "URL"
 
 #. cant_delete_item
-#: src/bookmarks/dialogs.c:117
+#: src/bookmarks/dialogs.c:149
 #, fuzzy, c-format
 msgid "Sorry, but the bookmark \"%s\" cannot be deleted."
 msgstr "Spiacente, ma la cartella \"%s\" non pu essere rimossa."
 
 #. cant_delete_used_item
-#: src/bookmarks/dialogs.c:119
+#: src/bookmarks/dialogs.c:151
 #, fuzzy, c-format
 msgid "Sorry, but the bookmark \"%s\" is being used by something else."
 msgstr "Spiacente, ma la cartella \"%s\"  in uso in questo momento."
 
 #. delete_marked_items_title
-#: src/bookmarks/dialogs.c:125
+#: src/bookmarks/dialogs.c:157
 #, fuzzy
 msgid "Delete marked bookmarks"
 msgstr "Eliminazione elementi selezionati"
 
 #. delete_marked_items
-#: src/bookmarks/dialogs.c:127
+#: src/bookmarks/dialogs.c:159
 #, fuzzy
 msgid "Delete marked bookmarks?"
 msgstr "Eliminare gli elementi selezionati?"
 
 #. delete_folder
-#: src/bookmarks/dialogs.c:131
+#: src/bookmarks/dialogs.c:163
 #, fuzzy, c-format
 msgid "Delete the folder \"%s\" and all bookmarks in it?"
 msgstr "Eliminare la cartella \"%s\" e il suo contenuto?"
 
 #. delete_item_title
-#: src/bookmarks/dialogs.c:133
+#: src/bookmarks/dialogs.c:165
 #, fuzzy
 msgid "Delete bookmark"
 msgstr "Modifica segnalibro"
 
-#: src/bookmarks/dialogs.c:135
+#: src/bookmarks/dialogs.c:167
 #, c-format
 msgid "Delete this bookmark?"
 msgstr "Cancellare questo segnalibro?"
 
 #. clear_all_items_title
-#: src/bookmarks/dialogs.c:137
+#: src/bookmarks/dialogs.c:169
 #, fuzzy
 msgid "Clear all bookmarks"
 msgstr "Ricerca segnalibro"
 
 #. clear_all_items_title
-#: src/bookmarks/dialogs.c:139
+#: src/bookmarks/dialogs.c:171
 #, fuzzy
 msgid "Do you really want to remove all bookmarks?"
 msgstr "Vuoi veramente eliminare tutti gli elementi?"
 
-#: src/bookmarks/dialogs.c:254
+#: src/bookmarks/dialogs.c:327
 msgid "Add folder"
 msgstr "Aggiungi cartella"
 
-#: src/bookmarks/dialogs.c:254
+#: src/bookmarks/dialogs.c:327
 msgid "Folder name"
 msgstr "Nome cartella"
 
-#: src/bookmarks/dialogs.c:310 src/scripting/lua/core.c:391
+#: src/bookmarks/dialogs.c:410 src/scripting/lua/core.c:391
 msgid "Edit bookmark"
 msgstr "Modifica segnalibro"
 
-#: src/bookmarks/dialogs.c:461
+#: src/bookmarks/dialogs.c:567
 msgid "Cannot move folder inside itself"
 msgstr ""
 
-#: src/bookmarks/dialogs.c:462
+#: src/bookmarks/dialogs.c:568
 msgid ""
 "You are trying to move the marked folder inside itself. To move the folder "
 "to a different location select the new location before pressing the Move "
 "button."
 msgstr ""
 
-#: src/bookmarks/dialogs.c:468
+#: src/bookmarks/dialogs.c:574
 msgid "Nothing to move"
 msgstr ""
 
-#: src/bookmarks/dialogs.c:469
+#: src/bookmarks/dialogs.c:575
 msgid ""
 "To move bookmarks, first mark all the bookmarks (or folders) you want to "
 "move.  This can be done with the Insert key if you're using the default key-"
@@ -458,21 +453,21 @@ msgid ""
 msgstr ""
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons, src/cache/dialogs.c:cache_buttons, src/globhist/dialogs.c:globhist_buttons, src/protocol/auth/dialogs.c:auth_buttons)
-#: src/bookmarks/dialogs.c:487 src/cache/dialogs.c:230
+#: src/bookmarks/dialogs.c:593 src/cache/dialogs.c:230
 #: src/globhist/dialogs.c:224 src/protocol/auth/dialogs.c:261
 #, fuzzy
 msgid "~Goto"
 msgstr "Vai a"
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons, src/config/dialogs.c:option_buttons, src/cookies/dialogs.c:cookie_buttons)
-#: src/bookmarks/dialogs.c:488 src/config/dialogs.c:503
+#: src/bookmarks/dialogs.c:594 src/config/dialogs.c:503
 #: src/cookies/dialogs.c:492
 #, fuzzy
 msgid "~Edit"
 msgstr "Modifica"
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons, src/cache/dialogs.c:cache_buttons, src/config/dialogs.c:keybinding_buttons, src/config/dialogs.c:option_buttons, src/cookies/dialogs.c:cookie_buttons, src/dialogs/menu.c:ext_menu, src/formhist/dialogs.c:formhist_buttons, src/globhist/dialogs.c:globhist_buttons, src/protocol/auth/dialogs.c:auth_buttons)
-#: src/bookmarks/dialogs.c:489 src/cache/dialogs.c:231
+#: src/bookmarks/dialogs.c:595 src/cache/dialogs.c:231
 #: src/config/dialogs.c:505 src/config/dialogs.c:930 src/cookies/dialogs.c:493
 #: src/dialogs/menu.c:463 src/formhist/dialogs.c:211
 #: src/globhist/dialogs.c:229 src/protocol/auth/dialogs.c:263
@@ -480,31 +475,31 @@ msgid "~Delete"
 msgstr "~Elimina"
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons, src/config/dialogs.c:keybinding_buttons, src/config/dialogs.c:option_buttons, src/cookies/dialogs.c:cookie_buttons, src/dialogs/menu.c:ext_menu)
-#: src/bookmarks/dialogs.c:490 src/config/dialogs.c:504
+#: src/bookmarks/dialogs.c:596 src/config/dialogs.c:504
 #: src/config/dialogs.c:929 src/cookies/dialogs.c:490 src/dialogs/menu.c:461
 msgid "~Add"
 msgstr "~Aggiungi"
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons)
-#: src/bookmarks/dialogs.c:491
+#: src/bookmarks/dialogs.c:597
 #, fuzzy
 msgid "Add se~parator"
 msgstr "Separatore schede"
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons)
-#: src/bookmarks/dialogs.c:492
+#: src/bookmarks/dialogs.c:598
 #, fuzzy
 msgid "Add ~folder"
 msgstr "Aggiungi cartella"
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons)
-#: src/bookmarks/dialogs.c:493
+#: src/bookmarks/dialogs.c:599
 #, fuzzy
 msgid "~Move"
 msgstr "Sposta"
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons, src/cache/dialogs.c:cache_buttons, src/config/dialogs.c:keybinding_buttons, src/config/dialogs.c:option_buttons, src/dialogs/menu.c:view_menu, src/globhist/dialogs.c:globhist_buttons)
-#: src/bookmarks/dialogs.c:494 src/cache/dialogs.c:232
+#: src/bookmarks/dialogs.c:600 src/cache/dialogs.c:232
 #: src/config/dialogs.c:506 src/config/dialogs.c:932 src/dialogs/menu.c:413
 #: src/globhist/dialogs.c:230
 msgid "~Search"
@@ -512,36 +507,50 @@ msgstr "~Cerca"
 
 #. This one is too dangerous, so just let user delete
 #. * the bookmarks file if needed. --Zas
-#: src/bookmarks/dialogs.c:498
+#: src/bookmarks/dialogs.c:604
 msgid "Clear"
 msgstr "Pulisci"
 
 #. TODO: Would this be useful? --jonas
-#: src/bookmarks/dialogs.c:501 src/globhist/dialogs.c:235
+#: src/bookmarks/dialogs.c:607 src/globhist/dialogs.c:235
 msgid "Save"
 msgstr "Salva"
 
-#: src/bookmarks/dialogs.c:507
+#: src/bookmarks/dialogs.c:613
 msgid "Bookmark manager"
 msgstr "Gestore segnalibri"
 
-#: src/bookmarks/dialogs.c:632
+#: src/bookmarks/dialogs.c:825
 msgid "Search bookmarks"
 msgstr "Ricerca segnalibro"
 
-#: src/bookmarks/dialogs.c:661
+#. When the user eventually pushes the OK button, BFU calls
+#. * bookmark_add_add() and gives it the struct dialog * as the
+#. * void * parameter.  However, bookmark_add_add() also needs
+#. * to know the struct terminal *, and there is no way to get
+#. * that from struct dialog.  The other bookmark dialogs work
+#. * around that by making dialog.udata point to the struct
+#. * dialog_data of the bookmark manager, but the "Add bookmark"
+#. * dialog can be triggered with ACT_MAIN_ADD_BOOKMARK, which
+#. * does not involve the bookmark manager at all.
+#. *
+#. * The solution here is to save the struct terminal * in
+#. * dialog.udata2, which the "Edit bookmark" dialog uses for
+#. * struct bookmark *.  When adding a new bookmark, we don't
+#. * need a pointer to an existing one, of course.
+#: src/bookmarks/dialogs.c:892
 msgid "Add bookmark"
 msgstr "Aggiungi segnalibro"
 
-#: src/bookmarks/dialogs.c:697
+#: src/bookmarks/dialogs.c:950
 msgid "Saved session"
 msgstr "Sessione salvata"
 
-#: src/bookmarks/dialogs.c:705
+#: src/bookmarks/dialogs.c:958
 msgid "Bookmark tabs"
 msgstr "Aggiungi le schede ai segnalibri"
 
-#: src/bookmarks/dialogs.c:705
+#: src/bookmarks/dialogs.c:958
 msgid "Enter folder name"
 msgstr "Immettere nome cartella"
 
@@ -554,7 +563,7 @@ msgstr "Nessun URL"
 msgid "Redirect"
 msgstr "Redirezione"
 
-#: src/cache/dialogs.c:85 src/config/options.inc:519
+#: src/cache/dialogs.c:85 src/config/options.inc:553
 #: src/dialogs/document.c:156 src/protocol/bittorrent/dialogs.c:126
 msgid "Size"
 msgstr "Dimensione"
@@ -601,7 +610,7 @@ msgstr "Scadenza"
 msgid "ID"
 msgstr "ID"
 
-#: src/cache/dialogs.c:134 src/config/options.inc:669
+#: src/cache/dialogs.c:134 src/config/options.inc:707
 msgid "Header"
 msgstr "Header"
 
@@ -1318,7 +1327,7 @@ msgstr "Host non trovato"
 msgid "Resolver error"
 msgstr "Errore del resolver"
 
-#: src/config/cmdline.c:256 src/cookies/cookies.c:841 src/network/state.c:47
+#: src/config/cmdline.c:256 src/cookies/cookies.c:843 src/network/state.c:47
 #: src/util/secsave.c:379
 msgid "Out of memory"
 msgstr "Memoria esaurita"
@@ -1341,212 +1350,212 @@ msgstr ""
 msgid "Remote method not supported"
 msgstr ""
 
-#: src/config/cmdline.c:452
+#: src/config/cmdline.c:437
+msgid "Out of memory formatting option documentation"
+msgstr ""
+
+#: src/config/cmdline.c:474
 msgid "Template option folder"
 msgstr "Cartella di opzioni template"
 
-#: src/config/cmdline.c:475
+#: src/config/cmdline.c:497
 #, c-format
 msgid "(default: %ld)"
 msgstr "(predefinito: %ld)"
 
-#: src/config/cmdline.c:482 src/config/cmdline.c:511
+#: src/config/cmdline.c:504 src/config/cmdline.c:533
 #, c-format
 msgid "(default: \"%s\")"
 msgstr "(predefinito: \"%s\")"
 
-#: src/config/cmdline.c:487
+#: src/config/cmdline.c:509
 #, c-format
 msgid "(alias for %s)"
 msgstr "(alias per %s)"
 
-#: src/config/cmdline.c:492 src/config/cmdline.c:501
+#: src/config/cmdline.c:514 src/config/cmdline.c:523
 #, c-format
 msgid "(default: %s)"
 msgstr "(predefinito: %s)"
 
-#: src/config/cmdline.c:642
+#: src/config/cmdline.c:654
 #, fuzzy
 msgid "Configuration options"
 msgstr "Opzioni di configurazione:\n"
 
-#: src/config/cmdline.c:646
+#: src/config/cmdline.c:658
 #, fuzzy
 msgid "Usage: elinks [OPTION]... [URL]..."
 msgstr ""
 "Uso: elinks [OPZIONE]... [URL]\n"
 "\n"
 
-#: src/config/cmdline.c:647
+#: src/config/cmdline.c:659
 #, fuzzy
 msgid "Options"
 msgstr "Opzioni:\n"
 
-#: src/config/cmdline.c:689
+#: src/config/cmdline.c:701
 #, fuzzy
 msgid "Internal consistency error"
 msgstr "Errore interno"
 
 #.
-#: src/config/cmdline.c:725
+#: src/config/cmdline.c:737
 msgid "Restrict to anonymous mode"
 msgstr "Si limita alla modalit anonima"
 
-#: src/config/cmdline.c:727
+#: src/config/cmdline.c:739
 #, fuzzy
 msgid ""
-"Restricts ELinks so it can run on an anonymous account.\n"
-"Local file browsing, downloads, and modification of options\n"
-"will be disabled. Execution of viewers is allowed, but entries\n"
-"in the association table can't be added or modified."
+"Restricts ELinks so it can run on an anonymous account. Local file browsing, "
+"downloads, and modification of options will be disabled. Execution of "
+"viewers is allowed, but entries in the association table can't be added or "
+"modified."
 msgstr ""
 "Limita ELinks in modo che possa essere eseguito su un account anonimo.\n"
 "Niente navigazione locale di file, niente download. L'esecuzione di\n"
 "visualizzatori  consentita, ma l'utente non pu aggiungere o modificare\n"
 "voci nella tabella delle associazioni."
 
-#: src/config/cmdline.c:732
+#: src/config/cmdline.c:745
 msgid "Autosubmit first form"
 msgstr "Autoinvia primo form"
 
-#: src/config/cmdline.c:734
+#: src/config/cmdline.c:747
 #, fuzzy
 msgid "Automatically submit the first form in the given URLs."
 msgstr "Sottometti il primo form che incontri."
 
-#: src/config/cmdline.c:736
+#: src/config/cmdline.c:749
 #, fuzzy
 msgid "Clone internal session with given ID"
 msgstr "Clona la sessione con l'ID dato"
 
-#: src/config/cmdline.c:738
+#: src/config/cmdline.c:751
 msgid ""
-"Used internally when opening ELinks instances in new windows.\n"
-"The ID maps to information that will be used when creating the\n"
-"new instance. You don't want to use it."
+"Used internally when opening ELinks instances in new windows. The ID maps to "
+"information that will be used when creating the new instance. You don't want "
+"to use it."
 msgstr ""
 
-#: src/config/cmdline.c:744
+#: src/config/cmdline.c:757
 msgid "Name of directory with configuration file"
 msgstr "Nome della directori con il file di configurazione"
 
-#: src/config/cmdline.c:746
+#: src/config/cmdline.c:759
 #, fuzzy
 msgid ""
-"Path of the directory ELinks will read and write its\n"
-"config and runtime state files to instead of ~/.elinks.\n"
-"If the path does not begin with a '/' it is assumed to be\n"
-"relative to your HOME directory."
+"Path of the directory ELinks will read and write its config and runtime "
+"state files to instead of ~/.elinks. If the path does not begin with a '/' "
+"it is assumed to be relative to your HOME directory."
 msgstr ""
 "ELinks legger e scriver i suoi file di configurazione nella\n"
 "directory data invece che in ~/.elinks. Se il\n"
 "percorso inizia con un '/'  usato un percorso assoluto. Altrimenti\n"
 "si assume essere relativo alla propria HOME directory."
 
-#: src/config/cmdline.c:751
+#: src/config/cmdline.c:764
 #, fuzzy
 msgid "Print default configuration file to stdout"
 msgstr "Stampa l'aiuto per le opzioni di configurazione"
 
-#: src/config/cmdline.c:753
+#: src/config/cmdline.c:766
 msgid ""
-"Print a configuration file with options set to the built-in\n"
-"defaults to stdout."
+"Print a configuration file with options set to the built-in defaults to "
+"stdout."
 msgstr ""
 
-#: src/config/cmdline.c:758
+#: src/config/cmdline.c:771
 msgid "Name of configuration file"
 msgstr "Nome del file di configurazione"
 
-#: src/config/cmdline.c:760
+#: src/config/cmdline.c:773
 #, fuzzy
 msgid ""
-"Name of the configuration file that all configuration\n"
-"options will be read from and written to. It should be\n"
-"relative to config-dir."
+"Name of the configuration file that all configuration options will be read "
+"from and written to. It should be relative to config-dir."
 msgstr ""
 "Nome del file con la configurazione, dal quale e nel quale\n"
 "tutta la configurazione sar scritta. Deve essere relativo\n"
 "alla directory di configurazione."
 
-#: src/config/cmdline.c:764
+#: src/config/cmdline.c:777
 msgid "Print help for configuration options"
 msgstr "Stampa l'aiuto per le opzioni di configurazione"
 
-#: src/config/cmdline.c:766
+#: src/config/cmdline.c:779
 #, fuzzy
 msgid "Print help for configuration options and exit."
 msgstr "Stampa l'aiuto per le opzioni di configurazione ed esce."
 
-#: src/config/cmdline.c:768
+#: src/config/cmdline.c:781
 #, fuzzy
 msgid "MIME type assumed for unknown document types"
 msgstr "Tipo MIME da assumere per i documenti"
 
-#: src/config/cmdline.c:770
+#: src/config/cmdline.c:783
 #, fuzzy
 msgid "The default MIME type used for documents of unknown type."
 msgstr "Tipo MIME predefinito da assumere per documenti di tipo sconosciuto."
 
-#: src/config/cmdline.c:772
+#: src/config/cmdline.c:786
 msgid "Ignore user-defined keybindings"
 msgstr ""
 
-#: src/config/cmdline.c:774
+#: src/config/cmdline.c:788
 msgid ""
-"When set, all keybindings from configuration files will be\n"
-"ignored. It forces use of default keybindings and will reset\n"
-"user-defined ones on save."
+"When set, all keybindings from configuration files will be ignored. It "
+"forces use of default keybindings and will reset user-defined ones on save."
 msgstr ""
 
-#: src/config/cmdline.c:778
+#: src/config/cmdline.c:792
 #, fuzzy
 msgid "Print formatted versions of given URLs to stdout"
 msgstr "Scrive la versione formattata dell'URL dato sullo stdout"
 
-#: src/config/cmdline.c:780
+#: src/config/cmdline.c:794
 #, fuzzy
 msgid "Print formatted plain-text versions of given URLs to stdout."
 msgstr "Scrive la versione formattata dell'URL dato sullo stdout"
 
-#: src/config/cmdline.c:782
+#: src/config/cmdline.c:797
 msgid "Codepage to use with -dump"
 msgstr "Codepage da usare con -dump"
 
-#: src/config/cmdline.c:784
+#: src/config/cmdline.c:799
 #, fuzzy
 msgid "Codepage used when formatting dump output."
 msgstr "Codepage usata nell'output."
 
-#: src/config/cmdline.c:786
+#: src/config/cmdline.c:801
 #, fuzzy
 msgid "Color mode used with -dump"
 msgstr "Codepage da usare con -dump"
 
-#: src/config/cmdline.c:788
+#: src/config/cmdline.c:803
 #, fuzzy
 msgid "Color mode used with -dump."
 msgstr "Codepage da usare con -dump"
 
-#: src/config/cmdline.c:790
+#: src/config/cmdline.c:805
 msgid "Width of document formatted with -dump"
 msgstr "Larghezza del documento formattato con -dump"
 
-#: src/config/cmdline.c:792
+#: src/config/cmdline.c:807
 msgid "Width of the dump output."
 msgstr "Larghezza dell'output con dump"
 
-#: src/config/cmdline.c:794
+#: src/config/cmdline.c:809
 #, fuzzy
 msgid "Evaluate configuration file directive"
 msgstr "Valuta l'opzione di configurazione data"
 
-#: src/config/cmdline.c:796
+#: src/config/cmdline.c:811
 #, fuzzy
 msgid ""
-"Specify configuration file directives on the command-line\n"
-"which will be evaluated after all configuration files has been\n"
-"read. Example usage:\n"
+"Specify configuration file directives on the command-line which will be "
+"evaluated after all configuration files has been read. Example usage:\n"
 "\t-eval 'set protocol.file.allow_special_files = 1'"
 msgstr ""
 "Specifica un'opzione di configurazione di elinks.conf sulla riga di "
@@ -1554,98 +1563,99 @@ msgstr ""
 "  -eval 'set protocol.file.allow_special_files = 1'"
 
 #. lynx compatibility
-#: src/config/cmdline.c:802
+#: src/config/cmdline.c:817
 #, fuzzy
 msgid "Interpret documents of unknown types as HTML"
 msgstr "Tipo MIME predefinito da assumere per documenti di tipo sconosciuto."
 
-#: src/config/cmdline.c:804
+#: src/config/cmdline.c:819
 #, fuzzy
 msgid ""
-"Makes ELinks assume documents of unknown types are HTML.\n"
-"Useful when using ELinks as an external viewer from MUAs.\n"
-"This is equivalent to -default-mime-type text/html."
+"Makes ELinks assume documents of unknown types are HTML. Useful when using "
+"ELinks as an external viewer from MUAs. This is equivalent to -default-mime-"
+"type text/html."
 msgstr ""
 "Questo fa assumere a ELinks che i file che vede siano HTML. Questo \n"
 "equivalente a -default-mime-type text/html."
 
-#: src/config/cmdline.c:814
+#: src/config/cmdline.c:829
 msgid "Print usage help and exit"
 msgstr "Stampa l'aiuto sull'uso ed esce"
 
-#: src/config/cmdline.c:816
+#: src/config/cmdline.c:831
 msgid "Print usage help and exit."
 msgstr "Stampa l'aiuto sull'uso ed esce."
 
-#: src/config/cmdline.c:818
+#: src/config/cmdline.c:833
 msgid "Only permit local connections"
 msgstr "Permette solo connessioni locali"
 
-#: src/config/cmdline.c:820
+#: src/config/cmdline.c:835
 #, fuzzy
 msgid ""
-"Restricts ELinks to work offline and only connect to servers\n"
-"with local addresses (ie. 127.0.0.1). No connections to remote\n"
-"servers will be permitted."
+"Restricts ELinks to work offline and only connect to servers with local "
+"addresses (ie. 127.0.0.1). No connections to remote servers will be "
+"permitted."
 msgstr ""
 "Limita ELinks ad aprire connessioni solo agli indirizzi\n"
 "locali (ie. 127.0.0.1), questo preverr connessioni a server\n"
 "remoti."
 
-#: src/config/cmdline.c:824
+#: src/config/cmdline.c:839
 msgid "Print detailed usage help and exit"
 msgstr "Stampa l'aiuto dettagliato sull'uso ed esce"
 
-#: src/config/cmdline.c:826
+#: src/config/cmdline.c:841
 msgid "Print detailed usage help and exit."
 msgstr "Stampa l'aiuto dettagliato sull'uso ed esce."
 
-#: src/config/cmdline.c:828
+#: src/config/cmdline.c:843
 msgid "Look up specified host"
 msgstr "Look up dell'host specificato"
 
-#: src/config/cmdline.c:830
+#: src/config/cmdline.c:845
 msgid "Look up specified host and print all DNS resolved IP addresses."
 msgstr ""
 
-#: src/config/cmdline.c:832
+#: src/config/cmdline.c:848
 msgid "Run as separate instance"
 msgstr "Avvia come istanza separata"
 
-#: src/config/cmdline.c:834
+#: src/config/cmdline.c:850
 #, fuzzy
 msgid ""
-"Run ELinks as a separate instance instead of connecting to an\n"
-"existing instance. Note that normally no runtime state files\n"
-"(bookmarks, history, etc.) are written to the disk when this\n"
-"option is used. See also -touch-files."
+"Run ELinks as a separate instance instead of connecting to an existing "
+"instance. Note that normally no runtime state files (bookmarks, history, "
+"etc.) are written to the disk when this option is used. See also -touch-"
+"files."
 msgstr ""
 "Esegui ELinks come un'istanza separata invece di connettersi a\n"
 "un'istanza esistente. Notare che normalmente nessun file di stato\n"
 "runtime (segnalibri, cronologia e cos via) viene scritto su disco\n"
 "quando si usa questa opzione. Si veda -touch-files."
 
-#: src/config/cmdline.c:839
+#: src/config/cmdline.c:855
 #, fuzzy
 msgid "Disable use of files in ~/.elinks"
 msgstr "Non usare i file in ~/.elinks"
 
-#: src/config/cmdline.c:841
+#: src/config/cmdline.c:857
 msgid ""
-"Disables creation and use of files in the user specific home\n"
-"configuration directory (~/.elinks). It forces default configuration\n"
-"values to be used and disables saving of runtime state files."
+"Disables creation and use of files in the user specific home configuration "
+"directory (~/.elinks). It forces default configuration values to be used and "
+"disables saving of runtime state files."
 msgstr ""
 
-#: src/config/cmdline.c:845
+#: src/config/cmdline.c:862
 #, fuzzy
 msgid "Disable link numbering in dump output"
 msgstr "Non numerare collegamenti nell'output di -dump"
 
-#: src/config/cmdline.c:847
+#: src/config/cmdline.c:864
 #, fuzzy
 msgid ""
 "Prevents printing of link number in dump output.\n"
+"\n"
 "Note that this really affects only -dump, nothing else."
 msgstr ""
 "Disabilita la numerazione dei collegamenti (e la lista alla fine del\n"
@@ -1653,16 +1663,16 @@ msgstr ""
 "il comportamento predefinito fino alla versione 0.5pre12. Notare che\n"
 "questo ha effetto solo con -dump, nient'altro."
 
-#: src/config/cmdline.c:850
+#: src/config/cmdline.c:868
 #, fuzzy
 msgid "Disable printing of link references in dump output"
 msgstr "Non numerare collegamenti nell'output di -dump"
 
-#: src/config/cmdline.c:852
+#: src/config/cmdline.c:870
 #, fuzzy
 msgid ""
-"Prevents printing of references (URIs) of document links\n"
-"in dump output.\n"
+"Prevents printing of references (URIs) of document links in dump output.\n"
+"\n"
 "Note that this really affects only -dump, nothing else."
 msgstr ""
 "Disabilita la numerazione dei collegamenti (e la lista alla fine del\n"
@@ -1670,18 +1680,18 @@ msgstr ""
 "il comportamento predefinito fino alla versione 0.5pre12. Notare che\n"
 "questo ha effetto solo con -dump, nient'altro."
 
-#: src/config/cmdline.c:856
+#: src/config/cmdline.c:875
 msgid "Control an already running ELinks"
 msgstr "Controlla una istanza di ELinks in esecuzione"
 
-#: src/config/cmdline.c:858
+#: src/config/cmdline.c:877
 msgid ""
-"Control a remote ELinks instance by passing commands to it.\n"
-"The option takes an additional argument containing the method\n"
-"which should be invoked and any parameters that should be passed\n"
-"to it. For ease of use, the additional method argument can be\n"
-"omitted in which case any URL arguments will be opened in new\n"
-"tabs in the remote instance.\n"
+"Control a remote ELinks instance by passing commands to it. The option takes "
+"an additional argument containing the method which should be invoked and any "
+"parameters that should be passed to it. For ease of use, the additional "
+"method argument can be omitted in which case any URL arguments will be "
+"opened in new tabs in the remote instance.\n"
+"\n"
 "Following is a list of the supported methods:\n"
 "\tping()                    : look for a remote instance\n"
 "\topenURL()                 : prompt URL in current tab\n"
@@ -1693,26 +1703,27 @@ msgid ""
 "\txfeDoCommand(openBrowser) : open new window"
 msgstr ""
 
-#: src/config/cmdline.c:874
+#: src/config/cmdline.c:895
 msgid "Connect to session ring with given ID"
 msgstr "Connetti alla sessione con il dato ID"
 
-#: src/config/cmdline.c:876
+#: src/config/cmdline.c:897
+#, fuzzy
 msgid ""
-"ID of session ring this ELinks session should connect to. ELinks\n"
-"works in so-called session rings, whereby all instances of ELinks\n"
-"are interconnected and share state (cache, bookmarks, cookies,\n"
-"and so on). By default, all ELinks instances connect to session\n"
-"ring 0. You can change that behaviour with this switch and form as\n"
-"many session rings as you want. Obviously, if the session-ring with\n"
-"this number doesn't exist yet, it's created and this ELinks instance\n"
-"will become the master instance (that usually doesn't matter for you\n"
-"as a user much). Note that you usually don't want to use this unless\n"
-"you're a developer and you want to do some testing - if you want the\n"
-"ELinks instances each running standalone, rather use the -no-connect\n"
-"command-line option. Also note that normally no runtime state files\n"
-"are written to the disk when this option is used. See also\n"
-"-touch-files."
+"ID of session ring this ELinks session should connect to. ELinks works in so-"
+"called session rings, whereby all instances of ELinks are interconnected and "
+"share state (cache, bookmarks, cookies, and so on). By default, all ELinks "
+"instances connect to session ring 0. You can change that behaviour with this "
+"switch and form as many session rings as you want. Obviously, if the session-"
+"ring with this number doesn't exist yet, it's created and this ELinks "
+"instance will become the master instance (that usually doesn't matter for "
+"you as a user much).\n"
+"\n"
+"Note that you usually don't want to use this unless you're a developer and "
+"you want to do some testing - if you want the ELinks instances each running "
+"standalone, rather use the -no-connect command-line option. Also note that "
+"normally no runtime state files are written to the disk when this option is "
+"used. See also -touch-files."
 msgstr ""
 "ID della sessione alla quale questa sessione di ELinks dovrebbe "
 "connettersi.\n"
@@ -1735,56 +1746,55 @@ msgstr ""
 "scritto\n"
 "sul disco quando si usa questa opzione. Si veda anche -touch-files."
 
-#: src/config/cmdline.c:891
+#: src/config/cmdline.c:915
 #, fuzzy
 msgid "Print the source of given URLs to stdout"
 msgstr "Scrive il sorgente dell'URL fornita sullo stdout"
 
-#: src/config/cmdline.c:893
+#: src/config/cmdline.c:917
 #, fuzzy
 msgid "Print given URLs in source form to stdout."
 msgstr "Scrive il sorgente del documento HTML sullo stdout."
 
-#: src/config/cmdline.c:897
+#: src/config/cmdline.c:921
 msgid "Touch files in ~/.elinks when running with -no-connect/-session-ring"
 msgstr ""
 "Modifica file in ~/.elinks quando eseguito con -no-connect/-session-ring"
 
-#: src/config/cmdline.c:899
+#: src/config/cmdline.c:923
 #, fuzzy
 msgid ""
-"When enabled, runtime state files (bookmarks, history, etc.) are\n"
-"written to disk, even when -no-connect or -session-ring is used.\n"
-"The option has no effect if not used in conjunction with any of\n"
-"these options."
+"When enabled, runtime state files (bookmarks, history, etc.) are written to "
+"disk, even when -no-connect or -session-ring is used. The option has no "
+"effect if not used in conjunction with any of these options."
 msgstr ""
 "Impostare a 1 per modificare i file runtime di stato (segnalibri, "
 "cronologia, ...)\n"
 "anche quando si usano -no-connect o -session-ring; non ha effetto\n"
 "se non  usato in combinazione con una di queste opzioni."
 
-#: src/config/cmdline.c:904
+#: src/config/cmdline.c:928
 msgid "Verbose level"
 msgstr "Livello di verbosit"
 
-#: src/config/cmdline.c:906
+#: src/config/cmdline.c:930
 msgid ""
-"The verbose level controls what messages are shown at\n"
-"start up and while running:\n"
+"The verbose level controls what messages are shown at start up and while "
+"running:\n"
 "\t0 means only show serious errors\n"
 "\t1 means show serious errors and warnings\n"
 "\t2 means show all messages"
 msgstr ""
 
-#: src/config/cmdline.c:912
+#: src/config/cmdline.c:936
 msgid "Print version information and exit"
 msgstr "Stampa informazioni sulla versione ed esce"
 
-#: src/config/cmdline.c:914
+#: src/config/cmdline.c:938
 msgid "Print ELinks version information and exit."
 msgstr "Mostra la versione di ELinks ed esce."
 
-#: src/config/conf.c:938
+#: src/config/conf.c:963
 msgid ""
 "## This is ELinks configuration file. You can edit it manually,\n"
 "## if you wish so; this file is edited by ELinks when you save\n"
@@ -1797,7 +1807,7 @@ msgstr ""
 "## saranno modificati solo i valori delle opzioni, tutta la formattazione,\n"
 "## i tuoi commenti, ecc. sar mantenuta cos com'.\n"
 
-#: src/config/conf.c:946
+#: src/config/conf.c:971
 msgid ""
 "## This is ELinks configuration file. You can edit it manually,\n"
 "## if you wish so; this file is edited by ELinks when you save\n"
@@ -1816,7 +1826,7 @@ msgstr ""
 "## mancante. Nota che tutta la formattazione, i tuoi commenti, ecc. saranno\n"
 "## mantenuti.\n"
 
-#: src/config/conf.c:956
+#: src/config/conf.c:981
 msgid ""
 "## This is ELinks configuration file. You can edit it manually,\n"
 "## if you wish so, but keep in mind that this file is overwritten\n"
@@ -1828,7 +1838,7 @@ msgstr ""
 "## da ELinks quando si salvano le opzioni attraverso l'interfaccia\n"
 "## grafica e la formattazione e i commenti verranno quindi persi.\n"
 
-#: src/config/conf.c:967
+#: src/config/conf.c:992
 msgid ""
 "## Obviously, if you don't like what ELinks is going to do with\n"
 "## this file, you can change it by altering the config.saving_style\n"
@@ -1839,11 +1849,11 @@ msgstr ""
 "saving_style.\n"
 "## Dai, siamo dei bravi ragazzi dopo tutto.\n"
 
-#: src/config/conf.c:980
+#: src/config/conf.c:1005
 msgid "Automatically saved options\n"
 msgstr "Opzioni salvate automaticamente\n"
 
-#: src/config/conf.c:992
+#: src/config/conf.c:1017
 msgid "Automatically saved keybindings\n"
 msgstr "Associazioni di tasti salvate automaticamente\n"
 
@@ -1906,7 +1916,7 @@ msgstr "(espandi premendo spazio)"
 #. * switch charsets.  So, it will work in any terminal that
 #. * understands UTF-8 and has the characters in its font.
 #: src/config/dialogs.c:149 src/config/dialogs.c:330
-#: src/config/options.inc:840
+#: src/config/options.inc:887
 msgid "Type"
 msgstr "Tipo"
 
@@ -1931,9 +1941,9 @@ msgid "Description"
 msgstr "Descrizione"
 
 #: src/config/dialogs.c:291 src/protocol/bittorrent/dialogs.c:600
-#: src/protocol/protocol.c:240 src/session/session.c:287
-#: src/session/session.c:975 src/viewer/text/textarea.c:594
-#: src/viewer/text/textarea.c:601
+#: src/protocol/protocol.c:240 src/session/session.c:288
+#: src/session/session.c:999 src/viewer/text/textarea.c:583
+#: src/viewer/text/textarea.c:590
 msgid "Error"
 msgstr "Errore"
 
@@ -1971,7 +1981,7 @@ msgstr "Non si pu aggiungere un'opzione
 #. accelerator_context(src/config/dialogs.c:keybinding_buttons, src/config/dialogs.c:option_buttons, src/cookies/dialogs.c:cookie_buttons, src/formhist/dialogs.c:formhist_buttons, src/protocol/bittorrent/dialogs.c:bittorrent_query_callback, src/session/download.c:do_type_query, terminal_options)
 #: src/config/dialogs.c:507 src/config/dialogs.c:933 src/cookies/dialogs.c:495
 #: src/dialogs/options.c:236 src/formhist/dialogs.c:214
-#: src/protocol/bittorrent/dialogs.c:801 src/session/download.c:1203
+#: src/protocol/bittorrent/dialogs.c:801 src/session/download.c:1229
 #, fuzzy
 msgid "Sa~ve"
 msgstr "Salva"
@@ -1984,7 +1994,7 @@ msgstr "Gestore opzioni"
 msgid "Keystroke"
 msgstr "Combinazione di tasti"
 
-#: src/config/dialogs.c:676 src/config/options.inc:1219
+#: src/config/dialogs.c:676 src/config/options.inc:1292
 msgid "Action"
 msgstr "Azione"
 
@@ -2068,31 +2078,31 @@ msgstr ""
 "Controllare che la variabile $HOME sia impostata correttamente e se si hanno "
 "i permessi di scrittura sulla propria directory home."
 
-#: src/config/kbdbind.c:221
+#: src/config/kbdbind.c:222
 msgid "Main mapping"
 msgstr "Associazione principale"
 
-#: src/config/kbdbind.c:222
+#: src/config/kbdbind.c:223
 msgid "Edit mapping"
 msgstr "Associazione in editing"
 
-#: src/config/kbdbind.c:223
+#: src/config/kbdbind.c:224
 msgid "Menu mapping"
 msgstr "Associazione nel menu"
 
-#: src/config/kbdbind.c:588 src/scripting/python/keybinding.c:104
+#: src/config/kbdbind.c:589 src/scripting/python/keybinding.c:104
 msgid "Unrecognised keymap"
 msgstr "Associazione di tasti non riconosciuta"
 
-#: src/config/kbdbind.c:591
+#: src/config/kbdbind.c:592
 msgid "Error parsing keystroke"
 msgstr "Errore nell'analisi della combinazione di tasti"
 
-#: src/config/kbdbind.c:595
+#: src/config/kbdbind.c:596
 msgid "Unrecognised action (internal error)"
 msgstr "Azione non riconosciuta (errore interno)"
 
-#: src/config/kbdbind.c:611
+#: src/config/kbdbind.c:612
 #, fuzzy
 msgid "Error registering event"
 msgstr "Errore in scrittura su socket"
@@ -2124,34 +2134,35 @@ msgstr ""
 "2  scrivi solo la descrizione\n"
 "3  scrivi tutti i commenti"
 
-#: src/config/options.inc:31
+#: src/config/options.inc:32
 msgid "Indentation"
 msgstr "Indentazione"
 
-#: src/config/options.inc:33
+#: src/config/options.inc:34
+#, fuzzy
 msgid ""
-"Shift width of one indentation level in the configuration\n"
-"file. Zero means that no indentation is performed at all\n"
-"when saving the configuration."
+"Shift width of one indentation level in the configuration file. Zero means "
+"that no indentation is performed at all when saving the configuration."
 msgstr ""
 "Sposta la larghezza di un livello di indentazioni nel file di\n"
 "configurazione. Zero significa che nessuna indentazione sar\n"
 "compiuta salvando la configurazione."
 
-#: src/config/options.inc:37
+#: src/config/options.inc:38
 msgid "Saving style"
 msgstr "Modalit di salvataggio"
 
-#: src/config/options.inc:39
+#: src/config/options.inc:40
+#, fuzzy
 msgid ""
 "Determines what happens when you tell ELinks to save options:\n"
 "0 is only values of current options are altered\n"
-"1 is values of current options are altered and missing options\n"
-"     are added at the end of the file\n"
+"1 is values of current options are altered and missing\n"
+"     options are added at the end of the file\n"
 "2 is the configuration file is rewritten from scratch\n"
-"3 is values of current options are altered and missing options\n"
-"     CHANGED during this ELinks session are added at the end of\n"
-"     the file"
+"3 is values of current options are altered and missing\n"
+"     options CHANGED during this ELinks session are added at\n"
+"     the end of the file"
 msgstr ""
 "Determina cosa succede quando si dice a ELinks di salvare le opzioni:\n"
 "0  salva solo i valori delle opzioni correnti alterate\n"
@@ -2161,17 +2172,17 @@ msgstr ""
 "3  i valori delle correnti opzioni sono alterati e le opzioni mancanti\n"
 "    CAMBIATE durante la sessione di ELinks sono aggiunte alla fine del file"
 
-#: src/config/options.inc:48
+#: src/config/options.inc:50
 msgid "Comments localization"
 msgstr "Localizzazione dei commenti"
 
-#: src/config/options.inc:50
+#: src/config/options.inc:52
+#, fuzzy
 msgid ""
-"If set to 1, comments in the configuration file will be\n"
-"translated to the language used by UI. Note that if you have\n"
-"different language set in different terminals, the language\n"
-"used in the configuration file MAY be the same as on the\n"
-"terminal where you saved the file, but it should be generally\n"
+"If set to 1, comments in the configuration file will be translated to the "
+"language used by UI. Note that if you have different language set in "
+"different terminals, the language used in the configuration file MAY be the "
+"same as on the terminal where you saved the file, but it should be generally "
 "considered unpredictable."
 msgstr ""
 "Se impostato a 1, i commenti nel file di configurazione saranno\n"
@@ -2181,190 +2192,190 @@ msgstr ""
 "in cui si  salvato il file, ma generalmente dovrebbe essere\n"
 "considerato non prevedibile."
 
-#: src/config/options.inc:58
+#: src/config/options.inc:60
 msgid "Saving style warnings"
 msgstr "Avvertimenti modalit di salvataggio"
 
-#: src/config/options.inc:60
+#: src/config/options.inc:62
+#, fuzzy
 msgid ""
-"This is internal option used when displaying a warning about\n"
-"obsolete config.saving_style. You shouldn't touch it."
+"This is internal option used when displaying a warning about obsolete config."
+"saving_style. You shouldn't touch it."
 msgstr ""
 "Si tratta di una opzione interna usata per visualizzare un messaggio\n"
 "circa config.saving_style diventato obsoleto. Non si dovrebbe modificare."
 
-#: src/config/options.inc:63
+#: src/config/options.inc:66
 msgid "Show template"
 msgstr "Mostra template"
 
-#: src/config/options.inc:65
+#: src/config/options.inc:68
 #, fuzzy
 msgid ""
-"Show template options in autocreated trees in the options\n"
-"manager and save them to the configuration file."
+"Show template options in autocreated trees in the options manager and save "
+"them to the configuration file."
 msgstr ""
 "Mostra le opzioni _template_ nel gestore delle opzioni degli\n"
 "alberi creati automaticamente e salvale nel file di configurazione."
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:71 src/dialogs/info.c:180
+#: src/config/options.inc:74 src/dialogs/info.c:180
 msgid "Connections"
 msgstr "Connessioni"
 
-#: src/config/options.inc:73
+#: src/config/options.inc:76
 msgid "Connection options."
 msgstr "Opzioni di connessione."
 
-#: src/config/options.inc:76
+#: src/config/options.inc:79
 msgid "Asynchronous DNS"
 msgstr "DNS asincrono"
 
-#: src/config/options.inc:78
+#: src/config/options.inc:81
 #, fuzzy
 msgid "Whether to use asynchronous DNS resolving."
 msgstr "Usare il resolver DNS asincrono?"
 
-#: src/config/options.inc:80
+#: src/config/options.inc:83
 msgid "Maximum connections"
 msgstr "Connessioni massime"
 
-#: src/config/options.inc:82
+#: src/config/options.inc:85
 msgid "Maximum number of concurrent connections."
 msgstr "Numero massimo di connessioni simultanee."
 
-#: src/config/options.inc:84
+#: src/config/options.inc:87
 msgid "Maximum connections per host"
 msgstr "Connessioni massime per host"
 
-#: src/config/options.inc:86
+#: src/config/options.inc:89
 msgid "Maximum number of concurrent connections to a given host."
 msgstr "Numero massimo di connessioni simultanee a un dato host."
 
-#: src/config/options.inc:88
+#: src/config/options.inc:92
 msgid "Connection retries"
 msgstr "Tentativi di connessione"
 
-#: src/config/options.inc:90
-msgid ""
-"Number of tries to establish a connection.\n"
-"Zero means try forever."
+#: src/config/options.inc:94
+#, fuzzy
+msgid "Number of tries to establish a connection. Zero means try forever."
 msgstr ""
 "Numero di tentativi per stabilire una connessione.\n"
 "Con Zero tenta per sempre."
 
-#: src/config/options.inc:93 src/network/state.c:53
+#: src/config/options.inc:97 src/network/state.c:53
 msgid "Receive timeout"
 msgstr "Timeout di ricezione"
 
-#: src/config/options.inc:95
+#: src/config/options.inc:99
 msgid "Receive timeout (in seconds)."
 msgstr "Timeout di ricezione (in secondi)."
 
-#: src/config/options.inc:98 src/config/options.inc:108
+#: src/config/options.inc:102 src/config/options.inc:113
 msgid "Try IPv4 when connecting"
 msgstr ""
 
-#: src/config/options.inc:100
+#: src/config/options.inc:104
 msgid ""
-"Whether to try to connect to a host over IPv4.\n"
-"Note that if connection.try_ipv6 is enabled too,\n"
-"it takes precedence. And better do not touch this\n"
+"Whether to try to connect to a host over IPv4. Note that if connection."
+"try_ipv6 is enabled too, it takes precedence. And better do not touch this "
 "at all unless you are sure what are you doing.\n"
-"Note that you can also force a given protocol\n"
-"to be used on a per-connection basis by using a URL\n"
-"in the style of e.g. http4://elinks.cz/."
+"\n"
+"Note that you can also force a given protocol to be used on a per-connection "
+"basis by using a URL in the style of e.g. http4://elinks.cz/."
 msgstr ""
 
-#: src/config/options.inc:110
+#: src/config/options.inc:115
 msgid ""
-"Whether to try to connect to a host over IPv4.\n"
-"Do not touch this option.\n"
-"Note that you can also force a given protocol\n"
-"to be used on a per-connection basis by using a URL\n"
-"in the style of e.g. http4://elinks.cz/."
+"Whether to try to connect to a host over IPv4. Do not touch this option.\n"
+"\n"
+"Note that you can also force a given protocol to be used on a per-connection "
+"basis by using a URL in the style of e.g. http4://elinks.cz/."
 msgstr ""
 
-#: src/config/options.inc:118
+#: src/config/options.inc:124
 msgid "Try IPv6 when connecting"
 msgstr ""
 
-#: src/config/options.inc:120
+#: src/config/options.inc:126
 msgid ""
 "Whether to try to connect to a host over IPv6.\n"
-"Note that you can also force a given protocol\n"
-"to be used on a per-connection basis by using a URL\n"
-"in the style of e.g. http6://elinks.cz/."
+"\n"
+"Note that you can also force a given protocol to be used on a per-connection "
+"basis by using a URL in the style of e.g. http6://elinks.cz/."
 msgstr ""
 
-#: src/config/options.inc:126
+#: src/config/options.inc:133
 msgid "Timeout for non-restartable connections"
 msgstr "Timeout per connessioni non riavviabili"
 
-#: src/config/options.inc:128
+#: src/config/options.inc:135
 msgid "Timeout for non-restartable connections (in seconds)."
 msgstr "Timeout per connessioni non riavviabili (in secondi)."
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:134
+#: src/config/options.inc:141
 msgid "Document"
 msgstr "Documento"
 
-#: src/config/options.inc:136
+#: src/config/options.inc:143
 msgid "Document options."
 msgstr "Opzioni documento."
 
-#: src/config/options.inc:138
+#: src/config/options.inc:145
 msgid "Browsing"
 msgstr "Navigazione"
 
-#: src/config/options.inc:140
+#: src/config/options.inc:147
 msgid "Document browsing options (mainly interactivity)."
 msgstr "Opzioni di navigazione del documento (principalmente interattivit)."
 
-#: src/config/options.inc:143
+#: src/config/options.inc:150
 #, fuzzy
 msgid "Access keys"
 msgstr "Accesskeys"
 
-#: src/config/options.inc:145
+#: src/config/options.inc:152
 msgid ""
-"Options for handling of link access keys.\n"
-"An HTML document can use the ACCESSKEY attribute to assign\n"
-"an access key to an element. When an access key is pressed,\n"
-"the corresponding element will be given focus."
+"Options for handling of link access keys. An HTML document can use the "
+"ACCESSKEY attribute to assign an access key to an element. When an access "
+"key is pressed, the corresponding element will be given focus."
 msgstr ""
 
-#: src/config/options.inc:150
+#: src/config/options.inc:157
 msgid "Automatic links following"
 msgstr "Apertura automatica di collegamenti"
 
-#: src/config/options.inc:152
+#: src/config/options.inc:159
+#, fuzzy
 msgid ""
-"Automatically follow a link or submit a form if appropriate\n"
-"accesskey is pressed - this is the standard behaviour, but it's\n"
-"considered dangerous."
+"Automatically follow a link or submit a form if appropriate accesskey is "
+"pressed - this is the standard behaviour, but it's considered dangerous."
 msgstr ""
 "Segui automaticamente un link o sottometti un form se l'accesskey\n"
 "appropriato  premuto - questo  il comportamento standard, ma\n"
 " considerato pericoloso"
 
-#: src/config/options.inc:156
+#: src/config/options.inc:163
 msgid "Display access key in link info"
 msgstr ""
 
-#: src/config/options.inc:158
+#: src/config/options.inc:165
 msgid "Display access key in link info."
 msgstr ""
 
-#: src/config/options.inc:160
+#: src/config/options.inc:167
 msgid "Accesskey priority"
 msgstr "Priorit degli accesskey"
 
-#: src/config/options.inc:162
+#: src/config/options.inc:169
+#, fuzzy
 msgid ""
 "Priority of 'accesskey' HTML attribute:\n"
-"0 is first try all normal bindings; if it fails, check accesskey\n"
-"1 is first try only frame bindings; if it fails, check accesskey\n"
+"0 is first try all normal bindings; if it fails,\n"
+"     check accesskey\n"
+"1 is first try only frame bindings; if it fails,\n"
+"     check accesskey\n"
 "2 is first check accesskey (this can be dangerous)"
 msgstr ""
 "Priorit dell'attributo HTML 'accesskey':\n"
@@ -2372,103 +2383,105 @@ msgstr ""
 "1  prima prova solo le associazioni del frame, se fallisce usa accesskey\n"
 "2  usa l'accesskey per primo (pu essere pericoloso)"
 
-#: src/config/options.inc:168
+#: src/config/options.inc:177
 msgid "Forms"
 msgstr "Form"
 
-#: src/config/options.inc:170
+#: src/config/options.inc:179
 msgid "Options for handling of the forms interaction."
 msgstr "Opzioni per la gestione dell'interazione con i form."
 
-#: src/config/options.inc:172
+#: src/config/options.inc:181
 msgid "Submit form automatically"
 msgstr "Sottometti form automaticamente"
 
-#: src/config/options.inc:174
+#: src/config/options.inc:183
+#, fuzzy
 msgid ""
-"Automagically submit a form when enter is pressed with a text\n"
-"field selected."
+"Automagically submit a form when enter is pressed with a text field selected."
 msgstr ""
 "Sottometti un form automagicamente quando si preme invio con un\n"
 "campo testuale selezionato."
 
-#: src/config/options.inc:177
+#: src/config/options.inc:186
 msgid "Confirm submission"
 msgstr "Conferma sottomissione"
 
-#: src/config/options.inc:179
+#: src/config/options.inc:188
 msgid "Ask for confirmation when submitting a form."
 msgstr "Chiedi conferma quando si sottomette un form."
 
-#: src/config/options.inc:181
+#: src/config/options.inc:190
 msgid "Default form input size"
 msgstr "Dimensione predefinita dell'input nei form"
 
-#: src/config/options.inc:183
+#: src/config/options.inc:192
 msgid "Default form input size if none is specified."
 msgstr "Dimensione predefinita dell'input nei form se nessuna  specificata."
 
-#: src/config/options.inc:185
+#: src/config/options.inc:194
 msgid "Insert mode"
 msgstr "Modalit inserimento"
 
-#: src/config/options.inc:187
+#: src/config/options.inc:196
 msgid ""
-"The setting for this option affects how key presses are handled\n"
-"when one selects a text-input form-field. When enabled, one must\n"
-"explicitly 'enter' a selected text-field to edit it; this prevents\n"
-"text fields from capturing key presses, such as presses of a scroll\n"
-"key, when it is inadvertently selected. When disabled, key presses\n"
-"are always inserted into a selected text field."
+"The setting for this option affects how key presses are handled when one "
+"selects a text-input form-field. When enabled, one must explicitly 'enter' a "
+"selected text-field to edit it; this prevents text fields from capturing key "
+"presses, such as presses of a scroll key, when it is inadvertently selected. "
+"When disabled, key presses are always inserted into a selected text field."
 msgstr ""
 
-#: src/config/options.inc:194
+#: src/config/options.inc:204
 #, fuzzy
 msgid "External editor"
 msgstr "Apri con editor ~esterno"
 
-#: src/config/options.inc:196
+#: src/config/options.inc:206
 msgid ""
-"Path to the executable that ELinks should launch when the user\n"
-"requests to edit a textarea with an external editor.\n"
-"If this is blank, ELinks will use the value of the environmental\n"
-"variable $EDITOR. If $EDITOR is empty or not set, ELinks will then\n"
-"default to \"vi\"."
+"Path to the executable that ELinks should launch when the user requests to "
+"edit a textarea with an external editor.\n"
+"\n"
+"If this is blank, ELinks will use the value of the environmental variable "
+"$EDITOR. If $EDITOR is empty or not set, ELinks will then default to \"vi\"."
 msgstr ""
 
-#: src/config/options.inc:203
+#: src/config/options.inc:214
 msgid "Images"
 msgstr "Immagini"
 
-#: src/config/options.inc:205
+#: src/config/options.inc:216
 msgid "Options for handling of images."
 msgstr "Opzioni per la gestione delle immagini."
 
-#: src/config/options.inc:207
+#: src/config/options.inc:218
 #, fuzzy
 msgid "Display style for image tags"
 msgstr "Stile di visualizzazione per i collegamenti alle immagini"
 
-#: src/config/options.inc:209
+#: src/config/options.inc:220
 msgid ""
 "Display style for image tags when displayed:\n"
 "0     means always display IMG\n"
 "1     means always display filename\n"
-"2     means display alt/title attribute if possible, IMG if not\n"
-"3     means display alt/title attribute if possible, filename if not"
+"2     means display alt/title attribute if possible,\n"
+"      IMG if not\n"
+"3     means display alt/title attribute if possible,\n"
+"      filename if not"
 msgstr ""
 
-#: src/config/options.inc:215
+#: src/config/options.inc:228
 msgid "Maximum length for image filename"
 msgstr ""
 
-#: src/config/options.inc:217
+#: src/config/options.inc:230
 #, fuzzy
 msgid ""
 "Maximum length of image filename when displayed:\n"
 "0     means always display full filename\n"
 "1-500 means display filename with this maximal length;\n"
-"      if it is longer, the middle is substituted by an asterisk"
+"      if it is longer, the middle is substituted by\n"
+"      an asterisk"
 msgstr ""
 "Mostra [nomefile puntato] invece di [IMG] come segnaposto visivo per le "
 "immagini\n"
@@ -2477,11 +2490,11 @@ msgstr ""
 "1-500 significa mostra il nome di file con questa lunghezza massima;\n"
 "      se  pi lungo la parte centrale sar sostituita da un asterisco"
 
-#: src/config/options.inc:227
+#: src/config/options.inc:241
 msgid "Image links tagging"
 msgstr "Configurazione collegamenti a immagini"
 
-#: src/config/options.inc:229
+#: src/config/options.inc:243
 msgid ""
 "When to enclose image links:\n"
 "0 means never\n"
@@ -2493,33 +2506,34 @@ msgstr ""
 "1 significa mai se sono forniti alt o title (vecchio comportamento)\n"
 "2 significa sempre"
 
-#: src/config/options.inc:234
+#: src/config/options.inc:248
 msgid "Image link prefix"
 msgstr "Prefisso del collegamento a immagini"
 
-#: src/config/options.inc:236
+#: src/config/options.inc:250
 msgid "Prefix string to use to mark image links."
 msgstr "Stringa di prefisso da usare per indicare collegamenti a immagini."
 
-#: src/config/options.inc:238
+#: src/config/options.inc:252
 msgid "Image link suffix"
 msgstr "Suffisso per i collegamenti a immagini"
 
-#: src/config/options.inc:240
+#: src/config/options.inc:254
 msgid "Suffix string to use to mark image links."
 msgstr "Stringa di suffisso da usare per indicare collegamenti a immagini."
 
-#: src/config/options.inc:242
+#: src/config/options.inc:256
 msgid "Maximum length for image label"
 msgstr ""
 
-#: src/config/options.inc:244
+#: src/config/options.inc:258
 #, fuzzy
 msgid ""
 "Maximum length of image label (alt/title):\n"
 "0     means always display full label\n"
 "1-500 means display label with this maximal length;\n"
-"      if it is longer, the middle is substituted by an asterisk"
+"      if it is longer, the middle is substituted by\n"
+"      an asterisk"
 msgstr ""
 "Mostra [nomefile puntato] invece di [IMG] come segnaposto visivo per le "
 "immagini\n"
@@ -2528,65 +2542,66 @@ msgstr ""
 "1-500 significa mostra il nome di file con questa lunghezza massima;\n"
 "      se  pi lungo la parte centrale sar sostituita da un asterisco"
 
-#: src/config/options.inc:249
+#: src/config/options.inc:264
 msgid "Display links to images w/o alt"
 msgstr "Mostra collegamenti alle immagini senza alt"
 
-#: src/config/options.inc:251
+#: src/config/options.inc:266
+#, fuzzy
 msgid ""
-"Display links to images without an alt attribute. If this option\n"
-"is off, these images are completely invisible."
+"Display links to images without an alt attribute. If this option is off, "
+"these images are completely invisible."
 msgstr ""
 "Mostra collegamenti alle immagini senza un attributo ALT. Se questa\n"
 "opzione  disattivata, queste immagini saranno completamente invisibili."
 
-#: src/config/options.inc:254
+#: src/config/options.inc:269
 msgid "Display links to images"
 msgstr "Mostra collegamenti alle immagini"
 
-#: src/config/options.inc:256
+#: src/config/options.inc:271
+#, fuzzy
 msgid ""
-"Display links to any images in the document, regardless of them\n"
-"having an alt attribute or not. If this option is off, the alt\n"
-"attribute contents is shown, but as normal text, not selectable\n"
-"as a link."
+"Display links to any images in the document, regardless of them having an "
+"alt attribute or not. If this option is off, the alt attribute contents is "
+"shown, but as normal text, not selectable as a link."
 msgstr ""
 "Mostra i collegamenti a qualsiasi immagine nel documento, sia che\n"
 "abbiano l'attributo ALT o no. Se questa opzione  disattivata, il\n"
 "contenuto delll'attributo ALT sar mostrato, ma come normale testo,\n"
 "non selezionabile come lo sarebbe invece un collegamento."
 
-#: src/config/options.inc:262
+#: src/config/options.inc:277
 msgid "Links"
 msgstr "Link"
 
-#: src/config/options.inc:264
+#: src/config/options.inc:279
 msgid "Options for handling of links to other documents."
 msgstr "Opzioni per la gestione dei collegamenti ad altri documenti."
 
-#: src/config/options.inc:266
+#: src/config/options.inc:281
 msgid "Active link"
 msgstr "Collegamento attivo"
 
-#: src/config/options.inc:268
+#: src/config/options.inc:283
 msgid "Options for the active link."
 msgstr "Opzione per il collegamento attivo."
 
-#: src/config/options.inc:270
+#: src/config/options.inc:285
 msgid "Colors"
 msgstr "Colori"
 
-#: src/config/options.inc:272
+#: src/config/options.inc:287
 msgid "Active link colors."
 msgstr "Colori collegamento attivo."
 
-#: src/config/options.inc:274 src/config/options.inc:549
-#: src/config/options.inc:945
+#: src/config/options.inc:289 src/config/options.inc:583
+#: src/config/options.inc:1014
 msgid "Background color"
 msgstr "Colore di sfondo"
 
-#: src/config/options.inc:276 src/config/options.inc:551
-#: src/config/options.inc:946
+#: src/config/options.inc:291 src/config/options.inc:585
+#: src/config/options.inc:1015
 msgid "Default background color."
 msgstr "Colore di sfondo predefinito."
 
@@ -2598,76 +2613,77 @@ msgstr "Colore di sfondo predefinito."
 #. *	on it.
 #. The colors and mono tree should be similar but with different default
 #. * values of course so always use the macros below.
-#: src/config/options.inc:278 src/config/options.inc:545
-#: src/config/options.inc:943
+#: src/config/options.inc:293 src/config/options.inc:579
+#: src/config/options.inc:1012
 msgid "Text color"
 msgstr "Colore testo"
 
-#: src/config/options.inc:280 src/config/options.inc:547
-#: src/config/options.inc:944
+#: src/config/options.inc:295 src/config/options.inc:581
+#: src/config/options.inc:1013
 msgid "Default text color."
 msgstr "Colore testo predefinito."
 
-#: src/config/options.inc:282
+#: src/config/options.inc:297
 msgid "Enable color"
 msgstr "Abilita colore"
 
-#: src/config/options.inc:284
+#: src/config/options.inc:299
+#, fuzzy
 msgid ""
-"Enable use of the active link background and text color\n"
-"settings instead of the link colors from the document."
+"Enable use of the active link background and text color settings instead of "
+"the link colors from the document."
 msgstr ""
 "Abilita l'uso del colore dello sfondo e del testo per il collegamento\n"
 "attivo invece di usare colori del documento."
 
-#: src/config/options.inc:287
+#: src/config/options.inc:302
 msgid "Bold"
 msgstr "Grassetto"
 
-#: src/config/options.inc:289
+#: src/config/options.inc:304
 msgid "Make the active link text bold."
 msgstr "Usa grassetto per il testo del collegamento attivo."
 
-#: src/config/options.inc:291
+#: src/config/options.inc:306
 msgid "Invert colors"
 msgstr "Inverti colori"
 
-#: src/config/options.inc:293
+#: src/config/options.inc:308
 msgid "Invert the fore- and background color so the link stands out."
 msgstr ""
 "Inverti i colori di sfondo e del testo in modo di evidenziare il "
 "collegamento."
 
-#: src/config/options.inc:296 src/config/options.inc:908
+#: src/config/options.inc:311 src/config/options.inc:975
 #: src/dialogs/options.c:231
 msgid "Underline"
 msgstr "Sottolineature"
 
-#: src/config/options.inc:298
+#: src/config/options.inc:313
 msgid "Underline the active link."
 msgstr "Sottolinea il collegamento attivo."
 
-#: src/config/options.inc:301
+#: src/config/options.inc:316
 msgid "Directory highlighting"
 msgstr "Evidenziazione directory"
 
-#: src/config/options.inc:303
+#: src/config/options.inc:318
 msgid "Highlight links to directories in FTP and local directory listing."
 msgstr "Evidenzia collegamenti alle directory in FTP e in locale."
 
-#: src/config/options.inc:305
+#: src/config/options.inc:321
 msgid "Number links"
 msgstr "Numera i collegamenti"
 
-#: src/config/options.inc:307
+#: src/config/options.inc:323
 msgid "Display numbers next to the links."
 msgstr "Mostra i numeri a fianco dei collegamenti."
 
-#: src/config/options.inc:309
+#: src/config/options.inc:325
 msgid "Handling of target=_blank"
 msgstr ""
 
-#: src/config/options.inc:311
+#: src/config/options.inc:327
 msgid ""
 "Define how to handle links having target=_blank set:\n"
 "0 means open link in current tab\n"
@@ -2676,35 +2692,35 @@ msgid ""
 "3 means open link in new window"
 msgstr ""
 
-#: src/config/options.inc:324
+#: src/config/options.inc:340
 msgid "Use tabindex"
 msgstr "Usa tabindex"
 
-#: src/config/options.inc:326
+#: src/config/options.inc:342
 msgid ""
-"Whether to navigate links using tabindex specified ordering.\n"
-"The TABINDEX attribute in HTML elements specifies the order\n"
-"in which links should receive focus when using the keyboard\n"
-"to navigate the document."
+"Whether to navigate links using tabindex specified ordering. The TABINDEX "
+"attribute in HTML elements specifies the order in which links should receive "
+"focus when using the keyboard to navigate the document."
 msgstr ""
 
-#: src/config/options.inc:331
+#: src/config/options.inc:347
 #, fuzzy
 msgid "Missing fragment reporting"
 msgstr "Cornice menu"
 
-#: src/config/options.inc:333
+#: src/config/options.inc:349
 msgid "Open a message box when document has no tag with given id."
 msgstr ""
 
-#: src/config/options.inc:335
+#: src/config/options.inc:352
 msgid "Number keys select links"
 msgstr "Tasti numerici selezionano i collegamenti"
 
-#: src/config/options.inc:337
+#: src/config/options.inc:354
+#, fuzzy
 msgid ""
-"Number keys select links rather than specify command prefixes. This\n"
-"is a tristate:\n"
+"Number keys select links rather than specify command prefixes. This is a "
+"tristate:\n"
 "0 means never\n"
 "1 means if document.browse.links.numbering = 1\n"
 "2 means always"
@@ -2716,118 +2732,119 @@ msgstr ""
 "1 se document.browse.links.numbering = 1\n"
 "2 sempre"
 
-#: src/config/options.inc:343
+#: src/config/options.inc:360
 msgid "Warn about maliciously crafted URIs"
 msgstr ""
 
-#: src/config/options.inc:345
+#: src/config/options.inc:362
 msgid ""
-"When following a link the user ID part of the URI is\n"
-"checked and if a maliciously crafted URI is detected a\n"
-"warning dialog will ask before following the link."
+"When following a link the user ID part of the URI is checked and if a "
+"maliciously crafted URI is detected a warning dialog will ask before "
+"following the link."
 msgstr ""
 
 #. TODO - this is somehow implemented by ff, but disabled
 #. * for now as it doesn't work.
-#: src/config/options.inc:351
+#: src/config/options.inc:368
 msgid "Wrap-around links cycling"
 msgstr "Cicla i collegamenti (ultimo->primo)"
 
 #. 0
-#: src/config/options.inc:353
+#: src/config/options.inc:370
 #, fuzzy
 msgid ""
-"When pressing 'down' on the last link, jump to the first one, and\n"
-"vice versa."
+"When pressing 'down' on the last link, jump to the first one, and vice versa."
 msgstr ""
 "Quando si preme 'gi' sull'ultimo collegamento, salta al primo e\n"
 "viceversa."
 
-#: src/config/options.inc:357
+#: src/config/options.inc:374
 #, fuzzy
 msgid "Scrolling"
 msgstr "Scorri a destra"
 
-#: src/config/options.inc:359
+#: src/config/options.inc:376
 #, fuzzy
 msgid "Scrolling options."
 msgstr "Opzioni terminale."
 
-#: src/config/options.inc:361
+#: src/config/options.inc:378
 #, fuzzy
 msgid "Horizontal step"
 msgstr "Margine testo orizzontale"
 
-#: src/config/options.inc:363
+#: src/config/options.inc:380
 #, fuzzy
 msgid ""
-"Number of columns to scroll when a key bound to scroll-left or scroll-\n"
-"right is pressed and no prefix was given."
+"Number of columns to scroll when a key bound to scroll-left or scroll-right "
+"is pressed and no prefix was given."
 msgstr ""
 "Numero di linee da scorrere quando un tasto associato a scroll-up o\n"
 "scroll-down  premuto senza aver fornito un prefisso."
 
-#: src/config/options.inc:366
+#: src/config/options.inc:384
 msgid "Extended horizontal scrolling"
 msgstr ""
 
-#: src/config/options.inc:368
+#: src/config/options.inc:386
 msgid ""
-"Whether to allow horizontal scrolling when the document\n"
-"does not extend off the screen. Useful for copy/paste\n"
-"operations."
+"Whether to allow horizontal scrolling when the document does not extend off "
+"the screen. Useful for copy/paste operations."
 msgstr ""
 
-#: src/config/options.inc:372
+#: src/config/options.inc:390
 #, fuzzy
 msgid "Margin"
 msgstr "Attenzione"
 
-#: src/config/options.inc:374
+#: src/config/options.inc:392
+#, fuzzy
 msgid ""
-"Size of the virtual margin - when you click inside of that margin,\n"
-"document scrolls in that direction."
+"Size of the virtual margin - when you click inside of that margin, document "
+"scrolls in that direction."
 msgstr ""
 "Dimensione del margine virtuale. Quando si fa click dentro quel margine,\n"
 "il documento scorre in quella direzione"
 
-#: src/config/options.inc:377
+#: src/config/options.inc:395
 msgid "Vertical step"
 msgstr "Passo verticale"
 
-#: src/config/options.inc:379
+#: src/config/options.inc:397
+#, fuzzy
 msgid ""
-"Number of lines to scroll when a key bound to scroll-up or scroll-\n"
-"down is pressed and no prefix was given."
+"Number of lines to scroll when a key bound to scroll-up or scroll-down is "
+"pressed and no prefix was given."
 msgstr ""
 "Numero di linee da scorrere quando un tasto associato a scroll-up o\n"
 "scroll-down  premuto senza aver fornito un prefisso."
 
-#: src/config/options.inc:383
+#: src/config/options.inc:401
 msgid "Searching"
 msgstr "Ricerca"
 
-#: src/config/options.inc:385
+#: src/config/options.inc:403
 msgid "Options for searching."
 msgstr "Opzione per la ricerca."
 
-#: src/config/options.inc:387
+#: src/config/options.inc:405
 msgid "Case sensitivity"
 msgstr "Considera minuscole/maiuscole"
 
-#: src/config/options.inc:389
+#: src/config/options.inc:407
+#, fuzzy
 msgid ""
-"Whether the search should match the document text while maintaining\n"
-"case sensitivity."
+"Whether the search should match the document text while maintaining case "
+"sensitivity."
 msgstr ""
 "Impostare se la ricerca deve trovare corrispondenze nel testo del\n"
 "documento tenendo conto delle minuscole e delle maiuscole"
 
-#: src/config/options.inc:393
+#: src/config/options.inc:411
 msgid "Regular expressions"
 msgstr "Espressioni regolari"
 
-#: src/config/options.inc:395
+#: src/config/options.inc:413
 #, fuzzy
 msgid ""
 "Enable searching with regular expressions:\n"
@@ -2840,35 +2857,35 @@ msgstr ""
 "1 per ricerche con espressioni regolari base.\n"
 "2 per ricerche con espressioni regolari estese."
 
-#: src/config/options.inc:401
+#: src/config/options.inc:419
 msgid "Show search hit top or bottom dialogs"
 msgstr ""
 "Mostra le finestre di dialogo quando la ricerca raggiunge l'inizio o la fine"
 
-#: src/config/options.inc:403
+#: src/config/options.inc:421
 #, fuzzy
 msgid ""
-"Whether to show a dialog when the search hits the top or bottom of the\n"
+"Whether to show a dialog when the search hits the top or bottom of the "
 "document."
 msgstr ""
 "Imposta se mostrare una finestra di dialogo quando la ricerca raggiunge\n"
 "la cima o il fondo del documento."
 
-#: src/config/options.inc:406
+#: src/config/options.inc:424
 msgid "Wraparound"
 msgstr "Ricomincia dall'inizio"
 
-#: src/config/options.inc:408
+#: src/config/options.inc:426
 msgid "Wrap around when searching. Currently only used for typeahead."
 msgstr ""
 "Ricomincia dall'inizio quando si cerca. Attualmente usato solo per \"trova "
 "mentre scrivi\"."
 
-#: src/config/options.inc:410
+#: src/config/options.inc:429
 msgid "Show not found"
 msgstr "Non trovato"
 
-#: src/config/options.inc:412
+#: src/config/options.inc:431
 #, fuzzy
 msgid ""
 "How to inform the user when nothing is matched:\n"
@@ -2882,44 +2899,47 @@ msgstr ""
 "1 significa fare beep\n"
 "2 significa mostrare una finestra di dialogo"
 
-#: src/config/options.inc:417
+#: src/config/options.inc:436
 #, fuzzy
 msgid "Typeahead searching"
 msgstr "Tr~ova mentre scrivi"
 
-#: src/config/options.inc:419
+#: src/config/options.inc:438
 msgid ""
-"Start typeahead searching when an unbound key is pressed without\n"
-"any modifiers. Note that most keys have default bindings, so this\n"
-"feature will not be useful unless you unbind them.\n"
+"Start typeahead searching when an unbound key is pressed without any "
+"modifiers. Note that most keys have default bindings, so this feature will "
+"not be useful unless you unbind them.\n"
 "\n"
-"0 disables this feature; typeahead searching will only be used\n"
-"  when you press a key bound to search-typeahead or similar\n"
+"0 disables this feature; typeahead searching will only be\n"
+"  used when you press a key bound to search-typeahead or\n"
+"  similar\n"
 "1 automatically starts typeahead searching thru link text\n"
-"2 automatically starts typeahead searching thru all document text"
+"2 automatically starts typeahead searching thru all document\n"
+"  text"
 msgstr ""
 
-#: src/config/options.inc:428
+#: src/config/options.inc:451
 msgid "Horizontal text margin"
 msgstr "Margine testo orizzontale"
 
-#: src/config/options.inc:430
+#: src/config/options.inc:453
 msgid "Horizontal text margin."
 msgstr "Margine orizzontale testo."
 
-#: src/config/options.inc:432
+#: src/config/options.inc:455
 msgid "Document meta refresh"
 msgstr "Meta refresh del documento"
 
-#: src/config/options.inc:434
+#: src/config/options.inc:457
 #, fuzzy
 msgid ""
-"Automatically follow document-specified refresh directives ('<meta>\n"
-"refresh' tags). Web-page authors use these to instruct the browser\n"
-"to reload a document at a given interval or to load another page.\n"
-"Regardless of the value the refresh URI is accessible as a link.\n"
-"Use the document.browse.minimum_refresh_time to control the minimum\n"
-"number of seconds a refresh will wait."
+"Automatically follow document-specified refresh directives ('<meta> refresh' "
+"tags). Web-page authors use these to instruct the browser to reload a "
+"document at a given interval or to load another page. Regardless of the "
+"value the refresh URI is accessible as a link.\n"
+"\n"
+"Use the document.browse.minimum_refresh_time to control the minimum number "
+"of seconds a refresh will wait."
 msgstr ""
 "Segue automaticamente le direttive di refresh specificate nel documento\n"
 "(tag '<meta>' per il refresh). Gli autori di pagine web lo usano per\n"
@@ -2931,63 +2951,62 @@ msgstr ""
 "ammontare\n"
 "di secondi per il refresh automatico."
 
-#: src/config/options.inc:441
+#: src/config/options.inc:466
 msgid "Document meta refresh minimum time"
 msgstr "Tempo minimo per il refresh del documento"
 
-#: src/config/options.inc:443
+#: src/config/options.inc:468
+#, fuzzy
 msgid ""
-"The minimum number of milliseconds that should pass before\n"
-"refreshing. If set to zero the document refresh time is used\n"
-"unchanged. It can fix going back in history for some sites that\n"
-"use refreshing with zero values."
+"The minimum number of milliseconds that should pass before refreshing. If "
+"set to zero the document refresh time is used unchanged. It can fix going "
+"back in history for some sites that use refreshing with zero values."
 msgstr ""
 "Il numero minimo di millisecondi che dovrebbero trascorrere prima\n"
 "di ricaricare. Se impostato a zero il  usato il tempo di ricaricamento\n"
 "del documento. Pu evitare stranezze quando si torna indietro nella\n"
 "cronologia con alcuni siti che usano valori di refresh pari a zero."
 
-#: src/config/options.inc:448
+#: src/config/options.inc:473
 msgid "Tables navigation order"
 msgstr "Ordine navigazione tabelle"
 
-#: src/config/options.inc:450
+#: src/config/options.inc:475
 msgid "Move by columns in table, instead of rows."
 msgstr "Spostati per colonna nelle tabelle, invece che per righe."
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:456
+#: src/config/options.inc:481
 msgid "Cache"
 msgstr "Cache"
 
-#: src/config/options.inc:458
+#: src/config/options.inc:483
 msgid "Cache options."
 msgstr "Opzioni cache."
 
-#: src/config/options.inc:460
+#: src/config/options.inc:485
 msgid "Cache information about redirects"
 msgstr "Fai cache delle informazioni sui redirect"
 
-#: src/config/options.inc:462
+#: src/config/options.inc:487
 #, fuzzy
 msgid ""
-"Cache even redirects sent by server (usually thru HTTP by a 302\n"
-"HTTP code and a Location header). This was the original behaviour\n"
-"for quite some time, but it causes problems in a situation very\n"
-"common to various web login systems - frequently, when accessing\n"
-"a certain location, they will redirect you to a login page if they\n"
-"don't receive an auth cookie, the login page then gives you the\n"
-"cookie and redirects you back to the original page, but there you\n"
-"have already cached redirect back to the login page! If this\n"
-"option has value of 0, this malfunction is fixed, but occasionally\n"
-"you may get superfluous (depends on how you take it ;-) requests to\n"
-"the server. If this option has value of 1, experienced users can\n"
-"still workaround it by clever combination of usage of reload,\n"
-"jumping around in session history and hitting ctrl+enter.\n"
-"Note that this option is checked when retrieving the information\n"
-"from cache, not when saving it to cache - thus if you enable\n"
-"it, even previous redirects will be taken from cache instead of\n"
-"asking the server."
+"Cache even redirects sent by server (usually thru HTTP by a 302 HTTP code "
+"and a Location header). This was the original behaviour for quite some time, "
+"but it causes problems in a situation very common to various web login "
+"systems - frequently, when accessing a certain location, they will redirect "
+"you to a login page if they don't receive an auth cookie, the login page "
+"then gives you the cookie and redirects you back to the original page, but "
+"there you have already cached redirect back to the login page! If this "
+"option has value of 0, this malfunction is fixed, but occasionally you may "
+"get superfluous (depends on how you take it ;-) requests to the server. If "
+"this option has value of 1, experienced users can still workaround it by "
+"clever combination of usage of reload, jumping around in session history and "
+"hitting ctrl+enter.\n"
+"\n"
+"Note that this option is checked when retrieving the information from cache, "
+"not when saving it to cache - thus if you enable it, even previous redirects "
+"will be taken from cache instead of asking the server."
 msgstr ""
 "Fa caching anche dei redirect mandati dal server (solitamente attraverso\n"
 "HTTP dal codice HTTP 302 e l'header Location). Questo  stato il\n"
@@ -3009,188 +3028,193 @@ msgstr ""
 "i\n"
 "redirect precedenti saranno presi dalla cache invece di chiedere al server."
 
-#: src/config/options.inc:480
+#: src/config/options.inc:508
 msgid "Ignore cache-control info from server"
 msgstr "Ignora le informazioni per il controllo della cache dal server"
 
-#: src/config/options.inc:482
+#: src/config/options.inc:510
+#, fuzzy
 msgid ""
-"Ignore Cache-Control and Pragma server headers.\n"
-"When set, the document is cached even with 'Cache-Control: no-cache'."
+"Ignore Cache-Control and Pragma server headers. When set, the document is "
+"cached even with 'Cache-Control: no-cache'."
 msgstr ""
 "Ignora gli header del server Cache-Control e Pragma.\n"
 "Quando impostato, il documento  messo in cache anche con\n"
 "'Cache-Control: no-cache'."
 
-#: src/config/options.inc:485
+#: src/config/options.inc:514
 msgid "Formatted documents"
 msgstr "Documenti formattati"
 
-#: src/config/options.inc:487
+#: src/config/options.inc:516
 msgid "Format cache options."
 msgstr "Opzioni del formato della cache"
 
-#: src/config/options.inc:489
+#: src/config/options.inc:518
 msgid "Number"
 msgstr "Numero"
 
-#: src/config/options.inc:491
+#: src/config/options.inc:520
 msgid ""
-"Number of cached formatted pages. Do not get too generous\n"
-"here, 'formatted' means that all the accompanying structures\n"
-"are kept in memory so that you get the cached document\n"
-"immediatelly, but these structures may take a lot - 2x the\n"
-"size of the HTML source is probably not unusual, but it can\n"
-"be even more if the document consists of a lot of short lines\n"
-"(padded right, if possible) and links and not much other markup.\n"
-"So if you set this to 256 and then you don't like your ELinks\n"
-"eating 90M, don't come complaining to us. ;-)\n"
-"Also note that the format cache itself is not counted to the\n"
-"memory cache size, but the HTML source of the formatted documents\n"
-"is always cached, even if it is over the memory cache size\n"
-"threshold. (Then of course no other documents can be cached.)"
+"Number of cached formatted pages. Do not get too generous here, 'formatted' "
+"means that all the accompanying structures are kept in memory so that you "
+"get the cached document immediatelly, but these structures may take a lot - "
+"2x the size of the HTML source is probably not unusual, but it can be even "
+"more if the document consists of a lot of short lines (padded right, if "
+"possible) and links and not much other markup. So if you set this to 256 and "
+"then you don't like your ELinks eating 90M, don't come complaining to "
+"us. ;-)\n"
+"\n"
+"Also note that the format cache itself is not counted to the memory cache "
+"size, but the HTML source of the formatted documents is always cached, even "
+"if it is over the memory cache size threshold. (Then of course no other "
+"documents can be cached.)"
 msgstr ""
 
 #. FIXME: Write more.
-#: src/config/options.inc:506
+#: src/config/options.inc:538
 #, fuzzy
 msgid "Revalidation interval"
 msgstr "Intervallo per l'autosalvataggio"
 
-#: src/config/options.inc:508
+#: src/config/options.inc:540
 msgid ""
-"Period in seconds that a cache entry is considered to be\n"
-"up-to-date. When a document is loaded and this interval has elapsed\n"
-"since the document was initially loaded or most recently\n"
-"revalidated with the server, the server will be checked in case\n"
-"there is a more up-to-date version of the document.\n"
+"Period in seconds that a cache entry is considered to be up-to-date. When a "
+"document is loaded and this interval has elapsed since the document was "
+"initially loaded or most recently revalidated with the server, the server "
+"will be checked in case there is a more up-to-date version of the document.\n"
 "\n"
 "A value of -1 disables automatic revalidation."
 msgstr ""
 
-#: src/config/options.inc:515 src/dialogs/info.c:199
+#: src/config/options.inc:549 src/dialogs/info.c:199
 msgid "Memory cache"
 msgstr "Cache memoria"
 
-#: src/config/options.inc:517
+#: src/config/options.inc:551
 msgid "Memory cache options."
 msgstr "Opzioni cache in memoria."
 
-#: src/config/options.inc:521
+#: src/config/options.inc:555
 msgid "Memory cache size (in bytes)."
 msgstr "Dimensione memoria cache (in byte)."
 
-#: src/config/options.inc:525
+#: src/config/options.inc:559
 msgid "Charset"
 msgstr "Set di caratteri"
 
-#: src/config/options.inc:527
+#: src/config/options.inc:561
 msgid "Charset options."
 msgstr "Opzioni set di caratteri."
 
-#: src/config/options.inc:529
+#: src/config/options.inc:563
 msgid "Default codepage"
 msgstr "Codepage predefinita"
 
-#: src/config/options.inc:531
+#: src/config/options.inc:565
+#, fuzzy
 msgid ""
-"Default document codepage. 'System' stands for\n"
-"a codepage determined by a selected locale."
+"Default document codepage. 'System' stands for a codepage determined by a "
+"selected locale."
 msgstr ""
+"Codepage del set di caratteri usato per visualizzare il contenuto sul "
+"terminale."
 
-#: src/config/options.inc:534
+#: src/config/options.inc:568
 msgid "Ignore charset info from server"
 msgstr "Ignora le informazioni sul set di caratteri dal server"
 
-#: src/config/options.inc:536
+#: src/config/options.inc:570
 msgid "Ignore charset info sent by server."
 msgstr "Ignora le informazioni sul set di caratteri inviate dal server."
 
-#: src/config/options.inc:540
+#: src/config/options.inc:574
 msgid "Default color settings"
 msgstr "Impostazioni predefinite dei colori"
 
-#: src/config/options.inc:542
+#: src/config/options.inc:576
 msgid "Default document color settings."
 msgstr "Impostazioni predefinite per il colore dei documenti."
 
-#: src/config/options.inc:553
+#: src/config/options.inc:587
 msgid "Link color"
 msgstr "Colore dei collegamenti"
 
-#: src/config/options.inc:555
+#: src/config/options.inc:589
 msgid "Default link color."
 msgstr "Colore predefinito per i collegamenti."
 
-#: src/config/options.inc:557
+#: src/config/options.inc:591
 msgid "Visited-link color"
 msgstr "Colore collegamento visitato"
 
-#: src/config/options.inc:559
+#: src/config/options.inc:593
 msgid "Default visited link color."
 msgstr "Colore predefinito collegamento visitato."
 
-#: src/config/options.inc:561
+#: src/config/options.inc:595
 #, fuzzy
 msgid "Image-link color"
 msgstr "Colore collegamento visitato"
 
-#: src/config/options.inc:563
+#: src/config/options.inc:597
 #, fuzzy
 msgid "Default image link color."
 msgstr "Colore predefinito per i collegamenti."
 
-#: src/config/options.inc:565
+#: src/config/options.inc:599
 #, fuzzy
 msgid "Bookmarked-link color"
 msgstr "Colore collegamento visitato"
 
-#: src/config/options.inc:567
+#: src/config/options.inc:601
 #, fuzzy
 msgid "Default bookmarked link color."
 msgstr "Colore predefinito per i collegamenti."
 
-#: src/config/options.inc:569
+#: src/config/options.inc:603
 msgid "Directory color"
 msgstr "Colore delle directory"
 
-#: src/config/options.inc:571
+#: src/config/options.inc:605
+#, fuzzy
 msgid ""
 "Default directory color.\n"
+"\n"
 "See document.browse.links.color_dirs option."
 msgstr ""
 "Colore predefinito delle directory.\n"
 "Si veda l'opzione document.browse.links.color_dirs."
 
-#: src/config/options.inc:578
+#: src/config/options.inc:613
 #, fuzzy
 msgid "Increase contrast"
 msgstr "Assicura contrasto"
 
-#: src/config/options.inc:580
+#: src/config/options.inc:615
 msgid ""
-"Increase the contrast between the foreground and background colors\n"
-"to ensure readability. For example it disallows dark colors on a\n"
-"black background. Note, this is different from ensuring the contrast\n"
-"with the ensure_contrast option."
+"Increase the contrast between the foreground and background colors to ensure "
+"readability. For example it disallows dark colors on a black background. "
+"Note, this is different from ensuring the contrast with the ensure_contrast "
+"option."
 msgstr ""
 
-#: src/config/options.inc:585
+#: src/config/options.inc:621
 msgid "Ensure contrast"
 msgstr "Assicura contrasto"
 
-#: src/config/options.inc:587
+#: src/config/options.inc:623
 #, fuzzy
 msgid "Makes sure that the back- and foreground colors are never equal."
 msgstr "Si assicura che il colore di sfondo e del testo non sia mai uguale."
 
 #. If you change this please also change ACT_MAIN_DOCUMENT_COLORS action
 #. * handling.
-#: src/config/options.inc:592
+#: src/config/options.inc:628
 msgid "Use document-specified colors"
 msgstr "Usa colori specificati nel documento"
 
-#: src/config/options.inc:594
+#: src/config/options.inc:630
 #, fuzzy
 msgid ""
 "Use colors specified in document:\n"
@@ -3213,40 +3237,41 @@ msgstr ""
 "    abilitata per il proprio terminale e sul terminale stesso."
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:607
+#: src/config/options.inc:643
 msgid "Downloading"
 msgstr "Scaricamento"
 
-#: src/config/options.inc:609
+#: src/config/options.inc:645
 msgid "Options regarding files downloading and handling."
 msgstr "Opzioni riguardanti file e gestione dei download."
 
-#: src/config/options.inc:611
+#: src/config/options.inc:647
 msgid "Default download directory"
 msgstr "Directory di download predefinita"
 
-#: src/config/options.inc:613
+#: src/config/options.inc:649
 msgid "Default download directory."
 msgstr "Directory di scaricamento predefinita."
 
-#: src/config/options.inc:615
+#: src/config/options.inc:651
 msgid "Set original time"
 msgstr "Imposta la data originale"
 
-#: src/config/options.inc:617
+#: src/config/options.inc:653
+#, fuzzy
 msgid ""
-"Set the timestamp of each downloaded file to the timestamp\n"
-"stored on the server."
+"Set the timestamp of each downloaded file to the timestamp stored on the "
+"server."
 msgstr ""
 "Imposta il timestamp per ogni file scaricato al timestamp\n"
 "impostato sul server."
 
 #. Does automatic resuming make sense as an option?
-#: src/config/options.inc:621
+#: src/config/options.inc:657
 msgid "Prevent overwriting"
 msgstr "Previeni sovrascrittura"
 
-#: src/config/options.inc:623
+#: src/config/options.inc:659
 #, fuzzy
 msgid ""
 "Prevent overwriting the local files:\n"
@@ -3259,11 +3284,11 @@ msgstr ""
 "1  aggiungi un suffisso .{numero} (per esempio '.1') al nome.\n"
 "2  chiedi all'utente."
 
-#: src/config/options.inc:628
+#: src/config/options.inc:664
 msgid "Notify download completion by bell"
 msgstr "Notifica il completamento dei download con il campanello"
 
-#: src/config/options.inc:630
+#: src/config/options.inc:666
 #, fuzzy
 msgid ""
 "Audio notification when download is completed:\n"
@@ -3276,27 +3301,30 @@ msgstr ""
 "1  quando la notifica in background  attiva.\n"
 "2  sempre"
 
-#: src/config/options.inc:636
+#: src/config/options.inc:672
 msgid "Dump output"
 msgstr "Output"
 
-#: src/config/options.inc:638
+#: src/config/options.inc:674
 msgid "Dump output options."
 msgstr "Opzioni di dump."
 
 #. OPT_CODEPAGE
-#: src/config/options.inc:640 src/config/options.inc:912
+#: src/config/options.inc:676 src/config/options.inc:980
 #: src/config/opttypes.c:481 src/dialogs/document.c:164
 msgid "Codepage"
 msgstr "Codepage"
 
-#: src/config/options.inc:642
+#: src/config/options.inc:678
+#, fuzzy
 msgid ""
-"Codepage used in dump output. 'System' stands for\n"
-"a codepage determined by a selected locale."
+"Codepage used in dump output. 'System' stands for a codepage determined by a "
+"selected locale."
 msgstr ""
+"Codepage del set di caratteri usato per visualizzare il contenuto sul "
+"terminale."
 
-#: src/config/options.inc:645 src/config/options.inc:878
+#: src/config/options.inc:681 src/config/options.inc:941
 msgid "Color mode"
 msgstr "Modalit colore"
 
@@ -3305,12 +3333,15 @@ msgstr "Modalit colore"
 #. * an outer list entry after an inner list.
 #. * TRANSLATORS: This restriction applies only to the
 #. * "en" (English) translation.  (See doc/Makefile.)
-#: src/config/options.inc:652
+#: src/config/options.inc:688
+#, fuzzy
 msgid ""
 "Color mode for dumps.\n"
+"\n"
 "Some modes may have been disabled at compile time. The Setup -> Terminal "
 "options dialog lists the modes supported by this executable. If you select "
 "an unsupported mode, ELinks uses 16 colors.\n"
+"\n"
 "The color modes are:\n"
 "-1 is standard dump mode\n"
 "0 is mono mode\n"
@@ -3319,130 +3350,133 @@ msgid ""
 "3 is 256 color mode\n"
 "4 is true color mode"
 msgstr ""
+"La modalit colore controlla i colori che sono usati e come sono\n"
+"mandati al terminale. Le modalit a colori sono:\n"
+"0  modalit mono, usa solo due colori\n"
+"1  modalit 16 colori, usa i comuni colori ANSI\n"
+"2  modalit 256 colori, richiede l'uso di xterm-256color\n"
 
-#: src/config/options.inc:665
+#: src/config/options.inc:703
 #, fuzzy
 msgid "Footer"
 msgstr "Cartella"
 
-#: src/config/options.inc:667
+#: src/config/options.inc:705
 #, c-format
 msgid "Footer string used in dumps. %u is substituted by URL."
 msgstr ""
 
-#: src/config/options.inc:671
+#: src/config/options.inc:709
 #, c-format
 msgid "Header string used in dumps. %u is substituted by URL."
 msgstr ""
 
-#: src/config/options.inc:673
+#: src/config/options.inc:711
 #, fuzzy
 msgid "Numbering"
 msgstr "Numero"
 
-#: src/config/options.inc:675
+#: src/config/options.inc:713
 #, fuzzy
 msgid "Whether to print link numbers in dump output."
 msgstr "Non numerare collegamenti nell'output di -dump"
 
-#: src/config/options.inc:677
+#: src/config/options.inc:715
 #, fuzzy
 msgid "References"
 msgstr "Risorse"
 
-#: src/config/options.inc:679
+#: src/config/options.inc:717
 #, fuzzy
-msgid ""
-"Whether to print references (URIs) of document links\n"
-"in dump output."
+msgid "Whether to print references (URIs) of document links in dump output."
 msgstr ""
 "Disabilita la numerazione dei collegamenti (e la lista alla fine del\n"
 "documento del quale si  fatto un dump) nell'output di -dump; questo era\n"
 "il comportamento predefinito fino alla versione 0.5pre12. Notare che\n"
 "questo ha effetto solo con -dump, nient'altro."
 
-#: src/config/options.inc:682
+#: src/config/options.inc:720
 #, fuzzy
 msgid "Separator"
 msgstr "Separatore schede"
 
-#: src/config/options.inc:684
+#: src/config/options.inc:722
 msgid "String which separates two dumps."
 msgstr ""
 
-#: src/config/options.inc:686
+#: src/config/options.inc:724
 msgid "Width"
 msgstr "Larghezza"
 
-#: src/config/options.inc:688
+#: src/config/options.inc:726
 #, fuzzy
 msgid "Width of screen in characters when dumping documents."
 msgstr ""
 "Larghezza dello schermo in caratteri quando si fa dump di un documento HTML."
 
-#: src/config/options.inc:692
+#: src/config/options.inc:730
 msgid "History"
 msgstr "Cronologia"
 
-#: src/config/options.inc:694
+#: src/config/options.inc:732
 msgid "History options."
 msgstr "Opzioni cronologia."
 
-#: src/config/options.inc:696
+#: src/config/options.inc:734
 msgid "Keep unhistory"
 msgstr "Mantieni la cronologia inversa"
 
-#: src/config/options.inc:698
+#: src/config/options.inc:736
 #, fuzzy
 msgid "Keep unhistory (\"forward history\")."
 msgstr "Mantenere lo cronologia inversa?"
 
-#: src/config/options.inc:701
+#: src/config/options.inc:739
 msgid "HTML rendering"
 msgstr "Rendering HTML"
 
-#: src/config/options.inc:703
+#: src/config/options.inc:741
 msgid "Options concerning the display of HTML pages."
 msgstr "Opzioni riguardanti la visualizzazione delle pagine HTML."
 
-#: src/config/options.inc:705
+#: src/config/options.inc:743
 msgid "Display frames"
 msgstr "Mostra i frame"
 
-#: src/config/options.inc:707
+#: src/config/options.inc:745
 msgid "Display frames."
 msgstr "Mostra i frame."
 
-#: src/config/options.inc:709
+#: src/config/options.inc:747
 msgid "Display tables"
 msgstr "Mostra le tabelle"
 
-#: src/config/options.inc:711
+#: src/config/options.inc:749
 msgid "Display tables."
 msgstr "Mostra le tabelle."
 
-#: src/config/options.inc:713
+#: src/config/options.inc:751
 msgid "Display subscripts"
 msgstr "Mostra pedici"
 
-#: src/config/options.inc:715
+#: src/config/options.inc:753
 msgid "Display subscripts (as [thing])."
 msgstr "Mostra pedici(come [pedice])."
 
-#: src/config/options.inc:717
+#: src/config/options.inc:755
 msgid "Display superscripts"
 msgstr "Mostra apici"
 
-#: src/config/options.inc:719
+#: src/config/options.inc:757
 msgid "Display superscripts (as ^thing)."
 msgstr "Mostra apici (come ^apici)."
 
-#: src/config/options.inc:721
+#: src/config/options.inc:759
 #, fuzzy
 msgid "Rendering of HTML link element"
 msgstr "Rendering dell'elemento HTML 'link'"
 
-#: src/config/options.inc:723
+#: src/config/options.inc:761
 #, fuzzy
 msgid ""
 "How to render <link> tags from the HTML header:\n"
@@ -3461,76 +3495,75 @@ msgstr ""
 "4 tipo aggiunto\n"
 "5 tutto"
 
-#: src/config/options.inc:731
+#: src/config/options.inc:769
 msgid "Underline links"
 msgstr "Sottolinea collegamenti"
 
-#: src/config/options.inc:733
+#: src/config/options.inc:771
 msgid "Underline links."
 msgstr "Sottolinea collegamenti."
 
-#: src/config/options.inc:735
+#: src/config/options.inc:773
 msgid "Wrap non breaking space"
 msgstr "A capo"
 
-#: src/config/options.inc:737
+#: src/config/options.inc:775
+#, fuzzy
 msgid ""
-"If set do not honour non breaking space (the nbsp entity)\n"
-"but allow to wrap the text. This can help keeping the width\n"
-"of documents down so no horizontal scrolling is needed."
+"If set do not honour non breaking space (the nbsp entity) but allow to wrap "
+"the text. This can help keeping the width of documents down so no horizontal "
+"scrolling is needed."
 msgstr ""
 "Se impostato non rispetta lo spazio di non interruzione (l'entit\n"
 "nbsp) consentendo di andare a capo. Questo pu aiutare a\n"
 "mantenere piccola la larghezza dei documenti per non avere\n"
 "bisogno di scorrerli orizzontalmente."
 
-#: src/config/options.inc:742
+#: src/config/options.inc:780
 msgid "Plain rendering"
 msgstr "Rendering solo testo"
 
-#: src/config/options.inc:744
+#: src/config/options.inc:782
 msgid "Options concerning the display of plain text pages."
 msgstr "Opzioni riguardanti la visualizzazione delle pagine di solo testo."
 
-#: src/config/options.inc:746
+#: src/config/options.inc:784
 msgid "Display URIs"
 msgstr "Visualizza URI"
 
-#: src/config/options.inc:748
+#: src/config/options.inc:786
 msgid "Display URIs in the document as links."
 msgstr "Visualizza come collegamenti gli URI nel documento."
 
-#: src/config/options.inc:750
+#: src/config/options.inc:788
 msgid "Compress empty lines"
 msgstr "Comprimi righe vuote"
 
-#: src/config/options.inc:752
+#: src/config/options.inc:790
 msgid "Compress successive empty lines to only one in displayed text."
 msgstr "Comprime righe vuote consecutive a una sola, nel testo mostrato."
 
-#: src/config/options.inc:755
+#: src/config/options.inc:794
 msgid "URI passing"
 msgstr ""
 
-#: src/config/options.inc:757
+#: src/config/options.inc:796
 msgid ""
-"Rules for passing URIs to external commands. When one rule\n"
-"is defined the link and tab menu will have a menu item that\n"
-"makes it possible to pass the the link, frame or tab URI to\n"
-"an external command. If several rules are defined the link and\n"
-"tab menu will have a submenu of items for each rule. Note, this\n"
-"is mostly useful for launching graphical viewers, since there\n"
-"is no support for releasing the terminal while the command runs.\n"
-"The action and submenus are also available by binding keys to\n"
-"the frame-external-command, the link-external-command, and\n"
-"the tab-external-command actions."
+"Rules for passing URIs to external commands. When one rule is defined the "
+"link and tab menu will have a menu item that makes it possible to pass the "
+"the link, frame or tab URI to an external command. If several rules are "
+"defined the link and tab menu will have a submenu of items for each rule.\n"
+"\n"
+"Note, this is mostly useful for launching graphical viewers, since there is "
+"no support for releasing the terminal while the command runs. The action and "
+"submenus are also available by binding keys to the frame-external-command, "
+"the link-external-command, and the tab-external-command actions."
 msgstr ""
 
-#: src/config/options.inc:770
+#: src/config/options.inc:812
 #, fuzzy
 msgid ""
-"A rule for passing URI to an external command.\n"
-"The format is:\n"
+"A rule for passing URI to an external command. The format is:\n"
 "%c in the string means the current URL\n"
 "%% in the string means '%'\n"
 "Do _not_ put single- or double-quotes around %c."
@@ -3540,45 +3573,46 @@ msgstr ""
 "%% nella stringa significa '%'"
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:780
+#: src/config/options.inc:822
 #, fuzzy
 msgid "Information files"
 msgstr "Nome del file di configurazione"
 
-#: src/config/options.inc:782
+#: src/config/options.inc:824
 #, fuzzy
 msgid "Options for information files in ~/.elinks."
 msgstr "Opzione per il collegamento attivo."
 
-#: src/config/options.inc:784
+#: src/config/options.inc:826
 #, fuzzy
 msgid "Save interval"
 msgstr "Intervallo per l'autosalvataggio"
 
-#: src/config/options.inc:786
+#: src/config/options.inc:828
 #, fuzzy
 msgid ""
-"Interval at which to trigger information files in ~/.elinks\n"
-"to be saved to disk if they have changed (seconds; 0 to disable)"
+"Interval at which to trigger information files in ~/.elinks to be saved to "
+"disk if they have changed (seconds; 0 to disable)"
 msgstr ""
 "Intervallo di tempo che trascorre tra le scritture della\n"
 "cronologia su disco se  cambiata (in secondi, 0 per disabilitare)"
 
-#: src/config/options.inc:789
+#: src/config/options.inc:832
 msgid "Use secure file saving"
 msgstr "Usa salvataggio di file sicuro"
 
-#: src/config/options.inc:791
+#: src/config/options.inc:834
 #, fuzzy
 msgid ""
-"First write data to unique temporary file, then rename this file\n"
-"upon successfully finishing this. Note that this relates only to\n"
-"config files, not downloaded files. You may want to disable\n"
-"it if you are using some exotic permissions for concerned files.\n"
-"Secure file saving is automagically disabled if file is symlink.\n"
-"Warning: some systems (ie. OS/2, Win32) require that destination\n"
-"file doesn't exist when rename(3) is called, breaking atomicity,\n"
-"and reducing reliability of this feature."
+"First write data to unique temporary file, then rename this file upon "
+"successfully finishing this. Note that this relates only to config files, "
+"not downloaded files. You may want to disable it if you are using some "
+"exotic permissions for concerned files. Secure file saving is automagically "
+"disabled if file is symlink.\n"
+"\n"
+"Warning: some systems (ie. OS/2, Win32) require that destination file "
+"doesn't exist when rename(3) is called, breaking atomicity, and reducing "
+"reliability of this feature."
 msgstr ""
 "Scrive prima i dati in 'file.tmp', poi rinomina in 'file' se\n"
 "ha scritto senza errori. Si noti che questo concerne solo i file\n"
@@ -3587,36 +3621,36 @@ msgstr ""
 "Il salvataggio sicuro di file  disabilitato automaticamente se il file  un "
 "link simbolico."
 
-#: src/config/options.inc:800
+#: src/config/options.inc:846
 #, fuzzy
 msgid "Use fsync(3) with secure file saving"
 msgstr "Usa salvataggio di file sicuro"
 
-#: src/config/options.inc:802
+#: src/config/options.inc:848
 msgid ""
-"When using secure file saving, call fsync(3), if the OS\n"
-"supports it, to force the OS immediately to write the data\n"
-"to permanent storage. This is optional for those who wish\n"
-"to avoid excessive disk I/O."
+"When using secure file saving, call fsync(3), if the OS supports it, to "
+"force the OS immediately to write the data to permanent storage. This is "
+"optional for those who wish to avoid excessive disk I/O."
 msgstr ""
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:811
+#: src/config/options.inc:857
 msgid "Terminals"
 msgstr "Terminali"
 
-#: src/config/options.inc:813
+#: src/config/options.inc:859
 msgid "Terminal options."
 msgstr "Opzioni terminale."
 
-#: src/config/options.inc:817
+#: src/config/options.inc:863
 msgid "Options specific to this terminal type (according to $TERM value)."
 msgstr "Opzioni specifiche di questo tipo di terminale (valore di $TERM)."
 
-#: src/config/options.inc:842
+#: src/config/options.inc:889
+#, fuzzy
 msgid ""
-"Terminal type; matters mostly only when drawing frames and\n"
-"dialog box borders:\n"
+"Terminal type; matters mostly only when drawing frames and dialog box "
+"borders:\n"
 "0 is dumb terminal type, ASCII art\n"
 "1 is VT100, simple but portable\n"
 "2 is Linux, you get double frames and other goodies\n"
@@ -3631,16 +3665,32 @@ msgstr ""
 "3  KOI-8\n"
 "4  FreeBSD"
 
-#: src/config/options.inc:850 src/dialogs/options.c:227
+#: src/config/options.inc:897
+msgid "Always encode xterm title in ISO-8859-1"
+msgstr ""
+
+#: src/config/options.inc:899
+msgid ""
+"When updating the window title of xterm or a similar terminal emulator, "
+"encode the title in ISO-8859-1 (Latin-1), rather than in the charset used "
+"for other text in the window. Cyrillic and other characters get replaced "
+"with Latin ones. Xterm requires this unless you explicitly enable UTF-8 "
+"titles in it.\n"
+"\n"
+"If this option does not take effect immediately, try switching to a "
+"different page so that ELinks notices it needs to update the title."
+msgstr ""
+
+#: src/config/options.inc:910 src/dialogs/options.c:227
 msgid "Switch fonts for line drawing"
 msgstr "Cambia i font per il disegno delle linee"
 
-#: src/config/options.inc:852
+#: src/config/options.inc:912
 #, fuzzy
 msgid ""
-"Switch fonts when drawing lines, enabling both local characters\n"
-"and lines working at the same time. ELinks uses this option only if\n"
-"UTF-8 I/O is disabled and the terminal type is Linux or FreeBSD."
+"Switch fonts when drawing lines, enabling both local characters and lines "
+"working at the same time. ELinks uses this option only if UTF-8 I/O is "
+"disabled and the terminal type is Linux or FreeBSD."
 msgstr ""
 "Cambia i font quando si disegnano lineee, abilitando sia i caratteri\n"
 "locali che le linee. Ha senso solo sui terminali Linux."
@@ -3650,41 +3700,43 @@ msgstr ""
 #. * and if so, behave as if "utf_8_io" were 1.  (When CONFIG_UTF8 is
 #. * not defined, it should not be possible to set UTF-8 as "codepage";
 #. * please report any such possibilities as bugs.)
-#: src/config/options.inc:861 src/dialogs/options.c:232
+#: src/config/options.inc:922 src/dialogs/options.c:232
 msgid "UTF-8 I/O"
 msgstr "UTF-8 I/O"
 
-#: src/config/options.inc:863
+#: src/config/options.inc:924
 #, fuzzy
 msgid ""
-"Enable I/O in UTF-8 for Unicode terminals. Note that currently,\n"
-"only the subset of UTF-8 according to terminal codepage is used.\n"
-"ELinks ignores this option if the terminal codepage is UTF-8."
+"Enable I/O in UTF-8 for Unicode terminals. Note that currently, only the "
+"subset of UTF-8 according to terminal codepage is used. ELinks ignores this "
+"option if the terminal codepage is UTF-8."
 msgstr ""
 "Abilita l'I/O in UTF8 per i terminali Unicode. Si noti che al momento\n"
 " usato solo il sottoinsieme di UTF8 a seconda del codepage del terminale."
 
-#: src/config/options.inc:867 src/dialogs/options.c:228
+#: src/config/options.inc:929 src/dialogs/options.c:228
 msgid "Restrict frames in cp850/852"
 msgstr "Cornici ristrette in cp850/852"
 
-#: src/config/options.inc:869
+#: src/config/options.inc:931
+#, fuzzy
 msgid ""
-"Restrict the characters used when drawing lines. Makes sense\n"
-"only with linux terminals using the cp850/852 character sets."
+"Restrict the characters used when drawing lines. Makes sense only with linux "
+"terminals using the cp850/852 character sets."
 msgstr ""
 "Restringi i caratteri usati nel disegno delle linee. Ha senso\n"
 "solo con terminali Linux che usano i set di caratteri cp850/852."
 
-#: src/config/options.inc:872 src/dialogs/options.c:229
+#: src/config/options.inc:935 src/dialogs/options.c:229
 msgid "Block cursor"
 msgstr "Blocca il cursore"
 
-#: src/config/options.inc:874
+#: src/config/options.inc:937
+#, fuzzy
 msgid ""
-"Move cursor to bottom right corner when done drawing.\n"
-"This is particularly useful when we have a block cursor,\n"
-"so that inversed text is displayed correctly."
+"Move cursor to bottom right corner when done drawing. This is particularly "
+"useful when we have a block cursor, so that inversed text is displayed "
+"correctly."
 msgstr ""
 "Sposta il cursore nell'angolo in basso a destra una volta finito di "
 "disegnare.\n"
@@ -3696,14 +3748,16 @@ msgstr ""
 #. * an outer list entry after an inner list.
 #. * TRANSLATORS: This restriction applies only to the
 #. * "en" (English) translation.  (See doc/Makefile.)
-#: src/config/options.inc:885
+#: src/config/options.inc:948
 #, fuzzy
 msgid ""
 "The color mode controls what colors are used and how they are output to the "
 "terminal.\n"
+"\n"
 "Some modes may have been disabled at compile time. The Setup -> Terminal "
 "options dialog lists the modes supported by this executable. If you select "
 "an unsupported mode, ELinks uses 16 colors.\n"
+"\n"
 "The color modes are:\n"
 "0 is mono mode, only 2 colors are used\n"
 "1 is 16 color mode, uses the common ANSI colors\n"
@@ -3717,21 +3771,19 @@ msgstr ""
 "1  modalit 16 colori, usa i comuni colori ANSI\n"
 "2  modalit 256 colori, richiede l'uso di xterm-256color\n"
 
-#: src/config/options.inc:898 src/dialogs/options.c:230
+#: src/config/options.inc:963 src/dialogs/options.c:230
 msgid "Transparency"
 msgstr "Trasparenza"
 
-#: src/config/options.inc:900
+#: src/config/options.inc:965
 #, fuzzy
 msgid ""
-"If we should not set the background to black. This is particularly\n"
-"useful when we have a terminal (typically in some windowing\n"
-"environment) with a background image or a transparent background -\n"
-"it will be visible in ELinks as well (but ELinks document color handling\n"
-"will still assume the background is black so if you have a bright "
-"background\n"
-"you might experience contrast problems). Note that this option makes\n"
-"sense only when colors are enabled."
+"If we should not set the background to black. This is particularly useful "
+"when we have a terminal (typically in some windowing environment) with a "
+"background image or a transparent background - it will be visible in ELinks "
+"as well (but ELinks document color handling will still assume the background "
+"is black so if you have a bright background you might experience contrast "
+"problems). Note that this option makes sense only when colors are enabled."
 msgstr ""
 "Non impostare lo sfondo nero. Questo  utile in particolare\n"
 "quando si ha un terminale (tipicamente in qualche sistema a finestre)\n"
@@ -3739,394 +3791,394 @@ msgstr ""
 "sar visibile anche in ELinks. Si noti che questa opzione ha senso solo\n"
 "quando i colori sono abilitati."
 
-#: src/config/options.inc:910
+#: src/config/options.inc:977
 msgid "If we should use underline or enhance the color instead."
 msgstr "Usare le sottolineature o cambiare il colore"
 
-#: src/config/options.inc:914
+#: src/config/options.inc:982
 #, fuzzy
 msgid ""
-"Codepage of charset used for displaying content on terminal.\n"
-"'System' stands for a codepage determined by a selected locale."
+"Codepage of charset used for displaying content on terminal. 'System' stands "
+"for a codepage determined by a selected locale."
 msgstr ""
 "Codepage del set di caratteri usato per visualizzare il contenuto sul "
 "terminale."
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:921
+#: src/config/options.inc:990
 msgid "User interface"
 msgstr "Interfaccia utente"
 
-#: src/config/options.inc:923
+#: src/config/options.inc:992
 msgid "User interface options."
 msgstr "Opzioni interfaccia utente"
 
-#: src/config/options.inc:927
+#: src/config/options.inc:996
 msgid "Color settings"
 msgstr "Impostazioni colori"
 
-#: src/config/options.inc:929
+#: src/config/options.inc:998
 msgid "Default user interface color settings."
 msgstr "Impostazioni di colore predefinite per l'interfaccia utente"
 
-#: src/config/options.inc:956
+#: src/config/options.inc:1025
 msgid "Color terminals"
 msgstr "Terminali a colori"
 
-#: src/config/options.inc:958
+#: src/config/options.inc:1027
 msgid "Color settings for color terminal."
 msgstr "Impostazioni colori per terminali a colori."
 
-#: src/config/options.inc:960
+#: src/config/options.inc:1029
 msgid "Non-color terminals"
 msgstr "Terminali non a colori"
 
-#: src/config/options.inc:962
+#: src/config/options.inc:1031
 msgid "Color settings for non-color terminal."
 msgstr "Impostazioni colori per terminali non a colori."
 
 #. FIXME: obsolete, how to alias them correctly ? --Zas
-#: src/config/options.inc:965
+#: src/config/options.inc:1034
 msgid "Main menu bar"
 msgstr "Barra principale del menu"
 
-#: src/config/options.inc:967
+#: src/config/options.inc:1036
 msgid "Main menu bar colors."
 msgstr "Colori della barra principale dei menu."
 
-#: src/config/options.inc:969
+#: src/config/options.inc:1038
 msgid "Unselected main menu bar item"
 msgstr "Voce barra del menu principale non selezionata"
 
-#: src/config/options.inc:971
+#: src/config/options.inc:1040
 msgid "Unselected main menu bar item colors."
 msgstr "Colori voce barra del menu principale non selezionata"
 
-#: src/config/options.inc:973
+#: src/config/options.inc:1042
 msgid "Selected main menu bar item"
 msgstr "Voce barra del menu principale selezionata"
 
-#: src/config/options.inc:975
+#: src/config/options.inc:1044
 msgid "Selected main menu bar item colors."
 msgstr "Colori voce barra del menu principale selezionata"
 
-#: src/config/options.inc:977 src/config/options.inc:1006
+#: src/config/options.inc:1046 src/config/options.inc:1075
 msgid "Hotkey"
 msgstr "Scorciatoia"
 
-#: src/config/options.inc:979
+#: src/config/options.inc:1048
 msgid "Main menu hotkey colors."
 msgstr "Colori scorciatoie nel menu principale."
 
-#: src/config/options.inc:981 src/config/options.inc:1010
+#: src/config/options.inc:1050 src/config/options.inc:1079
 msgid "Unselected hotkey"
 msgstr "Scorciatoia non selezionata"
 
-#: src/config/options.inc:983
+#: src/config/options.inc:1052
 msgid "Main menu unselected hotkey colors."
 msgstr "Colori scorciatoia menu principale non selezionata."
 
-#: src/config/options.inc:985 src/config/options.inc:1014
+#: src/config/options.inc:1054 src/config/options.inc:1083
 msgid "Selected hotkey"
 msgstr "Scorciatoia selezionata"
 
-#: src/config/options.inc:987
+#: src/config/options.inc:1056
 msgid "Main menu selected hotkey colors."
 msgstr "Colori scorciatoia menu principale selezionata."
 
-#: src/config/options.inc:990
+#: src/config/options.inc:1059
 msgid "Menu bar"
 msgstr "Barra del menu"
 
-#: src/config/options.inc:992
+#: src/config/options.inc:1061
 msgid "Menu bar colors."
 msgstr "Colori barra del menu."
 
-#: src/config/options.inc:994
+#: src/config/options.inc:1063
 msgid "Unselected menu item"
 msgstr "Voce del menu non selezionata"
 
-#: src/config/options.inc:996
+#: src/config/options.inc:1065
 msgid "Unselected menu item colors."
 msgstr "Colori voce del menu non selezionata."
 
-#: src/config/options.inc:998
+#: src/config/options.inc:1067
 msgid "Selected menu item"
 msgstr "Voce di menu selezionata"
 
-#: src/config/options.inc:1000
+#: src/config/options.inc:1069
 msgid "Selected menu item colors."
 msgstr "Colori voce del menu selezionata."
 
-#: src/config/options.inc:1002
+#: src/config/options.inc:1071
 msgid "Marked menu item"
 msgstr "Voce di menu selezionata"
 
-#: src/config/options.inc:1004
+#: src/config/options.inc:1073
 msgid "Marked menu item colors."
 msgstr "Colori voce del menu selezionata."
 
-#: src/config/options.inc:1008
+#: src/config/options.inc:1077
 msgid "Menu item hotkey colors."
 msgstr "Colori scorciatoia di voce del menu"
 
-#: src/config/options.inc:1012
+#: src/config/options.inc:1081
 msgid "Menu item unselected hotkey colors."
 msgstr "Colori scorciatoia di voce del menu non selezionata."
 
-#: src/config/options.inc:1016
+#: src/config/options.inc:1085
 msgid "Menu item selected hotkey colors."
 msgstr "Colori scorciatoia delle voci di menu selezionate."
 
-#: src/config/options.inc:1018
+#: src/config/options.inc:1087
 msgid "Menu frame"
 msgstr "Cornice menu"
 
-#: src/config/options.inc:1020
+#: src/config/options.inc:1089
 msgid "Menu frame colors."
 msgstr "Colori cornice del menu."
 
-#: src/config/options.inc:1023
+#: src/config/options.inc:1092
 msgid "Dialog"
 msgstr "Finestre di dialogo"
 
-#: src/config/options.inc:1025
+#: src/config/options.inc:1094
 msgid "Dialog colors."
 msgstr "Colori finestre di dialogo."
 
-#: src/config/options.inc:1035
+#: src/config/options.inc:1104
 msgid "Generic"
 msgstr "Generico"
 
-#: src/config/options.inc:1037
+#: src/config/options.inc:1106
 msgid "Generic dialog colors."
 msgstr "Colori finestra di dialogo generica."
 
-#: src/config/options.inc:1039
+#: src/config/options.inc:1108
 msgid "Frame"
 msgstr "Cornice"
 
-#: src/config/options.inc:1041
+#: src/config/options.inc:1110
 msgid "Dialog frame colors."
 msgstr "Colori cornici dialoghi."
 
-#: src/config/options.inc:1043
+#: src/config/options.inc:1112
 msgid "Scrollbar"
 msgstr "Barra di scorrimento"
 
-#: src/config/options.inc:1045
+#: src/config/options.inc:1114
 msgid "Scrollbar colors."
 msgstr "Colori barra di scorrimento."
 
-#: src/config/options.inc:1047
+#: src/config/options.inc:1116
 #, fuzzy
 msgid "Selected scrollbar"
 msgstr "Colori scheda selezionata."
 
-#: src/config/options.inc:1049
+#: src/config/options.inc:1118
 msgid "Scrollbar selected colors."
 msgstr "Colori barra di scorrimento selezionata."
 
-#: src/config/options.inc:1053
+#: src/config/options.inc:1122
 msgid "Dialog title colors."
 msgstr "Colori titolo finestra di dialogo."
 
-#: src/config/options.inc:1055
+#: src/config/options.inc:1124
 msgid "Text"
 msgstr "Testo"
 
-#: src/config/options.inc:1057
+#: src/config/options.inc:1126
 msgid "Dialog text colors."
 msgstr "Colori testo finestra di dialogo."
 
-#: src/config/options.inc:1059 src/viewer/text/form.c:1862
+#: src/config/options.inc:1128 src/viewer/text/form.c:1891
 msgid "Checkbox"
 msgstr "Checkbox"
 
-#: src/config/options.inc:1061
+#: src/config/options.inc:1130
 msgid "Dialog checkbox colors."
 msgstr "Colori checkbox finestra di dialogo."
 
-#: src/config/options.inc:1063
+#: src/config/options.inc:1132
 #, fuzzy
 msgid "Selected checkbox"
 msgstr "Scheda selezionata"
 
-#: src/config/options.inc:1065
+#: src/config/options.inc:1134
 #, fuzzy
 msgid "Dialog selected checkbox colors."
 msgstr "Colori dei bottoni selezionati nei dialoghi."
 
-#: src/config/options.inc:1067
+#: src/config/options.inc:1136
 msgid "Checkbox label"
 msgstr "Etichetta checkbox"
 
-#: src/config/options.inc:1069
+#: src/config/options.inc:1138
 msgid "Dialog checkbox label colors."
 msgstr "Colori etichetta delle checkbox nei dialoghi."
 
-#: src/config/options.inc:1071
+#: src/config/options.inc:1140
 msgid "Button"
 msgstr "Pulsante"
 
-#: src/config/options.inc:1073 src/config/options.inc:1081
+#: src/config/options.inc:1142 src/config/options.inc:1150
 msgid "Dialog button colors."
 msgstr "Colori dei bottoni nei dialoghi."
 
-#: src/config/options.inc:1075
+#: src/config/options.inc:1144
 msgid "Selected button"
 msgstr "Bottone selezionato"
 
-#: src/config/options.inc:1077 src/config/options.inc:1085
+#: src/config/options.inc:1146 src/config/options.inc:1154
 msgid "Dialog selected button colors."
 msgstr "Colori dei bottoni selezionati nei dialoghi."
 
-#: src/config/options.inc:1079
+#: src/config/options.inc:1148
 msgid "Button shortcut"
 msgstr ""
 
-#: src/config/options.inc:1083
+#: src/config/options.inc:1152
 #, fuzzy
 msgid "Selected button shortcut"
 msgstr "Bottone selezionato"
 
-#: src/config/options.inc:1087 src/viewer/text/form.c:1866
+#: src/config/options.inc:1156 src/viewer/text/form.c:1895
 msgid "Text field"
 msgstr "Campo testo"
 
-#: src/config/options.inc:1089
+#: src/config/options.inc:1158
 msgid "Dialog text field colors."
 msgstr "Colori dei campi testo nei dialoghi."
 
-#: src/config/options.inc:1091
+#: src/config/options.inc:1160
 msgid "Text field text"
 msgstr "Testo campo testo"
 
-#: src/config/options.inc:1093
+#: src/config/options.inc:1162
 msgid "Dialog field text colors."
 msgstr "Colori del testo nei campi dei dialoghi."
 
-#: src/config/options.inc:1095
+#: src/config/options.inc:1164
 msgid "Meter"
 msgstr "Barra di avanzamento"
 
-#: src/config/options.inc:1097
+#: src/config/options.inc:1166
 msgid "Dialog meter colors."
 msgstr "Colori barra di avanzamento nei dialoghi."
 
-#: src/config/options.inc:1099
+#: src/config/options.inc:1168
 msgid "Shadow"
 msgstr "Ombra"
 
-#: src/config/options.inc:1101
+#: src/config/options.inc:1170
 msgid "Dialog shadow colors (see ui.shadows option)."
 msgstr "Colori ombre delle finestre di dialogo (vedi opzione ui.shadows)."
 
-#: src/config/options.inc:1103
+#: src/config/options.inc:1172
 msgid "Title bar"
 msgstr "Barra del titolo"
 
-#: src/config/options.inc:1105
+#: src/config/options.inc:1174
 msgid "Title bar colors."
 msgstr "Colori barra del titolo."
 
-#: src/config/options.inc:1107
+#: src/config/options.inc:1176
 msgid "Generic title bar"
 msgstr "Barra del titolo generica"
 
-#: src/config/options.inc:1109
+#: src/config/options.inc:1178
 msgid "Generic title bar colors."
 msgstr "Colori barra del titolo generica."
 
-#: src/config/options.inc:1111
+#: src/config/options.inc:1180
 msgid "Title bar text"
 msgstr "Testo barra del titolo"
 
-#: src/config/options.inc:1113
+#: src/config/options.inc:1182
 msgid "Title bar text colors."
 msgstr "Colore testo barra del titolo."
 
-#: src/config/options.inc:1116
+#: src/config/options.inc:1185
 msgid "Status bar"
 msgstr "Barra di stato"
 
-#: src/config/options.inc:1118
+#: src/config/options.inc:1187
 msgid "Status bar colors."
 msgstr "Colori barra di stato."
 
-#: src/config/options.inc:1120
+#: src/config/options.inc:1189
 msgid "Generic status bar"
 msgstr "Barra di stato generica"
 
-#: src/config/options.inc:1122
+#: src/config/options.inc:1191
 msgid "Generic status bar colors."
 msgstr "Colori barra di stato generica"
 
-#: src/config/options.inc:1124
+#: src/config/options.inc:1193
 msgid "Status bar text"
 msgstr "Testo barra di stato"
 
-#: src/config/options.inc:1126
+#: src/config/options.inc:1195
 msgid "Status bar text colors."
 msgstr "Colori testo barra di stato"
 
-#: src/config/options.inc:1129
+#: src/config/options.inc:1198
 msgid "Tabs bar"
 msgstr "Barra delle schede"
 
-#: src/config/options.inc:1131
+#: src/config/options.inc:1200
 msgid "Tabs bar colors."
 msgstr "Colori barra delle schede."
 
-#: src/config/options.inc:1133
+#: src/config/options.inc:1202
 msgid "Unvisited tab"
 msgstr "Scheda non ancora visitata"
 
-#: src/config/options.inc:1135
+#: src/config/options.inc:1204
+#, fuzzy
 msgid ""
-"Tab colors for tabs that have not been\n"
-"selected since they completed loading."
+"Tab colors for tabs that have not been selected since they completed loading."
 msgstr ""
 "Colori per le schede che non sono state\n"
 "selezionate da quando hanno completato il caricamento."
 
-#: src/config/options.inc:1138
+#: src/config/options.inc:1207
 msgid "Unselected tab"
 msgstr "Scheda non selezionata"
 
-#: src/config/options.inc:1140
+#: src/config/options.inc:1209
 msgid "Unselected tab colors."
 msgstr "Colori scheda non selezionata."
 
-#: src/config/options.inc:1142
+#: src/config/options.inc:1211
 msgid "Loading tab"
 msgstr "Scheda in caricamento"
 
-#: src/config/options.inc:1144
+#: src/config/options.inc:1213
 msgid "Tab colors for tabs that are loading in the background."
 msgstr "Colori per le schede in caricamento sullo sfondo."
 
-#: src/config/options.inc:1146
+#: src/config/options.inc:1215
 msgid "Selected tab"
 msgstr "Scheda selezionata"
 
-#: src/config/options.inc:1148
+#: src/config/options.inc:1217
 msgid "Selected tab colors."
 msgstr "Colori scheda selezionata."
 
-#: src/config/options.inc:1150
+#: src/config/options.inc:1219
 msgid "Tab separator"
 msgstr "Separatore schede"
 
-#: src/config/options.inc:1152
+#: src/config/options.inc:1221
 msgid "Tab separator colors."
 msgstr "Colori separatore schede."
 
-#: src/config/options.inc:1155
+#: src/config/options.inc:1224
 msgid "Searched strings"
 msgstr "Stringhe cercate"
 
-#: src/config/options.inc:1157
+#: src/config/options.inc:1226
 msgid "Searched string highlight colors."
 msgstr "Colori evidenziazione della stringa cercata."
 
@@ -4134,83 +4186,86 @@ msgstr "Colori evidenziazione della stri
 #. ============= BORING PART (colors) END ===================
 #. ==========================================================
 #. Keep options in alphabetical order.
-#: src/config/options.inc:1166
+#: src/config/options.inc:1235
 msgid "Dialog settings"
 msgstr "Impostazioni finestre di dialogo"
 
-#: src/config/options.inc:1168
+#: src/config/options.inc:1237
 msgid "Dialogs-specific appearance and behaviour settings."
 msgstr "Impostazioni per aspetto e comportamento dei dialoghi."
 
-#: src/config/options.inc:1171
+#: src/config/options.inc:1240
 msgid "Minimal height of listbox widget"
 msgstr "Altezza minima del widget listbox"
 
-#: src/config/options.inc:1173
+#: src/config/options.inc:1242
+#, fuzzy
 msgid ""
-"Minimal height of the listbox widget (used e.g. for bookmarks\n"
-"or global history)."
+"Minimal height of the listbox widget (used e.g. for bookmarks or global "
+"history)."
 msgstr ""
 "Altezza minima del widget listbox (usato ad esempio per i segnalibri\n"
 "o per la cronologia)."
 
-#: src/config/options.inc:1176
+#: src/config/options.inc:1245
 msgid "Drop shadows"
 msgstr "Ombre"
 
-#: src/config/options.inc:1178
+#: src/config/options.inc:1247
+#, fuzzy
 msgid ""
-"Make dialogs drop shadows (the shadows are solid, you can\n"
-"adjust their color by ui.colors.*.dialog.shadow). You may\n"
-"also want to eliminate the wide borders by adjusting setup.h."
+"Make dialogs drop shadows (the shadows are solid, you can adjust their color "
+"by ui.colors.*.dialog.shadow). You may also want to eliminate the wide "
+"borders by adjusting setup.h."
 msgstr ""
 "Visualizza ombre per le finestre di dialogo (le ombre sono solide,\n"
 "si pu configurare il loro colore con ui.colors.*.dialog.shadow).\n"
 "Puoi anche voler eliminare i bordi larghi modificando setup.h."
 
-#: src/config/options.inc:1182
+#: src/config/options.inc:1252
 #, fuzzy
 msgid "Underline menu hotkeys"
 msgstr "Sottolinea acceleratori"
 
-#: src/config/options.inc:1184
+#: src/config/options.inc:1254
 #, fuzzy
 msgid ""
-"Whether to underline hotkeys in menus to make them more\n"
-"visible. Requires that underlining is enabled for the terminal."
+"Whether to underline hotkeys in menus to make them more visible. Requires "
+"that underlining is enabled for the terminal."
 msgstr ""
 "Imposta la sottolineatura delle scorciatoie nei menu per renderle\n"
 "maggiormente visibili. Richiede che la sottolineature sia abilitata\n"
 "per il terminale."
 
-#: src/config/options.inc:1187
+#: src/config/options.inc:1258
 #, fuzzy
 msgid "Underline button shortcuts"
 msgstr "Sottolinea acceleratori"
 
-#: src/config/options.inc:1189
+#: src/config/options.inc:1260
 #, fuzzy
 msgid ""
-"Whether to underline button shortcuts to make them more\n"
-"visible. Requires that underlining is enabled for the terminal."
+"Whether to underline button shortcuts to make them more visible. Requires "
+"that underlining is enabled for the terminal."
 msgstr ""
 "Imposta la sottolineatura delle scorciatoie nei menu per renderle\n"
 "maggiormente visibili. Richiede che la sottolineature sia abilitata\n"
 "per il terminale."
 
-#: src/config/options.inc:1193
+#: src/config/options.inc:1265
 msgid "Timer options"
 msgstr "Opzioni timer"
 
-#: src/config/options.inc:1195
+#: src/config/options.inc:1267
+#, fuzzy
 msgid ""
-"Timed action after certain interval of user inactivity. Someone can\n"
-"even find this useful, although you may not believe that."
+"Timed action after certain interval of user inactivity. Someone can even "
+"find this useful, although you may not believe that."
 msgstr ""
 "Azioni temporizzate dopo un certo intervallo di inattivit dell'utente. "
 "Qualcuno lo pu trovare persino utile, anche se puoi non crederci."
 
-#: src/config/options.inc:1201
+#: src/config/options.inc:1274
 msgid ""
 "Whether to enable the timer or not:\n"
 "0 is don't count down anything\n"
@@ -4222,7 +4277,7 @@ msgstr ""
 "1  fare il conto alla rovescia, ma non mostrare il timer\n"
 "2  fare il conto alla rovescia e mostrare il timer accanto ai LED"
 
-#: src/config/options.inc:1208
+#: src/config/options.inc:1281
 msgid ""
 "Whether to enable the timer or not:\n"
 "0 is don't count down anything\n"
@@ -4235,35 +4290,35 @@ msgstr ""
 "2  fare il conto alla rovescia e mostrare il timer accanto ai LED "
 "(DISABILITATO)"
 
-#: src/config/options.inc:1214
+#: src/config/options.inc:1287
 msgid "Duration"
 msgstr "Durata"
 
-#: src/config/options.inc:1216
+#: src/config/options.inc:1289
 #, fuzzy
 msgid ""
-"Inactivity timeout in seconds. The maximum of one day\n"
-"should be enough for just everyone (TM)."
+"Inactivity timeout in seconds. The maximum of one day should be enough for "
+"just everyone (TM)."
 msgstr "Timeout di inattivit. Un giorno dovrebbe bastare per tutti (TM)."
 
-#: src/config/options.inc:1221
+#: src/config/options.inc:1294
 #, fuzzy
 msgid "Keybinding action to be triggered when timer reaches zero."
 msgstr "Azione da compiere quando il timer raggiunge lo zero."
 
-#: src/config/options.inc:1224
+#: src/config/options.inc:1298
 msgid "Window tabs"
 msgstr "Schede"
 
-#: src/config/options.inc:1226
+#: src/config/options.inc:1300
 msgid "Window tabs settings."
 msgstr "Impostazioni schede."
 
-#: src/config/options.inc:1228
+#: src/config/options.inc:1302
 msgid "Display tabs bar"
 msgstr "Mostra barra delle schede"
 
-#: src/config/options.inc:1230
+#: src/config/options.inc:1304
 #, fuzzy
 msgid ""
 "Show tabs bar on the screen:\n"
@@ -4276,192 +4331,195 @@ msgstr ""
 "1 significa solo se ci sono due o pi schede.\n"
 "2 significa sempre."
 
-#: src/config/options.inc:1235
+#: src/config/options.inc:1309
 #, fuzzy
 msgid "Tab bar at top"
 msgstr "Separatore schede"
 
-#: src/config/options.inc:1237
+#: src/config/options.inc:1311
 msgid "Whether display tab bar at top like other browsers do."
 msgstr ""
 
-#: src/config/options.inc:1239
+#: src/config/options.inc:1313
 msgid "Wrap-around tabs cycling"
 msgstr "Cicla schede (ultima->prima)"
 
-#: src/config/options.inc:1241
+#: src/config/options.inc:1315
 #, fuzzy
 msgid ""
-"When moving right from the last tab, jump to the first one, and\n"
-"vice versa."
+"When moving right from the last tab, jump to the first one, and vice versa."
 msgstr ""
 "Quando ci si sposta a destra dall'ultima scheda, salta alla prima e\n"
 "viceversa."
 
-#: src/config/options.inc:1244
+#: src/config/options.inc:1318
 msgid "Confirm tab closing"
 msgstr "Conferma chiusura delle schede"
 
-#: src/config/options.inc:1246
+#: src/config/options.inc:1320
 msgid "When closing a tab show confirmation dialog."
 msgstr "Mostrare la finestra di conferma quando si chiude una scheda. "
 
 #. OPT_LANGUAGE
-#: src/config/options.inc:1250 src/config/opttypes.c:483
+#: src/config/options.inc:1324 src/config/opttypes.c:483
 msgid "Language"
 msgstr "Lingua"
 
-#: src/config/options.inc:1252
+#: src/config/options.inc:1326
 #, fuzzy
 msgid ""
-"Language of user interface. 'System' means that the language will\n"
-"be extracted from the environment dynamically."
+"Language of user interface. 'System' means that the language will be "
+"extracted from the environment dynamically."
 msgstr ""
 "Lingua dell'interfaccia utente. System significa che la lingua\n"
 "sar estratta dinamicamente dall'ambiente."
 
-#: src/config/options.inc:1255
+#: src/config/options.inc:1330
 #, fuzzy
 msgid "Display menu bar always"
 msgstr "Mostra barra del titolo"
 
-#: src/config/options.inc:1257
+#: src/config/options.inc:1332
 #, fuzzy
 msgid "Always show menu bar on the screen."
 msgstr "Mostra la barra del titolo sullo schermo."
 
-#: src/config/options.inc:1259
+#: src/config/options.inc:1334
 msgid "Display status bar"
 msgstr "Mostra barra di stato"
 
-#: src/config/options.inc:1261
+#: src/config/options.inc:1336
 msgid "Show status bar on the screen."
 msgstr "Mostra la barra di stato sullo schermo."
 
-#: src/config/options.inc:1263
+#: src/config/options.inc:1338
 msgid "Display title bar"
 msgstr "Mostra barra del titolo"
 
-#: src/config/options.inc:1265
+#: src/config/options.inc:1340
 msgid "Show title bar on the screen."
 msgstr "Mostra la barra del titolo sullo schermo."
 
-#: src/config/options.inc:1267
+#: src/config/options.inc:1342
 #, fuzzy
 msgid "Display goto dialog in new tabs"
 msgstr "Mostra il dialogo Apri URL all'avvio"
 
-#: src/config/options.inc:1269
+#: src/config/options.inc:1344
 msgid ""
-"Pop up goto dialog in newly created tabs when there's no homepage\n"
-"set. This means also showing goto dialog on startup."
+"Pop up goto dialog in newly created tabs when there's no homepage set. This "
+"means also showing goto dialog on startup."
 msgstr ""
 
-#: src/config/options.inc:1272
+#: src/config/options.inc:1348
 #, fuzzy
 msgid "Show a message box when file is saved successfully"
 msgstr "Mostra una finestra di dialogo quando il file  salvato con successo"
 
-#: src/config/options.inc:1274
+#: src/config/options.inc:1350
+#, fuzzy
 msgid ""
-"When you pressed a [ Save ] button in some manager, this option\n"
-"will make sure that a box confirming success of the operation will\n"
-"pop up."
+"When you pressed a [ Save ] button in some manager, this option will make "
+"sure that a box confirming success of the operation will pop up."
 msgstr ""
 "Quando si preme il pulsante [ Salva] in uno dei gestori, questa opzione\n"
 "far apparire una finestra di conferma del successo dell'operazione."
 
-#: src/config/options.inc:1279
+#: src/config/options.inc:1355
 msgid "Sessions"
 msgstr "Sessioni"
 
-#: src/config/options.inc:1281
+#: src/config/options.inc:1357
 msgid "Sessions settings."
 msgstr "Impostazioni sessioni."
 
-#: src/config/options.inc:1283
+#: src/config/options.inc:1359
 #, fuzzy
 msgid "Keep session active"
 msgstr "Considera minuscole/maiuscole"
 
-#: src/config/options.inc:1285
+#: src/config/options.inc:1361
 msgid "Keep the session active even if the last terminal exits."
 msgstr ""
 
-#: src/config/options.inc:1287
+#: src/config/options.inc:1364
 msgid "Auto save session"
 msgstr "Salva la sessione automaticamente"
 
-#: src/config/options.inc:1289
+#: src/config/options.inc:1366
+#, fuzzy
 msgid ""
 "Automatically save the session when quitting.\n"
+"\n"
 "This feature requires bookmark support."
 msgstr ""
 "Salva automaticamente la sessione all'uscita.\n"
 "Questa funzionalit richiede il supporto per i segnalibri."
 
-#: src/config/options.inc:1292
+#: src/config/options.inc:1370
 msgid "Auto restore session"
 msgstr "Ripristina sessione automaticamente"
 
-#: src/config/options.inc:1294
+#: src/config/options.inc:1372
+#, fuzzy
 msgid ""
 "Automatically restore the session at start.\n"
+"\n"
 "This feature requires bookmark support."
 msgstr ""
 "Ripristina automaticamente la sessione all'avvio.\n"
 "Questa funzionalit richiede il supporto per i segnalibri."
 
-#: src/config/options.inc:1297
+#: src/config/options.inc:1376
 msgid "Auto save and restore session folder name"
 msgstr ""
 "Nome della cartella per il salvataggio e ripristino automatico della sessione"
 
-#: src/config/options.inc:1299
+#: src/config/options.inc:1378
 #, fuzzy
 msgid ""
-"Name of the bookmarks folder used for auto saving and restoring session.\n"
-"The name has to be unique. Any folders with the same name will be deleted.\n"
+"Name of the bookmarks folder used for auto saving and restoring session. The "
+"name has to be unique. Any folders with the same name will be deleted.\n"
+"\n"
 "This only makes sense with bookmark support."
 msgstr ""
 "Nome della cartella dei segnalibri usata per il salvataggio e ripristino\n"
 "automatico della sessione.\n"
 "Questo ha senso solo con il supporto ai segnalibri abilitato."
 
-#: src/config/options.inc:1303
+#: src/config/options.inc:1384
 msgid "Homepage URI"
 msgstr "URI dell homepage"
 
-#: src/config/options.inc:1305
+#: src/config/options.inc:1386
 #, fuzzy
 msgid ""
-"The URI to load either at startup time when no URI was given\n"
-"on the command line or when requested by the goto-url-home action.\n"
-"Set to \"\" if the environment variable WWW_HOME should be used\n"
-"as homepage URI instead."
+"The URI to load either at startup time when no URI was given on the command "
+"line or when requested by the goto-url-home action. Set to \"\" if the "
+"environment variable WWW_HOME should be used as homepage URI instead."
 msgstr ""
 "L'URI da caricare all'avvio quando non si sono specificati URI\n"
 "Sulla riga di comando o quando richiesto dall'azione goto-url-home.\n"
 "Impostare a \"\" se si vuole usare la variabile d'ambiente WWW_HOME invece."
 
-#: src/config/options.inc:1311
+#: src/config/options.inc:1392
 #, fuzzy
 msgid "Date format"
 msgstr "Formato file"
 
-#: src/config/options.inc:1313
+#: src/config/options.inc:1394
 msgid "Date format to use in dialogs. See strftime(3)."
 msgstr ""
 
-#: src/config/options.inc:1316
+#: src/config/options.inc:1397
 msgid "Set window title"
 msgstr "Imposta titolo della finestra"
 
-#: src/config/options.inc:1318
+#: src/config/options.inc:1399
+#, fuzzy
 msgid ""
-"Set the window title when running in a windowing environment\n"
-"in an xterm-like terminal. This way the document's title is\n"
-"shown on the window titlebar."
+"Set the window title when running in a windowing environment in an xterm-"
+"like terminal. This way the document's title is shown on the window titlebar."
 msgstr ""
 "Imposta il titolo della finestra quando eseguito sotto un ambiente\n"
 "a finestre in un terminale tipo xterm. In questo modo il titolo del\n"
@@ -4548,7 +4606,7 @@ msgid "Goto URL History"
 msgstr "Storico"
 
 #. name:
-#: src/cookies/cookies.c:88 src/cookies/cookies.c:911
+#: src/cookies/cookies.c:88 src/cookies/cookies.c:913
 msgid "Cookies"
 msgstr "Cookie"
 
@@ -4581,10 +4639,10 @@ msgstr "Et massima"
 msgid ""
 "Cookie maximum age (in days):\n"
 "-1 is use cookie's expiration date if any\n"
-"0  is force expiration at the end of session, ignoring cookie's\n"
-"   expiration date\n"
-"1+ is use cookie's expiration date, but limit age to the given\n"
-"   number of days"
+"0  is force expiration at the end of session, ignoring\n"
+"   cookie's expiration date\n"
+"1+ is use cookie's expiration date, but limit age to the\n"
+"   given number of days"
 msgstr ""
 "Et massima (in giorni):\n"
 "-1  usa la data di scadenza del cookie se presente\n"
@@ -4600,47 +4658,47 @@ msgstr "Sicurezza paranoica"
 #: src/cookies/cookies.c:111
 #, fuzzy
 msgid ""
-"When enabled, we'll require three dots in cookies domain for all\n"
-"non-international domains (instead of just two dots). Some countries\n"
-"have generic second level domains (eg. .com.pl, .co.uk) and allowing\n"
-"sites to set cookies for these generic domains could potentially be\n"
-"very bad. Note, it is off by default as it breaks a lot of sites."
+"When enabled, we'll require three dots in cookies domain for all non-"
+"international domains (instead of just two dots). Some countries have "
+"generic second level domains (eg. .com.pl, .co.uk) and allowing sites to set "
+"cookies for these generic domains could potentially be very bad. Note, it is "
+"off by default as it breaks a lot of sites."
 msgstr ""
 "Quando abilitata, richiederemo tre punti nel dominio dei cookie per\n"
 "tutti i domini non internazionali (invece di due punti solamente). Si veda\n"
 "il codice (cookies.c:check_domain_security()) per spiegazioni."
 
-#: src/cookies/cookies.c:117
+#: src/cookies/cookies.c:118
 msgid "Saving"
 msgstr "Salvataggio"
 
-#: src/cookies/cookies.c:119
+#: src/cookies/cookies.c:120
 msgid "Whether cookies should be loaded from and saved to disk."
 msgstr ""
 
-#: src/cookies/cookies.c:121
+#: src/cookies/cookies.c:123
 msgid "Resaving"
 msgstr "Risalvataggio"
 
-#: src/cookies/cookies.c:123
+#: src/cookies/cookies.c:125
 #, fuzzy
 msgid ""
-"Save cookies after each change in cookies list? No effect when\n"
-"cookie saving (cookies.save) is off."
+"Save cookies after each change in cookies list? No effect when cookie saving "
+"(cookies.save) is off."
 msgstr ""
 "Salva i cookie dopo ogni modifica alla lista dei cookie? Non ha\n"
 "effetto quando cookie_save  disattivata"
 
-#: src/cookies/cookies.c:817
+#: src/cookies/cookies.c:819
 #, fuzzy
 msgid "Cannot save cookies"
 msgstr "Cancella tutti gli elementi"
 
-#: src/cookies/cookies.c:828
+#: src/cookies/cookies.c:830
 msgid "ELinks was started without a home directory."
 msgstr ""
 
-#: src/cookies/cookies.c:834
+#: src/cookies/cookies.c:836
 msgid "ELinks was started with the -anonymous option."
 msgstr ""
 
@@ -4852,7 +4910,7 @@ msgid "No header info."
 msgstr "Nessuna informazione sugli header."
 
 #: src/dialogs/download.c:243 src/dialogs/menu.c:601
-#: src/protocol/bittorrent/dialogs.c:228 src/session/download.c:361
+#: src/protocol/bittorrent/dialogs.c:228 src/session/download.c:387
 msgid "Download"
 msgstr "Download"
 
@@ -5680,7 +5738,7 @@ msgid "No document"
 msgstr "Nessun documento"
 
 #. name:
-#: src/document/css/css.c:30 src/document/css/css.c:161
+#: src/document/css/css.c:30 src/document/css/css.c:164
 msgid "Cascading Style Sheets"
 msgstr ""
 
@@ -5689,37 +5747,37 @@ msgstr ""
 msgid "Options concerning how to use CSS for styling documents."
 msgstr "Opzioni per la gestione dei collegamenti ad altri documenti."
 
-#: src/document/css/css.c:34
+#: src/document/css/css.c:35
 #, fuzzy
 msgid "Enable CSS"
 msgstr "Abilita"
 
-#: src/document/css/css.c:36
+#: src/document/css/css.c:37
 msgid "Enable adding of CSS style info to documents."
 msgstr ""
 
-#: src/document/css/css.c:38
+#: src/document/css/css.c:39
 msgid "Import external style sheets"
 msgstr ""
 
-#: src/document/css/css.c:40
+#: src/document/css/css.c:41
 msgid ""
-"When enabled any external style sheets that are imported from\n"
-"either CSS itself using the @import keyword or from the HTML using\n"
-"<link> tags in the document header will also be downloaded."
+"When enabled any external style sheets that are imported from either CSS "
+"itself using the @import keyword or from the HTML using <link> tags in the "
+"document header will also be downloaded."
 msgstr ""
 
-#: src/document/css/css.c:44
+#: src/document/css/css.c:46
 #, fuzzy
 msgid "Default style sheet"
 msgstr "Impostazioni predefinite dei colori"
 
-#: src/document/css/css.c:46
+#: src/document/css/css.c:48
 msgid ""
-"The path to the file containing the default user defined\n"
-"Cascading Style Sheet. It can be used to control the basic\n"
-"layout of HTML documents. The path is assumed to be relative\n"
-"to ELinks' home directory.\n"
+"The path to the file containing the default user defined Cascading Style "
+"Sheet. It can be used to control the basic layout of HTML documents. The "
+"path is assumed to be relative to ELinks' home directory.\n"
+"\n"
 "Leave as \"\" to use built-in document styling."
 msgstr ""
 
@@ -5752,8 +5810,8 @@ msgstr ""
 
 #: src/ecmascript/ecmascript.c:55
 msgid ""
-"Whether to ignore content enclosed by the <noscript> tag\n"
-"when ECMAScript is enabled."
+"Whether to ignore content enclosed by the <noscript> tag when ECMAScript is "
+"enabled."
 msgstr ""
 
 #: src/ecmascript/ecmascript.c:58
@@ -5805,7 +5863,7 @@ msgid "JavaScript Error"
 msgstr ""
 
 #. name:
-#: src/ecmascript/spidermonkey.c:320
+#: src/ecmascript/spidermonkey.c:321
 msgid "SpiderMonkey"
 msgstr ""
 
@@ -5907,10 +5965,10 @@ msgid "Show form history dialog"
 msgstr "Mostra la finestra di dialogo dello storico dei form"
 
 #: src/formhist/formhist.c:38
+#, fuzzy
 msgid ""
-"Ask if a login form should be saved to file or not.\n"
-"This option only disables the dialog, already saved login\n"
-"forms are unaffected."
+"Ask if a login form should be saved to file or not. This option only "
+"disables the dialog, already saved login forms are unaffected."
 msgstr ""
 "Chiedi se un form di login deve essere salvato o no.\n"
 "Questa opzione disabilita solo la finestra di dialogo, i form\n"
@@ -6023,19 +6081,19 @@ msgstr "Opzioni della cronologia."
 msgid "Enable global history (\"history of all pages visited\")."
 msgstr "Abilita la cronologia (\"storico di tutte le pagine visitate\")"
 
-#: src/globhist/globhist.c:68
+#: src/globhist/globhist.c:69
 msgid "Maximum number of entries"
 msgstr "Numero massimo di voci"
 
-#: src/globhist/globhist.c:70
+#: src/globhist/globhist.c:71
 msgid "Maximum number of entries in the global history."
 msgstr "Numero massimo di voci nella cronologia ."
 
-#: src/globhist/globhist.c:72
+#: src/globhist/globhist.c:73
 msgid "Display style"
 msgstr "Mostra stile"
 
-#: src/globhist/globhist.c:74
+#: src/globhist/globhist.c:75
 msgid ""
 "What to display in global history dialog:\n"
 "0 is URLs\n"
@@ -6046,7 +6104,7 @@ msgstr ""
 "1  titoli delle pagine"
 
 #. name:
-#: src/globhist/globhist.c:451
+#: src/globhist/globhist.c:449
 msgid "Global History"
 msgstr "Storico"
 
@@ -6267,12 +6325,13 @@ msgid "MIME type associations"
 msgstr "Associazioni per i tipi MIME"
 
 #: src/mime/backend/default.c:27
+#, fuzzy
 msgid ""
-"Handler <-> MIME type association. The first sub-tree is the MIME\n"
-"class while the second sub-tree is the MIME type (ie. image/gif\n"
-"handler will reside at mime.type.image.gif). Each MIME type option\n"
-"should contain (case-sensitive) name of the MIME handler (its\n"
-"properties are stored at mime.handler.<name>)."
+"Handler <-> MIME type association. The first sub-tree is the MIME class "
+"while the second sub-tree is the MIME type (ie. image/gif handler will "
+"reside at mime.type.image.gif). Each MIME type option should contain (case-"
+"sensitive) name of the MIME handler (its properties are stored at mime."
+"handler.<name>)."
 msgstr ""
 "Associazione Gestore <-> tipo MIME. Il primo sotto albero  la\n"
 "classe MIME, mentre il secondo sotto albero  il tipo MIME (il\n"
@@ -6281,101 +6340,98 @@ msgstr ""
 "minuscole)\n"
 "del gestore MIME (le sue propriet sono memorizzate in mime.handler.<nome>)."
 
-#: src/mime/backend/default.c:35
+#: src/mime/backend/default.c:36
+#, fuzzy
 msgid ""
-"Handler matching this MIME-type class ('*' is used here in place\n"
-"of '.')."
+"Handler matching this MIME-type class ('*' is used here in place of '.')."
 msgstr ""
 "Gestore corrispondente a questa classe di tipi MIME ('*'  qui usato\n"
 "al posto di '.')."
 
-#: src/mime/backend/default.c:40
+#: src/mime/backend/default.c:41
+#, fuzzy
 msgid ""
-"Handler matching this MIME-type name ('*' is used here in place\n"
-"of '.')."
+"Handler matching this MIME-type name ('*' is used here in place of '.')."
 msgstr ""
 "Gestore corrispondente a questo nome di tipo MIME ('*'  qui usato al\n"
 "posto di '.')."
 
-#: src/mime/backend/default.c:44
+#: src/mime/backend/default.c:45
 msgid "File type handlers"
 msgstr "Gestori tipi di file"
 
-#: src/mime/backend/default.c:46
+#: src/mime/backend/default.c:47
 msgid ""
-"A file type handler is a set of information about how to use\n"
-"an external program to view a file. It is possible to refer to it\n"
-"for several MIME types -- e.g., you can define an 'image' handler\n"
-"to which mime.type.image.png, mime.type.image.jpeg, and so on will\n"
-"refer; or one might define a handler for a more specific type of file\n"
-"-- e.g., PDF files.\n"
-"Note you must define both a MIME handler and a MIME type association\n"
-"for it to work."
+"A file type handler is a set of information about how to use an external "
+"program to view a file. It is possible to refer to it for several MIME types "
+"-- e.g., you can define an 'image' handler to which mime.type.image.png, "
+"mime.type.image.jpeg, and so on will refer; or one might define a handler "
+"for a more specific type of file -- e.g., PDF files. Note you must define "
+"both a MIME handler and a MIME type association for it to work."
 msgstr ""
 
-#: src/mime/backend/default.c:57
+#: src/mime/backend/default.c:58
 msgid "Description of this handler."
 msgstr "Descrizione di questo gestore."
 
-#: src/mime/backend/default.c:61
+#: src/mime/backend/default.c:62
 msgid "System-specific handler description (ie. unix, unix-xwin, ...)."
 msgstr ""
 "Descrizioni del gestore specifiche del sistema (ad esempio unix,\n"
 "unix-xwin, ...)."
 
-#: src/mime/backend/default.c:63 src/mime/backend/mailcap.c:102
+#: src/mime/backend/default.c:65 src/mime/backend/mailcap.c:102
 msgid "Ask before opening"
 msgstr "Chiedi prima di aprire"
 
-#: src/mime/backend/default.c:65
+#: src/mime/backend/default.c:67
 msgid "Ask before opening."
 msgstr "Chiedi prima di aprire."
 
-#: src/mime/backend/default.c:67
+#: src/mime/backend/default.c:69
 msgid "Block terminal"
 msgstr "Blocca terminale"
 
-#: src/mime/backend/default.c:69
+#: src/mime/backend/default.c:71
 msgid "Block the terminal when the handler is running."
 msgstr "Blocca il terminale quando  in esecuzione il gestore."
 
-#: src/mime/backend/default.c:71
+#: src/mime/backend/default.c:73
 msgid "Program"
 msgstr "Programma"
 
-#: src/mime/backend/default.c:74
+#: src/mime/backend/default.c:76
 #, fuzzy, no-c-format
 msgid ""
-"External viewer for this file type. '%' in this string will be\n"
-"substituted by a file name.\n"
-"Do _not_ put single- or double-quotes around the % sign."
+"External viewer for this file type. '%' in this string will be substituted "
+"by a file name. Do _not_ put single- or double-quotes around the % sign."
 msgstr ""
 "Visualizzatore esterno per questo tipo di file. In questa stringa '%'\n"
 "sar sostituito dal nome del file."
 
-#: src/mime/backend/default.c:79
+#: src/mime/backend/default.c:81
 msgid "File extension associations"
 msgstr "Associazioni estensioni file"
 
-#: src/mime/backend/default.c:81
+#: src/mime/backend/default.c:83
 msgid "Extension <-> MIME type association."
 msgstr "Associazione Estensione <-> Tipo MIME."
 
-#: src/mime/backend/default.c:85
+#: src/mime/backend/default.c:87
+#, fuzzy
 msgid ""
-"MIME-type matching this file extension ('*' is used here in place\n"
-"of '.')."
+"MIME-type matching this file extension ('*' is used here in place of '.')."
 msgstr ""
 "Tipo MIME corrispondente a questa estensione di file ('*'  usato qui\n"
 "al posto di '.')."
 
 #. name:
-#: src/mime/backend/default.c:216
+#: src/mime/backend/default.c:218
 msgid "Option system"
 msgstr "Sistema di configurazione"
 
 #. name:
-#: src/mime/backend/mailcap.c:89 src/mime/backend/mailcap.c:684
+#: src/mime/backend/mailcap.c:89 src/mime/backend/mailcap.c:686
 msgid "Mailcap"
 msgstr "Mailcap"
 
@@ -6390,8 +6446,8 @@ msgstr "Abilita supporto mailcap."
 #: src/mime/backend/mailcap.c:99
 #, fuzzy
 msgid ""
-"Mailcap search path. Colon-separated list of files.\n"
-"Leave as \"\" to use MAILCAP environment variable instead."
+"Mailcap search path. Colon-separated list of files. Leave as \"\" to use "
+"MAILCAP environment variable instead."
 msgstr ""
 "Percorso di ricerca per Mailcap. Lista di file separata da due punti.\n"
 "Lasciare a \"\" per usare la variabile d'ambiente MAILCAP o\n"
@@ -6408,11 +6464,11 @@ msgstr "Stringa per la domanda"
 #: src/mime/backend/mailcap.c:108
 #, fuzzy
 msgid ""
-"Type of description to show in \"what to do with this file\"\n"
-"query dialog:\n"
+"Type of description to show in \"what to do with this file\" query dialog:\n"
 "0 is show \"mailcap\"\n"
 "1 is show program to be run\n"
-"2 is show mailcap description field if any; \"mailcap\" otherwise"
+"2 is show mailcap description field if any;\n"
+"     \"mailcap\" otherwise"
 msgstr ""
 "Tipo di descrizione da mostrare nella finestra di dialogo \"cosa fare con "
 "questo file\":\n"
@@ -6421,37 +6477,37 @@ msgstr ""
 "2  mostrare la descrizione mailcap del campo, se presente; altrimenti "
 "\"mailcap\"."
 
-#: src/mime/backend/mailcap.c:114
+#: src/mime/backend/mailcap.c:115
 msgid "Prioritize entries by file"
 msgstr "Priorit alle voci per file"
 
-#: src/mime/backend/mailcap.c:116
+#: src/mime/backend/mailcap.c:117
+#, fuzzy
 msgid ""
-"Prioritize entries by the order of the files in the mailcap\n"
-"path. This means that wildcard entries (like: image/*) will\n"
-"also be checked before deciding the handler."
+"Prioritize entries by the order of the files in the mailcap path. This means "
+"that wildcard entries (like: image/*) will also be checked before deciding "
+"the handler."
 msgstr ""
 "D priorit alle voci per l'ordine dei file nel percorso di\n"
 "mailcap. Questo significa che anche le voci con metacaratteri (come image/"
 "*)\n"
 "saranno controllate prima di decidere il gestore."
 
-#: src/mime/backend/mailcap.c:349
+#: src/mime/backend/mailcap.c:351
 #, c-format
 msgid "Badly formated mailcap entry for type %s in \"%s\" line %d"
 msgstr ""
 
 #. name:
-#: src/mime/backend/mimetypes.c:46 src/mime/backend/mimetypes.c:279
+#: src/mime/backend/mimetypes.c:46 src/mime/backend/mimetypes.c:280
 msgid "Mimetypes files"
 msgstr "Tipi file MIME"
 
 #: src/mime/backend/mimetypes.c:48
 #, fuzzy
 msgid ""
-"Options for the support of mime.types files. These files\n"
-"can be used to find the content type of a URL by looking at\n"
-"the extension of the file name."
+"Options for the support of mime.types files. These files can be used to find "
+"the content type of a URL by looking at the extension of the file name."
 msgstr ""
 "Opzioni per il supporto di file tipi MIME. I file tipi MIME\n"
 "possono esser usati per trovare il tipo di un URL guardando\n"
@@ -6491,7 +6547,7 @@ msgid "No extensions"
 msgstr "Nessuna estensione"
 
 #. name:
-#: src/mime/mime.c:38 src/mime/mime.c:360
+#: src/mime/mime.c:38 src/mime/mime.c:361
 msgid "MIME"
 msgstr "MIME"
 
@@ -6504,9 +6560,10 @@ msgid "Default MIME-type"
 msgstr "Tipo MIME predefinito"
 
 #: src/mime/mime.c:44
+#, fuzzy
 msgid ""
-"Document MIME-type to assume by default (when we are unable to\n"
-"guess it properly from known information about the document)."
+"Document MIME-type to assume by default (when we are unable to guess it "
+"properly from known information about the document)."
 msgstr ""
 "Tipo MIME del documento da assumere in maniera predefinita (quando non\n"
 "si  in grado di rilevarlo correttamente dalle informazioni sul documento)."
@@ -6516,9 +6573,10 @@ msgid "Verify certificates"
 msgstr "Verifica certificati"
 
 #: src/network/ssl/ssl.c:74
+#, fuzzy
 msgid ""
-"Verify the peer's SSL certificate. Note that this\n"
-"needs extensive configuration of OpenSSL by the user."
+"Verify the peer's SSL certificate. Note that this needs extensive "
+"configuration of OpenSSL by the user."
 msgstr ""
 "Verifica il certificato SSL del peer. Si noti per questo\n"
 "serve una configurazione ulteriore di OpenSSL dall'utente."
@@ -6532,9 +6590,10 @@ msgid "X509 client certificate options."
 msgstr "Opzioni certificati X509 del client."
 
 #: src/network/ssl/ssl.c:83
+#, fuzzy
 msgid ""
-"Enable or not the sending of X509 client certificates\n"
-"to servers which request them."
+"Enable or not the sending of X509 client certificates to servers which "
+"request them."
 msgstr ""
 "Abilita o disabilita l'invio ai server che lo richiedono\n"
 "dei certificati X509 dal client."
@@ -6544,21 +6603,24 @@ msgid "Certificate File"
 msgstr "File di certificato"
 
 #: src/network/ssl/ssl.c:88
+#, fuzzy
 msgid ""
-"The location of a file containing the client certificate\n"
-"and unencrypted private key in PEM format. If unset, the\n"
-"file pointed to by the X509_CLIENT_CERT variable is used\n"
-"instead."
+"The location of a file containing the client certificate and unencrypted "
+"private key in PEM format. If unset, the file pointed to by the "
+"X509_CLIENT_CERT variable is used instead."
 msgstr ""
 "La posizione di un file contenente il certificato del client\n"
 "e la chiave privata non cifrata in formato PEM. Se non impostato\n"
 "sar usato il file indicato dalla variabile X509_CLIENT_CERT."
 
 #: src/network/ssl/ssl.c:163
+#, fuzzy
 msgid ""
-"Verify the peer's SSL certificate.  If you enable\n"
-"this, set also \"Trusted CA file\"."
+"Verify the peer's SSL certificate.  If you enable this, set also \"Trusted "
+"CA file\"."
 msgstr ""
+"Verifica il certificato SSL del peer. Si noti che\n"
+"questo probabilmente non funziona con GnuTLS."
 
 #. The default value of the following option points to a file
 #. * generated by the ca-certificates Debian package.  Don't use
@@ -6575,20 +6637,20 @@ msgstr "Trasferimento"
 
 #: src/network/ssl/ssl.c:176
 msgid ""
-"The location of a file containing certificates of\n"
-"trusted certification authorities in PEM format.\n"
-"ELinks then trusts certificates issued by these CAs.\n"
-"If you change this option or the file, you must\n"
-"restart ELinks for the changes to take effect.\n"
-"This option affects GnuTLS but not OpenSSL."
+"The location of a file containing certificates of trusted certification "
+"authorities in PEM format. ELinks then trusts certificates issued by these "
+"CAs.\n"
+"\n"
+"If you change this option or the file, you must restart ELinks for the "
+"changes to take effect. This option affects GnuTLS but not OpenSSL."
 msgstr ""
 
 #. name:
-#: src/network/ssl/ssl.c:199 src/network/ssl/ssl.c:216
+#: src/network/ssl/ssl.c:200 src/network/ssl/ssl.c:217
 msgid "SSL"
 msgstr "SSL"
 
-#: src/network/ssl/ssl.c:201
+#: src/network/ssl/ssl.c:202
 msgid "SSL options."
 msgstr "Opzioni SSL."
 
@@ -6928,7 +6990,7 @@ msgstr "Identificazione richiesta per %s
 msgid "Login"
 msgstr "Login"
 
-#: src/protocol/auth/dialogs.c:113 src/protocol/http/http.c:140
+#: src/protocol/auth/dialogs.c:113 src/protocol/http/http.c:142
 msgid "Password"
 msgstr "Password"
 
@@ -7005,7 +7067,7 @@ msgstr "Identificazione HTTP"
 
 #. name:
 #: src/protocol/bittorrent/bittorrent.c:26
-#: src/protocol/bittorrent/bittorrent.c:335
+#: src/protocol/bittorrent/bittorrent.c:339
 msgid "BitTorrent"
 msgstr ""
 
@@ -7061,9 +7123,8 @@ msgstr ""
 
 #: src/protocol/bittorrent/bittorrent.c:57
 msgid ""
-"Whether to request that the tracker returns peer info\n"
-"in compact format. Note, the compact format only supports\n"
-"IPv4 addresses."
+"Whether to request that the tracker returns peer info in compact format. "
+"Note, the compact format only supports IPv4 addresses."
 msgstr ""
 
 #: src/protocol/bittorrent/bittorrent.c:61
@@ -7072,57 +7133,55 @@ msgstr ""
 
 #: src/protocol/bittorrent/bittorrent.c:63
 msgid ""
-"The number of seconds to wait between periodically contacting\n"
-"the tracker for announcing progress and requesting more peers.\n"
-"Set to zero to use the interval requested by the tracker."
+"The number of seconds to wait between periodically contacting the tracker "
+"for announcing progress and requesting more peers. Set to zero to use the "
+"interval requested by the tracker."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:67
+#: src/protocol/bittorrent/bittorrent.c:68
 msgid "IP-address to announce"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:69
+#: src/protocol/bittorrent/bittorrent.c:70
 msgid ""
-"What IP address to report to the tracker. If set to \"\"\n"
-"no IP address will be sent and the tracker will automatically\n"
-"determine an appropriate IP address."
+"What IP address to report to the tracker. If set to \"\" no IP address will "
+"be sent and the tracker will automatically determine an appropriate IP "
+"address."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:73
+#: src/protocol/bittorrent/bittorrent.c:74
 #, fuzzy
 msgid "User identification string"
 msgstr "Identificazione con User-agent"
 
-#: src/protocol/bittorrent/bittorrent.c:75
+#: src/protocol/bittorrent/bittorrent.c:76
 msgid ""
-"An additional identification that is not shared with any users.\n"
-"It is intended to allow a client to prove their identity should\n"
-"their IP address change. It is an optional parameter, but some\n"
-"trackers require this parameter. If set to \"\" no user key will\n"
-"be sent to the tracker."
+"An additional identification that is not shared with any users. It is "
+"intended to allow a client to prove their identity should their IP address "
+"change. It is an optional parameter, but some trackers require this "
+"parameter. If set to \"\" no user key will be sent to the tracker."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:81
+#: src/protocol/bittorrent/bittorrent.c:82
 #, fuzzy
 msgid "Maximum number of peers to request"
 msgstr "Numero massimo di voci"
 
-#: src/protocol/bittorrent/bittorrent.c:83
+#: src/protocol/bittorrent/bittorrent.c:84
 msgid ""
-"The maximum number of peers to request from the tracker.\n"
-"Set to 0 to use the server default."
+"The maximum number of peers to request from the tracker. Set to 0 to use the "
+"server default."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:86
+#: src/protocol/bittorrent/bittorrent.c:87
 msgid "Minimum peers to skip rerequesting"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:88
+#: src/protocol/bittorrent/bittorrent.c:89
 msgid ""
-"The minimum number of peers to have in the current peer info\n"
-"pool before skipping requesting of more peers. I.e. setting\n"
-"numwant to zero.\n"
-"Set to 0 to not have any limit."
+"The minimum number of peers to have in the current peer info pool before "
+"skipping requesting of more peers. I.e. setting numwant to zero. Set to 0 to "
+"not have any limit."
 msgstr ""
 
 #. ******************************************************************
@@ -7143,185 +7202,180 @@ msgstr "Numero massimo di connessioni si
 
 #: src/protocol/bittorrent/bittorrent.c:104
 msgid ""
-"The maximum number of allowed connections to both active and\n"
-"non-active peers. By increasing the number of allowed connections,\n"
-"the chance of finding good peers to download from is increased.\n"
-"However, too many connections can lead to TCP congestion. If the\n"
-"maximum is reached all new incoming connections will be closed."
+"The maximum number of allowed connections to both active and non-active "
+"peers. By increasing the number of allowed connections, the chance of "
+"finding good peers to download from is increased. However, too many "
+"connections can lead to TCP congestion. If the maximum is reached all new "
+"incoming connections will be closed."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:110
+#: src/protocol/bittorrent/bittorrent.c:111
 msgid "Maximum peer message length"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:112
+#: src/protocol/bittorrent/bittorrent.c:113
 msgid ""
-"The maximum length of messages to accept over the wire.\n"
-"Larger values will cause the connection to be dropped."
+"The maximum length of messages to accept over the wire. Larger values will "
+"cause the connection to be dropped."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:115
+#: src/protocol/bittorrent/bittorrent.c:116
 msgid "Maximum allowed request length"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:117
+#: src/protocol/bittorrent/bittorrent.c:118
 msgid ""
-"The maximum length to allow for incoming requests.\n"
-"Larger requests will cause the connection to be dropped."
+"The maximum length to allow for incoming requests. Larger requests will "
+"cause the connection to be dropped."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:120
+#: src/protocol/bittorrent/bittorrent.c:121
 msgid "Length of requests"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:122
+#: src/protocol/bittorrent/bittorrent.c:123
 msgid ""
-"How many bytes to query for per request. This is complementary\n"
-"to the max_request_length option. If the configured length is\n"
-"bigger than the piece length it will be truncated."
+"How many bytes to query for per request. This is complementary to the "
+"max_request_length option. If the configured length is bigger than the piece "
+"length it will be truncated."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:126
+#: src/protocol/bittorrent/bittorrent.c:128
 #, fuzzy
 msgid "Peer inactivity timeout"
 msgstr "Timeout di ricezione"
 
-#: src/protocol/bittorrent/bittorrent.c:128
+#: src/protocol/bittorrent/bittorrent.c:130
 msgid ""
-"The number of seconds to wait before closing a socket on\n"
-"which nothing has been received or sent."
+"The number of seconds to wait before closing a socket on which nothing has "
+"been received or sent."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:131
+#: src/protocol/bittorrent/bittorrent.c:133
 #, fuzzy
 msgid "Maximum peer pool size"
 msgstr "Numero massimo di voci"
 
-#: src/protocol/bittorrent/bittorrent.c:133
+#: src/protocol/bittorrent/bittorrent.c:135
 msgid ""
-"Maximum number of items in the peer pool. The peer pool\n"
-"contains information used for establishing connections to\n"
-"new peers.\n"
+"Maximum number of items in the peer pool. The peer pool contains information "
+"used for establishing connections to new peers.\n"
+"\n"
 "Set to 0 to have unlimited size."
 msgstr ""
 
 #. ******************************************************************
 #. Piece management options:
 #. ******************************************************************
-#: src/protocol/bittorrent/bittorrent.c:143
+#: src/protocol/bittorrent/bittorrent.c:146
 #, fuzzy
 msgid "Maximum piece cache size"
 msgstr "Connessioni massime"
 
-#: src/protocol/bittorrent/bittorrent.c:145
+#: src/protocol/bittorrent/bittorrent.c:148
 msgid ""
-"The maximum amount of memory used to hold recently\n"
-"downloaded pieces.\n"
+"The maximum amount of memory used to hold recently downloaded pieces.\n"
+"\n"
 "Set to 0 to have unlimited size."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:154
+#: src/protocol/bittorrent/bittorrent.c:158
 #, fuzzy
 msgid "Sharing rate"
 msgstr "Modalit di salvataggio"
 
-#: src/protocol/bittorrent/bittorrent.c:156
+#: src/protocol/bittorrent/bittorrent.c:160
 msgid ""
-"The minimum sharing rate to achieve before stop seeding.\n"
-"The sharing rate is computed as the number of uploaded bytes\n"
-"divided with the number of downloaded bytes. The value should\n"
-"be a double value between 0.0 and 1.0 both included.\n"
-"Set to 1.0 to atleast upload a complete copy of all data and\n"
+"The minimum sharing rate to achieve before stop seeding. The sharing rate is "
+"computed as the number of uploaded bytes divided with the number of "
+"downloaded bytes. The value should be a double value between 0.0 and 1.0 "
+"both included. Set to 1.0 to atleast upload a complete copy of all data and "
 "set to 0.0 to have unlimited sharing rate."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:163
+#: src/protocol/bittorrent/bittorrent.c:167
 #, fuzzy
 msgid "Maximum number of uploads"
 msgstr "Numero massimo di voci"
 
-#: src/protocol/bittorrent/bittorrent.c:165
+#: src/protocol/bittorrent/bittorrent.c:169
 msgid "The maximum number of uploads to allow at once."
 msgstr ""
 
 #. The number of uploads to fill out to with extra optimistic unchokes
-#: src/protocol/bittorrent/bittorrent.c:168
+#: src/protocol/bittorrent/bittorrent.c:172
 #, fuzzy
 msgid "Minimum number of uploads"
 msgstr "Numero massimo di voci"
 
-#: src/protocol/bittorrent/bittorrent.c:170
+#: src/protocol/bittorrent/bittorrent.c:174
 msgid ""
-"The minimum number of uploads which should at least\n"
-"be used for new connections."
+"The minimum number of uploads which should at least be used for new "
+"connections."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:174
+#: src/protocol/bittorrent/bittorrent.c:178
 #, fuzzy
 msgid "Keepalive interval"
 msgstr "Intervallo per l'autosalvataggio"
 
-#: src/protocol/bittorrent/bittorrent.c:176
-msgid ""
-"The number of seconds to pause between sending keepalive\n"
-"messages."
+#: src/protocol/bittorrent/bittorrent.c:180
+msgid "The number of seconds to pause between sending keepalive messages."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:179
+#: src/protocol/bittorrent/bittorrent.c:183
 #, fuzzy
 msgid "Number of pending requests"
 msgstr "Il server sta elaborando la richiesta"
 
-#: src/protocol/bittorrent/bittorrent.c:181
+#: src/protocol/bittorrent/bittorrent.c:185
 msgid ""
-"How many piece requests to continuously keep in queue. Pipelining\n"
-"of requests is essential to saturate connections and get a good\n"
-"connection performance and thus a faster download. However, a\n"
-"very big queue size can lead to wasting bandwidth near the end\n"
-"of the connection since remaining piece blocks will be requested\n"
-"from multiple peers."
+"How many piece requests to continuously keep in queue. Pipelining of "
+"requests is essential to saturate connections and get a good connection "
+"performance and thus a faster download. However, a very big queue size can "
+"lead to wasting bandwidth near the end of the connection since remaining "
+"piece blocks will be requested from multiple peers."
 msgstr ""
 
 #. Bram uses 30 seconds here.
-#: src/protocol/bittorrent/bittorrent.c:190
+#: src/protocol/bittorrent/bittorrent.c:194
 msgid "Peer snubbing interval"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:192
+#: src/protocol/bittorrent/bittorrent.c:196
 msgid ""
-"The number of seconds to wait for file data before assuming\n"
-"the peer has been snubbed."
+"The number of seconds to wait for file data before assuming the peer has "
+"been snubbed."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:195
+#: src/protocol/bittorrent/bittorrent.c:199
 #, fuzzy
 msgid "Peer choke interval"
 msgstr "Intervallo per l'autosalvataggio"
 
-#: src/protocol/bittorrent/bittorrent.c:197
+#: src/protocol/bittorrent/bittorrent.c:201
 msgid ""
-"The number of seconds between updating the connection state\n"
-"and most importantly choke and unchoke peer connections. The\n"
-"choke period should be big enough for newly unchoked connections\n"
-"to get started but small enough to not allow freeriders too much\n"
-"room for stealing bandwidth."
+"The number of seconds between updating the connection state and most "
+"importantly choke and unchoke peer connections. The choke period should be "
+"big enough for newly unchoked connections to get started but small enough to "
+"not allow freeriders too much room for stealing bandwidth."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:203
+#: src/protocol/bittorrent/bittorrent.c:207
 msgid "Rarest first piece selection cutoff"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:205
+#: src/protocol/bittorrent/bittorrent.c:209
 msgid ""
-"The number of pieces to obtain before switching piece\n"
-"selection strategy from random to rarest first."
+"The number of pieces to obtain before switching piece selection strategy "
+"from random to rarest first."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:208 src/protocol/http/http.c:109
+#: src/protocol/bittorrent/bittorrent.c:212 src/protocol/http/http.c:109
 msgid "Allow blacklisting"
 msgstr "Consenti il blacklisting"
 
-#: src/protocol/bittorrent/bittorrent.c:210
+#: src/protocol/bittorrent/bittorrent.c:214
 #, fuzzy
 msgid "Allow blacklisting of buggy peers."
 msgstr "Consenti il blacklisting dei server bacati."
@@ -7359,7 +7413,7 @@ msgstr "~File"
 msgid "Comment"
 msgstr "Commenti"
 
-#: src/protocol/bittorrent/dialogs.c:229 src/session/download.c:362
+#: src/protocol/bittorrent/dialogs.c:229 src/session/download.c:388
 #, c-format
 msgid ""
 "Download complete:\n"
@@ -7530,7 +7584,7 @@ msgid_plural "%u unavailable"
 msgstr[0] "Servizio FTP non attivo"
 msgstr[1] "Servizio FTP non attivo"
 
-#: src/protocol/bittorrent/dialogs.c:584 src/session/session.c:278
+#: src/protocol/bittorrent/dialogs.c:584 src/session/session.c:279
 #, fuzzy, c-format
 msgid "Unable to retrieve %s"
 msgstr ""
@@ -7547,7 +7601,7 @@ msgstr "Vuoi mostrare il file '%s' (tipo
 msgid "Information about the torrent"
 msgstr "Mostra informazioni sulla pagina corrente"
 
-#: src/protocol/bittorrent/dialogs.c:776 src/session/download.c:1106
+#: src/protocol/bittorrent/dialogs.c:776 src/session/download.c:1132
 msgid "What to do?"
 msgstr "Cosa fare?"
 
@@ -7558,13 +7612,13 @@ msgid "Down~load"
 msgstr "Download"
 
 #. accelerator_context(src/protocol/bittorrent/dialogs.c:bittorrent_query_callback, src/session/download.c:do_type_query)
-#: src/protocol/bittorrent/dialogs.c:804 src/session/download.c:1209
+#: src/protocol/bittorrent/dialogs.c:804 src/session/download.c:1235
 #, fuzzy
 msgid "~Display"
 msgstr "Visualizza"
 
 #. accelerator_context(src/protocol/bittorrent/dialogs.c:bittorrent_query_callback, src/session/download.c:do_type_query)
-#: src/protocol/bittorrent/dialogs.c:808 src/session/download.c:1213
+#: src/protocol/bittorrent/dialogs.c:808 src/session/download.c:1239
 #, fuzzy
 msgid "Show ~header"
 msgstr "Mostra template"
@@ -7582,16 +7636,16 @@ msgid "Colon separated list of directori
 msgstr ""
 "Lista di directory separate da due punti nelle quali cercare gli script CGI."
 
-#: src/protocol/file/cgi.c:47
+#: src/protocol/file/cgi.c:48
 msgid "Allow local CGI"
 msgstr "Consenti CGI locali"
 
-#: src/protocol/file/cgi.c:49
+#: src/protocol/file/cgi.c:50
 msgid "Whether to execute local CGI scripts."
 msgstr "Abilita esecuzione degli script CGI locali."
 
 #. name:
-#: src/protocol/file/cgi.c:54
+#: src/protocol/file/cgi.c:55
 msgid "CGI"
 msgstr ""
 
@@ -7610,9 +7664,8 @@ msgstr "Consenti la lettura di file spec
 #: src/protocol/file/file.c:46
 #, fuzzy
 msgid ""
-"Whether to allow reading from non-regular files.\n"
-"Note this can be dangerous; reading /dev/urandom or\n"
-"/dev/zero can ruin your day!"
+"Whether to allow reading from non-regular files. Note this can be dangerous; "
+"reading /dev/urandom or /dev/zero can ruin your day!"
 msgstr ""
 "Consenti la lettura di file non regolari? (PERICOLOSO - leggere\n"
 "/dev/urandom o /dev/zero ti puoi rovinare la giornata!)"
@@ -7624,8 +7677,8 @@ msgstr "Mostra file nascosti"
 #: src/protocol/file/file.c:52
 #, fuzzy
 msgid ""
-"When set to false, files with name starting with a dot will be\n"
-"hidden in local directory listings."
+"When set to false, files with name starting with a dot will be hidden in "
+"local directory listings."
 msgstr ""
 "Mostra i file nascosti nella lista delle directory?\n"
 "Se impostata a falso, i file con nome che inizia con un punto\n"
@@ -7636,17 +7689,18 @@ msgid "Try encoding extensions"
 msgstr "Prova estensioni per le codifiche"
 
 #: src/protocol/file/file.c:57
+#, fuzzy
 msgid ""
-"When set, if we can't open a file named 'filename', we'll try\n"
-"to open 'filename' with some encoding extension appended\n"
-"(ie. 'filename.gz'); it depends on the supported encodings."
+"When set, if we can't open a file named 'filename', we'll try to open "
+"'filename' with some encoding extension appended (ie. 'filename.gz'); it "
+"depends on the supported encodings."
 msgstr ""
 "Quando impostato, se non si pu aprire un file chiamato 'nomefile',\n"
 "si prover ad aprire 'nomefile' con alcune estensioni di codifica\n"
 "(ad esempio 'nomefile.gz'); dipende dalle codifiche supportate."
 
 #. name:
-#: src/protocol/file/file.c:65
+#: src/protocol/file/file.c:66
 #, fuzzy
 msgid "File"
 msgstr "~File"
@@ -7679,7 +7733,7 @@ msgid "Whether to sort entries in direct
 msgstr "Mostra file nascosti"
 
 #. name:
-#: src/protocol/ftp/ftp.c:56 src/protocol/ftp/ftp.c:86
+#: src/protocol/ftp/ftp.c:56 src/protocol/ftp/ftp.c:89
 msgid "FTP"
 msgstr "FTP"
 
@@ -7687,8 +7741,8 @@ msgstr "FTP"
 msgid "FTP specific options."
 msgstr "Opzioni specifiche di FTP."
 
-#: src/protocol/ftp/ftp.c:60 src/protocol/http/http.c:127
-#: src/protocol/http/http.c:209
+#: src/protocol/ftp/ftp.c:60 src/protocol/http/http.c:128
+#: src/protocol/http/http.c:235
 msgid "Proxy configuration"
 msgstr "Configurazione proxy"
 
@@ -7696,41 +7750,42 @@ msgstr "Configurazione proxy"
 msgid "FTP proxy configuration."
 msgstr "Configurazione proxy FTP."
 
-#: src/protocol/ftp/ftp.c:64 src/protocol/http/http.c:131
-#: src/protocol/http/http.c:213
+#: src/protocol/ftp/ftp.c:64 src/protocol/http/http.c:132
+#: src/protocol/http/http.c:239
 msgid "Host and port-number"
 msgstr "Host e numero di porta"
 
 #: src/protocol/ftp/ftp.c:66
+#, fuzzy
 msgid ""
-"Host and port-number (host:port) of the FTP proxy, or blank.\n"
-"If it's blank, FTP_PROXY environment variable is checked as well."
+"Host and port-number (host:port) of the FTP proxy, or blank. If it's blank, "
+"FTP_PROXY environment variable is checked as well."
 msgstr ""
 "Host e numero di porta (host:porta) del proxy FTP, o lasciare vuoto.\n"
 "Se si lascia vuoto, sar controllata anche la variabile d'ambiente FTP_PROXY."
 
-#: src/protocol/ftp/ftp.c:69
+#: src/protocol/ftp/ftp.c:70
 msgid "Anonymous password"
 msgstr "Password FTP anonimo"
 
-#: src/protocol/ftp/ftp.c:71
+#: src/protocol/ftp/ftp.c:72
 msgid "FTP anonymous password to be sent."
 msgstr "Password inviata per l'FTP anonimo."
 
-#: src/protocol/ftp/ftp.c:73
+#: src/protocol/ftp/ftp.c:74
 msgid "Use passive mode (IPv4)"
 msgstr "Usa modalit passiva (IPv4)"
 
-#: src/protocol/ftp/ftp.c:75
+#: src/protocol/ftp/ftp.c:76
 msgid "Use PASV instead of PORT (passive vs active mode, IPv4 only)."
 msgstr ""
 "Usa PASV invece di PORT (modalit attiva vs modalita passiva, solo IPv4)."
 
-#: src/protocol/ftp/ftp.c:77
+#: src/protocol/ftp/ftp.c:79
 msgid "Use passive mode (IPv6)"
 msgstr "Usa modalit passiva (IPv6)"
 
-#: src/protocol/ftp/ftp.c:79
+#: src/protocol/ftp/ftp.c:81
 msgid "Use EPSV instead of EPRT (passive vs active mode, IPv6 only)."
 msgstr ""
 "Usa EPVS invece di EPRT (modalit passiva vs modalit attiva, solo IPv6)."
@@ -7758,7 +7813,7 @@ msgid ""
 msgstr ""
 
 #. name:
-#: src/protocol/http/http.c:95 src/protocol/http/http.c:223
+#: src/protocol/http/http.c:95 src/protocol/http/http.c:250
 msgid "HTTP"
 msgstr "HTTP"
 
@@ -7779,9 +7834,10 @@ msgid "Do not send Accept-Charset"
 msgstr "Non inviare Accept-Charset"
 
 #: src/protocol/http/http.c:106
+#, fuzzy
 msgid ""
-"The Accept-Charset header is quite long and sending it can trigger\n"
-"bugs in some rarely found servers."
+"The Accept-Charset header is quite long and sending it can trigger bugs in "
+"some rarely found servers."
 msgstr ""
 "L'header Accept-Charset  abbastanza lungo e inviarlo pu rivelare\n"
 "bachi in alcuni server raramente usati."
@@ -7795,67 +7851,70 @@ msgid "Broken 302 redirects"
 msgstr "Redirect 302 errati"
 
 #: src/protocol/http/http.c:115
+#, fuzzy
 msgid ""
-"Broken 302 redirect (violates RFC but compatible with Netscape).\n"
-"This is a problem for a lot of web discussion boards and the like.\n"
-"If they will do strange things to you, try to play with this."
+"Broken 302 redirect (violates RFC but compatible with Netscape). This is a "
+"problem for a lot of web discussion boards and the like. If they will do "
+"strange things to you, try to play with this."
 msgstr ""
 "Redirect 302 errati (vola le RFC, ma  compatibile con Netscape).\n"
 "Questo  un problema con molti forum web a affini.\n"
 "Nel caso si comportino in modo strano, provare questa opzione."
 
-#: src/protocol/http/http.c:119
+#: src/protocol/http/http.c:120
 msgid "No keepalive after POST requests"
 msgstr "Disabilita keepalive dopo richieste POST"
 
-#: src/protocol/http/http.c:121
+#: src/protocol/http/http.c:122
 msgid "Disable keepalive connection after POST request."
 msgstr "Disabilita connessioni keepaliave dopo richieste POST."
 
-#: src/protocol/http/http.c:123
+#: src/protocol/http/http.c:124
 msgid "Use HTTP/1.0"
 msgstr "Usa HTTP/1.0"
 
-#: src/protocol/http/http.c:125
+#: src/protocol/http/http.c:126
 msgid "Use HTTP/1.0 protocol instead of HTTP/1.1."
 msgstr "Usa protocollo HTTP/1.0 invece di HTTP/1.1."
 
-#: src/protocol/http/http.c:129
+#: src/protocol/http/http.c:130
 msgid "HTTP proxy configuration."
 msgstr "Configurazione proxy HTTP"
 
-#: src/protocol/http/http.c:133
+#: src/protocol/http/http.c:134
+#, fuzzy
 msgid ""
-"Host and port-number (host:port) of the HTTP proxy, or blank.\n"
-"If it's blank, HTTP_PROXY environment variable is checked as well."
+"Host and port-number (host:port) of the HTTP proxy, or blank. If it's blank, "
+"HTTP_PROXY environment variable is checked as well."
 msgstr ""
 "Host e numero di porta (host:porta) del proxy HTTP, oppure vuoto.\n"
 "Se vuoto  controllata la variabile d'ambiente HTTP_PROXY."
 
-#: src/protocol/http/http.c:136
+#: src/protocol/http/http.c:138
 msgid "Username"
 msgstr "Nome utente"
 
-#: src/protocol/http/http.c:138
+#: src/protocol/http/http.c:140
 msgid "Proxy authentication username."
 msgstr "Nome utente per identificazione proxy."
 
-#: src/protocol/http/http.c:142
+#: src/protocol/http/http.c:144
 msgid "Proxy authentication password."
 msgstr "Password per identificazione proxy."
 
-#: src/protocol/http/http.c:145
+#: src/protocol/http/http.c:147
 msgid "Referer sending"
 msgstr "Invio referer"
 
-#: src/protocol/http/http.c:147
+#: src/protocol/http/http.c:149
+#, fuzzy
 msgid ""
-"HTTP referer sending options. HTTP referer is a special header\n"
-"sent in the HTTP requests, which is supposed to contain the previous\n"
-"page visited by the browser. This way, the server can know what link\n"
-"did you follow when accessing that page. However, this behaviour\n"
-"can unfortunately considerably affect privacy and can lead even to a\n"
-"security problem on some badly designed web pages."
+"HTTP referer sending options. HTTP referer is a special header sent in the "
+"HTTP requests, which is supposed to contain the previous page visited by the "
+"browser.This way, the server can know what link did you follow when "
+"accessing that page. However, this behaviour can unfortunately considerably "
+"affect privacy and can lead even to a security problem on some badly "
+"designed web pages."
 msgstr ""
 "Opzioni di invio del referer HTTP. Il referer HTTP  un header\n"
 "specifico inviato nelle richieste HTTP, che dovrebbe contenere la\n"
@@ -7865,11 +7924,11 @@ msgstr ""
 "considerevoli sulla privacy e pu portare persino a problemi di sicurezza\n"
 "con alcune pagine mal progettate."
 
-#: src/protocol/http/http.c:154
+#: src/protocol/http/http.c:157
 msgid "Policy"
 msgstr "Politica"
 
-#: src/protocol/http/http.c:157
+#: src/protocol/http/http.c:160
 #, fuzzy
 msgid ""
 "Mode of sending HTTP referer:\n"
@@ -7884,52 +7943,72 @@ msgstr ""
 "2  invia un referer fittizio fisso\n"
 "3  invia l'URL precedente come referer (corretto, ma insicuro)\n"
 
-#: src/protocol/http/http.c:163
+#: src/protocol/http/http.c:166
 msgid "Fake referer URL"
 msgstr "URL referer fittizio"
 
-#: src/protocol/http/http.c:165
+#: src/protocol/http/http.c:168
 msgid "Fake referer to be sent when policy is 2."
 msgstr "Referer fittizio da inviare quando la politica  2."
 
-#: src/protocol/http/http.c:168
+#: src/protocol/http/http.c:171
 msgid "Send Accept-Language header"
 msgstr "Manda l'header Accept-Language"
 
-#: src/protocol/http/http.c:170
+#: src/protocol/http/http.c:173
 msgid "Send Accept-Language header."
 msgstr "Manda l'header Accept-Language."
 
-#: src/protocol/http/http.c:172
+#: src/protocol/http/http.c:175
 msgid "Use UI language as Accept-Language"
 msgstr "Usa la lingua dell'interfaccia come Accept-Language"
 
-#: src/protocol/http/http.c:174
+#: src/protocol/http/http.c:177
 #, fuzzy
 msgid ""
-"Request localised versions of documents from web-servers (using the\n"
-"Accept-Language header) using the language you have configured for\n"
-"ELinks' user-interface (this also affects navigator.language ECMAScript\n"
-"value available to scripts). Note that some see this as a potential\n"
-"security risk because it tells web-masters and the FBI sniffers about\n"
-"your language preference."
+"Request localised versions of documents from web-servers (using the Accept-"
+"Language header) using the language you have configured for ELinks' user-"
+"interface (this also affects navigator.language ECMAScript value available "
+"to scripts). Note that some see this as a potential security risk because it "
+"tells web-masters and the FBI sniffers about your language preference."
 msgstr ""
 "Richiede versioni localizzate del documento dai server web (usando l'header\n"
 "Accept-Language) usando la lingua configurata per l'interfaccia utente di "
 "ELinks. Notare che alcuni lo vedono come un potenziale rischio di sicurezza "
 "perch rivela ai web master le proprie preferenze in fatto di lingua."
 
-#: src/protocol/http/http.c:181
+#. After the compression support has been tested enough,
+#. * we might wrap this option in #if CFG_DEBUG.
+#: src/protocol/http/http.c:187
+msgid "Enable on-the-fly compression"
+msgstr ""
+
+#: src/protocol/http/http.c:189
+msgid ""
+"If enabled, the capability to receive compressed content (gzip and/or bzip2) "
+"is announced to the server, which usually sends the reply compressed, thus "
+"saving some bandwidth at slight CPU expense.\n"
+"\n"
+"If ELinks displays a incomplete page or garbage, try disabling this option. "
+"If that helps, there may be a bug in the decompression part of ELinks. "
+"Please report such bugs.\n"
+"\n"
+"If ELinks has been compiled without compression support, this option has no "
+"effect. To check the supported features, see Help -> About."
+msgstr ""
+
+#: src/protocol/http/http.c:202
 msgid "Activate HTTP TRACE debugging"
 msgstr "Attiva il debug con HTTP TRACE"
 
-#: src/protocol/http/http.c:183
+#: src/protocol/http/http.c:204
+#, fuzzy
 msgid ""
-"If active, all HTTP requests are sent with TRACE as their method\n"
-"rather than GET or POST. This is useful for debugging of both ELinks\n"
-"and various server-side scripts --- the server only returns the client's\n"
-"request back to the client verbatim. Note that this type of request may\n"
-"not be enabled on all servers."
+"If active, all HTTP requests are sent with TRACE as their method rather than "
+"GET or POST. This is useful for debugging of both ELinks and various server-"
+"side scripts --- the server only returns the client's request back to the "
+"client verbatim. Note that this type of request may not be enabled on all "
+"servers."
 msgstr ""
 "Se attivo, tutte le richieste HTTP sono inviate con TRACE come loro metodo\n"
 "invece che GET o POST. Questo  utile per il debugging sia di ELinks\n"
@@ -7938,20 +8017,21 @@ msgstr ""
 "su tutti i server."
 
 #. OSNews.com is supposed to be relying on the textmode token, at least.
-#: src/protocol/http/http.c:190
+#: src/protocol/http/http.c:212
 msgid "User-agent identification"
 msgstr "Identificazione con User-agent"
 
-#: src/protocol/http/http.c:192
+#: src/protocol/http/http.c:214
 #, fuzzy
 msgid ""
-"Change the User Agent ID. That means identification string, which\n"
-"is sent to HTTP server when a document is requested. The 'textmode'\n"
-"token in the first field is our silent attempt to establish this as\n"
-"a standard for new textmode user agents, so that the webmasters can\n"
-"have just a single uniform test for these if they are e.g. pushing\n"
-"some lite version to them automagically.\n"
+"Change the User Agent ID. That means identification string, which is sent to "
+"HTTP server when a document is requested. The 'textmode' token in the first "
+"field is our silent attempt to establish this as a standard for new textmode "
+"user agents, so that the webmasters can have just a single uniform test for "
+"these if they are e.g. pushing some lite version to them automagically.\n"
+"\n"
 "Use \" \" if you don't want any User-Agent header to be sent at all.\n"
+"\n"
 "%v in the string means ELinks version,\n"
 "%s in the string means system identification,\n"
 "%t in the string means size of the terminal,\n"
@@ -7964,28 +8044,29 @@ msgstr ""
 "%t nella stringa significa la dimensione del terminale\n"
 "Usare \" \" se non si desidera inviare l'header User-Agent."
 
-#: src/protocol/http/http.c:205
+#: src/protocol/http/http.c:231
 msgid "HTTPS"
 msgstr "HTTPS"
 
-#: src/protocol/http/http.c:207
+#: src/protocol/http/http.c:233
 msgid "HTTPS-specific options."
 msgstr "Opzioni specifiche per HTTPS."
 
-#: src/protocol/http/http.c:211
+#: src/protocol/http/http.c:237
 msgid "HTTPS proxy configuration."
 msgstr "Configurazione proxy HTTPS."
 
-#: src/protocol/http/http.c:215
+#: src/protocol/http/http.c:241
+#, fuzzy
 msgid ""
-"Host and port-number (host:port) of the HTTPS CONNECT proxy, or blank.\n"
-"If it's blank, HTTPS_PROXY environment variable is checked as well."
+"Host and port-number (host:port) of the HTTPS CONNECT proxy, or blank. If "
+"it's blank, HTTPS_PROXY environment variable is checked as well."
 msgstr ""
 "Host e numero di porta (host:porta) del proxy HTTPS, oppure vuoto.\n"
 "Se vuoto  controllata la variabile d'ambiente HTTPS_PROXY."
 
 #. name:
-#: src/protocol/nntp/nntp.c:32 src/protocol/nntp/nntp.c:65
+#: src/protocol/nntp/nntp.c:32 src/protocol/nntp/nntp.c:66
 msgid "NNTP"
 msgstr ""
 
@@ -8001,19 +8082,19 @@ msgstr "Impostazioni predefinite dei col
 
 #: src/protocol/nntp/nntp.c:38
 msgid ""
-"Used when resolving news: URIs. If set to the empty string\n"
-"the value of the NNTPSERVER environment variable will be used."
+"Used when resolving news: URIs. If set to the empty string the value of the "
+"NNTPSERVER environment variable will be used."
 msgstr ""
 
-#: src/protocol/nntp/nntp.c:41
+#: src/protocol/nntp/nntp.c:42
 msgid "Message header entries"
 msgstr ""
 
-#: src/protocol/nntp/nntp.c:43
+#: src/protocol/nntp/nntp.c:44
 msgid ""
-"Comma separated list of which entries in the article header\n"
-"to show. E.g. 'Subject' and 'From'.\n"
-"All header entries can be read in the header info dialog."
+"Comma separated list of which entries in the article header to show. E.g. "
+"'Subject' and 'From'. All header entries can be read in the header info "
+"dialog."
 msgstr ""
 
 #: src/protocol/protocol.c:242
@@ -8034,11 +8115,11 @@ msgid "No-proxy domains"
 msgstr "Domini senza proxy"
 
 #: src/protocol/protocol.c:279
+#, fuzzy
 msgid ""
-"Comma separated list of domains for which the proxy (HTTP/FTP)\n"
-"should be disabled. Optionally, a port can be specified for some\n"
-"domains as well. If it's blank, NO_PROXY environment variable is\n"
-"checked as well."
+"Comma separated list of domains for which the proxy (HTTP/FTP) should be "
+"disabled. Optionally, a port can be specified for some domains as well. If "
+"it's blank, NO_PROXY environment variable is checked as well."
 msgstr ""
 "Lista di domini separati da virgola per i quali il proxy (HTTP o FTP)\n"
 "deve essere disabilitato. Opzionalmente pu anche essere specificata\n"
@@ -8056,12 +8137,12 @@ msgid "URI rewriting"
 msgstr "Riscrittura URI"
 
 #: src/protocol/rewrite/rewrite.c:46
+#, fuzzy
 msgid ""
-"Rules for rewriting URIs entered in the goto dialog.\n"
-"It makes it possible to define a set of prefixes that will\n"
-"be expanded if they match a string entered in the goto dialog.\n"
-"The prefixes can be dumb, meaning that they work only like\n"
-"URI abbreviations, or smart ones, making it possible to pass\n"
+"Rules for rewriting URIs entered in the goto dialog. It makes it possible to "
+"define a set of prefixes that will be expanded if they match a string "
+"entered in the goto dialog. The prefixes can be dumb, meaning that they work "
+"only like URI abbreviations, or smart ones, making it possible to pass "
 "arguments to them like search engine keywords."
 msgstr ""
 "Regole per la riscrittura degli URI immessi nel dialogo \"Apri URL\".\n"
@@ -8071,39 +8152,38 @@ msgstr ""
 "abbreviazioni degli URI o intelligenti, rendendo possibile il passaggio\n"
 "di argomenti in modo simile alle parole chiave dei motori di ricerca."
 
-#: src/protocol/rewrite/rewrite.c:53
+#: src/protocol/rewrite/rewrite.c:54
 msgid "Enable dumb prefixes"
 msgstr "Abilita prefissi semplici"
 
-#: src/protocol/rewrite/rewrite.c:55
+#: src/protocol/rewrite/rewrite.c:56
 msgid ""
-"Enable dumb prefixes - simple URI abbreviations which can\n"
-"be written to the Goto URL dialog instead of actual URIs - i.e.\n"
-"if you write 'elinks' there, you are directed to\n"
-"http://elinks.cz/."
+"Enable dumb prefixes - simple URI abbreviations which can be written to the "
+"Goto URL dialog instead of actual URIs - i.e. if you write 'elinks' there, "
+"you are directed to http://elinks.cz/."
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:60
+#: src/protocol/rewrite/rewrite.c:61
 msgid "Enable smart prefixes"
 msgstr "Abilita prefissi intelligenti"
 
-#: src/protocol/rewrite/rewrite.c:62
+#: src/protocol/rewrite/rewrite.c:63
 msgid ""
-"Enable smart prefixes - URI templates triggered by writing\n"
-"given abbreviation to the Goto URL dialog followed by a list\n"
-"of arguments from which the actual URI is composed - i.e.\n"
-"'gg:search keywords' or 'gn search keywords for news'."
+"Enable smart prefixes - URI templates triggered by writing given "
+"abbreviation to the Goto URL dialog followed by a list of arguments from "
+"which the actual URI is composed - i.e. 'gg:search keywords' or 'gn search "
+"keywords for news'."
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:67
+#: src/protocol/rewrite/rewrite.c:69
 msgid "Dumb Prefixes"
 msgstr "Prefissi semplici"
 
-#: src/protocol/rewrite/rewrite.c:69
+#: src/protocol/rewrite/rewrite.c:71
 msgid "Dumb prefixes, see enable-dumb description for details."
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:74
+#: src/protocol/rewrite/rewrite.c:76
 #, fuzzy, no-c-format
 msgid ""
 "Replacement URI for this dumbprefix:\n"
@@ -8114,15 +8194,15 @@ msgstr ""
 "%c nella stringa significa l'URL corrente\n"
 "%% nella stringa significa '%'"
 
-#: src/protocol/rewrite/rewrite.c:78
+#: src/protocol/rewrite/rewrite.c:80
 msgid "Smart Prefixes"
 msgstr "Prefissi intelligenti"
 
-#: src/protocol/rewrite/rewrite.c:80
+#: src/protocol/rewrite/rewrite.c:82
 msgid "Smart prefixes, see enable-smart description for details."
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:87
+#: src/protocol/rewrite/rewrite.c:90
 #, fuzzy, no-c-format
 msgid ""
 "Replacement URI for this smartprefix:\n"
@@ -8137,27 +8217,29 @@ msgstr ""
 "%0,%1,...,%9 significa l'argomento 0, 1, ..., 9\n"
 "%% nella stringa significa '%'"
 
-#: src/protocol/rewrite/rewrite.c:93
+#: src/protocol/rewrite/rewrite.c:96
 #, fuzzy
 msgid "Default template"
 msgstr "Codepage predefinita"
 
-#: src/protocol/rewrite/rewrite.c:96
+#: src/protocol/rewrite/rewrite.c:99
 #, no-c-format
 msgid ""
-"Default URI template used when the string entered in\n"
-"the goto dialog does not appear to be a URI or a filename\n"
-"(i.e. contains no '.', ':' or '/' characters), and does\n"
-"not match any defined prefixes. Set the value to \"\" to\n"
-"disable use of the default template rewrite rule.\n"
+"Default URI template used when the string entered in the goto dialog does "
+"not appear to be a URI or a filename (i.e. contains no '.', ':' or '/' "
+"characters), and does not match any defined prefixes. Set the value to \"\" "
+"to disable use of the default template rewrite rule.\n"
+"\n"
 "%c in the template means the current URL,\n"
-"%s in the template means the whole string from the goto dialog,\n"
-"%0,%1,...,%9 mean the 1st,2nd,...,10th space-delimited part of %s,\n"
+"%s in the template means the whole string from the goto\n"
+"   dialog,\n"
+"%0,%1,...,%9 mean the 1st,2nd,...,10th space-delimited part\n"
+"   of %s,\n"
 "%% in the template means '%'."
 msgstr ""
 
 #. name:
-#: src/protocol/rewrite/rewrite.c:372
+#: src/protocol/rewrite/rewrite.c:378
 msgid "URI rewrite"
 msgstr "Riscrittura URI"
 
@@ -8180,30 +8262,31 @@ msgid "Credentials file passed to smbcli
 msgstr ""
 
 #. name:
-#: src/protocol/user.c:34 src/protocol/user.c:84
+#: src/protocol/user.c:34 src/protocol/user.c:85
 msgid "User protocols"
 msgstr "Protocolli utente"
 
 #: src/protocol/user.c:36
+#, fuzzy
 msgid ""
-"User protocols. Options in this tree specify external\n"
-"handlers for the appropriate protocols. Ie.\n"
-"protocol.user.mailto.unix."
+"User protocols. Options in this tree specify external handlers for the "
+"appropriate protocols. Ie. protocol.user.mailto.unix."
 msgstr ""
 "Protocolli utente. Le opzioni in questo albero specificano\n"
 "gestori esterni per i protocolli appropriati. Ad esempio\n"
 "protocol.user.mailto.unix."
 
 #: src/protocol/user.c:47
+#, fuzzy
 msgid ""
-"Handler (external program) for this protocol. Name the\n"
-"options in this tree after your system (ie. unix, unix-xwin)."
+"Handler (external program) for this protocol. Name the options in this tree "
+"after your system (ie. unix, unix-xwin)."
 msgstr ""
 "Gestore (programma esterno) per questo protocollo. Chiama\n"
 "le opzioni in questo albero a seconda del tuo sistema (ad esempio unix, unix-"
 "xwin)."
 
-#: src/protocol/user.c:52
+#: src/protocol/user.c:53
 #, fuzzy
 msgid ""
 "Handler (external program) for this protocol and system.\n"
@@ -8221,11 +8304,11 @@ msgstr ""
 "%s nella stringa significa oggetto (?subject=<questo>)\n"
 "%u nella stringa significa l'intero URL"
 
-#: src/protocol/user.c:276
+#: src/protocol/user.c:277
 msgid "No program"
 msgstr "Nessun programma"
 
-#: src/protocol/user.c:278
+#: src/protocol/user.c:279
 #, c-format
 msgid "No program specified for protocol %s."
 msgstr "Nessun programma definito per %s."
@@ -8312,12 +8395,12 @@ msgstr ""
 msgid "Spidermonkey ECMAScript"
 msgstr "Scripting"
 
-#: src/session/download.c:233 src/session/download.c:330
-#: src/session/download.c:561 src/session/download.c:649
+#: src/session/download.c:256 src/session/download.c:356
+#: src/session/download.c:587 src/session/download.c:675
 msgid "Download error"
 msgstr "Errore download"
 
-#: src/session/download.c:234 src/session/download.c:650
+#: src/session/download.c:257 src/session/download.c:676
 #, c-format
 msgid ""
 "Could not create file '%s':\n"
@@ -8326,7 +8409,7 @@ msgstr ""
 "Impossibile creare il file '%s':\n"
 "%s"
 
-#: src/session/download.c:331
+#: src/session/download.c:357
 #, c-format
 msgid ""
 "Error downloading %s:\n"
@@ -8337,16 +8420,16 @@ msgstr ""
 "\n"
 "%s"
 
-#: src/session/download.c:562
+#: src/session/download.c:588
 #, c-format
 msgid "'%s' is a directory."
 msgstr ""
 
-#: src/session/download.c:596
+#: src/session/download.c:622
 msgid "File exists"
 msgstr "Il file esiste"
 
-#: src/session/download.c:597
+#: src/session/download.c:623
 #, c-format
 msgid ""
 "This file already exists:\n"
@@ -8362,54 +8445,54 @@ msgstr ""
 "%s"
 
 #. accelerator_context(src/session/download.c:lookup_unique_name)
-#: src/session/download.c:604
+#: src/session/download.c:630
 #, fuzzy
 msgid "Sa~ve under the alternative name"
 msgstr "Salva con un nome alternativo"
 
 #. accelerator_context(src/session/download.c:lookup_unique_name)
-#: src/session/download.c:605
+#: src/session/download.c:631
 #, fuzzy
 msgid "~Overwrite the original file"
 msgstr "Sovrascrivi il file originale"
 
 #. accelerator_context(src/session/download.c:lookup_unique_name)
-#: src/session/download.c:606
+#: src/session/download.c:632
 #, fuzzy
 msgid "~Resume download of the original file"
 msgstr "Riprendi download del file originale"
 
-#: src/session/download.c:1109
+#: src/session/download.c:1135
 msgid "Unknown type"
 msgstr "Tipo sconosciuto"
 
-#: src/session/download.c:1134
+#: src/session/download.c:1160
 #, fuzzy, c-format
 msgid "What would you like to do with the file '%s' (type: %s%s%s)?"
 msgstr "Vuoi mostrare il file '%s' (tipo: %s)?"
 
-#: src/session/download.c:1137
+#: src/session/download.c:1163
 #, fuzzy, c-format
 msgid "What would you like to do with the file (type: %s%s%s)?"
 msgstr "Vuoi mostrare il file '%s' (tipo: %s)?"
 
-#: src/session/download.c:1165
+#: src/session/download.c:1191
 #, no-c-format
 msgid "Program ('%' will be replaced by the filename)"
 msgstr ""
 
-#: src/session/download.c:1169
+#: src/session/download.c:1195
 #, fuzzy
 msgid "Block the terminal"
 msgstr "Blocca terminale"
 
-#: src/session/download.c:1175
+#: src/session/download.c:1201
 #, c-format
 msgid "The file will be opened with the program '%s'."
 msgstr ""
 
 #. accelerator_context(src/session/download.c:do_type_query)
-#: src/session/download.c:1196
+#: src/session/download.c:1222
 #, fuzzy
 msgid "~Open"
 msgstr "Apri"
@@ -8418,12 +8501,12 @@ msgstr "Apri"
 #. * and formatting it with "%u" is safe,
 #. * because fc_maxlength is smaller than
 #. * file.length, which is an int.
-#: src/session/session.c:761 src/session/session.c:780 src/session/task.c:275
-#: src/viewer/text/textarea.c:652
+#: src/session/session.c:771 src/session/session.c:790 src/session/task.c:275
+#: src/viewer/text/textarea.c:641
 msgid "Warning"
 msgstr "Attenzione"
 
-#: src/session/session.c:762
+#: src/session/session.c:772
 #, fuzzy
 msgid ""
 "You have an empty string in protocol.http.user_agent - this was a default "
@@ -8443,7 +8526,7 @@ msgstr ""
 "questo modo l'impostazione predefinita corretta sar usata. Le mie scuse per "
 "qualsiasi inconveniente causato."
 
-#: src/session/session.c:781
+#: src/session/session.c:791
 #, fuzzy
 msgid ""
 "You have option config.saving_style set to a de facto obsolete value. The "
@@ -8466,11 +8549,11 @@ msgstr ""
 "saving_style a 3 in modo da ottenere il \"giusto\" comportamento. Le mie "
 "scuse per qualsiasi inconveniente causato."
 
-#: src/session/session.c:806
+#: src/session/session.c:816
 msgid "Welcome"
 msgstr "Benvenuto"
 
-#: src/session/session.c:807
+#: src/session/session.c:817
 msgid ""
 "Welcome to ELinks!\n"
 "\n"
@@ -8521,22 +8604,22 @@ msgstr "Dimensione del terminale errata:
 msgid "Warning: terminal name contains illicit chars."
 msgstr "Attenzione: il nome del terminale contiene caratteri illeciti."
 
-#: src/terminal/event.c:259
+#: src/terminal/event.c:258
 #, fuzzy, c-format
 msgid "Failed to create session."
 msgstr "Ripristina sessione automaticamente"
 
-#: src/terminal/event.c:446
+#: src/terminal/event.c:443
 #, c-format
 msgid "Bad event %d"
 msgstr "Evento %d errato"
 
-#: src/terminal/event.c:486
+#: src/terminal/event.c:483
 #, c-format
 msgid "Could not read event: %d (%s)"
 msgstr "Impossibile leggere l'evento: %d (%s)"
 
-#: src/terminal/kbd.c:1187
+#: src/terminal/kbd.c:1210
 #, c-format
 msgid "Too many bytes read from the itrm!"
 msgstr "Troppi byte letti da itrm!"
@@ -8608,206 +8691,206 @@ msgstr "Cornice menu"
 msgid "The requested fragment \"%s\" doesn't exist."
 msgstr ""
 
-#: src/viewer/text/form.c:1092
+#: src/viewer/text/form.c:1118
 msgid "Error while posting form"
 msgstr "Errore durante l'invio dei dati"
 
-#: src/viewer/text/form.c:1093
+#: src/viewer/text/form.c:1119
 #, fuzzy, c-format
 msgid "Could not load file %s: %s"
 msgstr "Impossibile ottenere il file %s: %s"
 
-#: src/viewer/text/form.c:1847
+#: src/viewer/text/form.c:1876
 msgid "Reset form"
 msgstr "Cancella form"
 
-#: src/viewer/text/form.c:1849
+#: src/viewer/text/form.c:1878
 #, fuzzy
 msgid "Harmless button"
 msgstr "Bottone selezionato"
 
-#: src/viewer/text/form.c:1857
+#: src/viewer/text/form.c:1886
 msgid "Submit form to"
 msgstr "Sottometti form a"
 
-#: src/viewer/text/form.c:1858
+#: src/viewer/text/form.c:1887
 msgid "Post form to"
 msgstr "Invia form a"
 
-#: src/viewer/text/form.c:1860
+#: src/viewer/text/form.c:1889
 msgid "Radio button"
 msgstr "Radio button"
 
-#: src/viewer/text/form.c:1864
+#: src/viewer/text/form.c:1893
 msgid "Select field"
 msgstr "Campo selezionato"
 
-#: src/viewer/text/form.c:1868
+#: src/viewer/text/form.c:1897
 msgid "Text area"
 msgstr "Area testo"
 
-#: src/viewer/text/form.c:1870
+#: src/viewer/text/form.c:1899
 msgid "File upload"
 msgstr "Upload file"
 
-#: src/viewer/text/form.c:1872
+#: src/viewer/text/form.c:1901
 msgid "Password field"
 msgstr "Campo password"
 
-#: src/viewer/text/form.c:1910
+#: src/viewer/text/form.c:1939
 msgid "name"
 msgstr "nome"
 
-#: src/viewer/text/form.c:1922
+#: src/viewer/text/form.c:1951
 msgid "value"
 msgstr "valore"
 
-#: src/viewer/text/form.c:1935
+#: src/viewer/text/form.c:1964
 msgid "read only"
 msgstr "sola lettura"
 
-#: src/viewer/text/form.c:1946
+#: src/viewer/text/form.c:1975
 #, c-format
 msgid "press %s to navigate"
 msgstr "premere %s per la navigazione"
 
-#: src/viewer/text/form.c:1948
+#: src/viewer/text/form.c:1977
 #, c-format
 msgid "press %s to edit"
 msgstr "premere %s per modificare"
 
-#: src/viewer/text/form.c:1984
+#: src/viewer/text/form.c:2013
 #, fuzzy, c-format
 msgid "press %s to submit to %s"
 msgstr "sottometti a"
 
-#: src/viewer/text/form.c:1986
+#: src/viewer/text/form.c:2015
 #, fuzzy, c-format
 msgid "press %s to post to %s"
 msgstr "sottometti a"
 
-#: src/viewer/text/form.c:2088
+#: src/viewer/text/form.c:2117
 #, fuzzy
 msgid "Useless button"
 msgstr "Bottone selezionato"
 
-#: src/viewer/text/form.c:2090
+#: src/viewer/text/form.c:2119
 #, fuzzy
 msgid "Submit button"
 msgstr "Sottometti form a"
 
 #. accelerator_context(link_menu.map)
-#: src/viewer/text/link.c:1281
+#: src/viewer/text/link.c:1280
 msgid "Display ~usemap"
 msgstr "Visualizza ~usemap"
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1286
+#: src/viewer/text/link.c:1285
 msgid "~Follow link"
 msgstr "Segui collegamento"
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1288
+#: src/viewer/text/link.c:1287
 msgid "Follow link and r~eload"
 msgstr "Segui collegamento ~e ricarica"
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1292
+#: src/viewer/text/link.c:1291
 msgid "Open in new ~window"
 msgstr "Apri in una nuova finestra"
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1294
+#: src/viewer/text/link.c:1293
 msgid "Open in new ~tab"
 msgstr "Apri in una nuova ~scheda"
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1296
+#: src/viewer/text/link.c:1295
 msgid "Open in new tab in ~background"
 msgstr "Apri in una nuova scheda in ~background"
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1301
+#: src/viewer/text/link.c:1300
 msgid "~Download link"
 msgstr "Scarica collegamento "
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1304
+#: src/viewer/text/link.c:1303
 msgid "~Add link to bookmarks"
 msgstr "~Aggiungi collegamento ai segnalibri"
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1308
+#: src/viewer/text/link.c:1307
 msgid "Pass link URI to e~xternal command"
 msgstr ""
 
 #. accelerator_context(link_menu.form, link_menu.reset, link_menu.textarea)
-#: src/viewer/text/link.c:1319 src/viewer/text/link.c:1359
+#: src/viewer/text/link.c:1318 src/viewer/text/link.c:1358
 msgid "~Reset form"
 msgstr "~Cancella fo~rm"
 
 #. accelerator_context(link_menu.textarea)
-#: src/viewer/text/link.c:1334
+#: src/viewer/text/link.c:1333
 msgid "Open in ~external editor"
 msgstr "Apri con editor ~esterno"
 
 #. accelerator_context(link_menu.form, link_menu.textarea)
-#: src/viewer/text/link.c:1342
+#: src/viewer/text/link.c:1341
 msgid "~Submit form"
 msgstr "Invia form"
 
 #. accelerator_context(link_menu.form, link_menu.textarea)
-#: src/viewer/text/link.c:1343
+#: src/viewer/text/link.c:1342
 msgid "Submit form and rel~oad"
 msgstr "Invia form e ricarica"
 
 #. accelerator_context(link_menu.form, link_menu.textarea)
-#: src/viewer/text/link.c:1347
+#: src/viewer/text/link.c:1346
 msgid "Submit form and open in new ~window"
 msgstr "Invia form e apri in una nuova finestra"
 
 #. accelerator_context(link_menu.form, link_menu.textarea)
-#: src/viewer/text/link.c:1349
+#: src/viewer/text/link.c:1348
 #, fuzzy
 msgid "Submit form and open in new ~tab"
 msgstr "Invia form e apri in una nuova finestra"
 
 #. accelerator_context(link_menu.form, link_menu.textarea)
-#: src/viewer/text/link.c:1352
+#: src/viewer/text/link.c:1351
 #, fuzzy
 msgid "Submit form and open in new tab in ~background"
 msgstr "Invia form e apri in una nuova finestra"
 
 #. accelerator_context(link_menu.form, link_menu.textarea)
-#: src/viewer/text/link.c:1357
+#: src/viewer/text/link.c:1356
 msgid "Submit form and ~download"
 msgstr "Invia form e scarica"
 
 #. accelerator_context(link_menu.form, link_menu.reset, link_menu.textarea)
-#: src/viewer/text/link.c:1364
+#: src/viewer/text/link.c:1363
 #, fuzzy
 msgid "Form f~ields"
 msgstr "Campo password"
 
 #. accelerator_context(link_menu.form, link_menu.map, link_menu.std)
-#: src/viewer/text/link.c:1371
+#: src/viewer/text/link.c:1370
 msgid "V~iew image"
 msgstr "V~isualizza immagine"
 
 #. accelerator_context(link_menu.form, link_menu.map, link_menu.std)
-#: src/viewer/text/link.c:1373
+#: src/viewer/text/link.c:1372
 msgid "Download ima~ge"
 msgstr "Scarica imma~gine"
 
-#: src/viewer/text/link.c:1382
+#: src/viewer/text/link.c:1381
 msgid "No link selected"
 msgstr "Nessun collegamento selezionato"
 
-#: src/viewer/text/link.c:1452
+#: src/viewer/text/link.c:1451
 msgid "Image"
 msgstr "Immagine"
 
-#: src/viewer/text/link.c:1457
+#: src/viewer/text/link.c:1456
 msgid "Usemap"
 msgstr "Usemap"
 
@@ -8816,86 +8899,86 @@ msgstr "Usemap"
 msgid "Marks"
 msgstr ""
 
-#: src/viewer/text/search.c:1083
+#: src/viewer/text/search.c:1099
 msgid "Search hit top, continuing at bottom."
 msgstr "La ricerca  arrivata all'inizio, continuo alla fine."
 
-#: src/viewer/text/search.c:1084
+#: src/viewer/text/search.c:1100
 msgid "Search hit bottom, continuing at top."
 msgstr "La ricerca  arrivata alla fine, continuo dall'inizio."
 
-#: src/viewer/text/search.c:1087
+#: src/viewer/text/search.c:1103
 msgid "No previous search"
 msgstr "Nessuna ricerca precedente"
 
-#: src/viewer/text/search.c:1099
+#: src/viewer/text/search.c:1115
 #, fuzzy, c-format
 msgid "Could not compile regular expression '%s'"
 msgstr "Espressioni regolari"
 
-#: src/viewer/text/search.c:1143
+#: src/viewer/text/search.c:1159
 #, c-format
 msgid "No further matches for '%s'."
 msgstr ""
 
-#: src/viewer/text/search.c:1145
+#: src/viewer/text/search.c:1161
 #, c-format
 msgid "Could not find a link with the text '%s'."
 msgstr "Impossibile trovare un collegamento con il testo '%s'."
 
-#: src/viewer/text/search.c:1147 src/viewer/text/search.c:1558
+#: src/viewer/text/search.c:1163 src/viewer/text/search.c:1576
 msgid "Typeahead"
 msgstr "Trova mentre scrivi"
 
-#: src/viewer/text/search.c:1560
+#: src/viewer/text/search.c:1578
 #, c-format
 msgid "No links in current document"
 msgstr "Nessun collegamento nel documento corrente"
 
-#: src/viewer/text/search.c:1643
+#: src/viewer/text/search.c:1661
 msgid "Search for text"
 msgstr "Cerca testo"
 
-#: src/viewer/text/search.c:1679
+#: src/viewer/text/search.c:1697
 msgid "Normal search"
 msgstr "Ricerca normale"
 
-#: src/viewer/text/search.c:1680
+#: src/viewer/text/search.c:1698
 msgid "Regexp search"
 msgstr "Espressione regolare"
 
-#: src/viewer/text/search.c:1681
+#: src/viewer/text/search.c:1699
 msgid "Extended regexp search"
 msgstr "Espressione regolare estesa"
 
-#: src/viewer/text/search.c:1683
+#: src/viewer/text/search.c:1701
 msgid "Case sensitive"
 msgstr "Considera minuscole/maiuscole"
 
-#: src/viewer/text/search.c:1684
+#: src/viewer/text/search.c:1702
 msgid "Case insensitive"
 msgstr "Non considerare minuscole/maiuscole"
 
-#: src/viewer/text/search.c:1708
+#: src/viewer/text/search.c:1726
 msgid "Search backward"
 msgstr "Cerca indietro"
 
 #. name:
-#: src/viewer/text/search.c:1747
+#: src/viewer/text/search.c:1765
 #, fuzzy
 msgid "Search History"
 msgstr "Ricerca nella cronologia"
 
-#: src/viewer/text/textarea.c:595
+#: src/viewer/text/textarea.c:584
 msgid "You cannot launch an external editor in the anonymous mode."
 msgstr ""
 "Impossibile lanciare un editor esterno quando si  in modalit anonima."
 
-#: src/viewer/text/textarea.c:602
+#: src/viewer/text/textarea.c:591
 msgid "You can do this only on the master terminal"
 msgstr "Questo  possibile solo sul terminale principale"
 
-#: src/viewer/text/textarea.c:655
+#: src/viewer/text/textarea.c:644
 #, c-format
 msgid ""
 "You have exceeded the textarea's size limit: your input is %d bytes, but the "
@@ -8913,11 +8996,11 @@ msgstr "Vai al collegamento"
 msgid "Enter link number"
 msgstr "Inserisci il numero del collegamento"
 
-#: src/viewer/text/view.c:1627
+#: src/viewer/text/view.c:1628
 msgid "Save error"
 msgstr "Errore salvataggio"
 
-#: src/viewer/text/view.c:1628
+#: src/viewer/text/view.c:1629
 msgid "Error writing to file"
 msgstr "Errore scrittura del file"
 
@@ -8933,13 +9016,6 @@ msgstr "Titolo"
 msgid "Viewer"
 msgstr "~Visualizza"
 
-#~ msgid ""
-#~ "Verify the peer's SSL certificate. Note that this\n"
-#~ "probably doesn't work properly at all with GnuTLS."
-#~ msgstr ""
-#~ "Verifica il certificato SSL del peer. Si noti che\n"
-#~ "questo probabilmente non funziona con GnuTLS."
-
 #~ msgid "Delete text from clipboard"
 #~ msgstr "Elimina testo dalla clipboard"
 
Binary files 0.12~pre2.dfsg0-1/po/lt.gmo and 0.12~pre4-1/po/lt.gmo differ
diff -pruN 0.12~pre2.dfsg0-1/po/lt.po 0.12~pre4-1/po/lt.po
--- 0.12~pre2.dfsg0-1/po/lt.po	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/po/lt.po	2009-05-31 09:48:47.000000000 +0100
@@ -8,7 +8,7 @@ msgid ""
 msgstr ""
 "Project-Id-Version: ELinks 0.5pre0.CVS\n"
 "Report-Msgid-Bugs-To: elinks-users@linuxfromscratch.org\n"
-"POT-Creation-Date: 2008-09-21 11:13+0300\n"
+"POT-Creation-Date: 2009-05-31 01:57+0300\n"
 "PO-Revision-Date: 2003-01-03 03:41+0100\n"
 "Last-Translator: Aurimas Mikalauskas <inner@dammit.lt>\n"
 "Language-Team: Lithuanian <komp_lt@konferencijos.lt>\n"
@@ -39,7 +39,7 @@ msgstr ""
 #: src/mime/dialogs.c:132 src/protocol/auth/dialogs.c:115
 #: src/protocol/protocol.c:246 src/scripting/lua/core.c:399
 #: src/scripting/lua/core.c:480 src/scripting/python/dialogs.c:86
-#: src/session/session.c:811 src/viewer/text/search.c:1686
+#: src/session/session.c:821 src/viewer/text/search.c:1704
 #, fuzzy
 msgid "~OK"
 msgstr "Gerai"
@@ -57,13 +57,13 @@ msgid "Sorry, but the item \"%s\" is bei
 msgstr ""
 
 #. cant_delete_folder
-#: src/bfu/hierbox.c:558 src/bookmarks/dialogs.c:121
+#: src/bfu/hierbox.c:558 src/bookmarks/dialogs.c:153
 #, c-format
 msgid "Sorry, but the folder \"%s\" cannot be deleted."
 msgstr ""
 
 #. cant_delete_used_folder
-#: src/bfu/hierbox.c:561 src/bookmarks/dialogs.c:123
+#: src/bfu/hierbox.c:561 src/bookmarks/dialogs.c:155
 #, c-format
 msgid "Sorry, but the folder \"%s\" is being used by something else."
 msgstr ""
@@ -81,7 +81,7 @@ msgid "Delete marked items?"
 msgstr "Paymti lauk"
 
 #. delete_folder_title
-#: src/bfu/hierbox.c:570 src/bookmarks/dialogs.c:129
+#: src/bfu/hierbox.c:570 src/bookmarks/dialogs.c:161
 #, fuzzy
 msgid "Delete folder"
 msgstr "Itrinti lankomiausi"
@@ -141,13 +141,13 @@ msgstr "Taip"
 msgid "~No"
 msgstr "Ne"
 
-#: src/bfu/hierbox.c:945 src/bfu/hierbox.c:976 src/viewer/text/search.c:1090
-#: src/viewer/text/search.c:1098 src/viewer/text/search.c:1114
-#: src/viewer/text/search.c:1705
+#: src/bfu/hierbox.c:945 src/bfu/hierbox.c:976 src/viewer/text/search.c:1106
+#: src/viewer/text/search.c:1114 src/viewer/text/search.c:1130
+#: src/viewer/text/search.c:1723
 msgid "Search"
 msgstr "Paieka"
 
-#: src/bfu/hierbox.c:947 src/viewer/text/search.c:1091
+#: src/bfu/hierbox.c:947 src/viewer/text/search.c:1107
 #, fuzzy, c-format
 msgid "Search string '%s' not found"
 msgstr "Paiekos eiut nerasta"
@@ -186,8 +186,8 @@ msgstr "Eilut negali bti tuia"
 #: src/dialogs/options.c:237 src/dialogs/options.c:316 src/mime/dialogs.c:133
 #: src/protocol/auth/dialogs.c:116 src/protocol/bittorrent/dialogs.c:814
 #: src/scripting/lua/core.c:400 src/scripting/lua/core.c:481
-#: src/session/download.c:607 src/session/download.c:1219
-#: src/viewer/text/search.c:1687
+#: src/session/download.c:633 src/session/download.c:1245
+#: src/viewer/text/search.c:1705
 #, fuzzy
 msgid "~Cancel"
 msgstr "Ataukti"
@@ -201,8 +201,8 @@ msgstr "urakintas"
 msgid "Digital clock in the status bar."
 msgstr ""
 
-#: src/bfu/leds.c:77 src/bfu/leds.c:94 src/config/options.inc:1199
-#: src/config/options.inc:1206 src/ecmascript/ecmascript.c:45
+#: src/bfu/leds.c:77 src/bfu/leds.c:94 src/config/options.inc:1272
+#: src/config/options.inc:1279 src/ecmascript/ecmascript.c:45
 #: src/globhist/globhist.c:64 src/mime/backend/mailcap.c:93
 #: src/mime/backend/mimetypes.c:52 src/network/ssl/ssl.c:81
 #, fuzzy
@@ -220,8 +220,7 @@ msgstr "Nusisti fail"
 
 #: src/bfu/leds.c:83
 msgid ""
-"Format string for the digital clock. See the strftime(3)\n"
-"manpage for details."
+"Format string for the digital clock. See the strftime(3) manpage for details."
 msgstr ""
 
 #: src/bfu/leds.c:90
@@ -234,8 +233,7 @@ msgstr ""
 
 #: src/bfu/leds.c:96
 msgid ""
-"Enable LEDs.\n"
-"These visual indicators will inform you about various states."
+"Enable LEDs. These visual indicators will inform you about various states."
 msgstr ""
 
 #. name:
@@ -265,34 +263,34 @@ msgstr ""
 msgid "Search menu/"
 msgstr "Paieka"
 
-#: src/bookmarks/backend/xbel.c:97
+#: src/bookmarks/backend/xbel.c:105
 #, c-format
 msgid "read_bookmarks_xbel(): Error in XML_ParserCreate()"
 msgstr ""
 
-#: src/bookmarks/backend/xbel.c:108
+#: src/bookmarks/backend/xbel.c:116
 #, c-format
 msgid "read_bookmarks_xbel(): Error reading %s"
 msgstr ""
 
-#: src/bookmarks/backend/xbel.c:116
+#: src/bookmarks/backend/xbel.c:124
 #, c-format
 msgid ""
 "Parse error while processing XBEL bookmarks in %s at line %d column %d:\n"
 "%s"
 msgstr ""
 
-#: src/bookmarks/backend/xbel.c:390 src/bookmarks/backend/xbel.c:411
+#: src/bookmarks/backend/xbel.c:388 src/bookmarks/backend/xbel.c:410
 msgid "No title"
 msgstr ""
 
-#: src/bookmarks/backend/xbel.c:396
+#: src/bookmarks/backend/xbel.c:394
 #, fuzzy
 msgid "No URL"
 msgstr "Eiti  puslap.."
 
 #. name:
-#: src/bookmarks/bookmarks.c:48 src/bookmarks/bookmarks.c:181
+#: src/bookmarks/bookmarks.c:48 src/bookmarks/bookmarks.c:183
 #, fuzzy
 msgid "Bookmarks"
 msgstr "Lankomiau~si"
@@ -302,7 +300,7 @@ msgstr "Lankomiau~si"
 msgid "Bookmark options."
 msgstr "Lankomiau~si"
 
-#: src/bookmarks/bookmarks.c:53 src/bookmarks/bookmarks.c:59
+#: src/bookmarks/bookmarks.c:53 src/bookmarks/bookmarks.c:60
 #, fuzzy
 msgid "File format"
 msgstr "Nusisti fail"
@@ -311,51 +309,47 @@ msgstr "Nusisti fail"
 msgid ""
 "File format for bookmarks (affects both reading and saving):\n"
 "0 is the default native ELinks format\n"
-"1 is XBEL universal XML bookmarks format (ELinks bug 153: NO NATIONAL CHARS "
-"SUPPORT!)"
+"1 is XBEL universal XML bookmarks format"
 msgstr ""
 
-#: src/bookmarks/bookmarks.c:61
+#: src/bookmarks/bookmarks.c:62
 msgid ""
 "File format for bookmarks (affects both reading and saving):\n"
 "0 is the default native ELinks format\n"
-"1 is XBEL universal XML bookmarks format (ELinks bug 153: NO NATIONAL CHARS "
-"SUPPORT!)  (DISABLED)"
+"1 is XBEL universal XML bookmarks format  (DISABLED)"
 msgstr ""
 
-#: src/bookmarks/bookmarks.c:67
+#: src/bookmarks/bookmarks.c:68
 #, fuzzy
 msgid "Save folder state"
 msgstr "vesk nuorodos numer"
 
-#: src/bookmarks/bookmarks.c:69
+#: src/bookmarks/bookmarks.c:70
 msgid ""
-"When saving bookmarks also store whether folders are\n"
-"expanded or not, so the look of the bookmark dialog is\n"
-"kept across ELinks sessions. If disabled all folders will\n"
-"appear unexpanded next time ELinks is run."
+"When saving bookmarks also store whether folders are expanded or not, so the "
+"look of the bookmark dialog is kept across ELinks sessions. If disabled all "
+"folders will appear unexpanded next time ELinks is run."
 msgstr ""
 
-#: src/bookmarks/bookmarks.c:74
+#: src/bookmarks/bookmarks.c:75
 msgid "Periodic snapshotting"
 msgstr ""
 
-#: src/bookmarks/bookmarks.c:76
+#: src/bookmarks/bookmarks.c:77
 msgid ""
-"Automatically save a snapshot of all tabs periodically.\n"
-"This will periodically bookmark the tabs of each terminal in a separate "
-"folder\n"
-"for recovery after a crash.\n"
+"Automatically save a snapshot of all tabs periodically. This will "
+"periodically bookmark the tabs of each terminal in a separate folder for "
+"recovery after a crash.\n"
 "\n"
 "This feature requires bookmark support."
 msgstr ""
 
-#: src/bookmarks/dialogs.c:72 src/config/options.inc:1051
+#: src/bookmarks/dialogs.c:97 src/config/options.inc:1120
 #: src/dialogs/document.c:145 src/globhist/dialogs.c:65
 msgid "Title"
 msgstr ""
 
-#: src/bookmarks/dialogs.c:73 src/cache/dialogs.c:65
+#: src/bookmarks/dialogs.c:101 src/cache/dialogs.c:65
 #: src/dialogs/document.c:136 src/dialogs/edit.c:96 src/formhist/dialogs.c:63
 #: src/globhist/dialogs.c:66 src/protocol/auth/dialogs.c:163
 #: src/scripting/lua/core.c:397
@@ -363,86 +357,86 @@ msgid "URL"
 msgstr "adresas"
 
 #. cant_delete_item
-#: src/bookmarks/dialogs.c:117
+#: src/bookmarks/dialogs.c:149
 #, c-format
 msgid "Sorry, but the bookmark \"%s\" cannot be deleted."
 msgstr ""
 
 #. cant_delete_used_item
-#: src/bookmarks/dialogs.c:119
+#: src/bookmarks/dialogs.c:151
 #, c-format
 msgid "Sorry, but the bookmark \"%s\" is being used by something else."
 msgstr ""
 
 #. delete_marked_items_title
-#: src/bookmarks/dialogs.c:125
+#: src/bookmarks/dialogs.c:157
 #, fuzzy
 msgid "Delete marked bookmarks"
 msgstr "Paymti lauk"
 
 #. delete_marked_items
-#: src/bookmarks/dialogs.c:127
+#: src/bookmarks/dialogs.c:159
 #, fuzzy
 msgid "Delete marked bookmarks?"
 msgstr "Paymti lauk"
 
 #. delete_folder
-#: src/bookmarks/dialogs.c:131
+#: src/bookmarks/dialogs.c:163
 #, fuzzy, c-format
 msgid "Delete the folder \"%s\" and all bookmarks in it?"
 msgstr "Itrinti pltin"
 
 #. delete_item_title
-#: src/bookmarks/dialogs.c:133
+#: src/bookmarks/dialogs.c:165
 #, fuzzy
 msgid "Delete bookmark"
 msgstr "Koreguoti lankomiausi"
 
-#: src/bookmarks/dialogs.c:135
+#: src/bookmarks/dialogs.c:167
 #, c-format
 msgid "Delete this bookmark?"
 msgstr ""
 
 #. clear_all_items_title
-#: src/bookmarks/dialogs.c:137
+#: src/bookmarks/dialogs.c:169
 #, fuzzy
 msgid "Clear all bookmarks"
 msgstr "Lankomiau~si"
 
 #. clear_all_items_title
-#: src/bookmarks/dialogs.c:139
+#: src/bookmarks/dialogs.c:171
 #, fuzzy
 msgid "Do you really want to remove all bookmarks?"
 msgstr "Ar tikrai nori palikti Links?"
 
-#: src/bookmarks/dialogs.c:254
+#: src/bookmarks/dialogs.c:327
 msgid "Add folder"
 msgstr ""
 
-#: src/bookmarks/dialogs.c:254
+#: src/bookmarks/dialogs.c:327
 msgid "Folder name"
 msgstr ""
 
-#: src/bookmarks/dialogs.c:310 src/scripting/lua/core.c:391
+#: src/bookmarks/dialogs.c:410 src/scripting/lua/core.c:391
 msgid "Edit bookmark"
 msgstr "Koreguoti lankomiausi"
 
-#: src/bookmarks/dialogs.c:461
+#: src/bookmarks/dialogs.c:567
 msgid "Cannot move folder inside itself"
 msgstr ""
 
-#: src/bookmarks/dialogs.c:462
+#: src/bookmarks/dialogs.c:568
 msgid ""
 "You are trying to move the marked folder inside itself. To move the folder "
 "to a different location select the new location before pressing the Move "
 "button."
 msgstr ""
 
-#: src/bookmarks/dialogs.c:468
+#: src/bookmarks/dialogs.c:574
 msgid "Nothing to move"
 msgstr ""
 
-#: src/bookmarks/dialogs.c:469
+#: src/bookmarks/dialogs.c:575
 msgid ""
 "To move bookmarks, first mark all the bookmarks (or folders) you want to "
 "move.  This can be done with the Insert key if you're using the default key-"
@@ -451,21 +445,21 @@ msgid ""
 msgstr ""
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons, src/cache/dialogs.c:cache_buttons, src/globhist/dialogs.c:globhist_buttons, src/protocol/auth/dialogs.c:auth_buttons)
-#: src/bookmarks/dialogs.c:487 src/cache/dialogs.c:230
+#: src/bookmarks/dialogs.c:593 src/cache/dialogs.c:230
 #: src/globhist/dialogs.c:224 src/protocol/auth/dialogs.c:261
 #, fuzzy
 msgid "~Goto"
 msgstr "Eiti "
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons, src/config/dialogs.c:option_buttons, src/cookies/dialogs.c:cookie_buttons)
-#: src/bookmarks/dialogs.c:488 src/config/dialogs.c:503
+#: src/bookmarks/dialogs.c:594 src/config/dialogs.c:503
 #: src/cookies/dialogs.c:492
 #, fuzzy
 msgid "~Edit"
 msgstr "Redaguoti"
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons, src/cache/dialogs.c:cache_buttons, src/config/dialogs.c:keybinding_buttons, src/config/dialogs.c:option_buttons, src/cookies/dialogs.c:cookie_buttons, src/dialogs/menu.c:ext_menu, src/formhist/dialogs.c:formhist_buttons, src/globhist/dialogs.c:globhist_buttons, src/protocol/auth/dialogs.c:auth_buttons)
-#: src/bookmarks/dialogs.c:489 src/cache/dialogs.c:231
+#: src/bookmarks/dialogs.c:595 src/cache/dialogs.c:231
 #: src/config/dialogs.c:505 src/config/dialogs.c:930 src/cookies/dialogs.c:493
 #: src/dialogs/menu.c:463 src/formhist/dialogs.c:211
 #: src/globhist/dialogs.c:229 src/protocol/auth/dialogs.c:263
@@ -473,28 +467,28 @@ msgid "~Delete"
 msgstr "Itrinti"
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons, src/config/dialogs.c:keybinding_buttons, src/config/dialogs.c:option_buttons, src/cookies/dialogs.c:cookie_buttons, src/dialogs/menu.c:ext_menu)
-#: src/bookmarks/dialogs.c:490 src/config/dialogs.c:504
+#: src/bookmarks/dialogs.c:596 src/config/dialogs.c:504
 #: src/config/dialogs.c:929 src/cookies/dialogs.c:490 src/dialogs/menu.c:461
 msgid "~Add"
 msgstr "dti"
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons)
-#: src/bookmarks/dialogs.c:491
+#: src/bookmarks/dialogs.c:597
 msgid "Add se~parator"
 msgstr ""
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons)
-#: src/bookmarks/dialogs.c:492
+#: src/bookmarks/dialogs.c:598
 msgid "Add ~folder"
 msgstr ""
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons)
-#: src/bookmarks/dialogs.c:493
+#: src/bookmarks/dialogs.c:599
 msgid "~Move"
 msgstr ""
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons, src/cache/dialogs.c:cache_buttons, src/config/dialogs.c:keybinding_buttons, src/config/dialogs.c:option_buttons, src/dialogs/menu.c:view_menu, src/globhist/dialogs.c:globhist_buttons)
-#: src/bookmarks/dialogs.c:494 src/cache/dialogs.c:232
+#: src/bookmarks/dialogs.c:600 src/cache/dialogs.c:232
 #: src/config/dialogs.c:506 src/config/dialogs.c:932 src/dialogs/menu.c:413
 #: src/globhist/dialogs.c:230
 msgid "~Search"
@@ -502,38 +496,52 @@ msgstr "Paieka"
 
 #. This one is too dangerous, so just let user delete
 #. * the bookmarks file if needed. --Zas
-#: src/bookmarks/dialogs.c:498
+#: src/bookmarks/dialogs.c:604
 msgid "Clear"
 msgstr ""
 
 #. TODO: Would this be useful? --jonas
-#: src/bookmarks/dialogs.c:501 src/globhist/dialogs.c:235
+#: src/bookmarks/dialogs.c:607 src/globhist/dialogs.c:235
 msgid "Save"
 msgstr "Isaugoti"
 
-#: src/bookmarks/dialogs.c:507
+#: src/bookmarks/dialogs.c:613
 msgid "Bookmark manager"
 msgstr "Lankomiausi vadybininkas"
 
-#: src/bookmarks/dialogs.c:632
+#: src/bookmarks/dialogs.c:825
 msgid "Search bookmarks"
 msgstr ""
 
-#: src/bookmarks/dialogs.c:661
+#. When the user eventually pushes the OK button, BFU calls
+#. * bookmark_add_add() and gives it the struct dialog * as the
+#. * void * parameter.  However, bookmark_add_add() also needs
+#. * to know the struct terminal *, and there is no way to get
+#. * that from struct dialog.  The other bookmark dialogs work
+#. * around that by making dialog.udata point to the struct
+#. * dialog_data of the bookmark manager, but the "Add bookmark"
+#. * dialog can be triggered with ACT_MAIN_ADD_BOOKMARK, which
+#. * does not involve the bookmark manager at all.
+#. *
+#. * The solution here is to save the struct terminal * in
+#. * dialog.udata2, which the "Edit bookmark" dialog uses for
+#. * struct bookmark *.  When adding a new bookmark, we don't
+#. * need a pointer to an existing one, of course.
+#: src/bookmarks/dialogs.c:892
 msgid "Add bookmark"
 msgstr "dti lankomiausi"
 
-#: src/bookmarks/dialogs.c:697
+#: src/bookmarks/dialogs.c:950
 #, fuzzy
 msgid "Saved session"
 msgstr "I~saugoti pakeitimus"
 
-#: src/bookmarks/dialogs.c:705
+#: src/bookmarks/dialogs.c:958
 #, fuzzy
 msgid "Bookmark tabs"
 msgstr "Lankomiau~si"
 
-#: src/bookmarks/dialogs.c:705
+#: src/bookmarks/dialogs.c:958
 #, fuzzy
 msgid "Enter folder name"
 msgstr "vesk nuorodos numer"
@@ -547,7 +555,7 @@ msgstr "Eiti  puslap.."
 msgid "Redirect"
 msgstr ""
 
-#: src/cache/dialogs.c:85 src/config/options.inc:519
+#: src/cache/dialogs.c:85 src/config/options.inc:553
 #: src/dialogs/document.c:156 src/protocol/bittorrent/dialogs.c:126
 msgid "Size"
 msgstr "Dydis"
@@ -594,7 +602,7 @@ msgstr ""
 msgid "ID"
 msgstr ""
 
-#: src/cache/dialogs.c:134 src/config/options.inc:669
+#: src/cache/dialogs.c:134 src/config/options.inc:707
 #, fuzzy
 msgid "Header"
 msgstr "Isaugojimo klaida"
@@ -1348,7 +1356,7 @@ msgstr "Hostas nerastas"
 msgid "Resolver error"
 msgstr "Isaugojimo klaida"
 
-#: src/config/cmdline.c:256 src/cookies/cookies.c:841 src/network/state.c:47
+#: src/config/cmdline.c:256 src/cookies/cookies.c:843 src/network/state.c:47
 #: src/util/secsave.c:379
 msgid "Out of memory"
 msgstr "Nebr atminties"
@@ -1370,290 +1378,291 @@ msgstr ""
 msgid "Remote method not supported"
 msgstr ""
 
-#: src/config/cmdline.c:452
+#: src/config/cmdline.c:437
+msgid "Out of memory formatting option documentation"
+msgstr ""
+
+#: src/config/cmdline.c:474
 msgid "Template option folder"
 msgstr ""
 
-#: src/config/cmdline.c:475
+#: src/config/cmdline.c:497
 #, c-format
 msgid "(default: %ld)"
 msgstr ""
 
-#: src/config/cmdline.c:482 src/config/cmdline.c:511
+#: src/config/cmdline.c:504 src/config/cmdline.c:533
 #, c-format
 msgid "(default: \"%s\")"
 msgstr ""
 
-#: src/config/cmdline.c:487
+#: src/config/cmdline.c:509
 #, c-format
 msgid "(alias for %s)"
 msgstr ""
 
-#: src/config/cmdline.c:492 src/config/cmdline.c:501
+#: src/config/cmdline.c:514 src/config/cmdline.c:523
 #, c-format
 msgid "(default: %s)"
 msgstr ""
 
-#: src/config/cmdline.c:642
+#: src/config/cmdline.c:654
 #, fuzzy
 msgid "Configuration options"
 msgstr "Prisijungimai"
 
-#: src/config/cmdline.c:646
+#: src/config/cmdline.c:658
 msgid "Usage: elinks [OPTION]... [URL]..."
 msgstr ""
 
-#: src/config/cmdline.c:647
+#: src/config/cmdline.c:659
 #, fuzzy
 msgid "Options"
 msgstr "I~saugoti pakeitimus"
 
-#: src/config/cmdline.c:689
+#: src/config/cmdline.c:701
 #, fuzzy
 msgid "Internal consistency error"
 msgstr "Vidin klaida"
 
 #.
-#: src/config/cmdline.c:725
+#: src/config/cmdline.c:737
 msgid "Restrict to anonymous mode"
 msgstr ""
 
-#: src/config/cmdline.c:727
+#: src/config/cmdline.c:739
 msgid ""
-"Restricts ELinks so it can run on an anonymous account.\n"
-"Local file browsing, downloads, and modification of options\n"
-"will be disabled. Execution of viewers is allowed, but entries\n"
-"in the association table can't be added or modified."
+"Restricts ELinks so it can run on an anonymous account. Local file browsing, "
+"downloads, and modification of options will be disabled. Execution of "
+"viewers is allowed, but entries in the association table can't be added or "
+"modified."
 msgstr ""
 
-#: src/config/cmdline.c:732
+#: src/config/cmdline.c:745
 #, fuzzy
 msgid "Autosubmit first form"
 msgstr "Patvirinti form"
 
-#: src/config/cmdline.c:734
+#: src/config/cmdline.c:747
 msgid "Automatically submit the first form in the given URLs."
 msgstr ""
 
-#: src/config/cmdline.c:736
+#: src/config/cmdline.c:749
 msgid "Clone internal session with given ID"
 msgstr ""
 
-#: src/config/cmdline.c:738
+#: src/config/cmdline.c:751
 msgid ""
-"Used internally when opening ELinks instances in new windows.\n"
-"The ID maps to information that will be used when creating the\n"
-"new instance. You don't want to use it."
+"Used internally when opening ELinks instances in new windows. The ID maps to "
+"information that will be used when creating the new instance. You don't want "
+"to use it."
 msgstr ""
 
-#: src/config/cmdline.c:744
+#: src/config/cmdline.c:757
 msgid "Name of directory with configuration file"
 msgstr ""
 
-#: src/config/cmdline.c:746
+#: src/config/cmdline.c:759
 msgid ""
-"Path of the directory ELinks will read and write its\n"
-"config and runtime state files to instead of ~/.elinks.\n"
-"If the path does not begin with a '/' it is assumed to be\n"
-"relative to your HOME directory."
+"Path of the directory ELinks will read and write its config and runtime "
+"state files to instead of ~/.elinks. If the path does not begin with a '/' "
+"it is assumed to be relative to your HOME directory."
 msgstr ""
 
-#: src/config/cmdline.c:751
+#: src/config/cmdline.c:764
 msgid "Print default configuration file to stdout"
 msgstr ""
 
-#: src/config/cmdline.c:753
+#: src/config/cmdline.c:766
 msgid ""
-"Print a configuration file with options set to the built-in\n"
-"defaults to stdout."
+"Print a configuration file with options set to the built-in defaults to "
+"stdout."
 msgstr ""
 
-#: src/config/cmdline.c:758
+#: src/config/cmdline.c:771
 msgid "Name of configuration file"
 msgstr ""
 
-#: src/config/cmdline.c:760
+#: src/config/cmdline.c:773
 msgid ""
-"Name of the configuration file that all configuration\n"
-"options will be read from and written to. It should be\n"
-"relative to config-dir."
+"Name of the configuration file that all configuration options will be read "
+"from and written to. It should be relative to config-dir."
 msgstr ""
 
-#: src/config/cmdline.c:764
+#: src/config/cmdline.c:777
 msgid "Print help for configuration options"
 msgstr ""
 
-#: src/config/cmdline.c:766
+#: src/config/cmdline.c:779
 msgid "Print help for configuration options and exit."
 msgstr ""
 
-#: src/config/cmdline.c:768
+#: src/config/cmdline.c:781
 msgid "MIME type assumed for unknown document types"
 msgstr ""
 
-#: src/config/cmdline.c:770
+#: src/config/cmdline.c:783
 msgid "The default MIME type used for documents of unknown type."
 msgstr ""
 
-#: src/config/cmdline.c:772
+#: src/config/cmdline.c:786
 msgid "Ignore user-defined keybindings"
 msgstr ""
 
-#: src/config/cmdline.c:774
+#: src/config/cmdline.c:788
 msgid ""
-"When set, all keybindings from configuration files will be\n"
-"ignored. It forces use of default keybindings and will reset\n"
-"user-defined ones on save."
+"When set, all keybindings from configuration files will be ignored. It "
+"forces use of default keybindings and will reset user-defined ones on save."
 msgstr ""
 
-#: src/config/cmdline.c:778
+#: src/config/cmdline.c:792
 msgid "Print formatted versions of given URLs to stdout"
 msgstr ""
 
-#: src/config/cmdline.c:780
+#: src/config/cmdline.c:794
 msgid "Print formatted plain-text versions of given URLs to stdout."
 msgstr ""
 
-#: src/config/cmdline.c:782
+#: src/config/cmdline.c:797
 msgid "Codepage to use with -dump"
 msgstr ""
 
-#: src/config/cmdline.c:784
+#: src/config/cmdline.c:799
 msgid "Codepage used when formatting dump output."
 msgstr ""
 
-#: src/config/cmdline.c:786
+#: src/config/cmdline.c:801
 msgid "Color mode used with -dump"
 msgstr ""
 
-#: src/config/cmdline.c:788
+#: src/config/cmdline.c:803
 msgid "Color mode used with -dump."
 msgstr ""
 
-#: src/config/cmdline.c:790
+#: src/config/cmdline.c:805
 msgid "Width of document formatted with -dump"
 msgstr ""
 
-#: src/config/cmdline.c:792
+#: src/config/cmdline.c:807
 msgid "Width of the dump output."
 msgstr ""
 
-#: src/config/cmdline.c:794
+#: src/config/cmdline.c:809
 msgid "Evaluate configuration file directive"
 msgstr ""
 
-#: src/config/cmdline.c:796
+#: src/config/cmdline.c:811
 msgid ""
-"Specify configuration file directives on the command-line\n"
-"which will be evaluated after all configuration files has been\n"
-"read. Example usage:\n"
+"Specify configuration file directives on the command-line which will be "
+"evaluated after all configuration files has been read. Example usage:\n"
 "\t-eval 'set protocol.file.allow_special_files = 1'"
 msgstr ""
 
 #. lynx compatibility
-#: src/config/cmdline.c:802
+#: src/config/cmdline.c:817
 msgid "Interpret documents of unknown types as HTML"
 msgstr ""
 
-#: src/config/cmdline.c:804
+#: src/config/cmdline.c:819
 msgid ""
-"Makes ELinks assume documents of unknown types are HTML.\n"
-"Useful when using ELinks as an external viewer from MUAs.\n"
-"This is equivalent to -default-mime-type text/html."
+"Makes ELinks assume documents of unknown types are HTML. Useful when using "
+"ELinks as an external viewer from MUAs. This is equivalent to -default-mime-"
+"type text/html."
 msgstr ""
 
-#: src/config/cmdline.c:814
+#: src/config/cmdline.c:829
 msgid "Print usage help and exit"
 msgstr ""
 
-#: src/config/cmdline.c:816
+#: src/config/cmdline.c:831
 msgid "Print usage help and exit."
 msgstr ""
 
-#: src/config/cmdline.c:818
+#: src/config/cmdline.c:833
 msgid "Only permit local connections"
 msgstr ""
 
-#: src/config/cmdline.c:820
+#: src/config/cmdline.c:835
 msgid ""
-"Restricts ELinks to work offline and only connect to servers\n"
-"with local addresses (ie. 127.0.0.1). No connections to remote\n"
-"servers will be permitted."
+"Restricts ELinks to work offline and only connect to servers with local "
+"addresses (ie. 127.0.0.1). No connections to remote servers will be "
+"permitted."
 msgstr ""
 
-#: src/config/cmdline.c:824
+#: src/config/cmdline.c:839
 msgid "Print detailed usage help and exit"
 msgstr ""
 
-#: src/config/cmdline.c:826
+#: src/config/cmdline.c:841
 msgid "Print detailed usage help and exit."
 msgstr ""
 
-#: src/config/cmdline.c:828
+#: src/config/cmdline.c:843
 #, fuzzy
 msgid "Look up specified host"
 msgstr "Nr programos"
 
-#: src/config/cmdline.c:830
+#: src/config/cmdline.c:845
 msgid "Look up specified host and print all DNS resolved IP addresses."
 msgstr ""
 
-#: src/config/cmdline.c:832
+#: src/config/cmdline.c:848
 msgid "Run as separate instance"
 msgstr ""
 
-#: src/config/cmdline.c:834
+#: src/config/cmdline.c:850
 msgid ""
-"Run ELinks as a separate instance instead of connecting to an\n"
-"existing instance. Note that normally no runtime state files\n"
-"(bookmarks, history, etc.) are written to the disk when this\n"
-"option is used. See also -touch-files."
+"Run ELinks as a separate instance instead of connecting to an existing "
+"instance. Note that normally no runtime state files (bookmarks, history, "
+"etc.) are written to the disk when this option is used. See also -touch-"
+"files."
 msgstr ""
 
-#: src/config/cmdline.c:839
+#: src/config/cmdline.c:855
 msgid "Disable use of files in ~/.elinks"
 msgstr ""
 
-#: src/config/cmdline.c:841
+#: src/config/cmdline.c:857
 msgid ""
-"Disables creation and use of files in the user specific home\n"
-"configuration directory (~/.elinks). It forces default configuration\n"
-"values to be used and disables saving of runtime state files."
+"Disables creation and use of files in the user specific home configuration "
+"directory (~/.elinks). It forces default configuration values to be used and "
+"disables saving of runtime state files."
 msgstr ""
 
-#: src/config/cmdline.c:845
+#: src/config/cmdline.c:862
 msgid "Disable link numbering in dump output"
 msgstr ""
 
-#: src/config/cmdline.c:847
+#: src/config/cmdline.c:864
 msgid ""
 "Prevents printing of link number in dump output.\n"
+"\n"
 "Note that this really affects only -dump, nothing else."
 msgstr ""
 
-#: src/config/cmdline.c:850
+#: src/config/cmdline.c:868
 msgid "Disable printing of link references in dump output"
 msgstr ""
 
-#: src/config/cmdline.c:852
+#: src/config/cmdline.c:870
 msgid ""
-"Prevents printing of references (URIs) of document links\n"
-"in dump output.\n"
+"Prevents printing of references (URIs) of document links in dump output.\n"
+"\n"
 "Note that this really affects only -dump, nothing else."
 msgstr ""
 
-#: src/config/cmdline.c:856
+#: src/config/cmdline.c:875
 msgid "Control an already running ELinks"
 msgstr ""
 
-#: src/config/cmdline.c:858
+#: src/config/cmdline.c:877
 msgid ""
-"Control a remote ELinks instance by passing commands to it.\n"
-"The option takes an additional argument containing the method\n"
-"which should be invoked and any parameters that should be passed\n"
-"to it. For ease of use, the additional method argument can be\n"
-"omitted in which case any URL arguments will be opened in new\n"
-"tabs in the remote instance.\n"
+"Control a remote ELinks instance by passing commands to it. The option takes "
+"an additional argument containing the method which should be invoked and any "
+"parameters that should be passed to it. For ease of use, the additional "
+"method argument can be omitted in which case any URL arguments will be "
+"opened in new tabs in the remote instance.\n"
+"\n"
 "Following is a list of the supported methods:\n"
 "\tping()                    : look for a remote instance\n"
 "\topenURL()                 : prompt URL in current tab\n"
@@ -1665,70 +1674,69 @@ msgid ""
 "\txfeDoCommand(openBrowser) : open new window"
 msgstr ""
 
-#: src/config/cmdline.c:874
+#: src/config/cmdline.c:895
 msgid "Connect to session ring with given ID"
 msgstr ""
 
-#: src/config/cmdline.c:876
+#: src/config/cmdline.c:897
 msgid ""
-"ID of session ring this ELinks session should connect to. ELinks\n"
-"works in so-called session rings, whereby all instances of ELinks\n"
-"are interconnected and share state (cache, bookmarks, cookies,\n"
-"and so on). By default, all ELinks instances connect to session\n"
-"ring 0. You can change that behaviour with this switch and form as\n"
-"many session rings as you want. Obviously, if the session-ring with\n"
-"this number doesn't exist yet, it's created and this ELinks instance\n"
-"will become the master instance (that usually doesn't matter for you\n"
-"as a user much). Note that you usually don't want to use this unless\n"
-"you're a developer and you want to do some testing - if you want the\n"
-"ELinks instances each running standalone, rather use the -no-connect\n"
-"command-line option. Also note that normally no runtime state files\n"
-"are written to the disk when this option is used. See also\n"
-"-touch-files."
+"ID of session ring this ELinks session should connect to. ELinks works in so-"
+"called session rings, whereby all instances of ELinks are interconnected and "
+"share state (cache, bookmarks, cookies, and so on). By default, all ELinks "
+"instances connect to session ring 0. You can change that behaviour with this "
+"switch and form as many session rings as you want. Obviously, if the session-"
+"ring with this number doesn't exist yet, it's created and this ELinks "
+"instance will become the master instance (that usually doesn't matter for "
+"you as a user much).\n"
+"\n"
+"Note that you usually don't want to use this unless you're a developer and "
+"you want to do some testing - if you want the ELinks instances each running "
+"standalone, rather use the -no-connect command-line option. Also note that "
+"normally no runtime state files are written to the disk when this option is "
+"used. See also -touch-files."
 msgstr ""
 
-#: src/config/cmdline.c:891
+#: src/config/cmdline.c:915
 msgid "Print the source of given URLs to stdout"
 msgstr ""
 
-#: src/config/cmdline.c:893
+#: src/config/cmdline.c:917
 msgid "Print given URLs in source form to stdout."
 msgstr ""
 
-#: src/config/cmdline.c:897
+#: src/config/cmdline.c:921
 msgid "Touch files in ~/.elinks when running with -no-connect/-session-ring"
 msgstr ""
 
-#: src/config/cmdline.c:899
+#: src/config/cmdline.c:923
 msgid ""
-"When enabled, runtime state files (bookmarks, history, etc.) are\n"
-"written to disk, even when -no-connect or -session-ring is used.\n"
-"The option has no effect if not used in conjunction with any of\n"
-"these options."
+"When enabled, runtime state files (bookmarks, history, etc.) are written to "
+"disk, even when -no-connect or -session-ring is used. The option has no "
+"effect if not used in conjunction with any of these options."
 msgstr ""
 
-#: src/config/cmdline.c:904
+#: src/config/cmdline.c:928
 msgid "Verbose level"
 msgstr ""
 
-#: src/config/cmdline.c:906
+#: src/config/cmdline.c:930
 msgid ""
-"The verbose level controls what messages are shown at\n"
-"start up and while running:\n"
+"The verbose level controls what messages are shown at start up and while "
+"running:\n"
 "\t0 means only show serious errors\n"
 "\t1 means show serious errors and warnings\n"
 "\t2 means show all messages"
 msgstr ""
 
-#: src/config/cmdline.c:912
+#: src/config/cmdline.c:936
 msgid "Print version information and exit"
 msgstr ""
 
-#: src/config/cmdline.c:914
+#: src/config/cmdline.c:938
 msgid "Print ELinks version information and exit."
 msgstr ""
 
-#: src/config/conf.c:938
+#: src/config/conf.c:963
 msgid ""
 "## This is ELinks configuration file. You can edit it manually,\n"
 "## if you wish so; this file is edited by ELinks when you save\n"
@@ -1736,7 +1744,7 @@ msgid ""
 "## and all your formatting, own comments etc will be kept as-is.\n"
 msgstr ""
 
-#: src/config/conf.c:946
+#: src/config/conf.c:971
 msgid ""
 "## This is ELinks configuration file. You can edit it manually,\n"
 "## if you wish so; this file is edited by ELinks when you save\n"
@@ -1747,7 +1755,7 @@ msgid ""
 "## own comments and so on will be kept as-is.\n"
 msgstr ""
 
-#: src/config/conf.c:956
+#: src/config/conf.c:981
 msgid ""
 "## This is ELinks configuration file. You can edit it manually,\n"
 "## if you wish so, but keep in mind that this file is overwritten\n"
@@ -1755,18 +1763,18 @@ msgid ""
 "## luck with your formatting and own comments then, so beware.\n"
 msgstr ""
 
-#: src/config/conf.c:967
+#: src/config/conf.c:992
 msgid ""
 "## Obviously, if you don't like what ELinks is going to do with\n"
 "## this file, you can change it by altering the config.saving_style\n"
 "## option. Come on, aren't we friendly guys after all?\n"
 msgstr ""
 
-#: src/config/conf.c:980
+#: src/config/conf.c:1005
 msgid "Automatically saved options\n"
 msgstr ""
 
-#: src/config/conf.c:992
+#: src/config/conf.c:1017
 msgid "Automatically saved keybindings\n"
 msgstr ""
 
@@ -1827,7 +1835,7 @@ msgstr ""
 #. * switch charsets.  So, it will work in any terminal that
 #. * understands UTF-8 and has the characters in its font.
 #: src/config/dialogs.c:149 src/config/dialogs.c:330
-#: src/config/options.inc:840
+#: src/config/options.inc:887
 msgid "Type"
 msgstr ""
 
@@ -1853,9 +1861,9 @@ msgid "Description"
 msgstr ""
 
 #: src/config/dialogs.c:291 src/protocol/bittorrent/dialogs.c:600
-#: src/protocol/protocol.c:240 src/session/session.c:287
-#: src/session/session.c:975 src/viewer/text/textarea.c:594
-#: src/viewer/text/textarea.c:601
+#: src/protocol/protocol.c:240 src/session/session.c:288
+#: src/session/session.c:999 src/viewer/text/textarea.c:583
+#: src/viewer/text/textarea.c:590
 msgid "Error"
 msgstr "Klaida"
 
@@ -1890,7 +1898,7 @@ msgstr ""
 #. accelerator_context(src/config/dialogs.c:keybinding_buttons, src/config/dialogs.c:option_buttons, src/cookies/dialogs.c:cookie_buttons, src/formhist/dialogs.c:formhist_buttons, src/protocol/bittorrent/dialogs.c:bittorrent_query_callback, src/session/download.c:do_type_query, terminal_options)
 #: src/config/dialogs.c:507 src/config/dialogs.c:933 src/cookies/dialogs.c:495
 #: src/dialogs/options.c:236 src/formhist/dialogs.c:214
-#: src/protocol/bittorrent/dialogs.c:801 src/session/download.c:1203
+#: src/protocol/bittorrent/dialogs.c:801 src/session/download.c:1229
 #, fuzzy
 msgid "Sa~ve"
 msgstr "Isaugoti"
@@ -1904,7 +1912,7 @@ msgstr "Lankomiausi vadybininkas"
 msgid "Keystroke"
 msgstr ""
 
-#: src/config/dialogs.c:676 src/config/options.inc:1219
+#: src/config/dialogs.c:676 src/config/options.inc:1292
 msgid "Action"
 msgstr ""
 
@@ -1976,32 +1984,32 @@ msgid ""
 "directory."
 msgstr ""
 
-#: src/config/kbdbind.c:221
+#: src/config/kbdbind.c:222
 msgid "Main mapping"
 msgstr ""
 
-#: src/config/kbdbind.c:222
+#: src/config/kbdbind.c:223
 msgid "Edit mapping"
 msgstr ""
 
-#: src/config/kbdbind.c:223
+#: src/config/kbdbind.c:224
 msgid "Menu mapping"
 msgstr ""
 
-#: src/config/kbdbind.c:588 src/scripting/python/keybinding.c:104
+#: src/config/kbdbind.c:589 src/scripting/python/keybinding.c:104
 msgid "Unrecognised keymap"
 msgstr ""
 
-#: src/config/kbdbind.c:591
+#: src/config/kbdbind.c:592
 #, fuzzy
 msgid "Error parsing keystroke"
 msgstr "Nesigauna rayti  soket'"
 
-#: src/config/kbdbind.c:595
+#: src/config/kbdbind.c:596
 msgid "Unrecognised action (internal error)"
 msgstr ""
 
-#: src/config/kbdbind.c:611
+#: src/config/kbdbind.c:612
 #, fuzzy
 msgid "Error registering event"
 msgstr "Nesigauna rayti  soket'"
@@ -2029,332 +2037,327 @@ msgid ""
 "3 is full comments are written"
 msgstr ""
 
-#: src/config/options.inc:31
+#: src/config/options.inc:32
 msgid "Indentation"
 msgstr ""
 
-#: src/config/options.inc:33
+#: src/config/options.inc:34
 msgid ""
-"Shift width of one indentation level in the configuration\n"
-"file. Zero means that no indentation is performed at all\n"
-"when saving the configuration."
+"Shift width of one indentation level in the configuration file. Zero means "
+"that no indentation is performed at all when saving the configuration."
 msgstr ""
 
-#: src/config/options.inc:37
+#: src/config/options.inc:38
 msgid "Saving style"
 msgstr ""
 
-#: src/config/options.inc:39
+#: src/config/options.inc:40
 msgid ""
 "Determines what happens when you tell ELinks to save options:\n"
 "0 is only values of current options are altered\n"
-"1 is values of current options are altered and missing options\n"
-"     are added at the end of the file\n"
+"1 is values of current options are altered and missing\n"
+"     options are added at the end of the file\n"
 "2 is the configuration file is rewritten from scratch\n"
-"3 is values of current options are altered and missing options\n"
-"     CHANGED during this ELinks session are added at the end of\n"
-"     the file"
+"3 is values of current options are altered and missing\n"
+"     options CHANGED during this ELinks session are added at\n"
+"     the end of the file"
 msgstr ""
 
-#: src/config/options.inc:48
+#: src/config/options.inc:50
 msgid "Comments localization"
 msgstr ""
 
-#: src/config/options.inc:50
+#: src/config/options.inc:52
 msgid ""
-"If set to 1, comments in the configuration file will be\n"
-"translated to the language used by UI. Note that if you have\n"
-"different language set in different terminals, the language\n"
-"used in the configuration file MAY be the same as on the\n"
-"terminal where you saved the file, but it should be generally\n"
+"If set to 1, comments in the configuration file will be translated to the "
+"language used by UI. Note that if you have different language set in "
+"different terminals, the language used in the configuration file MAY be the "
+"same as on the terminal where you saved the file, but it should be generally "
 "considered unpredictable."
 msgstr ""
 
-#: src/config/options.inc:58
+#: src/config/options.inc:60
 msgid "Saving style warnings"
 msgstr ""
 
-#: src/config/options.inc:60
+#: src/config/options.inc:62
 msgid ""
-"This is internal option used when displaying a warning about\n"
-"obsolete config.saving_style. You shouldn't touch it."
+"This is internal option used when displaying a warning about obsolete config."
+"saving_style. You shouldn't touch it."
 msgstr ""
 
-#: src/config/options.inc:63
+#: src/config/options.inc:66
 msgid "Show template"
 msgstr ""
 
-#: src/config/options.inc:65
+#: src/config/options.inc:68
 msgid ""
-"Show template options in autocreated trees in the options\n"
-"manager and save them to the configuration file."
+"Show template options in autocreated trees in the options manager and save "
+"them to the configuration file."
 msgstr ""
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:71 src/dialogs/info.c:180
+#: src/config/options.inc:74 src/dialogs/info.c:180
 msgid "Connections"
 msgstr "Prisijungimai"
 
-#: src/config/options.inc:73
+#: src/config/options.inc:76
 #, fuzzy
 msgid "Connection options."
 msgstr "Prisijungimai"
 
-#: src/config/options.inc:76
+#: src/config/options.inc:79
 msgid "Asynchronous DNS"
 msgstr ""
 
-#: src/config/options.inc:78
+#: src/config/options.inc:81
 msgid "Whether to use asynchronous DNS resolving."
 msgstr ""
 
-#: src/config/options.inc:80
+#: src/config/options.inc:83
 #, fuzzy
 msgid "Maximum connections"
 msgstr "Jungiams"
 
-#: src/config/options.inc:82
+#: src/config/options.inc:85
 msgid "Maximum number of concurrent connections."
 msgstr ""
 
-#: src/config/options.inc:84
+#: src/config/options.inc:87
 #, fuzzy
 msgid "Maximum connections per host"
 msgstr "Jungiams"
 
-#: src/config/options.inc:86
+#: src/config/options.inc:89
 msgid "Maximum number of concurrent connections to a given host."
 msgstr ""
 
-#: src/config/options.inc:88
+#: src/config/options.inc:92
 #, fuzzy
 msgid "Connection retries"
 msgstr "Prisijungimai"
 
-#: src/config/options.inc:90
-msgid ""
-"Number of tries to establish a connection.\n"
-"Zero means try forever."
+#: src/config/options.inc:94
+msgid "Number of tries to establish a connection. Zero means try forever."
 msgstr ""
 
-#: src/config/options.inc:93 src/network/state.c:53
+#: src/config/options.inc:97 src/network/state.c:53
 msgid "Receive timeout"
 msgstr "Gavimo timeout'as"
 
-#: src/config/options.inc:95
+#: src/config/options.inc:99
 #, fuzzy
 msgid "Receive timeout (in seconds)."
 msgstr "Gavimo timeout'as"
 
-#: src/config/options.inc:98 src/config/options.inc:108
+#: src/config/options.inc:102 src/config/options.inc:113
 msgid "Try IPv4 when connecting"
 msgstr ""
 
-#: src/config/options.inc:100
+#: src/config/options.inc:104
 msgid ""
-"Whether to try to connect to a host over IPv4.\n"
-"Note that if connection.try_ipv6 is enabled too,\n"
-"it takes precedence. And better do not touch this\n"
+"Whether to try to connect to a host over IPv4. Note that if connection."
+"try_ipv6 is enabled too, it takes precedence. And better do not touch this "
 "at all unless you are sure what are you doing.\n"
-"Note that you can also force a given protocol\n"
-"to be used on a per-connection basis by using a URL\n"
-"in the style of e.g. http4://elinks.cz/."
+"\n"
+"Note that you can also force a given protocol to be used on a per-connection "
+"basis by using a URL in the style of e.g. http4://elinks.cz/."
 msgstr ""
 
-#: src/config/options.inc:110
+#: src/config/options.inc:115
 msgid ""
-"Whether to try to connect to a host over IPv4.\n"
-"Do not touch this option.\n"
-"Note that you can also force a given protocol\n"
-"to be used on a per-connection basis by using a URL\n"
-"in the style of e.g. http4://elinks.cz/."
+"Whether to try to connect to a host over IPv4. Do not touch this option.\n"
+"\n"
+"Note that you can also force a given protocol to be used on a per-connection "
+"basis by using a URL in the style of e.g. http4://elinks.cz/."
 msgstr ""
 
-#: src/config/options.inc:118
+#: src/config/options.inc:124
 msgid "Try IPv6 when connecting"
 msgstr ""
 
-#: src/config/options.inc:120
+#: src/config/options.inc:126
 msgid ""
 "Whether to try to connect to a host over IPv6.\n"
-"Note that you can also force a given protocol\n"
-"to be used on a per-connection basis by using a URL\n"
-"in the style of e.g. http6://elinks.cz/."
+"\n"
+"Note that you can also force a given protocol to be used on a per-connection "
+"basis by using a URL in the style of e.g. http6://elinks.cz/."
 msgstr ""
 
-#: src/config/options.inc:126
+#: src/config/options.inc:133
 msgid "Timeout for non-restartable connections"
 msgstr ""
 
-#: src/config/options.inc:128
+#: src/config/options.inc:135
 msgid "Timeout for non-restartable connections (in seconds)."
 msgstr ""
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:134
+#: src/config/options.inc:141
 #, fuzzy
 msgid "Document"
 msgstr "dokumentai"
 
-#: src/config/options.inc:136
+#: src/config/options.inc:143
 #, fuzzy
 msgid "Document options."
 msgstr "~Informacija apie dokument"
 
-#: src/config/options.inc:138
+#: src/config/options.inc:145
 msgid "Browsing"
 msgstr ""
 
-#: src/config/options.inc:140
+#: src/config/options.inc:147
 msgid "Document browsing options (mainly interactivity)."
 msgstr ""
 
-#: src/config/options.inc:143
+#: src/config/options.inc:150
 msgid "Access keys"
 msgstr ""
 
-#: src/config/options.inc:145
+#: src/config/options.inc:152
 msgid ""
-"Options for handling of link access keys.\n"
-"An HTML document can use the ACCESSKEY attribute to assign\n"
-"an access key to an element. When an access key is pressed,\n"
-"the corresponding element will be given focus."
+"Options for handling of link access keys. An HTML document can use the "
+"ACCESSKEY attribute to assign an access key to an element. When an access "
+"key is pressed, the corresponding element will be given focus."
 msgstr ""
 
-#: src/config/options.inc:150
+#: src/config/options.inc:157
 msgid "Automatic links following"
 msgstr ""
 
-#: src/config/options.inc:152
+#: src/config/options.inc:159
 msgid ""
-"Automatically follow a link or submit a form if appropriate\n"
-"accesskey is pressed - this is the standard behaviour, but it's\n"
-"considered dangerous."
+"Automatically follow a link or submit a form if appropriate accesskey is "
+"pressed - this is the standard behaviour, but it's considered dangerous."
 msgstr ""
 
-#: src/config/options.inc:156
+#: src/config/options.inc:163
 msgid "Display access key in link info"
 msgstr ""
 
-#: src/config/options.inc:158
+#: src/config/options.inc:165
 msgid "Display access key in link info."
 msgstr ""
 
-#: src/config/options.inc:160
+#: src/config/options.inc:167
 msgid "Accesskey priority"
 msgstr ""
 
-#: src/config/options.inc:162
+#: src/config/options.inc:169
 msgid ""
 "Priority of 'accesskey' HTML attribute:\n"
-"0 is first try all normal bindings; if it fails, check accesskey\n"
-"1 is first try only frame bindings; if it fails, check accesskey\n"
+"0 is first try all normal bindings; if it fails,\n"
+"     check accesskey\n"
+"1 is first try only frame bindings; if it fails,\n"
+"     check accesskey\n"
 "2 is first check accesskey (this can be dangerous)"
 msgstr ""
 
-#: src/config/options.inc:168
+#: src/config/options.inc:177
 msgid "Forms"
 msgstr ""
 
-#: src/config/options.inc:170
+#: src/config/options.inc:179
 msgid "Options for handling of the forms interaction."
 msgstr ""
 
-#: src/config/options.inc:172
+#: src/config/options.inc:181
 #, fuzzy
 msgid "Submit form automatically"
 msgstr "Patvirtinti form"
 
-#: src/config/options.inc:174
+#: src/config/options.inc:183
 msgid ""
-"Automagically submit a form when enter is pressed with a text\n"
-"field selected."
+"Automagically submit a form when enter is pressed with a text field selected."
 msgstr ""
 
-#: src/config/options.inc:177
+#: src/config/options.inc:186
 msgid "Confirm submission"
 msgstr ""
 
-#: src/config/options.inc:179
+#: src/config/options.inc:188
 msgid "Ask for confirmation when submitting a form."
 msgstr ""
 
-#: src/config/options.inc:181
+#: src/config/options.inc:190
 msgid "Default form input size"
 msgstr ""
 
-#: src/config/options.inc:183
+#: src/config/options.inc:192
 msgid "Default form input size if none is specified."
 msgstr ""
 
-#: src/config/options.inc:185
+#: src/config/options.inc:194
 msgid "Insert mode"
 msgstr ""
 
-#: src/config/options.inc:187
+#: src/config/options.inc:196
 msgid ""
-"The setting for this option affects how key presses are handled\n"
-"when one selects a text-input form-field. When enabled, one must\n"
-"explicitly 'enter' a selected text-field to edit it; this prevents\n"
-"text fields from capturing key presses, such as presses of a scroll\n"
-"key, when it is inadvertently selected. When disabled, key presses\n"
-"are always inserted into a selected text field."
+"The setting for this option affects how key presses are handled when one "
+"selects a text-input form-field. When enabled, one must explicitly 'enter' a "
+"selected text-field to edit it; this prevents text fields from capturing key "
+"presses, such as presses of a scroll key, when it is inadvertently selected. "
+"When disabled, key presses are always inserted into a selected text field."
 msgstr ""
 
-#: src/config/options.inc:194
+#: src/config/options.inc:204
 #, fuzzy
 msgid "External editor"
 msgstr "Vidin klaida"
 
-#: src/config/options.inc:196
+#: src/config/options.inc:206
 msgid ""
-"Path to the executable that ELinks should launch when the user\n"
-"requests to edit a textarea with an external editor.\n"
-"If this is blank, ELinks will use the value of the environmental\n"
-"variable $EDITOR. If $EDITOR is empty or not set, ELinks will then\n"
-"default to \"vi\"."
+"Path to the executable that ELinks should launch when the user requests to "
+"edit a textarea with an external editor.\n"
+"\n"
+"If this is blank, ELinks will use the value of the environmental variable "
+"$EDITOR. If $EDITOR is empty or not set, ELinks will then default to \"vi\"."
 msgstr ""
 
-#: src/config/options.inc:203
+#: src/config/options.inc:214
 #, fuzzy
 msgid "Images"
 msgstr "Paveiksllis"
 
-#: src/config/options.inc:205
+#: src/config/options.inc:216
 msgid "Options for handling of images."
 msgstr ""
 
-#: src/config/options.inc:207
+#: src/config/options.inc:218
 #, fuzzy
 msgid "Display style for image tags"
 msgstr "Parodyti"
 
-#: src/config/options.inc:209
+#: src/config/options.inc:220
 msgid ""
 "Display style for image tags when displayed:\n"
 "0     means always display IMG\n"
 "1     means always display filename\n"
-"2     means display alt/title attribute if possible, IMG if not\n"
-"3     means display alt/title attribute if possible, filename if not"
+"2     means display alt/title attribute if possible,\n"
+"      IMG if not\n"
+"3     means display alt/title attribute if possible,\n"
+"      filename if not"
 msgstr ""
 
-#: src/config/options.inc:215
+#: src/config/options.inc:228
 msgid "Maximum length for image filename"
 msgstr ""
 
-#: src/config/options.inc:217
+#: src/config/options.inc:230
 msgid ""
 "Maximum length of image filename when displayed:\n"
 "0     means always display full filename\n"
 "1-500 means display filename with this maximal length;\n"
-"      if it is longer, the middle is substituted by an asterisk"
+"      if it is longer, the middle is substituted by\n"
+"      an asterisk"
 msgstr ""
 
-#: src/config/options.inc:227
+#: src/config/options.inc:241
 msgid "Image links tagging"
 msgstr ""
 
-#: src/config/options.inc:229
+#: src/config/options.inc:243
 msgid ""
 "When to enclose image links:\n"
 "0 means never\n"
@@ -2362,92 +2365,92 @@ msgid ""
 "2 means always"
 msgstr ""
 
-#: src/config/options.inc:234
+#: src/config/options.inc:248
 msgid "Image link prefix"
 msgstr ""
 
-#: src/config/options.inc:236
+#: src/config/options.inc:250
 msgid "Prefix string to use to mark image links."
 msgstr ""
 
-#: src/config/options.inc:238
+#: src/config/options.inc:252
 msgid "Image link suffix"
 msgstr ""
 
-#: src/config/options.inc:240
+#: src/config/options.inc:254
 msgid "Suffix string to use to mark image links."
 msgstr ""
 
-#: src/config/options.inc:242
+#: src/config/options.inc:256
 msgid "Maximum length for image label"
 msgstr ""
 
-#: src/config/options.inc:244
+#: src/config/options.inc:258
 msgid ""
 "Maximum length of image label (alt/title):\n"
 "0     means always display full label\n"
 "1-500 means display label with this maximal length;\n"
-"      if it is longer, the middle is substituted by an asterisk"
+"      if it is longer, the middle is substituted by\n"
+"      an asterisk"
 msgstr ""
 
-#: src/config/options.inc:249
+#: src/config/options.inc:264
 msgid "Display links to images w/o alt"
 msgstr ""
 
-#: src/config/options.inc:251
+#: src/config/options.inc:266
 msgid ""
-"Display links to images without an alt attribute. If this option\n"
-"is off, these images are completely invisible."
+"Display links to images without an alt attribute. If this option is off, "
+"these images are completely invisible."
 msgstr ""
 
-#: src/config/options.inc:254
+#: src/config/options.inc:269
 #, fuzzy
 msgid "Display links to images"
 msgstr "Parodyti"
 
-#: src/config/options.inc:256
+#: src/config/options.inc:271
 msgid ""
-"Display links to any images in the document, regardless of them\n"
-"having an alt attribute or not. If this option is off, the alt\n"
-"attribute contents is shown, but as normal text, not selectable\n"
-"as a link."
+"Display links to any images in the document, regardless of them having an "
+"alt attribute or not. If this option is off, the alt attribute contents is "
+"shown, but as normal text, not selectable as a link."
 msgstr ""
 
-#: src/config/options.inc:262
+#: src/config/options.inc:277
 #, fuzzy
 msgid "Links"
 msgstr "~Nuoroda"
 
-#: src/config/options.inc:264
+#: src/config/options.inc:279
 msgid "Options for handling of links to other documents."
 msgstr ""
 
-#: src/config/options.inc:266
+#: src/config/options.inc:281
 msgid "Active link"
 msgstr ""
 
-#: src/config/options.inc:268
+#: src/config/options.inc:283
 msgid "Options for the active link."
 msgstr ""
 
-#: src/config/options.inc:270
+#: src/config/options.inc:285
 #, fuzzy
 msgid "Colors"
 msgstr "Spalvos"
 
-#: src/config/options.inc:272
+#: src/config/options.inc:287
 #, fuzzy
 msgid "Active link colors."
 msgstr "Pribaigti foninius siuntimus"
 
-#: src/config/options.inc:274 src/config/options.inc:549
-#: src/config/options.inc:945
+#: src/config/options.inc:289 src/config/options.inc:583
+#: src/config/options.inc:1014
 #, fuzzy
 msgid "Background color"
 msgstr "Fonas"
 
-#: src/config/options.inc:276 src/config/options.inc:551
-#: src/config/options.inc:946
+#: src/config/options.inc:291 src/config/options.inc:585
+#: src/config/options.inc:1015
 #, fuzzy
 msgid "Default background color."
 msgstr "Pribaigti foninius siuntimus"
@@ -2460,75 +2463,75 @@ msgstr "Pribaigti foninius siuntimus"
 #. *	on it.
 #. The colors and mono tree should be similar but with different default
 #. * values of course so always use the macros below.
-#: src/config/options.inc:278 src/config/options.inc:545
-#: src/config/options.inc:943
+#: src/config/options.inc:293 src/config/options.inc:579
+#: src/config/options.inc:1012
 #, fuzzy
 msgid "Text color"
 msgstr "Teksto plotas"
 
-#: src/config/options.inc:280 src/config/options.inc:547
-#: src/config/options.inc:944
+#: src/config/options.inc:295 src/config/options.inc:581
+#: src/config/options.inc:1013
 msgid "Default text color."
 msgstr ""
 
-#: src/config/options.inc:282
+#: src/config/options.inc:297
 #, fuzzy
 msgid "Enable color"
 msgstr "vardas"
 
-#: src/config/options.inc:284
+#: src/config/options.inc:299
 msgid ""
-"Enable use of the active link background and text color\n"
-"settings instead of the link colors from the document."
+"Enable use of the active link background and text color settings instead of "
+"the link colors from the document."
 msgstr ""
 
-#: src/config/options.inc:287
+#: src/config/options.inc:302
 msgid "Bold"
 msgstr ""
 
-#: src/config/options.inc:289
+#: src/config/options.inc:304
 msgid "Make the active link text bold."
 msgstr ""
 
-#: src/config/options.inc:291
+#: src/config/options.inc:306
 #, fuzzy
 msgid "Invert colors"
 msgstr "Teksto plotas"
 
-#: src/config/options.inc:293
+#: src/config/options.inc:308
 msgid "Invert the fore- and background color so the link stands out."
 msgstr ""
 
-#: src/config/options.inc:296 src/config/options.inc:908
+#: src/config/options.inc:311 src/config/options.inc:975
 #: src/dialogs/options.c:231
 msgid "Underline"
 msgstr ""
 
-#: src/config/options.inc:298
+#: src/config/options.inc:313
 msgid "Underline the active link."
 msgstr ""
 
-#: src/config/options.inc:301
+#: src/config/options.inc:316
 msgid "Directory highlighting"
 msgstr ""
 
-#: src/config/options.inc:303
+#: src/config/options.inc:318
 msgid "Highlight links to directories in FTP and local directory listing."
 msgstr ""
 
-#: src/config/options.inc:305
+#: src/config/options.inc:321
 msgid "Number links"
 msgstr ""
 
-#: src/config/options.inc:307
+#: src/config/options.inc:323
 msgid "Display numbers next to the links."
 msgstr ""
 
-#: src/config/options.inc:309
+#: src/config/options.inc:325
 msgid "Handling of target=_blank"
 msgstr ""
 
-#: src/config/options.inc:311
+#: src/config/options.inc:327
 msgid ""
 "Define how to handle links having target=_blank set:\n"
 "0 means open link in current tab\n"
@@ -2537,139 +2540,136 @@ msgid ""
 "3 means open link in new window"
 msgstr ""
 
-#: src/config/options.inc:324
+#: src/config/options.inc:340
 msgid "Use tabindex"
 msgstr ""
 
-#: src/config/options.inc:326
+#: src/config/options.inc:342
 msgid ""
-"Whether to navigate links using tabindex specified ordering.\n"
-"The TABINDEX attribute in HTML elements specifies the order\n"
-"in which links should receive focus when using the keyboard\n"
-"to navigate the document."
+"Whether to navigate links using tabindex specified ordering. The TABINDEX "
+"attribute in HTML elements specifies the order in which links should receive "
+"focus when using the keyboard to navigate the document."
 msgstr ""
 
-#: src/config/options.inc:331
+#: src/config/options.inc:347
 #, fuzzy
 msgid "Missing fragment reporting"
 msgstr "Nenaudoti rm"
 
-#: src/config/options.inc:333
+#: src/config/options.inc:349
 msgid "Open a message box when document has no tag with given id."
 msgstr ""
 
-#: src/config/options.inc:335
+#: src/config/options.inc:352
 msgid "Number keys select links"
 msgstr ""
 
-#: src/config/options.inc:337
+#: src/config/options.inc:354
 msgid ""
-"Number keys select links rather than specify command prefixes. This\n"
-"is a tristate:\n"
+"Number keys select links rather than specify command prefixes. This is a "
+"tristate:\n"
 "0 means never\n"
 "1 means if document.browse.links.numbering = 1\n"
 "2 means always"
 msgstr ""
 
-#: src/config/options.inc:343
+#: src/config/options.inc:360
 msgid "Warn about maliciously crafted URIs"
 msgstr ""
 
-#: src/config/options.inc:345
+#: src/config/options.inc:362
 msgid ""
-"When following a link the user ID part of the URI is\n"
-"checked and if a maliciously crafted URI is detected a\n"
-"warning dialog will ask before following the link."
+"When following a link the user ID part of the URI is checked and if a "
+"maliciously crafted URI is detected a warning dialog will ask before "
+"following the link."
 msgstr ""
 
 #. TODO - this is somehow implemented by ff, but disabled
 #. * for now as it doesn't work.
-#: src/config/options.inc:351
+#: src/config/options.inc:368
 msgid "Wrap-around links cycling"
 msgstr ""
 
 #. 0
-#: src/config/options.inc:353
+#: src/config/options.inc:370
 msgid ""
-"When pressing 'down' on the last link, jump to the first one, and\n"
-"vice versa."
+"When pressing 'down' on the last link, jump to the first one, and vice versa."
 msgstr ""
 
-#: src/config/options.inc:357
+#: src/config/options.inc:374
 msgid "Scrolling"
 msgstr ""
 
-#: src/config/options.inc:359
+#: src/config/options.inc:376
 #, fuzzy
 msgid "Scrolling options."
 msgstr "Terminalo opcijos"
 
-#: src/config/options.inc:361
+#: src/config/options.inc:378
 msgid "Horizontal step"
 msgstr ""
 
-#: src/config/options.inc:363
+#: src/config/options.inc:380
 msgid ""
-"Number of columns to scroll when a key bound to scroll-left or scroll-\n"
-"right is pressed and no prefix was given."
+"Number of columns to scroll when a key bound to scroll-left or scroll-right "
+"is pressed and no prefix was given."
 msgstr ""
 
-#: src/config/options.inc:366
+#: src/config/options.inc:384
 msgid "Extended horizontal scrolling"
 msgstr ""
 
-#: src/config/options.inc:368
+#: src/config/options.inc:386
 msgid ""
-"Whether to allow horizontal scrolling when the document\n"
-"does not extend off the screen. Useful for copy/paste\n"
-"operations."
+"Whether to allow horizontal scrolling when the document does not extend off "
+"the screen. Useful for copy/paste operations."
 msgstr ""
 
-#: src/config/options.inc:372
+#: src/config/options.inc:390
 #, fuzzy
 msgid "Margin"
 msgstr "spjimas"
 
-#: src/config/options.inc:374
+#: src/config/options.inc:392
 msgid ""
-"Size of the virtual margin - when you click inside of that margin,\n"
-"document scrolls in that direction."
+"Size of the virtual margin - when you click inside of that margin, document "
+"scrolls in that direction."
 msgstr ""
 
-#: src/config/options.inc:377
+#: src/config/options.inc:395
 msgid "Vertical step"
 msgstr ""
 
-#: src/config/options.inc:379
+#: src/config/options.inc:397
 msgid ""
-"Number of lines to scroll when a key bound to scroll-up or scroll-\n"
-"down is pressed and no prefix was given."
+"Number of lines to scroll when a key bound to scroll-up or scroll-down is "
+"pressed and no prefix was given."
 msgstr ""
 
-#: src/config/options.inc:383
+#: src/config/options.inc:401
 #, fuzzy
 msgid "Searching"
 msgstr "Paieka"
 
-#: src/config/options.inc:385
+#: src/config/options.inc:403
 msgid "Options for searching."
 msgstr ""
 
-#: src/config/options.inc:387
+#: src/config/options.inc:405
 msgid "Case sensitivity"
 msgstr ""
 
-#: src/config/options.inc:389
+#: src/config/options.inc:407
 msgid ""
-"Whether the search should match the document text while maintaining\n"
-"case sensitivity."
+"Whether the search should match the document text while maintaining case "
+"sensitivity."
 msgstr ""
 
-#: src/config/options.inc:393
+#: src/config/options.inc:411
 msgid "Regular expressions"
 msgstr ""
 
-#: src/config/options.inc:395
+#: src/config/options.inc:413
 msgid ""
 "Enable searching with regular expressions:\n"
 "0 for plain text searching\n"
@@ -2677,31 +2677,31 @@ msgid ""
 "2 for extended regular expression searches"
 msgstr ""
 
-#: src/config/options.inc:401
+#: src/config/options.inc:419
 msgid "Show search hit top or bottom dialogs"
 msgstr ""
 
-#: src/config/options.inc:403
+#: src/config/options.inc:421
 msgid ""
-"Whether to show a dialog when the search hits the top or bottom of the\n"
+"Whether to show a dialog when the search hits the top or bottom of the "
 "document."
 msgstr ""
 
-#: src/config/options.inc:406
+#: src/config/options.inc:424
 #, fuzzy
 msgid "Wraparound"
 msgstr "Fonas"
 
-#: src/config/options.inc:408
+#: src/config/options.inc:426
 msgid "Wrap around when searching. Currently only used for typeahead."
 msgstr ""
 
-#: src/config/options.inc:410
+#: src/config/options.inc:429
 #, fuzzy
 msgid "Show not found"
 msgstr "Hostas nerastas"
 
-#: src/config/options.inc:412
+#: src/config/options.inc:431
 msgid ""
 "How to inform the user when nothing is matched:\n"
 "0 means do nothing\n"
@@ -2709,281 +2709,282 @@ msgid ""
 "2 means pop up message box"
 msgstr ""
 
-#: src/config/options.inc:417
+#: src/config/options.inc:436
 #, fuzzy
 msgid "Typeahead searching"
 msgstr "Neteisinga eilut"
 
-#: src/config/options.inc:419
+#: src/config/options.inc:438
 msgid ""
-"Start typeahead searching when an unbound key is pressed without\n"
-"any modifiers. Note that most keys have default bindings, so this\n"
-"feature will not be useful unless you unbind them.\n"
+"Start typeahead searching when an unbound key is pressed without any "
+"modifiers. Note that most keys have default bindings, so this feature will "
+"not be useful unless you unbind them.\n"
 "\n"
-"0 disables this feature; typeahead searching will only be used\n"
-"  when you press a key bound to search-typeahead or similar\n"
+"0 disables this feature; typeahead searching will only be\n"
+"  used when you press a key bound to search-typeahead or\n"
+"  similar\n"
 "1 automatically starts typeahead searching thru link text\n"
-"2 automatically starts typeahead searching thru all document text"
+"2 automatically starts typeahead searching thru all document\n"
+"  text"
 msgstr ""
 
-#: src/config/options.inc:428
+#: src/config/options.inc:451
 msgid "Horizontal text margin"
 msgstr ""
 
-#: src/config/options.inc:430
+#: src/config/options.inc:453
 msgid "Horizontal text margin."
 msgstr ""
 
-#: src/config/options.inc:432
+#: src/config/options.inc:455
 msgid "Document meta refresh"
 msgstr ""
 
-#: src/config/options.inc:434
+#: src/config/options.inc:457
 msgid ""
-"Automatically follow document-specified refresh directives ('<meta>\n"
-"refresh' tags). Web-page authors use these to instruct the browser\n"
-"to reload a document at a given interval or to load another page.\n"
-"Regardless of the value the refresh URI is accessible as a link.\n"
-"Use the document.browse.minimum_refresh_time to control the minimum\n"
-"number of seconds a refresh will wait."
+"Automatically follow document-specified refresh directives ('<meta> refresh' "
+"tags). Web-page authors use these to instruct the browser to reload a "
+"document at a given interval or to load another page. Regardless of the "
+"value the refresh URI is accessible as a link.\n"
+"\n"
+"Use the document.browse.minimum_refresh_time to control the minimum number "
+"of seconds a refresh will wait."
 msgstr ""
 
-#: src/config/options.inc:441
+#: src/config/options.inc:466
 msgid "Document meta refresh minimum time"
 msgstr ""
 
-#: src/config/options.inc:443
+#: src/config/options.inc:468
 msgid ""
-"The minimum number of milliseconds that should pass before\n"
-"refreshing. If set to zero the document refresh time is used\n"
-"unchanged. It can fix going back in history for some sites that\n"
-"use refreshing with zero values."
+"The minimum number of milliseconds that should pass before refreshing. If "
+"set to zero the document refresh time is used unchanged. It can fix going "
+"back in history for some sites that use refreshing with zero values."
 msgstr ""
 
-#: src/config/options.inc:448
+#: src/config/options.inc:473
 msgid "Tables navigation order"
 msgstr ""
 
-#: src/config/options.inc:450
+#: src/config/options.inc:475
 msgid "Move by columns in table, instead of rows."
 msgstr ""
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:456
+#: src/config/options.inc:481
 #, fuzzy
 msgid "Cache"
 msgstr "Ataukti"
 
-#: src/config/options.inc:458
+#: src/config/options.inc:483
 #, fuzzy
 msgid "Cache options."
 msgstr "I~saugoti pakeitimus"
 
-#: src/config/options.inc:460
+#: src/config/options.inc:485
 msgid "Cache information about redirects"
 msgstr ""
 
-#: src/config/options.inc:462
+#: src/config/options.inc:487
 msgid ""
-"Cache even redirects sent by server (usually thru HTTP by a 302\n"
-"HTTP code and a Location header). This was the original behaviour\n"
-"for quite some time, but it causes problems in a situation very\n"
-"common to various web login systems - frequently, when accessing\n"
-"a certain location, they will redirect you to a login page if they\n"
-"don't receive an auth cookie, the login page then gives you the\n"
-"cookie and redirects you back to the original page, but there you\n"
-"have already cached redirect back to the login page! If this\n"
-"option has value of 0, this malfunction is fixed, but occasionally\n"
-"you may get superfluous (depends on how you take it ;-) requests to\n"
-"the server. If this option has value of 1, experienced users can\n"
-"still workaround it by clever combination of usage of reload,\n"
-"jumping around in session history and hitting ctrl+enter.\n"
-"Note that this option is checked when retrieving the information\n"
-"from cache, not when saving it to cache - thus if you enable\n"
-"it, even previous redirects will be taken from cache instead of\n"
-"asking the server."
+"Cache even redirects sent by server (usually thru HTTP by a 302 HTTP code "
+"and a Location header). This was the original behaviour for quite some time, "
+"but it causes problems in a situation very common to various web login "
+"systems - frequently, when accessing a certain location, they will redirect "
+"you to a login page if they don't receive an auth cookie, the login page "
+"then gives you the cookie and redirects you back to the original page, but "
+"there you have already cached redirect back to the login page! If this "
+"option has value of 0, this malfunction is fixed, but occasionally you may "
+"get superfluous (depends on how you take it ;-) requests to the server. If "
+"this option has value of 1, experienced users can still workaround it by "
+"clever combination of usage of reload, jumping around in session history and "
+"hitting ctrl+enter.\n"
+"\n"
+"Note that this option is checked when retrieving the information from cache, "
+"not when saving it to cache - thus if you enable it, even previous redirects "
+"will be taken from cache instead of asking the server."
 msgstr ""
 
-#: src/config/options.inc:480
+#: src/config/options.inc:508
 msgid "Ignore cache-control info from server"
 msgstr ""
 
-#: src/config/options.inc:482
+#: src/config/options.inc:510
 msgid ""
-"Ignore Cache-Control and Pragma server headers.\n"
-"When set, the document is cached even with 'Cache-Control: no-cache'."
+"Ignore Cache-Control and Pragma server headers. When set, the document is "
+"cached even with 'Cache-Control: no-cache'."
 msgstr ""
 
-#: src/config/options.inc:485
+#: src/config/options.inc:514
 #, fuzzy
 msgid "Formatted documents"
 msgstr "Suformuoto dokumento laikinoji atmintis"
 
-#: src/config/options.inc:487
+#: src/config/options.inc:516
 msgid "Format cache options."
 msgstr ""
 
-#: src/config/options.inc:489
+#: src/config/options.inc:518
 #, fuzzy
 msgid "Number"
 msgstr "Netinkamas skaiius"
 
-#: src/config/options.inc:491
+#: src/config/options.inc:520
 msgid ""
-"Number of cached formatted pages. Do not get too generous\n"
-"here, 'formatted' means that all the accompanying structures\n"
-"are kept in memory so that you get the cached document\n"
-"immediatelly, but these structures may take a lot - 2x the\n"
-"size of the HTML source is probably not unusual, but it can\n"
-"be even more if the document consists of a lot of short lines\n"
-"(padded right, if possible) and links and not much other markup.\n"
-"So if you set this to 256 and then you don't like your ELinks\n"
-"eating 90M, don't come complaining to us. ;-)\n"
-"Also note that the format cache itself is not counted to the\n"
-"memory cache size, but the HTML source of the formatted documents\n"
-"is always cached, even if it is over the memory cache size\n"
-"threshold. (Then of course no other documents can be cached.)"
+"Number of cached formatted pages. Do not get too generous here, 'formatted' "
+"means that all the accompanying structures are kept in memory so that you "
+"get the cached document immediatelly, but these structures may take a lot - "
+"2x the size of the HTML source is probably not unusual, but it can be even "
+"more if the document consists of a lot of short lines (padded right, if "
+"possible) and links and not much other markup. So if you set this to 256 and "
+"then you don't like your ELinks eating 90M, don't come complaining to "
+"us. ;-)\n"
+"\n"
+"Also note that the format cache itself is not counted to the memory cache "
+"size, but the HTML source of the formatted documents is always cached, even "
+"if it is over the memory cache size threshold. (Then of course no other "
+"documents can be cached.)"
 msgstr ""
 
 #. FIXME: Write more.
-#: src/config/options.inc:506
+#: src/config/options.inc:538
 #, fuzzy
 msgid "Revalidation interval"
 msgstr "Isaugojimo klaida"
 
-#: src/config/options.inc:508
+#: src/config/options.inc:540
 msgid ""
-"Period in seconds that a cache entry is considered to be\n"
-"up-to-date. When a document is loaded and this interval has elapsed\n"
-"since the document was initially loaded or most recently\n"
-"revalidated with the server, the server will be checked in case\n"
-"there is a more up-to-date version of the document.\n"
+"Period in seconds that a cache entry is considered to be up-to-date. When a "
+"document is loaded and this interval has elapsed since the document was "
+"initially loaded or most recently revalidated with the server, the server "
+"will be checked in case there is a more up-to-date version of the document.\n"
 "\n"
 "A value of -1 disables automatic revalidation."
 msgstr ""
 
-#: src/config/options.inc:515 src/dialogs/info.c:199
+#: src/config/options.inc:549 src/dialogs/info.c:199
 msgid "Memory cache"
 msgstr "Laikinoji atmintis"
 
-#: src/config/options.inc:517
+#: src/config/options.inc:551
 #, fuzzy
 msgid "Memory cache options."
 msgstr "Laikinoji atmintis"
 
-#: src/config/options.inc:521
+#: src/config/options.inc:555
 #, fuzzy
 msgid "Memory cache size (in bytes)."
 msgstr "Laikinoji atmintis"
 
-#: src/config/options.inc:525
+#: src/config/options.inc:559
 #, fuzzy
 msgid "Charset"
 msgstr "Koduot"
 
-#: src/config/options.inc:527
+#: src/config/options.inc:561
 #, fuzzy
 msgid "Charset options."
 msgstr "I~saugoti pakeitimus"
 
-#: src/config/options.inc:529
+#: src/config/options.inc:563
 msgid "Default codepage"
 msgstr ""
 
-#: src/config/options.inc:531
+#: src/config/options.inc:565
 msgid ""
-"Default document codepage. 'System' stands for\n"
-"a codepage determined by a selected locale."
+"Default document codepage. 'System' stands for a codepage determined by a "
+"selected locale."
 msgstr ""
 
-#: src/config/options.inc:534
+#: src/config/options.inc:568
 msgid "Ignore charset info from server"
 msgstr ""
 
-#: src/config/options.inc:536
+#: src/config/options.inc:570
 msgid "Ignore charset info sent by server."
 msgstr ""
 
-#: src/config/options.inc:540
+#: src/config/options.inc:574
 msgid "Default color settings"
 msgstr ""
 
-#: src/config/options.inc:542
+#: src/config/options.inc:576
 msgid "Default document color settings."
 msgstr ""
 
-#: src/config/options.inc:553
+#: src/config/options.inc:587
 msgid "Link color"
 msgstr ""
 
-#: src/config/options.inc:555
+#: src/config/options.inc:589
 msgid "Default link color."
 msgstr ""
 
-#: src/config/options.inc:557
+#: src/config/options.inc:591
 msgid "Visited-link color"
 msgstr ""
 
-#: src/config/options.inc:559
+#: src/config/options.inc:593
 msgid "Default visited link color."
 msgstr ""
 
-#: src/config/options.inc:561
+#: src/config/options.inc:595
 #, fuzzy
 msgid "Image-link color"
 msgstr "Pribaigti foninius siuntimus"
 
-#: src/config/options.inc:563
+#: src/config/options.inc:597
 #, fuzzy
 msgid "Default image link color."
 msgstr "Pribaigti foninius siuntimus"
 
-#: src/config/options.inc:565
+#: src/config/options.inc:599
 msgid "Bookmarked-link color"
 msgstr ""
 
-#: src/config/options.inc:567
+#: src/config/options.inc:601
 #, fuzzy
 msgid "Default bookmarked link color."
 msgstr "Pribaigti foninius siuntimus"
 
-#: src/config/options.inc:569
+#: src/config/options.inc:603
 msgid "Directory color"
 msgstr ""
 
-#: src/config/options.inc:571
+#: src/config/options.inc:605
 msgid ""
 "Default directory color.\n"
+"\n"
 "See document.browse.links.color_dirs option."
 msgstr ""
 
-#: src/config/options.inc:578
+#: src/config/options.inc:613
 msgid "Increase contrast"
 msgstr ""
 
-#: src/config/options.inc:580
+#: src/config/options.inc:615
 msgid ""
-"Increase the contrast between the foreground and background colors\n"
-"to ensure readability. For example it disallows dark colors on a\n"
-"black background. Note, this is different from ensuring the contrast\n"
-"with the ensure_contrast option."
+"Increase the contrast between the foreground and background colors to ensure "
+"readability. For example it disallows dark colors on a black background. "
+"Note, this is different from ensuring the contrast with the ensure_contrast "
+"option."
 msgstr ""
 
-#: src/config/options.inc:585
+#: src/config/options.inc:621
 msgid "Ensure contrast"
 msgstr ""
 
-#: src/config/options.inc:587
+#: src/config/options.inc:623
 msgid "Makes sure that the back- and foreground colors are never equal."
 msgstr ""
 
 #. If you change this please also change ACT_MAIN_DOCUMENT_COLORS action
 #. * handling.
-#: src/config/options.inc:592
+#: src/config/options.inc:628
 msgid "Use document-specified colors"
 msgstr ""
 
-#: src/config/options.inc:594
+#: src/config/options.inc:630
 msgid ""
 "Use colors specified in document:\n"
 "0 is use always the default settings\n"
@@ -2995,40 +2996,40 @@ msgid ""
 msgstr ""
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:607
+#: src/config/options.inc:643
 #, fuzzy
 msgid "Downloading"
 msgstr "Parsisisk"
 
-#: src/config/options.inc:609
+#: src/config/options.inc:645
 msgid "Options regarding files downloading and handling."
 msgstr ""
 
-#: src/config/options.inc:611
+#: src/config/options.inc:647
 #, fuzzy
 msgid "Default download directory"
 msgstr "Siuntimo klaida"
 
-#: src/config/options.inc:613
+#: src/config/options.inc:649
 msgid "Default download directory."
 msgstr ""
 
-#: src/config/options.inc:615
+#: src/config/options.inc:651
 msgid "Set original time"
 msgstr ""
 
-#: src/config/options.inc:617
+#: src/config/options.inc:653
 msgid ""
-"Set the timestamp of each downloaded file to the timestamp\n"
-"stored on the server."
+"Set the timestamp of each downloaded file to the timestamp stored on the "
+"server."
 msgstr ""
 
 #. Does automatic resuming make sense as an option?
-#: src/config/options.inc:621
+#: src/config/options.inc:657
 msgid "Prevent overwriting"
 msgstr ""
 
-#: src/config/options.inc:623
+#: src/config/options.inc:659
 msgid ""
 "Prevent overwriting the local files:\n"
 "0 is files will silently be overwritten\n"
@@ -3036,11 +3037,11 @@ msgid ""
 "2 is ask the user"
 msgstr ""
 
-#: src/config/options.inc:628
+#: src/config/options.inc:664
 msgid "Notify download completion by bell"
 msgstr ""
 
-#: src/config/options.inc:630
+#: src/config/options.inc:666
 msgid ""
 "Audio notification when download is completed:\n"
 "0 is never\n"
@@ -3048,27 +3049,27 @@ msgid ""
 "2 is always"
 msgstr ""
 
-#: src/config/options.inc:636
+#: src/config/options.inc:672
 msgid "Dump output"
 msgstr ""
 
-#: src/config/options.inc:638
+#: src/config/options.inc:674
 msgid "Dump output options."
 msgstr ""
 
 #. OPT_CODEPAGE
-#: src/config/options.inc:640 src/config/options.inc:912
+#: src/config/options.inc:676 src/config/options.inc:980
 #: src/config/opttypes.c:481 src/dialogs/document.c:164
 msgid "Codepage"
 msgstr "koduot"
 
-#: src/config/options.inc:642
+#: src/config/options.inc:678
 msgid ""
-"Codepage used in dump output. 'System' stands for\n"
-"a codepage determined by a selected locale."
+"Codepage used in dump output. 'System' stands for a codepage determined by a "
+"selected locale."
 msgstr ""
 
-#: src/config/options.inc:645 src/config/options.inc:878
+#: src/config/options.inc:681 src/config/options.inc:941
 #, fuzzy
 msgid "Color mode"
 msgstr "Spalvos"
@@ -3078,12 +3079,14 @@ msgstr "Spalvos"
 #. * an outer list entry after an inner list.
 #. * TRANSLATORS: This restriction applies only to the
 #. * "en" (English) translation.  (See doc/Makefile.)
-#: src/config/options.inc:652
+#: src/config/options.inc:688
 msgid ""
 "Color mode for dumps.\n"
+"\n"
 "Some modes may have been disabled at compile time. The Setup -> Terminal "
 "options dialog lists the modes supported by this executable. If you select "
 "an unsupported mode, ELinks uses 16 colors.\n"
+"\n"
 "The color modes are:\n"
 "-1 is standard dump mode\n"
 "0 is mono mode\n"
@@ -3093,127 +3096,125 @@ msgid ""
 "4 is true color mode"
 msgstr ""
 
-#: src/config/options.inc:665
+#: src/config/options.inc:703
 msgid "Footer"
 msgstr ""
 
-#: src/config/options.inc:667
+#: src/config/options.inc:705
 #, c-format
 msgid "Footer string used in dumps. %u is substituted by URL."
 msgstr ""
 
-#: src/config/options.inc:671
+#: src/config/options.inc:709
 #, c-format
 msgid "Header string used in dumps. %u is substituted by URL."
 msgstr ""
 
-#: src/config/options.inc:673
+#: src/config/options.inc:711
 #, fuzzy
 msgid "Numbering"
 msgstr "Netinkamas skaiius"
 
-#: src/config/options.inc:675
+#: src/config/options.inc:713
 msgid "Whether to print link numbers in dump output."
 msgstr ""
 
-#: src/config/options.inc:677
+#: src/config/options.inc:715
 #, fuzzy
 msgid "References"
 msgstr "Resursai"
 
-#: src/config/options.inc:679
-msgid ""
-"Whether to print references (URIs) of document links\n"
-"in dump output."
+#: src/config/options.inc:717
+msgid "Whether to print references (URIs) of document links in dump output."
 msgstr ""
 
-#: src/config/options.inc:682
+#: src/config/options.inc:720
 msgid "Separator"
 msgstr ""
 
-#: src/config/options.inc:684
+#: src/config/options.inc:722
 msgid "String which separates two dumps."
 msgstr ""
 
-#: src/config/options.inc:686
+#: src/config/options.inc:724
 msgid "Width"
 msgstr ""
 
-#: src/config/options.inc:688
+#: src/config/options.inc:726
 msgid "Width of screen in characters when dumping documents."
 msgstr ""
 
-#: src/config/options.inc:692
+#: src/config/options.inc:730
 #, fuzzy
 msgid "History"
 msgstr "Istorija"
 
-#: src/config/options.inc:694
+#: src/config/options.inc:732
 msgid "History options."
 msgstr ""
 
-#: src/config/options.inc:696
+#: src/config/options.inc:734
 #, fuzzy
 msgid "Keep unhistory"
 msgstr "Nr istorijos"
 
-#: src/config/options.inc:698
+#: src/config/options.inc:736
 #, fuzzy
 msgid "Keep unhistory (\"forward history\")."
 msgstr "Nr istorijos"
 
-#: src/config/options.inc:701
+#: src/config/options.inc:739
 #, fuzzy
 msgid "HTML rendering"
 msgstr "Siuniam"
 
-#: src/config/options.inc:703
+#: src/config/options.inc:741
 msgid "Options concerning the display of HTML pages."
 msgstr ""
 
-#: src/config/options.inc:705
+#: src/config/options.inc:743
 #, fuzzy
 msgid "Display frames"
 msgstr "Parodyti"
 
-#: src/config/options.inc:707
+#: src/config/options.inc:745
 #, fuzzy
 msgid "Display frames."
 msgstr "Parodyti"
 
-#: src/config/options.inc:709
+#: src/config/options.inc:747
 #, fuzzy
 msgid "Display tables"
 msgstr "Parodyti"
 
-#: src/config/options.inc:711
+#: src/config/options.inc:749
 #, fuzzy
 msgid "Display tables."
 msgstr "Parodyti"
 
-#: src/config/options.inc:713
+#: src/config/options.inc:751
 #, fuzzy
 msgid "Display subscripts"
 msgstr "Parodyti ~usemap'"
 
-#: src/config/options.inc:715
+#: src/config/options.inc:753
 msgid "Display subscripts (as [thing])."
 msgstr ""
 
-#: src/config/options.inc:717
+#: src/config/options.inc:755
 #, fuzzy
 msgid "Display superscripts"
 msgstr "Parodyti ~usemap'"
 
-#: src/config/options.inc:719
+#: src/config/options.inc:757
 msgid "Display superscripts (as ^thing)."
 msgstr ""
 
-#: src/config/options.inc:721
+#: src/config/options.inc:759
 msgid "Rendering of HTML link element"
 msgstr ""
 
-#: src/config/options.inc:723
+#: src/config/options.inc:761
 msgid ""
 "How to render <link> tags from the HTML header:\n"
 "0 is nothing\n"
@@ -3224,145 +3225,143 @@ msgid ""
 "5 is everything"
 msgstr ""
 
-#: src/config/options.inc:731
+#: src/config/options.inc:769
 msgid "Underline links"
 msgstr ""
 
-#: src/config/options.inc:733
+#: src/config/options.inc:771
 msgid "Underline links."
 msgstr ""
 
-#: src/config/options.inc:735
+#: src/config/options.inc:773
 msgid "Wrap non breaking space"
 msgstr ""
 
-#: src/config/options.inc:737
+#: src/config/options.inc:775
 msgid ""
-"If set do not honour non breaking space (the nbsp entity)\n"
-"but allow to wrap the text. This can help keeping the width\n"
-"of documents down so no horizontal scrolling is needed."
+"If set do not honour non breaking space (the nbsp entity) but allow to wrap "
+"the text. This can help keeping the width of documents down so no horizontal "
+"scrolling is needed."
 msgstr ""
 
-#: src/config/options.inc:742
+#: src/config/options.inc:780
 #, fuzzy
 msgid "Plain rendering"
 msgstr "Siuniam"
 
-#: src/config/options.inc:744
+#: src/config/options.inc:782
 msgid "Options concerning the display of plain text pages."
 msgstr ""
 
-#: src/config/options.inc:746
+#: src/config/options.inc:784
 #, fuzzy
 msgid "Display URIs"
 msgstr "Parodyti"
 
-#: src/config/options.inc:748
+#: src/config/options.inc:786
 msgid "Display URIs in the document as links."
 msgstr ""
 
-#: src/config/options.inc:750
+#: src/config/options.inc:788
 msgid "Compress empty lines"
 msgstr ""
 
-#: src/config/options.inc:752
+#: src/config/options.inc:790
 msgid "Compress successive empty lines to only one in displayed text."
 msgstr ""
 
-#: src/config/options.inc:755
+#: src/config/options.inc:794
 msgid "URI passing"
 msgstr ""
 
-#: src/config/options.inc:757
+#: src/config/options.inc:796
 msgid ""
-"Rules for passing URIs to external commands. When one rule\n"
-"is defined the link and tab menu will have a menu item that\n"
-"makes it possible to pass the the link, frame or tab URI to\n"
-"an external command. If several rules are defined the link and\n"
-"tab menu will have a submenu of items for each rule. Note, this\n"
-"is mostly useful for launching graphical viewers, since there\n"
-"is no support for releasing the terminal while the command runs.\n"
-"The action and submenus are also available by binding keys to\n"
-"the frame-external-command, the link-external-command, and\n"
-"the tab-external-command actions."
+"Rules for passing URIs to external commands. When one rule is defined the "
+"link and tab menu will have a menu item that makes it possible to pass the "
+"the link, frame or tab URI to an external command. If several rules are "
+"defined the link and tab menu will have a submenu of items for each rule.\n"
+"\n"
+"Note, this is mostly useful for launching graphical viewers, since there is "
+"no support for releasing the terminal while the command runs. The action and "
+"submenus are also available by binding keys to the frame-external-command, "
+"the link-external-command, and the tab-external-command actions."
 msgstr ""
 
-#: src/config/options.inc:770
+#: src/config/options.inc:812
 msgid ""
-"A rule for passing URI to an external command.\n"
-"The format is:\n"
+"A rule for passing URI to an external command. The format is:\n"
 "%c in the string means the current URL\n"
 "%% in the string means '%'\n"
 "Do _not_ put single- or double-quotes around %c."
 msgstr ""
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:780
+#: src/config/options.inc:822
 msgid "Information files"
 msgstr ""
 
-#: src/config/options.inc:782
+#: src/config/options.inc:824
 msgid "Options for information files in ~/.elinks."
 msgstr ""
 
-#: src/config/options.inc:784
+#: src/config/options.inc:826
 #, fuzzy
 msgid "Save interval"
 msgstr "Isaugojimo klaida"
 
-#: src/config/options.inc:786
+#: src/config/options.inc:828
 msgid ""
-"Interval at which to trigger information files in ~/.elinks\n"
-"to be saved to disk if they have changed (seconds; 0 to disable)"
+"Interval at which to trigger information files in ~/.elinks to be saved to "
+"disk if they have changed (seconds; 0 to disable)"
 msgstr ""
 
-#: src/config/options.inc:789
+#: src/config/options.inc:832
 msgid "Use secure file saving"
 msgstr ""
 
-#: src/config/options.inc:791
+#: src/config/options.inc:834
 msgid ""
-"First write data to unique temporary file, then rename this file\n"
-"upon successfully finishing this. Note that this relates only to\n"
-"config files, not downloaded files. You may want to disable\n"
-"it if you are using some exotic permissions for concerned files.\n"
-"Secure file saving is automagically disabled if file is symlink.\n"
-"Warning: some systems (ie. OS/2, Win32) require that destination\n"
-"file doesn't exist when rename(3) is called, breaking atomicity,\n"
-"and reducing reliability of this feature."
+"First write data to unique temporary file, then rename this file upon "
+"successfully finishing this. Note that this relates only to config files, "
+"not downloaded files. You may want to disable it if you are using some "
+"exotic permissions for concerned files. Secure file saving is automagically "
+"disabled if file is symlink.\n"
+"\n"
+"Warning: some systems (ie. OS/2, Win32) require that destination file "
+"doesn't exist when rename(3) is called, breaking atomicity, and reducing "
+"reliability of this feature."
 msgstr ""
 
-#: src/config/options.inc:800
+#: src/config/options.inc:846
 msgid "Use fsync(3) with secure file saving"
 msgstr ""
 
-#: src/config/options.inc:802
+#: src/config/options.inc:848
 msgid ""
-"When using secure file saving, call fsync(3), if the OS\n"
-"supports it, to force the OS immediately to write the data\n"
-"to permanent storage. This is optional for those who wish\n"
-"to avoid excessive disk I/O."
+"When using secure file saving, call fsync(3), if the OS supports it, to "
+"force the OS immediately to write the data to permanent storage. This is "
+"optional for those who wish to avoid excessive disk I/O."
 msgstr ""
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:811
+#: src/config/options.inc:857
 #, fuzzy
 msgid "Terminals"
 msgstr "Terminalo opcijos"
 
-#: src/config/options.inc:813
+#: src/config/options.inc:859
 #, fuzzy
 msgid "Terminal options."
 msgstr "Terminalo opcijos"
 
-#: src/config/options.inc:817
+#: src/config/options.inc:863
 msgid "Options specific to this terminal type (according to $TERM value)."
 msgstr ""
 
-#: src/config/options.inc:842
+#: src/config/options.inc:889
 msgid ""
-"Terminal type; matters mostly only when drawing frames and\n"
-"dialog box borders:\n"
+"Terminal type; matters mostly only when drawing frames and dialog box "
+"borders:\n"
 "0 is dumb terminal type, ASCII art\n"
 "1 is VT100, simple but portable\n"
 "2 is Linux, you get double frames and other goodies\n"
@@ -3370,15 +3369,31 @@ msgid ""
 "4 is FreeBSD"
 msgstr ""
 
-#: src/config/options.inc:850 src/dialogs/options.c:227
+#: src/config/options.inc:897
+msgid "Always encode xterm title in ISO-8859-1"
+msgstr ""
+
+#: src/config/options.inc:899
+msgid ""
+"When updating the window title of xterm or a similar terminal emulator, "
+"encode the title in ISO-8859-1 (Latin-1), rather than in the charset used "
+"for other text in the window. Cyrillic and other characters get replaced "
+"with Latin ones. Xterm requires this unless you explicitly enable UTF-8 "
+"titles in it.\n"
+"\n"
+"If this option does not take effect immediately, try switching to a "
+"different page so that ELinks notices it needs to update the title."
+msgstr ""
+
+#: src/config/options.inc:910 src/dialogs/options.c:227
 msgid "Switch fonts for line drawing"
 msgstr ""
 
-#: src/config/options.inc:852
+#: src/config/options.inc:912
 msgid ""
-"Switch fonts when drawing lines, enabling both local characters\n"
-"and lines working at the same time. ELinks uses this option only if\n"
-"UTF-8 I/O is disabled and the terminal type is Linux or FreeBSD."
+"Switch fonts when drawing lines, enabling both local characters and lines "
+"working at the same time. ELinks uses this option only if UTF-8 I/O is "
+"disabled and the terminal type is Linux or FreeBSD."
 msgstr ""
 
 #. When CONFIG_UTF8 is defined, any code that reads the "utf_8_io"
@@ -3386,37 +3401,37 @@ msgstr ""
 #. * and if so, behave as if "utf_8_io" were 1.  (When CONFIG_UTF8 is
 #. * not defined, it should not be possible to set UTF-8 as "codepage";
 #. * please report any such possibilities as bugs.)
-#: src/config/options.inc:861 src/dialogs/options.c:232
+#: src/config/options.inc:922 src/dialogs/options.c:232
 msgid "UTF-8 I/O"
 msgstr ""
 
-#: src/config/options.inc:863
+#: src/config/options.inc:924
 msgid ""
-"Enable I/O in UTF-8 for Unicode terminals. Note that currently,\n"
-"only the subset of UTF-8 according to terminal codepage is used.\n"
-"ELinks ignores this option if the terminal codepage is UTF-8."
+"Enable I/O in UTF-8 for Unicode terminals. Note that currently, only the "
+"subset of UTF-8 according to terminal codepage is used. ELinks ignores this "
+"option if the terminal codepage is UTF-8."
 msgstr ""
 
-#: src/config/options.inc:867 src/dialogs/options.c:228
+#: src/config/options.inc:929 src/dialogs/options.c:228
 msgid "Restrict frames in cp850/852"
 msgstr "Apriboti rmus cp850/852 koduotse"
 
-#: src/config/options.inc:869
+#: src/config/options.inc:931
 msgid ""
-"Restrict the characters used when drawing lines. Makes sense\n"
-"only with linux terminals using the cp850/852 character sets."
+"Restrict the characters used when drawing lines. Makes sense only with linux "
+"terminals using the cp850/852 character sets."
 msgstr ""
 
-#: src/config/options.inc:872 src/dialogs/options.c:229
+#: src/config/options.inc:935 src/dialogs/options.c:229
 #, fuzzy
 msgid "Block cursor"
 msgstr "Blokuoti ymekl"
 
-#: src/config/options.inc:874
+#: src/config/options.inc:937
 msgid ""
-"Move cursor to bottom right corner when done drawing.\n"
-"This is particularly useful when we have a block cursor,\n"
-"so that inversed text is displayed correctly."
+"Move cursor to bottom right corner when done drawing. This is particularly "
+"useful when we have a block cursor, so that inversed text is displayed "
+"correctly."
 msgstr ""
 
 #. The list of modes must be at the end of this string
@@ -3424,13 +3439,15 @@ msgstr ""
 #. * an outer list entry after an inner list.
 #. * TRANSLATORS: This restriction applies only to the
 #. * "en" (English) translation.  (See doc/Makefile.)
-#: src/config/options.inc:885
+#: src/config/options.inc:948
 msgid ""
 "The color mode controls what colors are used and how they are output to the "
 "terminal.\n"
+"\n"
 "Some modes may have been disabled at compile time. The Setup -> Terminal "
 "options dialog lists the modes supported by this executable. If you select "
 "an unsupported mode, ELinks uses 16 colors.\n"
+"\n"
 "The color modes are:\n"
 "0 is mono mode, only 2 colors are used\n"
 "1 is 16 color mode, uses the common ANSI colors\n"
@@ -3439,425 +3456,422 @@ msgid ""
 "4 is true color mode, uses konsole RGB codes"
 msgstr ""
 
-#: src/config/options.inc:898 src/dialogs/options.c:230
+#: src/config/options.inc:963 src/dialogs/options.c:230
 msgid "Transparency"
 msgstr ""
 
-#: src/config/options.inc:900
+#: src/config/options.inc:965
 msgid ""
-"If we should not set the background to black. This is particularly\n"
-"useful when we have a terminal (typically in some windowing\n"
-"environment) with a background image or a transparent background -\n"
-"it will be visible in ELinks as well (but ELinks document color handling\n"
-"will still assume the background is black so if you have a bright "
-"background\n"
-"you might experience contrast problems). Note that this option makes\n"
-"sense only when colors are enabled."
+"If we should not set the background to black. This is particularly useful "
+"when we have a terminal (typically in some windowing environment) with a "
+"background image or a transparent background - it will be visible in ELinks "
+"as well (but ELinks document color handling will still assume the background "
+"is black so if you have a bright background you might experience contrast "
+"problems). Note that this option makes sense only when colors are enabled."
 msgstr ""
 
-#: src/config/options.inc:910
+#: src/config/options.inc:977
 msgid "If we should use underline or enhance the color instead."
 msgstr ""
 
-#: src/config/options.inc:914
+#: src/config/options.inc:982
 msgid ""
-"Codepage of charset used for displaying content on terminal.\n"
-"'System' stands for a codepage determined by a selected locale."
+"Codepage of charset used for displaying content on terminal. 'System' stands "
+"for a codepage determined by a selected locale."
 msgstr ""
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:921
+#: src/config/options.inc:990
 msgid "User interface"
 msgstr ""
 
-#: src/config/options.inc:923
+#: src/config/options.inc:992
 #, fuzzy
 msgid "User interface options."
 msgstr "Terminalo opcijos"
 
-#: src/config/options.inc:927
+#: src/config/options.inc:996
 msgid "Color settings"
 msgstr ""
 
-#: src/config/options.inc:929
+#: src/config/options.inc:998
 msgid "Default user interface color settings."
 msgstr ""
 
-#: src/config/options.inc:956
+#: src/config/options.inc:1025
 #, fuzzy
 msgid "Color terminals"
 msgstr "~BeOS terminalas"
 
-#: src/config/options.inc:958
+#: src/config/options.inc:1027
 msgid "Color settings for color terminal."
 msgstr ""
 
-#: src/config/options.inc:960
+#: src/config/options.inc:1029
 msgid "Non-color terminals"
 msgstr ""
 
-#: src/config/options.inc:962
+#: src/config/options.inc:1031
 msgid "Color settings for non-color terminal."
 msgstr ""
 
 #. FIXME: obsolete, how to alias them correctly ? --Zas
-#: src/config/options.inc:965
+#: src/config/options.inc:1034
 msgid "Main menu bar"
 msgstr ""
 
-#: src/config/options.inc:967
+#: src/config/options.inc:1036
 msgid "Main menu bar colors."
 msgstr ""
 
-#: src/config/options.inc:969
+#: src/config/options.inc:1038
 msgid "Unselected main menu bar item"
 msgstr ""
 
-#: src/config/options.inc:971
+#: src/config/options.inc:1040
 msgid "Unselected main menu bar item colors."
 msgstr ""
 
-#: src/config/options.inc:973
+#: src/config/options.inc:1042
 msgid "Selected main menu bar item"
 msgstr ""
 
-#: src/config/options.inc:975
+#: src/config/options.inc:1044
 msgid "Selected main menu bar item colors."
 msgstr ""
 
-#: src/config/options.inc:977 src/config/options.inc:1006
+#: src/config/options.inc:1046 src/config/options.inc:1075
 msgid "Hotkey"
 msgstr ""
 
-#: src/config/options.inc:979
+#: src/config/options.inc:1048
 msgid "Main menu hotkey colors."
 msgstr ""
 
-#: src/config/options.inc:981 src/config/options.inc:1010
+#: src/config/options.inc:1050 src/config/options.inc:1079
 msgid "Unselected hotkey"
 msgstr ""
 
-#: src/config/options.inc:983
+#: src/config/options.inc:1052
 msgid "Main menu unselected hotkey colors."
 msgstr ""
 
-#: src/config/options.inc:985 src/config/options.inc:1014
+#: src/config/options.inc:1054 src/config/options.inc:1083
 #, fuzzy
 msgid "Selected hotkey"
 msgstr "Paymti lauk"
 
-#: src/config/options.inc:987
+#: src/config/options.inc:1056
 msgid "Main menu selected hotkey colors."
 msgstr ""
 
-#: src/config/options.inc:990
+#: src/config/options.inc:1059
 msgid "Menu bar"
 msgstr ""
 
-#: src/config/options.inc:992
+#: src/config/options.inc:1061
 msgid "Menu bar colors."
 msgstr ""
 
-#: src/config/options.inc:994
+#: src/config/options.inc:1063
 msgid "Unselected menu item"
 msgstr ""
 
-#: src/config/options.inc:996
+#: src/config/options.inc:1065
 msgid "Unselected menu item colors."
 msgstr ""
 
-#: src/config/options.inc:998
+#: src/config/options.inc:1067
 #, fuzzy
 msgid "Selected menu item"
 msgstr "Paymti lauk"
 
-#: src/config/options.inc:1000
+#: src/config/options.inc:1069
 msgid "Selected menu item colors."
 msgstr ""
 
-#: src/config/options.inc:1002
+#: src/config/options.inc:1071
 #, fuzzy
 msgid "Marked menu item"
 msgstr "Paymti lauk"
 
-#: src/config/options.inc:1004
+#: src/config/options.inc:1073
 msgid "Marked menu item colors."
 msgstr ""
 
-#: src/config/options.inc:1008
+#: src/config/options.inc:1077
 msgid "Menu item hotkey colors."
 msgstr ""
 
-#: src/config/options.inc:1012
+#: src/config/options.inc:1081
 msgid "Menu item unselected hotkey colors."
 msgstr ""
 
-#: src/config/options.inc:1016
+#: src/config/options.inc:1085
 msgid "Menu item selected hotkey colors."
 msgstr ""
 
-#: src/config/options.inc:1018
+#: src/config/options.inc:1087
 #, fuzzy
 msgid "Menu frame"
 msgstr "Nenaudoti rm"
 
-#: src/config/options.inc:1020
+#: src/config/options.inc:1089
 msgid "Menu frame colors."
 msgstr ""
 
-#: src/config/options.inc:1023
+#: src/config/options.inc:1092
 msgid "Dialog"
 msgstr ""
 
-#: src/config/options.inc:1025
+#: src/config/options.inc:1094
 msgid "Dialog colors."
 msgstr ""
 
-#: src/config/options.inc:1035
+#: src/config/options.inc:1104
 msgid "Generic"
 msgstr ""
 
-#: src/config/options.inc:1037
+#: src/config/options.inc:1106
 #, fuzzy
 msgid "Generic dialog colors."
 msgstr "Pribaigti foninius siuntimus"
 
-#: src/config/options.inc:1039
+#: src/config/options.inc:1108
 #, fuzzy
 msgid "Frame"
 msgstr "vardas"
 
-#: src/config/options.inc:1041
+#: src/config/options.inc:1110
 msgid "Dialog frame colors."
 msgstr ""
 
-#: src/config/options.inc:1043
+#: src/config/options.inc:1112
 msgid "Scrollbar"
 msgstr ""
 
-#: src/config/options.inc:1045
+#: src/config/options.inc:1114
 msgid "Scrollbar colors."
 msgstr ""
 
-#: src/config/options.inc:1047
+#: src/config/options.inc:1116
 #, fuzzy
 msgid "Selected scrollbar"
 msgstr "Pribaigti foninius siuntimus"
 
-#: src/config/options.inc:1049
+#: src/config/options.inc:1118
 #, fuzzy
 msgid "Scrollbar selected colors."
 msgstr "Pribaigti foninius siuntimus"
 
-#: src/config/options.inc:1053
+#: src/config/options.inc:1122
 msgid "Dialog title colors."
 msgstr ""
 
-#: src/config/options.inc:1055
+#: src/config/options.inc:1124
 #, fuzzy
 msgid "Text"
 msgstr "Teksto plotas"
 
-#: src/config/options.inc:1057
+#: src/config/options.inc:1126
 msgid "Dialog text colors."
 msgstr ""
 
-#: src/config/options.inc:1059 src/viewer/text/form.c:1862
+#: src/config/options.inc:1128 src/viewer/text/form.c:1891
 msgid "Checkbox"
 msgstr "Varnel"
 
-#: src/config/options.inc:1061
+#: src/config/options.inc:1130
 msgid "Dialog checkbox colors."
 msgstr ""
 
-#: src/config/options.inc:1063
+#: src/config/options.inc:1132
 #, fuzzy
 msgid "Selected checkbox"
 msgstr "Paymti lauk"
 
-#: src/config/options.inc:1065
+#: src/config/options.inc:1134
 #, fuzzy
 msgid "Dialog selected checkbox colors."
 msgstr "Pribaigti foninius siuntimus"
 
-#: src/config/options.inc:1067
+#: src/config/options.inc:1136
 #, fuzzy
 msgid "Checkbox label"
 msgstr "Varnel"
 
-#: src/config/options.inc:1069
+#: src/config/options.inc:1138
 msgid "Dialog checkbox label colors."
 msgstr ""
 
-#: src/config/options.inc:1071
+#: src/config/options.inc:1140
 msgid "Button"
 msgstr ""
 
-#: src/config/options.inc:1073 src/config/options.inc:1081
+#: src/config/options.inc:1142 src/config/options.inc:1150
 msgid "Dialog button colors."
 msgstr ""
 
-#: src/config/options.inc:1075
+#: src/config/options.inc:1144
 msgid "Selected button"
 msgstr ""
 
-#: src/config/options.inc:1077 src/config/options.inc:1085
+#: src/config/options.inc:1146 src/config/options.inc:1154
 msgid "Dialog selected button colors."
 msgstr ""
 
-#: src/config/options.inc:1079
+#: src/config/options.inc:1148
 msgid "Button shortcut"
 msgstr ""
 
-#: src/config/options.inc:1083
+#: src/config/options.inc:1152
 #, fuzzy
 msgid "Selected button shortcut"
 msgstr "Paymti lauk"
 
-#: src/config/options.inc:1087 src/viewer/text/form.c:1866
+#: src/config/options.inc:1156 src/viewer/text/form.c:1895
 msgid "Text field"
 msgstr "Teksto laukas"
 
-#: src/config/options.inc:1089
+#: src/config/options.inc:1158
 msgid "Dialog text field colors."
 msgstr ""
 
-#: src/config/options.inc:1091
+#: src/config/options.inc:1160
 #, fuzzy
 msgid "Text field text"
 msgstr "Teksto laukas"
 
-#: src/config/options.inc:1093
+#: src/config/options.inc:1162
 msgid "Dialog field text colors."
 msgstr ""
 
-#: src/config/options.inc:1095
+#: src/config/options.inc:1164
 msgid "Meter"
 msgstr ""
 
-#: src/config/options.inc:1097
+#: src/config/options.inc:1166
 msgid "Dialog meter colors."
 msgstr ""
 
-#: src/config/options.inc:1099
+#: src/config/options.inc:1168
 msgid "Shadow"
 msgstr ""
 
-#: src/config/options.inc:1101
+#: src/config/options.inc:1170
 msgid "Dialog shadow colors (see ui.shadows option)."
 msgstr ""
 
-#: src/config/options.inc:1103
+#: src/config/options.inc:1172
 msgid "Title bar"
 msgstr ""
 
-#: src/config/options.inc:1105
+#: src/config/options.inc:1174
 msgid "Title bar colors."
 msgstr ""
 
-#: src/config/options.inc:1107
+#: src/config/options.inc:1176
 msgid "Generic title bar"
 msgstr ""
 
-#: src/config/options.inc:1109
+#: src/config/options.inc:1178
 msgid "Generic title bar colors."
 msgstr ""
 
-#: src/config/options.inc:1111
+#: src/config/options.inc:1180
 msgid "Title bar text"
 msgstr ""
 
-#: src/config/options.inc:1113
+#: src/config/options.inc:1182
 msgid "Title bar text colors."
 msgstr ""
 
-#: src/config/options.inc:1116
+#: src/config/options.inc:1185
 msgid "Status bar"
 msgstr ""
 
-#: src/config/options.inc:1118
+#: src/config/options.inc:1187
 msgid "Status bar colors."
 msgstr ""
 
-#: src/config/options.inc:1120
+#: src/config/options.inc:1189
 msgid "Generic status bar"
 msgstr ""
 
-#: src/config/options.inc:1122
+#: src/config/options.inc:1191
 msgid "Generic status bar colors."
 msgstr ""
 
-#: src/config/options.inc:1124
+#: src/config/options.inc:1193
 #, fuzzy
 msgid "Status bar text"
 msgstr "Iekok teksto"
 
-#: src/config/options.inc:1126
+#: src/config/options.inc:1195
 msgid "Status bar text colors."
 msgstr ""
 
-#: src/config/options.inc:1129
+#: src/config/options.inc:1198
 msgid "Tabs bar"
 msgstr ""
 
-#: src/config/options.inc:1131
+#: src/config/options.inc:1200
 msgid "Tabs bar colors."
 msgstr ""
 
-#: src/config/options.inc:1133
+#: src/config/options.inc:1202
 #, fuzzy
 msgid "Unvisited tab"
 msgstr "Paymti lauk"
 
-#: src/config/options.inc:1135
+#: src/config/options.inc:1204
 msgid ""
-"Tab colors for tabs that have not been\n"
-"selected since they completed loading."
+"Tab colors for tabs that have not been selected since they completed loading."
 msgstr ""
 
-#: src/config/options.inc:1138
+#: src/config/options.inc:1207
 #, fuzzy
 msgid "Unselected tab"
 msgstr "Paymti lauk"
 
-#: src/config/options.inc:1140
+#: src/config/options.inc:1209
 #, fuzzy
 msgid "Unselected tab colors."
 msgstr "Pribaigti foninius siuntimus"
 
-#: src/config/options.inc:1142
+#: src/config/options.inc:1211
 #, fuzzy
 msgid "Loading tab"
 msgstr "kraunasi"
 
-#: src/config/options.inc:1144
+#: src/config/options.inc:1213
 msgid "Tab colors for tabs that are loading in the background."
 msgstr ""
 
-#: src/config/options.inc:1146
+#: src/config/options.inc:1215
 #, fuzzy
 msgid "Selected tab"
 msgstr "Paymti lauk"
 
-#: src/config/options.inc:1148
+#: src/config/options.inc:1217
 #, fuzzy
 msgid "Selected tab colors."
 msgstr "Pribaigti foninius siuntimus"
 
-#: src/config/options.inc:1150
+#: src/config/options.inc:1219
 msgid "Tab separator"
 msgstr ""
 
-#: src/config/options.inc:1152
+#: src/config/options.inc:1221
 msgid "Tab separator colors."
 msgstr ""
 
-#: src/config/options.inc:1155
+#: src/config/options.inc:1224
 #, fuzzy
 msgid "Searched strings"
 msgstr "Neteisinga eilut"
 
-#: src/config/options.inc:1157
+#: src/config/options.inc:1226
 #, fuzzy
 msgid "Searched string highlight colors."
 msgstr "Paiekos eiut nerasta"
@@ -3866,69 +3880,69 @@ msgstr "Paiekos eiut nerasta"
 #. ============= BORING PART (colors) END ===================
 #. ==========================================================
 #. Keep options in alphabetical order.
-#: src/config/options.inc:1166
+#: src/config/options.inc:1235
 msgid "Dialog settings"
 msgstr ""
 
-#: src/config/options.inc:1168
+#: src/config/options.inc:1237
 msgid "Dialogs-specific appearance and behaviour settings."
 msgstr ""
 
-#: src/config/options.inc:1171
+#: src/config/options.inc:1240
 msgid "Minimal height of listbox widget"
 msgstr ""
 
-#: src/config/options.inc:1173
+#: src/config/options.inc:1242
 msgid ""
-"Minimal height of the listbox widget (used e.g. for bookmarks\n"
-"or global history)."
+"Minimal height of the listbox widget (used e.g. for bookmarks or global "
+"history)."
 msgstr ""
 
-#: src/config/options.inc:1176
+#: src/config/options.inc:1245
 msgid "Drop shadows"
 msgstr ""
 
-#: src/config/options.inc:1178
+#: src/config/options.inc:1247
 msgid ""
-"Make dialogs drop shadows (the shadows are solid, you can\n"
-"adjust their color by ui.colors.*.dialog.shadow). You may\n"
-"also want to eliminate the wide borders by adjusting setup.h."
+"Make dialogs drop shadows (the shadows are solid, you can adjust their color "
+"by ui.colors.*.dialog.shadow). You may also want to eliminate the wide "
+"borders by adjusting setup.h."
 msgstr ""
 
-#: src/config/options.inc:1182
+#: src/config/options.inc:1252
 #, fuzzy
 msgid "Underline menu hotkeys"
 msgstr "Paymti lauk"
 
-#: src/config/options.inc:1184
+#: src/config/options.inc:1254
 msgid ""
-"Whether to underline hotkeys in menus to make them more\n"
-"visible. Requires that underlining is enabled for the terminal."
+"Whether to underline hotkeys in menus to make them more visible. Requires "
+"that underlining is enabled for the terminal."
 msgstr ""
 
-#: src/config/options.inc:1187
+#: src/config/options.inc:1258
 #, fuzzy
 msgid "Underline button shortcuts"
 msgstr "Paymti lauk"
 
-#: src/config/options.inc:1189
+#: src/config/options.inc:1260
 msgid ""
-"Whether to underline button shortcuts to make them more\n"
-"visible. Requires that underlining is enabled for the terminal."
+"Whether to underline button shortcuts to make them more visible. Requires "
+"that underlining is enabled for the terminal."
 msgstr ""
 
-#: src/config/options.inc:1193
+#: src/config/options.inc:1265
 #, fuzzy
 msgid "Timer options"
 msgstr "Terminalo opcijos"
 
-#: src/config/options.inc:1195
+#: src/config/options.inc:1267
 msgid ""
-"Timed action after certain interval of user inactivity. Someone can\n"
-"even find this useful, although you may not believe that."
+"Timed action after certain interval of user inactivity. Someone can even "
+"find this useful, although you may not believe that."
 msgstr ""
 
-#: src/config/options.inc:1201
+#: src/config/options.inc:1274
 msgid ""
 "Whether to enable the timer or not:\n"
 "0 is don't count down anything\n"
@@ -3936,7 +3950,7 @@ msgid ""
 "2 is count down and show the timer near LEDs"
 msgstr ""
 
-#: src/config/options.inc:1208
+#: src/config/options.inc:1281
 msgid ""
 "Whether to enable the timer or not:\n"
 "0 is don't count down anything\n"
@@ -3944,35 +3958,35 @@ msgid ""
 "2 is count down and show the timer near LEDs (DISABLED)"
 msgstr ""
 
-#: src/config/options.inc:1214
+#: src/config/options.inc:1287
 msgid "Duration"
 msgstr ""
 
-#: src/config/options.inc:1216
+#: src/config/options.inc:1289
 msgid ""
-"Inactivity timeout in seconds. The maximum of one day\n"
-"should be enough for just everyone (TM)."
+"Inactivity timeout in seconds. The maximum of one day should be enough for "
+"just everyone (TM)."
 msgstr ""
 
-#: src/config/options.inc:1221
+#: src/config/options.inc:1294
 msgid "Keybinding action to be triggered when timer reaches zero."
 msgstr ""
 
-#: src/config/options.inc:1224
+#: src/config/options.inc:1298
 #, fuzzy
 msgid "Window tabs"
 msgstr "Langas"
 
-#: src/config/options.inc:1226
+#: src/config/options.inc:1300
 msgid "Window tabs settings."
 msgstr ""
 
-#: src/config/options.inc:1228
+#: src/config/options.inc:1302
 #, fuzzy
 msgid "Display tabs bar"
 msgstr "Parodyti ~usemap'"
 
-#: src/config/options.inc:1230
+#: src/config/options.inc:1304
 msgid ""
 "Show tabs bar on the screen:\n"
 "0 means never\n"
@@ -3980,170 +3994,169 @@ msgid ""
 "2 means always"
 msgstr ""
 
-#: src/config/options.inc:1235
+#: src/config/options.inc:1309
 msgid "Tab bar at top"
 msgstr ""
 
-#: src/config/options.inc:1237
+#: src/config/options.inc:1311
 msgid "Whether display tab bar at top like other browsers do."
 msgstr ""
 
-#: src/config/options.inc:1239
+#: src/config/options.inc:1313
 msgid "Wrap-around tabs cycling"
 msgstr ""
 
-#: src/config/options.inc:1241
+#: src/config/options.inc:1315
 msgid ""
-"When moving right from the last tab, jump to the first one, and\n"
-"vice versa."
+"When moving right from the last tab, jump to the first one, and vice versa."
 msgstr ""
 
-#: src/config/options.inc:1244
+#: src/config/options.inc:1318
 msgid "Confirm tab closing"
 msgstr ""
 
-#: src/config/options.inc:1246
+#: src/config/options.inc:1320
 msgid "When closing a tab show confirmation dialog."
 msgstr ""
 
 #. OPT_LANGUAGE
-#: src/config/options.inc:1250 src/config/opttypes.c:483
+#: src/config/options.inc:1324 src/config/opttypes.c:483
 msgid "Language"
 msgstr ""
 
-#: src/config/options.inc:1252
+#: src/config/options.inc:1326
 msgid ""
-"Language of user interface. 'System' means that the language will\n"
-"be extracted from the environment dynamically."
+"Language of user interface. 'System' means that the language will be "
+"extracted from the environment dynamically."
 msgstr ""
 
-#: src/config/options.inc:1255
+#: src/config/options.inc:1330
 #, fuzzy
 msgid "Display menu bar always"
 msgstr "Parodyti ~usemap'"
 
-#: src/config/options.inc:1257
+#: src/config/options.inc:1332
 msgid "Always show menu bar on the screen."
 msgstr ""
 
-#: src/config/options.inc:1259
+#: src/config/options.inc:1334
 #, fuzzy
 msgid "Display status bar"
 msgstr "Parodyti ~usemap'"
 
-#: src/config/options.inc:1261
+#: src/config/options.inc:1336
 msgid "Show status bar on the screen."
 msgstr ""
 
-#: src/config/options.inc:1263
+#: src/config/options.inc:1338
 #, fuzzy
 msgid "Display title bar"
 msgstr "Parodyti ~usemap'"
 
-#: src/config/options.inc:1265
+#: src/config/options.inc:1340
 msgid "Show title bar on the screen."
 msgstr ""
 
-#: src/config/options.inc:1267
+#: src/config/options.inc:1342
 msgid "Display goto dialog in new tabs"
 msgstr ""
 
-#: src/config/options.inc:1269
+#: src/config/options.inc:1344
 msgid ""
-"Pop up goto dialog in newly created tabs when there's no homepage\n"
-"set. This means also showing goto dialog on startup."
+"Pop up goto dialog in newly created tabs when there's no homepage set. This "
+"means also showing goto dialog on startup."
 msgstr ""
 
-#: src/config/options.inc:1272
+#: src/config/options.inc:1348
 msgid "Show a message box when file is saved successfully"
 msgstr ""
 
-#: src/config/options.inc:1274
+#: src/config/options.inc:1350
 msgid ""
-"When you pressed a [ Save ] button in some manager, this option\n"
-"will make sure that a box confirming success of the operation will\n"
-"pop up."
+"When you pressed a [ Save ] button in some manager, this option will make "
+"sure that a box confirming success of the operation will pop up."
 msgstr ""
 
-#: src/config/options.inc:1279
+#: src/config/options.inc:1355
 #, fuzzy
 msgid "Sessions"
 msgstr "Priesaga(os)"
 
-#: src/config/options.inc:1281
+#: src/config/options.inc:1357
 msgid "Sessions settings."
 msgstr ""
 
-#: src/config/options.inc:1283
+#: src/config/options.inc:1359
 msgid "Keep session active"
 msgstr ""
 
-#: src/config/options.inc:1285
+#: src/config/options.inc:1361
 msgid "Keep the session active even if the last terminal exits."
 msgstr ""
 
-#: src/config/options.inc:1287
+#: src/config/options.inc:1364
 msgid "Auto save session"
 msgstr ""
 
-#: src/config/options.inc:1289
+#: src/config/options.inc:1366
 msgid ""
 "Automatically save the session when quitting.\n"
+"\n"
 "This feature requires bookmark support."
 msgstr ""
 
-#: src/config/options.inc:1292
+#: src/config/options.inc:1370
 msgid "Auto restore session"
 msgstr ""
 
-#: src/config/options.inc:1294
+#: src/config/options.inc:1372
 msgid ""
 "Automatically restore the session at start.\n"
+"\n"
 "This feature requires bookmark support."
 msgstr ""
 
-#: src/config/options.inc:1297
+#: src/config/options.inc:1376
 msgid "Auto save and restore session folder name"
 msgstr ""
 
-#: src/config/options.inc:1299
+#: src/config/options.inc:1378
 msgid ""
-"Name of the bookmarks folder used for auto saving and restoring session.\n"
-"The name has to be unique. Any folders with the same name will be deleted.\n"
+"Name of the bookmarks folder used for auto saving and restoring session. The "
+"name has to be unique. Any folders with the same name will be deleted.\n"
+"\n"
 "This only makes sense with bookmark support."
 msgstr ""
 
-#: src/config/options.inc:1303
+#: src/config/options.inc:1384
 #, fuzzy
 msgid "Homepage URI"
 msgstr "koduot"
 
-#: src/config/options.inc:1305
+#: src/config/options.inc:1386
 msgid ""
-"The URI to load either at startup time when no URI was given\n"
-"on the command line or when requested by the goto-url-home action.\n"
-"Set to \"\" if the environment variable WWW_HOME should be used\n"
-"as homepage URI instead."
+"The URI to load either at startup time when no URI was given on the command "
+"line or when requested by the goto-url-home action. Set to \"\" if the "
+"environment variable WWW_HOME should be used as homepage URI instead."
 msgstr ""
 
-#: src/config/options.inc:1311
+#: src/config/options.inc:1392
 #, fuzzy
 msgid "Date format"
 msgstr "Nusisti fail"
 
-#: src/config/options.inc:1313
+#: src/config/options.inc:1394
 msgid "Date format to use in dialogs. See strftime(3)."
 msgstr ""
 
-#: src/config/options.inc:1316
+#: src/config/options.inc:1397
 msgid "Set window title"
 msgstr ""
 
-#: src/config/options.inc:1318
+#: src/config/options.inc:1399
 msgid ""
-"Set the window title when running in a windowing environment\n"
-"in an xterm-like terminal. This way the document's title is\n"
-"shown on the window titlebar."
+"Set the window title when running in a windowing environment in an xterm-"
+"like terminal. This way the document's title is shown on the window titlebar."
 msgstr ""
 
 #: src/config/opttypes.c:54
@@ -4230,7 +4243,7 @@ msgid "Goto URL History"
 msgstr "Nr istorijos"
 
 #. name:
-#: src/cookies/cookies.c:88 src/cookies/cookies.c:911
+#: src/cookies/cookies.c:88 src/cookies/cookies.c:913
 msgid "Cookies"
 msgstr ""
 
@@ -4260,10 +4273,10 @@ msgstr "Jungiams"
 msgid ""
 "Cookie maximum age (in days):\n"
 "-1 is use cookie's expiration date if any\n"
-"0  is force expiration at the end of session, ignoring cookie's\n"
-"   expiration date\n"
-"1+ is use cookie's expiration date, but limit age to the given\n"
-"   number of days"
+"0  is force expiration at the end of session, ignoring\n"
+"   cookie's expiration date\n"
+"1+ is use cookie's expiration date, but limit age to the\n"
+"   given number of days"
 msgstr ""
 
 #: src/cookies/cookies.c:109
@@ -4272,42 +4285,42 @@ msgstr ""
 
 #: src/cookies/cookies.c:111
 msgid ""
-"When enabled, we'll require three dots in cookies domain for all\n"
-"non-international domains (instead of just two dots). Some countries\n"
-"have generic second level domains (eg. .com.pl, .co.uk) and allowing\n"
-"sites to set cookies for these generic domains could potentially be\n"
-"very bad. Note, it is off by default as it breaks a lot of sites."
+"When enabled, we'll require three dots in cookies domain for all non-"
+"international domains (instead of just two dots). Some countries have "
+"generic second level domains (eg. .com.pl, .co.uk) and allowing sites to set "
+"cookies for these generic domains could potentially be very bad. Note, it is "
+"off by default as it breaks a lot of sites."
 msgstr ""
 
-#: src/cookies/cookies.c:117
+#: src/cookies/cookies.c:118
 #, fuzzy
 msgid "Saving"
 msgstr "vid."
 
-#: src/cookies/cookies.c:119
+#: src/cookies/cookies.c:120
 msgid "Whether cookies should be loaded from and saved to disk."
 msgstr ""
 
-#: src/cookies/cookies.c:121
+#: src/cookies/cookies.c:123
 msgid "Resaving"
 msgstr ""
 
-#: src/cookies/cookies.c:123
+#: src/cookies/cookies.c:125
 msgid ""
-"Save cookies after each change in cookies list? No effect when\n"
-"cookie saving (cookies.save) is off."
+"Save cookies after each change in cookies list? No effect when cookie saving "
+"(cookies.save) is off."
 msgstr ""
 
-#: src/cookies/cookies.c:817
+#: src/cookies/cookies.c:819
 #, fuzzy
 msgid "Cannot save cookies"
 msgstr "Klaida bandant rayti  fail"
 
-#: src/cookies/cookies.c:828
+#: src/cookies/cookies.c:830
 msgid "ELinks was started without a home directory."
 msgstr ""
 
-#: src/cookies/cookies.c:834
+#: src/cookies/cookies.c:836
 msgid "ELinks was started with the -anonymous option."
 msgstr ""
 
@@ -4522,7 +4535,7 @@ msgid "No header info."
 msgstr ""
 
 #: src/dialogs/download.c:243 src/dialogs/menu.c:601
-#: src/protocol/bittorrent/dialogs.c:228 src/session/download.c:361
+#: src/protocol/bittorrent/dialogs.c:228 src/session/download.c:387
 msgid "Download"
 msgstr "Parsisisk"
 
@@ -5378,7 +5391,7 @@ msgid "No document"
 msgstr "dokumentai"
 
 #. name:
-#: src/document/css/css.c:30 src/document/css/css.c:161
+#: src/document/css/css.c:30 src/document/css/css.c:164
 msgid "Cascading Style Sheets"
 msgstr ""
 
@@ -5386,36 +5399,36 @@ msgstr ""
 msgid "Options concerning how to use CSS for styling documents."
 msgstr ""
 
-#: src/document/css/css.c:34
+#: src/document/css/css.c:35
 #, fuzzy
 msgid "Enable CSS"
 msgstr "vardas"
 
-#: src/document/css/css.c:36
+#: src/document/css/css.c:37
 msgid "Enable adding of CSS style info to documents."
 msgstr ""
 
-#: src/document/css/css.c:38
+#: src/document/css/css.c:39
 msgid "Import external style sheets"
 msgstr ""
 
-#: src/document/css/css.c:40
+#: src/document/css/css.c:41
 msgid ""
-"When enabled any external style sheets that are imported from\n"
-"either CSS itself using the @import keyword or from the HTML using\n"
-"<link> tags in the document header will also be downloaded."
+"When enabled any external style sheets that are imported from either CSS "
+"itself using the @import keyword or from the HTML using <link> tags in the "
+"document header will also be downloaded."
 msgstr ""
 
-#: src/document/css/css.c:44
+#: src/document/css/css.c:46
 msgid "Default style sheet"
 msgstr ""
 
-#: src/document/css/css.c:46
+#: src/document/css/css.c:48
 msgid ""
-"The path to the file containing the default user defined\n"
-"Cascading Style Sheet. It can be used to control the basic\n"
-"layout of HTML documents. The path is assumed to be relative\n"
-"to ELinks' home directory.\n"
+"The path to the file containing the default user defined Cascading Style "
+"Sheet. It can be used to control the basic layout of HTML documents. The "
+"path is assumed to be relative to ELinks' home directory.\n"
+"\n"
 "Leave as \"\" to use built-in document styling."
 msgstr ""
 
@@ -5447,8 +5460,8 @@ msgstr ""
 
 #: src/ecmascript/ecmascript.c:55
 msgid ""
-"Whether to ignore content enclosed by the <noscript> tag\n"
-"when ECMAScript is enabled."
+"Whether to ignore content enclosed by the <noscript> tag when ECMAScript is "
+"enabled."
 msgstr ""
 
 #: src/ecmascript/ecmascript.c:58
@@ -5500,7 +5513,7 @@ msgid "JavaScript Error"
 msgstr ""
 
 #. name:
-#: src/ecmascript/spidermonkey.c:320
+#: src/ecmascript/spidermonkey.c:321
 msgid "SpiderMonkey"
 msgstr ""
 
@@ -5598,9 +5611,8 @@ msgstr "Terminalo opcijos"
 
 #: src/formhist/formhist.c:38
 msgid ""
-"Ask if a login form should be saved to file or not.\n"
-"This option only disables the dialog, already saved login\n"
-"forms are unaffected."
+"Ask if a login form should be saved to file or not. This option only "
+"disables the dialog, already saved login forms are unaffected."
 msgstr ""
 
 #: src/formhist/formhist.c:426
@@ -5702,20 +5714,20 @@ msgstr ""
 msgid "Enable global history (\"history of all pages visited\")."
 msgstr ""
 
-#: src/globhist/globhist.c:68
+#: src/globhist/globhist.c:69
 msgid "Maximum number of entries"
 msgstr ""
 
-#: src/globhist/globhist.c:70
+#: src/globhist/globhist.c:71
 msgid "Maximum number of entries in the global history."
 msgstr ""
 
-#: src/globhist/globhist.c:72
+#: src/globhist/globhist.c:73
 #, fuzzy
 msgid "Display style"
 msgstr "Parodyti ~usemap'"
 
-#: src/globhist/globhist.c:74
+#: src/globhist/globhist.c:75
 msgid ""
 "What to display in global history dialog:\n"
 "0 is URLs\n"
@@ -5723,7 +5735,7 @@ msgid ""
 msgstr ""
 
 #. name:
-#: src/globhist/globhist.c:451
+#: src/globhist/globhist.c:449
 #, fuzzy
 msgid "Global History"
 msgstr "Nr istorijos"
@@ -5952,101 +5964,95 @@ msgstr ""
 
 #: src/mime/backend/default.c:27
 msgid ""
-"Handler <-> MIME type association. The first sub-tree is the MIME\n"
-"class while the second sub-tree is the MIME type (ie. image/gif\n"
-"handler will reside at mime.type.image.gif). Each MIME type option\n"
-"should contain (case-sensitive) name of the MIME handler (its\n"
-"properties are stored at mime.handler.<name>)."
+"Handler <-> MIME type association. The first sub-tree is the MIME class "
+"while the second sub-tree is the MIME type (ie. image/gif handler will "
+"reside at mime.type.image.gif). Each MIME type option should contain (case-"
+"sensitive) name of the MIME handler (its properties are stored at mime."
+"handler.<name>)."
 msgstr ""
 
-#: src/mime/backend/default.c:35
+#: src/mime/backend/default.c:36
 msgid ""
-"Handler matching this MIME-type class ('*' is used here in place\n"
-"of '.')."
+"Handler matching this MIME-type class ('*' is used here in place of '.')."
 msgstr ""
 
-#: src/mime/backend/default.c:40
+#: src/mime/backend/default.c:41
 msgid ""
-"Handler matching this MIME-type name ('*' is used here in place\n"
-"of '.')."
+"Handler matching this MIME-type name ('*' is used here in place of '.')."
 msgstr ""
 
-#: src/mime/backend/default.c:44
+#: src/mime/backend/default.c:45
 msgid "File type handlers"
 msgstr ""
 
-#: src/mime/backend/default.c:46
+#: src/mime/backend/default.c:47
 msgid ""
-"A file type handler is a set of information about how to use\n"
-"an external program to view a file. It is possible to refer to it\n"
-"for several MIME types -- e.g., you can define an 'image' handler\n"
-"to which mime.type.image.png, mime.type.image.jpeg, and so on will\n"
-"refer; or one might define a handler for a more specific type of file\n"
-"-- e.g., PDF files.\n"
-"Note you must define both a MIME handler and a MIME type association\n"
-"for it to work."
+"A file type handler is a set of information about how to use an external "
+"program to view a file. It is possible to refer to it for several MIME types "
+"-- e.g., you can define an 'image' handler to which mime.type.image.png, "
+"mime.type.image.jpeg, and so on will refer; or one might define a handler "
+"for a more specific type of file -- e.g., PDF files. Note you must define "
+"both a MIME handler and a MIME type association for it to work."
 msgstr ""
 
-#: src/mime/backend/default.c:57
+#: src/mime/backend/default.c:58
 msgid "Description of this handler."
 msgstr ""
 
-#: src/mime/backend/default.c:61
+#: src/mime/backend/default.c:62
 msgid "System-specific handler description (ie. unix, unix-xwin, ...)."
 msgstr ""
 
-#: src/mime/backend/default.c:63 src/mime/backend/mailcap.c:102
+#: src/mime/backend/default.c:65 src/mime/backend/mailcap.c:102
 msgid "Ask before opening"
 msgstr ""
 
-#: src/mime/backend/default.c:65
+#: src/mime/backend/default.c:67
 msgid "Ask before opening."
 msgstr ""
 
-#: src/mime/backend/default.c:67
+#: src/mime/backend/default.c:69
 #, fuzzy
 msgid "Block terminal"
 msgstr "~BeOS terminalas"
 
-#: src/mime/backend/default.c:69
+#: src/mime/backend/default.c:71
 msgid "Block the terminal when the handler is running."
 msgstr ""
 
-#: src/mime/backend/default.c:71
+#: src/mime/backend/default.c:73
 #, fuzzy
 msgid "Program"
 msgstr "Nr programos"
 
-#: src/mime/backend/default.c:74
+#: src/mime/backend/default.c:76
 #, no-c-format
 msgid ""
-"External viewer for this file type. '%' in this string will be\n"
-"substituted by a file name.\n"
-"Do _not_ put single- or double-quotes around the % sign."
+"External viewer for this file type. '%' in this string will be substituted "
+"by a file name. Do _not_ put single- or double-quotes around the % sign."
 msgstr ""
 
-#: src/mime/backend/default.c:79
+#: src/mime/backend/default.c:81
 #, fuzzy
 msgid "File extension associations"
 msgstr "Fail pltiniai"
 
-#: src/mime/backend/default.c:81
+#: src/mime/backend/default.c:83
 msgid "Extension <-> MIME type association."
 msgstr ""
 
-#: src/mime/backend/default.c:85
+#: src/mime/backend/default.c:87
 msgid ""
-"MIME-type matching this file extension ('*' is used here in place\n"
-"of '.')."
+"MIME-type matching this file extension ('*' is used here in place of '.')."
 msgstr ""
 
 #. name:
-#: src/mime/backend/default.c:216
+#: src/mime/backend/default.c:218
 msgid "Option system"
 msgstr ""
 
 #. name:
-#: src/mime/backend/mailcap.c:89 src/mime/backend/mailcap.c:684
+#: src/mime/backend/mailcap.c:89 src/mime/backend/mailcap.c:686
 msgid "Mailcap"
 msgstr ""
 
@@ -6060,8 +6066,8 @@ msgstr ""
 
 #: src/mime/backend/mailcap.c:99
 msgid ""
-"Mailcap search path. Colon-separated list of files.\n"
-"Leave as \"\" to use MAILCAP environment variable instead."
+"Mailcap search path. Colon-separated list of files. Leave as \"\" to use "
+"MAILCAP environment variable instead."
 msgstr ""
 
 #: src/mime/backend/mailcap.c:104
@@ -6074,39 +6080,38 @@ msgstr ""
 
 #: src/mime/backend/mailcap.c:108
 msgid ""
-"Type of description to show in \"what to do with this file\"\n"
-"query dialog:\n"
+"Type of description to show in \"what to do with this file\" query dialog:\n"
 "0 is show \"mailcap\"\n"
 "1 is show program to be run\n"
-"2 is show mailcap description field if any; \"mailcap\" otherwise"
+"2 is show mailcap description field if any;\n"
+"     \"mailcap\" otherwise"
 msgstr ""
 
-#: src/mime/backend/mailcap.c:114
+#: src/mime/backend/mailcap.c:115
 msgid "Prioritize entries by file"
 msgstr ""
 
-#: src/mime/backend/mailcap.c:116
+#: src/mime/backend/mailcap.c:117
 msgid ""
-"Prioritize entries by the order of the files in the mailcap\n"
-"path. This means that wildcard entries (like: image/*) will\n"
-"also be checked before deciding the handler."
+"Prioritize entries by the order of the files in the mailcap path. This means "
+"that wildcard entries (like: image/*) will also be checked before deciding "
+"the handler."
 msgstr ""
 
-#: src/mime/backend/mailcap.c:349
+#: src/mime/backend/mailcap.c:351
 #, c-format
 msgid "Badly formated mailcap entry for type %s in \"%s\" line %d"
 msgstr ""
 
 #. name:
-#: src/mime/backend/mimetypes.c:46 src/mime/backend/mimetypes.c:279
+#: src/mime/backend/mimetypes.c:46 src/mime/backend/mimetypes.c:280
 msgid "Mimetypes files"
 msgstr ""
 
 #: src/mime/backend/mimetypes.c:48
 msgid ""
-"Options for the support of mime.types files. These files\n"
-"can be used to find the content type of a URL by looking at\n"
-"the extension of the file name."
+"Options for the support of mime.types files. These files can be used to find "
+"the content type of a URL by looking at the extension of the file name."
 msgstr ""
 
 #: src/mime/backend/mimetypes.c:54
@@ -6143,7 +6148,7 @@ msgid "No extensions"
 msgstr "Nra pltini"
 
 #. name:
-#: src/mime/mime.c:38 src/mime/mime.c:360
+#: src/mime/mime.c:38 src/mime/mime.c:361
 msgid "MIME"
 msgstr ""
 
@@ -6157,8 +6162,8 @@ msgstr ""
 
 #: src/mime/mime.c:44
 msgid ""
-"Document MIME-type to assume by default (when we are unable to\n"
-"guess it properly from known information about the document)."
+"Document MIME-type to assume by default (when we are unable to guess it "
+"properly from known information about the document)."
 msgstr ""
 
 #: src/network/ssl/ssl.c:72 src/network/ssl/ssl.c:161
@@ -6167,8 +6172,8 @@ msgstr ""
 
 #: src/network/ssl/ssl.c:74
 msgid ""
-"Verify the peer's SSL certificate. Note that this\n"
-"needs extensive configuration of OpenSSL by the user."
+"Verify the peer's SSL certificate. Note that this needs extensive "
+"configuration of OpenSSL by the user."
 msgstr ""
 
 #: src/network/ssl/ssl.c:77
@@ -6182,8 +6187,8 @@ msgstr "Terminalo opcijos"
 
 #: src/network/ssl/ssl.c:83
 msgid ""
-"Enable or not the sending of X509 client certificates\n"
-"to servers which request them."
+"Enable or not the sending of X509 client certificates to servers which "
+"request them."
 msgstr ""
 
 #: src/network/ssl/ssl.c:86
@@ -6193,16 +6198,15 @@ msgstr "numatytas laikas"
 
 #: src/network/ssl/ssl.c:88
 msgid ""
-"The location of a file containing the client certificate\n"
-"and unencrypted private key in PEM format. If unset, the\n"
-"file pointed to by the X509_CLIENT_CERT variable is used\n"
-"instead."
+"The location of a file containing the client certificate and unencrypted "
+"private key in PEM format. If unset, the file pointed to by the "
+"X509_CLIENT_CERT variable is used instead."
 msgstr ""
 
 #: src/network/ssl/ssl.c:163
 msgid ""
-"Verify the peer's SSL certificate.  If you enable\n"
-"this, set also \"Trusted CA file\"."
+"Verify the peer's SSL certificate.  If you enable this, set also \"Trusted "
+"CA file\"."
 msgstr ""
 
 #. The default value of the following option points to a file
@@ -6220,20 +6224,20 @@ msgstr "Siuniam"
 
 #: src/network/ssl/ssl.c:176
 msgid ""
-"The location of a file containing certificates of\n"
-"trusted certification authorities in PEM format.\n"
-"ELinks then trusts certificates issued by these CAs.\n"
-"If you change this option or the file, you must\n"
-"restart ELinks for the changes to take effect.\n"
-"This option affects GnuTLS but not OpenSSL."
+"The location of a file containing certificates of trusted certification "
+"authorities in PEM format. ELinks then trusts certificates issued by these "
+"CAs.\n"
+"\n"
+"If you change this option or the file, you must restart ELinks for the "
+"changes to take effect. This option affects GnuTLS but not OpenSSL."
 msgstr ""
 
 #. name:
-#: src/network/ssl/ssl.c:199 src/network/ssl/ssl.c:216
+#: src/network/ssl/ssl.c:200 src/network/ssl/ssl.c:217
 msgid "SSL"
 msgstr ""
 
-#: src/network/ssl/ssl.c:201
+#: src/network/ssl/ssl.c:202
 #, fuzzy
 msgid "SSL options."
 msgstr "I~saugoti pakeitimus"
@@ -6569,7 +6573,7 @@ msgstr "Lankomiausi vadybininkas"
 msgid "Login"
 msgstr ""
 
-#: src/protocol/auth/dialogs.c:113 src/protocol/http/http.c:140
+#: src/protocol/auth/dialogs.c:113 src/protocol/http/http.c:142
 msgid "Password"
 msgstr ""
 
@@ -6646,7 +6650,7 @@ msgstr "Lankomiausi vadybininkas"
 
 #. name:
 #: src/protocol/bittorrent/bittorrent.c:26
-#: src/protocol/bittorrent/bittorrent.c:335
+#: src/protocol/bittorrent/bittorrent.c:339
 msgid "BitTorrent"
 msgstr ""
 
@@ -6701,9 +6705,8 @@ msgstr ""
 
 #: src/protocol/bittorrent/bittorrent.c:57
 msgid ""
-"Whether to request that the tracker returns peer info\n"
-"in compact format. Note, the compact format only supports\n"
-"IPv4 addresses."
+"Whether to request that the tracker returns peer info in compact format. "
+"Note, the compact format only supports IPv4 addresses."
 msgstr ""
 
 #: src/protocol/bittorrent/bittorrent.c:61
@@ -6712,57 +6715,55 @@ msgstr ""
 
 #: src/protocol/bittorrent/bittorrent.c:63
 msgid ""
-"The number of seconds to wait between periodically contacting\n"
-"the tracker for announcing progress and requesting more peers.\n"
-"Set to zero to use the interval requested by the tracker."
+"The number of seconds to wait between periodically contacting the tracker "
+"for announcing progress and requesting more peers. Set to zero to use the "
+"interval requested by the tracker."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:67
+#: src/protocol/bittorrent/bittorrent.c:68
 msgid "IP-address to announce"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:69
+#: src/protocol/bittorrent/bittorrent.c:70
 msgid ""
-"What IP address to report to the tracker. If set to \"\"\n"
-"no IP address will be sent and the tracker will automatically\n"
-"determine an appropriate IP address."
+"What IP address to report to the tracker. If set to \"\" no IP address will "
+"be sent and the tracker will automatically determine an appropriate IP "
+"address."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:73
+#: src/protocol/bittorrent/bittorrent.c:74
 #, fuzzy
 msgid "User identification string"
 msgstr "Terminalo opcijos"
 
-#: src/protocol/bittorrent/bittorrent.c:75
+#: src/protocol/bittorrent/bittorrent.c:76
 msgid ""
-"An additional identification that is not shared with any users.\n"
-"It is intended to allow a client to prove their identity should\n"
-"their IP address change. It is an optional parameter, but some\n"
-"trackers require this parameter. If set to \"\" no user key will\n"
-"be sent to the tracker."
+"An additional identification that is not shared with any users. It is "
+"intended to allow a client to prove their identity should their IP address "
+"change. It is an optional parameter, but some trackers require this "
+"parameter. If set to \"\" no user key will be sent to the tracker."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:81
+#: src/protocol/bittorrent/bittorrent.c:82
 #, fuzzy
 msgid "Maximum number of peers to request"
 msgstr "Jungiams"
 
-#: src/protocol/bittorrent/bittorrent.c:83
+#: src/protocol/bittorrent/bittorrent.c:84
 msgid ""
-"The maximum number of peers to request from the tracker.\n"
-"Set to 0 to use the server default."
+"The maximum number of peers to request from the tracker. Set to 0 to use the "
+"server default."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:86
+#: src/protocol/bittorrent/bittorrent.c:87
 msgid "Minimum peers to skip rerequesting"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:88
+#: src/protocol/bittorrent/bittorrent.c:89
 msgid ""
-"The minimum number of peers to have in the current peer info\n"
-"pool before skipping requesting of more peers. I.e. setting\n"
-"numwant to zero.\n"
-"Set to 0 to not have any limit."
+"The minimum number of peers to have in the current peer info pool before "
+"skipping requesting of more peers. I.e. setting numwant to zero. Set to 0 to "
+"not have any limit."
 msgstr ""
 
 #. ******************************************************************
@@ -6783,182 +6784,177 @@ msgstr "Jungiams"
 
 #: src/protocol/bittorrent/bittorrent.c:104
 msgid ""
-"The maximum number of allowed connections to both active and\n"
-"non-active peers. By increasing the number of allowed connections,\n"
-"the chance of finding good peers to download from is increased.\n"
-"However, too many connections can lead to TCP congestion. If the\n"
-"maximum is reached all new incoming connections will be closed."
+"The maximum number of allowed connections to both active and non-active "
+"peers. By increasing the number of allowed connections, the chance of "
+"finding good peers to download from is increased. However, too many "
+"connections can lead to TCP congestion. If the maximum is reached all new "
+"incoming connections will be closed."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:110
+#: src/protocol/bittorrent/bittorrent.c:111
 msgid "Maximum peer message length"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:112
+#: src/protocol/bittorrent/bittorrent.c:113
 msgid ""
-"The maximum length of messages to accept over the wire.\n"
-"Larger values will cause the connection to be dropped."
+"The maximum length of messages to accept over the wire. Larger values will "
+"cause the connection to be dropped."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:115
+#: src/protocol/bittorrent/bittorrent.c:116
 msgid "Maximum allowed request length"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:117
+#: src/protocol/bittorrent/bittorrent.c:118
 msgid ""
-"The maximum length to allow for incoming requests.\n"
-"Larger requests will cause the connection to be dropped."
+"The maximum length to allow for incoming requests. Larger requests will "
+"cause the connection to be dropped."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:120
+#: src/protocol/bittorrent/bittorrent.c:121
 msgid "Length of requests"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:122
+#: src/protocol/bittorrent/bittorrent.c:123
 msgid ""
-"How many bytes to query for per request. This is complementary\n"
-"to the max_request_length option. If the configured length is\n"
-"bigger than the piece length it will be truncated."
+"How many bytes to query for per request. This is complementary to the "
+"max_request_length option. If the configured length is bigger than the piece "
+"length it will be truncated."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:126
+#: src/protocol/bittorrent/bittorrent.c:128
 #, fuzzy
 msgid "Peer inactivity timeout"
 msgstr "Gavimo timeout'as"
 
-#: src/protocol/bittorrent/bittorrent.c:128
+#: src/protocol/bittorrent/bittorrent.c:130
 msgid ""
-"The number of seconds to wait before closing a socket on\n"
-"which nothing has been received or sent."
+"The number of seconds to wait before closing a socket on which nothing has "
+"been received or sent."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:131
+#: src/protocol/bittorrent/bittorrent.c:133
 #, fuzzy
 msgid "Maximum peer pool size"
 msgstr "Jungiams"
 
-#: src/protocol/bittorrent/bittorrent.c:133
+#: src/protocol/bittorrent/bittorrent.c:135
 msgid ""
-"Maximum number of items in the peer pool. The peer pool\n"
-"contains information used for establishing connections to\n"
-"new peers.\n"
+"Maximum number of items in the peer pool. The peer pool contains information "
+"used for establishing connections to new peers.\n"
+"\n"
 "Set to 0 to have unlimited size."
 msgstr ""
 
 #. ******************************************************************
 #. Piece management options:
 #. ******************************************************************
-#: src/protocol/bittorrent/bittorrent.c:143
+#: src/protocol/bittorrent/bittorrent.c:146
 #, fuzzy
 msgid "Maximum piece cache size"
 msgstr "Jungiams"
 
-#: src/protocol/bittorrent/bittorrent.c:145
+#: src/protocol/bittorrent/bittorrent.c:148
 msgid ""
-"The maximum amount of memory used to hold recently\n"
-"downloaded pieces.\n"
+"The maximum amount of memory used to hold recently downloaded pieces.\n"
+"\n"
 "Set to 0 to have unlimited size."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:154
+#: src/protocol/bittorrent/bittorrent.c:158
 msgid "Sharing rate"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:156
+#: src/protocol/bittorrent/bittorrent.c:160
 msgid ""
-"The minimum sharing rate to achieve before stop seeding.\n"
-"The sharing rate is computed as the number of uploaded bytes\n"
-"divided with the number of downloaded bytes. The value should\n"
-"be a double value between 0.0 and 1.0 both included.\n"
-"Set to 1.0 to atleast upload a complete copy of all data and\n"
+"The minimum sharing rate to achieve before stop seeding. The sharing rate is "
+"computed as the number of uploaded bytes divided with the number of "
+"downloaded bytes. The value should be a double value between 0.0 and 1.0 "
+"both included. Set to 1.0 to atleast upload a complete copy of all data and "
 "set to 0.0 to have unlimited sharing rate."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:163
+#: src/protocol/bittorrent/bittorrent.c:167
 msgid "Maximum number of uploads"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:165
+#: src/protocol/bittorrent/bittorrent.c:169
 msgid "The maximum number of uploads to allow at once."
 msgstr ""
 
 #. The number of uploads to fill out to with extra optimistic unchokes
-#: src/protocol/bittorrent/bittorrent.c:168
+#: src/protocol/bittorrent/bittorrent.c:172
 msgid "Minimum number of uploads"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:170
+#: src/protocol/bittorrent/bittorrent.c:174
 msgid ""
-"The minimum number of uploads which should at least\n"
-"be used for new connections."
+"The minimum number of uploads which should at least be used for new "
+"connections."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:174
+#: src/protocol/bittorrent/bittorrent.c:178
 #, fuzzy
 msgid "Keepalive interval"
 msgstr "Isaugojimo klaida"
 
-#: src/protocol/bittorrent/bittorrent.c:176
-msgid ""
-"The number of seconds to pause between sending keepalive\n"
-"messages."
+#: src/protocol/bittorrent/bittorrent.c:180
+msgid "The number of seconds to pause between sending keepalive messages."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:179
+#: src/protocol/bittorrent/bittorrent.c:183
 #, fuzzy
 msgid "Number of pending requests"
 msgstr "Serveris kramto uklaus"
 
-#: src/protocol/bittorrent/bittorrent.c:181
+#: src/protocol/bittorrent/bittorrent.c:185
 msgid ""
-"How many piece requests to continuously keep in queue. Pipelining\n"
-"of requests is essential to saturate connections and get a good\n"
-"connection performance and thus a faster download. However, a\n"
-"very big queue size can lead to wasting bandwidth near the end\n"
-"of the connection since remaining piece blocks will be requested\n"
-"from multiple peers."
+"How many piece requests to continuously keep in queue. Pipelining of "
+"requests is essential to saturate connections and get a good connection "
+"performance and thus a faster download. However, a very big queue size can "
+"lead to wasting bandwidth near the end of the connection since remaining "
+"piece blocks will be requested from multiple peers."
 msgstr ""
 
 #. Bram uses 30 seconds here.
-#: src/protocol/bittorrent/bittorrent.c:190
+#: src/protocol/bittorrent/bittorrent.c:194
 msgid "Peer snubbing interval"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:192
+#: src/protocol/bittorrent/bittorrent.c:196
 msgid ""
-"The number of seconds to wait for file data before assuming\n"
-"the peer has been snubbed."
+"The number of seconds to wait for file data before assuming the peer has "
+"been snubbed."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:195
+#: src/protocol/bittorrent/bittorrent.c:199
 #, fuzzy
 msgid "Peer choke interval"
 msgstr "Isaugojimo klaida"
 
-#: src/protocol/bittorrent/bittorrent.c:197
+#: src/protocol/bittorrent/bittorrent.c:201
 msgid ""
-"The number of seconds between updating the connection state\n"
-"and most importantly choke and unchoke peer connections. The\n"
-"choke period should be big enough for newly unchoked connections\n"
-"to get started but small enough to not allow freeriders too much\n"
-"room for stealing bandwidth."
+"The number of seconds between updating the connection state and most "
+"importantly choke and unchoke peer connections. The choke period should be "
+"big enough for newly unchoked connections to get started but small enough to "
+"not allow freeriders too much room for stealing bandwidth."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:203
+#: src/protocol/bittorrent/bittorrent.c:207
 msgid "Rarest first piece selection cutoff"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:205
+#: src/protocol/bittorrent/bittorrent.c:209
 msgid ""
-"The number of pieces to obtain before switching piece\n"
-"selection strategy from random to rarest first."
+"The number of pieces to obtain before switching piece selection strategy "
+"from random to rarest first."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:208 src/protocol/http/http.c:109
+#: src/protocol/bittorrent/bittorrent.c:212 src/protocol/http/http.c:109
 msgid "Allow blacklisting"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:210
+#: src/protocol/bittorrent/bittorrent.c:214
 msgid "Allow blacklisting of buggy peers."
 msgstr ""
 
@@ -6994,7 +6990,7 @@ msgstr "~Byla"
 msgid "Comment"
 msgstr "dokumentai"
 
-#: src/protocol/bittorrent/dialogs.c:229 src/session/download.c:362
+#: src/protocol/bittorrent/dialogs.c:229 src/session/download.c:388
 #, fuzzy, c-format
 msgid ""
 "Download complete:\n"
@@ -7162,7 +7158,7 @@ msgid_plural "%u unavailable"
 msgstr[0] "Nepaleistas FTP servisas"
 msgstr[1] "Nepaleistas FTP servisas"
 
-#: src/protocol/bittorrent/dialogs.c:584 src/session/session.c:278
+#: src/protocol/bittorrent/dialogs.c:584 src/session/session.c:279
 #, fuzzy, c-format
 msgid "Unable to retrieve %s"
 msgstr "Nemanoma rayti  konfigracijos fail"
@@ -7177,7 +7173,7 @@ msgstr ""
 msgid "Information about the torrent"
 msgstr "Parsisti paveiksll"
 
-#: src/protocol/bittorrent/dialogs.c:776 src/session/download.c:1106
+#: src/protocol/bittorrent/dialogs.c:776 src/session/download.c:1132
 msgid "What to do?"
 msgstr "K daryti?"
 
@@ -7188,13 +7184,13 @@ msgid "Down~load"
 msgstr "Parsisisk"
 
 #. accelerator_context(src/protocol/bittorrent/dialogs.c:bittorrent_query_callback, src/session/download.c:do_type_query)
-#: src/protocol/bittorrent/dialogs.c:804 src/session/download.c:1209
+#: src/protocol/bittorrent/dialogs.c:804 src/session/download.c:1235
 #, fuzzy
 msgid "~Display"
 msgstr "Parodyti"
 
 #. accelerator_context(src/protocol/bittorrent/dialogs.c:bittorrent_query_callback, src/session/download.c:do_type_query)
-#: src/protocol/bittorrent/dialogs.c:808 src/session/download.c:1213
+#: src/protocol/bittorrent/dialogs.c:808 src/session/download.c:1239
 msgid "Show ~header"
 msgstr ""
 
@@ -7212,16 +7208,16 @@ msgstr "Nr programos"
 msgid "Colon separated list of directories, where CGI scripts are stored."
 msgstr ""
 
-#: src/protocol/file/cgi.c:47
+#: src/protocol/file/cgi.c:48
 msgid "Allow local CGI"
 msgstr ""
 
-#: src/protocol/file/cgi.c:49
+#: src/protocol/file/cgi.c:50
 msgid "Whether to execute local CGI scripts."
 msgstr ""
 
 #. name:
-#: src/protocol/file/cgi.c:54
+#: src/protocol/file/cgi.c:55
 msgid "CGI"
 msgstr ""
 
@@ -7240,9 +7236,8 @@ msgstr ""
 
 #: src/protocol/file/file.c:46
 msgid ""
-"Whether to allow reading from non-regular files.\n"
-"Note this can be dangerous; reading /dev/urandom or\n"
-"/dev/zero can ruin your day!"
+"Whether to allow reading from non-regular files. Note this can be dangerous; "
+"reading /dev/urandom or /dev/zero can ruin your day!"
 msgstr ""
 
 #: src/protocol/file/file.c:50
@@ -7251,8 +7246,8 @@ msgstr ""
 
 #: src/protocol/file/file.c:52
 msgid ""
-"When set to false, files with name starting with a dot will be\n"
-"hidden in local directory listings."
+"When set to false, files with name starting with a dot will be hidden in "
+"local directory listings."
 msgstr ""
 
 #: src/protocol/file/file.c:55
@@ -7262,13 +7257,13 @@ msgstr "Nra pltini"
 
 #: src/protocol/file/file.c:57
 msgid ""
-"When set, if we can't open a file named 'filename', we'll try\n"
-"to open 'filename' with some encoding extension appended\n"
-"(ie. 'filename.gz'); it depends on the supported encodings."
+"When set, if we can't open a file named 'filename', we'll try to open "
+"'filename' with some encoding extension appended (ie. 'filename.gz'); it "
+"depends on the supported encodings."
 msgstr ""
 
 #. name:
-#: src/protocol/file/file.c:65
+#: src/protocol/file/file.c:66
 #, fuzzy
 msgid "File"
 msgstr "~Byla"
@@ -7298,7 +7293,7 @@ msgid "Whether to sort entries in direct
 msgstr ""
 
 #. name:
-#: src/protocol/ftp/ftp.c:56 src/protocol/ftp/ftp.c:86
+#: src/protocol/ftp/ftp.c:56 src/protocol/ftp/ftp.c:89
 msgid "FTP"
 msgstr ""
 
@@ -7306,8 +7301,8 @@ msgstr ""
 msgid "FTP specific options."
 msgstr ""
 
-#: src/protocol/ftp/ftp.c:60 src/protocol/http/http.c:127
-#: src/protocol/http/http.c:209
+#: src/protocol/ftp/ftp.c:60 src/protocol/http/http.c:128
+#: src/protocol/http/http.c:235
 msgid "Proxy configuration"
 msgstr ""
 
@@ -7315,39 +7310,39 @@ msgstr ""
 msgid "FTP proxy configuration."
 msgstr ""
 
-#: src/protocol/ftp/ftp.c:64 src/protocol/http/http.c:131
-#: src/protocol/http/http.c:213
+#: src/protocol/ftp/ftp.c:64 src/protocol/http/http.c:132
+#: src/protocol/http/http.c:239
 #, fuzzy
 msgid "Host and port-number"
 msgstr "Netinkamas skaiius"
 
 #: src/protocol/ftp/ftp.c:66
 msgid ""
-"Host and port-number (host:port) of the FTP proxy, or blank.\n"
-"If it's blank, FTP_PROXY environment variable is checked as well."
+"Host and port-number (host:port) of the FTP proxy, or blank. If it's blank, "
+"FTP_PROXY environment variable is checked as well."
 msgstr ""
 
-#: src/protocol/ftp/ftp.c:69
+#: src/protocol/ftp/ftp.c:70
 msgid "Anonymous password"
 msgstr ""
 
-#: src/protocol/ftp/ftp.c:71
+#: src/protocol/ftp/ftp.c:72
 msgid "FTP anonymous password to be sent."
 msgstr ""
 
-#: src/protocol/ftp/ftp.c:73
+#: src/protocol/ftp/ftp.c:74
 msgid "Use passive mode (IPv4)"
 msgstr ""
 
-#: src/protocol/ftp/ftp.c:75
+#: src/protocol/ftp/ftp.c:76
 msgid "Use PASV instead of PORT (passive vs active mode, IPv4 only)."
 msgstr ""
 
-#: src/protocol/ftp/ftp.c:77
+#: src/protocol/ftp/ftp.c:79
 msgid "Use passive mode (IPv6)"
 msgstr ""
 
-#: src/protocol/ftp/ftp.c:79
+#: src/protocol/ftp/ftp.c:81
 msgid "Use EPSV instead of EPRT (passive vs active mode, IPv6 only)."
 msgstr ""
 
@@ -7374,7 +7369,7 @@ msgid ""
 msgstr ""
 
 #. name:
-#: src/protocol/http/http.c:95 src/protocol/http/http.c:223
+#: src/protocol/http/http.c:95 src/protocol/http/http.c:250
 msgid "HTTP"
 msgstr ""
 
@@ -7396,8 +7391,8 @@ msgstr ""
 
 #: src/protocol/http/http.c:106
 msgid ""
-"The Accept-Charset header is quite long and sending it can trigger\n"
-"bugs in some rarely found servers."
+"The Accept-Charset header is quite long and sending it can trigger bugs in "
+"some rarely found servers."
 msgstr ""
 
 #: src/protocol/http/http.c:111
@@ -7410,69 +7405,69 @@ msgstr ""
 
 #: src/protocol/http/http.c:115
 msgid ""
-"Broken 302 redirect (violates RFC but compatible with Netscape).\n"
-"This is a problem for a lot of web discussion boards and the like.\n"
-"If they will do strange things to you, try to play with this."
+"Broken 302 redirect (violates RFC but compatible with Netscape). This is a "
+"problem for a lot of web discussion boards and the like. If they will do "
+"strange things to you, try to play with this."
 msgstr ""
 
-#: src/protocol/http/http.c:119
+#: src/protocol/http/http.c:120
 msgid "No keepalive after POST requests"
 msgstr ""
 
-#: src/protocol/http/http.c:121
+#: src/protocol/http/http.c:122
 msgid "Disable keepalive connection after POST request."
 msgstr ""
 
-#: src/protocol/http/http.c:123
+#: src/protocol/http/http.c:124
 msgid "Use HTTP/1.0"
 msgstr ""
 
-#: src/protocol/http/http.c:125
+#: src/protocol/http/http.c:126
 msgid "Use HTTP/1.0 protocol instead of HTTP/1.1."
 msgstr ""
 
-#: src/protocol/http/http.c:129
+#: src/protocol/http/http.c:130
 msgid "HTTP proxy configuration."
 msgstr ""
 
-#: src/protocol/http/http.c:133
+#: src/protocol/http/http.c:134
 msgid ""
-"Host and port-number (host:port) of the HTTP proxy, or blank.\n"
-"If it's blank, HTTP_PROXY environment variable is checked as well."
+"Host and port-number (host:port) of the HTTP proxy, or blank. If it's blank, "
+"HTTP_PROXY environment variable is checked as well."
 msgstr ""
 
-#: src/protocol/http/http.c:136
+#: src/protocol/http/http.c:138
 #, fuzzy
 msgid "Username"
 msgstr "vardas"
 
-#: src/protocol/http/http.c:138
+#: src/protocol/http/http.c:140
 msgid "Proxy authentication username."
 msgstr ""
 
-#: src/protocol/http/http.c:142
+#: src/protocol/http/http.c:144
 msgid "Proxy authentication password."
 msgstr ""
 
-#: src/protocol/http/http.c:145
+#: src/protocol/http/http.c:147
 msgid "Referer sending"
 msgstr ""
 
-#: src/protocol/http/http.c:147
+#: src/protocol/http/http.c:149
 msgid ""
-"HTTP referer sending options. HTTP referer is a special header\n"
-"sent in the HTTP requests, which is supposed to contain the previous\n"
-"page visited by the browser. This way, the server can know what link\n"
-"did you follow when accessing that page. However, this behaviour\n"
-"can unfortunately considerably affect privacy and can lead even to a\n"
-"security problem on some badly designed web pages."
+"HTTP referer sending options. HTTP referer is a special header sent in the "
+"HTTP requests, which is supposed to contain the previous page visited by the "
+"browser.This way, the server can know what link did you follow when "
+"accessing that page. However, this behaviour can unfortunately considerably "
+"affect privacy and can lead even to a security problem on some badly "
+"designed web pages."
 msgstr ""
 
-#: src/protocol/http/http.c:154
+#: src/protocol/http/http.c:157
 msgid "Policy"
 msgstr ""
 
-#: src/protocol/http/http.c:157
+#: src/protocol/http/http.c:160
 msgid ""
 "Mode of sending HTTP referer:\n"
 "0 is send no referer\n"
@@ -7481,90 +7476,110 @@ msgid ""
 "3 is send previous URL as referer (correct, but insecure)"
 msgstr ""
 
-#: src/protocol/http/http.c:163
+#: src/protocol/http/http.c:166
 msgid "Fake referer URL"
 msgstr ""
 
-#: src/protocol/http/http.c:165
+#: src/protocol/http/http.c:168
 msgid "Fake referer to be sent when policy is 2."
 msgstr ""
 
-#: src/protocol/http/http.c:168
+#: src/protocol/http/http.c:171
 msgid "Send Accept-Language header"
 msgstr ""
 
-#: src/protocol/http/http.c:170
+#: src/protocol/http/http.c:173
 msgid "Send Accept-Language header."
 msgstr ""
 
-#: src/protocol/http/http.c:172
+#: src/protocol/http/http.c:175
 msgid "Use UI language as Accept-Language"
 msgstr ""
 
-#: src/protocol/http/http.c:174
+#: src/protocol/http/http.c:177
 msgid ""
-"Request localised versions of documents from web-servers (using the\n"
-"Accept-Language header) using the language you have configured for\n"
-"ELinks' user-interface (this also affects navigator.language ECMAScript\n"
-"value available to scripts). Note that some see this as a potential\n"
-"security risk because it tells web-masters and the FBI sniffers about\n"
-"your language preference."
+"Request localised versions of documents from web-servers (using the Accept-"
+"Language header) using the language you have configured for ELinks' user-"
+"interface (this also affects navigator.language ECMAScript value available "
+"to scripts). Note that some see this as a potential security risk because it "
+"tells web-masters and the FBI sniffers about your language preference."
+msgstr ""
+
+#. After the compression support has been tested enough,
+#. * we might wrap this option in #if CFG_DEBUG.
+#: src/protocol/http/http.c:187
+msgid "Enable on-the-fly compression"
 msgstr ""
 
-#: src/protocol/http/http.c:181
+#: src/protocol/http/http.c:189
+msgid ""
+"If enabled, the capability to receive compressed content (gzip and/or bzip2) "
+"is announced to the server, which usually sends the reply compressed, thus "
+"saving some bandwidth at slight CPU expense.\n"
+"\n"
+"If ELinks displays a incomplete page or garbage, try disabling this option. "
+"If that helps, there may be a bug in the decompression part of ELinks. "
+"Please report such bugs.\n"
+"\n"
+"If ELinks has been compiled without compression support, this option has no "
+"effect. To check the supported features, see Help -> About."
+msgstr ""
+
+#: src/protocol/http/http.c:202
 msgid "Activate HTTP TRACE debugging"
 msgstr ""
 
-#: src/protocol/http/http.c:183
+#: src/protocol/http/http.c:204
 msgid ""
-"If active, all HTTP requests are sent with TRACE as their method\n"
-"rather than GET or POST. This is useful for debugging of both ELinks\n"
-"and various server-side scripts --- the server only returns the client's\n"
-"request back to the client verbatim. Note that this type of request may\n"
-"not be enabled on all servers."
+"If active, all HTTP requests are sent with TRACE as their method rather than "
+"GET or POST. This is useful for debugging of both ELinks and various server-"
+"side scripts --- the server only returns the client's request back to the "
+"client verbatim. Note that this type of request may not be enabled on all "
+"servers."
 msgstr ""
 
 #. OSNews.com is supposed to be relying on the textmode token, at least.
-#: src/protocol/http/http.c:190
+#: src/protocol/http/http.c:212
 msgid "User-agent identification"
 msgstr ""
 
-#: src/protocol/http/http.c:192
+#: src/protocol/http/http.c:214
 msgid ""
-"Change the User Agent ID. That means identification string, which\n"
-"is sent to HTTP server when a document is requested. The 'textmode'\n"
-"token in the first field is our silent attempt to establish this as\n"
-"a standard for new textmode user agents, so that the webmasters can\n"
-"have just a single uniform test for these if they are e.g. pushing\n"
-"some lite version to them automagically.\n"
+"Change the User Agent ID. That means identification string, which is sent to "
+"HTTP server when a document is requested. The 'textmode' token in the first "
+"field is our silent attempt to establish this as a standard for new textmode "
+"user agents, so that the webmasters can have just a single uniform test for "
+"these if they are e.g. pushing some lite version to them automagically.\n"
+"\n"
 "Use \" \" if you don't want any User-Agent header to be sent at all.\n"
+"\n"
 "%v in the string means ELinks version,\n"
 "%s in the string means system identification,\n"
 "%t in the string means size of the terminal,\n"
 "%b in the string means number of bars displayed by ELinks."
 msgstr ""
 
-#: src/protocol/http/http.c:205
+#: src/protocol/http/http.c:231
 msgid "HTTPS"
 msgstr ""
 
-#: src/protocol/http/http.c:207
+#: src/protocol/http/http.c:233
 #, fuzzy
 msgid "HTTPS-specific options."
 msgstr "Nr programos"
 
-#: src/protocol/http/http.c:211
+#: src/protocol/http/http.c:237
 msgid "HTTPS proxy configuration."
 msgstr ""
 
-#: src/protocol/http/http.c:215
+#: src/protocol/http/http.c:241
 msgid ""
-"Host and port-number (host:port) of the HTTPS CONNECT proxy, or blank.\n"
-"If it's blank, HTTPS_PROXY environment variable is checked as well."
+"Host and port-number (host:port) of the HTTPS CONNECT proxy, or blank. If "
+"it's blank, HTTPS_PROXY environment variable is checked as well."
 msgstr ""
 
 #. name:
-#: src/protocol/nntp/nntp.c:32 src/protocol/nntp/nntp.c:65
+#: src/protocol/nntp/nntp.c:32 src/protocol/nntp/nntp.c:66
 msgid "NNTP"
 msgstr ""
 
@@ -7579,19 +7594,19 @@ msgstr ""
 
 #: src/protocol/nntp/nntp.c:38
 msgid ""
-"Used when resolving news: URIs. If set to the empty string\n"
-"the value of the NNTPSERVER environment variable will be used."
+"Used when resolving news: URIs. If set to the empty string the value of the "
+"NNTPSERVER environment variable will be used."
 msgstr ""
 
-#: src/protocol/nntp/nntp.c:41
+#: src/protocol/nntp/nntp.c:42
 msgid "Message header entries"
 msgstr ""
 
-#: src/protocol/nntp/nntp.c:43
+#: src/protocol/nntp/nntp.c:44
 msgid ""
-"Comma separated list of which entries in the article header\n"
-"to show. E.g. 'Subject' and 'From'.\n"
-"All header entries can be read in the header info dialog."
+"Comma separated list of which entries in the article header to show. E.g. "
+"'Subject' and 'From'. All header entries can be read in the header info "
+"dialog."
 msgstr ""
 
 #: src/protocol/protocol.c:242
@@ -7613,10 +7628,9 @@ msgstr ""
 
 #: src/protocol/protocol.c:279
 msgid ""
-"Comma separated list of domains for which the proxy (HTTP/FTP)\n"
-"should be disabled. Optionally, a port can be specified for some\n"
-"domains as well. If it's blank, NO_PROXY environment variable is\n"
-"checked as well."
+"Comma separated list of domains for which the proxy (HTTP/FTP) should be "
+"disabled. Optionally, a port can be specified for some domains as well. If "
+"it's blank, NO_PROXY environment variable is checked as well."
 msgstr ""
 
 #. name:
@@ -7630,47 +7644,45 @@ msgstr ""
 
 #: src/protocol/rewrite/rewrite.c:46
 msgid ""
-"Rules for rewriting URIs entered in the goto dialog.\n"
-"It makes it possible to define a set of prefixes that will\n"
-"be expanded if they match a string entered in the goto dialog.\n"
-"The prefixes can be dumb, meaning that they work only like\n"
-"URI abbreviations, or smart ones, making it possible to pass\n"
+"Rules for rewriting URIs entered in the goto dialog. It makes it possible to "
+"define a set of prefixes that will be expanded if they match a string "
+"entered in the goto dialog. The prefixes can be dumb, meaning that they work "
+"only like URI abbreviations, or smart ones, making it possible to pass "
 "arguments to them like search engine keywords."
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:53
+#: src/protocol/rewrite/rewrite.c:54
 msgid "Enable dumb prefixes"
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:55
+#: src/protocol/rewrite/rewrite.c:56
 msgid ""
-"Enable dumb prefixes - simple URI abbreviations which can\n"
-"be written to the Goto URL dialog instead of actual URIs - i.e.\n"
-"if you write 'elinks' there, you are directed to\n"
-"http://elinks.cz/."
+"Enable dumb prefixes - simple URI abbreviations which can be written to the "
+"Goto URL dialog instead of actual URIs - i.e. if you write 'elinks' there, "
+"you are directed to http://elinks.cz/."
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:60
+#: src/protocol/rewrite/rewrite.c:61
 msgid "Enable smart prefixes"
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:62
+#: src/protocol/rewrite/rewrite.c:63
 msgid ""
-"Enable smart prefixes - URI templates triggered by writing\n"
-"given abbreviation to the Goto URL dialog followed by a list\n"
-"of arguments from which the actual URI is composed - i.e.\n"
-"'gg:search keywords' or 'gn search keywords for news'."
+"Enable smart prefixes - URI templates triggered by writing given "
+"abbreviation to the Goto URL dialog followed by a list of arguments from "
+"which the actual URI is composed - i.e. 'gg:search keywords' or 'gn search "
+"keywords for news'."
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:67
+#: src/protocol/rewrite/rewrite.c:69
 msgid "Dumb Prefixes"
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:69
+#: src/protocol/rewrite/rewrite.c:71
 msgid "Dumb prefixes, see enable-dumb description for details."
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:74
+#: src/protocol/rewrite/rewrite.c:76
 #, no-c-format
 msgid ""
 "Replacement URI for this dumbprefix:\n"
@@ -7678,15 +7690,15 @@ msgid ""
 "%% in the string means '%'"
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:78
+#: src/protocol/rewrite/rewrite.c:80
 msgid "Smart Prefixes"
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:80
+#: src/protocol/rewrite/rewrite.c:82
 msgid "Smart prefixes, see enable-smart description for details."
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:87
+#: src/protocol/rewrite/rewrite.c:90
 #, no-c-format
 msgid ""
 "Replacement URI for this smartprefix:\n"
@@ -7696,27 +7708,29 @@ msgid ""
 "%% in the string means '%'"
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:93
+#: src/protocol/rewrite/rewrite.c:96
 #, fuzzy
 msgid "Default template"
 msgstr "Suformuoto dokumento laikinoji atmintis"
 
-#: src/protocol/rewrite/rewrite.c:96
+#: src/protocol/rewrite/rewrite.c:99
 #, no-c-format
 msgid ""
-"Default URI template used when the string entered in\n"
-"the goto dialog does not appear to be a URI or a filename\n"
-"(i.e. contains no '.', ':' or '/' characters), and does\n"
-"not match any defined prefixes. Set the value to \"\" to\n"
-"disable use of the default template rewrite rule.\n"
+"Default URI template used when the string entered in the goto dialog does "
+"not appear to be a URI or a filename (i.e. contains no '.', ':' or '/' "
+"characters), and does not match any defined prefixes. Set the value to \"\" "
+"to disable use of the default template rewrite rule.\n"
+"\n"
 "%c in the template means the current URL,\n"
-"%s in the template means the whole string from the goto dialog,\n"
-"%0,%1,...,%9 mean the 1st,2nd,...,10th space-delimited part of %s,\n"
+"%s in the template means the whole string from the goto\n"
+"   dialog,\n"
+"%0,%1,...,%9 mean the 1st,2nd,...,10th space-delimited part\n"
+"   of %s,\n"
 "%% in the template means '%'."
 msgstr ""
 
 #. name:
-#: src/protocol/rewrite/rewrite.c:372
+#: src/protocol/rewrite/rewrite.c:378
 msgid "URI rewrite"
 msgstr ""
 
@@ -7739,24 +7753,23 @@ msgid "Credentials file passed to smbcli
 msgstr ""
 
 #. name:
-#: src/protocol/user.c:34 src/protocol/user.c:84
+#: src/protocol/user.c:34 src/protocol/user.c:85
 msgid "User protocols"
 msgstr ""
 
 #: src/protocol/user.c:36
 msgid ""
-"User protocols. Options in this tree specify external\n"
-"handlers for the appropriate protocols. Ie.\n"
-"protocol.user.mailto.unix."
+"User protocols. Options in this tree specify external handlers for the "
+"appropriate protocols. Ie. protocol.user.mailto.unix."
 msgstr ""
 
 #: src/protocol/user.c:47
 msgid ""
-"Handler (external program) for this protocol. Name the\n"
-"options in this tree after your system (ie. unix, unix-xwin)."
+"Handler (external program) for this protocol. Name the options in this tree "
+"after your system (ie. unix, unix-xwin)."
 msgstr ""
 
-#: src/protocol/user.c:52
+#: src/protocol/user.c:53
 msgid ""
 "Handler (external program) for this protocol and system.\n"
 "%f in the string means file name to include form data from\n"
@@ -7767,11 +7780,11 @@ msgid ""
 "%u in the string means the whole URL"
 msgstr ""
 
-#: src/protocol/user.c:276
+#: src/protocol/user.c:277
 msgid "No program"
 msgstr "Nr programos"
 
-#: src/protocol/user.c:278
+#: src/protocol/user.c:279
 #, fuzzy, c-format
 msgid "No program specified for protocol %s."
 msgstr "Nr programos"
@@ -7855,19 +7868,19 @@ msgstr ""
 msgid "Spidermonkey ECMAScript"
 msgstr ""
 
-#: src/session/download.c:233 src/session/download.c:330
-#: src/session/download.c:561 src/session/download.c:649
+#: src/session/download.c:256 src/session/download.c:356
+#: src/session/download.c:587 src/session/download.c:675
 msgid "Download error"
 msgstr "Siuntimo klaida"
 
-#: src/session/download.c:234 src/session/download.c:650
+#: src/session/download.c:257 src/session/download.c:676
 #, fuzzy, c-format
 msgid ""
 "Could not create file '%s':\n"
 "%s"
 msgstr "Negaliu rayti  fail"
 
-#: src/session/download.c:331
+#: src/session/download.c:357
 #, fuzzy, c-format
 msgid ""
 "Error downloading %s:\n"
@@ -7875,17 +7888,17 @@ msgid ""
 "%s"
 msgstr "Siuntimo klaida"
 
-#: src/session/download.c:562
+#: src/session/download.c:588
 #, c-format
 msgid "'%s' is a directory."
 msgstr ""
 
-#: src/session/download.c:596
+#: src/session/download.c:622
 #, fuzzy
 msgid "File exists"
 msgstr "Fail pltiniai"
 
-#: src/session/download.c:597
+#: src/session/download.c:623
 #, c-format
 msgid ""
 "This file already exists:\n"
@@ -7896,51 +7909,51 @@ msgid ""
 msgstr ""
 
 #. accelerator_context(src/session/download.c:lookup_unique_name)
-#: src/session/download.c:604
+#: src/session/download.c:630
 msgid "Sa~ve under the alternative name"
 msgstr ""
 
 #. accelerator_context(src/session/download.c:lookup_unique_name)
-#: src/session/download.c:605
+#: src/session/download.c:631
 msgid "~Overwrite the original file"
 msgstr ""
 
 #. accelerator_context(src/session/download.c:lookup_unique_name)
-#: src/session/download.c:606
+#: src/session/download.c:632
 msgid "~Resume download of the original file"
 msgstr ""
 
-#: src/session/download.c:1109
+#: src/session/download.c:1135
 msgid "Unknown type"
 msgstr "Neinomas tipas"
 
-#: src/session/download.c:1134
+#: src/session/download.c:1160
 #, c-format
 msgid "What would you like to do with the file '%s' (type: %s%s%s)?"
 msgstr ""
 
-#: src/session/download.c:1137
+#: src/session/download.c:1163
 #, c-format
 msgid "What would you like to do with the file (type: %s%s%s)?"
 msgstr ""
 
-#: src/session/download.c:1165
+#: src/session/download.c:1191
 #, no-c-format
 msgid "Program ('%' will be replaced by the filename)"
 msgstr ""
 
-#: src/session/download.c:1169
+#: src/session/download.c:1195
 #, fuzzy
 msgid "Block the terminal"
 msgstr "~BeOS terminalas"
 
-#: src/session/download.c:1175
+#: src/session/download.c:1201
 #, c-format
 msgid "The file will be opened with the program '%s'."
 msgstr ""
 
 #. accelerator_context(src/session/download.c:do_type_query)
-#: src/session/download.c:1196
+#: src/session/download.c:1222
 #, fuzzy
 msgid "~Open"
 msgstr "Atidaryti"
@@ -7949,12 +7962,12 @@ msgstr "Atidaryti"
 #. * and formatting it with "%u" is safe,
 #. * because fc_maxlength is smaller than
 #. * file.length, which is an int.
-#: src/session/session.c:761 src/session/session.c:780 src/session/task.c:275
-#: src/viewer/text/textarea.c:652
+#: src/session/session.c:771 src/session/session.c:790 src/session/task.c:275
+#: src/viewer/text/textarea.c:641
 msgid "Warning"
 msgstr "spjimas"
 
-#: src/session/session.c:762
+#: src/session/session.c:772
 msgid ""
 "You have an empty string in protocol.http.user_agent - this was a default "
 "value in the past, substituted by default ELinks User-Agent string. However, "
@@ -7965,7 +7978,7 @@ msgid ""
 "will be used. Apologies for any inconvience caused."
 msgstr ""
 
-#: src/session/session.c:781
+#: src/session/session.c:791
 msgid ""
 "You have option config.saving_style set to a de facto obsolete value. The "
 "configuration saving algorithms of ELinks were changed from the last time "
@@ -7978,11 +7991,11 @@ msgid ""
 "caused."
 msgstr ""
 
-#: src/session/session.c:806
+#: src/session/session.c:816
 msgid "Welcome"
 msgstr "Sveikas atvyks"
 
-#: src/session/session.c:807
+#: src/session/session.c:817
 #, fuzzy
 msgid ""
 "Welcome to ELinks!\n"
@@ -8034,22 +8047,22 @@ msgstr ""
 msgid "Warning: terminal name contains illicit chars."
 msgstr ""
 
-#: src/terminal/event.c:259
+#: src/terminal/event.c:258
 #, c-format
 msgid "Failed to create session."
 msgstr ""
 
-#: src/terminal/event.c:446
+#: src/terminal/event.c:443
 #, c-format
 msgid "Bad event %d"
 msgstr ""
 
-#: src/terminal/event.c:486
+#: src/terminal/event.c:483
 #, fuzzy, c-format
 msgid "Could not read event: %d (%s)"
 msgstr "Negaliu rayti  fail"
 
-#: src/terminal/kbd.c:1187
+#: src/terminal/kbd.c:1210
 #, c-format
 msgid "Too many bytes read from the itrm!"
 msgstr ""
@@ -8128,207 +8141,207 @@ msgstr "Nenaudoti rm"
 msgid "The requested fragment \"%s\" doesn't exist."
 msgstr ""
 
-#: src/viewer/text/form.c:1092
+#: src/viewer/text/form.c:1118
 msgid "Error while posting form"
 msgstr "Klaida bandant isisti form"
 
-#: src/viewer/text/form.c:1093
+#: src/viewer/text/form.c:1119
 #, fuzzy, c-format
 msgid "Could not load file %s: %s"
 msgstr "Negaliu gauti failo"
 
-#: src/viewer/text/form.c:1847
+#: src/viewer/text/form.c:1876
 #, fuzzy
 msgid "Reset form"
 msgstr "Itrinti fo~rm"
 
-#: src/viewer/text/form.c:1849
+#: src/viewer/text/form.c:1878
 msgid "Harmless button"
 msgstr ""
 
-#: src/viewer/text/form.c:1857
+#: src/viewer/text/form.c:1886
 msgid "Submit form to"
 msgstr "Patvirtinti form"
 
-#: src/viewer/text/form.c:1858
+#: src/viewer/text/form.c:1887
 msgid "Post form to"
 msgstr "Isisti form "
 
-#: src/viewer/text/form.c:1860
+#: src/viewer/text/form.c:1889
 msgid "Radio button"
 msgstr "Knopk"
 
-#: src/viewer/text/form.c:1864
+#: src/viewer/text/form.c:1893
 msgid "Select field"
 msgstr "Paymti lauk"
 
-#: src/viewer/text/form.c:1868
+#: src/viewer/text/form.c:1897
 msgid "Text area"
 msgstr "Teksto plotas"
 
-#: src/viewer/text/form.c:1870
+#: src/viewer/text/form.c:1899
 msgid "File upload"
 msgstr "Nusisti fail"
 
-#: src/viewer/text/form.c:1872
+#: src/viewer/text/form.c:1901
 msgid "Password field"
 msgstr "Slaptaodio laukas"
 
-#: src/viewer/text/form.c:1910
+#: src/viewer/text/form.c:1939
 msgid "name"
 msgstr "vardas"
 
-#: src/viewer/text/form.c:1922
+#: src/viewer/text/form.c:1951
 msgid "value"
 msgstr "reikm"
 
-#: src/viewer/text/form.c:1935
+#: src/viewer/text/form.c:1964
 msgid "read only"
 msgstr ""
 
-#: src/viewer/text/form.c:1946
+#: src/viewer/text/form.c:1975
 #, c-format
 msgid "press %s to navigate"
 msgstr ""
 
-#: src/viewer/text/form.c:1948
+#: src/viewer/text/form.c:1977
 #, c-format
 msgid "press %s to edit"
 msgstr ""
 
-#: src/viewer/text/form.c:1984
+#: src/viewer/text/form.c:2013
 #, fuzzy, c-format
 msgid "press %s to submit to %s"
 msgstr "patvirtinti"
 
-#: src/viewer/text/form.c:1986
+#: src/viewer/text/form.c:2015
 #, fuzzy, c-format
 msgid "press %s to post to %s"
 msgstr "patvirtinti"
 
-#: src/viewer/text/form.c:2088
+#: src/viewer/text/form.c:2117
 msgid "Useless button"
 msgstr ""
 
-#: src/viewer/text/form.c:2090
+#: src/viewer/text/form.c:2119
 #, fuzzy
 msgid "Submit button"
 msgstr "Patvirtinti form"
 
 #. accelerator_context(link_menu.map)
-#: src/viewer/text/link.c:1281
+#: src/viewer/text/link.c:1280
 msgid "Display ~usemap"
 msgstr "Parodyti ~usemap'"
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1286
+#: src/viewer/text/link.c:1285
 msgid "~Follow link"
 msgstr "Sekti nuorod"
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1288
+#: src/viewer/text/link.c:1287
 msgid "Follow link and r~eload"
 msgstr ""
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1292
+#: src/viewer/text/link.c:1291
 msgid "Open in new ~window"
 msgstr "Atidaryti naujame lange"
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1294
+#: src/viewer/text/link.c:1293
 #, fuzzy
 msgid "Open in new ~tab"
 msgstr "Atidaryti naujame lange"
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1296
+#: src/viewer/text/link.c:1295
 #, fuzzy
 msgid "Open in new tab in ~background"
 msgstr "Fonas"
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1301
+#: src/viewer/text/link.c:1300
 msgid "~Download link"
 msgstr "Parsisti nuorod"
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1304
+#: src/viewer/text/link.c:1303
 msgid "~Add link to bookmarks"
 msgstr ""
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1308
+#: src/viewer/text/link.c:1307
 msgid "Pass link URI to e~xternal command"
 msgstr ""
 
 #. accelerator_context(link_menu.form, link_menu.reset, link_menu.textarea)
-#: src/viewer/text/link.c:1319 src/viewer/text/link.c:1359
+#: src/viewer/text/link.c:1318 src/viewer/text/link.c:1358
 msgid "~Reset form"
 msgstr "Itrinti fo~rm"
 
 #. accelerator_context(link_menu.textarea)
-#: src/viewer/text/link.c:1334
+#: src/viewer/text/link.c:1333
 msgid "Open in ~external editor"
 msgstr ""
 
 #. accelerator_context(link_menu.form, link_menu.textarea)
-#: src/viewer/text/link.c:1342
+#: src/viewer/text/link.c:1341
 msgid "~Submit form"
 msgstr "Patvirinti form"
 
 #. accelerator_context(link_menu.form, link_menu.textarea)
-#: src/viewer/text/link.c:1343
+#: src/viewer/text/link.c:1342
 msgid "Submit form and rel~oad"
 msgstr ""
 
 #. accelerator_context(link_menu.form, link_menu.textarea)
-#: src/viewer/text/link.c:1347
+#: src/viewer/text/link.c:1346
 msgid "Submit form and open in new ~window"
 msgstr "Patvirtinti form ir atidaryti naujame lange"
 
 #. accelerator_context(link_menu.form, link_menu.textarea)
-#: src/viewer/text/link.c:1349
+#: src/viewer/text/link.c:1348
 #, fuzzy
 msgid "Submit form and open in new ~tab"
 msgstr "Patvirtinti form ir atidaryti naujame lange"
 
 #. accelerator_context(link_menu.form, link_menu.textarea)
-#: src/viewer/text/link.c:1352
+#: src/viewer/text/link.c:1351
 #, fuzzy
 msgid "Submit form and open in new tab in ~background"
 msgstr "Patvirtinti form ir atidaryti naujame lange"
 
 #. accelerator_context(link_menu.form, link_menu.textarea)
-#: src/viewer/text/link.c:1357
+#: src/viewer/text/link.c:1356
 msgid "Submit form and ~download"
 msgstr "Patvirinti form ir parsisti"
 
 #. accelerator_context(link_menu.form, link_menu.reset, link_menu.textarea)
-#: src/viewer/text/link.c:1364
+#: src/viewer/text/link.c:1363
 #, fuzzy
 msgid "Form f~ields"
 msgstr "Slaptaodio laukas"
 
 #. accelerator_context(link_menu.form, link_menu.map, link_menu.std)
-#: src/viewer/text/link.c:1371
+#: src/viewer/text/link.c:1370
 msgid "V~iew image"
 msgstr "Pa~irti paveiklsl"
 
 #. accelerator_context(link_menu.form, link_menu.map, link_menu.std)
-#: src/viewer/text/link.c:1373
+#: src/viewer/text/link.c:1372
 msgid "Download ima~ge"
 msgstr "Parsisti paveiksll"
 
-#: src/viewer/text/link.c:1382
+#: src/viewer/text/link.c:1381
 msgid "No link selected"
 msgstr "Nr nuorodos"
 
-#: src/viewer/text/link.c:1452
+#: src/viewer/text/link.c:1451
 msgid "Image"
 msgstr "Paveiksllis"
 
-#: src/viewer/text/link.c:1457
+#: src/viewer/text/link.c:1456
 msgid "Usemap"
 msgstr "Usemap'as"
 
@@ -8337,86 +8350,86 @@ msgstr "Usemap'as"
 msgid "Marks"
 msgstr ""
 
-#: src/viewer/text/search.c:1083
+#: src/viewer/text/search.c:1099
 msgid "Search hit top, continuing at bottom."
 msgstr ""
 
-#: src/viewer/text/search.c:1084
+#: src/viewer/text/search.c:1100
 msgid "Search hit bottom, continuing at top."
 msgstr ""
 
-#: src/viewer/text/search.c:1087
+#: src/viewer/text/search.c:1103
 msgid "No previous search"
 msgstr "Prie tai nieko neiekota"
 
-#: src/viewer/text/search.c:1099
+#: src/viewer/text/search.c:1115
 #, c-format
 msgid "Could not compile regular expression '%s'"
 msgstr ""
 
-#: src/viewer/text/search.c:1143
+#: src/viewer/text/search.c:1159
 #, c-format
 msgid "No further matches for '%s'."
 msgstr ""
 
-#: src/viewer/text/search.c:1145
+#: src/viewer/text/search.c:1161
 #, c-format
 msgid "Could not find a link with the text '%s'."
 msgstr ""
 
-#: src/viewer/text/search.c:1147 src/viewer/text/search.c:1558
+#: src/viewer/text/search.c:1163 src/viewer/text/search.c:1576
 msgid "Typeahead"
 msgstr ""
 
-#: src/viewer/text/search.c:1560
+#: src/viewer/text/search.c:1578
 #, c-format
 msgid "No links in current document"
 msgstr ""
 
-#: src/viewer/text/search.c:1643
+#: src/viewer/text/search.c:1661
 msgid "Search for text"
 msgstr "Iekok teksto"
 
-#: src/viewer/text/search.c:1679
+#: src/viewer/text/search.c:1697
 #, fuzzy
 msgid "Normal search"
 msgstr "Prie tai nieko neiekota"
 
-#: src/viewer/text/search.c:1680
+#: src/viewer/text/search.c:1698
 msgid "Regexp search"
 msgstr ""
 
-#: src/viewer/text/search.c:1681
+#: src/viewer/text/search.c:1699
 msgid "Extended regexp search"
 msgstr ""
 
-#: src/viewer/text/search.c:1683
+#: src/viewer/text/search.c:1701
 msgid "Case sensitive"
 msgstr ""
 
-#: src/viewer/text/search.c:1684
+#: src/viewer/text/search.c:1702
 msgid "Case insensitive"
 msgstr ""
 
-#: src/viewer/text/search.c:1708
+#: src/viewer/text/search.c:1726
 msgid "Search backward"
 msgstr "Atvirktin paieka"
 
 #. name:
-#: src/viewer/text/search.c:1747
+#: src/viewer/text/search.c:1765
 #, fuzzy
 msgid "Search History"
 msgstr "Nebr atminties"
 
-#: src/viewer/text/textarea.c:595
+#: src/viewer/text/textarea.c:584
 msgid "You cannot launch an external editor in the anonymous mode."
 msgstr ""
 
-#: src/viewer/text/textarea.c:602
+#: src/viewer/text/textarea.c:591
 msgid "You can do this only on the master terminal"
 msgstr ""
 
-#: src/viewer/text/textarea.c:655
+#: src/viewer/text/textarea.c:644
 #, c-format
 msgid ""
 "You have exceeded the textarea's size limit: your input is %d bytes, but the "
@@ -8434,11 +8447,11 @@ msgstr "Eiti pagal nuorod"
 msgid "Enter link number"
 msgstr "vesk nuorodos numer"
 
-#: src/viewer/text/view.c:1627
+#: src/viewer/text/view.c:1628
 msgid "Save error"
 msgstr "Isaugojimo klaida"
 
-#: src/viewer/text/view.c:1628
+#: src/viewer/text/view.c:1629
 msgid "Error writing to file"
 msgstr "Klaida bandant rayti  fail"
 
Binary files 0.12~pre2.dfsg0-1/po/nb.gmo and 0.12~pre4-1/po/nb.gmo differ
diff -pruN 0.12~pre2.dfsg0-1/po/nb.po 0.12~pre4-1/po/nb.po
--- 0.12~pre2.dfsg0-1/po/nb.po	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/po/nb.po	2009-05-31 09:48:47.000000000 +0100
@@ -6,7 +6,7 @@ msgid ""
 msgstr ""
 "Project-Id-Version: ELinks 0.5pre0.CVS\n"
 "Report-Msgid-Bugs-To: elinks-users@linuxfromscratch.org\n"
-"POT-Creation-Date: 2008-09-21 11:13+0300\n"
+"POT-Creation-Date: 2009-05-31 01:57+0300\n"
 "PO-Revision-Date: 2003-01-03 03:41+0100\n"
 "Last-Translator: Simen Graaten <simeng@slarkware.com>\n"
 "Language-Team: Norwegian <i18n-nb@lister.ping.uio.no>\n"
@@ -37,7 +37,7 @@ msgstr ""
 #: src/mime/dialogs.c:132 src/protocol/auth/dialogs.c:115
 #: src/protocol/protocol.c:246 src/scripting/lua/core.c:399
 #: src/scripting/lua/core.c:480 src/scripting/python/dialogs.c:86
-#: src/session/session.c:811 src/viewer/text/search.c:1686
+#: src/session/session.c:821 src/viewer/text/search.c:1704
 #, fuzzy
 msgid "~OK"
 msgstr "Ok"
@@ -55,13 +55,13 @@ msgid "Sorry, but the item \"%s\" is bei
 msgstr ""
 
 #. cant_delete_folder
-#: src/bfu/hierbox.c:558 src/bookmarks/dialogs.c:121
+#: src/bfu/hierbox.c:558 src/bookmarks/dialogs.c:153
 #, c-format
 msgid "Sorry, but the folder \"%s\" cannot be deleted."
 msgstr ""
 
 #. cant_delete_used_folder
-#: src/bfu/hierbox.c:561 src/bookmarks/dialogs.c:123
+#: src/bfu/hierbox.c:561 src/bookmarks/dialogs.c:155
 #, c-format
 msgid "Sorry, but the folder \"%s\" is being used by something else."
 msgstr ""
@@ -79,7 +79,7 @@ msgid "Delete marked items?"
 msgstr "Velg felt"
 
 #. delete_folder_title
-#: src/bfu/hierbox.c:570 src/bookmarks/dialogs.c:129
+#: src/bfu/hierbox.c:570 src/bookmarks/dialogs.c:161
 #, fuzzy
 msgid "Delete folder"
 msgstr "Slett bokmerke"
@@ -139,13 +139,13 @@ msgstr "Ja"
 msgid "~No"
 msgstr "Nei"
 
-#: src/bfu/hierbox.c:945 src/bfu/hierbox.c:976 src/viewer/text/search.c:1090
-#: src/viewer/text/search.c:1098 src/viewer/text/search.c:1114
-#: src/viewer/text/search.c:1705
+#: src/bfu/hierbox.c:945 src/bfu/hierbox.c:976 src/viewer/text/search.c:1106
+#: src/viewer/text/search.c:1114 src/viewer/text/search.c:1130
+#: src/viewer/text/search.c:1723
 msgid "Search"
 msgstr "Sk"
 
-#: src/bfu/hierbox.c:947 src/viewer/text/search.c:1091
+#: src/bfu/hierbox.c:947 src/viewer/text/search.c:1107
 #, fuzzy, c-format
 msgid "Search string '%s' not found"
 msgstr "Sket gav ingen resultat"
@@ -184,8 +184,8 @@ msgstr "Tom tekststreng er ikke tillatt"
 #: src/dialogs/options.c:237 src/dialogs/options.c:316 src/mime/dialogs.c:133
 #: src/protocol/auth/dialogs.c:116 src/protocol/bittorrent/dialogs.c:814
 #: src/scripting/lua/core.c:400 src/scripting/lua/core.c:481
-#: src/session/download.c:607 src/session/download.c:1219
-#: src/viewer/text/search.c:1687
+#: src/session/download.c:633 src/session/download.c:1245
+#: src/viewer/text/search.c:1705
 #, fuzzy
 msgid "~Cancel"
 msgstr "Avbryt"
@@ -199,8 +199,8 @@ msgstr "lst"
 msgid "Digital clock in the status bar."
 msgstr ""
 
-#: src/bfu/leds.c:77 src/bfu/leds.c:94 src/config/options.inc:1199
-#: src/config/options.inc:1206 src/ecmascript/ecmascript.c:45
+#: src/bfu/leds.c:77 src/bfu/leds.c:94 src/config/options.inc:1272
+#: src/config/options.inc:1279 src/ecmascript/ecmascript.c:45
 #: src/globhist/globhist.c:64 src/mime/backend/mailcap.c:93
 #: src/mime/backend/mimetypes.c:52 src/network/ssl/ssl.c:81
 #, fuzzy
@@ -218,8 +218,7 @@ msgstr "Last opp fil"
 
 #: src/bfu/leds.c:83
 msgid ""
-"Format string for the digital clock. See the strftime(3)\n"
-"manpage for details."
+"Format string for the digital clock. See the strftime(3) manpage for details."
 msgstr ""
 
 #: src/bfu/leds.c:90
@@ -232,8 +231,7 @@ msgstr ""
 
 #: src/bfu/leds.c:96
 msgid ""
-"Enable LEDs.\n"
-"These visual indicators will inform you about various states."
+"Enable LEDs. These visual indicators will inform you about various states."
 msgstr ""
 
 #. name:
@@ -263,34 +261,34 @@ msgstr ""
 msgid "Search menu/"
 msgstr "Sk"
 
-#: src/bookmarks/backend/xbel.c:97
+#: src/bookmarks/backend/xbel.c:105
 #, c-format
 msgid "read_bookmarks_xbel(): Error in XML_ParserCreate()"
 msgstr ""
 
-#: src/bookmarks/backend/xbel.c:108
+#: src/bookmarks/backend/xbel.c:116
 #, c-format
 msgid "read_bookmarks_xbel(): Error reading %s"
 msgstr ""
 
-#: src/bookmarks/backend/xbel.c:116
+#: src/bookmarks/backend/xbel.c:124
 #, c-format
 msgid ""
 "Parse error while processing XBEL bookmarks in %s at line %d column %d:\n"
 "%s"
 msgstr ""
 
-#: src/bookmarks/backend/xbel.c:390 src/bookmarks/backend/xbel.c:411
+#: src/bookmarks/backend/xbel.c:388 src/bookmarks/backend/xbel.c:410
 msgid "No title"
 msgstr ""
 
-#: src/bookmarks/backend/xbel.c:396
+#: src/bookmarks/backend/xbel.c:394
 #, fuzzy
 msgid "No URL"
 msgstr "G til URL"
 
 #. name:
-#: src/bookmarks/bookmarks.c:48 src/bookmarks/bookmarks.c:181
+#: src/bookmarks/bookmarks.c:48 src/bookmarks/bookmarks.c:183
 #, fuzzy
 msgid "Bookmarks"
 msgstr "Bokmerker"
@@ -300,7 +298,7 @@ msgstr "Bokmerker"
 msgid "Bookmark options."
 msgstr "Bokmerker"
 
-#: src/bookmarks/bookmarks.c:53 src/bookmarks/bookmarks.c:59
+#: src/bookmarks/bookmarks.c:53 src/bookmarks/bookmarks.c:60
 #, fuzzy
 msgid "File format"
 msgstr "Last opp fil"
@@ -309,51 +307,47 @@ msgstr "Last opp fil"
 msgid ""
 "File format for bookmarks (affects both reading and saving):\n"
 "0 is the default native ELinks format\n"
-"1 is XBEL universal XML bookmarks format (ELinks bug 153: NO NATIONAL CHARS "
-"SUPPORT!)"
+"1 is XBEL universal XML bookmarks format"
 msgstr ""
 
-#: src/bookmarks/bookmarks.c:61
+#: src/bookmarks/bookmarks.c:62
 msgid ""
 "File format for bookmarks (affects both reading and saving):\n"
 "0 is the default native ELinks format\n"
-"1 is XBEL universal XML bookmarks format (ELinks bug 153: NO NATIONAL CHARS "
-"SUPPORT!)  (DISABLED)"
+"1 is XBEL universal XML bookmarks format  (DISABLED)"
 msgstr ""
 
-#: src/bookmarks/bookmarks.c:67
+#: src/bookmarks/bookmarks.c:68
 #, fuzzy
 msgid "Save folder state"
 msgstr "Skriv nummer p lenke"
 
-#: src/bookmarks/bookmarks.c:69
+#: src/bookmarks/bookmarks.c:70
 msgid ""
-"When saving bookmarks also store whether folders are\n"
-"expanded or not, so the look of the bookmark dialog is\n"
-"kept across ELinks sessions. If disabled all folders will\n"
-"appear unexpanded next time ELinks is run."
+"When saving bookmarks also store whether folders are expanded or not, so the "
+"look of the bookmark dialog is kept across ELinks sessions. If disabled all "
+"folders will appear unexpanded next time ELinks is run."
 msgstr ""
 
-#: src/bookmarks/bookmarks.c:74
+#: src/bookmarks/bookmarks.c:75
 msgid "Periodic snapshotting"
 msgstr ""
 
-#: src/bookmarks/bookmarks.c:76
+#: src/bookmarks/bookmarks.c:77
 msgid ""
-"Automatically save a snapshot of all tabs periodically.\n"
-"This will periodically bookmark the tabs of each terminal in a separate "
-"folder\n"
-"for recovery after a crash.\n"
+"Automatically save a snapshot of all tabs periodically. This will "
+"periodically bookmark the tabs of each terminal in a separate folder for "
+"recovery after a crash.\n"
 "\n"
 "This feature requires bookmark support."
 msgstr ""
 
-#: src/bookmarks/dialogs.c:72 src/config/options.inc:1051
+#: src/bookmarks/dialogs.c:97 src/config/options.inc:1120
 #: src/dialogs/document.c:145 src/globhist/dialogs.c:65
 msgid "Title"
 msgstr ""
 
-#: src/bookmarks/dialogs.c:73 src/cache/dialogs.c:65
+#: src/bookmarks/dialogs.c:101 src/cache/dialogs.c:65
 #: src/dialogs/document.c:136 src/dialogs/edit.c:96 src/formhist/dialogs.c:63
 #: src/globhist/dialogs.c:66 src/protocol/auth/dialogs.c:163
 #: src/scripting/lua/core.c:397
@@ -361,86 +355,86 @@ msgid "URL"
 msgstr "URL"
 
 #. cant_delete_item
-#: src/bookmarks/dialogs.c:117
+#: src/bookmarks/dialogs.c:149
 #, c-format
 msgid "Sorry, but the bookmark \"%s\" cannot be deleted."
 msgstr ""
 
 #. cant_delete_used_item
-#: src/bookmarks/dialogs.c:119
+#: src/bookmarks/dialogs.c:151
 #, c-format
 msgid "Sorry, but the bookmark \"%s\" is being used by something else."
 msgstr ""
 
 #. delete_marked_items_title
-#: src/bookmarks/dialogs.c:125
+#: src/bookmarks/dialogs.c:157
 #, fuzzy
 msgid "Delete marked bookmarks"
 msgstr "Velg felt"
 
 #. delete_marked_items
-#: src/bookmarks/dialogs.c:127
+#: src/bookmarks/dialogs.c:159
 #, fuzzy
 msgid "Delete marked bookmarks?"
 msgstr "Velg felt"
 
 #. delete_folder
-#: src/bookmarks/dialogs.c:131
+#: src/bookmarks/dialogs.c:163
 #, fuzzy, c-format
 msgid "Delete the folder \"%s\" and all bookmarks in it?"
 msgstr "Slett fil-etternavn"
 
 #. delete_item_title
-#: src/bookmarks/dialogs.c:133
+#: src/bookmarks/dialogs.c:165
 #, fuzzy
 msgid "Delete bookmark"
 msgstr "Rediger bokmerke"
 
-#: src/bookmarks/dialogs.c:135
+#: src/bookmarks/dialogs.c:167
 #, c-format
 msgid "Delete this bookmark?"
 msgstr ""
 
 #. clear_all_items_title
-#: src/bookmarks/dialogs.c:137
+#: src/bookmarks/dialogs.c:169
 #, fuzzy
 msgid "Clear all bookmarks"
 msgstr "Bokmerker"
 
 #. clear_all_items_title
-#: src/bookmarks/dialogs.c:139
+#: src/bookmarks/dialogs.c:171
 #, fuzzy
 msgid "Do you really want to remove all bookmarks?"
 msgstr "Vil du virkelig avslutte Links?"
 
-#: src/bookmarks/dialogs.c:254
+#: src/bookmarks/dialogs.c:327
 msgid "Add folder"
 msgstr ""
 
-#: src/bookmarks/dialogs.c:254
+#: src/bookmarks/dialogs.c:327
 msgid "Folder name"
 msgstr ""
 
-#: src/bookmarks/dialogs.c:310 src/scripting/lua/core.c:391
+#: src/bookmarks/dialogs.c:410 src/scripting/lua/core.c:391
 msgid "Edit bookmark"
 msgstr "Rediger bokmerke"
 
-#: src/bookmarks/dialogs.c:461
+#: src/bookmarks/dialogs.c:567
 msgid "Cannot move folder inside itself"
 msgstr ""
 
-#: src/bookmarks/dialogs.c:462
+#: src/bookmarks/dialogs.c:568
 msgid ""
 "You are trying to move the marked folder inside itself. To move the folder "
 "to a different location select the new location before pressing the Move "
 "button."
 msgstr ""
 
-#: src/bookmarks/dialogs.c:468
+#: src/bookmarks/dialogs.c:574
 msgid "Nothing to move"
 msgstr ""
 
-#: src/bookmarks/dialogs.c:469
+#: src/bookmarks/dialogs.c:575
 msgid ""
 "To move bookmarks, first mark all the bookmarks (or folders) you want to "
 "move.  This can be done with the Insert key if you're using the default key-"
@@ -449,21 +443,21 @@ msgid ""
 msgstr ""
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons, src/cache/dialogs.c:cache_buttons, src/globhist/dialogs.c:globhist_buttons, src/protocol/auth/dialogs.c:auth_buttons)
-#: src/bookmarks/dialogs.c:487 src/cache/dialogs.c:230
+#: src/bookmarks/dialogs.c:593 src/cache/dialogs.c:230
 #: src/globhist/dialogs.c:224 src/protocol/auth/dialogs.c:261
 #, fuzzy
 msgid "~Goto"
 msgstr "G til"
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons, src/config/dialogs.c:option_buttons, src/cookies/dialogs.c:cookie_buttons)
-#: src/bookmarks/dialogs.c:488 src/config/dialogs.c:503
+#: src/bookmarks/dialogs.c:594 src/config/dialogs.c:503
 #: src/cookies/dialogs.c:492
 #, fuzzy
 msgid "~Edit"
 msgstr "Rediger"
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons, src/cache/dialogs.c:cache_buttons, src/config/dialogs.c:keybinding_buttons, src/config/dialogs.c:option_buttons, src/cookies/dialogs.c:cookie_buttons, src/dialogs/menu.c:ext_menu, src/formhist/dialogs.c:formhist_buttons, src/globhist/dialogs.c:globhist_buttons, src/protocol/auth/dialogs.c:auth_buttons)
-#: src/bookmarks/dialogs.c:489 src/cache/dialogs.c:231
+#: src/bookmarks/dialogs.c:595 src/cache/dialogs.c:231
 #: src/config/dialogs.c:505 src/config/dialogs.c:930 src/cookies/dialogs.c:493
 #: src/dialogs/menu.c:463 src/formhist/dialogs.c:211
 #: src/globhist/dialogs.c:229 src/protocol/auth/dialogs.c:263
@@ -471,28 +465,28 @@ msgid "~Delete"
 msgstr "Slett"
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons, src/config/dialogs.c:keybinding_buttons, src/config/dialogs.c:option_buttons, src/cookies/dialogs.c:cookie_buttons, src/dialogs/menu.c:ext_menu)
-#: src/bookmarks/dialogs.c:490 src/config/dialogs.c:504
+#: src/bookmarks/dialogs.c:596 src/config/dialogs.c:504
 #: src/config/dialogs.c:929 src/cookies/dialogs.c:490 src/dialogs/menu.c:461
 msgid "~Add"
 msgstr "Legg til"
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons)
-#: src/bookmarks/dialogs.c:491
+#: src/bookmarks/dialogs.c:597
 msgid "Add se~parator"
 msgstr ""
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons)
-#: src/bookmarks/dialogs.c:492
+#: src/bookmarks/dialogs.c:598
 msgid "Add ~folder"
 msgstr ""
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons)
-#: src/bookmarks/dialogs.c:493
+#: src/bookmarks/dialogs.c:599
 msgid "~Move"
 msgstr ""
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons, src/cache/dialogs.c:cache_buttons, src/config/dialogs.c:keybinding_buttons, src/config/dialogs.c:option_buttons, src/dialogs/menu.c:view_menu, src/globhist/dialogs.c:globhist_buttons)
-#: src/bookmarks/dialogs.c:494 src/cache/dialogs.c:232
+#: src/bookmarks/dialogs.c:600 src/cache/dialogs.c:232
 #: src/config/dialogs.c:506 src/config/dialogs.c:932 src/dialogs/menu.c:413
 #: src/globhist/dialogs.c:230
 msgid "~Search"
@@ -500,38 +494,52 @@ msgstr "~Sk"
 
 #. This one is too dangerous, so just let user delete
 #. * the bookmarks file if needed. --Zas
-#: src/bookmarks/dialogs.c:498
+#: src/bookmarks/dialogs.c:604
 msgid "Clear"
 msgstr ""
 
 #. TODO: Would this be useful? --jonas
-#: src/bookmarks/dialogs.c:501 src/globhist/dialogs.c:235
+#: src/bookmarks/dialogs.c:607 src/globhist/dialogs.c:235
 msgid "Save"
 msgstr "Lagre"
 
-#: src/bookmarks/dialogs.c:507
+#: src/bookmarks/dialogs.c:613
 msgid "Bookmark manager"
 msgstr "Bokmerke-behandler"
 
-#: src/bookmarks/dialogs.c:632
+#: src/bookmarks/dialogs.c:825
 msgid "Search bookmarks"
 msgstr ""
 
-#: src/bookmarks/dialogs.c:661
+#. When the user eventually pushes the OK button, BFU calls
+#. * bookmark_add_add() and gives it the struct dialog * as the
+#. * void * parameter.  However, bookmark_add_add() also needs
+#. * to know the struct terminal *, and there is no way to get
+#. * that from struct dialog.  The other bookmark dialogs work
+#. * around that by making dialog.udata point to the struct
+#. * dialog_data of the bookmark manager, but the "Add bookmark"
+#. * dialog can be triggered with ACT_MAIN_ADD_BOOKMARK, which
+#. * does not involve the bookmark manager at all.
+#. *
+#. * The solution here is to save the struct terminal * in
+#. * dialog.udata2, which the "Edit bookmark" dialog uses for
+#. * struct bookmark *.  When adding a new bookmark, we don't
+#. * need a pointer to an existing one, of course.
+#: src/bookmarks/dialogs.c:892
 msgid "Add bookmark"
 msgstr "Legg til bokmerke"
 
-#: src/bookmarks/dialogs.c:697
+#: src/bookmarks/dialogs.c:950
 #, fuzzy
 msgid "Saved session"
 msgstr "Lagre inn~stillinger"
 
-#: src/bookmarks/dialogs.c:705
+#: src/bookmarks/dialogs.c:958
 #, fuzzy
 msgid "Bookmark tabs"
 msgstr "Bokmerker"
 
-#: src/bookmarks/dialogs.c:705
+#: src/bookmarks/dialogs.c:958
 #, fuzzy
 msgid "Enter folder name"
 msgstr "Skriv nummer p lenke"
@@ -545,7 +553,7 @@ msgstr "G til URL"
 msgid "Redirect"
 msgstr ""
 
-#: src/cache/dialogs.c:85 src/config/options.inc:519
+#: src/cache/dialogs.c:85 src/config/options.inc:553
 #: src/dialogs/document.c:156 src/protocol/bittorrent/dialogs.c:126
 msgid "Size"
 msgstr "Strrelse"
@@ -592,7 +600,7 @@ msgstr ""
 msgid "ID"
 msgstr ""
 
-#: src/cache/dialogs.c:134 src/config/options.inc:669
+#: src/cache/dialogs.c:134 src/config/options.inc:707
 #, fuzzy
 msgid "Header"
 msgstr "Info om dokumenthode"
@@ -1346,7 +1354,7 @@ msgstr "Vertsmaskinen kan ikke lokaliser
 msgid "Resolver error"
 msgstr "Feil ved lagring"
 
-#: src/config/cmdline.c:256 src/cookies/cookies.c:841 src/network/state.c:47
+#: src/config/cmdline.c:256 src/cookies/cookies.c:843 src/network/state.c:47
 #: src/util/secsave.c:379
 msgid "Out of memory"
 msgstr "Tom for minne"
@@ -1368,290 +1376,291 @@ msgstr ""
 msgid "Remote method not supported"
 msgstr ""
 
-#: src/config/cmdline.c:452
+#: src/config/cmdline.c:437
+msgid "Out of memory formatting option documentation"
+msgstr ""
+
+#: src/config/cmdline.c:474
 msgid "Template option folder"
 msgstr ""
 
-#: src/config/cmdline.c:475
+#: src/config/cmdline.c:497
 #, c-format
 msgid "(default: %ld)"
 msgstr ""
 
-#: src/config/cmdline.c:482 src/config/cmdline.c:511
+#: src/config/cmdline.c:504 src/config/cmdline.c:533
 #, c-format
 msgid "(default: \"%s\")"
 msgstr ""
 
-#: src/config/cmdline.c:487
+#: src/config/cmdline.c:509
 #, c-format
 msgid "(alias for %s)"
 msgstr ""
 
-#: src/config/cmdline.c:492 src/config/cmdline.c:501
+#: src/config/cmdline.c:514 src/config/cmdline.c:523
 #, c-format
 msgid "(default: %s)"
 msgstr ""
 
-#: src/config/cmdline.c:642
+#: src/config/cmdline.c:654
 #, fuzzy
 msgid "Configuration options"
 msgstr "Forbindelser"
 
-#: src/config/cmdline.c:646
+#: src/config/cmdline.c:658
 msgid "Usage: elinks [OPTION]... [URL]..."
 msgstr ""
 
-#: src/config/cmdline.c:647
+#: src/config/cmdline.c:659
 #, fuzzy
 msgid "Options"
 msgstr "Lagre inn~stillinger"
 
-#: src/config/cmdline.c:689
+#: src/config/cmdline.c:701
 #, fuzzy
 msgid "Internal consistency error"
 msgstr "Intern feil"
 
 #.
-#: src/config/cmdline.c:725
+#: src/config/cmdline.c:737
 msgid "Restrict to anonymous mode"
 msgstr ""
 
-#: src/config/cmdline.c:727
+#: src/config/cmdline.c:739
 msgid ""
-"Restricts ELinks so it can run on an anonymous account.\n"
-"Local file browsing, downloads, and modification of options\n"
-"will be disabled. Execution of viewers is allowed, but entries\n"
-"in the association table can't be added or modified."
+"Restricts ELinks so it can run on an anonymous account. Local file browsing, "
+"downloads, and modification of options will be disabled. Execution of "
+"viewers is allowed, but entries in the association table can't be added or "
+"modified."
 msgstr ""
 
-#: src/config/cmdline.c:732
+#: src/config/cmdline.c:745
 #, fuzzy
 msgid "Autosubmit first form"
 msgstr "~Send skjemaet"
 
-#: src/config/cmdline.c:734
+#: src/config/cmdline.c:747
 msgid "Automatically submit the first form in the given URLs."
 msgstr ""
 
-#: src/config/cmdline.c:736
+#: src/config/cmdline.c:749
 msgid "Clone internal session with given ID"
 msgstr ""
 
-#: src/config/cmdline.c:738
+#: src/config/cmdline.c:751
 msgid ""
-"Used internally when opening ELinks instances in new windows.\n"
-"The ID maps to information that will be used when creating the\n"
-"new instance. You don't want to use it."
+"Used internally when opening ELinks instances in new windows. The ID maps to "
+"information that will be used when creating the new instance. You don't want "
+"to use it."
 msgstr ""
 
-#: src/config/cmdline.c:744
+#: src/config/cmdline.c:757
 msgid "Name of directory with configuration file"
 msgstr ""
 
-#: src/config/cmdline.c:746
+#: src/config/cmdline.c:759
 msgid ""
-"Path of the directory ELinks will read and write its\n"
-"config and runtime state files to instead of ~/.elinks.\n"
-"If the path does not begin with a '/' it is assumed to be\n"
-"relative to your HOME directory."
+"Path of the directory ELinks will read and write its config and runtime "
+"state files to instead of ~/.elinks. If the path does not begin with a '/' "
+"it is assumed to be relative to your HOME directory."
 msgstr ""
 
-#: src/config/cmdline.c:751
+#: src/config/cmdline.c:764
 msgid "Print default configuration file to stdout"
 msgstr ""
 
-#: src/config/cmdline.c:753
+#: src/config/cmdline.c:766
 msgid ""
-"Print a configuration file with options set to the built-in\n"
-"defaults to stdout."
+"Print a configuration file with options set to the built-in defaults to "
+"stdout."
 msgstr ""
 
-#: src/config/cmdline.c:758
+#: src/config/cmdline.c:771
 msgid "Name of configuration file"
 msgstr ""
 
-#: src/config/cmdline.c:760
+#: src/config/cmdline.c:773
 msgid ""
-"Name of the configuration file that all configuration\n"
-"options will be read from and written to. It should be\n"
-"relative to config-dir."
+"Name of the configuration file that all configuration options will be read "
+"from and written to. It should be relative to config-dir."
 msgstr ""
 
-#: src/config/cmdline.c:764
+#: src/config/cmdline.c:777
 msgid "Print help for configuration options"
 msgstr ""
 
-#: src/config/cmdline.c:766
+#: src/config/cmdline.c:779
 msgid "Print help for configuration options and exit."
 msgstr ""
 
-#: src/config/cmdline.c:768
+#: src/config/cmdline.c:781
 msgid "MIME type assumed for unknown document types"
 msgstr ""
 
-#: src/config/cmdline.c:770
+#: src/config/cmdline.c:783
 msgid "The default MIME type used for documents of unknown type."
 msgstr ""
 
-#: src/config/cmdline.c:772
+#: src/config/cmdline.c:786
 msgid "Ignore user-defined keybindings"
 msgstr ""
 
-#: src/config/cmdline.c:774
+#: src/config/cmdline.c:788
 msgid ""
-"When set, all keybindings from configuration files will be\n"
-"ignored. It forces use of default keybindings and will reset\n"
-"user-defined ones on save."
+"When set, all keybindings from configuration files will be ignored. It "
+"forces use of default keybindings and will reset user-defined ones on save."
 msgstr ""
 
-#: src/config/cmdline.c:778
+#: src/config/cmdline.c:792
 msgid "Print formatted versions of given URLs to stdout"
 msgstr ""
 
-#: src/config/cmdline.c:780
+#: src/config/cmdline.c:794
 msgid "Print formatted plain-text versions of given URLs to stdout."
 msgstr ""
 
-#: src/config/cmdline.c:782
+#: src/config/cmdline.c:797
 msgid "Codepage to use with -dump"
 msgstr ""
 
-#: src/config/cmdline.c:784
+#: src/config/cmdline.c:799
 msgid "Codepage used when formatting dump output."
 msgstr ""
 
-#: src/config/cmdline.c:786
+#: src/config/cmdline.c:801
 msgid "Color mode used with -dump"
 msgstr ""
 
-#: src/config/cmdline.c:788
+#: src/config/cmdline.c:803
 msgid "Color mode used with -dump."
 msgstr ""
 
-#: src/config/cmdline.c:790
+#: src/config/cmdline.c:805
 msgid "Width of document formatted with -dump"
 msgstr ""
 
-#: src/config/cmdline.c:792
+#: src/config/cmdline.c:807
 msgid "Width of the dump output."
 msgstr ""
 
-#: src/config/cmdline.c:794
+#: src/config/cmdline.c:809
 msgid "Evaluate configuration file directive"
 msgstr ""
 
-#: src/config/cmdline.c:796
+#: src/config/cmdline.c:811
 msgid ""
-"Specify configuration file directives on the command-line\n"
-"which will be evaluated after all configuration files has been\n"
-"read. Example usage:\n"
+"Specify configuration file directives on the command-line which will be "
+"evaluated after all configuration files has been read. Example usage:\n"
 "\t-eval 'set protocol.file.allow_special_files = 1'"
 msgstr ""
 
 #. lynx compatibility
-#: src/config/cmdline.c:802
+#: src/config/cmdline.c:817
 msgid "Interpret documents of unknown types as HTML"
 msgstr ""
 
-#: src/config/cmdline.c:804
+#: src/config/cmdline.c:819
 msgid ""
-"Makes ELinks assume documents of unknown types are HTML.\n"
-"Useful when using ELinks as an external viewer from MUAs.\n"
-"This is equivalent to -default-mime-type text/html."
+"Makes ELinks assume documents of unknown types are HTML. Useful when using "
+"ELinks as an external viewer from MUAs. This is equivalent to -default-mime-"
+"type text/html."
 msgstr ""
 
-#: src/config/cmdline.c:814
+#: src/config/cmdline.c:829
 msgid "Print usage help and exit"
 msgstr ""
 
-#: src/config/cmdline.c:816
+#: src/config/cmdline.c:831
 msgid "Print usage help and exit."
 msgstr ""
 
-#: src/config/cmdline.c:818
+#: src/config/cmdline.c:833
 msgid "Only permit local connections"
 msgstr ""
 
-#: src/config/cmdline.c:820
+#: src/config/cmdline.c:835
 msgid ""
-"Restricts ELinks to work offline and only connect to servers\n"
-"with local addresses (ie. 127.0.0.1). No connections to remote\n"
-"servers will be permitted."
+"Restricts ELinks to work offline and only connect to servers with local "
+"addresses (ie. 127.0.0.1). No connections to remote servers will be "
+"permitted."
 msgstr ""
 
-#: src/config/cmdline.c:824
+#: src/config/cmdline.c:839
 msgid "Print detailed usage help and exit"
 msgstr ""
 
-#: src/config/cmdline.c:826
+#: src/config/cmdline.c:841
 msgid "Print detailed usage help and exit."
 msgstr ""
 
-#: src/config/cmdline.c:828
+#: src/config/cmdline.c:843
 #, fuzzy
 msgid "Look up specified host"
 msgstr "Ingen program er tilordnet"
 
-#: src/config/cmdline.c:830
+#: src/config/cmdline.c:845
 msgid "Look up specified host and print all DNS resolved IP addresses."
 msgstr ""
 
-#: src/config/cmdline.c:832
+#: src/config/cmdline.c:848
 msgid "Run as separate instance"
 msgstr ""
 
-#: src/config/cmdline.c:834
+#: src/config/cmdline.c:850
 msgid ""
-"Run ELinks as a separate instance instead of connecting to an\n"
-"existing instance. Note that normally no runtime state files\n"
-"(bookmarks, history, etc.) are written to the disk when this\n"
-"option is used. See also -touch-files."
+"Run ELinks as a separate instance instead of connecting to an existing "
+"instance. Note that normally no runtime state files (bookmarks, history, "
+"etc.) are written to the disk when this option is used. See also -touch-"
+"files."
 msgstr ""
 
-#: src/config/cmdline.c:839
+#: src/config/cmdline.c:855
 msgid "Disable use of files in ~/.elinks"
 msgstr ""
 
-#: src/config/cmdline.c:841
+#: src/config/cmdline.c:857
 msgid ""
-"Disables creation and use of files in the user specific home\n"
-"configuration directory (~/.elinks). It forces default configuration\n"
-"values to be used and disables saving of runtime state files."
+"Disables creation and use of files in the user specific home configuration "
+"directory (~/.elinks). It forces default configuration values to be used and "
+"disables saving of runtime state files."
 msgstr ""
 
-#: src/config/cmdline.c:845
+#: src/config/cmdline.c:862
 msgid "Disable link numbering in dump output"
 msgstr ""
 
-#: src/config/cmdline.c:847
+#: src/config/cmdline.c:864
 msgid ""
 "Prevents printing of link number in dump output.\n"
+"\n"
 "Note that this really affects only -dump, nothing else."
 msgstr ""
 
-#: src/config/cmdline.c:850
+#: src/config/cmdline.c:868
 msgid "Disable printing of link references in dump output"
 msgstr ""
 
-#: src/config/cmdline.c:852
+#: src/config/cmdline.c:870
 msgid ""
-"Prevents printing of references (URIs) of document links\n"
-"in dump output.\n"
+"Prevents printing of references (URIs) of document links in dump output.\n"
+"\n"
 "Note that this really affects only -dump, nothing else."
 msgstr ""
 
-#: src/config/cmdline.c:856
+#: src/config/cmdline.c:875
 msgid "Control an already running ELinks"
 msgstr ""
 
-#: src/config/cmdline.c:858
+#: src/config/cmdline.c:877
 msgid ""
-"Control a remote ELinks instance by passing commands to it.\n"
-"The option takes an additional argument containing the method\n"
-"which should be invoked and any parameters that should be passed\n"
-"to it. For ease of use, the additional method argument can be\n"
-"omitted in which case any URL arguments will be opened in new\n"
-"tabs in the remote instance.\n"
+"Control a remote ELinks instance by passing commands to it. The option takes "
+"an additional argument containing the method which should be invoked and any "
+"parameters that should be passed to it. For ease of use, the additional "
+"method argument can be omitted in which case any URL arguments will be "
+"opened in new tabs in the remote instance.\n"
+"\n"
 "Following is a list of the supported methods:\n"
 "\tping()                    : look for a remote instance\n"
 "\topenURL()                 : prompt URL in current tab\n"
@@ -1663,70 +1672,69 @@ msgid ""
 "\txfeDoCommand(openBrowser) : open new window"
 msgstr ""
 
-#: src/config/cmdline.c:874
+#: src/config/cmdline.c:895
 msgid "Connect to session ring with given ID"
 msgstr ""
 
-#: src/config/cmdline.c:876
+#: src/config/cmdline.c:897
 msgid ""
-"ID of session ring this ELinks session should connect to. ELinks\n"
-"works in so-called session rings, whereby all instances of ELinks\n"
-"are interconnected and share state (cache, bookmarks, cookies,\n"
-"and so on). By default, all ELinks instances connect to session\n"
-"ring 0. You can change that behaviour with this switch and form as\n"
-"many session rings as you want. Obviously, if the session-ring with\n"
-"this number doesn't exist yet, it's created and this ELinks instance\n"
-"will become the master instance (that usually doesn't matter for you\n"
-"as a user much). Note that you usually don't want to use this unless\n"
-"you're a developer and you want to do some testing - if you want the\n"
-"ELinks instances each running standalone, rather use the -no-connect\n"
-"command-line option. Also note that normally no runtime state files\n"
-"are written to the disk when this option is used. See also\n"
-"-touch-files."
+"ID of session ring this ELinks session should connect to. ELinks works in so-"
+"called session rings, whereby all instances of ELinks are interconnected and "
+"share state (cache, bookmarks, cookies, and so on). By default, all ELinks "
+"instances connect to session ring 0. You can change that behaviour with this "
+"switch and form as many session rings as you want. Obviously, if the session-"
+"ring with this number doesn't exist yet, it's created and this ELinks "
+"instance will become the master instance (that usually doesn't matter for "
+"you as a user much).\n"
+"\n"
+"Note that you usually don't want to use this unless you're a developer and "
+"you want to do some testing - if you want the ELinks instances each running "
+"standalone, rather use the -no-connect command-line option. Also note that "
+"normally no runtime state files are written to the disk when this option is "
+"used. See also -touch-files."
 msgstr ""
 
-#: src/config/cmdline.c:891
+#: src/config/cmdline.c:915
 msgid "Print the source of given URLs to stdout"
 msgstr ""
 
-#: src/config/cmdline.c:893
+#: src/config/cmdline.c:917
 msgid "Print given URLs in source form to stdout."
 msgstr ""
 
-#: src/config/cmdline.c:897
+#: src/config/cmdline.c:921
 msgid "Touch files in ~/.elinks when running with -no-connect/-session-ring"
 msgstr ""
 
-#: src/config/cmdline.c:899
+#: src/config/cmdline.c:923
 msgid ""
-"When enabled, runtime state files (bookmarks, history, etc.) are\n"
-"written to disk, even when -no-connect or -session-ring is used.\n"
-"The option has no effect if not used in conjunction with any of\n"
-"these options."
+"When enabled, runtime state files (bookmarks, history, etc.) are written to "
+"disk, even when -no-connect or -session-ring is used. The option has no "
+"effect if not used in conjunction with any of these options."
 msgstr ""
 
-#: src/config/cmdline.c:904
+#: src/config/cmdline.c:928
 msgid "Verbose level"
 msgstr ""
 
-#: src/config/cmdline.c:906
+#: src/config/cmdline.c:930
 msgid ""
-"The verbose level controls what messages are shown at\n"
-"start up and while running:\n"
+"The verbose level controls what messages are shown at start up and while "
+"running:\n"
 "\t0 means only show serious errors\n"
 "\t1 means show serious errors and warnings\n"
 "\t2 means show all messages"
 msgstr ""
 
-#: src/config/cmdline.c:912
+#: src/config/cmdline.c:936
 msgid "Print version information and exit"
 msgstr ""
 
-#: src/config/cmdline.c:914
+#: src/config/cmdline.c:938
 msgid "Print ELinks version information and exit."
 msgstr ""
 
-#: src/config/conf.c:938
+#: src/config/conf.c:963
 msgid ""
 "## This is ELinks configuration file. You can edit it manually,\n"
 "## if you wish so; this file is edited by ELinks when you save\n"
@@ -1734,7 +1742,7 @@ msgid ""
 "## and all your formatting, own comments etc will be kept as-is.\n"
 msgstr ""
 
-#: src/config/conf.c:946
+#: src/config/conf.c:971
 msgid ""
 "## This is ELinks configuration file. You can edit it manually,\n"
 "## if you wish so; this file is edited by ELinks when you save\n"
@@ -1745,7 +1753,7 @@ msgid ""
 "## own comments and so on will be kept as-is.\n"
 msgstr ""
 
-#: src/config/conf.c:956
+#: src/config/conf.c:981
 msgid ""
 "## This is ELinks configuration file. You can edit it manually,\n"
 "## if you wish so, but keep in mind that this file is overwritten\n"
@@ -1753,18 +1761,18 @@ msgid ""
 "## luck with your formatting and own comments then, so beware.\n"
 msgstr ""
 
-#: src/config/conf.c:967
+#: src/config/conf.c:992
 msgid ""
 "## Obviously, if you don't like what ELinks is going to do with\n"
 "## this file, you can change it by altering the config.saving_style\n"
 "## option. Come on, aren't we friendly guys after all?\n"
 msgstr ""
 
-#: src/config/conf.c:980
+#: src/config/conf.c:1005
 msgid "Automatically saved options\n"
 msgstr ""
 
-#: src/config/conf.c:992
+#: src/config/conf.c:1017
 msgid "Automatically saved keybindings\n"
 msgstr ""
 
@@ -1825,7 +1833,7 @@ msgstr ""
 #. * switch charsets.  So, it will work in any terminal that
 #. * understands UTF-8 and has the characters in its font.
 #: src/config/dialogs.c:149 src/config/dialogs.c:330
-#: src/config/options.inc:840
+#: src/config/options.inc:887
 msgid "Type"
 msgstr ""
 
@@ -1851,9 +1859,9 @@ msgid "Description"
 msgstr ""
 
 #: src/config/dialogs.c:291 src/protocol/bittorrent/dialogs.c:600
-#: src/protocol/protocol.c:240 src/session/session.c:287
-#: src/session/session.c:975 src/viewer/text/textarea.c:594
-#: src/viewer/text/textarea.c:601
+#: src/protocol/protocol.c:240 src/session/session.c:288
+#: src/session/session.c:999 src/viewer/text/textarea.c:583
+#: src/viewer/text/textarea.c:590
 msgid "Error"
 msgstr "Feil"
 
@@ -1888,7 +1896,7 @@ msgstr ""
 #. accelerator_context(src/config/dialogs.c:keybinding_buttons, src/config/dialogs.c:option_buttons, src/cookies/dialogs.c:cookie_buttons, src/formhist/dialogs.c:formhist_buttons, src/protocol/bittorrent/dialogs.c:bittorrent_query_callback, src/session/download.c:do_type_query, terminal_options)
 #: src/config/dialogs.c:507 src/config/dialogs.c:933 src/cookies/dialogs.c:495
 #: src/dialogs/options.c:236 src/formhist/dialogs.c:214
-#: src/protocol/bittorrent/dialogs.c:801 src/session/download.c:1203
+#: src/protocol/bittorrent/dialogs.c:801 src/session/download.c:1229
 #, fuzzy
 msgid "Sa~ve"
 msgstr "Lagre"
@@ -1902,7 +1910,7 @@ msgstr "Bokmerke-behandler"
 msgid "Keystroke"
 msgstr ""
 
-#: src/config/dialogs.c:676 src/config/options.inc:1219
+#: src/config/dialogs.c:676 src/config/options.inc:1292
 msgid "Action"
 msgstr ""
 
@@ -1974,32 +1982,32 @@ msgid ""
 "directory."
 msgstr ""
 
-#: src/config/kbdbind.c:221
+#: src/config/kbdbind.c:222
 msgid "Main mapping"
 msgstr ""
 
-#: src/config/kbdbind.c:222
+#: src/config/kbdbind.c:223
 msgid "Edit mapping"
 msgstr ""
 
-#: src/config/kbdbind.c:223
+#: src/config/kbdbind.c:224
 msgid "Menu mapping"
 msgstr ""
 
-#: src/config/kbdbind.c:588 src/scripting/python/keybinding.c:104
+#: src/config/kbdbind.c:589 src/scripting/python/keybinding.c:104
 msgid "Unrecognised keymap"
 msgstr ""
 
-#: src/config/kbdbind.c:591
+#: src/config/kbdbind.c:592
 #, fuzzy
 msgid "Error parsing keystroke"
 msgstr "Feil ved skriving til sokkel"
 
-#: src/config/kbdbind.c:595
+#: src/config/kbdbind.c:596
 msgid "Unrecognised action (internal error)"
 msgstr ""
 
-#: src/config/kbdbind.c:611
+#: src/config/kbdbind.c:612
 #, fuzzy
 msgid "Error registering event"
 msgstr "Feil ved skriving til sokkel"
@@ -2027,333 +2035,328 @@ msgid ""
 "3 is full comments are written"
 msgstr ""
 
-#: src/config/options.inc:31
+#: src/config/options.inc:32
 #, fuzzy
 msgid "Indentation"
 msgstr "SSL forhandling"
 
-#: src/config/options.inc:33
+#: src/config/options.inc:34
 msgid ""
-"Shift width of one indentation level in the configuration\n"
-"file. Zero means that no indentation is performed at all\n"
-"when saving the configuration."
+"Shift width of one indentation level in the configuration file. Zero means "
+"that no indentation is performed at all when saving the configuration."
 msgstr ""
 
-#: src/config/options.inc:37
+#: src/config/options.inc:38
 msgid "Saving style"
 msgstr ""
 
-#: src/config/options.inc:39
+#: src/config/options.inc:40
 msgid ""
 "Determines what happens when you tell ELinks to save options:\n"
 "0 is only values of current options are altered\n"
-"1 is values of current options are altered and missing options\n"
-"     are added at the end of the file\n"
+"1 is values of current options are altered and missing\n"
+"     options are added at the end of the file\n"
 "2 is the configuration file is rewritten from scratch\n"
-"3 is values of current options are altered and missing options\n"
-"     CHANGED during this ELinks session are added at the end of\n"
-"     the file"
+"3 is values of current options are altered and missing\n"
+"     options CHANGED during this ELinks session are added at\n"
+"     the end of the file"
 msgstr ""
 
-#: src/config/options.inc:48
+#: src/config/options.inc:50
 msgid "Comments localization"
 msgstr ""
 
-#: src/config/options.inc:50
+#: src/config/options.inc:52
 msgid ""
-"If set to 1, comments in the configuration file will be\n"
-"translated to the language used by UI. Note that if you have\n"
-"different language set in different terminals, the language\n"
-"used in the configuration file MAY be the same as on the\n"
-"terminal where you saved the file, but it should be generally\n"
+"If set to 1, comments in the configuration file will be translated to the "
+"language used by UI. Note that if you have different language set in "
+"different terminals, the language used in the configuration file MAY be the "
+"same as on the terminal where you saved the file, but it should be generally "
 "considered unpredictable."
 msgstr ""
 
-#: src/config/options.inc:58
+#: src/config/options.inc:60
 msgid "Saving style warnings"
 msgstr ""
 
-#: src/config/options.inc:60
+#: src/config/options.inc:62
 msgid ""
-"This is internal option used when displaying a warning about\n"
-"obsolete config.saving_style. You shouldn't touch it."
+"This is internal option used when displaying a warning about obsolete config."
+"saving_style. You shouldn't touch it."
 msgstr ""
 
-#: src/config/options.inc:63
+#: src/config/options.inc:66
 msgid "Show template"
 msgstr ""
 
-#: src/config/options.inc:65
+#: src/config/options.inc:68
 msgid ""
-"Show template options in autocreated trees in the options\n"
-"manager and save them to the configuration file."
+"Show template options in autocreated trees in the options manager and save "
+"them to the configuration file."
 msgstr ""
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:71 src/dialogs/info.c:180
+#: src/config/options.inc:74 src/dialogs/info.c:180
 msgid "Connections"
 msgstr "Forbindelser"
 
-#: src/config/options.inc:73
+#: src/config/options.inc:76
 #, fuzzy
 msgid "Connection options."
 msgstr "Forbindelser"
 
-#: src/config/options.inc:76
+#: src/config/options.inc:79
 msgid "Asynchronous DNS"
 msgstr ""
 
-#: src/config/options.inc:78
+#: src/config/options.inc:81
 msgid "Whether to use asynchronous DNS resolving."
 msgstr ""
 
-#: src/config/options.inc:80
+#: src/config/options.inc:83
 #, fuzzy
 msgid "Maximum connections"
 msgstr "Kobler til"
 
-#: src/config/options.inc:82
+#: src/config/options.inc:85
 msgid "Maximum number of concurrent connections."
 msgstr ""
 
-#: src/config/options.inc:84
+#: src/config/options.inc:87
 #, fuzzy
 msgid "Maximum connections per host"
 msgstr "Kobler til"
 
-#: src/config/options.inc:86
+#: src/config/options.inc:89
 msgid "Maximum number of concurrent connections to a given host."
 msgstr ""
 
-#: src/config/options.inc:88
+#: src/config/options.inc:92
 #, fuzzy
 msgid "Connection retries"
 msgstr "Forbindelser"
 
-#: src/config/options.inc:90
-msgid ""
-"Number of tries to establish a connection.\n"
-"Zero means try forever."
+#: src/config/options.inc:94
+msgid "Number of tries to establish a connection. Zero means try forever."
 msgstr ""
 
-#: src/config/options.inc:93 src/network/state.c:53
+#: src/config/options.inc:97 src/network/state.c:53
 msgid "Receive timeout"
 msgstr "Ventetid utgtt for overfring"
 
-#: src/config/options.inc:95
+#: src/config/options.inc:99
 #, fuzzy
 msgid "Receive timeout (in seconds)."
 msgstr "Ventetid utgtt for overfring"
 
-#: src/config/options.inc:98 src/config/options.inc:108
+#: src/config/options.inc:102 src/config/options.inc:113
 msgid "Try IPv4 when connecting"
 msgstr ""
 
-#: src/config/options.inc:100
+#: src/config/options.inc:104
 msgid ""
-"Whether to try to connect to a host over IPv4.\n"
-"Note that if connection.try_ipv6 is enabled too,\n"
-"it takes precedence. And better do not touch this\n"
+"Whether to try to connect to a host over IPv4. Note that if connection."
+"try_ipv6 is enabled too, it takes precedence. And better do not touch this "
 "at all unless you are sure what are you doing.\n"
-"Note that you can also force a given protocol\n"
-"to be used on a per-connection basis by using a URL\n"
-"in the style of e.g. http4://elinks.cz/."
+"\n"
+"Note that you can also force a given protocol to be used on a per-connection "
+"basis by using a URL in the style of e.g. http4://elinks.cz/."
 msgstr ""
 
-#: src/config/options.inc:110
+#: src/config/options.inc:115
 msgid ""
-"Whether to try to connect to a host over IPv4.\n"
-"Do not touch this option.\n"
-"Note that you can also force a given protocol\n"
-"to be used on a per-connection basis by using a URL\n"
-"in the style of e.g. http4://elinks.cz/."
+"Whether to try to connect to a host over IPv4. Do not touch this option.\n"
+"\n"
+"Note that you can also force a given protocol to be used on a per-connection "
+"basis by using a URL in the style of e.g. http4://elinks.cz/."
 msgstr ""
 
-#: src/config/options.inc:118
+#: src/config/options.inc:124
 msgid "Try IPv6 when connecting"
 msgstr ""
 
-#: src/config/options.inc:120
+#: src/config/options.inc:126
 msgid ""
 "Whether to try to connect to a host over IPv6.\n"
-"Note that you can also force a given protocol\n"
-"to be used on a per-connection basis by using a URL\n"
-"in the style of e.g. http6://elinks.cz/."
+"\n"
+"Note that you can also force a given protocol to be used on a per-connection "
+"basis by using a URL in the style of e.g. http6://elinks.cz/."
 msgstr ""
 
-#: src/config/options.inc:126
+#: src/config/options.inc:133
 msgid "Timeout for non-restartable connections"
 msgstr ""
 
-#: src/config/options.inc:128
+#: src/config/options.inc:135
 msgid "Timeout for non-restartable connections (in seconds)."
 msgstr ""
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:134
+#: src/config/options.inc:141
 #, fuzzy
 msgid "Document"
 msgstr "dokumenter"
 
-#: src/config/options.inc:136
+#: src/config/options.inc:143
 #, fuzzy
 msgid "Document options."
 msgstr "Dokument-~informasjon"
 
-#: src/config/options.inc:138
+#: src/config/options.inc:145
 msgid "Browsing"
 msgstr ""
 
-#: src/config/options.inc:140
+#: src/config/options.inc:147
 msgid "Document browsing options (mainly interactivity)."
 msgstr ""
 
-#: src/config/options.inc:143
+#: src/config/options.inc:150
 msgid "Access keys"
 msgstr ""
 
-#: src/config/options.inc:145
+#: src/config/options.inc:152
 msgid ""
-"Options for handling of link access keys.\n"
-"An HTML document can use the ACCESSKEY attribute to assign\n"
-"an access key to an element. When an access key is pressed,\n"
-"the corresponding element will be given focus."
+"Options for handling of link access keys. An HTML document can use the "
+"ACCESSKEY attribute to assign an access key to an element. When an access "
+"key is pressed, the corresponding element will be given focus."
 msgstr ""
 
-#: src/config/options.inc:150
+#: src/config/options.inc:157
 msgid "Automatic links following"
 msgstr ""
 
-#: src/config/options.inc:152
+#: src/config/options.inc:159
 msgid ""
-"Automatically follow a link or submit a form if appropriate\n"
-"accesskey is pressed - this is the standard behaviour, but it's\n"
-"considered dangerous."
+"Automatically follow a link or submit a form if appropriate accesskey is "
+"pressed - this is the standard behaviour, but it's considered dangerous."
 msgstr ""
 
-#: src/config/options.inc:156
+#: src/config/options.inc:163
 msgid "Display access key in link info"
 msgstr ""
 
-#: src/config/options.inc:158
+#: src/config/options.inc:165
 msgid "Display access key in link info."
 msgstr ""
 
-#: src/config/options.inc:160
+#: src/config/options.inc:167
 msgid "Accesskey priority"
 msgstr ""
 
-#: src/config/options.inc:162
+#: src/config/options.inc:169
 msgid ""
 "Priority of 'accesskey' HTML attribute:\n"
-"0 is first try all normal bindings; if it fails, check accesskey\n"
-"1 is first try only frame bindings; if it fails, check accesskey\n"
+"0 is first try all normal bindings; if it fails,\n"
+"     check accesskey\n"
+"1 is first try only frame bindings; if it fails,\n"
+"     check accesskey\n"
 "2 is first check accesskey (this can be dangerous)"
 msgstr ""
 
-#: src/config/options.inc:168
+#: src/config/options.inc:177
 msgid "Forms"
 msgstr ""
 
-#: src/config/options.inc:170
+#: src/config/options.inc:179
 msgid "Options for handling of the forms interaction."
 msgstr ""
 
-#: src/config/options.inc:172
+#: src/config/options.inc:181
 #, fuzzy
 msgid "Submit form automatically"
 msgstr "Send skjemaet til"
 
-#: src/config/options.inc:174
+#: src/config/options.inc:183
 msgid ""
-"Automagically submit a form when enter is pressed with a text\n"
-"field selected."
+"Automagically submit a form when enter is pressed with a text field selected."
 msgstr ""
 
-#: src/config/options.inc:177
+#: src/config/options.inc:186
 msgid "Confirm submission"
 msgstr ""
 
-#: src/config/options.inc:179
+#: src/config/options.inc:188
 msgid "Ask for confirmation when submitting a form."
 msgstr ""
 
-#: src/config/options.inc:181
+#: src/config/options.inc:190
 msgid "Default form input size"
 msgstr ""
 
-#: src/config/options.inc:183
+#: src/config/options.inc:192
 msgid "Default form input size if none is specified."
 msgstr ""
 
-#: src/config/options.inc:185
+#: src/config/options.inc:194
 msgid "Insert mode"
 msgstr ""
 
-#: src/config/options.inc:187
+#: src/config/options.inc:196
 msgid ""
-"The setting for this option affects how key presses are handled\n"
-"when one selects a text-input form-field. When enabled, one must\n"
-"explicitly 'enter' a selected text-field to edit it; this prevents\n"
-"text fields from capturing key presses, such as presses of a scroll\n"
-"key, when it is inadvertently selected. When disabled, key presses\n"
-"are always inserted into a selected text field."
+"The setting for this option affects how key presses are handled when one "
+"selects a text-input form-field. When enabled, one must explicitly 'enter' a "
+"selected text-field to edit it; this prevents text fields from capturing key "
+"presses, such as presses of a scroll key, when it is inadvertently selected. "
+"When disabled, key presses are always inserted into a selected text field."
 msgstr ""
 
-#: src/config/options.inc:194
+#: src/config/options.inc:204
 #, fuzzy
 msgid "External editor"
 msgstr "Intern feil"
 
-#: src/config/options.inc:196
+#: src/config/options.inc:206
 msgid ""
-"Path to the executable that ELinks should launch when the user\n"
-"requests to edit a textarea with an external editor.\n"
-"If this is blank, ELinks will use the value of the environmental\n"
-"variable $EDITOR. If $EDITOR is empty or not set, ELinks will then\n"
-"default to \"vi\"."
+"Path to the executable that ELinks should launch when the user requests to "
+"edit a textarea with an external editor.\n"
+"\n"
+"If this is blank, ELinks will use the value of the environmental variable "
+"$EDITOR. If $EDITOR is empty or not set, ELinks will then default to \"vi\"."
 msgstr ""
 
-#: src/config/options.inc:203
+#: src/config/options.inc:214
 #, fuzzy
 msgid "Images"
 msgstr "Bilde"
 
-#: src/config/options.inc:205
+#: src/config/options.inc:216
 msgid "Options for handling of images."
 msgstr ""
 
-#: src/config/options.inc:207
+#: src/config/options.inc:218
 #, fuzzy
 msgid "Display style for image tags"
 msgstr "Vis"
 
-#: src/config/options.inc:209
+#: src/config/options.inc:220
 msgid ""
 "Display style for image tags when displayed:\n"
 "0     means always display IMG\n"
 "1     means always display filename\n"
-"2     means display alt/title attribute if possible, IMG if not\n"
-"3     means display alt/title attribute if possible, filename if not"
+"2     means display alt/title attribute if possible,\n"
+"      IMG if not\n"
+"3     means display alt/title attribute if possible,\n"
+"      filename if not"
 msgstr ""
 
-#: src/config/options.inc:215
+#: src/config/options.inc:228
 msgid "Maximum length for image filename"
 msgstr ""
 
-#: src/config/options.inc:217
+#: src/config/options.inc:230
 msgid ""
 "Maximum length of image filename when displayed:\n"
 "0     means always display full filename\n"
 "1-500 means display filename with this maximal length;\n"
-"      if it is longer, the middle is substituted by an asterisk"
+"      if it is longer, the middle is substituted by\n"
+"      an asterisk"
 msgstr ""
 
-#: src/config/options.inc:227
+#: src/config/options.inc:241
 msgid "Image links tagging"
 msgstr ""
 
-#: src/config/options.inc:229
+#: src/config/options.inc:243
 msgid ""
 "When to enclose image links:\n"
 "0 means never\n"
@@ -2361,92 +2364,92 @@ msgid ""
 "2 means always"
 msgstr ""
 
-#: src/config/options.inc:234
+#: src/config/options.inc:248
 msgid "Image link prefix"
 msgstr ""
 
-#: src/config/options.inc:236
+#: src/config/options.inc:250
 msgid "Prefix string to use to mark image links."
 msgstr ""
 
-#: src/config/options.inc:238
+#: src/config/options.inc:252
 msgid "Image link suffix"
 msgstr ""
 
-#: src/config/options.inc:240
+#: src/config/options.inc:254
 msgid "Suffix string to use to mark image links."
 msgstr ""
 
-#: src/config/options.inc:242
+#: src/config/options.inc:256
 msgid "Maximum length for image label"
 msgstr ""
 
-#: src/config/options.inc:244
+#: src/config/options.inc:258
 msgid ""
 "Maximum length of image label (alt/title):\n"
 "0     means always display full label\n"
 "1-500 means display label with this maximal length;\n"
-"      if it is longer, the middle is substituted by an asterisk"
+"      if it is longer, the middle is substituted by\n"
+"      an asterisk"
 msgstr ""
 
-#: src/config/options.inc:249
+#: src/config/options.inc:264
 msgid "Display links to images w/o alt"
 msgstr ""
 
-#: src/config/options.inc:251
+#: src/config/options.inc:266
 msgid ""
-"Display links to images without an alt attribute. If this option\n"
-"is off, these images are completely invisible."
+"Display links to images without an alt attribute. If this option is off, "
+"these images are completely invisible."
 msgstr ""
 
-#: src/config/options.inc:254
+#: src/config/options.inc:269
 #, fuzzy
 msgid "Display links to images"
 msgstr "Vis"
 
-#: src/config/options.inc:256
+#: src/config/options.inc:271
 msgid ""
-"Display links to any images in the document, regardless of them\n"
-"having an alt attribute or not. If this option is off, the alt\n"
-"attribute contents is shown, but as normal text, not selectable\n"
-"as a link."
+"Display links to any images in the document, regardless of them having an "
+"alt attribute or not. If this option is off, the alt attribute contents is "
+"shown, but as normal text, not selectable as a link."
 msgstr ""
 
-#: src/config/options.inc:262
+#: src/config/options.inc:277
 #, fuzzy
 msgid "Links"
 msgstr "~Lenker"
 
-#: src/config/options.inc:264
+#: src/config/options.inc:279
 msgid "Options for handling of links to other documents."
 msgstr ""
 
-#: src/config/options.inc:266
+#: src/config/options.inc:281
 msgid "Active link"
 msgstr ""
 
-#: src/config/options.inc:268
+#: src/config/options.inc:283
 msgid "Options for the active link."
 msgstr ""
 
-#: src/config/options.inc:270
+#: src/config/options.inc:285
 #, fuzzy
 msgid "Colors"
 msgstr "Farger"
 
-#: src/config/options.inc:272
+#: src/config/options.inc:287
 #, fuzzy
 msgid "Active link colors."
 msgstr "Drep bakgrunnstil~koblinger"
 
-#: src/config/options.inc:274 src/config/options.inc:549
-#: src/config/options.inc:945
+#: src/config/options.inc:289 src/config/options.inc:583
+#: src/config/options.inc:1014
 #, fuzzy
 msgid "Background color"
 msgstr "Bakgrunn"
 
-#: src/config/options.inc:276 src/config/options.inc:551
-#: src/config/options.inc:946
+#: src/config/options.inc:291 src/config/options.inc:585
+#: src/config/options.inc:1015
 #, fuzzy
 msgid "Default background color."
 msgstr "Drep bakgrunnstil~koblinger"
@@ -2459,75 +2462,75 @@ msgstr "Drep bakgrunnstil~koblinger"
 #. *	on it.
 #. The colors and mono tree should be similar but with different default
 #. * values of course so always use the macros below.
-#: src/config/options.inc:278 src/config/options.inc:545
-#: src/config/options.inc:943
+#: src/config/options.inc:293 src/config/options.inc:579
+#: src/config/options.inc:1012
 #, fuzzy
 msgid "Text color"
 msgstr "Tekstboks"
 
-#: src/config/options.inc:280 src/config/options.inc:547
-#: src/config/options.inc:944
+#: src/config/options.inc:295 src/config/options.inc:581
+#: src/config/options.inc:1013
 msgid "Default text color."
 msgstr ""
 
-#: src/config/options.inc:282
+#: src/config/options.inc:297
 #, fuzzy
 msgid "Enable color"
 msgstr "Navn"
 
-#: src/config/options.inc:284
+#: src/config/options.inc:299
 msgid ""
-"Enable use of the active link background and text color\n"
-"settings instead of the link colors from the document."
+"Enable use of the active link background and text color settings instead of "
+"the link colors from the document."
 msgstr ""
 
-#: src/config/options.inc:287
+#: src/config/options.inc:302
 msgid "Bold"
 msgstr ""
 
-#: src/config/options.inc:289
+#: src/config/options.inc:304
 msgid "Make the active link text bold."
 msgstr ""
 
-#: src/config/options.inc:291
+#: src/config/options.inc:306
 #, fuzzy
 msgid "Invert colors"
 msgstr "Tekstboks"
 
-#: src/config/options.inc:293
+#: src/config/options.inc:308
 msgid "Invert the fore- and background color so the link stands out."
 msgstr ""
 
-#: src/config/options.inc:296 src/config/options.inc:908
+#: src/config/options.inc:311 src/config/options.inc:975
 #: src/dialogs/options.c:231
 msgid "Underline"
 msgstr ""
 
-#: src/config/options.inc:298
+#: src/config/options.inc:313
 msgid "Underline the active link."
 msgstr ""
 
-#: src/config/options.inc:301
+#: src/config/options.inc:316
 msgid "Directory highlighting"
 msgstr ""
 
-#: src/config/options.inc:303
+#: src/config/options.inc:318
 msgid "Highlight links to directories in FTP and local directory listing."
 msgstr ""
 
-#: src/config/options.inc:305
+#: src/config/options.inc:321
 msgid "Number links"
 msgstr ""
 
-#: src/config/options.inc:307
+#: src/config/options.inc:323
 msgid "Display numbers next to the links."
 msgstr ""
 
-#: src/config/options.inc:309
+#: src/config/options.inc:325
 msgid "Handling of target=_blank"
 msgstr ""
 
-#: src/config/options.inc:311
+#: src/config/options.inc:327
 msgid ""
 "Define how to handle links having target=_blank set:\n"
 "0 means open link in current tab\n"
@@ -2536,139 +2539,136 @@ msgid ""
 "3 means open link in new window"
 msgstr ""
 
-#: src/config/options.inc:324
+#: src/config/options.inc:340
 msgid "Use tabindex"
 msgstr ""
 
-#: src/config/options.inc:326
+#: src/config/options.inc:342
 msgid ""
-"Whether to navigate links using tabindex specified ordering.\n"
-"The TABINDEX attribute in HTML elements specifies the order\n"
-"in which links should receive focus when using the keyboard\n"
-"to navigate the document."
+"Whether to navigate links using tabindex specified ordering. The TABINDEX "
+"attribute in HTML elements specifies the order in which links should receive "
+"focus when using the keyboard to navigate the document."
 msgstr ""
 
-#: src/config/options.inc:331
+#: src/config/options.inc:347
 #, fuzzy
 msgid "Missing fragment reporting"
 msgstr "Ingen rammer"
 
-#: src/config/options.inc:333
+#: src/config/options.inc:349
 msgid "Open a message box when document has no tag with given id."
 msgstr ""
 
-#: src/config/options.inc:335
+#: src/config/options.inc:352
 msgid "Number keys select links"
 msgstr ""
 
-#: src/config/options.inc:337
+#: src/config/options.inc:354
 msgid ""
-"Number keys select links rather than specify command prefixes. This\n"
-"is a tristate:\n"
+"Number keys select links rather than specify command prefixes. This is a "
+"tristate:\n"
 "0 means never\n"
 "1 means if document.browse.links.numbering = 1\n"
 "2 means always"
 msgstr ""
 
-#: src/config/options.inc:343
+#: src/config/options.inc:360
 msgid "Warn about maliciously crafted URIs"
 msgstr ""
 
-#: src/config/options.inc:345
+#: src/config/options.inc:362
 msgid ""
-"When following a link the user ID part of the URI is\n"
-"checked and if a maliciously crafted URI is detected a\n"
-"warning dialog will ask before following the link."
+"When following a link the user ID part of the URI is checked and if a "
+"maliciously crafted URI is detected a warning dialog will ask before "
+"following the link."
 msgstr ""
 
 #. TODO - this is somehow implemented by ff, but disabled
 #. * for now as it doesn't work.
-#: src/config/options.inc:351
+#: src/config/options.inc:368
 msgid "Wrap-around links cycling"
 msgstr ""
 
 #. 0
-#: src/config/options.inc:353
+#: src/config/options.inc:370
 msgid ""
-"When pressing 'down' on the last link, jump to the first one, and\n"
-"vice versa."
+"When pressing 'down' on the last link, jump to the first one, and vice versa."
 msgstr ""
 
-#: src/config/options.inc:357
+#: src/config/options.inc:374
 msgid "Scrolling"
 msgstr ""
 
-#: src/config/options.inc:359
+#: src/config/options.inc:376
 #, fuzzy
 msgid "Scrolling options."
 msgstr "Terminal-innstillinger"
 
-#: src/config/options.inc:361
+#: src/config/options.inc:378
 msgid "Horizontal step"
 msgstr ""
 
-#: src/config/options.inc:363
+#: src/config/options.inc:380
 msgid ""
-"Number of columns to scroll when a key bound to scroll-left or scroll-\n"
-"right is pressed and no prefix was given."
+"Number of columns to scroll when a key bound to scroll-left or scroll-right "
+"is pressed and no prefix was given."
 msgstr ""
 
-#: src/config/options.inc:366
+#: src/config/options.inc:384
 msgid "Extended horizontal scrolling"
 msgstr ""
 
-#: src/config/options.inc:368
+#: src/config/options.inc:386
 msgid ""
-"Whether to allow horizontal scrolling when the document\n"
-"does not extend off the screen. Useful for copy/paste\n"
-"operations."
+"Whether to allow horizontal scrolling when the document does not extend off "
+"the screen. Useful for copy/paste operations."
 msgstr ""
 
-#: src/config/options.inc:372
+#: src/config/options.inc:390
 #, fuzzy
 msgid "Margin"
 msgstr "Advarsel"
 
-#: src/config/options.inc:374
+#: src/config/options.inc:392
 msgid ""
-"Size of the virtual margin - when you click inside of that margin,\n"
-"document scrolls in that direction."
+"Size of the virtual margin - when you click inside of that margin, document "
+"scrolls in that direction."
 msgstr ""
 
-#: src/config/options.inc:377
+#: src/config/options.inc:395
 msgid "Vertical step"
 msgstr ""
 
-#: src/config/options.inc:379
+#: src/config/options.inc:397
 msgid ""
-"Number of lines to scroll when a key bound to scroll-up or scroll-\n"
-"down is pressed and no prefix was given."
+"Number of lines to scroll when a key bound to scroll-up or scroll-down is "
+"pressed and no prefix was given."
 msgstr ""
 
-#: src/config/options.inc:383
+#: src/config/options.inc:401
 #, fuzzy
 msgid "Searching"
 msgstr "Sk"
 
-#: src/config/options.inc:385
+#: src/config/options.inc:403
 msgid "Options for searching."
 msgstr ""
 
-#: src/config/options.inc:387
+#: src/config/options.inc:405
 msgid "Case sensitivity"
 msgstr ""
 
-#: src/config/options.inc:389
+#: src/config/options.inc:407
 msgid ""
-"Whether the search should match the document text while maintaining\n"
-"case sensitivity."
+"Whether the search should match the document text while maintaining case "
+"sensitivity."
 msgstr ""
 
-#: src/config/options.inc:393
+#: src/config/options.inc:411
 msgid "Regular expressions"
 msgstr ""
 
-#: src/config/options.inc:395
+#: src/config/options.inc:413
 msgid ""
 "Enable searching with regular expressions:\n"
 "0 for plain text searching\n"
@@ -2676,31 +2676,31 @@ msgid ""
 "2 for extended regular expression searches"
 msgstr ""
 
-#: src/config/options.inc:401
+#: src/config/options.inc:419
 msgid "Show search hit top or bottom dialogs"
 msgstr ""
 
-#: src/config/options.inc:403
+#: src/config/options.inc:421
 msgid ""
-"Whether to show a dialog when the search hits the top or bottom of the\n"
+"Whether to show a dialog when the search hits the top or bottom of the "
 "document."
 msgstr ""
 
-#: src/config/options.inc:406
+#: src/config/options.inc:424
 #, fuzzy
 msgid "Wraparound"
 msgstr "Bakgrunn"
 
-#: src/config/options.inc:408
+#: src/config/options.inc:426
 msgid "Wrap around when searching. Currently only used for typeahead."
 msgstr ""
 
-#: src/config/options.inc:410
+#: src/config/options.inc:429
 #, fuzzy
 msgid "Show not found"
 msgstr "Vertsmaskinen kan ikke lokaliseres"
 
-#: src/config/options.inc:412
+#: src/config/options.inc:431
 msgid ""
 "How to inform the user when nothing is matched:\n"
 "0 means do nothing\n"
@@ -2708,281 +2708,282 @@ msgid ""
 "2 means pop up message box"
 msgstr ""
 
-#: src/config/options.inc:417
+#: src/config/options.inc:436
 #, fuzzy
 msgid "Typeahead searching"
 msgstr "Feil i tekststreng"
 
-#: src/config/options.inc:419
+#: src/config/options.inc:438
 msgid ""
-"Start typeahead searching when an unbound key is pressed without\n"
-"any modifiers. Note that most keys have default bindings, so this\n"
-"feature will not be useful unless you unbind them.\n"
+"Start typeahead searching when an unbound key is pressed without any "
+"modifiers. Note that most keys have default bindings, so this feature will "
+"not be useful unless you unbind them.\n"
 "\n"
-"0 disables this feature; typeahead searching will only be used\n"
-"  when you press a key bound to search-typeahead or similar\n"
+"0 disables this feature; typeahead searching will only be\n"
+"  used when you press a key bound to search-typeahead or\n"
+"  similar\n"
 "1 automatically starts typeahead searching thru link text\n"
-"2 automatically starts typeahead searching thru all document text"
+"2 automatically starts typeahead searching thru all document\n"
+"  text"
 msgstr ""
 
-#: src/config/options.inc:428
+#: src/config/options.inc:451
 msgid "Horizontal text margin"
 msgstr ""
 
-#: src/config/options.inc:430
+#: src/config/options.inc:453
 msgid "Horizontal text margin."
 msgstr ""
 
-#: src/config/options.inc:432
+#: src/config/options.inc:455
 msgid "Document meta refresh"
 msgstr ""
 
-#: src/config/options.inc:434
+#: src/config/options.inc:457
 msgid ""
-"Automatically follow document-specified refresh directives ('<meta>\n"
-"refresh' tags). Web-page authors use these to instruct the browser\n"
-"to reload a document at a given interval or to load another page.\n"
-"Regardless of the value the refresh URI is accessible as a link.\n"
-"Use the document.browse.minimum_refresh_time to control the minimum\n"
-"number of seconds a refresh will wait."
+"Automatically follow document-specified refresh directives ('<meta> refresh' "
+"tags). Web-page authors use these to instruct the browser to reload a "
+"document at a given interval or to load another page. Regardless of the "
+"value the refresh URI is accessible as a link.\n"
+"\n"
+"Use the document.browse.minimum_refresh_time to control the minimum number "
+"of seconds a refresh will wait."
 msgstr ""
 
-#: src/config/options.inc:441
+#: src/config/options.inc:466
 msgid "Document meta refresh minimum time"
 msgstr ""
 
-#: src/config/options.inc:443
+#: src/config/options.inc:468
 msgid ""
-"The minimum number of milliseconds that should pass before\n"
-"refreshing. If set to zero the document refresh time is used\n"
-"unchanged. It can fix going back in history for some sites that\n"
-"use refreshing with zero values."
+"The minimum number of milliseconds that should pass before refreshing. If "
+"set to zero the document refresh time is used unchanged. It can fix going "
+"back in history for some sites that use refreshing with zero values."
 msgstr ""
 
-#: src/config/options.inc:448
+#: src/config/options.inc:473
 msgid "Tables navigation order"
 msgstr ""
 
-#: src/config/options.inc:450
+#: src/config/options.inc:475
 msgid "Move by columns in table, instead of rows."
 msgstr ""
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:456
+#: src/config/options.inc:481
 #, fuzzy
 msgid "Cache"
 msgstr "Avbryt"
 
-#: src/config/options.inc:458
+#: src/config/options.inc:483
 #, fuzzy
 msgid "Cache options."
 msgstr "Lagre inn~stillinger"
 
-#: src/config/options.inc:460
+#: src/config/options.inc:485
 msgid "Cache information about redirects"
 msgstr ""
 
-#: src/config/options.inc:462
+#: src/config/options.inc:487
 msgid ""
-"Cache even redirects sent by server (usually thru HTTP by a 302\n"
-"HTTP code and a Location header). This was the original behaviour\n"
-"for quite some time, but it causes problems in a situation very\n"
-"common to various web login systems - frequently, when accessing\n"
-"a certain location, they will redirect you to a login page if they\n"
-"don't receive an auth cookie, the login page then gives you the\n"
-"cookie and redirects you back to the original page, but there you\n"
-"have already cached redirect back to the login page! If this\n"
-"option has value of 0, this malfunction is fixed, but occasionally\n"
-"you may get superfluous (depends on how you take it ;-) requests to\n"
-"the server. If this option has value of 1, experienced users can\n"
-"still workaround it by clever combination of usage of reload,\n"
-"jumping around in session history and hitting ctrl+enter.\n"
-"Note that this option is checked when retrieving the information\n"
-"from cache, not when saving it to cache - thus if you enable\n"
-"it, even previous redirects will be taken from cache instead of\n"
-"asking the server."
+"Cache even redirects sent by server (usually thru HTTP by a 302 HTTP code "
+"and a Location header). This was the original behaviour for quite some time, "
+"but it causes problems in a situation very common to various web login "
+"systems - frequently, when accessing a certain location, they will redirect "
+"you to a login page if they don't receive an auth cookie, the login page "
+"then gives you the cookie and redirects you back to the original page, but "
+"there you have already cached redirect back to the login page! If this "
+"option has value of 0, this malfunction is fixed, but occasionally you may "
+"get superfluous (depends on how you take it ;-) requests to the server. If "
+"this option has value of 1, experienced users can still workaround it by "
+"clever combination of usage of reload, jumping around in session history and "
+"hitting ctrl+enter.\n"
+"\n"
+"Note that this option is checked when retrieving the information from cache, "
+"not when saving it to cache - thus if you enable it, even previous redirects "
+"will be taken from cache instead of asking the server."
 msgstr ""
 
-#: src/config/options.inc:480
+#: src/config/options.inc:508
 msgid "Ignore cache-control info from server"
 msgstr ""
 
-#: src/config/options.inc:482
+#: src/config/options.inc:510
 msgid ""
-"Ignore Cache-Control and Pragma server headers.\n"
-"When set, the document is cached even with 'Cache-Control: no-cache'."
+"Ignore Cache-Control and Pragma server headers. When set, the document is "
+"cached even with 'Cache-Control: no-cache'."
 msgstr ""
 
-#: src/config/options.inc:485
+#: src/config/options.inc:514
 #, fuzzy
 msgid "Formatted documents"
 msgstr "Cache for behandlede dokumenter"
 
-#: src/config/options.inc:487
+#: src/config/options.inc:516
 msgid "Format cache options."
 msgstr ""
 
-#: src/config/options.inc:489
+#: src/config/options.inc:518
 #, fuzzy
 msgid "Number"
 msgstr "Feil nummer"
 
-#: src/config/options.inc:491
+#: src/config/options.inc:520
 msgid ""
-"Number of cached formatted pages. Do not get too generous\n"
-"here, 'formatted' means that all the accompanying structures\n"
-"are kept in memory so that you get the cached document\n"
-"immediatelly, but these structures may take a lot - 2x the\n"
-"size of the HTML source is probably not unusual, but it can\n"
-"be even more if the document consists of a lot of short lines\n"
-"(padded right, if possible) and links and not much other markup.\n"
-"So if you set this to 256 and then you don't like your ELinks\n"
-"eating 90M, don't come complaining to us. ;-)\n"
-"Also note that the format cache itself is not counted to the\n"
-"memory cache size, but the HTML source of the formatted documents\n"
-"is always cached, even if it is over the memory cache size\n"
-"threshold. (Then of course no other documents can be cached.)"
+"Number of cached formatted pages. Do not get too generous here, 'formatted' "
+"means that all the accompanying structures are kept in memory so that you "
+"get the cached document immediatelly, but these structures may take a lot - "
+"2x the size of the HTML source is probably not unusual, but it can be even "
+"more if the document consists of a lot of short lines (padded right, if "
+"possible) and links and not much other markup. So if you set this to 256 and "
+"then you don't like your ELinks eating 90M, don't come complaining to "
+"us. ;-)\n"
+"\n"
+"Also note that the format cache itself is not counted to the memory cache "
+"size, but the HTML source of the formatted documents is always cached, even "
+"if it is over the memory cache size threshold. (Then of course no other "
+"documents can be cached.)"
 msgstr ""
 
 #. FIXME: Write more.
-#: src/config/options.inc:506
+#: src/config/options.inc:538
 #, fuzzy
 msgid "Revalidation interval"
 msgstr "Feil ved lagring"
 
-#: src/config/options.inc:508
+#: src/config/options.inc:540
 msgid ""
-"Period in seconds that a cache entry is considered to be\n"
-"up-to-date. When a document is loaded and this interval has elapsed\n"
-"since the document was initially loaded or most recently\n"
-"revalidated with the server, the server will be checked in case\n"
-"there is a more up-to-date version of the document.\n"
+"Period in seconds that a cache entry is considered to be up-to-date. When a "
+"document is loaded and this interval has elapsed since the document was "
+"initially loaded or most recently revalidated with the server, the server "
+"will be checked in case there is a more up-to-date version of the document.\n"
 "\n"
 "A value of -1 disables automatic revalidation."
 msgstr ""
 
-#: src/config/options.inc:515 src/dialogs/info.c:199
+#: src/config/options.inc:549 src/dialogs/info.c:199
 msgid "Memory cache"
 msgstr "Minne-cache"
 
-#: src/config/options.inc:517
+#: src/config/options.inc:551
 #, fuzzy
 msgid "Memory cache options."
 msgstr "Minne-cache"
 
-#: src/config/options.inc:521
+#: src/config/options.inc:555
 #, fuzzy
 msgid "Memory cache size (in bytes)."
 msgstr "Minne-cache"
 
-#: src/config/options.inc:525
+#: src/config/options.inc:559
 #, fuzzy
 msgid "Charset"
 msgstr "Tegnsett-innstillinger"
 
-#: src/config/options.inc:527
+#: src/config/options.inc:561
 #, fuzzy
 msgid "Charset options."
 msgstr "Lagre inn~stillinger"
 
-#: src/config/options.inc:529
+#: src/config/options.inc:563
 msgid "Default codepage"
 msgstr ""
 
-#: src/config/options.inc:531
+#: src/config/options.inc:565
 msgid ""
-"Default document codepage. 'System' stands for\n"
-"a codepage determined by a selected locale."
+"Default document codepage. 'System' stands for a codepage determined by a "
+"selected locale."
 msgstr ""
 
-#: src/config/options.inc:534
+#: src/config/options.inc:568
 msgid "Ignore charset info from server"
 msgstr ""
 
-#: src/config/options.inc:536
+#: src/config/options.inc:570
 msgid "Ignore charset info sent by server."
 msgstr ""
 
-#: src/config/options.inc:540
+#: src/config/options.inc:574
 msgid "Default color settings"
 msgstr ""
 
-#: src/config/options.inc:542
+#: src/config/options.inc:576
 msgid "Default document color settings."
 msgstr ""
 
-#: src/config/options.inc:553
+#: src/config/options.inc:587
 msgid "Link color"
 msgstr ""
 
-#: src/config/options.inc:555
+#: src/config/options.inc:589
 msgid "Default link color."
 msgstr ""
 
-#: src/config/options.inc:557
+#: src/config/options.inc:591
 msgid "Visited-link color"
 msgstr ""
 
-#: src/config/options.inc:559
+#: src/config/options.inc:593
 msgid "Default visited link color."
 msgstr ""
 
-#: src/config/options.inc:561
+#: src/config/options.inc:595
 #, fuzzy
 msgid "Image-link color"
 msgstr "Drep bakgrunnstil~koblinger"
 
-#: src/config/options.inc:563
+#: src/config/options.inc:597
 #, fuzzy
 msgid "Default image link color."
 msgstr "Drep bakgrunnstil~koblinger"
 
-#: src/config/options.inc:565
+#: src/config/options.inc:599
 msgid "Bookmarked-link color"
 msgstr ""
 
-#: src/config/options.inc:567
+#: src/config/options.inc:601
 #, fuzzy
 msgid "Default bookmarked link color."
 msgstr "Drep bakgrunnstil~koblinger"
 
-#: src/config/options.inc:569
+#: src/config/options.inc:603
 msgid "Directory color"
 msgstr ""
 
-#: src/config/options.inc:571
+#: src/config/options.inc:605
 msgid ""
 "Default directory color.\n"
+"\n"
 "See document.browse.links.color_dirs option."
 msgstr ""
 
-#: src/config/options.inc:578
+#: src/config/options.inc:613
 msgid "Increase contrast"
 msgstr ""
 
-#: src/config/options.inc:580
+#: src/config/options.inc:615
 msgid ""
-"Increase the contrast between the foreground and background colors\n"
-"to ensure readability. For example it disallows dark colors on a\n"
-"black background. Note, this is different from ensuring the contrast\n"
-"with the ensure_contrast option."
+"Increase the contrast between the foreground and background colors to ensure "
+"readability. For example it disallows dark colors on a black background. "
+"Note, this is different from ensuring the contrast with the ensure_contrast "
+"option."
 msgstr ""
 
-#: src/config/options.inc:585
+#: src/config/options.inc:621
 msgid "Ensure contrast"
 msgstr ""
 
-#: src/config/options.inc:587
+#: src/config/options.inc:623
 msgid "Makes sure that the back- and foreground colors are never equal."
 msgstr ""
 
 #. If you change this please also change ACT_MAIN_DOCUMENT_COLORS action
 #. * handling.
-#: src/config/options.inc:592
+#: src/config/options.inc:628
 msgid "Use document-specified colors"
 msgstr ""
 
-#: src/config/options.inc:594
+#: src/config/options.inc:630
 msgid ""
 "Use colors specified in document:\n"
 "0 is use always the default settings\n"
@@ -2994,40 +2995,40 @@ msgid ""
 msgstr ""
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:607
+#: src/config/options.inc:643
 #, fuzzy
 msgid "Downloading"
 msgstr "Last ned"
 
-#: src/config/options.inc:609
+#: src/config/options.inc:645
 msgid "Options regarding files downloading and handling."
 msgstr ""
 
-#: src/config/options.inc:611
+#: src/config/options.inc:647
 #, fuzzy
 msgid "Default download directory"
 msgstr "Overfringsfeil"
 
-#: src/config/options.inc:613
+#: src/config/options.inc:649
 msgid "Default download directory."
 msgstr ""
 
-#: src/config/options.inc:615
+#: src/config/options.inc:651
 msgid "Set original time"
 msgstr ""
 
-#: src/config/options.inc:617
+#: src/config/options.inc:653
 msgid ""
-"Set the timestamp of each downloaded file to the timestamp\n"
-"stored on the server."
+"Set the timestamp of each downloaded file to the timestamp stored on the "
+"server."
 msgstr ""
 
 #. Does automatic resuming make sense as an option?
-#: src/config/options.inc:621
+#: src/config/options.inc:657
 msgid "Prevent overwriting"
 msgstr ""
 
-#: src/config/options.inc:623
+#: src/config/options.inc:659
 msgid ""
 "Prevent overwriting the local files:\n"
 "0 is files will silently be overwritten\n"
@@ -3035,11 +3036,11 @@ msgid ""
 "2 is ask the user"
 msgstr ""
 
-#: src/config/options.inc:628
+#: src/config/options.inc:664
 msgid "Notify download completion by bell"
 msgstr ""
 
-#: src/config/options.inc:630
+#: src/config/options.inc:666
 msgid ""
 "Audio notification when download is completed:\n"
 "0 is never\n"
@@ -3047,27 +3048,27 @@ msgid ""
 "2 is always"
 msgstr ""
 
-#: src/config/options.inc:636
+#: src/config/options.inc:672
 msgid "Dump output"
 msgstr ""
 
-#: src/config/options.inc:638
+#: src/config/options.inc:674
 msgid "Dump output options."
 msgstr ""
 
 #. OPT_CODEPAGE
-#: src/config/options.inc:640 src/config/options.inc:912
+#: src/config/options.inc:676 src/config/options.inc:980
 #: src/config/opttypes.c:481 src/dialogs/document.c:164
 msgid "Codepage"
 msgstr "Tegnsett"
 
-#: src/config/options.inc:642
+#: src/config/options.inc:678
 msgid ""
-"Codepage used in dump output. 'System' stands for\n"
-"a codepage determined by a selected locale."
+"Codepage used in dump output. 'System' stands for a codepage determined by a "
+"selected locale."
 msgstr ""
 
-#: src/config/options.inc:645 src/config/options.inc:878
+#: src/config/options.inc:681 src/config/options.inc:941
 #, fuzzy
 msgid "Color mode"
 msgstr "Farger"
@@ -3077,12 +3078,14 @@ msgstr "Farger"
 #. * an outer list entry after an inner list.
 #. * TRANSLATORS: This restriction applies only to the
 #. * "en" (English) translation.  (See doc/Makefile.)
-#: src/config/options.inc:652
+#: src/config/options.inc:688
 msgid ""
 "Color mode for dumps.\n"
+"\n"
 "Some modes may have been disabled at compile time. The Setup -> Terminal "
 "options dialog lists the modes supported by this executable. If you select "
 "an unsupported mode, ELinks uses 16 colors.\n"
+"\n"
 "The color modes are:\n"
 "-1 is standard dump mode\n"
 "0 is mono mode\n"
@@ -3092,127 +3095,125 @@ msgid ""
 "4 is true color mode"
 msgstr ""
 
-#: src/config/options.inc:665
+#: src/config/options.inc:703
 msgid "Footer"
 msgstr ""
 
-#: src/config/options.inc:667
+#: src/config/options.inc:705
 #, c-format
 msgid "Footer string used in dumps. %u is substituted by URL."
 msgstr ""
 
-#: src/config/options.inc:671
+#: src/config/options.inc:709
 #, c-format
 msgid "Header string used in dumps. %u is substituted by URL."
 msgstr ""
 
-#: src/config/options.inc:673
+#: src/config/options.inc:711
 #, fuzzy
 msgid "Numbering"
 msgstr "Feil nummer"
 
-#: src/config/options.inc:675
+#: src/config/options.inc:713
 msgid "Whether to print link numbers in dump output."
 msgstr ""
 
-#: src/config/options.inc:677
+#: src/config/options.inc:715
 #, fuzzy
 msgid "References"
 msgstr "Ressurser"
 
-#: src/config/options.inc:679
-msgid ""
-"Whether to print references (URIs) of document links\n"
-"in dump output."
+#: src/config/options.inc:717
+msgid "Whether to print references (URIs) of document links in dump output."
 msgstr ""
 
-#: src/config/options.inc:682
+#: src/config/options.inc:720
 msgid "Separator"
 msgstr ""
 
-#: src/config/options.inc:684
+#: src/config/options.inc:722
 msgid "String which separates two dumps."
 msgstr ""
 
-#: src/config/options.inc:686
+#: src/config/options.inc:724
 msgid "Width"
 msgstr ""
 
-#: src/config/options.inc:688
+#: src/config/options.inc:726
 msgid "Width of screen in characters when dumping documents."
 msgstr ""
 
-#: src/config/options.inc:692
+#: src/config/options.inc:730
 #, fuzzy
 msgid "History"
 msgstr "~Historikk"
 
-#: src/config/options.inc:694
+#: src/config/options.inc:732
 msgid "History options."
 msgstr ""
 
-#: src/config/options.inc:696
+#: src/config/options.inc:734
 #, fuzzy
 msgid "Keep unhistory"
 msgstr "Ingen historikk"
 
-#: src/config/options.inc:698
+#: src/config/options.inc:736
 #, fuzzy
 msgid "Keep unhistory (\"forward history\")."
 msgstr "Ingen historikk"
 
-#: src/config/options.inc:701
+#: src/config/options.inc:739
 #, fuzzy
 msgid "HTML rendering"
 msgstr "Overfrer"
 
-#: src/config/options.inc:703
+#: src/config/options.inc:741
 msgid "Options concerning the display of HTML pages."
 msgstr ""
 
-#: src/config/options.inc:705
+#: src/config/options.inc:743
 #, fuzzy
 msgid "Display frames"
 msgstr "Vis"
 
-#: src/config/options.inc:707
+#: src/config/options.inc:745
 #, fuzzy
 msgid "Display frames."
 msgstr "Vis"
 
-#: src/config/options.inc:709
+#: src/config/options.inc:747
 #, fuzzy
 msgid "Display tables"
 msgstr "Vis"
 
-#: src/config/options.inc:711
+#: src/config/options.inc:749
 #, fuzzy
 msgid "Display tables."
 msgstr "Vis"
 
-#: src/config/options.inc:713
+#: src/config/options.inc:751
 #, fuzzy
 msgid "Display subscripts"
 msgstr "Vis ~usemap"
 
-#: src/config/options.inc:715
+#: src/config/options.inc:753
 msgid "Display subscripts (as [thing])."
 msgstr ""
 
-#: src/config/options.inc:717
+#: src/config/options.inc:755
 #, fuzzy
 msgid "Display superscripts"
 msgstr "Vis ~usemap"
 
-#: src/config/options.inc:719
+#: src/config/options.inc:757
 msgid "Display superscripts (as ^thing)."
 msgstr ""
 
-#: src/config/options.inc:721
+#: src/config/options.inc:759
 msgid "Rendering of HTML link element"
 msgstr ""
 
-#: src/config/options.inc:723
+#: src/config/options.inc:761
 msgid ""
 "How to render <link> tags from the HTML header:\n"
 "0 is nothing\n"
@@ -3223,145 +3224,143 @@ msgid ""
 "5 is everything"
 msgstr ""
 
-#: src/config/options.inc:731
+#: src/config/options.inc:769
 msgid "Underline links"
 msgstr ""
 
-#: src/config/options.inc:733
+#: src/config/options.inc:771
 msgid "Underline links."
 msgstr ""
 
-#: src/config/options.inc:735
+#: src/config/options.inc:773
 msgid "Wrap non breaking space"
 msgstr ""
 
-#: src/config/options.inc:737
+#: src/config/options.inc:775
 msgid ""
-"If set do not honour non breaking space (the nbsp entity)\n"
-"but allow to wrap the text. This can help keeping the width\n"
-"of documents down so no horizontal scrolling is needed."
+"If set do not honour non breaking space (the nbsp entity) but allow to wrap "
+"the text. This can help keeping the width of documents down so no horizontal "
+"scrolling is needed."
 msgstr ""
 
-#: src/config/options.inc:742
+#: src/config/options.inc:780
 #, fuzzy
 msgid "Plain rendering"
 msgstr "Overfrer"
 
-#: src/config/options.inc:744
+#: src/config/options.inc:782
 msgid "Options concerning the display of plain text pages."
 msgstr ""
 
-#: src/config/options.inc:746
+#: src/config/options.inc:784
 #, fuzzy
 msgid "Display URIs"
 msgstr "Vis"
 
-#: src/config/options.inc:748
+#: src/config/options.inc:786
 msgid "Display URIs in the document as links."
 msgstr ""
 
-#: src/config/options.inc:750
+#: src/config/options.inc:788
 msgid "Compress empty lines"
 msgstr ""
 
-#: src/config/options.inc:752
+#: src/config/options.inc:790
 msgid "Compress successive empty lines to only one in displayed text."
 msgstr ""
 
-#: src/config/options.inc:755
+#: src/config/options.inc:794
 msgid "URI passing"
 msgstr ""
 
-#: src/config/options.inc:757
+#: src/config/options.inc:796
 msgid ""
-"Rules for passing URIs to external commands. When one rule\n"
-"is defined the link and tab menu will have a menu item that\n"
-"makes it possible to pass the the link, frame or tab URI to\n"
-"an external command. If several rules are defined the link and\n"
-"tab menu will have a submenu of items for each rule. Note, this\n"
-"is mostly useful for launching graphical viewers, since there\n"
-"is no support for releasing the terminal while the command runs.\n"
-"The action and submenus are also available by binding keys to\n"
-"the frame-external-command, the link-external-command, and\n"
-"the tab-external-command actions."
+"Rules for passing URIs to external commands. When one rule is defined the "
+"link and tab menu will have a menu item that makes it possible to pass the "
+"the link, frame or tab URI to an external command. If several rules are "
+"defined the link and tab menu will have a submenu of items for each rule.\n"
+"\n"
+"Note, this is mostly useful for launching graphical viewers, since there is "
+"no support for releasing the terminal while the command runs. The action and "
+"submenus are also available by binding keys to the frame-external-command, "
+"the link-external-command, and the tab-external-command actions."
 msgstr ""
 
-#: src/config/options.inc:770
+#: src/config/options.inc:812
 msgid ""
-"A rule for passing URI to an external command.\n"
-"The format is:\n"
+"A rule for passing URI to an external command. The format is:\n"
 "%c in the string means the current URL\n"
 "%% in the string means '%'\n"
 "Do _not_ put single- or double-quotes around %c."
 msgstr ""
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:780
+#: src/config/options.inc:822
 msgid "Information files"
 msgstr ""
 
-#: src/config/options.inc:782
+#: src/config/options.inc:824
 msgid "Options for information files in ~/.elinks."
 msgstr ""
 
-#: src/config/options.inc:784
+#: src/config/options.inc:826
 #, fuzzy
 msgid "Save interval"
 msgstr "Feil ved lagring"
 
-#: src/config/options.inc:786
+#: src/config/options.inc:828
 msgid ""
-"Interval at which to trigger information files in ~/.elinks\n"
-"to be saved to disk if they have changed (seconds; 0 to disable)"
+"Interval at which to trigger information files in ~/.elinks to be saved to "
+"disk if they have changed (seconds; 0 to disable)"
 msgstr ""
 
-#: src/config/options.inc:789
+#: src/config/options.inc:832
 msgid "Use secure file saving"
 msgstr ""
 
-#: src/config/options.inc:791
+#: src/config/options.inc:834
 msgid ""
-"First write data to unique temporary file, then rename this file\n"
-"upon successfully finishing this. Note that this relates only to\n"
-"config files, not downloaded files. You may want to disable\n"
-"it if you are using some exotic permissions for concerned files.\n"
-"Secure file saving is automagically disabled if file is symlink.\n"
-"Warning: some systems (ie. OS/2, Win32) require that destination\n"
-"file doesn't exist when rename(3) is called, breaking atomicity,\n"
-"and reducing reliability of this feature."
+"First write data to unique temporary file, then rename this file upon "
+"successfully finishing this. Note that this relates only to config files, "
+"not downloaded files. You may want to disable it if you are using some "
+"exotic permissions for concerned files. Secure file saving is automagically "
+"disabled if file is symlink.\n"
+"\n"
+"Warning: some systems (ie. OS/2, Win32) require that destination file "
+"doesn't exist when rename(3) is called, breaking atomicity, and reducing "
+"reliability of this feature."
 msgstr ""
 
-#: src/config/options.inc:800
+#: src/config/options.inc:846
 msgid "Use fsync(3) with secure file saving"
 msgstr ""
 
-#: src/config/options.inc:802
+#: src/config/options.inc:848
 msgid ""
-"When using secure file saving, call fsync(3), if the OS\n"
-"supports it, to force the OS immediately to write the data\n"
-"to permanent storage. This is optional for those who wish\n"
-"to avoid excessive disk I/O."
+"When using secure file saving, call fsync(3), if the OS supports it, to "
+"force the OS immediately to write the data to permanent storage. This is "
+"optional for those who wish to avoid excessive disk I/O."
 msgstr ""
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:811
+#: src/config/options.inc:857
 #, fuzzy
 msgid "Terminals"
 msgstr "Terminal-innstillinger"
 
-#: src/config/options.inc:813
+#: src/config/options.inc:859
 #, fuzzy
 msgid "Terminal options."
 msgstr "Terminal-innstillinger"
 
-#: src/config/options.inc:817
+#: src/config/options.inc:863
 msgid "Options specific to this terminal type (according to $TERM value)."
 msgstr ""
 
-#: src/config/options.inc:842
+#: src/config/options.inc:889
 msgid ""
-"Terminal type; matters mostly only when drawing frames and\n"
-"dialog box borders:\n"
+"Terminal type; matters mostly only when drawing frames and dialog box "
+"borders:\n"
 "0 is dumb terminal type, ASCII art\n"
 "1 is VT100, simple but portable\n"
 "2 is Linux, you get double frames and other goodies\n"
@@ -3369,15 +3368,31 @@ msgid ""
 "4 is FreeBSD"
 msgstr ""
 
-#: src/config/options.inc:850 src/dialogs/options.c:227
+#: src/config/options.inc:897
+msgid "Always encode xterm title in ISO-8859-1"
+msgstr ""
+
+#: src/config/options.inc:899
+msgid ""
+"When updating the window title of xterm or a similar terminal emulator, "
+"encode the title in ISO-8859-1 (Latin-1), rather than in the charset used "
+"for other text in the window. Cyrillic and other characters get replaced "
+"with Latin ones. Xterm requires this unless you explicitly enable UTF-8 "
+"titles in it.\n"
+"\n"
+"If this option does not take effect immediately, try switching to a "
+"different page so that ELinks notices it needs to update the title."
+msgstr ""
+
+#: src/config/options.inc:910 src/dialogs/options.c:227
 msgid "Switch fonts for line drawing"
 msgstr ""
 
-#: src/config/options.inc:852
+#: src/config/options.inc:912
 msgid ""
-"Switch fonts when drawing lines, enabling both local characters\n"
-"and lines working at the same time. ELinks uses this option only if\n"
-"UTF-8 I/O is disabled and the terminal type is Linux or FreeBSD."
+"Switch fonts when drawing lines, enabling both local characters and lines "
+"working at the same time. ELinks uses this option only if UTF-8 I/O is "
+"disabled and the terminal type is Linux or FreeBSD."
 msgstr ""
 
 #. When CONFIG_UTF8 is defined, any code that reads the "utf_8_io"
@@ -3385,37 +3400,37 @@ msgstr ""
 #. * and if so, behave as if "utf_8_io" were 1.  (When CONFIG_UTF8 is
 #. * not defined, it should not be possible to set UTF-8 as "codepage";
 #. * please report any such possibilities as bugs.)
-#: src/config/options.inc:861 src/dialogs/options.c:232
+#: src/config/options.inc:922 src/dialogs/options.c:232
 msgid "UTF-8 I/O"
 msgstr ""
 
-#: src/config/options.inc:863
+#: src/config/options.inc:924
 msgid ""
-"Enable I/O in UTF-8 for Unicode terminals. Note that currently,\n"
-"only the subset of UTF-8 according to terminal codepage is used.\n"
-"ELinks ignores this option if the terminal codepage is UTF-8."
+"Enable I/O in UTF-8 for Unicode terminals. Note that currently, only the "
+"subset of UTF-8 according to terminal codepage is used. ELinks ignores this "
+"option if the terminal codepage is UTF-8."
 msgstr ""
 
-#: src/config/options.inc:867 src/dialogs/options.c:228
+#: src/config/options.inc:929 src/dialogs/options.c:228
 msgid "Restrict frames in cp850/852"
 msgstr "Begrens rammer i cp850/852"
 
-#: src/config/options.inc:869
+#: src/config/options.inc:931
 msgid ""
-"Restrict the characters used when drawing lines. Makes sense\n"
-"only with linux terminals using the cp850/852 character sets."
+"Restrict the characters used when drawing lines. Makes sense only with linux "
+"terminals using the cp850/852 character sets."
 msgstr ""
 
-#: src/config/options.inc:872 src/dialogs/options.c:229
+#: src/config/options.inc:935 src/dialogs/options.c:229
 #, fuzzy
 msgid "Block cursor"
 msgstr "Hel markr"
 
-#: src/config/options.inc:874
+#: src/config/options.inc:937
 msgid ""
-"Move cursor to bottom right corner when done drawing.\n"
-"This is particularly useful when we have a block cursor,\n"
-"so that inversed text is displayed correctly."
+"Move cursor to bottom right corner when done drawing. This is particularly "
+"useful when we have a block cursor, so that inversed text is displayed "
+"correctly."
 msgstr ""
 
 #. The list of modes must be at the end of this string
@@ -3423,13 +3438,15 @@ msgstr ""
 #. * an outer list entry after an inner list.
 #. * TRANSLATORS: This restriction applies only to the
 #. * "en" (English) translation.  (See doc/Makefile.)
-#: src/config/options.inc:885
+#: src/config/options.inc:948
 msgid ""
 "The color mode controls what colors are used and how they are output to the "
 "terminal.\n"
+"\n"
 "Some modes may have been disabled at compile time. The Setup -> Terminal "
 "options dialog lists the modes supported by this executable. If you select "
 "an unsupported mode, ELinks uses 16 colors.\n"
+"\n"
 "The color modes are:\n"
 "0 is mono mode, only 2 colors are used\n"
 "1 is 16 color mode, uses the common ANSI colors\n"
@@ -3438,425 +3455,422 @@ msgid ""
 "4 is true color mode, uses konsole RGB codes"
 msgstr ""
 
-#: src/config/options.inc:898 src/dialogs/options.c:230
+#: src/config/options.inc:963 src/dialogs/options.c:230
 msgid "Transparency"
 msgstr ""
 
-#: src/config/options.inc:900
+#: src/config/options.inc:965
 msgid ""
-"If we should not set the background to black. This is particularly\n"
-"useful when we have a terminal (typically in some windowing\n"
-"environment) with a background image or a transparent background -\n"
-"it will be visible in ELinks as well (but ELinks document color handling\n"
-"will still assume the background is black so if you have a bright "
-"background\n"
-"you might experience contrast problems). Note that this option makes\n"
-"sense only when colors are enabled."
+"If we should not set the background to black. This is particularly useful "
+"when we have a terminal (typically in some windowing environment) with a "
+"background image or a transparent background - it will be visible in ELinks "
+"as well (but ELinks document color handling will still assume the background "
+"is black so if you have a bright background you might experience contrast "
+"problems). Note that this option makes sense only when colors are enabled."
 msgstr ""
 
-#: src/config/options.inc:910
+#: src/config/options.inc:977
 msgid "If we should use underline or enhance the color instead."
 msgstr ""
 
-#: src/config/options.inc:914
+#: src/config/options.inc:982
 msgid ""
-"Codepage of charset used for displaying content on terminal.\n"
-"'System' stands for a codepage determined by a selected locale."
+"Codepage of charset used for displaying content on terminal. 'System' stands "
+"for a codepage determined by a selected locale."
 msgstr ""
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:921
+#: src/config/options.inc:990
 msgid "User interface"
 msgstr ""
 
-#: src/config/options.inc:923
+#: src/config/options.inc:992
 #, fuzzy
 msgid "User interface options."
 msgstr "Terminal-innstillinger"
 
-#: src/config/options.inc:927
+#: src/config/options.inc:996
 msgid "Color settings"
 msgstr ""
 
-#: src/config/options.inc:929
+#: src/config/options.inc:998
 msgid "Default user interface color settings."
 msgstr ""
 
-#: src/config/options.inc:956
+#: src/config/options.inc:1025
 #, fuzzy
 msgid "Color terminals"
 msgstr "~BeOS-terminal"
 
-#: src/config/options.inc:958
+#: src/config/options.inc:1027
 msgid "Color settings for color terminal."
 msgstr ""
 
-#: src/config/options.inc:960
+#: src/config/options.inc:1029
 msgid "Non-color terminals"
 msgstr ""
 
-#: src/config/options.inc:962
+#: src/config/options.inc:1031
 msgid "Color settings for non-color terminal."
 msgstr ""
 
 #. FIXME: obsolete, how to alias them correctly ? --Zas
-#: src/config/options.inc:965
+#: src/config/options.inc:1034
 msgid "Main menu bar"
 msgstr ""
 
-#: src/config/options.inc:967
+#: src/config/options.inc:1036
 msgid "Main menu bar colors."
 msgstr ""
 
-#: src/config/options.inc:969
+#: src/config/options.inc:1038
 msgid "Unselected main menu bar item"
 msgstr ""
 
-#: src/config/options.inc:971
+#: src/config/options.inc:1040
 msgid "Unselected main menu bar item colors."
 msgstr ""
 
-#: src/config/options.inc:973
+#: src/config/options.inc:1042
 msgid "Selected main menu bar item"
 msgstr ""
 
-#: src/config/options.inc:975
+#: src/config/options.inc:1044
 msgid "Selected main menu bar item colors."
 msgstr ""
 
-#: src/config/options.inc:977 src/config/options.inc:1006
+#: src/config/options.inc:1046 src/config/options.inc:1075
 msgid "Hotkey"
 msgstr ""
 
-#: src/config/options.inc:979
+#: src/config/options.inc:1048
 msgid "Main menu hotkey colors."
 msgstr ""
 
-#: src/config/options.inc:981 src/config/options.inc:1010
+#: src/config/options.inc:1050 src/config/options.inc:1079
 msgid "Unselected hotkey"
 msgstr ""
 
-#: src/config/options.inc:983
+#: src/config/options.inc:1052
 msgid "Main menu unselected hotkey colors."
 msgstr ""
 
-#: src/config/options.inc:985 src/config/options.inc:1014
+#: src/config/options.inc:1054 src/config/options.inc:1083
 #, fuzzy
 msgid "Selected hotkey"
 msgstr "Velg felt"
 
-#: src/config/options.inc:987
+#: src/config/options.inc:1056
 msgid "Main menu selected hotkey colors."
 msgstr ""
 
-#: src/config/options.inc:990
+#: src/config/options.inc:1059
 msgid "Menu bar"
 msgstr ""
 
-#: src/config/options.inc:992
+#: src/config/options.inc:1061
 msgid "Menu bar colors."
 msgstr ""
 
-#: src/config/options.inc:994
+#: src/config/options.inc:1063
 msgid "Unselected menu item"
 msgstr ""
 
-#: src/config/options.inc:996
+#: src/config/options.inc:1065
 msgid "Unselected menu item colors."
 msgstr ""
 
-#: src/config/options.inc:998
+#: src/config/options.inc:1067
 #, fuzzy
 msgid "Selected menu item"
 msgstr "Velg felt"
 
-#: src/config/options.inc:1000
+#: src/config/options.inc:1069
 msgid "Selected menu item colors."
 msgstr ""
 
-#: src/config/options.inc:1002
+#: src/config/options.inc:1071
 #, fuzzy
 msgid "Marked menu item"
 msgstr "Velg felt"
 
-#: src/config/options.inc:1004
+#: src/config/options.inc:1073
 msgid "Marked menu item colors."
 msgstr ""
 
-#: src/config/options.inc:1008
+#: src/config/options.inc:1077
 msgid "Menu item hotkey colors."
 msgstr ""
 
-#: src/config/options.inc:1012
+#: src/config/options.inc:1081
 msgid "Menu item unselected hotkey colors."
 msgstr ""
 
-#: src/config/options.inc:1016
+#: src/config/options.inc:1085
 msgid "Menu item selected hotkey colors."
 msgstr ""
 
-#: src/config/options.inc:1018
+#: src/config/options.inc:1087
 #, fuzzy
 msgid "Menu frame"
 msgstr "Ingen rammer"
 
-#: src/config/options.inc:1020
+#: src/config/options.inc:1089
 msgid "Menu frame colors."
 msgstr ""
 
-#: src/config/options.inc:1023
+#: src/config/options.inc:1092
 msgid "Dialog"
 msgstr ""
 
-#: src/config/options.inc:1025
+#: src/config/options.inc:1094
 msgid "Dialog colors."
 msgstr ""
 
-#: src/config/options.inc:1035
+#: src/config/options.inc:1104
 msgid "Generic"
 msgstr ""
 
-#: src/config/options.inc:1037
+#: src/config/options.inc:1106
 #, fuzzy
 msgid "Generic dialog colors."
 msgstr "Drep bakgrunnstil~koblinger"
 
-#: src/config/options.inc:1039
+#: src/config/options.inc:1108
 #, fuzzy
 msgid "Frame"
 msgstr "Navn"
 
-#: src/config/options.inc:1041
+#: src/config/options.inc:1110
 msgid "Dialog frame colors."
 msgstr ""
 
-#: src/config/options.inc:1043
+#: src/config/options.inc:1112
 msgid "Scrollbar"
 msgstr ""
 
-#: src/config/options.inc:1045
+#: src/config/options.inc:1114
 msgid "Scrollbar colors."
 msgstr ""
 
-#: src/config/options.inc:1047
+#: src/config/options.inc:1116
 #, fuzzy
 msgid "Selected scrollbar"
 msgstr "Drep bakgrunnstil~koblinger"
 
-#: src/config/options.inc:1049
+#: src/config/options.inc:1118
 #, fuzzy
 msgid "Scrollbar selected colors."
 msgstr "Drep bakgrunnstil~koblinger"
 
-#: src/config/options.inc:1053
+#: src/config/options.inc:1122
 msgid "Dialog title colors."
 msgstr ""
 
-#: src/config/options.inc:1055
+#: src/config/options.inc:1124
 #, fuzzy
 msgid "Text"
 msgstr "Tekstboks"
 
-#: src/config/options.inc:1057
+#: src/config/options.inc:1126
 msgid "Dialog text colors."
 msgstr ""
 
-#: src/config/options.inc:1059 src/viewer/text/form.c:1862
+#: src/config/options.inc:1128 src/viewer/text/form.c:1891
 msgid "Checkbox"
 msgstr "Avkryssningboks"
 
-#: src/config/options.inc:1061
+#: src/config/options.inc:1130
 msgid "Dialog checkbox colors."
 msgstr ""
 
-#: src/config/options.inc:1063
+#: src/config/options.inc:1132
 #, fuzzy
 msgid "Selected checkbox"
 msgstr "Velg felt"
 
-#: src/config/options.inc:1065
+#: src/config/options.inc:1134
 #, fuzzy
 msgid "Dialog selected checkbox colors."
 msgstr "Drep bakgrunnstil~koblinger"
 
-#: src/config/options.inc:1067
+#: src/config/options.inc:1136
 #, fuzzy
 msgid "Checkbox label"
 msgstr "Avkryssningboks"
 
-#: src/config/options.inc:1069
+#: src/config/options.inc:1138
 msgid "Dialog checkbox label colors."
 msgstr ""
 
-#: src/config/options.inc:1071
+#: src/config/options.inc:1140
 msgid "Button"
 msgstr ""
 
-#: src/config/options.inc:1073 src/config/options.inc:1081
+#: src/config/options.inc:1142 src/config/options.inc:1150
 msgid "Dialog button colors."
 msgstr ""
 
-#: src/config/options.inc:1075
+#: src/config/options.inc:1144
 msgid "Selected button"
 msgstr ""
 
-#: src/config/options.inc:1077 src/config/options.inc:1085
+#: src/config/options.inc:1146 src/config/options.inc:1154
 msgid "Dialog selected button colors."
 msgstr ""
 
-#: src/config/options.inc:1079
+#: src/config/options.inc:1148
 msgid "Button shortcut"
 msgstr ""
 
-#: src/config/options.inc:1083
+#: src/config/options.inc:1152
 #, fuzzy
 msgid "Selected button shortcut"
 msgstr "Velg felt"
 
-#: src/config/options.inc:1087 src/viewer/text/form.c:1866
+#: src/config/options.inc:1156 src/viewer/text/form.c:1895
 msgid "Text field"
 msgstr "Tekstfelt"
 
-#: src/config/options.inc:1089
+#: src/config/options.inc:1158
 msgid "Dialog text field colors."
 msgstr ""
 
-#: src/config/options.inc:1091
+#: src/config/options.inc:1160
 #, fuzzy
 msgid "Text field text"
 msgstr "Tekstfelt"
 
-#: src/config/options.inc:1093
+#: src/config/options.inc:1162
 msgid "Dialog field text colors."
 msgstr ""
 
-#: src/config/options.inc:1095
+#: src/config/options.inc:1164
 msgid "Meter"
 msgstr ""
 
-#: src/config/options.inc:1097
+#: src/config/options.inc:1166
 msgid "Dialog meter colors."
 msgstr ""
 
-#: src/config/options.inc:1099
+#: src/config/options.inc:1168
 msgid "Shadow"
 msgstr ""
 
-#: src/config/options.inc:1101
+#: src/config/options.inc:1170
 msgid "Dialog shadow colors (see ui.shadows option)."
 msgstr ""
 
-#: src/config/options.inc:1103
+#: src/config/options.inc:1172
 msgid "Title bar"
 msgstr ""
 
-#: src/config/options.inc:1105
+#: src/config/options.inc:1174
 msgid "Title bar colors."
 msgstr ""
 
-#: src/config/options.inc:1107
+#: src/config/options.inc:1176
 msgid "Generic title bar"
 msgstr ""
 
-#: src/config/options.inc:1109
+#: src/config/options.inc:1178
 msgid "Generic title bar colors."
 msgstr ""
 
-#: src/config/options.inc:1111
+#: src/config/options.inc:1180
 msgid "Title bar text"
 msgstr ""
 
-#: src/config/options.inc:1113
+#: src/config/options.inc:1182
 msgid "Title bar text colors."
 msgstr ""
 
-#: src/config/options.inc:1116
+#: src/config/options.inc:1185
 msgid "Status bar"
 msgstr ""
 
-#: src/config/options.inc:1118
+#: src/config/options.inc:1187
 msgid "Status bar colors."
 msgstr ""
 
-#: src/config/options.inc:1120
+#: src/config/options.inc:1189
 msgid "Generic status bar"
 msgstr ""
 
-#: src/config/options.inc:1122
+#: src/config/options.inc:1191
 msgid "Generic status bar colors."
 msgstr ""
 
-#: src/config/options.inc:1124
+#: src/config/options.inc:1193
 #, fuzzy
 msgid "Status bar text"
 msgstr "Sk etter tekst"
 
-#: src/config/options.inc:1126
+#: src/config/options.inc:1195
 msgid "Status bar text colors."
 msgstr ""
 
-#: src/config/options.inc:1129
+#: src/config/options.inc:1198
 msgid "Tabs bar"
 msgstr ""
 
-#: src/config/options.inc:1131
+#: src/config/options.inc:1200
 msgid "Tabs bar colors."
 msgstr ""
 
-#: src/config/options.inc:1133
+#: src/config/options.inc:1202
 #, fuzzy
 msgid "Unvisited tab"
 msgstr "Velg felt"
 
-#: src/config/options.inc:1135
+#: src/config/options.inc:1204
 msgid ""
-"Tab colors for tabs that have not been\n"
-"selected since they completed loading."
+"Tab colors for tabs that have not been selected since they completed loading."
 msgstr ""
 
-#: src/config/options.inc:1138
+#: src/config/options.inc:1207
 #, fuzzy
 msgid "Unselected tab"
 msgstr "Velg felt"
 
-#: src/config/options.inc:1140
+#: src/config/options.inc:1209
 #, fuzzy
 msgid "Unselected tab colors."
 msgstr "Drep bakgrunnstil~koblinger"
 
-#: src/config/options.inc:1142
+#: src/config/options.inc:1211
 #, fuzzy
 msgid "Loading tab"
 msgstr "henter"
 
-#: src/config/options.inc:1144
+#: src/config/options.inc:1213
 msgid "Tab colors for tabs that are loading in the background."
 msgstr ""
 
-#: src/config/options.inc:1146
+#: src/config/options.inc:1215
 #, fuzzy
 msgid "Selected tab"
 msgstr "Velg felt"
 
-#: src/config/options.inc:1148
+#: src/config/options.inc:1217
 #, fuzzy
 msgid "Selected tab colors."
 msgstr "Drep bakgrunnstil~koblinger"
 
-#: src/config/options.inc:1150
+#: src/config/options.inc:1219
 msgid "Tab separator"
 msgstr ""
 
-#: src/config/options.inc:1152
+#: src/config/options.inc:1221
 msgid "Tab separator colors."
 msgstr ""
 
-#: src/config/options.inc:1155
+#: src/config/options.inc:1224
 #, fuzzy
 msgid "Searched strings"
 msgstr "Feil i tekststreng"
 
-#: src/config/options.inc:1157
+#: src/config/options.inc:1226
 #, fuzzy
 msgid "Searched string highlight colors."
 msgstr "Sket gav ingen resultat"
@@ -3865,69 +3879,69 @@ msgstr "Sket gav ingen resultat"
 #. ============= BORING PART (colors) END ===================
 #. ==========================================================
 #. Keep options in alphabetical order.
-#: src/config/options.inc:1166
+#: src/config/options.inc:1235
 msgid "Dialog settings"
 msgstr ""
 
-#: src/config/options.inc:1168
+#: src/config/options.inc:1237
 msgid "Dialogs-specific appearance and behaviour settings."
 msgstr ""
 
-#: src/config/options.inc:1171
+#: src/config/options.inc:1240
 msgid "Minimal height of listbox widget"
 msgstr ""
 
-#: src/config/options.inc:1173
+#: src/config/options.inc:1242
 msgid ""
-"Minimal height of the listbox widget (used e.g. for bookmarks\n"
-"or global history)."
+"Minimal height of the listbox widget (used e.g. for bookmarks or global "
+"history)."
 msgstr ""
 
-#: src/config/options.inc:1176
+#: src/config/options.inc:1245
 msgid "Drop shadows"
 msgstr ""
 
-#: src/config/options.inc:1178
+#: src/config/options.inc:1247
 msgid ""
-"Make dialogs drop shadows (the shadows are solid, you can\n"
-"adjust their color by ui.colors.*.dialog.shadow). You may\n"
-"also want to eliminate the wide borders by adjusting setup.h."
+"Make dialogs drop shadows (the shadows are solid, you can adjust their color "
+"by ui.colors.*.dialog.shadow). You may also want to eliminate the wide "
+"borders by adjusting setup.h."
 msgstr ""
 
-#: src/config/options.inc:1182
+#: src/config/options.inc:1252
 #, fuzzy
 msgid "Underline menu hotkeys"
 msgstr "Velg felt"
 
-#: src/config/options.inc:1184
+#: src/config/options.inc:1254
 msgid ""
-"Whether to underline hotkeys in menus to make them more\n"
-"visible. Requires that underlining is enabled for the terminal."
+"Whether to underline hotkeys in menus to make them more visible. Requires "
+"that underlining is enabled for the terminal."
 msgstr ""
 
-#: src/config/options.inc:1187
+#: src/config/options.inc:1258
 #, fuzzy
 msgid "Underline button shortcuts"
 msgstr "Velg felt"
 
-#: src/config/options.inc:1189
+#: src/config/options.inc:1260
 msgid ""
-"Whether to underline button shortcuts to make them more\n"
-"visible. Requires that underlining is enabled for the terminal."
+"Whether to underline button shortcuts to make them more visible. Requires "
+"that underlining is enabled for the terminal."
 msgstr ""
 
-#: src/config/options.inc:1193
+#: src/config/options.inc:1265
 #, fuzzy
 msgid "Timer options"
 msgstr "Terminal-innstillinger"
 
-#: src/config/options.inc:1195
+#: src/config/options.inc:1267
 msgid ""
-"Timed action after certain interval of user inactivity. Someone can\n"
-"even find this useful, although you may not believe that."
+"Timed action after certain interval of user inactivity. Someone can even "
+"find this useful, although you may not believe that."
 msgstr ""
 
-#: src/config/options.inc:1201
+#: src/config/options.inc:1274
 msgid ""
 "Whether to enable the timer or not:\n"
 "0 is don't count down anything\n"
@@ -3935,7 +3949,7 @@ msgid ""
 "2 is count down and show the timer near LEDs"
 msgstr ""
 
-#: src/config/options.inc:1208
+#: src/config/options.inc:1281
 msgid ""
 "Whether to enable the timer or not:\n"
 "0 is don't count down anything\n"
@@ -3943,35 +3957,35 @@ msgid ""
 "2 is count down and show the timer near LEDs (DISABLED)"
 msgstr ""
 
-#: src/config/options.inc:1214
+#: src/config/options.inc:1287
 msgid "Duration"
 msgstr ""
 
-#: src/config/options.inc:1216
+#: src/config/options.inc:1289
 msgid ""
-"Inactivity timeout in seconds. The maximum of one day\n"
-"should be enough for just everyone (TM)."
+"Inactivity timeout in seconds. The maximum of one day should be enough for "
+"just everyone (TM)."
 msgstr ""
 
-#: src/config/options.inc:1221
+#: src/config/options.inc:1294
 msgid "Keybinding action to be triggered when timer reaches zero."
 msgstr ""
 
-#: src/config/options.inc:1224
+#: src/config/options.inc:1298
 #, fuzzy
 msgid "Window tabs"
 msgstr "Vindu"
 
-#: src/config/options.inc:1226
+#: src/config/options.inc:1300
 msgid "Window tabs settings."
 msgstr ""
 
-#: src/config/options.inc:1228
+#: src/config/options.inc:1302
 #, fuzzy
 msgid "Display tabs bar"
 msgstr "Vis ~usemap"
 
-#: src/config/options.inc:1230
+#: src/config/options.inc:1304
 msgid ""
 "Show tabs bar on the screen:\n"
 "0 means never\n"
@@ -3979,170 +3993,169 @@ msgid ""
 "2 means always"
 msgstr ""
 
-#: src/config/options.inc:1235
+#: src/config/options.inc:1309
 msgid "Tab bar at top"
 msgstr ""
 
-#: src/config/options.inc:1237
+#: src/config/options.inc:1311
 msgid "Whether display tab bar at top like other browsers do."
 msgstr ""
 
-#: src/config/options.inc:1239
+#: src/config/options.inc:1313
 msgid "Wrap-around tabs cycling"
 msgstr ""
 
-#: src/config/options.inc:1241
+#: src/config/options.inc:1315
 msgid ""
-"When moving right from the last tab, jump to the first one, and\n"
-"vice versa."
+"When moving right from the last tab, jump to the first one, and vice versa."
 msgstr ""
 
-#: src/config/options.inc:1244
+#: src/config/options.inc:1318
 msgid "Confirm tab closing"
 msgstr ""
 
-#: src/config/options.inc:1246
+#: src/config/options.inc:1320
 msgid "When closing a tab show confirmation dialog."
 msgstr ""
 
 #. OPT_LANGUAGE
-#: src/config/options.inc:1250 src/config/opttypes.c:483
+#: src/config/options.inc:1324 src/config/opttypes.c:483
 msgid "Language"
 msgstr ""
 
-#: src/config/options.inc:1252
+#: src/config/options.inc:1326
 msgid ""
-"Language of user interface. 'System' means that the language will\n"
-"be extracted from the environment dynamically."
+"Language of user interface. 'System' means that the language will be "
+"extracted from the environment dynamically."
 msgstr ""
 
-#: src/config/options.inc:1255
+#: src/config/options.inc:1330
 #, fuzzy
 msgid "Display menu bar always"
 msgstr "Vis ~usemap"
 
-#: src/config/options.inc:1257
+#: src/config/options.inc:1332
 msgid "Always show menu bar on the screen."
 msgstr ""
 
-#: src/config/options.inc:1259
+#: src/config/options.inc:1334
 #, fuzzy
 msgid "Display status bar"
 msgstr "Vis ~usemap"
 
-#: src/config/options.inc:1261
+#: src/config/options.inc:1336
 msgid "Show status bar on the screen."
 msgstr ""
 
-#: src/config/options.inc:1263
+#: src/config/options.inc:1338
 #, fuzzy
 msgid "Display title bar"
 msgstr "Vis ~usemap"
 
-#: src/config/options.inc:1265
+#: src/config/options.inc:1340
 msgid "Show title bar on the screen."
 msgstr ""
 
-#: src/config/options.inc:1267
+#: src/config/options.inc:1342
 msgid "Display goto dialog in new tabs"
 msgstr ""
 
-#: src/config/options.inc:1269
+#: src/config/options.inc:1344
 msgid ""
-"Pop up goto dialog in newly created tabs when there's no homepage\n"
-"set. This means also showing goto dialog on startup."
+"Pop up goto dialog in newly created tabs when there's no homepage set. This "
+"means also showing goto dialog on startup."
 msgstr ""
 
-#: src/config/options.inc:1272
+#: src/config/options.inc:1348
 msgid "Show a message box when file is saved successfully"
 msgstr ""
 
-#: src/config/options.inc:1274
+#: src/config/options.inc:1350
 msgid ""
-"When you pressed a [ Save ] button in some manager, this option\n"
-"will make sure that a box confirming success of the operation will\n"
-"pop up."
+"When you pressed a [ Save ] button in some manager, this option will make "
+"sure that a box confirming success of the operation will pop up."
 msgstr ""
 
-#: src/config/options.inc:1279
+#: src/config/options.inc:1355
 #, fuzzy
 msgid "Sessions"
 msgstr "Fil-etternavn"
 
-#: src/config/options.inc:1281
+#: src/config/options.inc:1357
 msgid "Sessions settings."
 msgstr ""
 
-#: src/config/options.inc:1283
+#: src/config/options.inc:1359
 msgid "Keep session active"
 msgstr ""
 
-#: src/config/options.inc:1285
+#: src/config/options.inc:1361
 msgid "Keep the session active even if the last terminal exits."
 msgstr ""
 
-#: src/config/options.inc:1287
+#: src/config/options.inc:1364
 msgid "Auto save session"
 msgstr ""
 
-#: src/config/options.inc:1289
+#: src/config/options.inc:1366
 msgid ""
 "Automatically save the session when quitting.\n"
+"\n"
 "This feature requires bookmark support."
 msgstr ""
 
-#: src/config/options.inc:1292
+#: src/config/options.inc:1370
 msgid "Auto restore session"
 msgstr ""
 
-#: src/config/options.inc:1294
+#: src/config/options.inc:1372
 msgid ""
 "Automatically restore the session at start.\n"
+"\n"
 "This feature requires bookmark support."
 msgstr ""
 
-#: src/config/options.inc:1297
+#: src/config/options.inc:1376
 msgid "Auto save and restore session folder name"
 msgstr ""
 
-#: src/config/options.inc:1299
+#: src/config/options.inc:1378
 msgid ""
-"Name of the bookmarks folder used for auto saving and restoring session.\n"
-"The name has to be unique. Any folders with the same name will be deleted.\n"
+"Name of the bookmarks folder used for auto saving and restoring session. The "
+"name has to be unique. Any folders with the same name will be deleted.\n"
+"\n"
 "This only makes sense with bookmark support."
 msgstr ""
 
-#: src/config/options.inc:1303
+#: src/config/options.inc:1384
 #, fuzzy
 msgid "Homepage URI"
 msgstr "Tegnsett"
 
-#: src/config/options.inc:1305
+#: src/config/options.inc:1386
 msgid ""
-"The URI to load either at startup time when no URI was given\n"
-"on the command line or when requested by the goto-url-home action.\n"
-"Set to \"\" if the environment variable WWW_HOME should be used\n"
-"as homepage URI instead."
+"The URI to load either at startup time when no URI was given on the command "
+"line or when requested by the goto-url-home action. Set to \"\" if the "
+"environment variable WWW_HOME should be used as homepage URI instead."
 msgstr ""
 
-#: src/config/options.inc:1311
+#: src/config/options.inc:1392
 #, fuzzy
 msgid "Date format"
 msgstr "Last opp fil"
 
-#: src/config/options.inc:1313
+#: src/config/options.inc:1394
 msgid "Date format to use in dialogs. See strftime(3)."
 msgstr ""
 
-#: src/config/options.inc:1316
+#: src/config/options.inc:1397
 msgid "Set window title"
 msgstr ""
 
-#: src/config/options.inc:1318
+#: src/config/options.inc:1399
 msgid ""
-"Set the window title when running in a windowing environment\n"
-"in an xterm-like terminal. This way the document's title is\n"
-"shown on the window titlebar."
+"Set the window title when running in a windowing environment in an xterm-"
+"like terminal. This way the document's title is shown on the window titlebar."
 msgstr ""
 
 #: src/config/opttypes.c:54
@@ -4229,7 +4242,7 @@ msgid "Goto URL History"
 msgstr "Ingen historikk"
 
 #. name:
-#: src/cookies/cookies.c:88 src/cookies/cookies.c:911
+#: src/cookies/cookies.c:88 src/cookies/cookies.c:913
 msgid "Cookies"
 msgstr ""
 
@@ -4259,10 +4272,10 @@ msgstr "Kobler til"
 msgid ""
 "Cookie maximum age (in days):\n"
 "-1 is use cookie's expiration date if any\n"
-"0  is force expiration at the end of session, ignoring cookie's\n"
-"   expiration date\n"
-"1+ is use cookie's expiration date, but limit age to the given\n"
-"   number of days"
+"0  is force expiration at the end of session, ignoring\n"
+"   cookie's expiration date\n"
+"1+ is use cookie's expiration date, but limit age to the\n"
+"   given number of days"
 msgstr ""
 
 #: src/cookies/cookies.c:109
@@ -4271,42 +4284,42 @@ msgstr ""
 
 #: src/cookies/cookies.c:111
 msgid ""
-"When enabled, we'll require three dots in cookies domain for all\n"
-"non-international domains (instead of just two dots). Some countries\n"
-"have generic second level domains (eg. .com.pl, .co.uk) and allowing\n"
-"sites to set cookies for these generic domains could potentially be\n"
-"very bad. Note, it is off by default as it breaks a lot of sites."
+"When enabled, we'll require three dots in cookies domain for all non-"
+"international domains (instead of just two dots). Some countries have "
+"generic second level domains (eg. .com.pl, .co.uk) and allowing sites to set "
+"cookies for these generic domains could potentially be very bad. Note, it is "
+"off by default as it breaks a lot of sites."
 msgstr ""
 
-#: src/cookies/cookies.c:117
+#: src/cookies/cookies.c:118
 #, fuzzy
 msgid "Saving"
 msgstr "gjennomsnittlig"
 
-#: src/cookies/cookies.c:119
+#: src/cookies/cookies.c:120
 msgid "Whether cookies should be loaded from and saved to disk."
 msgstr ""
 
-#: src/cookies/cookies.c:121
+#: src/cookies/cookies.c:123
 msgid "Resaving"
 msgstr ""
 
-#: src/cookies/cookies.c:123
+#: src/cookies/cookies.c:125
 msgid ""
-"Save cookies after each change in cookies list? No effect when\n"
-"cookie saving (cookies.save) is off."
+"Save cookies after each change in cookies list? No effect when cookie saving "
+"(cookies.save) is off."
 msgstr ""
 
-#: src/cookies/cookies.c:817
+#: src/cookies/cookies.c:819
 #, fuzzy
 msgid "Cannot save cookies"
 msgstr "Feil ved skriving til fil"
 
-#: src/cookies/cookies.c:828
+#: src/cookies/cookies.c:830
 msgid "ELinks was started without a home directory."
 msgstr ""
 
-#: src/cookies/cookies.c:834
+#: src/cookies/cookies.c:836
 msgid "ELinks was started with the -anonymous option."
 msgstr ""
 
@@ -4521,7 +4534,7 @@ msgid "No header info."
 msgstr ""
 
 #: src/dialogs/download.c:243 src/dialogs/menu.c:601
-#: src/protocol/bittorrent/dialogs.c:228 src/session/download.c:361
+#: src/protocol/bittorrent/dialogs.c:228 src/session/download.c:387
 msgid "Download"
 msgstr "Last ned"
 
@@ -5377,7 +5390,7 @@ msgid "No document"
 msgstr "dokumenter"
 
 #. name:
-#: src/document/css/css.c:30 src/document/css/css.c:161
+#: src/document/css/css.c:30 src/document/css/css.c:164
 msgid "Cascading Style Sheets"
 msgstr ""
 
@@ -5385,36 +5398,36 @@ msgstr ""
 msgid "Options concerning how to use CSS for styling documents."
 msgstr ""
 
-#: src/document/css/css.c:34
+#: src/document/css/css.c:35
 #, fuzzy
 msgid "Enable CSS"
 msgstr "Navn"
 
-#: src/document/css/css.c:36
+#: src/document/css/css.c:37
 msgid "Enable adding of CSS style info to documents."
 msgstr ""
 
-#: src/document/css/css.c:38
+#: src/document/css/css.c:39
 msgid "Import external style sheets"
 msgstr ""
 
-#: src/document/css/css.c:40
+#: src/document/css/css.c:41
 msgid ""
-"When enabled any external style sheets that are imported from\n"
-"either CSS itself using the @import keyword or from the HTML using\n"
-"<link> tags in the document header will also be downloaded."
+"When enabled any external style sheets that are imported from either CSS "
+"itself using the @import keyword or from the HTML using <link> tags in the "
+"document header will also be downloaded."
 msgstr ""
 
-#: src/document/css/css.c:44
+#: src/document/css/css.c:46
 msgid "Default style sheet"
 msgstr ""
 
-#: src/document/css/css.c:46
+#: src/document/css/css.c:48
 msgid ""
-"The path to the file containing the default user defined\n"
-"Cascading Style Sheet. It can be used to control the basic\n"
-"layout of HTML documents. The path is assumed to be relative\n"
-"to ELinks' home directory.\n"
+"The path to the file containing the default user defined Cascading Style "
+"Sheet. It can be used to control the basic layout of HTML documents. The "
+"path is assumed to be relative to ELinks' home directory.\n"
+"\n"
 "Leave as \"\" to use built-in document styling."
 msgstr ""
 
@@ -5446,8 +5459,8 @@ msgstr ""
 
 #: src/ecmascript/ecmascript.c:55
 msgid ""
-"Whether to ignore content enclosed by the <noscript> tag\n"
-"when ECMAScript is enabled."
+"Whether to ignore content enclosed by the <noscript> tag when ECMAScript is "
+"enabled."
 msgstr ""
 
 #: src/ecmascript/ecmascript.c:58
@@ -5499,7 +5512,7 @@ msgid "JavaScript Error"
 msgstr ""
 
 #. name:
-#: src/ecmascript/spidermonkey.c:320
+#: src/ecmascript/spidermonkey.c:321
 msgid "SpiderMonkey"
 msgstr ""
 
@@ -5597,9 +5610,8 @@ msgstr "Terminal-innstillinger"
 
 #: src/formhist/formhist.c:38
 msgid ""
-"Ask if a login form should be saved to file or not.\n"
-"This option only disables the dialog, already saved login\n"
-"forms are unaffected."
+"Ask if a login form should be saved to file or not. This option only "
+"disables the dialog, already saved login forms are unaffected."
 msgstr ""
 
 #: src/formhist/formhist.c:426
@@ -5701,20 +5713,20 @@ msgstr ""
 msgid "Enable global history (\"history of all pages visited\")."
 msgstr ""
 
-#: src/globhist/globhist.c:68
+#: src/globhist/globhist.c:69
 msgid "Maximum number of entries"
 msgstr ""
 
-#: src/globhist/globhist.c:70
+#: src/globhist/globhist.c:71
 msgid "Maximum number of entries in the global history."
 msgstr ""
 
-#: src/globhist/globhist.c:72
+#: src/globhist/globhist.c:73
 #, fuzzy
 msgid "Display style"
 msgstr "Vis ~usemap"
 
-#: src/globhist/globhist.c:74
+#: src/globhist/globhist.c:75
 msgid ""
 "What to display in global history dialog:\n"
 "0 is URLs\n"
@@ -5722,7 +5734,7 @@ msgid ""
 msgstr ""
 
 #. name:
-#: src/globhist/globhist.c:451
+#: src/globhist/globhist.c:449
 #, fuzzy
 msgid "Global History"
 msgstr "Ingen historikk"
@@ -5951,101 +5963,95 @@ msgstr ""
 
 #: src/mime/backend/default.c:27
 msgid ""
-"Handler <-> MIME type association. The first sub-tree is the MIME\n"
-"class while the second sub-tree is the MIME type (ie. image/gif\n"
-"handler will reside at mime.type.image.gif). Each MIME type option\n"
-"should contain (case-sensitive) name of the MIME handler (its\n"
-"properties are stored at mime.handler.<name>)."
+"Handler <-> MIME type association. The first sub-tree is the MIME class "
+"while the second sub-tree is the MIME type (ie. image/gif handler will "
+"reside at mime.type.image.gif). Each MIME type option should contain (case-"
+"sensitive) name of the MIME handler (its properties are stored at mime."
+"handler.<name>)."
 msgstr ""
 
-#: src/mime/backend/default.c:35
+#: src/mime/backend/default.c:36
 msgid ""
-"Handler matching this MIME-type class ('*' is used here in place\n"
-"of '.')."
+"Handler matching this MIME-type class ('*' is used here in place of '.')."
 msgstr ""
 
-#: src/mime/backend/default.c:40
+#: src/mime/backend/default.c:41
 msgid ""
-"Handler matching this MIME-type name ('*' is used here in place\n"
-"of '.')."
+"Handler matching this MIME-type name ('*' is used here in place of '.')."
 msgstr ""
 
-#: src/mime/backend/default.c:44
+#: src/mime/backend/default.c:45
 msgid "File type handlers"
 msgstr ""
 
-#: src/mime/backend/default.c:46
+#: src/mime/backend/default.c:47
 msgid ""
-"A file type handler is a set of information about how to use\n"
-"an external program to view a file. It is possible to refer to it\n"
-"for several MIME types -- e.g., you can define an 'image' handler\n"
-"to which mime.type.image.png, mime.type.image.jpeg, and so on will\n"
-"refer; or one might define a handler for a more specific type of file\n"
-"-- e.g., PDF files.\n"
-"Note you must define both a MIME handler and a MIME type association\n"
-"for it to work."
+"A file type handler is a set of information about how to use an external "
+"program to view a file. It is possible to refer to it for several MIME types "
+"-- e.g., you can define an 'image' handler to which mime.type.image.png, "
+"mime.type.image.jpeg, and so on will refer; or one might define a handler "
+"for a more specific type of file -- e.g., PDF files. Note you must define "
+"both a MIME handler and a MIME type association for it to work."
 msgstr ""
 
-#: src/mime/backend/default.c:57
+#: src/mime/backend/default.c:58
 msgid "Description of this handler."
 msgstr ""
 
-#: src/mime/backend/default.c:61
+#: src/mime/backend/default.c:62
 msgid "System-specific handler description (ie. unix, unix-xwin, ...)."
 msgstr ""
 
-#: src/mime/backend/default.c:63 src/mime/backend/mailcap.c:102
+#: src/mime/backend/default.c:65 src/mime/backend/mailcap.c:102
 msgid "Ask before opening"
 msgstr ""
 
-#: src/mime/backend/default.c:65
+#: src/mime/backend/default.c:67
 msgid "Ask before opening."
 msgstr ""
 
-#: src/mime/backend/default.c:67
+#: src/mime/backend/default.c:69
 #, fuzzy
 msgid "Block terminal"
 msgstr "~BeOS-terminal"
 
-#: src/mime/backend/default.c:69
+#: src/mime/backend/default.c:71
 msgid "Block the terminal when the handler is running."
 msgstr ""
 
-#: src/mime/backend/default.c:71
+#: src/mime/backend/default.c:73
 #, fuzzy
 msgid "Program"
 msgstr "Ingen program"
 
-#: src/mime/backend/default.c:74
+#: src/mime/backend/default.c:76
 #, no-c-format
 msgid ""
-"External viewer for this file type. '%' in this string will be\n"
-"substituted by a file name.\n"
-"Do _not_ put single- or double-quotes around the % sign."
+"External viewer for this file type. '%' in this string will be substituted "
+"by a file name. Do _not_ put single- or double-quotes around the % sign."
 msgstr ""
 
-#: src/mime/backend/default.c:79
+#: src/mime/backend/default.c:81
 #, fuzzy
 msgid "File extension associations"
 msgstr "Fil-~etternavn"
 
-#: src/mime/backend/default.c:81
+#: src/mime/backend/default.c:83
 msgid "Extension <-> MIME type association."
 msgstr ""
 
-#: src/mime/backend/default.c:85
+#: src/mime/backend/default.c:87
 msgid ""
-"MIME-type matching this file extension ('*' is used here in place\n"
-"of '.')."
+"MIME-type matching this file extension ('*' is used here in place of '.')."
 msgstr ""
 
 #. name:
-#: src/mime/backend/default.c:216
+#: src/mime/backend/default.c:218
 msgid "Option system"
 msgstr ""
 
 #. name:
-#: src/mime/backend/mailcap.c:89 src/mime/backend/mailcap.c:684
+#: src/mime/backend/mailcap.c:89 src/mime/backend/mailcap.c:686
 msgid "Mailcap"
 msgstr ""
 
@@ -6059,8 +6065,8 @@ msgstr ""
 
 #: src/mime/backend/mailcap.c:99
 msgid ""
-"Mailcap search path. Colon-separated list of files.\n"
-"Leave as \"\" to use MAILCAP environment variable instead."
+"Mailcap search path. Colon-separated list of files. Leave as \"\" to use "
+"MAILCAP environment variable instead."
 msgstr ""
 
 #: src/mime/backend/mailcap.c:104
@@ -6073,39 +6079,38 @@ msgstr ""
 
 #: src/mime/backend/mailcap.c:108
 msgid ""
-"Type of description to show in \"what to do with this file\"\n"
-"query dialog:\n"
+"Type of description to show in \"what to do with this file\" query dialog:\n"
 "0 is show \"mailcap\"\n"
 "1 is show program to be run\n"
-"2 is show mailcap description field if any; \"mailcap\" otherwise"
+"2 is show mailcap description field if any;\n"
+"     \"mailcap\" otherwise"
 msgstr ""
 
-#: src/mime/backend/mailcap.c:114
+#: src/mime/backend/mailcap.c:115
 msgid "Prioritize entries by file"
 msgstr ""
 
-#: src/mime/backend/mailcap.c:116
+#: src/mime/backend/mailcap.c:117
 msgid ""
-"Prioritize entries by the order of the files in the mailcap\n"
-"path. This means that wildcard entries (like: image/*) will\n"
-"also be checked before deciding the handler."
+"Prioritize entries by the order of the files in the mailcap path. This means "
+"that wildcard entries (like: image/*) will also be checked before deciding "
+"the handler."
 msgstr ""
 
-#: src/mime/backend/mailcap.c:349
+#: src/mime/backend/mailcap.c:351
 #, c-format
 msgid "Badly formated mailcap entry for type %s in \"%s\" line %d"
 msgstr ""
 
 #. name:
-#: src/mime/backend/mimetypes.c:46 src/mime/backend/mimetypes.c:279
+#: src/mime/backend/mimetypes.c:46 src/mime/backend/mimetypes.c:280
 msgid "Mimetypes files"
 msgstr ""
 
 #: src/mime/backend/mimetypes.c:48
 msgid ""
-"Options for the support of mime.types files. These files\n"
-"can be used to find the content type of a URL by looking at\n"
-"the extension of the file name."
+"Options for the support of mime.types files. These files can be used to find "
+"the content type of a URL by looking at the extension of the file name."
 msgstr ""
 
 #: src/mime/backend/mimetypes.c:54
@@ -6142,7 +6147,7 @@ msgid "No extensions"
 msgstr ""
 
 #. name:
-#: src/mime/mime.c:38 src/mime/mime.c:360
+#: src/mime/mime.c:38 src/mime/mime.c:361
 msgid "MIME"
 msgstr ""
 
@@ -6156,8 +6161,8 @@ msgstr ""
 
 #: src/mime/mime.c:44
 msgid ""
-"Document MIME-type to assume by default (when we are unable to\n"
-"guess it properly from known information about the document)."
+"Document MIME-type to assume by default (when we are unable to guess it "
+"properly from known information about the document)."
 msgstr ""
 
 #: src/network/ssl/ssl.c:72 src/network/ssl/ssl.c:161
@@ -6166,8 +6171,8 @@ msgstr ""
 
 #: src/network/ssl/ssl.c:74
 msgid ""
-"Verify the peer's SSL certificate. Note that this\n"
-"needs extensive configuration of OpenSSL by the user."
+"Verify the peer's SSL certificate. Note that this needs extensive "
+"configuration of OpenSSL by the user."
 msgstr ""
 
 #: src/network/ssl/ssl.c:77
@@ -6181,8 +6186,8 @@ msgstr "Terminal-innstillinger"
 
 #: src/network/ssl/ssl.c:83
 msgid ""
-"Enable or not the sending of X509 client certificates\n"
-"to servers which request them."
+"Enable or not the sending of X509 client certificates to servers which "
+"request them."
 msgstr ""
 
 #: src/network/ssl/ssl.c:86
@@ -6192,16 +6197,15 @@ msgstr "beregnet tid"
 
 #: src/network/ssl/ssl.c:88
 msgid ""
-"The location of a file containing the client certificate\n"
-"and unencrypted private key in PEM format. If unset, the\n"
-"file pointed to by the X509_CLIENT_CERT variable is used\n"
-"instead."
+"The location of a file containing the client certificate and unencrypted "
+"private key in PEM format. If unset, the file pointed to by the "
+"X509_CLIENT_CERT variable is used instead."
 msgstr ""
 
 #: src/network/ssl/ssl.c:163
 msgid ""
-"Verify the peer's SSL certificate.  If you enable\n"
-"this, set also \"Trusted CA file\"."
+"Verify the peer's SSL certificate.  If you enable this, set also \"Trusted "
+"CA file\"."
 msgstr ""
 
 #. The default value of the following option points to a file
@@ -6219,20 +6223,20 @@ msgstr "Overfrer"
 
 #: src/network/ssl/ssl.c:176
 msgid ""
-"The location of a file containing certificates of\n"
-"trusted certification authorities in PEM format.\n"
-"ELinks then trusts certificates issued by these CAs.\n"
-"If you change this option or the file, you must\n"
-"restart ELinks for the changes to take effect.\n"
-"This option affects GnuTLS but not OpenSSL."
+"The location of a file containing certificates of trusted certification "
+"authorities in PEM format. ELinks then trusts certificates issued by these "
+"CAs.\n"
+"\n"
+"If you change this option or the file, you must restart ELinks for the "
+"changes to take effect. This option affects GnuTLS but not OpenSSL."
 msgstr ""
 
 #. name:
-#: src/network/ssl/ssl.c:199 src/network/ssl/ssl.c:216
+#: src/network/ssl/ssl.c:200 src/network/ssl/ssl.c:217
 msgid "SSL"
 msgstr ""
 
-#: src/network/ssl/ssl.c:201
+#: src/network/ssl/ssl.c:202
 #, fuzzy
 msgid "SSL options."
 msgstr "Lagre inn~stillinger"
@@ -6568,7 +6572,7 @@ msgstr "Tast inn brukernavn og passord f
 msgid "Login"
 msgstr "Brukernavn"
 
-#: src/protocol/auth/dialogs.c:113 src/protocol/http/http.c:140
+#: src/protocol/auth/dialogs.c:113 src/protocol/http/http.c:142
 msgid "Password"
 msgstr "Passord"
 
@@ -6645,7 +6649,7 @@ msgstr "Bokmerke-behandler"
 
 #. name:
 #: src/protocol/bittorrent/bittorrent.c:26
-#: src/protocol/bittorrent/bittorrent.c:335
+#: src/protocol/bittorrent/bittorrent.c:339
 msgid "BitTorrent"
 msgstr ""
 
@@ -6700,9 +6704,8 @@ msgstr ""
 
 #: src/protocol/bittorrent/bittorrent.c:57
 msgid ""
-"Whether to request that the tracker returns peer info\n"
-"in compact format. Note, the compact format only supports\n"
-"IPv4 addresses."
+"Whether to request that the tracker returns peer info in compact format. "
+"Note, the compact format only supports IPv4 addresses."
 msgstr ""
 
 #: src/protocol/bittorrent/bittorrent.c:61
@@ -6711,57 +6714,55 @@ msgstr ""
 
 #: src/protocol/bittorrent/bittorrent.c:63
 msgid ""
-"The number of seconds to wait between periodically contacting\n"
-"the tracker for announcing progress and requesting more peers.\n"
-"Set to zero to use the interval requested by the tracker."
+"The number of seconds to wait between periodically contacting the tracker "
+"for announcing progress and requesting more peers. Set to zero to use the "
+"interval requested by the tracker."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:67
+#: src/protocol/bittorrent/bittorrent.c:68
 msgid "IP-address to announce"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:69
+#: src/protocol/bittorrent/bittorrent.c:70
 msgid ""
-"What IP address to report to the tracker. If set to \"\"\n"
-"no IP address will be sent and the tracker will automatically\n"
-"determine an appropriate IP address."
+"What IP address to report to the tracker. If set to \"\" no IP address will "
+"be sent and the tracker will automatically determine an appropriate IP "
+"address."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:73
+#: src/protocol/bittorrent/bittorrent.c:74
 #, fuzzy
 msgid "User identification string"
 msgstr "Terminal-innstillinger"
 
-#: src/protocol/bittorrent/bittorrent.c:75
+#: src/protocol/bittorrent/bittorrent.c:76
 msgid ""
-"An additional identification that is not shared with any users.\n"
-"It is intended to allow a client to prove their identity should\n"
-"their IP address change. It is an optional parameter, but some\n"
-"trackers require this parameter. If set to \"\" no user key will\n"
-"be sent to the tracker."
+"An additional identification that is not shared with any users. It is "
+"intended to allow a client to prove their identity should their IP address "
+"change. It is an optional parameter, but some trackers require this "
+"parameter. If set to \"\" no user key will be sent to the tracker."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:81
+#: src/protocol/bittorrent/bittorrent.c:82
 #, fuzzy
 msgid "Maximum number of peers to request"
 msgstr "Kobler til"
 
-#: src/protocol/bittorrent/bittorrent.c:83
+#: src/protocol/bittorrent/bittorrent.c:84
 msgid ""
-"The maximum number of peers to request from the tracker.\n"
-"Set to 0 to use the server default."
+"The maximum number of peers to request from the tracker. Set to 0 to use the "
+"server default."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:86
+#: src/protocol/bittorrent/bittorrent.c:87
 msgid "Minimum peers to skip rerequesting"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:88
+#: src/protocol/bittorrent/bittorrent.c:89
 msgid ""
-"The minimum number of peers to have in the current peer info\n"
-"pool before skipping requesting of more peers. I.e. setting\n"
-"numwant to zero.\n"
-"Set to 0 to not have any limit."
+"The minimum number of peers to have in the current peer info pool before "
+"skipping requesting of more peers. I.e. setting numwant to zero. Set to 0 to "
+"not have any limit."
 msgstr ""
 
 #. ******************************************************************
@@ -6782,182 +6783,177 @@ msgstr "Kobler til"
 
 #: src/protocol/bittorrent/bittorrent.c:104
 msgid ""
-"The maximum number of allowed connections to both active and\n"
-"non-active peers. By increasing the number of allowed connections,\n"
-"the chance of finding good peers to download from is increased.\n"
-"However, too many connections can lead to TCP congestion. If the\n"
-"maximum is reached all new incoming connections will be closed."
+"The maximum number of allowed connections to both active and non-active "
+"peers. By increasing the number of allowed connections, the chance of "
+"finding good peers to download from is increased. However, too many "
+"connections can lead to TCP congestion. If the maximum is reached all new "
+"incoming connections will be closed."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:110
+#: src/protocol/bittorrent/bittorrent.c:111
 msgid "Maximum peer message length"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:112
+#: src/protocol/bittorrent/bittorrent.c:113
 msgid ""
-"The maximum length of messages to accept over the wire.\n"
-"Larger values will cause the connection to be dropped."
+"The maximum length of messages to accept over the wire. Larger values will "
+"cause the connection to be dropped."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:115
+#: src/protocol/bittorrent/bittorrent.c:116
 msgid "Maximum allowed request length"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:117
+#: src/protocol/bittorrent/bittorrent.c:118
 msgid ""
-"The maximum length to allow for incoming requests.\n"
-"Larger requests will cause the connection to be dropped."
+"The maximum length to allow for incoming requests. Larger requests will "
+"cause the connection to be dropped."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:120
+#: src/protocol/bittorrent/bittorrent.c:121
 msgid "Length of requests"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:122
+#: src/protocol/bittorrent/bittorrent.c:123
 msgid ""
-"How many bytes to query for per request. This is complementary\n"
-"to the max_request_length option. If the configured length is\n"
-"bigger than the piece length it will be truncated."
+"How many bytes to query for per request. This is complementary to the "
+"max_request_length option. If the configured length is bigger than the piece "
+"length it will be truncated."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:126
+#: src/protocol/bittorrent/bittorrent.c:128
 #, fuzzy
 msgid "Peer inactivity timeout"
 msgstr "Ventetid utgtt for overfring"
 
-#: src/protocol/bittorrent/bittorrent.c:128
+#: src/protocol/bittorrent/bittorrent.c:130
 msgid ""
-"The number of seconds to wait before closing a socket on\n"
-"which nothing has been received or sent."
+"The number of seconds to wait before closing a socket on which nothing has "
+"been received or sent."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:131
+#: src/protocol/bittorrent/bittorrent.c:133
 #, fuzzy
 msgid "Maximum peer pool size"
 msgstr "Kobler til"
 
-#: src/protocol/bittorrent/bittorrent.c:133
+#: src/protocol/bittorrent/bittorrent.c:135
 msgid ""
-"Maximum number of items in the peer pool. The peer pool\n"
-"contains information used for establishing connections to\n"
-"new peers.\n"
+"Maximum number of items in the peer pool. The peer pool contains information "
+"used for establishing connections to new peers.\n"
+"\n"
 "Set to 0 to have unlimited size."
 msgstr ""
 
 #. ******************************************************************
 #. Piece management options:
 #. ******************************************************************
-#: src/protocol/bittorrent/bittorrent.c:143
+#: src/protocol/bittorrent/bittorrent.c:146
 #, fuzzy
 msgid "Maximum piece cache size"
 msgstr "Kobler til"
 
-#: src/protocol/bittorrent/bittorrent.c:145
+#: src/protocol/bittorrent/bittorrent.c:148
 msgid ""
-"The maximum amount of memory used to hold recently\n"
-"downloaded pieces.\n"
+"The maximum amount of memory used to hold recently downloaded pieces.\n"
+"\n"
 "Set to 0 to have unlimited size."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:154
+#: src/protocol/bittorrent/bittorrent.c:158
 msgid "Sharing rate"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:156
+#: src/protocol/bittorrent/bittorrent.c:160
 msgid ""
-"The minimum sharing rate to achieve before stop seeding.\n"
-"The sharing rate is computed as the number of uploaded bytes\n"
-"divided with the number of downloaded bytes. The value should\n"
-"be a double value between 0.0 and 1.0 both included.\n"
-"Set to 1.0 to atleast upload a complete copy of all data and\n"
+"The minimum sharing rate to achieve before stop seeding. The sharing rate is "
+"computed as the number of uploaded bytes divided with the number of "
+"downloaded bytes. The value should be a double value between 0.0 and 1.0 "
+"both included. Set to 1.0 to atleast upload a complete copy of all data and "
 "set to 0.0 to have unlimited sharing rate."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:163
+#: src/protocol/bittorrent/bittorrent.c:167
 msgid "Maximum number of uploads"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:165
+#: src/protocol/bittorrent/bittorrent.c:169
 msgid "The maximum number of uploads to allow at once."
 msgstr ""
 
 #. The number of uploads to fill out to with extra optimistic unchokes
-#: src/protocol/bittorrent/bittorrent.c:168
+#: src/protocol/bittorrent/bittorrent.c:172
 msgid "Minimum number of uploads"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:170
+#: src/protocol/bittorrent/bittorrent.c:174
 msgid ""
-"The minimum number of uploads which should at least\n"
-"be used for new connections."
+"The minimum number of uploads which should at least be used for new "
+"connections."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:174
+#: src/protocol/bittorrent/bittorrent.c:178
 #, fuzzy
 msgid "Keepalive interval"
 msgstr "Feil ved lagring"
 
-#: src/protocol/bittorrent/bittorrent.c:176
-msgid ""
-"The number of seconds to pause between sending keepalive\n"
-"messages."
+#: src/protocol/bittorrent/bittorrent.c:180
+msgid "The number of seconds to pause between sending keepalive messages."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:179
+#: src/protocol/bittorrent/bittorrent.c:183
 #, fuzzy
 msgid "Number of pending requests"
 msgstr "Tjeneren behandler foresprselen"
 
-#: src/protocol/bittorrent/bittorrent.c:181
+#: src/protocol/bittorrent/bittorrent.c:185
 msgid ""
-"How many piece requests to continuously keep in queue. Pipelining\n"
-"of requests is essential to saturate connections and get a good\n"
-"connection performance and thus a faster download. However, a\n"
-"very big queue size can lead to wasting bandwidth near the end\n"
-"of the connection since remaining piece blocks will be requested\n"
-"from multiple peers."
+"How many piece requests to continuously keep in queue. Pipelining of "
+"requests is essential to saturate connections and get a good connection "
+"performance and thus a faster download. However, a very big queue size can "
+"lead to wasting bandwidth near the end of the connection since remaining "
+"piece blocks will be requested from multiple peers."
 msgstr ""
 
 #. Bram uses 30 seconds here.
-#: src/protocol/bittorrent/bittorrent.c:190
+#: src/protocol/bittorrent/bittorrent.c:194
 msgid "Peer snubbing interval"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:192
+#: src/protocol/bittorrent/bittorrent.c:196
 msgid ""
-"The number of seconds to wait for file data before assuming\n"
-"the peer has been snubbed."
+"The number of seconds to wait for file data before assuming the peer has "
+"been snubbed."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:195
+#: src/protocol/bittorrent/bittorrent.c:199
 #, fuzzy
 msgid "Peer choke interval"
 msgstr "Feil ved lagring"
 
-#: src/protocol/bittorrent/bittorrent.c:197
+#: src/protocol/bittorrent/bittorrent.c:201
 msgid ""
-"The number of seconds between updating the connection state\n"
-"and most importantly choke and unchoke peer connections. The\n"
-"choke period should be big enough for newly unchoked connections\n"
-"to get started but small enough to not allow freeriders too much\n"
-"room for stealing bandwidth."
+"The number of seconds between updating the connection state and most "
+"importantly choke and unchoke peer connections. The choke period should be "
+"big enough for newly unchoked connections to get started but small enough to "
+"not allow freeriders too much room for stealing bandwidth."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:203
+#: src/protocol/bittorrent/bittorrent.c:207
 msgid "Rarest first piece selection cutoff"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:205
+#: src/protocol/bittorrent/bittorrent.c:209
 msgid ""
-"The number of pieces to obtain before switching piece\n"
-"selection strategy from random to rarest first."
+"The number of pieces to obtain before switching piece selection strategy "
+"from random to rarest first."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:208 src/protocol/http/http.c:109
+#: src/protocol/bittorrent/bittorrent.c:212 src/protocol/http/http.c:109
 msgid "Allow blacklisting"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:210
+#: src/protocol/bittorrent/bittorrent.c:214
 msgid "Allow blacklisting of buggy peers."
 msgstr ""
 
@@ -6993,7 +6989,7 @@ msgstr "~Fil"
 msgid "Comment"
 msgstr "dokumenter"
 
-#: src/protocol/bittorrent/dialogs.c:229 src/session/download.c:362
+#: src/protocol/bittorrent/dialogs.c:229 src/session/download.c:388
 #, fuzzy, c-format
 msgid ""
 "Download complete:\n"
@@ -7161,7 +7157,7 @@ msgid_plural "%u unavailable"
 msgstr[0] "FTP-tjeneste ikke tilgjengelig"
 msgstr[1] "FTP-tjeneste ikke tilgjengelig"
 
-#: src/protocol/bittorrent/dialogs.c:584 src/session/session.c:278
+#: src/protocol/bittorrent/dialogs.c:584 src/session/session.c:279
 #, fuzzy, c-format
 msgid "Unable to retrieve %s"
 msgstr "Kan ikke skrive til konfigurasjonsfil"
@@ -7176,7 +7172,7 @@ msgstr ""
 msgid "Information about the torrent"
 msgstr "Hent bilde"
 
-#: src/protocol/bittorrent/dialogs.c:776 src/session/download.c:1106
+#: src/protocol/bittorrent/dialogs.c:776 src/session/download.c:1132
 msgid "What to do?"
 msgstr "Hva skal jeg gjre?"
 
@@ -7187,13 +7183,13 @@ msgid "Down~load"
 msgstr "Last ned"
 
 #. accelerator_context(src/protocol/bittorrent/dialogs.c:bittorrent_query_callback, src/session/download.c:do_type_query)
-#: src/protocol/bittorrent/dialogs.c:804 src/session/download.c:1209
+#: src/protocol/bittorrent/dialogs.c:804 src/session/download.c:1235
 #, fuzzy
 msgid "~Display"
 msgstr "Vis"
 
 #. accelerator_context(src/protocol/bittorrent/dialogs.c:bittorrent_query_callback, src/session/download.c:do_type_query)
-#: src/protocol/bittorrent/dialogs.c:808 src/session/download.c:1213
+#: src/protocol/bittorrent/dialogs.c:808 src/session/download.c:1239
 msgid "Show ~header"
 msgstr ""
 
@@ -7211,16 +7207,16 @@ msgstr "Ingen program er tilordnet"
 msgid "Colon separated list of directories, where CGI scripts are stored."
 msgstr ""
 
-#: src/protocol/file/cgi.c:47
+#: src/protocol/file/cgi.c:48
 msgid "Allow local CGI"
 msgstr ""
 
-#: src/protocol/file/cgi.c:49
+#: src/protocol/file/cgi.c:50
 msgid "Whether to execute local CGI scripts."
 msgstr ""
 
 #. name:
-#: src/protocol/file/cgi.c:54
+#: src/protocol/file/cgi.c:55
 msgid "CGI"
 msgstr ""
 
@@ -7239,9 +7235,8 @@ msgstr ""
 
 #: src/protocol/file/file.c:46
 msgid ""
-"Whether to allow reading from non-regular files.\n"
-"Note this can be dangerous; reading /dev/urandom or\n"
-"/dev/zero can ruin your day!"
+"Whether to allow reading from non-regular files. Note this can be dangerous; "
+"reading /dev/urandom or /dev/zero can ruin your day!"
 msgstr ""
 
 #: src/protocol/file/file.c:50
@@ -7250,8 +7245,8 @@ msgstr ""
 
 #: src/protocol/file/file.c:52
 msgid ""
-"When set to false, files with name starting with a dot will be\n"
-"hidden in local directory listings."
+"When set to false, files with name starting with a dot will be hidden in "
+"local directory listings."
 msgstr ""
 
 #: src/protocol/file/file.c:55
@@ -7261,13 +7256,13 @@ msgstr "Fil-~etternavn"
 
 #: src/protocol/file/file.c:57
 msgid ""
-"When set, if we can't open a file named 'filename', we'll try\n"
-"to open 'filename' with some encoding extension appended\n"
-"(ie. 'filename.gz'); it depends on the supported encodings."
+"When set, if we can't open a file named 'filename', we'll try to open "
+"'filename' with some encoding extension appended (ie. 'filename.gz'); it "
+"depends on the supported encodings."
 msgstr ""
 
 #. name:
-#: src/protocol/file/file.c:65
+#: src/protocol/file/file.c:66
 #, fuzzy
 msgid "File"
 msgstr "~Fil"
@@ -7297,7 +7292,7 @@ msgid "Whether to sort entries in direct
 msgstr ""
 
 #. name:
-#: src/protocol/ftp/ftp.c:56 src/protocol/ftp/ftp.c:86
+#: src/protocol/ftp/ftp.c:56 src/protocol/ftp/ftp.c:89
 msgid "FTP"
 msgstr ""
 
@@ -7305,8 +7300,8 @@ msgstr ""
 msgid "FTP specific options."
 msgstr ""
 
-#: src/protocol/ftp/ftp.c:60 src/protocol/http/http.c:127
-#: src/protocol/http/http.c:209
+#: src/protocol/ftp/ftp.c:60 src/protocol/http/http.c:128
+#: src/protocol/http/http.c:235
 msgid "Proxy configuration"
 msgstr ""
 
@@ -7314,39 +7309,39 @@ msgstr ""
 msgid "FTP proxy configuration."
 msgstr ""
 
-#: src/protocol/ftp/ftp.c:64 src/protocol/http/http.c:131
-#: src/protocol/http/http.c:213
+#: src/protocol/ftp/ftp.c:64 src/protocol/http/http.c:132
+#: src/protocol/http/http.c:239
 #, fuzzy
 msgid "Host and port-number"
 msgstr "Feil nummer"
 
 #: src/protocol/ftp/ftp.c:66
 msgid ""
-"Host and port-number (host:port) of the FTP proxy, or blank.\n"
-"If it's blank, FTP_PROXY environment variable is checked as well."
+"Host and port-number (host:port) of the FTP proxy, or blank. If it's blank, "
+"FTP_PROXY environment variable is checked as well."
 msgstr ""
 
-#: src/protocol/ftp/ftp.c:69
+#: src/protocol/ftp/ftp.c:70
 msgid "Anonymous password"
 msgstr ""
 
-#: src/protocol/ftp/ftp.c:71
+#: src/protocol/ftp/ftp.c:72
 msgid "FTP anonymous password to be sent."
 msgstr ""
 
-#: src/protocol/ftp/ftp.c:73
+#: src/protocol/ftp/ftp.c:74
 msgid "Use passive mode (IPv4)"
 msgstr ""
 
-#: src/protocol/ftp/ftp.c:75
+#: src/protocol/ftp/ftp.c:76
 msgid "Use PASV instead of PORT (passive vs active mode, IPv4 only)."
 msgstr ""
 
-#: src/protocol/ftp/ftp.c:77
+#: src/protocol/ftp/ftp.c:79
 msgid "Use passive mode (IPv6)"
 msgstr ""
 
-#: src/protocol/ftp/ftp.c:79
+#: src/protocol/ftp/ftp.c:81
 msgid "Use EPSV instead of EPRT (passive vs active mode, IPv6 only)."
 msgstr ""
 
@@ -7373,7 +7368,7 @@ msgid ""
 msgstr ""
 
 #. name:
-#: src/protocol/http/http.c:95 src/protocol/http/http.c:223
+#: src/protocol/http/http.c:95 src/protocol/http/http.c:250
 msgid "HTTP"
 msgstr ""
 
@@ -7395,8 +7390,8 @@ msgstr ""
 
 #: src/protocol/http/http.c:106
 msgid ""
-"The Accept-Charset header is quite long and sending it can trigger\n"
-"bugs in some rarely found servers."
+"The Accept-Charset header is quite long and sending it can trigger bugs in "
+"some rarely found servers."
 msgstr ""
 
 #: src/protocol/http/http.c:111
@@ -7409,69 +7404,69 @@ msgstr ""
 
 #: src/protocol/http/http.c:115
 msgid ""
-"Broken 302 redirect (violates RFC but compatible with Netscape).\n"
-"This is a problem for a lot of web discussion boards and the like.\n"
-"If they will do strange things to you, try to play with this."
+"Broken 302 redirect (violates RFC but compatible with Netscape). This is a "
+"problem for a lot of web discussion boards and the like. If they will do "
+"strange things to you, try to play with this."
 msgstr ""
 
-#: src/protocol/http/http.c:119
+#: src/protocol/http/http.c:120
 msgid "No keepalive after POST requests"
 msgstr ""
 
-#: src/protocol/http/http.c:121
+#: src/protocol/http/http.c:122
 msgid "Disable keepalive connection after POST request."
 msgstr ""
 
-#: src/protocol/http/http.c:123
+#: src/protocol/http/http.c:124
 msgid "Use HTTP/1.0"
 msgstr ""
 
-#: src/protocol/http/http.c:125
+#: src/protocol/http/http.c:126
 msgid "Use HTTP/1.0 protocol instead of HTTP/1.1."
 msgstr ""
 
-#: src/protocol/http/http.c:129
+#: src/protocol/http/http.c:130
 msgid "HTTP proxy configuration."
 msgstr ""
 
-#: src/protocol/http/http.c:133
+#: src/protocol/http/http.c:134
 msgid ""
-"Host and port-number (host:port) of the HTTP proxy, or blank.\n"
-"If it's blank, HTTP_PROXY environment variable is checked as well."
+"Host and port-number (host:port) of the HTTP proxy, or blank. If it's blank, "
+"HTTP_PROXY environment variable is checked as well."
 msgstr ""
 
-#: src/protocol/http/http.c:136
+#: src/protocol/http/http.c:138
 #, fuzzy
 msgid "Username"
 msgstr "Navn"
 
-#: src/protocol/http/http.c:138
+#: src/protocol/http/http.c:140
 msgid "Proxy authentication username."
 msgstr ""
 
-#: src/protocol/http/http.c:142
+#: src/protocol/http/http.c:144
 msgid "Proxy authentication password."
 msgstr ""
 
-#: src/protocol/http/http.c:145
+#: src/protocol/http/http.c:147
 msgid "Referer sending"
 msgstr ""
 
-#: src/protocol/http/http.c:147
+#: src/protocol/http/http.c:149
 msgid ""
-"HTTP referer sending options. HTTP referer is a special header\n"
-"sent in the HTTP requests, which is supposed to contain the previous\n"
-"page visited by the browser. This way, the server can know what link\n"
-"did you follow when accessing that page. However, this behaviour\n"
-"can unfortunately considerably affect privacy and can lead even to a\n"
-"security problem on some badly designed web pages."
+"HTTP referer sending options. HTTP referer is a special header sent in the "
+"HTTP requests, which is supposed to contain the previous page visited by the "
+"browser.This way, the server can know what link did you follow when "
+"accessing that page. However, this behaviour can unfortunately considerably "
+"affect privacy and can lead even to a security problem on some badly "
+"designed web pages."
 msgstr ""
 
-#: src/protocol/http/http.c:154
+#: src/protocol/http/http.c:157
 msgid "Policy"
 msgstr ""
 
-#: src/protocol/http/http.c:157
+#: src/protocol/http/http.c:160
 msgid ""
 "Mode of sending HTTP referer:\n"
 "0 is send no referer\n"
@@ -7480,90 +7475,110 @@ msgid ""
 "3 is send previous URL as referer (correct, but insecure)"
 msgstr ""
 
-#: src/protocol/http/http.c:163
+#: src/protocol/http/http.c:166
 msgid "Fake referer URL"
 msgstr ""
 
-#: src/protocol/http/http.c:165
+#: src/protocol/http/http.c:168
 msgid "Fake referer to be sent when policy is 2."
 msgstr ""
 
-#: src/protocol/http/http.c:168
+#: src/protocol/http/http.c:171
 msgid "Send Accept-Language header"
 msgstr ""
 
-#: src/protocol/http/http.c:170
+#: src/protocol/http/http.c:173
 msgid "Send Accept-Language header."
 msgstr ""
 
-#: src/protocol/http/http.c:172
+#: src/protocol/http/http.c:175
 msgid "Use UI language as Accept-Language"
 msgstr ""
 
-#: src/protocol/http/http.c:174
+#: src/protocol/http/http.c:177
 msgid ""
-"Request localised versions of documents from web-servers (using the\n"
-"Accept-Language header) using the language you have configured for\n"
-"ELinks' user-interface (this also affects navigator.language ECMAScript\n"
-"value available to scripts). Note that some see this as a potential\n"
-"security risk because it tells web-masters and the FBI sniffers about\n"
-"your language preference."
+"Request localised versions of documents from web-servers (using the Accept-"
+"Language header) using the language you have configured for ELinks' user-"
+"interface (this also affects navigator.language ECMAScript value available "
+"to scripts). Note that some see this as a potential security risk because it "
+"tells web-masters and the FBI sniffers about your language preference."
+msgstr ""
+
+#. After the compression support has been tested enough,
+#. * we might wrap this option in #if CFG_DEBUG.
+#: src/protocol/http/http.c:187
+msgid "Enable on-the-fly compression"
 msgstr ""
 
-#: src/protocol/http/http.c:181
+#: src/protocol/http/http.c:189
+msgid ""
+"If enabled, the capability to receive compressed content (gzip and/or bzip2) "
+"is announced to the server, which usually sends the reply compressed, thus "
+"saving some bandwidth at slight CPU expense.\n"
+"\n"
+"If ELinks displays a incomplete page or garbage, try disabling this option. "
+"If that helps, there may be a bug in the decompression part of ELinks. "
+"Please report such bugs.\n"
+"\n"
+"If ELinks has been compiled without compression support, this option has no "
+"effect. To check the supported features, see Help -> About."
+msgstr ""
+
+#: src/protocol/http/http.c:202
 msgid "Activate HTTP TRACE debugging"
 msgstr ""
 
-#: src/protocol/http/http.c:183
+#: src/protocol/http/http.c:204
 msgid ""
-"If active, all HTTP requests are sent with TRACE as their method\n"
-"rather than GET or POST. This is useful for debugging of both ELinks\n"
-"and various server-side scripts --- the server only returns the client's\n"
-"request back to the client verbatim. Note that this type of request may\n"
-"not be enabled on all servers."
+"If active, all HTTP requests are sent with TRACE as their method rather than "
+"GET or POST. This is useful for debugging of both ELinks and various server-"
+"side scripts --- the server only returns the client's request back to the "
+"client verbatim. Note that this type of request may not be enabled on all "
+"servers."
 msgstr ""
 
 #. OSNews.com is supposed to be relying on the textmode token, at least.
-#: src/protocol/http/http.c:190
+#: src/protocol/http/http.c:212
 msgid "User-agent identification"
 msgstr ""
 
-#: src/protocol/http/http.c:192
+#: src/protocol/http/http.c:214
 msgid ""
-"Change the User Agent ID. That means identification string, which\n"
-"is sent to HTTP server when a document is requested. The 'textmode'\n"
-"token in the first field is our silent attempt to establish this as\n"
-"a standard for new textmode user agents, so that the webmasters can\n"
-"have just a single uniform test for these if they are e.g. pushing\n"
-"some lite version to them automagically.\n"
+"Change the User Agent ID. That means identification string, which is sent to "
+"HTTP server when a document is requested. The 'textmode' token in the first "
+"field is our silent attempt to establish this as a standard for new textmode "
+"user agents, so that the webmasters can have just a single uniform test for "
+"these if they are e.g. pushing some lite version to them automagically.\n"
+"\n"
 "Use \" \" if you don't want any User-Agent header to be sent at all.\n"
+"\n"
 "%v in the string means ELinks version,\n"
 "%s in the string means system identification,\n"
 "%t in the string means size of the terminal,\n"
 "%b in the string means number of bars displayed by ELinks."
 msgstr ""
 
-#: src/protocol/http/http.c:205
+#: src/protocol/http/http.c:231
 msgid "HTTPS"
 msgstr ""
 
-#: src/protocol/http/http.c:207
+#: src/protocol/http/http.c:233
 #, fuzzy
 msgid "HTTPS-specific options."
 msgstr "Ingen program er tilordnet"
 
-#: src/protocol/http/http.c:211
+#: src/protocol/http/http.c:237
 msgid "HTTPS proxy configuration."
 msgstr ""
 
-#: src/protocol/http/http.c:215
+#: src/protocol/http/http.c:241
 msgid ""
-"Host and port-number (host:port) of the HTTPS CONNECT proxy, or blank.\n"
-"If it's blank, HTTPS_PROXY environment variable is checked as well."
+"Host and port-number (host:port) of the HTTPS CONNECT proxy, or blank. If "
+"it's blank, HTTPS_PROXY environment variable is checked as well."
 msgstr ""
 
 #. name:
-#: src/protocol/nntp/nntp.c:32 src/protocol/nntp/nntp.c:65
+#: src/protocol/nntp/nntp.c:32 src/protocol/nntp/nntp.c:66
 msgid "NNTP"
 msgstr ""
 
@@ -7578,19 +7593,19 @@ msgstr ""
 
 #: src/protocol/nntp/nntp.c:38
 msgid ""
-"Used when resolving news: URIs. If set to the empty string\n"
-"the value of the NNTPSERVER environment variable will be used."
+"Used when resolving news: URIs. If set to the empty string the value of the "
+"NNTPSERVER environment variable will be used."
 msgstr ""
 
-#: src/protocol/nntp/nntp.c:41
+#: src/protocol/nntp/nntp.c:42
 msgid "Message header entries"
 msgstr ""
 
-#: src/protocol/nntp/nntp.c:43
+#: src/protocol/nntp/nntp.c:44
 msgid ""
-"Comma separated list of which entries in the article header\n"
-"to show. E.g. 'Subject' and 'From'.\n"
-"All header entries can be read in the header info dialog."
+"Comma separated list of which entries in the article header to show. E.g. "
+"'Subject' and 'From'. All header entries can be read in the header info "
+"dialog."
 msgstr ""
 
 #: src/protocol/protocol.c:242
@@ -7612,10 +7627,9 @@ msgstr ""
 
 #: src/protocol/protocol.c:279
 msgid ""
-"Comma separated list of domains for which the proxy (HTTP/FTP)\n"
-"should be disabled. Optionally, a port can be specified for some\n"
-"domains as well. If it's blank, NO_PROXY environment variable is\n"
-"checked as well."
+"Comma separated list of domains for which the proxy (HTTP/FTP) should be "
+"disabled. Optionally, a port can be specified for some domains as well. If "
+"it's blank, NO_PROXY environment variable is checked as well."
 msgstr ""
 
 #. name:
@@ -7629,47 +7643,45 @@ msgstr ""
 
 #: src/protocol/rewrite/rewrite.c:46
 msgid ""
-"Rules for rewriting URIs entered in the goto dialog.\n"
-"It makes it possible to define a set of prefixes that will\n"
-"be expanded if they match a string entered in the goto dialog.\n"
-"The prefixes can be dumb, meaning that they work only like\n"
-"URI abbreviations, or smart ones, making it possible to pass\n"
+"Rules for rewriting URIs entered in the goto dialog. It makes it possible to "
+"define a set of prefixes that will be expanded if they match a string "
+"entered in the goto dialog. The prefixes can be dumb, meaning that they work "
+"only like URI abbreviations, or smart ones, making it possible to pass "
 "arguments to them like search engine keywords."
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:53
+#: src/protocol/rewrite/rewrite.c:54
 msgid "Enable dumb prefixes"
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:55
+#: src/protocol/rewrite/rewrite.c:56
 msgid ""
-"Enable dumb prefixes - simple URI abbreviations which can\n"
-"be written to the Goto URL dialog instead of actual URIs - i.e.\n"
-"if you write 'elinks' there, you are directed to\n"
-"http://elinks.cz/."
+"Enable dumb prefixes - simple URI abbreviations which can be written to the "
+"Goto URL dialog instead of actual URIs - i.e. if you write 'elinks' there, "
+"you are directed to http://elinks.cz/."
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:60
+#: src/protocol/rewrite/rewrite.c:61
 msgid "Enable smart prefixes"
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:62
+#: src/protocol/rewrite/rewrite.c:63
 msgid ""
-"Enable smart prefixes - URI templates triggered by writing\n"
-"given abbreviation to the Goto URL dialog followed by a list\n"
-"of arguments from which the actual URI is composed - i.e.\n"
-"'gg:search keywords' or 'gn search keywords for news'."
+"Enable smart prefixes - URI templates triggered by writing given "
+"abbreviation to the Goto URL dialog followed by a list of arguments from "
+"which the actual URI is composed - i.e. 'gg:search keywords' or 'gn search "
+"keywords for news'."
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:67
+#: src/protocol/rewrite/rewrite.c:69
 msgid "Dumb Prefixes"
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:69
+#: src/protocol/rewrite/rewrite.c:71
 msgid "Dumb prefixes, see enable-dumb description for details."
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:74
+#: src/protocol/rewrite/rewrite.c:76
 #, no-c-format
 msgid ""
 "Replacement URI for this dumbprefix:\n"
@@ -7677,15 +7689,15 @@ msgid ""
 "%% in the string means '%'"
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:78
+#: src/protocol/rewrite/rewrite.c:80
 msgid "Smart Prefixes"
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:80
+#: src/protocol/rewrite/rewrite.c:82
 msgid "Smart prefixes, see enable-smart description for details."
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:87
+#: src/protocol/rewrite/rewrite.c:90
 #, no-c-format
 msgid ""
 "Replacement URI for this smartprefix:\n"
@@ -7695,27 +7707,29 @@ msgid ""
 "%% in the string means '%'"
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:93
+#: src/protocol/rewrite/rewrite.c:96
 #, fuzzy
 msgid "Default template"
 msgstr "Cache for behandlede dokumenter"
 
-#: src/protocol/rewrite/rewrite.c:96
+#: src/protocol/rewrite/rewrite.c:99
 #, no-c-format
 msgid ""
-"Default URI template used when the string entered in\n"
-"the goto dialog does not appear to be a URI or a filename\n"
-"(i.e. contains no '.', ':' or '/' characters), and does\n"
-"not match any defined prefixes. Set the value to \"\" to\n"
-"disable use of the default template rewrite rule.\n"
+"Default URI template used when the string entered in the goto dialog does "
+"not appear to be a URI or a filename (i.e. contains no '.', ':' or '/' "
+"characters), and does not match any defined prefixes. Set the value to \"\" "
+"to disable use of the default template rewrite rule.\n"
+"\n"
 "%c in the template means the current URL,\n"
-"%s in the template means the whole string from the goto dialog,\n"
-"%0,%1,...,%9 mean the 1st,2nd,...,10th space-delimited part of %s,\n"
+"%s in the template means the whole string from the goto\n"
+"   dialog,\n"
+"%0,%1,...,%9 mean the 1st,2nd,...,10th space-delimited part\n"
+"   of %s,\n"
 "%% in the template means '%'."
 msgstr ""
 
 #. name:
-#: src/protocol/rewrite/rewrite.c:372
+#: src/protocol/rewrite/rewrite.c:378
 msgid "URI rewrite"
 msgstr ""
 
@@ -7738,24 +7752,23 @@ msgid "Credentials file passed to smbcli
 msgstr ""
 
 #. name:
-#: src/protocol/user.c:34 src/protocol/user.c:84
+#: src/protocol/user.c:34 src/protocol/user.c:85
 msgid "User protocols"
 msgstr ""
 
 #: src/protocol/user.c:36
 msgid ""
-"User protocols. Options in this tree specify external\n"
-"handlers for the appropriate protocols. Ie.\n"
-"protocol.user.mailto.unix."
+"User protocols. Options in this tree specify external handlers for the "
+"appropriate protocols. Ie. protocol.user.mailto.unix."
 msgstr ""
 
 #: src/protocol/user.c:47
 msgid ""
-"Handler (external program) for this protocol. Name the\n"
-"options in this tree after your system (ie. unix, unix-xwin)."
+"Handler (external program) for this protocol. Name the options in this tree "
+"after your system (ie. unix, unix-xwin)."
 msgstr ""
 
-#: src/protocol/user.c:52
+#: src/protocol/user.c:53
 msgid ""
 "Handler (external program) for this protocol and system.\n"
 "%f in the string means file name to include form data from\n"
@@ -7766,11 +7779,11 @@ msgid ""
 "%u in the string means the whole URL"
 msgstr ""
 
-#: src/protocol/user.c:276
+#: src/protocol/user.c:277
 msgid "No program"
 msgstr "Ingen program"
 
-#: src/protocol/user.c:278
+#: src/protocol/user.c:279
 #, fuzzy, c-format
 msgid "No program specified for protocol %s."
 msgstr "Ingen program er tilordnet"
@@ -7854,19 +7867,19 @@ msgstr ""
 msgid "Spidermonkey ECMAScript"
 msgstr ""
 
-#: src/session/download.c:233 src/session/download.c:330
-#: src/session/download.c:561 src/session/download.c:649
+#: src/session/download.c:256 src/session/download.c:356
+#: src/session/download.c:587 src/session/download.c:675
 msgid "Download error"
 msgstr "Overfringsfeil"
 
-#: src/session/download.c:234 src/session/download.c:650
+#: src/session/download.c:257 src/session/download.c:676
 #, fuzzy, c-format
 msgid ""
 "Could not create file '%s':\n"
 "%s"
 msgstr "Kunne ikke skrive til fil"
 
-#: src/session/download.c:331
+#: src/session/download.c:357
 #, fuzzy, c-format
 msgid ""
 "Error downloading %s:\n"
@@ -7874,17 +7887,17 @@ msgid ""
 "%s"
 msgstr "Feil ved overfring av"
 
-#: src/session/download.c:562
+#: src/session/download.c:588
 #, c-format
 msgid "'%s' is a directory."
 msgstr ""
 
-#: src/session/download.c:596
+#: src/session/download.c:622
 #, fuzzy
 msgid "File exists"
 msgstr "Fil-~etternavn"
 
-#: src/session/download.c:597
+#: src/session/download.c:623
 #, c-format
 msgid ""
 "This file already exists:\n"
@@ -7895,51 +7908,51 @@ msgid ""
 msgstr ""
 
 #. accelerator_context(src/session/download.c:lookup_unique_name)
-#: src/session/download.c:604
+#: src/session/download.c:630
 msgid "Sa~ve under the alternative name"
 msgstr ""
 
 #. accelerator_context(src/session/download.c:lookup_unique_name)
-#: src/session/download.c:605
+#: src/session/download.c:631
 msgid "~Overwrite the original file"
 msgstr ""
 
 #. accelerator_context(src/session/download.c:lookup_unique_name)
-#: src/session/download.c:606
+#: src/session/download.c:632
 msgid "~Resume download of the original file"
 msgstr ""
 
-#: src/session/download.c:1109
+#: src/session/download.c:1135
 msgid "Unknown type"
 msgstr "Ukjent type"
 
-#: src/session/download.c:1134
+#: src/session/download.c:1160
 #, c-format
 msgid "What would you like to do with the file '%s' (type: %s%s%s)?"
 msgstr ""
 
-#: src/session/download.c:1137
+#: src/session/download.c:1163
 #, c-format
 msgid "What would you like to do with the file (type: %s%s%s)?"
 msgstr ""
 
-#: src/session/download.c:1165
+#: src/session/download.c:1191
 #, no-c-format
 msgid "Program ('%' will be replaced by the filename)"
 msgstr ""
 
-#: src/session/download.c:1169
+#: src/session/download.c:1195
 #, fuzzy
 msgid "Block the terminal"
 msgstr "~BeOS-terminal"
 
-#: src/session/download.c:1175
+#: src/session/download.c:1201
 #, c-format
 msgid "The file will be opened with the program '%s'."
 msgstr ""
 
 #. accelerator_context(src/session/download.c:do_type_query)
-#: src/session/download.c:1196
+#: src/session/download.c:1222
 #, fuzzy
 msgid "~Open"
 msgstr "pne"
@@ -7948,12 +7961,12 @@ msgstr "pne"
 #. * and formatting it with "%u" is safe,
 #. * because fc_maxlength is smaller than
 #. * file.length, which is an int.
-#: src/session/session.c:761 src/session/session.c:780 src/session/task.c:275
-#: src/viewer/text/textarea.c:652
+#: src/session/session.c:771 src/session/session.c:790 src/session/task.c:275
+#: src/viewer/text/textarea.c:641
 msgid "Warning"
 msgstr "Advarsel"
 
-#: src/session/session.c:762
+#: src/session/session.c:772
 msgid ""
 "You have an empty string in protocol.http.user_agent - this was a default "
 "value in the past, substituted by default ELinks User-Agent string. However, "
@@ -7964,7 +7977,7 @@ msgid ""
 "will be used. Apologies for any inconvience caused."
 msgstr ""
 
-#: src/session/session.c:781
+#: src/session/session.c:791
 msgid ""
 "You have option config.saving_style set to a de facto obsolete value. The "
 "configuration saving algorithms of ELinks were changed from the last time "
@@ -7977,11 +7990,11 @@ msgid ""
 "caused."
 msgstr ""
 
-#: src/session/session.c:806
+#: src/session/session.c:816
 msgid "Welcome"
 msgstr "Velkommen"
 
-#: src/session/session.c:807
+#: src/session/session.c:817
 #, fuzzy
 msgid ""
 "Welcome to ELinks!\n"
@@ -8031,22 +8044,22 @@ msgstr ""
 msgid "Warning: terminal name contains illicit chars."
 msgstr ""
 
-#: src/terminal/event.c:259
+#: src/terminal/event.c:258
 #, c-format
 msgid "Failed to create session."
 msgstr ""
 
-#: src/terminal/event.c:446
+#: src/terminal/event.c:443
 #, c-format
 msgid "Bad event %d"
 msgstr ""
 
-#: src/terminal/event.c:486
+#: src/terminal/event.c:483
 #, fuzzy, c-format
 msgid "Could not read event: %d (%s)"
 msgstr "Kunne ikke skrive til fil"
 
-#: src/terminal/kbd.c:1187
+#: src/terminal/kbd.c:1210
 #, c-format
 msgid "Too many bytes read from the itrm!"
 msgstr ""
@@ -8125,207 +8138,207 @@ msgstr "Ingen rammer"
 msgid "The requested fragment \"%s\" doesn't exist."
 msgstr ""
 
-#: src/viewer/text/form.c:1092
+#: src/viewer/text/form.c:1118
 msgid "Error while posting form"
 msgstr "Feil under sending av skjemaet"
 
-#: src/viewer/text/form.c:1093
+#: src/viewer/text/form.c:1119
 #, fuzzy, c-format
 msgid "Could not load file %s: %s"
 msgstr "Kunne ikke hente fil"
 
-#: src/viewer/text/form.c:1847
+#: src/viewer/text/form.c:1876
 #, fuzzy
 msgid "Reset form"
 msgstr "Nullstill skjemaet"
 
-#: src/viewer/text/form.c:1849
+#: src/viewer/text/form.c:1878
 msgid "Harmless button"
 msgstr ""
 
-#: src/viewer/text/form.c:1857
+#: src/viewer/text/form.c:1886
 msgid "Submit form to"
 msgstr "Send skjemaet til"
 
-#: src/viewer/text/form.c:1858
+#: src/viewer/text/form.c:1887
 msgid "Post form to"
 msgstr "Send skjemaet til"
 
-#: src/viewer/text/form.c:1860
+#: src/viewer/text/form.c:1889
 msgid "Radio button"
 msgstr "Radioknapp"
 
-#: src/viewer/text/form.c:1864
+#: src/viewer/text/form.c:1893
 msgid "Select field"
 msgstr "Velg felt"
 
-#: src/viewer/text/form.c:1868
+#: src/viewer/text/form.c:1897
 msgid "Text area"
 msgstr "Tekstboks"
 
-#: src/viewer/text/form.c:1870
+#: src/viewer/text/form.c:1899
 msgid "File upload"
 msgstr "Last opp fil"
 
-#: src/viewer/text/form.c:1872
+#: src/viewer/text/form.c:1901
 msgid "Password field"
 msgstr "Passordfelt"
 
-#: src/viewer/text/form.c:1910
+#: src/viewer/text/form.c:1939
 msgid "name"
 msgstr "Navn"
 
-#: src/viewer/text/form.c:1922
+#: src/viewer/text/form.c:1951
 msgid "value"
 msgstr "Verdi"
 
-#: src/viewer/text/form.c:1935
+#: src/viewer/text/form.c:1964
 msgid "read only"
 msgstr ""
 
-#: src/viewer/text/form.c:1946
+#: src/viewer/text/form.c:1975
 #, c-format
 msgid "press %s to navigate"
 msgstr ""
 
-#: src/viewer/text/form.c:1948
+#: src/viewer/text/form.c:1977
 #, c-format
 msgid "press %s to edit"
 msgstr ""
 
-#: src/viewer/text/form.c:1984
+#: src/viewer/text/form.c:2013
 #, fuzzy, c-format
 msgid "press %s to submit to %s"
 msgstr "send til"
 
-#: src/viewer/text/form.c:1986
+#: src/viewer/text/form.c:2015
 #, fuzzy, c-format
 msgid "press %s to post to %s"
 msgstr "send til"
 
-#: src/viewer/text/form.c:2088
+#: src/viewer/text/form.c:2117
 msgid "Useless button"
 msgstr ""
 
-#: src/viewer/text/form.c:2090
+#: src/viewer/text/form.c:2119
 #, fuzzy
 msgid "Submit button"
 msgstr "Send skjemaet til"
 
 #. accelerator_context(link_menu.map)
-#: src/viewer/text/link.c:1281
+#: src/viewer/text/link.c:1280
 msgid "Display ~usemap"
 msgstr "Vis ~usemap"
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1286
+#: src/viewer/text/link.c:1285
 msgid "~Follow link"
 msgstr "~Flg lenke"
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1288
+#: src/viewer/text/link.c:1287
 msgid "Follow link and r~eload"
 msgstr ""
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1292
+#: src/viewer/text/link.c:1291
 msgid "Open in new ~window"
 msgstr "pne i nytt vindu"
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1294
+#: src/viewer/text/link.c:1293
 #, fuzzy
 msgid "Open in new ~tab"
 msgstr "pne i nytt vindu"
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1296
+#: src/viewer/text/link.c:1295
 #, fuzzy
 msgid "Open in new tab in ~background"
 msgstr "Bakgrunn"
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1301
+#: src/viewer/text/link.c:1300
 msgid "~Download link"
 msgstr "Last ne~d lenke"
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1304
+#: src/viewer/text/link.c:1303
 msgid "~Add link to bookmarks"
 msgstr ""
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1308
+#: src/viewer/text/link.c:1307
 msgid "Pass link URI to e~xternal command"
 msgstr ""
 
 #. accelerator_context(link_menu.form, link_menu.reset, link_menu.textarea)
-#: src/viewer/text/link.c:1319 src/viewer/text/link.c:1359
+#: src/viewer/text/link.c:1318 src/viewer/text/link.c:1358
 msgid "~Reset form"
 msgstr "Nullstill skjemaet"
 
 #. accelerator_context(link_menu.textarea)
-#: src/viewer/text/link.c:1334
+#: src/viewer/text/link.c:1333
 msgid "Open in ~external editor"
 msgstr ""
 
 #. accelerator_context(link_menu.form, link_menu.textarea)
-#: src/viewer/text/link.c:1342
+#: src/viewer/text/link.c:1341
 msgid "~Submit form"
 msgstr "~Send skjemaet"
 
 #. accelerator_context(link_menu.form, link_menu.textarea)
-#: src/viewer/text/link.c:1343
+#: src/viewer/text/link.c:1342
 msgid "Submit form and rel~oad"
 msgstr ""
 
 #. accelerator_context(link_menu.form, link_menu.textarea)
-#: src/viewer/text/link.c:1347
+#: src/viewer/text/link.c:1346
 msgid "Submit form and open in new ~window"
 msgstr "Send skjemaet og pne i nytt vindu"
 
 #. accelerator_context(link_menu.form, link_menu.textarea)
-#: src/viewer/text/link.c:1349
+#: src/viewer/text/link.c:1348
 #, fuzzy
 msgid "Submit form and open in new ~tab"
 msgstr "Send skjemaet og pne i nytt vindu"
 
 #. accelerator_context(link_menu.form, link_menu.textarea)
-#: src/viewer/text/link.c:1352
+#: src/viewer/text/link.c:1351
 #, fuzzy
 msgid "Submit form and open in new tab in ~background"
 msgstr "Send skjemaet og pne i nytt vindu"
 
 #. accelerator_context(link_menu.form, link_menu.textarea)
-#: src/viewer/text/link.c:1357
+#: src/viewer/text/link.c:1356
 msgid "Submit form and ~download"
 msgstr "Sen~d skjemaet og overfr fil"
 
 #. accelerator_context(link_menu.form, link_menu.reset, link_menu.textarea)
-#: src/viewer/text/link.c:1364
+#: src/viewer/text/link.c:1363
 #, fuzzy
 msgid "Form f~ields"
 msgstr "Passordfelt"
 
 #. accelerator_context(link_menu.form, link_menu.map, link_menu.std)
-#: src/viewer/text/link.c:1371
+#: src/viewer/text/link.c:1370
 msgid "V~iew image"
 msgstr "V~is bilde"
 
 #. accelerator_context(link_menu.form, link_menu.map, link_menu.std)
-#: src/viewer/text/link.c:1373
+#: src/viewer/text/link.c:1372
 msgid "Download ima~ge"
 msgstr "Hent bilde"
 
-#: src/viewer/text/link.c:1382
+#: src/viewer/text/link.c:1381
 msgid "No link selected"
 msgstr "Ingen lenker valgt"
 
-#: src/viewer/text/link.c:1452
+#: src/viewer/text/link.c:1451
 msgid "Image"
 msgstr "Bilde"
 
-#: src/viewer/text/link.c:1457
+#: src/viewer/text/link.c:1456
 msgid "Usemap"
 msgstr "Usemap"
 
@@ -8334,86 +8347,86 @@ msgstr "Usemap"
 msgid "Marks"
 msgstr ""
 
-#: src/viewer/text/search.c:1083
+#: src/viewer/text/search.c:1099
 msgid "Search hit top, continuing at bottom."
 msgstr ""
 
-#: src/viewer/text/search.c:1084
+#: src/viewer/text/search.c:1100
 msgid "Search hit bottom, continuing at top."
 msgstr ""
 
-#: src/viewer/text/search.c:1087
+#: src/viewer/text/search.c:1103
 msgid "No previous search"
 msgstr "Ingen tidligere sk"
 
-#: src/viewer/text/search.c:1099
+#: src/viewer/text/search.c:1115
 #, c-format
 msgid "Could not compile regular expression '%s'"
 msgstr ""
 
-#: src/viewer/text/search.c:1143
+#: src/viewer/text/search.c:1159
 #, c-format
 msgid "No further matches for '%s'."
 msgstr ""
 
-#: src/viewer/text/search.c:1145
+#: src/viewer/text/search.c:1161
 #, c-format
 msgid "Could not find a link with the text '%s'."
 msgstr ""
 
-#: src/viewer/text/search.c:1147 src/viewer/text/search.c:1558
+#: src/viewer/text/search.c:1163 src/viewer/text/search.c:1576
 msgid "Typeahead"
 msgstr ""
 
-#: src/viewer/text/search.c:1560
+#: src/viewer/text/search.c:1578
 #, c-format
 msgid "No links in current document"
 msgstr ""
 
-#: src/viewer/text/search.c:1643
+#: src/viewer/text/search.c:1661
 msgid "Search for text"
 msgstr "Sk etter tekst"
 
-#: src/viewer/text/search.c:1679
+#: src/viewer/text/search.c:1697
 #, fuzzy
 msgid "Normal search"
 msgstr "Ingen tidligere sk"
 
-#: src/viewer/text/search.c:1680
+#: src/viewer/text/search.c:1698
 msgid "Regexp search"
 msgstr ""
 
-#: src/viewer/text/search.c:1681
+#: src/viewer/text/search.c:1699
 msgid "Extended regexp search"
 msgstr ""
 
-#: src/viewer/text/search.c:1683
+#: src/viewer/text/search.c:1701
 msgid "Case sensitive"
 msgstr ""
 
-#: src/viewer/text/search.c:1684
+#: src/viewer/text/search.c:1702
 msgid "Case insensitive"
 msgstr ""
 
-#: src/viewer/text/search.c:1708
+#: src/viewer/text/search.c:1726
 msgid "Search backward"
 msgstr "Sk bakover"
 
 #. name:
-#: src/viewer/text/search.c:1747
+#: src/viewer/text/search.c:1765
 #, fuzzy
 msgid "Search History"
 msgstr "Tom for minne"
 
-#: src/viewer/text/textarea.c:595
+#: src/viewer/text/textarea.c:584
 msgid "You cannot launch an external editor in the anonymous mode."
 msgstr ""
 
-#: src/viewer/text/textarea.c:602
+#: src/viewer/text/textarea.c:591
 msgid "You can do this only on the master terminal"
 msgstr ""
 
-#: src/viewer/text/textarea.c:655
+#: src/viewer/text/textarea.c:644
 #, c-format
 msgid ""
 "You have exceeded the textarea's size limit: your input is %d bytes, but the "
@@ -8431,11 +8444,11 @@ msgstr "G til lenke"
 msgid "Enter link number"
 msgstr "Skriv nummer p lenke"
 
-#: src/viewer/text/view.c:1627
+#: src/viewer/text/view.c:1628
 msgid "Save error"
 msgstr "Feil ved lagring"
 
-#: src/viewer/text/view.c:1628
+#: src/viewer/text/view.c:1629
 msgid "Error writing to file"
 msgstr "Feil ved skriving til fil"
 
Binary files 0.12~pre2.dfsg0-1/po/nl.gmo and 0.12~pre4-1/po/nl.gmo differ
diff -pruN 0.12~pre2.dfsg0-1/po/nl.po 0.12~pre4-1/po/nl.po
--- 0.12~pre2.dfsg0-1/po/nl.po	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/po/nl.po	2009-05-31 09:48:47.000000000 +0100
@@ -6,7 +6,7 @@ msgid ""
 msgstr ""
 "Project-Id-Version: ELinks 0.5pre0.CVS\n"
 "Report-Msgid-Bugs-To: elinks-users@linuxfromscratch.org\n"
-"POT-Creation-Date: 2008-09-21 11:13+0300\n"
+"POT-Creation-Date: 2009-05-31 01:57+0300\n"
 "PO-Revision-Date: 2003-01-03 03:41+0100\n"
 "Last-Translator: Stefan de Groot <stefan@nllinux.nl>\n"
 "Language-Team: Dutch <vertaling@nl.linux.org>\n"
@@ -37,7 +37,7 @@ msgstr ""
 #: src/mime/dialogs.c:132 src/protocol/auth/dialogs.c:115
 #: src/protocol/protocol.c:246 src/scripting/lua/core.c:399
 #: src/scripting/lua/core.c:480 src/scripting/python/dialogs.c:86
-#: src/session/session.c:811 src/viewer/text/search.c:1686
+#: src/session/session.c:821 src/viewer/text/search.c:1704
 #, fuzzy
 msgid "~OK"
 msgstr "OK"
@@ -55,13 +55,13 @@ msgid "Sorry, but the item \"%s\" is bei
 msgstr ""
 
 #. cant_delete_folder
-#: src/bfu/hierbox.c:558 src/bookmarks/dialogs.c:121
+#: src/bfu/hierbox.c:558 src/bookmarks/dialogs.c:153
 #, c-format
 msgid "Sorry, but the folder \"%s\" cannot be deleted."
 msgstr ""
 
 #. cant_delete_used_folder
-#: src/bfu/hierbox.c:561 src/bookmarks/dialogs.c:123
+#: src/bfu/hierbox.c:561 src/bookmarks/dialogs.c:155
 #, c-format
 msgid "Sorry, but the folder \"%s\" is being used by something else."
 msgstr ""
@@ -79,7 +79,7 @@ msgid "Delete marked items?"
 msgstr "Selecteer veld"
 
 #. delete_folder_title
-#: src/bfu/hierbox.c:570 src/bookmarks/dialogs.c:129
+#: src/bfu/hierbox.c:570 src/bookmarks/dialogs.c:161
 #, fuzzy
 msgid "Delete folder"
 msgstr "Verwijder bladwijzer"
@@ -139,13 +139,13 @@ msgstr "Ja"
 msgid "~No"
 msgstr "Nee"
 
-#: src/bfu/hierbox.c:945 src/bfu/hierbox.c:976 src/viewer/text/search.c:1090
-#: src/viewer/text/search.c:1098 src/viewer/text/search.c:1114
-#: src/viewer/text/search.c:1705
+#: src/bfu/hierbox.c:945 src/bfu/hierbox.c:976 src/viewer/text/search.c:1106
+#: src/viewer/text/search.c:1114 src/viewer/text/search.c:1130
+#: src/viewer/text/search.c:1723
 msgid "Search"
 msgstr "Zoeken"
 
-#: src/bfu/hierbox.c:947 src/viewer/text/search.c:1091
+#: src/bfu/hierbox.c:947 src/viewer/text/search.c:1107
 #, fuzzy, c-format
 msgid "Search string '%s' not found"
 msgstr "Zoekstring niet gevonden"
@@ -184,8 +184,8 @@ msgstr "Lege string niet toegestaan"
 #: src/dialogs/options.c:237 src/dialogs/options.c:316 src/mime/dialogs.c:133
 #: src/protocol/auth/dialogs.c:116 src/protocol/bittorrent/dialogs.c:814
 #: src/scripting/lua/core.c:400 src/scripting/lua/core.c:481
-#: src/session/download.c:607 src/session/download.c:1219
-#: src/viewer/text/search.c:1687
+#: src/session/download.c:633 src/session/download.c:1245
+#: src/viewer/text/search.c:1705
 #, fuzzy
 msgid "~Cancel"
 msgstr "Annuleren"
@@ -199,8 +199,8 @@ msgstr "geblokkeerd"
 msgid "Digital clock in the status bar."
 msgstr ""
 
-#: src/bfu/leds.c:77 src/bfu/leds.c:94 src/config/options.inc:1199
-#: src/config/options.inc:1206 src/ecmascript/ecmascript.c:45
+#: src/bfu/leds.c:77 src/bfu/leds.c:94 src/config/options.inc:1272
+#: src/config/options.inc:1279 src/ecmascript/ecmascript.c:45
 #: src/globhist/globhist.c:64 src/mime/backend/mailcap.c:93
 #: src/mime/backend/mimetypes.c:52 src/network/ssl/ssl.c:81
 #, fuzzy
@@ -218,8 +218,7 @@ msgstr "Bestand upload"
 
 #: src/bfu/leds.c:83
 msgid ""
-"Format string for the digital clock. See the strftime(3)\n"
-"manpage for details."
+"Format string for the digital clock. See the strftime(3) manpage for details."
 msgstr ""
 
 #: src/bfu/leds.c:90
@@ -232,8 +231,7 @@ msgstr ""
 
 #: src/bfu/leds.c:96
 msgid ""
-"Enable LEDs.\n"
-"These visual indicators will inform you about various states."
+"Enable LEDs. These visual indicators will inform you about various states."
 msgstr ""
 
 #. name:
@@ -263,34 +261,34 @@ msgstr ""
 msgid "Search menu/"
 msgstr "Zoeken"
 
-#: src/bookmarks/backend/xbel.c:97
+#: src/bookmarks/backend/xbel.c:105
 #, c-format
 msgid "read_bookmarks_xbel(): Error in XML_ParserCreate()"
 msgstr ""
 
-#: src/bookmarks/backend/xbel.c:108
+#: src/bookmarks/backend/xbel.c:116
 #, c-format
 msgid "read_bookmarks_xbel(): Error reading %s"
 msgstr ""
 
-#: src/bookmarks/backend/xbel.c:116
+#: src/bookmarks/backend/xbel.c:124
 #, c-format
 msgid ""
 "Parse error while processing XBEL bookmarks in %s at line %d column %d:\n"
 "%s"
 msgstr ""
 
-#: src/bookmarks/backend/xbel.c:390 src/bookmarks/backend/xbel.c:411
+#: src/bookmarks/backend/xbel.c:388 src/bookmarks/backend/xbel.c:410
 msgid "No title"
 msgstr ""
 
-#: src/bookmarks/backend/xbel.c:396
+#: src/bookmarks/backend/xbel.c:394
 #, fuzzy
 msgid "No URL"
 msgstr "Ga naar URL"
 
 #. name:
-#: src/bookmarks/bookmarks.c:48 src/bookmarks/bookmarks.c:181
+#: src/bookmarks/bookmarks.c:48 src/bookmarks/bookmarks.c:183
 #, fuzzy
 msgid "Bookmarks"
 msgstr "Bladwijzer~s"
@@ -300,7 +298,7 @@ msgstr "Bladwijzer~s"
 msgid "Bookmark options."
 msgstr "Bladwijzer~s"
 
-#: src/bookmarks/bookmarks.c:53 src/bookmarks/bookmarks.c:59
+#: src/bookmarks/bookmarks.c:53 src/bookmarks/bookmarks.c:60
 #, fuzzy
 msgid "File format"
 msgstr "Bestand upload"
@@ -309,51 +307,47 @@ msgstr "Bestand upload"
 msgid ""
 "File format for bookmarks (affects both reading and saving):\n"
 "0 is the default native ELinks format\n"
-"1 is XBEL universal XML bookmarks format (ELinks bug 153: NO NATIONAL CHARS "
-"SUPPORT!)"
+"1 is XBEL universal XML bookmarks format"
 msgstr ""
 
-#: src/bookmarks/bookmarks.c:61
+#: src/bookmarks/bookmarks.c:62
 msgid ""
 "File format for bookmarks (affects both reading and saving):\n"
 "0 is the default native ELinks format\n"
-"1 is XBEL universal XML bookmarks format (ELinks bug 153: NO NATIONAL CHARS "
-"SUPPORT!)  (DISABLED)"
+"1 is XBEL universal XML bookmarks format  (DISABLED)"
 msgstr ""
 
-#: src/bookmarks/bookmarks.c:67
+#: src/bookmarks/bookmarks.c:68
 #, fuzzy
 msgid "Save folder state"
 msgstr "Voer in link nummer"
 
-#: src/bookmarks/bookmarks.c:69
+#: src/bookmarks/bookmarks.c:70
 msgid ""
-"When saving bookmarks also store whether folders are\n"
-"expanded or not, so the look of the bookmark dialog is\n"
-"kept across ELinks sessions. If disabled all folders will\n"
-"appear unexpanded next time ELinks is run."
+"When saving bookmarks also store whether folders are expanded or not, so the "
+"look of the bookmark dialog is kept across ELinks sessions. If disabled all "
+"folders will appear unexpanded next time ELinks is run."
 msgstr ""
 
-#: src/bookmarks/bookmarks.c:74
+#: src/bookmarks/bookmarks.c:75
 msgid "Periodic snapshotting"
 msgstr ""
 
-#: src/bookmarks/bookmarks.c:76
+#: src/bookmarks/bookmarks.c:77
 msgid ""
-"Automatically save a snapshot of all tabs periodically.\n"
-"This will periodically bookmark the tabs of each terminal in a separate "
-"folder\n"
-"for recovery after a crash.\n"
+"Automatically save a snapshot of all tabs periodically. This will "
+"periodically bookmark the tabs of each terminal in a separate folder for "
+"recovery after a crash.\n"
 "\n"
 "This feature requires bookmark support."
 msgstr ""
 
-#: src/bookmarks/dialogs.c:72 src/config/options.inc:1051
+#: src/bookmarks/dialogs.c:97 src/config/options.inc:1120
 #: src/dialogs/document.c:145 src/globhist/dialogs.c:65
 msgid "Title"
 msgstr ""
 
-#: src/bookmarks/dialogs.c:73 src/cache/dialogs.c:65
+#: src/bookmarks/dialogs.c:101 src/cache/dialogs.c:65
 #: src/dialogs/document.c:136 src/dialogs/edit.c:96 src/formhist/dialogs.c:63
 #: src/globhist/dialogs.c:66 src/protocol/auth/dialogs.c:163
 #: src/scripting/lua/core.c:397
@@ -361,86 +355,86 @@ msgid "URL"
 msgstr "URL"
 
 #. cant_delete_item
-#: src/bookmarks/dialogs.c:117
+#: src/bookmarks/dialogs.c:149
 #, c-format
 msgid "Sorry, but the bookmark \"%s\" cannot be deleted."
 msgstr ""
 
 #. cant_delete_used_item
-#: src/bookmarks/dialogs.c:119
+#: src/bookmarks/dialogs.c:151
 #, c-format
 msgid "Sorry, but the bookmark \"%s\" is being used by something else."
 msgstr ""
 
 #. delete_marked_items_title
-#: src/bookmarks/dialogs.c:125
+#: src/bookmarks/dialogs.c:157
 #, fuzzy
 msgid "Delete marked bookmarks"
 msgstr "Selecteer veld"
 
 #. delete_marked_items
-#: src/bookmarks/dialogs.c:127
+#: src/bookmarks/dialogs.c:159
 #, fuzzy
 msgid "Delete marked bookmarks?"
 msgstr "Selecteer veld"
 
 #. delete_folder
-#: src/bookmarks/dialogs.c:131
+#: src/bookmarks/dialogs.c:163
 #, fuzzy, c-format
 msgid "Delete the folder \"%s\" and all bookmarks in it?"
 msgstr "Verwijder extensie"
 
 #. delete_item_title
-#: src/bookmarks/dialogs.c:133
+#: src/bookmarks/dialogs.c:165
 #, fuzzy
 msgid "Delete bookmark"
 msgstr "Bewerk bladwijzer"
 
-#: src/bookmarks/dialogs.c:135
+#: src/bookmarks/dialogs.c:167
 #, c-format
 msgid "Delete this bookmark?"
 msgstr ""
 
 #. clear_all_items_title
-#: src/bookmarks/dialogs.c:137
+#: src/bookmarks/dialogs.c:169
 #, fuzzy
 msgid "Clear all bookmarks"
 msgstr "Bladwijzer~s"
 
 #. clear_all_items_title
-#: src/bookmarks/dialogs.c:139
+#: src/bookmarks/dialogs.c:171
 #, fuzzy
 msgid "Do you really want to remove all bookmarks?"
 msgstr "Wil je echt Links verlaten?"
 
-#: src/bookmarks/dialogs.c:254
+#: src/bookmarks/dialogs.c:327
 msgid "Add folder"
 msgstr ""
 
-#: src/bookmarks/dialogs.c:254
+#: src/bookmarks/dialogs.c:327
 msgid "Folder name"
 msgstr ""
 
-#: src/bookmarks/dialogs.c:310 src/scripting/lua/core.c:391
+#: src/bookmarks/dialogs.c:410 src/scripting/lua/core.c:391
 msgid "Edit bookmark"
 msgstr "Bewerk bladwijzer"
 
-#: src/bookmarks/dialogs.c:461
+#: src/bookmarks/dialogs.c:567
 msgid "Cannot move folder inside itself"
 msgstr ""
 
-#: src/bookmarks/dialogs.c:462
+#: src/bookmarks/dialogs.c:568
 msgid ""
 "You are trying to move the marked folder inside itself. To move the folder "
 "to a different location select the new location before pressing the Move "
 "button."
 msgstr ""
 
-#: src/bookmarks/dialogs.c:468
+#: src/bookmarks/dialogs.c:574
 msgid "Nothing to move"
 msgstr ""
 
-#: src/bookmarks/dialogs.c:469
+#: src/bookmarks/dialogs.c:575
 msgid ""
 "To move bookmarks, first mark all the bookmarks (or folders) you want to "
 "move.  This can be done with the Insert key if you're using the default key-"
@@ -449,21 +443,21 @@ msgid ""
 msgstr ""
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons, src/cache/dialogs.c:cache_buttons, src/globhist/dialogs.c:globhist_buttons, src/protocol/auth/dialogs.c:auth_buttons)
-#: src/bookmarks/dialogs.c:487 src/cache/dialogs.c:230
+#: src/bookmarks/dialogs.c:593 src/cache/dialogs.c:230
 #: src/globhist/dialogs.c:224 src/protocol/auth/dialogs.c:261
 #, fuzzy
 msgid "~Goto"
 msgstr "Ga naar"
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons, src/config/dialogs.c:option_buttons, src/cookies/dialogs.c:cookie_buttons)
-#: src/bookmarks/dialogs.c:488 src/config/dialogs.c:503
+#: src/bookmarks/dialogs.c:594 src/config/dialogs.c:503
 #: src/cookies/dialogs.c:492
 #, fuzzy
 msgid "~Edit"
 msgstr "Bewerken"
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons, src/cache/dialogs.c:cache_buttons, src/config/dialogs.c:keybinding_buttons, src/config/dialogs.c:option_buttons, src/cookies/dialogs.c:cookie_buttons, src/dialogs/menu.c:ext_menu, src/formhist/dialogs.c:formhist_buttons, src/globhist/dialogs.c:globhist_buttons, src/protocol/auth/dialogs.c:auth_buttons)
-#: src/bookmarks/dialogs.c:489 src/cache/dialogs.c:231
+#: src/bookmarks/dialogs.c:595 src/cache/dialogs.c:231
 #: src/config/dialogs.c:505 src/config/dialogs.c:930 src/cookies/dialogs.c:493
 #: src/dialogs/menu.c:463 src/formhist/dialogs.c:211
 #: src/globhist/dialogs.c:229 src/protocol/auth/dialogs.c:263
@@ -471,28 +465,28 @@ msgid "~Delete"
 msgstr "Verwij~deren"
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons, src/config/dialogs.c:keybinding_buttons, src/config/dialogs.c:option_buttons, src/cookies/dialogs.c:cookie_buttons, src/dialogs/menu.c:ext_menu)
-#: src/bookmarks/dialogs.c:490 src/config/dialogs.c:504
+#: src/bookmarks/dialogs.c:596 src/config/dialogs.c:504
 #: src/config/dialogs.c:929 src/cookies/dialogs.c:490 src/dialogs/menu.c:461
 msgid "~Add"
 msgstr "Toevoegen"
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons)
-#: src/bookmarks/dialogs.c:491
+#: src/bookmarks/dialogs.c:597
 msgid "Add se~parator"
 msgstr ""
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons)
-#: src/bookmarks/dialogs.c:492
+#: src/bookmarks/dialogs.c:598
 msgid "Add ~folder"
 msgstr ""
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons)
-#: src/bookmarks/dialogs.c:493
+#: src/bookmarks/dialogs.c:599
 msgid "~Move"
 msgstr ""
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons, src/cache/dialogs.c:cache_buttons, src/config/dialogs.c:keybinding_buttons, src/config/dialogs.c:option_buttons, src/dialogs/menu.c:view_menu, src/globhist/dialogs.c:globhist_buttons)
-#: src/bookmarks/dialogs.c:494 src/cache/dialogs.c:232
+#: src/bookmarks/dialogs.c:600 src/cache/dialogs.c:232
 #: src/config/dialogs.c:506 src/config/dialogs.c:932 src/dialogs/menu.c:413
 #: src/globhist/dialogs.c:230
 msgid "~Search"
@@ -500,38 +494,52 @@ msgstr "Zoeken"
 
 #. This one is too dangerous, so just let user delete
 #. * the bookmarks file if needed. --Zas
-#: src/bookmarks/dialogs.c:498
+#: src/bookmarks/dialogs.c:604
 msgid "Clear"
 msgstr ""
 
 #. TODO: Would this be useful? --jonas
-#: src/bookmarks/dialogs.c:501 src/globhist/dialogs.c:235
+#: src/bookmarks/dialogs.c:607 src/globhist/dialogs.c:235
 msgid "Save"
 msgstr "Opslaan"
 
-#: src/bookmarks/dialogs.c:507
+#: src/bookmarks/dialogs.c:613
 msgid "Bookmark manager"
 msgstr "Bladwijzer beheer"
 
-#: src/bookmarks/dialogs.c:632
+#: src/bookmarks/dialogs.c:825
 msgid "Search bookmarks"
 msgstr ""
 
-#: src/bookmarks/dialogs.c:661
+#. When the user eventually pushes the OK button, BFU calls
+#. * bookmark_add_add() and gives it the struct dialog * as the
+#. * void * parameter.  However, bookmark_add_add() also needs
+#. * to know the struct terminal *, and there is no way to get
+#. * that from struct dialog.  The other bookmark dialogs work
+#. * around that by making dialog.udata point to the struct
+#. * dialog_data of the bookmark manager, but the "Add bookmark"
+#. * dialog can be triggered with ACT_MAIN_ADD_BOOKMARK, which
+#. * does not involve the bookmark manager at all.
+#. *
+#. * The solution here is to save the struct terminal * in
+#. * dialog.udata2, which the "Edit bookmark" dialog uses for
+#. * struct bookmark *.  When adding a new bookmark, we don't
+#. * need a pointer to an existing one, of course.
+#: src/bookmarks/dialogs.c:892
 msgid "Add bookmark"
 msgstr "Voeg bladwijzer toe"
 
-#: src/bookmarks/dialogs.c:697
+#: src/bookmarks/dialogs.c:950
 #, fuzzy
 msgid "Saved session"
 msgstr "Options op~slaan"
 
-#: src/bookmarks/dialogs.c:705
+#: src/bookmarks/dialogs.c:958
 #, fuzzy
 msgid "Bookmark tabs"
 msgstr "Bladwijzer~s"
 
-#: src/bookmarks/dialogs.c:705
+#: src/bookmarks/dialogs.c:958
 #, fuzzy
 msgid "Enter folder name"
 msgstr "Voer in link nummer"
@@ -545,7 +553,7 @@ msgstr "Ga naar URL"
 msgid "Redirect"
 msgstr ""
 
-#: src/cache/dialogs.c:85 src/config/options.inc:519
+#: src/cache/dialogs.c:85 src/config/options.inc:553
 #: src/dialogs/document.c:156 src/protocol/bittorrent/dialogs.c:126
 msgid "Size"
 msgstr "Grootte"
@@ -592,7 +600,7 @@ msgstr ""
 msgid "ID"
 msgstr ""
 
-#: src/cache/dialogs.c:134 src/config/options.inc:669
+#: src/cache/dialogs.c:134 src/config/options.inc:707
 #, fuzzy
 msgid "Header"
 msgstr "Hoofd info"
@@ -1346,7 +1354,7 @@ msgstr "Host niet gevonden"
 msgid "Resolver error"
 msgstr "Fout bij opslaan"
 
-#: src/config/cmdline.c:256 src/cookies/cookies.c:841 src/network/state.c:47
+#: src/config/cmdline.c:256 src/cookies/cookies.c:843 src/network/state.c:47
 #: src/util/secsave.c:379
 msgid "Out of memory"
 msgstr "Te weinig geheugen"
@@ -1368,290 +1376,291 @@ msgstr ""
 msgid "Remote method not supported"
 msgstr ""
 
-#: src/config/cmdline.c:452
+#: src/config/cmdline.c:437
+msgid "Out of memory formatting option documentation"
+msgstr ""
+
+#: src/config/cmdline.c:474
 msgid "Template option folder"
 msgstr ""
 
-#: src/config/cmdline.c:475
+#: src/config/cmdline.c:497
 #, c-format
 msgid "(default: %ld)"
 msgstr ""
 
-#: src/config/cmdline.c:482 src/config/cmdline.c:511
+#: src/config/cmdline.c:504 src/config/cmdline.c:533
 #, c-format
 msgid "(default: \"%s\")"
 msgstr ""
 
-#: src/config/cmdline.c:487
+#: src/config/cmdline.c:509
 #, c-format
 msgid "(alias for %s)"
 msgstr ""
 
-#: src/config/cmdline.c:492 src/config/cmdline.c:501
+#: src/config/cmdline.c:514 src/config/cmdline.c:523
 #, c-format
 msgid "(default: %s)"
 msgstr ""
 
-#: src/config/cmdline.c:642
+#: src/config/cmdline.c:654
 #, fuzzy
 msgid "Configuration options"
 msgstr "Verbindingen"
 
-#: src/config/cmdline.c:646
+#: src/config/cmdline.c:658
 msgid "Usage: elinks [OPTION]... [URL]..."
 msgstr ""
 
-#: src/config/cmdline.c:647
+#: src/config/cmdline.c:659
 #, fuzzy
 msgid "Options"
 msgstr "Options op~slaan"
 
-#: src/config/cmdline.c:689
+#: src/config/cmdline.c:701
 #, fuzzy
 msgid "Internal consistency error"
 msgstr "Interne fout"
 
 #.
-#: src/config/cmdline.c:725
+#: src/config/cmdline.c:737
 msgid "Restrict to anonymous mode"
 msgstr ""
 
-#: src/config/cmdline.c:727
+#: src/config/cmdline.c:739
 msgid ""
-"Restricts ELinks so it can run on an anonymous account.\n"
-"Local file browsing, downloads, and modification of options\n"
-"will be disabled. Execution of viewers is allowed, but entries\n"
-"in the association table can't be added or modified."
+"Restricts ELinks so it can run on an anonymous account. Local file browsing, "
+"downloads, and modification of options will be disabled. Execution of "
+"viewers is allowed, but entries in the association table can't be added or "
+"modified."
 msgstr ""
 
-#: src/config/cmdline.c:732
+#: src/config/cmdline.c:745
 #, fuzzy
 msgid "Autosubmit first form"
 msgstr "Verzenden formulier"
 
-#: src/config/cmdline.c:734
+#: src/config/cmdline.c:747
 msgid "Automatically submit the first form in the given URLs."
 msgstr ""
 
-#: src/config/cmdline.c:736
+#: src/config/cmdline.c:749
 msgid "Clone internal session with given ID"
 msgstr ""
 
-#: src/config/cmdline.c:738
+#: src/config/cmdline.c:751
 msgid ""
-"Used internally when opening ELinks instances in new windows.\n"
-"The ID maps to information that will be used when creating the\n"
-"new instance. You don't want to use it."
+"Used internally when opening ELinks instances in new windows. The ID maps to "
+"information that will be used when creating the new instance. You don't want "
+"to use it."
 msgstr ""
 
-#: src/config/cmdline.c:744
+#: src/config/cmdline.c:757
 msgid "Name of directory with configuration file"
 msgstr ""
 
-#: src/config/cmdline.c:746
+#: src/config/cmdline.c:759
 msgid ""
-"Path of the directory ELinks will read and write its\n"
-"config and runtime state files to instead of ~/.elinks.\n"
-"If the path does not begin with a '/' it is assumed to be\n"
-"relative to your HOME directory."
+"Path of the directory ELinks will read and write its config and runtime "
+"state files to instead of ~/.elinks. If the path does not begin with a '/' "
+"it is assumed to be relative to your HOME directory."
 msgstr ""
 
-#: src/config/cmdline.c:751
+#: src/config/cmdline.c:764
 msgid "Print default configuration file to stdout"
 msgstr ""
 
-#: src/config/cmdline.c:753
+#: src/config/cmdline.c:766
 msgid ""
-"Print a configuration file with options set to the built-in\n"
-"defaults to stdout."
+"Print a configuration file with options set to the built-in defaults to "
+"stdout."
 msgstr ""
 
-#: src/config/cmdline.c:758
+#: src/config/cmdline.c:771
 msgid "Name of configuration file"
 msgstr ""
 
-#: src/config/cmdline.c:760
+#: src/config/cmdline.c:773
 msgid ""
-"Name of the configuration file that all configuration\n"
-"options will be read from and written to. It should be\n"
-"relative to config-dir."
+"Name of the configuration file that all configuration options will be read "
+"from and written to. It should be relative to config-dir."
 msgstr ""
 
-#: src/config/cmdline.c:764
+#: src/config/cmdline.c:777
 msgid "Print help for configuration options"
 msgstr ""
 
-#: src/config/cmdline.c:766
+#: src/config/cmdline.c:779
 msgid "Print help for configuration options and exit."
 msgstr ""
 
-#: src/config/cmdline.c:768
+#: src/config/cmdline.c:781
 msgid "MIME type assumed for unknown document types"
 msgstr ""
 
-#: src/config/cmdline.c:770
+#: src/config/cmdline.c:783
 msgid "The default MIME type used for documents of unknown type."
 msgstr ""
 
-#: src/config/cmdline.c:772
+#: src/config/cmdline.c:786
 msgid "Ignore user-defined keybindings"
 msgstr ""
 
-#: src/config/cmdline.c:774
+#: src/config/cmdline.c:788
 msgid ""
-"When set, all keybindings from configuration files will be\n"
-"ignored. It forces use of default keybindings and will reset\n"
-"user-defined ones on save."
+"When set, all keybindings from configuration files will be ignored. It "
+"forces use of default keybindings and will reset user-defined ones on save."
 msgstr ""
 
-#: src/config/cmdline.c:778
+#: src/config/cmdline.c:792
 msgid "Print formatted versions of given URLs to stdout"
 msgstr ""
 
-#: src/config/cmdline.c:780
+#: src/config/cmdline.c:794
 msgid "Print formatted plain-text versions of given URLs to stdout."
 msgstr ""
 
-#: src/config/cmdline.c:782
+#: src/config/cmdline.c:797
 msgid "Codepage to use with -dump"
 msgstr ""
 
-#: src/config/cmdline.c:784
+#: src/config/cmdline.c:799
 msgid "Codepage used when formatting dump output."
 msgstr ""
 
-#: src/config/cmdline.c:786
+#: src/config/cmdline.c:801
 msgid "Color mode used with -dump"
 msgstr ""
 
-#: src/config/cmdline.c:788
+#: src/config/cmdline.c:803
 msgid "Color mode used with -dump."
 msgstr ""
 
-#: src/config/cmdline.c:790
+#: src/config/cmdline.c:805
 msgid "Width of document formatted with -dump"
 msgstr ""
 
-#: src/config/cmdline.c:792
+#: src/config/cmdline.c:807
 msgid "Width of the dump output."
 msgstr ""
 
-#: src/config/cmdline.c:794
+#: src/config/cmdline.c:809
 msgid "Evaluate configuration file directive"
 msgstr ""
 
-#: src/config/cmdline.c:796
+#: src/config/cmdline.c:811
 msgid ""
-"Specify configuration file directives on the command-line\n"
-"which will be evaluated after all configuration files has been\n"
-"read. Example usage:\n"
+"Specify configuration file directives on the command-line which will be "
+"evaluated after all configuration files has been read. Example usage:\n"
 "\t-eval 'set protocol.file.allow_special_files = 1'"
 msgstr ""
 
 #. lynx compatibility
-#: src/config/cmdline.c:802
+#: src/config/cmdline.c:817
 msgid "Interpret documents of unknown types as HTML"
 msgstr ""
 
-#: src/config/cmdline.c:804
+#: src/config/cmdline.c:819
 msgid ""
-"Makes ELinks assume documents of unknown types are HTML.\n"
-"Useful when using ELinks as an external viewer from MUAs.\n"
-"This is equivalent to -default-mime-type text/html."
+"Makes ELinks assume documents of unknown types are HTML. Useful when using "
+"ELinks as an external viewer from MUAs. This is equivalent to -default-mime-"
+"type text/html."
 msgstr ""
 
-#: src/config/cmdline.c:814
+#: src/config/cmdline.c:829
 msgid "Print usage help and exit"
 msgstr ""
 
-#: src/config/cmdline.c:816
+#: src/config/cmdline.c:831
 msgid "Print usage help and exit."
 msgstr ""
 
-#: src/config/cmdline.c:818
+#: src/config/cmdline.c:833
 msgid "Only permit local connections"
 msgstr ""
 
-#: src/config/cmdline.c:820
+#: src/config/cmdline.c:835
 msgid ""
-"Restricts ELinks to work offline and only connect to servers\n"
-"with local addresses (ie. 127.0.0.1). No connections to remote\n"
-"servers will be permitted."
+"Restricts ELinks to work offline and only connect to servers with local "
+"addresses (ie. 127.0.0.1). No connections to remote servers will be "
+"permitted."
 msgstr ""
 
-#: src/config/cmdline.c:824
+#: src/config/cmdline.c:839
 msgid "Print detailed usage help and exit"
 msgstr ""
 
-#: src/config/cmdline.c:826
+#: src/config/cmdline.c:841
 msgid "Print detailed usage help and exit."
 msgstr ""
 
-#: src/config/cmdline.c:828
+#: src/config/cmdline.c:843
 #, fuzzy
 msgid "Look up specified host"
 msgstr "Geen programma gespecificieerd voor"
 
-#: src/config/cmdline.c:830
+#: src/config/cmdline.c:845
 msgid "Look up specified host and print all DNS resolved IP addresses."
 msgstr ""
 
-#: src/config/cmdline.c:832
+#: src/config/cmdline.c:848
 msgid "Run as separate instance"
 msgstr ""
 
-#: src/config/cmdline.c:834
+#: src/config/cmdline.c:850
 msgid ""
-"Run ELinks as a separate instance instead of connecting to an\n"
-"existing instance. Note that normally no runtime state files\n"
-"(bookmarks, history, etc.) are written to the disk when this\n"
-"option is used. See also -touch-files."
+"Run ELinks as a separate instance instead of connecting to an existing "
+"instance. Note that normally no runtime state files (bookmarks, history, "
+"etc.) are written to the disk when this option is used. See also -touch-"
+"files."
 msgstr ""
 
-#: src/config/cmdline.c:839
+#: src/config/cmdline.c:855
 msgid "Disable use of files in ~/.elinks"
 msgstr ""
 
-#: src/config/cmdline.c:841
+#: src/config/cmdline.c:857
 msgid ""
-"Disables creation and use of files in the user specific home\n"
-"configuration directory (~/.elinks). It forces default configuration\n"
-"values to be used and disables saving of runtime state files."
+"Disables creation and use of files in the user specific home configuration "
+"directory (~/.elinks). It forces default configuration values to be used and "
+"disables saving of runtime state files."
 msgstr ""
 
-#: src/config/cmdline.c:845
+#: src/config/cmdline.c:862
 msgid "Disable link numbering in dump output"
 msgstr ""
 
-#: src/config/cmdline.c:847
+#: src/config/cmdline.c:864
 msgid ""
 "Prevents printing of link number in dump output.\n"
+"\n"
 "Note that this really affects only -dump, nothing else."
 msgstr ""
 
-#: src/config/cmdline.c:850
+#: src/config/cmdline.c:868
 msgid "Disable printing of link references in dump output"
 msgstr ""
 
-#: src/config/cmdline.c:852
+#: src/config/cmdline.c:870
 msgid ""
-"Prevents printing of references (URIs) of document links\n"
-"in dump output.\n"
+"Prevents printing of references (URIs) of document links in dump output.\n"
+"\n"
 "Note that this really affects only -dump, nothing else."
 msgstr ""
 
-#: src/config/cmdline.c:856
+#: src/config/cmdline.c:875
 msgid "Control an already running ELinks"
 msgstr ""
 
-#: src/config/cmdline.c:858
+#: src/config/cmdline.c:877
 msgid ""
-"Control a remote ELinks instance by passing commands to it.\n"
-"The option takes an additional argument containing the method\n"
-"which should be invoked and any parameters that should be passed\n"
-"to it. For ease of use, the additional method argument can be\n"
-"omitted in which case any URL arguments will be opened in new\n"
-"tabs in the remote instance.\n"
+"Control a remote ELinks instance by passing commands to it. The option takes "
+"an additional argument containing the method which should be invoked and any "
+"parameters that should be passed to it. For ease of use, the additional "
+"method argument can be omitted in which case any URL arguments will be "
+"opened in new tabs in the remote instance.\n"
+"\n"
 "Following is a list of the supported methods:\n"
 "\tping()                    : look for a remote instance\n"
 "\topenURL()                 : prompt URL in current tab\n"
@@ -1663,70 +1672,69 @@ msgid ""
 "\txfeDoCommand(openBrowser) : open new window"
 msgstr ""
 
-#: src/config/cmdline.c:874
+#: src/config/cmdline.c:895
 msgid "Connect to session ring with given ID"
 msgstr ""
 
-#: src/config/cmdline.c:876
+#: src/config/cmdline.c:897
 msgid ""
-"ID of session ring this ELinks session should connect to. ELinks\n"
-"works in so-called session rings, whereby all instances of ELinks\n"
-"are interconnected and share state (cache, bookmarks, cookies,\n"
-"and so on). By default, all ELinks instances connect to session\n"
-"ring 0. You can change that behaviour with this switch and form as\n"
-"many session rings as you want. Obviously, if the session-ring with\n"
-"this number doesn't exist yet, it's created and this ELinks instance\n"
-"will become the master instance (that usually doesn't matter for you\n"
-"as a user much). Note that you usually don't want to use this unless\n"
-"you're a developer and you want to do some testing - if you want the\n"
-"ELinks instances each running standalone, rather use the -no-connect\n"
-"command-line option. Also note that normally no runtime state files\n"
-"are written to the disk when this option is used. See also\n"
-"-touch-files."
+"ID of session ring this ELinks session should connect to. ELinks works in so-"
+"called session rings, whereby all instances of ELinks are interconnected and "
+"share state (cache, bookmarks, cookies, and so on). By default, all ELinks "
+"instances connect to session ring 0. You can change that behaviour with this "
+"switch and form as many session rings as you want. Obviously, if the session-"
+"ring with this number doesn't exist yet, it's created and this ELinks "
+"instance will become the master instance (that usually doesn't matter for "
+"you as a user much).\n"
+"\n"
+"Note that you usually don't want to use this unless you're a developer and "
+"you want to do some testing - if you want the ELinks instances each running "
+"standalone, rather use the -no-connect command-line option. Also note that "
+"normally no runtime state files are written to the disk when this option is "
+"used. See also -touch-files."
 msgstr ""
 
-#: src/config/cmdline.c:891
+#: src/config/cmdline.c:915
 msgid "Print the source of given URLs to stdout"
 msgstr ""
 
-#: src/config/cmdline.c:893
+#: src/config/cmdline.c:917
 msgid "Print given URLs in source form to stdout."
 msgstr ""
 
-#: src/config/cmdline.c:897
+#: src/config/cmdline.c:921
 msgid "Touch files in ~/.elinks when running with -no-connect/-session-ring"
 msgstr ""
 
-#: src/config/cmdline.c:899
+#: src/config/cmdline.c:923
 msgid ""
-"When enabled, runtime state files (bookmarks, history, etc.) are\n"
-"written to disk, even when -no-connect or -session-ring is used.\n"
-"The option has no effect if not used in conjunction with any of\n"
-"these options."
+"When enabled, runtime state files (bookmarks, history, etc.) are written to "
+"disk, even when -no-connect or -session-ring is used. The option has no "
+"effect if not used in conjunction with any of these options."
 msgstr ""
 
-#: src/config/cmdline.c:904
+#: src/config/cmdline.c:928
 msgid "Verbose level"
 msgstr ""
 
-#: src/config/cmdline.c:906
+#: src/config/cmdline.c:930
 msgid ""
-"The verbose level controls what messages are shown at\n"
-"start up and while running:\n"
+"The verbose level controls what messages are shown at start up and while "
+"running:\n"
 "\t0 means only show serious errors\n"
 "\t1 means show serious errors and warnings\n"
 "\t2 means show all messages"
 msgstr ""
 
-#: src/config/cmdline.c:912
+#: src/config/cmdline.c:936
 msgid "Print version information and exit"
 msgstr ""
 
-#: src/config/cmdline.c:914
+#: src/config/cmdline.c:938
 msgid "Print ELinks version information and exit."
 msgstr ""
 
-#: src/config/conf.c:938
+#: src/config/conf.c:963
 msgid ""
 "## This is ELinks configuration file. You can edit it manually,\n"
 "## if you wish so; this file is edited by ELinks when you save\n"
@@ -1734,7 +1742,7 @@ msgid ""
 "## and all your formatting, own comments etc will be kept as-is.\n"
 msgstr ""
 
-#: src/config/conf.c:946
+#: src/config/conf.c:971
 msgid ""
 "## This is ELinks configuration file. You can edit it manually,\n"
 "## if you wish so; this file is edited by ELinks when you save\n"
@@ -1745,7 +1753,7 @@ msgid ""
 "## own comments and so on will be kept as-is.\n"
 msgstr ""
 
-#: src/config/conf.c:956
+#: src/config/conf.c:981
 msgid ""
 "## This is ELinks configuration file. You can edit it manually,\n"
 "## if you wish so, but keep in mind that this file is overwritten\n"
@@ -1753,18 +1761,18 @@ msgid ""
 "## luck with your formatting and own comments then, so beware.\n"
 msgstr ""
 
-#: src/config/conf.c:967
+#: src/config/conf.c:992
 msgid ""
 "## Obviously, if you don't like what ELinks is going to do with\n"
 "## this file, you can change it by altering the config.saving_style\n"
 "## option. Come on, aren't we friendly guys after all?\n"
 msgstr ""
 
-#: src/config/conf.c:980
+#: src/config/conf.c:1005
 msgid "Automatically saved options\n"
 msgstr ""
 
-#: src/config/conf.c:992
+#: src/config/conf.c:1017
 msgid "Automatically saved keybindings\n"
 msgstr ""
 
@@ -1825,7 +1833,7 @@ msgstr ""
 #. * switch charsets.  So, it will work in any terminal that
 #. * understands UTF-8 and has the characters in its font.
 #: src/config/dialogs.c:149 src/config/dialogs.c:330
-#: src/config/options.inc:840
+#: src/config/options.inc:887
 msgid "Type"
 msgstr ""
 
@@ -1851,9 +1859,9 @@ msgid "Description"
 msgstr ""
 
 #: src/config/dialogs.c:291 src/protocol/bittorrent/dialogs.c:600
-#: src/protocol/protocol.c:240 src/session/session.c:287
-#: src/session/session.c:975 src/viewer/text/textarea.c:594
-#: src/viewer/text/textarea.c:601
+#: src/protocol/protocol.c:240 src/session/session.c:288
+#: src/session/session.c:999 src/viewer/text/textarea.c:583
+#: src/viewer/text/textarea.c:590
 msgid "Error"
 msgstr "Fout"
 
@@ -1888,7 +1896,7 @@ msgstr ""
 #. accelerator_context(src/config/dialogs.c:keybinding_buttons, src/config/dialogs.c:option_buttons, src/cookies/dialogs.c:cookie_buttons, src/formhist/dialogs.c:formhist_buttons, src/protocol/bittorrent/dialogs.c:bittorrent_query_callback, src/session/download.c:do_type_query, terminal_options)
 #: src/config/dialogs.c:507 src/config/dialogs.c:933 src/cookies/dialogs.c:495
 #: src/dialogs/options.c:236 src/formhist/dialogs.c:214
-#: src/protocol/bittorrent/dialogs.c:801 src/session/download.c:1203
+#: src/protocol/bittorrent/dialogs.c:801 src/session/download.c:1229
 #, fuzzy
 msgid "Sa~ve"
 msgstr "Opslaan"
@@ -1902,7 +1910,7 @@ msgstr "Bladwijzer beheer"
 msgid "Keystroke"
 msgstr ""
 
-#: src/config/dialogs.c:676 src/config/options.inc:1219
+#: src/config/dialogs.c:676 src/config/options.inc:1292
 msgid "Action"
 msgstr ""
 
@@ -1974,32 +1982,32 @@ msgid ""
 "directory."
 msgstr ""
 
-#: src/config/kbdbind.c:221
+#: src/config/kbdbind.c:222
 msgid "Main mapping"
 msgstr ""
 
-#: src/config/kbdbind.c:222
+#: src/config/kbdbind.c:223
 msgid "Edit mapping"
 msgstr ""
 
-#: src/config/kbdbind.c:223
+#: src/config/kbdbind.c:224
 msgid "Menu mapping"
 msgstr ""
 
-#: src/config/kbdbind.c:588 src/scripting/python/keybinding.c:104
+#: src/config/kbdbind.c:589 src/scripting/python/keybinding.c:104
 msgid "Unrecognised keymap"
 msgstr ""
 
-#: src/config/kbdbind.c:591
+#: src/config/kbdbind.c:592
 #, fuzzy
 msgid "Error parsing keystroke"
 msgstr "Schrijven naar socket mislukt"
 
-#: src/config/kbdbind.c:595
+#: src/config/kbdbind.c:596
 msgid "Unrecognised action (internal error)"
 msgstr ""
 
-#: src/config/kbdbind.c:611
+#: src/config/kbdbind.c:612
 #, fuzzy
 msgid "Error registering event"
 msgstr "Schrijven naar socket mislukt"
@@ -2027,333 +2035,328 @@ msgid ""
 "3 is full comments are written"
 msgstr ""
 
-#: src/config/options.inc:31
+#: src/config/options.inc:32
 #, fuzzy
 msgid "Indentation"
 msgstr "SSL onderhandeling"
 
-#: src/config/options.inc:33
+#: src/config/options.inc:34
 msgid ""
-"Shift width of one indentation level in the configuration\n"
-"file. Zero means that no indentation is performed at all\n"
-"when saving the configuration."
+"Shift width of one indentation level in the configuration file. Zero means "
+"that no indentation is performed at all when saving the configuration."
 msgstr ""
 
-#: src/config/options.inc:37
+#: src/config/options.inc:38
 msgid "Saving style"
 msgstr ""
 
-#: src/config/options.inc:39
+#: src/config/options.inc:40
 msgid ""
 "Determines what happens when you tell ELinks to save options:\n"
 "0 is only values of current options are altered\n"
-"1 is values of current options are altered and missing options\n"
-"     are added at the end of the file\n"
+"1 is values of current options are altered and missing\n"
+"     options are added at the end of the file\n"
 "2 is the configuration file is rewritten from scratch\n"
-"3 is values of current options are altered and missing options\n"
-"     CHANGED during this ELinks session are added at the end of\n"
-"     the file"
+"3 is values of current options are altered and missing\n"
+"     options CHANGED during this ELinks session are added at\n"
+"     the end of the file"
 msgstr ""
 
-#: src/config/options.inc:48
+#: src/config/options.inc:50
 msgid "Comments localization"
 msgstr ""
 
-#: src/config/options.inc:50
+#: src/config/options.inc:52
 msgid ""
-"If set to 1, comments in the configuration file will be\n"
-"translated to the language used by UI. Note that if you have\n"
-"different language set in different terminals, the language\n"
-"used in the configuration file MAY be the same as on the\n"
-"terminal where you saved the file, but it should be generally\n"
+"If set to 1, comments in the configuration file will be translated to the "
+"language used by UI. Note that if you have different language set in "
+"different terminals, the language used in the configuration file MAY be the "
+"same as on the terminal where you saved the file, but it should be generally "
 "considered unpredictable."
 msgstr ""
 
-#: src/config/options.inc:58
+#: src/config/options.inc:60
 msgid "Saving style warnings"
 msgstr ""
 
-#: src/config/options.inc:60
+#: src/config/options.inc:62
 msgid ""
-"This is internal option used when displaying a warning about\n"
-"obsolete config.saving_style. You shouldn't touch it."
+"This is internal option used when displaying a warning about obsolete config."
+"saving_style. You shouldn't touch it."
 msgstr ""
 
-#: src/config/options.inc:63
+#: src/config/options.inc:66
 msgid "Show template"
 msgstr ""
 
-#: src/config/options.inc:65
+#: src/config/options.inc:68
 msgid ""
-"Show template options in autocreated trees in the options\n"
-"manager and save them to the configuration file."
+"Show template options in autocreated trees in the options manager and save "
+"them to the configuration file."
 msgstr ""
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:71 src/dialogs/info.c:180
+#: src/config/options.inc:74 src/dialogs/info.c:180
 msgid "Connections"
 msgstr "Verbindingen"
 
-#: src/config/options.inc:73
+#: src/config/options.inc:76
 #, fuzzy
 msgid "Connection options."
 msgstr "Verbindingen"
 
-#: src/config/options.inc:76
+#: src/config/options.inc:79
 msgid "Asynchronous DNS"
 msgstr ""
 
-#: src/config/options.inc:78
+#: src/config/options.inc:81
 msgid "Whether to use asynchronous DNS resolving."
 msgstr ""
 
-#: src/config/options.inc:80
+#: src/config/options.inc:83
 #, fuzzy
 msgid "Maximum connections"
 msgstr "Verbinding maken"
 
-#: src/config/options.inc:82
+#: src/config/options.inc:85
 msgid "Maximum number of concurrent connections."
 msgstr ""
 
-#: src/config/options.inc:84
+#: src/config/options.inc:87
 #, fuzzy
 msgid "Maximum connections per host"
 msgstr "Verbinding maken"
 
-#: src/config/options.inc:86
+#: src/config/options.inc:89
 msgid "Maximum number of concurrent connections to a given host."
 msgstr ""
 
-#: src/config/options.inc:88
+#: src/config/options.inc:92
 #, fuzzy
 msgid "Connection retries"
 msgstr "Verbindingen"
 
-#: src/config/options.inc:90
-msgid ""
-"Number of tries to establish a connection.\n"
-"Zero means try forever."
+#: src/config/options.inc:94
+msgid "Number of tries to establish a connection. Zero means try forever."
 msgstr ""
 
-#: src/config/options.inc:93 src/network/state.c:53
+#: src/config/options.inc:97 src/network/state.c:53
 msgid "Receive timeout"
 msgstr "Onvangst buiten tijd"
 
-#: src/config/options.inc:95
+#: src/config/options.inc:99
 #, fuzzy
 msgid "Receive timeout (in seconds)."
 msgstr "Onvangst buiten tijd"
 
-#: src/config/options.inc:98 src/config/options.inc:108
+#: src/config/options.inc:102 src/config/options.inc:113
 msgid "Try IPv4 when connecting"
 msgstr ""
 
-#: src/config/options.inc:100
+#: src/config/options.inc:104
 msgid ""
-"Whether to try to connect to a host over IPv4.\n"
-"Note that if connection.try_ipv6 is enabled too,\n"
-"it takes precedence. And better do not touch this\n"
+"Whether to try to connect to a host over IPv4. Note that if connection."
+"try_ipv6 is enabled too, it takes precedence. And better do not touch this "
 "at all unless you are sure what are you doing.\n"
-"Note that you can also force a given protocol\n"
-"to be used on a per-connection basis by using a URL\n"
-"in the style of e.g. http4://elinks.cz/."
+"\n"
+"Note that you can also force a given protocol to be used on a per-connection "
+"basis by using a URL in the style of e.g. http4://elinks.cz/."
 msgstr ""
 
-#: src/config/options.inc:110
+#: src/config/options.inc:115
 msgid ""
-"Whether to try to connect to a host over IPv4.\n"
-"Do not touch this option.\n"
-"Note that you can also force a given protocol\n"
-"to be used on a per-connection basis by using a URL\n"
-"in the style of e.g. http4://elinks.cz/."
+"Whether to try to connect to a host over IPv4. Do not touch this option.\n"
+"\n"
+"Note that you can also force a given protocol to be used on a per-connection "
+"basis by using a URL in the style of e.g. http4://elinks.cz/."
 msgstr ""
 
-#: src/config/options.inc:118
+#: src/config/options.inc:124
 msgid "Try IPv6 when connecting"
 msgstr ""
 
-#: src/config/options.inc:120
+#: src/config/options.inc:126
 msgid ""
 "Whether to try to connect to a host over IPv6.\n"
-"Note that you can also force a given protocol\n"
-"to be used on a per-connection basis by using a URL\n"
-"in the style of e.g. http6://elinks.cz/."
+"\n"
+"Note that you can also force a given protocol to be used on a per-connection "
+"basis by using a URL in the style of e.g. http6://elinks.cz/."
 msgstr ""
 
-#: src/config/options.inc:126
+#: src/config/options.inc:133
 msgid "Timeout for non-restartable connections"
 msgstr ""
 
-#: src/config/options.inc:128
+#: src/config/options.inc:135
 msgid "Timeout for non-restartable connections (in seconds)."
 msgstr ""
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:134
+#: src/config/options.inc:141
 #, fuzzy
 msgid "Document"
 msgstr "documenten"
 
-#: src/config/options.inc:136
+#: src/config/options.inc:143
 #, fuzzy
 msgid "Document options."
 msgstr "Document ~info"
 
-#: src/config/options.inc:138
+#: src/config/options.inc:145
 msgid "Browsing"
 msgstr ""
 
-#: src/config/options.inc:140
+#: src/config/options.inc:147
 msgid "Document browsing options (mainly interactivity)."
 msgstr ""
 
-#: src/config/options.inc:143
+#: src/config/options.inc:150
 msgid "Access keys"
 msgstr ""
 
-#: src/config/options.inc:145
+#: src/config/options.inc:152
 msgid ""
-"Options for handling of link access keys.\n"
-"An HTML document can use the ACCESSKEY attribute to assign\n"
-"an access key to an element. When an access key is pressed,\n"
-"the corresponding element will be given focus."
+"Options for handling of link access keys. An HTML document can use the "
+"ACCESSKEY attribute to assign an access key to an element. When an access "
+"key is pressed, the corresponding element will be given focus."
 msgstr ""
 
-#: src/config/options.inc:150
+#: src/config/options.inc:157
 msgid "Automatic links following"
 msgstr ""
 
-#: src/config/options.inc:152
+#: src/config/options.inc:159
 msgid ""
-"Automatically follow a link or submit a form if appropriate\n"
-"accesskey is pressed - this is the standard behaviour, but it's\n"
-"considered dangerous."
+"Automatically follow a link or submit a form if appropriate accesskey is "
+"pressed - this is the standard behaviour, but it's considered dangerous."
 msgstr ""
 
-#: src/config/options.inc:156
+#: src/config/options.inc:163
 msgid "Display access key in link info"
 msgstr ""
 
-#: src/config/options.inc:158
+#: src/config/options.inc:165
 msgid "Display access key in link info."
 msgstr ""
 
-#: src/config/options.inc:160
+#: src/config/options.inc:167
 msgid "Accesskey priority"
 msgstr ""
 
-#: src/config/options.inc:162
+#: src/config/options.inc:169
 msgid ""
 "Priority of 'accesskey' HTML attribute:\n"
-"0 is first try all normal bindings; if it fails, check accesskey\n"
-"1 is first try only frame bindings; if it fails, check accesskey\n"
+"0 is first try all normal bindings; if it fails,\n"
+"     check accesskey\n"
+"1 is first try only frame bindings; if it fails,\n"
+"     check accesskey\n"
 "2 is first check accesskey (this can be dangerous)"
 msgstr ""
 
-#: src/config/options.inc:168
+#: src/config/options.inc:177
 msgid "Forms"
 msgstr ""
 
-#: src/config/options.inc:170
+#: src/config/options.inc:179
 msgid "Options for handling of the forms interaction."
 msgstr ""
 
-#: src/config/options.inc:172
+#: src/config/options.inc:181
 #, fuzzy
 msgid "Submit form automatically"
 msgstr "Aanbieden formulier aan"
 
-#: src/config/options.inc:174
+#: src/config/options.inc:183
 msgid ""
-"Automagically submit a form when enter is pressed with a text\n"
-"field selected."
+"Automagically submit a form when enter is pressed with a text field selected."
 msgstr ""
 
-#: src/config/options.inc:177
+#: src/config/options.inc:186
 msgid "Confirm submission"
 msgstr ""
 
-#: src/config/options.inc:179
+#: src/config/options.inc:188
 msgid "Ask for confirmation when submitting a form."
 msgstr ""
 
-#: src/config/options.inc:181
+#: src/config/options.inc:190
 msgid "Default form input size"
 msgstr ""
 
-#: src/config/options.inc:183
+#: src/config/options.inc:192
 msgid "Default form input size if none is specified."
 msgstr ""
 
-#: src/config/options.inc:185
+#: src/config/options.inc:194
 msgid "Insert mode"
 msgstr ""
 
-#: src/config/options.inc:187
+#: src/config/options.inc:196
 msgid ""
-"The setting for this option affects how key presses are handled\n"
-"when one selects a text-input form-field. When enabled, one must\n"
-"explicitly 'enter' a selected text-field to edit it; this prevents\n"
-"text fields from capturing key presses, such as presses of a scroll\n"
-"key, when it is inadvertently selected. When disabled, key presses\n"
-"are always inserted into a selected text field."
+"The setting for this option affects how key presses are handled when one "
+"selects a text-input form-field. When enabled, one must explicitly 'enter' a "
+"selected text-field to edit it; this prevents text fields from capturing key "
+"presses, such as presses of a scroll key, when it is inadvertently selected. "
+"When disabled, key presses are always inserted into a selected text field."
 msgstr ""
 
-#: src/config/options.inc:194
+#: src/config/options.inc:204
 #, fuzzy
 msgid "External editor"
 msgstr "Interne fout"
 
-#: src/config/options.inc:196
+#: src/config/options.inc:206
 msgid ""
-"Path to the executable that ELinks should launch when the user\n"
-"requests to edit a textarea with an external editor.\n"
-"If this is blank, ELinks will use the value of the environmental\n"
-"variable $EDITOR. If $EDITOR is empty or not set, ELinks will then\n"
-"default to \"vi\"."
+"Path to the executable that ELinks should launch when the user requests to "
+"edit a textarea with an external editor.\n"
+"\n"
+"If this is blank, ELinks will use the value of the environmental variable "
+"$EDITOR. If $EDITOR is empty or not set, ELinks will then default to \"vi\"."
 msgstr ""
 
-#: src/config/options.inc:203
+#: src/config/options.inc:214
 #, fuzzy
 msgid "Images"
 msgstr "Afbeelding"
 
-#: src/config/options.inc:205
+#: src/config/options.inc:216
 msgid "Options for handling of images."
 msgstr ""
 
-#: src/config/options.inc:207
+#: src/config/options.inc:218
 #, fuzzy
 msgid "Display style for image tags"
 msgstr "Weergeven"
 
-#: src/config/options.inc:209
+#: src/config/options.inc:220
 msgid ""
 "Display style for image tags when displayed:\n"
 "0     means always display IMG\n"
 "1     means always display filename\n"
-"2     means display alt/title attribute if possible, IMG if not\n"
-"3     means display alt/title attribute if possible, filename if not"
+"2     means display alt/title attribute if possible,\n"
+"      IMG if not\n"
+"3     means display alt/title attribute if possible,\n"
+"      filename if not"
 msgstr ""
 
-#: src/config/options.inc:215
+#: src/config/options.inc:228
 msgid "Maximum length for image filename"
 msgstr ""
 
-#: src/config/options.inc:217
+#: src/config/options.inc:230
 msgid ""
 "Maximum length of image filename when displayed:\n"
 "0     means always display full filename\n"
 "1-500 means display filename with this maximal length;\n"
-"      if it is longer, the middle is substituted by an asterisk"
+"      if it is longer, the middle is substituted by\n"
+"      an asterisk"
 msgstr ""
 
-#: src/config/options.inc:227
+#: src/config/options.inc:241
 msgid "Image links tagging"
 msgstr ""
 
-#: src/config/options.inc:229
+#: src/config/options.inc:243
 msgid ""
 "When to enclose image links:\n"
 "0 means never\n"
@@ -2361,92 +2364,92 @@ msgid ""
 "2 means always"
 msgstr ""
 
-#: src/config/options.inc:234
+#: src/config/options.inc:248
 msgid "Image link prefix"
 msgstr ""
 
-#: src/config/options.inc:236
+#: src/config/options.inc:250
 msgid "Prefix string to use to mark image links."
 msgstr ""
 
-#: src/config/options.inc:238
+#: src/config/options.inc:252
 msgid "Image link suffix"
 msgstr ""
 
-#: src/config/options.inc:240
+#: src/config/options.inc:254
 msgid "Suffix string to use to mark image links."
 msgstr ""
 
-#: src/config/options.inc:242
+#: src/config/options.inc:256
 msgid "Maximum length for image label"
 msgstr ""
 
-#: src/config/options.inc:244
+#: src/config/options.inc:258
 msgid ""
 "Maximum length of image label (alt/title):\n"
 "0     means always display full label\n"
 "1-500 means display label with this maximal length;\n"
-"      if it is longer, the middle is substituted by an asterisk"
+"      if it is longer, the middle is substituted by\n"
+"      an asterisk"
 msgstr ""
 
-#: src/config/options.inc:249
+#: src/config/options.inc:264
 msgid "Display links to images w/o alt"
 msgstr ""
 
-#: src/config/options.inc:251
+#: src/config/options.inc:266
 msgid ""
-"Display links to images without an alt attribute. If this option\n"
-"is off, these images are completely invisible."
+"Display links to images without an alt attribute. If this option is off, "
+"these images are completely invisible."
 msgstr ""
 
-#: src/config/options.inc:254
+#: src/config/options.inc:269
 #, fuzzy
 msgid "Display links to images"
 msgstr "Weergeven"
 
-#: src/config/options.inc:256
+#: src/config/options.inc:271
 msgid ""
-"Display links to any images in the document, regardless of them\n"
-"having an alt attribute or not. If this option is off, the alt\n"
-"attribute contents is shown, but as normal text, not selectable\n"
-"as a link."
+"Display links to any images in the document, regardless of them having an "
+"alt attribute or not. If this option is off, the alt attribute contents is "
+"shown, but as normal text, not selectable as a link."
 msgstr ""
 
-#: src/config/options.inc:262
+#: src/config/options.inc:277
 #, fuzzy
 msgid "Links"
 msgstr "~Link"
 
-#: src/config/options.inc:264
+#: src/config/options.inc:279
 msgid "Options for handling of links to other documents."
 msgstr ""
 
-#: src/config/options.inc:266
+#: src/config/options.inc:281
 msgid "Active link"
 msgstr ""
 
-#: src/config/options.inc:268
+#: src/config/options.inc:283
 msgid "Options for the active link."
 msgstr ""
 
-#: src/config/options.inc:270
+#: src/config/options.inc:285
 #, fuzzy
 msgid "Colors"
 msgstr "Kleur"
 
-#: src/config/options.inc:272
+#: src/config/options.inc:287
 #, fuzzy
 msgid "Active link colors."
 msgstr "Doden van achtergrond verbindingen"
 
-#: src/config/options.inc:274 src/config/options.inc:549
-#: src/config/options.inc:945
+#: src/config/options.inc:289 src/config/options.inc:583
+#: src/config/options.inc:1014
 #, fuzzy
 msgid "Background color"
 msgstr "Achtergrond"
 
-#: src/config/options.inc:276 src/config/options.inc:551
-#: src/config/options.inc:946
+#: src/config/options.inc:291 src/config/options.inc:585
+#: src/config/options.inc:1015
 #, fuzzy
 msgid "Default background color."
 msgstr "Doden van achtergrond verbindingen"
@@ -2459,75 +2462,75 @@ msgstr "Doden van achtergrond verbinding
 #. *	on it.
 #. The colors and mono tree should be similar but with different default
 #. * values of course so always use the macros below.
-#: src/config/options.inc:278 src/config/options.inc:545
-#: src/config/options.inc:943
+#: src/config/options.inc:293 src/config/options.inc:579
+#: src/config/options.inc:1012
 #, fuzzy
 msgid "Text color"
 msgstr "Tekstgebied"
 
-#: src/config/options.inc:280 src/config/options.inc:547
-#: src/config/options.inc:944
+#: src/config/options.inc:295 src/config/options.inc:581
+#: src/config/options.inc:1013
 msgid "Default text color."
 msgstr ""
 
-#: src/config/options.inc:282
+#: src/config/options.inc:297
 #, fuzzy
 msgid "Enable color"
 msgstr "naam"
 
-#: src/config/options.inc:284
+#: src/config/options.inc:299
 msgid ""
-"Enable use of the active link background and text color\n"
-"settings instead of the link colors from the document."
+"Enable use of the active link background and text color settings instead of "
+"the link colors from the document."
 msgstr ""
 
-#: src/config/options.inc:287
+#: src/config/options.inc:302
 msgid "Bold"
 msgstr ""
 
-#: src/config/options.inc:289
+#: src/config/options.inc:304
 msgid "Make the active link text bold."
 msgstr ""
 
-#: src/config/options.inc:291
+#: src/config/options.inc:306
 #, fuzzy
 msgid "Invert colors"
 msgstr "Tekstgebied"
 
-#: src/config/options.inc:293
+#: src/config/options.inc:308
 msgid "Invert the fore- and background color so the link stands out."
 msgstr ""
 
-#: src/config/options.inc:296 src/config/options.inc:908
+#: src/config/options.inc:311 src/config/options.inc:975
 #: src/dialogs/options.c:231
 msgid "Underline"
 msgstr ""
 
-#: src/config/options.inc:298
+#: src/config/options.inc:313
 msgid "Underline the active link."
 msgstr ""
 
-#: src/config/options.inc:301
+#: src/config/options.inc:316
 msgid "Directory highlighting"
 msgstr ""
 
-#: src/config/options.inc:303
+#: src/config/options.inc:318
 msgid "Highlight links to directories in FTP and local directory listing."
 msgstr ""
 
-#: src/config/options.inc:305
+#: src/config/options.inc:321
 msgid "Number links"
 msgstr ""
 
-#: src/config/options.inc:307
+#: src/config/options.inc:323
 msgid "Display numbers next to the links."
 msgstr ""
 
-#: src/config/options.inc:309
+#: src/config/options.inc:325
 msgid "Handling of target=_blank"
 msgstr ""
 
-#: src/config/options.inc:311
+#: src/config/options.inc:327
 msgid ""
 "Define how to handle links having target=_blank set:\n"
 "0 means open link in current tab\n"
@@ -2536,139 +2539,136 @@ msgid ""
 "3 means open link in new window"
 msgstr ""
 
-#: src/config/options.inc:324
+#: src/config/options.inc:340
 msgid "Use tabindex"
 msgstr ""
 
-#: src/config/options.inc:326
+#: src/config/options.inc:342
 msgid ""
-"Whether to navigate links using tabindex specified ordering.\n"
-"The TABINDEX attribute in HTML elements specifies the order\n"
-"in which links should receive focus when using the keyboard\n"
-"to navigate the document."
+"Whether to navigate links using tabindex specified ordering. The TABINDEX "
+"attribute in HTML elements specifies the order in which links should receive "
+"focus when using the keyboard to navigate the document."
 msgstr ""
 
-#: src/config/options.inc:331
+#: src/config/options.inc:347
 #, fuzzy
 msgid "Missing fragment reporting"
 msgstr "Geen frames"
 
-#: src/config/options.inc:333
+#: src/config/options.inc:349
 msgid "Open a message box when document has no tag with given id."
 msgstr ""
 
-#: src/config/options.inc:335
+#: src/config/options.inc:352
 msgid "Number keys select links"
 msgstr ""
 
-#: src/config/options.inc:337
+#: src/config/options.inc:354
 msgid ""
-"Number keys select links rather than specify command prefixes. This\n"
-"is a tristate:\n"
+"Number keys select links rather than specify command prefixes. This is a "
+"tristate:\n"
 "0 means never\n"
 "1 means if document.browse.links.numbering = 1\n"
 "2 means always"
 msgstr ""
 
-#: src/config/options.inc:343
+#: src/config/options.inc:360
 msgid "Warn about maliciously crafted URIs"
 msgstr ""
 
-#: src/config/options.inc:345
+#: src/config/options.inc:362
 msgid ""
-"When following a link the user ID part of the URI is\n"
-"checked and if a maliciously crafted URI is detected a\n"
-"warning dialog will ask before following the link."
+"When following a link the user ID part of the URI is checked and if a "
+"maliciously crafted URI is detected a warning dialog will ask before "
+"following the link."
 msgstr ""
 
 #. TODO - this is somehow implemented by ff, but disabled
 #. * for now as it doesn't work.
-#: src/config/options.inc:351
+#: src/config/options.inc:368
 msgid "Wrap-around links cycling"
 msgstr ""
 
 #. 0
-#: src/config/options.inc:353
+#: src/config/options.inc:370
 msgid ""
-"When pressing 'down' on the last link, jump to the first one, and\n"
-"vice versa."
+"When pressing 'down' on the last link, jump to the first one, and vice versa."
 msgstr ""
 
-#: src/config/options.inc:357
+#: src/config/options.inc:374
 msgid "Scrolling"
 msgstr ""
 
-#: src/config/options.inc:359
+#: src/config/options.inc:376
 #, fuzzy
 msgid "Scrolling options."
 msgstr "Terminal opties"
 
-#: src/config/options.inc:361
+#: src/config/options.inc:378
 msgid "Horizontal step"
 msgstr ""
 
-#: src/config/options.inc:363
+#: src/config/options.inc:380
 msgid ""
-"Number of columns to scroll when a key bound to scroll-left or scroll-\n"
-"right is pressed and no prefix was given."
+"Number of columns to scroll when a key bound to scroll-left or scroll-right "
+"is pressed and no prefix was given."
 msgstr ""
 
-#: src/config/options.inc:366
+#: src/config/options.inc:384
 msgid "Extended horizontal scrolling"
 msgstr ""
 
-#: src/config/options.inc:368
+#: src/config/options.inc:386
 msgid ""
-"Whether to allow horizontal scrolling when the document\n"
-"does not extend off the screen. Useful for copy/paste\n"
-"operations."
+"Whether to allow horizontal scrolling when the document does not extend off "
+"the screen. Useful for copy/paste operations."
 msgstr ""
 
-#: src/config/options.inc:372
+#: src/config/options.inc:390
 #, fuzzy
 msgid "Margin"
 msgstr "Waarschuwing"
 
-#: src/config/options.inc:374
+#: src/config/options.inc:392
 msgid ""
-"Size of the virtual margin - when you click inside of that margin,\n"
-"document scrolls in that direction."
+"Size of the virtual margin - when you click inside of that margin, document "
+"scrolls in that direction."
 msgstr ""
 
-#: src/config/options.inc:377
+#: src/config/options.inc:395
 msgid "Vertical step"
 msgstr ""
 
-#: src/config/options.inc:379
+#: src/config/options.inc:397
 msgid ""
-"Number of lines to scroll when a key bound to scroll-up or scroll-\n"
-"down is pressed and no prefix was given."
+"Number of lines to scroll when a key bound to scroll-up or scroll-down is "
+"pressed and no prefix was given."
 msgstr ""
 
-#: src/config/options.inc:383
+#: src/config/options.inc:401
 #, fuzzy
 msgid "Searching"
 msgstr "Zoeken"
 
-#: src/config/options.inc:385
+#: src/config/options.inc:403
 msgid "Options for searching."
 msgstr ""
 
-#: src/config/options.inc:387
+#: src/config/options.inc:405
 msgid "Case sensitivity"
 msgstr ""
 
-#: src/config/options.inc:389
+#: src/config/options.inc:407
 msgid ""
-"Whether the search should match the document text while maintaining\n"
-"case sensitivity."
+"Whether the search should match the document text while maintaining case "
+"sensitivity."
 msgstr ""
 
-#: src/config/options.inc:393
+#: src/config/options.inc:411
 msgid "Regular expressions"
 msgstr ""
 
-#: src/config/options.inc:395
+#: src/config/options.inc:413
 msgid ""
 "Enable searching with regular expressions:\n"
 "0 for plain text searching\n"
@@ -2676,31 +2676,31 @@ msgid ""
 "2 for extended regular expression searches"
 msgstr ""
 
-#: src/config/options.inc:401
+#: src/config/options.inc:419
 msgid "Show search hit top or bottom dialogs"
 msgstr ""
 
-#: src/config/options.inc:403
+#: src/config/options.inc:421
 msgid ""
-"Whether to show a dialog when the search hits the top or bottom of the\n"
+"Whether to show a dialog when the search hits the top or bottom of the "
 "document."
 msgstr ""
 
-#: src/config/options.inc:406
+#: src/config/options.inc:424
 #, fuzzy
 msgid "Wraparound"
 msgstr "Achtergrond"
 
-#: src/config/options.inc:408
+#: src/config/options.inc:426
 msgid "Wrap around when searching. Currently only used for typeahead."
 msgstr ""
 
-#: src/config/options.inc:410
+#: src/config/options.inc:429
 #, fuzzy
 msgid "Show not found"
 msgstr "Host niet gevonden"
 
-#: src/config/options.inc:412
+#: src/config/options.inc:431
 msgid ""
 "How to inform the user when nothing is matched:\n"
 "0 means do nothing\n"
@@ -2708,281 +2708,282 @@ msgid ""
 "2 means pop up message box"
 msgstr ""
 
-#: src/config/options.inc:417
+#: src/config/options.inc:436
 #, fuzzy
 msgid "Typeahead searching"
 msgstr "Onjuiste string"
 
-#: src/config/options.inc:419
+#: src/config/options.inc:438
 msgid ""
-"Start typeahead searching when an unbound key is pressed without\n"
-"any modifiers. Note that most keys have default bindings, so this\n"
-"feature will not be useful unless you unbind them.\n"
+"Start typeahead searching when an unbound key is pressed without any "
+"modifiers. Note that most keys have default bindings, so this feature will "
+"not be useful unless you unbind them.\n"
 "\n"
-"0 disables this feature; typeahead searching will only be used\n"
-"  when you press a key bound to search-typeahead or similar\n"
+"0 disables this feature; typeahead searching will only be\n"
+"  used when you press a key bound to search-typeahead or\n"
+"  similar\n"
 "1 automatically starts typeahead searching thru link text\n"
-"2 automatically starts typeahead searching thru all document text"
+"2 automatically starts typeahead searching thru all document\n"
+"  text"
 msgstr ""
 
-#: src/config/options.inc:428
+#: src/config/options.inc:451
 msgid "Horizontal text margin"
 msgstr ""
 
-#: src/config/options.inc:430
+#: src/config/options.inc:453
 msgid "Horizontal text margin."
 msgstr ""
 
-#: src/config/options.inc:432
+#: src/config/options.inc:455
 msgid "Document meta refresh"
 msgstr ""
 
-#: src/config/options.inc:434
+#: src/config/options.inc:457
 msgid ""
-"Automatically follow document-specified refresh directives ('<meta>\n"
-"refresh' tags). Web-page authors use these to instruct the browser\n"
-"to reload a document at a given interval or to load another page.\n"
-"Regardless of the value the refresh URI is accessible as a link.\n"
-"Use the document.browse.minimum_refresh_time to control the minimum\n"
-"number of seconds a refresh will wait."
+"Automatically follow document-specified refresh directives ('<meta> refresh' "
+"tags). Web-page authors use these to instruct the browser to reload a "
+"document at a given interval or to load another page. Regardless of the "
+"value the refresh URI is accessible as a link.\n"
+"\n"
+"Use the document.browse.minimum_refresh_time to control the minimum number "
+"of seconds a refresh will wait."
 msgstr ""
 
-#: src/config/options.inc:441
+#: src/config/options.inc:466
 msgid "Document meta refresh minimum time"
 msgstr ""
 
-#: src/config/options.inc:443
+#: src/config/options.inc:468
 msgid ""
-"The minimum number of milliseconds that should pass before\n"
-"refreshing. If set to zero the document refresh time is used\n"
-"unchanged. It can fix going back in history for some sites that\n"
-"use refreshing with zero values."
+"The minimum number of milliseconds that should pass before refreshing. If "
+"set to zero the document refresh time is used unchanged. It can fix going "
+"back in history for some sites that use refreshing with zero values."
 msgstr ""
 
-#: src/config/options.inc:448
+#: src/config/options.inc:473
 msgid "Tables navigation order"
 msgstr ""
 
-#: src/config/options.inc:450
+#: src/config/options.inc:475
 msgid "Move by columns in table, instead of rows."
 msgstr ""
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:456
+#: src/config/options.inc:481
 #, fuzzy
 msgid "Cache"
 msgstr "Annuleren"
 
-#: src/config/options.inc:458
+#: src/config/options.inc:483
 #, fuzzy
 msgid "Cache options."
 msgstr "Options op~slaan"
 
-#: src/config/options.inc:460
+#: src/config/options.inc:485
 msgid "Cache information about redirects"
 msgstr ""
 
-#: src/config/options.inc:462
+#: src/config/options.inc:487
 msgid ""
-"Cache even redirects sent by server (usually thru HTTP by a 302\n"
-"HTTP code and a Location header). This was the original behaviour\n"
-"for quite some time, but it causes problems in a situation very\n"
-"common to various web login systems - frequently, when accessing\n"
-"a certain location, they will redirect you to a login page if they\n"
-"don't receive an auth cookie, the login page then gives you the\n"
-"cookie and redirects you back to the original page, but there you\n"
-"have already cached redirect back to the login page! If this\n"
-"option has value of 0, this malfunction is fixed, but occasionally\n"
-"you may get superfluous (depends on how you take it ;-) requests to\n"
-"the server. If this option has value of 1, experienced users can\n"
-"still workaround it by clever combination of usage of reload,\n"
-"jumping around in session history and hitting ctrl+enter.\n"
-"Note that this option is checked when retrieving the information\n"
-"from cache, not when saving it to cache - thus if you enable\n"
-"it, even previous redirects will be taken from cache instead of\n"
-"asking the server."
+"Cache even redirects sent by server (usually thru HTTP by a 302 HTTP code "
+"and a Location header). This was the original behaviour for quite some time, "
+"but it causes problems in a situation very common to various web login "
+"systems - frequently, when accessing a certain location, they will redirect "
+"you to a login page if they don't receive an auth cookie, the login page "
+"then gives you the cookie and redirects you back to the original page, but "
+"there you have already cached redirect back to the login page! If this "
+"option has value of 0, this malfunction is fixed, but occasionally you may "
+"get superfluous (depends on how you take it ;-) requests to the server. If "
+"this option has value of 1, experienced users can still workaround it by "
+"clever combination of usage of reload, jumping around in session history and "
+"hitting ctrl+enter.\n"
+"\n"
+"Note that this option is checked when retrieving the information from cache, "
+"not when saving it to cache - thus if you enable it, even previous redirects "
+"will be taken from cache instead of asking the server."
 msgstr ""
 
-#: src/config/options.inc:480
+#: src/config/options.inc:508
 msgid "Ignore cache-control info from server"
 msgstr ""
 
-#: src/config/options.inc:482
+#: src/config/options.inc:510
 msgid ""
-"Ignore Cache-Control and Pragma server headers.\n"
-"When set, the document is cached even with 'Cache-Control: no-cache'."
+"Ignore Cache-Control and Pragma server headers. When set, the document is "
+"cached even with 'Cache-Control: no-cache'."
 msgstr ""
 
-#: src/config/options.inc:485
+#: src/config/options.inc:514
 #, fuzzy
 msgid "Formatted documents"
 msgstr "Invoeren document cache"
 
-#: src/config/options.inc:487
+#: src/config/options.inc:516
 msgid "Format cache options."
 msgstr ""
 
-#: src/config/options.inc:489
+#: src/config/options.inc:518
 #, fuzzy
 msgid "Number"
 msgstr "Onjuist nummer"
 
-#: src/config/options.inc:491
+#: src/config/options.inc:520
 msgid ""
-"Number of cached formatted pages. Do not get too generous\n"
-"here, 'formatted' means that all the accompanying structures\n"
-"are kept in memory so that you get the cached document\n"
-"immediatelly, but these structures may take a lot - 2x the\n"
-"size of the HTML source is probably not unusual, but it can\n"
-"be even more if the document consists of a lot of short lines\n"
-"(padded right, if possible) and links and not much other markup.\n"
-"So if you set this to 256 and then you don't like your ELinks\n"
-"eating 90M, don't come complaining to us. ;-)\n"
-"Also note that the format cache itself is not counted to the\n"
-"memory cache size, but the HTML source of the formatted documents\n"
-"is always cached, even if it is over the memory cache size\n"
-"threshold. (Then of course no other documents can be cached.)"
+"Number of cached formatted pages. Do not get too generous here, 'formatted' "
+"means that all the accompanying structures are kept in memory so that you "
+"get the cached document immediatelly, but these structures may take a lot - "
+"2x the size of the HTML source is probably not unusual, but it can be even "
+"more if the document consists of a lot of short lines (padded right, if "
+"possible) and links and not much other markup. So if you set this to 256 and "
+"then you don't like your ELinks eating 90M, don't come complaining to "
+"us. ;-)\n"
+"\n"
+"Also note that the format cache itself is not counted to the memory cache "
+"size, but the HTML source of the formatted documents is always cached, even "
+"if it is over the memory cache size threshold. (Then of course no other "
+"documents can be cached.)"
 msgstr ""
 
 #. FIXME: Write more.
-#: src/config/options.inc:506
+#: src/config/options.inc:538
 #, fuzzy
 msgid "Revalidation interval"
 msgstr "Fout bij opslaan"
 
-#: src/config/options.inc:508
+#: src/config/options.inc:540
 msgid ""
-"Period in seconds that a cache entry is considered to be\n"
-"up-to-date. When a document is loaded and this interval has elapsed\n"
-"since the document was initially loaded or most recently\n"
-"revalidated with the server, the server will be checked in case\n"
-"there is a more up-to-date version of the document.\n"
+"Period in seconds that a cache entry is considered to be up-to-date. When a "
+"document is loaded and this interval has elapsed since the document was "
+"initially loaded or most recently revalidated with the server, the server "
+"will be checked in case there is a more up-to-date version of the document.\n"
 "\n"
 "A value of -1 disables automatic revalidation."
 msgstr ""
 
-#: src/config/options.inc:515 src/dialogs/info.c:199
+#: src/config/options.inc:549 src/dialogs/info.c:199
 msgid "Memory cache"
 msgstr "Geheugen cache"
 
-#: src/config/options.inc:517
+#: src/config/options.inc:551
 #, fuzzy
 msgid "Memory cache options."
 msgstr "Geheugen cache"
 
-#: src/config/options.inc:521
+#: src/config/options.inc:555
 #, fuzzy
 msgid "Memory cache size (in bytes)."
 msgstr "Geheugen cache"
 
-#: src/config/options.inc:525
+#: src/config/options.inc:559
 #, fuzzy
 msgid "Charset"
 msgstr "C~haracter set"
 
-#: src/config/options.inc:527
+#: src/config/options.inc:561
 #, fuzzy
 msgid "Charset options."
 msgstr "Options op~slaan"
 
-#: src/config/options.inc:529
+#: src/config/options.inc:563
 msgid "Default codepage"
 msgstr ""
 
-#: src/config/options.inc:531
+#: src/config/options.inc:565
 msgid ""
-"Default document codepage. 'System' stands for\n"
-"a codepage determined by a selected locale."
+"Default document codepage. 'System' stands for a codepage determined by a "
+"selected locale."
 msgstr ""
 
-#: src/config/options.inc:534
+#: src/config/options.inc:568
 msgid "Ignore charset info from server"
 msgstr ""
 
-#: src/config/options.inc:536
+#: src/config/options.inc:570
 msgid "Ignore charset info sent by server."
 msgstr ""
 
-#: src/config/options.inc:540
+#: src/config/options.inc:574
 msgid "Default color settings"
 msgstr ""
 
-#: src/config/options.inc:542
+#: src/config/options.inc:576
 msgid "Default document color settings."
 msgstr ""
 
-#: src/config/options.inc:553
+#: src/config/options.inc:587
 msgid "Link color"
 msgstr ""
 
-#: src/config/options.inc:555
+#: src/config/options.inc:589
 msgid "Default link color."
 msgstr ""
 
-#: src/config/options.inc:557
+#: src/config/options.inc:591
 msgid "Visited-link color"
 msgstr ""
 
-#: src/config/options.inc:559
+#: src/config/options.inc:593
 msgid "Default visited link color."
 msgstr ""
 
-#: src/config/options.inc:561
+#: src/config/options.inc:595
 #, fuzzy
 msgid "Image-link color"
 msgstr "Doden van achtergrond verbindingen"
 
-#: src/config/options.inc:563
+#: src/config/options.inc:597
 #, fuzzy
 msgid "Default image link color."
 msgstr "Doden van achtergrond verbindingen"
 
-#: src/config/options.inc:565
+#: src/config/options.inc:599
 msgid "Bookmarked-link color"
 msgstr ""
 
-#: src/config/options.inc:567
+#: src/config/options.inc:601
 #, fuzzy
 msgid "Default bookmarked link color."
 msgstr "Doden van achtergrond verbindingen"
 
-#: src/config/options.inc:569
+#: src/config/options.inc:603
 msgid "Directory color"
 msgstr ""
 
-#: src/config/options.inc:571
+#: src/config/options.inc:605
 msgid ""
 "Default directory color.\n"
+"\n"
 "See document.browse.links.color_dirs option."
 msgstr ""
 
-#: src/config/options.inc:578
+#: src/config/options.inc:613
 msgid "Increase contrast"
 msgstr ""
 
-#: src/config/options.inc:580
+#: src/config/options.inc:615
 msgid ""
-"Increase the contrast between the foreground and background colors\n"
-"to ensure readability. For example it disallows dark colors on a\n"
-"black background. Note, this is different from ensuring the contrast\n"
-"with the ensure_contrast option."
+"Increase the contrast between the foreground and background colors to ensure "
+"readability. For example it disallows dark colors on a black background. "
+"Note, this is different from ensuring the contrast with the ensure_contrast "
+"option."
 msgstr ""
 
-#: src/config/options.inc:585
+#: src/config/options.inc:621
 msgid "Ensure contrast"
 msgstr ""
 
-#: src/config/options.inc:587
+#: src/config/options.inc:623
 msgid "Makes sure that the back- and foreground colors are never equal."
 msgstr ""
 
 #. If you change this please also change ACT_MAIN_DOCUMENT_COLORS action
 #. * handling.
-#: src/config/options.inc:592
+#: src/config/options.inc:628
 msgid "Use document-specified colors"
 msgstr ""
 
-#: src/config/options.inc:594
+#: src/config/options.inc:630
 msgid ""
 "Use colors specified in document:\n"
 "0 is use always the default settings\n"
@@ -2994,40 +2995,40 @@ msgid ""
 msgstr ""
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:607
+#: src/config/options.inc:643
 #, fuzzy
 msgid "Downloading"
 msgstr "Download"
 
-#: src/config/options.inc:609
+#: src/config/options.inc:645
 msgid "Options regarding files downloading and handling."
 msgstr ""
 
-#: src/config/options.inc:611
+#: src/config/options.inc:647
 #, fuzzy
 msgid "Default download directory"
 msgstr "Download fout"
 
-#: src/config/options.inc:613
+#: src/config/options.inc:649
 msgid "Default download directory."
 msgstr ""
 
-#: src/config/options.inc:615
+#: src/config/options.inc:651
 msgid "Set original time"
 msgstr ""
 
-#: src/config/options.inc:617
+#: src/config/options.inc:653
 msgid ""
-"Set the timestamp of each downloaded file to the timestamp\n"
-"stored on the server."
+"Set the timestamp of each downloaded file to the timestamp stored on the "
+"server."
 msgstr ""
 
 #. Does automatic resuming make sense as an option?
-#: src/config/options.inc:621
+#: src/config/options.inc:657
 msgid "Prevent overwriting"
 msgstr ""
 
-#: src/config/options.inc:623
+#: src/config/options.inc:659
 msgid ""
 "Prevent overwriting the local files:\n"
 "0 is files will silently be overwritten\n"
@@ -3035,11 +3036,11 @@ msgid ""
 "2 is ask the user"
 msgstr ""
 
-#: src/config/options.inc:628
+#: src/config/options.inc:664
 msgid "Notify download completion by bell"
 msgstr ""
 
-#: src/config/options.inc:630
+#: src/config/options.inc:666
 msgid ""
 "Audio notification when download is completed:\n"
 "0 is never\n"
@@ -3047,27 +3048,27 @@ msgid ""
 "2 is always"
 msgstr ""
 
-#: src/config/options.inc:636
+#: src/config/options.inc:672
 msgid "Dump output"
 msgstr ""
 
-#: src/config/options.inc:638
+#: src/config/options.inc:674
 msgid "Dump output options."
 msgstr ""
 
 #. OPT_CODEPAGE
-#: src/config/options.inc:640 src/config/options.inc:912
+#: src/config/options.inc:676 src/config/options.inc:980
 #: src/config/opttypes.c:481 src/dialogs/document.c:164
 msgid "Codepage"
 msgstr "Codepage"
 
-#: src/config/options.inc:642
+#: src/config/options.inc:678
 msgid ""
-"Codepage used in dump output. 'System' stands for\n"
-"a codepage determined by a selected locale."
+"Codepage used in dump output. 'System' stands for a codepage determined by a "
+"selected locale."
 msgstr ""
 
-#: src/config/options.inc:645 src/config/options.inc:878
+#: src/config/options.inc:681 src/config/options.inc:941
 #, fuzzy
 msgid "Color mode"
 msgstr "Kleur"
@@ -3077,12 +3078,14 @@ msgstr "Kleur"
 #. * an outer list entry after an inner list.
 #. * TRANSLATORS: This restriction applies only to the
 #. * "en" (English) translation.  (See doc/Makefile.)
-#: src/config/options.inc:652
+#: src/config/options.inc:688
 msgid ""
 "Color mode for dumps.\n"
+"\n"
 "Some modes may have been disabled at compile time. The Setup -> Terminal "
 "options dialog lists the modes supported by this executable. If you select "
 "an unsupported mode, ELinks uses 16 colors.\n"
+"\n"
 "The color modes are:\n"
 "-1 is standard dump mode\n"
 "0 is mono mode\n"
@@ -3092,127 +3095,125 @@ msgid ""
 "4 is true color mode"
 msgstr ""
 
-#: src/config/options.inc:665
+#: src/config/options.inc:703
 msgid "Footer"
 msgstr ""
 
-#: src/config/options.inc:667
+#: src/config/options.inc:705
 #, c-format
 msgid "Footer string used in dumps. %u is substituted by URL."
 msgstr ""
 
-#: src/config/options.inc:671
+#: src/config/options.inc:709
 #, c-format
 msgid "Header string used in dumps. %u is substituted by URL."
 msgstr ""
 
-#: src/config/options.inc:673
+#: src/config/options.inc:711
 #, fuzzy
 msgid "Numbering"
 msgstr "Onjuist nummer"
 
-#: src/config/options.inc:675
+#: src/config/options.inc:713
 msgid "Whether to print link numbers in dump output."
 msgstr ""
 
-#: src/config/options.inc:677
+#: src/config/options.inc:715
 #, fuzzy
 msgid "References"
 msgstr "Resources"
 
-#: src/config/options.inc:679
-msgid ""
-"Whether to print references (URIs) of document links\n"
-"in dump output."
+#: src/config/options.inc:717
+msgid "Whether to print references (URIs) of document links in dump output."
 msgstr ""
 
-#: src/config/options.inc:682
+#: src/config/options.inc:720
 msgid "Separator"
 msgstr ""
 
-#: src/config/options.inc:684
+#: src/config/options.inc:722
 msgid "String which separates two dumps."
 msgstr ""
 
-#: src/config/options.inc:686
+#: src/config/options.inc:724
 msgid "Width"
 msgstr ""
 
-#: src/config/options.inc:688
+#: src/config/options.inc:726
 msgid "Width of screen in characters when dumping documents."
 msgstr ""
 
-#: src/config/options.inc:692
+#: src/config/options.inc:730
 #, fuzzy
 msgid "History"
 msgstr "Gesc~hiedenis"
 
-#: src/config/options.inc:694
+#: src/config/options.inc:732
 msgid "History options."
 msgstr ""
 
-#: src/config/options.inc:696
+#: src/config/options.inc:734
 #, fuzzy
 msgid "Keep unhistory"
 msgstr "Geen verleden"
 
-#: src/config/options.inc:698
+#: src/config/options.inc:736
 #, fuzzy
 msgid "Keep unhistory (\"forward history\")."
 msgstr "Geen verleden"
 
-#: src/config/options.inc:701
+#: src/config/options.inc:739
 #, fuzzy
 msgid "HTML rendering"
 msgstr "Overzetten"
 
-#: src/config/options.inc:703
+#: src/config/options.inc:741
 msgid "Options concerning the display of HTML pages."
 msgstr ""
 
-#: src/config/options.inc:705
+#: src/config/options.inc:743
 #, fuzzy
 msgid "Display frames"
 msgstr "Weergeven"
 
-#: src/config/options.inc:707
+#: src/config/options.inc:745
 #, fuzzy
 msgid "Display frames."
 msgstr "Weergeven"
 
-#: src/config/options.inc:709
+#: src/config/options.inc:747
 #, fuzzy
 msgid "Display tables"
 msgstr "Weergeven"
 
-#: src/config/options.inc:711
+#: src/config/options.inc:749
 #, fuzzy
 msgid "Display tables."
 msgstr "Weergeven"
 
-#: src/config/options.inc:713
+#: src/config/options.inc:751
 #, fuzzy
 msgid "Display subscripts"
 msgstr "Geef ~usemap weer"
 
-#: src/config/options.inc:715
+#: src/config/options.inc:753
 msgid "Display subscripts (as [thing])."
 msgstr ""
 
-#: src/config/options.inc:717
+#: src/config/options.inc:755
 #, fuzzy
 msgid "Display superscripts"
 msgstr "Geef ~usemap weer"
 
-#: src/config/options.inc:719
+#: src/config/options.inc:757
 msgid "Display superscripts (as ^thing)."
 msgstr ""
 
-#: src/config/options.inc:721
+#: src/config/options.inc:759
 msgid "Rendering of HTML link element"
 msgstr ""
 
-#: src/config/options.inc:723
+#: src/config/options.inc:761
 msgid ""
 "How to render <link> tags from the HTML header:\n"
 "0 is nothing\n"
@@ -3223,145 +3224,143 @@ msgid ""
 "5 is everything"
 msgstr ""
 
-#: src/config/options.inc:731
+#: src/config/options.inc:769
 msgid "Underline links"
 msgstr ""
 
-#: src/config/options.inc:733
+#: src/config/options.inc:771
 msgid "Underline links."
 msgstr ""
 
-#: src/config/options.inc:735
+#: src/config/options.inc:773
 msgid "Wrap non breaking space"
 msgstr ""
 
-#: src/config/options.inc:737
+#: src/config/options.inc:775
 msgid ""
-"If set do not honour non breaking space (the nbsp entity)\n"
-"but allow to wrap the text. This can help keeping the width\n"
-"of documents down so no horizontal scrolling is needed."
+"If set do not honour non breaking space (the nbsp entity) but allow to wrap "
+"the text. This can help keeping the width of documents down so no horizontal "
+"scrolling is needed."
 msgstr ""
 
-#: src/config/options.inc:742
+#: src/config/options.inc:780
 #, fuzzy
 msgid "Plain rendering"
 msgstr "Overzetten"
 
-#: src/config/options.inc:744
+#: src/config/options.inc:782
 msgid "Options concerning the display of plain text pages."
 msgstr ""
 
-#: src/config/options.inc:746
+#: src/config/options.inc:784
 #, fuzzy
 msgid "Display URIs"
 msgstr "Weergeven"
 
-#: src/config/options.inc:748
+#: src/config/options.inc:786
 msgid "Display URIs in the document as links."
 msgstr ""
 
-#: src/config/options.inc:750
+#: src/config/options.inc:788
 msgid "Compress empty lines"
 msgstr ""
 
-#: src/config/options.inc:752
+#: src/config/options.inc:790
 msgid "Compress successive empty lines to only one in displayed text."
 msgstr ""
 
-#: src/config/options.inc:755
+#: src/config/options.inc:794
 msgid "URI passing"
 msgstr ""
 
-#: src/config/options.inc:757
+#: src/config/options.inc:796
 msgid ""
-"Rules for passing URIs to external commands. When one rule\n"
-"is defined the link and tab menu will have a menu item that\n"
-"makes it possible to pass the the link, frame or tab URI to\n"
-"an external command. If several rules are defined the link and\n"
-"tab menu will have a submenu of items for each rule. Note, this\n"
-"is mostly useful for launching graphical viewers, since there\n"
-"is no support for releasing the terminal while the command runs.\n"
-"The action and submenus are also available by binding keys to\n"
-"the frame-external-command, the link-external-command, and\n"
-"the tab-external-command actions."
+"Rules for passing URIs to external commands. When one rule is defined the "
+"link and tab menu will have a menu item that makes it possible to pass the "
+"the link, frame or tab URI to an external command. If several rules are "
+"defined the link and tab menu will have a submenu of items for each rule.\n"
+"\n"
+"Note, this is mostly useful for launching graphical viewers, since there is "
+"no support for releasing the terminal while the command runs. The action and "
+"submenus are also available by binding keys to the frame-external-command, "
+"the link-external-command, and the tab-external-command actions."
 msgstr ""
 
-#: src/config/options.inc:770
+#: src/config/options.inc:812
 msgid ""
-"A rule for passing URI to an external command.\n"
-"The format is:\n"
+"A rule for passing URI to an external command. The format is:\n"
 "%c in the string means the current URL\n"
 "%% in the string means '%'\n"
 "Do _not_ put single- or double-quotes around %c."
 msgstr ""
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:780
+#: src/config/options.inc:822
 msgid "Information files"
 msgstr ""
 
-#: src/config/options.inc:782
+#: src/config/options.inc:824
 msgid "Options for information files in ~/.elinks."
 msgstr ""
 
-#: src/config/options.inc:784
+#: src/config/options.inc:826
 #, fuzzy
 msgid "Save interval"
 msgstr "Fout bij opslaan"
 
-#: src/config/options.inc:786
+#: src/config/options.inc:828
 msgid ""
-"Interval at which to trigger information files in ~/.elinks\n"
-"to be saved to disk if they have changed (seconds; 0 to disable)"
+"Interval at which to trigger information files in ~/.elinks to be saved to "
+"disk if they have changed (seconds; 0 to disable)"
 msgstr ""
 
-#: src/config/options.inc:789
+#: src/config/options.inc:832
 msgid "Use secure file saving"
 msgstr ""
 
-#: src/config/options.inc:791
+#: src/config/options.inc:834
 msgid ""
-"First write data to unique temporary file, then rename this file\n"
-"upon successfully finishing this. Note that this relates only to\n"
-"config files, not downloaded files. You may want to disable\n"
-"it if you are using some exotic permissions for concerned files.\n"
-"Secure file saving is automagically disabled if file is symlink.\n"
-"Warning: some systems (ie. OS/2, Win32) require that destination\n"
-"file doesn't exist when rename(3) is called, breaking atomicity,\n"
-"and reducing reliability of this feature."
+"First write data to unique temporary file, then rename this file upon "
+"successfully finishing this. Note that this relates only to config files, "
+"not downloaded files. You may want to disable it if you are using some "
+"exotic permissions for concerned files. Secure file saving is automagically "
+"disabled if file is symlink.\n"
+"\n"
+"Warning: some systems (ie. OS/2, Win32) require that destination file "
+"doesn't exist when rename(3) is called, breaking atomicity, and reducing "
+"reliability of this feature."
 msgstr ""
 
-#: src/config/options.inc:800
+#: src/config/options.inc:846
 msgid "Use fsync(3) with secure file saving"
 msgstr ""
 
-#: src/config/options.inc:802
+#: src/config/options.inc:848
 msgid ""
-"When using secure file saving, call fsync(3), if the OS\n"
-"supports it, to force the OS immediately to write the data\n"
-"to permanent storage. This is optional for those who wish\n"
-"to avoid excessive disk I/O."
+"When using secure file saving, call fsync(3), if the OS supports it, to "
+"force the OS immediately to write the data to permanent storage. This is "
+"optional for those who wish to avoid excessive disk I/O."
 msgstr ""
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:811
+#: src/config/options.inc:857
 #, fuzzy
 msgid "Terminals"
 msgstr "Terminal opties"
 
-#: src/config/options.inc:813
+#: src/config/options.inc:859
 #, fuzzy
 msgid "Terminal options."
 msgstr "Terminal opties"
 
-#: src/config/options.inc:817
+#: src/config/options.inc:863
 msgid "Options specific to this terminal type (according to $TERM value)."
 msgstr ""
 
-#: src/config/options.inc:842
+#: src/config/options.inc:889
 msgid ""
-"Terminal type; matters mostly only when drawing frames and\n"
-"dialog box borders:\n"
+"Terminal type; matters mostly only when drawing frames and dialog box "
+"borders:\n"
 "0 is dumb terminal type, ASCII art\n"
 "1 is VT100, simple but portable\n"
 "2 is Linux, you get double frames and other goodies\n"
@@ -3369,15 +3368,31 @@ msgid ""
 "4 is FreeBSD"
 msgstr ""
 
-#: src/config/options.inc:850 src/dialogs/options.c:227
+#: src/config/options.inc:897
+msgid "Always encode xterm title in ISO-8859-1"
+msgstr ""
+
+#: src/config/options.inc:899
+msgid ""
+"When updating the window title of xterm or a similar terminal emulator, "
+"encode the title in ISO-8859-1 (Latin-1), rather than in the charset used "
+"for other text in the window. Cyrillic and other characters get replaced "
+"with Latin ones. Xterm requires this unless you explicitly enable UTF-8 "
+"titles in it.\n"
+"\n"
+"If this option does not take effect immediately, try switching to a "
+"different page so that ELinks notices it needs to update the title."
+msgstr ""
+
+#: src/config/options.inc:910 src/dialogs/options.c:227
 msgid "Switch fonts for line drawing"
 msgstr ""
 
-#: src/config/options.inc:852
+#: src/config/options.inc:912
 msgid ""
-"Switch fonts when drawing lines, enabling both local characters\n"
-"and lines working at the same time. ELinks uses this option only if\n"
-"UTF-8 I/O is disabled and the terminal type is Linux or FreeBSD."
+"Switch fonts when drawing lines, enabling both local characters and lines "
+"working at the same time. ELinks uses this option only if UTF-8 I/O is "
+"disabled and the terminal type is Linux or FreeBSD."
 msgstr ""
 
 #. When CONFIG_UTF8 is defined, any code that reads the "utf_8_io"
@@ -3385,37 +3400,37 @@ msgstr ""
 #. * and if so, behave as if "utf_8_io" were 1.  (When CONFIG_UTF8 is
 #. * not defined, it should not be possible to set UTF-8 as "codepage";
 #. * please report any such possibilities as bugs.)
-#: src/config/options.inc:861 src/dialogs/options.c:232
+#: src/config/options.inc:922 src/dialogs/options.c:232
 msgid "UTF-8 I/O"
 msgstr ""
 
-#: src/config/options.inc:863
+#: src/config/options.inc:924
 msgid ""
-"Enable I/O in UTF-8 for Unicode terminals. Note that currently,\n"
-"only the subset of UTF-8 according to terminal codepage is used.\n"
-"ELinks ignores this option if the terminal codepage is UTF-8."
+"Enable I/O in UTF-8 for Unicode terminals. Note that currently, only the "
+"subset of UTF-8 according to terminal codepage is used. ELinks ignores this "
+"option if the terminal codepage is UTF-8."
 msgstr ""
 
-#: src/config/options.inc:867 src/dialogs/options.c:228
+#: src/config/options.inc:929 src/dialogs/options.c:228
 msgid "Restrict frames in cp850/852"
 msgstr "Ristricte frames in cp850/852"
 
-#: src/config/options.inc:869
+#: src/config/options.inc:931
 msgid ""
-"Restrict the characters used when drawing lines. Makes sense\n"
-"only with linux terminals using the cp850/852 character sets."
+"Restrict the characters used when drawing lines. Makes sense only with linux "
+"terminals using the cp850/852 character sets."
 msgstr ""
 
-#: src/config/options.inc:872 src/dialogs/options.c:229
+#: src/config/options.inc:935 src/dialogs/options.c:229
 #, fuzzy
 msgid "Block cursor"
 msgstr "Blokkeer cursor"
 
-#: src/config/options.inc:874
+#: src/config/options.inc:937
 msgid ""
-"Move cursor to bottom right corner when done drawing.\n"
-"This is particularly useful when we have a block cursor,\n"
-"so that inversed text is displayed correctly."
+"Move cursor to bottom right corner when done drawing. This is particularly "
+"useful when we have a block cursor, so that inversed text is displayed "
+"correctly."
 msgstr ""
 
 #. The list of modes must be at the end of this string
@@ -3423,13 +3438,15 @@ msgstr ""
 #. * an outer list entry after an inner list.
 #. * TRANSLATORS: This restriction applies only to the
 #. * "en" (English) translation.  (See doc/Makefile.)
-#: src/config/options.inc:885
+#: src/config/options.inc:948
 msgid ""
 "The color mode controls what colors are used and how they are output to the "
 "terminal.\n"
+"\n"
 "Some modes may have been disabled at compile time. The Setup -> Terminal "
 "options dialog lists the modes supported by this executable. If you select "
 "an unsupported mode, ELinks uses 16 colors.\n"
+"\n"
 "The color modes are:\n"
 "0 is mono mode, only 2 colors are used\n"
 "1 is 16 color mode, uses the common ANSI colors\n"
@@ -3438,425 +3455,422 @@ msgid ""
 "4 is true color mode, uses konsole RGB codes"
 msgstr ""
 
-#: src/config/options.inc:898 src/dialogs/options.c:230
+#: src/config/options.inc:963 src/dialogs/options.c:230
 msgid "Transparency"
 msgstr ""
 
-#: src/config/options.inc:900
+#: src/config/options.inc:965
 msgid ""
-"If we should not set the background to black. This is particularly\n"
-"useful when we have a terminal (typically in some windowing\n"
-"environment) with a background image or a transparent background -\n"
-"it will be visible in ELinks as well (but ELinks document color handling\n"
-"will still assume the background is black so if you have a bright "
-"background\n"
-"you might experience contrast problems). Note that this option makes\n"
-"sense only when colors are enabled."
+"If we should not set the background to black. This is particularly useful "
+"when we have a terminal (typically in some windowing environment) with a "
+"background image or a transparent background - it will be visible in ELinks "
+"as well (but ELinks document color handling will still assume the background "
+"is black so if you have a bright background you might experience contrast "
+"problems). Note that this option makes sense only when colors are enabled."
 msgstr ""
 
-#: src/config/options.inc:910
+#: src/config/options.inc:977
 msgid "If we should use underline or enhance the color instead."
 msgstr ""
 
-#: src/config/options.inc:914
+#: src/config/options.inc:982
 msgid ""
-"Codepage of charset used for displaying content on terminal.\n"
-"'System' stands for a codepage determined by a selected locale."
+"Codepage of charset used for displaying content on terminal. 'System' stands "
+"for a codepage determined by a selected locale."
 msgstr ""
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:921
+#: src/config/options.inc:990
 msgid "User interface"
 msgstr ""
 
-#: src/config/options.inc:923
+#: src/config/options.inc:992
 #, fuzzy
 msgid "User interface options."
 msgstr "Terminal opties"
 
-#: src/config/options.inc:927
+#: src/config/options.inc:996
 msgid "Color settings"
 msgstr ""
 
-#: src/config/options.inc:929
+#: src/config/options.inc:998
 msgid "Default user interface color settings."
 msgstr ""
 
-#: src/config/options.inc:956
+#: src/config/options.inc:1025
 #, fuzzy
 msgid "Color terminals"
 msgstr "~BeOS terminal"
 
-#: src/config/options.inc:958
+#: src/config/options.inc:1027
 msgid "Color settings for color terminal."
 msgstr ""
 
-#: src/config/options.inc:960
+#: src/config/options.inc:1029
 msgid "Non-color terminals"
 msgstr ""
 
-#: src/config/options.inc:962
+#: src/config/options.inc:1031
 msgid "Color settings for non-color terminal."
 msgstr ""
 
 #. FIXME: obsolete, how to alias them correctly ? --Zas
-#: src/config/options.inc:965
+#: src/config/options.inc:1034
 msgid "Main menu bar"
 msgstr ""
 
-#: src/config/options.inc:967
+#: src/config/options.inc:1036
 msgid "Main menu bar colors."
 msgstr ""
 
-#: src/config/options.inc:969
+#: src/config/options.inc:1038
 msgid "Unselected main menu bar item"
 msgstr ""
 
-#: src/config/options.inc:971
+#: src/config/options.inc:1040
 msgid "Unselected main menu bar item colors."
 msgstr ""
 
-#: src/config/options.inc:973
+#: src/config/options.inc:1042
 msgid "Selected main menu bar item"
 msgstr ""
 
-#: src/config/options.inc:975
+#: src/config/options.inc:1044
 msgid "Selected main menu bar item colors."
 msgstr ""
 
-#: src/config/options.inc:977 src/config/options.inc:1006
+#: src/config/options.inc:1046 src/config/options.inc:1075
 msgid "Hotkey"
 msgstr ""
 
-#: src/config/options.inc:979
+#: src/config/options.inc:1048
 msgid "Main menu hotkey colors."
 msgstr ""
 
-#: src/config/options.inc:981 src/config/options.inc:1010
+#: src/config/options.inc:1050 src/config/options.inc:1079
 msgid "Unselected hotkey"
 msgstr ""
 
-#: src/config/options.inc:983
+#: src/config/options.inc:1052
 msgid "Main menu unselected hotkey colors."
 msgstr ""
 
-#: src/config/options.inc:985 src/config/options.inc:1014
+#: src/config/options.inc:1054 src/config/options.inc:1083
 #, fuzzy
 msgid "Selected hotkey"
 msgstr "Selecteer veld"
 
-#: src/config/options.inc:987
+#: src/config/options.inc:1056
 msgid "Main menu selected hotkey colors."
 msgstr ""
 
-#: src/config/options.inc:990
+#: src/config/options.inc:1059
 msgid "Menu bar"
 msgstr ""
 
-#: src/config/options.inc:992
+#: src/config/options.inc:1061
 msgid "Menu bar colors."
 msgstr ""
 
-#: src/config/options.inc:994
+#: src/config/options.inc:1063
 msgid "Unselected menu item"
 msgstr ""
 
-#: src/config/options.inc:996
+#: src/config/options.inc:1065
 msgid "Unselected menu item colors."
 msgstr ""
 
-#: src/config/options.inc:998
+#: src/config/options.inc:1067
 #, fuzzy
 msgid "Selected menu item"
 msgstr "Selecteer veld"
 
-#: src/config/options.inc:1000
+#: src/config/options.inc:1069
 msgid "Selected menu item colors."
 msgstr ""
 
-#: src/config/options.inc:1002
+#: src/config/options.inc:1071
 #, fuzzy
 msgid "Marked menu item"
 msgstr "Selecteer veld"
 
-#: src/config/options.inc:1004
+#: src/config/options.inc:1073
 msgid "Marked menu item colors."
 msgstr ""
 
-#: src/config/options.inc:1008
+#: src/config/options.inc:1077
 msgid "Menu item hotkey colors."
 msgstr ""
 
-#: src/config/options.inc:1012
+#: src/config/options.inc:1081
 msgid "Menu item unselected hotkey colors."
 msgstr ""
 
-#: src/config/options.inc:1016
+#: src/config/options.inc:1085
 msgid "Menu item selected hotkey colors."
 msgstr ""
 
-#: src/config/options.inc:1018
+#: src/config/options.inc:1087
 #, fuzzy
 msgid "Menu frame"
 msgstr "Geen frames"
 
-#: src/config/options.inc:1020
+#: src/config/options.inc:1089
 msgid "Menu frame colors."
 msgstr ""
 
-#: src/config/options.inc:1023
+#: src/config/options.inc:1092
 msgid "Dialog"
 msgstr ""
 
-#: src/config/options.inc:1025
+#: src/config/options.inc:1094
 msgid "Dialog colors."
 msgstr ""
 
-#: src/config/options.inc:1035
+#: src/config/options.inc:1104
 msgid "Generic"
 msgstr ""
 
-#: src/config/options.inc:1037
+#: src/config/options.inc:1106
 #, fuzzy
 msgid "Generic dialog colors."
 msgstr "Doden van achtergrond verbindingen"
 
-#: src/config/options.inc:1039
+#: src/config/options.inc:1108
 #, fuzzy
 msgid "Frame"
 msgstr "naam"
 
-#: src/config/options.inc:1041
+#: src/config/options.inc:1110
 msgid "Dialog frame colors."
 msgstr ""
 
-#: src/config/options.inc:1043
+#: src/config/options.inc:1112
 msgid "Scrollbar"
 msgstr ""
 
-#: src/config/options.inc:1045
+#: src/config/options.inc:1114
 msgid "Scrollbar colors."
 msgstr ""
 
-#: src/config/options.inc:1047
+#: src/config/options.inc:1116
 #, fuzzy
 msgid "Selected scrollbar"
 msgstr "Doden van achtergrond verbindingen"
 
-#: src/config/options.inc:1049
+#: src/config/options.inc:1118
 #, fuzzy
 msgid "Scrollbar selected colors."
 msgstr "Doden van achtergrond verbindingen"
 
-#: src/config/options.inc:1053
+#: src/config/options.inc:1122
 msgid "Dialog title colors."
 msgstr ""
 
-#: src/config/options.inc:1055
+#: src/config/options.inc:1124
 #, fuzzy
 msgid "Text"
 msgstr "Tekstgebied"
 
-#: src/config/options.inc:1057
+#: src/config/options.inc:1126
 msgid "Dialog text colors."
 msgstr ""
 
-#: src/config/options.inc:1059 src/viewer/text/form.c:1862
+#: src/config/options.inc:1128 src/viewer/text/form.c:1891
 msgid "Checkbox"
 msgstr "Kruisvakje"
 
-#: src/config/options.inc:1061
+#: src/config/options.inc:1130
 msgid "Dialog checkbox colors."
 msgstr ""
 
-#: src/config/options.inc:1063
+#: src/config/options.inc:1132
 #, fuzzy
 msgid "Selected checkbox"
 msgstr "Selecteer veld"
 
-#: src/config/options.inc:1065
+#: src/config/options.inc:1134
 #, fuzzy
 msgid "Dialog selected checkbox colors."
 msgstr "Doden van achtergrond verbindingen"
 
-#: src/config/options.inc:1067
+#: src/config/options.inc:1136
 #, fuzzy
 msgid "Checkbox label"
 msgstr "Kruisvakje"
 
-#: src/config/options.inc:1069
+#: src/config/options.inc:1138
 msgid "Dialog checkbox label colors."
 msgstr ""
 
-#: src/config/options.inc:1071
+#: src/config/options.inc:1140
 msgid "Button"
 msgstr ""
 
-#: src/config/options.inc:1073 src/config/options.inc:1081
+#: src/config/options.inc:1142 src/config/options.inc:1150
 msgid "Dialog button colors."
 msgstr ""
 
-#: src/config/options.inc:1075
+#: src/config/options.inc:1144
 msgid "Selected button"
 msgstr ""
 
-#: src/config/options.inc:1077 src/config/options.inc:1085
+#: src/config/options.inc:1146 src/config/options.inc:1154
 msgid "Dialog selected button colors."
 msgstr ""
 
-#: src/config/options.inc:1079
+#: src/config/options.inc:1148
 msgid "Button shortcut"
 msgstr ""
 
-#: src/config/options.inc:1083
+#: src/config/options.inc:1152
 #, fuzzy
 msgid "Selected button shortcut"
 msgstr "Selecteer veld"
 
-#: src/config/options.inc:1087 src/viewer/text/form.c:1866
+#: src/config/options.inc:1156 src/viewer/text/form.c:1895
 msgid "Text field"
 msgstr "Tekstveld"
 
-#: src/config/options.inc:1089
+#: src/config/options.inc:1158
 msgid "Dialog text field colors."
 msgstr ""
 
-#: src/config/options.inc:1091
+#: src/config/options.inc:1160
 #, fuzzy
 msgid "Text field text"
 msgstr "Tekstveld"
 
-#: src/config/options.inc:1093
+#: src/config/options.inc:1162
 msgid "Dialog field text colors."
 msgstr ""
 
-#: src/config/options.inc:1095
+#: src/config/options.inc:1164
 msgid "Meter"
 msgstr ""
 
-#: src/config/options.inc:1097
+#: src/config/options.inc:1166
 msgid "Dialog meter colors."
 msgstr ""
 
-#: src/config/options.inc:1099
+#: src/config/options.inc:1168
 msgid "Shadow"
 msgstr ""
 
-#: src/config/options.inc:1101
+#: src/config/options.inc:1170
 msgid "Dialog shadow colors (see ui.shadows option)."
 msgstr ""
 
-#: src/config/options.inc:1103
+#: src/config/options.inc:1172
 msgid "Title bar"
 msgstr ""
 
-#: src/config/options.inc:1105
+#: src/config/options.inc:1174
 msgid "Title bar colors."
 msgstr ""
 
-#: src/config/options.inc:1107
+#: src/config/options.inc:1176
 msgid "Generic title bar"
 msgstr ""
 
-#: src/config/options.inc:1109
+#: src/config/options.inc:1178
 msgid "Generic title bar colors."
 msgstr ""
 
-#: src/config/options.inc:1111
+#: src/config/options.inc:1180
 msgid "Title bar text"
 msgstr ""
 
-#: src/config/options.inc:1113
+#: src/config/options.inc:1182
 msgid "Title bar text colors."
 msgstr ""
 
-#: src/config/options.inc:1116
+#: src/config/options.inc:1185
 msgid "Status bar"
 msgstr ""
 
-#: src/config/options.inc:1118
+#: src/config/options.inc:1187
 msgid "Status bar colors."
 msgstr ""
 
-#: src/config/options.inc:1120
+#: src/config/options.inc:1189
 msgid "Generic status bar"
 msgstr ""
 
-#: src/config/options.inc:1122
+#: src/config/options.inc:1191
 msgid "Generic status bar colors."
 msgstr ""
 
-#: src/config/options.inc:1124
+#: src/config/options.inc:1193
 #, fuzzy
 msgid "Status bar text"
 msgstr "Zoeken naar tekst"
 
-#: src/config/options.inc:1126
+#: src/config/options.inc:1195
 msgid "Status bar text colors."
 msgstr ""
 
-#: src/config/options.inc:1129
+#: src/config/options.inc:1198
 msgid "Tabs bar"
 msgstr ""
 
-#: src/config/options.inc:1131
+#: src/config/options.inc:1200
 msgid "Tabs bar colors."
 msgstr ""
 
-#: src/config/options.inc:1133
+#: src/config/options.inc:1202
 #, fuzzy
 msgid "Unvisited tab"
 msgstr "Selecteer veld"
 
-#: src/config/options.inc:1135
+#: src/config/options.inc:1204
 msgid ""
-"Tab colors for tabs that have not been\n"
-"selected since they completed loading."
+"Tab colors for tabs that have not been selected since they completed loading."
 msgstr ""
 
-#: src/config/options.inc:1138
+#: src/config/options.inc:1207
 #, fuzzy
 msgid "Unselected tab"
 msgstr "Selecteer veld"
 
-#: src/config/options.inc:1140
+#: src/config/options.inc:1209
 #, fuzzy
 msgid "Unselected tab colors."
 msgstr "Doden van achtergrond verbindingen"
 
-#: src/config/options.inc:1142
+#: src/config/options.inc:1211
 #, fuzzy
 msgid "Loading tab"
 msgstr "aan het laden"
 
-#: src/config/options.inc:1144
+#: src/config/options.inc:1213
 msgid "Tab colors for tabs that are loading in the background."
 msgstr ""
 
-#: src/config/options.inc:1146
+#: src/config/options.inc:1215
 #, fuzzy
 msgid "Selected tab"
 msgstr "Selecteer veld"
 
-#: src/config/options.inc:1148
+#: src/config/options.inc:1217
 #, fuzzy
 msgid "Selected tab colors."
 msgstr "Doden van achtergrond verbindingen"
 
-#: src/config/options.inc:1150
+#: src/config/options.inc:1219
 msgid "Tab separator"
 msgstr ""
 
-#: src/config/options.inc:1152
+#: src/config/options.inc:1221
 msgid "Tab separator colors."
 msgstr ""
 
-#: src/config/options.inc:1155
+#: src/config/options.inc:1224
 #, fuzzy
 msgid "Searched strings"
 msgstr "Onjuiste string"
 
-#: src/config/options.inc:1157
+#: src/config/options.inc:1226
 #, fuzzy
 msgid "Searched string highlight colors."
 msgstr "Zoekstring niet gevonden"
@@ -3865,69 +3879,69 @@ msgstr "Zoekstring niet gevonden"
 #. ============= BORING PART (colors) END ===================
 #. ==========================================================
 #. Keep options in alphabetical order.
-#: src/config/options.inc:1166
+#: src/config/options.inc:1235
 msgid "Dialog settings"
 msgstr ""
 
-#: src/config/options.inc:1168
+#: src/config/options.inc:1237
 msgid "Dialogs-specific appearance and behaviour settings."
 msgstr ""
 
-#: src/config/options.inc:1171
+#: src/config/options.inc:1240
 msgid "Minimal height of listbox widget"
 msgstr ""
 
-#: src/config/options.inc:1173
+#: src/config/options.inc:1242
 msgid ""
-"Minimal height of the listbox widget (used e.g. for bookmarks\n"
-"or global history)."
+"Minimal height of the listbox widget (used e.g. for bookmarks or global "
+"history)."
 msgstr ""
 
-#: src/config/options.inc:1176
+#: src/config/options.inc:1245
 msgid "Drop shadows"
 msgstr ""
 
-#: src/config/options.inc:1178
+#: src/config/options.inc:1247
 msgid ""
-"Make dialogs drop shadows (the shadows are solid, you can\n"
-"adjust their color by ui.colors.*.dialog.shadow). You may\n"
-"also want to eliminate the wide borders by adjusting setup.h."
+"Make dialogs drop shadows (the shadows are solid, you can adjust their color "
+"by ui.colors.*.dialog.shadow). You may also want to eliminate the wide "
+"borders by adjusting setup.h."
 msgstr ""
 
-#: src/config/options.inc:1182
+#: src/config/options.inc:1252
 #, fuzzy
 msgid "Underline menu hotkeys"
 msgstr "Selecteer veld"
 
-#: src/config/options.inc:1184
+#: src/config/options.inc:1254
 msgid ""
-"Whether to underline hotkeys in menus to make them more\n"
-"visible. Requires that underlining is enabled for the terminal."
+"Whether to underline hotkeys in menus to make them more visible. Requires "
+"that underlining is enabled for the terminal."
 msgstr ""
 
-#: src/config/options.inc:1187
+#: src/config/options.inc:1258
 #, fuzzy
 msgid "Underline button shortcuts"
 msgstr "Selecteer veld"
 
-#: src/config/options.inc:1189
+#: src/config/options.inc:1260
 msgid ""
-"Whether to underline button shortcuts to make them more\n"
-"visible. Requires that underlining is enabled for the terminal."
+"Whether to underline button shortcuts to make them more visible. Requires "
+"that underlining is enabled for the terminal."
 msgstr ""
 
-#: src/config/options.inc:1193
+#: src/config/options.inc:1265
 #, fuzzy
 msgid "Timer options"
 msgstr "Terminal opties"
 
-#: src/config/options.inc:1195
+#: src/config/options.inc:1267
 msgid ""
-"Timed action after certain interval of user inactivity. Someone can\n"
-"even find this useful, although you may not believe that."
+"Timed action after certain interval of user inactivity. Someone can even "
+"find this useful, although you may not believe that."
 msgstr ""
 
-#: src/config/options.inc:1201
+#: src/config/options.inc:1274
 msgid ""
 "Whether to enable the timer or not:\n"
 "0 is don't count down anything\n"
@@ -3935,7 +3949,7 @@ msgid ""
 "2 is count down and show the timer near LEDs"
 msgstr ""
 
-#: src/config/options.inc:1208
+#: src/config/options.inc:1281
 msgid ""
 "Whether to enable the timer or not:\n"
 "0 is don't count down anything\n"
@@ -3943,35 +3957,35 @@ msgid ""
 "2 is count down and show the timer near LEDs (DISABLED)"
 msgstr ""
 
-#: src/config/options.inc:1214
+#: src/config/options.inc:1287
 msgid "Duration"
 msgstr ""
 
-#: src/config/options.inc:1216
+#: src/config/options.inc:1289
 msgid ""
-"Inactivity timeout in seconds. The maximum of one day\n"
-"should be enough for just everyone (TM)."
+"Inactivity timeout in seconds. The maximum of one day should be enough for "
+"just everyone (TM)."
 msgstr ""
 
-#: src/config/options.inc:1221
+#: src/config/options.inc:1294
 msgid "Keybinding action to be triggered when timer reaches zero."
 msgstr ""
 
-#: src/config/options.inc:1224
+#: src/config/options.inc:1298
 #, fuzzy
 msgid "Window tabs"
 msgstr "Venster"
 
-#: src/config/options.inc:1226
+#: src/config/options.inc:1300
 msgid "Window tabs settings."
 msgstr ""
 
-#: src/config/options.inc:1228
+#: src/config/options.inc:1302
 #, fuzzy
 msgid "Display tabs bar"
 msgstr "Geef ~usemap weer"
 
-#: src/config/options.inc:1230
+#: src/config/options.inc:1304
 msgid ""
 "Show tabs bar on the screen:\n"
 "0 means never\n"
@@ -3979,170 +3993,169 @@ msgid ""
 "2 means always"
 msgstr ""
 
-#: src/config/options.inc:1235
+#: src/config/options.inc:1309
 msgid "Tab bar at top"
 msgstr ""
 
-#: src/config/options.inc:1237
+#: src/config/options.inc:1311
 msgid "Whether display tab bar at top like other browsers do."
 msgstr ""
 
-#: src/config/options.inc:1239
+#: src/config/options.inc:1313
 msgid "Wrap-around tabs cycling"
 msgstr ""
 
-#: src/config/options.inc:1241
+#: src/config/options.inc:1315
 msgid ""
-"When moving right from the last tab, jump to the first one, and\n"
-"vice versa."
+"When moving right from the last tab, jump to the first one, and vice versa."
 msgstr ""
 
-#: src/config/options.inc:1244
+#: src/config/options.inc:1318
 msgid "Confirm tab closing"
 msgstr ""
 
-#: src/config/options.inc:1246
+#: src/config/options.inc:1320
 msgid "When closing a tab show confirmation dialog."
 msgstr ""
 
 #. OPT_LANGUAGE
-#: src/config/options.inc:1250 src/config/opttypes.c:483
+#: src/config/options.inc:1324 src/config/opttypes.c:483
 msgid "Language"
 msgstr ""
 
-#: src/config/options.inc:1252
+#: src/config/options.inc:1326
 msgid ""
-"Language of user interface. 'System' means that the language will\n"
-"be extracted from the environment dynamically."
+"Language of user interface. 'System' means that the language will be "
+"extracted from the environment dynamically."
 msgstr ""
 
-#: src/config/options.inc:1255
+#: src/config/options.inc:1330
 #, fuzzy
 msgid "Display menu bar always"
 msgstr "Geef ~usemap weer"
 
-#: src/config/options.inc:1257
+#: src/config/options.inc:1332
 msgid "Always show menu bar on the screen."
 msgstr ""
 
-#: src/config/options.inc:1259
+#: src/config/options.inc:1334
 #, fuzzy
 msgid "Display status bar"
 msgstr "Geef ~usemap weer"
 
-#: src/config/options.inc:1261
+#: src/config/options.inc:1336
 msgid "Show status bar on the screen."
 msgstr ""
 
-#: src/config/options.inc:1263
+#: src/config/options.inc:1338
 #, fuzzy
 msgid "Display title bar"
 msgstr "Geef ~usemap weer"
 
-#: src/config/options.inc:1265
+#: src/config/options.inc:1340
 msgid "Show title bar on the screen."
 msgstr ""
 
-#: src/config/options.inc:1267
+#: src/config/options.inc:1342
 msgid "Display goto dialog in new tabs"
 msgstr ""
 
-#: src/config/options.inc:1269
+#: src/config/options.inc:1344
 msgid ""
-"Pop up goto dialog in newly created tabs when there's no homepage\n"
-"set. This means also showing goto dialog on startup."
+"Pop up goto dialog in newly created tabs when there's no homepage set. This "
+"means also showing goto dialog on startup."
 msgstr ""
 
-#: src/config/options.inc:1272
+#: src/config/options.inc:1348
 msgid "Show a message box when file is saved successfully"
 msgstr ""
 
-#: src/config/options.inc:1274
+#: src/config/options.inc:1350
 msgid ""
-"When you pressed a [ Save ] button in some manager, this option\n"
-"will make sure that a box confirming success of the operation will\n"
-"pop up."
+"When you pressed a [ Save ] button in some manager, this option will make "
+"sure that a box confirming success of the operation will pop up."
 msgstr ""
 
-#: src/config/options.inc:1279
+#: src/config/options.inc:1355
 #, fuzzy
 msgid "Sessions"
 msgstr "Extentie(s)"
 
-#: src/config/options.inc:1281
+#: src/config/options.inc:1357
 msgid "Sessions settings."
 msgstr ""
 
-#: src/config/options.inc:1283
+#: src/config/options.inc:1359
 msgid "Keep session active"
 msgstr ""
 
-#: src/config/options.inc:1285
+#: src/config/options.inc:1361
 msgid "Keep the session active even if the last terminal exits."
 msgstr ""
 
-#: src/config/options.inc:1287
+#: src/config/options.inc:1364
 msgid "Auto save session"
 msgstr ""
 
-#: src/config/options.inc:1289
+#: src/config/options.inc:1366
 msgid ""
 "Automatically save the session when quitting.\n"
+"\n"
 "This feature requires bookmark support."
 msgstr ""
 
-#: src/config/options.inc:1292
+#: src/config/options.inc:1370
 msgid "Auto restore session"
 msgstr ""
 
-#: src/config/options.inc:1294
+#: src/config/options.inc:1372
 msgid ""
 "Automatically restore the session at start.\n"
+"\n"
 "This feature requires bookmark support."
 msgstr ""
 
-#: src/config/options.inc:1297
+#: src/config/options.inc:1376
 msgid "Auto save and restore session folder name"
 msgstr ""
 
-#: src/config/options.inc:1299
+#: src/config/options.inc:1378
 msgid ""
-"Name of the bookmarks folder used for auto saving and restoring session.\n"
-"The name has to be unique. Any folders with the same name will be deleted.\n"
+"Name of the bookmarks folder used for auto saving and restoring session. The "
+"name has to be unique. Any folders with the same name will be deleted.\n"
+"\n"
 "This only makes sense with bookmark support."
 msgstr ""
 
-#: src/config/options.inc:1303
+#: src/config/options.inc:1384
 #, fuzzy
 msgid "Homepage URI"
 msgstr "Codepage"
 
-#: src/config/options.inc:1305
+#: src/config/options.inc:1386
 msgid ""
-"The URI to load either at startup time when no URI was given\n"
-"on the command line or when requested by the goto-url-home action.\n"
-"Set to \"\" if the environment variable WWW_HOME should be used\n"
-"as homepage URI instead."
+"The URI to load either at startup time when no URI was given on the command "
+"line or when requested by the goto-url-home action. Set to \"\" if the "
+"environment variable WWW_HOME should be used as homepage URI instead."
 msgstr ""
 
-#: src/config/options.inc:1311
+#: src/config/options.inc:1392
 #, fuzzy
 msgid "Date format"
 msgstr "Bestand upload"
 
-#: src/config/options.inc:1313
+#: src/config/options.inc:1394
 msgid "Date format to use in dialogs. See strftime(3)."
 msgstr ""
 
-#: src/config/options.inc:1316
+#: src/config/options.inc:1397
 msgid "Set window title"
 msgstr ""
 
-#: src/config/options.inc:1318
+#: src/config/options.inc:1399
 msgid ""
-"Set the window title when running in a windowing environment\n"
-"in an xterm-like terminal. This way the document's title is\n"
-"shown on the window titlebar."
+"Set the window title when running in a windowing environment in an xterm-"
+"like terminal. This way the document's title is shown on the window titlebar."
 msgstr ""
 
 #: src/config/opttypes.c:54
@@ -4229,7 +4242,7 @@ msgid "Goto URL History"
 msgstr "Geen verleden"
 
 #. name:
-#: src/cookies/cookies.c:88 src/cookies/cookies.c:911
+#: src/cookies/cookies.c:88 src/cookies/cookies.c:913
 msgid "Cookies"
 msgstr ""
 
@@ -4259,10 +4272,10 @@ msgstr "Verbinding maken"
 msgid ""
 "Cookie maximum age (in days):\n"
 "-1 is use cookie's expiration date if any\n"
-"0  is force expiration at the end of session, ignoring cookie's\n"
-"   expiration date\n"
-"1+ is use cookie's expiration date, but limit age to the given\n"
-"   number of days"
+"0  is force expiration at the end of session, ignoring\n"
+"   cookie's expiration date\n"
+"1+ is use cookie's expiration date, but limit age to the\n"
+"   given number of days"
 msgstr ""
 
 #: src/cookies/cookies.c:109
@@ -4271,42 +4284,42 @@ msgstr ""
 
 #: src/cookies/cookies.c:111
 msgid ""
-"When enabled, we'll require three dots in cookies domain for all\n"
-"non-international domains (instead of just two dots). Some countries\n"
-"have generic second level domains (eg. .com.pl, .co.uk) and allowing\n"
-"sites to set cookies for these generic domains could potentially be\n"
-"very bad. Note, it is off by default as it breaks a lot of sites."
+"When enabled, we'll require three dots in cookies domain for all non-"
+"international domains (instead of just two dots). Some countries have "
+"generic second level domains (eg. .com.pl, .co.uk) and allowing sites to set "
+"cookies for these generic domains could potentially be very bad. Note, it is "
+"off by default as it breaks a lot of sites."
 msgstr ""
 
-#: src/cookies/cookies.c:117
+#: src/cookies/cookies.c:118
 #, fuzzy
 msgid "Saving"
 msgstr "gem"
 
-#: src/cookies/cookies.c:119
+#: src/cookies/cookies.c:120
 msgid "Whether cookies should be loaded from and saved to disk."
 msgstr ""
 
-#: src/cookies/cookies.c:121
+#: src/cookies/cookies.c:123
 msgid "Resaving"
 msgstr ""
 
-#: src/cookies/cookies.c:123
+#: src/cookies/cookies.c:125
 msgid ""
-"Save cookies after each change in cookies list? No effect when\n"
-"cookie saving (cookies.save) is off."
+"Save cookies after each change in cookies list? No effect when cookie saving "
+"(cookies.save) is off."
 msgstr ""
 
-#: src/cookies/cookies.c:817
+#: src/cookies/cookies.c:819
 #, fuzzy
 msgid "Cannot save cookies"
 msgstr "Schrijffout bij opslaan"
 
-#: src/cookies/cookies.c:828
+#: src/cookies/cookies.c:830
 msgid "ELinks was started without a home directory."
 msgstr ""
 
-#: src/cookies/cookies.c:834
+#: src/cookies/cookies.c:836
 msgid "ELinks was started with the -anonymous option."
 msgstr ""
 
@@ -4521,7 +4534,7 @@ msgid "No header info."
 msgstr ""
 
 #: src/dialogs/download.c:243 src/dialogs/menu.c:601
-#: src/protocol/bittorrent/dialogs.c:228 src/session/download.c:361
+#: src/protocol/bittorrent/dialogs.c:228 src/session/download.c:387
 msgid "Download"
 msgstr "Download"
 
@@ -5378,7 +5391,7 @@ msgid "No document"
 msgstr "documenten"
 
 #. name:
-#: src/document/css/css.c:30 src/document/css/css.c:161
+#: src/document/css/css.c:30 src/document/css/css.c:164
 msgid "Cascading Style Sheets"
 msgstr ""
 
@@ -5386,36 +5399,36 @@ msgstr ""
 msgid "Options concerning how to use CSS for styling documents."
 msgstr ""
 
-#: src/document/css/css.c:34
+#: src/document/css/css.c:35
 #, fuzzy
 msgid "Enable CSS"
 msgstr "naam"
 
-#: src/document/css/css.c:36
+#: src/document/css/css.c:37
 msgid "Enable adding of CSS style info to documents."
 msgstr ""
 
-#: src/document/css/css.c:38
+#: src/document/css/css.c:39
 msgid "Import external style sheets"
 msgstr ""
 
-#: src/document/css/css.c:40
+#: src/document/css/css.c:41
 msgid ""
-"When enabled any external style sheets that are imported from\n"
-"either CSS itself using the @import keyword or from the HTML using\n"
-"<link> tags in the document header will also be downloaded."
+"When enabled any external style sheets that are imported from either CSS "
+"itself using the @import keyword or from the HTML using <link> tags in the "
+"document header will also be downloaded."
 msgstr ""
 
-#: src/document/css/css.c:44
+#: src/document/css/css.c:46
 msgid "Default style sheet"
 msgstr ""
 
-#: src/document/css/css.c:46
+#: src/document/css/css.c:48
 msgid ""
-"The path to the file containing the default user defined\n"
-"Cascading Style Sheet. It can be used to control the basic\n"
-"layout of HTML documents. The path is assumed to be relative\n"
-"to ELinks' home directory.\n"
+"The path to the file containing the default user defined Cascading Style "
+"Sheet. It can be used to control the basic layout of HTML documents. The "
+"path is assumed to be relative to ELinks' home directory.\n"
+"\n"
 "Leave as \"\" to use built-in document styling."
 msgstr ""
 
@@ -5447,8 +5460,8 @@ msgstr ""
 
 #: src/ecmascript/ecmascript.c:55
 msgid ""
-"Whether to ignore content enclosed by the <noscript> tag\n"
-"when ECMAScript is enabled."
+"Whether to ignore content enclosed by the <noscript> tag when ECMAScript is "
+"enabled."
 msgstr ""
 
 #: src/ecmascript/ecmascript.c:58
@@ -5500,7 +5513,7 @@ msgid "JavaScript Error"
 msgstr ""
 
 #. name:
-#: src/ecmascript/spidermonkey.c:320
+#: src/ecmascript/spidermonkey.c:321
 msgid "SpiderMonkey"
 msgstr ""
 
@@ -5598,9 +5611,8 @@ msgstr "Terminal opties"
 
 #: src/formhist/formhist.c:38
 msgid ""
-"Ask if a login form should be saved to file or not.\n"
-"This option only disables the dialog, already saved login\n"
-"forms are unaffected."
+"Ask if a login form should be saved to file or not. This option only "
+"disables the dialog, already saved login forms are unaffected."
 msgstr ""
 
 #: src/formhist/formhist.c:426
@@ -5702,20 +5714,20 @@ msgstr ""
 msgid "Enable global history (\"history of all pages visited\")."
 msgstr ""
 
-#: src/globhist/globhist.c:68
+#: src/globhist/globhist.c:69
 msgid "Maximum number of entries"
 msgstr ""
 
-#: src/globhist/globhist.c:70
+#: src/globhist/globhist.c:71
 msgid "Maximum number of entries in the global history."
 msgstr ""
 
-#: src/globhist/globhist.c:72
+#: src/globhist/globhist.c:73
 #, fuzzy
 msgid "Display style"
 msgstr "Geef ~usemap weer"
 
-#: src/globhist/globhist.c:74
+#: src/globhist/globhist.c:75
 msgid ""
 "What to display in global history dialog:\n"
 "0 is URLs\n"
@@ -5723,7 +5735,7 @@ msgid ""
 msgstr ""
 
 #. name:
-#: src/globhist/globhist.c:451
+#: src/globhist/globhist.c:449
 #, fuzzy
 msgid "Global History"
 msgstr "Geen verleden"
@@ -5952,101 +5964,95 @@ msgstr ""
 
 #: src/mime/backend/default.c:27
 msgid ""
-"Handler <-> MIME type association. The first sub-tree is the MIME\n"
-"class while the second sub-tree is the MIME type (ie. image/gif\n"
-"handler will reside at mime.type.image.gif). Each MIME type option\n"
-"should contain (case-sensitive) name of the MIME handler (its\n"
-"properties are stored at mime.handler.<name>)."
+"Handler <-> MIME type association. The first sub-tree is the MIME class "
+"while the second sub-tree is the MIME type (ie. image/gif handler will "
+"reside at mime.type.image.gif). Each MIME type option should contain (case-"
+"sensitive) name of the MIME handler (its properties are stored at mime."
+"handler.<name>)."
 msgstr ""
 
-#: src/mime/backend/default.c:35
+#: src/mime/backend/default.c:36
 msgid ""
-"Handler matching this MIME-type class ('*' is used here in place\n"
-"of '.')."
+"Handler matching this MIME-type class ('*' is used here in place of '.')."
 msgstr ""
 
-#: src/mime/backend/default.c:40
+#: src/mime/backend/default.c:41
 msgid ""
-"Handler matching this MIME-type name ('*' is used here in place\n"
-"of '.')."
+"Handler matching this MIME-type name ('*' is used here in place of '.')."
 msgstr ""
 
-#: src/mime/backend/default.c:44
+#: src/mime/backend/default.c:45
 msgid "File type handlers"
 msgstr ""
 
-#: src/mime/backend/default.c:46
+#: src/mime/backend/default.c:47
 msgid ""
-"A file type handler is a set of information about how to use\n"
-"an external program to view a file. It is possible to refer to it\n"
-"for several MIME types -- e.g., you can define an 'image' handler\n"
-"to which mime.type.image.png, mime.type.image.jpeg, and so on will\n"
-"refer; or one might define a handler for a more specific type of file\n"
-"-- e.g., PDF files.\n"
-"Note you must define both a MIME handler and a MIME type association\n"
-"for it to work."
+"A file type handler is a set of information about how to use an external "
+"program to view a file. It is possible to refer to it for several MIME types "
+"-- e.g., you can define an 'image' handler to which mime.type.image.png, "
+"mime.type.image.jpeg, and so on will refer; or one might define a handler "
+"for a more specific type of file -- e.g., PDF files. Note you must define "
+"both a MIME handler and a MIME type association for it to work."
 msgstr ""
 
-#: src/mime/backend/default.c:57
+#: src/mime/backend/default.c:58
 msgid "Description of this handler."
 msgstr ""
 
-#: src/mime/backend/default.c:61
+#: src/mime/backend/default.c:62
 msgid "System-specific handler description (ie. unix, unix-xwin, ...)."
 msgstr ""
 
-#: src/mime/backend/default.c:63 src/mime/backend/mailcap.c:102
+#: src/mime/backend/default.c:65 src/mime/backend/mailcap.c:102
 msgid "Ask before opening"
 msgstr ""
 
-#: src/mime/backend/default.c:65
+#: src/mime/backend/default.c:67
 msgid "Ask before opening."
 msgstr ""
 
-#: src/mime/backend/default.c:67
+#: src/mime/backend/default.c:69
 #, fuzzy
 msgid "Block terminal"
 msgstr "~BeOS terminal"
 
-#: src/mime/backend/default.c:69
+#: src/mime/backend/default.c:71
 msgid "Block the terminal when the handler is running."
 msgstr ""
 
-#: src/mime/backend/default.c:71
+#: src/mime/backend/default.c:73
 #, fuzzy
 msgid "Program"
 msgstr "Geen programma"
 
-#: src/mime/backend/default.c:74
+#: src/mime/backend/default.c:76
 #, no-c-format
 msgid ""
-"External viewer for this file type. '%' in this string will be\n"
-"substituted by a file name.\n"
-"Do _not_ put single- or double-quotes around the % sign."
+"External viewer for this file type. '%' in this string will be substituted "
+"by a file name. Do _not_ put single- or double-quotes around the % sign."
 msgstr ""
 
-#: src/mime/backend/default.c:79
+#: src/mime/backend/default.c:81
 #, fuzzy
 msgid "File extension associations"
 msgstr "Bestands ~extensie"
 
-#: src/mime/backend/default.c:81
+#: src/mime/backend/default.c:83
 msgid "Extension <-> MIME type association."
 msgstr ""
 
-#: src/mime/backend/default.c:85
+#: src/mime/backend/default.c:87
 msgid ""
-"MIME-type matching this file extension ('*' is used here in place\n"
-"of '.')."
+"MIME-type matching this file extension ('*' is used here in place of '.')."
 msgstr ""
 
 #. name:
-#: src/mime/backend/default.c:216
+#: src/mime/backend/default.c:218
 msgid "Option system"
 msgstr ""
 
 #. name:
-#: src/mime/backend/mailcap.c:89 src/mime/backend/mailcap.c:684
+#: src/mime/backend/mailcap.c:89 src/mime/backend/mailcap.c:686
 msgid "Mailcap"
 msgstr ""
 
@@ -6060,8 +6066,8 @@ msgstr ""
 
 #: src/mime/backend/mailcap.c:99
 msgid ""
-"Mailcap search path. Colon-separated list of files.\n"
-"Leave as \"\" to use MAILCAP environment variable instead."
+"Mailcap search path. Colon-separated list of files. Leave as \"\" to use "
+"MAILCAP environment variable instead."
 msgstr ""
 
 #: src/mime/backend/mailcap.c:104
@@ -6074,39 +6080,38 @@ msgstr ""
 
 #: src/mime/backend/mailcap.c:108
 msgid ""
-"Type of description to show in \"what to do with this file\"\n"
-"query dialog:\n"
+"Type of description to show in \"what to do with this file\" query dialog:\n"
 "0 is show \"mailcap\"\n"
 "1 is show program to be run\n"
-"2 is show mailcap description field if any; \"mailcap\" otherwise"
+"2 is show mailcap description field if any;\n"
+"     \"mailcap\" otherwise"
 msgstr ""
 
-#: src/mime/backend/mailcap.c:114
+#: src/mime/backend/mailcap.c:115
 msgid "Prioritize entries by file"
 msgstr ""
 
-#: src/mime/backend/mailcap.c:116
+#: src/mime/backend/mailcap.c:117
 msgid ""
-"Prioritize entries by the order of the files in the mailcap\n"
-"path. This means that wildcard entries (like: image/*) will\n"
-"also be checked before deciding the handler."
+"Prioritize entries by the order of the files in the mailcap path. This means "
+"that wildcard entries (like: image/*) will also be checked before deciding "
+"the handler."
 msgstr ""
 
-#: src/mime/backend/mailcap.c:349
+#: src/mime/backend/mailcap.c:351
 #, c-format
 msgid "Badly formated mailcap entry for type %s in \"%s\" line %d"
 msgstr ""
 
 #. name:
-#: src/mime/backend/mimetypes.c:46 src/mime/backend/mimetypes.c:279
+#: src/mime/backend/mimetypes.c:46 src/mime/backend/mimetypes.c:280
 msgid "Mimetypes files"
 msgstr ""
 
 #: src/mime/backend/mimetypes.c:48
 msgid ""
-"Options for the support of mime.types files. These files\n"
-"can be used to find the content type of a URL by looking at\n"
-"the extension of the file name."
+"Options for the support of mime.types files. These files can be used to find "
+"the content type of a URL by looking at the extension of the file name."
 msgstr ""
 
 #: src/mime/backend/mimetypes.c:54
@@ -6143,7 +6148,7 @@ msgid "No extensions"
 msgstr "Geen extensies"
 
 #. name:
-#: src/mime/mime.c:38 src/mime/mime.c:360
+#: src/mime/mime.c:38 src/mime/mime.c:361
 msgid "MIME"
 msgstr ""
 
@@ -6157,8 +6162,8 @@ msgstr ""
 
 #: src/mime/mime.c:44
 msgid ""
-"Document MIME-type to assume by default (when we are unable to\n"
-"guess it properly from known information about the document)."
+"Document MIME-type to assume by default (when we are unable to guess it "
+"properly from known information about the document)."
 msgstr ""
 
 #: src/network/ssl/ssl.c:72 src/network/ssl/ssl.c:161
@@ -6167,8 +6172,8 @@ msgstr ""
 
 #: src/network/ssl/ssl.c:74
 msgid ""
-"Verify the peer's SSL certificate. Note that this\n"
-"needs extensive configuration of OpenSSL by the user."
+"Verify the peer's SSL certificate. Note that this needs extensive "
+"configuration of OpenSSL by the user."
 msgstr ""
 
 #: src/network/ssl/ssl.c:77
@@ -6182,8 +6187,8 @@ msgstr "Terminal opties"
 
 #: src/network/ssl/ssl.c:83
 msgid ""
-"Enable or not the sending of X509 client certificates\n"
-"to servers which request them."
+"Enable or not the sending of X509 client certificates to servers which "
+"request them."
 msgstr ""
 
 #: src/network/ssl/ssl.c:86
@@ -6193,16 +6198,15 @@ msgstr "geschatte tijd"
 
 #: src/network/ssl/ssl.c:88
 msgid ""
-"The location of a file containing the client certificate\n"
-"and unencrypted private key in PEM format. If unset, the\n"
-"file pointed to by the X509_CLIENT_CERT variable is used\n"
-"instead."
+"The location of a file containing the client certificate and unencrypted "
+"private key in PEM format. If unset, the file pointed to by the "
+"X509_CLIENT_CERT variable is used instead."
 msgstr ""
 
 #: src/network/ssl/ssl.c:163
 msgid ""
-"Verify the peer's SSL certificate.  If you enable\n"
-"this, set also \"Trusted CA file\"."
+"Verify the peer's SSL certificate.  If you enable this, set also \"Trusted "
+"CA file\"."
 msgstr ""
 
 #. The default value of the following option points to a file
@@ -6220,20 +6224,20 @@ msgstr "Overzetten"
 
 #: src/network/ssl/ssl.c:176
 msgid ""
-"The location of a file containing certificates of\n"
-"trusted certification authorities in PEM format.\n"
-"ELinks then trusts certificates issued by these CAs.\n"
-"If you change this option or the file, you must\n"
-"restart ELinks for the changes to take effect.\n"
-"This option affects GnuTLS but not OpenSSL."
+"The location of a file containing certificates of trusted certification "
+"authorities in PEM format. ELinks then trusts certificates issued by these "
+"CAs.\n"
+"\n"
+"If you change this option or the file, you must restart ELinks for the "
+"changes to take effect. This option affects GnuTLS but not OpenSSL."
 msgstr ""
 
 #. name:
-#: src/network/ssl/ssl.c:199 src/network/ssl/ssl.c:216
+#: src/network/ssl/ssl.c:200 src/network/ssl/ssl.c:217
 msgid "SSL"
 msgstr ""
 
-#: src/network/ssl/ssl.c:201
+#: src/network/ssl/ssl.c:202
 #, fuzzy
 msgid "SSL options."
 msgstr "Options op~slaan"
@@ -6570,7 +6574,7 @@ msgstr "Geef gebruikersnaam voor "
 msgid "Login"
 msgstr "Gebruikers ID"
 
-#: src/protocol/auth/dialogs.c:113 src/protocol/http/http.c:140
+#: src/protocol/auth/dialogs.c:113 src/protocol/http/http.c:142
 msgid "Password"
 msgstr "Paswoord"
 
@@ -6647,7 +6651,7 @@ msgstr "Bladwijzer beheer"
 
 #. name:
 #: src/protocol/bittorrent/bittorrent.c:26
-#: src/protocol/bittorrent/bittorrent.c:335
+#: src/protocol/bittorrent/bittorrent.c:339
 msgid "BitTorrent"
 msgstr ""
 
@@ -6702,9 +6706,8 @@ msgstr ""
 
 #: src/protocol/bittorrent/bittorrent.c:57
 msgid ""
-"Whether to request that the tracker returns peer info\n"
-"in compact format. Note, the compact format only supports\n"
-"IPv4 addresses."
+"Whether to request that the tracker returns peer info in compact format. "
+"Note, the compact format only supports IPv4 addresses."
 msgstr ""
 
 #: src/protocol/bittorrent/bittorrent.c:61
@@ -6713,57 +6716,55 @@ msgstr ""
 
 #: src/protocol/bittorrent/bittorrent.c:63
 msgid ""
-"The number of seconds to wait between periodically contacting\n"
-"the tracker for announcing progress and requesting more peers.\n"
-"Set to zero to use the interval requested by the tracker."
+"The number of seconds to wait between periodically contacting the tracker "
+"for announcing progress and requesting more peers. Set to zero to use the "
+"interval requested by the tracker."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:67
+#: src/protocol/bittorrent/bittorrent.c:68
 msgid "IP-address to announce"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:69
+#: src/protocol/bittorrent/bittorrent.c:70
 msgid ""
-"What IP address to report to the tracker. If set to \"\"\n"
-"no IP address will be sent and the tracker will automatically\n"
-"determine an appropriate IP address."
+"What IP address to report to the tracker. If set to \"\" no IP address will "
+"be sent and the tracker will automatically determine an appropriate IP "
+"address."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:73
+#: src/protocol/bittorrent/bittorrent.c:74
 #, fuzzy
 msgid "User identification string"
 msgstr "Terminal opties"
 
-#: src/protocol/bittorrent/bittorrent.c:75
+#: src/protocol/bittorrent/bittorrent.c:76
 msgid ""
-"An additional identification that is not shared with any users.\n"
-"It is intended to allow a client to prove their identity should\n"
-"their IP address change. It is an optional parameter, but some\n"
-"trackers require this parameter. If set to \"\" no user key will\n"
-"be sent to the tracker."
+"An additional identification that is not shared with any users. It is "
+"intended to allow a client to prove their identity should their IP address "
+"change. It is an optional parameter, but some trackers require this "
+"parameter. If set to \"\" no user key will be sent to the tracker."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:81
+#: src/protocol/bittorrent/bittorrent.c:82
 #, fuzzy
 msgid "Maximum number of peers to request"
 msgstr "Verbinding maken"
 
-#: src/protocol/bittorrent/bittorrent.c:83
+#: src/protocol/bittorrent/bittorrent.c:84
 msgid ""
-"The maximum number of peers to request from the tracker.\n"
-"Set to 0 to use the server default."
+"The maximum number of peers to request from the tracker. Set to 0 to use the "
+"server default."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:86
+#: src/protocol/bittorrent/bittorrent.c:87
 msgid "Minimum peers to skip rerequesting"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:88
+#: src/protocol/bittorrent/bittorrent.c:89
 msgid ""
-"The minimum number of peers to have in the current peer info\n"
-"pool before skipping requesting of more peers. I.e. setting\n"
-"numwant to zero.\n"
-"Set to 0 to not have any limit."
+"The minimum number of peers to have in the current peer info pool before "
+"skipping requesting of more peers. I.e. setting numwant to zero. Set to 0 to "
+"not have any limit."
 msgstr ""
 
 #. ******************************************************************
@@ -6784,182 +6785,177 @@ msgstr "Verbinding maken"
 
 #: src/protocol/bittorrent/bittorrent.c:104
 msgid ""
-"The maximum number of allowed connections to both active and\n"
-"non-active peers. By increasing the number of allowed connections,\n"
-"the chance of finding good peers to download from is increased.\n"
-"However, too many connections can lead to TCP congestion. If the\n"
-"maximum is reached all new incoming connections will be closed."
+"The maximum number of allowed connections to both active and non-active "
+"peers. By increasing the number of allowed connections, the chance of "
+"finding good peers to download from is increased. However, too many "
+"connections can lead to TCP congestion. If the maximum is reached all new "
+"incoming connections will be closed."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:110
+#: src/protocol/bittorrent/bittorrent.c:111
 msgid "Maximum peer message length"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:112
+#: src/protocol/bittorrent/bittorrent.c:113
 msgid ""
-"The maximum length of messages to accept over the wire.\n"
-"Larger values will cause the connection to be dropped."
+"The maximum length of messages to accept over the wire. Larger values will "
+"cause the connection to be dropped."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:115
+#: src/protocol/bittorrent/bittorrent.c:116
 msgid "Maximum allowed request length"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:117
+#: src/protocol/bittorrent/bittorrent.c:118
 msgid ""
-"The maximum length to allow for incoming requests.\n"
-"Larger requests will cause the connection to be dropped."
+"The maximum length to allow for incoming requests. Larger requests will "
+"cause the connection to be dropped."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:120
+#: src/protocol/bittorrent/bittorrent.c:121
 msgid "Length of requests"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:122
+#: src/protocol/bittorrent/bittorrent.c:123
 msgid ""
-"How many bytes to query for per request. This is complementary\n"
-"to the max_request_length option. If the configured length is\n"
-"bigger than the piece length it will be truncated."
+"How many bytes to query for per request. This is complementary to the "
+"max_request_length option. If the configured length is bigger than the piece "
+"length it will be truncated."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:126
+#: src/protocol/bittorrent/bittorrent.c:128
 #, fuzzy
 msgid "Peer inactivity timeout"
 msgstr "Onvangst buiten tijd"
 
-#: src/protocol/bittorrent/bittorrent.c:128
+#: src/protocol/bittorrent/bittorrent.c:130
 msgid ""
-"The number of seconds to wait before closing a socket on\n"
-"which nothing has been received or sent."
+"The number of seconds to wait before closing a socket on which nothing has "
+"been received or sent."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:131
+#: src/protocol/bittorrent/bittorrent.c:133
 #, fuzzy
 msgid "Maximum peer pool size"
 msgstr "Verbinding maken"
 
-#: src/protocol/bittorrent/bittorrent.c:133
+#: src/protocol/bittorrent/bittorrent.c:135
 msgid ""
-"Maximum number of items in the peer pool. The peer pool\n"
-"contains information used for establishing connections to\n"
-"new peers.\n"
+"Maximum number of items in the peer pool. The peer pool contains information "
+"used for establishing connections to new peers.\n"
+"\n"
 "Set to 0 to have unlimited size."
 msgstr ""
 
 #. ******************************************************************
 #. Piece management options:
 #. ******************************************************************
-#: src/protocol/bittorrent/bittorrent.c:143
+#: src/protocol/bittorrent/bittorrent.c:146
 #, fuzzy
 msgid "Maximum piece cache size"
 msgstr "Verbinding maken"
 
-#: src/protocol/bittorrent/bittorrent.c:145
+#: src/protocol/bittorrent/bittorrent.c:148
 msgid ""
-"The maximum amount of memory used to hold recently\n"
-"downloaded pieces.\n"
+"The maximum amount of memory used to hold recently downloaded pieces.\n"
+"\n"
 "Set to 0 to have unlimited size."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:154
+#: src/protocol/bittorrent/bittorrent.c:158
 msgid "Sharing rate"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:156
+#: src/protocol/bittorrent/bittorrent.c:160
 msgid ""
-"The minimum sharing rate to achieve before stop seeding.\n"
-"The sharing rate is computed as the number of uploaded bytes\n"
-"divided with the number of downloaded bytes. The value should\n"
-"be a double value between 0.0 and 1.0 both included.\n"
-"Set to 1.0 to atleast upload a complete copy of all data and\n"
+"The minimum sharing rate to achieve before stop seeding. The sharing rate is "
+"computed as the number of uploaded bytes divided with the number of "
+"downloaded bytes. The value should be a double value between 0.0 and 1.0 "
+"both included. Set to 1.0 to atleast upload a complete copy of all data and "
 "set to 0.0 to have unlimited sharing rate."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:163
+#: src/protocol/bittorrent/bittorrent.c:167
 msgid "Maximum number of uploads"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:165
+#: src/protocol/bittorrent/bittorrent.c:169
 msgid "The maximum number of uploads to allow at once."
 msgstr ""
 
 #. The number of uploads to fill out to with extra optimistic unchokes
-#: src/protocol/bittorrent/bittorrent.c:168
+#: src/protocol/bittorrent/bittorrent.c:172
 msgid "Minimum number of uploads"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:170
+#: src/protocol/bittorrent/bittorrent.c:174
 msgid ""
-"The minimum number of uploads which should at least\n"
-"be used for new connections."
+"The minimum number of uploads which should at least be used for new "
+"connections."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:174
+#: src/protocol/bittorrent/bittorrent.c:178
 #, fuzzy
 msgid "Keepalive interval"
 msgstr "Fout bij opslaan"
 
-#: src/protocol/bittorrent/bittorrent.c:176
-msgid ""
-"The number of seconds to pause between sending keepalive\n"
-"messages."
+#: src/protocol/bittorrent/bittorrent.c:180
+msgid "The number of seconds to pause between sending keepalive messages."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:179
+#: src/protocol/bittorrent/bittorrent.c:183
 #, fuzzy
 msgid "Number of pending requests"
 msgstr "Server verwerkt verzoek"
 
-#: src/protocol/bittorrent/bittorrent.c:181
+#: src/protocol/bittorrent/bittorrent.c:185
 msgid ""
-"How many piece requests to continuously keep in queue. Pipelining\n"
-"of requests is essential to saturate connections and get a good\n"
-"connection performance and thus a faster download. However, a\n"
-"very big queue size can lead to wasting bandwidth near the end\n"
-"of the connection since remaining piece blocks will be requested\n"
-"from multiple peers."
+"How many piece requests to continuously keep in queue. Pipelining of "
+"requests is essential to saturate connections and get a good connection "
+"performance and thus a faster download. However, a very big queue size can "
+"lead to wasting bandwidth near the end of the connection since remaining "
+"piece blocks will be requested from multiple peers."
 msgstr ""
 
 #. Bram uses 30 seconds here.
-#: src/protocol/bittorrent/bittorrent.c:190
+#: src/protocol/bittorrent/bittorrent.c:194
 msgid "Peer snubbing interval"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:192
+#: src/protocol/bittorrent/bittorrent.c:196
 msgid ""
-"The number of seconds to wait for file data before assuming\n"
-"the peer has been snubbed."
+"The number of seconds to wait for file data before assuming the peer has "
+"been snubbed."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:195
+#: src/protocol/bittorrent/bittorrent.c:199
 #, fuzzy
 msgid "Peer choke interval"
 msgstr "Fout bij opslaan"
 
-#: src/protocol/bittorrent/bittorrent.c:197
+#: src/protocol/bittorrent/bittorrent.c:201
 msgid ""
-"The number of seconds between updating the connection state\n"
-"and most importantly choke and unchoke peer connections. The\n"
-"choke period should be big enough for newly unchoked connections\n"
-"to get started but small enough to not allow freeriders too much\n"
-"room for stealing bandwidth."
+"The number of seconds between updating the connection state and most "
+"importantly choke and unchoke peer connections. The choke period should be "
+"big enough for newly unchoked connections to get started but small enough to "
+"not allow freeriders too much room for stealing bandwidth."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:203
+#: src/protocol/bittorrent/bittorrent.c:207
 msgid "Rarest first piece selection cutoff"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:205
+#: src/protocol/bittorrent/bittorrent.c:209
 msgid ""
-"The number of pieces to obtain before switching piece\n"
-"selection strategy from random to rarest first."
+"The number of pieces to obtain before switching piece selection strategy "
+"from random to rarest first."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:208 src/protocol/http/http.c:109
+#: src/protocol/bittorrent/bittorrent.c:212 src/protocol/http/http.c:109
 msgid "Allow blacklisting"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:210
+#: src/protocol/bittorrent/bittorrent.c:214
 msgid "Allow blacklisting of buggy peers."
 msgstr ""
 
@@ -6995,7 +6991,7 @@ msgstr "Bestand"
 msgid "Comment"
 msgstr "documenten"
 
-#: src/protocol/bittorrent/dialogs.c:229 src/session/download.c:362
+#: src/protocol/bittorrent/dialogs.c:229 src/session/download.c:388
 #, fuzzy, c-format
 msgid ""
 "Download complete:\n"
@@ -7163,7 +7159,7 @@ msgid_plural "%u unavailable"
 msgstr[0] "FTP service niet beschikbaar"
 msgstr[1] "FTP service niet beschikbaar"
 
-#: src/protocol/bittorrent/dialogs.c:584 src/session/session.c:278
+#: src/protocol/bittorrent/dialogs.c:584 src/session/session.c:279
 #, fuzzy, c-format
 msgid "Unable to retrieve %s"
 msgstr "Niet mogelijk om naar het configuratiebestand te schrijven"
@@ -7178,7 +7174,7 @@ msgstr ""
 msgid "Information about the torrent"
 msgstr "Download afbeeldin~g"
 
-#: src/protocol/bittorrent/dialogs.c:776 src/session/download.c:1106
+#: src/protocol/bittorrent/dialogs.c:776 src/session/download.c:1132
 msgid "What to do?"
 msgstr "Wat wil je doen?"
 
@@ -7189,13 +7185,13 @@ msgid "Down~load"
 msgstr "Download"
 
 #. accelerator_context(src/protocol/bittorrent/dialogs.c:bittorrent_query_callback, src/session/download.c:do_type_query)
-#: src/protocol/bittorrent/dialogs.c:804 src/session/download.c:1209
+#: src/protocol/bittorrent/dialogs.c:804 src/session/download.c:1235
 #, fuzzy
 msgid "~Display"
 msgstr "Weergeven"
 
 #. accelerator_context(src/protocol/bittorrent/dialogs.c:bittorrent_query_callback, src/session/download.c:do_type_query)
-#: src/protocol/bittorrent/dialogs.c:808 src/session/download.c:1213
+#: src/protocol/bittorrent/dialogs.c:808 src/session/download.c:1239
 msgid "Show ~header"
 msgstr ""
 
@@ -7213,16 +7209,16 @@ msgstr "Geen programma gespecificieerd v
 msgid "Colon separated list of directories, where CGI scripts are stored."
 msgstr ""
 
-#: src/protocol/file/cgi.c:47
+#: src/protocol/file/cgi.c:48
 msgid "Allow local CGI"
 msgstr ""
 
-#: src/protocol/file/cgi.c:49
+#: src/protocol/file/cgi.c:50
 msgid "Whether to execute local CGI scripts."
 msgstr ""
 
 #. name:
-#: src/protocol/file/cgi.c:54
+#: src/protocol/file/cgi.c:55
 msgid "CGI"
 msgstr ""
 
@@ -7241,9 +7237,8 @@ msgstr ""
 
 #: src/protocol/file/file.c:46
 msgid ""
-"Whether to allow reading from non-regular files.\n"
-"Note this can be dangerous; reading /dev/urandom or\n"
-"/dev/zero can ruin your day!"
+"Whether to allow reading from non-regular files. Note this can be dangerous; "
+"reading /dev/urandom or /dev/zero can ruin your day!"
 msgstr ""
 
 #: src/protocol/file/file.c:50
@@ -7252,8 +7247,8 @@ msgstr ""
 
 #: src/protocol/file/file.c:52
 msgid ""
-"When set to false, files with name starting with a dot will be\n"
-"hidden in local directory listings."
+"When set to false, files with name starting with a dot will be hidden in "
+"local directory listings."
 msgstr ""
 
 #: src/protocol/file/file.c:55
@@ -7263,13 +7258,13 @@ msgstr "Geen extensies"
 
 #: src/protocol/file/file.c:57
 msgid ""
-"When set, if we can't open a file named 'filename', we'll try\n"
-"to open 'filename' with some encoding extension appended\n"
-"(ie. 'filename.gz'); it depends on the supported encodings."
+"When set, if we can't open a file named 'filename', we'll try to open "
+"'filename' with some encoding extension appended (ie. 'filename.gz'); it "
+"depends on the supported encodings."
 msgstr ""
 
 #. name:
-#: src/protocol/file/file.c:65
+#: src/protocol/file/file.c:66
 #, fuzzy
 msgid "File"
 msgstr "Bestand"
@@ -7299,7 +7294,7 @@ msgid "Whether to sort entries in direct
 msgstr ""
 
 #. name:
-#: src/protocol/ftp/ftp.c:56 src/protocol/ftp/ftp.c:86
+#: src/protocol/ftp/ftp.c:56 src/protocol/ftp/ftp.c:89
 msgid "FTP"
 msgstr ""
 
@@ -7307,8 +7302,8 @@ msgstr ""
 msgid "FTP specific options."
 msgstr ""
 
-#: src/protocol/ftp/ftp.c:60 src/protocol/http/http.c:127
-#: src/protocol/http/http.c:209
+#: src/protocol/ftp/ftp.c:60 src/protocol/http/http.c:128
+#: src/protocol/http/http.c:235
 msgid "Proxy configuration"
 msgstr ""
 
@@ -7316,39 +7311,39 @@ msgstr ""
 msgid "FTP proxy configuration."
 msgstr ""
 
-#: src/protocol/ftp/ftp.c:64 src/protocol/http/http.c:131
-#: src/protocol/http/http.c:213
+#: src/protocol/ftp/ftp.c:64 src/protocol/http/http.c:132
+#: src/protocol/http/http.c:239
 #, fuzzy
 msgid "Host and port-number"
 msgstr "Onjuist nummer"
 
 #: src/protocol/ftp/ftp.c:66
 msgid ""
-"Host and port-number (host:port) of the FTP proxy, or blank.\n"
-"If it's blank, FTP_PROXY environment variable is checked as well."
+"Host and port-number (host:port) of the FTP proxy, or blank. If it's blank, "
+"FTP_PROXY environment variable is checked as well."
 msgstr ""
 
-#: src/protocol/ftp/ftp.c:69
+#: src/protocol/ftp/ftp.c:70
 msgid "Anonymous password"
 msgstr ""
 
-#: src/protocol/ftp/ftp.c:71
+#: src/protocol/ftp/ftp.c:72
 msgid "FTP anonymous password to be sent."
 msgstr ""
 
-#: src/protocol/ftp/ftp.c:73
+#: src/protocol/ftp/ftp.c:74
 msgid "Use passive mode (IPv4)"
 msgstr ""
 
-#: src/protocol/ftp/ftp.c:75
+#: src/protocol/ftp/ftp.c:76
 msgid "Use PASV instead of PORT (passive vs active mode, IPv4 only)."
 msgstr ""
 
-#: src/protocol/ftp/ftp.c:77
+#: src/protocol/ftp/ftp.c:79
 msgid "Use passive mode (IPv6)"
 msgstr ""
 
-#: src/protocol/ftp/ftp.c:79
+#: src/protocol/ftp/ftp.c:81
 msgid "Use EPSV instead of EPRT (passive vs active mode, IPv6 only)."
 msgstr ""
 
@@ -7375,7 +7370,7 @@ msgid ""
 msgstr ""
 
 #. name:
-#: src/protocol/http/http.c:95 src/protocol/http/http.c:223
+#: src/protocol/http/http.c:95 src/protocol/http/http.c:250
 msgid "HTTP"
 msgstr ""
 
@@ -7397,8 +7392,8 @@ msgstr ""
 
 #: src/protocol/http/http.c:106
 msgid ""
-"The Accept-Charset header is quite long and sending it can trigger\n"
-"bugs in some rarely found servers."
+"The Accept-Charset header is quite long and sending it can trigger bugs in "
+"some rarely found servers."
 msgstr ""
 
 #: src/protocol/http/http.c:111
@@ -7411,69 +7406,69 @@ msgstr ""
 
 #: src/protocol/http/http.c:115
 msgid ""
-"Broken 302 redirect (violates RFC but compatible with Netscape).\n"
-"This is a problem for a lot of web discussion boards and the like.\n"
-"If they will do strange things to you, try to play with this."
+"Broken 302 redirect (violates RFC but compatible with Netscape). This is a "
+"problem for a lot of web discussion boards and the like. If they will do "
+"strange things to you, try to play with this."
 msgstr ""
 
-#: src/protocol/http/http.c:119
+#: src/protocol/http/http.c:120
 msgid "No keepalive after POST requests"
 msgstr ""
 
-#: src/protocol/http/http.c:121
+#: src/protocol/http/http.c:122
 msgid "Disable keepalive connection after POST request."
 msgstr ""
 
-#: src/protocol/http/http.c:123
+#: src/protocol/http/http.c:124
 msgid "Use HTTP/1.0"
 msgstr ""
 
-#: src/protocol/http/http.c:125
+#: src/protocol/http/http.c:126
 msgid "Use HTTP/1.0 protocol instead of HTTP/1.1."
 msgstr ""
 
-#: src/protocol/http/http.c:129
+#: src/protocol/http/http.c:130
 msgid "HTTP proxy configuration."
 msgstr ""
 
-#: src/protocol/http/http.c:133
+#: src/protocol/http/http.c:134
 msgid ""
-"Host and port-number (host:port) of the HTTP proxy, or blank.\n"
-"If it's blank, HTTP_PROXY environment variable is checked as well."
+"Host and port-number (host:port) of the HTTP proxy, or blank. If it's blank, "
+"HTTP_PROXY environment variable is checked as well."
 msgstr ""
 
-#: src/protocol/http/http.c:136
+#: src/protocol/http/http.c:138
 #, fuzzy
 msgid "Username"
 msgstr "naam"
 
-#: src/protocol/http/http.c:138
+#: src/protocol/http/http.c:140
 msgid "Proxy authentication username."
 msgstr ""
 
-#: src/protocol/http/http.c:142
+#: src/protocol/http/http.c:144
 msgid "Proxy authentication password."
 msgstr ""
 
-#: src/protocol/http/http.c:145
+#: src/protocol/http/http.c:147
 msgid "Referer sending"
 msgstr ""
 
-#: src/protocol/http/http.c:147
+#: src/protocol/http/http.c:149
 msgid ""
-"HTTP referer sending options. HTTP referer is a special header\n"
-"sent in the HTTP requests, which is supposed to contain the previous\n"
-"page visited by the browser. This way, the server can know what link\n"
-"did you follow when accessing that page. However, this behaviour\n"
-"can unfortunately considerably affect privacy and can lead even to a\n"
-"security problem on some badly designed web pages."
+"HTTP referer sending options. HTTP referer is a special header sent in the "
+"HTTP requests, which is supposed to contain the previous page visited by the "
+"browser.This way, the server can know what link did you follow when "
+"accessing that page. However, this behaviour can unfortunately considerably "
+"affect privacy and can lead even to a security problem on some badly "
+"designed web pages."
 msgstr ""
 
-#: src/protocol/http/http.c:154
+#: src/protocol/http/http.c:157
 msgid "Policy"
 msgstr ""
 
-#: src/protocol/http/http.c:157
+#: src/protocol/http/http.c:160
 msgid ""
 "Mode of sending HTTP referer:\n"
 "0 is send no referer\n"
@@ -7482,90 +7477,110 @@ msgid ""
 "3 is send previous URL as referer (correct, but insecure)"
 msgstr ""
 
-#: src/protocol/http/http.c:163
+#: src/protocol/http/http.c:166
 msgid "Fake referer URL"
 msgstr ""
 
-#: src/protocol/http/http.c:165
+#: src/protocol/http/http.c:168
 msgid "Fake referer to be sent when policy is 2."
 msgstr ""
 
-#: src/protocol/http/http.c:168
+#: src/protocol/http/http.c:171
 msgid "Send Accept-Language header"
 msgstr ""
 
-#: src/protocol/http/http.c:170
+#: src/protocol/http/http.c:173
 msgid "Send Accept-Language header."
 msgstr ""
 
-#: src/protocol/http/http.c:172
+#: src/protocol/http/http.c:175
 msgid "Use UI language as Accept-Language"
 msgstr ""
 
-#: src/protocol/http/http.c:174
+#: src/protocol/http/http.c:177
 msgid ""
-"Request localised versions of documents from web-servers (using the\n"
-"Accept-Language header) using the language you have configured for\n"
-"ELinks' user-interface (this also affects navigator.language ECMAScript\n"
-"value available to scripts). Note that some see this as a potential\n"
-"security risk because it tells web-masters and the FBI sniffers about\n"
-"your language preference."
+"Request localised versions of documents from web-servers (using the Accept-"
+"Language header) using the language you have configured for ELinks' user-"
+"interface (this also affects navigator.language ECMAScript value available "
+"to scripts). Note that some see this as a potential security risk because it "
+"tells web-masters and the FBI sniffers about your language preference."
+msgstr ""
+
+#. After the compression support has been tested enough,
+#. * we might wrap this option in #if CFG_DEBUG.
+#: src/protocol/http/http.c:187
+msgid "Enable on-the-fly compression"
 msgstr ""
 
-#: src/protocol/http/http.c:181
+#: src/protocol/http/http.c:189
+msgid ""
+"If enabled, the capability to receive compressed content (gzip and/or bzip2) "
+"is announced to the server, which usually sends the reply compressed, thus "
+"saving some bandwidth at slight CPU expense.\n"
+"\n"
+"If ELinks displays a incomplete page or garbage, try disabling this option. "
+"If that helps, there may be a bug in the decompression part of ELinks. "
+"Please report such bugs.\n"
+"\n"
+"If ELinks has been compiled without compression support, this option has no "
+"effect. To check the supported features, see Help -> About."
+msgstr ""
+
+#: src/protocol/http/http.c:202
 msgid "Activate HTTP TRACE debugging"
 msgstr ""
 
-#: src/protocol/http/http.c:183
+#: src/protocol/http/http.c:204
 msgid ""
-"If active, all HTTP requests are sent with TRACE as their method\n"
-"rather than GET or POST. This is useful for debugging of both ELinks\n"
-"and various server-side scripts --- the server only returns the client's\n"
-"request back to the client verbatim. Note that this type of request may\n"
-"not be enabled on all servers."
+"If active, all HTTP requests are sent with TRACE as their method rather than "
+"GET or POST. This is useful for debugging of both ELinks and various server-"
+"side scripts --- the server only returns the client's request back to the "
+"client verbatim. Note that this type of request may not be enabled on all "
+"servers."
 msgstr ""
 
 #. OSNews.com is supposed to be relying on the textmode token, at least.
-#: src/protocol/http/http.c:190
+#: src/protocol/http/http.c:212
 msgid "User-agent identification"
 msgstr ""
 
-#: src/protocol/http/http.c:192
+#: src/protocol/http/http.c:214
 msgid ""
-"Change the User Agent ID. That means identification string, which\n"
-"is sent to HTTP server when a document is requested. The 'textmode'\n"
-"token in the first field is our silent attempt to establish this as\n"
-"a standard for new textmode user agents, so that the webmasters can\n"
-"have just a single uniform test for these if they are e.g. pushing\n"
-"some lite version to them automagically.\n"
+"Change the User Agent ID. That means identification string, which is sent to "
+"HTTP server when a document is requested. The 'textmode' token in the first "
+"field is our silent attempt to establish this as a standard for new textmode "
+"user agents, so that the webmasters can have just a single uniform test for "
+"these if they are e.g. pushing some lite version to them automagically.\n"
+"\n"
 "Use \" \" if you don't want any User-Agent header to be sent at all.\n"
+"\n"
 "%v in the string means ELinks version,\n"
 "%s in the string means system identification,\n"
 "%t in the string means size of the terminal,\n"
 "%b in the string means number of bars displayed by ELinks."
 msgstr ""
 
-#: src/protocol/http/http.c:205
+#: src/protocol/http/http.c:231
 msgid "HTTPS"
 msgstr ""
 
-#: src/protocol/http/http.c:207
+#: src/protocol/http/http.c:233
 #, fuzzy
 msgid "HTTPS-specific options."
 msgstr "Geen programma gespecificieerd voor"
 
-#: src/protocol/http/http.c:211
+#: src/protocol/http/http.c:237
 msgid "HTTPS proxy configuration."
 msgstr ""
 
-#: src/protocol/http/http.c:215
+#: src/protocol/http/http.c:241
 msgid ""
-"Host and port-number (host:port) of the HTTPS CONNECT proxy, or blank.\n"
-"If it's blank, HTTPS_PROXY environment variable is checked as well."
+"Host and port-number (host:port) of the HTTPS CONNECT proxy, or blank. If "
+"it's blank, HTTPS_PROXY environment variable is checked as well."
 msgstr ""
 
 #. name:
-#: src/protocol/nntp/nntp.c:32 src/protocol/nntp/nntp.c:65
+#: src/protocol/nntp/nntp.c:32 src/protocol/nntp/nntp.c:66
 msgid "NNTP"
 msgstr ""
 
@@ -7580,19 +7595,19 @@ msgstr ""
 
 #: src/protocol/nntp/nntp.c:38
 msgid ""
-"Used when resolving news: URIs. If set to the empty string\n"
-"the value of the NNTPSERVER environment variable will be used."
+"Used when resolving news: URIs. If set to the empty string the value of the "
+"NNTPSERVER environment variable will be used."
 msgstr ""
 
-#: src/protocol/nntp/nntp.c:41
+#: src/protocol/nntp/nntp.c:42
 msgid "Message header entries"
 msgstr ""
 
-#: src/protocol/nntp/nntp.c:43
+#: src/protocol/nntp/nntp.c:44
 msgid ""
-"Comma separated list of which entries in the article header\n"
-"to show. E.g. 'Subject' and 'From'.\n"
-"All header entries can be read in the header info dialog."
+"Comma separated list of which entries in the article header to show. E.g. "
+"'Subject' and 'From'. All header entries can be read in the header info "
+"dialog."
 msgstr ""
 
 #: src/protocol/protocol.c:242
@@ -7614,10 +7629,9 @@ msgstr ""
 
 #: src/protocol/protocol.c:279
 msgid ""
-"Comma separated list of domains for which the proxy (HTTP/FTP)\n"
-"should be disabled. Optionally, a port can be specified for some\n"
-"domains as well. If it's blank, NO_PROXY environment variable is\n"
-"checked as well."
+"Comma separated list of domains for which the proxy (HTTP/FTP) should be "
+"disabled. Optionally, a port can be specified for some domains as well. If "
+"it's blank, NO_PROXY environment variable is checked as well."
 msgstr ""
 
 #. name:
@@ -7631,47 +7645,45 @@ msgstr ""
 
 #: src/protocol/rewrite/rewrite.c:46
 msgid ""
-"Rules for rewriting URIs entered in the goto dialog.\n"
-"It makes it possible to define a set of prefixes that will\n"
-"be expanded if they match a string entered in the goto dialog.\n"
-"The prefixes can be dumb, meaning that they work only like\n"
-"URI abbreviations, or smart ones, making it possible to pass\n"
+"Rules for rewriting URIs entered in the goto dialog. It makes it possible to "
+"define a set of prefixes that will be expanded if they match a string "
+"entered in the goto dialog. The prefixes can be dumb, meaning that they work "
+"only like URI abbreviations, or smart ones, making it possible to pass "
 "arguments to them like search engine keywords."
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:53
+#: src/protocol/rewrite/rewrite.c:54
 msgid "Enable dumb prefixes"
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:55
+#: src/protocol/rewrite/rewrite.c:56
 msgid ""
-"Enable dumb prefixes - simple URI abbreviations which can\n"
-"be written to the Goto URL dialog instead of actual URIs - i.e.\n"
-"if you write 'elinks' there, you are directed to\n"
-"http://elinks.cz/."
+"Enable dumb prefixes - simple URI abbreviations which can be written to the "
+"Goto URL dialog instead of actual URIs - i.e. if you write 'elinks' there, "
+"you are directed to http://elinks.cz/."
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:60
+#: src/protocol/rewrite/rewrite.c:61
 msgid "Enable smart prefixes"
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:62
+#: src/protocol/rewrite/rewrite.c:63
 msgid ""
-"Enable smart prefixes - URI templates triggered by writing\n"
-"given abbreviation to the Goto URL dialog followed by a list\n"
-"of arguments from which the actual URI is composed - i.e.\n"
-"'gg:search keywords' or 'gn search keywords for news'."
+"Enable smart prefixes - URI templates triggered by writing given "
+"abbreviation to the Goto URL dialog followed by a list of arguments from "
+"which the actual URI is composed - i.e. 'gg:search keywords' or 'gn search "
+"keywords for news'."
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:67
+#: src/protocol/rewrite/rewrite.c:69
 msgid "Dumb Prefixes"
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:69
+#: src/protocol/rewrite/rewrite.c:71
 msgid "Dumb prefixes, see enable-dumb description for details."
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:74
+#: src/protocol/rewrite/rewrite.c:76
 #, no-c-format
 msgid ""
 "Replacement URI for this dumbprefix:\n"
@@ -7679,15 +7691,15 @@ msgid ""
 "%% in the string means '%'"
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:78
+#: src/protocol/rewrite/rewrite.c:80
 msgid "Smart Prefixes"
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:80
+#: src/protocol/rewrite/rewrite.c:82
 msgid "Smart prefixes, see enable-smart description for details."
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:87
+#: src/protocol/rewrite/rewrite.c:90
 #, no-c-format
 msgid ""
 "Replacement URI for this smartprefix:\n"
@@ -7697,27 +7709,29 @@ msgid ""
 "%% in the string means '%'"
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:93
+#: src/protocol/rewrite/rewrite.c:96
 #, fuzzy
 msgid "Default template"
 msgstr "Invoeren document cache"
 
-#: src/protocol/rewrite/rewrite.c:96
+#: src/protocol/rewrite/rewrite.c:99
 #, no-c-format
 msgid ""
-"Default URI template used when the string entered in\n"
-"the goto dialog does not appear to be a URI or a filename\n"
-"(i.e. contains no '.', ':' or '/' characters), and does\n"
-"not match any defined prefixes. Set the value to \"\" to\n"
-"disable use of the default template rewrite rule.\n"
+"Default URI template used when the string entered in the goto dialog does "
+"not appear to be a URI or a filename (i.e. contains no '.', ':' or '/' "
+"characters), and does not match any defined prefixes. Set the value to \"\" "
+"to disable use of the default template rewrite rule.\n"
+"\n"
 "%c in the template means the current URL,\n"
-"%s in the template means the whole string from the goto dialog,\n"
-"%0,%1,...,%9 mean the 1st,2nd,...,10th space-delimited part of %s,\n"
+"%s in the template means the whole string from the goto\n"
+"   dialog,\n"
+"%0,%1,...,%9 mean the 1st,2nd,...,10th space-delimited part\n"
+"   of %s,\n"
 "%% in the template means '%'."
 msgstr ""
 
 #. name:
-#: src/protocol/rewrite/rewrite.c:372
+#: src/protocol/rewrite/rewrite.c:378
 msgid "URI rewrite"
 msgstr ""
 
@@ -7740,24 +7754,23 @@ msgid "Credentials file passed to smbcli
 msgstr ""
 
 #. name:
-#: src/protocol/user.c:34 src/protocol/user.c:84
+#: src/protocol/user.c:34 src/protocol/user.c:85
 msgid "User protocols"
 msgstr ""
 
 #: src/protocol/user.c:36
 msgid ""
-"User protocols. Options in this tree specify external\n"
-"handlers for the appropriate protocols. Ie.\n"
-"protocol.user.mailto.unix."
+"User protocols. Options in this tree specify external handlers for the "
+"appropriate protocols. Ie. protocol.user.mailto.unix."
 msgstr ""
 
 #: src/protocol/user.c:47
 msgid ""
-"Handler (external program) for this protocol. Name the\n"
-"options in this tree after your system (ie. unix, unix-xwin)."
+"Handler (external program) for this protocol. Name the options in this tree "
+"after your system (ie. unix, unix-xwin)."
 msgstr ""
 
-#: src/protocol/user.c:52
+#: src/protocol/user.c:53
 msgid ""
 "Handler (external program) for this protocol and system.\n"
 "%f in the string means file name to include form data from\n"
@@ -7768,11 +7781,11 @@ msgid ""
 "%u in the string means the whole URL"
 msgstr ""
 
-#: src/protocol/user.c:276
+#: src/protocol/user.c:277
 msgid "No program"
 msgstr "Geen programma"
 
-#: src/protocol/user.c:278
+#: src/protocol/user.c:279
 #, fuzzy, c-format
 msgid "No program specified for protocol %s."
 msgstr "Geen programma gespecificieerd voor"
@@ -7856,19 +7869,19 @@ msgstr ""
 msgid "Spidermonkey ECMAScript"
 msgstr ""
 
-#: src/session/download.c:233 src/session/download.c:330
-#: src/session/download.c:561 src/session/download.c:649
+#: src/session/download.c:256 src/session/download.c:356
+#: src/session/download.c:587 src/session/download.c:675
 msgid "Download error"
 msgstr "Download fout"
 
-#: src/session/download.c:234 src/session/download.c:650
+#: src/session/download.c:257 src/session/download.c:676
 #, fuzzy, c-format
 msgid ""
 "Could not create file '%s':\n"
 "%s"
 msgstr "Kan bestand niet aanmaken"
 
-#: src/session/download.c:331
+#: src/session/download.c:357
 #, fuzzy, c-format
 msgid ""
 "Error downloading %s:\n"
@@ -7876,17 +7889,17 @@ msgid ""
 "%s"
 msgstr "Fout met downloaden"
 
-#: src/session/download.c:562
+#: src/session/download.c:588
 #, c-format
 msgid "'%s' is a directory."
 msgstr ""
 
-#: src/session/download.c:596
+#: src/session/download.c:622
 #, fuzzy
 msgid "File exists"
 msgstr "Bestands ~extensie"
 
-#: src/session/download.c:597
+#: src/session/download.c:623
 #, c-format
 msgid ""
 "This file already exists:\n"
@@ -7897,51 +7910,51 @@ msgid ""
 msgstr ""
 
 #. accelerator_context(src/session/download.c:lookup_unique_name)
-#: src/session/download.c:604
+#: src/session/download.c:630
 msgid "Sa~ve under the alternative name"
 msgstr ""
 
 #. accelerator_context(src/session/download.c:lookup_unique_name)
-#: src/session/download.c:605
+#: src/session/download.c:631
 msgid "~Overwrite the original file"
 msgstr ""
 
 #. accelerator_context(src/session/download.c:lookup_unique_name)
-#: src/session/download.c:606
+#: src/session/download.c:632
 msgid "~Resume download of the original file"
 msgstr ""
 
-#: src/session/download.c:1109
+#: src/session/download.c:1135
 msgid "Unknown type"
 msgstr "Onbekend type"
 
-#: src/session/download.c:1134
+#: src/session/download.c:1160
 #, c-format
 msgid "What would you like to do with the file '%s' (type: %s%s%s)?"
 msgstr ""
 
-#: src/session/download.c:1137
+#: src/session/download.c:1163
 #, c-format
 msgid "What would you like to do with the file (type: %s%s%s)?"
 msgstr ""
 
-#: src/session/download.c:1165
+#: src/session/download.c:1191
 #, no-c-format
 msgid "Program ('%' will be replaced by the filename)"
 msgstr ""
 
-#: src/session/download.c:1169
+#: src/session/download.c:1195
 #, fuzzy
 msgid "Block the terminal"
 msgstr "~BeOS terminal"
 
-#: src/session/download.c:1175
+#: src/session/download.c:1201
 #, c-format
 msgid "The file will be opened with the program '%s'."
 msgstr ""
 
 #. accelerator_context(src/session/download.c:do_type_query)
-#: src/session/download.c:1196
+#: src/session/download.c:1222
 #, fuzzy
 msgid "~Open"
 msgstr "Openen"
@@ -7950,12 +7963,12 @@ msgstr "Openen"
 #. * and formatting it with "%u" is safe,
 #. * because fc_maxlength is smaller than
 #. * file.length, which is an int.
-#: src/session/session.c:761 src/session/session.c:780 src/session/task.c:275
-#: src/viewer/text/textarea.c:652
+#: src/session/session.c:771 src/session/session.c:790 src/session/task.c:275
+#: src/viewer/text/textarea.c:641
 msgid "Warning"
 msgstr "Waarschuwing"
 
-#: src/session/session.c:762
+#: src/session/session.c:772
 msgid ""
 "You have an empty string in protocol.http.user_agent - this was a default "
 "value in the past, substituted by default ELinks User-Agent string. However, "
@@ -7966,7 +7979,7 @@ msgid ""
 "will be used. Apologies for any inconvience caused."
 msgstr ""
 
-#: src/session/session.c:781
+#: src/session/session.c:791
 msgid ""
 "You have option config.saving_style set to a de facto obsolete value. The "
 "configuration saving algorithms of ELinks were changed from the last time "
@@ -7979,11 +7992,11 @@ msgid ""
 "caused."
 msgstr ""
 
-#: src/session/session.c:806
+#: src/session/session.c:816
 msgid "Welcome"
 msgstr "Welkom"
 
-#: src/session/session.c:807
+#: src/session/session.c:817
 #, fuzzy
 msgid ""
 "Welcome to ELinks!\n"
@@ -8035,22 +8048,22 @@ msgstr ""
 msgid "Warning: terminal name contains illicit chars."
 msgstr ""
 
-#: src/terminal/event.c:259
+#: src/terminal/event.c:258
 #, c-format
 msgid "Failed to create session."
 msgstr ""
 
-#: src/terminal/event.c:446
+#: src/terminal/event.c:443
 #, c-format
 msgid "Bad event %d"
 msgstr ""
 
-#: src/terminal/event.c:486
+#: src/terminal/event.c:483
 #, fuzzy, c-format
 msgid "Could not read event: %d (%s)"
 msgstr "Kan bestand niet aanmaken"
 
-#: src/terminal/kbd.c:1187
+#: src/terminal/kbd.c:1210
 #, c-format
 msgid "Too many bytes read from the itrm!"
 msgstr ""
@@ -8129,207 +8142,207 @@ msgstr "Geen frames"
 msgid "The requested fragment \"%s\" doesn't exist."
 msgstr ""
 
-#: src/viewer/text/form.c:1092
+#: src/viewer/text/form.c:1118
 msgid "Error while posting form"
 msgstr "Fout bij versturen furmulier"
 
-#: src/viewer/text/form.c:1093
+#: src/viewer/text/form.c:1119
 #, fuzzy, c-format
 msgid "Could not load file %s: %s"
 msgstr "Kan bestand niet krijgen"
 
-#: src/viewer/text/form.c:1847
+#: src/viewer/text/form.c:1876
 #, fuzzy
 msgid "Reset form"
 msgstr "~Resetten formulier"
 
-#: src/viewer/text/form.c:1849
+#: src/viewer/text/form.c:1878
 msgid "Harmless button"
 msgstr ""
 
-#: src/viewer/text/form.c:1857
+#: src/viewer/text/form.c:1886
 msgid "Submit form to"
 msgstr "Aanbieden formulier aan"
 
-#: src/viewer/text/form.c:1858
+#: src/viewer/text/form.c:1887
 msgid "Post form to"
 msgstr "Verzend formulier naar"
 
-#: src/viewer/text/form.c:1860
+#: src/viewer/text/form.c:1889
 msgid "Radio button"
 msgstr "Radio knop"
 
-#: src/viewer/text/form.c:1864
+#: src/viewer/text/form.c:1893
 msgid "Select field"
 msgstr "Selecteer veld"
 
-#: src/viewer/text/form.c:1868
+#: src/viewer/text/form.c:1897
 msgid "Text area"
 msgstr "Tekstgebied"
 
-#: src/viewer/text/form.c:1870
+#: src/viewer/text/form.c:1899
 msgid "File upload"
 msgstr "Bestand upload"
 
-#: src/viewer/text/form.c:1872
+#: src/viewer/text/form.c:1901
 msgid "Password field"
 msgstr "Paswoordveld"
 
-#: src/viewer/text/form.c:1910
+#: src/viewer/text/form.c:1939
 msgid "name"
 msgstr "naam"
 
-#: src/viewer/text/form.c:1922
+#: src/viewer/text/form.c:1951
 msgid "value"
 msgstr "waarde"
 
-#: src/viewer/text/form.c:1935
+#: src/viewer/text/form.c:1964
 msgid "read only"
 msgstr ""
 
-#: src/viewer/text/form.c:1946
+#: src/viewer/text/form.c:1975
 #, c-format
 msgid "press %s to navigate"
 msgstr ""
 
-#: src/viewer/text/form.c:1948
+#: src/viewer/text/form.c:1977
 #, c-format
 msgid "press %s to edit"
 msgstr ""
 
-#: src/viewer/text/form.c:1984
+#: src/viewer/text/form.c:2013
 #, fuzzy, c-format
 msgid "press %s to submit to %s"
 msgstr "Aanbieden aan"
 
-#: src/viewer/text/form.c:1986
+#: src/viewer/text/form.c:2015
 #, fuzzy, c-format
 msgid "press %s to post to %s"
 msgstr "Aanbieden aan"
 
-#: src/viewer/text/form.c:2088
+#: src/viewer/text/form.c:2117
 msgid "Useless button"
 msgstr ""
 
-#: src/viewer/text/form.c:2090
+#: src/viewer/text/form.c:2119
 #, fuzzy
 msgid "Submit button"
 msgstr "Aanbieden formulier aan"
 
 #. accelerator_context(link_menu.map)
-#: src/viewer/text/link.c:1281
+#: src/viewer/text/link.c:1280
 msgid "Display ~usemap"
 msgstr "Geef ~usemap weer"
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1286
+#: src/viewer/text/link.c:1285
 msgid "~Follow link"
 msgstr "Volg link"
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1288
+#: src/viewer/text/link.c:1287
 msgid "Follow link and r~eload"
 msgstr ""
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1292
+#: src/viewer/text/link.c:1291
 msgid "Open in new ~window"
 msgstr "Openen in nieuw venster"
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1294
+#: src/viewer/text/link.c:1293
 #, fuzzy
 msgid "Open in new ~tab"
 msgstr "Openen in nieuw venster"
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1296
+#: src/viewer/text/link.c:1295
 #, fuzzy
 msgid "Open in new tab in ~background"
 msgstr "Achtergrond"
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1301
+#: src/viewer/text/link.c:1300
 msgid "~Download link"
 msgstr "~Download link"
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1304
+#: src/viewer/text/link.c:1303
 msgid "~Add link to bookmarks"
 msgstr ""
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1308
+#: src/viewer/text/link.c:1307
 msgid "Pass link URI to e~xternal command"
 msgstr ""
 
 #. accelerator_context(link_menu.form, link_menu.reset, link_menu.textarea)
-#: src/viewer/text/link.c:1319 src/viewer/text/link.c:1359
+#: src/viewer/text/link.c:1318 src/viewer/text/link.c:1358
 msgid "~Reset form"
 msgstr "~Resetten formulier"
 
 #. accelerator_context(link_menu.textarea)
-#: src/viewer/text/link.c:1334
+#: src/viewer/text/link.c:1333
 msgid "Open in ~external editor"
 msgstr ""
 
 #. accelerator_context(link_menu.form, link_menu.textarea)
-#: src/viewer/text/link.c:1342
+#: src/viewer/text/link.c:1341
 msgid "~Submit form"
 msgstr "Verzenden formulier"
 
 #. accelerator_context(link_menu.form, link_menu.textarea)
-#: src/viewer/text/link.c:1343
+#: src/viewer/text/link.c:1342
 msgid "Submit form and rel~oad"
 msgstr ""
 
 #. accelerator_context(link_menu.form, link_menu.textarea)
-#: src/viewer/text/link.c:1347
+#: src/viewer/text/link.c:1346
 msgid "Submit form and open in new ~window"
 msgstr "Verzend furmulier en openen in een nieuw venster"
 
 #. accelerator_context(link_menu.form, link_menu.textarea)
-#: src/viewer/text/link.c:1349
+#: src/viewer/text/link.c:1348
 #, fuzzy
 msgid "Submit form and open in new ~tab"
 msgstr "Verzend furmulier en openen in een nieuw venster"
 
 #. accelerator_context(link_menu.form, link_menu.textarea)
-#: src/viewer/text/link.c:1352
+#: src/viewer/text/link.c:1351
 #, fuzzy
 msgid "Submit form and open in new tab in ~background"
 msgstr "Verzend furmulier en openen in een nieuw venster"
 
 #. accelerator_context(link_menu.form, link_menu.textarea)
-#: src/viewer/text/link.c:1357
+#: src/viewer/text/link.c:1356
 msgid "Submit form and ~download"
 msgstr "Verzenden formulier en ~download"
 
 #. accelerator_context(link_menu.form, link_menu.reset, link_menu.textarea)
-#: src/viewer/text/link.c:1364
+#: src/viewer/text/link.c:1363
 #, fuzzy
 msgid "Form f~ields"
 msgstr "Paswoordveld"
 
 #. accelerator_context(link_menu.form, link_menu.map, link_menu.std)
-#: src/viewer/text/link.c:1371
+#: src/viewer/text/link.c:1370
 msgid "V~iew image"
 msgstr "Bek~ijk afbeelding"
 
 #. accelerator_context(link_menu.form, link_menu.map, link_menu.std)
-#: src/viewer/text/link.c:1373
+#: src/viewer/text/link.c:1372
 msgid "Download ima~ge"
 msgstr "Download afbeeldin~g"
 
-#: src/viewer/text/link.c:1382
+#: src/viewer/text/link.c:1381
 msgid "No link selected"
 msgstr "Geen link geselecteerd"
 
-#: src/viewer/text/link.c:1452
+#: src/viewer/text/link.c:1451
 msgid "Image"
 msgstr "Afbeelding"
 
-#: src/viewer/text/link.c:1457
+#: src/viewer/text/link.c:1456
 msgid "Usemap"
 msgstr "Usemap"
 
@@ -8338,86 +8351,86 @@ msgstr "Usemap"
 msgid "Marks"
 msgstr ""
 
-#: src/viewer/text/search.c:1083
+#: src/viewer/text/search.c:1099
 msgid "Search hit top, continuing at bottom."
 msgstr ""
 
-#: src/viewer/text/search.c:1084
+#: src/viewer/text/search.c:1100
 msgid "Search hit bottom, continuing at top."
 msgstr ""
 
-#: src/viewer/text/search.c:1087
+#: src/viewer/text/search.c:1103
 msgid "No previous search"
 msgstr "Geen vorige zoekactie"
 
-#: src/viewer/text/search.c:1099
+#: src/viewer/text/search.c:1115
 #, c-format
 msgid "Could not compile regular expression '%s'"
 msgstr ""
 
-#: src/viewer/text/search.c:1143
+#: src/viewer/text/search.c:1159
 #, c-format
 msgid "No further matches for '%s'."
 msgstr ""
 
-#: src/viewer/text/search.c:1145
+#: src/viewer/text/search.c:1161
 #, c-format
 msgid "Could not find a link with the text '%s'."
 msgstr ""
 
-#: src/viewer/text/search.c:1147 src/viewer/text/search.c:1558
+#: src/viewer/text/search.c:1163 src/viewer/text/search.c:1576
 msgid "Typeahead"
 msgstr ""
 
-#: src/viewer/text/search.c:1560
+#: src/viewer/text/search.c:1578
 #, c-format
 msgid "No links in current document"
 msgstr ""
 
-#: src/viewer/text/search.c:1643
+#: src/viewer/text/search.c:1661
 msgid "Search for text"
 msgstr "Zoeken naar tekst"
 
-#: src/viewer/text/search.c:1679
+#: src/viewer/text/search.c:1697
 #, fuzzy
 msgid "Normal search"
 msgstr "Geen vorige zoekactie"
 
-#: src/viewer/text/search.c:1680
+#: src/viewer/text/search.c:1698
 msgid "Regexp search"
 msgstr ""
 
-#: src/viewer/text/search.c:1681
+#: src/viewer/text/search.c:1699
 msgid "Extended regexp search"
 msgstr ""
 
-#: src/viewer/text/search.c:1683
+#: src/viewer/text/search.c:1701
 msgid "Case sensitive"
 msgstr ""
 
-#: src/viewer/text/search.c:1684
+#: src/viewer/text/search.c:1702
 msgid "Case insensitive"
 msgstr ""
 
-#: src/viewer/text/search.c:1708
+#: src/viewer/text/search.c:1726
 msgid "Search backward"
 msgstr "Zoek terugwaards"
 
 #. name:
-#: src/viewer/text/search.c:1747
+#: src/viewer/text/search.c:1765
 #, fuzzy
 msgid "Search History"
 msgstr "Te weinig geheugen"
 
-#: src/viewer/text/textarea.c:595
+#: src/viewer/text/textarea.c:584
 msgid "You cannot launch an external editor in the anonymous mode."
 msgstr ""
 
-#: src/viewer/text/textarea.c:602
+#: src/viewer/text/textarea.c:591
 msgid "You can do this only on the master terminal"
 msgstr ""
 
-#: src/viewer/text/textarea.c:655
+#: src/viewer/text/textarea.c:644
 #, c-format
 msgid ""
 "You have exceeded the textarea's size limit: your input is %d bytes, but the "
@@ -8435,11 +8448,11 @@ msgstr "Ga naar link"
 msgid "Enter link number"
 msgstr "Voer in link nummer"
 
-#: src/viewer/text/view.c:1627
+#: src/viewer/text/view.c:1628
 msgid "Save error"
 msgstr "Fout bij opslaan"
 
-#: src/viewer/text/view.c:1628
+#: src/viewer/text/view.c:1629
 msgid "Error writing to file"
 msgstr "Schrijffout bij opslaan"
 
diff -pruN 0.12~pre2.dfsg0-1/po/perl/msgaccel-check 0.12~pre4-1/po/perl/msgaccel-check
--- 0.12~pre2.dfsg0-1/po/perl/msgaccel-check	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/po/perl/msgaccel-check	2009-05-31 09:48:47.000000000 +0100
@@ -305,7 +305,7 @@ Kalle Olavi Niemitalo <kon@iki.fi>
 
 Copyright (c) 2005-2006 Kalle Olavi Niemitalo.
 
-Permission to use, copy, modify, and distribute this software for any
+Permission to use, copy, modify, and/or distribute this software for any
 purpose with or without fee is hereby granted, provided that the above
 copyright notice and this permission notice appear in all copies.
 
diff -pruN 0.12~pre2.dfsg0-1/po/perl/msgaccel-prepare 0.12~pre4-1/po/perl/msgaccel-prepare
--- 0.12~pre2.dfsg0-1/po/perl/msgaccel-prepare	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/po/perl/msgaccel-prepare	2009-05-31 09:48:47.000000000 +0100
@@ -318,7 +318,7 @@ Kalle Olavi Niemitalo <kon@iki.fi>
 
 Copyright (c) 2005-2006 Kalle Olavi Niemitalo.
 
-Permission to use, copy, modify, and distribute this software for any
+Permission to use, copy, modify, and/or distribute this software for any
 purpose with or without fee is hereby granted, provided that the above
 copyright notice and this permission notice appear in all copies.
 
Binary files 0.12~pre2.dfsg0-1/po/pl.gmo and 0.12~pre4-1/po/pl.gmo differ
diff -pruN 0.12~pre2.dfsg0-1/po/pl.po 0.12~pre4-1/po/pl.po
--- 0.12~pre2.dfsg0-1/po/pl.po	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/po/pl.po	2009-05-31 09:48:47.000000000 +0100
@@ -11,8 +11,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: ELinks 0.12.GIT\n"
 "Report-Msgid-Bugs-To: elinks-users@linuxfromscratch.org\n"
-"POT-Creation-Date: 2008-09-21 11:13+0300\n"
-"PO-Revision-Date: 2008-03-29 19:30+0100\n"
+"POT-Creation-Date: 2009-05-31 01:57+0300\n"
+"PO-Revision-Date: 2009-03-13 14:00+0100\n"
 "Last-Translator: Witold Filipczyk <witekfl@pld-linux.org>\n"
 "Language-Team: Polish <translation-team-pl@lists.sourceforge.net>\n"
 "MIME-Version: 1.0\n"
@@ -44,7 +44,7 @@ msgstr "Wciśnij spację by rozwinąć t
 #: src/mime/dialogs.c:132 src/protocol/auth/dialogs.c:115
 #: src/protocol/protocol.c:246 src/scripting/lua/core.c:399
 #: src/scripting/lua/core.c:480 src/scripting/python/dialogs.c:86
-#: src/session/session.c:811 src/viewer/text/search.c:1686
+#: src/session/session.c:821 src/viewer/text/search.c:1704
 msgid "~OK"
 msgstr "~OK"
 
@@ -61,13 +61,13 @@ msgid "Sorry, but the item \"%s\" is bei
 msgstr "Przykro mi, ale element \"%s\" jest używany przez coś innego."
 
 #. cant_delete_folder
-#: src/bfu/hierbox.c:558 src/bookmarks/dialogs.c:121
+#: src/bfu/hierbox.c:558 src/bookmarks/dialogs.c:153
 #, c-format
 msgid "Sorry, but the folder \"%s\" cannot be deleted."
 msgstr "Przykro mi, ale folder \"%s\" nie może być usunięty."
 
 #. cant_delete_used_folder
-#: src/bfu/hierbox.c:561 src/bookmarks/dialogs.c:123
+#: src/bfu/hierbox.c:561 src/bookmarks/dialogs.c:155
 #, c-format
 msgid "Sorry, but the folder \"%s\" is being used by something else."
 msgstr "Przykro mi, ale folder \"%s\" jest używany przez coś innego."
@@ -83,7 +83,7 @@ msgid "Delete marked items?"
 msgstr "Czy usunąć zaznaczone elementy?"
 
 #. delete_folder_title
-#: src/bfu/hierbox.c:570 src/bookmarks/dialogs.c:129
+#: src/bfu/hierbox.c:570 src/bookmarks/dialogs.c:161
 msgid "Delete folder"
 msgstr "Usuń folder"
 
@@ -140,13 +140,13 @@ msgstr "~Tak"
 msgid "~No"
 msgstr "~Nie"
 
-#: src/bfu/hierbox.c:945 src/bfu/hierbox.c:976 src/viewer/text/search.c:1090
-#: src/viewer/text/search.c:1098 src/viewer/text/search.c:1114
-#: src/viewer/text/search.c:1705
+#: src/bfu/hierbox.c:945 src/bfu/hierbox.c:976 src/viewer/text/search.c:1106
+#: src/viewer/text/search.c:1114 src/viewer/text/search.c:1130
+#: src/viewer/text/search.c:1723
 msgid "Search"
 msgstr "Szukaj"
 
-#: src/bfu/hierbox.c:947 src/viewer/text/search.c:1091
+#: src/bfu/hierbox.c:947 src/viewer/text/search.c:1107
 #, c-format
 msgid "Search string '%s' not found"
 msgstr "Nie znaleziono wyrażenia '%s'"
@@ -185,8 +185,8 @@ msgstr "Musisz wpisać jakieś wyrażeni
 #: src/dialogs/options.c:237 src/dialogs/options.c:316 src/mime/dialogs.c:133
 #: src/protocol/auth/dialogs.c:116 src/protocol/bittorrent/dialogs.c:814
 #: src/scripting/lua/core.c:400 src/scripting/lua/core.c:481
-#: src/session/download.c:607 src/session/download.c:1219
-#: src/viewer/text/search.c:1687
+#: src/session/download.c:633 src/session/download.c:1245
+#: src/viewer/text/search.c:1705
 msgid "~Cancel"
 msgstr "~Anuluj"
 
@@ -199,8 +199,8 @@ msgid "Digital clock in the status bar."
 msgstr "Cyfrowy zegar w pasku statusu."
 
 #
-#: src/bfu/leds.c:77 src/bfu/leds.c:94 src/config/options.inc:1199
-#: src/config/options.inc:1206 src/ecmascript/ecmascript.c:45
+#: src/bfu/leds.c:77 src/bfu/leds.c:94 src/config/options.inc:1272
+#: src/config/options.inc:1279 src/ecmascript/ecmascript.c:45
 #: src/globhist/globhist.c:64 src/mime/backend/mailcap.c:93
 #: src/mime/backend/mimetypes.c:52 src/network/ssl/ssl.c:81
 msgid "Enable"
@@ -216,11 +216,10 @@ msgstr "Format"
 
 #: src/bfu/leds.c:83
 msgid ""
-"Format string for the digital clock. See the strftime(3)\n"
-"manpage for details."
+"Format string for the digital clock. See the strftime(3) manpage for details."
 msgstr ""
-"Łańcuch formatujący dla cyfrowego zegara. Zobacz stronę\n"
-"podręcznika strftime(3) żeby dowiedzieć się szczegółów."
+"Łańcuch formatujący dla cyfrowego zegara. Zobacz stronę podręcznika strftime"
+"(3) żeby dowiedzieć się szczegółów."
 
 #: src/bfu/leds.c:90
 msgid "LEDs"
@@ -232,11 +231,8 @@ msgstr "Ustawienia dotyczące LEDów (ws
 
 #: src/bfu/leds.c:96
 msgid ""
-"Enable LEDs.\n"
-"These visual indicators will inform you about various states."
-msgstr ""
-"Włączenie LEDów.\n"
-"Te wskaźniki poinformują cię o różnych stanach."
+"Enable LEDs. These visual indicators will inform you about various states."
+msgstr "Włączenie LEDów. Te wskaźniki poinformują cię o różnych stanach."
 
 #. name:
 #: src/bfu/leds.c:305 src/bfu/leds.c:347
@@ -276,17 +272,17 @@ msgstr ""
 msgid "Search menu/"
 msgstr "Menu wyszukiwania/"
 
-#: src/bookmarks/backend/xbel.c:97
+#: src/bookmarks/backend/xbel.c:105
 #, c-format
 msgid "read_bookmarks_xbel(): Error in XML_ParserCreate()"
 msgstr "read_bookmarks_xbel(): Błąd w XML_ParserCreate()"
 
-#: src/bookmarks/backend/xbel.c:108
+#: src/bookmarks/backend/xbel.c:116
 #, c-format
 msgid "read_bookmarks_xbel(): Error reading %s"
 msgstr "read_bookmarks_xbel(): Błąd podczas czytania %s"
 
-#: src/bookmarks/backend/xbel.c:116
+#: src/bookmarks/backend/xbel.c:124
 #, c-format
 msgid ""
 "Parse error while processing XBEL bookmarks in %s at line %d column %d:\n"
@@ -295,17 +291,17 @@ msgstr ""
 "Błąd składni przy przetwarzaniu zakładek XBEL w %s w linii %d kolumnie %d:\n"
 "%s"
 
-#: src/bookmarks/backend/xbel.c:390 src/bookmarks/backend/xbel.c:411
+#: src/bookmarks/backend/xbel.c:388 src/bookmarks/backend/xbel.c:410
 msgid "No title"
 msgstr "Bez tytułu"
 
-#: src/bookmarks/backend/xbel.c:396
+#: src/bookmarks/backend/xbel.c:394
 msgid "No URL"
 msgstr "Brak URL-a"
 
 #
 #. name:
-#: src/bookmarks/bookmarks.c:48 src/bookmarks/bookmarks.c:181
+#: src/bookmarks/bookmarks.c:48 src/bookmarks/bookmarks.c:183
 msgid "Bookmarks"
 msgstr "Zakładki"
 
@@ -315,7 +311,7 @@ msgid "Bookmark options."
 msgstr "Ustawienia zakładek."
 
 #
-#: src/bookmarks/bookmarks.c:53 src/bookmarks/bookmarks.c:59
+#: src/bookmarks/bookmarks.c:53 src/bookmarks/bookmarks.c:60
 msgid "File format"
 msgstr "Format pliku"
 
@@ -323,67 +319,61 @@ msgstr "Format pliku"
 msgid ""
 "File format for bookmarks (affects both reading and saving):\n"
 "0 is the default native ELinks format\n"
-"1 is XBEL universal XML bookmarks format (ELinks bug 153: NO NATIONAL CHARS "
-"SUPPORT!)"
+"1 is XBEL universal XML bookmarks format"
 msgstr ""
 "Format pliku zakładek (dotyczy i odczytu, i zapisu):\n"
 "0 - domyślny format ELinksa\n"
-"1 - XBEL uniwersalny format XML (bug:153 BEZ OBSŁUGI ZNAKÓW NARODOWYCH!)"
+"1 - XBEL uniwersalny format XML"
 
-#: src/bookmarks/bookmarks.c:61
+#: src/bookmarks/bookmarks.c:62
 msgid ""
 "File format for bookmarks (affects both reading and saving):\n"
 "0 is the default native ELinks format\n"
-"1 is XBEL universal XML bookmarks format (ELinks bug 153: NO NATIONAL CHARS "
-"SUPPORT!)  (DISABLED)"
+"1 is XBEL universal XML bookmarks format  (DISABLED)"
 msgstr ""
 "Format pliku zakładek (dotyczy i odczytu, i zapisu):\n"
 "0 - domyślny format ELinksa\n"
-"1 - XBEL uniwersalny format XML (bug:153 BEZ OBSŁUGI ZNAKÓW NARODOWYCH!) "
-"(WYŁĄCZONE)"
+"1 - XBEL uniwersalny format XML (WYŁĄCZONE)"
 
-#: src/bookmarks/bookmarks.c:67
+#: src/bookmarks/bookmarks.c:68
 msgid "Save folder state"
 msgstr "Zapisz stan folderu"
 
-#: src/bookmarks/bookmarks.c:69
+#: src/bookmarks/bookmarks.c:70
 msgid ""
-"When saving bookmarks also store whether folders are\n"
-"expanded or not, so the look of the bookmark dialog is\n"
-"kept across ELinks sessions. If disabled all folders will\n"
-"appear unexpanded next time ELinks is run."
-msgstr ""
-"Przy zapisywaniu zakładek zapisz także czy foldery są\n"
-"rozwijane czy nie, tak żeby wygląd okien dialogowych\n"
-"zakładek był zachowany pomiędzy sesjami ELinksa. Gdy\n"
-"wyłączone, wszystkie foldery będą zwinięte przy następnym\n"
+"When saving bookmarks also store whether folders are expanded or not, so the "
+"look of the bookmark dialog is kept across ELinks sessions. If disabled all "
+"folders will appear unexpanded next time ELinks is run."
+msgstr ""
+"Przy zapisywaniu zakładek zapisz także czy foldery są rozwijane czy nie, tak "
+"żeby wygląd okien dialogowych zakładek był zachowany pomiędzy sesjami "
+"ELinksa. Gdy wyłączone, wszystkie foldery będą zwinięte przy następnym "
 "uruchomieniu ELinksa."
 
-#: src/bookmarks/bookmarks.c:74
+#: src/bookmarks/bookmarks.c:75
 msgid "Periodic snapshotting"
 msgstr "Cykliczne zapisywanie"
 
-#: src/bookmarks/bookmarks.c:76
+#: src/bookmarks/bookmarks.c:77
 msgid ""
-"Automatically save a snapshot of all tabs periodically.\n"
-"This will periodically bookmark the tabs of each terminal in a separate "
-"folder\n"
-"for recovery after a crash.\n"
+"Automatically save a snapshot of all tabs periodically. This will "
+"periodically bookmark the tabs of each terminal in a separate folder for "
+"recovery after a crash.\n"
 "\n"
 "This feature requires bookmark support."
 msgstr ""
-"Automatycznie zapisuj cyklicznie stan wszystkich kart.\n"
-"Stan kart z każdego terminala będzie zapisywany co pewien czas w oddzielnym "
-"folderze, aby móc wznowić połączenia w wypadku padu Elinksa.\n"
+"Automatycznie zapisuj cyklicznie stan wszystkich kart. Stan kart z każdego "
+"terminala będzie zapisywany co pewien czas w oddzielnym folderze, aby móc "
+"wznowić połączenia w wypadku padu Elinksa.\n"
 "\n"
 "Wymagana jest obsługa zakładek."
 
-#: src/bookmarks/dialogs.c:72 src/config/options.inc:1051
+#: src/bookmarks/dialogs.c:97 src/config/options.inc:1120
 #: src/dialogs/document.c:145 src/globhist/dialogs.c:65
 msgid "Title"
 msgstr "Tytuł"
 
-#: src/bookmarks/dialogs.c:73 src/cache/dialogs.c:65
+#: src/bookmarks/dialogs.c:101 src/cache/dialogs.c:65
 #: src/dialogs/document.c:136 src/dialogs/edit.c:96 src/formhist/dialogs.c:63
 #: src/globhist/dialogs.c:66 src/protocol/auth/dialogs.c:163
 #: src/scripting/lua/core.c:397
@@ -391,70 +381,70 @@ msgid "URL"
 msgstr "URL"
 
 #. cant_delete_item
-#: src/bookmarks/dialogs.c:117
+#: src/bookmarks/dialogs.c:149
 #, c-format
 msgid "Sorry, but the bookmark \"%s\" cannot be deleted."
 msgstr "Przykro mi, ale zakładka \"%s\" nie może być usunięta."
 
 #. cant_delete_used_item
-#: src/bookmarks/dialogs.c:119
+#: src/bookmarks/dialogs.c:151
 #, c-format
 msgid "Sorry, but the bookmark \"%s\" is being used by something else."
 msgstr "Przykro mi, ale zakładka \"%s\" jest używana przez coś innego."
 
 #. delete_marked_items_title
-#: src/bookmarks/dialogs.c:125
+#: src/bookmarks/dialogs.c:157
 msgid "Delete marked bookmarks"
 msgstr "Usuwanie zaznaczonych zakładek"
 
 #. delete_marked_items
-#: src/bookmarks/dialogs.c:127
+#: src/bookmarks/dialogs.c:159
 msgid "Delete marked bookmarks?"
 msgstr "Czy usunąć zaznaczone zakładki?"
 
 #. delete_folder
-#: src/bookmarks/dialogs.c:131
+#: src/bookmarks/dialogs.c:163
 #, c-format
 msgid "Delete the folder \"%s\" and all bookmarks in it?"
 msgstr "Czy skasować folder \"%s\" i znajdujące się w nim zakładki?"
 
 #. delete_item_title
-#: src/bookmarks/dialogs.c:133
+#: src/bookmarks/dialogs.c:165
 msgid "Delete bookmark"
 msgstr "Skasuj zakładkę"
 
-#: src/bookmarks/dialogs.c:135
+#: src/bookmarks/dialogs.c:167
 #, c-format
 msgid "Delete this bookmark?"
 msgstr "Czy skasować tę zakładkę?"
 
 #. clear_all_items_title
-#: src/bookmarks/dialogs.c:137
+#: src/bookmarks/dialogs.c:169
 msgid "Clear all bookmarks"
 msgstr "Wyczyść wszystkie zakładki"
 
 #. clear_all_items_title
-#: src/bookmarks/dialogs.c:139
+#: src/bookmarks/dialogs.c:171
 msgid "Do you really want to remove all bookmarks?"
 msgstr "Czy na pewno chcesz skasować wszystkie zakładki?"
 
-#: src/bookmarks/dialogs.c:254
+#: src/bookmarks/dialogs.c:327
 msgid "Add folder"
 msgstr "Dodaj folder"
 
-#: src/bookmarks/dialogs.c:254
+#: src/bookmarks/dialogs.c:327
 msgid "Folder name"
 msgstr "Nazwa foldera"
 
-#: src/bookmarks/dialogs.c:310 src/scripting/lua/core.c:391
+#: src/bookmarks/dialogs.c:410 src/scripting/lua/core.c:391
 msgid "Edit bookmark"
 msgstr "Edytuj zakładkę"
 
-#: src/bookmarks/dialogs.c:461
+#: src/bookmarks/dialogs.c:567
 msgid "Cannot move folder inside itself"
 msgstr "Nie można przesunąć folderu wewnątrz niego samego"
 
-#: src/bookmarks/dialogs.c:462
+#: src/bookmarks/dialogs.c:568
 msgid ""
 "You are trying to move the marked folder inside itself. To move the folder "
 "to a different location select the new location before pressing the Move "
@@ -464,11 +454,11 @@ msgstr ""
 "folder w inne miejsce zaznacz nowe położenie zanim naciśniesz przycisk "
 "\"Przesuń\"."
 
-#: src/bookmarks/dialogs.c:468
+#: src/bookmarks/dialogs.c:574
 msgid "Nothing to move"
 msgstr "Nic do przesunięcia"
 
-#: src/bookmarks/dialogs.c:469
+#: src/bookmarks/dialogs.c:575
 msgid ""
 "To move bookmarks, first mark all the bookmarks (or folders) you want to "
 "move.  This can be done with the Insert key if you're using the default key-"
@@ -482,19 +472,19 @@ msgstr ""
 "przycisk \"Przenieś\"."
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons, src/cache/dialogs.c:cache_buttons, src/globhist/dialogs.c:globhist_buttons, src/protocol/auth/dialogs.c:auth_buttons)
-#: src/bookmarks/dialogs.c:487 src/cache/dialogs.c:230
+#: src/bookmarks/dialogs.c:593 src/cache/dialogs.c:230
 #: src/globhist/dialogs.c:224 src/protocol/auth/dialogs.c:261
 msgid "~Goto"
 msgstr "~Przejdź do"
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons, src/config/dialogs.c:option_buttons, src/cookies/dialogs.c:cookie_buttons)
-#: src/bookmarks/dialogs.c:488 src/config/dialogs.c:503
+#: src/bookmarks/dialogs.c:594 src/config/dialogs.c:503
 #: src/cookies/dialogs.c:492
 msgid "~Edit"
 msgstr "~Edytuj"
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons, src/cache/dialogs.c:cache_buttons, src/config/dialogs.c:keybinding_buttons, src/config/dialogs.c:option_buttons, src/cookies/dialogs.c:cookie_buttons, src/dialogs/menu.c:ext_menu, src/formhist/dialogs.c:formhist_buttons, src/globhist/dialogs.c:globhist_buttons, src/protocol/auth/dialogs.c:auth_buttons)
-#: src/bookmarks/dialogs.c:489 src/cache/dialogs.c:231
+#: src/bookmarks/dialogs.c:595 src/cache/dialogs.c:231
 #: src/config/dialogs.c:505 src/config/dialogs.c:930 src/cookies/dialogs.c:493
 #: src/dialogs/menu.c:463 src/formhist/dialogs.c:211
 #: src/globhist/dialogs.c:229 src/protocol/auth/dialogs.c:263
@@ -502,28 +492,28 @@ msgid "~Delete"
 msgstr "~Usuń"
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons, src/config/dialogs.c:keybinding_buttons, src/config/dialogs.c:option_buttons, src/cookies/dialogs.c:cookie_buttons, src/dialogs/menu.c:ext_menu)
-#: src/bookmarks/dialogs.c:490 src/config/dialogs.c:504
+#: src/bookmarks/dialogs.c:596 src/config/dialogs.c:504
 #: src/config/dialogs.c:929 src/cookies/dialogs.c:490 src/dialogs/menu.c:461
 msgid "~Add"
 msgstr "~Dodaj"
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons)
-#: src/bookmarks/dialogs.c:491
+#: src/bookmarks/dialogs.c:597
 msgid "Add se~parator"
 msgstr "Separator ~kart"
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons)
-#: src/bookmarks/dialogs.c:492
+#: src/bookmarks/dialogs.c:598
 msgid "Add ~folder"
 msgstr "Dodaj ~folder"
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons)
-#: src/bookmarks/dialogs.c:493
+#: src/bookmarks/dialogs.c:599
 msgid "~Move"
 msgstr "Prze~nieś"
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons, src/cache/dialogs.c:cache_buttons, src/config/dialogs.c:keybinding_buttons, src/config/dialogs.c:option_buttons, src/dialogs/menu.c:view_menu, src/globhist/dialogs.c:globhist_buttons)
-#: src/bookmarks/dialogs.c:494 src/cache/dialogs.c:232
+#: src/bookmarks/dialogs.c:600 src/cache/dialogs.c:232
 #: src/config/dialogs.c:506 src/config/dialogs.c:932 src/dialogs/menu.c:413
 #: src/globhist/dialogs.c:230
 msgid "~Search"
@@ -531,37 +521,51 @@ msgstr "~Szukaj"
 
 #. This one is too dangerous, so just let user delete
 #. * the bookmarks file if needed. --Zas
-#: src/bookmarks/dialogs.c:498
+#: src/bookmarks/dialogs.c:604
 msgid "Clear"
 msgstr "Wyczyść"
 
 #. TODO: Would this be useful? --jonas
-#: src/bookmarks/dialogs.c:501 src/globhist/dialogs.c:235
+#: src/bookmarks/dialogs.c:607 src/globhist/dialogs.c:235
 msgid "Save"
 msgstr "Zapisz"
 
-#: src/bookmarks/dialogs.c:507
+#: src/bookmarks/dialogs.c:613
 msgid "Bookmark manager"
 msgstr "Obsługa zakładek"
 
-#: src/bookmarks/dialogs.c:632
+#: src/bookmarks/dialogs.c:825
 msgid "Search bookmarks"
 msgstr "Przeszukaj zakładki"
 
-#: src/bookmarks/dialogs.c:661
+#. When the user eventually pushes the OK button, BFU calls
+#. * bookmark_add_add() and gives it the struct dialog * as the
+#. * void * parameter.  However, bookmark_add_add() also needs
+#. * to know the struct terminal *, and there is no way to get
+#. * that from struct dialog.  The other bookmark dialogs work
+#. * around that by making dialog.udata point to the struct
+#. * dialog_data of the bookmark manager, but the "Add bookmark"
+#. * dialog can be triggered with ACT_MAIN_ADD_BOOKMARK, which
+#. * does not involve the bookmark manager at all.
+#. *
+#. * The solution here is to save the struct terminal * in
+#. * dialog.udata2, which the "Edit bookmark" dialog uses for
+#. * struct bookmark *.  When adding a new bookmark, we don't
+#. * need a pointer to an existing one, of course.
+#: src/bookmarks/dialogs.c:892
 msgid "Add bookmark"
 msgstr "Dodaj do zakładek"
 
-#: src/bookmarks/dialogs.c:697
+#: src/bookmarks/dialogs.c:950
 msgid "Saved session"
 msgstr "Zapisana sesja"
 
 #
-#: src/bookmarks/dialogs.c:705
+#: src/bookmarks/dialogs.c:958
 msgid "Bookmark tabs"
 msgstr "Zapisywanie informacji o kartach"
 
-#: src/bookmarks/dialogs.c:705
+#: src/bookmarks/dialogs.c:958
 msgid "Enter folder name"
 msgstr "Wpisz nazwę folderu"
 
@@ -573,7 +577,7 @@ msgstr "URL proxy"
 msgid "Redirect"
 msgstr "Przekierowanie"
 
-#: src/cache/dialogs.c:85 src/config/options.inc:519
+#: src/cache/dialogs.c:85 src/config/options.inc:553
 #: src/dialogs/document.c:156 src/protocol/bittorrent/dialogs.c:126
 msgid "Size"
 msgstr "Rozmiar"
@@ -619,7 +623,7 @@ msgstr "Wygasa"
 msgid "ID"
 msgstr "ID"
 
-#: src/cache/dialogs.c:134 src/config/options.inc:669
+#: src/cache/dialogs.c:134 src/config/options.inc:707
 msgid "Header"
 msgstr "Nagłówek"
 
@@ -1299,7 +1303,7 @@ msgstr "Nie znaleziono serwera"
 msgid "Resolver error"
 msgstr "Błąd resolwera"
 
-#: src/config/cmdline.c:256 src/cookies/cookies.c:841 src/network/state.c:47
+#: src/config/cmdline.c:256 src/cookies/cookies.c:843 src/network/state.c:47
 #: src/util/secsave.c:379
 msgid "Out of memory"
 msgstr "Brak pamięci"
@@ -1321,332 +1325,327 @@ msgstr "Śmieci następujące po zacytow
 msgid "Remote method not supported"
 msgstr "Zdalna metoda nie obsługiwana"
 
-#: src/config/cmdline.c:452
+#: src/config/cmdline.c:437
+msgid "Out of memory formatting option documentation"
+msgstr "Zabrakło pamięci podczas formatowania dokumentacji opcji"
+
+#: src/config/cmdline.c:474
 msgid "Template option folder"
 msgstr "Folder szablonów opcji"
 
-#: src/config/cmdline.c:475
+#: src/config/cmdline.c:497
 #, c-format
 msgid "(default: %ld)"
 msgstr "(domyślnie: %ld)"
 
-#: src/config/cmdline.c:482 src/config/cmdline.c:511
+#: src/config/cmdline.c:504 src/config/cmdline.c:533
 #, c-format
 msgid "(default: \"%s\")"
 msgstr "(domyślnie: \"%s\")"
 
-#: src/config/cmdline.c:487
+#: src/config/cmdline.c:509
 #, c-format
 msgid "(alias for %s)"
 msgstr "(alias dla %s)"
 
-#: src/config/cmdline.c:492 src/config/cmdline.c:501
+#: src/config/cmdline.c:514 src/config/cmdline.c:523
 #, c-format
 msgid "(default: %s)"
 msgstr "(domyślnie: %s)"
 
-#: src/config/cmdline.c:642
+#: src/config/cmdline.c:654
 msgid "Configuration options"
 msgstr "Ustawienia"
 
-#: src/config/cmdline.c:646
+#: src/config/cmdline.c:658
 msgid "Usage: elinks [OPTION]... [URL]..."
 msgstr "Składnia: elinks [OPCJA]... [URL]..."
 
-#: src/config/cmdline.c:647
+#: src/config/cmdline.c:659
 msgid "Options"
 msgstr "Opcje"
 
-#: src/config/cmdline.c:689
+#: src/config/cmdline.c:701
 msgid "Internal consistency error"
 msgstr "Wewnętrzny błąd zgodności"
 
 #.
-#: src/config/cmdline.c:725
+#: src/config/cmdline.c:737
 msgid "Restrict to anonymous mode"
 msgstr "Ograniczenia do trybu anonimowego"
 
-#: src/config/cmdline.c:727
+#: src/config/cmdline.c:739
 msgid ""
-"Restricts ELinks so it can run on an anonymous account.\n"
-"Local file browsing, downloads, and modification of options\n"
-"will be disabled. Execution of viewers is allowed, but entries\n"
-"in the association table can't be added or modified."
+"Restricts ELinks so it can run on an anonymous account. Local file browsing, "
+"downloads, and modification of options will be disabled. Execution of "
+"viewers is allowed, but entries in the association table can't be added or "
+"modified."
 msgstr ""
-"Ogranicza ELinksa, tak że może on być używany na anonimowym\n"
-"koncie. Bez przeglądania lokalnych plików, bez pobierania plików.\n"
-"Używanie przeglądarek jest dozwolone, ale bez możliwości\n"
-"modyfikacji pozycji w tabeli skojarzeń."
+"Ogranicza ELinksa, tak że może on być używany na anonimowym koncie. Bez "
+"przeglądania lokalnych plików, bez pobierania plików. Używanie przeglądarek "
+"jest dozwolone, ale bez możliwości modyfikacji pozycji w tabeli skojarzeń."
 
 #
-#: src/config/cmdline.c:732
+#: src/config/cmdline.c:745
 msgid "Autosubmit first form"
 msgstr "Automatyczne wysyłanie formularzy"
 
-#: src/config/cmdline.c:734
+#: src/config/cmdline.c:747
 msgid "Automatically submit the first form in the given URLs."
 msgstr "Automatycznie wysyłanie pierwszego formularza w podanym adresie URL."
 
-#: src/config/cmdline.c:736
+#: src/config/cmdline.c:749
 msgid "Clone internal session with given ID"
 msgstr "Klonowanie sesji z podanym ID"
 
-#: src/config/cmdline.c:738
+#: src/config/cmdline.c:751
 msgid ""
-"Used internally when opening ELinks instances in new windows.\n"
-"The ID maps to information that will be used when creating the\n"
-"new instance. You don't want to use it."
-msgstr ""
-"Używane wewnętrznie podczas otwierania instancji ELinksa w nowych\n"
-"oknach. ID jest mapowane do informacji używanej podczas tworzenia\n"
-"nowej instancji. Nie zechcesz tego używać."
+"Used internally when opening ELinks instances in new windows. The ID maps to "
+"information that will be used when creating the new instance. You don't want "
+"to use it."
+msgstr ""
+"Używane wewnętrznie podczas otwierania instancji ELinksa w nowych oknach. ID "
+"jest mapowane do informacji używanej podczas tworzenia nowej instancji. Nie "
+"zechcesz tego używać."
 
-#: src/config/cmdline.c:744
+#: src/config/cmdline.c:757
 msgid "Name of directory with configuration file"
 msgstr "Nazwa katalogu z plikiem konfiguracyjnym"
 
-#: src/config/cmdline.c:746
+#: src/config/cmdline.c:759
 msgid ""
-"Path of the directory ELinks will read and write its\n"
-"config and runtime state files to instead of ~/.elinks.\n"
-"If the path does not begin with a '/' it is assumed to be\n"
-"relative to your HOME directory."
-msgstr ""
-"ELinks będzie czytał i zapisywał pliki konfiguracyjne do podanego\n"
-"katalogu zamiast ~/.elinks. Jeśli ścieżka zaczyna się od '/',\n"
-"jest traktowana jako bezwzględna, w przeciwnym wypadku jako\n"
-"względna do katalogu domowego."
+"Path of the directory ELinks will read and write its config and runtime "
+"state files to instead of ~/.elinks. If the path does not begin with a '/' "
+"it is assumed to be relative to your HOME directory."
+msgstr ""
+"ELinks będzie czytał i zapisywał pliki konfiguracyjne do podanego katalogu "
+"zamiast ~/.elinks. Jeśli ścieżka zaczyna się od '/', jest traktowana jako "
+"bezwzględna, w przeciwnym wypadku jako względna do katalogu domowego."
 
-#: src/config/cmdline.c:751
+#: src/config/cmdline.c:764
 msgid "Print default configuration file to stdout"
 msgstr "Wypisz domyślny plik konfiguracyjny na standardowe wyjście"
 
-#: src/config/cmdline.c:753
+#: src/config/cmdline.c:766
 msgid ""
-"Print a configuration file with options set to the built-in\n"
-"defaults to stdout."
+"Print a configuration file with options set to the built-in defaults to "
+"stdout."
 msgstr ""
-"Wypisz plik konfiguracyjny z domyślnymi ustawieniami na\n"
-"standardowe wyjście."
+"Wypisz plik konfiguracyjny z domyślnymi ustawieniami na standardowe wyjście."
 
-#: src/config/cmdline.c:758
+#: src/config/cmdline.c:771
 msgid "Name of configuration file"
 msgstr "Nazwa pliku konfiguracyjnego"
 
-#: src/config/cmdline.c:760
+#: src/config/cmdline.c:773
 msgid ""
-"Name of the configuration file that all configuration\n"
-"options will be read from and written to. It should be\n"
-"relative to config-dir."
-msgstr ""
-"Nazwa pliku z konfiguracją, z którego będzie czytana i do którego\n"
-"będzie zapisywana konfiguracja. Powinna być względna (względem\n"
-"config-dir)."
+"Name of the configuration file that all configuration options will be read "
+"from and written to. It should be relative to config-dir."
+msgstr ""
+"Nazwa pliku z konfiguracją, z którego będzie czytana i do którego będzie "
+"zapisywana konfiguracja. Powinna być względna (względem config-dir)."
 
-#: src/config/cmdline.c:764
+#: src/config/cmdline.c:777
 msgid "Print help for configuration options"
 msgstr "Wypisz pomoc do opcji konfiguracyjnych"
 
-#: src/config/cmdline.c:766
+#: src/config/cmdline.c:779
 msgid "Print help for configuration options and exit."
 msgstr "Wypisz pomoc do opcji konfiguracyjnych i zakończ działanie."
 
-#: src/config/cmdline.c:768
+#: src/config/cmdline.c:781
 msgid "MIME type assumed for unknown document types"
 msgstr "Typ MIME przyjmowany dla dokumentów"
 
-#: src/config/cmdline.c:770
+#: src/config/cmdline.c:783
 msgid "The default MIME type used for documents of unknown type."
 msgstr "Domyślny typ MIME dla dokumentów nieznanego typu."
 
-#: src/config/cmdline.c:772
+#: src/config/cmdline.c:786
 msgid "Ignore user-defined keybindings"
 msgstr "Ignoruj przypisania klawiszy zdefiniowane przez użytkownika"
 
-#: src/config/cmdline.c:774
+#: src/config/cmdline.c:788
 msgid ""
-"When set, all keybindings from configuration files will be\n"
-"ignored. It forces use of default keybindings and will reset\n"
-"user-defined ones on save."
+"When set, all keybindings from configuration files will be ignored. It "
+"forces use of default keybindings and will reset user-defined ones on save."
 msgstr ""
-"Jeśli ustawione, ustawienia przypisań klawiszy z pliku \n"
-"konfiguracyjnego będą zignorowane. Wymusza użycie domyślnych\n"
-"przypisań oraz resetuje ustawienia użytkownika w momencie zapisu."
+"Jeśli ustawione, ustawienia przypisań klawiszy z pliku konfiguracyjnego będą "
+"zignorowane. Wymusza użycie domyślnych przypisań oraz resetuje ustawienia "
+"użytkownika w momencie zapisu."
 
-#: src/config/cmdline.c:778
+#: src/config/cmdline.c:792
 msgid "Print formatted versions of given URLs to stdout"
 msgstr "Wypisanie sformatowanych wersji danych URL-i na standardowe wyjście"
 
-#: src/config/cmdline.c:780
+#: src/config/cmdline.c:794
 msgid "Print formatted plain-text versions of given URLs to stdout."
 msgstr ""
 "Wypisanie sformatowanych wersji podanych URL-i na standardowe\n"
 "wyjście."
 
-#: src/config/cmdline.c:782
+#: src/config/cmdline.c:797
 msgid "Codepage to use with -dump"
 msgstr "Strona kodowa używana razem z -dump"
 
-#: src/config/cmdline.c:784
+#: src/config/cmdline.c:799
 msgid "Codepage used when formatting dump output."
 msgstr "Strona kodowa używana przy zrzutach."
 
-#: src/config/cmdline.c:786
+#: src/config/cmdline.c:801
 msgid "Color mode used with -dump"
 msgstr "Tryb koloru używany razem z -dump"
 
-#: src/config/cmdline.c:788
+#: src/config/cmdline.c:803
 msgid "Color mode used with -dump."
 msgstr "Tryb koloru używany razem z -dump."
 
-#: src/config/cmdline.c:790
+#: src/config/cmdline.c:805
 msgid "Width of document formatted with -dump"
 msgstr "Szerokość sformatowanego dokumentu z -dump"
 
-#: src/config/cmdline.c:792
+#: src/config/cmdline.c:807
 msgid "Width of the dump output."
 msgstr "Szerokość wyjścia dump."
 
-#: src/config/cmdline.c:794
+#: src/config/cmdline.c:809
 msgid "Evaluate configuration file directive"
 msgstr "Wylicz podaną opcję konfiguracyjną"
 
-#: src/config/cmdline.c:796
+#: src/config/cmdline.c:811
 msgid ""
-"Specify configuration file directives on the command-line\n"
-"which will be evaluated after all configuration files has been\n"
-"read. Example usage:\n"
+"Specify configuration file directives on the command-line which will be "
+"evaluated after all configuration files has been read. Example usage:\n"
 "\t-eval 'set protocol.file.allow_special_files = 1'"
 msgstr ""
-"Podaj w linii komend opcje konfiguracyjne z elinks.conf, które\n"
-"będą użyte po przetworzeniu wszystkich plików konfiguracyjnych\n"
-"Przykład użycia:\n"
+"Podaj w linii komend opcje konfiguracyjne z elinks.conf, które będą użyte po "
+"przetworzeniu wszystkich plików konfiguracyjnych. Przykład użycia:\n"
 "\t-eval 'set protocol.file.allow_special_files = 1'"
 
 #. lynx compatibility
-#: src/config/cmdline.c:802
+#: src/config/cmdline.c:817
 msgid "Interpret documents of unknown types as HTML"
 msgstr "Interpretuj dokumenty nieznanego typu jako HTML"
 
-#: src/config/cmdline.c:804
+#: src/config/cmdline.c:819
 msgid ""
-"Makes ELinks assume documents of unknown types are HTML.\n"
-"Useful when using ELinks as an external viewer from MUAs.\n"
-"This is equivalent to -default-mime-type text/html."
-msgstr ""
-"Sprawia, że ELinks przyjmuje, iż dokumenty nieznanego typu są\n"
-"w HTML-u. Przydatne podczas używania ELinks jako zewnętrznej\n"
-"przeglądarki z programem pocztowym. Jest to równoważne\n"
-"z -default-mime-type text/html."
+"Makes ELinks assume documents of unknown types are HTML. Useful when using "
+"ELinks as an external viewer from MUAs. This is equivalent to -default-mime-"
+"type text/html."
+msgstr ""
+"Sprawia, że ELinks przyjmuje, iż dokumenty nieznanego typu są w HTML-u. "
+"Przydatne podczas używania ELinks jako zewnętrznej przeglądarki z programem "
+"pocztowym. Jest to równoważne z -default-mime-type text/html."
 
-#: src/config/cmdline.c:814
+#: src/config/cmdline.c:829
 msgid "Print usage help and exit"
 msgstr "Wypisz informacje na temat użycia ELinksa i zakończ działanie"
 
-#: src/config/cmdline.c:816
+#: src/config/cmdline.c:831
 msgid "Print usage help and exit."
 msgstr "Wypisz informacje na temat użycia ELinksa i zakończ działanie."
 
-#: src/config/cmdline.c:818
+#: src/config/cmdline.c:833
 msgid "Only permit local connections"
 msgstr "Zezwól jedynie na lokalne połączenia"
 
-#: src/config/cmdline.c:820
+#: src/config/cmdline.c:835
 msgid ""
-"Restricts ELinks to work offline and only connect to servers\n"
-"with local addresses (ie. 127.0.0.1). No connections to remote\n"
-"servers will be permitted."
+"Restricts ELinks to work offline and only connect to servers with local "
+"addresses (ie. 127.0.0.1). No connections to remote servers will be "
+"permitted."
 msgstr ""
-"Ogranicz ELinksa, tak aby otwierał połączenia tylko do lokalnych\n"
-"adresów (np. 127.0.0.1). ELinks nie będzie się łączył ze zdalnymi\n"
-"serwerami."
+"Ogranicz ELinksa, tak aby otwierał połączenia tylko do lokalnych adresów "
+"(np. 127.0.0.1). ELinks nie będzie się łączył ze zdalnymi serwerami."
 
-#: src/config/cmdline.c:824
+#: src/config/cmdline.c:839
 msgid "Print detailed usage help and exit"
 msgstr "Wypisz dokładne informacje na temat użycia ELinksa i zakończ działanie"
 
-#: src/config/cmdline.c:826
+#: src/config/cmdline.c:841
 msgid "Print detailed usage help and exit."
 msgstr ""
 "Wypisz dokładne informacje na temat użycia ELinksa i zakończ\n"
 "działanie."
 
 #
-#: src/config/cmdline.c:828
+#: src/config/cmdline.c:843
 msgid "Look up specified host"
 msgstr "Szukanie danego hosta"
 
-#: src/config/cmdline.c:830
+#: src/config/cmdline.c:845
 msgid "Look up specified host and print all DNS resolved IP addresses."
 msgstr "Szukanie danego hosta i wypisanie wszystkich rozwiązanych adresów."
 
-#: src/config/cmdline.c:832
+#: src/config/cmdline.c:848
 msgid "Run as separate instance"
 msgstr "Uruchamianie jako oddzielna instancja"
 
-#: src/config/cmdline.c:834
+#: src/config/cmdline.c:850
 msgid ""
-"Run ELinks as a separate instance instead of connecting to an\n"
-"existing instance. Note that normally no runtime state files\n"
-"(bookmarks, history, etc.) are written to the disk when this\n"
-"option is used. See also -touch-files."
-msgstr ""
-"Uruchom ELinksa jako oddzielną instancję zamiast dołączać się\n"
-"do istniejącej instancji. Wiedz, że żadne pliki stanu\n"
-"(zakładki, historia itp.) nie są zapisywane na dysk, gdy\n"
-"ta opcja jest używana. Zobacz także -touch-files."
+"Run ELinks as a separate instance instead of connecting to an existing "
+"instance. Note that normally no runtime state files (bookmarks, history, "
+"etc.) are written to the disk when this option is used. See also -touch-"
+"files."
+msgstr ""
+"Uruchom ELinksa jako oddzielną instancję zamiast dołączać się do istniejącej "
+"instancji. Wiedz, że żadne pliki stanu (zakładki, historia itp.) nie są "
+"zapisywane na dysk, gdy ta opcja jest używana. Zobacz także -touch-files."
 
-#: src/config/cmdline.c:839
+#: src/config/cmdline.c:855
 msgid "Disable use of files in ~/.elinks"
 msgstr "Nie używaj plików w ~/.elinks"
 
-#: src/config/cmdline.c:841
+#: src/config/cmdline.c:857
 msgid ""
-"Disables creation and use of files in the user specific home\n"
-"configuration directory (~/.elinks). It forces default configuration\n"
-"values to be used and disables saving of runtime state files."
-msgstr ""
-"Blokuje tworzenie i używanie plików w katalogu z konfiguracją\n"
-"użytkownika (~/.elinks). Wymusza użycie domyślnej konfiguracji\n"
-"i blokuje zapis plików konfiguracyjnych."
+"Disables creation and use of files in the user specific home configuration "
+"directory (~/.elinks). It forces default configuration values to be used and "
+"disables saving of runtime state files."
+msgstr ""
+"Blokuje tworzenie i używanie plików w katalogu z konfiguracją użytkownika "
+"(~/.elinks). Wymusza użycie domyślnej konfiguracji i blokuje zapis plików "
+"konfiguracyjnych."
 
-#: src/config/cmdline.c:845
+#: src/config/cmdline.c:862
 msgid "Disable link numbering in dump output"
 msgstr "Nie numeruj odnośników przy -dump"
 
-#: src/config/cmdline.c:847
+#: src/config/cmdline.c:864
 msgid ""
 "Prevents printing of link number in dump output.\n"
+"\n"
 "Note that this really affects only -dump, nothing else."
 msgstr ""
 "Zapobiega pokazywaniu numeracji odnośników przy zrzutach (-dump)\n"
+"\n"
 "Pamiętaj, że dotyczy to tylko -dump, niczego innego."
 
-#: src/config/cmdline.c:850
+#: src/config/cmdline.c:868
 msgid "Disable printing of link references in dump output"
 msgstr "Nie pokazuj referencji odnośników przy -dump"
 
-#: src/config/cmdline.c:852
+#: src/config/cmdline.c:870
 msgid ""
-"Prevents printing of references (URIs) of document links\n"
-"in dump output.\n"
+"Prevents printing of references (URIs) of document links in dump output.\n"
+"\n"
 "Note that this really affects only -dump, nothing else."
 msgstr ""
 "Zapobiega pokazywaniu referencji odnośników przy zrzutach (-dump)\n"
+"\n"
 "Pamiętaj, że dotyczy to tylko -dump, niczego innego."
 
-#: src/config/cmdline.c:856
+#: src/config/cmdline.c:875
 msgid "Control an already running ELinks"
 msgstr "Kontrolowanie już działającego ELinksa"
 
-#: src/config/cmdline.c:858
+#: src/config/cmdline.c:877
 msgid ""
-"Control a remote ELinks instance by passing commands to it.\n"
-"The option takes an additional argument containing the method\n"
-"which should be invoked and any parameters that should be passed\n"
-"to it. For ease of use, the additional method argument can be\n"
-"omitted in which case any URL arguments will be opened in new\n"
-"tabs in the remote instance.\n"
+"Control a remote ELinks instance by passing commands to it. The option takes "
+"an additional argument containing the method which should be invoked and any "
+"parameters that should be passed to it. For ease of use, the additional "
+"method argument can be omitted in which case any URL arguments will be "
+"opened in new tabs in the remote instance.\n"
+"\n"
 "Following is a list of the supported methods:\n"
 "\tping()                    : look for a remote instance\n"
 "\topenURL()                 : prompt URL in current tab\n"
@@ -1657,12 +1656,12 @@ msgid ""
 "\tinfoBox(text)             : show text in a message box\n"
 "\txfeDoCommand(openBrowser) : open new window"
 msgstr ""
-"Obsługa zdalnych instancji ELinksa.\n"
-"Polecenie pobiera dodatkowy argument zawierający metodę,\n"
-"która powinna być wykonana i parametry, których potrzebuje.\n"
-"Dla uproszczenia dodatkowe argumenty mogą być opuszczone.\n"
-"W tym przypadku jakiekolwiek argumenty będące URL-ami zostaną\n"
-"otwarte na nowych kartach w zdalnej instancji ELinksa.\n"
+"Obsługa zdalnych instancji ELinksa. Polecenie pobiera dodatkowy argument "
+"zawierający metodę, która powinna być wykonana i parametry, których "
+"potrzebuje. Dla uproszczenia dodatkowe argumenty mogą być opuszczone. W tym "
+"przypadku jakiekolwiek argumenty będące URL-ami zostaną otwarte na nowych "
+"kartach w zdalnej instancji ELinksa.\n"
+"\n"
 "Następujące metody są obsługiwane:\n"
 "\tping()                    : sprawdza istnienie zdalnej instancji\n"
 "\topenURL()                 : wyświetl URL z bieżącej karty\n"
@@ -1673,94 +1672,92 @@ msgstr ""
 "\tinfoBox(text)             : wyświetl tekst w oknie dialogowym\n"
 "\txfeDoCommand(openBrowser) : otwórz nowe okienko"
 
-#: src/config/cmdline.c:874
+#: src/config/cmdline.c:895
 msgid "Connect to session ring with given ID"
 msgstr "Połącz się do pierścienia sesji z danym ID"
 
-#: src/config/cmdline.c:876
+#: src/config/cmdline.c:897
 msgid ""
-"ID of session ring this ELinks session should connect to. ELinks\n"
-"works in so-called session rings, whereby all instances of ELinks\n"
-"are interconnected and share state (cache, bookmarks, cookies,\n"
-"and so on). By default, all ELinks instances connect to session\n"
-"ring 0. You can change that behaviour with this switch and form as\n"
-"many session rings as you want. Obviously, if the session-ring with\n"
-"this number doesn't exist yet, it's created and this ELinks instance\n"
-"will become the master instance (that usually doesn't matter for you\n"
-"as a user much). Note that you usually don't want to use this unless\n"
-"you're a developer and you want to do some testing - if you want the\n"
-"ELinks instances each running standalone, rather use the -no-connect\n"
-"command-line option. Also note that normally no runtime state files\n"
-"are written to the disk when this option is used. See also\n"
-"-touch-files."
-msgstr ""
-"ID sesji pierścienia, do której powinna podłączyć się bieżąca\n"
-"sesja ELinksa. ELinks działa w tak zwanych pierścieniach sesji,\n"
-"gdzie wszystkie instancje ELinksa są połączone i współdzielą\n"
-"stan (pamięć podręczną, zakładki, ciasteczka, i tak dalej).\n"
-"Domyślnie wszystkie instancje ELinksa podłączają się do pierścienia\n"
-"0. Możesz to zachowanie zmienić z przełącznikiem i tworzyć tak wiele\n"
-"pierścieni sesji ile tylko chcesz. Oczywiście jeśli pierścień\n"
-"o danym numerze nie istnieje, to jest tworzony i bieżąca sesja staje\n"
-"się sesją nadrzędną (co zwykle nie ma większego znaczenia dla Ciebie\n"
-"jako zwykłego użytkownika). Wiedz, że normalnie nie będziesz chciał\n"
-"tego używać, dopóki nie jesteś deweloperem i chcesz zrobić parę\n"
-"testów. Jeśli chcesz oddzielne instancje raczej użyj -no-connect\n"
-"w linii komend. Wiedz, że normalnie żadne pliki stanu nie są\n"
-"zapisywane na dysk, gdy ta opcja jest użyta. Zobacz także\n"
-"-touch-files."
+"ID of session ring this ELinks session should connect to. ELinks works in so-"
+"called session rings, whereby all instances of ELinks are interconnected and "
+"share state (cache, bookmarks, cookies, and so on). By default, all ELinks "
+"instances connect to session ring 0. You can change that behaviour with this "
+"switch and form as many session rings as you want. Obviously, if the session-"
+"ring with this number doesn't exist yet, it's created and this ELinks "
+"instance will become the master instance (that usually doesn't matter for "
+"you as a user much).\n"
+"\n"
+"Note that you usually don't want to use this unless you're a developer and "
+"you want to do some testing - if you want the ELinks instances each running "
+"standalone, rather use the -no-connect command-line option. Also note that "
+"normally no runtime state files are written to the disk when this option is "
+"used. See also -touch-files."
+msgstr ""
+"ID sesji pierścienia, do której powinna podłączyć się bieżąca sesja ELinksa. "
+"ELinks działa w tak zwanych pierścieniach sesji, gdzie wszystkie instancje "
+"ELinksa są połączone i współdzielą stan (pamięć podręczną, zakładki, "
+"ciasteczka, i tak dalej). Domyślnie wszystkie instancje ELinksa podłączają "
+"się do pierścienia 0. Możesz to zachowanie zmienić z przełącznikiem i "
+"tworzyć tak wiele pierścieni sesji ile tylko chcesz. Oczywiście jeśli "
+"pierścień o danym numerze nie istnieje, to jest tworzony i bieżąca sesja "
+"staje się sesją nadrzędną (co zwykle nie ma większego znaczenia dla Ciebie "
+"jako zwykłego użytkownika).\n"
+"\n"
+" Wiedz, że normalnie nie będziesz chciał(a) tego używać, dopóki nie jesteś "
+"deweloperem i chcesz zrobić parę testów. Jeśli chcesz oddzielne instancje "
+"raczej użyj -no-connect w linii komend. Wiedz, że normalnie żadne pliki "
+"stanu nie są zapisywane na dysk, gdy ta opcja jest użyta. Zobacz także -"
+"touch-files."
 
-#: src/config/cmdline.c:891
+#: src/config/cmdline.c:915
 msgid "Print the source of given URLs to stdout"
 msgstr "Wypisz źródło danego URL na standardowe wyjście"
 
-#: src/config/cmdline.c:893
+#: src/config/cmdline.c:917
 msgid "Print given URLs in source form to stdout."
 msgstr "Wypisz podany URL w postaci źródłowej na standardowe wyjście."
 
-#: src/config/cmdline.c:897
+#: src/config/cmdline.c:921
 msgid "Touch files in ~/.elinks when running with -no-connect/-session-ring"
 msgstr "Uaktualnij pliki w ~/.elinks gdy uruchomiony -no-connect/-session-ring"
 
-#: src/config/cmdline.c:899
+#: src/config/cmdline.c:923
 msgid ""
-"When enabled, runtime state files (bookmarks, history, etc.) are\n"
-"written to disk, even when -no-connect or -session-ring is used.\n"
-"The option has no effect if not used in conjunction with any of\n"
-"these options."
-msgstr ""
-"Jeśli włączone, pliki stanu (zakładki, historia, ...) nie będą\n"
-"zapisywane na dysk nawet jeśli -no-connect lub -session-ring\n"
-"będzie podane. Opcja nie daje żadnego rezultatu, bez połączenia\n"
-"z żadną z tych opcji."
+"When enabled, runtime state files (bookmarks, history, etc.) are written to "
+"disk, even when -no-connect or -session-ring is used. The option has no "
+"effect if not used in conjunction with any of these options."
+msgstr ""
+"Jeśli włączone, pliki stanu (zakładki, historia, ...) nie będą zapisywane na "
+"dysk nawet jeśli -no-connect lub -session-ring będzie podane. Opcja nie daje "
+"żadnego rezultatu, bez połączenia z żadną z tych opcji."
 
-#: src/config/cmdline.c:904
+#: src/config/cmdline.c:928
 msgid "Verbose level"
 msgstr "Poziom gadatliwości"
 
-#: src/config/cmdline.c:906
+#: src/config/cmdline.c:930
 msgid ""
-"The verbose level controls what messages are shown at\n"
-"start up and while running:\n"
+"The verbose level controls what messages are shown at start up and while "
+"running:\n"
 "\t0 means only show serious errors\n"
 "\t1 means show serious errors and warnings\n"
 "\t2 means show all messages"
 msgstr ""
-"Poziom gadatliwości kontroluje które informacje są pokazane\n"
-"w momencie uruchamiania i podczas działania:\n"
+"Poziom gadatliwości kontroluje które informacje są pokazane w momencie "
+"uruchamiania i podczas działania:\n"
 "\t0 pokazuj tylko poważne błędy\n"
 "\t1 pokazuj poważne błędy i ostrzeżenia\n"
 "\t2 pokazuj wszystkie informacje"
 
-#: src/config/cmdline.c:912
+#: src/config/cmdline.c:936
 msgid "Print version information and exit"
 msgstr "Wypisz informacje o wersji i zakończ działanie"
 
-#: src/config/cmdline.c:914
+#: src/config/cmdline.c:938
 msgid "Print ELinks version information and exit."
 msgstr "Wypisz informacje o wersji ELinksa i zakończ działanie."
 
-#: src/config/conf.c:938
+#: src/config/conf.c:963
 msgid ""
 "## This is ELinks configuration file. You can edit it manually,\n"
 "## if you wish so; this file is edited by ELinks when you save\n"
@@ -1773,7 +1770,7 @@ msgstr ""
 "## tylko wartości opcji będą zmienione a formatowanie, komentarze\n"
 "## itp. pozostaną niezmienione.\n"
 
-#: src/config/conf.c:946
+#: src/config/conf.c:971
 msgid ""
 "## This is ELinks configuration file. You can edit it manually,\n"
 "## if you wish so; this file is edited by ELinks when you save\n"
@@ -1792,7 +1789,7 @@ msgstr ""
 "## traktowana jako brakująca. Wiedz, że sposób formatowania\n"
 "## i komentarze pozostaną niezmienione.\n"
 
-#: src/config/conf.c:956
+#: src/config/conf.c:981
 msgid ""
 "## This is ELinks configuration file. You can edit it manually,\n"
 "## if you wish so, but keep in mind that this file is overwritten\n"
@@ -1804,7 +1801,7 @@ msgstr ""
 "## przez ELinksa gdy zapiszesz konfigurację poprzez menadżera ustawień\n"
 "## Twoje formatowanie i komentarze zostaną utracone.\n"
 
-#: src/config/conf.c:967
+#: src/config/conf.c:992
 msgid ""
 "## Obviously, if you don't like what ELinks is going to do with\n"
 "## this file, you can change it by altering the config.saving_style\n"
@@ -1813,11 +1810,11 @@ msgstr ""
 "## Oczywiście, jeśli nie podoba Ci się to, co ELinks robi z tym plikiem\n"
 "## możesz to zmienić ustawiając odpowiednio zmienną config.saving_style.\n"
 
-#: src/config/conf.c:980
+#: src/config/conf.c:1005
 msgid "Automatically saved options\n"
 msgstr "Automatycznie zapisane ustawienia\n"
 
-#: src/config/conf.c:992
+#: src/config/conf.c:1017
 msgid "Automatically saved keybindings\n"
 msgstr "Automatycznie zapisane przypisania klawiszy\n"
 
@@ -1878,7 +1875,7 @@ msgstr "(rozwiń przyciskając spację)"
 #. * switch charsets.  So, it will work in any terminal that
 #. * understands UTF-8 and has the characters in its font.
 #: src/config/dialogs.c:149 src/config/dialogs.c:330
-#: src/config/options.inc:840
+#: src/config/options.inc:887
 msgid "Type"
 msgstr "Typ"
 
@@ -1906,9 +1903,9 @@ msgid "Description"
 msgstr "Opis"
 
 #: src/config/dialogs.c:291 src/protocol/bittorrent/dialogs.c:600
-#: src/protocol/protocol.c:240 src/session/session.c:287
-#: src/session/session.c:975 src/viewer/text/textarea.c:594
-#: src/viewer/text/textarea.c:601
+#: src/protocol/protocol.c:240 src/session/session.c:288
+#: src/session/session.c:999 src/viewer/text/textarea.c:583
+#: src/viewer/text/textarea.c:590
 msgid "Error"
 msgstr "Błąd"
 
@@ -1947,7 +1944,7 @@ msgstr "Nie można dodać tu opcji."
 #. accelerator_context(src/config/dialogs.c:keybinding_buttons, src/config/dialogs.c:option_buttons, src/cookies/dialogs.c:cookie_buttons, src/formhist/dialogs.c:formhist_buttons, src/protocol/bittorrent/dialogs.c:bittorrent_query_callback, src/session/download.c:do_type_query, terminal_options)
 #: src/config/dialogs.c:507 src/config/dialogs.c:933 src/cookies/dialogs.c:495
 #: src/dialogs/options.c:236 src/formhist/dialogs.c:214
-#: src/protocol/bittorrent/dialogs.c:801 src/session/download.c:1203
+#: src/protocol/bittorrent/dialogs.c:801 src/session/download.c:1229
 msgid "Sa~ve"
 msgstr "~Zapisz"
 
@@ -1959,7 +1956,7 @@ msgstr "Menadżer ustawień"
 msgid "Keystroke"
 msgstr "Skrót klawiszowy"
 
-#: src/config/dialogs.c:676 src/config/options.inc:1219
+#: src/config/dialogs.c:676 src/config/options.inc:1292
 msgid "Action"
 msgstr "Akcja"
 
@@ -2046,31 +2043,31 @@ msgstr ""
 "czy zmienna $HOME jest ustawiona poprawnie i czy masz prawo zapisu do "
 "katalogu domowego."
 
-#: src/config/kbdbind.c:221
+#: src/config/kbdbind.c:222
 msgid "Main mapping"
 msgstr "Główna mapa klawiszy"
 
-#: src/config/kbdbind.c:222
+#: src/config/kbdbind.c:223
 msgid "Edit mapping"
 msgstr "Mapa klawiszy edycji"
 
-#: src/config/kbdbind.c:223
+#: src/config/kbdbind.c:224
 msgid "Menu mapping"
 msgstr "Mapa klawiszy menu"
 
-#: src/config/kbdbind.c:588 src/scripting/python/keybinding.c:104
+#: src/config/kbdbind.c:589 src/scripting/python/keybinding.c:104
 msgid "Unrecognised keymap"
 msgstr "Nierozpoznana mapa klawiszy"
 
-#: src/config/kbdbind.c:591
+#: src/config/kbdbind.c:592
 msgid "Error parsing keystroke"
 msgstr "Błąd przy odczytywaniu kombinacji klawiszy"
 
-#: src/config/kbdbind.c:595
+#: src/config/kbdbind.c:596
 msgid "Unrecognised action (internal error)"
 msgstr "Nierozpoznana akcja (błąd wewnętrzny)"
 
-#: src/config/kbdbind.c:611
+#: src/config/kbdbind.c:612
 msgid "Error registering event"
 msgstr "Błąd przy rejestrowaniu zdarzenia"
 
@@ -2103,36 +2100,33 @@ msgstr ""
 "3 - pełne komentarze"
 
 #
-#: src/config/options.inc:31
+#: src/config/options.inc:32
 msgid "Indentation"
 msgstr "Wcięcia"
 
-#: src/config/options.inc:33
+#: src/config/options.inc:34
 msgid ""
-"Shift width of one indentation level in the configuration\n"
-"file. Zero means that no indentation is performed at all\n"
-"when saving the configuration."
+"Shift width of one indentation level in the configuration file. Zero means "
+"that no indentation is performed at all when saving the configuration."
 msgstr ""
-"Szerokość jednej tabulacji w pliku konfiguracyjnym\n"
-"Zero oznacza brak wcięć."
+"Szerokość jednej tabulacji w pliku konfiguracyjnym Zero oznacza brak wcięć."
 
-#: src/config/options.inc:37
+#: src/config/options.inc:38
 msgid "Saving style"
 msgstr "Sposób zapisu konfiguracji"
 
-#: src/config/options.inc:39
+#: src/config/options.inc:40
 msgid ""
 "Determines what happens when you tell ELinks to save options:\n"
 "0 is only values of current options are altered\n"
-"1 is values of current options are altered and missing options\n"
-"     are added at the end of the file\n"
+"1 is values of current options are altered and missing\n"
+"     options are added at the end of the file\n"
 "2 is the configuration file is rewritten from scratch\n"
-"3 is values of current options are altered and missing options\n"
-"     CHANGED during this ELinks session are added at the end of\n"
-"     the file"
+"3 is values of current options are altered and missing\n"
+"     options CHANGED during this ELinks session are added at\n"
+"     the end of the file"
 msgstr ""
-"Decyduje o sposobie zapisu, gdy wybrane zostanie \"Zapisz\n"
-"ustawienia\":\n"
+"Decyduje o sposobie zapisu, gdy wybrane zostanie \"Zapisz ustawienia\":\n"
 "0 - tylko wartości bieżących opcji są zapisywane\n"
 "1 - wartości bieżących opcji i brakujące opcje\n"
 "    są dodawane na koniec pliku\n"
@@ -2141,162 +2135,156 @@ msgstr ""
 "    ZMIENIONE podczas tej sesji ELinksa są dodawane\n"
 "    na końcu pliku"
 
-#: src/config/options.inc:48
+#: src/config/options.inc:50
 msgid "Comments localization"
 msgstr "Lokalizacja komentarzy"
 
-#: src/config/options.inc:50
+#: src/config/options.inc:52
 msgid ""
-"If set to 1, comments in the configuration file will be\n"
-"translated to the language used by UI. Note that if you have\n"
-"different language set in different terminals, the language\n"
-"used in the configuration file MAY be the same as on the\n"
-"terminal where you saved the file, but it should be generally\n"
+"If set to 1, comments in the configuration file will be translated to the "
+"language used by UI. Note that if you have different language set in "
+"different terminals, the language used in the configuration file MAY be the "
+"same as on the terminal where you saved the file, but it should be generally "
 "considered unpredictable."
 msgstr ""
-"Jeśli ustawione na 1, komentarze w pliku konfiguracyjnym\n"
-"będą tłumaczone na język używany przez interfejs\n"
-"użytkownika. Jeśli masz ustawione różne języki na różnych\n"
-"terminalach, język użyty w pliku konfiguracyjnym MOŻE być\n"
-"taki jak na terminalu, gdzie została zapisana konfiguracja,\n"
-"aczkolwiek nie jest to do końca przewidywalne."
+"Jeśli ustawione na 1, komentarze w pliku konfiguracyjnym będą tłumaczone na "
+"język używany przez interfejs użytkownika. Jeśli masz ustawione różne języki "
+"na różnych terminalach, język użyty w pliku konfiguracyjnym MOŻE być taki "
+"jak na terminalu, gdzie została zapisana konfiguracja, aczkolwiek nie jest "
+"to do końca przewidywalne."
 
-#: src/config/options.inc:58
+#: src/config/options.inc:60
 msgid "Saving style warnings"
 msgstr "Ostrzeżenia dotyczące sposobu zapisu konfiguracji"
 
-#: src/config/options.inc:60
+#: src/config/options.inc:62
 msgid ""
-"This is internal option used when displaying a warning about\n"
-"obsolete config.saving_style. You shouldn't touch it."
+"This is internal option used when displaying a warning about obsolete config."
+"saving_style. You shouldn't touch it."
 msgstr ""
-"To jest wewnętrzna opcja używana, gdy wyświetlane jest\n"
-"ostrzeżenie o przestarzałym config.saving_style. Lepiej\n"
-"tego nie dotykaj."
+"To jest wewnętrzna opcja używana, gdy wyświetlane jest ostrzeżenie o "
+"przestarzałym config.saving_style. Lepiej tego nie dotykaj."
 
-#: src/config/options.inc:63
+#: src/config/options.inc:66
 msgid "Show template"
 msgstr "Pokaż szablon"
 
-#: src/config/options.inc:65
+#: src/config/options.inc:68
 msgid ""
-"Show template options in autocreated trees in the options\n"
-"manager and save them to the configuration file."
+"Show template options in autocreated trees in the options manager and save "
+"them to the configuration file."
 msgstr ""
-"Pokaż opcje szablonu w automatycznie tworzonym drzewie\n"
-"w menadżerze ustawień i zapisz je do pliku konfiguracyjnego."
+"Pokaż opcje szablonu w automatycznie tworzonym drzewie w menadżerze ustawień "
+"i zapisz je do pliku konfiguracyjnego."
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:71 src/dialogs/info.c:180
+#: src/config/options.inc:74 src/dialogs/info.c:180
 msgid "Connections"
 msgstr "Połączenia"
 
 #
-#: src/config/options.inc:73
+#: src/config/options.inc:76
 msgid "Connection options."
 msgstr "Ustawienia połączeń."
 
-#: src/config/options.inc:76
+#: src/config/options.inc:79
 msgid "Asynchronous DNS"
 msgstr "Asynchroniczne DNS"
 
-#: src/config/options.inc:78
+#: src/config/options.inc:81
 msgid "Whether to use asynchronous DNS resolving."
 msgstr "Czy używać asynchronicznego resolwera DNS."
 
 #
-#: src/config/options.inc:80
+#: src/config/options.inc:83
 msgid "Maximum connections"
 msgstr "Maksymalna liczba połączeń"
 
-#: src/config/options.inc:82
+#: src/config/options.inc:85
 msgid "Maximum number of concurrent connections."
 msgstr "Maksymalna liczba równoczesnych połączeń."
 
 #
-#: src/config/options.inc:84
+#: src/config/options.inc:87
 msgid "Maximum connections per host"
 msgstr "Maksymalna liczba połączeń z jednym hostem"
 
-#: src/config/options.inc:86
+#: src/config/options.inc:89
 msgid "Maximum number of concurrent connections to a given host."
 msgstr "Maksymalna liczba równoczesnych połączeń z danym hostem."
 
 #
-#: src/config/options.inc:88
+#: src/config/options.inc:92
 msgid "Connection retries"
 msgstr "Próby połączenia"
 
-#: src/config/options.inc:90
-msgid ""
-"Number of tries to establish a connection.\n"
-"Zero means try forever."
-msgstr ""
-"Ilość prób nawiązania połączenia.\n"
-"Zero oznacza nie poddawaj się."
+#: src/config/options.inc:94
+msgid "Number of tries to establish a connection. Zero means try forever."
+msgstr "Ilość prób nawiązania połączenia. Zero oznacza nie poddawaj się."
 
-#: src/config/options.inc:93 src/network/state.c:53
+#: src/config/options.inc:97 src/network/state.c:53
 msgid "Receive timeout"
 msgstr "Limit czasu pobierania"
 
 #
-#: src/config/options.inc:95
+#: src/config/options.inc:99
 msgid "Receive timeout (in seconds)."
 msgstr "Limit czasu pobierania (w sekundach)."
 
-#: src/config/options.inc:98 src/config/options.inc:108
+#: src/config/options.inc:102 src/config/options.inc:113
 msgid "Try IPv4 when connecting"
 msgstr "Próbuj IPv4 przy połączeniu"
 
-#: src/config/options.inc:100
+#: src/config/options.inc:104
 msgid ""
-"Whether to try to connect to a host over IPv4.\n"
-"Note that if connection.try_ipv6 is enabled too,\n"
-"it takes precedence. And better do not touch this\n"
+"Whether to try to connect to a host over IPv4. Note that if connection."
+"try_ipv6 is enabled too, it takes precedence. And better do not touch this "
 "at all unless you are sure what are you doing.\n"
-"Note that you can also force a given protocol\n"
-"to be used on a per-connection basis by using a URL\n"
-"in the style of e.g. http4://elinks.cz/."
-msgstr ""
-"Czy próbować połączyć się z serwerem przy pomocy IPv4?\n"
-"Jeśli connection.try_ipv6 jest także włączone, to ma\n"
-"pierwszeństwo. Lepiej nie dotykaj tego, dopóki nie wiesz\n"
-"co robisz. Pamiętaj, że możesz wymusić dany protokół\n"
-"przy połączeniu używając URL-a w stylu np. http4://elinks.cz/."
-
-#: src/config/options.inc:110
-msgid ""
-"Whether to try to connect to a host over IPv4.\n"
-"Do not touch this option.\n"
-"Note that you can also force a given protocol\n"
-"to be used on a per-connection basis by using a URL\n"
-"in the style of e.g. http4://elinks.cz/."
-msgstr ""
-"Czy próbować połączyć się z serwerem przy pomocy IPv4?\n"
-"Nie dotykaj tej opcji.\n"
-"Pamiętaj, że możesz wymusić dany protokół przy połączeniu\n"
-"używając URL-a w stylu np. http4://elinks.cz/."
+"\n"
+"Note that you can also force a given protocol to be used on a per-connection "
+"basis by using a URL in the style of e.g. http4://elinks.cz/."
+msgstr ""
+"Czy próbować połączyć się z serwerem przy pomocy IPv4? Jeśli connection."
+"try_ipv6 jest także włączone, to ma pierwszeństwo. Lepiej nie dotykaj tego, "
+"dopóki nie wiesz co robisz.\n"
+"\n"
+"Pamiętaj, że możesz wymusić dany protokół przy połączeniu używając URL-a w "
+"stylu np. http4://elinks.cz/."
+
+#: src/config/options.inc:115
+msgid ""
+"Whether to try to connect to a host over IPv4. Do not touch this option.\n"
+"\n"
+"Note that you can also force a given protocol to be used on a per-connection "
+"basis by using a URL in the style of e.g. http4://elinks.cz/."
+msgstr ""
+"Czy próbować połączyć się z serwerem przy pomocy IPv4? Nie dotykaj tej "
+"opcji.\n"
+"\n"
+"Pamiętaj, że możesz wymusić dany protokół przy połączeniu używając URL-a w "
+"stylu np. http4://elinks.cz/."
 
-#: src/config/options.inc:118
+#: src/config/options.inc:124
 msgid "Try IPv6 when connecting"
 msgstr "Próbuj IPv6 przy połączeniu"
 
-#: src/config/options.inc:120
+#: src/config/options.inc:126
 msgid ""
 "Whether to try to connect to a host over IPv6.\n"
-"Note that you can also force a given protocol\n"
-"to be used on a per-connection basis by using a URL\n"
-"in the style of e.g. http6://elinks.cz/."
+"\n"
+"Note that you can also force a given protocol to be used on a per-connection "
+"basis by using a URL in the style of e.g. http6://elinks.cz/."
 msgstr ""
 "Czy próbować połączyć się z serwerem przy pomocy IPv6?\n"
-"Pamiętaj, że możesz także wymusić dany protokół przy\n"
-"połączeniu używając URL-a w stylu np. http6://elinks.cz/."
+"\n"
+"Pamiętaj, że możesz także wymusić dany protokół przy połączeniu używając URL-"
+"a w stylu np. http6://elinks.cz/."
 
-#: src/config/options.inc:126
+#: src/config/options.inc:133
 msgid "Timeout for non-restartable connections"
 msgstr "Limit czasu pobierania dla niewznawialnych połączeń"
 
-#: src/config/options.inc:128
+#: src/config/options.inc:135
 msgid "Timeout for non-restartable connections (in seconds)."
 msgstr ""
 "Limit czasu pobierania dla niewznawialnych połączeń\n"
@@ -2304,70 +2292,69 @@ msgstr ""
 
 #
 #. Keep options in alphabetical order.
-#: src/config/options.inc:134
+#: src/config/options.inc:141
 msgid "Document"
 msgstr "Dokument"
 
 #
-#: src/config/options.inc:136
+#: src/config/options.inc:143
 msgid "Document options."
 msgstr "Ustawienia dotyczące dokumentu."
 
-#: src/config/options.inc:138
+#: src/config/options.inc:145
 msgid "Browsing"
 msgstr "Przeglądanie"
 
-#: src/config/options.inc:140
+#: src/config/options.inc:147
 msgid "Document browsing options (mainly interactivity)."
 msgstr "Ustawienia dotyczące przeglądania dokumentów (głównie interakcyjność)."
 
-#: src/config/options.inc:143
+#: src/config/options.inc:150
 msgid "Access keys"
 msgstr "Klawisze dostępu"
 
-#: src/config/options.inc:145
+#: src/config/options.inc:152
 msgid ""
-"Options for handling of link access keys.\n"
-"An HTML document can use the ACCESSKEY attribute to assign\n"
-"an access key to an element. When an access key is pressed,\n"
-"the corresponding element will be given focus."
-msgstr ""
-"Ustawienia dotyczące klawiszy dostępu odnośnika.\n"
-"Dokumenty HTML mogą używać atrybutu ACCESSKEY do ustalenia\n"
-"klawisza dostępu dla elementu. Gdy klawisz dostępu jest\n"
-"przyciśnięty, odpowiadający element zostanie uaktywniony."
+"Options for handling of link access keys. An HTML document can use the "
+"ACCESSKEY attribute to assign an access key to an element. When an access "
+"key is pressed, the corresponding element will be given focus."
+msgstr ""
+"Ustawienia dotyczące klawiszy dostępu odnośnika. Dokumenty HTML mogą używać "
+"atrybutu ACCESSKEY do ustalenia klawisza dostępu dla elementu. Gdy klawisz "
+"dostępu jest przyciśnięty, odpowiadający element zostanie uaktywniony."
 
-#: src/config/options.inc:150
+#: src/config/options.inc:157
 msgid "Automatic links following"
 msgstr "Automatyczne podążanie za odnośnikami"
 
-#: src/config/options.inc:152
+#: src/config/options.inc:159
 msgid ""
-"Automatically follow a link or submit a form if appropriate\n"
-"accesskey is pressed - this is the standard behaviour, but it's\n"
-"considered dangerous."
-msgstr ""
-"Automatycznie podążaj za odnośnikiem albo wyślij formularz,\n"
-"gdy klawisz dostępu został naciśnięty - takie jest\n"
-"standardowe zachowanie, choć może być niebezpieczne."
+"Automatically follow a link or submit a form if appropriate accesskey is "
+"pressed - this is the standard behaviour, but it's considered dangerous."
+msgstr ""
+"Automatycznie podążaj za odnośnikiem albo wyślij formularz, gdy klawisz "
+"dostępu został naciśnięty - takie jest standardowe zachowanie, choć może być "
+"niebezpieczne."
 
-#: src/config/options.inc:156
+#: src/config/options.inc:163
 msgid "Display access key in link info"
 msgstr "Wyświetlanie klawisza dostępu w informacji o odnośniku"
 
-#: src/config/options.inc:158
+#: src/config/options.inc:165
 msgid "Display access key in link info."
 msgstr "Czy wyświetlać klawisz dostępu w informacji o odnośniku."
 
-#: src/config/options.inc:160
+#: src/config/options.inc:167
 msgid "Accesskey priority"
 msgstr "Priorytet klawiszy dostępu"
 
-#: src/config/options.inc:162
+#: src/config/options.inc:169
 msgid ""
 "Priority of 'accesskey' HTML attribute:\n"
-"0 is first try all normal bindings; if it fails, check accesskey\n"
-"1 is first try only frame bindings; if it fails, check accesskey\n"
+"0 is first try all normal bindings; if it fails,\n"
+"     check accesskey\n"
+"1 is first try only frame bindings; if it fails,\n"
+"     check accesskey\n"
 "2 is first check accesskey (this can be dangerous)"
 msgstr ""
 "Priorytet atrybutu HTML 'accesskey':\n"
@@ -2377,102 +2364,100 @@ msgstr ""
 "    niepowodzenia sprawdź accesskey\n"
 "2 - najpierw sprawdź accesskey (może być niebezpieczne)"
 
-#: src/config/options.inc:168
+#: src/config/options.inc:177
 msgid "Forms"
 msgstr "Formularze"
 
-#: src/config/options.inc:170
+#: src/config/options.inc:179
 msgid "Options for handling of the forms interaction."
 msgstr "Ustawienia dotyczące interakcji z formularzami."
 
 #
-#: src/config/options.inc:172
+#: src/config/options.inc:181
 msgid "Submit form automatically"
 msgstr "Automatyczne wysyłanie formularzy"
 
-#: src/config/options.inc:174
+#: src/config/options.inc:183
 msgid ""
-"Automagically submit a form when enter is pressed with a text\n"
-"field selected."
+"Automagically submit a form when enter is pressed with a text field selected."
 msgstr ""
-"Automagicznie wyślij formularz, gdy ENTER zostanie\n"
-"naciśnięty w polu tekstowym."
+"Automagicznie wyślij formularz, gdy ENTER zostanie naciśnięty w polu "
+"tekstowym."
 
-#: src/config/options.inc:177
+#: src/config/options.inc:186
 msgid "Confirm submission"
 msgstr "Potwierdzenie chęci wysłania"
 
-#: src/config/options.inc:179
+#: src/config/options.inc:188
 msgid "Ask for confirmation when submitting a form."
 msgstr "Czy pytać o potwierdzenie przy wysyłaniu formularza."
 
-#: src/config/options.inc:181
+#: src/config/options.inc:190
 msgid "Default form input size"
 msgstr "Domyślny rozmiar formularzy"
 
-#: src/config/options.inc:183
+#: src/config/options.inc:192
 msgid "Default form input size if none is specified."
 msgstr "Domyślny rozmiar formularzy, jeśli nie podany w dokumencie."
 
-#: src/config/options.inc:185
+#: src/config/options.inc:194
 msgid "Insert mode"
 msgstr "Tryb insert"
 
-#: src/config/options.inc:187
+#: src/config/options.inc:196
 msgid ""
-"The setting for this option affects how key presses are handled\n"
-"when one selects a text-input form-field. When enabled, one must\n"
-"explicitly 'enter' a selected text-field to edit it; this prevents\n"
-"text fields from capturing key presses, such as presses of a scroll\n"
-"key, when it is inadvertently selected. When disabled, key presses\n"
-"are always inserted into a selected text field."
-msgstr ""
-"Ustawienie tej opcji dotyczy sposobu obsługi klawiatury przy\n"
-"formularzach. Gdy włączone, należy wcisnąć 'enter' by\n"
-"edytować zaznaczone pole tekstowe; zapobiega to\n"
-"przypadkowemu wypełnieniu pól tekstowych, np. przy\n"
-"przewijaniu tekstu. Gdy wyłączone, w przypadku zaznaczenia\n"
-"pola tekstowego wciśnięcia klawiszy dotyczą pola tekstowego."
+"The setting for this option affects how key presses are handled when one "
+"selects a text-input form-field. When enabled, one must explicitly 'enter' a "
+"selected text-field to edit it; this prevents text fields from capturing key "
+"presses, such as presses of a scroll key, when it is inadvertently selected. "
+"When disabled, key presses are always inserted into a selected text field."
+msgstr ""
+"Ustawienie tej opcji dotyczy sposobu obsługi klawiatury przy formularzach. "
+"Gdy włączone, należy wcisnąć 'enter' by edytować zaznaczone pole tekstowe; "
+"zapobiega to przypadkowemu wypełnieniu pól tekstowych, np. przy przewijaniu "
+"tekstu. Gdy wyłączone, w przypadku zaznaczenia pola tekstowego wciśnięcia "
+"klawiszy dotyczą pola tekstowego."
 
-#: src/config/options.inc:194
+#: src/config/options.inc:204
 msgid "External editor"
 msgstr "Zewnętrzny edytor"
 
-#: src/config/options.inc:196
+#: src/config/options.inc:206
 msgid ""
-"Path to the executable that ELinks should launch when the user\n"
-"requests to edit a textarea with an external editor.\n"
-"If this is blank, ELinks will use the value of the environmental\n"
-"variable $EDITOR. If $EDITOR is empty or not set, ELinks will then\n"
-"default to \"vi\"."
-msgstr ""
-"Ścieżka do programu, który ELinks powinien uruchomić, gdy\n"
-"użytkownik zechce modyfikować pole tekstowe przy użyciu\n"
-"zewnętrznego edytora.\n"
-"Jeśli jest nieustawione, ELinks użyje wartości zmiennej\n"
-"środowiskowej $EDITOR. Gdy $EDITOR jest pusty albo\n"
-"nieustawiony, ELinks użyje \"vi\"."
+"Path to the executable that ELinks should launch when the user requests to "
+"edit a textarea with an external editor.\n"
+"\n"
+"If this is blank, ELinks will use the value of the environmental variable "
+"$EDITOR. If $EDITOR is empty or not set, ELinks will then default to \"vi\"."
+msgstr ""
+"Ścieżka do programu, który ELinks powinien uruchomić, gdy użytkownik zechce "
+"modyfikować pole tekstowe przy użyciu zewnętrznego edytora.\n"
+"\n"
+"Jeśli jest nieustawione, ELinks użyje wartości zmiennej środowiskowej "
+"$EDITOR. Gdy $EDITOR jest pusty albo nieustawiony, ELinks użyje \"vi\"."
 
 #
-#: src/config/options.inc:203
+#: src/config/options.inc:214
 msgid "Images"
 msgstr "Obrazki"
 
-#: src/config/options.inc:205
+#: src/config/options.inc:216
 msgid "Options for handling of images."
 msgstr "Ustawienia dotyczące obrazków."
 
-#: src/config/options.inc:207
+#: src/config/options.inc:218
 msgid "Display style for image tags"
 msgstr "Sposób wyświetlania znaczników obrazka"
 
-#: src/config/options.inc:209
+#: src/config/options.inc:220
 msgid ""
 "Display style for image tags when displayed:\n"
 "0     means always display IMG\n"
 "1     means always display filename\n"
-"2     means display alt/title attribute if possible, IMG if not\n"
-"3     means display alt/title attribute if possible, filename if not"
+"2     means display alt/title attribute if possible,\n"
+"      IMG if not\n"
+"3     means display alt/title attribute if possible,\n"
+"      filename if not"
 msgstr ""
 "Sposób wyświetlania znaczników obrazka:\n"
 "0   - zawsze wyświetlaj IMG\n"
@@ -2482,16 +2467,17 @@ msgstr ""
 "3   - jeśli możliwe, wyświetlaj atrybuty alt/title,\n"
 "      w przeciwnym wypadku nazwę pliku"
 
-#: src/config/options.inc:215
+#: src/config/options.inc:228
 msgid "Maximum length for image filename"
 msgstr "Maksymalna długość nazwy pliku obrazka"
 
-#: src/config/options.inc:217
+#: src/config/options.inc:230
 msgid ""
 "Maximum length of image filename when displayed:\n"
 "0     means always display full filename\n"
 "1-500 means display filename with this maximal length;\n"
-"      if it is longer, the middle is substituted by an asterisk"
+"      if it is longer, the middle is substituted by\n"
+"      an asterisk"
 msgstr ""
 "Maksymalna długość wyświetlanej nazwa pliku obrazka:\n"
 "0   -  zawsze wyświetlaj pełną nazwę docelowego pliku\n"
@@ -2499,11 +2485,11 @@ msgstr ""
 "      maksymalnej długości; jeśli nazwa jest dłuższa, środek\n"
 "      jest zastępowany gwiazdkami"
 
-#: src/config/options.inc:227
+#: src/config/options.inc:241
 msgid "Image links tagging"
 msgstr "Tagowanie odnośników na obrazkach"
 
-#: src/config/options.inc:229
+#: src/config/options.inc:243
 msgid ""
 "When to enclose image links:\n"
 "0 means never\n"
@@ -2516,101 +2502,100 @@ msgstr ""
 "        zachowanie)\n"
 "2     - zawsze"
 
-#: src/config/options.inc:234
+#: src/config/options.inc:248
 msgid "Image link prefix"
 msgstr "Przedrostek odnośnika na obrazku"
 
-#: src/config/options.inc:236
+#: src/config/options.inc:250
 msgid "Prefix string to use to mark image links."
 msgstr "Przedrostek używany, żeby zaznaczyć odnośniki na obrazkach."
 
-#: src/config/options.inc:238
+#: src/config/options.inc:252
 msgid "Image link suffix"
 msgstr "Przyrostek odnośnika na obrazku"
 
-#: src/config/options.inc:240
+#: src/config/options.inc:254
 msgid "Suffix string to use to mark image links."
 msgstr "Przyrostek używany, żeby zaznaczyć odnośniki na obrazkach."
 
-#: src/config/options.inc:242
+#: src/config/options.inc:256
 msgid "Maximum length for image label"
 msgstr "Maksymalna długość etykiety obrazka"
 
-#: src/config/options.inc:244
+#: src/config/options.inc:258
 msgid ""
 "Maximum length of image label (alt/title):\n"
 "0     means always display full label\n"
 "1-500 means display label with this maximal length;\n"
-"      if it is longer, the middle is substituted by an asterisk"
+"      if it is longer, the middle is substituted by\n"
+"      an asterisk"
 msgstr ""
 "Maksymalna długość etykiety obrazka (alt/title):\n"
 "0   -  zawsze wyświetlaj pełną etykietę\n"
 "1-500 - wyświetlaj etykietę o takiej maksymalnej długości;\n"
 "      jeśli nazwa jest dłuższa, środek jest zastępowany\n"
-"      gwiazdkami"
+"      gwiazdką"
 
-#: src/config/options.inc:249
+#: src/config/options.inc:264
 msgid "Display links to images w/o alt"
 msgstr "Wyświetlanie odnośników do obrazków bez podanego atrybutu alt"
 
-#: src/config/options.inc:251
+#: src/config/options.inc:266
 msgid ""
-"Display links to images without an alt attribute. If this option\n"
-"is off, these images are completely invisible."
+"Display links to images without an alt attribute. If this option is off, "
+"these images are completely invisible."
 msgstr ""
-"Czy wyświetlać odnośniki do obrazków bez podanego atrybutu\n"
-"alt? Jeśli ta opcja jest wyłączona, obrazki te będą niewidoczne."
+"Czy wyświetlać odnośniki do obrazków bez podanego atrybutu alt? Jeśli ta "
+"opcja jest wyłączona, obrazki te będą niewidoczne."
 
-#: src/config/options.inc:254
+#: src/config/options.inc:269
 msgid "Display links to images"
 msgstr "Wyświetlanie odnośników do obrazków"
 
-#: src/config/options.inc:256
+#: src/config/options.inc:271
 msgid ""
-"Display links to any images in the document, regardless of them\n"
-"having an alt attribute or not. If this option is off, the alt\n"
-"attribute contents is shown, but as normal text, not selectable\n"
-"as a link."
-msgstr ""
-"Czy wyświetlać odnośniki do jakichkolwiek obrazków\n"
-"w dokumencie niezależnie od tego czy posiadają atrybut alt\n"
-"czy nie? Jeśli ta opcja jest wyłączona, pokazywana jest\n"
-"zawartość atrybutu alt, ale jako zwykły tekst a nie odnośnik."
+"Display links to any images in the document, regardless of them having an "
+"alt attribute or not. If this option is off, the alt attribute contents is "
+"shown, but as normal text, not selectable as a link."
+msgstr ""
+"Czy wyświetlać odnośniki do jakichkolwiek obrazków w dokumencie niezależnie "
+"od tego czy posiadają atrybut alt czy nie? Jeśli ta opcja jest wyłączona, "
+"pokazywana jest zawartość atrybutu alt, ale jako zwykły tekst a nie odnośnik."
 
 #
-#: src/config/options.inc:262
+#: src/config/options.inc:277
 msgid "Links"
 msgstr "Odnośniki"
 
-#: src/config/options.inc:264
+#: src/config/options.inc:279
 msgid "Options for handling of links to other documents."
 msgstr "Ustawienia dotyczące odnośników do innych dokumentów."
 
-#: src/config/options.inc:266
+#: src/config/options.inc:281
 msgid "Active link"
 msgstr "Aktywny odnośnik"
 
-#: src/config/options.inc:268
+#: src/config/options.inc:283
 msgid "Options for the active link."
 msgstr "Ustawienia dotyczące aktywnego odnośnika."
 
-#: src/config/options.inc:270
+#: src/config/options.inc:285
 msgid "Colors"
 msgstr "Kolory"
 
-#: src/config/options.inc:272
+#: src/config/options.inc:287
 msgid "Active link colors."
 msgstr "Kolory aktywnego odnośnika."
 
 #
-#: src/config/options.inc:274 src/config/options.inc:549
-#: src/config/options.inc:945
+#: src/config/options.inc:289 src/config/options.inc:583
+#: src/config/options.inc:1014
 msgid "Background color"
 msgstr "Kolor tła"
 
 #
-#: src/config/options.inc:276 src/config/options.inc:551
-#: src/config/options.inc:946
+#: src/config/options.inc:291 src/config/options.inc:585
+#: src/config/options.inc:1015
 msgid "Default background color."
 msgstr "Domyślny kolor tła."
 
@@ -2623,76 +2608,76 @@ msgstr "Domyślny kolor tła."
 #. *	on it.
 #. The colors and mono tree should be similar but with different default
 #. * values of course so always use the macros below.
-#: src/config/options.inc:278 src/config/options.inc:545
-#: src/config/options.inc:943
+#: src/config/options.inc:293 src/config/options.inc:579
+#: src/config/options.inc:1012
 msgid "Text color"
 msgstr "Kolor tekstu"
 
-#: src/config/options.inc:280 src/config/options.inc:547
-#: src/config/options.inc:944
+#: src/config/options.inc:295 src/config/options.inc:581
+#: src/config/options.inc:1013
 msgid "Default text color."
 msgstr "Domyślny kolor tekstu."
 
 #
-#: src/config/options.inc:282
+#: src/config/options.inc:297
 msgid "Enable color"
 msgstr "Włącz kolor"
 
-#: src/config/options.inc:284
+#: src/config/options.inc:299
 msgid ""
-"Enable use of the active link background and text color\n"
-"settings instead of the link colors from the document."
+"Enable use of the active link background and text color settings instead of "
+"the link colors from the document."
 msgstr ""
-"Włącz użycie ustawień koloru tekstu i tła aktywnego\n"
-"odnośnika zamiast kolorów odnośnika z dokumentu."
+"Włącz użycie ustawień koloru tekstu i tła aktywnego odnośnika zamiast "
+"kolorów odnośnika z dokumentu."
 
-#: src/config/options.inc:287
+#: src/config/options.inc:302
 msgid "Bold"
 msgstr "Pogrubienie"
 
-#: src/config/options.inc:289
+#: src/config/options.inc:304
 msgid "Make the active link text bold."
 msgstr "Pogrub aktywny odnośnik."
 
 #
-#: src/config/options.inc:291
+#: src/config/options.inc:306
 msgid "Invert colors"
 msgstr "Inwersja kolorów"
 
-#: src/config/options.inc:293
+#: src/config/options.inc:308
 msgid "Invert the fore- and background color so the link stands out."
 msgstr "Odwróć kolory tekstu i tła tak, żeby wyróżnić odnośnik."
 
-#: src/config/options.inc:296 src/config/options.inc:908
+#: src/config/options.inc:311 src/config/options.inc:975
 #: src/dialogs/options.c:231
 msgid "Underline"
 msgstr "Podkreślenie"
 
-#: src/config/options.inc:298
+#: src/config/options.inc:313
 msgid "Underline the active link."
 msgstr "Podkreśl aktywny odnośnik."
 
-#: src/config/options.inc:301
+#: src/config/options.inc:316
 msgid "Directory highlighting"
 msgstr "Podświetlanie katalogów"
 
-#: src/config/options.inc:303
+#: src/config/options.inc:318
 msgid "Highlight links to directories in FTP and local directory listing."
 msgstr "Czy podświetlać odnośniki do katalogów na FTP i lokalnie."
 
-#: src/config/options.inc:305
+#: src/config/options.inc:321
 msgid "Number links"
 msgstr "Numerowanie odnośników"
 
-#: src/config/options.inc:307
+#: src/config/options.inc:323
 msgid "Display numbers next to the links."
 msgstr "Czy wyświetlać numery odnośników."
 
-#: src/config/options.inc:309
+#: src/config/options.inc:325
 msgid "Handling of target=_blank"
 msgstr "Obsługa target=_blank"
 
-#: src/config/options.inc:311
+#: src/config/options.inc:327
 msgid ""
 "Define how to handle links having target=_blank set:\n"
 "0 means open link in current tab\n"
@@ -2706,162 +2691,157 @@ msgstr ""
 "2 - otwórz odnośnik na nowej karcie w tle\n"
 "3 - otwórz odnośnik w nowym oknie"
 
-#: src/config/options.inc:324
+#: src/config/options.inc:340
 msgid "Use tabindex"
 msgstr "Użycie tabindex"
 
-#: src/config/options.inc:326
+#: src/config/options.inc:342
 msgid ""
-"Whether to navigate links using tabindex specified ordering.\n"
-"The TABINDEX attribute in HTML elements specifies the order\n"
-"in which links should receive focus when using the keyboard\n"
-"to navigate the document."
+"Whether to navigate links using tabindex specified ordering. The TABINDEX "
+"attribute in HTML elements specifies the order in which links should receive "
+"focus when using the keyboard to navigate the document."
 msgstr ""
-"Czy nawigować pomiędzy odnośnikami używając podanego\n"
-"porządku? Atrybut TABINDEX elementu HTML podaje porządek\n"
-"w jakim odnośniki powinny być uaktywniane nawigując\n"
-"po dokumencie przy użyciu klawiatury."
+"Czy nawigować pomiędzy odnośnikami używając podanego porządku? Atrybut "
+"TABINDEX elementu HTML podaje porządek w jakim odnośniki powinny być "
+"uaktywniane nawigując po dokumencie przy użyciu klawiatury."
 
 #
-#: src/config/options.inc:331
+#: src/config/options.inc:347
 msgid "Missing fragment reporting"
 msgstr "Zgłaszanie brakujących fragmentów"
 
-#: src/config/options.inc:333
+#: src/config/options.inc:349
 msgid "Open a message box when document has no tag with given id."
 msgstr ""
 "Czy otwierać okienko dialogowe z raportem, jeśli dokument nie posiada "
 "znacznika z podanym id."
 
-#: src/config/options.inc:335
+#: src/config/options.inc:352
 msgid "Number keys select links"
 msgstr "Klawisze z cyframi wybierają odnośniki"
 
-#: src/config/options.inc:337
+#: src/config/options.inc:354
 msgid ""
-"Number keys select links rather than specify command prefixes. This\n"
-"is a tristate:\n"
+"Number keys select links rather than specify command prefixes. This is a "
+"tristate:\n"
 "0 means never\n"
 "1 means if document.browse.links.numbering = 1\n"
 "2 means always"
 msgstr ""
-"Klawisze z cyframi wybierają odnośniki, a nie stanowią\n"
-"przedrostki dla komend. To jest trójstanowe:\n"
+"Klawisze z cyframi wybierają odnośniki, a nie są przedrostkami dla komend. "
+"To jest trójstanowe:\n"
 "0 - nigdy\n"
 "1 - jeśli document.browse.links.numbering = 1\n"
 "2 - zawsze"
 
-#: src/config/options.inc:343
+#: src/config/options.inc:360
 msgid "Warn about maliciously crafted URIs"
 msgstr "Ostrzegaj o nieprawidłowych URI"
 
-#: src/config/options.inc:345
+#: src/config/options.inc:362
 msgid ""
-"When following a link the user ID part of the URI is\n"
-"checked and if a maliciously crafted URI is detected a\n"
-"warning dialog will ask before following the link."
-msgstr ""
-"Podczas podążania za odnośnikiem sprawdzana jest część ID\n"
-"użytkownika. Jeśli jest ona nieprawidłowa pojawi się okienko\n"
-"dialogowe z zapytaniem czy kontynuować."
+"When following a link the user ID part of the URI is checked and if a "
+"maliciously crafted URI is detected a warning dialog will ask before "
+"following the link."
+msgstr ""
+"Podczas podążania za odnośnikiem sprawdzana jest część ID użytkownika. Jeśli "
+"jest ona nieprawidłowa pojawi się okienko dialogowe z zapytaniem czy "
+"kontynuować."
 
 #. TODO - this is somehow implemented by ff, but disabled
 #. * for now as it doesn't work.
-#: src/config/options.inc:351
+#: src/config/options.inc:368
 msgid "Wrap-around links cycling"
 msgstr "Cykliczność odnośników"
 
 #. 0
-#: src/config/options.inc:353
+#: src/config/options.inc:370
 msgid ""
-"When pressing 'down' on the last link, jump to the first one, and\n"
-"vice versa."
+"When pressing 'down' on the last link, jump to the first one, and vice versa."
 msgstr ""
-"Gdy wciśnięty jest 'dół' na ostatnim odnośniku, skocz\n"
-"do pierwszego i vice versa."
+"Gdy wciśnięty jest 'dół' na ostatnim odnośniku, skocz do pierwszego i vice "
+"versa."
 
-#: src/config/options.inc:357
+#: src/config/options.inc:374
 msgid "Scrolling"
 msgstr "Przewijanie"
 
 #
-#: src/config/options.inc:359
+#: src/config/options.inc:376
 msgid "Scrolling options."
 msgstr "Ustawienia przewijania."
 
-#: src/config/options.inc:361
+#: src/config/options.inc:378
 msgid "Horizontal step"
 msgstr "Krok poziomy"
 
-#: src/config/options.inc:363
+#: src/config/options.inc:380
 msgid ""
-"Number of columns to scroll when a key bound to scroll-left or scroll-\n"
-"right is pressed and no prefix was given."
+"Number of columns to scroll when a key bound to scroll-left or scroll-right "
+"is pressed and no prefix was given."
 msgstr ""
-"Liczba kolumn, o które przewijany jest ekran, gdy wybrano\n"
-"klawisz \"przesuń w lewo\" lub \"przesuń w prawo\" i nie podano prefiksu."
+"Liczba kolumn, o które przewijany jest ekran, gdy wybrano klawisz \"przesuń "
+"w lewo\" lub \"przesuń w prawo\" i nie podano prefiksu."
 
-#: src/config/options.inc:366
+#: src/config/options.inc:384
 msgid "Extended horizontal scrolling"
 msgstr "Rozszerz poziome przewijanie"
 
-#: src/config/options.inc:368
+#: src/config/options.inc:386
 msgid ""
-"Whether to allow horizontal scrolling when the document\n"
-"does not extend off the screen. Useful for copy/paste\n"
-"operations."
-msgstr ""
-"Czy zezwolić na poziome przewijanie w przypadku, gdy\n"
-"dokument nie jest większy niż szerokość ekranu. Przydatne\n"
-"przy operacjach kopiowania/wklejania."
+"Whether to allow horizontal scrolling when the document does not extend off "
+"the screen. Useful for copy/paste operations."
+msgstr ""
+"Czy zezwolić na poziome przewijanie w przypadku, gdy dokument nie jest "
+"większy niż szerokość ekranu. Przydatne przy operacjach kopiowania/wklejania."
 
-#: src/config/options.inc:372
+#: src/config/options.inc:390
 msgid "Margin"
 msgstr "Margines"
 
-#: src/config/options.inc:374
+#: src/config/options.inc:392
 msgid ""
-"Size of the virtual margin - when you click inside of that margin,\n"
-"document scrolls in that direction."
+"Size of the virtual margin - when you click inside of that margin, document "
+"scrolls in that direction."
 msgstr ""
-"Rozmiar wirtualnego marginesu - gdy klikniesz wewnątrz\n"
-"niego, dokument przewija się w tę stronę."
+"Rozmiar wirtualnego marginesu - gdy klikniesz wewnątrz niego, dokument "
+"przewija się w tę stronę."
 
-#: src/config/options.inc:377
+#: src/config/options.inc:395
 msgid "Vertical step"
 msgstr "Krok pionowy"
 
-#: src/config/options.inc:379
+#: src/config/options.inc:397
 msgid ""
-"Number of lines to scroll when a key bound to scroll-up or scroll-\n"
-"down is pressed and no prefix was given."
+"Number of lines to scroll when a key bound to scroll-up or scroll-down is "
+"pressed and no prefix was given."
 msgstr ""
-"Liczba linii, o które przewijany jest ekran, gdy wybrano\n"
-"klawisz \"przewiń w dół\" albo \"przewiń w górę\"."
+"Liczba linii, o które przewijany jest ekran, gdy wybrano klawisz \"przewiń w "
+"dół\" albo \"przewiń w górę\"."
 
-#: src/config/options.inc:383
+#: src/config/options.inc:401
 msgid "Searching"
 msgstr "Szukanie"
 
-#: src/config/options.inc:385
+#: src/config/options.inc:403
 msgid "Options for searching."
 msgstr "Ustawienia dotyczące szukania."
 
-#: src/config/options.inc:387
+#: src/config/options.inc:405
 msgid "Case sensitivity"
 msgstr "Rozróżnianie wielkości liter"
 
-#: src/config/options.inc:389
+#: src/config/options.inc:407
 msgid ""
-"Whether the search should match the document text while maintaining\n"
-"case sensitivity."
+"Whether the search should match the document text while maintaining case "
+"sensitivity."
 msgstr "Czy rozróżniać wielkość liter przy szukaniu."
 
-#: src/config/options.inc:393
+#: src/config/options.inc:411
 msgid "Regular expressions"
 msgstr "Wyrażenia regularne"
 
-#: src/config/options.inc:395
+#: src/config/options.inc:413
 msgid ""
 "Enable searching with regular expressions:\n"
 "0 for plain text searching\n"
@@ -2873,34 +2853,34 @@ msgstr ""
 "1 - szukanie z użyciem prostych wyrażeń regularnych\n"
 "2 - szukanie z użyciem rozszerzonych wyrażeń regularnych"
 
-#: src/config/options.inc:401
+#: src/config/options.inc:419
 msgid "Show search hit top or bottom dialogs"
 msgstr ""
 "Pokaż okienko dialogowe, gdy przeszukiwanie osiągnęło początek/koniec tekstu"
 
-#: src/config/options.inc:403
+#: src/config/options.inc:421
 msgid ""
-"Whether to show a dialog when the search hits the top or bottom of the\n"
+"Whether to show a dialog when the search hits the top or bottom of the "
 "document."
 msgstr ""
-"Czy pokazywać okienko dialogowe, gdy przeszukiwanie osiągnie\n"
-"początek albo koniec tekstu?"
+"Czy pokazywać okienko dialogowe, gdy przeszukiwanie osiągnie początek albo "
+"koniec tekstu?"
 
-#: src/config/options.inc:406
+#: src/config/options.inc:424
 msgid "Wraparound"
 msgstr "Zawijanie przy szukaniu z wyprzedzeniem"
 
-#: src/config/options.inc:408
+#: src/config/options.inc:426
 msgid "Wrap around when searching. Currently only used for typeahead."
 msgstr ""
 "Zacznij szukać od początku, gdy szukanie z wyprzedzeniem\n"
 "dojdzie do końca dokumentu."
 
-#: src/config/options.inc:410
+#: src/config/options.inc:429
 msgid "Show not found"
 msgstr "Pokazuj nie znalezione"
 
-#: src/config/options.inc:412
+#: src/config/options.inc:431
 msgid ""
 "How to inform the user when nothing is matched:\n"
 "0 means do nothing\n"
@@ -2913,25 +2893,27 @@ msgstr ""
 "1 - użyć dzwonka\n"
 "2 - wyświetlić okienko dialogowe"
 
-#: src/config/options.inc:417
+#: src/config/options.inc:436
 msgid "Typeahead searching"
 msgstr "Szukanie z wyprzedzeniem"
 
-#: src/config/options.inc:419
+#: src/config/options.inc:438
 msgid ""
-"Start typeahead searching when an unbound key is pressed without\n"
-"any modifiers. Note that most keys have default bindings, so this\n"
-"feature will not be useful unless you unbind them.\n"
-"\n"
-"0 disables this feature; typeahead searching will only be used\n"
-"  when you press a key bound to search-typeahead or similar\n"
+"Start typeahead searching when an unbound key is pressed without any "
+"modifiers. Note that most keys have default bindings, so this feature will "
+"not be useful unless you unbind them.\n"
+"\n"
+"0 disables this feature; typeahead searching will only be\n"
+"  used when you press a key bound to search-typeahead or\n"
+"  similar\n"
 "1 automatically starts typeahead searching thru link text\n"
-"2 automatically starts typeahead searching thru all document text"
+"2 automatically starts typeahead searching thru all document\n"
+"  text"
 msgstr ""
-"Szukaj z wyprzedzeniem gdy nie przypisany klawisz jest\n"
-"przyciśnięty bez żadnych modyfikatorów. Zauważ, że większość\n"
-"klawiszy ma domyślne przypisania, tak więc ta właściwość\n"
-"nie będzie użyteczna dopóki nie skasujesz tych przypisań.\n"
+"Szukaj z wyprzedzeniem gdy nie przypisany klawisz jest przyciśnięty bez "
+"żadnych modyfikatorów. Zauważ, że większość klawiszy ma domyślne "
+"przypisania, tak więc ta właściwość nie będzie użyteczna dopóki nie "
+"skasujesz tych przypisań.\n"
 "\n"
 "0  - wyłącza tę właściwość; szukanie z wyprzedzeniem będzie\n"
 "     uruchomione jedynie jeśli naciśniesz klawisz przypisany\n"
@@ -2941,325 +2923,318 @@ msgstr ""
 "2  - automatycznie zaczynaj szukać z wyprzedzeniem w całym\n"
 "     dokumencie"
 
-#: src/config/options.inc:428
+#: src/config/options.inc:451
 msgid "Horizontal text margin"
 msgstr "Margines poziomy"
 
-#: src/config/options.inc:430
+#: src/config/options.inc:453
 msgid "Horizontal text margin."
 msgstr "Margines poziomy."
 
-#: src/config/options.inc:432
+#: src/config/options.inc:455
 msgid "Document meta refresh"
 msgstr "Obsługa meta refresh"
 
-#: src/config/options.inc:434
+#: src/config/options.inc:457
 msgid ""
-"Automatically follow document-specified refresh directives ('<meta>\n"
-"refresh' tags). Web-page authors use these to instruct the browser\n"
-"to reload a document at a given interval or to load another page.\n"
-"Regardless of the value the refresh URI is accessible as a link.\n"
-"Use the document.browse.minimum_refresh_time to control the minimum\n"
-"number of seconds a refresh will wait."
-msgstr ""
-"Automatycznie podążaj za podaną w dokumencie dyrektywą\n"
-"refresh (tagi '<meta> refresh'). Autorzy stron używają jej\n"
-"do poinstruowania przeglądarki, żeby po danym okresie czasu\n"
-"przeładowała dokument lub załadowała inną stronę.\n"
-"Niezależnie od wartości odświeżany URI jest dostępny jako\n"
-"odnośnik. Użyj document.browse.minimum_refresh_time,\n"
-"aby kontrolować minimalną liczbę sekund oczekiwania\n"
-"na przeładowanie strony."
+"Automatically follow document-specified refresh directives ('<meta> refresh' "
+"tags). Web-page authors use these to instruct the browser to reload a "
+"document at a given interval or to load another page. Regardless of the "
+"value the refresh URI is accessible as a link.\n"
+"\n"
+"Use the document.browse.minimum_refresh_time to control the minimum number "
+"of seconds a refresh will wait."
+msgstr ""
+"Automatycznie podążaj za podaną w dokumencie dyrektywą refresh (tagi '<meta> "
+"refresh'). Autorzy stron używają jej do poinstruowania przeglądarki, żeby po "
+"danym okresie czasu przeładowała dokument lub załadowała inną stronę. "
+"Niezależnie od wartości odświeżany URI jest dostępny jako odnośnik.\n"
+"\n"
+"Użyj document.browse.minimum_refresh_time, aby kontrolować minimalną liczbę "
+"sekund oczekiwania na przeładowanie strony."
 
-#: src/config/options.inc:441
+#: src/config/options.inc:466
 msgid "Document meta refresh minimum time"
 msgstr "Minimalny czas zwłoki przy przeładowaniu strony"
 
-#: src/config/options.inc:443
+#: src/config/options.inc:468
 msgid ""
-"The minimum number of milliseconds that should pass before\n"
-"refreshing. If set to zero the document refresh time is used\n"
-"unchanged. It can fix going back in history for some sites that\n"
-"use refreshing with zero values."
-msgstr ""
-"Minimalny czas zwłoki w milisekundach przed przeładowaniem\n"
-"strony. Jeśli ustawiony na zero używany jest niezmieniony\n"
-"czas odświeżania z dokumentu. Ustawienie na wartość większą\n"
-"od zera może naprawić błędy przy powrotach w historii dla\n"
-"pewnych stron, które używają zerowej wartości czasu odświeżania."
+"The minimum number of milliseconds that should pass before refreshing. If "
+"set to zero the document refresh time is used unchanged. It can fix going "
+"back in history for some sites that use refreshing with zero values."
+msgstr ""
+"Minimalny czas zwłoki w milisekundach przed przeładowaniem strony. Jeśli "
+"ustawiony na zero używany jest niezmieniony czas odświeżania z dokumentu. "
+"Ustawienie na wartość większą od zera może naprawić błędy przy powrotach w "
+"historii dla pewnych stron, które używają zerowej wartości czasu odświeżania."
 
-#: src/config/options.inc:448
+#: src/config/options.inc:473
 msgid "Tables navigation order"
 msgstr "Porządek nawigowania w tabelach"
 
-#: src/config/options.inc:450
+#: src/config/options.inc:475
 msgid "Move by columns in table, instead of rows."
 msgstr "Przesuwaj się w kolumnach, zamiast w wierszach."
 
 #
 #. Keep options in alphabetical order.
-#: src/config/options.inc:456
+#: src/config/options.inc:481
 msgid "Cache"
 msgstr "Pamięć podręczna"
 
 #
-#: src/config/options.inc:458
+#: src/config/options.inc:483
 msgid "Cache options."
 msgstr "Ustawienia pamięci podręcznej."
 
-#: src/config/options.inc:460
+#: src/config/options.inc:485
 msgid "Cache information about redirects"
 msgstr "Informacje pamięci podręcznej na temat przekierowań"
 
-#: src/config/options.inc:462
+#: src/config/options.inc:487
 msgid ""
-"Cache even redirects sent by server (usually thru HTTP by a 302\n"
-"HTTP code and a Location header). This was the original behaviour\n"
-"for quite some time, but it causes problems in a situation very\n"
-"common to various web login systems - frequently, when accessing\n"
-"a certain location, they will redirect you to a login page if they\n"
-"don't receive an auth cookie, the login page then gives you the\n"
-"cookie and redirects you back to the original page, but there you\n"
-"have already cached redirect back to the login page! If this\n"
-"option has value of 0, this malfunction is fixed, but occasionally\n"
-"you may get superfluous (depends on how you take it ;-) requests to\n"
-"the server. If this option has value of 1, experienced users can\n"
-"still workaround it by clever combination of usage of reload,\n"
-"jumping around in session history and hitting ctrl+enter.\n"
-"Note that this option is checked when retrieving the information\n"
-"from cache, not when saving it to cache - thus if you enable\n"
-"it, even previous redirects will be taken from cache instead of\n"
-"asking the server."
-msgstr ""
-"Buforuj parzyste przekierowania wysyłane przez serwer\n"
-"(zwykle przez HTTP z kodem 302 i polem nagłówka Location)\n"
-"Takie było dotychczasowe zachowanie, ale może ono powodować\n"
-"problemy z systemami logowania opartymi o www - często,\n"
-"gdy odwiedzasz pewną lokację, serwer przekierowuje Cię\n"
-"do strony logowania, jeśli nie otrzyma uwierzytelniającego\n"
-"ciasteczka, strona logowania ustala to ciasteczko i odsyła\n"
-"Cię z powrotem do poprzedniej strony, ale wtedy jest już\n"
-"zbuforowane przekierowanie do strony logowania! Gdy opcja ma\n"
-"wartość 0 ta nieprawidłowość nie zachodzi, choć czasami\n"
-"nastąpi dodatkowe odwołanie do serwera (w zależności od tego\n"
-"jak to interpretujesz). Gdy opcja ma wartość 1 doświadczeni\n"
-"użytkownicy ciągle mogą obejść tę niedogodność poprzez\n"
-"błyskotliwe kombinacje przeładowań strony, skakania\n"
-"po historii i wciskania CTRL+ENTER. Wiedz, że opcja ta jest\n"
-"sprawdzana, gdy obierasz informacje z pamięci podręcznej,\n"
-"nie gdy zapisujesz do niej - zatem, jeśli włączysz tę opcję\n"
-"parzyste przekierowania będą pochodziły z pamięci podręcznej\n"
-"i serwer nie będzie odpytywany."
+"Cache even redirects sent by server (usually thru HTTP by a 302 HTTP code "
+"and a Location header). This was the original behaviour for quite some time, "
+"but it causes problems in a situation very common to various web login "
+"systems - frequently, when accessing a certain location, they will redirect "
+"you to a login page if they don't receive an auth cookie, the login page "
+"then gives you the cookie and redirects you back to the original page, but "
+"there you have already cached redirect back to the login page! If this "
+"option has value of 0, this malfunction is fixed, but occasionally you may "
+"get superfluous (depends on how you take it ;-) requests to the server. If "
+"this option has value of 1, experienced users can still workaround it by "
+"clever combination of usage of reload, jumping around in session history and "
+"hitting ctrl+enter.\n"
+"\n"
+"Note that this option is checked when retrieving the information from cache, "
+"not when saving it to cache - thus if you enable it, even previous redirects "
+"will be taken from cache instead of asking the server."
+msgstr ""
+"Buforuj parzyste przekierowania wysyłane przez serwer (zwykle przez HTTP z "
+"kodem 302 i polem nagłówka Location) Takie było dotychczasowe zachowanie, "
+"ale może ono powodować problemy z systemami logowania opartymi o www - "
+"często, gdy odwiedzasz pewną lokację, serwer przekierowuje Cię do strony "
+"logowania, jeśli nie otrzyma uwierzytelniającego ciasteczka, strona "
+"logowania ustala to ciasteczko i odsyła Cię z powrotem do poprzedniej "
+"strony, ale wtedy jest już zbuforowane przekierowanie do strony logowania! "
+"Gdy opcja ma wartość 0 ta nieprawidłowość nie zachodzi, choć czasami nastąpi "
+"dodatkowe odwołanie do serwera (w zależności od tego jak to interpretujesz). "
+"Gdy opcja ma wartość 1 doświadczeni użytkownicy ciągle mogą obejść tę "
+"niedogodność poprzez błyskotliwe kombinacje przeładowań strony, skakania po "
+"historii i wciskania CTRL+ENTER.\n"
+"\n"
+"Wiedz, że opcja ta jest sprawdzana, gdy obierasz informacje z pamięci "
+"podręcznej, nie gdy zapisujesz do niej - zatem, jeśli włączysz tę opcję "
+"parzyste przekierowania będą pochodziły z pamięci podręcznej i serwer nie "
+"będzie odpytywany."
 
-#: src/config/options.inc:480
+#: src/config/options.inc:508
 msgid "Ignore cache-control info from server"
 msgstr "Ignoruj pola nagłówka o cache-control"
 
-#: src/config/options.inc:482
+#: src/config/options.inc:510
 msgid ""
-"Ignore Cache-Control and Pragma server headers.\n"
-"When set, the document is cached even with 'Cache-Control: no-cache'."
+"Ignore Cache-Control and Pragma server headers. When set, the document is "
+"cached even with 'Cache-Control: no-cache'."
 msgstr ""
-"Ignoruj pola nagłówka Cache-Control i Pragma.\n"
-"Gdy ta opcja jest ustawiona, dokumenty będą buforowane nawet\n"
-"z 'Cache-Control: no-cache'."
+"Ignoruj pola nagłówka Cache-Control i Pragma. Gdy ta opcja jest ustawiona, "
+"dokumenty będą buforowane nawet z 'Cache-Control: no-cache'."
 
 #
-#: src/config/options.inc:485
+#: src/config/options.inc:514
 msgid "Formatted documents"
 msgstr "Sformatowane dokumenty"
 
-#: src/config/options.inc:487
+#: src/config/options.inc:516
 msgid "Format cache options."
 msgstr "Ustawienia formatu pamięci podręcznej."
 
 #
-#: src/config/options.inc:489
+#: src/config/options.inc:518
 msgid "Number"
 msgstr "Ilość"
 
-#: src/config/options.inc:491
+#: src/config/options.inc:520
 msgid ""
-"Number of cached formatted pages. Do not get too generous\n"
-"here, 'formatted' means that all the accompanying structures\n"
-"are kept in memory so that you get the cached document\n"
-"immediatelly, but these structures may take a lot - 2x the\n"
-"size of the HTML source is probably not unusual, but it can\n"
-"be even more if the document consists of a lot of short lines\n"
-"(padded right, if possible) and links and not much other markup.\n"
-"So if you set this to 256 and then you don't like your ELinks\n"
-"eating 90M, don't come complaining to us. ;-)\n"
-"Also note that the format cache itself is not counted to the\n"
-"memory cache size, but the HTML source of the formatted documents\n"
-"is always cached, even if it is over the memory cache size\n"
-"threshold. (Then of course no other documents can be cached.)"
-msgstr ""
-"Liczba sformatowanych dokumentów w pamięci podręcznej.\n"
-"Sformatowane oznacza tutaj, że dodatkowe struktury danych\n"
-"trzymane są w pamięci, tak żeby dokument był wyświetlany\n"
-"natychmiast. Niestety te dane zajmują dużo pamięci, często\n"
-"ponad dwukrotnie więcej niż oryginalny dokument źródłowy,\n"
-"a mogą i więcej, jeśli dokument zawiera mnóstwo krótkich\n"
-"linii i odnośników, i niewiele innych znaczników. Więc,\n"
-"jeśli ustawisz to na 256 i wtedy nie będziesz lubić ELinksa\n"
-"\"zjadającego\" 90M, nie narzekaj na nas. ;-) Pamiętaj,\n"
-"że pamięć podręczna sformatowanych dokumentów nie jest\n"
-"liczona do rozmiaru pamięci podręcznej, ale źródło HTML\n"
-"dokumentu jest zawsze zapamiętywane, nawet jeśli przekroczy\n"
-"się limit rozmiaru pamięci podręcznej. (Wtedy, oczywiście\n"
-"żaden nowy dokument nie będzie mógł być zapamiętany.)"
+"Number of cached formatted pages. Do not get too generous here, 'formatted' "
+"means that all the accompanying structures are kept in memory so that you "
+"get the cached document immediatelly, but these structures may take a lot - "
+"2x the size of the HTML source is probably not unusual, but it can be even "
+"more if the document consists of a lot of short lines (padded right, if "
+"possible) and links and not much other markup. So if you set this to 256 and "
+"then you don't like your ELinks eating 90M, don't come complaining to "
+"us. ;-)\n"
+"\n"
+"Also note that the format cache itself is not counted to the memory cache "
+"size, but the HTML source of the formatted documents is always cached, even "
+"if it is over the memory cache size threshold. (Then of course no other "
+"documents can be cached.)"
+msgstr ""
+"Liczba sformatowanych dokumentów w pamięci podręcznej. Sformatowane oznacza "
+"tutaj, że dodatkowe struktury danych trzymane są w pamięci, tak żeby "
+"dokument był wyświetlany natychmiast. Niestety te dane zajmują dużo pamięci, "
+"często ponad dwukrotnie więcej niż oryginalny dokument źródłowy, a mogą i "
+"więcej, jeśli dokument zawiera mnóstwo krótkich linii i odnośników, i "
+"niewiele innych znaczników. Więc, jeśli ustawisz to na 256 i wtedy nie "
+"będziesz lubić ELinksa \"zjadającego\" 90M, nie narzekaj na nas. ;-)\n"
+"\n"
+"Pamiętaj, że pamięć podręczna sformatowanych dokumentów nie jest liczona do "
+"rozmiaru pamięci podręcznej, ale źródło HTML dokumentu jest zawsze "
+"zapamiętywane, nawet jeśli przekroczy się limit rozmiaru pamięci podręcznej. "
+"(Wtedy, oczywiście żaden nowy dokument nie będzie mógł być zapamiętany.)"
 
 #. FIXME: Write more.
-#: src/config/options.inc:506
+#: src/config/options.inc:538
 msgid "Revalidation interval"
 msgstr "Przedział czasu aktualności"
 
-#: src/config/options.inc:508
+#: src/config/options.inc:540
 msgid ""
-"Period in seconds that a cache entry is considered to be\n"
-"up-to-date. When a document is loaded and this interval has elapsed\n"
-"since the document was initially loaded or most recently\n"
-"revalidated with the server, the server will be checked in case\n"
-"there is a more up-to-date version of the document.\n"
+"Period in seconds that a cache entry is considered to be up-to-date. When a "
+"document is loaded and this interval has elapsed since the document was "
+"initially loaded or most recently revalidated with the server, the server "
+"will be checked in case there is a more up-to-date version of the document.\n"
 "\n"
 "A value of -1 disables automatic revalidation."
 msgstr ""
-"Okres w sekundach, przez który dokument w pamięci podręcznej\n"
-"jest uważany za aktualny. Gdy wczytywany dokument był już wcześniej\n"
-"w pamięci podręcznej i nie minął dany okres, to zostanie on użyty\n"
-"(ten z pamięci podręcznej). W przypadku upływu danego czasu ELinks\n"
-"sprawdza czy nie ma nowszej wersji na serwerze.\n"
+"Okres w sekundach, przez który dokument w pamięci podręcznej jest uważany za "
+"aktualny. Gdy wczytywany dokument był już wcześniej w pamięci podręcznej i "
+"nie minął dany okres, to zostanie on użyty (ten z pamięci podręcznej). W "
+"przypadku upływu danego czasu ELinks sprawdza czy nie ma nowszej wersji na "
+"serwerze.\n"
 "\n"
-"Wartość -1 wyłącza to sprawdzanie. Wtedy użyty będzie dokument\n"
-"z pamięci podręcznej."
+"Wartość -1 wyłącza to sprawdzanie. Wtedy użyty będzie dokument z pamięci "
+"podręcznej."
 
-#: src/config/options.inc:515 src/dialogs/info.c:199
+#: src/config/options.inc:549 src/dialogs/info.c:199
 msgid "Memory cache"
 msgstr "Pamięć podręczna"
 
 #
-#: src/config/options.inc:517
+#: src/config/options.inc:551
 msgid "Memory cache options."
 msgstr "Ustawienia pamięci podręcznej."
 
-#: src/config/options.inc:521
+#: src/config/options.inc:555
 msgid "Memory cache size (in bytes)."
 msgstr "Rozmiar pamięci podręcznej (w bajtach)."
 
 #
-#: src/config/options.inc:525
+#: src/config/options.inc:559
 msgid "Charset"
 msgstr "Zestaw znaków"
 
 #
-#: src/config/options.inc:527
+#: src/config/options.inc:561
 msgid "Charset options."
 msgstr "Ustawienia dotyczące zestawu znaków."
 
-#: src/config/options.inc:529
+#: src/config/options.inc:563
 msgid "Default codepage"
 msgstr "Domyślna strona kodowa"
 
-#: src/config/options.inc:531
+#: src/config/options.inc:565
 msgid ""
-"Default document codepage. 'System' stands for\n"
-"a codepage determined by a selected locale."
+"Default document codepage. 'System' stands for a codepage determined by a "
+"selected locale."
 msgstr ""
-"Domyślna strona kodowa dokumentu. 'System' oznacza,\n"
-"że strona kodowa będzie określana na podstawie locale."
+"Domyślna strona kodowa dokumentu. 'System' oznacza, że strona kodowa będzie "
+"określana na podstawie locale."
 
-#: src/config/options.inc:534
+#: src/config/options.inc:568
 msgid "Ignore charset info from server"
 msgstr "Ignoruj informacje o stronie kodowej z serwera"
 
-#: src/config/options.inc:536
+#: src/config/options.inc:570
 msgid "Ignore charset info sent by server."
 msgstr "Ignoruj informacje o stronie kodowej wysyłane przez serwer."
 
-#: src/config/options.inc:540
+#: src/config/options.inc:574
 msgid "Default color settings"
 msgstr "Domyślne ustawienia kolorów"
 
-#: src/config/options.inc:542
+#: src/config/options.inc:576
 msgid "Default document color settings."
 msgstr "Domyślne ustawienia kolorów dokumentu."
 
 #
-#: src/config/options.inc:553
+#: src/config/options.inc:587
 msgid "Link color"
 msgstr "Kolor odnośnika"
 
-#: src/config/options.inc:555
+#: src/config/options.inc:589
 msgid "Default link color."
 msgstr "Domyślny kolor odnośnika."
 
-#: src/config/options.inc:557
+#: src/config/options.inc:591
 msgid "Visited-link color"
 msgstr "Kolor odwiedzonego odnośnika"
 
-#: src/config/options.inc:559
+#: src/config/options.inc:593
 msgid "Default visited link color."
 msgstr "Domyślny kolor odwiedzonego odnośnika."
 
-#: src/config/options.inc:561
+#: src/config/options.inc:595
 msgid "Image-link color"
 msgstr "Kolor odnośnika w obrazku"
 
-#: src/config/options.inc:563
+#: src/config/options.inc:597
 msgid "Default image link color."
 msgstr "Domyślny kolor odnośnika w obrazku."
 
-#: src/config/options.inc:565
+#: src/config/options.inc:599
 msgid "Bookmarked-link color"
 msgstr "Kolor odnośnika będącego w zakładce"
 
-#: src/config/options.inc:567
+#: src/config/options.inc:601
 msgid "Default bookmarked link color."
 msgstr "Domyślny kolor odnośnika będącego w zakładce."
 
-#: src/config/options.inc:569
+#: src/config/options.inc:603
 msgid "Directory color"
 msgstr "Kolor katalogów"
 
-#: src/config/options.inc:571
+#: src/config/options.inc:605
 msgid ""
 "Default directory color.\n"
+"\n"
 "See document.browse.links.color_dirs option."
 msgstr ""
 "Domyślny kolor katalogów.\n"
+"\n"
 "Zobacz opcję document.browse.links.color_dirs ."
 
-#: src/config/options.inc:578
+#: src/config/options.inc:613
 msgid "Increase contrast"
 msgstr "Zwiększenie kontrastu"
 
-#: src/config/options.inc:580
+#: src/config/options.inc:615
 msgid ""
-"Increase the contrast between the foreground and background colors\n"
-"to ensure readability. For example it disallows dark colors on a\n"
-"black background. Note, this is different from ensuring the contrast\n"
-"with the ensure_contrast option."
-msgstr ""
-"Zwiększenie kontrastu między kolorami pierwszego planu a tłem w celu\n"
-"zapewnienia czytelności. Przykładowo opcja ta nie pozwoli na ciemne\n"
-"kolory na czarnym tle. Uwaga, ta opcja różni się od zapewnienia\n"
-"kontrastu opcją ensure_contrast."
+"Increase the contrast between the foreground and background colors to ensure "
+"readability. For example it disallows dark colors on a black background. "
+"Note, this is different from ensuring the contrast with the ensure_contrast "
+"option."
+msgstr ""
+"Zwiększenie kontrastu między kolorami pierwszego planu a tłem w celu "
+"zapewnienia czytelności. Przykładowo opcja ta nie pozwoli na ciemne kolory "
+"na czarnym tle. Uwaga, ta opcja różni się od zapewnienia kontrastu opcją "
+"ensure_contrast."
 
-#: src/config/options.inc:585
+#: src/config/options.inc:621
 msgid "Ensure contrast"
 msgstr "Gwarancja kontrastu"
 
-#: src/config/options.inc:587
+#: src/config/options.inc:623
 msgid "Makes sure that the back- and foreground colors are never equal."
 msgstr "Zapewnia, że kolor tła i pierwszoplanowy nigdy nie są identyczne."
 
 #. If you change this please also change ACT_MAIN_DOCUMENT_COLORS action
 #. * handling.
-#: src/config/options.inc:592
+#: src/config/options.inc:628
 msgid "Use document-specified colors"
 msgstr "Użycie kolorów podanych w dokumencie"
 
-#: src/config/options.inc:594
+#: src/config/options.inc:630
 msgid ""
 "Use colors specified in document:\n"
 "0 is use always the default settings\n"
@@ -3282,41 +3257,39 @@ msgstr ""
 
 #
 #. Keep options in alphabetical order.
-#: src/config/options.inc:607
+#: src/config/options.inc:643
 msgid "Downloading"
 msgstr "Pobieranie"
 
-#: src/config/options.inc:609
+#: src/config/options.inc:645
 msgid "Options regarding files downloading and handling."
 msgstr "Ustawienia dotyczące pobierania plików."
 
 #
-#: src/config/options.inc:611
+#: src/config/options.inc:647
 msgid "Default download directory"
 msgstr "Domyślny katalog dla pobieranych plików"
 
-#: src/config/options.inc:613
+#: src/config/options.inc:649
 msgid "Default download directory."
 msgstr "Domyślny katalog dla pobieranych plików."
 
-#: src/config/options.inc:615
+#: src/config/options.inc:651
 msgid "Set original time"
 msgstr "Ustaw oryginalny czas"
 
-#: src/config/options.inc:617
+#: src/config/options.inc:653
 msgid ""
-"Set the timestamp of each downloaded file to the timestamp\n"
-"stored on the server."
-msgstr ""
-"Ustaw znacznik czasu każdego ściąganego pliku na taki jak\n"
-"na serwerze."
+"Set the timestamp of each downloaded file to the timestamp stored on the "
+"server."
+msgstr "Ustaw znacznik czasu każdego ściąganego pliku na taki jak na serwerze."
 
 #. Does automatic resuming make sense as an option?
-#: src/config/options.inc:621
+#: src/config/options.inc:657
 msgid "Prevent overwriting"
 msgstr "Zapobieganie nadpisywaniu"
 
-#: src/config/options.inc:623
+#: src/config/options.inc:659
 msgid ""
 "Prevent overwriting the local files:\n"
 "0 is files will silently be overwritten\n"
@@ -3329,11 +3302,11 @@ msgstr ""
 "2 - zapytaj użytkownika"
 
 #
-#: src/config/options.inc:628
+#: src/config/options.inc:664
 msgid "Notify download completion by bell"
 msgstr "Informuj o zakończeniu pobierania dzwonkiem"
 
-#: src/config/options.inc:630
+#: src/config/options.inc:666
 msgid ""
 "Audio notification when download is completed:\n"
 "0 is never\n"
@@ -3345,29 +3318,29 @@ msgstr ""
 "1 - gdy powiadamianie w tle jest włączone.\n"
 "2 - zawsze"
 
-#: src/config/options.inc:636
+#: src/config/options.inc:672
 msgid "Dump output"
 msgstr "Zrzuty"
 
-#: src/config/options.inc:638
+#: src/config/options.inc:674
 msgid "Dump output options."
 msgstr "Ustawienia dotyczące zrzutów."
 
 #. OPT_CODEPAGE
-#: src/config/options.inc:640 src/config/options.inc:912
+#: src/config/options.inc:676 src/config/options.inc:980
 #: src/config/opttypes.c:481 src/dialogs/document.c:164
 msgid "Codepage"
 msgstr "Strona kodowa"
 
-#: src/config/options.inc:642
+#: src/config/options.inc:678
 msgid ""
-"Codepage used in dump output. 'System' stands for\n"
-"a codepage determined by a selected locale."
+"Codepage used in dump output. 'System' stands for a codepage determined by a "
+"selected locale."
 msgstr ""
-"Strona kodowa użyta podczas zrzutu. 'System' oznacza\n"
-"iż zostanie określona przez wybrane locale."
+"Strona kodowa użyta podczas zrzutu. 'System' oznacza iż zostanie określona "
+"przez wybrane locale."
 
-#: src/config/options.inc:645 src/config/options.inc:878
+#: src/config/options.inc:681 src/config/options.inc:941
 msgid "Color mode"
 msgstr "Tryb kolorowy"
 
@@ -3376,12 +3349,14 @@ msgstr "Tryb kolorowy"
 #. * an outer list entry after an inner list.
 #. * TRANSLATORS: This restriction applies only to the
 #. * "en" (English) translation.  (See doc/Makefile.)
-#: src/config/options.inc:652
+#: src/config/options.inc:688
 msgid ""
 "Color mode for dumps.\n"
+"\n"
 "Some modes may have been disabled at compile time. The Setup -> Terminal "
 "options dialog lists the modes supported by this executable. If you select "
 "an unsupported mode, ELinks uses 16 colors.\n"
+"\n"
 "The color modes are:\n"
 "-1 is standard dump mode\n"
 "0 is mono mode\n"
@@ -3391,9 +3366,11 @@ msgid ""
 "4 is true color mode"
 msgstr ""
 "Tryby kolorów dla zrzutów.\n"
+"\n"
 "Niektóre z tych trybów mogą być wyłączone przy kompilacji. Lista dostępnych "
 "trybów jest widoczna poprzez Ustawienia -> Opcje terminala. Jeśli wybierzesz "
 "nieobsługiwany tryb, ELinks użyje trybu 16 kolorów.\n"
+"\n"
 "Tryby kolorowe to:\n"
 "-1 - tryb standardowy\n"
 " 0 - tryb monochromatyczny\n"
@@ -3402,127 +3379,123 @@ msgstr ""
 " 3 - 256 kolorów\n"
 " 4 - kolor 24-bitowy"
 
-#: src/config/options.inc:665
+#: src/config/options.inc:703
 msgid "Footer"
 msgstr "Stopka"
 
-#: src/config/options.inc:667
+#: src/config/options.inc:705
 #, c-format
 msgid "Footer string used in dumps. %u is substituted by URL."
 msgstr "Łańcuch stopki używany przy zrzutach. %u jest zastępowane przez URL."
 
-#: src/config/options.inc:671
+#: src/config/options.inc:709
 #, c-format
 msgid "Header string used in dumps. %u is substituted by URL."
 msgstr "Łańcuch nagłówka używany przy zrzutach. %u jest zastępowane przez URL."
 
 #
-#: src/config/options.inc:673
+#: src/config/options.inc:711
 msgid "Numbering"
 msgstr "Numerowanie"
 
-#: src/config/options.inc:675
+#: src/config/options.inc:713
 msgid "Whether to print link numbers in dump output."
 msgstr "Czy wypisywać numery odnośników przy zrzutach."
 
-#: src/config/options.inc:677
+#: src/config/options.inc:715
 msgid "References"
 msgstr "Referencje"
 
-#: src/config/options.inc:679
-msgid ""
-"Whether to print references (URIs) of document links\n"
-"in dump output."
-msgstr ""
-"Czy wypisywać referencje (URI) odnośników dokumentu\n"
-"przy zrzutach."
+#: src/config/options.inc:717
+msgid "Whether to print references (URIs) of document links in dump output."
+msgstr "Czy wypisywać referencje (URI) odnośników dokumentu przy zrzutach."
 
-#: src/config/options.inc:682
+#: src/config/options.inc:720
 msgid "Separator"
 msgstr "Separator"
 
-#: src/config/options.inc:684
+#: src/config/options.inc:722
 msgid "String which separates two dumps."
 msgstr "Łańcuch, który rozdziela dwa zrzuty."
 
-#: src/config/options.inc:686
+#: src/config/options.inc:724
 msgid "Width"
 msgstr "Szerokość"
 
-#: src/config/options.inc:688
+#: src/config/options.inc:726
 msgid "Width of screen in characters when dumping documents."
 msgstr "Szerokość ekranu w znakach przy zrzutach dokumentów."
 
 #
-#: src/config/options.inc:692
+#: src/config/options.inc:730
 msgid "History"
 msgstr "Historia"
 
-#: src/config/options.inc:694
+#: src/config/options.inc:732
 msgid "History options."
 msgstr "Ustawienia dotyczące historii."
 
 #
-#: src/config/options.inc:696
+#: src/config/options.inc:734
 msgid "Keep unhistory"
 msgstr "Zapamiętuj historię powrotów"
 
-#: src/config/options.inc:698
+#: src/config/options.inc:736
 msgid "Keep unhistory (\"forward history\")."
 msgstr "Czy pamiętać historię powrotów."
 
 #
-#: src/config/options.inc:701
+#: src/config/options.inc:739
 msgid "HTML rendering"
 msgstr "Formatowanie HTML-a"
 
-#: src/config/options.inc:703
+#: src/config/options.inc:741
 msgid "Options concerning the display of HTML pages."
 msgstr "Ustawienia dotyczące wyświetlania stron HTML."
 
 #
-#: src/config/options.inc:705
+#: src/config/options.inc:743
 msgid "Display frames"
 msgstr "Wyświetlanie ramek"
 
 #
-#: src/config/options.inc:707
+#: src/config/options.inc:745
 msgid "Display frames."
 msgstr "Wyświetlaj ramki."
 
 #
-#: src/config/options.inc:709
+#: src/config/options.inc:747
 msgid "Display tables"
 msgstr "Wyświetlanie tabel"
 
 #
-#: src/config/options.inc:711
+#: src/config/options.inc:749
 msgid "Display tables."
 msgstr "Wyświetlaj tabele."
 
 #
-#: src/config/options.inc:713
+#: src/config/options.inc:751
 msgid "Display subscripts"
 msgstr "Wyświetlanie indeksów dolnych"
 
-#: src/config/options.inc:715
+#: src/config/options.inc:753
 msgid "Display subscripts (as [thing])."
 msgstr "Pokazuj indeks dolny (jako [coś])."
 
 #
-#: src/config/options.inc:717
+#: src/config/options.inc:755
 msgid "Display superscripts"
 msgstr "Wyświetlanie indeksów górnych"
 
-#: src/config/options.inc:719
+#: src/config/options.inc:757
 msgid "Display superscripts (as ^thing)."
 msgstr "Pokazuj indeks górny (jako ^coś)."
 
-#: src/config/options.inc:721
+#: src/config/options.inc:759
 msgid "Rendering of HTML link element"
 msgstr "Wyświetlanie elementu odnośnika html"
 
-#: src/config/options.inc:723
+#: src/config/options.inc:761
 msgid ""
 "How to render <link> tags from the HTML header:\n"
 "0 is nothing\n"
@@ -3540,267 +3513,287 @@ msgstr ""
 "4 - dodatkowo typ\n"
 "5 - wszystko"
 
-#: src/config/options.inc:731
+#: src/config/options.inc:769
 msgid "Underline links"
 msgstr "Podkreślanie odnośników"
 
-#: src/config/options.inc:733
+#: src/config/options.inc:771
 msgid "Underline links."
 msgstr "Podkreślaj odnośniki."
 
-#: src/config/options.inc:735
+#: src/config/options.inc:773
 msgid "Wrap non breaking space"
 msgstr "Zawijanie nie łamiących spacji"
 
-#: src/config/options.inc:737
+#: src/config/options.inc:775
 msgid ""
-"If set do not honour non breaking space (the nbsp entity)\n"
-"but allow to wrap the text. This can help keeping the width\n"
-"of documents down so no horizontal scrolling is needed."
-msgstr ""
-"Jeśli ustawione nie nie honoruj nie łamiących spacji (encji\n"
-"nbsp), ale pozwól zawijać tekst. To może pomóc utrzymać\n"
-"szerokość dokumentów tak, żeby nie było potrzebne przewijanie w poziomie."
+"If set do not honour non breaking space (the nbsp entity) but allow to wrap "
+"the text. This can help keeping the width of documents down so no horizontal "
+"scrolling is needed."
+msgstr ""
+"Jeśli ustawione nie nie honoruj nie łamiących spacji (encji nbsp), ale "
+"pozwól zawijać tekst. To może pomóc utrzymać szerokość dokumentów tak, żeby "
+"nie było potrzebne przewijanie w poziomie."
 
 #
-#: src/config/options.inc:742
+#: src/config/options.inc:780
 msgid "Plain rendering"
 msgstr "Formatowanie zwykłego tekstu"
 
-#: src/config/options.inc:744
+#: src/config/options.inc:782
 msgid "Options concerning the display of plain text pages."
 msgstr "Ustawienia dotyczące wyświetlania zwykłego tekstu."
 
-#: src/config/options.inc:746
+#: src/config/options.inc:784
 msgid "Display URIs"
 msgstr "Wyświetlanie URI"
 
-#: src/config/options.inc:748
+#: src/config/options.inc:786
 msgid "Display URIs in the document as links."
 msgstr "Wyświetlanie URI w dokumencie jako odnośników."
 
-#: src/config/options.inc:750
+#: src/config/options.inc:788
 msgid "Compress empty lines"
 msgstr "Usuwanie pustych linii"
 
-#: src/config/options.inc:752
+#: src/config/options.inc:790
 msgid "Compress successive empty lines to only one in displayed text."
 msgstr ""
 "Usuwaj następne puste linie, tak żeby tylko jedna pusta linia była "
 "wyświetlana."
 
-#: src/config/options.inc:755
+#: src/config/options.inc:794
 msgid "URI passing"
 msgstr "Przekazywanie URI"
 
-#: src/config/options.inc:757
+#: src/config/options.inc:796
 msgid ""
-"Rules for passing URIs to external commands. When one rule\n"
-"is defined the link and tab menu will have a menu item that\n"
-"makes it possible to pass the the link, frame or tab URI to\n"
-"an external command. If several rules are defined the link and\n"
-"tab menu will have a submenu of items for each rule. Note, this\n"
-"is mostly useful for launching graphical viewers, since there\n"
-"is no support for releasing the terminal while the command runs.\n"
-"The action and submenus are also available by binding keys to\n"
-"the frame-external-command, the link-external-command, and\n"
-"the tab-external-command actions."
-msgstr ""
-"Reguły przekazywania URI do zewnętrznych poleceń. Gdy jedna\n"
-"reguła jest zdefiniowana menu odnośnika i karty będzie\n"
-"mogło przekazać URI odnośnika, ramki lub karty do zewnętrznego\n"
-"polecenia. Jeśli jest zdefiniowanych więcej reguł menu będzie\n"
-"zawierało podmenu z elementami dla każdej reguły. Wiedz, że jest\n"
-"to najczęściej przydatne do uruchamiania graficznych\n"
-"przeglądarek, ponieważ nie ma obsługi zwalniania terminala,\n"
-"gdy polecenie jest wykonywane. Akcja i podmenu są także dostępne\n"
-"przez dowiązanie akcji do klawiatury dla frame-external-command,\n"
-"link-external-command i tab-external-command."
+"Rules for passing URIs to external commands. When one rule is defined the "
+"link and tab menu will have a menu item that makes it possible to pass the "
+"the link, frame or tab URI to an external command. If several rules are "
+"defined the link and tab menu will have a submenu of items for each rule.\n"
+"\n"
+"Note, this is mostly useful for launching graphical viewers, since there is "
+"no support for releasing the terminal while the command runs. The action and "
+"submenus are also available by binding keys to the frame-external-command, "
+"the link-external-command, and the tab-external-command actions."
+msgstr ""
+"Reguły przekazywania URI do zewnętrznych poleceń. Gdy jedna reguła jest "
+"zdefiniowana menu odnośnika i karty będzie mogło przekazać URI odnośnika, "
+"ramki lub karty do zewnętrznego polecenia. Jeśli jest zdefiniowanych więcej "
+"reguł menu będzie zawierało podmenu z elementami dla każdej reguły.\n"
+"\n"
+"Wiedz, że jest to najczęściej przydatne do uruchamiania graficznych "
+"przeglądarek, ponieważ nie ma obsługi zwalniania terminala, gdy polecenie "
+"jest wykonywane. Akcja i podmenu są także dostępne przez dowiązanie akcji do "
+"klawiatury dla frame-external-command, link-external-command i tab-external-"
+"command."
 
-#: src/config/options.inc:770
+#: src/config/options.inc:812
 msgid ""
-"A rule for passing URI to an external command.\n"
-"The format is:\n"
+"A rule for passing URI to an external command. The format is:\n"
 "%c in the string means the current URL\n"
 "%% in the string means '%'\n"
 "Do _not_ put single- or double-quotes around %c."
 msgstr ""
-"Zasada przekazywania URI do zewnętrznego polecenia.\n"
-"Format:\n"
+"Zasada przekazywania URI do zewnętrznego polecenia. Format:\n"
 "%c w łańcuchu oznacza bieżący URL\n"
 "%% w łańcuchu oznacza '%'\n"
 "Nie dodawaj apostrofów lub cudzysłowów wokół %c."
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:780
+#: src/config/options.inc:822
 msgid "Information files"
 msgstr "Pliki informacyjne"
 
-#: src/config/options.inc:782
+#: src/config/options.inc:824
 msgid "Options for information files in ~/.elinks."
 msgstr "Ustawienia plików informacyjnych w ~/.elinks."
 
-#: src/config/options.inc:784
+#: src/config/options.inc:826
 msgid "Save interval"
 msgstr "Przedział czasu pomiędzy automatycznymi zapisami"
 
-#: src/config/options.inc:786
+#: src/config/options.inc:828
 msgid ""
-"Interval at which to trigger information files in ~/.elinks\n"
-"to be saved to disk if they have changed (seconds; 0 to disable)"
+"Interval at which to trigger information files in ~/.elinks to be saved to "
+"disk if they have changed (seconds; 0 to disable)"
 msgstr ""
-"Przedział czasu po krórym w razie potrzeby następuje zapis\n"
-"plików informacyjnych w ~/.elinks (w sekundach: 0 aby wyłączyć)"
+"Przedział czasu po krórym w razie potrzeby następuje zapis plików "
+"informacyjnych w ~/.elinks (w sekundach: 0 aby wyłączyć)"
 
-#: src/config/options.inc:789
+#: src/config/options.inc:832
 msgid "Use secure file saving"
 msgstr "Używanie bezpiecznego zapisu plików"
 
-#: src/config/options.inc:791
+#: src/config/options.inc:834
 msgid ""
-"First write data to unique temporary file, then rename this file\n"
-"upon successfully finishing this. Note that this relates only to\n"
-"config files, not downloaded files. You may want to disable\n"
-"it if you are using some exotic permissions for concerned files.\n"
-"Secure file saving is automagically disabled if file is symlink.\n"
-"Warning: some systems (ie. OS/2, Win32) require that destination\n"
-"file doesn't exist when rename(3) is called, breaking atomicity,\n"
-"and reducing reliability of this feature."
-msgstr ""
-"Najpierw zapisuje dane do unikatowego tymczasowego pliku,\n"
-"potem zmienia jego nazwę pod warunkiem pomyślnego zapisu do\n"
-"pliku. Wiedz, że to odnosi się do plików konfiguracyjnych,\n"
-"a nie pobieranych. Możesz chcieć wyłączyć to, jeśli używasz\n"
-"plików konfiguracyjnych z egzotycznymi uprawnieniami.\n"
-"Bezpieczne zapisywanie plików jest automatycznie wyłączane,\n"
-"gdy plik konfiguracyjny jest dowiązaniem symbolicznym.\n"
-"Uwaga: niektóre systemy (np. OS/2, Win32) wymagają,\n"
-"by docelowy plik nie istniał, gdy rename() jest wywoływane,\n"
-"łamiąc atomowość i redukując pewność zapisu."
+"First write data to unique temporary file, then rename this file upon "
+"successfully finishing this. Note that this relates only to config files, "
+"not downloaded files. You may want to disable it if you are using some "
+"exotic permissions for concerned files. Secure file saving is automagically "
+"disabled if file is symlink.\n"
+"\n"
+"Warning: some systems (ie. OS/2, Win32) require that destination file "
+"doesn't exist when rename(3) is called, breaking atomicity, and reducing "
+"reliability of this feature."
+msgstr ""
+"Najpierw zapisuje dane do unikatowego tymczasowego pliku, potem zmienia jego "
+"nazwę pod warunkiem pomyślnego zapisu do pliku. Wiedz, że to odnosi się do "
+"plików konfiguracyjnych, a nie pobieranych. Możesz chcieć wyłączyć to, jeśli "
+"używasz plików konfiguracyjnych z egzotycznymi uprawnieniami. Bezpieczne "
+"zapisywanie plików jest automatycznie wyłączane, gdy plik konfiguracyjny "
+"jest dowiązaniem symbolicznym.\n"
+"\n"
+"Uwaga: niektóre systemy (np. OS/2, Win32) wymagają, by docelowy plik nie "
+"istniał, gdy rename() jest wywoływane, łamiąc atomowość i redukując pewność "
+"zapisu."
 
-#: src/config/options.inc:800
+#: src/config/options.inc:846
 msgid "Use fsync(3) with secure file saving"
 msgstr "Używanie fsync(3) przy bezpiecznym zapisie plików"
 
-#: src/config/options.inc:802
+#: src/config/options.inc:848
 msgid ""
-"When using secure file saving, call fsync(3), if the OS\n"
-"supports it, to force the OS immediately to write the data\n"
-"to permanent storage. This is optional for those who wish\n"
-"to avoid excessive disk I/O."
-msgstr ""
-"Gdy używasz bezpiecznego zapisu plików, wywołaj fsync(3),\n"
-"jeśli wspiera go system operacyjny, żeby wymusić niezwłoczne\n"
-"zapisanie danych. To jest opcjonalne, ponieważ niektórzy\n"
-"chcą uniknąć nadmiernego użycia dysku."
+"When using secure file saving, call fsync(3), if the OS supports it, to "
+"force the OS immediately to write the data to permanent storage. This is "
+"optional for those who wish to avoid excessive disk I/O."
+msgstr ""
+"Gdy używasz bezpiecznego zapisu plików, wywołaj fsync(3), jeśli wspiera go "
+"system operacyjny, żeby wymusić niezwłoczne zapisanie danych. To jest "
+"opcjonalne, ponieważ niektórzy chcą uniknąć nadmiernego użycia dysku."
 
 #
 #. Keep options in alphabetical order.
-#: src/config/options.inc:811
+#: src/config/options.inc:857
 msgid "Terminals"
 msgstr "Terminale"
 
 #
-#: src/config/options.inc:813
+#: src/config/options.inc:859
 msgid "Terminal options."
 msgstr "Ustawienia terminala."
 
-#: src/config/options.inc:817
+#: src/config/options.inc:863
 msgid "Options specific to this terminal type (according to $TERM value)."
 msgstr ""
 "Ustawienia specyficzne dla danego typu terminala (nawiązując do $TERM)."
 
-#: src/config/options.inc:842
+#: src/config/options.inc:889
 msgid ""
-"Terminal type; matters mostly only when drawing frames and\n"
-"dialog box borders:\n"
+"Terminal type; matters mostly only when drawing frames and dialog box "
+"borders:\n"
 "0 is dumb terminal type, ASCII art\n"
 "1 is VT100, simple but portable\n"
 "2 is Linux, you get double frames and other goodies\n"
 "3 is KOI-8\n"
 "4 is FreeBSD"
 msgstr ""
-"Typ terminala; chodzi głównie o rysowanie ramek i obrzeży\n"
-"okien dialogowych:\n"
+"Typ terminala; chodzi głównie o rysowanie ramek i obrzeży okien "
+"dialogowych:\n"
 "0 - prosty terminal, tylko znaki ASCII\n"
 "1 - VT100, prosty ale przenośny\n"
 "2 - Linux, podwójne ramki i inne dobrodziejstwa\n"
 "3 - KOI-8\n"
 "4 - FreeBSD"
 
-#: src/config/options.inc:850 src/dialogs/options.c:227
+#: src/config/options.inc:897
+msgid "Always encode xterm title in ISO-8859-1"
+msgstr "Zawsze koduj tytuł xterma w ISO-8859-1"
+
+#: src/config/options.inc:899
+msgid ""
+"When updating the window title of xterm or a similar terminal emulator, "
+"encode the title in ISO-8859-1 (Latin-1), rather than in the charset used "
+"for other text in the window. Cyrillic and other characters get replaced "
+"with Latin ones. Xterm requires this unless you explicitly enable UTF-8 "
+"titles in it.\n"
+"\n"
+"If this option does not take effect immediately, try switching to a "
+"different page so that ELinks notices it needs to update the title."
+msgstr ""
+"Podczas uaktualniania tytułu okna w xtermie lub podobnym emulatorze "
+"terminala uzyj kodowania ISO-8859-1 (Latin-1) zamiast strony kodowej "
+"używanej dla tekstu w oknie. Cyrylica lub inne znaki są zastępowane przez "
+"łacińskie. Wymaga tego xterm, chyba że włączy się w nim tytuły w UTF-8.\n"
+"\n"
+"Jeśli zmiana tej opcji nie przyniesie natychmiastowego skutku przełącz się "
+"na inny dokument, tak żeby ELinks \"zauważył\" zmianę tytułu."
+
+#: src/config/options.inc:910 src/dialogs/options.c:227
 msgid "Switch fonts for line drawing"
 msgstr "Zmiana fontu do rysowania linii"
 
-#: src/config/options.inc:852
+#: src/config/options.inc:912
 msgid ""
-"Switch fonts when drawing lines, enabling both local characters\n"
-"and lines working at the same time. ELinks uses this option only if\n"
-"UTF-8 I/O is disabled and the terminal type is Linux or FreeBSD."
-msgstr ""
-"Zmienia font podczas rysowania linii, włączając oba zestawy\n"
-"znaków. ELinks używa tej opcji jedynie gdy UTF-8 I/O jest wyłączone\n"
-"i typ terminala to Linux lub FreeBSD."
+"Switch fonts when drawing lines, enabling both local characters and lines "
+"working at the same time. ELinks uses this option only if UTF-8 I/O is "
+"disabled and the terminal type is Linux or FreeBSD."
+msgstr ""
+"Zmienia font podczas rysowania linii, włączając oba zestawy znaków. ELinks "
+"używa tej opcji jedynie gdy UTF-8 I/O jest wyłączone i typ terminala to "
+"Linux lub FreeBSD."
 
 #. When CONFIG_UTF8 is defined, any code that reads the "utf_8_io"
 #. * option should also check whether the "codepage" option is UTF-8,
 #. * and if so, behave as if "utf_8_io" were 1.  (When CONFIG_UTF8 is
 #. * not defined, it should not be possible to set UTF-8 as "codepage";
 #. * please report any such possibilities as bugs.)
-#: src/config/options.inc:861 src/dialogs/options.c:232
+#: src/config/options.inc:922 src/dialogs/options.c:232
 msgid "UTF-8 I/O"
 msgstr "I/O w UTF-8"
 
-#: src/config/options.inc:863
+#: src/config/options.inc:924
 msgid ""
-"Enable I/O in UTF-8 for Unicode terminals. Note that currently,\n"
-"only the subset of UTF-8 according to terminal codepage is used.\n"
-"ELinks ignores this option if the terminal codepage is UTF-8."
-msgstr ""
-"Włącza I/O w UTF-8 na terminalach Unicode. Wiedz, że obecnie\n"
-"jedynie podzbiór UTF-8 jest używany w zależności od używanej\n"
-"strony kodowej. ELinks pomija tę opcję, jeśli stroną kodową\n"
-"terminala jest UTF-8."
+"Enable I/O in UTF-8 for Unicode terminals. Note that currently, only the "
+"subset of UTF-8 according to terminal codepage is used. ELinks ignores this "
+"option if the terminal codepage is UTF-8."
+msgstr ""
+"Włącza I/O w UTF-8 na terminalach Unicode. Wiedz, że obecnie jedynie "
+"podzbiór UTF-8 jest używany w zależności od używanej strony kodowej. ELinks "
+"pomija tę opcję, jeśli stroną kodową terminala jest UTF-8."
 
-#: src/config/options.inc:867 src/dialogs/options.c:228
+#: src/config/options.inc:929 src/dialogs/options.c:228
 msgid "Restrict frames in cp850/852"
 msgstr "Ogranicz ramki w cp850/852"
 
-#: src/config/options.inc:869
+#: src/config/options.inc:931
 msgid ""
-"Restrict the characters used when drawing lines. Makes sense\n"
-"only with linux terminals using the cp850/852 character sets."
+"Restrict the characters used when drawing lines. Makes sense only with linux "
+"terminals using the cp850/852 character sets."
 msgstr ""
-"Ogranicz znaki używane do rysowania linii. Ma sens jedynie\n"
-"z terminalami linuksowymi używającymi stron kodowych cp850/852."
+"Ogranicz znaki używane do rysowania linii. Ma sens jedynie z terminalami "
+"linuksowymi używającymi stron kodowych cp850/852."
 
 #
-#: src/config/options.inc:872 src/dialogs/options.c:229
+#: src/config/options.inc:935 src/dialogs/options.c:229
 msgid "Block cursor"
 msgstr "Kursor blokowy"
 
-#: src/config/options.inc:874
+#: src/config/options.inc:937
 msgid ""
-"Move cursor to bottom right corner when done drawing.\n"
-"This is particularly useful when we have a block cursor,\n"
-"so that inversed text is displayed correctly."
-msgstr ""
-"Przenoś kursor do prawego dolnego rogu po zakończeniu\n"
-"rysowania. Jest to szczególnie użyteczne z kursorem\n"
-"blokowym, tekst z inwersją jest wyświetlany poprawnie."
+"Move cursor to bottom right corner when done drawing. This is particularly "
+"useful when we have a block cursor, so that inversed text is displayed "
+"correctly."
+msgstr ""
+"Przenoś kursor do prawego dolnego rogu po zakończeniu rysowania. Jest to "
+"szczególnie użyteczne z kursorem blokowym, tekst z inwersją jest wyświetlany "
+"poprawnie."
 
 #. The list of modes must be at the end of this string
 #. * because AsciiDoc 7.1.2 does not support continuing
 #. * an outer list entry after an inner list.
 #. * TRANSLATORS: This restriction applies only to the
 #. * "en" (English) translation.  (See doc/Makefile.)
-#: src/config/options.inc:885
+#: src/config/options.inc:948
 msgid ""
 "The color mode controls what colors are used and how they are output to the "
 "terminal.\n"
+"\n"
 "Some modes may have been disabled at compile time. The Setup -> Terminal "
 "options dialog lists the modes supported by this executable. If you select "
 "an unsupported mode, ELinks uses 16 colors.\n"
+"\n"
 "The color modes are:\n"
 "0 is mono mode, only 2 colors are used\n"
 "1 is 16 color mode, uses the common ANSI colors\n"
@@ -3809,10 +3802,12 @@ msgid ""
 "4 is true color mode, uses konsole RGB codes"
 msgstr ""
 "Tryb kolorowy kontroluje, które kolory są używane i w jaki sposób są "
-"wyświetlane na terminalu. Niektóre z tych trybów mogą być wyłączone przy "
-"kompilacji. Lista dostępnych trybów jest widoczna poprzez Ustawienia -> "
-"Opcje terminala. Jeśli wybierzesz nie obsługiwany tryb, ELinks użyje trybu "
-"16 kolorów.\n"
+"wyświetlane na terminalu.\n"
+"\n"
+"Niektóre z tych trybów mogą być wyłączone przy kompilacji. Lista dostępnych "
+"trybów jest widoczna poprzez Ustawienia -> Opcje terminala. Jeśli wybierzesz "
+"nie obsługiwany tryb, ELinks użyje trybu 16 kolorów.\n"
+"\n"
 "Możliwe do użycia tryby kolorowe to:\n"
 "0 - tryb monochromatyczny\n"
 "1 - tryb 16 kolorowy, używa standardowych kolorów ANSI\n"
@@ -3820,429 +3815,423 @@ msgstr ""
 "3 - tryb 256 kolorowy, używa kodów RGB xterma\n"
 "4 - tryb koloru 24-bitowy, używa kodów RGB konsole"
 
-#: src/config/options.inc:898 src/dialogs/options.c:230
+#: src/config/options.inc:963 src/dialogs/options.c:230
 msgid "Transparency"
 msgstr "Przezroczystość"
 
-#: src/config/options.inc:900
+#: src/config/options.inc:965
 msgid ""
-"If we should not set the background to black. This is particularly\n"
-"useful when we have a terminal (typically in some windowing\n"
-"environment) with a background image or a transparent background -\n"
-"it will be visible in ELinks as well (but ELinks document color handling\n"
-"will still assume the background is black so if you have a bright "
-"background\n"
-"you might experience contrast problems). Note that this option makes\n"
-"sense only when colors are enabled."
-msgstr ""
-"Czy powinniśmy nie ustawiać tła na czarno. To jest\n"
-"szczególnie użyteczne, gdy mamy terminal (zwykle\n"
-"w środowisku okienkowym) z obrazkiem w tle lub\n"
-"przezroczystym tłem - będzie to widoczne także w ELinksie.\n"
-"(Obsługa kolorów w ELinksie będzie przyjmowała, że tło jest\n"
-"czarne. Możesz napotkać na problemy z kontrastem, gdy Twoje tło\n"
-"jest jasne). Wiedz, że to ustawienie ma sens jedynie, gdy używanie\n"
-"kolorów jest włączone."
+"If we should not set the background to black. This is particularly useful "
+"when we have a terminal (typically in some windowing environment) with a "
+"background image or a transparent background - it will be visible in ELinks "
+"as well (but ELinks document color handling will still assume the background "
+"is black so if you have a bright background you might experience contrast "
+"problems). Note that this option makes sense only when colors are enabled."
+msgstr ""
+"Czy powinniśmy nie ustawiać tła na czarno. To jest szczególnie użyteczne, "
+"gdy mamy terminal (zwykle w środowisku okienkowym) z obrazkiem w tle lub "
+"przezroczystym tłem - będzie to widoczne także w ELinksie. (Obsługa kolorów "
+"w ELinksie będzie przyjmowała, że tło jest czarne. Możesz napotkać na "
+"problemy z kontrastem, gdy Twoje tło jest jasne). Wiedz, że to ustawienie ma "
+"sens jedynie, gdy używanie kolorów jest włączone."
 
-#: src/config/options.inc:910
+#: src/config/options.inc:977
 msgid "If we should use underline or enhance the color instead."
 msgstr "Czy powinno się używać podkreślenia czy wzmocnienia koloru."
 
-#: src/config/options.inc:914
+#: src/config/options.inc:982
 msgid ""
-"Codepage of charset used for displaying content on terminal.\n"
-"'System' stands for a codepage determined by a selected locale."
+"Codepage of charset used for displaying content on terminal. 'System' stands "
+"for a codepage determined by a selected locale."
 msgstr ""
-"Strona kodowa używana do wyświetlania na terminalu.\n"
-"'System' oznacza iż zostanie określona przez wybrane locale."
+"Strona kodowa używana do wyświetlania na terminalu. 'System' oznacza iż "
+"zostanie określona przez wybrane locale."
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:921
+#: src/config/options.inc:990
 msgid "User interface"
 msgstr "Interfejs użytkownika"
 
 #
-#: src/config/options.inc:923
+#: src/config/options.inc:992
 msgid "User interface options."
 msgstr "Ustawienia interfejsu użytkownika."
 
-#: src/config/options.inc:927
+#: src/config/options.inc:996
 msgid "Color settings"
 msgstr "Ustawienia kolorów"
 
-#: src/config/options.inc:929
+#: src/config/options.inc:998
 msgid "Default user interface color settings."
 msgstr "Domyślne ustawienia kolorów interfejsu użytkownika."
 
 #
-#: src/config/options.inc:956
+#: src/config/options.inc:1025
 msgid "Color terminals"
 msgstr "Terminale kolorowe"
 
-#: src/config/options.inc:958
+#: src/config/options.inc:1027
 msgid "Color settings for color terminal."
 msgstr "Ustawienia kolorów dla kolorowych terminali."
 
-#: src/config/options.inc:960
+#: src/config/options.inc:1029
 msgid "Non-color terminals"
 msgstr "Terminale monochromatyczne"
 
-#: src/config/options.inc:962
+#: src/config/options.inc:1031
 msgid "Color settings for non-color terminal."
 msgstr "Ustawienia kolorów dla terminali monochromatycznych."
 
 #. FIXME: obsolete, how to alias them correctly ? --Zas
-#: src/config/options.inc:965
+#: src/config/options.inc:1034
 msgid "Main menu bar"
 msgstr "Pasek menu głównego"
 
-#: src/config/options.inc:967
+#: src/config/options.inc:1036
 msgid "Main menu bar colors."
 msgstr "Kolory głównego paska menu."
 
-#: src/config/options.inc:969
+#: src/config/options.inc:1038
 msgid "Unselected main menu bar item"
 msgstr "Pasek niewybranego elementu menu"
 
-#: src/config/options.inc:971
+#: src/config/options.inc:1040
 msgid "Unselected main menu bar item colors."
 msgstr "Kolory dla paska niewybranego elementu menu."
 
-#: src/config/options.inc:973
+#: src/config/options.inc:1042
 msgid "Selected main menu bar item"
 msgstr "Pasek wybranego elementu menu"
 
-#: src/config/options.inc:975
+#: src/config/options.inc:1044
 msgid "Selected main menu bar item colors."
 msgstr "Kolory dla paska wybranego elementu menu."
 
-#: src/config/options.inc:977 src/config/options.inc:1006
+#: src/config/options.inc:1046 src/config/options.inc:1075
 msgid "Hotkey"
 msgstr "Klawisz skrótu"
 
-#: src/config/options.inc:979
+#: src/config/options.inc:1048
 msgid "Main menu hotkey colors."
 msgstr "Kolory klawiszy skrótu głównego paska menu."
 
-#: src/config/options.inc:981 src/config/options.inc:1010
+#: src/config/options.inc:1050 src/config/options.inc:1079
 msgid "Unselected hotkey"
 msgstr "Niewybrany klawisz skrótu"
 
-#: src/config/options.inc:983
+#: src/config/options.inc:1052
 msgid "Main menu unselected hotkey colors."
 msgstr "Kolory niewybranych klawiszy skrótu głównego menu."
 
 #
-#: src/config/options.inc:985 src/config/options.inc:1014
+#: src/config/options.inc:1054 src/config/options.inc:1083
 msgid "Selected hotkey"
 msgstr "Wybrany klawisz skrótu"
 
-#: src/config/options.inc:987
+#: src/config/options.inc:1056
 msgid "Main menu selected hotkey colors."
 msgstr "Kolory wybranych klawiszy skrótu głównego menu."
 
-#: src/config/options.inc:990
+#: src/config/options.inc:1059
 msgid "Menu bar"
 msgstr "Pasek menu"
 
-#: src/config/options.inc:992
+#: src/config/options.inc:1061
 msgid "Menu bar colors."
 msgstr "Kolory paska menu."
 
-#: src/config/options.inc:994
+#: src/config/options.inc:1063
 msgid "Unselected menu item"
 msgstr "Niewybrane elementy menu"
 
-#: src/config/options.inc:996
+#: src/config/options.inc:1065
 msgid "Unselected menu item colors."
 msgstr "Kolory niewybranego elementu menu."
 
 #
-#: src/config/options.inc:998
+#: src/config/options.inc:1067
 msgid "Selected menu item"
 msgstr "Podświetlone elementy menu"
 
-#: src/config/options.inc:1000
+#: src/config/options.inc:1069
 msgid "Selected menu item colors."
 msgstr "Kolory wybranych elementów menu."
 
 #
-#: src/config/options.inc:1002
+#: src/config/options.inc:1071
 msgid "Marked menu item"
 msgstr "Podświetlone elementy menu"
 
-#: src/config/options.inc:1004
+#: src/config/options.inc:1073
 msgid "Marked menu item colors."
 msgstr "Kolory podświetlonych elementów menu."
 
-#: src/config/options.inc:1008
+#: src/config/options.inc:1077
 msgid "Menu item hotkey colors."
 msgstr "Kolory klawiszy skrótu menu."
 
-#: src/config/options.inc:1012
+#: src/config/options.inc:1081
 msgid "Menu item unselected hotkey colors."
 msgstr "Kolory niewybranych klawiszy skrótu menu."
 
-#: src/config/options.inc:1016
+#: src/config/options.inc:1085
 msgid "Menu item selected hotkey colors."
 msgstr "Kolory wybranych klawiszy skrótu menu."
 
 #
-#: src/config/options.inc:1018
+#: src/config/options.inc:1087
 msgid "Menu frame"
 msgstr "Ramka menu"
 
-#: src/config/options.inc:1020
+#: src/config/options.inc:1089
 msgid "Menu frame colors."
 msgstr "Kolory ramki menu."
 
-#: src/config/options.inc:1023
+#: src/config/options.inc:1092
 msgid "Dialog"
 msgstr "Okno dialogowe"
 
-#: src/config/options.inc:1025
+#: src/config/options.inc:1094
 msgid "Dialog colors."
 msgstr "Kolory okna dialogowego."
 
-#: src/config/options.inc:1035
+#: src/config/options.inc:1104
 msgid "Generic"
 msgstr "Zwykłe"
 
-#: src/config/options.inc:1037
+#: src/config/options.inc:1106
 msgid "Generic dialog colors."
 msgstr "Zwykłe kolory okienka dialogowego."
 
 #
-#: src/config/options.inc:1039
+#: src/config/options.inc:1108
 msgid "Frame"
 msgstr "Ramka"
 
-#: src/config/options.inc:1041
+#: src/config/options.inc:1110
 msgid "Dialog frame colors."
 msgstr "Kolory ramki okna dialogowego."
 
-#: src/config/options.inc:1043
+#: src/config/options.inc:1112
 msgid "Scrollbar"
 msgstr "Pasek przewijania"
 
-#: src/config/options.inc:1045
+#: src/config/options.inc:1114
 msgid "Scrollbar colors."
 msgstr "Kolory paska przewijania."
 
-#: src/config/options.inc:1047
+#: src/config/options.inc:1116
 msgid "Selected scrollbar"
 msgstr "Wybrany pasek przewijania"
 
-#: src/config/options.inc:1049
+#: src/config/options.inc:1118
 msgid "Scrollbar selected colors."
 msgstr "Kolory wybranego paska przewijania."
 
-#: src/config/options.inc:1053
+#: src/config/options.inc:1122
 msgid "Dialog title colors."
 msgstr "Kolory tytułu okna dialogowego."
 
 #
-#: src/config/options.inc:1055
+#: src/config/options.inc:1124
 msgid "Text"
 msgstr "Tekst"
 
-#: src/config/options.inc:1057
+#: src/config/options.inc:1126
 msgid "Dialog text colors."
 msgstr "Kolory tekstu w oknie dialogowym."
 
-#: src/config/options.inc:1059 src/viewer/text/form.c:1862
+#: src/config/options.inc:1128 src/viewer/text/form.c:1891
 msgid "Checkbox"
 msgstr "Przycisk wyboru"
 
-#: src/config/options.inc:1061
+#: src/config/options.inc:1130
 msgid "Dialog checkbox colors."
 msgstr "Kolory przycisku wyboru."
 
 #
-#: src/config/options.inc:1063
+#: src/config/options.inc:1132
 msgid "Selected checkbox"
 msgstr "Wybrany przycisk wyboru"
 
-#: src/config/options.inc:1065
+#: src/config/options.inc:1134
 msgid "Dialog selected checkbox colors."
 msgstr "Kolory wybranego przycisku wyboru."
 
 #
-#: src/config/options.inc:1067
+#: src/config/options.inc:1136
 msgid "Checkbox label"
 msgstr "Etykieta przycisku wyboru"
 
-#: src/config/options.inc:1069
+#: src/config/options.inc:1138
 msgid "Dialog checkbox label colors."
 msgstr "Kolory etykiety przycisku wyboru."
 
-#: src/config/options.inc:1071
+#: src/config/options.inc:1140
 msgid "Button"
 msgstr "Przycisk"
 
-#: src/config/options.inc:1073 src/config/options.inc:1081
+#: src/config/options.inc:1142 src/config/options.inc:1150
 msgid "Dialog button colors."
 msgstr "Kolory przycisku."
 
 #
-#: src/config/options.inc:1075
+#: src/config/options.inc:1144
 msgid "Selected button"
 msgstr "Wybrany przycisk"
 
-#: src/config/options.inc:1077 src/config/options.inc:1085
+#: src/config/options.inc:1146 src/config/options.inc:1154
 msgid "Dialog selected button colors."
 msgstr "Kolory wybranego przycisku."
 
-#: src/config/options.inc:1079
+#: src/config/options.inc:1148
 msgid "Button shortcut"
 msgstr "Klawisz skrótu przycisku"
 
 #
-#: src/config/options.inc:1083
+#: src/config/options.inc:1152
 msgid "Selected button shortcut"
 msgstr "Klawisz skrótu wybranego przycisku"
 
-#: src/config/options.inc:1087 src/viewer/text/form.c:1866
+#: src/config/options.inc:1156 src/viewer/text/form.c:1895
 msgid "Text field"
 msgstr "Pole tekstowe"
 
-#: src/config/options.inc:1089
+#: src/config/options.inc:1158
 msgid "Dialog text field colors."
 msgstr "Kolory pola tekstowego."
 
 #
-#: src/config/options.inc:1091
+#: src/config/options.inc:1160
 msgid "Text field text"
 msgstr "Tekst w polu tekstowym"
 
-#: src/config/options.inc:1093
+#: src/config/options.inc:1162
 msgid "Dialog field text colors."
 msgstr "Kolory tekstu w polu tekstowym."
 
-#: src/config/options.inc:1095
+#: src/config/options.inc:1164
 msgid "Meter"
 msgstr "Licznik"
 
-#: src/config/options.inc:1097
+#: src/config/options.inc:1166
 msgid "Dialog meter colors."
 msgstr "Kolory licznika."
 
-#: src/config/options.inc:1099
+#: src/config/options.inc:1168
 msgid "Shadow"
 msgstr "Cień"
 
-#: src/config/options.inc:1101
+#: src/config/options.inc:1170
 msgid "Dialog shadow colors (see ui.shadows option)."
 msgstr "Kolory cienia (zobacz opcję ui.shadows)."
 
 #
-#: src/config/options.inc:1103
+#: src/config/options.inc:1172
 msgid "Title bar"
 msgstr "Pasek tytułowy"
 
-#: src/config/options.inc:1105
+#: src/config/options.inc:1174
 msgid "Title bar colors."
 msgstr "Kolory paska tytułowego."
 
-#: src/config/options.inc:1107
+#: src/config/options.inc:1176
 msgid "Generic title bar"
 msgstr "Zwykły pasek tytułowy"
 
-#: src/config/options.inc:1109
+#: src/config/options.inc:1178
 msgid "Generic title bar colors."
 msgstr "Kolory zwykłego paska tytułowego."
 
-#: src/config/options.inc:1111
+#: src/config/options.inc:1180
 msgid "Title bar text"
 msgstr "Tekst na pasku tytułowym"
 
-#: src/config/options.inc:1113
+#: src/config/options.inc:1182
 msgid "Title bar text colors."
 msgstr "Kolory tekstu na pasku tytułowym."
 
-#: src/config/options.inc:1116
+#: src/config/options.inc:1185
 msgid "Status bar"
 msgstr "Pasek statusu"
 
-#: src/config/options.inc:1118
+#: src/config/options.inc:1187
 msgid "Status bar colors."
 msgstr "Kolory paska statusu."
 
-#: src/config/options.inc:1120
+#: src/config/options.inc:1189
 msgid "Generic status bar"
 msgstr "Zwykły pasek statusu"
 
-#: src/config/options.inc:1122
+#: src/config/options.inc:1191
 msgid "Generic status bar colors."
 msgstr "Kolory zwykłego paska statusu."
 
 #
-#: src/config/options.inc:1124
+#: src/config/options.inc:1193
 msgid "Status bar text"
 msgstr "Tekst na pasku statusu"
 
-#: src/config/options.inc:1126
+#: src/config/options.inc:1195
 msgid "Status bar text colors."
 msgstr "Kolory tekstu na pasku statusu."
 
-#: src/config/options.inc:1129
+#: src/config/options.inc:1198
 msgid "Tabs bar"
 msgstr "Pasek kart"
 
-#: src/config/options.inc:1131
+#: src/config/options.inc:1200
 msgid "Tabs bar colors."
 msgstr "Kolory paska kart."
 
-#: src/config/options.inc:1133
+#: src/config/options.inc:1202
 msgid "Unvisited tab"
 msgstr "Nieodwiedzana karta"
 
-#: src/config/options.inc:1135
+#: src/config/options.inc:1204
 msgid ""
-"Tab colors for tabs that have not been\n"
-"selected since they completed loading."
+"Tab colors for tabs that have not been selected since they completed loading."
 msgstr ""
-"Kolory karty dla kart, które nie zostały\n"
-"wybrane od zakończenia ładowania."
+"Kolory karty dla kart, które nie zostały wybrane od zakończenia ładowania."
 
-#: src/config/options.inc:1138
+#: src/config/options.inc:1207
 msgid "Unselected tab"
 msgstr "Niewybrana karta"
 
-#: src/config/options.inc:1140
+#: src/config/options.inc:1209
 msgid "Unselected tab colors."
 msgstr "Kolory niewybranych kart."
 
-#: src/config/options.inc:1142
+#: src/config/options.inc:1211
 msgid "Loading tab"
 msgstr "Karta, do której wczytywany jest dokument"
 
-#: src/config/options.inc:1144
+#: src/config/options.inc:1213
 msgid "Tab colors for tabs that are loading in the background."
 msgstr "Kolory kart dla kart, do których wczytywany jest dokument w tle."
 
 #
-#: src/config/options.inc:1146
+#: src/config/options.inc:1215
 msgid "Selected tab"
 msgstr "Wybrana karta"
 
-#: src/config/options.inc:1148
+#: src/config/options.inc:1217
 msgid "Selected tab colors."
 msgstr "Kolory wybranej karty."
 
-#: src/config/options.inc:1150
+#: src/config/options.inc:1219
 msgid "Tab separator"
 msgstr "Separator kart"
 
-#: src/config/options.inc:1152
+#: src/config/options.inc:1221
 msgid "Tab separator colors."
 msgstr "Kolory separatora kart."
 
-#: src/config/options.inc:1155
+#: src/config/options.inc:1224
 msgid "Searched strings"
 msgstr "Szukane łańcuchy"
 
-#: src/config/options.inc:1157
+#: src/config/options.inc:1226
 msgid "Searched string highlight colors."
 msgstr "Kolory podświetlenia szukanych łańcuchów."
 
@@ -4250,79 +4239,78 @@ msgstr "Kolory podświetlenia szukanych 
 #. ============= BORING PART (colors) END ===================
 #. ==========================================================
 #. Keep options in alphabetical order.
-#: src/config/options.inc:1166
+#: src/config/options.inc:1235
 msgid "Dialog settings"
 msgstr "Ustawienia okien dialogowych"
 
-#: src/config/options.inc:1168
+#: src/config/options.inc:1237
 msgid "Dialogs-specific appearance and behaviour settings."
 msgstr "Ustawienia dotyczące wyglądu i zachowania okien dialogowych."
 
-#: src/config/options.inc:1171
+#: src/config/options.inc:1240
 msgid "Minimal height of listbox widget"
 msgstr "Minimalna wysokość listy wyboru"
 
-#: src/config/options.inc:1173
+#: src/config/options.inc:1242
 msgid ""
-"Minimal height of the listbox widget (used e.g. for bookmarks\n"
-"or global history)."
+"Minimal height of the listbox widget (used e.g. for bookmarks or global "
+"history)."
 msgstr ""
-"Minimalna wysokość listy wyboru (używanej np. przy zakładkach\n"
-"czy globalnej historii)."
+"Minimalna wysokość listy wyboru (używanej np. przy zakładkach czy globalnej "
+"historii)."
 
-#: src/config/options.inc:1176
+#: src/config/options.inc:1245
 msgid "Drop shadows"
 msgstr "Rzucanie cienia"
 
-#: src/config/options.inc:1178
+#: src/config/options.inc:1247
 msgid ""
-"Make dialogs drop shadows (the shadows are solid, you can\n"
-"adjust their color by ui.colors.*.dialog.shadow). You may\n"
-"also want to eliminate the wide borders by adjusting setup.h."
-msgstr ""
-"Sprawia, że okna dialogowe rzucają cień (cienie są\n"
-"jednolite, możesz ustalić ich kolor przy pomocy\n"
-"ui.colors.*.dialog.shadow). Możesz też wyeliminować szerokie\n"
-"obrzeża przez dostosowanie pliku setup.h."
+"Make dialogs drop shadows (the shadows are solid, you can adjust their color "
+"by ui.colors.*.dialog.shadow). You may also want to eliminate the wide "
+"borders by adjusting setup.h."
+msgstr ""
+"Sprawia, że okna dialogowe rzucają cień (cienie są jednolite, możesz ustalić "
+"ich kolor przy pomocy ui.colors.*.dialog.shadow). Możesz też wyeliminować "
+"szerokie obrzeża przez dostosowanie pliku setup.h."
 
-#: src/config/options.inc:1182
+#: src/config/options.inc:1252
 msgid "Underline menu hotkeys"
 msgstr "Podkreślanie klawiszy skrótu menu"
 
-#: src/config/options.inc:1184
+#: src/config/options.inc:1254
 msgid ""
-"Whether to underline hotkeys in menus to make them more\n"
-"visible. Requires that underlining is enabled for the terminal."
+"Whether to underline hotkeys in menus to make them more visible. Requires "
+"that underlining is enabled for the terminal."
 msgstr ""
-"Czy podkreślać klawisze skrótu w menu, by były bardziej\n"
-"widoczne? Wymaga włączenia podkreślania dla terminala."
+"Czy podkreślać klawisze skrótu w menu, by były bardziej widoczne? Wymaga "
+"włączenia podkreślania dla terminala."
 
-#: src/config/options.inc:1187
+#: src/config/options.inc:1258
 msgid "Underline button shortcuts"
 msgstr "Podkreślanie klawiszy skrótu przycisku"
 
-#: src/config/options.inc:1189
+#: src/config/options.inc:1260
 msgid ""
-"Whether to underline button shortcuts to make them more\n"
-"visible. Requires that underlining is enabled for the terminal."
+"Whether to underline button shortcuts to make them more visible. Requires "
+"that underlining is enabled for the terminal."
 msgstr ""
-"Czy podkreślać klawisze skrótu przycisku, by były bardziej\n"
-"widoczne? Wymaga włączenia podkreślania dla terminala."
+"Czy podkreślać klawisze skrótu przycisku, by były bardziej widoczne? Wymaga "
+"włączenia podkreślania dla terminala."
 
 #
-#: src/config/options.inc:1193
+#: src/config/options.inc:1265
 msgid "Timer options"
 msgstr "Ustawienia stopera"
 
-#: src/config/options.inc:1195
+#: src/config/options.inc:1267
 msgid ""
-"Timed action after certain interval of user inactivity. Someone can\n"
-"even find this useful, although you may not believe that."
+"Timed action after certain interval of user inactivity. Someone can even "
+"find this useful, although you may not believe that."
 msgstr ""
-"Odmierzane akcje po pewnym okresie bezczynności użytkownika.\n"
-"Komuś może się to przyda, chociaż możesz w to nie wierzyć."
+"Odmierzane akcje po pewnym okresie bezczynności użytkownika. Komuś może się "
+"to przyda, chociaż możesz w to nie wierzyć."
 
-#: src/config/options.inc:1201
+#: src/config/options.inc:1274
 msgid ""
 "Whether to enable the timer or not:\n"
 "0 is don't count down anything\n"
@@ -4334,7 +4322,7 @@ msgstr ""
 "1 - odlicza, ale nie pokazuje stopera\n"
 "2 - odlicza i pokazuje stoper w pobliżu LEDów"
 
-#: src/config/options.inc:1208
+#: src/config/options.inc:1281
 msgid ""
 "Whether to enable the timer or not:\n"
 "0 is don't count down anything\n"
@@ -4347,37 +4335,37 @@ msgstr ""
 "2 - odlicza i pokazuje stoper w pobliżu LEDów (WYŁĄCZONE)"
 
 #
-#: src/config/options.inc:1214
+#: src/config/options.inc:1287
 msgid "Duration"
 msgstr "Czas trwania"
 
-#: src/config/options.inc:1216
+#: src/config/options.inc:1289
 msgid ""
-"Inactivity timeout in seconds. The maximum of one day\n"
-"should be enough for just everyone (TM)."
+"Inactivity timeout in seconds. The maximum of one day should be enough for "
+"just everyone (TM)."
 msgstr ""
 "Limit czasu bezczynności. Jeden dzień powinien wystarczyć każdemu (TM)."
 
-#: src/config/options.inc:1221
+#: src/config/options.inc:1294
 msgid "Keybinding action to be triggered when timer reaches zero."
 msgstr ""
 "Akcja powiązana z klawiaturą, która ma być wyzwolona gdy\n"
 "stoper osiągnie zero."
 
-#: src/config/options.inc:1224
+#: src/config/options.inc:1298
 msgid "Window tabs"
 msgstr "Karty"
 
-#: src/config/options.inc:1226
+#: src/config/options.inc:1300
 msgid "Window tabs settings."
 msgstr "Ustawienia kart."
 
 #
-#: src/config/options.inc:1228
+#: src/config/options.inc:1302
 msgid "Display tabs bar"
 msgstr "Wyświetl pasek kart"
 
-#: src/config/options.inc:1230
+#: src/config/options.inc:1304
 msgid ""
 "Show tabs bar on the screen:\n"
 "0 means never\n"
@@ -4389,195 +4377,195 @@ msgstr ""
 "1 - tylko gdy więcej niż jedna karta jest otwarta\n"
 "2 - zawsze"
 
-#: src/config/options.inc:1235
+#: src/config/options.inc:1309
 msgid "Tab bar at top"
 msgstr "Pasek kart u góry"
 
-#: src/config/options.inc:1237
+#: src/config/options.inc:1311
 msgid "Whether display tab bar at top like other browsers do."
 msgstr ""
 "Czy wyświetlać pasek kart u góry strony, tak jak w innych\n"
 "przeglądarkach."
 
-#: src/config/options.inc:1239
+#: src/config/options.inc:1313
 msgid "Wrap-around tabs cycling"
 msgstr "Cykliczność kart"
 
-#: src/config/options.inc:1241
+#: src/config/options.inc:1315
 msgid ""
-"When moving right from the last tab, jump to the first one, and\n"
-"vice versa."
+"When moving right from the last tab, jump to the first one, and vice versa."
 msgstr "Przeskakiwanie z ostatniej karty do pierwszej i na odwrót."
 
-#: src/config/options.inc:1244
+#: src/config/options.inc:1318
 msgid "Confirm tab closing"
 msgstr "Potwierdzenie zamknięcia karty"
 
-#: src/config/options.inc:1246
+#: src/config/options.inc:1320
 msgid "When closing a tab show confirmation dialog."
 msgstr "Przy zamykaniu karty pokazuj okienko dialogowe potwierdzania."
 
 #. OPT_LANGUAGE
-#: src/config/options.inc:1250 src/config/opttypes.c:483
+#: src/config/options.inc:1324 src/config/opttypes.c:483
 msgid "Language"
 msgstr "Język"
 
-#: src/config/options.inc:1252
+#: src/config/options.inc:1326
 msgid ""
-"Language of user interface. 'System' means that the language will\n"
-"be extracted from the environment dynamically."
+"Language of user interface. 'System' means that the language will be "
+"extracted from the environment dynamically."
 msgstr ""
-"Język interfejsu użytkownika. 'System' oznacza iż język\n"
-"zostanie uzyskany ze środowiska w sposób dynamiczny."
+"Język interfejsu użytkownika. 'System' oznacza iż język zostanie uzyskany ze "
+"środowiska w sposób dynamiczny."
 
 #
-#: src/config/options.inc:1255
+#: src/config/options.inc:1330
 msgid "Display menu bar always"
 msgstr "Wyświetlanie paska tytułowego na stałe"
 
-#: src/config/options.inc:1257
+#: src/config/options.inc:1332
 msgid "Always show menu bar on the screen."
 msgstr "Zawsze pokazuj pasek tytułowy na ekranie."
 
 #
-#: src/config/options.inc:1259
+#: src/config/options.inc:1334
 msgid "Display status bar"
 msgstr "Wyświetlanie paska statusu"
 
-#: src/config/options.inc:1261
+#: src/config/options.inc:1336
 msgid "Show status bar on the screen."
 msgstr "Pokazuje pasek statusu na ekranie."
 
 #
-#: src/config/options.inc:1263
+#: src/config/options.inc:1338
 msgid "Display title bar"
 msgstr "Wyświetlanie paska tytułowego"
 
-#: src/config/options.inc:1265
+#: src/config/options.inc:1340
 msgid "Show title bar on the screen."
 msgstr "Pokazuje pasek tytułowy na ekranie."
 
-#: src/config/options.inc:1267
+#: src/config/options.inc:1342
 msgid "Display goto dialog in new tabs"
 msgstr "Wyświetlanie okienka \"goto\" w nowych kartach"
 
-#: src/config/options.inc:1269
+#: src/config/options.inc:1344
 msgid ""
-"Pop up goto dialog in newly created tabs when there's no homepage\n"
-"set. This means also showing goto dialog on startup."
+"Pop up goto dialog in newly created tabs when there's no homepage set. This "
+"means also showing goto dialog on startup."
 msgstr ""
-"Wyświetl okno \"Przejdź do URL-a\" w nowo stworzonej karcie\n"
-"jeśli strona domowa nie jest ustawiona. Oznacza to iż okno\n"
-"to będzie pokazywane także przy starcie."
+"Wyświetl okno \"Przejdź do URL-a\" w nowo stworzonej karcie jeśli strona "
+"domowa nie jest ustawiona. Oznacza to iż okno to będzie pokazywane także "
+"przy starcie."
 
-#: src/config/options.inc:1272
+#: src/config/options.inc:1348
 msgid "Show a message box when file is saved successfully"
 msgstr "Pokazuj okienko dialogowe, gdy plik zostanie pomyślnie zapisany"
 
-#: src/config/options.inc:1274
+#: src/config/options.inc:1350
 msgid ""
-"When you pressed a [ Save ] button in some manager, this option\n"
-"will make sure that a box confirming success of the operation will\n"
-"pop up."
-msgstr ""
-"Gdy wciśniesz przycisk [ Zapisz ] w jakimś menadżerze,\n"
-"te ustawienie zapewni, że pojawi się okienko potwierdzające\n"
-"pomyślne wykonanie operacji."
+"When you pressed a [ Save ] button in some manager, this option will make "
+"sure that a box confirming success of the operation will pop up."
+msgstr ""
+"Gdy wciśniesz przycisk [ Zapisz ] w jakimś menadżerze, te ustawienie "
+"zapewni, że pojawi się okienko potwierdzające pomyślne wykonanie operacji."
 
-#: src/config/options.inc:1279
+#: src/config/options.inc:1355
 msgid "Sessions"
 msgstr "Sesje"
 
-#: src/config/options.inc:1281
+#: src/config/options.inc:1357
 msgid "Sessions settings."
 msgstr "Ustawienia sesji."
 
-#: src/config/options.inc:1283
+#: src/config/options.inc:1359
 msgid "Keep session active"
 msgstr "Utrzymuj aktywną sesję"
 
-#: src/config/options.inc:1285
+#: src/config/options.inc:1361
 msgid "Keep the session active even if the last terminal exits."
 msgstr "Utrzymuj sesję nawet po zamknięciu ostatniego terminala."
 
-#: src/config/options.inc:1287
+#: src/config/options.inc:1364
 msgid "Auto save session"
 msgstr "Automatyczne zapisywanie sesji"
 
-#: src/config/options.inc:1289
+#: src/config/options.inc:1366
 msgid ""
 "Automatically save the session when quitting.\n"
+"\n"
 "This feature requires bookmark support."
 msgstr ""
 "Automatycznie zapisuj sesję przy kończeniu działania.\n"
+"\n"
 "Wymagana jest obsługa zakładek."
 
-#: src/config/options.inc:1292
+#: src/config/options.inc:1370
 msgid "Auto restore session"
 msgstr "Automatyczne odtwarzanie sesji"
 
-#: src/config/options.inc:1294
+#: src/config/options.inc:1372
 msgid ""
 "Automatically restore the session at start.\n"
+"\n"
 "This feature requires bookmark support."
 msgstr ""
 "Automatycznie odtwarzaj sesję na starcie.\n"
+"\n"
 "Wymagana jest obsługa zakładek."
 
-#: src/config/options.inc:1297
+#: src/config/options.inc:1376
 msgid "Auto save and restore session folder name"
 msgstr "Nazwa foldera do automatycznego zapisywania i odtwarzania sesji"
 
-#: src/config/options.inc:1299
+#: src/config/options.inc:1378
 msgid ""
-"Name of the bookmarks folder used for auto saving and restoring session.\n"
-"The name has to be unique. Any folders with the same name will be deleted.\n"
+"Name of the bookmarks folder used for auto saving and restoring session. The "
+"name has to be unique. Any folders with the same name will be deleted.\n"
+"\n"
 "This only makes sense with bookmark support."
 msgstr ""
-"Nazwa foldera zakładek używanego do automatycznego\n"
-"zapisywania i odtwarzania sesji. Nazwa musi być unikatowa.\n"
-"Foldery o takiej samej nazwie zostaną usunięte. Ma to sens\n"
-"jedynie wtedy, gdy wkompilowana jest obsługa zakładek."
+"Nazwa foldera zakładek używanego do automatycznego zapisywania i odtwarzania "
+"sesji. Nazwa musi być unikatowa. Foldery o takiej samej nazwie zostaną "
+"usunięte.\n"
+"\n"
+"Ma to sens jedynie wtedy, gdy wkompilowana jest obsługa zakładek."
 
-#: src/config/options.inc:1303
+#: src/config/options.inc:1384
 msgid "Homepage URI"
 msgstr "URI strony domowej"
 
-#: src/config/options.inc:1305
+#: src/config/options.inc:1386
 msgid ""
-"The URI to load either at startup time when no URI was given\n"
-"on the command line or when requested by the goto-url-home action.\n"
-"Set to \"\" if the environment variable WWW_HOME should be used\n"
-"as homepage URI instead."
-msgstr ""
-"URI strony, która powinna być załadowana na starcie, gdy\n"
-"żadne URI nie było podane w linii poleceń lub gdy wykonano\n"
-"akcję goto-url-home. Ustaw na \"\" jeśli wartość zmiennej\n"
-"środowiskowej WWW_HOME powinna być użyta jako strona domowa."
+"The URI to load either at startup time when no URI was given on the command "
+"line or when requested by the goto-url-home action. Set to \"\" if the "
+"environment variable WWW_HOME should be used as homepage URI instead."
+msgstr ""
+"URI strony, która powinna być załadowana na starcie, gdy żadne URI nie było "
+"podane w linii poleceń lub gdy wykonano akcję goto-url-home. Ustaw na \"\" "
+"jeśli wartość zmiennej środowiskowej WWW_HOME powinna być użyta jako strona "
+"domowa."
 
 #
-#: src/config/options.inc:1311
+#: src/config/options.inc:1392
 msgid "Date format"
 msgstr "Format daty"
 
-#: src/config/options.inc:1313
+#: src/config/options.inc:1394
 msgid "Date format to use in dialogs. See strftime(3)."
 msgstr "Format daty używany w dialog. Zobacz strftime(3)."
 
 #
-#: src/config/options.inc:1316
+#: src/config/options.inc:1397
 msgid "Set window title"
 msgstr "Ustalenie tytułu okna"
 
-#: src/config/options.inc:1318
+#: src/config/options.inc:1399
 msgid ""
-"Set the window title when running in a windowing environment\n"
-"in an xterm-like terminal. This way the document's title is\n"
-"shown on the window titlebar."
-msgstr ""
-"Ustaw tytuł okna podczas działania w środowisku okienkowym\n"
-"w terminalu jak xterm. W ten sposób tytuł dokumentu będzie\n"
-"widoczny na pasku tytułowym okna."
+"Set the window title when running in a windowing environment in an xterm-"
+"like terminal. This way the document's title is shown on the window titlebar."
+msgstr ""
+"Ustaw tytuł okna podczas działania w środowisku okienkowym w terminalu jak "
+"xterm. W ten sposób tytuł dokumentu będzie widoczny na pasku tytułowym okna."
 
 #
 #: src/config/opttypes.c:54
@@ -4662,7 +4650,7 @@ msgid "Goto URL History"
 msgstr "Historia \"Przejdź do URL-a\""
 
 #. name:
-#: src/cookies/cookies.c:88 src/cookies/cookies.c:911
+#: src/cookies/cookies.c:88 src/cookies/cookies.c:913
 msgid "Cookies"
 msgstr "Ciasteczka"
 
@@ -4696,10 +4684,10 @@ msgstr "Maksymalny czas życia"
 msgid ""
 "Cookie maximum age (in days):\n"
 "-1 is use cookie's expiration date if any\n"
-"0  is force expiration at the end of session, ignoring cookie's\n"
-"   expiration date\n"
-"1+ is use cookie's expiration date, but limit age to the given\n"
-"   number of days"
+"0  is force expiration at the end of session, ignoring\n"
+"   cookie's expiration date\n"
+"1+ is use cookie's expiration date, but limit age to the\n"
+"   given number of days"
 msgstr ""
 "Czas życia ciasteczka (w dniach):\n"
 "-1 - użyj daty przedawnienia ciasteczka, jeśli podana\n"
@@ -4714,50 +4702,48 @@ msgstr "Paranoidalne bezpieczeństwo"
 
 #: src/cookies/cookies.c:111
 msgid ""
-"When enabled, we'll require three dots in cookies domain for all\n"
-"non-international domains (instead of just two dots). Some countries\n"
-"have generic second level domains (eg. .com.pl, .co.uk) and allowing\n"
-"sites to set cookies for these generic domains could potentially be\n"
-"very bad. Note, it is off by default as it breaks a lot of sites."
-msgstr ""
-"Gdy włączone, trzy kropki są wymagane w nazwach\n"
-"nienarodowych domen (zamiast zwykle dwóch). Niektóre\n"
-"kraje posiadają domeny ogólnego użytku drugiego poziomu\n"
-"(np. .com.pl, .co.uk) i zezwolenie stronom na ustawienie\n"
-"ciasteczka dla tych domen może być niebezpiecznie.\n"
-"Domyślnie ta opcja jest wyłączona, ponieważ powoduje\n"
-"błędy na wielu stronach."
+"When enabled, we'll require three dots in cookies domain for all non-"
+"international domains (instead of just two dots). Some countries have "
+"generic second level domains (eg. .com.pl, .co.uk) and allowing sites to set "
+"cookies for these generic domains could potentially be very bad. Note, it is "
+"off by default as it breaks a lot of sites."
+msgstr ""
+"Gdy włączone, trzy kropki są wymagane w nazwach nienarodowych domen (zamiast "
+"zwykle dwóch). Niektóre kraje posiadają domeny ogólnego użytku drugiego "
+"poziomu (np. .com.pl, .co.uk) i zezwolenie stronom na ustawienie ciasteczka "
+"dla tych domen może być niebezpiecznie. Domyślnie ta opcja jest wyłączona, "
+"ponieważ powoduje błędy na wielu stronach."
 
 #
-#: src/cookies/cookies.c:117
+#: src/cookies/cookies.c:118
 msgid "Saving"
 msgstr "Zapis"
 
-#: src/cookies/cookies.c:119
+#: src/cookies/cookies.c:120
 msgid "Whether cookies should be loaded from and saved to disk."
 msgstr "Czy ciasteczka powinny być wczytywane i zapisywane na dysk."
 
-#: src/cookies/cookies.c:121
+#: src/cookies/cookies.c:123
 msgid "Resaving"
 msgstr "Nadpisywanie"
 
-#: src/cookies/cookies.c:123
+#: src/cookies/cookies.c:125
 msgid ""
-"Save cookies after each change in cookies list? No effect when\n"
-"cookie saving (cookies.save) is off."
+"Save cookies after each change in cookies list? No effect when cookie saving "
+"(cookies.save) is off."
 msgstr ""
-"Czy zapisywać ciasteczka po każdej zmianie na liście\n"
-"ciasteczek? Bez efektu, gdy cookies_save jest wyłączone."
+"Czy zapisywać ciasteczka po każdej zmianie na liście ciasteczek? Bez efektu, "
+"gdy cookies_save jest wyłączone."
 
-#: src/cookies/cookies.c:817
+#: src/cookies/cookies.c:819
 msgid "Cannot save cookies"
 msgstr "Nie można zapisać ciasteczek"
 
-#: src/cookies/cookies.c:828
+#: src/cookies/cookies.c:830
 msgid "ELinks was started without a home directory."
 msgstr "ELinks został uruchomiony bez katalogu domowego."
 
-#: src/cookies/cookies.c:834
+#: src/cookies/cookies.c:836
 msgid "ELinks was started with the -anonymous option."
 msgstr "ELinks został uruchomiony z opcją -anonymous."
 
@@ -4958,7 +4944,7 @@ msgid "No header info."
 msgstr "Brak nagłówka."
 
 #: src/dialogs/download.c:243 src/dialogs/menu.c:601
-#: src/protocol/bittorrent/dialogs.c:228 src/session/download.c:361
+#: src/protocol/bittorrent/dialogs.c:228 src/session/download.c:387
 msgid "Download"
 msgstr "Pobieranie"
 
@@ -5790,7 +5776,7 @@ msgid "No document"
 msgstr "Brak dokumentu"
 
 #. name:
-#: src/document/css/css.c:30 src/document/css/css.c:161
+#: src/document/css/css.c:30 src/document/css/css.c:164
 msgid "Cascading Style Sheets"
 msgstr "Kaskadowe szablony stylów CSS"
 
@@ -5799,44 +5785,44 @@ msgid "Options concerning how to use CSS
 msgstr "Ustawienia dotyczące użycia CSS do stylizacji dokumentów."
 
 #
-#: src/document/css/css.c:34
+#: src/document/css/css.c:35
 msgid "Enable CSS"
 msgstr "Włącz CSS"
 
-#: src/document/css/css.c:36
+#: src/document/css/css.c:37
 msgid "Enable adding of CSS style info to documents."
 msgstr "Włącza dodawanie stylów CSS do dokumentu."
 
-#: src/document/css/css.c:38
+#: src/document/css/css.c:39
 msgid "Import external style sheets"
 msgstr "Importowanie zewnętrznych szablonów stylów"
 
-#: src/document/css/css.c:40
+#: src/document/css/css.c:41
 msgid ""
-"When enabled any external style sheets that are imported from\n"
-"either CSS itself using the @import keyword or from the HTML using\n"
-"<link> tags in the document header will also be downloaded."
-msgstr ""
-"Gdy włączone szablony stylów importowane przez CSS\n"
-"przy użyciu słowa kluczowego @import albo z dokumentu HTML\n"
-"używając tagu <link> także będą pobrane."
+"When enabled any external style sheets that are imported from either CSS "
+"itself using the @import keyword or from the HTML using <link> tags in the "
+"document header will also be downloaded."
+msgstr ""
+"Gdy włączone szablony stylów importowane przez CSS przy użyciu słowa "
+"kluczowego @import albo z dokumentu HTML używając tagu <link> także będą "
+"pobrane."
 
-#: src/document/css/css.c:44
+#: src/document/css/css.c:46
 msgid "Default style sheet"
 msgstr "Domyślny szablon stylów"
 
-#: src/document/css/css.c:46
+#: src/document/css/css.c:48
 msgid ""
-"The path to the file containing the default user defined\n"
-"Cascading Style Sheet. It can be used to control the basic\n"
-"layout of HTML documents. The path is assumed to be relative\n"
-"to ELinks' home directory.\n"
+"The path to the file containing the default user defined Cascading Style "
+"Sheet. It can be used to control the basic layout of HTML documents. The "
+"path is assumed to be relative to ELinks' home directory.\n"
+"\n"
 "Leave as \"\" to use built-in document styling."
 msgstr ""
-"Ścieżka do pliku zawierającego domyślny CSS zdefiniowany\n"
-"przez użytkownika. Ten CSS może być użyty do kontrolowania\n"
-"wyglądu dokumentów HTML. Przyjmujemy, że ścieżka jest\n"
-"względna do katalogu domowego ELinksa.\n"
+"Ścieżka do pliku zawierającego domyślny CSS zdefiniowany przez użytkownika. "
+"Ten CSS może być użyty do kontrolowania wyglądu dokumentów HTML. "
+"Przyjmujemy, że ścieżka jest względna do katalogu domowego ELinksa.\n"
+"\n"
 "Zostaw jako \"\", żeby używać wbudowanych styli dokumentu."
 
 #. name:
@@ -5867,10 +5853,10 @@ msgstr "Ignoruj zawartość <noscript>"
 
 #: src/ecmascript/ecmascript.c:55
 msgid ""
-"Whether to ignore content enclosed by the <noscript> tag\n"
-"when ECMAScript is enabled."
+"Whether to ignore content enclosed by the <noscript> tag when ECMAScript is "
+"enabled."
 msgstr ""
-"Czy ignorować treść zawartą w znaczniku <noscript> w przypadku, gdy\n"
+"Czy ignorować treść zawartą w znaczniku <noscript> w przypadku, gdy "
 "ECMAScript jest włączony."
 
 #: src/ecmascript/ecmascript.c:58
@@ -5925,7 +5911,7 @@ msgid "JavaScript Error"
 msgstr "Błąd JavaScriptu"
 
 #. name:
-#: src/ecmascript/spidermonkey.c:320
+#: src/ecmascript/spidermonkey.c:321
 msgid "SpiderMonkey"
 msgstr "SpiderMonkey"
 
@@ -6018,13 +6004,12 @@ msgstr "Pokaż okno dialogowe historii f
 
 #: src/formhist/formhist.c:38
 msgid ""
-"Ask if a login form should be saved to file or not.\n"
-"This option only disables the dialog, already saved login\n"
-"forms are unaffected."
-msgstr ""
-"Zapytaj czy formularz logowania powinien być zapisany\n"
-"do pliku czy nie. Opcja ta jedynie wyłącza okno dialogowe,\n"
-"poprzednio zapisane formularze logowania pozostają nienaruszone."
+"Ask if a login form should be saved to file or not. This option only "
+"disables the dialog, already saved login forms are unaffected."
+msgstr ""
+"Zapytaj czy formularz logowania powinien być zapisany do pliku czy nie. "
+"Opcja ta jedynie wyłącza okno dialogowe, poprzednio zapisane formularze "
+"logowania pozostają nienaruszone."
 
 #: src/formhist/formhist.c:426
 msgid "Form history"
@@ -6125,20 +6110,20 @@ msgstr "Ustawienia historii globalnej."
 msgid "Enable global history (\"history of all pages visited\")."
 msgstr "Włącz globalną historię (\"historię wszystkich odwiedzanych stron\")."
 
-#: src/globhist/globhist.c:68
+#: src/globhist/globhist.c:69
 msgid "Maximum number of entries"
 msgstr "Maksymalna liczba pozycji"
 
-#: src/globhist/globhist.c:70
+#: src/globhist/globhist.c:71
 msgid "Maximum number of entries in the global history."
 msgstr "Maksymalna liczba pozycji w globalnej historii."
 
 #
-#: src/globhist/globhist.c:72
+#: src/globhist/globhist.c:73
 msgid "Display style"
 msgstr "Sposób pokazywania"
 
-#: src/globhist/globhist.c:74
+#: src/globhist/globhist.c:75
 msgid ""
 "What to display in global history dialog:\n"
 "0 is URLs\n"
@@ -6149,7 +6134,7 @@ msgstr ""
 "1 - tytuły stron"
 
 #. name:
-#: src/globhist/globhist.c:451
+#: src/globhist/globhist.c:449
 msgid "Global History"
 msgstr "Historia globalna"
 
@@ -6376,124 +6361,115 @@ msgstr "Skojarzenia typów MIME"
 
 #: src/mime/backend/default.c:27
 msgid ""
-"Handler <-> MIME type association. The first sub-tree is the MIME\n"
-"class while the second sub-tree is the MIME type (ie. image/gif\n"
-"handler will reside at mime.type.image.gif). Each MIME type option\n"
-"should contain (case-sensitive) name of the MIME handler (its\n"
-"properties are stored at mime.handler.<name>)."
+"Handler <-> MIME type association. The first sub-tree is the MIME class "
+"while the second sub-tree is the MIME type (ie. image/gif handler will "
+"reside at mime.type.image.gif). Each MIME type option should contain (case-"
+"sensitive) name of the MIME handler (its properties are stored at mime."
+"handler.<name>)."
 msgstr ""
-"Skojarzenia program obsługi <-> typ MIME. Pierwsze poddrzewo\n"
-"to typ MIME, drugie to podtyp MIME (np. program obsługi\n"
-"image/gif będzie w mime.type.image.gif). Każda opcja typu\n"
-"MIME powinna zawierać (wielkość liter ma znaczenie) nazwę\n"
-"programu obsługi MIME (jego właściwości są zapisane\n"
-"w mime.handler.<nazwa>)."
+"Skojarzenia program obsługi <-> typ MIME. Pierwsze poddrzewo to typ MIME, "
+"drugie to podtyp MIME (np. program obsługi image/gif będzie w mime.type."
+"image.gif). Każda opcja typu MIME powinna zawierać (wielkość liter ma "
+"znaczenie) nazwę programu obsługi MIME (jego właściwości są zapisane w mime."
+"handler.<nazwa>)."
 
-#: src/mime/backend/default.c:35
+#: src/mime/backend/default.c:36
 msgid ""
-"Handler matching this MIME-type class ('*' is used here in place\n"
-"of '.')."
+"Handler matching this MIME-type class ('*' is used here in place of '.')."
 msgstr ""
-"Program obsługi odpowiadający typowi MIME ('*' jest używana\n"
-"tutaj zamiast '.')."
+"Program obsługi odpowiadający typowi MIME ('*' jest używana tutaj zamiast "
+"'.')."
 
-#: src/mime/backend/default.c:40
+#: src/mime/backend/default.c:41
 msgid ""
-"Handler matching this MIME-type name ('*' is used here in place\n"
-"of '.')."
+"Handler matching this MIME-type name ('*' is used here in place of '.')."
 msgstr ""
-"Program obsługi odpowiadający nazwie typu MIME ('*' jest\n"
-"używana tutaj zamiast '.')."
+"Program obsługi odpowiadający nazwie typu MIME ('*' jest używana tutaj "
+"zamiast '.')."
 
-#: src/mime/backend/default.c:44
+#: src/mime/backend/default.c:45
 msgid "File type handlers"
 msgstr "Programy obsługi typów plików"
 
-#: src/mime/backend/default.c:46
+#: src/mime/backend/default.c:47
 msgid ""
-"A file type handler is a set of information about how to use\n"
-"an external program to view a file. It is possible to refer to it\n"
-"for several MIME types -- e.g., you can define an 'image' handler\n"
-"to which mime.type.image.png, mime.type.image.jpeg, and so on will\n"
-"refer; or one might define a handler for a more specific type of file\n"
-"-- e.g., PDF files.\n"
-"Note you must define both a MIME handler and a MIME type association\n"
-"for it to work."
-msgstr ""
-"Uchwyt typu pliku jest zbiorem informacji jak korzystać\n"
-"z zewnętrznych programów, żeby zobaczyć plik, np. można\n"
-"zdefiniować uchwyt 'images', do którego będą odnosiły się\n"
-"mime.type.image.png, mime.type.image.jpeg, itd; można\n"
-"zdefiniować uchwyt dla bardziej skomplikowanych typów\n"
-"plików, np. PDF.\n"
-"Pamiętaj, że musisz zdefiniować uchwyt MIME i skojarzenie\n"
-"typu plików, żeby to zadziałało."
+"A file type handler is a set of information about how to use an external "
+"program to view a file. It is possible to refer to it for several MIME types "
+"-- e.g., you can define an 'image' handler to which mime.type.image.png, "
+"mime.type.image.jpeg, and so on will refer; or one might define a handler "
+"for a more specific type of file -- e.g., PDF files. Note you must define "
+"both a MIME handler and a MIME type association for it to work."
+msgstr ""
+"Uchwyt typu pliku jest zbiorem informacji jak korzystać z zewnętrznych "
+"programów, żeby zobaczyć plik, np. można zdefiniować uchwyt 'images', do "
+"którego będą odnosiły się mime.type.image.png, mime.type.image.jpeg, itd; "
+"można zdefiniować uchwyt dla bardziej skomplikowanych typów plików, np. PDF. "
+"Pamiętaj, że musisz zdefiniować uchwyt MIME i skojarzenie typu plików, żeby "
+"to zadziałało."
 
-#: src/mime/backend/default.c:57
+#: src/mime/backend/default.c:58
 msgid "Description of this handler."
 msgstr "Opis tego programu obsługi."
 
-#: src/mime/backend/default.c:61
+#: src/mime/backend/default.c:62
 msgid "System-specific handler description (ie. unix, unix-xwin, ...)."
 msgstr ""
 "Specyficzny dla systemu opis programu obsługi (np. unix, unix-xwin, ...)."
 
-#: src/mime/backend/default.c:63 src/mime/backend/mailcap.c:102
+#: src/mime/backend/default.c:65 src/mime/backend/mailcap.c:102
 msgid "Ask before opening"
 msgstr "Zapytaj przed otwarciem"
 
-#: src/mime/backend/default.c:65
+#: src/mime/backend/default.c:67
 msgid "Ask before opening."
 msgstr "Zapytaj przed otwarciem."
 
 #
-#: src/mime/backend/default.c:67
+#: src/mime/backend/default.c:69
 msgid "Block terminal"
 msgstr "Blokowanie terminala"
 
-#: src/mime/backend/default.c:69
+#: src/mime/backend/default.c:71
 msgid "Block the terminal when the handler is running."
 msgstr "Zablokuj terminal, gdy program obsługi jest wykonywany."
 
 #
-#: src/mime/backend/default.c:71
+#: src/mime/backend/default.c:73
 msgid "Program"
 msgstr "Program"
 
-#: src/mime/backend/default.c:74
-#, fuzzy, no-c-format
+#: src/mime/backend/default.c:76
+#, no-c-format
 msgid ""
-"External viewer for this file type. '%' in this string will be\n"
-"substituted by a file name.\n"
-"Do _not_ put single- or double-quotes around the % sign."
+"External viewer for this file type. '%' in this string will be substituted "
+"by a file name. Do _not_ put single- or double-quotes around the % sign."
 msgstr ""
-"Zewnętrzna przeglądarka dla tego typu plików. '%' w łańcuchu\n"
-"zostanie zastąpiony nazwą pliku."
+"Zewnętrzna przeglądarka dla tego typu plików. '%' w łańcuchu zostanie "
+"zastąpiony nazwą pliku."
 
 #
-#: src/mime/backend/default.c:79
+#: src/mime/backend/default.c:81
 msgid "File extension associations"
 msgstr "Skojarzenia rozszerzeń plików"
 
-#: src/mime/backend/default.c:81
+#: src/mime/backend/default.c:83
 msgid "Extension <-> MIME type association."
 msgstr "Rozszerzenie <-> skojarzenie typu MIME."
 
-#: src/mime/backend/default.c:85
+#: src/mime/backend/default.c:87
 msgid ""
-"MIME-type matching this file extension ('*' is used here in place\n"
-"of '.')."
+"MIME-type matching this file extension ('*' is used here in place of '.')."
 msgstr ""
-"Typ MIME odpowiadający temu rozszerzeniu pliku ('*' jest\n"
-"używana tutaj zamiast '.')."
+"Typ MIME odpowiadający temu rozszerzeniu pliku ('*' jest używana tutaj "
+"zamiast '.')."
 
 #. name:
-#: src/mime/backend/default.c:216
+#: src/mime/backend/default.c:218
 msgid "Option system"
 msgstr "System konfiguracyjny"
 
 #. name:
-#: src/mime/backend/mailcap.c:89 src/mime/backend/mailcap.c:684
+#: src/mime/backend/mailcap.c:89 src/mime/backend/mailcap.c:686
 msgid "Mailcap"
 msgstr "Mailcap"
 
@@ -6507,11 +6483,11 @@ msgstr "Włącz obsługę Mailcap."
 
 #: src/mime/backend/mailcap.c:99
 msgid ""
-"Mailcap search path. Colon-separated list of files.\n"
-"Leave as \"\" to use MAILCAP environment variable instead."
+"Mailcap search path. Colon-separated list of files. Leave as \"\" to use "
+"MAILCAP environment variable instead."
 msgstr ""
-"Ścieżka poszukiwań dla Mailcap. Oddzielona dwukropkami lista\n"
-"plików. Zostaw jako \"\" by używać zmiennej środowiskowej MAILCAP."
+"Ścieżka poszukiwań dla Mailcap. Oddzielona dwukropkami lista plików. Zostaw "
+"jako \"\" by używać zmiennej środowiskowej MAILCAP."
 
 #: src/mime/backend/mailcap.c:104
 msgid "Ask before using the handlers defined by mailcap."
@@ -6523,53 +6499,49 @@ msgstr "Łańcuch typu zapytania"
 
 #: src/mime/backend/mailcap.c:108
 msgid ""
-"Type of description to show in \"what to do with this file\"\n"
-"query dialog:\n"
+"Type of description to show in \"what to do with this file\" query dialog:\n"
 "0 is show \"mailcap\"\n"
 "1 is show program to be run\n"
-"2 is show mailcap description field if any; \"mailcap\" otherwise"
+"2 is show mailcap description field if any;\n"
+"     \"mailcap\" otherwise"
 msgstr ""
-"Typ opisu do wyświetlenia w oknie dialogowym \"co zrobić\n"
-"z tym plikiem\":\n"
+"Typ opisu do wyświetlenia w oknie dialogowym \"co zrobić z tym plikiem\":\n"
 "0 - wyświetla \"mailcap\"\n"
 "1 - wyświetla program, który ma być uruchomiony\n"
 "2 - wyświetla opis pola mailcap, jeśli istnieje; \"mailcap\"\n"
 "    w przeciwnym przypadku"
 
-#: src/mime/backend/mailcap.c:114
+#: src/mime/backend/mailcap.c:115
 msgid "Prioritize entries by file"
 msgstr "Uszeregowanie pozycji w pliku"
 
-#: src/mime/backend/mailcap.c:116
+#: src/mime/backend/mailcap.c:117
 msgid ""
-"Prioritize entries by the order of the files in the mailcap\n"
-"path. This means that wildcard entries (like: image/*) will\n"
-"also be checked before deciding the handler."
-msgstr ""
-"Uszereguj pozycje według porządku plików w ścieżce\n"
-"przeszukiwań mailcap. To oznacza, że pozycje z dżokerami\n"
-"(takie jak: image/*) będą także sprawdzane zanim wybrany\n"
-"zostanie uchwyt."
+"Prioritize entries by the order of the files in the mailcap path. This means "
+"that wildcard entries (like: image/*) will also be checked before deciding "
+"the handler."
+msgstr ""
+"Uszereguj pozycje według porządku plików w ścieżce przeszukiwań mailcap. To "
+"oznacza, że pozycje z dżokerami (takie jak: image/*) będą także sprawdzane "
+"zanim wybrany zostanie uchwyt."
 
-#: src/mime/backend/mailcap.c:349
+#: src/mime/backend/mailcap.c:351
 #, c-format
 msgid "Badly formated mailcap entry for type %s in \"%s\" line %d"
 msgstr "Źle sformatowana pozycja dla mailcap dla typu %s w \"%s\" linii %d"
 
 #. name:
-#: src/mime/backend/mimetypes.c:46 src/mime/backend/mimetypes.c:279
+#: src/mime/backend/mimetypes.c:46 src/mime/backend/mimetypes.c:280
 msgid "Mimetypes files"
 msgstr "Pliki typu MIME"
 
 #: src/mime/backend/mimetypes.c:48
 msgid ""
-"Options for the support of mime.types files. These files\n"
-"can be used to find the content type of a URL by looking at\n"
-"the extension of the file name."
-msgstr ""
-"Opcje do obsługi plików mime.types. Pliki te mogą być użyte\n"
-"do znalezienia typu zawartości pliku URL-a po sprawdzeniu\n"
-"rozszerzenia pliku."
+"Options for the support of mime.types files. These files can be used to find "
+"the content type of a URL by looking at the extension of the file name."
+msgstr ""
+"Opcje do obsługi plików mime.types. Pliki te mogą być użyte do znalezienia "
+"typu zawartości pliku URL-a po sprawdzeniu rozszerzenia pliku."
 
 #: src/mime/backend/mimetypes.c:54
 msgid "Enable mime.types support."
@@ -6605,7 +6577,7 @@ msgid "No extensions"
 msgstr "Brak rozszerzeń"
 
 #. name:
-#: src/mime/mime.c:38 src/mime/mime.c:360
+#: src/mime/mime.c:38 src/mime/mime.c:361
 msgid "MIME"
 msgstr "MIME"
 
@@ -6619,11 +6591,11 @@ msgstr "Domyślny typ MIME"
 
 #: src/mime/mime.c:44
 msgid ""
-"Document MIME-type to assume by default (when we are unable to\n"
-"guess it properly from known information about the document)."
+"Document MIME-type to assume by default (when we are unable to guess it "
+"properly from known information about the document)."
 msgstr ""
-"Typ MIME przyjmowany domyślnie (gdy nie można go określić\n"
-"z informacji o dokumencie)."
+"Typ MIME przyjmowany domyślnie (gdy nie można go określić z informacji o "
+"dokumencie)."
 
 #: src/network/ssl/ssl.c:72 src/network/ssl/ssl.c:161
 msgid "Verify certificates"
@@ -6631,11 +6603,11 @@ msgstr "Sprawdzaj certyfikaty"
 
 #: src/network/ssl/ssl.c:74
 msgid ""
-"Verify the peer's SSL certificate. Note that this\n"
-"needs extensive configuration of OpenSSL by the user."
+"Verify the peer's SSL certificate. Note that this needs extensive "
+"configuration of OpenSSL by the user."
 msgstr ""
-"Sprawdzaj certyfikaty SSL sieci. Wiedz, że wymaga to\n"
-"skonfigurowania OpenSSL przez użytkownika."
+"Sprawdzaj certyfikaty SSL sieci. Wiedz, że wymaga to skonfigurowania OpenSSL "
+"przez użytkownika."
 
 #: src/network/ssl/ssl.c:77
 msgid "Client Certificates"
@@ -6648,8 +6620,8 @@ msgstr "Ustawienia dotyczące certyfikat
 
 #: src/network/ssl/ssl.c:83
 msgid ""
-"Enable or not the sending of X509 client certificates\n"
-"to servers which request them."
+"Enable or not the sending of X509 client certificates to servers which "
+"request them."
 msgstr "Czy wysyłać certyfikaty klienta X509 do serwerów, które ich wymagają?"
 
 #: src/network/ssl/ssl.c:86
@@ -6658,21 +6630,21 @@ msgstr "Plik certyfikatów"
 
 #: src/network/ssl/ssl.c:88
 msgid ""
-"The location of a file containing the client certificate\n"
-"and unencrypted private key in PEM format. If unset, the\n"
-"file pointed to by the X509_CLIENT_CERT variable is used\n"
-"instead."
-msgstr ""
-"Położenie pliku zawierającego certyfikaty klienta\n"
-"i nieszyfrowany klucz prywatny w formacie PEM. Jeśli nie\n"
-"ustawione, użyty będzie plik wskazywany przez zmienną\n"
-"środowiskową X509_CLIENT_CERT."
+"The location of a file containing the client certificate and unencrypted "
+"private key in PEM format. If unset, the file pointed to by the "
+"X509_CLIENT_CERT variable is used instead."
+msgstr ""
+"Położenie pliku zawierającego certyfikaty klienta i nieszyfrowany klucz "
+"prywatny w formacie PEM. Jeśli nie ustawione, użyty będzie plik wskazywany "
+"przez zmienną środowiskową X509_CLIENT_CERT."
 
 #: src/network/ssl/ssl.c:163
 msgid ""
-"Verify the peer's SSL certificate.  If you enable\n"
-"this, set also \"Trusted CA file\"."
+"Verify the peer's SSL certificate.  If you enable this, set also \"Trusted "
+"CA file\"."
 msgstr ""
+"Sprawdzaj certyfikaty SSL sieci. Jeśli to właczysz, ustaw także \"Plik "
+"zaufanych CA \"."
 
 #. The default value of the following option points to a file
 #. * generated by the ca-certificates Debian package.  Don't use
@@ -6683,27 +6655,32 @@ msgstr ""
 #. * suit their systems.
 #. * TODO: If the file name is relative, look in elinks_home?
 #: src/network/ssl/ssl.c:174
-#, fuzzy
 msgid "Trusted CA file"
-msgstr "Transfer zakończony niepowodzeniem"
+msgstr "Plik zaufanych CA"
 
 #: src/network/ssl/ssl.c:176
 msgid ""
-"The location of a file containing certificates of\n"
-"trusted certification authorities in PEM format.\n"
-"ELinks then trusts certificates issued by these CAs.\n"
-"If you change this option or the file, you must\n"
-"restart ELinks for the changes to take effect.\n"
-"This option affects GnuTLS but not OpenSSL."
+"The location of a file containing certificates of trusted certification "
+"authorities in PEM format. ELinks then trusts certificates issued by these "
+"CAs.\n"
+"\n"
+"If you change this option or the file, you must restart ELinks for the "
+"changes to take effect. This option affects GnuTLS but not OpenSSL."
 msgstr ""
+"Połozenie pliku zawierającego certyfikaty zaufanych CA (certification "
+"authorithies) w formacie PEM. ELinks będzie wtedy ufał certyfikatom wydanym "
+"przez te CA.\n"
+"\n"
+"Jeśli zmienisz tę opcję lub plik, musisz zrestartować ELinksa, żeby zmiany "
+"odniosły skutek. Opcja ta dotyczy GnuTLS, anie OpenSSL."
 
 #. name:
-#: src/network/ssl/ssl.c:199 src/network/ssl/ssl.c:216
+#: src/network/ssl/ssl.c:200 src/network/ssl/ssl.c:217
 msgid "SSL"
 msgstr "SSL"
 
 #
-#: src/network/ssl/ssl.c:201
+#: src/network/ssl/ssl.c:202
 msgid "SSL options."
 msgstr "Ustawienia SSL."
 
@@ -6983,7 +6960,7 @@ msgstr "URL BitTorrenta nie wskazuje na 
 
 #: src/network/state.c:127
 msgid "The bittorrent-peer URL scheme is for internal use only"
-msgstr ""
+msgstr "Schemat URL bittorrent-peer jest tylko do użytku wewnętrznego"
 
 #. fsp_open_session() failed but did not set errno.
 #. * fsp_open_session() never sends anything to the FSP server,
@@ -6991,9 +6968,8 @@ msgstr ""
 #. * More likely, there was some problem in asking a DNS server
 #. * about the address of the FSP server.
 #: src/network/state.c:135
-#, fuzzy
 msgid "FSP server not found"
-msgstr "Nie znaleziono pliku"
+msgstr "Nie znaleziono serwera FSP"
 
 #: src/network/state.c:158
 msgid "Unknown error"
@@ -7050,7 +7026,7 @@ msgstr "Wymagane uwierzytelnienie"
 msgid "Login"
 msgstr "Nazwa użytkownika"
 
-#: src/protocol/auth/dialogs.c:113 src/protocol/http/http.c:140
+#: src/protocol/auth/dialogs.c:113 src/protocol/http/http.c:142
 msgid "Password"
 msgstr "Hasło"
 
@@ -7120,7 +7096,7 @@ msgstr "Zarządca uwierzytelniania"
 
 #. name:
 #: src/protocol/bittorrent/bittorrent.c:26
-#: src/protocol/bittorrent/bittorrent.c:335
+#: src/protocol/bittorrent/bittorrent.c:339
 msgid "BitTorrent"
 msgstr "BitTorrent"
 
@@ -7174,12 +7150,11 @@ msgstr "Użyj niewielkich rozmiarów for
 
 #: src/protocol/bittorrent/bittorrent.c:57
 msgid ""
-"Whether to request that the tracker returns peer info\n"
-"in compact format. Note, the compact format only supports\n"
-"IPv4 addresses."
+"Whether to request that the tracker returns peer info in compact format. "
+"Note, the compact format only supports IPv4 addresses."
 msgstr ""
-"Czy zapytać o informację o partnerze w krótkim formacie.\n"
-"Uwaga, krótki format obsługuje tylko adresy IPv4."
+"Czy zapytać o informację o partnerze w krótkim formacie. Uwaga, krótki "
+"format obsługuje tylko adresy IPv4."
 
 #: src/protocol/bittorrent/bittorrent.c:61
 msgid "Tracker announce interval"
@@ -7187,74 +7162,71 @@ msgstr "Częstotliwość rozgłaszania t
 
 #: src/protocol/bittorrent/bittorrent.c:63
 msgid ""
-"The number of seconds to wait between periodically contacting\n"
-"the tracker for announcing progress and requesting more peers.\n"
-"Set to zero to use the interval requested by the tracker."
-msgstr ""
-"Liczba sekund do odczekania pomiędzy regularnym kontaktowaniem\n"
-"się z trackerem w celu uzyskania informacji o postępach i wymagania\n"
-"większej liczby partnerów. Ustawienie zera oznacza użycie\n"
-"częstotliwości wymaganej przez trackera."
+"The number of seconds to wait between periodically contacting the tracker "
+"for announcing progress and requesting more peers. Set to zero to use the "
+"interval requested by the tracker."
+msgstr ""
+"Liczba sekund do odczekania pomiędzy regularnym kontaktowaniem się z "
+"trackerem w celu uzyskania informacji o postępach i wymagania większej "
+"liczby partnerów. Ustawienie zera oznacza użycie częstotliwości wymaganej "
+"przez trackera."
 
-#: src/protocol/bittorrent/bittorrent.c:67
+#: src/protocol/bittorrent/bittorrent.c:68
 msgid "IP-address to announce"
 msgstr "Adres IP do rozgłaszania"
 
-#: src/protocol/bittorrent/bittorrent.c:69
+#: src/protocol/bittorrent/bittorrent.c:70
 msgid ""
-"What IP address to report to the tracker. If set to \"\"\n"
-"no IP address will be sent and the tracker will automatically\n"
-"determine an appropriate IP address."
+"What IP address to report to the tracker. If set to \"\" no IP address will "
+"be sent and the tracker will automatically determine an appropriate IP "
+"address."
 msgstr ""
-"Który adres IP zgłaszać trackerowi. W przypadku ustawienia na \"\"\n"
-"żaden adres IP nie będzie wysyłany i tracker automatycznie określi\n"
-"odpowiedni adres IP."
+"Który adres IP zgłaszać trackerowi. W przypadku ustawienia na \"\" żaden "
+"adres IP nie będzie wysyłany i tracker automatycznie określi odpowiedni "
+"adres IP."
 
-#: src/protocol/bittorrent/bittorrent.c:73
+#: src/protocol/bittorrent/bittorrent.c:74
 msgid "User identification string"
 msgstr "Łańcuch identyfikujący użytkownika"
 
-#: src/protocol/bittorrent/bittorrent.c:75
+#: src/protocol/bittorrent/bittorrent.c:76
 msgid ""
-"An additional identification that is not shared with any users.\n"
-"It is intended to allow a client to prove their identity should\n"
-"their IP address change. It is an optional parameter, but some\n"
-"trackers require this parameter. If set to \"\" no user key will\n"
-"be sent to the tracker."
-msgstr ""
-"Dodatkowa identyfikacja nie współdzielona z żadnymi użytkownikami.\n"
-"Umożliwia klientom udowodnienie swojej tożsamości po zmianie\n"
-"adresu IP. Jest to parametr opcjonalny, ale niektóre trackery\n"
-"wymagają tego parametru. W przypadku ustawienia na \"\" żaden klucz\n"
-"użytkownika nie będzie wysyłany do trackera."
+"An additional identification that is not shared with any users. It is "
+"intended to allow a client to prove their identity should their IP address "
+"change. It is an optional parameter, but some trackers require this "
+"parameter. If set to \"\" no user key will be sent to the tracker."
+msgstr ""
+"Dodatkowa identyfikacja nie współdzielona z żadnymi użytkownikami. Umożliwia "
+"klientom udowodnienie swojej tożsamości po zmianie adresu IP. Jest to "
+"parametr opcjonalny, ale niektóre trackery wymagają tego parametru. W "
+"przypadku ustawienia na \"\" żaden klucz użytkownika nie będzie wysyłany do "
+"trackera."
 
-#: src/protocol/bittorrent/bittorrent.c:81
+#: src/protocol/bittorrent/bittorrent.c:82
 msgid "Maximum number of peers to request"
 msgstr "Maksymalna liczba partnerów do odpytania"
 
-#: src/protocol/bittorrent/bittorrent.c:83
+#: src/protocol/bittorrent/bittorrent.c:84
 msgid ""
-"The maximum number of peers to request from the tracker.\n"
-"Set to 0 to use the server default."
+"The maximum number of peers to request from the tracker. Set to 0 to use the "
+"server default."
 msgstr ""
-"Maksymalna liczba partnerów do odpytania u trackera.\n"
-"0 oznacza użycie wartości domyślnej dla serwera."
+"Maksymalna liczba partnerów do odpytania u trackera. 0 oznacza użycie "
+"wartości domyślnej dla serwera."
 
-#: src/protocol/bittorrent/bittorrent.c:86
+#: src/protocol/bittorrent/bittorrent.c:87
 msgid "Minimum peers to skip rerequesting"
 msgstr ""
 "Minimalna liczba partnerów przy której ma nastąpić zakończenie odpytywania"
 
-#: src/protocol/bittorrent/bittorrent.c:88
+#: src/protocol/bittorrent/bittorrent.c:89
 msgid ""
-"The minimum number of peers to have in the current peer info\n"
-"pool before skipping requesting of more peers. I.e. setting\n"
-"numwant to zero.\n"
-"Set to 0 to not have any limit."
-msgstr ""
-"Minimalna liczba partnerów do trzymania w puli bieżących partnerów\n"
-"przed pominięciem pytania o większą liczbę. Czyli ustawieniem numwant\n"
-"na zero.\n"
+"The minimum number of peers to have in the current peer info pool before "
+"skipping requesting of more peers. I.e. setting numwant to zero. Set to 0 to "
+"not have any limit."
+msgstr ""
+"Minimalna liczba partnerów do trzymania w puli bieżących partnerów przed "
+"pominięciem pytania o większą liczbę. Czyli ustawieniem numwant na zero. "
 "Ustawienie 0 tutaj oznacza brak limitu."
 
 #. ******************************************************************
@@ -7274,224 +7246,217 @@ msgstr "Maksymalna liczba połączeń z 
 
 #: src/protocol/bittorrent/bittorrent.c:104
 msgid ""
-"The maximum number of allowed connections to both active and\n"
-"non-active peers. By increasing the number of allowed connections,\n"
-"the chance of finding good peers to download from is increased.\n"
-"However, too many connections can lead to TCP congestion. If the\n"
-"maximum is reached all new incoming connections will be closed."
-msgstr ""
-"Maksymalna liczba dozwolonych połączeń zarówno z aktywnymi jak\n"
-"i nieaktywnymi partnerami. Zwiększając tę liczbę zwiększa się\n"
-"szansę znalezienia dobrych partnerów do pobierania.\n"
-"Jednak zbyt wiele połączeń może prowadzić do przytkania TCP.\n"
-"Po osiągnięciu maksimum wszystkie nowe przychodzące połączenia\n"
-"będą zamykane."
+"The maximum number of allowed connections to both active and non-active "
+"peers. By increasing the number of allowed connections, the chance of "
+"finding good peers to download from is increased. However, too many "
+"connections can lead to TCP congestion. If the maximum is reached all new "
+"incoming connections will be closed."
+msgstr ""
+"Maksymalna liczba dozwolonych połączeń zarówno z aktywnymi jak i "
+"nieaktywnymi partnerami. Zwiększając tę liczbę zwiększa się szansę "
+"znalezienia dobrych partnerów do pobierania. Jednak zbyt wiele połączeń może "
+"prowadzić do przytkania TCP. Po osiągnięciu maksimum wszystkie nowe "
+"przychodzące połączenia będą zamykane."
 
-#: src/protocol/bittorrent/bittorrent.c:110
+#: src/protocol/bittorrent/bittorrent.c:111
 msgid "Maximum peer message length"
 msgstr "Maksymalna długość wiadomości do partnerów"
 
-#: src/protocol/bittorrent/bittorrent.c:112
+#: src/protocol/bittorrent/bittorrent.c:113
 msgid ""
-"The maximum length of messages to accept over the wire.\n"
-"Larger values will cause the connection to be dropped."
+"The maximum length of messages to accept over the wire. Larger values will "
+"cause the connection to be dropped."
 msgstr ""
-"Maksymalna długość wiadomości do przyjmowania.\n"
-"Większe wartości spowodują porzucenie połączenia."
+"Maksymalna długość wiadomości do przyjmowania. Większe wartości spowodują "
+"porzucenie połączenia."
 
-#: src/protocol/bittorrent/bittorrent.c:115
+#: src/protocol/bittorrent/bittorrent.c:116
 msgid "Maximum allowed request length"
 msgstr "Maksymalna dozwolona długość zapytania"
 
-#: src/protocol/bittorrent/bittorrent.c:117
+#: src/protocol/bittorrent/bittorrent.c:118
 msgid ""
-"The maximum length to allow for incoming requests.\n"
-"Larger requests will cause the connection to be dropped."
+"The maximum length to allow for incoming requests. Larger requests will "
+"cause the connection to be dropped."
 msgstr ""
-"Maksymalna długość dozwolonych zapytań przychodzących.\n"
-"Większe zapytania spowodują porzucenie połączenia."
+"Maksymalna długość dozwolonych zapytań przychodzących. Większe zapytania "
+"spowodują porzucenie połączenia."
 
-#: src/protocol/bittorrent/bittorrent.c:120
+#: src/protocol/bittorrent/bittorrent.c:121
 msgid "Length of requests"
 msgstr "Długość żądań"
 
-#: src/protocol/bittorrent/bittorrent.c:122
+#: src/protocol/bittorrent/bittorrent.c:123
 msgid ""
-"How many bytes to query for per request. This is complementary\n"
-"to the max_request_length option. If the configured length is\n"
-"bigger than the piece length it will be truncated."
-msgstr ""
-"O ile bajtów pytać dla każdego zapytania. Jest to opcja komplementarna\n"
-"do max_request_length. Jeśli skonfigurowana długość jest większa\n"
-"niż długość kawałka, będzie on obcięty."
+"How many bytes to query for per request. This is complementary to the "
+"max_request_length option. If the configured length is bigger than the piece "
+"length it will be truncated."
+msgstr ""
+"O ile bajtów pytać dla każdego zapytania. Jest to opcja komplementarna do "
+"max_request_length. Jeśli skonfigurowana długość jest większa niż długość "
+"kawałka, będzie on obcięty."
 
-#: src/protocol/bittorrent/bittorrent.c:126
+#: src/protocol/bittorrent/bittorrent.c:128
 msgid "Peer inactivity timeout"
 msgstr "Limit czasu nieaktywności partnerów"
 
-#: src/protocol/bittorrent/bittorrent.c:128
+#: src/protocol/bittorrent/bittorrent.c:130
 msgid ""
-"The number of seconds to wait before closing a socket on\n"
-"which nothing has been received or sent."
+"The number of seconds to wait before closing a socket on which nothing has "
+"been received or sent."
 msgstr ""
-"Liczba sekund do odczekania przed zamknięciem gniazda przez\n"
-"które nic nie odebrano ani nie wysłano."
+"Liczba sekund do odczekania przed zamknięciem gniazda przez które nic nie "
+"odebrano ani nie wysłano."
 
-#: src/protocol/bittorrent/bittorrent.c:131
+#: src/protocol/bittorrent/bittorrent.c:133
 msgid "Maximum peer pool size"
 msgstr "Maksymalny rozmiar puli partnerów"
 
-#: src/protocol/bittorrent/bittorrent.c:133
+#: src/protocol/bittorrent/bittorrent.c:135
 msgid ""
-"Maximum number of items in the peer pool. The peer pool\n"
-"contains information used for establishing connections to\n"
-"new peers.\n"
+"Maximum number of items in the peer pool. The peer pool contains information "
+"used for establishing connections to new peers.\n"
+"\n"
 "Set to 0 to have unlimited size."
 msgstr ""
-"Maksymalna liczba elementów w puli partnerów. Pula partnerów\n"
-"zawiera informacje używane przy nawiązywaniu połączeń z nowymi\n"
-"partnerami.\n"
+"Maksymalna liczba elementów w puli partnerów. Pula partnerów zawiera "
+"informacje używane przy nawiązywaniu połączeń z nowymi partnerami.\n"
+"\n"
 "Ustawienie 0 oznacza nieograniczony rozmiar."
 
 #. ******************************************************************
 #. Piece management options:
 #. ******************************************************************
-#: src/protocol/bittorrent/bittorrent.c:143
+#: src/protocol/bittorrent/bittorrent.c:146
 msgid "Maximum piece cache size"
 msgstr "Maksymalny rozmiar pamięci podręcznej dla części"
 
-#: src/protocol/bittorrent/bittorrent.c:145
+#: src/protocol/bittorrent/bittorrent.c:148
 msgid ""
-"The maximum amount of memory used to hold recently\n"
-"downloaded pieces.\n"
+"The maximum amount of memory used to hold recently downloaded pieces.\n"
+"\n"
 "Set to 0 to have unlimited size."
 msgstr ""
-"Maksymalna ilość pamięci używana do przechowywania świeżo\n"
-"ściągniętych kawałków.\n"
+"Maksymalna ilość pamięci używana do przechowywania świeżo ściągniętych "
+"kawałków.\n"
+"\n"
 "Ustawienie 0 oznacza nieograniczony rozmiar."
 
-#: src/protocol/bittorrent/bittorrent.c:154
+#: src/protocol/bittorrent/bittorrent.c:158
 msgid "Sharing rate"
 msgstr "Ratio"
 
-#: src/protocol/bittorrent/bittorrent.c:156
+#: src/protocol/bittorrent/bittorrent.c:160
 msgid ""
-"The minimum sharing rate to achieve before stop seeding.\n"
-"The sharing rate is computed as the number of uploaded bytes\n"
-"divided with the number of downloaded bytes. The value should\n"
-"be a double value between 0.0 and 1.0 both included.\n"
-"Set to 1.0 to atleast upload a complete copy of all data and\n"
+"The minimum sharing rate to achieve before stop seeding. The sharing rate is "
+"computed as the number of uploaded bytes divided with the number of "
+"downloaded bytes. The value should be a double value between 0.0 and 1.0 "
+"both included. Set to 1.0 to atleast upload a complete copy of all data and "
 "set to 0.0 to have unlimited sharing rate."
 msgstr ""
-"Minimalny współczynnik dzielenia się do osiągnięcia przed\n"
-"zakończeniem karmienia. Współczynnik dzielenia się jest\n"
-"obliczany jako liczba bajtów wysłanych podzielona przez liczbę\n"
-"bajtów pobranych. Wartość powinna być wartością double pomiędzy\n"
-"0.0 a 1.0 włącznie. Należy ustawić na 1.0 aby przynajmniej wysłać\n"
-"pełną kopię wszystkich danych, a na 0.0 aby mieć nieograniczony\n"
-"współczynnik dzielenia się."
+"Minimalny współczynnik dzielenia się do osiągnięcia przed zakończeniem "
+"karmienia. Współczynnik dzielenia się jest obliczany jako liczba bajtów "
+"wysłanych podzielona przez liczbę bajtów pobranych. Wartość powinna być "
+"wartością double pomiędzy 0.0 a 1.0 włącznie. Należy ustawić na 1.0 aby "
+"przynajmniej wysłać pełną kopię wszystkich danych, a na 0.0 aby mieć "
+"nieograniczony współczynnik dzielenia się."
 
-#: src/protocol/bittorrent/bittorrent.c:163
+#: src/protocol/bittorrent/bittorrent.c:167
 msgid "Maximum number of uploads"
 msgstr "Maksymalna liczba połączeń wysyłających"
 
-#: src/protocol/bittorrent/bittorrent.c:165
+#: src/protocol/bittorrent/bittorrent.c:169
 msgid "The maximum number of uploads to allow at once."
 msgstr "Maksymalna liczba połączeń wysyłających dozwolonych natychmiast."
 
 #. The number of uploads to fill out to with extra optimistic unchokes
-#: src/protocol/bittorrent/bittorrent.c:168
+#: src/protocol/bittorrent/bittorrent.c:172
 msgid "Minimum number of uploads"
 msgstr "Minimalna liczba połączeń wysyłających"
 
-#: src/protocol/bittorrent/bittorrent.c:170
+#: src/protocol/bittorrent/bittorrent.c:174
 msgid ""
-"The minimum number of uploads which should at least\n"
-"be used for new connections."
+"The minimum number of uploads which should at least be used for new "
+"connections."
 msgstr ""
-"Minimalna liczba połączeń wysyłających, która powinna\n"
-"być użyta dla nowych połączeń."
+"Minimalna liczba połączeń wysyłających, która powinna być użyta dla nowych "
+"połączeń."
 
-#: src/protocol/bittorrent/bittorrent.c:174
+#: src/protocol/bittorrent/bittorrent.c:178
 msgid "Keepalive interval"
 msgstr "Przedział czasu dla podtrzymania"
 
-#: src/protocol/bittorrent/bittorrent.c:176
-msgid ""
-"The number of seconds to pause between sending keepalive\n"
-"messages."
+#: src/protocol/bittorrent/bittorrent.c:180
+msgid "The number of seconds to pause between sending keepalive messages."
 msgstr ""
-"Liczba sekund do odczekania pomiędzy wysyłanymi komunikatami\n"
-"podtrzymującymi połączenie."
+"Liczba sekund do odczekania pomiędzy wysyłanymi komunikatami podtrzymującymi "
+"połączenie."
 
-#: src/protocol/bittorrent/bittorrent.c:179
+#: src/protocol/bittorrent/bittorrent.c:183
 msgid "Number of pending requests"
 msgstr "Liczba oczekujących zapytań"
 
-#: src/protocol/bittorrent/bittorrent.c:181
+#: src/protocol/bittorrent/bittorrent.c:185
 msgid ""
-"How many piece requests to continuously keep in queue. Pipelining\n"
-"of requests is essential to saturate connections and get a good\n"
-"connection performance and thus a faster download. However, a\n"
-"very big queue size can lead to wasting bandwidth near the end\n"
-"of the connection since remaining piece blocks will be requested\n"
-"from multiple peers."
-msgstr ""
-"Liczba zapytań do ciągłego trzymania w kolejce. Ciągłość zapytań jest\n"
-"podstawowa dla wysycenia połączeń i otrzymania dobrej wydajności\n"
-"połączenia, a tym samym szybszego pobrania. Jednak bardzo duży\n"
-"rozmiar kolejki może prowadzić do tracenia pasma przy końcu\n"
-"połączenia ponieważ o pozostałe bloki będzie proszonych wielu\n"
-"partnerów."
+"How many piece requests to continuously keep in queue. Pipelining of "
+"requests is essential to saturate connections and get a good connection "
+"performance and thus a faster download. However, a very big queue size can "
+"lead to wasting bandwidth near the end of the connection since remaining "
+"piece blocks will be requested from multiple peers."
+msgstr ""
+"Liczba zapytań do ciągłego trzymania w kolejce. Ciągłość zapytań jest "
+"podstawowa dla wysycenia połączeń i otrzymania dobrej wydajności połączenia, "
+"a tym samym szybszego pobrania. Jednak bardzo duży rozmiar kolejki może "
+"prowadzić do tracenia pasma przy końcu połączenia ponieważ o pozostałe bloki "
+"będzie proszonych wielu partnerów."
 
 #. Bram uses 30 seconds here.
-#: src/protocol/bittorrent/bittorrent.c:190
+#: src/protocol/bittorrent/bittorrent.c:194
 msgid "Peer snubbing interval"
 msgstr "Odstęp między upokarzaniem partnerów"
 
-#: src/protocol/bittorrent/bittorrent.c:192
+#: src/protocol/bittorrent/bittorrent.c:196
 msgid ""
-"The number of seconds to wait for file data before assuming\n"
-"the peer has been snubbed."
+"The number of seconds to wait for file data before assuming the peer has "
+"been snubbed."
 msgstr ""
-"Liczba sekund do odczekania na dane plików przed uznaniem,\n"
-"że partner został upokorzony."
+"Liczba sekund do odczekania na dane plików przed uznaniem, że partner został "
+"upokorzony."
 
-#: src/protocol/bittorrent/bittorrent.c:195
+#: src/protocol/bittorrent/bittorrent.c:199
 msgid "Peer choke interval"
 msgstr "Przedział czasu pomiędzy tłumieniem partnerów"
 
-#: src/protocol/bittorrent/bittorrent.c:197
+#: src/protocol/bittorrent/bittorrent.c:201
 msgid ""
-"The number of seconds between updating the connection state\n"
-"and most importantly choke and unchoke peer connections. The\n"
-"choke period should be big enough for newly unchoked connections\n"
-"to get started but small enough to not allow freeriders too much\n"
-"room for stealing bandwidth."
-msgstr ""
-"Liczba sekund między uaktualnieniami stanu połączenia i, co bardziej\n"
-"istotne, przytłumianiem lub odtłumianiem połączeń z partnerami.\n"
-"Okres ten powinien być wystarczająco duży dla nowo odtłumionych\n"
-"połączeń, aby się zaczęły, ale wystarczająco mały, aby nie pozwolić\n"
-"wolnym jeźdźcom wykraść zbyt dużo pasma."
+"The number of seconds between updating the connection state and most "
+"importantly choke and unchoke peer connections. The choke period should be "
+"big enough for newly unchoked connections to get started but small enough to "
+"not allow freeriders too much room for stealing bandwidth."
+msgstr ""
+"Liczba sekund między uaktualnieniami stanu połączenia i, co bardziej "
+"istotne, przytłumianiem lub odtłumianiem połączeń z partnerami. Okres ten "
+"powinien być wystarczająco duży dla nowo odtłumionych połączeń, aby się "
+"zaczęły, ale wystarczająco mały, aby nie pozwolić wolnym jeźdźcom wykraść "
+"zbyt dużo pasma."
 
-#: src/protocol/bittorrent/bittorrent.c:203
+#: src/protocol/bittorrent/bittorrent.c:207
 msgid "Rarest first piece selection cutoff"
 msgstr "Ile ściągać przed wybieraniem najrzadszych kawałków"
 
-#: src/protocol/bittorrent/bittorrent.c:205
+#: src/protocol/bittorrent/bittorrent.c:209
 msgid ""
-"The number of pieces to obtain before switching piece\n"
-"selection strategy from random to rarest first."
+"The number of pieces to obtain before switching piece selection strategy "
+"from random to rarest first."
 msgstr ""
-"Liczba kawałków do uzyskania przed przełączeniem strategii\n"
-"wyboru kawałka z losowej na wybieranie najpierw najrzadszych."
+"Liczba kawałków do uzyskania przed przełączeniem strategii wyboru kawałka z "
+"losowej na wybieranie najpierw najrzadszych."
 
-#: src/protocol/bittorrent/bittorrent.c:208 src/protocol/http/http.c:109
+#: src/protocol/bittorrent/bittorrent.c:212 src/protocol/http/http.c:109
 msgid "Allow blacklisting"
 msgstr "Zezwolenie na \"czarną listę\""
 
-#: src/protocol/bittorrent/bittorrent.c:210
+#: src/protocol/bittorrent/bittorrent.c:214
 msgid "Allow blacklisting of buggy peers."
 msgstr "Włączenie \"czarnej listy\" błędnych partnerów."
 
@@ -7524,7 +7489,7 @@ msgstr "Pliki"
 msgid "Comment"
 msgstr "Komentarz"
 
-#: src/protocol/bittorrent/dialogs.c:229 src/session/download.c:362
+#: src/protocol/bittorrent/dialogs.c:229 src/session/download.c:388
 #, c-format
 msgid ""
 "Download complete:\n"
@@ -7663,7 +7628,7 @@ msgstr[2] "%u pozostałych"
 #. Statistics:
 #: src/protocol/bittorrent/dialogs.c:419
 msgid "Statistics"
-msgstr "Statystyki"
+msgstr "Statystyka"
 
 #: src/protocol/bittorrent/dialogs.c:423
 #, c-format
@@ -7698,7 +7663,7 @@ msgstr[0] "%u niedostępny"
 msgstr[1] "%u niedostępne"
 msgstr[2] "%u niedostępnych"
 
-#: src/protocol/bittorrent/dialogs.c:584 src/session/session.c:278
+#: src/protocol/bittorrent/dialogs.c:584 src/session/session.c:279
 #, c-format
 msgid "Unable to retrieve %s"
 msgstr "Nie można odebrać %s"
@@ -7712,7 +7677,7 @@ msgstr "Co chcesz zrobić z plikiem '%s'
 msgid "Information about the torrent"
 msgstr "Informacje o potoku"
 
-#: src/protocol/bittorrent/dialogs.c:776 src/session/download.c:1106
+#: src/protocol/bittorrent/dialogs.c:776 src/session/download.c:1132
 msgid "What to do?"
 msgstr "Co mam zrobić?"
 
@@ -7722,12 +7687,12 @@ msgid "Down~load"
 msgstr "~Pobierz"
 
 #. accelerator_context(src/protocol/bittorrent/dialogs.c:bittorrent_query_callback, src/session/download.c:do_type_query)
-#: src/protocol/bittorrent/dialogs.c:804 src/session/download.c:1209
+#: src/protocol/bittorrent/dialogs.c:804 src/session/download.c:1235
 msgid "~Display"
 msgstr "~Wyświetl"
 
 #. accelerator_context(src/protocol/bittorrent/dialogs.c:bittorrent_query_callback, src/session/download.c:do_type_query)
-#: src/protocol/bittorrent/dialogs.c:808 src/session/download.c:1213
+#: src/protocol/bittorrent/dialogs.c:808 src/session/download.c:1239
 msgid "Show ~header"
 msgstr "Pokaż ~nagłówek"
 
@@ -7746,16 +7711,16 @@ msgstr ""
 "Oddzielona dwukropkami lista katalogów, w których są\n"
 "umieszczone skrypty CGI."
 
-#: src/protocol/file/cgi.c:47
+#: src/protocol/file/cgi.c:48
 msgid "Allow local CGI"
 msgstr "Pozwolenie na wykonywanie skryptów CGI"
 
-#: src/protocol/file/cgi.c:49
+#: src/protocol/file/cgi.c:50
 msgid "Whether to execute local CGI scripts."
 msgstr "Czy uruchamiać lokalne skrypty CGI."
 
 #. name:
-#: src/protocol/file/cgi.c:54
+#: src/protocol/file/cgi.c:55
 msgid "CGI"
 msgstr "CGI"
 
@@ -7774,13 +7739,11 @@ msgstr "Zezwolenie na czytanie plików s
 
 #: src/protocol/file/file.c:46
 msgid ""
-"Whether to allow reading from non-regular files.\n"
-"Note this can be dangerous; reading /dev/urandom or\n"
-"/dev/zero can ruin your day!"
-msgstr ""
-"Czy zezwolić na czytanie z plików innych niż zwykłe?\n"
-"NIEBEZPIECZNE - czytanie /dev/urandom czy /dev/zero\n"
-"może zepsuć Ci dzień!"
+"Whether to allow reading from non-regular files. Note this can be dangerous; "
+"reading /dev/urandom or /dev/zero can ruin your day!"
+msgstr ""
+"Czy zezwolić na czytanie z plików innych niż zwykłe? NIEBEZPIECZNE - "
+"czytanie /dev/urandom czy /dev/zero może zepsuć Ci dzień!"
 
 #: src/protocol/file/file.c:50
 msgid "Show hidden files in directory listing"
@@ -7788,11 +7751,10 @@ msgstr "Pokazuj ukryte pliki przy wyświ
 
 #: src/protocol/file/file.c:52
 msgid ""
-"When set to false, files with name starting with a dot will be\n"
-"hidden in local directory listings."
+"When set to false, files with name starting with a dot will be hidden in "
+"local directory listings."
 msgstr ""
-"Jeśli ustawione na 0, pliki zaczynające się od kropki\n"
-"nie będą pokazywane."
+"Jeśli ustawione na 0, pliki zaczynające się od kropki nie będą pokazywane."
 
 #
 #: src/protocol/file/file.c:55
@@ -7801,16 +7763,16 @@ msgstr "Próbuj różne rozszerzenia pli
 
 #: src/protocol/file/file.c:57
 msgid ""
-"When set, if we can't open a file named 'filename', we'll try\n"
-"to open 'filename' with some encoding extension appended\n"
-"(ie. 'filename.gz'); it depends on the supported encodings."
+"When set, if we can't open a file named 'filename', we'll try to open "
+"'filename' with some encoding extension appended (ie. 'filename.gz'); it "
+"depends on the supported encodings."
 msgstr ""
-"Gdy ustawione, jeśli nie można otworzyć pliku 'plik',\n"
-"ELinks będzie próbował otworzyć 'plik' + jakieś rozszerzenie\n"
-"(np. 'plik.gz'); zależy to od wspieranych formatów kompresji."
+"Gdy ustawione, jeśli nie można otworzyć pliku 'plik', ELinks będzie próbował "
+"otworzyć 'plik' + jakieś rozszerzenie (np. 'plik.gz'); zależy to od "
+"wspieranych formatów kompresji."
 
 #. name:
-#: src/protocol/file/file.c:65
+#: src/protocol/file/file.c:66
 msgid "File"
 msgstr "Plik"
 
@@ -7837,7 +7799,7 @@ msgid "Whether to sort entries in direct
 msgstr "Czy sortować elementy przy wyświetlaniu katalogów."
 
 #. name:
-#: src/protocol/ftp/ftp.c:56 src/protocol/ftp/ftp.c:86
+#: src/protocol/ftp/ftp.c:56 src/protocol/ftp/ftp.c:89
 msgid "FTP"
 msgstr "FTP"
 
@@ -7845,8 +7807,8 @@ msgstr "FTP"
 msgid "FTP specific options."
 msgstr "Opcje dotyczące protokołu FTP."
 
-#: src/protocol/ftp/ftp.c:60 src/protocol/http/http.c:127
-#: src/protocol/http/http.c:209
+#: src/protocol/ftp/ftp.c:60 src/protocol/http/http.c:128
+#: src/protocol/http/http.c:235
 msgid "Proxy configuration"
 msgstr "Konfiguracja proxy"
 
@@ -7855,40 +7817,40 @@ msgid "FTP proxy configuration."
 msgstr "Konfiguracja proxy dla protokołu FTP."
 
 #
-#: src/protocol/ftp/ftp.c:64 src/protocol/http/http.c:131
-#: src/protocol/http/http.c:213
+#: src/protocol/ftp/ftp.c:64 src/protocol/http/http.c:132
+#: src/protocol/http/http.c:239
 msgid "Host and port-number"
 msgstr "Host i numer portu"
 
 #: src/protocol/ftp/ftp.c:66
 msgid ""
-"Host and port-number (host:port) of the FTP proxy, or blank.\n"
-"If it's blank, FTP_PROXY environment variable is checked as well."
+"Host and port-number (host:port) of the FTP proxy, or blank. If it's blank, "
+"FTP_PROXY environment variable is checked as well."
 msgstr ""
-"Host i numer portu (host:port) serwera proxy FTP, albo\n"
-"puste. Jeśli puste sprawdzana jest zmienna środowiskowa FTP_PROXY."
+"Host i numer portu (host:port) serwera proxy FTP, albo puste. Jeśli puste "
+"sprawdzana jest zmienna środowiskowa FTP_PROXY."
 
-#: src/protocol/ftp/ftp.c:69
+#: src/protocol/ftp/ftp.c:70
 msgid "Anonymous password"
 msgstr "Hasło dla anonimowego FTP"
 
-#: src/protocol/ftp/ftp.c:71
+#: src/protocol/ftp/ftp.c:72
 msgid "FTP anonymous password to be sent."
 msgstr "Hasło wysyłane do anonimowych serwerów FTP."
 
-#: src/protocol/ftp/ftp.c:73
+#: src/protocol/ftp/ftp.c:74
 msgid "Use passive mode (IPv4)"
 msgstr "Używanie trybu pasywnego (IPv4)"
 
-#: src/protocol/ftp/ftp.c:75
+#: src/protocol/ftp/ftp.c:76
 msgid "Use PASV instead of PORT (passive vs active mode, IPv4 only)."
 msgstr "Używaj PASV zamiast PORT (tryb pasywny kontra aktywny, tylko IPv4)."
 
-#: src/protocol/ftp/ftp.c:77
+#: src/protocol/ftp/ftp.c:79
 msgid "Use passive mode (IPv6)"
 msgstr "Używanie trybu pasywnego (IPv6)"
 
-#: src/protocol/ftp/ftp.c:79
+#: src/protocol/ftp/ftp.c:81
 msgid "Use EPSV instead of EPRT (passive vs active mode, IPv6 only)."
 msgstr "Używaj EPSV zamiast EPRT (tryb pasywny kontra aktywny, tylko IPv6)."
 
@@ -7920,7 +7882,7 @@ msgstr ""
 "  z oprogramowaniem serwera www.\n"
 
 #. name:
-#: src/protocol/http/http.c:95 src/protocol/http/http.c:223
+#: src/protocol/http/http.c:95 src/protocol/http/http.c:250
 msgid "HTTP"
 msgstr "HTTP"
 
@@ -7942,11 +7904,11 @@ msgstr "Nie wysyłaj Accept-Charset"
 
 #: src/protocol/http/http.c:106
 msgid ""
-"The Accept-Charset header is quite long and sending it can trigger\n"
-"bugs in some rarely found servers."
+"The Accept-Charset header is quite long and sending it can trigger bugs in "
+"some rarely found servers."
 msgstr ""
-"Pole nagłówka Accept-Charset jest długie i wysłanie go może\n"
-"powodować błędy w działaniu niektórych serwerów."
+"Pole nagłówka Accept-Charset jest długie i wysłanie go może powodować błędy "
+"w działaniu niektórych serwerów."
 
 #: src/protocol/http/http.c:111
 msgid "Allow blacklisting of buggy servers."
@@ -7958,85 +7920,81 @@ msgstr "Błędne przekierowania 302"
 
 #: src/protocol/http/http.c:115
 msgid ""
-"Broken 302 redirect (violates RFC but compatible with Netscape).\n"
-"This is a problem for a lot of web discussion boards and the like.\n"
-"If they will do strange things to you, try to play with this."
-msgstr ""
-"Błędne przekierowanie 302 (narusza RFC, ale jest\n"
-"kompatybilne z Netscape). Jest to problem wielu webowych\n"
-"forum dyskusyjnych. Jeśli sprawiają problemy, spróbuj\n"
-"to ustawić."
+"Broken 302 redirect (violates RFC but compatible with Netscape). This is a "
+"problem for a lot of web discussion boards and the like. If they will do "
+"strange things to you, try to play with this."
+msgstr ""
+"Błędne przekierowanie 302 (narusza RFC, ale jest kompatybilne z Netscape). "
+"Jest to problem wielu webowych forum dyskusyjnych. Jeśli sprawiają problemy, "
+"spróbuj to ustawić."
 
-#: src/protocol/http/http.c:119
+#: src/protocol/http/http.c:120
 msgid "No keepalive after POST requests"
 msgstr "Brak keepalive po zgłoszeniu POST"
 
-#: src/protocol/http/http.c:121
+#: src/protocol/http/http.c:122
 msgid "Disable keepalive connection after POST request."
 msgstr "Wyłącza połączenia keepalive po zgłoszeniu POST."
 
-#: src/protocol/http/http.c:123
+#: src/protocol/http/http.c:124
 msgid "Use HTTP/1.0"
 msgstr "Używanie HTTP/1.0"
 
-#: src/protocol/http/http.c:125
+#: src/protocol/http/http.c:126
 msgid "Use HTTP/1.0 protocol instead of HTTP/1.1."
 msgstr "Użyj protokołu HTTP/1.0 zamiast HTTP/1.1."
 
-#: src/protocol/http/http.c:129
+#: src/protocol/http/http.c:130
 msgid "HTTP proxy configuration."
 msgstr "Konfiguracja proxy dla protokołu HTTP."
 
-#: src/protocol/http/http.c:133
+#: src/protocol/http/http.c:134
 msgid ""
-"Host and port-number (host:port) of the HTTP proxy, or blank.\n"
-"If it's blank, HTTP_PROXY environment variable is checked as well."
+"Host and port-number (host:port) of the HTTP proxy, or blank. If it's blank, "
+"HTTP_PROXY environment variable is checked as well."
 msgstr ""
-"Host i numer portu (host:port) serwera proxy HTTP,\n"
-"lub puste. Jeśli puste sprawdzana jest zmienna środowiskowa\n"
-"HTTP_PROXY."
+"Host i numer portu (host:port) serwera proxy HTTP, lub puste. Jeśli puste "
+"sprawdzana jest zmienna środowiskowa HTTP_PROXY."
 
 #
-#: src/protocol/http/http.c:136
+#: src/protocol/http/http.c:138
 msgid "Username"
 msgstr "Nazwa użytkownika"
 
 #
-#: src/protocol/http/http.c:138
+#: src/protocol/http/http.c:140
 msgid "Proxy authentication username."
 msgstr "Nazwa użytkownika do uwierzytelnienia wobec serwera proxy."
 
 #
-#: src/protocol/http/http.c:142
+#: src/protocol/http/http.c:144
 msgid "Proxy authentication password."
 msgstr "Hasło do uwierzytelnienia wobec serwera proxy."
 
 #
-#: src/protocol/http/http.c:145
+#: src/protocol/http/http.c:147
 msgid "Referer sending"
 msgstr "Wysyłanie referencji"
 
-#: src/protocol/http/http.c:147
+#: src/protocol/http/http.c:149
 msgid ""
-"HTTP referer sending options. HTTP referer is a special header\n"
-"sent in the HTTP requests, which is supposed to contain the previous\n"
-"page visited by the browser. This way, the server can know what link\n"
-"did you follow when accessing that page. However, this behaviour\n"
-"can unfortunately considerably affect privacy and can lead even to a\n"
-"security problem on some badly designed web pages."
-msgstr ""
-"Ustawienia dotyczące wysyłania referencji HTTP. Referencja\n"
-"jest specjalnym polem nagłówka wysyłanym w zapytaniach HTTP,\n"
-"zawiera poprzednio odwiedzaną stronę przez przeglądarkę.\n"
-"W ten sposób serwer może się dowiedzieć z jakiej strony\n"
-"odnośnik wybrałeś(aś). Takie zachowanie może naruszać\n"
-"prywatność."
+"HTTP referer sending options. HTTP referer is a special header sent in the "
+"HTTP requests, which is supposed to contain the previous page visited by the "
+"browser.This way, the server can know what link did you follow when "
+"accessing that page. However, this behaviour can unfortunately considerably "
+"affect privacy and can lead even to a security problem on some badly "
+"designed web pages."
+msgstr ""
+"Ustawienia dotyczące wysyłania referencji HTTP. Referencja jest specjalnym "
+"polem nagłówka wysyłanym w zapytaniach HTTP, zawiera poprzednio odwiedzaną "
+"stronę przez przeglądarkę. W ten sposób serwer może się dowiedzieć z jakiej "
+"strony odnośnik wybrałeś(aś). Takie zachowanie może naruszać prywatność."
 
-#: src/protocol/http/http.c:154
+#: src/protocol/http/http.c:157
 msgid "Policy"
 msgstr "Polisa"
 
-#: src/protocol/http/http.c:157
+#: src/protocol/http/http.c:160
 msgid ""
 "Mode of sending HTTP referer:\n"
 "0 is send no referer\n"
@@ -8050,115 +8008,143 @@ msgstr ""
 "2 - wysyłaj z góry ustalony Referer\n"
 "3 - wysyłaj poprzedni URL (poprawne, ale niebezpieczne)"
 
-#: src/protocol/http/http.c:163
+#: src/protocol/http/http.c:166
 msgid "Fake referer URL"
 msgstr "Ustalony zmyślony Referer URL"
 
-#: src/protocol/http/http.c:165
+#: src/protocol/http/http.c:168
 msgid "Fake referer to be sent when policy is 2."
 msgstr "Zmyślony URL jest wysyłany, gdy polisa jest ustawiona na 2."
 
-#: src/protocol/http/http.c:168
+#: src/protocol/http/http.c:171
 msgid "Send Accept-Language header"
 msgstr "Wysyłanie pola nagłówka Accept-Language"
 
-#: src/protocol/http/http.c:170
+#: src/protocol/http/http.c:173
 msgid "Send Accept-Language header."
 msgstr "Wyślij pole nagłówka Accept-Language."
 
-#: src/protocol/http/http.c:172
+#: src/protocol/http/http.c:175
 msgid "Use UI language as Accept-Language"
 msgstr "Użyj języka interfejsu użytkownika jako Accept-Language"
 
-#: src/protocol/http/http.c:174
+#: src/protocol/http/http.c:177
 msgid ""
-"Request localised versions of documents from web-servers (using the\n"
-"Accept-Language header) using the language you have configured for\n"
-"ELinks' user-interface (this also affects navigator.language ECMAScript\n"
-"value available to scripts). Note that some see this as a potential\n"
-"security risk because it tells web-masters and the FBI sniffers about\n"
-"your language preference."
-msgstr ""
-"Prosi o narodową wersję dokumentu od serwera (używając\n"
-"Accept-Language) używając języka dla którego masz\n"
-"skonfigurowany interfejs użytkownika (dotyczy to także\n"
-"właściwości navigator.language ECMAScript, która jest\n"
-"dostępna dla skryptów). Wiedz, że może się to wiązać\n"
-"z pewnym ryzykiem ponieważ mówisz serwerowi o swoich\n"
-"preferencjach językowych."
+"Request localised versions of documents from web-servers (using the Accept-"
+"Language header) using the language you have configured for ELinks' user-"
+"interface (this also affects navigator.language ECMAScript value available "
+"to scripts). Note that some see this as a potential security risk because it "
+"tells web-masters and the FBI sniffers about your language preference."
+msgstr ""
+"Prosi o narodową wersję dokumentu od serwera (używając Accept-Language) "
+"używając języka dla którego masz skonfigurowany interfejs użytkownika "
+"(dotyczy to także właściwości navigator.language ECMAScript, która jest "
+"dostępna dla skryptów). Wiedz, że może się to wiązać z pewnym ryzykiem "
+"ponieważ mówisz serwerowi o swoich preferencjach językowych."
+
+#. After the compression support has been tested enough,
+#. * we might wrap this option in #if CFG_DEBUG.
+#: src/protocol/http/http.c:187
+msgid "Enable on-the-fly compression"
+msgstr "Włącz kompresję w locie"
+
+#: src/protocol/http/http.c:189
+msgid ""
+"If enabled, the capability to receive compressed content (gzip and/or bzip2) "
+"is announced to the server, which usually sends the reply compressed, thus "
+"saving some bandwidth at slight CPU expense.\n"
+"\n"
+"If ELinks displays a incomplete page or garbage, try disabling this option. "
+"If that helps, there may be a bug in the decompression part of ELinks. "
+"Please report such bugs.\n"
+"\n"
+"If ELinks has been compiled without compression support, this option has no "
+"effect. To check the supported features, see Help -> About."
+msgstr ""
+"Gdy włączone, możliwość odbierania skompresowanych danych (gzip i/lub bzip2) "
+"jest zgłaszana serwerowi, który zwykle w odpowiedzi wysyła skompresowane "
+"dane. W ten sposób oszczędzająć pasmo, przy niewiele większym obciążeniu "
+"procesora.\n"
+"\n"
+"Jeśli ELinks pokazuje niekompletną stronę lub śmieci, spróbuj wyłączyć tę "
+"opcję. Jeśli to pomoże, może być błąd w części dekompresującej ELinksa. "
+"Proszę zgłaszaj takie błędy.\n"
+"\n"
+"Jeżeli ELinks był skompilowany bez dekompresji, opcja ta nie ma efektu. "
+"Zobacz Pomoc -> O programie, żeby sprawdzić z wspierane funkcje."
 
-#: src/protocol/http/http.c:181
+#: src/protocol/http/http.c:202
 msgid "Activate HTTP TRACE debugging"
 msgstr "Uaktywnij debugowanie HTTP TRACE"
 
-#: src/protocol/http/http.c:183
+#: src/protocol/http/http.c:204
 msgid ""
-"If active, all HTTP requests are sent with TRACE as their method\n"
-"rather than GET or POST. This is useful for debugging of both ELinks\n"
-"and various server-side scripts --- the server only returns the client's\n"
-"request back to the client verbatim. Note that this type of request may\n"
-"not be enabled on all servers."
-msgstr ""
-"Gdy aktywne wszystkie zapytania HTTP są wysyłane przy użyciu\n"
-"metody TRACE. Jest to przydatne przy debugowaniu ELinksa jak\n"
-"i skryptów po stronie serwera --- serwer odsyła zapytanie\n"
-"do klienta.  Wiedz, że nie wszystkie serwery to obsługują."
+"If active, all HTTP requests are sent with TRACE as their method rather than "
+"GET or POST. This is useful for debugging of both ELinks and various server-"
+"side scripts --- the server only returns the client's request back to the "
+"client verbatim. Note that this type of request may not be enabled on all "
+"servers."
+msgstr ""
+"Gdy aktywne wszystkie zapytania HTTP są wysyłane przy użyciu metody TRACE. "
+"Jest to przydatne przy debugowaniu ELinksa jak i skryptów po stronie serwera "
+"--- serwer odsyła zapytanie do klienta.  Wiedz, że nie wszystkie serwery to "
+"obsługują."
 
 #. OSNews.com is supposed to be relying on the textmode token, at least.
-#: src/protocol/http/http.c:190
+#: src/protocol/http/http.c:212
 msgid "User-agent identification"
 msgstr "Identyfikacja przeglądarki"
 
-#: src/protocol/http/http.c:192
-#, fuzzy
+#: src/protocol/http/http.c:214
 msgid ""
-"Change the User Agent ID. That means identification string, which\n"
-"is sent to HTTP server when a document is requested. The 'textmode'\n"
-"token in the first field is our silent attempt to establish this as\n"
-"a standard for new textmode user agents, so that the webmasters can\n"
-"have just a single uniform test for these if they are e.g. pushing\n"
-"some lite version to them automagically.\n"
+"Change the User Agent ID. That means identification string, which is sent to "
+"HTTP server when a document is requested. The 'textmode' token in the first "
+"field is our silent attempt to establish this as a standard for new textmode "
+"user agents, so that the webmasters can have just a single uniform test for "
+"these if they are e.g. pushing some lite version to them automagically.\n"
+"\n"
 "Use \" \" if you don't want any User-Agent header to be sent at all.\n"
+"\n"
 "%v in the string means ELinks version,\n"
 "%s in the string means system identification,\n"
 "%t in the string means size of the terminal,\n"
 "%b in the string means number of bars displayed by ELinks."
 msgstr ""
-"Zmienia identyfikator przeglądarki. To znaczy łańcuch, który\n"
-"jest wysyłany do serwera HTTP przy każdym zapytaniu.\n"
-"Człon 'textmode' w pierwszym polu jest naszą cichą próbą\n"
-"ustanowienia standardu dla przeglądarek tekstowych. Dzięki\n"
-"temu webmasterzy będą mogli łatwo sprawdzić typ przeglądarki\n"
-"i np. zapodać lekką wersję dokumentu dla przeglądarek\n"
-"tekstowych automagicznie.\n"
+"Zmienia identyfikator przeglądarki. To znaczy łańcuch, który jest wysyłany "
+"do serwera HTTP przy każdym zapytaniu. Człon 'textmode' w pierwszym polu "
+"jest naszą cichą próbą ustanowienia standardu dla przeglądarek tekstowych. "
+"Dzięki temu webmasterzy będą mogli łatwo sprawdzić typ przeglądarki i np. "
+"zapodać lekką wersję dokumentu dla przeglądarek tekstowych automagicznie.\n"
+"\n"
+"Użyj \" \" jeśli nie chcesz wysyłania żadnej informacji o przeglądarce.\n"
+"\n"
 "%v - wersja ELinksa\n"
 "%s - nazwa systemu\n"
 "%t - rozmiar terminala\n"
-"%b - liczba pasków wyświetlanych przez ELinksa\n"
-"Użyj \" \" jeśli nie chcesz wysyłania żadnej informacji o przeglądarce."
+"%b - liczba pasków wyświetlanych przez ELinksa."
 
-#: src/protocol/http/http.c:205
+#: src/protocol/http/http.c:231
 msgid "HTTPS"
 msgstr "HTTPS"
 
-#: src/protocol/http/http.c:207
+#: src/protocol/http/http.c:233
 msgid "HTTPS-specific options."
 msgstr "Ustawienia dotyczące protokołu HTTPS."
 
-#: src/protocol/http/http.c:211
+#: src/protocol/http/http.c:237
 msgid "HTTPS proxy configuration."
 msgstr "Konfiguracja proxy dla protokołu HTTPS."
 
-#: src/protocol/http/http.c:215
+#: src/protocol/http/http.c:241
 msgid ""
-"Host and port-number (host:port) of the HTTPS CONNECT proxy, or blank.\n"
-"If it's blank, HTTPS_PROXY environment variable is checked as well."
+"Host and port-number (host:port) of the HTTPS CONNECT proxy, or blank. If "
+"it's blank, HTTPS_PROXY environment variable is checked as well."
 msgstr ""
-"Host i numer portu (host:port) serwera proxy HTTPS,\n"
-"lub puste. Jeśli puste sprawdzana jest zmienna środowiskowa HTTPS_PROXY."
+"Host i numer portu (host:port) serwera proxy HTTPS CONNECT, lub puste. Jeśli "
+"puste sprawdzana jest zmienna środowiskowa HTTPS_PROXY."
 
 #. name:
-#: src/protocol/nntp/nntp.c:32 src/protocol/nntp/nntp.c:65
+#: src/protocol/nntp/nntp.c:32 src/protocol/nntp/nntp.c:66
 msgid "NNTP"
 msgstr "NNTP"
 
@@ -8172,26 +8158,25 @@ msgstr "Domyślny serwer niusów"
 
 #: src/protocol/nntp/nntp.c:38
 msgid ""
-"Used when resolving news: URIs. If set to the empty string\n"
-"the value of the NNTPSERVER environment variable will be used."
+"Used when resolving news: URIs. If set to the empty string the value of the "
+"NNTPSERVER environment variable will be used."
 msgstr ""
-"Używany przy rozwikływaniu URI news:. Jeśli łańcuch jest\n"
-"pusty użyta będzie wartość zmiennej środowiskowej NNTPSERVER."
+"Używany przy rozwikływaniu URI news:. Jeśli łańcuch jest pusty użyta będzie "
+"wartość zmiennej środowiskowej NNTPSERVER."
 
-#: src/protocol/nntp/nntp.c:41
+#: src/protocol/nntp/nntp.c:42
 msgid "Message header entries"
 msgstr "Pozycje nagłówków wiadomości"
 
-#: src/protocol/nntp/nntp.c:43
+#: src/protocol/nntp/nntp.c:44
 msgid ""
-"Comma separated list of which entries in the article header\n"
-"to show. E.g. 'Subject' and 'From'.\n"
-"All header entries can be read in the header info dialog."
-msgstr ""
-"Przedzielana przecinkami lista, które pozycje w nagłówku\n"
-"wiadomości pokazywać. Np. 'Subject' i 'From'.\n"
-"Wszystkie pozycje nagłówka mogą być czytane w okienku\n"
-"dialogowym z informacjami o nagłówku."
+"Comma separated list of which entries in the article header to show. E.g. "
+"'Subject' and 'From'. All header entries can be read in the header info "
+"dialog."
+msgstr ""
+"Przedzielana przecinkami lista, które pozycje w nagłówku wiadomości "
+"pokazywać. Np. 'Subject' i 'From'. Wszystkie pozycje nagłówka mogą być "
+"czytane w okienku dialogowym z informacjami o nagłówku."
 
 #: src/protocol/protocol.c:242
 #, c-format
@@ -8212,15 +8197,13 @@ msgstr "Domeny dostępne bez udziału pr
 
 #: src/protocol/protocol.c:279
 msgid ""
-"Comma separated list of domains for which the proxy (HTTP/FTP)\n"
-"should be disabled. Optionally, a port can be specified for some\n"
-"domains as well. If it's blank, NO_PROXY environment variable is\n"
-"checked as well."
-msgstr ""
-"Lista domen oddzielona przecinkami, dla których proxy\n"
-"(HTTP/FTP) powinno być wyłączone. Opcjonalnie można podawać\n"
-"numer portu dla domen. Gdy puste sprawdzana jest zmienna\n"
-"środowiskowa NO_PROXY."
+"Comma separated list of domains for which the proxy (HTTP/FTP) should be "
+"disabled. Optionally, a port can be specified for some domains as well. If "
+"it's blank, NO_PROXY environment variable is checked as well."
+msgstr ""
+"Lista domen oddzielona przecinkami, dla których proxy (HTTP/FTP) powinno być "
+"wyłączone. Opcjonalnie można podawać numer portu dla domen. Gdy puste "
+"sprawdzana jest zmienna środowiskowa NO_PROXY."
 
 #. name:
 #: src/protocol/protocol.c:322
@@ -8233,62 +8216,57 @@ msgstr "Przepisywanie URI"
 
 #: src/protocol/rewrite/rewrite.c:46
 msgid ""
-"Rules for rewriting URIs entered in the goto dialog.\n"
-"It makes it possible to define a set of prefixes that will\n"
-"be expanded if they match a string entered in the goto dialog.\n"
-"The prefixes can be dumb, meaning that they work only like\n"
-"URI abbreviations, or smart ones, making it possible to pass\n"
+"Rules for rewriting URIs entered in the goto dialog. It makes it possible to "
+"define a set of prefixes that will be expanded if they match a string "
+"entered in the goto dialog. The prefixes can be dumb, meaning that they work "
+"only like URI abbreviations, or smart ones, making it possible to pass "
 "arguments to them like search engine keywords."
 msgstr ""
-"Zasady przepisywania URI wprowadzonego w okienku dialogowym.\n"
-"Możliwe jest zdefiniowanie zestawu przedrostków, które\n"
-"zostaną rozwinięte jeśli będą pasowały do łańcucha znaków\n"
-"wprowadzonego w okienku dialogowym. Przedrostki mogą być\n"
-"\"głupie\", tzn. działają tylko jako skróty URI\n"
-"lub inteligentne, takie do których można dodawać argumenty,\n"
-"np. słowa kluczowe dla wyszukiwarek."
+"Zasady przepisywania URI wprowadzonego w okienku dialogowym. Możliwe jest "
+"zdefiniowanie zestawu przedrostków, które zostaną rozwinięte jeśli będą "
+"pasowały do łańcucha znaków wprowadzonego w okienku dialogowym. Przedrostki "
+"mogą być \"głupie\", tzn. działają tylko jako skróty URI lub inteligentne, "
+"takie do których można dodawać argumenty, np. słowa kluczowe dla "
+"wyszukiwarek."
 
-#: src/protocol/rewrite/rewrite.c:53
+#: src/protocol/rewrite/rewrite.c:54
 msgid "Enable dumb prefixes"
 msgstr "Włączenie głupich przedrostków"
 
-#: src/protocol/rewrite/rewrite.c:55
+#: src/protocol/rewrite/rewrite.c:56
 msgid ""
-"Enable dumb prefixes - simple URI abbreviations which can\n"
-"be written to the Goto URL dialog instead of actual URIs - i.e.\n"
-"if you write 'elinks' there, you are directed to\n"
-"http://elinks.cz/."
-msgstr ""
-"Włącza proste przedrostki - skróty URI, które mogą być\n"
-"wpisane w okienku dialogowym 'Goto URL' zamiast\n"
-"standardowych URI - np. jeśli wpiszesz tam 'elinks' nastąpi\n"
-"przekierowanie do http://elinks.cz/."
+"Enable dumb prefixes - simple URI abbreviations which can be written to the "
+"Goto URL dialog instead of actual URIs - i.e. if you write 'elinks' there, "
+"you are directed to http://elinks.cz/."
+msgstr ""
+"Włącza proste przedrostki - skróty URI, które mogą być wpisane w okienku "
+"dialogowym 'Goto URL' zamiast standardowych URI - np. jeśli wpiszesz tam "
+"'elinks' nastąpi przekierowanie do http://elinks.cz/."
 
-#: src/protocol/rewrite/rewrite.c:60
+#: src/protocol/rewrite/rewrite.c:61
 msgid "Enable smart prefixes"
 msgstr "Włączenie inteligentnych przedrostków"
 
-#: src/protocol/rewrite/rewrite.c:62
+#: src/protocol/rewrite/rewrite.c:63
 msgid ""
-"Enable smart prefixes - URI templates triggered by writing\n"
-"given abbreviation to the Goto URL dialog followed by a list\n"
-"of arguments from which the actual URI is composed - i.e.\n"
-"'gg:search keywords' or 'gn search keywords for news'."
-msgstr ""
-"Włącza inteligentne przedrostki - szablony URI wyzwalane\n"
-"przez wpisanie skrótu do okienka dialogowego\n"
-"'Przejdź do URL-a' z następującymi po nim argumentami,\n"
-"np. 'gg:szukane słowo' lub 'gn szukane słowo w niusach."
+"Enable smart prefixes - URI templates triggered by writing given "
+"abbreviation to the Goto URL dialog followed by a list of arguments from "
+"which the actual URI is composed - i.e. 'gg:search keywords' or 'gn search "
+"keywords for news'."
+msgstr ""
+"Włącza inteligentne przedrostki - szablony URI wyzwalane przez wpisanie "
+"skrótu do okienka dialogowego 'Przejdź do URL-a' z następującymi po nim "
+"argumentami, np. 'gg:szukane słowo' lub 'gn szukane słowo w niusach."
 
-#: src/protocol/rewrite/rewrite.c:67
+#: src/protocol/rewrite/rewrite.c:69
 msgid "Dumb Prefixes"
 msgstr "Proste przedrostki"
 
-#: src/protocol/rewrite/rewrite.c:69
+#: src/protocol/rewrite/rewrite.c:71
 msgid "Dumb prefixes, see enable-dumb description for details."
 msgstr "Proste przedrostki, zobacz opis włączania prostych przedrostków."
 
-#: src/protocol/rewrite/rewrite.c:74
+#: src/protocol/rewrite/rewrite.c:76
 #, no-c-format
 msgid ""
 "Replacement URI for this dumbprefix:\n"
@@ -8299,16 +8277,16 @@ msgstr ""
 "%c w łańcuchu oznacza bieżący URL\n"
 "%% w łańcuchu oznacza '%'"
 
-#: src/protocol/rewrite/rewrite.c:78
+#: src/protocol/rewrite/rewrite.c:80
 msgid "Smart Prefixes"
 msgstr "Inteligentne przedrostki"
 
-#: src/protocol/rewrite/rewrite.c:80
+#: src/protocol/rewrite/rewrite.c:82
 msgid "Smart prefixes, see enable-smart description for details."
 msgstr ""
 "Inteligentne przedrostki, zobacz opis włączania inteligentnych przedrostków."
 
-#: src/protocol/rewrite/rewrite.c:87
+#: src/protocol/rewrite/rewrite.c:90
 #, no-c-format
 msgid ""
 "Replacement URI for this smartprefix:\n"
@@ -8323,36 +8301,38 @@ msgstr ""
 "%0,%1,...,%9 oznacza argument 0, 1, ..., 9\n"
 "%% w łańcuchu oznacza '%'"
 
-#: src/protocol/rewrite/rewrite.c:93
+#: src/protocol/rewrite/rewrite.c:96
 msgid "Default template"
 msgstr "Domyślny szablon"
 
-#: src/protocol/rewrite/rewrite.c:96
-#, fuzzy, no-c-format
+#: src/protocol/rewrite/rewrite.c:99
+#, no-c-format
 msgid ""
-"Default URI template used when the string entered in\n"
-"the goto dialog does not appear to be a URI or a filename\n"
-"(i.e. contains no '.', ':' or '/' characters), and does\n"
-"not match any defined prefixes. Set the value to \"\" to\n"
-"disable use of the default template rewrite rule.\n"
+"Default URI template used when the string entered in the goto dialog does "
+"not appear to be a URI or a filename (i.e. contains no '.', ':' or '/' "
+"characters), and does not match any defined prefixes. Set the value to \"\" "
+"to disable use of the default template rewrite rule.\n"
+"\n"
 "%c in the template means the current URL,\n"
-"%s in the template means the whole string from the goto dialog,\n"
-"%0,%1,...,%9 mean the 1st,2nd,...,10th space-delimited part of %s,\n"
+"%s in the template means the whole string from the goto\n"
+"   dialog,\n"
+"%0,%1,...,%9 mean the 1st,2nd,...,10th space-delimited part\n"
+"   of %s,\n"
 "%% in the template means '%'."
 msgstr ""
-"Domyślny szablon URI używany, kiedy łańcuch wprowadzony\n"
-"w okienku \"Przejdź do URL-a\" nie jest ani URI ani nazwą\n"
-"pliku (np. nie zawiera znaków: '.', ':' czy '/')\n"
-"i nie pasuje do żadnego ze zdefiniowanych przedrostków.\n"
-"Ustaw wartość na \"\", żeby wyłączyć użycie domyślnego\n"
-"szablonu reguły przepisywania.\n"
+"Domyślny szablon URI używany, kiedy łańcuch wprowadzony w okienku \"Przejdź "
+"do URL-a\" nie jest ani URI ani nazwą pliku (np. nie zawiera znaków: '.', "
+"':' czy '/') i nie pasuje do żadnego ze zdefiniowanych przedrostków. Ustaw "
+"wartość na \"\", żeby wyłączyć użycie domyślnego szablonu reguły "
+"przepisywania.\n"
+"\n"
 "%c w szablonie oznacza bieżący URL\n"
 "%s oznacza cały łańcuch z okienka \"Przejdź do URL-a\"\n"
 "%0, %1, ..., %9 oznacza pierwszą, drugą, ..., dziesiątą część %s\n"
 "%% oznacza '%'"
 
 #. name:
-#: src/protocol/rewrite/rewrite.c:372
+#: src/protocol/rewrite/rewrite.c:378
 msgid "URI rewrite"
 msgstr "Przepisywanie URI"
 
@@ -8377,30 +8357,27 @@ msgstr ""
 
 #
 #. name:
-#: src/protocol/user.c:34 src/protocol/user.c:84
+#: src/protocol/user.c:34 src/protocol/user.c:85
 msgid "User protocols"
 msgstr "Protokoły użytkownika"
 
 #: src/protocol/user.c:36
 msgid ""
-"User protocols. Options in this tree specify external\n"
-"handlers for the appropriate protocols. Ie.\n"
-"protocol.user.mailto.unix."
-msgstr ""
-"Protokoły użytkownika. Opcje w tym drzewie odnoszą się\n"
-"do zewnętrznych uchwytów dla odpowiadających im protokołów.\n"
-"Np. protocol.user.mailto.unix."
+"User protocols. Options in this tree specify external handlers for the "
+"appropriate protocols. Ie. protocol.user.mailto.unix."
+msgstr ""
+"Protokoły użytkownika. Opcje w tym drzewie odnoszą się do zewnętrznych "
+"uchwytów dla odpowiadających im protokołów. Np. protocol.user.mailto.unix."
 
 #: src/protocol/user.c:47
 msgid ""
-"Handler (external program) for this protocol. Name the\n"
-"options in this tree after your system (ie. unix, unix-xwin)."
+"Handler (external program) for this protocol. Name the options in this tree "
+"after your system (ie. unix, unix-xwin)."
 msgstr ""
-"Uchwyt (zewnętrzny program) dla tego protokołu. Nazwij\n"
-"ustawienia w tym drzewie zgodnie z Twoim systemem\n"
-"(np. unix, unix-xwin)."
+"Uchwyt (zewnętrzny program) dla tego protokołu. Nazwij ustawienia w tym "
+"drzewie zgodnie z Twoim systemem (np. unix, unix-xwin)."
 
-#: src/protocol/user.c:52
+#: src/protocol/user.c:53
 msgid ""
 "Handler (external program) for this protocol and system.\n"
 "%f in the string means file name to include form data from\n"
@@ -8418,11 +8395,11 @@ msgstr ""
 "%s - tytuł maila (?subject=<tytuł>)\n"
 "%u - cały URL"
 
-#: src/protocol/user.c:276
+#: src/protocol/user.c:277
 msgid "No program"
 msgstr "Nie określono programu"
 
-#: src/protocol/user.c:278
+#: src/protocol/user.c:279
 #, c-format
 msgid "No program specified for protocol %s."
 msgstr "Nie określono programu do obsługi protokołu %s."
@@ -8504,12 +8481,12 @@ msgstr "Błąd skryptu użytkownika"
 msgid "Spidermonkey ECMAScript"
 msgstr "ECMAScript Spidermonkey"
 
-#: src/session/download.c:233 src/session/download.c:330
-#: src/session/download.c:561 src/session/download.c:649
+#: src/session/download.c:256 src/session/download.c:356
+#: src/session/download.c:587 src/session/download.c:675
 msgid "Download error"
 msgstr "Błąd pobierania"
 
-#: src/session/download.c:234 src/session/download.c:650
+#: src/session/download.c:257 src/session/download.c:676
 #, c-format
 msgid ""
 "Could not create file '%s':\n"
@@ -8518,7 +8495,7 @@ msgstr ""
 "Nie można utworzyć pliku '%s':\n"
 "%s"
 
-#: src/session/download.c:331
+#: src/session/download.c:357
 #, c-format
 msgid ""
 "Error downloading %s:\n"
@@ -8529,17 +8506,17 @@ msgstr ""
 "\n"
 "%s"
 
-#: src/session/download.c:562
+#: src/session/download.c:588
 #, c-format
 msgid "'%s' is a directory."
 msgstr "'%s' to katalog."
 
 #
-#: src/session/download.c:596
+#: src/session/download.c:622
 msgid "File exists"
 msgstr "Plik istnieje"
 
-#: src/session/download.c:597
+#: src/session/download.c:623
 #, c-format
 msgid ""
 "This file already exists:\n"
@@ -8555,51 +8532,51 @@ msgstr ""
 "%s"
 
 #. accelerator_context(src/session/download.c:lookup_unique_name)
-#: src/session/download.c:604
+#: src/session/download.c:630
 msgid "Sa~ve under the alternative name"
 msgstr "Zap~isz pod alternatywną nazwą"
 
 #. accelerator_context(src/session/download.c:lookup_unique_name)
-#: src/session/download.c:605
+#: src/session/download.c:631
 msgid "~Overwrite the original file"
 msgstr "Nadpisz ~oryginalny plik"
 
 #. accelerator_context(src/session/download.c:lookup_unique_name)
-#: src/session/download.c:606
+#: src/session/download.c:632
 msgid "~Resume download of the original file"
 msgstr "Wznów pobie~ranie oryginalnego pliku"
 
-#: src/session/download.c:1109
+#: src/session/download.c:1135
 msgid "Unknown type"
 msgstr "Nieznany typ"
 
-#: src/session/download.c:1134
+#: src/session/download.c:1160
 #, c-format
 msgid "What would you like to do with the file '%s' (type: %s%s%s)?"
 msgstr "Co chcesz zrobić z plikiem '%s' (typu %s%s%s)?"
 
-#: src/session/download.c:1137
+#: src/session/download.c:1163
 #, c-format
 msgid "What would you like to do with the file (type: %s%s%s)?"
 msgstr "Co chcesz zrobić z plikiem (typu %s%s%s)?"
 
-#: src/session/download.c:1165
+#: src/session/download.c:1191
 #, no-c-format
 msgid "Program ('%' will be replaced by the filename)"
 msgstr "Program ('%' zostanie zastąpione nazwą pliku)"
 
 #
-#: src/session/download.c:1169
+#: src/session/download.c:1195
 msgid "Block the terminal"
 msgstr "Blokowanie terminala"
 
-#: src/session/download.c:1175
+#: src/session/download.c:1201
 #, c-format
 msgid "The file will be opened with the program '%s'."
 msgstr "Plik zostanie otwarty przy użyciu programu '%s'."
 
 #. accelerator_context(src/session/download.c:do_type_query)
-#: src/session/download.c:1196
+#: src/session/download.c:1222
 msgid "~Open"
 msgstr "~Otwórz"
 
@@ -8607,12 +8584,12 @@ msgstr "~Otwórz"
 #. * and formatting it with "%u" is safe,
 #. * because fc_maxlength is smaller than
 #. * file.length, which is an int.
-#: src/session/session.c:761 src/session/session.c:780 src/session/task.c:275
-#: src/viewer/text/textarea.c:652
+#: src/session/session.c:771 src/session/session.c:790 src/session/task.c:275
+#: src/viewer/text/textarea.c:641
 msgid "Warning"
 msgstr "Ostrzeżenie"
 
-#: src/session/session.c:762
+#: src/session/session.c:772
 msgid ""
 "You have an empty string in protocol.http.user_agent - this was a default "
 "value in the past, substituted by default ELinks User-Agent string. However, "
@@ -8630,7 +8607,7 @@ msgstr ""
 "co mi chodzi, po prostu to zrób), tak że domyślne ustawienie będzie używane. "
 "Przepraszamy za wszelkie niedogodności."
 
-#: src/session/session.c:781
+#: src/session/session.c:791
 msgid ""
 "You have option config.saving_style set to a de facto obsolete value. The "
 "configuration saving algorithms of ELinks were changed from the last time "
@@ -8652,11 +8629,11 @@ msgstr ""
 "saving_style na 3, by uzyskać \"właściwe\" zachowanie. Przepraszamy za "
 "wszelkie niedogodności."
 
-#: src/session/session.c:806
+#: src/session/session.c:816
 msgid "Welcome"
 msgstr "Powitanie"
 
-#: src/session/session.c:807
+#: src/session/session.c:817
 msgid ""
 "Welcome to ELinks!\n"
 "\n"
@@ -8716,22 +8693,22 @@ msgstr "Błędny rozmiar terminala: %d, 
 msgid "Warning: terminal name contains illicit chars."
 msgstr "Ostrzeżenie: nazwa terminala zawiera \"nieprzyzwoite\" znaki."
 
-#: src/terminal/event.c:259
+#: src/terminal/event.c:258
 #, c-format
 msgid "Failed to create session."
 msgstr "Nie udało się utworzyć sesji."
 
-#: src/terminal/event.c:446
+#: src/terminal/event.c:443
 #, c-format
 msgid "Bad event %d"
 msgstr "Błędne zdarzenie %d"
 
-#: src/terminal/event.c:486
+#: src/terminal/event.c:483
 #, c-format
 msgid "Could not read event: %d (%s)"
 msgstr "Nie można odczytać zdarzenia: %d (%s)"
 
-#: src/terminal/kbd.c:1187
+#: src/terminal/kbd.c:1210
 #, c-format
 msgid "Too many bytes read from the itrm!"
 msgstr "Zbyt dużo bajtów przeczytanych z itrm!"
@@ -8801,202 +8778,202 @@ msgstr "Brakujący fragment"
 msgid "The requested fragment \"%s\" doesn't exist."
 msgstr "Wybrany fragment \"%s\" nie istnieje."
 
-#: src/viewer/text/form.c:1092
+#: src/viewer/text/form.c:1118
 msgid "Error while posting form"
 msgstr "Wystąpił błąd podczas wysyłania formularza"
 
-#: src/viewer/text/form.c:1093
+#: src/viewer/text/form.c:1119
 #, c-format
 msgid "Could not load file %s: %s"
 msgstr "Nie można wczytać pliku %s: %s"
 
-#: src/viewer/text/form.c:1847
+#: src/viewer/text/form.c:1876
 msgid "Reset form"
 msgstr "Wyczyść formularz"
 
 #
-#: src/viewer/text/form.c:1849
+#: src/viewer/text/form.c:1878
 msgid "Harmless button"
 msgstr "Nieszkodliwy przycisk"
 
-#: src/viewer/text/form.c:1857
+#: src/viewer/text/form.c:1886
 msgid "Submit form to"
 msgstr "Prześlij formularz do"
 
-#: src/viewer/text/form.c:1858
+#: src/viewer/text/form.c:1887
 msgid "Post form to"
 msgstr "Wyślij formularz do"
 
-#: src/viewer/text/form.c:1860
+#: src/viewer/text/form.c:1889
 msgid "Radio button"
 msgstr "Okrągły przycisk"
 
-#: src/viewer/text/form.c:1864
+#: src/viewer/text/form.c:1893
 msgid "Select field"
 msgstr "Pole wyboru"
 
-#: src/viewer/text/form.c:1868
+#: src/viewer/text/form.c:1897
 msgid "Text area"
 msgstr "Pole tekstowe"
 
-#: src/viewer/text/form.c:1870
+#: src/viewer/text/form.c:1899
 msgid "File upload"
 msgstr "Wysyłanie pliku"
 
-#: src/viewer/text/form.c:1872
+#: src/viewer/text/form.c:1901
 msgid "Password field"
 msgstr "Pole hasła"
 
-#: src/viewer/text/form.c:1910
+#: src/viewer/text/form.c:1939
 msgid "name"
 msgstr "nazwa"
 
-#: src/viewer/text/form.c:1922
+#: src/viewer/text/form.c:1951
 msgid "value"
 msgstr "wartość"
 
-#: src/viewer/text/form.c:1935
+#: src/viewer/text/form.c:1964
 msgid "read only"
 msgstr "tylko do odczytu"
 
-#: src/viewer/text/form.c:1946
+#: src/viewer/text/form.c:1975
 #, c-format
 msgid "press %s to navigate"
 msgstr "wciśnij %s aby nawigować"
 
-#: src/viewer/text/form.c:1948
+#: src/viewer/text/form.c:1977
 #, c-format
 msgid "press %s to edit"
 msgstr "wciśnij %s aby edytować"
 
-#: src/viewer/text/form.c:1984
+#: src/viewer/text/form.c:2013
 #, c-format
 msgid "press %s to submit to %s"
 msgstr "wciśnij %s aby wysłać do %s"
 
-#: src/viewer/text/form.c:1986
+#: src/viewer/text/form.c:2015
 #, c-format
 msgid "press %s to post to %s"
 msgstr "wciśnij %s aby wysłać do %s"
 
 #
-#: src/viewer/text/form.c:2088
+#: src/viewer/text/form.c:2117
 msgid "Useless button"
 msgstr "Bezużyteczny przycisk"
 
-#: src/viewer/text/form.c:2090
+#: src/viewer/text/form.c:2119
 msgid "Submit button"
 msgstr "Przycisk wysłania formularza"
 
 #. accelerator_context(link_menu.map)
-#: src/viewer/text/link.c:1281
+#: src/viewer/text/link.c:1280
 msgid "Display ~usemap"
 msgstr "Pokaż ~mapę obrazków"
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1286
+#: src/viewer/text/link.c:1285
 msgid "~Follow link"
 msgstr "Wybierz od~nośnik"
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1288
+#: src/viewer/text/link.c:1287
 msgid "Follow link and r~eload"
 msgstr "Wybierz odnośnik i p~rzeładuj"
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1292
+#: src/viewer/text/link.c:1291
 msgid "Open in new ~window"
 msgstr "Otwórz w no~wym oknie"
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1294
+#: src/viewer/text/link.c:1293
 msgid "Open in new ~tab"
 msgstr "Otwórz w nowej ~karcie"
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1296
+#: src/viewer/text/link.c:1295
 msgid "Open in new tab in ~background"
 msgstr "Otwórz w nowej k~arcie w tle"
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1301
+#: src/viewer/text/link.c:1300
 msgid "~Download link"
 msgstr "~Pobierz"
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1304
+#: src/viewer/text/link.c:1303
 msgid "~Add link to bookmarks"
 msgstr "~Dodaj zakładkę"
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1308
+#: src/viewer/text/link.c:1307
 msgid "Pass link URI to e~xternal command"
 msgstr "Przekaż URI odnośnika do z~ewnętrznego polecenia"
 
 #. accelerator_context(link_menu.form, link_menu.reset, link_menu.textarea)
-#: src/viewer/text/link.c:1319 src/viewer/text/link.c:1359
+#: src/viewer/text/link.c:1318 src/viewer/text/link.c:1358
 msgid "~Reset form"
 msgstr "Wy~czyść formularz"
 
 #. accelerator_context(link_menu.textarea)
-#: src/viewer/text/link.c:1334
+#: src/viewer/text/link.c:1333
 msgid "Open in ~external editor"
 msgstr "Otwórz w zewnętrznym ~edytorze"
 
 #. accelerator_context(link_menu.form, link_menu.textarea)
-#: src/viewer/text/link.c:1342
+#: src/viewer/text/link.c:1341
 msgid "~Submit form"
 msgstr "~Prześlij formularz"
 
 #. accelerator_context(link_menu.form, link_menu.textarea)
-#: src/viewer/text/link.c:1343
+#: src/viewer/text/link.c:1342
 msgid "Submit form and rel~oad"
 msgstr "Prześlij fo~rmularz i przeładuj"
 
 #. accelerator_context(link_menu.form, link_menu.textarea)
-#: src/viewer/text/link.c:1347
+#: src/viewer/text/link.c:1346
 msgid "Submit form and open in new ~window"
 msgstr "Prześlij ~formularz i otwórz w nowym oknie"
 
 #. accelerator_context(link_menu.form, link_menu.textarea)
-#: src/viewer/text/link.c:1349
+#: src/viewer/text/link.c:1348
 msgid "Submit form and open in new ~tab"
 msgstr "Prześlij formularz i otwórz na nowej ~karcie"
 
 #. accelerator_context(link_menu.form, link_menu.textarea)
-#: src/viewer/text/link.c:1352
+#: src/viewer/text/link.c:1351
 msgid "Submit form and open in new tab in ~background"
 msgstr "Prześlij formularz i otwórz w ~tle na nowej karcie"
 
 #. accelerator_context(link_menu.form, link_menu.textarea)
-#: src/viewer/text/link.c:1357
+#: src/viewer/text/link.c:1356
 msgid "Submit form and ~download"
 msgstr "Prześlij formu~larz i ściągnij"
 
 #. accelerator_context(link_menu.form, link_menu.reset, link_menu.textarea)
-#: src/viewer/text/link.c:1364
+#: src/viewer/text/link.c:1363
 msgid "Form f~ields"
 msgstr "Pola form~ularza"
 
 #. accelerator_context(link_menu.form, link_menu.map, link_menu.std)
-#: src/viewer/text/link.c:1371
+#: src/viewer/text/link.c:1370
 msgid "V~iew image"
 msgstr "Pokaż o~brazek"
 
 #. accelerator_context(link_menu.form, link_menu.map, link_menu.std)
-#: src/viewer/text/link.c:1373
+#: src/viewer/text/link.c:1372
 msgid "Download ima~ge"
 msgstr "Pobierz ~obrazek"
 
-#: src/viewer/text/link.c:1382
+#: src/viewer/text/link.c:1381
 msgid "No link selected"
 msgstr "Nie wybrano żadnego odnośnika"
 
-#: src/viewer/text/link.c:1452
+#: src/viewer/text/link.c:1451
 msgid "Image"
 msgstr "Obrazek"
 
-#: src/viewer/text/link.c:1457
+#: src/viewer/text/link.c:1456
 msgid "Usemap"
 msgstr "Mapa obrazków"
 
@@ -9005,84 +8982,84 @@ msgstr "Mapa obrazków"
 msgid "Marks"
 msgstr "Zaznaczenia"
 
-#: src/viewer/text/search.c:1083
+#: src/viewer/text/search.c:1099
 msgid "Search hit top, continuing at bottom."
 msgstr "Przeszukiwanie osiągnęło początek tekstu, kontynuacja od końca."
 
-#: src/viewer/text/search.c:1084
+#: src/viewer/text/search.c:1100
 msgid "Search hit bottom, continuing at top."
 msgstr "Przeszukiwanie osiągnęło koniec tekstu, kontynuacja od początku."
 
-#: src/viewer/text/search.c:1087
+#: src/viewer/text/search.c:1103
 msgid "No previous search"
 msgstr "Niczego wcześniej nie szukano"
 
-#: src/viewer/text/search.c:1099
+#: src/viewer/text/search.c:1115
 #, c-format
 msgid "Could not compile regular expression '%s'"
 msgstr "Nie mogę skompilować wyrażenia regularnego '%s'"
 
-#: src/viewer/text/search.c:1143
+#: src/viewer/text/search.c:1159
 #, c-format
 msgid "No further matches for '%s'."
 msgstr "Brak dalszych trafień dla '%s'."
 
-#: src/viewer/text/search.c:1145
+#: src/viewer/text/search.c:1161
 #, c-format
 msgid "Could not find a link with the text '%s'."
 msgstr "Nie można znaleźć odnośnika z tekstem '%s'."
 
-#: src/viewer/text/search.c:1147 src/viewer/text/search.c:1558
+#: src/viewer/text/search.c:1163 src/viewer/text/search.c:1576
 msgid "Typeahead"
 msgstr "Szukanie z wyprzedzeniem"
 
-#: src/viewer/text/search.c:1560
+#: src/viewer/text/search.c:1578
 #, c-format
 msgid "No links in current document"
 msgstr "Brak odnośników w bieżącym dokumencie"
 
-#: src/viewer/text/search.c:1643
+#: src/viewer/text/search.c:1661
 msgid "Search for text"
 msgstr "Znajdź tekst"
 
-#: src/viewer/text/search.c:1679
+#: src/viewer/text/search.c:1697
 msgid "Normal search"
 msgstr "Zwykłe szukanie"
 
-#: src/viewer/text/search.c:1680
+#: src/viewer/text/search.c:1698
 msgid "Regexp search"
 msgstr "Szukanie z użyciem wyrażeń regularnych"
 
-#: src/viewer/text/search.c:1681
+#: src/viewer/text/search.c:1699
 msgid "Extended regexp search"
 msgstr "Szukanie z użyciem rozszerzonych wyrażeń regularnych"
 
-#: src/viewer/text/search.c:1683
+#: src/viewer/text/search.c:1701
 msgid "Case sensitive"
 msgstr "Rozróżnianie wielkości liter"
 
-#: src/viewer/text/search.c:1684
+#: src/viewer/text/search.c:1702
 msgid "Case insensitive"
 msgstr "Nierozróżnianie wielkości liter"
 
-#: src/viewer/text/search.c:1708
+#: src/viewer/text/search.c:1726
 msgid "Search backward"
 msgstr "Szukaj wstecz"
 
 #. name:
-#: src/viewer/text/search.c:1747
+#: src/viewer/text/search.c:1765
 msgid "Search History"
 msgstr "Szukanie w historii"
 
-#: src/viewer/text/textarea.c:595
+#: src/viewer/text/textarea.c:584
 msgid "You cannot launch an external editor in the anonymous mode."
 msgstr "Nie możesz uruchomić zewnętrznego edytora w trybie anonimowym."
 
-#: src/viewer/text/textarea.c:602
+#: src/viewer/text/textarea.c:591
 msgid "You can do this only on the master terminal"
 msgstr "Możesz zrobić to jedynie na głównym terminalu"
 
-#: src/viewer/text/textarea.c:655
+#: src/viewer/text/textarea.c:644
 #, c-format
 msgid ""
 "You have exceeded the textarea's size limit: your input is %d bytes, but the "
@@ -9105,11 +9082,11 @@ msgstr "Przejdź do odnośnika"
 msgid "Enter link number"
 msgstr "Wprowadź numer odnośnika"
 
-#: src/viewer/text/view.c:1627
+#: src/viewer/text/view.c:1628
 msgid "Save error"
 msgstr "Błąd zapisu"
 
-#: src/viewer/text/view.c:1628
+#: src/viewer/text/view.c:1629
 msgid "Error writing to file"
 msgstr "Błąd zapisu do pliku"
 
@@ -9123,13 +9100,6 @@ msgstr "Stoper"
 msgid "Viewer"
 msgstr "Przeglądarka"
 
-#~ msgid ""
-#~ "Verify the peer's SSL certificate. Note that this\n"
-#~ "probably doesn't work properly at all with GnuTLS."
-#~ msgstr ""
-#~ "Sprawdzaj certyfikaty SSL sieci. Wiedz, że może to\n"
-#~ "w ogóle nie działać z GnuTLS."
-
 #~ msgid "The output of the program will be shown in the tab"
 #~ msgstr "Wyniki programu będą widoczne na karcie"
 
Binary files 0.12~pre2.dfsg0-1/po/pt_BR.gmo and 0.12~pre4-1/po/pt_BR.gmo differ
diff -pruN 0.12~pre2.dfsg0-1/po/pt_BR.po 0.12~pre4-1/po/pt_BR.po
--- 0.12~pre2.dfsg0-1/po/pt_BR.po	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/po/pt_BR.po	2009-05-31 09:48:47.000000000 +0100
@@ -7,7 +7,7 @@ msgid ""
 msgstr ""
 "Project-Id-Version: ELinks 0.5pre0.CVS\n"
 "Report-Msgid-Bugs-To: elinks-users@linuxfromscratch.org\n"
-"POT-Creation-Date: 2008-09-21 11:13+0300\n"
+"POT-Creation-Date: 2009-05-31 01:57+0300\n"
 "PO-Revision-Date: 2003-01-03 03:41+0100\n"
 "Last-Translator: Andre Valente <a.valente@netcabo.pt>\n"
 "Language-Team: Brazilian Portuguese <ldp-br@bazar.conectiva.com.br>\n"
@@ -38,7 +38,7 @@ msgstr ""
 #: src/mime/dialogs.c:132 src/protocol/auth/dialogs.c:115
 #: src/protocol/protocol.c:246 src/scripting/lua/core.c:399
 #: src/scripting/lua/core.c:480 src/scripting/python/dialogs.c:86
-#: src/session/session.c:811 src/viewer/text/search.c:1686
+#: src/session/session.c:821 src/viewer/text/search.c:1704
 #, fuzzy
 msgid "~OK"
 msgstr "OK"
@@ -56,13 +56,13 @@ msgid "Sorry, but the item \"%s\" is bei
 msgstr "Este bookmark j est a ser usado"
 
 #. cant_delete_folder
-#: src/bfu/hierbox.c:558 src/bookmarks/dialogs.c:121
+#: src/bfu/hierbox.c:558 src/bookmarks/dialogs.c:153
 #, fuzzy, c-format
 msgid "Sorry, but the folder \"%s\" cannot be deleted."
 msgstr "Este bookmark j est a ser usado"
 
 #. cant_delete_used_folder
-#: src/bfu/hierbox.c:561 src/bookmarks/dialogs.c:123
+#: src/bfu/hierbox.c:561 src/bookmarks/dialogs.c:155
 #, fuzzy, c-format
 msgid "Sorry, but the folder \"%s\" is being used by something else."
 msgstr "Este bookmark j est a ser usado"
@@ -80,7 +80,7 @@ msgid "Delete marked items?"
 msgstr "Apagar item do Histrico"
 
 #. delete_folder_title
-#: src/bfu/hierbox.c:570 src/bookmarks/dialogs.c:129
+#: src/bfu/hierbox.c:570 src/bookmarks/dialogs.c:161
 #, fuzzy
 msgid "Delete folder"
 msgstr "Apagar bookmark"
@@ -141,13 +141,13 @@ msgstr "Sim"
 msgid "~No"
 msgstr "No"
 
-#: src/bfu/hierbox.c:945 src/bfu/hierbox.c:976 src/viewer/text/search.c:1090
-#: src/viewer/text/search.c:1098 src/viewer/text/search.c:1114
-#: src/viewer/text/search.c:1705
+#: src/bfu/hierbox.c:945 src/bfu/hierbox.c:976 src/viewer/text/search.c:1106
+#: src/viewer/text/search.c:1114 src/viewer/text/search.c:1130
+#: src/viewer/text/search.c:1723
 msgid "Search"
 msgstr "Procurar"
 
-#: src/bfu/hierbox.c:947 src/viewer/text/search.c:1091
+#: src/bfu/hierbox.c:947 src/viewer/text/search.c:1107
 #, fuzzy, c-format
 msgid "Search string '%s' not found"
 msgstr "String de procura no localizada"
@@ -186,8 +186,8 @@ msgstr "No  permitido sequncia de car
 #: src/dialogs/options.c:237 src/dialogs/options.c:316 src/mime/dialogs.c:133
 #: src/protocol/auth/dialogs.c:116 src/protocol/bittorrent/dialogs.c:814
 #: src/scripting/lua/core.c:400 src/scripting/lua/core.c:481
-#: src/session/download.c:607 src/session/download.c:1219
-#: src/viewer/text/search.c:1687
+#: src/session/download.c:633 src/session/download.c:1245
+#: src/viewer/text/search.c:1705
 #, fuzzy
 msgid "~Cancel"
 msgstr "Cancelar"
@@ -201,8 +201,8 @@ msgstr "travado"
 msgid "Digital clock in the status bar."
 msgstr ""
 
-#: src/bfu/leds.c:77 src/bfu/leds.c:94 src/config/options.inc:1199
-#: src/config/options.inc:1206 src/ecmascript/ecmascript.c:45
+#: src/bfu/leds.c:77 src/bfu/leds.c:94 src/config/options.inc:1272
+#: src/config/options.inc:1279 src/ecmascript/ecmascript.c:45
 #: src/globhist/globhist.c:64 src/mime/backend/mailcap.c:93
 #: src/mime/backend/mimetypes.c:52 src/network/ssl/ssl.c:81
 #, fuzzy
@@ -220,8 +220,7 @@ msgstr "Upload de arquivo"
 
 #: src/bfu/leds.c:83
 msgid ""
-"Format string for the digital clock. See the strftime(3)\n"
-"manpage for details."
+"Format string for the digital clock. See the strftime(3) manpage for details."
 msgstr ""
 
 #: src/bfu/leds.c:90
@@ -234,8 +233,7 @@ msgstr ""
 
 #: src/bfu/leds.c:96
 msgid ""
-"Enable LEDs.\n"
-"These visual indicators will inform you about various states."
+"Enable LEDs. These visual indicators will inform you about various states."
 msgstr ""
 
 #. name:
@@ -265,35 +263,35 @@ msgstr ""
 msgid "Search menu/"
 msgstr "Procurar"
 
-#: src/bookmarks/backend/xbel.c:97
+#: src/bookmarks/backend/xbel.c:105
 #, c-format
 msgid "read_bookmarks_xbel(): Error in XML_ParserCreate()"
 msgstr ""
 
-#: src/bookmarks/backend/xbel.c:108
+#: src/bookmarks/backend/xbel.c:116
 #, c-format
 msgid "read_bookmarks_xbel(): Error reading %s"
 msgstr ""
 
-#: src/bookmarks/backend/xbel.c:116
+#: src/bookmarks/backend/xbel.c:124
 #, c-format
 msgid ""
 "Parse error while processing XBEL bookmarks in %s at line %d column %d:\n"
 "%s"
 msgstr ""
 
-#: src/bookmarks/backend/xbel.c:390 src/bookmarks/backend/xbel.c:411
+#: src/bookmarks/backend/xbel.c:388 src/bookmarks/backend/xbel.c:410
 #, fuzzy
 msgid "No title"
 msgstr "Titulo do link"
 
-#: src/bookmarks/backend/xbel.c:396
+#: src/bookmarks/backend/xbel.c:394
 #, fuzzy
 msgid "No URL"
 msgstr "Ir para URL"
 
 #. name:
-#: src/bookmarks/bookmarks.c:48 src/bookmarks/bookmarks.c:181
+#: src/bookmarks/bookmarks.c:48 src/bookmarks/bookmarks.c:183
 #, fuzzy
 msgid "Bookmarks"
 msgstr "Bookmark~s (marcadores)"
@@ -303,7 +301,7 @@ msgstr "Bookmark~s (marcadores)"
 msgid "Bookmark options."
 msgstr "Bookmark~s (marcadores)"
 
-#: src/bookmarks/bookmarks.c:53 src/bookmarks/bookmarks.c:59
+#: src/bookmarks/bookmarks.c:53 src/bookmarks/bookmarks.c:60
 #, fuzzy
 msgid "File format"
 msgstr "Upload de arquivo"
@@ -312,51 +310,47 @@ msgstr "Upload de arquivo"
 msgid ""
 "File format for bookmarks (affects both reading and saving):\n"
 "0 is the default native ELinks format\n"
-"1 is XBEL universal XML bookmarks format (ELinks bug 153: NO NATIONAL CHARS "
-"SUPPORT!)"
+"1 is XBEL universal XML bookmarks format"
 msgstr ""
 
-#: src/bookmarks/bookmarks.c:61
+#: src/bookmarks/bookmarks.c:62
 msgid ""
 "File format for bookmarks (affects both reading and saving):\n"
 "0 is the default native ELinks format\n"
-"1 is XBEL universal XML bookmarks format (ELinks bug 153: NO NATIONAL CHARS "
-"SUPPORT!)  (DISABLED)"
+"1 is XBEL universal XML bookmarks format  (DISABLED)"
 msgstr ""
 
-#: src/bookmarks/bookmarks.c:67
+#: src/bookmarks/bookmarks.c:68
 #, fuzzy
 msgid "Save folder state"
 msgstr "Nome da directoria"
 
-#: src/bookmarks/bookmarks.c:69
+#: src/bookmarks/bookmarks.c:70
 msgid ""
-"When saving bookmarks also store whether folders are\n"
-"expanded or not, so the look of the bookmark dialog is\n"
-"kept across ELinks sessions. If disabled all folders will\n"
-"appear unexpanded next time ELinks is run."
+"When saving bookmarks also store whether folders are expanded or not, so the "
+"look of the bookmark dialog is kept across ELinks sessions. If disabled all "
+"folders will appear unexpanded next time ELinks is run."
 msgstr ""
 
-#: src/bookmarks/bookmarks.c:74
+#: src/bookmarks/bookmarks.c:75
 msgid "Periodic snapshotting"
 msgstr ""
 
-#: src/bookmarks/bookmarks.c:76
+#: src/bookmarks/bookmarks.c:77
 msgid ""
-"Automatically save a snapshot of all tabs periodically.\n"
-"This will periodically bookmark the tabs of each terminal in a separate "
-"folder\n"
-"for recovery after a crash.\n"
+"Automatically save a snapshot of all tabs periodically. This will "
+"periodically bookmark the tabs of each terminal in a separate folder for "
+"recovery after a crash.\n"
 "\n"
 "This feature requires bookmark support."
 msgstr ""
 
-#: src/bookmarks/dialogs.c:72 src/config/options.inc:1051
+#: src/bookmarks/dialogs.c:97 src/config/options.inc:1120
 #: src/dialogs/document.c:145 src/globhist/dialogs.c:65
 msgid "Title"
 msgstr "Ttulo"
 
-#: src/bookmarks/dialogs.c:73 src/cache/dialogs.c:65
+#: src/bookmarks/dialogs.c:101 src/cache/dialogs.c:65
 #: src/dialogs/document.c:136 src/dialogs/edit.c:96 src/formhist/dialogs.c:63
 #: src/globhist/dialogs.c:66 src/protocol/auth/dialogs.c:163
 #: src/scripting/lua/core.c:397
@@ -364,86 +358,86 @@ msgid "URL"
 msgstr "URL"
 
 #. cant_delete_item
-#: src/bookmarks/dialogs.c:117
+#: src/bookmarks/dialogs.c:149
 #, fuzzy, c-format
 msgid "Sorry, but the bookmark \"%s\" cannot be deleted."
 msgstr "Este bookmark j est a ser usado"
 
 #. cant_delete_used_item
-#: src/bookmarks/dialogs.c:119
+#: src/bookmarks/dialogs.c:151
 #, fuzzy, c-format
 msgid "Sorry, but the bookmark \"%s\" is being used by something else."
 msgstr "Este bookmark j est a ser usado"
 
 #. delete_marked_items_title
-#: src/bookmarks/dialogs.c:125
+#: src/bookmarks/dialogs.c:157
 #, fuzzy
 msgid "Delete marked bookmarks"
 msgstr "Apagar item do Histrico"
 
 #. delete_marked_items
-#: src/bookmarks/dialogs.c:127
+#: src/bookmarks/dialogs.c:159
 #, fuzzy
 msgid "Delete marked bookmarks?"
 msgstr "Apagar item do Histrico"
 
 #. delete_folder
-#: src/bookmarks/dialogs.c:131
+#: src/bookmarks/dialogs.c:163
 #, fuzzy, c-format
 msgid "Delete the folder \"%s\" and all bookmarks in it?"
 msgstr "Apagar extenso"
 
 #. delete_item_title
-#: src/bookmarks/dialogs.c:133
+#: src/bookmarks/dialogs.c:165
 #, fuzzy
 msgid "Delete bookmark"
 msgstr "Editar bookmark"
 
-#: src/bookmarks/dialogs.c:135
+#: src/bookmarks/dialogs.c:167
 #, c-format
 msgid "Delete this bookmark?"
 msgstr ""
 
 #. clear_all_items_title
-#: src/bookmarks/dialogs.c:137
+#: src/bookmarks/dialogs.c:169
 #, fuzzy
 msgid "Clear all bookmarks"
 msgstr "Procurar Bookmark"
 
 #. clear_all_items_title
-#: src/bookmarks/dialogs.c:139
+#: src/bookmarks/dialogs.c:171
 #, fuzzy
 msgid "Do you really want to remove all bookmarks?"
 msgstr "Voc realmente deseja encerrar o Links?"
 
-#: src/bookmarks/dialogs.c:254
+#: src/bookmarks/dialogs.c:327
 msgid "Add folder"
 msgstr "Adicionar directoria"
 
-#: src/bookmarks/dialogs.c:254
+#: src/bookmarks/dialogs.c:327
 msgid "Folder name"
 msgstr "Nome da directoria"
 
-#: src/bookmarks/dialogs.c:310 src/scripting/lua/core.c:391
+#: src/bookmarks/dialogs.c:410 src/scripting/lua/core.c:391
 msgid "Edit bookmark"
 msgstr "Editar bookmark"
 
-#: src/bookmarks/dialogs.c:461
+#: src/bookmarks/dialogs.c:567
 msgid "Cannot move folder inside itself"
 msgstr ""
 
-#: src/bookmarks/dialogs.c:462
+#: src/bookmarks/dialogs.c:568
 msgid ""
 "You are trying to move the marked folder inside itself. To move the folder "
 "to a different location select the new location before pressing the Move "
 "button."
 msgstr ""
 
-#: src/bookmarks/dialogs.c:468
+#: src/bookmarks/dialogs.c:574
 msgid "Nothing to move"
 msgstr ""
 
-#: src/bookmarks/dialogs.c:469
+#: src/bookmarks/dialogs.c:575
 msgid ""
 "To move bookmarks, first mark all the bookmarks (or folders) you want to "
 "move.  This can be done with the Insert key if you're using the default key-"
@@ -452,21 +446,21 @@ msgid ""
 msgstr ""
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons, src/cache/dialogs.c:cache_buttons, src/globhist/dialogs.c:globhist_buttons, src/protocol/auth/dialogs.c:auth_buttons)
-#: src/bookmarks/dialogs.c:487 src/cache/dialogs.c:230
+#: src/bookmarks/dialogs.c:593 src/cache/dialogs.c:230
 #: src/globhist/dialogs.c:224 src/protocol/auth/dialogs.c:261
 #, fuzzy
 msgid "~Goto"
 msgstr "Ir para"
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons, src/config/dialogs.c:option_buttons, src/cookies/dialogs.c:cookie_buttons)
-#: src/bookmarks/dialogs.c:488 src/config/dialogs.c:503
+#: src/bookmarks/dialogs.c:594 src/config/dialogs.c:503
 #: src/cookies/dialogs.c:492
 #, fuzzy
 msgid "~Edit"
 msgstr "Editar"
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons, src/cache/dialogs.c:cache_buttons, src/config/dialogs.c:keybinding_buttons, src/config/dialogs.c:option_buttons, src/cookies/dialogs.c:cookie_buttons, src/dialogs/menu.c:ext_menu, src/formhist/dialogs.c:formhist_buttons, src/globhist/dialogs.c:globhist_buttons, src/protocol/auth/dialogs.c:auth_buttons)
-#: src/bookmarks/dialogs.c:489 src/cache/dialogs.c:231
+#: src/bookmarks/dialogs.c:595 src/cache/dialogs.c:231
 #: src/config/dialogs.c:505 src/config/dialogs.c:930 src/cookies/dialogs.c:493
 #: src/dialogs/menu.c:463 src/formhist/dialogs.c:211
 #: src/globhist/dialogs.c:229 src/protocol/auth/dialogs.c:263
@@ -474,31 +468,31 @@ msgid "~Delete"
 msgstr "Apagar"
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons, src/config/dialogs.c:keybinding_buttons, src/config/dialogs.c:option_buttons, src/cookies/dialogs.c:cookie_buttons, src/dialogs/menu.c:ext_menu)
-#: src/bookmarks/dialogs.c:490 src/config/dialogs.c:504
+#: src/bookmarks/dialogs.c:596 src/config/dialogs.c:504
 #: src/config/dialogs.c:929 src/cookies/dialogs.c:490 src/dialogs/menu.c:461
 msgid "~Add"
 msgstr "~Adicionar"
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons)
-#: src/bookmarks/dialogs.c:491
+#: src/bookmarks/dialogs.c:597
 #, fuzzy
 msgid "Add se~parator"
 msgstr "Procurar no histrico"
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons)
-#: src/bookmarks/dialogs.c:492
+#: src/bookmarks/dialogs.c:598
 #, fuzzy
 msgid "Add ~folder"
 msgstr "Adicionar directoria"
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons)
-#: src/bookmarks/dialogs.c:493
+#: src/bookmarks/dialogs.c:599
 #, fuzzy
 msgid "~Move"
 msgstr "Mover"
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons, src/cache/dialogs.c:cache_buttons, src/config/dialogs.c:keybinding_buttons, src/config/dialogs.c:option_buttons, src/dialogs/menu.c:view_menu, src/globhist/dialogs.c:globhist_buttons)
-#: src/bookmarks/dialogs.c:494 src/cache/dialogs.c:232
+#: src/bookmarks/dialogs.c:600 src/cache/dialogs.c:232
 #: src/config/dialogs.c:506 src/config/dialogs.c:932 src/dialogs/menu.c:413
 #: src/globhist/dialogs.c:230
 msgid "~Search"
@@ -506,38 +500,52 @@ msgstr "Procurar"
 
 #. This one is too dangerous, so just let user delete
 #. * the bookmarks file if needed. --Zas
-#: src/bookmarks/dialogs.c:498
+#: src/bookmarks/dialogs.c:604
 msgid "Clear"
 msgstr "Limpar"
 
 #. TODO: Would this be useful? --jonas
-#: src/bookmarks/dialogs.c:501 src/globhist/dialogs.c:235
+#: src/bookmarks/dialogs.c:607 src/globhist/dialogs.c:235
 msgid "Save"
 msgstr "Salvar"
 
-#: src/bookmarks/dialogs.c:507
+#: src/bookmarks/dialogs.c:613
 msgid "Bookmark manager"
 msgstr "Gerenciador de Bookmark"
 
-#: src/bookmarks/dialogs.c:632
+#: src/bookmarks/dialogs.c:825
 msgid "Search bookmarks"
 msgstr "Procurar Bookmark"
 
-#: src/bookmarks/dialogs.c:661
+#. When the user eventually pushes the OK button, BFU calls
+#. * bookmark_add_add() and gives it the struct dialog * as the
+#. * void * parameter.  However, bookmark_add_add() also needs
+#. * to know the struct terminal *, and there is no way to get
+#. * that from struct dialog.  The other bookmark dialogs work
+#. * around that by making dialog.udata point to the struct
+#. * dialog_data of the bookmark manager, but the "Add bookmark"
+#. * dialog can be triggered with ACT_MAIN_ADD_BOOKMARK, which
+#. * does not involve the bookmark manager at all.
+#. *
+#. * The solution here is to save the struct terminal * in
+#. * dialog.udata2, which the "Edit bookmark" dialog uses for
+#. * struct bookmark *.  When adding a new bookmark, we don't
+#. * need a pointer to an existing one, of course.
+#: src/bookmarks/dialogs.c:892
 msgid "Add bookmark"
 msgstr "Adicionar bookmark"
 
-#: src/bookmarks/dialogs.c:697
+#: src/bookmarks/dialogs.c:950
 #, fuzzy
 msgid "Saved session"
 msgstr "~Salvar opes"
 
-#: src/bookmarks/dialogs.c:705
+#: src/bookmarks/dialogs.c:958
 #, fuzzy
 msgid "Bookmark tabs"
 msgstr "Bookmark~s (marcadores)"
 
-#: src/bookmarks/dialogs.c:705
+#: src/bookmarks/dialogs.c:958
 #, fuzzy
 msgid "Enter folder name"
 msgstr "Nome da directoria"
@@ -551,7 +559,7 @@ msgstr "Ir para URL"
 msgid "Redirect"
 msgstr ""
 
-#: src/cache/dialogs.c:85 src/config/options.inc:519
+#: src/cache/dialogs.c:85 src/config/options.inc:553
 #: src/dialogs/document.c:156 src/protocol/bittorrent/dialogs.c:126
 msgid "Size"
 msgstr "Tamanho"
@@ -598,7 +606,7 @@ msgstr ""
 msgid "ID"
 msgstr ""
 
-#: src/cache/dialogs.c:134 src/config/options.inc:669
+#: src/cache/dialogs.c:134 src/config/options.inc:707
 #, fuzzy
 msgid "Header"
 msgstr "Informao de cabealhos"
@@ -1354,7 +1362,7 @@ msgstr "Host no encontrado"
 msgid "Resolver error"
 msgstr "Erro ao salvar"
 
-#: src/config/cmdline.c:256 src/cookies/cookies.c:841 src/network/state.c:47
+#: src/config/cmdline.c:256 src/cookies/cookies.c:843 src/network/state.c:47
 #: src/util/secsave.c:379
 msgid "Out of memory"
 msgstr "Sem memria"
@@ -1376,290 +1384,291 @@ msgstr ""
 msgid "Remote method not supported"
 msgstr ""
 
-#: src/config/cmdline.c:452
+#: src/config/cmdline.c:437
+msgid "Out of memory formatting option documentation"
+msgstr ""
+
+#: src/config/cmdline.c:474
 msgid "Template option folder"
 msgstr ""
 
-#: src/config/cmdline.c:475
+#: src/config/cmdline.c:497
 #, c-format
 msgid "(default: %ld)"
 msgstr ""
 
-#: src/config/cmdline.c:482 src/config/cmdline.c:511
+#: src/config/cmdline.c:504 src/config/cmdline.c:533
 #, c-format
 msgid "(default: \"%s\")"
 msgstr ""
 
-#: src/config/cmdline.c:487
+#: src/config/cmdline.c:509
 #, c-format
 msgid "(alias for %s)"
 msgstr ""
 
-#: src/config/cmdline.c:492 src/config/cmdline.c:501
+#: src/config/cmdline.c:514 src/config/cmdline.c:523
 #, c-format
 msgid "(default: %s)"
 msgstr ""
 
-#: src/config/cmdline.c:642
+#: src/config/cmdline.c:654
 #, fuzzy
 msgid "Configuration options"
 msgstr "Conexes"
 
-#: src/config/cmdline.c:646
+#: src/config/cmdline.c:658
 msgid "Usage: elinks [OPTION]... [URL]..."
 msgstr ""
 
-#: src/config/cmdline.c:647
+#: src/config/cmdline.c:659
 #, fuzzy
 msgid "Options"
 msgstr "~Salvar opes"
 
-#: src/config/cmdline.c:689
+#: src/config/cmdline.c:701
 #, fuzzy
 msgid "Internal consistency error"
 msgstr "Erro interno"
 
 #.
-#: src/config/cmdline.c:725
+#: src/config/cmdline.c:737
 msgid "Restrict to anonymous mode"
 msgstr ""
 
-#: src/config/cmdline.c:727
+#: src/config/cmdline.c:739
 msgid ""
-"Restricts ELinks so it can run on an anonymous account.\n"
-"Local file browsing, downloads, and modification of options\n"
-"will be disabled. Execution of viewers is allowed, but entries\n"
-"in the association table can't be added or modified."
+"Restricts ELinks so it can run on an anonymous account. Local file browsing, "
+"downloads, and modification of options will be disabled. Execution of "
+"viewers is allowed, but entries in the association table can't be added or "
+"modified."
 msgstr ""
 
-#: src/config/cmdline.c:732
+#: src/config/cmdline.c:745
 #, fuzzy
 msgid "Autosubmit first form"
 msgstr "Enviar formulrio"
 
-#: src/config/cmdline.c:734
+#: src/config/cmdline.c:747
 msgid "Automatically submit the first form in the given URLs."
 msgstr ""
 
-#: src/config/cmdline.c:736
+#: src/config/cmdline.c:749
 msgid "Clone internal session with given ID"
 msgstr ""
 
-#: src/config/cmdline.c:738
+#: src/config/cmdline.c:751
 msgid ""
-"Used internally when opening ELinks instances in new windows.\n"
-"The ID maps to information that will be used when creating the\n"
-"new instance. You don't want to use it."
+"Used internally when opening ELinks instances in new windows. The ID maps to "
+"information that will be used when creating the new instance. You don't want "
+"to use it."
 msgstr ""
 
-#: src/config/cmdline.c:744
+#: src/config/cmdline.c:757
 msgid "Name of directory with configuration file"
 msgstr ""
 
-#: src/config/cmdline.c:746
+#: src/config/cmdline.c:759
 msgid ""
-"Path of the directory ELinks will read and write its\n"
-"config and runtime state files to instead of ~/.elinks.\n"
-"If the path does not begin with a '/' it is assumed to be\n"
-"relative to your HOME directory."
+"Path of the directory ELinks will read and write its config and runtime "
+"state files to instead of ~/.elinks. If the path does not begin with a '/' "
+"it is assumed to be relative to your HOME directory."
 msgstr ""
 
-#: src/config/cmdline.c:751
+#: src/config/cmdline.c:764
 msgid "Print default configuration file to stdout"
 msgstr ""
 
-#: src/config/cmdline.c:753
+#: src/config/cmdline.c:766
 msgid ""
-"Print a configuration file with options set to the built-in\n"
-"defaults to stdout."
+"Print a configuration file with options set to the built-in defaults to "
+"stdout."
 msgstr ""
 
-#: src/config/cmdline.c:758
+#: src/config/cmdline.c:771
 msgid "Name of configuration file"
 msgstr ""
 
-#: src/config/cmdline.c:760
+#: src/config/cmdline.c:773
 msgid ""
-"Name of the configuration file that all configuration\n"
-"options will be read from and written to. It should be\n"
-"relative to config-dir."
+"Name of the configuration file that all configuration options will be read "
+"from and written to. It should be relative to config-dir."
 msgstr ""
 
-#: src/config/cmdline.c:764
+#: src/config/cmdline.c:777
 msgid "Print help for configuration options"
 msgstr ""
 
-#: src/config/cmdline.c:766
+#: src/config/cmdline.c:779
 msgid "Print help for configuration options and exit."
 msgstr ""
 
-#: src/config/cmdline.c:768
+#: src/config/cmdline.c:781
 msgid "MIME type assumed for unknown document types"
 msgstr ""
 
-#: src/config/cmdline.c:770
+#: src/config/cmdline.c:783
 msgid "The default MIME type used for documents of unknown type."
 msgstr ""
 
-#: src/config/cmdline.c:772
+#: src/config/cmdline.c:786
 msgid "Ignore user-defined keybindings"
 msgstr ""
 
-#: src/config/cmdline.c:774
+#: src/config/cmdline.c:788
 msgid ""
-"When set, all keybindings from configuration files will be\n"
-"ignored. It forces use of default keybindings and will reset\n"
-"user-defined ones on save."
+"When set, all keybindings from configuration files will be ignored. It "
+"forces use of default keybindings and will reset user-defined ones on save."
 msgstr ""
 
-#: src/config/cmdline.c:778
+#: src/config/cmdline.c:792
 msgid "Print formatted versions of given URLs to stdout"
 msgstr ""
 
-#: src/config/cmdline.c:780
+#: src/config/cmdline.c:794
 msgid "Print formatted plain-text versions of given URLs to stdout."
 msgstr ""
 
-#: src/config/cmdline.c:782
+#: src/config/cmdline.c:797
 msgid "Codepage to use with -dump"
 msgstr ""
 
-#: src/config/cmdline.c:784
+#: src/config/cmdline.c:799
 msgid "Codepage used when formatting dump output."
 msgstr ""
 
-#: src/config/cmdline.c:786
+#: src/config/cmdline.c:801
 msgid "Color mode used with -dump"
 msgstr ""
 
-#: src/config/cmdline.c:788
+#: src/config/cmdline.c:803
 msgid "Color mode used with -dump."
 msgstr ""
 
-#: src/config/cmdline.c:790
+#: src/config/cmdline.c:805
 msgid "Width of document formatted with -dump"
 msgstr ""
 
-#: src/config/cmdline.c:792
+#: src/config/cmdline.c:807
 msgid "Width of the dump output."
 msgstr ""
 
-#: src/config/cmdline.c:794
+#: src/config/cmdline.c:809
 msgid "Evaluate configuration file directive"
 msgstr ""
 
-#: src/config/cmdline.c:796
+#: src/config/cmdline.c:811
 msgid ""
-"Specify configuration file directives on the command-line\n"
-"which will be evaluated after all configuration files has been\n"
-"read. Example usage:\n"
+"Specify configuration file directives on the command-line which will be "
+"evaluated after all configuration files has been read. Example usage:\n"
 "\t-eval 'set protocol.file.allow_special_files = 1'"
 msgstr ""
 
 #. lynx compatibility
-#: src/config/cmdline.c:802
+#: src/config/cmdline.c:817
 msgid "Interpret documents of unknown types as HTML"
 msgstr ""
 
-#: src/config/cmdline.c:804
+#: src/config/cmdline.c:819
 msgid ""
-"Makes ELinks assume documents of unknown types are HTML.\n"
-"Useful when using ELinks as an external viewer from MUAs.\n"
-"This is equivalent to -default-mime-type text/html."
+"Makes ELinks assume documents of unknown types are HTML. Useful when using "
+"ELinks as an external viewer from MUAs. This is equivalent to -default-mime-"
+"type text/html."
 msgstr ""
 
-#: src/config/cmdline.c:814
+#: src/config/cmdline.c:829
 msgid "Print usage help and exit"
 msgstr ""
 
-#: src/config/cmdline.c:816
+#: src/config/cmdline.c:831
 msgid "Print usage help and exit."
 msgstr ""
 
-#: src/config/cmdline.c:818
+#: src/config/cmdline.c:833
 msgid "Only permit local connections"
 msgstr ""
 
-#: src/config/cmdline.c:820
+#: src/config/cmdline.c:835
 msgid ""
-"Restricts ELinks to work offline and only connect to servers\n"
-"with local addresses (ie. 127.0.0.1). No connections to remote\n"
-"servers will be permitted."
+"Restricts ELinks to work offline and only connect to servers with local "
+"addresses (ie. 127.0.0.1). No connections to remote servers will be "
+"permitted."
 msgstr ""
 
-#: src/config/cmdline.c:824
+#: src/config/cmdline.c:839
 msgid "Print detailed usage help and exit"
 msgstr ""
 
-#: src/config/cmdline.c:826
+#: src/config/cmdline.c:841
 msgid "Print detailed usage help and exit."
 msgstr ""
 
-#: src/config/cmdline.c:828
+#: src/config/cmdline.c:843
 #, fuzzy
 msgid "Look up specified host"
 msgstr "Nenhum programa foi especificado para"
 
-#: src/config/cmdline.c:830
+#: src/config/cmdline.c:845
 msgid "Look up specified host and print all DNS resolved IP addresses."
 msgstr ""
 
-#: src/config/cmdline.c:832
+#: src/config/cmdline.c:848
 msgid "Run as separate instance"
 msgstr ""
 
-#: src/config/cmdline.c:834
+#: src/config/cmdline.c:850
 msgid ""
-"Run ELinks as a separate instance instead of connecting to an\n"
-"existing instance. Note that normally no runtime state files\n"
-"(bookmarks, history, etc.) are written to the disk when this\n"
-"option is used. See also -touch-files."
+"Run ELinks as a separate instance instead of connecting to an existing "
+"instance. Note that normally no runtime state files (bookmarks, history, "
+"etc.) are written to the disk when this option is used. See also -touch-"
+"files."
 msgstr ""
 
-#: src/config/cmdline.c:839
+#: src/config/cmdline.c:855
 msgid "Disable use of files in ~/.elinks"
 msgstr ""
 
-#: src/config/cmdline.c:841
+#: src/config/cmdline.c:857
 msgid ""
-"Disables creation and use of files in the user specific home\n"
-"configuration directory (~/.elinks). It forces default configuration\n"
-"values to be used and disables saving of runtime state files."
+"Disables creation and use of files in the user specific home configuration "
+"directory (~/.elinks). It forces default configuration values to be used and "
+"disables saving of runtime state files."
 msgstr ""
 
-#: src/config/cmdline.c:845
+#: src/config/cmdline.c:862
 msgid "Disable link numbering in dump output"
 msgstr ""
 
-#: src/config/cmdline.c:847
+#: src/config/cmdline.c:864
 msgid ""
 "Prevents printing of link number in dump output.\n"
+"\n"
 "Note that this really affects only -dump, nothing else."
 msgstr ""
 
-#: src/config/cmdline.c:850
+#: src/config/cmdline.c:868
 msgid "Disable printing of link references in dump output"
 msgstr ""
 
-#: src/config/cmdline.c:852
+#: src/config/cmdline.c:870
 msgid ""
-"Prevents printing of references (URIs) of document links\n"
-"in dump output.\n"
+"Prevents printing of references (URIs) of document links in dump output.\n"
+"\n"
 "Note that this really affects only -dump, nothing else."
 msgstr ""
 
-#: src/config/cmdline.c:856
+#: src/config/cmdline.c:875
 msgid "Control an already running ELinks"
 msgstr ""
 
-#: src/config/cmdline.c:858
+#: src/config/cmdline.c:877
 msgid ""
-"Control a remote ELinks instance by passing commands to it.\n"
-"The option takes an additional argument containing the method\n"
-"which should be invoked and any parameters that should be passed\n"
-"to it. For ease of use, the additional method argument can be\n"
-"omitted in which case any URL arguments will be opened in new\n"
-"tabs in the remote instance.\n"
+"Control a remote ELinks instance by passing commands to it. The option takes "
+"an additional argument containing the method which should be invoked and any "
+"parameters that should be passed to it. For ease of use, the additional "
+"method argument can be omitted in which case any URL arguments will be "
+"opened in new tabs in the remote instance.\n"
+"\n"
 "Following is a list of the supported methods:\n"
 "\tping()                    : look for a remote instance\n"
 "\topenURL()                 : prompt URL in current tab\n"
@@ -1671,70 +1680,69 @@ msgid ""
 "\txfeDoCommand(openBrowser) : open new window"
 msgstr ""
 
-#: src/config/cmdline.c:874
+#: src/config/cmdline.c:895
 msgid "Connect to session ring with given ID"
 msgstr ""
 
-#: src/config/cmdline.c:876
+#: src/config/cmdline.c:897
 msgid ""
-"ID of session ring this ELinks session should connect to. ELinks\n"
-"works in so-called session rings, whereby all instances of ELinks\n"
-"are interconnected and share state (cache, bookmarks, cookies,\n"
-"and so on). By default, all ELinks instances connect to session\n"
-"ring 0. You can change that behaviour with this switch and form as\n"
-"many session rings as you want. Obviously, if the session-ring with\n"
-"this number doesn't exist yet, it's created and this ELinks instance\n"
-"will become the master instance (that usually doesn't matter for you\n"
-"as a user much). Note that you usually don't want to use this unless\n"
-"you're a developer and you want to do some testing - if you want the\n"
-"ELinks instances each running standalone, rather use the -no-connect\n"
-"command-line option. Also note that normally no runtime state files\n"
-"are written to the disk when this option is used. See also\n"
-"-touch-files."
+"ID of session ring this ELinks session should connect to. ELinks works in so-"
+"called session rings, whereby all instances of ELinks are interconnected and "
+"share state (cache, bookmarks, cookies, and so on). By default, all ELinks "
+"instances connect to session ring 0. You can change that behaviour with this "
+"switch and form as many session rings as you want. Obviously, if the session-"
+"ring with this number doesn't exist yet, it's created and this ELinks "
+"instance will become the master instance (that usually doesn't matter for "
+"you as a user much).\n"
+"\n"
+"Note that you usually don't want to use this unless you're a developer and "
+"you want to do some testing - if you want the ELinks instances each running "
+"standalone, rather use the -no-connect command-line option. Also note that "
+"normally no runtime state files are written to the disk when this option is "
+"used. See also -touch-files."
 msgstr ""
 
-#: src/config/cmdline.c:891
+#: src/config/cmdline.c:915
 msgid "Print the source of given URLs to stdout"
 msgstr ""
 
-#: src/config/cmdline.c:893
+#: src/config/cmdline.c:917
 msgid "Print given URLs in source form to stdout."
 msgstr ""
 
-#: src/config/cmdline.c:897
+#: src/config/cmdline.c:921
 msgid "Touch files in ~/.elinks when running with -no-connect/-session-ring"
 msgstr ""
 
-#: src/config/cmdline.c:899
+#: src/config/cmdline.c:923
 msgid ""
-"When enabled, runtime state files (bookmarks, history, etc.) are\n"
-"written to disk, even when -no-connect or -session-ring is used.\n"
-"The option has no effect if not used in conjunction with any of\n"
-"these options."
+"When enabled, runtime state files (bookmarks, history, etc.) are written to "
+"disk, even when -no-connect or -session-ring is used. The option has no "
+"effect if not used in conjunction with any of these options."
 msgstr ""
 
-#: src/config/cmdline.c:904
+#: src/config/cmdline.c:928
 msgid "Verbose level"
 msgstr ""
 
-#: src/config/cmdline.c:906
+#: src/config/cmdline.c:930
 msgid ""
-"The verbose level controls what messages are shown at\n"
-"start up and while running:\n"
+"The verbose level controls what messages are shown at start up and while "
+"running:\n"
 "\t0 means only show serious errors\n"
 "\t1 means show serious errors and warnings\n"
 "\t2 means show all messages"
 msgstr ""
 
-#: src/config/cmdline.c:912
+#: src/config/cmdline.c:936
 msgid "Print version information and exit"
 msgstr ""
 
-#: src/config/cmdline.c:914
+#: src/config/cmdline.c:938
 msgid "Print ELinks version information and exit."
 msgstr ""
 
-#: src/config/conf.c:938
+#: src/config/conf.c:963
 msgid ""
 "## This is ELinks configuration file. You can edit it manually,\n"
 "## if you wish so; this file is edited by ELinks when you save\n"
@@ -1742,7 +1750,7 @@ msgid ""
 "## and all your formatting, own comments etc will be kept as-is.\n"
 msgstr ""
 
-#: src/config/conf.c:946
+#: src/config/conf.c:971
 msgid ""
 "## This is ELinks configuration file. You can edit it manually,\n"
 "## if you wish so; this file is edited by ELinks when you save\n"
@@ -1753,7 +1761,7 @@ msgid ""
 "## own comments and so on will be kept as-is.\n"
 msgstr ""
 
-#: src/config/conf.c:956
+#: src/config/conf.c:981
 msgid ""
 "## This is ELinks configuration file. You can edit it manually,\n"
 "## if you wish so, but keep in mind that this file is overwritten\n"
@@ -1761,18 +1769,18 @@ msgid ""
 "## luck with your formatting and own comments then, so beware.\n"
 msgstr ""
 
-#: src/config/conf.c:967
+#: src/config/conf.c:992
 msgid ""
 "## Obviously, if you don't like what ELinks is going to do with\n"
 "## this file, you can change it by altering the config.saving_style\n"
 "## option. Come on, aren't we friendly guys after all?\n"
 msgstr ""
 
-#: src/config/conf.c:980
+#: src/config/conf.c:1005
 msgid "Automatically saved options\n"
 msgstr ""
 
-#: src/config/conf.c:992
+#: src/config/conf.c:1017
 msgid "Automatically saved keybindings\n"
 msgstr ""
 
@@ -1833,7 +1841,7 @@ msgstr ""
 #. * switch charsets.  So, it will work in any terminal that
 #. * understands UTF-8 and has the characters in its font.
 #: src/config/dialogs.c:149 src/config/dialogs.c:330
-#: src/config/options.inc:840
+#: src/config/options.inc:887
 msgid "Type"
 msgstr ""
 
@@ -1859,9 +1867,9 @@ msgid "Description"
 msgstr ""
 
 #: src/config/dialogs.c:291 src/protocol/bittorrent/dialogs.c:600
-#: src/protocol/protocol.c:240 src/session/session.c:287
-#: src/session/session.c:975 src/viewer/text/textarea.c:594
-#: src/viewer/text/textarea.c:601
+#: src/protocol/protocol.c:240 src/session/session.c:288
+#: src/session/session.c:999 src/viewer/text/textarea.c:583
+#: src/viewer/text/textarea.c:590
 msgid "Error"
 msgstr "Erro"
 
@@ -1896,7 +1904,7 @@ msgstr ""
 #. accelerator_context(src/config/dialogs.c:keybinding_buttons, src/config/dialogs.c:option_buttons, src/cookies/dialogs.c:cookie_buttons, src/formhist/dialogs.c:formhist_buttons, src/protocol/bittorrent/dialogs.c:bittorrent_query_callback, src/session/download.c:do_type_query, terminal_options)
 #: src/config/dialogs.c:507 src/config/dialogs.c:933 src/cookies/dialogs.c:495
 #: src/dialogs/options.c:236 src/formhist/dialogs.c:214
-#: src/protocol/bittorrent/dialogs.c:801 src/session/download.c:1203
+#: src/protocol/bittorrent/dialogs.c:801 src/session/download.c:1229
 #, fuzzy
 msgid "Sa~ve"
 msgstr "Salvar"
@@ -1910,7 +1918,7 @@ msgstr "Gerenciador de Bookmark"
 msgid "Keystroke"
 msgstr ""
 
-#: src/config/dialogs.c:676 src/config/options.inc:1219
+#: src/config/dialogs.c:676 src/config/options.inc:1292
 msgid "Action"
 msgstr ""
 
@@ -1982,32 +1990,32 @@ msgid ""
 "directory."
 msgstr ""
 
-#: src/config/kbdbind.c:221
+#: src/config/kbdbind.c:222
 msgid "Main mapping"
 msgstr ""
 
-#: src/config/kbdbind.c:222
+#: src/config/kbdbind.c:223
 msgid "Edit mapping"
 msgstr ""
 
-#: src/config/kbdbind.c:223
+#: src/config/kbdbind.c:224
 msgid "Menu mapping"
 msgstr ""
 
-#: src/config/kbdbind.c:588 src/scripting/python/keybinding.c:104
+#: src/config/kbdbind.c:589 src/scripting/python/keybinding.c:104
 msgid "Unrecognised keymap"
 msgstr ""
 
-#: src/config/kbdbind.c:591
+#: src/config/kbdbind.c:592
 #, fuzzy
 msgid "Error parsing keystroke"
 msgstr "Erro ao gravar pelo socket"
 
-#: src/config/kbdbind.c:595
+#: src/config/kbdbind.c:596
 msgid "Unrecognised action (internal error)"
 msgstr ""
 
-#: src/config/kbdbind.c:611
+#: src/config/kbdbind.c:612
 #, fuzzy
 msgid "Error registering event"
 msgstr "Erro ao gravar pelo socket"
@@ -2035,333 +2043,328 @@ msgid ""
 "3 is full comments are written"
 msgstr ""
 
-#: src/config/options.inc:31
+#: src/config/options.inc:32
 #, fuzzy
 msgid "Indentation"
 msgstr "Negociao SSL"
 
-#: src/config/options.inc:33
+#: src/config/options.inc:34
 msgid ""
-"Shift width of one indentation level in the configuration\n"
-"file. Zero means that no indentation is performed at all\n"
-"when saving the configuration."
+"Shift width of one indentation level in the configuration file. Zero means "
+"that no indentation is performed at all when saving the configuration."
 msgstr ""
 
-#: src/config/options.inc:37
+#: src/config/options.inc:38
 msgid "Saving style"
 msgstr ""
 
-#: src/config/options.inc:39
+#: src/config/options.inc:40
 msgid ""
 "Determines what happens when you tell ELinks to save options:\n"
 "0 is only values of current options are altered\n"
-"1 is values of current options are altered and missing options\n"
-"     are added at the end of the file\n"
+"1 is values of current options are altered and missing\n"
+"     options are added at the end of the file\n"
 "2 is the configuration file is rewritten from scratch\n"
-"3 is values of current options are altered and missing options\n"
-"     CHANGED during this ELinks session are added at the end of\n"
-"     the file"
+"3 is values of current options are altered and missing\n"
+"     options CHANGED during this ELinks session are added at\n"
+"     the end of the file"
 msgstr ""
 
-#: src/config/options.inc:48
+#: src/config/options.inc:50
 msgid "Comments localization"
 msgstr ""
 
-#: src/config/options.inc:50
+#: src/config/options.inc:52
 msgid ""
-"If set to 1, comments in the configuration file will be\n"
-"translated to the language used by UI. Note that if you have\n"
-"different language set in different terminals, the language\n"
-"used in the configuration file MAY be the same as on the\n"
-"terminal where you saved the file, but it should be generally\n"
+"If set to 1, comments in the configuration file will be translated to the "
+"language used by UI. Note that if you have different language set in "
+"different terminals, the language used in the configuration file MAY be the "
+"same as on the terminal where you saved the file, but it should be generally "
 "considered unpredictable."
 msgstr ""
 
-#: src/config/options.inc:58
+#: src/config/options.inc:60
 msgid "Saving style warnings"
 msgstr ""
 
-#: src/config/options.inc:60
+#: src/config/options.inc:62
 msgid ""
-"This is internal option used when displaying a warning about\n"
-"obsolete config.saving_style. You shouldn't touch it."
+"This is internal option used when displaying a warning about obsolete config."
+"saving_style. You shouldn't touch it."
 msgstr ""
 
-#: src/config/options.inc:63
+#: src/config/options.inc:66
 msgid "Show template"
 msgstr ""
 
-#: src/config/options.inc:65
+#: src/config/options.inc:68
 msgid ""
-"Show template options in autocreated trees in the options\n"
-"manager and save them to the configuration file."
+"Show template options in autocreated trees in the options manager and save "
+"them to the configuration file."
 msgstr ""
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:71 src/dialogs/info.c:180
+#: src/config/options.inc:74 src/dialogs/info.c:180
 msgid "Connections"
 msgstr "Conexes"
 
-#: src/config/options.inc:73
+#: src/config/options.inc:76
 #, fuzzy
 msgid "Connection options."
 msgstr "Conexes"
 
-#: src/config/options.inc:76
+#: src/config/options.inc:79
 msgid "Asynchronous DNS"
 msgstr ""
 
-#: src/config/options.inc:78
+#: src/config/options.inc:81
 msgid "Whether to use asynchronous DNS resolving."
 msgstr ""
 
-#: src/config/options.inc:80
+#: src/config/options.inc:83
 #, fuzzy
 msgid "Maximum connections"
 msgstr "Conectando"
 
-#: src/config/options.inc:82
+#: src/config/options.inc:85
 msgid "Maximum number of concurrent connections."
 msgstr ""
 
-#: src/config/options.inc:84
+#: src/config/options.inc:87
 #, fuzzy
 msgid "Maximum connections per host"
 msgstr "Conectando"
 
-#: src/config/options.inc:86
+#: src/config/options.inc:89
 msgid "Maximum number of concurrent connections to a given host."
 msgstr ""
 
-#: src/config/options.inc:88
+#: src/config/options.inc:92
 #, fuzzy
 msgid "Connection retries"
 msgstr "Conexes"
 
-#: src/config/options.inc:90
-msgid ""
-"Number of tries to establish a connection.\n"
-"Zero means try forever."
+#: src/config/options.inc:94
+msgid "Number of tries to establish a connection. Zero means try forever."
 msgstr ""
 
-#: src/config/options.inc:93 src/network/state.c:53
+#: src/config/options.inc:97 src/network/state.c:53
 msgid "Receive timeout"
 msgstr "Sinal timeout recebido"
 
-#: src/config/options.inc:95
+#: src/config/options.inc:99
 #, fuzzy
 msgid "Receive timeout (in seconds)."
 msgstr "Sinal timeout recebido"
 
-#: src/config/options.inc:98 src/config/options.inc:108
+#: src/config/options.inc:102 src/config/options.inc:113
 msgid "Try IPv4 when connecting"
 msgstr ""
 
-#: src/config/options.inc:100
+#: src/config/options.inc:104
 msgid ""
-"Whether to try to connect to a host over IPv4.\n"
-"Note that if connection.try_ipv6 is enabled too,\n"
-"it takes precedence. And better do not touch this\n"
+"Whether to try to connect to a host over IPv4. Note that if connection."
+"try_ipv6 is enabled too, it takes precedence. And better do not touch this "
 "at all unless you are sure what are you doing.\n"
-"Note that you can also force a given protocol\n"
-"to be used on a per-connection basis by using a URL\n"
-"in the style of e.g. http4://elinks.cz/."
+"\n"
+"Note that you can also force a given protocol to be used on a per-connection "
+"basis by using a URL in the style of e.g. http4://elinks.cz/."
 msgstr ""
 
-#: src/config/options.inc:110
+#: src/config/options.inc:115
 msgid ""
-"Whether to try to connect to a host over IPv4.\n"
-"Do not touch this option.\n"
-"Note that you can also force a given protocol\n"
-"to be used on a per-connection basis by using a URL\n"
-"in the style of e.g. http4://elinks.cz/."
+"Whether to try to connect to a host over IPv4. Do not touch this option.\n"
+"\n"
+"Note that you can also force a given protocol to be used on a per-connection "
+"basis by using a URL in the style of e.g. http4://elinks.cz/."
 msgstr ""
 
-#: src/config/options.inc:118
+#: src/config/options.inc:124
 msgid "Try IPv6 when connecting"
 msgstr ""
 
-#: src/config/options.inc:120
+#: src/config/options.inc:126
 msgid ""
 "Whether to try to connect to a host over IPv6.\n"
-"Note that you can also force a given protocol\n"
-"to be used on a per-connection basis by using a URL\n"
-"in the style of e.g. http6://elinks.cz/."
+"\n"
+"Note that you can also force a given protocol to be used on a per-connection "
+"basis by using a URL in the style of e.g. http6://elinks.cz/."
 msgstr ""
 
-#: src/config/options.inc:126
+#: src/config/options.inc:133
 msgid "Timeout for non-restartable connections"
 msgstr ""
 
-#: src/config/options.inc:128
+#: src/config/options.inc:135
 msgid "Timeout for non-restartable connections (in seconds)."
 msgstr ""
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:134
+#: src/config/options.inc:141
 #, fuzzy
 msgid "Document"
 msgstr "documentos"
 
-#: src/config/options.inc:136
+#: src/config/options.inc:143
 #, fuzzy
 msgid "Document options."
 msgstr "~Informao sobre o documento"
 
-#: src/config/options.inc:138
+#: src/config/options.inc:145
 msgid "Browsing"
 msgstr ""
 
-#: src/config/options.inc:140
+#: src/config/options.inc:147
 msgid "Document browsing options (mainly interactivity)."
 msgstr ""
 
-#: src/config/options.inc:143
+#: src/config/options.inc:150
 msgid "Access keys"
 msgstr ""
 
-#: src/config/options.inc:145
+#: src/config/options.inc:152
 msgid ""
-"Options for handling of link access keys.\n"
-"An HTML document can use the ACCESSKEY attribute to assign\n"
-"an access key to an element. When an access key is pressed,\n"
-"the corresponding element will be given focus."
+"Options for handling of link access keys. An HTML document can use the "
+"ACCESSKEY attribute to assign an access key to an element. When an access "
+"key is pressed, the corresponding element will be given focus."
 msgstr ""
 
-#: src/config/options.inc:150
+#: src/config/options.inc:157
 msgid "Automatic links following"
 msgstr ""
 
-#: src/config/options.inc:152
+#: src/config/options.inc:159
 msgid ""
-"Automatically follow a link or submit a form if appropriate\n"
-"accesskey is pressed - this is the standard behaviour, but it's\n"
-"considered dangerous."
+"Automatically follow a link or submit a form if appropriate accesskey is "
+"pressed - this is the standard behaviour, but it's considered dangerous."
 msgstr ""
 
-#: src/config/options.inc:156
+#: src/config/options.inc:163
 msgid "Display access key in link info"
 msgstr ""
 
-#: src/config/options.inc:158
+#: src/config/options.inc:165
 msgid "Display access key in link info."
 msgstr ""
 
-#: src/config/options.inc:160
+#: src/config/options.inc:167
 msgid "Accesskey priority"
 msgstr ""
 
-#: src/config/options.inc:162
+#: src/config/options.inc:169
 msgid ""
 "Priority of 'accesskey' HTML attribute:\n"
-"0 is first try all normal bindings; if it fails, check accesskey\n"
-"1 is first try only frame bindings; if it fails, check accesskey\n"
+"0 is first try all normal bindings; if it fails,\n"
+"     check accesskey\n"
+"1 is first try only frame bindings; if it fails,\n"
+"     check accesskey\n"
 "2 is first check accesskey (this can be dangerous)"
 msgstr ""
 
-#: src/config/options.inc:168
+#: src/config/options.inc:177
 msgid "Forms"
 msgstr ""
 
-#: src/config/options.inc:170
+#: src/config/options.inc:179
 msgid "Options for handling of the forms interaction."
 msgstr ""
 
-#: src/config/options.inc:172
+#: src/config/options.inc:181
 #, fuzzy
 msgid "Submit form automatically"
 msgstr "Enviar formulrio para"
 
-#: src/config/options.inc:174
+#: src/config/options.inc:183
 msgid ""
-"Automagically submit a form when enter is pressed with a text\n"
-"field selected."
+"Automagically submit a form when enter is pressed with a text field selected."
 msgstr ""
 
-#: src/config/options.inc:177
+#: src/config/options.inc:186
 msgid "Confirm submission"
 msgstr ""
 
-#: src/config/options.inc:179
+#: src/config/options.inc:188
 msgid "Ask for confirmation when submitting a form."
 msgstr ""
 
-#: src/config/options.inc:181
+#: src/config/options.inc:190
 msgid "Default form input size"
 msgstr ""
 
-#: src/config/options.inc:183
+#: src/config/options.inc:192
 msgid "Default form input size if none is specified."
 msgstr ""
 
-#: src/config/options.inc:185
+#: src/config/options.inc:194
 msgid "Insert mode"
 msgstr ""
 
-#: src/config/options.inc:187
+#: src/config/options.inc:196
 msgid ""
-"The setting for this option affects how key presses are handled\n"
-"when one selects a text-input form-field. When enabled, one must\n"
-"explicitly 'enter' a selected text-field to edit it; this prevents\n"
-"text fields from capturing key presses, such as presses of a scroll\n"
-"key, when it is inadvertently selected. When disabled, key presses\n"
-"are always inserted into a selected text field."
+"The setting for this option affects how key presses are handled when one "
+"selects a text-input form-field. When enabled, one must explicitly 'enter' a "
+"selected text-field to edit it; this prevents text fields from capturing key "
+"presses, such as presses of a scroll key, when it is inadvertently selected. "
+"When disabled, key presses are always inserted into a selected text field."
 msgstr ""
 
-#: src/config/options.inc:194
+#: src/config/options.inc:204
 #, fuzzy
 msgid "External editor"
 msgstr "Erro interno"
 
-#: src/config/options.inc:196
+#: src/config/options.inc:206
 msgid ""
-"Path to the executable that ELinks should launch when the user\n"
-"requests to edit a textarea with an external editor.\n"
-"If this is blank, ELinks will use the value of the environmental\n"
-"variable $EDITOR. If $EDITOR is empty or not set, ELinks will then\n"
-"default to \"vi\"."
+"Path to the executable that ELinks should launch when the user requests to "
+"edit a textarea with an external editor.\n"
+"\n"
+"If this is blank, ELinks will use the value of the environmental variable "
+"$EDITOR. If $EDITOR is empty or not set, ELinks will then default to \"vi\"."
 msgstr ""
 
-#: src/config/options.inc:203
+#: src/config/options.inc:214
 #, fuzzy
 msgid "Images"
 msgstr "Imagem"
 
-#: src/config/options.inc:205
+#: src/config/options.inc:216
 msgid "Options for handling of images."
 msgstr ""
 
-#: src/config/options.inc:207
+#: src/config/options.inc:218
 #, fuzzy
 msgid "Display style for image tags"
 msgstr "Exibir"
 
-#: src/config/options.inc:209
+#: src/config/options.inc:220
 msgid ""
 "Display style for image tags when displayed:\n"
 "0     means always display IMG\n"
 "1     means always display filename\n"
-"2     means display alt/title attribute if possible, IMG if not\n"
-"3     means display alt/title attribute if possible, filename if not"
+"2     means display alt/title attribute if possible,\n"
+"      IMG if not\n"
+"3     means display alt/title attribute if possible,\n"
+"      filename if not"
 msgstr ""
 
-#: src/config/options.inc:215
+#: src/config/options.inc:228
 msgid "Maximum length for image filename"
 msgstr ""
 
-#: src/config/options.inc:217
+#: src/config/options.inc:230
 msgid ""
 "Maximum length of image filename when displayed:\n"
 "0     means always display full filename\n"
 "1-500 means display filename with this maximal length;\n"
-"      if it is longer, the middle is substituted by an asterisk"
+"      if it is longer, the middle is substituted by\n"
+"      an asterisk"
 msgstr ""
 
-#: src/config/options.inc:227
+#: src/config/options.inc:241
 msgid "Image links tagging"
 msgstr ""
 
-#: src/config/options.inc:229
+#: src/config/options.inc:243
 msgid ""
 "When to enclose image links:\n"
 "0 means never\n"
@@ -2369,92 +2372,92 @@ msgid ""
 "2 means always"
 msgstr ""
 
-#: src/config/options.inc:234
+#: src/config/options.inc:248
 msgid "Image link prefix"
 msgstr ""
 
-#: src/config/options.inc:236
+#: src/config/options.inc:250
 msgid "Prefix string to use to mark image links."
 msgstr ""
 
-#: src/config/options.inc:238
+#: src/config/options.inc:252
 msgid "Image link suffix"
 msgstr ""
 
-#: src/config/options.inc:240
+#: src/config/options.inc:254
 msgid "Suffix string to use to mark image links."
 msgstr ""
 
-#: src/config/options.inc:242
+#: src/config/options.inc:256
 msgid "Maximum length for image label"
 msgstr ""
 
-#: src/config/options.inc:244
+#: src/config/options.inc:258
 msgid ""
 "Maximum length of image label (alt/title):\n"
 "0     means always display full label\n"
 "1-500 means display label with this maximal length;\n"
-"      if it is longer, the middle is substituted by an asterisk"
+"      if it is longer, the middle is substituted by\n"
+"      an asterisk"
 msgstr ""
 
-#: src/config/options.inc:249
+#: src/config/options.inc:264
 msgid "Display links to images w/o alt"
 msgstr ""
 
-#: src/config/options.inc:251
+#: src/config/options.inc:266
 msgid ""
-"Display links to images without an alt attribute. If this option\n"
-"is off, these images are completely invisible."
+"Display links to images without an alt attribute. If this option is off, "
+"these images are completely invisible."
 msgstr ""
 
-#: src/config/options.inc:254
+#: src/config/options.inc:269
 #, fuzzy
 msgid "Display links to images"
 msgstr "Exibir"
 
-#: src/config/options.inc:256
+#: src/config/options.inc:271
 msgid ""
-"Display links to any images in the document, regardless of them\n"
-"having an alt attribute or not. If this option is off, the alt\n"
-"attribute contents is shown, but as normal text, not selectable\n"
-"as a link."
+"Display links to any images in the document, regardless of them having an "
+"alt attribute or not. If this option is off, the alt attribute contents is "
+"shown, but as normal text, not selectable as a link."
 msgstr ""
 
-#: src/config/options.inc:262
+#: src/config/options.inc:277
 #, fuzzy
 msgid "Links"
 msgstr "~Link"
 
-#: src/config/options.inc:264
+#: src/config/options.inc:279
 msgid "Options for handling of links to other documents."
 msgstr ""
 
-#: src/config/options.inc:266
+#: src/config/options.inc:281
 msgid "Active link"
 msgstr ""
 
-#: src/config/options.inc:268
+#: src/config/options.inc:283
 msgid "Options for the active link."
 msgstr ""
 
-#: src/config/options.inc:270
+#: src/config/options.inc:285
 #, fuzzy
 msgid "Colors"
 msgstr "Cores"
 
-#: src/config/options.inc:272
+#: src/config/options.inc:287
 #, fuzzy
 msgid "Active link colors."
 msgstr "Titulo do link"
 
-#: src/config/options.inc:274 src/config/options.inc:549
-#: src/config/options.inc:945
+#: src/config/options.inc:289 src/config/options.inc:583
+#: src/config/options.inc:1014
 #, fuzzy
 msgid "Background color"
 msgstr "Segundo plano"
 
-#: src/config/options.inc:276 src/config/options.inc:551
-#: src/config/options.inc:946
+#: src/config/options.inc:291 src/config/options.inc:585
+#: src/config/options.inc:1015
 #, fuzzy
 msgid "Default background color."
 msgstr "Encerrar conexes em segundo plano"
@@ -2467,75 +2470,75 @@ msgstr "Encerrar conexes em segundo pla
 #. *	on it.
 #. The colors and mono tree should be similar but with different default
 #. * values of course so always use the macros below.
-#: src/config/options.inc:278 src/config/options.inc:545
-#: src/config/options.inc:943
+#: src/config/options.inc:293 src/config/options.inc:579
+#: src/config/options.inc:1012
 #, fuzzy
 msgid "Text color"
 msgstr "rea de texto"
 
-#: src/config/options.inc:280 src/config/options.inc:547
-#: src/config/options.inc:944
+#: src/config/options.inc:295 src/config/options.inc:581
+#: src/config/options.inc:1013
 msgid "Default text color."
 msgstr ""
 
-#: src/config/options.inc:282
+#: src/config/options.inc:297
 #, fuzzy
 msgid "Enable color"
 msgstr "nome"
 
-#: src/config/options.inc:284
+#: src/config/options.inc:299
 msgid ""
-"Enable use of the active link background and text color\n"
-"settings instead of the link colors from the document."
+"Enable use of the active link background and text color settings instead of "
+"the link colors from the document."
 msgstr ""
 
-#: src/config/options.inc:287
+#: src/config/options.inc:302
 msgid "Bold"
 msgstr ""
 
-#: src/config/options.inc:289
+#: src/config/options.inc:304
 msgid "Make the active link text bold."
 msgstr ""
 
-#: src/config/options.inc:291
+#: src/config/options.inc:306
 #, fuzzy
 msgid "Invert colors"
 msgstr "rea de texto"
 
-#: src/config/options.inc:293
+#: src/config/options.inc:308
 msgid "Invert the fore- and background color so the link stands out."
 msgstr ""
 
-#: src/config/options.inc:296 src/config/options.inc:908
+#: src/config/options.inc:311 src/config/options.inc:975
 #: src/dialogs/options.c:231
 msgid "Underline"
 msgstr ""
 
-#: src/config/options.inc:298
+#: src/config/options.inc:313
 msgid "Underline the active link."
 msgstr ""
 
-#: src/config/options.inc:301
+#: src/config/options.inc:316
 msgid "Directory highlighting"
 msgstr ""
 
-#: src/config/options.inc:303
+#: src/config/options.inc:318
 msgid "Highlight links to directories in FTP and local directory listing."
 msgstr ""
 
-#: src/config/options.inc:305
+#: src/config/options.inc:321
 msgid "Number links"
 msgstr ""
 
-#: src/config/options.inc:307
+#: src/config/options.inc:323
 msgid "Display numbers next to the links."
 msgstr ""
 
-#: src/config/options.inc:309
+#: src/config/options.inc:325
 msgid "Handling of target=_blank"
 msgstr ""
 
-#: src/config/options.inc:311
+#: src/config/options.inc:327
 msgid ""
 "Define how to handle links having target=_blank set:\n"
 "0 means open link in current tab\n"
@@ -2544,140 +2547,137 @@ msgid ""
 "3 means open link in new window"
 msgstr ""
 
-#: src/config/options.inc:324
+#: src/config/options.inc:340
 msgid "Use tabindex"
 msgstr ""
 
-#: src/config/options.inc:326
+#: src/config/options.inc:342
 msgid ""
-"Whether to navigate links using tabindex specified ordering.\n"
-"The TABINDEX attribute in HTML elements specifies the order\n"
-"in which links should receive focus when using the keyboard\n"
-"to navigate the document."
+"Whether to navigate links using tabindex specified ordering. The TABINDEX "
+"attribute in HTML elements specifies the order in which links should receive "
+"focus when using the keyboard to navigate the document."
 msgstr ""
 
-#: src/config/options.inc:331
+#: src/config/options.inc:347
 #, fuzzy
 msgid "Missing fragment reporting"
 msgstr "Sem frames"
 
-#: src/config/options.inc:333
+#: src/config/options.inc:349
 msgid "Open a message box when document has no tag with given id."
 msgstr ""
 
-#: src/config/options.inc:335
+#: src/config/options.inc:352
 msgid "Number keys select links"
 msgstr ""
 
-#: src/config/options.inc:337
+#: src/config/options.inc:354
 msgid ""
-"Number keys select links rather than specify command prefixes. This\n"
-"is a tristate:\n"
+"Number keys select links rather than specify command prefixes. This is a "
+"tristate:\n"
 "0 means never\n"
 "1 means if document.browse.links.numbering = 1\n"
 "2 means always"
 msgstr ""
 
-#: src/config/options.inc:343
+#: src/config/options.inc:360
 msgid "Warn about maliciously crafted URIs"
 msgstr ""
 
-#: src/config/options.inc:345
+#: src/config/options.inc:362
 msgid ""
-"When following a link the user ID part of the URI is\n"
-"checked and if a maliciously crafted URI is detected a\n"
-"warning dialog will ask before following the link."
+"When following a link the user ID part of the URI is checked and if a "
+"maliciously crafted URI is detected a warning dialog will ask before "
+"following the link."
 msgstr ""
 
 #. TODO - this is somehow implemented by ff, but disabled
 #. * for now as it doesn't work.
-#: src/config/options.inc:351
+#: src/config/options.inc:368
 msgid "Wrap-around links cycling"
 msgstr ""
 
 #. 0
-#: src/config/options.inc:353
+#: src/config/options.inc:370
 msgid ""
-"When pressing 'down' on the last link, jump to the first one, and\n"
-"vice versa."
+"When pressing 'down' on the last link, jump to the first one, and vice versa."
 msgstr ""
 
-#: src/config/options.inc:357
+#: src/config/options.inc:374
 msgid "Scrolling"
 msgstr ""
 
-#: src/config/options.inc:359
+#: src/config/options.inc:376
 #, fuzzy
 msgid "Scrolling options."
 msgstr "Opes do Terminal"
 
-#: src/config/options.inc:361
+#: src/config/options.inc:378
 msgid "Horizontal step"
 msgstr ""
 
-#: src/config/options.inc:363
+#: src/config/options.inc:380
 msgid ""
-"Number of columns to scroll when a key bound to scroll-left or scroll-\n"
-"right is pressed and no prefix was given."
+"Number of columns to scroll when a key bound to scroll-left or scroll-right "
+"is pressed and no prefix was given."
 msgstr ""
 
-#: src/config/options.inc:366
+#: src/config/options.inc:384
 msgid "Extended horizontal scrolling"
 msgstr ""
 
-#: src/config/options.inc:368
+#: src/config/options.inc:386
 msgid ""
-"Whether to allow horizontal scrolling when the document\n"
-"does not extend off the screen. Useful for copy/paste\n"
-"operations."
+"Whether to allow horizontal scrolling when the document does not extend off "
+"the screen. Useful for copy/paste operations."
 msgstr ""
 
-#: src/config/options.inc:372
+#: src/config/options.inc:390
 #, fuzzy
 msgid "Margin"
 msgstr "Ateno"
 
-#: src/config/options.inc:374
+#: src/config/options.inc:392
 msgid ""
-"Size of the virtual margin - when you click inside of that margin,\n"
-"document scrolls in that direction."
+"Size of the virtual margin - when you click inside of that margin, document "
+"scrolls in that direction."
 msgstr ""
 
-#: src/config/options.inc:377
+#: src/config/options.inc:395
 msgid "Vertical step"
 msgstr ""
 
-#: src/config/options.inc:379
+#: src/config/options.inc:397
 msgid ""
-"Number of lines to scroll when a key bound to scroll-up or scroll-\n"
-"down is pressed and no prefix was given."
+"Number of lines to scroll when a key bound to scroll-up or scroll-down is "
+"pressed and no prefix was given."
 msgstr ""
 
-#: src/config/options.inc:383
+#: src/config/options.inc:401
 #, fuzzy
 msgid "Searching"
 msgstr "Procurar"
 
-#: src/config/options.inc:385
+#: src/config/options.inc:403
 msgid "Options for searching."
 msgstr ""
 
-#: src/config/options.inc:387
+#: src/config/options.inc:405
 msgid "Case sensitivity"
 msgstr ""
 
-#: src/config/options.inc:389
+#: src/config/options.inc:407
 msgid ""
-"Whether the search should match the document text while maintaining\n"
-"case sensitivity."
+"Whether the search should match the document text while maintaining case "
+"sensitivity."
 msgstr ""
 
-#: src/config/options.inc:393
+#: src/config/options.inc:411
 #, fuzzy
 msgid "Regular expressions"
 msgstr "Introduza expresso"
 
-#: src/config/options.inc:395
+#: src/config/options.inc:413
 msgid ""
 "Enable searching with regular expressions:\n"
 "0 for plain text searching\n"
@@ -2685,31 +2685,31 @@ msgid ""
 "2 for extended regular expression searches"
 msgstr ""
 
-#: src/config/options.inc:401
+#: src/config/options.inc:419
 msgid "Show search hit top or bottom dialogs"
 msgstr ""
 
-#: src/config/options.inc:403
+#: src/config/options.inc:421
 msgid ""
-"Whether to show a dialog when the search hits the top or bottom of the\n"
+"Whether to show a dialog when the search hits the top or bottom of the "
 "document."
 msgstr ""
 
-#: src/config/options.inc:406
+#: src/config/options.inc:424
 #, fuzzy
 msgid "Wraparound"
 msgstr "Segundo plano"
 
-#: src/config/options.inc:408
+#: src/config/options.inc:426
 msgid "Wrap around when searching. Currently only used for typeahead."
 msgstr ""
 
-#: src/config/options.inc:410
+#: src/config/options.inc:429
 #, fuzzy
 msgid "Show not found"
 msgstr "Host no encontrado"
 
-#: src/config/options.inc:412
+#: src/config/options.inc:431
 msgid ""
 "How to inform the user when nothing is matched:\n"
 "0 means do nothing\n"
@@ -2717,282 +2717,283 @@ msgid ""
 "2 means pop up message box"
 msgstr ""
 
-#: src/config/options.inc:417
+#: src/config/options.inc:436
 #, fuzzy
 msgid "Typeahead searching"
 msgstr "Sequncia de caracteres invlida"
 
-#: src/config/options.inc:419
+#: src/config/options.inc:438
 msgid ""
-"Start typeahead searching when an unbound key is pressed without\n"
-"any modifiers. Note that most keys have default bindings, so this\n"
-"feature will not be useful unless you unbind them.\n"
+"Start typeahead searching when an unbound key is pressed without any "
+"modifiers. Note that most keys have default bindings, so this feature will "
+"not be useful unless you unbind them.\n"
 "\n"
-"0 disables this feature; typeahead searching will only be used\n"
-"  when you press a key bound to search-typeahead or similar\n"
+"0 disables this feature; typeahead searching will only be\n"
+"  used when you press a key bound to search-typeahead or\n"
+"  similar\n"
 "1 automatically starts typeahead searching thru link text\n"
-"2 automatically starts typeahead searching thru all document text"
+"2 automatically starts typeahead searching thru all document\n"
+"  text"
 msgstr ""
 
-#: src/config/options.inc:428
+#: src/config/options.inc:451
 msgid "Horizontal text margin"
 msgstr ""
 
-#: src/config/options.inc:430
+#: src/config/options.inc:453
 msgid "Horizontal text margin."
 msgstr ""
 
-#: src/config/options.inc:432
+#: src/config/options.inc:455
 msgid "Document meta refresh"
 msgstr ""
 
-#: src/config/options.inc:434
+#: src/config/options.inc:457
 msgid ""
-"Automatically follow document-specified refresh directives ('<meta>\n"
-"refresh' tags). Web-page authors use these to instruct the browser\n"
-"to reload a document at a given interval or to load another page.\n"
-"Regardless of the value the refresh URI is accessible as a link.\n"
-"Use the document.browse.minimum_refresh_time to control the minimum\n"
-"number of seconds a refresh will wait."
+"Automatically follow document-specified refresh directives ('<meta> refresh' "
+"tags). Web-page authors use these to instruct the browser to reload a "
+"document at a given interval or to load another page. Regardless of the "
+"value the refresh URI is accessible as a link.\n"
+"\n"
+"Use the document.browse.minimum_refresh_time to control the minimum number "
+"of seconds a refresh will wait."
 msgstr ""
 
-#: src/config/options.inc:441
+#: src/config/options.inc:466
 msgid "Document meta refresh minimum time"
 msgstr ""
 
-#: src/config/options.inc:443
+#: src/config/options.inc:468
 msgid ""
-"The minimum number of milliseconds that should pass before\n"
-"refreshing. If set to zero the document refresh time is used\n"
-"unchanged. It can fix going back in history for some sites that\n"
-"use refreshing with zero values."
+"The minimum number of milliseconds that should pass before refreshing. If "
+"set to zero the document refresh time is used unchanged. It can fix going "
+"back in history for some sites that use refreshing with zero values."
 msgstr ""
 
-#: src/config/options.inc:448
+#: src/config/options.inc:473
 msgid "Tables navigation order"
 msgstr ""
 
-#: src/config/options.inc:450
+#: src/config/options.inc:475
 msgid "Move by columns in table, instead of rows."
 msgstr ""
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:456
+#: src/config/options.inc:481
 #, fuzzy
 msgid "Cache"
 msgstr "Cancelar"
 
-#: src/config/options.inc:458
+#: src/config/options.inc:483
 #, fuzzy
 msgid "Cache options."
 msgstr "~Salvar opes"
 
-#: src/config/options.inc:460
+#: src/config/options.inc:485
 msgid "Cache information about redirects"
 msgstr ""
 
-#: src/config/options.inc:462
+#: src/config/options.inc:487
 msgid ""
-"Cache even redirects sent by server (usually thru HTTP by a 302\n"
-"HTTP code and a Location header). This was the original behaviour\n"
-"for quite some time, but it causes problems in a situation very\n"
-"common to various web login systems - frequently, when accessing\n"
-"a certain location, they will redirect you to a login page if they\n"
-"don't receive an auth cookie, the login page then gives you the\n"
-"cookie and redirects you back to the original page, but there you\n"
-"have already cached redirect back to the login page! If this\n"
-"option has value of 0, this malfunction is fixed, but occasionally\n"
-"you may get superfluous (depends on how you take it ;-) requests to\n"
-"the server. If this option has value of 1, experienced users can\n"
-"still workaround it by clever combination of usage of reload,\n"
-"jumping around in session history and hitting ctrl+enter.\n"
-"Note that this option is checked when retrieving the information\n"
-"from cache, not when saving it to cache - thus if you enable\n"
-"it, even previous redirects will be taken from cache instead of\n"
-"asking the server."
+"Cache even redirects sent by server (usually thru HTTP by a 302 HTTP code "
+"and a Location header). This was the original behaviour for quite some time, "
+"but it causes problems in a situation very common to various web login "
+"systems - frequently, when accessing a certain location, they will redirect "
+"you to a login page if they don't receive an auth cookie, the login page "
+"then gives you the cookie and redirects you back to the original page, but "
+"there you have already cached redirect back to the login page! If this "
+"option has value of 0, this malfunction is fixed, but occasionally you may "
+"get superfluous (depends on how you take it ;-) requests to the server. If "
+"this option has value of 1, experienced users can still workaround it by "
+"clever combination of usage of reload, jumping around in session history and "
+"hitting ctrl+enter.\n"
+"\n"
+"Note that this option is checked when retrieving the information from cache, "
+"not when saving it to cache - thus if you enable it, even previous redirects "
+"will be taken from cache instead of asking the server."
 msgstr ""
 
-#: src/config/options.inc:480
+#: src/config/options.inc:508
 msgid "Ignore cache-control info from server"
 msgstr ""
 
-#: src/config/options.inc:482
+#: src/config/options.inc:510
 msgid ""
-"Ignore Cache-Control and Pragma server headers.\n"
-"When set, the document is cached even with 'Cache-Control: no-cache'."
+"Ignore Cache-Control and Pragma server headers. When set, the document is "
+"cached even with 'Cache-Control: no-cache'."
 msgstr ""
 
-#: src/config/options.inc:485
+#: src/config/options.inc:514
 #, fuzzy
 msgid "Formatted documents"
 msgstr "Cache de documentos formatados"
 
-#: src/config/options.inc:487
+#: src/config/options.inc:516
 msgid "Format cache options."
 msgstr ""
 
-#: src/config/options.inc:489
+#: src/config/options.inc:518
 #, fuzzy
 msgid "Number"
 msgstr "Nmero invlido"
 
-#: src/config/options.inc:491
+#: src/config/options.inc:520
 msgid ""
-"Number of cached formatted pages. Do not get too generous\n"
-"here, 'formatted' means that all the accompanying structures\n"
-"are kept in memory so that you get the cached document\n"
-"immediatelly, but these structures may take a lot - 2x the\n"
-"size of the HTML source is probably not unusual, but it can\n"
-"be even more if the document consists of a lot of short lines\n"
-"(padded right, if possible) and links and not much other markup.\n"
-"So if you set this to 256 and then you don't like your ELinks\n"
-"eating 90M, don't come complaining to us. ;-)\n"
-"Also note that the format cache itself is not counted to the\n"
-"memory cache size, but the HTML source of the formatted documents\n"
-"is always cached, even if it is over the memory cache size\n"
-"threshold. (Then of course no other documents can be cached.)"
+"Number of cached formatted pages. Do not get too generous here, 'formatted' "
+"means that all the accompanying structures are kept in memory so that you "
+"get the cached document immediatelly, but these structures may take a lot - "
+"2x the size of the HTML source is probably not unusual, but it can be even "
+"more if the document consists of a lot of short lines (padded right, if "
+"possible) and links and not much other markup. So if you set this to 256 and "
+"then you don't like your ELinks eating 90M, don't come complaining to "
+"us. ;-)\n"
+"\n"
+"Also note that the format cache itself is not counted to the memory cache "
+"size, but the HTML source of the formatted documents is always cached, even "
+"if it is over the memory cache size threshold. (Then of course no other "
+"documents can be cached.)"
 msgstr ""
 
 #. FIXME: Write more.
-#: src/config/options.inc:506
+#: src/config/options.inc:538
 #, fuzzy
 msgid "Revalidation interval"
 msgstr "Erro ao salvar"
 
-#: src/config/options.inc:508
+#: src/config/options.inc:540
 msgid ""
-"Period in seconds that a cache entry is considered to be\n"
-"up-to-date. When a document is loaded and this interval has elapsed\n"
-"since the document was initially loaded or most recently\n"
-"revalidated with the server, the server will be checked in case\n"
-"there is a more up-to-date version of the document.\n"
+"Period in seconds that a cache entry is considered to be up-to-date. When a "
+"document is loaded and this interval has elapsed since the document was "
+"initially loaded or most recently revalidated with the server, the server "
+"will be checked in case there is a more up-to-date version of the document.\n"
 "\n"
 "A value of -1 disables automatic revalidation."
 msgstr ""
 
-#: src/config/options.inc:515 src/dialogs/info.c:199
+#: src/config/options.inc:549 src/dialogs/info.c:199
 msgid "Memory cache"
 msgstr "Cache de memria"
 
-#: src/config/options.inc:517
+#: src/config/options.inc:551
 #, fuzzy
 msgid "Memory cache options."
 msgstr "Cache de memria"
 
-#: src/config/options.inc:521
+#: src/config/options.inc:555
 #, fuzzy
 msgid "Memory cache size (in bytes)."
 msgstr "Cache de memria"
 
-#: src/config/options.inc:525
+#: src/config/options.inc:559
 #, fuzzy
 msgid "Charset"
 msgstr "Conjunto de Caracteres (C~harset)"
 
-#: src/config/options.inc:527
+#: src/config/options.inc:561
 #, fuzzy
 msgid "Charset options."
 msgstr "~Salvar opes"
 
-#: src/config/options.inc:529
+#: src/config/options.inc:563
 msgid "Default codepage"
 msgstr ""
 
-#: src/config/options.inc:531
+#: src/config/options.inc:565
 msgid ""
-"Default document codepage. 'System' stands for\n"
-"a codepage determined by a selected locale."
+"Default document codepage. 'System' stands for a codepage determined by a "
+"selected locale."
 msgstr ""
 
-#: src/config/options.inc:534
+#: src/config/options.inc:568
 msgid "Ignore charset info from server"
 msgstr ""
 
-#: src/config/options.inc:536
+#: src/config/options.inc:570
 msgid "Ignore charset info sent by server."
 msgstr ""
 
-#: src/config/options.inc:540
+#: src/config/options.inc:574
 msgid "Default color settings"
 msgstr ""
 
-#: src/config/options.inc:542
+#: src/config/options.inc:576
 msgid "Default document color settings."
 msgstr ""
 
-#: src/config/options.inc:553
+#: src/config/options.inc:587
 #, fuzzy
 msgid "Link color"
 msgstr "Titulo do link"
 
-#: src/config/options.inc:555
+#: src/config/options.inc:589
 msgid "Default link color."
 msgstr ""
 
-#: src/config/options.inc:557
+#: src/config/options.inc:591
 msgid "Visited-link color"
 msgstr ""
 
-#: src/config/options.inc:559
+#: src/config/options.inc:593
 msgid "Default visited link color."
 msgstr ""
 
-#: src/config/options.inc:561
+#: src/config/options.inc:595
 #, fuzzy
 msgid "Image-link color"
 msgstr "Titulo do link"
 
-#: src/config/options.inc:563
+#: src/config/options.inc:597
 #, fuzzy
 msgid "Default image link color."
 msgstr "Encerrar conexes em segundo plano"
 
-#: src/config/options.inc:565
+#: src/config/options.inc:599
 msgid "Bookmarked-link color"
 msgstr ""
 
-#: src/config/options.inc:567
+#: src/config/options.inc:601
 #, fuzzy
 msgid "Default bookmarked link color."
 msgstr "Encerrar conexes em segundo plano"
 
-#: src/config/options.inc:569
+#: src/config/options.inc:603
 msgid "Directory color"
 msgstr ""
 
-#: src/config/options.inc:571
+#: src/config/options.inc:605
 msgid ""
 "Default directory color.\n"
+"\n"
 "See document.browse.links.color_dirs option."
 msgstr ""
 
-#: src/config/options.inc:578
+#: src/config/options.inc:613
 msgid "Increase contrast"
 msgstr ""
 
-#: src/config/options.inc:580
+#: src/config/options.inc:615
 msgid ""
-"Increase the contrast between the foreground and background colors\n"
-"to ensure readability. For example it disallows dark colors on a\n"
-"black background. Note, this is different from ensuring the contrast\n"
-"with the ensure_contrast option."
+"Increase the contrast between the foreground and background colors to ensure "
+"readability. For example it disallows dark colors on a black background. "
+"Note, this is different from ensuring the contrast with the ensure_contrast "
+"option."
 msgstr ""
 
-#: src/config/options.inc:585
+#: src/config/options.inc:621
 msgid "Ensure contrast"
 msgstr ""
 
-#: src/config/options.inc:587
+#: src/config/options.inc:623
 msgid "Makes sure that the back- and foreground colors are never equal."
 msgstr ""
 
 #. If you change this please also change ACT_MAIN_DOCUMENT_COLORS action
 #. * handling.
-#: src/config/options.inc:592
+#: src/config/options.inc:628
 msgid "Use document-specified colors"
 msgstr ""
 
-#: src/config/options.inc:594
+#: src/config/options.inc:630
 msgid ""
 "Use colors specified in document:\n"
 "0 is use always the default settings\n"
@@ -3004,40 +3005,40 @@ msgid ""
 msgstr ""
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:607
+#: src/config/options.inc:643
 #, fuzzy
 msgid "Downloading"
 msgstr "Download"
 
-#: src/config/options.inc:609
+#: src/config/options.inc:645
 msgid "Options regarding files downloading and handling."
 msgstr ""
 
-#: src/config/options.inc:611
+#: src/config/options.inc:647
 #, fuzzy
 msgid "Default download directory"
 msgstr "Erro de download"
 
-#: src/config/options.inc:613
+#: src/config/options.inc:649
 msgid "Default download directory."
 msgstr ""
 
-#: src/config/options.inc:615
+#: src/config/options.inc:651
 msgid "Set original time"
 msgstr ""
 
-#: src/config/options.inc:617
+#: src/config/options.inc:653
 msgid ""
-"Set the timestamp of each downloaded file to the timestamp\n"
-"stored on the server."
+"Set the timestamp of each downloaded file to the timestamp stored on the "
+"server."
 msgstr ""
 
 #. Does automatic resuming make sense as an option?
-#: src/config/options.inc:621
+#: src/config/options.inc:657
 msgid "Prevent overwriting"
 msgstr ""
 
-#: src/config/options.inc:623
+#: src/config/options.inc:659
 msgid ""
 "Prevent overwriting the local files:\n"
 "0 is files will silently be overwritten\n"
@@ -3045,12 +3046,12 @@ msgid ""
 "2 is ask the user"
 msgstr ""
 
-#: src/config/options.inc:628
+#: src/config/options.inc:664
 #, fuzzy
 msgid "Notify download completion by bell"
 msgstr "Download completo"
 
-#: src/config/options.inc:630
+#: src/config/options.inc:666
 msgid ""
 "Audio notification when download is completed:\n"
 "0 is never\n"
@@ -3058,27 +3059,27 @@ msgid ""
 "2 is always"
 msgstr ""
 
-#: src/config/options.inc:636
+#: src/config/options.inc:672
 msgid "Dump output"
 msgstr ""
 
-#: src/config/options.inc:638
+#: src/config/options.inc:674
 msgid "Dump output options."
 msgstr ""
 
 #. OPT_CODEPAGE
-#: src/config/options.inc:640 src/config/options.inc:912
+#: src/config/options.inc:676 src/config/options.inc:980
 #: src/config/opttypes.c:481 src/dialogs/document.c:164
 msgid "Codepage"
 msgstr "Codepage"
 
-#: src/config/options.inc:642
+#: src/config/options.inc:678
 msgid ""
-"Codepage used in dump output. 'System' stands for\n"
-"a codepage determined by a selected locale."
+"Codepage used in dump output. 'System' stands for a codepage determined by a "
+"selected locale."
 msgstr ""
 
-#: src/config/options.inc:645 src/config/options.inc:878
+#: src/config/options.inc:681 src/config/options.inc:941
 #, fuzzy
 msgid "Color mode"
 msgstr "Cores"
@@ -3088,12 +3089,14 @@ msgstr "Cores"
 #. * an outer list entry after an inner list.
 #. * TRANSLATORS: This restriction applies only to the
 #. * "en" (English) translation.  (See doc/Makefile.)
-#: src/config/options.inc:652
+#: src/config/options.inc:688
 msgid ""
 "Color mode for dumps.\n"
+"\n"
 "Some modes may have been disabled at compile time. The Setup -> Terminal "
 "options dialog lists the modes supported by this executable. If you select "
 "an unsupported mode, ELinks uses 16 colors.\n"
+"\n"
 "The color modes are:\n"
 "-1 is standard dump mode\n"
 "0 is mono mode\n"
@@ -3103,128 +3106,126 @@ msgid ""
 "4 is true color mode"
 msgstr ""
 
-#: src/config/options.inc:665
+#: src/config/options.inc:703
 msgid "Footer"
 msgstr ""
 
-#: src/config/options.inc:667
+#: src/config/options.inc:705
 #, c-format
 msgid "Footer string used in dumps. %u is substituted by URL."
 msgstr ""
 
-#: src/config/options.inc:671
+#: src/config/options.inc:709
 #, c-format
 msgid "Header string used in dumps. %u is substituted by URL."
 msgstr ""
 
-#: src/config/options.inc:673
+#: src/config/options.inc:711
 #, fuzzy
 msgid "Numbering"
 msgstr "Nmero invlido"
 
-#: src/config/options.inc:675
+#: src/config/options.inc:713
 msgid "Whether to print link numbers in dump output."
 msgstr ""
 
-#: src/config/options.inc:677
+#: src/config/options.inc:715
 #, fuzzy
 msgid "References"
 msgstr "Recursos"
 
-#: src/config/options.inc:679
-msgid ""
-"Whether to print references (URIs) of document links\n"
-"in dump output."
+#: src/config/options.inc:717
+msgid "Whether to print references (URIs) of document links in dump output."
 msgstr ""
 
-#: src/config/options.inc:682
+#: src/config/options.inc:720
 #, fuzzy
 msgid "Separator"
 msgstr "Procurar no histrico"
 
-#: src/config/options.inc:684
+#: src/config/options.inc:722
 msgid "String which separates two dumps."
 msgstr ""
 
-#: src/config/options.inc:686
+#: src/config/options.inc:724
 msgid "Width"
 msgstr ""
 
-#: src/config/options.inc:688
+#: src/config/options.inc:726
 msgid "Width of screen in characters when dumping documents."
 msgstr ""
 
-#: src/config/options.inc:692
+#: src/config/options.inc:730
 #, fuzzy
 msgid "History"
 msgstr "~Histrico"
 
-#: src/config/options.inc:694
+#: src/config/options.inc:732
 msgid "History options."
 msgstr ""
 
-#: src/config/options.inc:696
+#: src/config/options.inc:734
 #, fuzzy
 msgid "Keep unhistory"
 msgstr "Histrico Anterior"
 
-#: src/config/options.inc:698
+#: src/config/options.inc:736
 #, fuzzy
 msgid "Keep unhistory (\"forward history\")."
 msgstr "Gerenciador de Histrico"
 
-#: src/config/options.inc:701
+#: src/config/options.inc:739
 #, fuzzy
 msgid "HTML rendering"
 msgstr "Transferindo"
 
-#: src/config/options.inc:703
+#: src/config/options.inc:741
 msgid "Options concerning the display of HTML pages."
 msgstr ""
 
-#: src/config/options.inc:705
+#: src/config/options.inc:743
 #, fuzzy
 msgid "Display frames"
 msgstr "Exibir"
 
-#: src/config/options.inc:707
+#: src/config/options.inc:745
 #, fuzzy
 msgid "Display frames."
 msgstr "Exibir"
 
-#: src/config/options.inc:709
+#: src/config/options.inc:747
 #, fuzzy
 msgid "Display tables"
 msgstr "Exibir"
 
-#: src/config/options.inc:711
+#: src/config/options.inc:749
 #, fuzzy
 msgid "Display tables."
 msgstr "Exibir"
 
-#: src/config/options.inc:713
+#: src/config/options.inc:751
 #, fuzzy
 msgid "Display subscripts"
 msgstr "Exibir o ~usemap"
 
-#: src/config/options.inc:715
+#: src/config/options.inc:753
 msgid "Display subscripts (as [thing])."
 msgstr ""
 
-#: src/config/options.inc:717
+#: src/config/options.inc:755
 #, fuzzy
 msgid "Display superscripts"
 msgstr "Exibir o ~usemap"
 
-#: src/config/options.inc:719
+#: src/config/options.inc:757
 msgid "Display superscripts (as ^thing)."
 msgstr ""
 
-#: src/config/options.inc:721
+#: src/config/options.inc:759
 msgid "Rendering of HTML link element"
 msgstr ""
 
-#: src/config/options.inc:723
+#: src/config/options.inc:761
 msgid ""
 "How to render <link> tags from the HTML header:\n"
 "0 is nothing\n"
@@ -3235,145 +3236,143 @@ msgid ""
 "5 is everything"
 msgstr ""
 
-#: src/config/options.inc:731
+#: src/config/options.inc:769
 msgid "Underline links"
 msgstr ""
 
-#: src/config/options.inc:733
+#: src/config/options.inc:771
 msgid "Underline links."
 msgstr ""
 
-#: src/config/options.inc:735
+#: src/config/options.inc:773
 msgid "Wrap non breaking space"
 msgstr ""
 
-#: src/config/options.inc:737
+#: src/config/options.inc:775
 msgid ""
-"If set do not honour non breaking space (the nbsp entity)\n"
-"but allow to wrap the text. This can help keeping the width\n"
-"of documents down so no horizontal scrolling is needed."
+"If set do not honour non breaking space (the nbsp entity) but allow to wrap "
+"the text. This can help keeping the width of documents down so no horizontal "
+"scrolling is needed."
 msgstr ""
 
-#: src/config/options.inc:742
+#: src/config/options.inc:780
 #, fuzzy
 msgid "Plain rendering"
 msgstr "Transferindo"
 
-#: src/config/options.inc:744
+#: src/config/options.inc:782
 msgid "Options concerning the display of plain text pages."
 msgstr ""
 
-#: src/config/options.inc:746
+#: src/config/options.inc:784
 #, fuzzy
 msgid "Display URIs"
 msgstr "Exibir"
 
-#: src/config/options.inc:748
+#: src/config/options.inc:786
 msgid "Display URIs in the document as links."
 msgstr ""
 
-#: src/config/options.inc:750
+#: src/config/options.inc:788
 msgid "Compress empty lines"
 msgstr ""
 
-#: src/config/options.inc:752
+#: src/config/options.inc:790
 msgid "Compress successive empty lines to only one in displayed text."
 msgstr ""
 
-#: src/config/options.inc:755
+#: src/config/options.inc:794
 msgid "URI passing"
 msgstr ""
 
-#: src/config/options.inc:757
+#: src/config/options.inc:796
 msgid ""
-"Rules for passing URIs to external commands. When one rule\n"
-"is defined the link and tab menu will have a menu item that\n"
-"makes it possible to pass the the link, frame or tab URI to\n"
-"an external command. If several rules are defined the link and\n"
-"tab menu will have a submenu of items for each rule. Note, this\n"
-"is mostly useful for launching graphical viewers, since there\n"
-"is no support for releasing the terminal while the command runs.\n"
-"The action and submenus are also available by binding keys to\n"
-"the frame-external-command, the link-external-command, and\n"
-"the tab-external-command actions."
+"Rules for passing URIs to external commands. When one rule is defined the "
+"link and tab menu will have a menu item that makes it possible to pass the "
+"the link, frame or tab URI to an external command. If several rules are "
+"defined the link and tab menu will have a submenu of items for each rule.\n"
+"\n"
+"Note, this is mostly useful for launching graphical viewers, since there is "
+"no support for releasing the terminal while the command runs. The action and "
+"submenus are also available by binding keys to the frame-external-command, "
+"the link-external-command, and the tab-external-command actions."
 msgstr ""
 
-#: src/config/options.inc:770
+#: src/config/options.inc:812
 msgid ""
-"A rule for passing URI to an external command.\n"
-"The format is:\n"
+"A rule for passing URI to an external command. The format is:\n"
 "%c in the string means the current URL\n"
 "%% in the string means '%'\n"
 "Do _not_ put single- or double-quotes around %c."
 msgstr ""
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:780
+#: src/config/options.inc:822
 msgid "Information files"
 msgstr ""
 
-#: src/config/options.inc:782
+#: src/config/options.inc:824
 msgid "Options for information files in ~/.elinks."
 msgstr ""
 
-#: src/config/options.inc:784
+#: src/config/options.inc:826
 #, fuzzy
 msgid "Save interval"
 msgstr "Erro ao salvar"
 
-#: src/config/options.inc:786
+#: src/config/options.inc:828
 msgid ""
-"Interval at which to trigger information files in ~/.elinks\n"
-"to be saved to disk if they have changed (seconds; 0 to disable)"
+"Interval at which to trigger information files in ~/.elinks to be saved to "
+"disk if they have changed (seconds; 0 to disable)"
 msgstr ""
 
-#: src/config/options.inc:789
+#: src/config/options.inc:832
 msgid "Use secure file saving"
 msgstr ""
 
-#: src/config/options.inc:791
+#: src/config/options.inc:834
 msgid ""
-"First write data to unique temporary file, then rename this file\n"
-"upon successfully finishing this. Note that this relates only to\n"
-"config files, not downloaded files. You may want to disable\n"
-"it if you are using some exotic permissions for concerned files.\n"
-"Secure file saving is automagically disabled if file is symlink.\n"
-"Warning: some systems (ie. OS/2, Win32) require that destination\n"
-"file doesn't exist when rename(3) is called, breaking atomicity,\n"
-"and reducing reliability of this feature."
+"First write data to unique temporary file, then rename this file upon "
+"successfully finishing this. Note that this relates only to config files, "
+"not downloaded files. You may want to disable it if you are using some "
+"exotic permissions for concerned files. Secure file saving is automagically "
+"disabled if file is symlink.\n"
+"\n"
+"Warning: some systems (ie. OS/2, Win32) require that destination file "
+"doesn't exist when rename(3) is called, breaking atomicity, and reducing "
+"reliability of this feature."
 msgstr ""
 
-#: src/config/options.inc:800
+#: src/config/options.inc:846
 msgid "Use fsync(3) with secure file saving"
 msgstr ""
 
-#: src/config/options.inc:802
+#: src/config/options.inc:848
 msgid ""
-"When using secure file saving, call fsync(3), if the OS\n"
-"supports it, to force the OS immediately to write the data\n"
-"to permanent storage. This is optional for those who wish\n"
-"to avoid excessive disk I/O."
+"When using secure file saving, call fsync(3), if the OS supports it, to "
+"force the OS immediately to write the data to permanent storage. This is "
+"optional for those who wish to avoid excessive disk I/O."
 msgstr ""
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:811
+#: src/config/options.inc:857
 #, fuzzy
 msgid "Terminals"
 msgstr "Opes do Terminal"
 
-#: src/config/options.inc:813
+#: src/config/options.inc:859
 #, fuzzy
 msgid "Terminal options."
 msgstr "Opes do Terminal"
 
-#: src/config/options.inc:817
+#: src/config/options.inc:863
 msgid "Options specific to this terminal type (according to $TERM value)."
 msgstr ""
 
-#: src/config/options.inc:842
+#: src/config/options.inc:889
 msgid ""
-"Terminal type; matters mostly only when drawing frames and\n"
-"dialog box borders:\n"
+"Terminal type; matters mostly only when drawing frames and dialog box "
+"borders:\n"
 "0 is dumb terminal type, ASCII art\n"
 "1 is VT100, simple but portable\n"
 "2 is Linux, you get double frames and other goodies\n"
@@ -3381,15 +3380,31 @@ msgid ""
 "4 is FreeBSD"
 msgstr ""
 
-#: src/config/options.inc:850 src/dialogs/options.c:227
+#: src/config/options.inc:897
+msgid "Always encode xterm title in ISO-8859-1"
+msgstr ""
+
+#: src/config/options.inc:899
+msgid ""
+"When updating the window title of xterm or a similar terminal emulator, "
+"encode the title in ISO-8859-1 (Latin-1), rather than in the charset used "
+"for other text in the window. Cyrillic and other characters get replaced "
+"with Latin ones. Xterm requires this unless you explicitly enable UTF-8 "
+"titles in it.\n"
+"\n"
+"If this option does not take effect immediately, try switching to a "
+"different page so that ELinks notices it needs to update the title."
+msgstr ""
+
+#: src/config/options.inc:910 src/dialogs/options.c:227
 msgid "Switch fonts for line drawing"
 msgstr ""
 
-#: src/config/options.inc:852
+#: src/config/options.inc:912
 msgid ""
-"Switch fonts when drawing lines, enabling both local characters\n"
-"and lines working at the same time. ELinks uses this option only if\n"
-"UTF-8 I/O is disabled and the terminal type is Linux or FreeBSD."
+"Switch fonts when drawing lines, enabling both local characters and lines "
+"working at the same time. ELinks uses this option only if UTF-8 I/O is "
+"disabled and the terminal type is Linux or FreeBSD."
 msgstr ""
 
 #. When CONFIG_UTF8 is defined, any code that reads the "utf_8_io"
@@ -3397,37 +3412,37 @@ msgstr ""
 #. * and if so, behave as if "utf_8_io" were 1.  (When CONFIG_UTF8 is
 #. * not defined, it should not be possible to set UTF-8 as "codepage";
 #. * please report any such possibilities as bugs.)
-#: src/config/options.inc:861 src/dialogs/options.c:232
+#: src/config/options.inc:922 src/dialogs/options.c:232
 msgid "UTF-8 I/O"
 msgstr ""
 
-#: src/config/options.inc:863
+#: src/config/options.inc:924
 msgid ""
-"Enable I/O in UTF-8 for Unicode terminals. Note that currently,\n"
-"only the subset of UTF-8 according to terminal codepage is used.\n"
-"ELinks ignores this option if the terminal codepage is UTF-8."
+"Enable I/O in UTF-8 for Unicode terminals. Note that currently, only the "
+"subset of UTF-8 according to terminal codepage is used. ELinks ignores this "
+"option if the terminal codepage is UTF-8."
 msgstr ""
 
-#: src/config/options.inc:867 src/dialogs/options.c:228
+#: src/config/options.inc:929 src/dialogs/options.c:228
 msgid "Restrict frames in cp850/852"
 msgstr "Frames restritos para cp850/852"
 
-#: src/config/options.inc:869
+#: src/config/options.inc:931
 msgid ""
-"Restrict the characters used when drawing lines. Makes sense\n"
-"only with linux terminals using the cp850/852 character sets."
+"Restrict the characters used when drawing lines. Makes sense only with linux "
+"terminals using the cp850/852 character sets."
 msgstr ""
 
-#: src/config/options.inc:872 src/dialogs/options.c:229
+#: src/config/options.inc:935 src/dialogs/options.c:229
 #, fuzzy
 msgid "Block cursor"
 msgstr "Cursor Bloco"
 
-#: src/config/options.inc:874
+#: src/config/options.inc:937
 msgid ""
-"Move cursor to bottom right corner when done drawing.\n"
-"This is particularly useful when we have a block cursor,\n"
-"so that inversed text is displayed correctly."
+"Move cursor to bottom right corner when done drawing. This is particularly "
+"useful when we have a block cursor, so that inversed text is displayed "
+"correctly."
 msgstr ""
 
 #. The list of modes must be at the end of this string
@@ -3435,13 +3450,15 @@ msgstr ""
 #. * an outer list entry after an inner list.
 #. * TRANSLATORS: This restriction applies only to the
 #. * "en" (English) translation.  (See doc/Makefile.)
-#: src/config/options.inc:885
+#: src/config/options.inc:948
 msgid ""
 "The color mode controls what colors are used and how they are output to the "
 "terminal.\n"
+"\n"
 "Some modes may have been disabled at compile time. The Setup -> Terminal "
 "options dialog lists the modes supported by this executable. If you select "
 "an unsupported mode, ELinks uses 16 colors.\n"
+"\n"
 "The color modes are:\n"
 "0 is mono mode, only 2 colors are used\n"
 "1 is 16 color mode, uses the common ANSI colors\n"
@@ -3450,426 +3467,423 @@ msgid ""
 "4 is true color mode, uses konsole RGB codes"
 msgstr ""
 
-#: src/config/options.inc:898 src/dialogs/options.c:230
+#: src/config/options.inc:963 src/dialogs/options.c:230
 msgid "Transparency"
 msgstr ""
 
-#: src/config/options.inc:900
+#: src/config/options.inc:965
 msgid ""
-"If we should not set the background to black. This is particularly\n"
-"useful when we have a terminal (typically in some windowing\n"
-"environment) with a background image or a transparent background -\n"
-"it will be visible in ELinks as well (but ELinks document color handling\n"
-"will still assume the background is black so if you have a bright "
-"background\n"
-"you might experience contrast problems). Note that this option makes\n"
-"sense only when colors are enabled."
+"If we should not set the background to black. This is particularly useful "
+"when we have a terminal (typically in some windowing environment) with a "
+"background image or a transparent background - it will be visible in ELinks "
+"as well (but ELinks document color handling will still assume the background "
+"is black so if you have a bright background you might experience contrast "
+"problems). Note that this option makes sense only when colors are enabled."
 msgstr ""
 
-#: src/config/options.inc:910
+#: src/config/options.inc:977
 msgid "If we should use underline or enhance the color instead."
 msgstr ""
 
-#: src/config/options.inc:914
+#: src/config/options.inc:982
 msgid ""
-"Codepage of charset used for displaying content on terminal.\n"
-"'System' stands for a codepage determined by a selected locale."
+"Codepage of charset used for displaying content on terminal. 'System' stands "
+"for a codepage determined by a selected locale."
 msgstr ""
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:921
+#: src/config/options.inc:990
 msgid "User interface"
 msgstr ""
 
-#: src/config/options.inc:923
+#: src/config/options.inc:992
 #, fuzzy
 msgid "User interface options."
 msgstr "Opes do Terminal"
 
-#: src/config/options.inc:927
+#: src/config/options.inc:996
 msgid "Color settings"
 msgstr ""
 
-#: src/config/options.inc:929
+#: src/config/options.inc:998
 msgid "Default user interface color settings."
 msgstr ""
 
-#: src/config/options.inc:956
+#: src/config/options.inc:1025
 #, fuzzy
 msgid "Color terminals"
 msgstr "Terminal do ~BeOS"
 
-#: src/config/options.inc:958
+#: src/config/options.inc:1027
 msgid "Color settings for color terminal."
 msgstr ""
 
-#: src/config/options.inc:960
+#: src/config/options.inc:1029
 msgid "Non-color terminals"
 msgstr ""
 
-#: src/config/options.inc:962
+#: src/config/options.inc:1031
 msgid "Color settings for non-color terminal."
 msgstr ""
 
 #. FIXME: obsolete, how to alias them correctly ? --Zas
-#: src/config/options.inc:965
+#: src/config/options.inc:1034
 msgid "Main menu bar"
 msgstr ""
 
-#: src/config/options.inc:967
+#: src/config/options.inc:1036
 msgid "Main menu bar colors."
 msgstr ""
 
-#: src/config/options.inc:969
+#: src/config/options.inc:1038
 msgid "Unselected main menu bar item"
 msgstr ""
 
-#: src/config/options.inc:971
+#: src/config/options.inc:1040
 msgid "Unselected main menu bar item colors."
 msgstr ""
 
-#: src/config/options.inc:973
+#: src/config/options.inc:1042
 msgid "Selected main menu bar item"
 msgstr ""
 
-#: src/config/options.inc:975
+#: src/config/options.inc:1044
 msgid "Selected main menu bar item colors."
 msgstr ""
 
-#: src/config/options.inc:977 src/config/options.inc:1006
+#: src/config/options.inc:1046 src/config/options.inc:1075
 msgid "Hotkey"
 msgstr ""
 
-#: src/config/options.inc:979
+#: src/config/options.inc:1048
 msgid "Main menu hotkey colors."
 msgstr ""
 
-#: src/config/options.inc:981 src/config/options.inc:1010
+#: src/config/options.inc:1050 src/config/options.inc:1079
 msgid "Unselected hotkey"
 msgstr ""
 
-#: src/config/options.inc:983
+#: src/config/options.inc:1052
 msgid "Main menu unselected hotkey colors."
 msgstr ""
 
-#: src/config/options.inc:985 src/config/options.inc:1014
+#: src/config/options.inc:1054 src/config/options.inc:1083
 #, fuzzy
 msgid "Selected hotkey"
 msgstr "Campo de seleo"
 
-#: src/config/options.inc:987
+#: src/config/options.inc:1056
 msgid "Main menu selected hotkey colors."
 msgstr ""
 
-#: src/config/options.inc:990
+#: src/config/options.inc:1059
 msgid "Menu bar"
 msgstr ""
 
-#: src/config/options.inc:992
+#: src/config/options.inc:1061
 msgid "Menu bar colors."
 msgstr ""
 
-#: src/config/options.inc:994
+#: src/config/options.inc:1063
 msgid "Unselected menu item"
 msgstr ""
 
-#: src/config/options.inc:996
+#: src/config/options.inc:1065
 msgid "Unselected menu item colors."
 msgstr ""
 
-#: src/config/options.inc:998
+#: src/config/options.inc:1067
 #, fuzzy
 msgid "Selected menu item"
 msgstr "Campo de seleo"
 
-#: src/config/options.inc:1000
+#: src/config/options.inc:1069
 msgid "Selected menu item colors."
 msgstr ""
 
-#: src/config/options.inc:1002
+#: src/config/options.inc:1071
 #, fuzzy
 msgid "Marked menu item"
 msgstr "Campo de seleo"
 
-#: src/config/options.inc:1004
+#: src/config/options.inc:1073
 msgid "Marked menu item colors."
 msgstr ""
 
-#: src/config/options.inc:1008
+#: src/config/options.inc:1077
 msgid "Menu item hotkey colors."
 msgstr ""
 
-#: src/config/options.inc:1012
+#: src/config/options.inc:1081
 msgid "Menu item unselected hotkey colors."
 msgstr ""
 
-#: src/config/options.inc:1016
+#: src/config/options.inc:1085
 msgid "Menu item selected hotkey colors."
 msgstr ""
 
-#: src/config/options.inc:1018
+#: src/config/options.inc:1087
 #, fuzzy
 msgid "Menu frame"
 msgstr "Sem frames"
 
-#: src/config/options.inc:1020
+#: src/config/options.inc:1089
 msgid "Menu frame colors."
 msgstr ""
 
-#: src/config/options.inc:1023
+#: src/config/options.inc:1092
 msgid "Dialog"
 msgstr ""
 
-#: src/config/options.inc:1025
+#: src/config/options.inc:1094
 msgid "Dialog colors."
 msgstr ""
 
-#: src/config/options.inc:1035
+#: src/config/options.inc:1104
 msgid "Generic"
 msgstr ""
 
-#: src/config/options.inc:1037
+#: src/config/options.inc:1106
 #, fuzzy
 msgid "Generic dialog colors."
 msgstr "Encerrar conexes em segundo plano"
 
-#: src/config/options.inc:1039
+#: src/config/options.inc:1108
 #, fuzzy
 msgid "Frame"
 msgstr "nome"
 
-#: src/config/options.inc:1041
+#: src/config/options.inc:1110
 msgid "Dialog frame colors."
 msgstr ""
 
-#: src/config/options.inc:1043
+#: src/config/options.inc:1112
 msgid "Scrollbar"
 msgstr ""
 
-#: src/config/options.inc:1045
+#: src/config/options.inc:1114
 msgid "Scrollbar colors."
 msgstr ""
 
-#: src/config/options.inc:1047
+#: src/config/options.inc:1116
 #, fuzzy
 msgid "Selected scrollbar"
 msgstr "Encerrar conexes em segundo plano"
 
-#: src/config/options.inc:1049
+#: src/config/options.inc:1118
 #, fuzzy
 msgid "Scrollbar selected colors."
 msgstr "Encerrar conexes em segundo plano"
 
-#: src/config/options.inc:1053
+#: src/config/options.inc:1122
 msgid "Dialog title colors."
 msgstr ""
 
-#: src/config/options.inc:1055
+#: src/config/options.inc:1124
 #, fuzzy
 msgid "Text"
 msgstr "rea de texto"
 
-#: src/config/options.inc:1057
+#: src/config/options.inc:1126
 msgid "Dialog text colors."
 msgstr ""
 
-#: src/config/options.inc:1059 src/viewer/text/form.c:1862
+#: src/config/options.inc:1128 src/viewer/text/form.c:1891
 msgid "Checkbox"
 msgstr "Caixa de verificao"
 
-#: src/config/options.inc:1061
+#: src/config/options.inc:1130
 msgid "Dialog checkbox colors."
 msgstr ""
 
-#: src/config/options.inc:1063
+#: src/config/options.inc:1132
 #, fuzzy
 msgid "Selected checkbox"
 msgstr "Campo de seleo"
 
-#: src/config/options.inc:1065
+#: src/config/options.inc:1134
 #, fuzzy
 msgid "Dialog selected checkbox colors."
 msgstr "Encerrar conexes em segundo plano"
 
-#: src/config/options.inc:1067
+#: src/config/options.inc:1136
 #, fuzzy
 msgid "Checkbox label"
 msgstr "Caixa de verificao"
 
-#: src/config/options.inc:1069
+#: src/config/options.inc:1138
 msgid "Dialog checkbox label colors."
 msgstr ""
 
-#: src/config/options.inc:1071
+#: src/config/options.inc:1140
 msgid "Button"
 msgstr ""
 
-#: src/config/options.inc:1073 src/config/options.inc:1081
+#: src/config/options.inc:1142 src/config/options.inc:1150
 msgid "Dialog button colors."
 msgstr ""
 
-#: src/config/options.inc:1075
+#: src/config/options.inc:1144
 msgid "Selected button"
 msgstr ""
 
-#: src/config/options.inc:1077 src/config/options.inc:1085
+#: src/config/options.inc:1146 src/config/options.inc:1154
 msgid "Dialog selected button colors."
 msgstr ""
 
-#: src/config/options.inc:1079
+#: src/config/options.inc:1148
 msgid "Button shortcut"
 msgstr ""
 
-#: src/config/options.inc:1083
+#: src/config/options.inc:1152
 #, fuzzy
 msgid "Selected button shortcut"
 msgstr "Campo de seleo"
 
-#: src/config/options.inc:1087 src/viewer/text/form.c:1866
+#: src/config/options.inc:1156 src/viewer/text/form.c:1895
 msgid "Text field"
 msgstr "Campo de texto"
 
-#: src/config/options.inc:1089
+#: src/config/options.inc:1158
 msgid "Dialog text field colors."
 msgstr ""
 
-#: src/config/options.inc:1091
+#: src/config/options.inc:1160
 #, fuzzy
 msgid "Text field text"
 msgstr "Campo de texto"
 
-#: src/config/options.inc:1093
+#: src/config/options.inc:1162
 msgid "Dialog field text colors."
 msgstr ""
 
-#: src/config/options.inc:1095
+#: src/config/options.inc:1164
 msgid "Meter"
 msgstr ""
 
-#: src/config/options.inc:1097
+#: src/config/options.inc:1166
 msgid "Dialog meter colors."
 msgstr ""
 
-#: src/config/options.inc:1099
+#: src/config/options.inc:1168
 msgid "Shadow"
 msgstr ""
 
-#: src/config/options.inc:1101
+#: src/config/options.inc:1170
 msgid "Dialog shadow colors (see ui.shadows option)."
 msgstr ""
 
-#: src/config/options.inc:1103
+#: src/config/options.inc:1172
 #, fuzzy
 msgid "Title bar"
 msgstr "Ttulo"
 
-#: src/config/options.inc:1105
+#: src/config/options.inc:1174
 msgid "Title bar colors."
 msgstr ""
 
-#: src/config/options.inc:1107
+#: src/config/options.inc:1176
 msgid "Generic title bar"
 msgstr ""
 
-#: src/config/options.inc:1109
+#: src/config/options.inc:1178
 msgid "Generic title bar colors."
 msgstr ""
 
-#: src/config/options.inc:1111
+#: src/config/options.inc:1180
 msgid "Title bar text"
 msgstr ""
 
-#: src/config/options.inc:1113
+#: src/config/options.inc:1182
 msgid "Title bar text colors."
 msgstr ""
 
-#: src/config/options.inc:1116
+#: src/config/options.inc:1185
 msgid "Status bar"
 msgstr ""
 
-#: src/config/options.inc:1118
+#: src/config/options.inc:1187
 msgid "Status bar colors."
 msgstr ""
 
-#: src/config/options.inc:1120
+#: src/config/options.inc:1189
 msgid "Generic status bar"
 msgstr ""
 
-#: src/config/options.inc:1122
+#: src/config/options.inc:1191
 msgid "Generic status bar colors."
 msgstr ""
 
-#: src/config/options.inc:1124
+#: src/config/options.inc:1193
 #, fuzzy
 msgid "Status bar text"
 msgstr "Procurar pelo texto"
 
-#: src/config/options.inc:1126
+#: src/config/options.inc:1195
 msgid "Status bar text colors."
 msgstr ""
 
-#: src/config/options.inc:1129
+#: src/config/options.inc:1198
 msgid "Tabs bar"
 msgstr ""
 
-#: src/config/options.inc:1131
+#: src/config/options.inc:1200
 msgid "Tabs bar colors."
 msgstr ""
 
-#: src/config/options.inc:1133
+#: src/config/options.inc:1202
 #, fuzzy
 msgid "Unvisited tab"
 msgstr "Campo de seleo"
 
-#: src/config/options.inc:1135
+#: src/config/options.inc:1204
 msgid ""
-"Tab colors for tabs that have not been\n"
-"selected since they completed loading."
+"Tab colors for tabs that have not been selected since they completed loading."
 msgstr ""
 
-#: src/config/options.inc:1138
+#: src/config/options.inc:1207
 #, fuzzy
 msgid "Unselected tab"
 msgstr "Campo de seleo"
 
-#: src/config/options.inc:1140
+#: src/config/options.inc:1209
 #, fuzzy
 msgid "Unselected tab colors."
 msgstr "Encerrar conexes em segundo plano"
 
-#: src/config/options.inc:1142
+#: src/config/options.inc:1211
 #, fuzzy
 msgid "Loading tab"
 msgstr "carregando"
 
-#: src/config/options.inc:1144
+#: src/config/options.inc:1213
 msgid "Tab colors for tabs that are loading in the background."
 msgstr ""
 
-#: src/config/options.inc:1146
+#: src/config/options.inc:1215
 #, fuzzy
 msgid "Selected tab"
 msgstr "Campo de seleo"
 
-#: src/config/options.inc:1148
+#: src/config/options.inc:1217
 #, fuzzy
 msgid "Selected tab colors."
 msgstr "Encerrar conexes em segundo plano"
 
-#: src/config/options.inc:1150
+#: src/config/options.inc:1219
 msgid "Tab separator"
 msgstr ""
 
-#: src/config/options.inc:1152
+#: src/config/options.inc:1221
 msgid "Tab separator colors."
 msgstr ""
 
-#: src/config/options.inc:1155
+#: src/config/options.inc:1224
 #, fuzzy
 msgid "Searched strings"
 msgstr "Sequncia de caracteres invlida"
 
-#: src/config/options.inc:1157
+#: src/config/options.inc:1226
 #, fuzzy
 msgid "Searched string highlight colors."
 msgstr "String de procura no localizada"
@@ -3878,69 +3892,69 @@ msgstr "String de procura no localizada
 #. ============= BORING PART (colors) END ===================
 #. ==========================================================
 #. Keep options in alphabetical order.
-#: src/config/options.inc:1166
+#: src/config/options.inc:1235
 msgid "Dialog settings"
 msgstr ""
 
-#: src/config/options.inc:1168
+#: src/config/options.inc:1237
 msgid "Dialogs-specific appearance and behaviour settings."
 msgstr ""
 
-#: src/config/options.inc:1171
+#: src/config/options.inc:1240
 msgid "Minimal height of listbox widget"
 msgstr ""
 
-#: src/config/options.inc:1173
+#: src/config/options.inc:1242
 msgid ""
-"Minimal height of the listbox widget (used e.g. for bookmarks\n"
-"or global history)."
+"Minimal height of the listbox widget (used e.g. for bookmarks or global "
+"history)."
 msgstr ""
 
-#: src/config/options.inc:1176
+#: src/config/options.inc:1245
 msgid "Drop shadows"
 msgstr ""
 
-#: src/config/options.inc:1178
+#: src/config/options.inc:1247
 msgid ""
-"Make dialogs drop shadows (the shadows are solid, you can\n"
-"adjust their color by ui.colors.*.dialog.shadow). You may\n"
-"also want to eliminate the wide borders by adjusting setup.h."
+"Make dialogs drop shadows (the shadows are solid, you can adjust their color "
+"by ui.colors.*.dialog.shadow). You may also want to eliminate the wide "
+"borders by adjusting setup.h."
 msgstr ""
 
-#: src/config/options.inc:1182
+#: src/config/options.inc:1252
 #, fuzzy
 msgid "Underline menu hotkeys"
 msgstr "Campo de seleo"
 
-#: src/config/options.inc:1184
+#: src/config/options.inc:1254
 msgid ""
-"Whether to underline hotkeys in menus to make them more\n"
-"visible. Requires that underlining is enabled for the terminal."
+"Whether to underline hotkeys in menus to make them more visible. Requires "
+"that underlining is enabled for the terminal."
 msgstr ""
 
-#: src/config/options.inc:1187
+#: src/config/options.inc:1258
 #, fuzzy
 msgid "Underline button shortcuts"
 msgstr "Campo de seleo"
 
-#: src/config/options.inc:1189
+#: src/config/options.inc:1260
 msgid ""
-"Whether to underline button shortcuts to make them more\n"
-"visible. Requires that underlining is enabled for the terminal."
+"Whether to underline button shortcuts to make them more visible. Requires "
+"that underlining is enabled for the terminal."
 msgstr ""
 
-#: src/config/options.inc:1193
+#: src/config/options.inc:1265
 #, fuzzy
 msgid "Timer options"
 msgstr "Opes do Terminal"
 
-#: src/config/options.inc:1195
+#: src/config/options.inc:1267
 msgid ""
-"Timed action after certain interval of user inactivity. Someone can\n"
-"even find this useful, although you may not believe that."
+"Timed action after certain interval of user inactivity. Someone can even "
+"find this useful, although you may not believe that."
 msgstr ""
 
-#: src/config/options.inc:1201
+#: src/config/options.inc:1274
 msgid ""
 "Whether to enable the timer or not:\n"
 "0 is don't count down anything\n"
@@ -3948,7 +3962,7 @@ msgid ""
 "2 is count down and show the timer near LEDs"
 msgstr ""
 
-#: src/config/options.inc:1208
+#: src/config/options.inc:1281
 msgid ""
 "Whether to enable the timer or not:\n"
 "0 is don't count down anything\n"
@@ -3956,35 +3970,35 @@ msgid ""
 "2 is count down and show the timer near LEDs (DISABLED)"
 msgstr ""
 
-#: src/config/options.inc:1214
+#: src/config/options.inc:1287
 msgid "Duration"
 msgstr ""
 
-#: src/config/options.inc:1216
+#: src/config/options.inc:1289
 msgid ""
-"Inactivity timeout in seconds. The maximum of one day\n"
-"should be enough for just everyone (TM)."
+"Inactivity timeout in seconds. The maximum of one day should be enough for "
+"just everyone (TM)."
 msgstr ""
 
-#: src/config/options.inc:1221
+#: src/config/options.inc:1294
 msgid "Keybinding action to be triggered when timer reaches zero."
 msgstr ""
 
-#: src/config/options.inc:1224
+#: src/config/options.inc:1298
 #, fuzzy
 msgid "Window tabs"
 msgstr "Janela"
 
-#: src/config/options.inc:1226
+#: src/config/options.inc:1300
 msgid "Window tabs settings."
 msgstr ""
 
-#: src/config/options.inc:1228
+#: src/config/options.inc:1302
 #, fuzzy
 msgid "Display tabs bar"
 msgstr "Exibir o ~usemap"
 
-#: src/config/options.inc:1230
+#: src/config/options.inc:1304
 msgid ""
 "Show tabs bar on the screen:\n"
 "0 means never\n"
@@ -3992,171 +4006,170 @@ msgid ""
 "2 means always"
 msgstr ""
 
-#: src/config/options.inc:1235
+#: src/config/options.inc:1309
 msgid "Tab bar at top"
 msgstr ""
 
-#: src/config/options.inc:1237
+#: src/config/options.inc:1311
 msgid "Whether display tab bar at top like other browsers do."
 msgstr ""
 
-#: src/config/options.inc:1239
+#: src/config/options.inc:1313
 msgid "Wrap-around tabs cycling"
 msgstr ""
 
-#: src/config/options.inc:1241
+#: src/config/options.inc:1315
 msgid ""
-"When moving right from the last tab, jump to the first one, and\n"
-"vice versa."
+"When moving right from the last tab, jump to the first one, and vice versa."
 msgstr ""
 
-#: src/config/options.inc:1244
+#: src/config/options.inc:1318
 msgid "Confirm tab closing"
 msgstr ""
 
-#: src/config/options.inc:1246
+#: src/config/options.inc:1320
 msgid "When closing a tab show confirmation dialog."
 msgstr ""
 
 #. OPT_LANGUAGE
-#: src/config/options.inc:1250 src/config/opttypes.c:483
+#: src/config/options.inc:1324 src/config/opttypes.c:483
 msgid "Language"
 msgstr ""
 
-#: src/config/options.inc:1252
+#: src/config/options.inc:1326
 msgid ""
-"Language of user interface. 'System' means that the language will\n"
-"be extracted from the environment dynamically."
+"Language of user interface. 'System' means that the language will be "
+"extracted from the environment dynamically."
 msgstr ""
 
-#: src/config/options.inc:1255
+#: src/config/options.inc:1330
 #, fuzzy
 msgid "Display menu bar always"
 msgstr "Exibir o ~usemap"
 
-#: src/config/options.inc:1257
+#: src/config/options.inc:1332
 msgid "Always show menu bar on the screen."
 msgstr ""
 
-#: src/config/options.inc:1259
+#: src/config/options.inc:1334
 #, fuzzy
 msgid "Display status bar"
 msgstr "Exibir o ~usemap"
 
-#: src/config/options.inc:1261
+#: src/config/options.inc:1336
 msgid "Show status bar on the screen."
 msgstr ""
 
-#: src/config/options.inc:1263
+#: src/config/options.inc:1338
 #, fuzzy
 msgid "Display title bar"
 msgstr "Exibir o ~usemap"
 
-#: src/config/options.inc:1265
+#: src/config/options.inc:1340
 msgid "Show title bar on the screen."
 msgstr ""
 
-#: src/config/options.inc:1267
+#: src/config/options.inc:1342
 msgid "Display goto dialog in new tabs"
 msgstr ""
 
-#: src/config/options.inc:1269
+#: src/config/options.inc:1344
 msgid ""
-"Pop up goto dialog in newly created tabs when there's no homepage\n"
-"set. This means also showing goto dialog on startup."
+"Pop up goto dialog in newly created tabs when there's no homepage set. This "
+"means also showing goto dialog on startup."
 msgstr ""
 
-#: src/config/options.inc:1272
+#: src/config/options.inc:1348
 msgid "Show a message box when file is saved successfully"
 msgstr ""
 
-#: src/config/options.inc:1274
+#: src/config/options.inc:1350
 msgid ""
-"When you pressed a [ Save ] button in some manager, this option\n"
-"will make sure that a box confirming success of the operation will\n"
-"pop up."
+"When you pressed a [ Save ] button in some manager, this option will make "
+"sure that a box confirming success of the operation will pop up."
 msgstr ""
 
-#: src/config/options.inc:1279
+#: src/config/options.inc:1355
 #, fuzzy
 msgid "Sessions"
 msgstr "Extenso(es)"
 
-#: src/config/options.inc:1281
+#: src/config/options.inc:1357
 msgid "Sessions settings."
 msgstr ""
 
-#: src/config/options.inc:1283
+#: src/config/options.inc:1359
 msgid "Keep session active"
 msgstr ""
 
-#: src/config/options.inc:1285
+#: src/config/options.inc:1361
 msgid "Keep the session active even if the last terminal exits."
 msgstr ""
 
-#: src/config/options.inc:1287
+#: src/config/options.inc:1364
 msgid "Auto save session"
 msgstr ""
 
-#: src/config/options.inc:1289
+#: src/config/options.inc:1366
 msgid ""
 "Automatically save the session when quitting.\n"
+"\n"
 "This feature requires bookmark support."
 msgstr ""
 
-#: src/config/options.inc:1292
+#: src/config/options.inc:1370
 msgid "Auto restore session"
 msgstr ""
 
-#: src/config/options.inc:1294
+#: src/config/options.inc:1372
 msgid ""
 "Automatically restore the session at start.\n"
+"\n"
 "This feature requires bookmark support."
 msgstr ""
 
-#: src/config/options.inc:1297
+#: src/config/options.inc:1376
 msgid "Auto save and restore session folder name"
 msgstr ""
 
-#: src/config/options.inc:1299
+#: src/config/options.inc:1378
 msgid ""
-"Name of the bookmarks folder used for auto saving and restoring session.\n"
-"The name has to be unique. Any folders with the same name will be deleted.\n"
+"Name of the bookmarks folder used for auto saving and restoring session. The "
+"name has to be unique. Any folders with the same name will be deleted.\n"
+"\n"
 "This only makes sense with bookmark support."
 msgstr ""
 
-#: src/config/options.inc:1303
+#: src/config/options.inc:1384
 #, fuzzy
 msgid "Homepage URI"
 msgstr "Codepage"
 
-#: src/config/options.inc:1305
+#: src/config/options.inc:1386
 msgid ""
-"The URI to load either at startup time when no URI was given\n"
-"on the command line or when requested by the goto-url-home action.\n"
-"Set to \"\" if the environment variable WWW_HOME should be used\n"
-"as homepage URI instead."
+"The URI to load either at startup time when no URI was given on the command "
+"line or when requested by the goto-url-home action. Set to \"\" if the "
+"environment variable WWW_HOME should be used as homepage URI instead."
 msgstr ""
 
-#: src/config/options.inc:1311
+#: src/config/options.inc:1392
 #, fuzzy
 msgid "Date format"
 msgstr "Upload de arquivo"
 
-#: src/config/options.inc:1313
+#: src/config/options.inc:1394
 msgid "Date format to use in dialogs. See strftime(3)."
 msgstr ""
 
-#: src/config/options.inc:1316
+#: src/config/options.inc:1397
 #, fuzzy
 msgid "Set window title"
 msgstr "Titulo do link"
 
-#: src/config/options.inc:1318
+#: src/config/options.inc:1399
 msgid ""
-"Set the window title when running in a windowing environment\n"
-"in an xterm-like terminal. This way the document's title is\n"
-"shown on the window titlebar."
+"Set the window title when running in a windowing environment in an xterm-"
+"like terminal. This way the document's title is shown on the window titlebar."
 msgstr ""
 
 #: src/config/opttypes.c:54
@@ -4243,7 +4256,7 @@ msgid "Goto URL History"
 msgstr "Gerenciador de Histrico"
 
 #. name:
-#: src/cookies/cookies.c:88 src/cookies/cookies.c:911
+#: src/cookies/cookies.c:88 src/cookies/cookies.c:913
 msgid "Cookies"
 msgstr ""
 
@@ -4273,10 +4286,10 @@ msgstr "Conectando"
 msgid ""
 "Cookie maximum age (in days):\n"
 "-1 is use cookie's expiration date if any\n"
-"0  is force expiration at the end of session, ignoring cookie's\n"
-"   expiration date\n"
-"1+ is use cookie's expiration date, but limit age to the given\n"
-"   number of days"
+"0  is force expiration at the end of session, ignoring\n"
+"   cookie's expiration date\n"
+"1+ is use cookie's expiration date, but limit age to the\n"
+"   given number of days"
 msgstr ""
 
 #: src/cookies/cookies.c:109
@@ -4285,42 +4298,42 @@ msgstr ""
 
 #: src/cookies/cookies.c:111
 msgid ""
-"When enabled, we'll require three dots in cookies domain for all\n"
-"non-international domains (instead of just two dots). Some countries\n"
-"have generic second level domains (eg. .com.pl, .co.uk) and allowing\n"
-"sites to set cookies for these generic domains could potentially be\n"
-"very bad. Note, it is off by default as it breaks a lot of sites."
+"When enabled, we'll require three dots in cookies domain for all non-"
+"international domains (instead of just two dots). Some countries have "
+"generic second level domains (eg. .com.pl, .co.uk) and allowing sites to set "
+"cookies for these generic domains could potentially be very bad. Note, it is "
+"off by default as it breaks a lot of sites."
 msgstr ""
 
-#: src/cookies/cookies.c:117
+#: src/cookies/cookies.c:118
 #, fuzzy
 msgid "Saving"
 msgstr "mdia"
 
-#: src/cookies/cookies.c:119
+#: src/cookies/cookies.c:120
 msgid "Whether cookies should be loaded from and saved to disk."
 msgstr ""
 
-#: src/cookies/cookies.c:121
+#: src/cookies/cookies.c:123
 msgid "Resaving"
 msgstr ""
 
-#: src/cookies/cookies.c:123
+#: src/cookies/cookies.c:125
 msgid ""
-"Save cookies after each change in cookies list? No effect when\n"
-"cookie saving (cookies.save) is off."
+"Save cookies after each change in cookies list? No effect when cookie saving "
+"(cookies.save) is off."
 msgstr ""
 
-#: src/cookies/cookies.c:817
+#: src/cookies/cookies.c:819
 #, fuzzy
 msgid "Cannot save cookies"
 msgstr "Limpar Histrico global"
 
-#: src/cookies/cookies.c:828
+#: src/cookies/cookies.c:830
 msgid "ELinks was started without a home directory."
 msgstr ""
 
-#: src/cookies/cookies.c:834
+#: src/cookies/cookies.c:836
 msgid "ELinks was started with the -anonymous option."
 msgstr ""
 
@@ -4538,7 +4551,7 @@ msgid "No header info."
 msgstr ""
 
 #: src/dialogs/download.c:243 src/dialogs/menu.c:601
-#: src/protocol/bittorrent/dialogs.c:228 src/session/download.c:361
+#: src/protocol/bittorrent/dialogs.c:228 src/session/download.c:387
 msgid "Download"
 msgstr "Download"
 
@@ -5398,7 +5411,7 @@ msgid "No document"
 msgstr "documentos"
 
 #. name:
-#: src/document/css/css.c:30 src/document/css/css.c:161
+#: src/document/css/css.c:30 src/document/css/css.c:164
 msgid "Cascading Style Sheets"
 msgstr ""
 
@@ -5406,36 +5419,36 @@ msgstr ""
 msgid "Options concerning how to use CSS for styling documents."
 msgstr ""
 
-#: src/document/css/css.c:34
+#: src/document/css/css.c:35
 #, fuzzy
 msgid "Enable CSS"
 msgstr "nome"
 
-#: src/document/css/css.c:36
+#: src/document/css/css.c:37
 msgid "Enable adding of CSS style info to documents."
 msgstr ""
 
-#: src/document/css/css.c:38
+#: src/document/css/css.c:39
 msgid "Import external style sheets"
 msgstr ""
 
-#: src/document/css/css.c:40
+#: src/document/css/css.c:41
 msgid ""
-"When enabled any external style sheets that are imported from\n"
-"either CSS itself using the @import keyword or from the HTML using\n"
-"<link> tags in the document header will also be downloaded."
+"When enabled any external style sheets that are imported from either CSS "
+"itself using the @import keyword or from the HTML using <link> tags in the "
+"document header will also be downloaded."
 msgstr ""
 
-#: src/document/css/css.c:44
+#: src/document/css/css.c:46
 msgid "Default style sheet"
 msgstr ""
 
-#: src/document/css/css.c:46
+#: src/document/css/css.c:48
 msgid ""
-"The path to the file containing the default user defined\n"
-"Cascading Style Sheet. It can be used to control the basic\n"
-"layout of HTML documents. The path is assumed to be relative\n"
-"to ELinks' home directory.\n"
+"The path to the file containing the default user defined Cascading Style "
+"Sheet. It can be used to control the basic layout of HTML documents. The "
+"path is assumed to be relative to ELinks' home directory.\n"
+"\n"
 "Leave as \"\" to use built-in document styling."
 msgstr ""
 
@@ -5467,8 +5480,8 @@ msgstr ""
 
 #: src/ecmascript/ecmascript.c:55
 msgid ""
-"Whether to ignore content enclosed by the <noscript> tag\n"
-"when ECMAScript is enabled."
+"Whether to ignore content enclosed by the <noscript> tag when ECMAScript is "
+"enabled."
 msgstr ""
 
 #: src/ecmascript/ecmascript.c:58
@@ -5520,7 +5533,7 @@ msgid "JavaScript Error"
 msgstr ""
 
 #. name:
-#: src/ecmascript/spidermonkey.c:320
+#: src/ecmascript/spidermonkey.c:321
 msgid "SpiderMonkey"
 msgstr ""
 
@@ -5620,9 +5633,8 @@ msgstr "Opes do Terminal"
 
 #: src/formhist/formhist.c:38
 msgid ""
-"Ask if a login form should be saved to file or not.\n"
-"This option only disables the dialog, already saved login\n"
-"forms are unaffected."
+"Ask if a login form should be saved to file or not. This option only "
+"disables the dialog, already saved login forms are unaffected."
 msgstr ""
 
 #: src/formhist/formhist.c:426
@@ -5726,20 +5738,20 @@ msgstr "Gerenciador de Histrico"
 msgid "Enable global history (\"history of all pages visited\")."
 msgstr ""
 
-#: src/globhist/globhist.c:68
+#: src/globhist/globhist.c:69
 msgid "Maximum number of entries"
 msgstr ""
 
-#: src/globhist/globhist.c:70
+#: src/globhist/globhist.c:71
 msgid "Maximum number of entries in the global history."
 msgstr ""
 
-#: src/globhist/globhist.c:72
+#: src/globhist/globhist.c:73
 #, fuzzy
 msgid "Display style"
 msgstr "Exibir o ~usemap"
 
-#: src/globhist/globhist.c:74
+#: src/globhist/globhist.c:75
 msgid ""
 "What to display in global history dialog:\n"
 "0 is URLs\n"
@@ -5747,7 +5759,7 @@ msgid ""
 msgstr ""
 
 #. name:
-#: src/globhist/globhist.c:451
+#: src/globhist/globhist.c:449
 #, fuzzy
 msgid "Global History"
 msgstr "Gerenciador de Histrico"
@@ -5977,101 +5989,95 @@ msgstr ""
 
 #: src/mime/backend/default.c:27
 msgid ""
-"Handler <-> MIME type association. The first sub-tree is the MIME\n"
-"class while the second sub-tree is the MIME type (ie. image/gif\n"
-"handler will reside at mime.type.image.gif). Each MIME type option\n"
-"should contain (case-sensitive) name of the MIME handler (its\n"
-"properties are stored at mime.handler.<name>)."
+"Handler <-> MIME type association. The first sub-tree is the MIME class "
+"while the second sub-tree is the MIME type (ie. image/gif handler will "
+"reside at mime.type.image.gif). Each MIME type option should contain (case-"
+"sensitive) name of the MIME handler (its properties are stored at mime."
+"handler.<name>)."
 msgstr ""
 
-#: src/mime/backend/default.c:35
+#: src/mime/backend/default.c:36
 msgid ""
-"Handler matching this MIME-type class ('*' is used here in place\n"
-"of '.')."
+"Handler matching this MIME-type class ('*' is used here in place of '.')."
 msgstr ""
 
-#: src/mime/backend/default.c:40
+#: src/mime/backend/default.c:41
 msgid ""
-"Handler matching this MIME-type name ('*' is used here in place\n"
-"of '.')."
+"Handler matching this MIME-type name ('*' is used here in place of '.')."
 msgstr ""
 
-#: src/mime/backend/default.c:44
+#: src/mime/backend/default.c:45
 msgid "File type handlers"
 msgstr ""
 
-#: src/mime/backend/default.c:46
+#: src/mime/backend/default.c:47
 msgid ""
-"A file type handler is a set of information about how to use\n"
-"an external program to view a file. It is possible to refer to it\n"
-"for several MIME types -- e.g., you can define an 'image' handler\n"
-"to which mime.type.image.png, mime.type.image.jpeg, and so on will\n"
-"refer; or one might define a handler for a more specific type of file\n"
-"-- e.g., PDF files.\n"
-"Note you must define both a MIME handler and a MIME type association\n"
-"for it to work."
+"A file type handler is a set of information about how to use an external "
+"program to view a file. It is possible to refer to it for several MIME types "
+"-- e.g., you can define an 'image' handler to which mime.type.image.png, "
+"mime.type.image.jpeg, and so on will refer; or one might define a handler "
+"for a more specific type of file -- e.g., PDF files. Note you must define "
+"both a MIME handler and a MIME type association for it to work."
 msgstr ""
 
-#: src/mime/backend/default.c:57
+#: src/mime/backend/default.c:58
 msgid "Description of this handler."
 msgstr ""
 
-#: src/mime/backend/default.c:61
+#: src/mime/backend/default.c:62
 msgid "System-specific handler description (ie. unix, unix-xwin, ...)."
 msgstr ""
 
-#: src/mime/backend/default.c:63 src/mime/backend/mailcap.c:102
+#: src/mime/backend/default.c:65 src/mime/backend/mailcap.c:102
 msgid "Ask before opening"
 msgstr ""
 
-#: src/mime/backend/default.c:65
+#: src/mime/backend/default.c:67
 msgid "Ask before opening."
 msgstr ""
 
-#: src/mime/backend/default.c:67
+#: src/mime/backend/default.c:69
 #, fuzzy
 msgid "Block terminal"
 msgstr "Terminal do ~BeOS"
 
-#: src/mime/backend/default.c:69
+#: src/mime/backend/default.c:71
 msgid "Block the terminal when the handler is running."
 msgstr ""
 
-#: src/mime/backend/default.c:71
+#: src/mime/backend/default.c:73
 #, fuzzy
 msgid "Program"
 msgstr "Nenhum programa"
 
-#: src/mime/backend/default.c:74
+#: src/mime/backend/default.c:76
 #, no-c-format
 msgid ""
-"External viewer for this file type. '%' in this string will be\n"
-"substituted by a file name.\n"
-"Do _not_ put single- or double-quotes around the % sign."
+"External viewer for this file type. '%' in this string will be substituted "
+"by a file name. Do _not_ put single- or double-quotes around the % sign."
 msgstr ""
 
-#: src/mime/backend/default.c:79
+#: src/mime/backend/default.c:81
 #, fuzzy
 msgid "File extension associations"
 msgstr "~Extenses de arquivo"
 
-#: src/mime/backend/default.c:81
+#: src/mime/backend/default.c:83
 msgid "Extension <-> MIME type association."
 msgstr ""
 
-#: src/mime/backend/default.c:85
+#: src/mime/backend/default.c:87
 msgid ""
-"MIME-type matching this file extension ('*' is used here in place\n"
-"of '.')."
+"MIME-type matching this file extension ('*' is used here in place of '.')."
 msgstr ""
 
 #. name:
-#: src/mime/backend/default.c:216
+#: src/mime/backend/default.c:218
 msgid "Option system"
 msgstr ""
 
 #. name:
-#: src/mime/backend/mailcap.c:89 src/mime/backend/mailcap.c:684
+#: src/mime/backend/mailcap.c:89 src/mime/backend/mailcap.c:686
 msgid "Mailcap"
 msgstr ""
 
@@ -6085,8 +6091,8 @@ msgstr ""
 
 #: src/mime/backend/mailcap.c:99
 msgid ""
-"Mailcap search path. Colon-separated list of files.\n"
-"Leave as \"\" to use MAILCAP environment variable instead."
+"Mailcap search path. Colon-separated list of files. Leave as \"\" to use "
+"MAILCAP environment variable instead."
 msgstr ""
 
 #: src/mime/backend/mailcap.c:104
@@ -6099,39 +6105,38 @@ msgstr ""
 
 #: src/mime/backend/mailcap.c:108
 msgid ""
-"Type of description to show in \"what to do with this file\"\n"
-"query dialog:\n"
+"Type of description to show in \"what to do with this file\" query dialog:\n"
 "0 is show \"mailcap\"\n"
 "1 is show program to be run\n"
-"2 is show mailcap description field if any; \"mailcap\" otherwise"
+"2 is show mailcap description field if any;\n"
+"     \"mailcap\" otherwise"
 msgstr ""
 
-#: src/mime/backend/mailcap.c:114
+#: src/mime/backend/mailcap.c:115
 msgid "Prioritize entries by file"
 msgstr ""
 
-#: src/mime/backend/mailcap.c:116
+#: src/mime/backend/mailcap.c:117
 msgid ""
-"Prioritize entries by the order of the files in the mailcap\n"
-"path. This means that wildcard entries (like: image/*) will\n"
-"also be checked before deciding the handler."
+"Prioritize entries by the order of the files in the mailcap path. This means "
+"that wildcard entries (like: image/*) will also be checked before deciding "
+"the handler."
 msgstr ""
 
-#: src/mime/backend/mailcap.c:349
+#: src/mime/backend/mailcap.c:351
 #, c-format
 msgid "Badly formated mailcap entry for type %s in \"%s\" line %d"
 msgstr ""
 
 #. name:
-#: src/mime/backend/mimetypes.c:46 src/mime/backend/mimetypes.c:279
+#: src/mime/backend/mimetypes.c:46 src/mime/backend/mimetypes.c:280
 msgid "Mimetypes files"
 msgstr ""
 
 #: src/mime/backend/mimetypes.c:48
 msgid ""
-"Options for the support of mime.types files. These files\n"
-"can be used to find the content type of a URL by looking at\n"
-"the extension of the file name."
+"Options for the support of mime.types files. These files can be used to find "
+"the content type of a URL by looking at the extension of the file name."
 msgstr ""
 
 #: src/mime/backend/mimetypes.c:54
@@ -6168,7 +6173,7 @@ msgid "No extensions"
 msgstr "Sem extenses"
 
 #. name:
-#: src/mime/mime.c:38 src/mime/mime.c:360
+#: src/mime/mime.c:38 src/mime/mime.c:361
 msgid "MIME"
 msgstr ""
 
@@ -6182,8 +6187,8 @@ msgstr ""
 
 #: src/mime/mime.c:44
 msgid ""
-"Document MIME-type to assume by default (when we are unable to\n"
-"guess it properly from known information about the document)."
+"Document MIME-type to assume by default (when we are unable to guess it "
+"properly from known information about the document)."
 msgstr ""
 
 #: src/network/ssl/ssl.c:72 src/network/ssl/ssl.c:161
@@ -6192,8 +6197,8 @@ msgstr ""
 
 #: src/network/ssl/ssl.c:74
 msgid ""
-"Verify the peer's SSL certificate. Note that this\n"
-"needs extensive configuration of OpenSSL by the user."
+"Verify the peer's SSL certificate. Note that this needs extensive "
+"configuration of OpenSSL by the user."
 msgstr ""
 
 #: src/network/ssl/ssl.c:77
@@ -6207,8 +6212,8 @@ msgstr "Opes do Terminal"
 
 #: src/network/ssl/ssl.c:83
 msgid ""
-"Enable or not the sending of X509 client certificates\n"
-"to servers which request them."
+"Enable or not the sending of X509 client certificates to servers which "
+"request them."
 msgstr ""
 
 #: src/network/ssl/ssl.c:86
@@ -6218,16 +6223,15 @@ msgstr "tempo estimado"
 
 #: src/network/ssl/ssl.c:88
 msgid ""
-"The location of a file containing the client certificate\n"
-"and unencrypted private key in PEM format. If unset, the\n"
-"file pointed to by the X509_CLIENT_CERT variable is used\n"
-"instead."
+"The location of a file containing the client certificate and unencrypted "
+"private key in PEM format. If unset, the file pointed to by the "
+"X509_CLIENT_CERT variable is used instead."
 msgstr ""
 
 #: src/network/ssl/ssl.c:163
 msgid ""
-"Verify the peer's SSL certificate.  If you enable\n"
-"this, set also \"Trusted CA file\"."
+"Verify the peer's SSL certificate.  If you enable this, set also \"Trusted "
+"CA file\"."
 msgstr ""
 
 #. The default value of the following option points to a file
@@ -6245,20 +6249,20 @@ msgstr "Transferindo"
 
 #: src/network/ssl/ssl.c:176
 msgid ""
-"The location of a file containing certificates of\n"
-"trusted certification authorities in PEM format.\n"
-"ELinks then trusts certificates issued by these CAs.\n"
-"If you change this option or the file, you must\n"
-"restart ELinks for the changes to take effect.\n"
-"This option affects GnuTLS but not OpenSSL."
+"The location of a file containing certificates of trusted certification "
+"authorities in PEM format. ELinks then trusts certificates issued by these "
+"CAs.\n"
+"\n"
+"If you change this option or the file, you must restart ELinks for the "
+"changes to take effect. This option affects GnuTLS but not OpenSSL."
 msgstr ""
 
 #. name:
-#: src/network/ssl/ssl.c:199 src/network/ssl/ssl.c:216
+#: src/network/ssl/ssl.c:200 src/network/ssl/ssl.c:217
 msgid "SSL"
 msgstr ""
 
-#: src/network/ssl/ssl.c:201
+#: src/network/ssl/ssl.c:202
 #, fuzzy
 msgid "SSL options."
 msgstr "~Salvar opes"
@@ -6595,7 +6599,7 @@ msgstr "Introduza usurio"
 msgid "Login"
 msgstr ""
 
-#: src/protocol/auth/dialogs.c:113 src/protocol/http/http.c:140
+#: src/protocol/auth/dialogs.c:113 src/protocol/http/http.c:142
 msgid "Password"
 msgstr ""
 
@@ -6672,7 +6676,7 @@ msgstr "Autenticao HTTP"
 
 #. name:
 #: src/protocol/bittorrent/bittorrent.c:26
-#: src/protocol/bittorrent/bittorrent.c:335
+#: src/protocol/bittorrent/bittorrent.c:339
 msgid "BitTorrent"
 msgstr ""
 
@@ -6727,9 +6731,8 @@ msgstr ""
 
 #: src/protocol/bittorrent/bittorrent.c:57
 msgid ""
-"Whether to request that the tracker returns peer info\n"
-"in compact format. Note, the compact format only supports\n"
-"IPv4 addresses."
+"Whether to request that the tracker returns peer info in compact format. "
+"Note, the compact format only supports IPv4 addresses."
 msgstr ""
 
 #: src/protocol/bittorrent/bittorrent.c:61
@@ -6738,57 +6741,55 @@ msgstr ""
 
 #: src/protocol/bittorrent/bittorrent.c:63
 msgid ""
-"The number of seconds to wait between periodically contacting\n"
-"the tracker for announcing progress and requesting more peers.\n"
-"Set to zero to use the interval requested by the tracker."
+"The number of seconds to wait between periodically contacting the tracker "
+"for announcing progress and requesting more peers. Set to zero to use the "
+"interval requested by the tracker."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:67
+#: src/protocol/bittorrent/bittorrent.c:68
 msgid "IP-address to announce"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:69
+#: src/protocol/bittorrent/bittorrent.c:70
 msgid ""
-"What IP address to report to the tracker. If set to \"\"\n"
-"no IP address will be sent and the tracker will automatically\n"
-"determine an appropriate IP address."
+"What IP address to report to the tracker. If set to \"\" no IP address will "
+"be sent and the tracker will automatically determine an appropriate IP "
+"address."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:73
+#: src/protocol/bittorrent/bittorrent.c:74
 #, fuzzy
 msgid "User identification string"
 msgstr "Opes do Terminal"
 
-#: src/protocol/bittorrent/bittorrent.c:75
+#: src/protocol/bittorrent/bittorrent.c:76
 msgid ""
-"An additional identification that is not shared with any users.\n"
-"It is intended to allow a client to prove their identity should\n"
-"their IP address change. It is an optional parameter, but some\n"
-"trackers require this parameter. If set to \"\" no user key will\n"
-"be sent to the tracker."
+"An additional identification that is not shared with any users. It is "
+"intended to allow a client to prove their identity should their IP address "
+"change. It is an optional parameter, but some trackers require this "
+"parameter. If set to \"\" no user key will be sent to the tracker."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:81
+#: src/protocol/bittorrent/bittorrent.c:82
 #, fuzzy
 msgid "Maximum number of peers to request"
 msgstr "Conectando"
 
-#: src/protocol/bittorrent/bittorrent.c:83
+#: src/protocol/bittorrent/bittorrent.c:84
 msgid ""
-"The maximum number of peers to request from the tracker.\n"
-"Set to 0 to use the server default."
+"The maximum number of peers to request from the tracker. Set to 0 to use the "
+"server default."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:86
+#: src/protocol/bittorrent/bittorrent.c:87
 msgid "Minimum peers to skip rerequesting"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:88
+#: src/protocol/bittorrent/bittorrent.c:89
 msgid ""
-"The minimum number of peers to have in the current peer info\n"
-"pool before skipping requesting of more peers. I.e. setting\n"
-"numwant to zero.\n"
-"Set to 0 to not have any limit."
+"The minimum number of peers to have in the current peer info pool before "
+"skipping requesting of more peers. I.e. setting numwant to zero. Set to 0 to "
+"not have any limit."
 msgstr ""
 
 #. ******************************************************************
@@ -6809,182 +6810,177 @@ msgstr "Conectando"
 
 #: src/protocol/bittorrent/bittorrent.c:104
 msgid ""
-"The maximum number of allowed connections to both active and\n"
-"non-active peers. By increasing the number of allowed connections,\n"
-"the chance of finding good peers to download from is increased.\n"
-"However, too many connections can lead to TCP congestion. If the\n"
-"maximum is reached all new incoming connections will be closed."
+"The maximum number of allowed connections to both active and non-active "
+"peers. By increasing the number of allowed connections, the chance of "
+"finding good peers to download from is increased. However, too many "
+"connections can lead to TCP congestion. If the maximum is reached all new "
+"incoming connections will be closed."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:110
+#: src/protocol/bittorrent/bittorrent.c:111
 msgid "Maximum peer message length"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:112
+#: src/protocol/bittorrent/bittorrent.c:113
 msgid ""
-"The maximum length of messages to accept over the wire.\n"
-"Larger values will cause the connection to be dropped."
+"The maximum length of messages to accept over the wire. Larger values will "
+"cause the connection to be dropped."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:115
+#: src/protocol/bittorrent/bittorrent.c:116
 msgid "Maximum allowed request length"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:117
+#: src/protocol/bittorrent/bittorrent.c:118
 msgid ""
-"The maximum length to allow for incoming requests.\n"
-"Larger requests will cause the connection to be dropped."
+"The maximum length to allow for incoming requests. Larger requests will "
+"cause the connection to be dropped."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:120
+#: src/protocol/bittorrent/bittorrent.c:121
 msgid "Length of requests"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:122
+#: src/protocol/bittorrent/bittorrent.c:123
 msgid ""
-"How many bytes to query for per request. This is complementary\n"
-"to the max_request_length option. If the configured length is\n"
-"bigger than the piece length it will be truncated."
+"How many bytes to query for per request. This is complementary to the "
+"max_request_length option. If the configured length is bigger than the piece "
+"length it will be truncated."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:126
+#: src/protocol/bittorrent/bittorrent.c:128
 #, fuzzy
 msgid "Peer inactivity timeout"
 msgstr "Sinal timeout recebido"
 
-#: src/protocol/bittorrent/bittorrent.c:128
+#: src/protocol/bittorrent/bittorrent.c:130
 msgid ""
-"The number of seconds to wait before closing a socket on\n"
-"which nothing has been received or sent."
+"The number of seconds to wait before closing a socket on which nothing has "
+"been received or sent."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:131
+#: src/protocol/bittorrent/bittorrent.c:133
 #, fuzzy
 msgid "Maximum peer pool size"
 msgstr "Conectando"
 
-#: src/protocol/bittorrent/bittorrent.c:133
+#: src/protocol/bittorrent/bittorrent.c:135
 msgid ""
-"Maximum number of items in the peer pool. The peer pool\n"
-"contains information used for establishing connections to\n"
-"new peers.\n"
+"Maximum number of items in the peer pool. The peer pool contains information "
+"used for establishing connections to new peers.\n"
+"\n"
 "Set to 0 to have unlimited size."
 msgstr ""
 
 #. ******************************************************************
 #. Piece management options:
 #. ******************************************************************
-#: src/protocol/bittorrent/bittorrent.c:143
+#: src/protocol/bittorrent/bittorrent.c:146
 #, fuzzy
 msgid "Maximum piece cache size"
 msgstr "Conectando"
 
-#: src/protocol/bittorrent/bittorrent.c:145
+#: src/protocol/bittorrent/bittorrent.c:148
 msgid ""
-"The maximum amount of memory used to hold recently\n"
-"downloaded pieces.\n"
+"The maximum amount of memory used to hold recently downloaded pieces.\n"
+"\n"
 "Set to 0 to have unlimited size."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:154
+#: src/protocol/bittorrent/bittorrent.c:158
 msgid "Sharing rate"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:156
+#: src/protocol/bittorrent/bittorrent.c:160
 msgid ""
-"The minimum sharing rate to achieve before stop seeding.\n"
-"The sharing rate is computed as the number of uploaded bytes\n"
-"divided with the number of downloaded bytes. The value should\n"
-"be a double value between 0.0 and 1.0 both included.\n"
-"Set to 1.0 to atleast upload a complete copy of all data and\n"
+"The minimum sharing rate to achieve before stop seeding. The sharing rate is "
+"computed as the number of uploaded bytes divided with the number of "
+"downloaded bytes. The value should be a double value between 0.0 and 1.0 "
+"both included. Set to 1.0 to atleast upload a complete copy of all data and "
 "set to 0.0 to have unlimited sharing rate."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:163
+#: src/protocol/bittorrent/bittorrent.c:167
 msgid "Maximum number of uploads"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:165
+#: src/protocol/bittorrent/bittorrent.c:169
 msgid "The maximum number of uploads to allow at once."
 msgstr ""
 
 #. The number of uploads to fill out to with extra optimistic unchokes
-#: src/protocol/bittorrent/bittorrent.c:168
+#: src/protocol/bittorrent/bittorrent.c:172
 msgid "Minimum number of uploads"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:170
+#: src/protocol/bittorrent/bittorrent.c:174
 msgid ""
-"The minimum number of uploads which should at least\n"
-"be used for new connections."
+"The minimum number of uploads which should at least be used for new "
+"connections."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:174
+#: src/protocol/bittorrent/bittorrent.c:178
 #, fuzzy
 msgid "Keepalive interval"
 msgstr "Erro ao salvar"
 
-#: src/protocol/bittorrent/bittorrent.c:176
-msgid ""
-"The number of seconds to pause between sending keepalive\n"
-"messages."
+#: src/protocol/bittorrent/bittorrent.c:180
+msgid "The number of seconds to pause between sending keepalive messages."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:179
+#: src/protocol/bittorrent/bittorrent.c:183
 #, fuzzy
 msgid "Number of pending requests"
 msgstr "O servidor est processando a solicitao"
 
-#: src/protocol/bittorrent/bittorrent.c:181
+#: src/protocol/bittorrent/bittorrent.c:185
 msgid ""
-"How many piece requests to continuously keep in queue. Pipelining\n"
-"of requests is essential to saturate connections and get a good\n"
-"connection performance and thus a faster download. However, a\n"
-"very big queue size can lead to wasting bandwidth near the end\n"
-"of the connection since remaining piece blocks will be requested\n"
-"from multiple peers."
+"How many piece requests to continuously keep in queue. Pipelining of "
+"requests is essential to saturate connections and get a good connection "
+"performance and thus a faster download. However, a very big queue size can "
+"lead to wasting bandwidth near the end of the connection since remaining "
+"piece blocks will be requested from multiple peers."
 msgstr ""
 
 #. Bram uses 30 seconds here.
-#: src/protocol/bittorrent/bittorrent.c:190
+#: src/protocol/bittorrent/bittorrent.c:194
 msgid "Peer snubbing interval"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:192
+#: src/protocol/bittorrent/bittorrent.c:196
 msgid ""
-"The number of seconds to wait for file data before assuming\n"
-"the peer has been snubbed."
+"The number of seconds to wait for file data before assuming the peer has "
+"been snubbed."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:195
+#: src/protocol/bittorrent/bittorrent.c:199
 #, fuzzy
 msgid "Peer choke interval"
 msgstr "Erro ao salvar"
 
-#: src/protocol/bittorrent/bittorrent.c:197
+#: src/protocol/bittorrent/bittorrent.c:201
 msgid ""
-"The number of seconds between updating the connection state\n"
-"and most importantly choke and unchoke peer connections. The\n"
-"choke period should be big enough for newly unchoked connections\n"
-"to get started but small enough to not allow freeriders too much\n"
-"room for stealing bandwidth."
+"The number of seconds between updating the connection state and most "
+"importantly choke and unchoke peer connections. The choke period should be "
+"big enough for newly unchoked connections to get started but small enough to "
+"not allow freeriders too much room for stealing bandwidth."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:203
+#: src/protocol/bittorrent/bittorrent.c:207
 msgid "Rarest first piece selection cutoff"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:205
+#: src/protocol/bittorrent/bittorrent.c:209
 msgid ""
-"The number of pieces to obtain before switching piece\n"
-"selection strategy from random to rarest first."
+"The number of pieces to obtain before switching piece selection strategy "
+"from random to rarest first."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:208 src/protocol/http/http.c:109
+#: src/protocol/bittorrent/bittorrent.c:212 src/protocol/http/http.c:109
 msgid "Allow blacklisting"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:210
+#: src/protocol/bittorrent/bittorrent.c:214
 msgid "Allow blacklisting of buggy peers."
 msgstr ""
 
@@ -7020,7 +7016,7 @@ msgstr "Arquivo"
 msgid "Comment"
 msgstr "documentos"
 
-#: src/protocol/bittorrent/dialogs.c:229 src/session/download.c:362
+#: src/protocol/bittorrent/dialogs.c:229 src/session/download.c:388
 #, fuzzy, c-format
 msgid ""
 "Download complete:\n"
@@ -7188,7 +7184,7 @@ msgid_plural "%u unavailable"
 msgstr[0] "Servio de FTP no-disponvel"
 msgstr[1] "Servio de FTP no-disponvel"
 
-#: src/protocol/bittorrent/dialogs.c:584 src/session/session.c:278
+#: src/protocol/bittorrent/dialogs.c:584 src/session/session.c:279
 #, fuzzy, c-format
 msgid "Unable to retrieve %s"
 msgstr "No posso escrever no arquivo de configurao"
@@ -7203,7 +7199,7 @@ msgstr ""
 msgid "Information about the torrent"
 msgstr "Download da ima~gem"
 
-#: src/protocol/bittorrent/dialogs.c:776 src/session/download.c:1106
+#: src/protocol/bittorrent/dialogs.c:776 src/session/download.c:1132
 msgid "What to do?"
 msgstr "Fazer o que?"
 
@@ -7214,13 +7210,13 @@ msgid "Down~load"
 msgstr "Download"
 
 #. accelerator_context(src/protocol/bittorrent/dialogs.c:bittorrent_query_callback, src/session/download.c:do_type_query)
-#: src/protocol/bittorrent/dialogs.c:804 src/session/download.c:1209
+#: src/protocol/bittorrent/dialogs.c:804 src/session/download.c:1235
 #, fuzzy
 msgid "~Display"
 msgstr "Exibir"
 
 #. accelerator_context(src/protocol/bittorrent/dialogs.c:bittorrent_query_callback, src/session/download.c:do_type_query)
-#: src/protocol/bittorrent/dialogs.c:808 src/session/download.c:1213
+#: src/protocol/bittorrent/dialogs.c:808 src/session/download.c:1239
 msgid "Show ~header"
 msgstr ""
 
@@ -7238,16 +7234,16 @@ msgstr "Nenhum programa foi especificado
 msgid "Colon separated list of directories, where CGI scripts are stored."
 msgstr ""
 
-#: src/protocol/file/cgi.c:47
+#: src/protocol/file/cgi.c:48
 msgid "Allow local CGI"
 msgstr ""
 
-#: src/protocol/file/cgi.c:49
+#: src/protocol/file/cgi.c:50
 msgid "Whether to execute local CGI scripts."
 msgstr ""
 
 #. name:
-#: src/protocol/file/cgi.c:54
+#: src/protocol/file/cgi.c:55
 msgid "CGI"
 msgstr ""
 
@@ -7266,9 +7262,8 @@ msgstr ""
 
 #: src/protocol/file/file.c:46
 msgid ""
-"Whether to allow reading from non-regular files.\n"
-"Note this can be dangerous; reading /dev/urandom or\n"
-"/dev/zero can ruin your day!"
+"Whether to allow reading from non-regular files. Note this can be dangerous; "
+"reading /dev/urandom or /dev/zero can ruin your day!"
 msgstr ""
 
 #: src/protocol/file/file.c:50
@@ -7277,8 +7272,8 @@ msgstr ""
 
 #: src/protocol/file/file.c:52
 msgid ""
-"When set to false, files with name starting with a dot will be\n"
-"hidden in local directory listings."
+"When set to false, files with name starting with a dot will be hidden in "
+"local directory listings."
 msgstr ""
 
 #: src/protocol/file/file.c:55
@@ -7288,13 +7283,13 @@ msgstr "Sem extenses"
 
 #: src/protocol/file/file.c:57
 msgid ""
-"When set, if we can't open a file named 'filename', we'll try\n"
-"to open 'filename' with some encoding extension appended\n"
-"(ie. 'filename.gz'); it depends on the supported encodings."
+"When set, if we can't open a file named 'filename', we'll try to open "
+"'filename' with some encoding extension appended (ie. 'filename.gz'); it "
+"depends on the supported encodings."
 msgstr ""
 
 #. name:
-#: src/protocol/file/file.c:65
+#: src/protocol/file/file.c:66
 #, fuzzy
 msgid "File"
 msgstr "Arquivo"
@@ -7324,7 +7319,7 @@ msgid "Whether to sort entries in direct
 msgstr ""
 
 #. name:
-#: src/protocol/ftp/ftp.c:56 src/protocol/ftp/ftp.c:86
+#: src/protocol/ftp/ftp.c:56 src/protocol/ftp/ftp.c:89
 msgid "FTP"
 msgstr ""
 
@@ -7332,8 +7327,8 @@ msgstr ""
 msgid "FTP specific options."
 msgstr ""
 
-#: src/protocol/ftp/ftp.c:60 src/protocol/http/http.c:127
-#: src/protocol/http/http.c:209
+#: src/protocol/ftp/ftp.c:60 src/protocol/http/http.c:128
+#: src/protocol/http/http.c:235
 msgid "Proxy configuration"
 msgstr ""
 
@@ -7341,39 +7336,39 @@ msgstr ""
 msgid "FTP proxy configuration."
 msgstr ""
 
-#: src/protocol/ftp/ftp.c:64 src/protocol/http/http.c:131
-#: src/protocol/http/http.c:213
+#: src/protocol/ftp/ftp.c:64 src/protocol/http/http.c:132
+#: src/protocol/http/http.c:239
 #, fuzzy
 msgid "Host and port-number"
 msgstr "Nmero invlido"
 
 #: src/protocol/ftp/ftp.c:66
 msgid ""
-"Host and port-number (host:port) of the FTP proxy, or blank.\n"
-"If it's blank, FTP_PROXY environment variable is checked as well."
+"Host and port-number (host:port) of the FTP proxy, or blank. If it's blank, "
+"FTP_PROXY environment variable is checked as well."
 msgstr ""
 
-#: src/protocol/ftp/ftp.c:69
+#: src/protocol/ftp/ftp.c:70
 msgid "Anonymous password"
 msgstr ""
 
-#: src/protocol/ftp/ftp.c:71
+#: src/protocol/ftp/ftp.c:72
 msgid "FTP anonymous password to be sent."
 msgstr ""
 
-#: src/protocol/ftp/ftp.c:73
+#: src/protocol/ftp/ftp.c:74
 msgid "Use passive mode (IPv4)"
 msgstr ""
 
-#: src/protocol/ftp/ftp.c:75
+#: src/protocol/ftp/ftp.c:76
 msgid "Use PASV instead of PORT (passive vs active mode, IPv4 only)."
 msgstr ""
 
-#: src/protocol/ftp/ftp.c:77
+#: src/protocol/ftp/ftp.c:79
 msgid "Use passive mode (IPv6)"
 msgstr ""
 
-#: src/protocol/ftp/ftp.c:79
+#: src/protocol/ftp/ftp.c:81
 msgid "Use EPSV instead of EPRT (passive vs active mode, IPv6 only)."
 msgstr ""
 
@@ -7400,7 +7395,7 @@ msgid ""
 msgstr ""
 
 #. name:
-#: src/protocol/http/http.c:95 src/protocol/http/http.c:223
+#: src/protocol/http/http.c:95 src/protocol/http/http.c:250
 msgid "HTTP"
 msgstr ""
 
@@ -7422,8 +7417,8 @@ msgstr ""
 
 #: src/protocol/http/http.c:106
 msgid ""
-"The Accept-Charset header is quite long and sending it can trigger\n"
-"bugs in some rarely found servers."
+"The Accept-Charset header is quite long and sending it can trigger bugs in "
+"some rarely found servers."
 msgstr ""
 
 #: src/protocol/http/http.c:111
@@ -7436,71 +7431,71 @@ msgstr ""
 
 #: src/protocol/http/http.c:115
 msgid ""
-"Broken 302 redirect (violates RFC but compatible with Netscape).\n"
-"This is a problem for a lot of web discussion boards and the like.\n"
-"If they will do strange things to you, try to play with this."
+"Broken 302 redirect (violates RFC but compatible with Netscape). This is a "
+"problem for a lot of web discussion boards and the like. If they will do "
+"strange things to you, try to play with this."
 msgstr ""
 
-#: src/protocol/http/http.c:119
+#: src/protocol/http/http.c:120
 msgid "No keepalive after POST requests"
 msgstr ""
 
-#: src/protocol/http/http.c:121
+#: src/protocol/http/http.c:122
 msgid "Disable keepalive connection after POST request."
 msgstr ""
 
-#: src/protocol/http/http.c:123
+#: src/protocol/http/http.c:124
 msgid "Use HTTP/1.0"
 msgstr ""
 
-#: src/protocol/http/http.c:125
+#: src/protocol/http/http.c:126
 msgid "Use HTTP/1.0 protocol instead of HTTP/1.1."
 msgstr ""
 
-#: src/protocol/http/http.c:129
+#: src/protocol/http/http.c:130
 msgid "HTTP proxy configuration."
 msgstr ""
 
-#: src/protocol/http/http.c:133
+#: src/protocol/http/http.c:134
 msgid ""
-"Host and port-number (host:port) of the HTTP proxy, or blank.\n"
-"If it's blank, HTTP_PROXY environment variable is checked as well."
+"Host and port-number (host:port) of the HTTP proxy, or blank. If it's blank, "
+"HTTP_PROXY environment variable is checked as well."
 msgstr ""
 
-#: src/protocol/http/http.c:136
+#: src/protocol/http/http.c:138
 #, fuzzy
 msgid "Username"
 msgstr "nome"
 
-#: src/protocol/http/http.c:138
+#: src/protocol/http/http.c:140
 #, fuzzy
 msgid "Proxy authentication username."
 msgstr "Autenticao HTTP"
 
-#: src/protocol/http/http.c:142
+#: src/protocol/http/http.c:144
 #, fuzzy
 msgid "Proxy authentication password."
 msgstr "Autenticao HTTP"
 
-#: src/protocol/http/http.c:145
+#: src/protocol/http/http.c:147
 msgid "Referer sending"
 msgstr ""
 
-#: src/protocol/http/http.c:147
+#: src/protocol/http/http.c:149
 msgid ""
-"HTTP referer sending options. HTTP referer is a special header\n"
-"sent in the HTTP requests, which is supposed to contain the previous\n"
-"page visited by the browser. This way, the server can know what link\n"
-"did you follow when accessing that page. However, this behaviour\n"
-"can unfortunately considerably affect privacy and can lead even to a\n"
-"security problem on some badly designed web pages."
+"HTTP referer sending options. HTTP referer is a special header sent in the "
+"HTTP requests, which is supposed to contain the previous page visited by the "
+"browser.This way, the server can know what link did you follow when "
+"accessing that page. However, this behaviour can unfortunately considerably "
+"affect privacy and can lead even to a security problem on some badly "
+"designed web pages."
 msgstr ""
 
-#: src/protocol/http/http.c:154
+#: src/protocol/http/http.c:157
 msgid "Policy"
 msgstr ""
 
-#: src/protocol/http/http.c:157
+#: src/protocol/http/http.c:160
 msgid ""
 "Mode of sending HTTP referer:\n"
 "0 is send no referer\n"
@@ -7509,90 +7504,110 @@ msgid ""
 "3 is send previous URL as referer (correct, but insecure)"
 msgstr ""
 
-#: src/protocol/http/http.c:163
+#: src/protocol/http/http.c:166
 msgid "Fake referer URL"
 msgstr ""
 
-#: src/protocol/http/http.c:165
+#: src/protocol/http/http.c:168
 msgid "Fake referer to be sent when policy is 2."
 msgstr ""
 
-#: src/protocol/http/http.c:168
+#: src/protocol/http/http.c:171
 msgid "Send Accept-Language header"
 msgstr ""
 
-#: src/protocol/http/http.c:170
+#: src/protocol/http/http.c:173
 msgid "Send Accept-Language header."
 msgstr ""
 
-#: src/protocol/http/http.c:172
+#: src/protocol/http/http.c:175
 msgid "Use UI language as Accept-Language"
 msgstr ""
 
-#: src/protocol/http/http.c:174
+#: src/protocol/http/http.c:177
 msgid ""
-"Request localised versions of documents from web-servers (using the\n"
-"Accept-Language header) using the language you have configured for\n"
-"ELinks' user-interface (this also affects navigator.language ECMAScript\n"
-"value available to scripts). Note that some see this as a potential\n"
-"security risk because it tells web-masters and the FBI sniffers about\n"
-"your language preference."
+"Request localised versions of documents from web-servers (using the Accept-"
+"Language header) using the language you have configured for ELinks' user-"
+"interface (this also affects navigator.language ECMAScript value available "
+"to scripts). Note that some see this as a potential security risk because it "
+"tells web-masters and the FBI sniffers about your language preference."
+msgstr ""
+
+#. After the compression support has been tested enough,
+#. * we might wrap this option in #if CFG_DEBUG.
+#: src/protocol/http/http.c:187
+msgid "Enable on-the-fly compression"
 msgstr ""
 
-#: src/protocol/http/http.c:181
+#: src/protocol/http/http.c:189
+msgid ""
+"If enabled, the capability to receive compressed content (gzip and/or bzip2) "
+"is announced to the server, which usually sends the reply compressed, thus "
+"saving some bandwidth at slight CPU expense.\n"
+"\n"
+"If ELinks displays a incomplete page or garbage, try disabling this option. "
+"If that helps, there may be a bug in the decompression part of ELinks. "
+"Please report such bugs.\n"
+"\n"
+"If ELinks has been compiled without compression support, this option has no "
+"effect. To check the supported features, see Help -> About."
+msgstr ""
+
+#: src/protocol/http/http.c:202
 msgid "Activate HTTP TRACE debugging"
 msgstr ""
 
-#: src/protocol/http/http.c:183
+#: src/protocol/http/http.c:204
 msgid ""
-"If active, all HTTP requests are sent with TRACE as their method\n"
-"rather than GET or POST. This is useful for debugging of both ELinks\n"
-"and various server-side scripts --- the server only returns the client's\n"
-"request back to the client verbatim. Note that this type of request may\n"
-"not be enabled on all servers."
+"If active, all HTTP requests are sent with TRACE as their method rather than "
+"GET or POST. This is useful for debugging of both ELinks and various server-"
+"side scripts --- the server only returns the client's request back to the "
+"client verbatim. Note that this type of request may not be enabled on all "
+"servers."
 msgstr ""
 
 #. OSNews.com is supposed to be relying on the textmode token, at least.
-#: src/protocol/http/http.c:190
+#: src/protocol/http/http.c:212
 msgid "User-agent identification"
 msgstr ""
 
-#: src/protocol/http/http.c:192
+#: src/protocol/http/http.c:214
 msgid ""
-"Change the User Agent ID. That means identification string, which\n"
-"is sent to HTTP server when a document is requested. The 'textmode'\n"
-"token in the first field is our silent attempt to establish this as\n"
-"a standard for new textmode user agents, so that the webmasters can\n"
-"have just a single uniform test for these if they are e.g. pushing\n"
-"some lite version to them automagically.\n"
+"Change the User Agent ID. That means identification string, which is sent to "
+"HTTP server when a document is requested. The 'textmode' token in the first "
+"field is our silent attempt to establish this as a standard for new textmode "
+"user agents, so that the webmasters can have just a single uniform test for "
+"these if they are e.g. pushing some lite version to them automagically.\n"
+"\n"
 "Use \" \" if you don't want any User-Agent header to be sent at all.\n"
+"\n"
 "%v in the string means ELinks version,\n"
 "%s in the string means system identification,\n"
 "%t in the string means size of the terminal,\n"
 "%b in the string means number of bars displayed by ELinks."
 msgstr ""
 
-#: src/protocol/http/http.c:205
+#: src/protocol/http/http.c:231
 msgid "HTTPS"
 msgstr ""
 
-#: src/protocol/http/http.c:207
+#: src/protocol/http/http.c:233
 #, fuzzy
 msgid "HTTPS-specific options."
 msgstr "Nenhum programa foi especificado para"
 
-#: src/protocol/http/http.c:211
+#: src/protocol/http/http.c:237
 msgid "HTTPS proxy configuration."
 msgstr ""
 
-#: src/protocol/http/http.c:215
+#: src/protocol/http/http.c:241
 msgid ""
-"Host and port-number (host:port) of the HTTPS CONNECT proxy, or blank.\n"
-"If it's blank, HTTPS_PROXY environment variable is checked as well."
+"Host and port-number (host:port) of the HTTPS CONNECT proxy, or blank. If "
+"it's blank, HTTPS_PROXY environment variable is checked as well."
 msgstr ""
 
 #. name:
-#: src/protocol/nntp/nntp.c:32 src/protocol/nntp/nntp.c:65
+#: src/protocol/nntp/nntp.c:32 src/protocol/nntp/nntp.c:66
 msgid "NNTP"
 msgstr ""
 
@@ -7607,19 +7622,19 @@ msgstr ""
 
 #: src/protocol/nntp/nntp.c:38
 msgid ""
-"Used when resolving news: URIs. If set to the empty string\n"
-"the value of the NNTPSERVER environment variable will be used."
+"Used when resolving news: URIs. If set to the empty string the value of the "
+"NNTPSERVER environment variable will be used."
 msgstr ""
 
-#: src/protocol/nntp/nntp.c:41
+#: src/protocol/nntp/nntp.c:42
 msgid "Message header entries"
 msgstr ""
 
-#: src/protocol/nntp/nntp.c:43
+#: src/protocol/nntp/nntp.c:44
 msgid ""
-"Comma separated list of which entries in the article header\n"
-"to show. E.g. 'Subject' and 'From'.\n"
-"All header entries can be read in the header info dialog."
+"Comma separated list of which entries in the article header to show. E.g. "
+"'Subject' and 'From'. All header entries can be read in the header info "
+"dialog."
 msgstr ""
 
 #: src/protocol/protocol.c:242
@@ -7641,10 +7656,9 @@ msgstr ""
 
 #: src/protocol/protocol.c:279
 msgid ""
-"Comma separated list of domains for which the proxy (HTTP/FTP)\n"
-"should be disabled. Optionally, a port can be specified for some\n"
-"domains as well. If it's blank, NO_PROXY environment variable is\n"
-"checked as well."
+"Comma separated list of domains for which the proxy (HTTP/FTP) should be "
+"disabled. Optionally, a port can be specified for some domains as well. If "
+"it's blank, NO_PROXY environment variable is checked as well."
 msgstr ""
 
 #. name:
@@ -7658,47 +7672,45 @@ msgstr ""
 
 #: src/protocol/rewrite/rewrite.c:46
 msgid ""
-"Rules for rewriting URIs entered in the goto dialog.\n"
-"It makes it possible to define a set of prefixes that will\n"
-"be expanded if they match a string entered in the goto dialog.\n"
-"The prefixes can be dumb, meaning that they work only like\n"
-"URI abbreviations, or smart ones, making it possible to pass\n"
+"Rules for rewriting URIs entered in the goto dialog. It makes it possible to "
+"define a set of prefixes that will be expanded if they match a string "
+"entered in the goto dialog. The prefixes can be dumb, meaning that they work "
+"only like URI abbreviations, or smart ones, making it possible to pass "
 "arguments to them like search engine keywords."
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:53
+#: src/protocol/rewrite/rewrite.c:54
 msgid "Enable dumb prefixes"
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:55
+#: src/protocol/rewrite/rewrite.c:56
 msgid ""
-"Enable dumb prefixes - simple URI abbreviations which can\n"
-"be written to the Goto URL dialog instead of actual URIs - i.e.\n"
-"if you write 'elinks' there, you are directed to\n"
-"http://elinks.cz/."
+"Enable dumb prefixes - simple URI abbreviations which can be written to the "
+"Goto URL dialog instead of actual URIs - i.e. if you write 'elinks' there, "
+"you are directed to http://elinks.cz/."
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:60
+#: src/protocol/rewrite/rewrite.c:61
 msgid "Enable smart prefixes"
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:62
+#: src/protocol/rewrite/rewrite.c:63
 msgid ""
-"Enable smart prefixes - URI templates triggered by writing\n"
-"given abbreviation to the Goto URL dialog followed by a list\n"
-"of arguments from which the actual URI is composed - i.e.\n"
-"'gg:search keywords' or 'gn search keywords for news'."
+"Enable smart prefixes - URI templates triggered by writing given "
+"abbreviation to the Goto URL dialog followed by a list of arguments from "
+"which the actual URI is composed - i.e. 'gg:search keywords' or 'gn search "
+"keywords for news'."
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:67
+#: src/protocol/rewrite/rewrite.c:69
 msgid "Dumb Prefixes"
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:69
+#: src/protocol/rewrite/rewrite.c:71
 msgid "Dumb prefixes, see enable-dumb description for details."
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:74
+#: src/protocol/rewrite/rewrite.c:76
 #, no-c-format
 msgid ""
 "Replacement URI for this dumbprefix:\n"
@@ -7706,15 +7718,15 @@ msgid ""
 "%% in the string means '%'"
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:78
+#: src/protocol/rewrite/rewrite.c:80
 msgid "Smart Prefixes"
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:80
+#: src/protocol/rewrite/rewrite.c:82
 msgid "Smart prefixes, see enable-smart description for details."
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:87
+#: src/protocol/rewrite/rewrite.c:90
 #, no-c-format
 msgid ""
 "Replacement URI for this smartprefix:\n"
@@ -7724,27 +7736,29 @@ msgid ""
 "%% in the string means '%'"
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:93
+#: src/protocol/rewrite/rewrite.c:96
 #, fuzzy
 msgid "Default template"
 msgstr "Cache de documentos formatados"
 
-#: src/protocol/rewrite/rewrite.c:96
+#: src/protocol/rewrite/rewrite.c:99
 #, no-c-format
 msgid ""
-"Default URI template used when the string entered in\n"
-"the goto dialog does not appear to be a URI or a filename\n"
-"(i.e. contains no '.', ':' or '/' characters), and does\n"
-"not match any defined prefixes. Set the value to \"\" to\n"
-"disable use of the default template rewrite rule.\n"
+"Default URI template used when the string entered in the goto dialog does "
+"not appear to be a URI or a filename (i.e. contains no '.', ':' or '/' "
+"characters), and does not match any defined prefixes. Set the value to \"\" "
+"to disable use of the default template rewrite rule.\n"
+"\n"
 "%c in the template means the current URL,\n"
-"%s in the template means the whole string from the goto dialog,\n"
-"%0,%1,...,%9 mean the 1st,2nd,...,10th space-delimited part of %s,\n"
+"%s in the template means the whole string from the goto\n"
+"   dialog,\n"
+"%0,%1,...,%9 mean the 1st,2nd,...,10th space-delimited part\n"
+"   of %s,\n"
 "%% in the template means '%'."
 msgstr ""
 
 #. name:
-#: src/protocol/rewrite/rewrite.c:372
+#: src/protocol/rewrite/rewrite.c:378
 msgid "URI rewrite"
 msgstr ""
 
@@ -7767,24 +7781,23 @@ msgid "Credentials file passed to smbcli
 msgstr ""
 
 #. name:
-#: src/protocol/user.c:34 src/protocol/user.c:84
+#: src/protocol/user.c:34 src/protocol/user.c:85
 msgid "User protocols"
 msgstr ""
 
 #: src/protocol/user.c:36
 msgid ""
-"User protocols. Options in this tree specify external\n"
-"handlers for the appropriate protocols. Ie.\n"
-"protocol.user.mailto.unix."
+"User protocols. Options in this tree specify external handlers for the "
+"appropriate protocols. Ie. protocol.user.mailto.unix."
 msgstr ""
 
 #: src/protocol/user.c:47
 msgid ""
-"Handler (external program) for this protocol. Name the\n"
-"options in this tree after your system (ie. unix, unix-xwin)."
+"Handler (external program) for this protocol. Name the options in this tree "
+"after your system (ie. unix, unix-xwin)."
 msgstr ""
 
-#: src/protocol/user.c:52
+#: src/protocol/user.c:53
 msgid ""
 "Handler (external program) for this protocol and system.\n"
 "%f in the string means file name to include form data from\n"
@@ -7795,11 +7808,11 @@ msgid ""
 "%u in the string means the whole URL"
 msgstr ""
 
-#: src/protocol/user.c:276
+#: src/protocol/user.c:277
 msgid "No program"
 msgstr "Nenhum programa"
 
-#: src/protocol/user.c:278
+#: src/protocol/user.c:279
 #, fuzzy, c-format
 msgid "No program specified for protocol %s."
 msgstr "Nenhum programa foi especificado para"
@@ -7883,19 +7896,19 @@ msgstr ""
 msgid "Spidermonkey ECMAScript"
 msgstr ""
 
-#: src/session/download.c:233 src/session/download.c:330
-#: src/session/download.c:561 src/session/download.c:649
+#: src/session/download.c:256 src/session/download.c:356
+#: src/session/download.c:587 src/session/download.c:675
 msgid "Download error"
 msgstr "Erro de download"
 
-#: src/session/download.c:234 src/session/download.c:650
+#: src/session/download.c:257 src/session/download.c:676
 #, fuzzy, c-format
 msgid ""
 "Could not create file '%s':\n"
 "%s"
 msgstr "No posso gravar no arquivo"
 
-#: src/session/download.c:331
+#: src/session/download.c:357
 #, fuzzy, c-format
 msgid ""
 "Error downloading %s:\n"
@@ -7903,17 +7916,17 @@ msgid ""
 "%s"
 msgstr "Erro durante o download"
 
-#: src/session/download.c:562
+#: src/session/download.c:588
 #, c-format
 msgid "'%s' is a directory."
 msgstr ""
 
-#: src/session/download.c:596
+#: src/session/download.c:622
 #, fuzzy
 msgid "File exists"
 msgstr "~Extenses de arquivo"
 
-#: src/session/download.c:597
+#: src/session/download.c:623
 #, c-format
 msgid ""
 "This file already exists:\n"
@@ -7924,51 +7937,51 @@ msgid ""
 msgstr ""
 
 #. accelerator_context(src/session/download.c:lookup_unique_name)
-#: src/session/download.c:604
+#: src/session/download.c:630
 msgid "Sa~ve under the alternative name"
 msgstr ""
 
 #. accelerator_context(src/session/download.c:lookup_unique_name)
-#: src/session/download.c:605
+#: src/session/download.c:631
 msgid "~Overwrite the original file"
 msgstr ""
 
 #. accelerator_context(src/session/download.c:lookup_unique_name)
-#: src/session/download.c:606
+#: src/session/download.c:632
 msgid "~Resume download of the original file"
 msgstr ""
 
-#: src/session/download.c:1109
+#: src/session/download.c:1135
 msgid "Unknown type"
 msgstr "Tipo desconhecido"
 
-#: src/session/download.c:1134
+#: src/session/download.c:1160
 #, c-format
 msgid "What would you like to do with the file '%s' (type: %s%s%s)?"
 msgstr ""
 
-#: src/session/download.c:1137
+#: src/session/download.c:1163
 #, c-format
 msgid "What would you like to do with the file (type: %s%s%s)?"
 msgstr ""
 
-#: src/session/download.c:1165
+#: src/session/download.c:1191
 #, no-c-format
 msgid "Program ('%' will be replaced by the filename)"
 msgstr ""
 
-#: src/session/download.c:1169
+#: src/session/download.c:1195
 #, fuzzy
 msgid "Block the terminal"
 msgstr "Terminal do ~BeOS"
 
-#: src/session/download.c:1175
+#: src/session/download.c:1201
 #, c-format
 msgid "The file will be opened with the program '%s'."
 msgstr ""
 
 #. accelerator_context(src/session/download.c:do_type_query)
-#: src/session/download.c:1196
+#: src/session/download.c:1222
 #, fuzzy
 msgid "~Open"
 msgstr "Abrir"
@@ -7977,12 +7990,12 @@ msgstr "Abrir"
 #. * and formatting it with "%u" is safe,
 #. * because fc_maxlength is smaller than
 #. * file.length, which is an int.
-#: src/session/session.c:761 src/session/session.c:780 src/session/task.c:275
-#: src/viewer/text/textarea.c:652
+#: src/session/session.c:771 src/session/session.c:790 src/session/task.c:275
+#: src/viewer/text/textarea.c:641
 msgid "Warning"
 msgstr "Ateno"
 
-#: src/session/session.c:762
+#: src/session/session.c:772
 msgid ""
 "You have an empty string in protocol.http.user_agent - this was a default "
 "value in the past, substituted by default ELinks User-Agent string. However, "
@@ -7993,7 +8006,7 @@ msgid ""
 "will be used. Apologies for any inconvience caused."
 msgstr ""
 
-#: src/session/session.c:781
+#: src/session/session.c:791
 msgid ""
 "You have option config.saving_style set to a de facto obsolete value. The "
 "configuration saving algorithms of ELinks were changed from the last time "
@@ -8006,11 +8019,11 @@ msgid ""
 "caused."
 msgstr ""
 
-#: src/session/session.c:806
+#: src/session/session.c:816
 msgid "Welcome"
 msgstr "Bem-vindo"
 
-#: src/session/session.c:807
+#: src/session/session.c:817
 #, fuzzy
 msgid ""
 "Welcome to ELinks!\n"
@@ -8063,22 +8076,22 @@ msgstr ""
 msgid "Warning: terminal name contains illicit chars."
 msgstr ""
 
-#: src/terminal/event.c:259
+#: src/terminal/event.c:258
 #, c-format
 msgid "Failed to create session."
 msgstr ""
 
-#: src/terminal/event.c:446
+#: src/terminal/event.c:443
 #, c-format
 msgid "Bad event %d"
 msgstr ""
 
-#: src/terminal/event.c:486
+#: src/terminal/event.c:483
 #, fuzzy, c-format
 msgid "Could not read event: %d (%s)"
 msgstr "No posso gravar no arquivo"
 
-#: src/terminal/kbd.c:1187
+#: src/terminal/kbd.c:1210
 #, c-format
 msgid "Too many bytes read from the itrm!"
 msgstr ""
@@ -8157,207 +8170,207 @@ msgstr "Sem frames"
 msgid "The requested fragment \"%s\" doesn't exist."
 msgstr ""
 
-#: src/viewer/text/form.c:1092
+#: src/viewer/text/form.c:1118
 msgid "Error while posting form"
 msgstr "Erro durante o envio do formulrio"
 
-#: src/viewer/text/form.c:1093
+#: src/viewer/text/form.c:1119
 #, fuzzy, c-format
 msgid "Could not load file %s: %s"
 msgstr "No posso obter o arquivo"
 
-#: src/viewer/text/form.c:1847
+#: src/viewer/text/form.c:1876
 #, fuzzy
 msgid "Reset form"
 msgstr "~Reiniciar formulrio"
 
-#: src/viewer/text/form.c:1849
+#: src/viewer/text/form.c:1878
 msgid "Harmless button"
 msgstr ""
 
-#: src/viewer/text/form.c:1857
+#: src/viewer/text/form.c:1886
 msgid "Submit form to"
 msgstr "Enviar formulrio para"
 
-#: src/viewer/text/form.c:1858
+#: src/viewer/text/form.c:1887
 msgid "Post form to"
 msgstr "Postar formulrio para"
 
-#: src/viewer/text/form.c:1860
+#: src/viewer/text/form.c:1889
 msgid "Radio button"
 msgstr "Boto radio"
 
-#: src/viewer/text/form.c:1864
+#: src/viewer/text/form.c:1893
 msgid "Select field"
 msgstr "Campo de seleo"
 
-#: src/viewer/text/form.c:1868
+#: src/viewer/text/form.c:1897
 msgid "Text area"
 msgstr "rea de texto"
 
-#: src/viewer/text/form.c:1870
+#: src/viewer/text/form.c:1899
 msgid "File upload"
 msgstr "Upload de arquivo"
 
-#: src/viewer/text/form.c:1872
+#: src/viewer/text/form.c:1901
 msgid "Password field"
 msgstr "Campo de password"
 
-#: src/viewer/text/form.c:1910
+#: src/viewer/text/form.c:1939
 msgid "name"
 msgstr "nome"
 
-#: src/viewer/text/form.c:1922
+#: src/viewer/text/form.c:1951
 msgid "value"
 msgstr "valor"
 
-#: src/viewer/text/form.c:1935
+#: src/viewer/text/form.c:1964
 msgid "read only"
 msgstr ""
 
-#: src/viewer/text/form.c:1946
+#: src/viewer/text/form.c:1975
 #, c-format
 msgid "press %s to navigate"
 msgstr ""
 
-#: src/viewer/text/form.c:1948
+#: src/viewer/text/form.c:1977
 #, c-format
 msgid "press %s to edit"
 msgstr ""
 
-#: src/viewer/text/form.c:1984
+#: src/viewer/text/form.c:2013
 #, fuzzy, c-format
 msgid "press %s to submit to %s"
 msgstr "enviar para"
 
-#: src/viewer/text/form.c:1986
+#: src/viewer/text/form.c:2015
 #, fuzzy, c-format
 msgid "press %s to post to %s"
 msgstr "enviar para"
 
-#: src/viewer/text/form.c:2088
+#: src/viewer/text/form.c:2117
 msgid "Useless button"
 msgstr ""
 
-#: src/viewer/text/form.c:2090
+#: src/viewer/text/form.c:2119
 #, fuzzy
 msgid "Submit button"
 msgstr "Enviar formulrio para"
 
 #. accelerator_context(link_menu.map)
-#: src/viewer/text/link.c:1281
+#: src/viewer/text/link.c:1280
 msgid "Display ~usemap"
 msgstr "Exibir o ~usemap"
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1286
+#: src/viewer/text/link.c:1285
 msgid "~Follow link"
 msgstr "Seguir link"
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1288
+#: src/viewer/text/link.c:1287
 msgid "Follow link and r~eload"
 msgstr "Seguir link e recarregar"
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1292
+#: src/viewer/text/link.c:1291
 msgid "Open in new ~window"
 msgstr "Abrir em nova janela"
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1294
+#: src/viewer/text/link.c:1293
 #, fuzzy
 msgid "Open in new ~tab"
 msgstr "Abrir em nova janela"
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1296
+#: src/viewer/text/link.c:1295
 #, fuzzy
 msgid "Open in new tab in ~background"
 msgstr "Segundo plano"
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1301
+#: src/viewer/text/link.c:1300
 msgid "~Download link"
 msgstr "~Download link"
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1304
+#: src/viewer/text/link.c:1303
 msgid "~Add link to bookmarks"
 msgstr "Adicionar Link aos Bookmarks"
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1308
+#: src/viewer/text/link.c:1307
 msgid "Pass link URI to e~xternal command"
 msgstr ""
 
 #. accelerator_context(link_menu.form, link_menu.reset, link_menu.textarea)
-#: src/viewer/text/link.c:1319 src/viewer/text/link.c:1359
+#: src/viewer/text/link.c:1318 src/viewer/text/link.c:1358
 msgid "~Reset form"
 msgstr "~Reiniciar formulrio"
 
 #. accelerator_context(link_menu.textarea)
-#: src/viewer/text/link.c:1334
+#: src/viewer/text/link.c:1333
 msgid "Open in ~external editor"
 msgstr ""
 
 #. accelerator_context(link_menu.form, link_menu.textarea)
-#: src/viewer/text/link.c:1342
+#: src/viewer/text/link.c:1341
 msgid "~Submit form"
 msgstr "Enviar formulrio"
 
 #. accelerator_context(link_menu.form, link_menu.textarea)
-#: src/viewer/text/link.c:1343
+#: src/viewer/text/link.c:1342
 msgid "Submit form and rel~oad"
 msgstr "Enviar formulrio e recarregar"
 
 #. accelerator_context(link_menu.form, link_menu.textarea)
-#: src/viewer/text/link.c:1347
+#: src/viewer/text/link.c:1346
 msgid "Submit form and open in new ~window"
 msgstr "Enviar formulrio e abrir em nova janela"
 
 #. accelerator_context(link_menu.form, link_menu.textarea)
-#: src/viewer/text/link.c:1349
+#: src/viewer/text/link.c:1348
 #, fuzzy
 msgid "Submit form and open in new ~tab"
 msgstr "Enviar formulrio e abrir em nova janela"
 
 #. accelerator_context(link_menu.form, link_menu.textarea)
-#: src/viewer/text/link.c:1352
+#: src/viewer/text/link.c:1351
 #, fuzzy
 msgid "Submit form and open in new tab in ~background"
 msgstr "Enviar formulrio e abrir em nova janela"
 
 #. accelerator_context(link_menu.form, link_menu.textarea)
-#: src/viewer/text/link.c:1357
+#: src/viewer/text/link.c:1356
 msgid "Submit form and ~download"
 msgstr "Enviar formulrio e efetuar ~download"
 
 #. accelerator_context(link_menu.form, link_menu.reset, link_menu.textarea)
-#: src/viewer/text/link.c:1364
+#: src/viewer/text/link.c:1363
 #, fuzzy
 msgid "Form f~ields"
 msgstr "Campo de password"
 
 #. accelerator_context(link_menu.form, link_menu.map, link_menu.std)
-#: src/viewer/text/link.c:1371
+#: src/viewer/text/link.c:1370
 msgid "V~iew image"
 msgstr "V~isualizar imagem"
 
 #. accelerator_context(link_menu.form, link_menu.map, link_menu.std)
-#: src/viewer/text/link.c:1373
+#: src/viewer/text/link.c:1372
 msgid "Download ima~ge"
 msgstr "Download da ima~gem"
 
-#: src/viewer/text/link.c:1382
+#: src/viewer/text/link.c:1381
 msgid "No link selected"
 msgstr "Nenhum link selecionado"
 
-#: src/viewer/text/link.c:1452
+#: src/viewer/text/link.c:1451
 msgid "Image"
 msgstr "Imagem"
 
-#: src/viewer/text/link.c:1457
+#: src/viewer/text/link.c:1456
 msgid "Usemap"
 msgstr "Usemap (mapa de imagem)"
 
@@ -8366,86 +8379,86 @@ msgstr "Usemap (mapa de imagem)"
 msgid "Marks"
 msgstr ""
 
-#: src/viewer/text/search.c:1083
+#: src/viewer/text/search.c:1099
 msgid "Search hit top, continuing at bottom."
 msgstr ""
 
-#: src/viewer/text/search.c:1084
+#: src/viewer/text/search.c:1100
 msgid "Search hit bottom, continuing at top."
 msgstr ""
 
-#: src/viewer/text/search.c:1087
+#: src/viewer/text/search.c:1103
 msgid "No previous search"
 msgstr "No h procura anterior"
 
-#: src/viewer/text/search.c:1099
+#: src/viewer/text/search.c:1115
 #, fuzzy, c-format
 msgid "Could not compile regular expression '%s'"
 msgstr "Introduza expresso"
 
-#: src/viewer/text/search.c:1143
+#: src/viewer/text/search.c:1159
 #, c-format
 msgid "No further matches for '%s'."
 msgstr ""
 
-#: src/viewer/text/search.c:1145
+#: src/viewer/text/search.c:1161
 #, c-format
 msgid "Could not find a link with the text '%s'."
 msgstr ""
 
-#: src/viewer/text/search.c:1147 src/viewer/text/search.c:1558
+#: src/viewer/text/search.c:1163 src/viewer/text/search.c:1576
 msgid "Typeahead"
 msgstr ""
 
-#: src/viewer/text/search.c:1560
+#: src/viewer/text/search.c:1578
 #, c-format
 msgid "No links in current document"
 msgstr ""
 
-#: src/viewer/text/search.c:1643
+#: src/viewer/text/search.c:1661
 msgid "Search for text"
 msgstr "Procurar pelo texto"
 
-#: src/viewer/text/search.c:1679
+#: src/viewer/text/search.c:1697
 #, fuzzy
 msgid "Normal search"
 msgstr "No h procura anterior"
 
-#: src/viewer/text/search.c:1680
+#: src/viewer/text/search.c:1698
 msgid "Regexp search"
 msgstr ""
 
-#: src/viewer/text/search.c:1681
+#: src/viewer/text/search.c:1699
 msgid "Extended regexp search"
 msgstr ""
 
-#: src/viewer/text/search.c:1683
+#: src/viewer/text/search.c:1701
 msgid "Case sensitive"
 msgstr ""
 
-#: src/viewer/text/search.c:1684
+#: src/viewer/text/search.c:1702
 msgid "Case insensitive"
 msgstr ""
 
-#: src/viewer/text/search.c:1708
+#: src/viewer/text/search.c:1726
 msgid "Search backward"
 msgstr "Procurar para trs"
 
 #. name:
-#: src/viewer/text/search.c:1747
+#: src/viewer/text/search.c:1765
 #, fuzzy
 msgid "Search History"
 msgstr "Procurar no histrico"
 
-#: src/viewer/text/textarea.c:595
+#: src/viewer/text/textarea.c:584
 msgid "You cannot launch an external editor in the anonymous mode."
 msgstr ""
 
-#: src/viewer/text/textarea.c:602
+#: src/viewer/text/textarea.c:591
 msgid "You can do this only on the master terminal"
 msgstr "Para fazer isso precisa de estar num Terminal Principal"
 
-#: src/viewer/text/textarea.c:655
+#: src/viewer/text/textarea.c:644
 #, c-format
 msgid ""
 "You have exceeded the textarea's size limit: your input is %d bytes, but the "
@@ -8463,11 +8476,11 @@ msgstr "Ir para link"
 msgid "Enter link number"
 msgstr "Digite o nmero do number"
 
-#: src/viewer/text/view.c:1627
+#: src/viewer/text/view.c:1628
 msgid "Save error"
 msgstr "Erro ao salvar"
 
-#: src/viewer/text/view.c:1628
+#: src/viewer/text/view.c:1629
 msgid "Error writing to file"
 msgstr "Erro ao gravar em arquivo"
 
Binary files 0.12~pre2.dfsg0-1/po/pt.gmo and 0.12~pre4-1/po/pt.gmo differ
diff -pruN 0.12~pre2.dfsg0-1/po/pt.po 0.12~pre4-1/po/pt.po
--- 0.12~pre2.dfsg0-1/po/pt.po	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/po/pt.po	2009-05-31 09:48:47.000000000 +0100
@@ -6,7 +6,7 @@ msgid ""
 msgstr ""
 "Project-Id-Version: ELinks 0.5pre0.CVS\n"
 "Report-Msgid-Bugs-To: elinks-users@linuxfromscratch.org\n"
-"POT-Creation-Date: 2008-09-21 11:13+0300\n"
+"POT-Creation-Date: 2009-05-31 01:57+0300\n"
 "PO-Revision-Date: 2003-01-03 03:41+0100\n"
 "Last-Translator: Andre Valente <a.valente@netcabo.pt>\n"
 "Language-Team: Portuguese <translation-team-pt@lists.sourceforge.net>\n"
@@ -37,7 +37,7 @@ msgstr ""
 #: src/mime/dialogs.c:132 src/protocol/auth/dialogs.c:115
 #: src/protocol/protocol.c:246 src/scripting/lua/core.c:399
 #: src/scripting/lua/core.c:480 src/scripting/python/dialogs.c:86
-#: src/session/session.c:811 src/viewer/text/search.c:1686
+#: src/session/session.c:821 src/viewer/text/search.c:1704
 #, fuzzy
 msgid "~OK"
 msgstr "OK"
@@ -55,13 +55,13 @@ msgid "Sorry, but the item \"%s\" is bei
 msgstr "Este bookmark j est a ser usado"
 
 #. cant_delete_folder
-#: src/bfu/hierbox.c:558 src/bookmarks/dialogs.c:121
+#: src/bfu/hierbox.c:558 src/bookmarks/dialogs.c:153
 #, fuzzy, c-format
 msgid "Sorry, but the folder \"%s\" cannot be deleted."
 msgstr "Este bookmark j est a ser usado"
 
 #. cant_delete_used_folder
-#: src/bfu/hierbox.c:561 src/bookmarks/dialogs.c:123
+#: src/bfu/hierbox.c:561 src/bookmarks/dialogs.c:155
 #, fuzzy, c-format
 msgid "Sorry, but the folder \"%s\" is being used by something else."
 msgstr "Este bookmark j est a ser usado"
@@ -79,7 +79,7 @@ msgid "Delete marked items?"
 msgstr "Apagar item do historial"
 
 #. delete_folder_title
-#: src/bfu/hierbox.c:570 src/bookmarks/dialogs.c:129
+#: src/bfu/hierbox.c:570 src/bookmarks/dialogs.c:161
 #, fuzzy
 msgid "Delete folder"
 msgstr "Apagar bookmark"
@@ -140,13 +140,13 @@ msgstr "Sim"
 msgid "~No"
 msgstr "No"
 
-#: src/bfu/hierbox.c:945 src/bfu/hierbox.c:976 src/viewer/text/search.c:1090
-#: src/viewer/text/search.c:1098 src/viewer/text/search.c:1114
-#: src/viewer/text/search.c:1705
+#: src/bfu/hierbox.c:945 src/bfu/hierbox.c:976 src/viewer/text/search.c:1106
+#: src/viewer/text/search.c:1114 src/viewer/text/search.c:1130
+#: src/viewer/text/search.c:1723
 msgid "Search"
 msgstr "Procurar"
 
-#: src/bfu/hierbox.c:947 src/viewer/text/search.c:1091
+#: src/bfu/hierbox.c:947 src/viewer/text/search.c:1107
 #, fuzzy, c-format
 msgid "Search string '%s' not found"
 msgstr "Texto a procurar no encontrado"
@@ -185,8 +185,8 @@ msgstr "No  permitida uma sequncia de
 #: src/dialogs/options.c:237 src/dialogs/options.c:316 src/mime/dialogs.c:133
 #: src/protocol/auth/dialogs.c:116 src/protocol/bittorrent/dialogs.c:814
 #: src/scripting/lua/core.c:400 src/scripting/lua/core.c:481
-#: src/session/download.c:607 src/session/download.c:1219
-#: src/viewer/text/search.c:1687
+#: src/session/download.c:633 src/session/download.c:1245
+#: src/viewer/text/search.c:1705
 #, fuzzy
 msgid "~Cancel"
 msgstr "Cancelar"
@@ -200,8 +200,8 @@ msgstr "bloqueado"
 msgid "Digital clock in the status bar."
 msgstr ""
 
-#: src/bfu/leds.c:77 src/bfu/leds.c:94 src/config/options.inc:1199
-#: src/config/options.inc:1206 src/ecmascript/ecmascript.c:45
+#: src/bfu/leds.c:77 src/bfu/leds.c:94 src/config/options.inc:1272
+#: src/config/options.inc:1279 src/ecmascript/ecmascript.c:45
 #: src/globhist/globhist.c:64 src/mime/backend/mailcap.c:93
 #: src/mime/backend/mimetypes.c:52 src/network/ssl/ssl.c:81
 #, fuzzy
@@ -219,8 +219,7 @@ msgstr "Upload de ficheiro"
 
 #: src/bfu/leds.c:83
 msgid ""
-"Format string for the digital clock. See the strftime(3)\n"
-"manpage for details."
+"Format string for the digital clock. See the strftime(3) manpage for details."
 msgstr ""
 
 #: src/bfu/leds.c:90
@@ -233,8 +232,7 @@ msgstr ""
 
 #: src/bfu/leds.c:96
 msgid ""
-"Enable LEDs.\n"
-"These visual indicators will inform you about various states."
+"Enable LEDs. These visual indicators will inform you about various states."
 msgstr ""
 
 #. name:
@@ -264,35 +262,35 @@ msgstr ""
 msgid "Search menu/"
 msgstr "Procurar"
 
-#: src/bookmarks/backend/xbel.c:97
+#: src/bookmarks/backend/xbel.c:105
 #, c-format
 msgid "read_bookmarks_xbel(): Error in XML_ParserCreate()"
 msgstr ""
 
-#: src/bookmarks/backend/xbel.c:108
+#: src/bookmarks/backend/xbel.c:116
 #, c-format
 msgid "read_bookmarks_xbel(): Error reading %s"
 msgstr ""
 
-#: src/bookmarks/backend/xbel.c:116
+#: src/bookmarks/backend/xbel.c:124
 #, c-format
 msgid ""
 "Parse error while processing XBEL bookmarks in %s at line %d column %d:\n"
 "%s"
 msgstr ""
 
-#: src/bookmarks/backend/xbel.c:390 src/bookmarks/backend/xbel.c:411
+#: src/bookmarks/backend/xbel.c:388 src/bookmarks/backend/xbel.c:410
 #, fuzzy
 msgid "No title"
 msgstr "Ttulo do link"
 
-#: src/bookmarks/backend/xbel.c:396
+#: src/bookmarks/backend/xbel.c:394
 #, fuzzy
 msgid "No URL"
 msgstr "Ir para URL"
 
 #. name:
-#: src/bookmarks/bookmarks.c:48 src/bookmarks/bookmarks.c:181
+#: src/bookmarks/bookmarks.c:48 src/bookmarks/bookmarks.c:183
 #, fuzzy
 msgid "Bookmarks"
 msgstr "Bookmark~s"
@@ -302,7 +300,7 @@ msgstr "Bookmark~s"
 msgid "Bookmark options."
 msgstr "Bookmark~s"
 
-#: src/bookmarks/bookmarks.c:53 src/bookmarks/bookmarks.c:59
+#: src/bookmarks/bookmarks.c:53 src/bookmarks/bookmarks.c:60
 #, fuzzy
 msgid "File format"
 msgstr "Upload de ficheiro"
@@ -311,51 +309,47 @@ msgstr "Upload de ficheiro"
 msgid ""
 "File format for bookmarks (affects both reading and saving):\n"
 "0 is the default native ELinks format\n"
-"1 is XBEL universal XML bookmarks format (ELinks bug 153: NO NATIONAL CHARS "
-"SUPPORT!)"
+"1 is XBEL universal XML bookmarks format"
 msgstr ""
 
-#: src/bookmarks/bookmarks.c:61
+#: src/bookmarks/bookmarks.c:62
 msgid ""
 "File format for bookmarks (affects both reading and saving):\n"
 "0 is the default native ELinks format\n"
-"1 is XBEL universal XML bookmarks format (ELinks bug 153: NO NATIONAL CHARS "
-"SUPPORT!)  (DISABLED)"
+"1 is XBEL universal XML bookmarks format  (DISABLED)"
 msgstr ""
 
-#: src/bookmarks/bookmarks.c:67
+#: src/bookmarks/bookmarks.c:68
 #, fuzzy
 msgid "Save folder state"
 msgstr "Nome da pasta"
 
-#: src/bookmarks/bookmarks.c:69
+#: src/bookmarks/bookmarks.c:70
 msgid ""
-"When saving bookmarks also store whether folders are\n"
-"expanded or not, so the look of the bookmark dialog is\n"
-"kept across ELinks sessions. If disabled all folders will\n"
-"appear unexpanded next time ELinks is run."
+"When saving bookmarks also store whether folders are expanded or not, so the "
+"look of the bookmark dialog is kept across ELinks sessions. If disabled all "
+"folders will appear unexpanded next time ELinks is run."
 msgstr ""
 
-#: src/bookmarks/bookmarks.c:74
+#: src/bookmarks/bookmarks.c:75
 msgid "Periodic snapshotting"
 msgstr ""
 
-#: src/bookmarks/bookmarks.c:76
+#: src/bookmarks/bookmarks.c:77
 msgid ""
-"Automatically save a snapshot of all tabs periodically.\n"
-"This will periodically bookmark the tabs of each terminal in a separate "
-"folder\n"
-"for recovery after a crash.\n"
+"Automatically save a snapshot of all tabs periodically. This will "
+"periodically bookmark the tabs of each terminal in a separate folder for "
+"recovery after a crash.\n"
 "\n"
 "This feature requires bookmark support."
 msgstr ""
 
-#: src/bookmarks/dialogs.c:72 src/config/options.inc:1051
+#: src/bookmarks/dialogs.c:97 src/config/options.inc:1120
 #: src/dialogs/document.c:145 src/globhist/dialogs.c:65
 msgid "Title"
 msgstr "Ttulo"
 
-#: src/bookmarks/dialogs.c:73 src/cache/dialogs.c:65
+#: src/bookmarks/dialogs.c:101 src/cache/dialogs.c:65
 #: src/dialogs/document.c:136 src/dialogs/edit.c:96 src/formhist/dialogs.c:63
 #: src/globhist/dialogs.c:66 src/protocol/auth/dialogs.c:163
 #: src/scripting/lua/core.c:397
@@ -363,85 +357,85 @@ msgid "URL"
 msgstr "URL"
 
 #. cant_delete_item
-#: src/bookmarks/dialogs.c:117
+#: src/bookmarks/dialogs.c:149
 #, fuzzy, c-format
 msgid "Sorry, but the bookmark \"%s\" cannot be deleted."
 msgstr "Este bookmark j est a ser usado"
 
 #. cant_delete_used_item
-#: src/bookmarks/dialogs.c:119
+#: src/bookmarks/dialogs.c:151
 #, fuzzy, c-format
 msgid "Sorry, but the bookmark \"%s\" is being used by something else."
 msgstr "Este bookmark j est a ser usado"
 
 #. delete_marked_items_title
-#: src/bookmarks/dialogs.c:125
+#: src/bookmarks/dialogs.c:157
 #, fuzzy
 msgid "Delete marked bookmarks"
 msgstr "Apagar bookmarks seleccionados?"
 
 #. delete_marked_items
-#: src/bookmarks/dialogs.c:127
+#: src/bookmarks/dialogs.c:159
 msgid "Delete marked bookmarks?"
 msgstr "Apagar bookmarks seleccionados?"
 
 #. delete_folder
-#: src/bookmarks/dialogs.c:131
+#: src/bookmarks/dialogs.c:163
 #, fuzzy, c-format
 msgid "Delete the folder \"%s\" and all bookmarks in it?"
 msgstr "Apagar contedo da directoria"
 
 #. delete_item_title
-#: src/bookmarks/dialogs.c:133
+#: src/bookmarks/dialogs.c:165
 #, fuzzy
 msgid "Delete bookmark"
 msgstr "Apagar bookmarks seleccionados?"
 
-#: src/bookmarks/dialogs.c:135
+#: src/bookmarks/dialogs.c:167
 #, fuzzy, c-format
 msgid "Delete this bookmark?"
 msgstr "Apagar bookmarks seleccionados?"
 
 #. clear_all_items_title
-#: src/bookmarks/dialogs.c:137
+#: src/bookmarks/dialogs.c:169
 #, fuzzy
 msgid "Clear all bookmarks"
 msgstr "Procurar bookmark"
 
 #. clear_all_items_title
-#: src/bookmarks/dialogs.c:139
+#: src/bookmarks/dialogs.c:171
 #, fuzzy
 msgid "Do you really want to remove all bookmarks?"
 msgstr "Voc realmente deseja encerrar o Links?"
 
-#: src/bookmarks/dialogs.c:254
+#: src/bookmarks/dialogs.c:327
 msgid "Add folder"
 msgstr "Adicionar pasta"
 
-#: src/bookmarks/dialogs.c:254
+#: src/bookmarks/dialogs.c:327
 msgid "Folder name"
 msgstr "Nome da pasta"
 
-#: src/bookmarks/dialogs.c:310 src/scripting/lua/core.c:391
+#: src/bookmarks/dialogs.c:410 src/scripting/lua/core.c:391
 msgid "Edit bookmark"
 msgstr "Editar bookmark"
 
-#: src/bookmarks/dialogs.c:461
+#: src/bookmarks/dialogs.c:567
 msgid "Cannot move folder inside itself"
 msgstr ""
 
-#: src/bookmarks/dialogs.c:462
+#: src/bookmarks/dialogs.c:568
 msgid ""
 "You are trying to move the marked folder inside itself. To move the folder "
 "to a different location select the new location before pressing the Move "
 "button."
 msgstr ""
 
-#: src/bookmarks/dialogs.c:468
+#: src/bookmarks/dialogs.c:574
 msgid "Nothing to move"
 msgstr ""
 
-#: src/bookmarks/dialogs.c:469
+#: src/bookmarks/dialogs.c:575
 msgid ""
 "To move bookmarks, first mark all the bookmarks (or folders) you want to "
 "move.  This can be done with the Insert key if you're using the default key-"
@@ -450,21 +444,21 @@ msgid ""
 msgstr ""
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons, src/cache/dialogs.c:cache_buttons, src/globhist/dialogs.c:globhist_buttons, src/protocol/auth/dialogs.c:auth_buttons)
-#: src/bookmarks/dialogs.c:487 src/cache/dialogs.c:230
+#: src/bookmarks/dialogs.c:593 src/cache/dialogs.c:230
 #: src/globhist/dialogs.c:224 src/protocol/auth/dialogs.c:261
 #, fuzzy
 msgid "~Goto"
 msgstr "Ir para"
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons, src/config/dialogs.c:option_buttons, src/cookies/dialogs.c:cookie_buttons)
-#: src/bookmarks/dialogs.c:488 src/config/dialogs.c:503
+#: src/bookmarks/dialogs.c:594 src/config/dialogs.c:503
 #: src/cookies/dialogs.c:492
 #, fuzzy
 msgid "~Edit"
 msgstr "Editar"
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons, src/cache/dialogs.c:cache_buttons, src/config/dialogs.c:keybinding_buttons, src/config/dialogs.c:option_buttons, src/cookies/dialogs.c:cookie_buttons, src/dialogs/menu.c:ext_menu, src/formhist/dialogs.c:formhist_buttons, src/globhist/dialogs.c:globhist_buttons, src/protocol/auth/dialogs.c:auth_buttons)
-#: src/bookmarks/dialogs.c:489 src/cache/dialogs.c:231
+#: src/bookmarks/dialogs.c:595 src/cache/dialogs.c:231
 #: src/config/dialogs.c:505 src/config/dialogs.c:930 src/cookies/dialogs.c:493
 #: src/dialogs/menu.c:463 src/formhist/dialogs.c:211
 #: src/globhist/dialogs.c:229 src/protocol/auth/dialogs.c:263
@@ -472,31 +466,31 @@ msgid "~Delete"
 msgstr "Apagar"
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons, src/config/dialogs.c:keybinding_buttons, src/config/dialogs.c:option_buttons, src/cookies/dialogs.c:cookie_buttons, src/dialogs/menu.c:ext_menu)
-#: src/bookmarks/dialogs.c:490 src/config/dialogs.c:504
+#: src/bookmarks/dialogs.c:596 src/config/dialogs.c:504
 #: src/config/dialogs.c:929 src/cookies/dialogs.c:490 src/dialogs/menu.c:461
 msgid "~Add"
 msgstr "~Adicionar"
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons)
-#: src/bookmarks/dialogs.c:491
+#: src/bookmarks/dialogs.c:597
 #, fuzzy
 msgid "Add se~parator"
 msgstr "Procurar no historial"
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons)
-#: src/bookmarks/dialogs.c:492
+#: src/bookmarks/dialogs.c:598
 #, fuzzy
 msgid "Add ~folder"
 msgstr "Adicionar pasta"
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons)
-#: src/bookmarks/dialogs.c:493
+#: src/bookmarks/dialogs.c:599
 #, fuzzy
 msgid "~Move"
 msgstr "Mover"
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons, src/cache/dialogs.c:cache_buttons, src/config/dialogs.c:keybinding_buttons, src/config/dialogs.c:option_buttons, src/dialogs/menu.c:view_menu, src/globhist/dialogs.c:globhist_buttons)
-#: src/bookmarks/dialogs.c:494 src/cache/dialogs.c:232
+#: src/bookmarks/dialogs.c:600 src/cache/dialogs.c:232
 #: src/config/dialogs.c:506 src/config/dialogs.c:932 src/dialogs/menu.c:413
 #: src/globhist/dialogs.c:230
 msgid "~Search"
@@ -504,38 +498,52 @@ msgstr "~Procurar"
 
 #. This one is too dangerous, so just let user delete
 #. * the bookmarks file if needed. --Zas
-#: src/bookmarks/dialogs.c:498
+#: src/bookmarks/dialogs.c:604
 msgid "Clear"
 msgstr "Limpar"
 
 #. TODO: Would this be useful? --jonas
-#: src/bookmarks/dialogs.c:501 src/globhist/dialogs.c:235
+#: src/bookmarks/dialogs.c:607 src/globhist/dialogs.c:235
 msgid "Save"
 msgstr "Salvar"
 
-#: src/bookmarks/dialogs.c:507
+#: src/bookmarks/dialogs.c:613
 msgid "Bookmark manager"
 msgstr "Explorador de Bookmarks"
 
-#: src/bookmarks/dialogs.c:632
+#: src/bookmarks/dialogs.c:825
 msgid "Search bookmarks"
 msgstr "Procurar bookmark"
 
-#: src/bookmarks/dialogs.c:661
+#. When the user eventually pushes the OK button, BFU calls
+#. * bookmark_add_add() and gives it the struct dialog * as the
+#. * void * parameter.  However, bookmark_add_add() also needs
+#. * to know the struct terminal *, and there is no way to get
+#. * that from struct dialog.  The other bookmark dialogs work
+#. * around that by making dialog.udata point to the struct
+#. * dialog_data of the bookmark manager, but the "Add bookmark"
+#. * dialog can be triggered with ACT_MAIN_ADD_BOOKMARK, which
+#. * does not involve the bookmark manager at all.
+#. *
+#. * The solution here is to save the struct terminal * in
+#. * dialog.udata2, which the "Edit bookmark" dialog uses for
+#. * struct bookmark *.  When adding a new bookmark, we don't
+#. * need a pointer to an existing one, of course.
+#: src/bookmarks/dialogs.c:892
 msgid "Add bookmark"
 msgstr "Adicionar bookmark"
 
-#: src/bookmarks/dialogs.c:697
+#: src/bookmarks/dialogs.c:950
 #, fuzzy
 msgid "Saved session"
 msgstr "~Salvar opes"
 
-#: src/bookmarks/dialogs.c:705
+#: src/bookmarks/dialogs.c:958
 #, fuzzy
 msgid "Bookmark tabs"
 msgstr "Bookmark~s"
 
-#: src/bookmarks/dialogs.c:705
+#: src/bookmarks/dialogs.c:958
 #, fuzzy
 msgid "Enter folder name"
 msgstr "Nome da pasta"
@@ -549,7 +557,7 @@ msgstr "Ir para URL"
 msgid "Redirect"
 msgstr ""
 
-#: src/cache/dialogs.c:85 src/config/options.inc:519
+#: src/cache/dialogs.c:85 src/config/options.inc:553
 #: src/dialogs/document.c:156 src/protocol/bittorrent/dialogs.c:126
 msgid "Size"
 msgstr "Tamanho"
@@ -597,7 +605,7 @@ msgstr ""
 msgid "ID"
 msgstr ""
 
-#: src/cache/dialogs.c:134 src/config/options.inc:669
+#: src/cache/dialogs.c:134 src/config/options.inc:707
 #, fuzzy
 msgid "Header"
 msgstr "Informao de cabealhos"
@@ -1357,7 +1365,7 @@ msgstr "Host no encontrado"
 msgid "Resolver error"
 msgstr "Erro ao salvar"
 
-#: src/config/cmdline.c:256 src/cookies/cookies.c:841 src/network/state.c:47
+#: src/config/cmdline.c:256 src/cookies/cookies.c:843 src/network/state.c:47
 #: src/util/secsave.c:379
 msgid "Out of memory"
 msgstr "Sem memria"
@@ -1379,291 +1387,292 @@ msgstr ""
 msgid "Remote method not supported"
 msgstr ""
 
-#: src/config/cmdline.c:452
+#: src/config/cmdline.c:437
+msgid "Out of memory formatting option documentation"
+msgstr ""
+
+#: src/config/cmdline.c:474
 #, fuzzy
 msgid "Template option folder"
 msgstr "Apagar opo"
 
-#: src/config/cmdline.c:475
+#: src/config/cmdline.c:497
 #, c-format
 msgid "(default: %ld)"
 msgstr ""
 
-#: src/config/cmdline.c:482 src/config/cmdline.c:511
+#: src/config/cmdline.c:504 src/config/cmdline.c:533
 #, c-format
 msgid "(default: \"%s\")"
 msgstr ""
 
-#: src/config/cmdline.c:487
+#: src/config/cmdline.c:509
 #, c-format
 msgid "(alias for %s)"
 msgstr ""
 
-#: src/config/cmdline.c:492 src/config/cmdline.c:501
+#: src/config/cmdline.c:514 src/config/cmdline.c:523
 #, c-format
 msgid "(default: %s)"
 msgstr ""
 
-#: src/config/cmdline.c:642
+#: src/config/cmdline.c:654
 #, fuzzy
 msgid "Configuration options"
 msgstr "Conexes"
 
-#: src/config/cmdline.c:646
+#: src/config/cmdline.c:658
 msgid "Usage: elinks [OPTION]... [URL]..."
 msgstr ""
 
-#: src/config/cmdline.c:647
+#: src/config/cmdline.c:659
 #, fuzzy
 msgid "Options"
 msgstr "~Salvar opes"
 
-#: src/config/cmdline.c:689
+#: src/config/cmdline.c:701
 #, fuzzy
 msgid "Internal consistency error"
 msgstr "Erro interno"
 
 #.
-#: src/config/cmdline.c:725
+#: src/config/cmdline.c:737
 msgid "Restrict to anonymous mode"
 msgstr ""
 
-#: src/config/cmdline.c:727
+#: src/config/cmdline.c:739
 msgid ""
-"Restricts ELinks so it can run on an anonymous account.\n"
-"Local file browsing, downloads, and modification of options\n"
-"will be disabled. Execution of viewers is allowed, but entries\n"
-"in the association table can't be added or modified."
+"Restricts ELinks so it can run on an anonymous account. Local file browsing, "
+"downloads, and modification of options will be disabled. Execution of "
+"viewers is allowed, but entries in the association table can't be added or "
+"modified."
 msgstr ""
 
-#: src/config/cmdline.c:732
+#: src/config/cmdline.c:745
 #, fuzzy
 msgid "Autosubmit first form"
 msgstr "~Enviar formulrio"
 
-#: src/config/cmdline.c:734
+#: src/config/cmdline.c:747
 msgid "Automatically submit the first form in the given URLs."
 msgstr ""
 
-#: src/config/cmdline.c:736
+#: src/config/cmdline.c:749
 msgid "Clone internal session with given ID"
 msgstr ""
 
-#: src/config/cmdline.c:738
+#: src/config/cmdline.c:751
 msgid ""
-"Used internally when opening ELinks instances in new windows.\n"
-"The ID maps to information that will be used when creating the\n"
-"new instance. You don't want to use it."
+"Used internally when opening ELinks instances in new windows. The ID maps to "
+"information that will be used when creating the new instance. You don't want "
+"to use it."
 msgstr ""
 
-#: src/config/cmdline.c:744
+#: src/config/cmdline.c:757
 msgid "Name of directory with configuration file"
 msgstr ""
 
-#: src/config/cmdline.c:746
+#: src/config/cmdline.c:759
 msgid ""
-"Path of the directory ELinks will read and write its\n"
-"config and runtime state files to instead of ~/.elinks.\n"
-"If the path does not begin with a '/' it is assumed to be\n"
-"relative to your HOME directory."
+"Path of the directory ELinks will read and write its config and runtime "
+"state files to instead of ~/.elinks. If the path does not begin with a '/' "
+"it is assumed to be relative to your HOME directory."
 msgstr ""
 
-#: src/config/cmdline.c:751
+#: src/config/cmdline.c:764
 msgid "Print default configuration file to stdout"
 msgstr ""
 
-#: src/config/cmdline.c:753
+#: src/config/cmdline.c:766
 msgid ""
-"Print a configuration file with options set to the built-in\n"
-"defaults to stdout."
+"Print a configuration file with options set to the built-in defaults to "
+"stdout."
 msgstr ""
 
-#: src/config/cmdline.c:758
+#: src/config/cmdline.c:771
 msgid "Name of configuration file"
 msgstr ""
 
-#: src/config/cmdline.c:760
+#: src/config/cmdline.c:773
 msgid ""
-"Name of the configuration file that all configuration\n"
-"options will be read from and written to. It should be\n"
-"relative to config-dir."
+"Name of the configuration file that all configuration options will be read "
+"from and written to. It should be relative to config-dir."
 msgstr ""
 
-#: src/config/cmdline.c:764
+#: src/config/cmdline.c:777
 msgid "Print help for configuration options"
 msgstr ""
 
-#: src/config/cmdline.c:766
+#: src/config/cmdline.c:779
 msgid "Print help for configuration options and exit."
 msgstr ""
 
-#: src/config/cmdline.c:768
+#: src/config/cmdline.c:781
 msgid "MIME type assumed for unknown document types"
 msgstr ""
 
-#: src/config/cmdline.c:770
+#: src/config/cmdline.c:783
 msgid "The default MIME type used for documents of unknown type."
 msgstr ""
 
-#: src/config/cmdline.c:772
+#: src/config/cmdline.c:786
 msgid "Ignore user-defined keybindings"
 msgstr ""
 
-#: src/config/cmdline.c:774
+#: src/config/cmdline.c:788
 msgid ""
-"When set, all keybindings from configuration files will be\n"
-"ignored. It forces use of default keybindings and will reset\n"
-"user-defined ones on save."
+"When set, all keybindings from configuration files will be ignored. It "
+"forces use of default keybindings and will reset user-defined ones on save."
 msgstr ""
 
-#: src/config/cmdline.c:778
+#: src/config/cmdline.c:792
 msgid "Print formatted versions of given URLs to stdout"
 msgstr ""
 
-#: src/config/cmdline.c:780
+#: src/config/cmdline.c:794
 msgid "Print formatted plain-text versions of given URLs to stdout."
 msgstr ""
 
-#: src/config/cmdline.c:782
+#: src/config/cmdline.c:797
 msgid "Codepage to use with -dump"
 msgstr ""
 
-#: src/config/cmdline.c:784
+#: src/config/cmdline.c:799
 msgid "Codepage used when formatting dump output."
 msgstr ""
 
-#: src/config/cmdline.c:786
+#: src/config/cmdline.c:801
 msgid "Color mode used with -dump"
 msgstr ""
 
-#: src/config/cmdline.c:788
+#: src/config/cmdline.c:803
 msgid "Color mode used with -dump."
 msgstr ""
 
-#: src/config/cmdline.c:790
+#: src/config/cmdline.c:805
 msgid "Width of document formatted with -dump"
 msgstr ""
 
-#: src/config/cmdline.c:792
+#: src/config/cmdline.c:807
 msgid "Width of the dump output."
 msgstr ""
 
-#: src/config/cmdline.c:794
+#: src/config/cmdline.c:809
 msgid "Evaluate configuration file directive"
 msgstr ""
 
-#: src/config/cmdline.c:796
+#: src/config/cmdline.c:811
 msgid ""
-"Specify configuration file directives on the command-line\n"
-"which will be evaluated after all configuration files has been\n"
-"read. Example usage:\n"
+"Specify configuration file directives on the command-line which will be "
+"evaluated after all configuration files has been read. Example usage:\n"
 "\t-eval 'set protocol.file.allow_special_files = 1'"
 msgstr ""
 
 #. lynx compatibility
-#: src/config/cmdline.c:802
+#: src/config/cmdline.c:817
 msgid "Interpret documents of unknown types as HTML"
 msgstr ""
 
-#: src/config/cmdline.c:804
+#: src/config/cmdline.c:819
 msgid ""
-"Makes ELinks assume documents of unknown types are HTML.\n"
-"Useful when using ELinks as an external viewer from MUAs.\n"
-"This is equivalent to -default-mime-type text/html."
+"Makes ELinks assume documents of unknown types are HTML. Useful when using "
+"ELinks as an external viewer from MUAs. This is equivalent to -default-mime-"
+"type text/html."
 msgstr ""
 
-#: src/config/cmdline.c:814
+#: src/config/cmdline.c:829
 msgid "Print usage help and exit"
 msgstr ""
 
-#: src/config/cmdline.c:816
+#: src/config/cmdline.c:831
 msgid "Print usage help and exit."
 msgstr ""
 
-#: src/config/cmdline.c:818
+#: src/config/cmdline.c:833
 msgid "Only permit local connections"
 msgstr ""
 
-#: src/config/cmdline.c:820
+#: src/config/cmdline.c:835
 msgid ""
-"Restricts ELinks to work offline and only connect to servers\n"
-"with local addresses (ie. 127.0.0.1). No connections to remote\n"
-"servers will be permitted."
+"Restricts ELinks to work offline and only connect to servers with local "
+"addresses (ie. 127.0.0.1). No connections to remote servers will be "
+"permitted."
 msgstr ""
 
-#: src/config/cmdline.c:824
+#: src/config/cmdline.c:839
 msgid "Print detailed usage help and exit"
 msgstr ""
 
-#: src/config/cmdline.c:826
+#: src/config/cmdline.c:841
 msgid "Print detailed usage help and exit."
 msgstr ""
 
-#: src/config/cmdline.c:828
+#: src/config/cmdline.c:843
 #, fuzzy
 msgid "Look up specified host"
 msgstr "Nenhum programa foi especificado para"
 
-#: src/config/cmdline.c:830
+#: src/config/cmdline.c:845
 msgid "Look up specified host and print all DNS resolved IP addresses."
 msgstr ""
 
-#: src/config/cmdline.c:832
+#: src/config/cmdline.c:848
 msgid "Run as separate instance"
 msgstr ""
 
-#: src/config/cmdline.c:834
+#: src/config/cmdline.c:850
 msgid ""
-"Run ELinks as a separate instance instead of connecting to an\n"
-"existing instance. Note that normally no runtime state files\n"
-"(bookmarks, history, etc.) are written to the disk when this\n"
-"option is used. See also -touch-files."
+"Run ELinks as a separate instance instead of connecting to an existing "
+"instance. Note that normally no runtime state files (bookmarks, history, "
+"etc.) are written to the disk when this option is used. See also -touch-"
+"files."
 msgstr ""
 
-#: src/config/cmdline.c:839
+#: src/config/cmdline.c:855
 msgid "Disable use of files in ~/.elinks"
 msgstr ""
 
-#: src/config/cmdline.c:841
+#: src/config/cmdline.c:857
 msgid ""
-"Disables creation and use of files in the user specific home\n"
-"configuration directory (~/.elinks). It forces default configuration\n"
-"values to be used and disables saving of runtime state files."
+"Disables creation and use of files in the user specific home configuration "
+"directory (~/.elinks). It forces default configuration values to be used and "
+"disables saving of runtime state files."
 msgstr ""
 
-#: src/config/cmdline.c:845
+#: src/config/cmdline.c:862
 msgid "Disable link numbering in dump output"
 msgstr ""
 
-#: src/config/cmdline.c:847
+#: src/config/cmdline.c:864
 msgid ""
 "Prevents printing of link number in dump output.\n"
+"\n"
 "Note that this really affects only -dump, nothing else."
 msgstr ""
 
-#: src/config/cmdline.c:850
+#: src/config/cmdline.c:868
 msgid "Disable printing of link references in dump output"
 msgstr ""
 
-#: src/config/cmdline.c:852
+#: src/config/cmdline.c:870
 msgid ""
-"Prevents printing of references (URIs) of document links\n"
-"in dump output.\n"
+"Prevents printing of references (URIs) of document links in dump output.\n"
+"\n"
 "Note that this really affects only -dump, nothing else."
 msgstr ""
 
-#: src/config/cmdline.c:856
+#: src/config/cmdline.c:875
 msgid "Control an already running ELinks"
 msgstr ""
 
-#: src/config/cmdline.c:858
+#: src/config/cmdline.c:877
 msgid ""
-"Control a remote ELinks instance by passing commands to it.\n"
-"The option takes an additional argument containing the method\n"
-"which should be invoked and any parameters that should be passed\n"
-"to it. For ease of use, the additional method argument can be\n"
-"omitted in which case any URL arguments will be opened in new\n"
-"tabs in the remote instance.\n"
+"Control a remote ELinks instance by passing commands to it. The option takes "
+"an additional argument containing the method which should be invoked and any "
+"parameters that should be passed to it. For ease of use, the additional "
+"method argument can be omitted in which case any URL arguments will be "
+"opened in new tabs in the remote instance.\n"
+"\n"
 "Following is a list of the supported methods:\n"
 "\tping()                    : look for a remote instance\n"
 "\topenURL()                 : prompt URL in current tab\n"
@@ -1675,70 +1684,69 @@ msgid ""
 "\txfeDoCommand(openBrowser) : open new window"
 msgstr ""
 
-#: src/config/cmdline.c:874
+#: src/config/cmdline.c:895
 msgid "Connect to session ring with given ID"
 msgstr ""
 
-#: src/config/cmdline.c:876
+#: src/config/cmdline.c:897
 msgid ""
-"ID of session ring this ELinks session should connect to. ELinks\n"
-"works in so-called session rings, whereby all instances of ELinks\n"
-"are interconnected and share state (cache, bookmarks, cookies,\n"
-"and so on). By default, all ELinks instances connect to session\n"
-"ring 0. You can change that behaviour with this switch and form as\n"
-"many session rings as you want. Obviously, if the session-ring with\n"
-"this number doesn't exist yet, it's created and this ELinks instance\n"
-"will become the master instance (that usually doesn't matter for you\n"
-"as a user much). Note that you usually don't want to use this unless\n"
-"you're a developer and you want to do some testing - if you want the\n"
-"ELinks instances each running standalone, rather use the -no-connect\n"
-"command-line option. Also note that normally no runtime state files\n"
-"are written to the disk when this option is used. See also\n"
-"-touch-files."
+"ID of session ring this ELinks session should connect to. ELinks works in so-"
+"called session rings, whereby all instances of ELinks are interconnected and "
+"share state (cache, bookmarks, cookies, and so on). By default, all ELinks "
+"instances connect to session ring 0. You can change that behaviour with this "
+"switch and form as many session rings as you want. Obviously, if the session-"
+"ring with this number doesn't exist yet, it's created and this ELinks "
+"instance will become the master instance (that usually doesn't matter for "
+"you as a user much).\n"
+"\n"
+"Note that you usually don't want to use this unless you're a developer and "
+"you want to do some testing - if you want the ELinks instances each running "
+"standalone, rather use the -no-connect command-line option. Also note that "
+"normally no runtime state files are written to the disk when this option is "
+"used. See also -touch-files."
 msgstr ""
 
-#: src/config/cmdline.c:891
+#: src/config/cmdline.c:915
 msgid "Print the source of given URLs to stdout"
 msgstr ""
 
-#: src/config/cmdline.c:893
+#: src/config/cmdline.c:917
 msgid "Print given URLs in source form to stdout."
 msgstr ""
 
-#: src/config/cmdline.c:897
+#: src/config/cmdline.c:921
 msgid "Touch files in ~/.elinks when running with -no-connect/-session-ring"
 msgstr ""
 
-#: src/config/cmdline.c:899
+#: src/config/cmdline.c:923
 msgid ""
-"When enabled, runtime state files (bookmarks, history, etc.) are\n"
-"written to disk, even when -no-connect or -session-ring is used.\n"
-"The option has no effect if not used in conjunction with any of\n"
-"these options."
+"When enabled, runtime state files (bookmarks, history, etc.) are written to "
+"disk, even when -no-connect or -session-ring is used. The option has no "
+"effect if not used in conjunction with any of these options."
 msgstr ""
 
-#: src/config/cmdline.c:904
+#: src/config/cmdline.c:928
 msgid "Verbose level"
 msgstr ""
 
-#: src/config/cmdline.c:906
+#: src/config/cmdline.c:930
 msgid ""
-"The verbose level controls what messages are shown at\n"
-"start up and while running:\n"
+"The verbose level controls what messages are shown at start up and while "
+"running:\n"
 "\t0 means only show serious errors\n"
 "\t1 means show serious errors and warnings\n"
 "\t2 means show all messages"
 msgstr ""
 
-#: src/config/cmdline.c:912
+#: src/config/cmdline.c:936
 msgid "Print version information and exit"
 msgstr ""
 
-#: src/config/cmdline.c:914
+#: src/config/cmdline.c:938
 msgid "Print ELinks version information and exit."
 msgstr ""
 
-#: src/config/conf.c:938
+#: src/config/conf.c:963
 msgid ""
 "## This is ELinks configuration file. You can edit it manually,\n"
 "## if you wish so; this file is edited by ELinks when you save\n"
@@ -1746,7 +1754,7 @@ msgid ""
 "## and all your formatting, own comments etc will be kept as-is.\n"
 msgstr ""
 
-#: src/config/conf.c:946
+#: src/config/conf.c:971
 msgid ""
 "## This is ELinks configuration file. You can edit it manually,\n"
 "## if you wish so; this file is edited by ELinks when you save\n"
@@ -1757,7 +1765,7 @@ msgid ""
 "## own comments and so on will be kept as-is.\n"
 msgstr ""
 
-#: src/config/conf.c:956
+#: src/config/conf.c:981
 msgid ""
 "## This is ELinks configuration file. You can edit it manually,\n"
 "## if you wish so, but keep in mind that this file is overwritten\n"
@@ -1765,18 +1773,18 @@ msgid ""
 "## luck with your formatting and own comments then, so beware.\n"
 msgstr ""
 
-#: src/config/conf.c:967
+#: src/config/conf.c:992
 msgid ""
 "## Obviously, if you don't like what ELinks is going to do with\n"
 "## this file, you can change it by altering the config.saving_style\n"
 "## option. Come on, aren't we friendly guys after all?\n"
 msgstr ""
 
-#: src/config/conf.c:980
+#: src/config/conf.c:1005
 msgid "Automatically saved options\n"
 msgstr ""
 
-#: src/config/conf.c:992
+#: src/config/conf.c:1017
 msgid "Automatically saved keybindings\n"
 msgstr ""
 
@@ -1837,7 +1845,7 @@ msgstr ""
 #. * switch charsets.  So, it will work in any terminal that
 #. * understands UTF-8 and has the characters in its font.
 #: src/config/dialogs.c:149 src/config/dialogs.c:330
-#: src/config/options.inc:840
+#: src/config/options.inc:887
 msgid "Type"
 msgstr "Tipo"
 
@@ -1863,9 +1871,9 @@ msgid "Description"
 msgstr "Descrio"
 
 #: src/config/dialogs.c:291 src/protocol/bittorrent/dialogs.c:600
-#: src/protocol/protocol.c:240 src/session/session.c:287
-#: src/session/session.c:975 src/viewer/text/textarea.c:594
-#: src/viewer/text/textarea.c:601
+#: src/protocol/protocol.c:240 src/session/session.c:288
+#: src/session/session.c:999 src/viewer/text/textarea.c:583
+#: src/viewer/text/textarea.c:590
 msgid "Error"
 msgstr "Erro"
 
@@ -1903,7 +1911,7 @@ msgstr "No pode adicionar esta opo aq
 #. accelerator_context(src/config/dialogs.c:keybinding_buttons, src/config/dialogs.c:option_buttons, src/cookies/dialogs.c:cookie_buttons, src/formhist/dialogs.c:formhist_buttons, src/protocol/bittorrent/dialogs.c:bittorrent_query_callback, src/session/download.c:do_type_query, terminal_options)
 #: src/config/dialogs.c:507 src/config/dialogs.c:933 src/cookies/dialogs.c:495
 #: src/dialogs/options.c:236 src/formhist/dialogs.c:214
-#: src/protocol/bittorrent/dialogs.c:801 src/session/download.c:1203
+#: src/protocol/bittorrent/dialogs.c:801 src/session/download.c:1229
 #, fuzzy
 msgid "Sa~ve"
 msgstr "Salvar"
@@ -1917,7 +1925,7 @@ msgstr "Explorador de Opes"
 msgid "Keystroke"
 msgstr "Sequncia de teclas"
 
-#: src/config/dialogs.c:676 src/config/options.inc:1219
+#: src/config/dialogs.c:676 src/config/options.inc:1292
 msgid "Action"
 msgstr "Aco"
 
@@ -1993,32 +2001,32 @@ msgid ""
 "directory."
 msgstr ""
 
-#: src/config/kbdbind.c:221
+#: src/config/kbdbind.c:222
 msgid "Main mapping"
 msgstr ""
 
-#: src/config/kbdbind.c:222
+#: src/config/kbdbind.c:223
 msgid "Edit mapping"
 msgstr ""
 
-#: src/config/kbdbind.c:223
+#: src/config/kbdbind.c:224
 msgid "Menu mapping"
 msgstr ""
 
-#: src/config/kbdbind.c:588 src/scripting/python/keybinding.c:104
+#: src/config/kbdbind.c:589 src/scripting/python/keybinding.c:104
 msgid "Unrecognised keymap"
 msgstr ""
 
-#: src/config/kbdbind.c:591
+#: src/config/kbdbind.c:592
 #, fuzzy
 msgid "Error parsing keystroke"
 msgstr "Erro ao gravar pelo socket"
 
-#: src/config/kbdbind.c:595
+#: src/config/kbdbind.c:596
 msgid "Unrecognised action (internal error)"
 msgstr ""
 
-#: src/config/kbdbind.c:611
+#: src/config/kbdbind.c:612
 #, fuzzy
 msgid "Error registering event"
 msgstr "Erro ao gravar pelo socket"
@@ -2046,333 +2054,328 @@ msgid ""
 "3 is full comments are written"
 msgstr ""
 
-#: src/config/options.inc:31
+#: src/config/options.inc:32
 #, fuzzy
 msgid "Indentation"
 msgstr "Negociao SSL"
 
-#: src/config/options.inc:33
+#: src/config/options.inc:34
 msgid ""
-"Shift width of one indentation level in the configuration\n"
-"file. Zero means that no indentation is performed at all\n"
-"when saving the configuration."
+"Shift width of one indentation level in the configuration file. Zero means "
+"that no indentation is performed at all when saving the configuration."
 msgstr ""
 
-#: src/config/options.inc:37
+#: src/config/options.inc:38
 msgid "Saving style"
 msgstr ""
 
-#: src/config/options.inc:39
+#: src/config/options.inc:40
 msgid ""
 "Determines what happens when you tell ELinks to save options:\n"
 "0 is only values of current options are altered\n"
-"1 is values of current options are altered and missing options\n"
-"     are added at the end of the file\n"
+"1 is values of current options are altered and missing\n"
+"     options are added at the end of the file\n"
 "2 is the configuration file is rewritten from scratch\n"
-"3 is values of current options are altered and missing options\n"
-"     CHANGED during this ELinks session are added at the end of\n"
-"     the file"
+"3 is values of current options are altered and missing\n"
+"     options CHANGED during this ELinks session are added at\n"
+"     the end of the file"
 msgstr ""
 
-#: src/config/options.inc:48
+#: src/config/options.inc:50
 msgid "Comments localization"
 msgstr ""
 
-#: src/config/options.inc:50
+#: src/config/options.inc:52
 msgid ""
-"If set to 1, comments in the configuration file will be\n"
-"translated to the language used by UI. Note that if you have\n"
-"different language set in different terminals, the language\n"
-"used in the configuration file MAY be the same as on the\n"
-"terminal where you saved the file, but it should be generally\n"
+"If set to 1, comments in the configuration file will be translated to the "
+"language used by UI. Note that if you have different language set in "
+"different terminals, the language used in the configuration file MAY be the "
+"same as on the terminal where you saved the file, but it should be generally "
 "considered unpredictable."
 msgstr ""
 
-#: src/config/options.inc:58
+#: src/config/options.inc:60
 msgid "Saving style warnings"
 msgstr ""
 
-#: src/config/options.inc:60
+#: src/config/options.inc:62
 msgid ""
-"This is internal option used when displaying a warning about\n"
-"obsolete config.saving_style. You shouldn't touch it."
+"This is internal option used when displaying a warning about obsolete config."
+"saving_style. You shouldn't touch it."
 msgstr ""
 
-#: src/config/options.inc:63
+#: src/config/options.inc:66
 msgid "Show template"
 msgstr ""
 
-#: src/config/options.inc:65
+#: src/config/options.inc:68
 msgid ""
-"Show template options in autocreated trees in the options\n"
-"manager and save them to the configuration file."
+"Show template options in autocreated trees in the options manager and save "
+"them to the configuration file."
 msgstr ""
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:71 src/dialogs/info.c:180
+#: src/config/options.inc:74 src/dialogs/info.c:180
 msgid "Connections"
 msgstr "Conexes"
 
-#: src/config/options.inc:73
+#: src/config/options.inc:76
 #, fuzzy
 msgid "Connection options."
 msgstr "Conexes"
 
-#: src/config/options.inc:76
+#: src/config/options.inc:79
 msgid "Asynchronous DNS"
 msgstr ""
 
-#: src/config/options.inc:78
+#: src/config/options.inc:81
 msgid "Whether to use asynchronous DNS resolving."
 msgstr ""
 
-#: src/config/options.inc:80
+#: src/config/options.inc:83
 #, fuzzy
 msgid "Maximum connections"
 msgstr "A conectar"
 
-#: src/config/options.inc:82
+#: src/config/options.inc:85
 msgid "Maximum number of concurrent connections."
 msgstr ""
 
-#: src/config/options.inc:84
+#: src/config/options.inc:87
 #, fuzzy
 msgid "Maximum connections per host"
 msgstr "A conectar"
 
-#: src/config/options.inc:86
+#: src/config/options.inc:89
 msgid "Maximum number of concurrent connections to a given host."
 msgstr ""
 
-#: src/config/options.inc:88
+#: src/config/options.inc:92
 #, fuzzy
 msgid "Connection retries"
 msgstr "Conexes"
 
-#: src/config/options.inc:90
-msgid ""
-"Number of tries to establish a connection.\n"
-"Zero means try forever."
+#: src/config/options.inc:94
+msgid "Number of tries to establish a connection. Zero means try forever."
 msgstr ""
 
-#: src/config/options.inc:93 src/network/state.c:53
+#: src/config/options.inc:97 src/network/state.c:53
 msgid "Receive timeout"
 msgstr "Timeout recebido"
 
-#: src/config/options.inc:95
+#: src/config/options.inc:99
 #, fuzzy
 msgid "Receive timeout (in seconds)."
 msgstr "Timeout recebido"
 
-#: src/config/options.inc:98 src/config/options.inc:108
+#: src/config/options.inc:102 src/config/options.inc:113
 msgid "Try IPv4 when connecting"
 msgstr ""
 
-#: src/config/options.inc:100
+#: src/config/options.inc:104
 msgid ""
-"Whether to try to connect to a host over IPv4.\n"
-"Note that if connection.try_ipv6 is enabled too,\n"
-"it takes precedence. And better do not touch this\n"
+"Whether to try to connect to a host over IPv4. Note that if connection."
+"try_ipv6 is enabled too, it takes precedence. And better do not touch this "
 "at all unless you are sure what are you doing.\n"
-"Note that you can also force a given protocol\n"
-"to be used on a per-connection basis by using a URL\n"
-"in the style of e.g. http4://elinks.cz/."
+"\n"
+"Note that you can also force a given protocol to be used on a per-connection "
+"basis by using a URL in the style of e.g. http4://elinks.cz/."
 msgstr ""
 
-#: src/config/options.inc:110
+#: src/config/options.inc:115
 msgid ""
-"Whether to try to connect to a host over IPv4.\n"
-"Do not touch this option.\n"
-"Note that you can also force a given protocol\n"
-"to be used on a per-connection basis by using a URL\n"
-"in the style of e.g. http4://elinks.cz/."
+"Whether to try to connect to a host over IPv4. Do not touch this option.\n"
+"\n"
+"Note that you can also force a given protocol to be used on a per-connection "
+"basis by using a URL in the style of e.g. http4://elinks.cz/."
 msgstr ""
 
-#: src/config/options.inc:118
+#: src/config/options.inc:124
 msgid "Try IPv6 when connecting"
 msgstr ""
 
-#: src/config/options.inc:120
+#: src/config/options.inc:126
 msgid ""
 "Whether to try to connect to a host over IPv6.\n"
-"Note that you can also force a given protocol\n"
-"to be used on a per-connection basis by using a URL\n"
-"in the style of e.g. http6://elinks.cz/."
+"\n"
+"Note that you can also force a given protocol to be used on a per-connection "
+"basis by using a URL in the style of e.g. http6://elinks.cz/."
 msgstr ""
 
-#: src/config/options.inc:126
+#: src/config/options.inc:133
 msgid "Timeout for non-restartable connections"
 msgstr ""
 
-#: src/config/options.inc:128
+#: src/config/options.inc:135
 msgid "Timeout for non-restartable connections (in seconds)."
 msgstr ""
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:134
+#: src/config/options.inc:141
 #, fuzzy
 msgid "Document"
 msgstr "documentos"
 
-#: src/config/options.inc:136
+#: src/config/options.inc:143
 #, fuzzy
 msgid "Document options."
 msgstr "~Informao sobre o documento"
 
-#: src/config/options.inc:138
+#: src/config/options.inc:145
 msgid "Browsing"
 msgstr ""
 
-#: src/config/options.inc:140
+#: src/config/options.inc:147
 msgid "Document browsing options (mainly interactivity)."
 msgstr ""
 
-#: src/config/options.inc:143
+#: src/config/options.inc:150
 msgid "Access keys"
 msgstr ""
 
-#: src/config/options.inc:145
+#: src/config/options.inc:152
 msgid ""
-"Options for handling of link access keys.\n"
-"An HTML document can use the ACCESSKEY attribute to assign\n"
-"an access key to an element. When an access key is pressed,\n"
-"the corresponding element will be given focus."
+"Options for handling of link access keys. An HTML document can use the "
+"ACCESSKEY attribute to assign an access key to an element. When an access "
+"key is pressed, the corresponding element will be given focus."
 msgstr ""
 
-#: src/config/options.inc:150
+#: src/config/options.inc:157
 msgid "Automatic links following"
 msgstr ""
 
-#: src/config/options.inc:152
+#: src/config/options.inc:159
 msgid ""
-"Automatically follow a link or submit a form if appropriate\n"
-"accesskey is pressed - this is the standard behaviour, but it's\n"
-"considered dangerous."
+"Automatically follow a link or submit a form if appropriate accesskey is "
+"pressed - this is the standard behaviour, but it's considered dangerous."
 msgstr ""
 
-#: src/config/options.inc:156
+#: src/config/options.inc:163
 msgid "Display access key in link info"
 msgstr ""
 
-#: src/config/options.inc:158
+#: src/config/options.inc:165
 msgid "Display access key in link info."
 msgstr ""
 
-#: src/config/options.inc:160
+#: src/config/options.inc:167
 msgid "Accesskey priority"
 msgstr ""
 
-#: src/config/options.inc:162
+#: src/config/options.inc:169
 msgid ""
 "Priority of 'accesskey' HTML attribute:\n"
-"0 is first try all normal bindings; if it fails, check accesskey\n"
-"1 is first try only frame bindings; if it fails, check accesskey\n"
+"0 is first try all normal bindings; if it fails,\n"
+"     check accesskey\n"
+"1 is first try only frame bindings; if it fails,\n"
+"     check accesskey\n"
 "2 is first check accesskey (this can be dangerous)"
 msgstr ""
 
-#: src/config/options.inc:168
+#: src/config/options.inc:177
 msgid "Forms"
 msgstr ""
 
-#: src/config/options.inc:170
+#: src/config/options.inc:179
 msgid "Options for handling of the forms interaction."
 msgstr ""
 
-#: src/config/options.inc:172
+#: src/config/options.inc:181
 #, fuzzy
 msgid "Submit form automatically"
 msgstr "Enviar formulrio para"
 
-#: src/config/options.inc:174
+#: src/config/options.inc:183
 msgid ""
-"Automagically submit a form when enter is pressed with a text\n"
-"field selected."
+"Automagically submit a form when enter is pressed with a text field selected."
 msgstr ""
 
-#: src/config/options.inc:177
+#: src/config/options.inc:186
 msgid "Confirm submission"
 msgstr ""
 
-#: src/config/options.inc:179
+#: src/config/options.inc:188
 msgid "Ask for confirmation when submitting a form."
 msgstr ""
 
-#: src/config/options.inc:181
+#: src/config/options.inc:190
 msgid "Default form input size"
 msgstr ""
 
-#: src/config/options.inc:183
+#: src/config/options.inc:192
 msgid "Default form input size if none is specified."
 msgstr ""
 
-#: src/config/options.inc:185
+#: src/config/options.inc:194
 msgid "Insert mode"
 msgstr ""
 
-#: src/config/options.inc:187
+#: src/config/options.inc:196
 msgid ""
-"The setting for this option affects how key presses are handled\n"
-"when one selects a text-input form-field. When enabled, one must\n"
-"explicitly 'enter' a selected text-field to edit it; this prevents\n"
-"text fields from capturing key presses, such as presses of a scroll\n"
-"key, when it is inadvertently selected. When disabled, key presses\n"
-"are always inserted into a selected text field."
+"The setting for this option affects how key presses are handled when one "
+"selects a text-input form-field. When enabled, one must explicitly 'enter' a "
+"selected text-field to edit it; this prevents text fields from capturing key "
+"presses, such as presses of a scroll key, when it is inadvertently selected. "
+"When disabled, key presses are always inserted into a selected text field."
 msgstr ""
 
-#: src/config/options.inc:194
+#: src/config/options.inc:204
 #, fuzzy
 msgid "External editor"
 msgstr "Erro interno"
 
-#: src/config/options.inc:196
+#: src/config/options.inc:206
 msgid ""
-"Path to the executable that ELinks should launch when the user\n"
-"requests to edit a textarea with an external editor.\n"
-"If this is blank, ELinks will use the value of the environmental\n"
-"variable $EDITOR. If $EDITOR is empty or not set, ELinks will then\n"
-"default to \"vi\"."
+"Path to the executable that ELinks should launch when the user requests to "
+"edit a textarea with an external editor.\n"
+"\n"
+"If this is blank, ELinks will use the value of the environmental variable "
+"$EDITOR. If $EDITOR is empty or not set, ELinks will then default to \"vi\"."
 msgstr ""
 
-#: src/config/options.inc:203
+#: src/config/options.inc:214
 #, fuzzy
 msgid "Images"
 msgstr "Imagem"
 
-#: src/config/options.inc:205
+#: src/config/options.inc:216
 msgid "Options for handling of images."
 msgstr ""
 
-#: src/config/options.inc:207
+#: src/config/options.inc:218
 #, fuzzy
 msgid "Display style for image tags"
 msgstr "Mostar"
 
-#: src/config/options.inc:209
+#: src/config/options.inc:220
 msgid ""
 "Display style for image tags when displayed:\n"
 "0     means always display IMG\n"
 "1     means always display filename\n"
-"2     means display alt/title attribute if possible, IMG if not\n"
-"3     means display alt/title attribute if possible, filename if not"
+"2     means display alt/title attribute if possible,\n"
+"      IMG if not\n"
+"3     means display alt/title attribute if possible,\n"
+"      filename if not"
 msgstr ""
 
-#: src/config/options.inc:215
+#: src/config/options.inc:228
 msgid "Maximum length for image filename"
 msgstr ""
 
-#: src/config/options.inc:217
+#: src/config/options.inc:230
 msgid ""
 "Maximum length of image filename when displayed:\n"
 "0     means always display full filename\n"
 "1-500 means display filename with this maximal length;\n"
-"      if it is longer, the middle is substituted by an asterisk"
+"      if it is longer, the middle is substituted by\n"
+"      an asterisk"
 msgstr ""
 
-#: src/config/options.inc:227
+#: src/config/options.inc:241
 msgid "Image links tagging"
 msgstr ""
 
-#: src/config/options.inc:229
+#: src/config/options.inc:243
 msgid ""
 "When to enclose image links:\n"
 "0 means never\n"
@@ -2380,92 +2383,92 @@ msgid ""
 "2 means always"
 msgstr ""
 
-#: src/config/options.inc:234
+#: src/config/options.inc:248
 msgid "Image link prefix"
 msgstr ""
 
-#: src/config/options.inc:236
+#: src/config/options.inc:250
 msgid "Prefix string to use to mark image links."
 msgstr ""
 
-#: src/config/options.inc:238
+#: src/config/options.inc:252
 msgid "Image link suffix"
 msgstr ""
 
-#: src/config/options.inc:240
+#: src/config/options.inc:254
 msgid "Suffix string to use to mark image links."
 msgstr ""
 
-#: src/config/options.inc:242
+#: src/config/options.inc:256
 msgid "Maximum length for image label"
 msgstr ""
 
-#: src/config/options.inc:244
+#: src/config/options.inc:258
 msgid ""
 "Maximum length of image label (alt/title):\n"
 "0     means always display full label\n"
 "1-500 means display label with this maximal length;\n"
-"      if it is longer, the middle is substituted by an asterisk"
+"      if it is longer, the middle is substituted by\n"
+"      an asterisk"
 msgstr ""
 
-#: src/config/options.inc:249
+#: src/config/options.inc:264
 msgid "Display links to images w/o alt"
 msgstr ""
 
-#: src/config/options.inc:251
+#: src/config/options.inc:266
 msgid ""
-"Display links to images without an alt attribute. If this option\n"
-"is off, these images are completely invisible."
+"Display links to images without an alt attribute. If this option is off, "
+"these images are completely invisible."
 msgstr ""
 
-#: src/config/options.inc:254
+#: src/config/options.inc:269
 #, fuzzy
 msgid "Display links to images"
 msgstr "Mostar"
 
-#: src/config/options.inc:256
+#: src/config/options.inc:271
 msgid ""
-"Display links to any images in the document, regardless of them\n"
-"having an alt attribute or not. If this option is off, the alt\n"
-"attribute contents is shown, but as normal text, not selectable\n"
-"as a link."
+"Display links to any images in the document, regardless of them having an "
+"alt attribute or not. If this option is off, the alt attribute contents is "
+"shown, but as normal text, not selectable as a link."
 msgstr ""
 
-#: src/config/options.inc:262
+#: src/config/options.inc:277
 #, fuzzy
 msgid "Links"
 msgstr "~Link"
 
-#: src/config/options.inc:264
+#: src/config/options.inc:279
 msgid "Options for handling of links to other documents."
 msgstr ""
 
-#: src/config/options.inc:266
+#: src/config/options.inc:281
 msgid "Active link"
 msgstr ""
 
-#: src/config/options.inc:268
+#: src/config/options.inc:283
 msgid "Options for the active link."
 msgstr ""
 
-#: src/config/options.inc:270
+#: src/config/options.inc:285
 #, fuzzy
 msgid "Colors"
 msgstr "Cores"
 
-#: src/config/options.inc:272
+#: src/config/options.inc:287
 #, fuzzy
 msgid "Active link colors."
 msgstr "Ttulo do link"
 
-#: src/config/options.inc:274 src/config/options.inc:549
-#: src/config/options.inc:945
+#: src/config/options.inc:289 src/config/options.inc:583
+#: src/config/options.inc:1014
 #, fuzzy
 msgid "Background color"
 msgstr "Segundo plano"
 
-#: src/config/options.inc:276 src/config/options.inc:551
-#: src/config/options.inc:946
+#: src/config/options.inc:291 src/config/options.inc:585
+#: src/config/options.inc:1015
 #, fuzzy
 msgid "Default background color."
 msgstr "~Fechar conexes em segundo plano"
@@ -2478,76 +2481,76 @@ msgstr "~Fechar conexes em segundo plan
 #. *	on it.
 #. The colors and mono tree should be similar but with different default
 #. * values of course so always use the macros below.
-#: src/config/options.inc:278 src/config/options.inc:545
-#: src/config/options.inc:943
+#: src/config/options.inc:293 src/config/options.inc:579
+#: src/config/options.inc:1012
 #, fuzzy
 msgid "Text color"
 msgstr "rea de texto"
 
-#: src/config/options.inc:280 src/config/options.inc:547
-#: src/config/options.inc:944
+#: src/config/options.inc:295 src/config/options.inc:581
+#: src/config/options.inc:1013
 msgid "Default text color."
 msgstr ""
 
-#: src/config/options.inc:282
+#: src/config/options.inc:297
 #, fuzzy
 msgid "Enable color"
 msgstr "nome"
 
-#: src/config/options.inc:284
+#: src/config/options.inc:299
 msgid ""
-"Enable use of the active link background and text color\n"
-"settings instead of the link colors from the document."
+"Enable use of the active link background and text color settings instead of "
+"the link colors from the document."
 msgstr ""
 
-#: src/config/options.inc:287
+#: src/config/options.inc:302
 #, fuzzy
 msgid "Bold"
 msgstr "Directoria"
 
-#: src/config/options.inc:289
+#: src/config/options.inc:304
 msgid "Make the active link text bold."
 msgstr ""
 
-#: src/config/options.inc:291
+#: src/config/options.inc:306
 #, fuzzy
 msgid "Invert colors"
 msgstr "rea de texto"
 
-#: src/config/options.inc:293
+#: src/config/options.inc:308
 msgid "Invert the fore- and background color so the link stands out."
 msgstr ""
 
-#: src/config/options.inc:296 src/config/options.inc:908
+#: src/config/options.inc:311 src/config/options.inc:975
 #: src/dialogs/options.c:231
 msgid "Underline"
 msgstr ""
 
-#: src/config/options.inc:298
+#: src/config/options.inc:313
 msgid "Underline the active link."
 msgstr ""
 
-#: src/config/options.inc:301
+#: src/config/options.inc:316
 msgid "Directory highlighting"
 msgstr ""
 
-#: src/config/options.inc:303
+#: src/config/options.inc:318
 msgid "Highlight links to directories in FTP and local directory listing."
 msgstr ""
 
-#: src/config/options.inc:305
+#: src/config/options.inc:321
 msgid "Number links"
 msgstr ""
 
-#: src/config/options.inc:307
+#: src/config/options.inc:323
 msgid "Display numbers next to the links."
 msgstr ""
 
-#: src/config/options.inc:309
+#: src/config/options.inc:325
 msgid "Handling of target=_blank"
 msgstr ""
 
-#: src/config/options.inc:311
+#: src/config/options.inc:327
 msgid ""
 "Define how to handle links having target=_blank set:\n"
 "0 means open link in current tab\n"
@@ -2556,141 +2559,138 @@ msgid ""
 "3 means open link in new window"
 msgstr ""
 
-#: src/config/options.inc:324
+#: src/config/options.inc:340
 msgid "Use tabindex"
 msgstr ""
 
-#: src/config/options.inc:326
+#: src/config/options.inc:342
 msgid ""
-"Whether to navigate links using tabindex specified ordering.\n"
-"The TABINDEX attribute in HTML elements specifies the order\n"
-"in which links should receive focus when using the keyboard\n"
-"to navigate the document."
+"Whether to navigate links using tabindex specified ordering. The TABINDEX "
+"attribute in HTML elements specifies the order in which links should receive "
+"focus when using the keyboard to navigate the document."
 msgstr ""
 
-#: src/config/options.inc:331
+#: src/config/options.inc:347
 #, fuzzy
 msgid "Missing fragment reporting"
 msgstr "Sem frames"
 
-#: src/config/options.inc:333
+#: src/config/options.inc:349
 msgid "Open a message box when document has no tag with given id."
 msgstr ""
 
-#: src/config/options.inc:335
+#: src/config/options.inc:352
 msgid "Number keys select links"
 msgstr ""
 
-#: src/config/options.inc:337
+#: src/config/options.inc:354
 msgid ""
-"Number keys select links rather than specify command prefixes. This\n"
-"is a tristate:\n"
+"Number keys select links rather than specify command prefixes. This is a "
+"tristate:\n"
 "0 means never\n"
 "1 means if document.browse.links.numbering = 1\n"
 "2 means always"
 msgstr ""
 
-#: src/config/options.inc:343
+#: src/config/options.inc:360
 msgid "Warn about maliciously crafted URIs"
 msgstr ""
 
-#: src/config/options.inc:345
+#: src/config/options.inc:362
 msgid ""
-"When following a link the user ID part of the URI is\n"
-"checked and if a maliciously crafted URI is detected a\n"
-"warning dialog will ask before following the link."
+"When following a link the user ID part of the URI is checked and if a "
+"maliciously crafted URI is detected a warning dialog will ask before "
+"following the link."
 msgstr ""
 
 #. TODO - this is somehow implemented by ff, but disabled
 #. * for now as it doesn't work.
-#: src/config/options.inc:351
+#: src/config/options.inc:368
 msgid "Wrap-around links cycling"
 msgstr ""
 
 #. 0
-#: src/config/options.inc:353
+#: src/config/options.inc:370
 msgid ""
-"When pressing 'down' on the last link, jump to the first one, and\n"
-"vice versa."
+"When pressing 'down' on the last link, jump to the first one, and vice versa."
 msgstr ""
 
-#: src/config/options.inc:357
+#: src/config/options.inc:374
 #, fuzzy
 msgid "Scrolling"
 msgstr "Descrio"
 
-#: src/config/options.inc:359
+#: src/config/options.inc:376
 #, fuzzy
 msgid "Scrolling options."
 msgstr "Opes do Terminal"
 
-#: src/config/options.inc:361
+#: src/config/options.inc:378
 msgid "Horizontal step"
 msgstr ""
 
-#: src/config/options.inc:363
+#: src/config/options.inc:380
 msgid ""
-"Number of columns to scroll when a key bound to scroll-left or scroll-\n"
-"right is pressed and no prefix was given."
+"Number of columns to scroll when a key bound to scroll-left or scroll-right "
+"is pressed and no prefix was given."
 msgstr ""
 
-#: src/config/options.inc:366
+#: src/config/options.inc:384
 msgid "Extended horizontal scrolling"
 msgstr ""
 
-#: src/config/options.inc:368
+#: src/config/options.inc:386
 msgid ""
-"Whether to allow horizontal scrolling when the document\n"
-"does not extend off the screen. Useful for copy/paste\n"
-"operations."
+"Whether to allow horizontal scrolling when the document does not extend off "
+"the screen. Useful for copy/paste operations."
 msgstr ""
 
-#: src/config/options.inc:372
+#: src/config/options.inc:390
 #, fuzzy
 msgid "Margin"
 msgstr "Ateno"
 
-#: src/config/options.inc:374
+#: src/config/options.inc:392
 msgid ""
-"Size of the virtual margin - when you click inside of that margin,\n"
-"document scrolls in that direction."
+"Size of the virtual margin - when you click inside of that margin, document "
+"scrolls in that direction."
 msgstr ""
 
-#: src/config/options.inc:377
+#: src/config/options.inc:395
 msgid "Vertical step"
 msgstr ""
 
-#: src/config/options.inc:379
+#: src/config/options.inc:397
 msgid ""
-"Number of lines to scroll when a key bound to scroll-up or scroll-\n"
-"down is pressed and no prefix was given."
+"Number of lines to scroll when a key bound to scroll-up or scroll-down is "
+"pressed and no prefix was given."
 msgstr ""
 
-#: src/config/options.inc:383
+#: src/config/options.inc:401
 #, fuzzy
 msgid "Searching"
 msgstr "Procurar"
 
-#: src/config/options.inc:385
+#: src/config/options.inc:403
 msgid "Options for searching."
 msgstr ""
 
-#: src/config/options.inc:387
+#: src/config/options.inc:405
 msgid "Case sensitivity"
 msgstr ""
 
-#: src/config/options.inc:389
+#: src/config/options.inc:407
 msgid ""
-"Whether the search should match the document text while maintaining\n"
-"case sensitivity."
+"Whether the search should match the document text while maintaining case "
+"sensitivity."
 msgstr ""
 
-#: src/config/options.inc:393
+#: src/config/options.inc:411
 #, fuzzy
 msgid "Regular expressions"
 msgstr "Introduza expresso"
 
-#: src/config/options.inc:395
+#: src/config/options.inc:413
 msgid ""
 "Enable searching with regular expressions:\n"
 "0 for plain text searching\n"
@@ -2698,31 +2698,31 @@ msgid ""
 "2 for extended regular expression searches"
 msgstr ""
 
-#: src/config/options.inc:401
+#: src/config/options.inc:419
 msgid "Show search hit top or bottom dialogs"
 msgstr ""
 
-#: src/config/options.inc:403
+#: src/config/options.inc:421
 msgid ""
-"Whether to show a dialog when the search hits the top or bottom of the\n"
+"Whether to show a dialog when the search hits the top or bottom of the "
 "document."
 msgstr ""
 
-#: src/config/options.inc:406
+#: src/config/options.inc:424
 #, fuzzy
 msgid "Wraparound"
 msgstr "Segundo plano"
 
-#: src/config/options.inc:408
+#: src/config/options.inc:426
 msgid "Wrap around when searching. Currently only used for typeahead."
 msgstr ""
 
-#: src/config/options.inc:410
+#: src/config/options.inc:429
 #, fuzzy
 msgid "Show not found"
 msgstr "Host no encontrado"
 
-#: src/config/options.inc:412
+#: src/config/options.inc:431
 msgid ""
 "How to inform the user when nothing is matched:\n"
 "0 means do nothing\n"
@@ -2730,282 +2730,283 @@ msgid ""
 "2 means pop up message box"
 msgstr ""
 
-#: src/config/options.inc:417
+#: src/config/options.inc:436
 #, fuzzy
 msgid "Typeahead searching"
 msgstr "Tipo"
 
-#: src/config/options.inc:419
+#: src/config/options.inc:438
 msgid ""
-"Start typeahead searching when an unbound key is pressed without\n"
-"any modifiers. Note that most keys have default bindings, so this\n"
-"feature will not be useful unless you unbind them.\n"
+"Start typeahead searching when an unbound key is pressed without any "
+"modifiers. Note that most keys have default bindings, so this feature will "
+"not be useful unless you unbind them.\n"
 "\n"
-"0 disables this feature; typeahead searching will only be used\n"
-"  when you press a key bound to search-typeahead or similar\n"
+"0 disables this feature; typeahead searching will only be\n"
+"  used when you press a key bound to search-typeahead or\n"
+"  similar\n"
 "1 automatically starts typeahead searching thru link text\n"
-"2 automatically starts typeahead searching thru all document text"
+"2 automatically starts typeahead searching thru all document\n"
+"  text"
 msgstr ""
 
-#: src/config/options.inc:428
+#: src/config/options.inc:451
 msgid "Horizontal text margin"
 msgstr ""
 
-#: src/config/options.inc:430
+#: src/config/options.inc:453
 msgid "Horizontal text margin."
 msgstr ""
 
-#: src/config/options.inc:432
+#: src/config/options.inc:455
 msgid "Document meta refresh"
 msgstr ""
 
-#: src/config/options.inc:434
+#: src/config/options.inc:457
 msgid ""
-"Automatically follow document-specified refresh directives ('<meta>\n"
-"refresh' tags). Web-page authors use these to instruct the browser\n"
-"to reload a document at a given interval or to load another page.\n"
-"Regardless of the value the refresh URI is accessible as a link.\n"
-"Use the document.browse.minimum_refresh_time to control the minimum\n"
-"number of seconds a refresh will wait."
+"Automatically follow document-specified refresh directives ('<meta> refresh' "
+"tags). Web-page authors use these to instruct the browser to reload a "
+"document at a given interval or to load another page. Regardless of the "
+"value the refresh URI is accessible as a link.\n"
+"\n"
+"Use the document.browse.minimum_refresh_time to control the minimum number "
+"of seconds a refresh will wait."
 msgstr ""
 
-#: src/config/options.inc:441
+#: src/config/options.inc:466
 msgid "Document meta refresh minimum time"
 msgstr ""
 
-#: src/config/options.inc:443
+#: src/config/options.inc:468
 msgid ""
-"The minimum number of milliseconds that should pass before\n"
-"refreshing. If set to zero the document refresh time is used\n"
-"unchanged. It can fix going back in history for some sites that\n"
-"use refreshing with zero values."
+"The minimum number of milliseconds that should pass before refreshing. If "
+"set to zero the document refresh time is used unchanged. It can fix going "
+"back in history for some sites that use refreshing with zero values."
 msgstr ""
 
-#: src/config/options.inc:448
+#: src/config/options.inc:473
 msgid "Tables navigation order"
 msgstr ""
 
-#: src/config/options.inc:450
+#: src/config/options.inc:475
 msgid "Move by columns in table, instead of rows."
 msgstr ""
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:456
+#: src/config/options.inc:481
 #, fuzzy
 msgid "Cache"
 msgstr "Cancelar"
 
-#: src/config/options.inc:458
+#: src/config/options.inc:483
 #, fuzzy
 msgid "Cache options."
 msgstr "~Salvar opes"
 
-#: src/config/options.inc:460
+#: src/config/options.inc:485
 msgid "Cache information about redirects"
 msgstr ""
 
-#: src/config/options.inc:462
+#: src/config/options.inc:487
 msgid ""
-"Cache even redirects sent by server (usually thru HTTP by a 302\n"
-"HTTP code and a Location header). This was the original behaviour\n"
-"for quite some time, but it causes problems in a situation very\n"
-"common to various web login systems - frequently, when accessing\n"
-"a certain location, they will redirect you to a login page if they\n"
-"don't receive an auth cookie, the login page then gives you the\n"
-"cookie and redirects you back to the original page, but there you\n"
-"have already cached redirect back to the login page! If this\n"
-"option has value of 0, this malfunction is fixed, but occasionally\n"
-"you may get superfluous (depends on how you take it ;-) requests to\n"
-"the server. If this option has value of 1, experienced users can\n"
-"still workaround it by clever combination of usage of reload,\n"
-"jumping around in session history and hitting ctrl+enter.\n"
-"Note that this option is checked when retrieving the information\n"
-"from cache, not when saving it to cache - thus if you enable\n"
-"it, even previous redirects will be taken from cache instead of\n"
-"asking the server."
+"Cache even redirects sent by server (usually thru HTTP by a 302 HTTP code "
+"and a Location header). This was the original behaviour for quite some time, "
+"but it causes problems in a situation very common to various web login "
+"systems - frequently, when accessing a certain location, they will redirect "
+"you to a login page if they don't receive an auth cookie, the login page "
+"then gives you the cookie and redirects you back to the original page, but "
+"there you have already cached redirect back to the login page! If this "
+"option has value of 0, this malfunction is fixed, but occasionally you may "
+"get superfluous (depends on how you take it ;-) requests to the server. If "
+"this option has value of 1, experienced users can still workaround it by "
+"clever combination of usage of reload, jumping around in session history and "
+"hitting ctrl+enter.\n"
+"\n"
+"Note that this option is checked when retrieving the information from cache, "
+"not when saving it to cache - thus if you enable it, even previous redirects "
+"will be taken from cache instead of asking the server."
 msgstr ""
 
-#: src/config/options.inc:480
+#: src/config/options.inc:508
 msgid "Ignore cache-control info from server"
 msgstr ""
 
-#: src/config/options.inc:482
+#: src/config/options.inc:510
 msgid ""
-"Ignore Cache-Control and Pragma server headers.\n"
-"When set, the document is cached even with 'Cache-Control: no-cache'."
+"Ignore Cache-Control and Pragma server headers. When set, the document is "
+"cached even with 'Cache-Control: no-cache'."
 msgstr ""
 
-#: src/config/options.inc:485
+#: src/config/options.inc:514
 #, fuzzy
 msgid "Formatted documents"
 msgstr "Cache de documentos formatados"
 
-#: src/config/options.inc:487
+#: src/config/options.inc:516
 msgid "Format cache options."
 msgstr ""
 
-#: src/config/options.inc:489
+#: src/config/options.inc:518
 #, fuzzy
 msgid "Number"
 msgstr "Nmero invlido"
 
-#: src/config/options.inc:491
+#: src/config/options.inc:520
 msgid ""
-"Number of cached formatted pages. Do not get too generous\n"
-"here, 'formatted' means that all the accompanying structures\n"
-"are kept in memory so that you get the cached document\n"
-"immediatelly, but these structures may take a lot - 2x the\n"
-"size of the HTML source is probably not unusual, but it can\n"
-"be even more if the document consists of a lot of short lines\n"
-"(padded right, if possible) and links and not much other markup.\n"
-"So if you set this to 256 and then you don't like your ELinks\n"
-"eating 90M, don't come complaining to us. ;-)\n"
-"Also note that the format cache itself is not counted to the\n"
-"memory cache size, but the HTML source of the formatted documents\n"
-"is always cached, even if it is over the memory cache size\n"
-"threshold. (Then of course no other documents can be cached.)"
+"Number of cached formatted pages. Do not get too generous here, 'formatted' "
+"means that all the accompanying structures are kept in memory so that you "
+"get the cached document immediatelly, but these structures may take a lot - "
+"2x the size of the HTML source is probably not unusual, but it can be even "
+"more if the document consists of a lot of short lines (padded right, if "
+"possible) and links and not much other markup. So if you set this to 256 and "
+"then you don't like your ELinks eating 90M, don't come complaining to "
+"us. ;-)\n"
+"\n"
+"Also note that the format cache itself is not counted to the memory cache "
+"size, but the HTML source of the formatted documents is always cached, even "
+"if it is over the memory cache size threshold. (Then of course no other "
+"documents can be cached.)"
 msgstr ""
 
 #. FIXME: Write more.
-#: src/config/options.inc:506
+#: src/config/options.inc:538
 #, fuzzy
 msgid "Revalidation interval"
 msgstr "Erro ao salvar"
 
-#: src/config/options.inc:508
+#: src/config/options.inc:540
 msgid ""
-"Period in seconds that a cache entry is considered to be\n"
-"up-to-date. When a document is loaded and this interval has elapsed\n"
-"since the document was initially loaded or most recently\n"
-"revalidated with the server, the server will be checked in case\n"
-"there is a more up-to-date version of the document.\n"
+"Period in seconds that a cache entry is considered to be up-to-date. When a "
+"document is loaded and this interval has elapsed since the document was "
+"initially loaded or most recently revalidated with the server, the server "
+"will be checked in case there is a more up-to-date version of the document.\n"
 "\n"
 "A value of -1 disables automatic revalidation."
 msgstr ""
 
-#: src/config/options.inc:515 src/dialogs/info.c:199
+#: src/config/options.inc:549 src/dialogs/info.c:199
 msgid "Memory cache"
 msgstr "Cache de memria"
 
-#: src/config/options.inc:517
+#: src/config/options.inc:551
 #, fuzzy
 msgid "Memory cache options."
 msgstr "Cache de memria"
 
-#: src/config/options.inc:521
+#: src/config/options.inc:555
 #, fuzzy
 msgid "Memory cache size (in bytes)."
 msgstr "Cache de memria"
 
-#: src/config/options.inc:525
+#: src/config/options.inc:559
 #, fuzzy
 msgid "Charset"
 msgstr "Conjunto de Caracteres (C~harset)"
 
-#: src/config/options.inc:527
+#: src/config/options.inc:561
 #, fuzzy
 msgid "Charset options."
 msgstr "~Salvar opes"
 
-#: src/config/options.inc:529
+#: src/config/options.inc:563
 msgid "Default codepage"
 msgstr ""
 
-#: src/config/options.inc:531
+#: src/config/options.inc:565
 msgid ""
-"Default document codepage. 'System' stands for\n"
-"a codepage determined by a selected locale."
+"Default document codepage. 'System' stands for a codepage determined by a "
+"selected locale."
 msgstr ""
 
-#: src/config/options.inc:534
+#: src/config/options.inc:568
 msgid "Ignore charset info from server"
 msgstr ""
 
-#: src/config/options.inc:536
+#: src/config/options.inc:570
 msgid "Ignore charset info sent by server."
 msgstr ""
 
-#: src/config/options.inc:540
+#: src/config/options.inc:574
 msgid "Default color settings"
 msgstr ""
 
-#: src/config/options.inc:542
+#: src/config/options.inc:576
 msgid "Default document color settings."
 msgstr ""
 
-#: src/config/options.inc:553
+#: src/config/options.inc:587
 #, fuzzy
 msgid "Link color"
 msgstr "Ttulo do link"
 
-#: src/config/options.inc:555
+#: src/config/options.inc:589
 msgid "Default link color."
 msgstr ""
 
-#: src/config/options.inc:557
+#: src/config/options.inc:591
 msgid "Visited-link color"
 msgstr ""
 
-#: src/config/options.inc:559
+#: src/config/options.inc:593
 msgid "Default visited link color."
 msgstr ""
 
-#: src/config/options.inc:561
+#: src/config/options.inc:595
 #, fuzzy
 msgid "Image-link color"
 msgstr "Ttulo do link"
 
-#: src/config/options.inc:563
+#: src/config/options.inc:597
 #, fuzzy
 msgid "Default image link color."
 msgstr "~Fechar conexes em segundo plano"
 
-#: src/config/options.inc:565
+#: src/config/options.inc:599
 msgid "Bookmarked-link color"
 msgstr ""
 
-#: src/config/options.inc:567
+#: src/config/options.inc:601
 #, fuzzy
 msgid "Default bookmarked link color."
 msgstr "~Fechar conexes em segundo plano"
 
-#: src/config/options.inc:569
+#: src/config/options.inc:603
 msgid "Directory color"
 msgstr ""
 
-#: src/config/options.inc:571
+#: src/config/options.inc:605
 msgid ""
 "Default directory color.\n"
+"\n"
 "See document.browse.links.color_dirs option."
 msgstr ""
 
-#: src/config/options.inc:578
+#: src/config/options.inc:613
 msgid "Increase contrast"
 msgstr ""
 
-#: src/config/options.inc:580
+#: src/config/options.inc:615
 msgid ""
-"Increase the contrast between the foreground and background colors\n"
-"to ensure readability. For example it disallows dark colors on a\n"
-"black background. Note, this is different from ensuring the contrast\n"
-"with the ensure_contrast option."
+"Increase the contrast between the foreground and background colors to ensure "
+"readability. For example it disallows dark colors on a black background. "
+"Note, this is different from ensuring the contrast with the ensure_contrast "
+"option."
 msgstr ""
 
-#: src/config/options.inc:585
+#: src/config/options.inc:621
 msgid "Ensure contrast"
 msgstr ""
 
-#: src/config/options.inc:587
+#: src/config/options.inc:623
 msgid "Makes sure that the back- and foreground colors are never equal."
 msgstr ""
 
 #. If you change this please also change ACT_MAIN_DOCUMENT_COLORS action
 #. * handling.
-#: src/config/options.inc:592
+#: src/config/options.inc:628
 msgid "Use document-specified colors"
 msgstr ""
 
-#: src/config/options.inc:594
+#: src/config/options.inc:630
 msgid ""
 "Use colors specified in document:\n"
 "0 is use always the default settings\n"
@@ -3017,40 +3018,40 @@ msgid ""
 msgstr ""
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:607
+#: src/config/options.inc:643
 #, fuzzy
 msgid "Downloading"
 msgstr "Download"
 
-#: src/config/options.inc:609
+#: src/config/options.inc:645
 msgid "Options regarding files downloading and handling."
 msgstr ""
 
-#: src/config/options.inc:611
+#: src/config/options.inc:647
 #, fuzzy
 msgid "Default download directory"
 msgstr "Erro de download"
 
-#: src/config/options.inc:613
+#: src/config/options.inc:649
 msgid "Default download directory."
 msgstr ""
 
-#: src/config/options.inc:615
+#: src/config/options.inc:651
 msgid "Set original time"
 msgstr ""
 
-#: src/config/options.inc:617
+#: src/config/options.inc:653
 msgid ""
-"Set the timestamp of each downloaded file to the timestamp\n"
-"stored on the server."
+"Set the timestamp of each downloaded file to the timestamp stored on the "
+"server."
 msgstr ""
 
 #. Does automatic resuming make sense as an option?
-#: src/config/options.inc:621
+#: src/config/options.inc:657
 msgid "Prevent overwriting"
 msgstr ""
 
-#: src/config/options.inc:623
+#: src/config/options.inc:659
 msgid ""
 "Prevent overwriting the local files:\n"
 "0 is files will silently be overwritten\n"
@@ -3058,12 +3059,12 @@ msgid ""
 "2 is ask the user"
 msgstr ""
 
-#: src/config/options.inc:628
+#: src/config/options.inc:664
 #, fuzzy
 msgid "Notify download completion by bell"
 msgstr "Download efectuado"
 
-#: src/config/options.inc:630
+#: src/config/options.inc:666
 msgid ""
 "Audio notification when download is completed:\n"
 "0 is never\n"
@@ -3071,27 +3072,27 @@ msgid ""
 "2 is always"
 msgstr ""
 
-#: src/config/options.inc:636
+#: src/config/options.inc:672
 msgid "Dump output"
 msgstr ""
 
-#: src/config/options.inc:638
+#: src/config/options.inc:674
 msgid "Dump output options."
 msgstr ""
 
 #. OPT_CODEPAGE
-#: src/config/options.inc:640 src/config/options.inc:912
+#: src/config/options.inc:676 src/config/options.inc:980
 #: src/config/opttypes.c:481 src/dialogs/document.c:164
 msgid "Codepage"
 msgstr "Codepage"
 
-#: src/config/options.inc:642
+#: src/config/options.inc:678
 msgid ""
-"Codepage used in dump output. 'System' stands for\n"
-"a codepage determined by a selected locale."
+"Codepage used in dump output. 'System' stands for a codepage determined by a "
+"selected locale."
 msgstr ""
 
-#: src/config/options.inc:645 src/config/options.inc:878
+#: src/config/options.inc:681 src/config/options.inc:941
 #, fuzzy
 msgid "Color mode"
 msgstr "Cores"
@@ -3101,12 +3102,14 @@ msgstr "Cores"
 #. * an outer list entry after an inner list.
 #. * TRANSLATORS: This restriction applies only to the
 #. * "en" (English) translation.  (See doc/Makefile.)
-#: src/config/options.inc:652
+#: src/config/options.inc:688
 msgid ""
 "Color mode for dumps.\n"
+"\n"
 "Some modes may have been disabled at compile time. The Setup -> Terminal "
 "options dialog lists the modes supported by this executable. If you select "
 "an unsupported mode, ELinks uses 16 colors.\n"
+"\n"
 "The color modes are:\n"
 "-1 is standard dump mode\n"
 "0 is mono mode\n"
@@ -3116,129 +3119,127 @@ msgid ""
 "4 is true color mode"
 msgstr ""
 
-#: src/config/options.inc:665
+#: src/config/options.inc:703
 #, fuzzy
 msgid "Footer"
 msgstr "Directoria"
 
-#: src/config/options.inc:667
+#: src/config/options.inc:705
 #, c-format
 msgid "Footer string used in dumps. %u is substituted by URL."
 msgstr ""
 
-#: src/config/options.inc:671
+#: src/config/options.inc:709
 #, c-format
 msgid "Header string used in dumps. %u is substituted by URL."
 msgstr ""
 
-#: src/config/options.inc:673
+#: src/config/options.inc:711
 #, fuzzy
 msgid "Numbering"
 msgstr "Nmero invlido"
 
-#: src/config/options.inc:675
+#: src/config/options.inc:713
 msgid "Whether to print link numbers in dump output."
 msgstr ""
 
-#: src/config/options.inc:677
+#: src/config/options.inc:715
 #, fuzzy
 msgid "References"
 msgstr "Recursos"
 
-#: src/config/options.inc:679
-msgid ""
-"Whether to print references (URIs) of document links\n"
-"in dump output."
+#: src/config/options.inc:717
+msgid "Whether to print references (URIs) of document links in dump output."
 msgstr ""
 
-#: src/config/options.inc:682
+#: src/config/options.inc:720
 #, fuzzy
 msgid "Separator"
 msgstr "Procurar no historial"
 
-#: src/config/options.inc:684
+#: src/config/options.inc:722
 msgid "String which separates two dumps."
 msgstr ""
 
-#: src/config/options.inc:686
+#: src/config/options.inc:724
 msgid "Width"
 msgstr ""
 
-#: src/config/options.inc:688
+#: src/config/options.inc:726
 msgid "Width of screen in characters when dumping documents."
 msgstr ""
 
-#: src/config/options.inc:692
+#: src/config/options.inc:730
 #, fuzzy
 msgid "History"
 msgstr "~Histrico"
 
-#: src/config/options.inc:694
+#: src/config/options.inc:732
 msgid "History options."
 msgstr ""
 
-#: src/config/options.inc:696
+#: src/config/options.inc:734
 #, fuzzy
 msgid "Keep unhistory"
 msgstr "Histrico a~nterior"
 
-#: src/config/options.inc:698
+#: src/config/options.inc:736
 #, fuzzy
 msgid "Keep unhistory (\"forward history\")."
 msgstr "Explorador de Historial"
 
-#: src/config/options.inc:701
+#: src/config/options.inc:739
 #, fuzzy
 msgid "HTML rendering"
 msgstr "A transferir"
 
-#: src/config/options.inc:703
+#: src/config/options.inc:741
 msgid "Options concerning the display of HTML pages."
 msgstr ""
 
-#: src/config/options.inc:705
+#: src/config/options.inc:743
 #, fuzzy
 msgid "Display frames"
 msgstr "Mostar"
 
-#: src/config/options.inc:707
+#: src/config/options.inc:745
 #, fuzzy
 msgid "Display frames."
 msgstr "Mostar"
 
-#: src/config/options.inc:709
+#: src/config/options.inc:747
 #, fuzzy
 msgid "Display tables"
 msgstr "Mostar"
 
-#: src/config/options.inc:711
+#: src/config/options.inc:749
 #, fuzzy
 msgid "Display tables."
 msgstr "Mostar"
 
-#: src/config/options.inc:713
+#: src/config/options.inc:751
 #, fuzzy
 msgid "Display subscripts"
 msgstr "Mostrar o ~usemap"
 
-#: src/config/options.inc:715
+#: src/config/options.inc:753
 msgid "Display subscripts (as [thing])."
 msgstr ""
 
-#: src/config/options.inc:717
+#: src/config/options.inc:755
 #, fuzzy
 msgid "Display superscripts"
 msgstr "Mostrar o ~usemap"
 
-#: src/config/options.inc:719
+#: src/config/options.inc:757
 msgid "Display superscripts (as ^thing)."
 msgstr ""
 
-#: src/config/options.inc:721
+#: src/config/options.inc:759
 msgid "Rendering of HTML link element"
 msgstr ""
 
-#: src/config/options.inc:723
+#: src/config/options.inc:761
 msgid ""
 "How to render <link> tags from the HTML header:\n"
 "0 is nothing\n"
@@ -3249,145 +3250,143 @@ msgid ""
 "5 is everything"
 msgstr ""
 
-#: src/config/options.inc:731
+#: src/config/options.inc:769
 msgid "Underline links"
 msgstr ""
 
-#: src/config/options.inc:733
+#: src/config/options.inc:771
 msgid "Underline links."
 msgstr ""
 
-#: src/config/options.inc:735
+#: src/config/options.inc:773
 msgid "Wrap non breaking space"
 msgstr ""
 
-#: src/config/options.inc:737
+#: src/config/options.inc:775
 msgid ""
-"If set do not honour non breaking space (the nbsp entity)\n"
-"but allow to wrap the text. This can help keeping the width\n"
-"of documents down so no horizontal scrolling is needed."
+"If set do not honour non breaking space (the nbsp entity) but allow to wrap "
+"the text. This can help keeping the width of documents down so no horizontal "
+"scrolling is needed."
 msgstr ""
 
-#: src/config/options.inc:742
+#: src/config/options.inc:780
 #, fuzzy
 msgid "Plain rendering"
 msgstr "A transferir"
 
-#: src/config/options.inc:744
+#: src/config/options.inc:782
 msgid "Options concerning the display of plain text pages."
 msgstr ""
 
-#: src/config/options.inc:746
+#: src/config/options.inc:784
 #, fuzzy
 msgid "Display URIs"
 msgstr "Mostar"
 
-#: src/config/options.inc:748
+#: src/config/options.inc:786
 msgid "Display URIs in the document as links."
 msgstr ""
 
-#: src/config/options.inc:750
+#: src/config/options.inc:788
 msgid "Compress empty lines"
 msgstr ""
 
-#: src/config/options.inc:752
+#: src/config/options.inc:790
 msgid "Compress successive empty lines to only one in displayed text."
 msgstr ""
 
-#: src/config/options.inc:755
+#: src/config/options.inc:794
 msgid "URI passing"
 msgstr ""
 
-#: src/config/options.inc:757
+#: src/config/options.inc:796
 msgid ""
-"Rules for passing URIs to external commands. When one rule\n"
-"is defined the link and tab menu will have a menu item that\n"
-"makes it possible to pass the the link, frame or tab URI to\n"
-"an external command. If several rules are defined the link and\n"
-"tab menu will have a submenu of items for each rule. Note, this\n"
-"is mostly useful for launching graphical viewers, since there\n"
-"is no support for releasing the terminal while the command runs.\n"
-"The action and submenus are also available by binding keys to\n"
-"the frame-external-command, the link-external-command, and\n"
-"the tab-external-command actions."
+"Rules for passing URIs to external commands. When one rule is defined the "
+"link and tab menu will have a menu item that makes it possible to pass the "
+"the link, frame or tab URI to an external command. If several rules are "
+"defined the link and tab menu will have a submenu of items for each rule.\n"
+"\n"
+"Note, this is mostly useful for launching graphical viewers, since there is "
+"no support for releasing the terminal while the command runs. The action and "
+"submenus are also available by binding keys to the frame-external-command, "
+"the link-external-command, and the tab-external-command actions."
 msgstr ""
 
-#: src/config/options.inc:770
+#: src/config/options.inc:812
 msgid ""
-"A rule for passing URI to an external command.\n"
-"The format is:\n"
+"A rule for passing URI to an external command. The format is:\n"
 "%c in the string means the current URL\n"
 "%% in the string means '%'\n"
 "Do _not_ put single- or double-quotes around %c."
 msgstr ""
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:780
+#: src/config/options.inc:822
 msgid "Information files"
 msgstr ""
 
-#: src/config/options.inc:782
+#: src/config/options.inc:824
 msgid "Options for information files in ~/.elinks."
 msgstr ""
 
-#: src/config/options.inc:784
+#: src/config/options.inc:826
 #, fuzzy
 msgid "Save interval"
 msgstr "Erro ao salvar"
 
-#: src/config/options.inc:786
+#: src/config/options.inc:828
 msgid ""
-"Interval at which to trigger information files in ~/.elinks\n"
-"to be saved to disk if they have changed (seconds; 0 to disable)"
+"Interval at which to trigger information files in ~/.elinks to be saved to "
+"disk if they have changed (seconds; 0 to disable)"
 msgstr ""
 
-#: src/config/options.inc:789
+#: src/config/options.inc:832
 msgid "Use secure file saving"
 msgstr ""
 
-#: src/config/options.inc:791
+#: src/config/options.inc:834
 msgid ""
-"First write data to unique temporary file, then rename this file\n"
-"upon successfully finishing this. Note that this relates only to\n"
-"config files, not downloaded files. You may want to disable\n"
-"it if you are using some exotic permissions for concerned files.\n"
-"Secure file saving is automagically disabled if file is symlink.\n"
-"Warning: some systems (ie. OS/2, Win32) require that destination\n"
-"file doesn't exist when rename(3) is called, breaking atomicity,\n"
-"and reducing reliability of this feature."
+"First write data to unique temporary file, then rename this file upon "
+"successfully finishing this. Note that this relates only to config files, "
+"not downloaded files. You may want to disable it if you are using some "
+"exotic permissions for concerned files. Secure file saving is automagically "
+"disabled if file is symlink.\n"
+"\n"
+"Warning: some systems (ie. OS/2, Win32) require that destination file "
+"doesn't exist when rename(3) is called, breaking atomicity, and reducing "
+"reliability of this feature."
 msgstr ""
 
-#: src/config/options.inc:800
+#: src/config/options.inc:846
 msgid "Use fsync(3) with secure file saving"
 msgstr ""
 
-#: src/config/options.inc:802
+#: src/config/options.inc:848
 msgid ""
-"When using secure file saving, call fsync(3), if the OS\n"
-"supports it, to force the OS immediately to write the data\n"
-"to permanent storage. This is optional for those who wish\n"
-"to avoid excessive disk I/O."
+"When using secure file saving, call fsync(3), if the OS supports it, to "
+"force the OS immediately to write the data to permanent storage. This is "
+"optional for those who wish to avoid excessive disk I/O."
 msgstr ""
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:811
+#: src/config/options.inc:857
 #, fuzzy
 msgid "Terminals"
 msgstr "Opes do Terminal"
 
-#: src/config/options.inc:813
+#: src/config/options.inc:859
 #, fuzzy
 msgid "Terminal options."
 msgstr "Opes do Terminal"
 
-#: src/config/options.inc:817
+#: src/config/options.inc:863
 msgid "Options specific to this terminal type (according to $TERM value)."
 msgstr ""
 
-#: src/config/options.inc:842
+#: src/config/options.inc:889
 msgid ""
-"Terminal type; matters mostly only when drawing frames and\n"
-"dialog box borders:\n"
+"Terminal type; matters mostly only when drawing frames and dialog box "
+"borders:\n"
 "0 is dumb terminal type, ASCII art\n"
 "1 is VT100, simple but portable\n"
 "2 is Linux, you get double frames and other goodies\n"
@@ -3395,15 +3394,31 @@ msgid ""
 "4 is FreeBSD"
 msgstr ""
 
-#: src/config/options.inc:850 src/dialogs/options.c:227
+#: src/config/options.inc:897
+msgid "Always encode xterm title in ISO-8859-1"
+msgstr ""
+
+#: src/config/options.inc:899
+msgid ""
+"When updating the window title of xterm or a similar terminal emulator, "
+"encode the title in ISO-8859-1 (Latin-1), rather than in the charset used "
+"for other text in the window. Cyrillic and other characters get replaced "
+"with Latin ones. Xterm requires this unless you explicitly enable UTF-8 "
+"titles in it.\n"
+"\n"
+"If this option does not take effect immediately, try switching to a "
+"different page so that ELinks notices it needs to update the title."
+msgstr ""
+
+#: src/config/options.inc:910 src/dialogs/options.c:227
 msgid "Switch fonts for line drawing"
 msgstr ""
 
-#: src/config/options.inc:852
+#: src/config/options.inc:912
 msgid ""
-"Switch fonts when drawing lines, enabling both local characters\n"
-"and lines working at the same time. ELinks uses this option only if\n"
-"UTF-8 I/O is disabled and the terminal type is Linux or FreeBSD."
+"Switch fonts when drawing lines, enabling both local characters and lines "
+"working at the same time. ELinks uses this option only if UTF-8 I/O is "
+"disabled and the terminal type is Linux or FreeBSD."
 msgstr ""
 
 #. When CONFIG_UTF8 is defined, any code that reads the "utf_8_io"
@@ -3411,37 +3426,37 @@ msgstr ""
 #. * and if so, behave as if "utf_8_io" were 1.  (When CONFIG_UTF8 is
 #. * not defined, it should not be possible to set UTF-8 as "codepage";
 #. * please report any such possibilities as bugs.)
-#: src/config/options.inc:861 src/dialogs/options.c:232
+#: src/config/options.inc:922 src/dialogs/options.c:232
 msgid "UTF-8 I/O"
 msgstr ""
 
-#: src/config/options.inc:863
+#: src/config/options.inc:924
 msgid ""
-"Enable I/O in UTF-8 for Unicode terminals. Note that currently,\n"
-"only the subset of UTF-8 according to terminal codepage is used.\n"
-"ELinks ignores this option if the terminal codepage is UTF-8."
+"Enable I/O in UTF-8 for Unicode terminals. Note that currently, only the "
+"subset of UTF-8 according to terminal codepage is used. ELinks ignores this "
+"option if the terminal codepage is UTF-8."
 msgstr ""
 
-#: src/config/options.inc:867 src/dialogs/options.c:228
+#: src/config/options.inc:929 src/dialogs/options.c:228
 msgid "Restrict frames in cp850/852"
 msgstr "Frames restritos para cp850/852"
 
-#: src/config/options.inc:869
+#: src/config/options.inc:931
 msgid ""
-"Restrict the characters used when drawing lines. Makes sense\n"
-"only with linux terminals using the cp850/852 character sets."
+"Restrict the characters used when drawing lines. Makes sense only with linux "
+"terminals using the cp850/852 character sets."
 msgstr ""
 
-#: src/config/options.inc:872 src/dialogs/options.c:229
+#: src/config/options.inc:935 src/dialogs/options.c:229
 #, fuzzy
 msgid "Block cursor"
 msgstr "Bloquear cursor"
 
-#: src/config/options.inc:874
+#: src/config/options.inc:937
 msgid ""
-"Move cursor to bottom right corner when done drawing.\n"
-"This is particularly useful when we have a block cursor,\n"
-"so that inversed text is displayed correctly."
+"Move cursor to bottom right corner when done drawing. This is particularly "
+"useful when we have a block cursor, so that inversed text is displayed "
+"correctly."
 msgstr ""
 
 #. The list of modes must be at the end of this string
@@ -3449,13 +3464,15 @@ msgstr ""
 #. * an outer list entry after an inner list.
 #. * TRANSLATORS: This restriction applies only to the
 #. * "en" (English) translation.  (See doc/Makefile.)
-#: src/config/options.inc:885
+#: src/config/options.inc:948
 msgid ""
 "The color mode controls what colors are used and how they are output to the "
 "terminal.\n"
+"\n"
 "Some modes may have been disabled at compile time. The Setup -> Terminal "
 "options dialog lists the modes supported by this executable. If you select "
 "an unsupported mode, ELinks uses 16 colors.\n"
+"\n"
 "The color modes are:\n"
 "0 is mono mode, only 2 colors are used\n"
 "1 is 16 color mode, uses the common ANSI colors\n"
@@ -3464,427 +3481,424 @@ msgid ""
 "4 is true color mode, uses konsole RGB codes"
 msgstr ""
 
-#: src/config/options.inc:898 src/dialogs/options.c:230
+#: src/config/options.inc:963 src/dialogs/options.c:230
 msgid "Transparency"
 msgstr "Transparncia"
 
-#: src/config/options.inc:900
+#: src/config/options.inc:965
 msgid ""
-"If we should not set the background to black. This is particularly\n"
-"useful when we have a terminal (typically in some windowing\n"
-"environment) with a background image or a transparent background -\n"
-"it will be visible in ELinks as well (but ELinks document color handling\n"
-"will still assume the background is black so if you have a bright "
-"background\n"
-"you might experience contrast problems). Note that this option makes\n"
-"sense only when colors are enabled."
+"If we should not set the background to black. This is particularly useful "
+"when we have a terminal (typically in some windowing environment) with a "
+"background image or a transparent background - it will be visible in ELinks "
+"as well (but ELinks document color handling will still assume the background "
+"is black so if you have a bright background you might experience contrast "
+"problems). Note that this option makes sense only when colors are enabled."
 msgstr ""
 
-#: src/config/options.inc:910
+#: src/config/options.inc:977
 msgid "If we should use underline or enhance the color instead."
 msgstr ""
 
-#: src/config/options.inc:914
+#: src/config/options.inc:982
 msgid ""
-"Codepage of charset used for displaying content on terminal.\n"
-"'System' stands for a codepage determined by a selected locale."
+"Codepage of charset used for displaying content on terminal. 'System' stands "
+"for a codepage determined by a selected locale."
 msgstr ""
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:921
+#: src/config/options.inc:990
 msgid "User interface"
 msgstr ""
 
-#: src/config/options.inc:923
+#: src/config/options.inc:992
 #, fuzzy
 msgid "User interface options."
 msgstr "Opes do Terminal"
 
-#: src/config/options.inc:927
+#: src/config/options.inc:996
 msgid "Color settings"
 msgstr ""
 
-#: src/config/options.inc:929
+#: src/config/options.inc:998
 msgid "Default user interface color settings."
 msgstr ""
 
-#: src/config/options.inc:956
+#: src/config/options.inc:1025
 #, fuzzy
 msgid "Color terminals"
 msgstr "Terminal do ~BeOS"
 
-#: src/config/options.inc:958
+#: src/config/options.inc:1027
 msgid "Color settings for color terminal."
 msgstr ""
 
-#: src/config/options.inc:960
+#: src/config/options.inc:1029
 msgid "Non-color terminals"
 msgstr ""
 
-#: src/config/options.inc:962
+#: src/config/options.inc:1031
 msgid "Color settings for non-color terminal."
 msgstr ""
 
 #. FIXME: obsolete, how to alias them correctly ? --Zas
-#: src/config/options.inc:965
+#: src/config/options.inc:1034
 msgid "Main menu bar"
 msgstr ""
 
-#: src/config/options.inc:967
+#: src/config/options.inc:1036
 msgid "Main menu bar colors."
 msgstr ""
 
-#: src/config/options.inc:969
+#: src/config/options.inc:1038
 msgid "Unselected main menu bar item"
 msgstr ""
 
-#: src/config/options.inc:971
+#: src/config/options.inc:1040
 msgid "Unselected main menu bar item colors."
 msgstr ""
 
-#: src/config/options.inc:973
+#: src/config/options.inc:1042
 msgid "Selected main menu bar item"
 msgstr ""
 
-#: src/config/options.inc:975
+#: src/config/options.inc:1044
 msgid "Selected main menu bar item colors."
 msgstr ""
 
-#: src/config/options.inc:977 src/config/options.inc:1006
+#: src/config/options.inc:1046 src/config/options.inc:1075
 msgid "Hotkey"
 msgstr ""
 
-#: src/config/options.inc:979
+#: src/config/options.inc:1048
 msgid "Main menu hotkey colors."
 msgstr ""
 
-#: src/config/options.inc:981 src/config/options.inc:1010
+#: src/config/options.inc:1050 src/config/options.inc:1079
 msgid "Unselected hotkey"
 msgstr ""
 
-#: src/config/options.inc:983
+#: src/config/options.inc:1052
 msgid "Main menu unselected hotkey colors."
 msgstr ""
 
-#: src/config/options.inc:985 src/config/options.inc:1014
+#: src/config/options.inc:1054 src/config/options.inc:1083
 #, fuzzy
 msgid "Selected hotkey"
 msgstr "Apagar opo"
 
-#: src/config/options.inc:987
+#: src/config/options.inc:1056
 msgid "Main menu selected hotkey colors."
 msgstr ""
 
-#: src/config/options.inc:990
+#: src/config/options.inc:1059
 msgid "Menu bar"
 msgstr ""
 
-#: src/config/options.inc:992
+#: src/config/options.inc:1061
 msgid "Menu bar colors."
 msgstr ""
 
-#: src/config/options.inc:994
+#: src/config/options.inc:1063
 msgid "Unselected menu item"
 msgstr ""
 
-#: src/config/options.inc:996
+#: src/config/options.inc:1065
 msgid "Unselected menu item colors."
 msgstr ""
 
-#: src/config/options.inc:998
+#: src/config/options.inc:1067
 #, fuzzy
 msgid "Selected menu item"
 msgstr "Campo de seleo"
 
-#: src/config/options.inc:1000
+#: src/config/options.inc:1069
 msgid "Selected menu item colors."
 msgstr ""
 
-#: src/config/options.inc:1002
+#: src/config/options.inc:1071
 #, fuzzy
 msgid "Marked menu item"
 msgstr "Campo de seleo"
 
-#: src/config/options.inc:1004
+#: src/config/options.inc:1073
 msgid "Marked menu item colors."
 msgstr ""
 
-#: src/config/options.inc:1008
+#: src/config/options.inc:1077
 msgid "Menu item hotkey colors."
 msgstr ""
 
-#: src/config/options.inc:1012
+#: src/config/options.inc:1081
 msgid "Menu item unselected hotkey colors."
 msgstr ""
 
-#: src/config/options.inc:1016
+#: src/config/options.inc:1085
 msgid "Menu item selected hotkey colors."
 msgstr ""
 
-#: src/config/options.inc:1018
+#: src/config/options.inc:1087
 #, fuzzy
 msgid "Menu frame"
 msgstr "Sem frames"
 
-#: src/config/options.inc:1020
+#: src/config/options.inc:1089
 msgid "Menu frame colors."
 msgstr ""
 
-#: src/config/options.inc:1023
+#: src/config/options.inc:1092
 msgid "Dialog"
 msgstr ""
 
-#: src/config/options.inc:1025
+#: src/config/options.inc:1094
 msgid "Dialog colors."
 msgstr ""
 
-#: src/config/options.inc:1035
+#: src/config/options.inc:1104
 msgid "Generic"
 msgstr ""
 
-#: src/config/options.inc:1037
+#: src/config/options.inc:1106
 #, fuzzy
 msgid "Generic dialog colors."
 msgstr "~Fechar conexes em segundo plano"
 
-#: src/config/options.inc:1039
+#: src/config/options.inc:1108
 #, fuzzy
 msgid "Frame"
 msgstr "nome"
 
-#: src/config/options.inc:1041
+#: src/config/options.inc:1110
 msgid "Dialog frame colors."
 msgstr ""
 
-#: src/config/options.inc:1043
+#: src/config/options.inc:1112
 msgid "Scrollbar"
 msgstr ""
 
-#: src/config/options.inc:1045
+#: src/config/options.inc:1114
 msgid "Scrollbar colors."
 msgstr ""
 
-#: src/config/options.inc:1047
+#: src/config/options.inc:1116
 #, fuzzy
 msgid "Selected scrollbar"
 msgstr "~Fechar conexes em segundo plano"
 
-#: src/config/options.inc:1049
+#: src/config/options.inc:1118
 #, fuzzy
 msgid "Scrollbar selected colors."
 msgstr "~Fechar conexes em segundo plano"
 
-#: src/config/options.inc:1053
+#: src/config/options.inc:1122
 msgid "Dialog title colors."
 msgstr ""
 
-#: src/config/options.inc:1055
+#: src/config/options.inc:1124
 #, fuzzy
 msgid "Text"
 msgstr "rea de texto"
 
-#: src/config/options.inc:1057
+#: src/config/options.inc:1126
 msgid "Dialog text colors."
 msgstr ""
 
-#: src/config/options.inc:1059 src/viewer/text/form.c:1862
+#: src/config/options.inc:1128 src/viewer/text/form.c:1891
 msgid "Checkbox"
 msgstr "Caixa de verificao"
 
-#: src/config/options.inc:1061
+#: src/config/options.inc:1130
 msgid "Dialog checkbox colors."
 msgstr ""
 
-#: src/config/options.inc:1063
+#: src/config/options.inc:1132
 #, fuzzy
 msgid "Selected checkbox"
 msgstr "Apagar opo"
 
-#: src/config/options.inc:1065
+#: src/config/options.inc:1134
 #, fuzzy
 msgid "Dialog selected checkbox colors."
 msgstr "~Fechar conexes em segundo plano"
 
-#: src/config/options.inc:1067
+#: src/config/options.inc:1136
 #, fuzzy
 msgid "Checkbox label"
 msgstr "Caixa de verificao"
 
-#: src/config/options.inc:1069
+#: src/config/options.inc:1138
 msgid "Dialog checkbox label colors."
 msgstr ""
 
-#: src/config/options.inc:1071
+#: src/config/options.inc:1140
 msgid "Button"
 msgstr ""
 
-#: src/config/options.inc:1073 src/config/options.inc:1081
+#: src/config/options.inc:1142 src/config/options.inc:1150
 msgid "Dialog button colors."
 msgstr ""
 
-#: src/config/options.inc:1075
+#: src/config/options.inc:1144
 #, fuzzy
 msgid "Selected button"
 msgstr "Apagar opo"
 
-#: src/config/options.inc:1077 src/config/options.inc:1085
+#: src/config/options.inc:1146 src/config/options.inc:1154
 msgid "Dialog selected button colors."
 msgstr ""
 
-#: src/config/options.inc:1079
+#: src/config/options.inc:1148
 msgid "Button shortcut"
 msgstr ""
 
-#: src/config/options.inc:1083
+#: src/config/options.inc:1152
 #, fuzzy
 msgid "Selected button shortcut"
 msgstr "Apagar opo"
 
-#: src/config/options.inc:1087 src/viewer/text/form.c:1866
+#: src/config/options.inc:1156 src/viewer/text/form.c:1895
 msgid "Text field"
 msgstr "Campo de texto"
 
-#: src/config/options.inc:1089
+#: src/config/options.inc:1158
 msgid "Dialog text field colors."
 msgstr ""
 
-#: src/config/options.inc:1091
+#: src/config/options.inc:1160
 #, fuzzy
 msgid "Text field text"
 msgstr "Campo de texto"
 
-#: src/config/options.inc:1093
+#: src/config/options.inc:1162
 msgid "Dialog field text colors."
 msgstr ""
 
-#: src/config/options.inc:1095
+#: src/config/options.inc:1164
 msgid "Meter"
 msgstr ""
 
-#: src/config/options.inc:1097
+#: src/config/options.inc:1166
 msgid "Dialog meter colors."
 msgstr ""
 
-#: src/config/options.inc:1099
+#: src/config/options.inc:1168
 msgid "Shadow"
 msgstr ""
 
-#: src/config/options.inc:1101
+#: src/config/options.inc:1170
 msgid "Dialog shadow colors (see ui.shadows option)."
 msgstr ""
 
-#: src/config/options.inc:1103
+#: src/config/options.inc:1172
 #, fuzzy
 msgid "Title bar"
 msgstr "Ttulo"
 
-#: src/config/options.inc:1105
+#: src/config/options.inc:1174
 msgid "Title bar colors."
 msgstr ""
 
-#: src/config/options.inc:1107
+#: src/config/options.inc:1176
 msgid "Generic title bar"
 msgstr ""
 
-#: src/config/options.inc:1109
+#: src/config/options.inc:1178
 msgid "Generic title bar colors."
 msgstr ""
 
-#: src/config/options.inc:1111
+#: src/config/options.inc:1180
 msgid "Title bar text"
 msgstr ""
 
-#: src/config/options.inc:1113
+#: src/config/options.inc:1182
 msgid "Title bar text colors."
 msgstr ""
 
-#: src/config/options.inc:1116
+#: src/config/options.inc:1185
 msgid "Status bar"
 msgstr ""
 
-#: src/config/options.inc:1118
+#: src/config/options.inc:1187
 msgid "Status bar colors."
 msgstr ""
 
-#: src/config/options.inc:1120
+#: src/config/options.inc:1189
 msgid "Generic status bar"
 msgstr ""
 
-#: src/config/options.inc:1122
+#: src/config/options.inc:1191
 msgid "Generic status bar colors."
 msgstr ""
 
-#: src/config/options.inc:1124
+#: src/config/options.inc:1193
 #, fuzzy
 msgid "Status bar text"
 msgstr "Procurar pelo texto"
 
-#: src/config/options.inc:1126
+#: src/config/options.inc:1195
 msgid "Status bar text colors."
 msgstr ""
 
-#: src/config/options.inc:1129
+#: src/config/options.inc:1198
 msgid "Tabs bar"
 msgstr ""
 
-#: src/config/options.inc:1131
+#: src/config/options.inc:1200
 msgid "Tabs bar colors."
 msgstr ""
 
-#: src/config/options.inc:1133
+#: src/config/options.inc:1202
 #, fuzzy
 msgid "Unvisited tab"
 msgstr "Apagar opo"
 
-#: src/config/options.inc:1135
+#: src/config/options.inc:1204
 msgid ""
-"Tab colors for tabs that have not been\n"
-"selected since they completed loading."
+"Tab colors for tabs that have not been selected since they completed loading."
 msgstr ""
 
-#: src/config/options.inc:1138
+#: src/config/options.inc:1207
 #, fuzzy
 msgid "Unselected tab"
 msgstr "Apagar opo"
 
-#: src/config/options.inc:1140
+#: src/config/options.inc:1209
 #, fuzzy
 msgid "Unselected tab colors."
 msgstr "~Fechar conexes em segundo plano"
 
-#: src/config/options.inc:1142
+#: src/config/options.inc:1211
 #, fuzzy
 msgid "Loading tab"
 msgstr "a carregar"
 
-#: src/config/options.inc:1144
+#: src/config/options.inc:1213
 msgid "Tab colors for tabs that are loading in the background."
 msgstr ""
 
-#: src/config/options.inc:1146
+#: src/config/options.inc:1215
 #, fuzzy
 msgid "Selected tab"
 msgstr "Apagar opo"
 
-#: src/config/options.inc:1148
+#: src/config/options.inc:1217
 #, fuzzy
 msgid "Selected tab colors."
 msgstr "~Fechar conexes em segundo plano"
 
-#: src/config/options.inc:1150
+#: src/config/options.inc:1219
 msgid "Tab separator"
 msgstr ""
 
-#: src/config/options.inc:1152
+#: src/config/options.inc:1221
 msgid "Tab separator colors."
 msgstr ""
 
-#: src/config/options.inc:1155
+#: src/config/options.inc:1224
 #, fuzzy
 msgid "Searched strings"
 msgstr "Sequncia de caracteres invlida"
 
-#: src/config/options.inc:1157
+#: src/config/options.inc:1226
 #, fuzzy
 msgid "Searched string highlight colors."
 msgstr "Texto a procurar no encontrado"
@@ -3893,69 +3907,69 @@ msgstr "Texto a procurar no encontrado"
 #. ============= BORING PART (colors) END ===================
 #. ==========================================================
 #. Keep options in alphabetical order.
-#: src/config/options.inc:1166
+#: src/config/options.inc:1235
 msgid "Dialog settings"
 msgstr ""
 
-#: src/config/options.inc:1168
+#: src/config/options.inc:1237
 msgid "Dialogs-specific appearance and behaviour settings."
 msgstr ""
 
-#: src/config/options.inc:1171
+#: src/config/options.inc:1240
 msgid "Minimal height of listbox widget"
 msgstr ""
 
-#: src/config/options.inc:1173
+#: src/config/options.inc:1242
 msgid ""
-"Minimal height of the listbox widget (used e.g. for bookmarks\n"
-"or global history)."
+"Minimal height of the listbox widget (used e.g. for bookmarks or global "
+"history)."
 msgstr ""
 
-#: src/config/options.inc:1176
+#: src/config/options.inc:1245
 msgid "Drop shadows"
 msgstr ""
 
-#: src/config/options.inc:1178
+#: src/config/options.inc:1247
 msgid ""
-"Make dialogs drop shadows (the shadows are solid, you can\n"
-"adjust their color by ui.colors.*.dialog.shadow). You may\n"
-"also want to eliminate the wide borders by adjusting setup.h."
+"Make dialogs drop shadows (the shadows are solid, you can adjust their color "
+"by ui.colors.*.dialog.shadow). You may also want to eliminate the wide "
+"borders by adjusting setup.h."
 msgstr ""
 
-#: src/config/options.inc:1182
+#: src/config/options.inc:1252
 #, fuzzy
 msgid "Underline menu hotkeys"
 msgstr "Apagar opo"
 
-#: src/config/options.inc:1184
+#: src/config/options.inc:1254
 msgid ""
-"Whether to underline hotkeys in menus to make them more\n"
-"visible. Requires that underlining is enabled for the terminal."
+"Whether to underline hotkeys in menus to make them more visible. Requires "
+"that underlining is enabled for the terminal."
 msgstr ""
 
-#: src/config/options.inc:1187
+#: src/config/options.inc:1258
 #, fuzzy
 msgid "Underline button shortcuts"
 msgstr "Apagar opo"
 
-#: src/config/options.inc:1189
+#: src/config/options.inc:1260
 msgid ""
-"Whether to underline button shortcuts to make them more\n"
-"visible. Requires that underlining is enabled for the terminal."
+"Whether to underline button shortcuts to make them more visible. Requires "
+"that underlining is enabled for the terminal."
 msgstr ""
 
-#: src/config/options.inc:1193
+#: src/config/options.inc:1265
 #, fuzzy
 msgid "Timer options"
 msgstr "Opes do Terminal"
 
-#: src/config/options.inc:1195
+#: src/config/options.inc:1267
 msgid ""
-"Timed action after certain interval of user inactivity. Someone can\n"
-"even find this useful, although you may not believe that."
+"Timed action after certain interval of user inactivity. Someone can even "
+"find this useful, although you may not believe that."
 msgstr ""
 
-#: src/config/options.inc:1201
+#: src/config/options.inc:1274
 msgid ""
 "Whether to enable the timer or not:\n"
 "0 is don't count down anything\n"
@@ -3963,7 +3977,7 @@ msgid ""
 "2 is count down and show the timer near LEDs"
 msgstr ""
 
-#: src/config/options.inc:1208
+#: src/config/options.inc:1281
 msgid ""
 "Whether to enable the timer or not:\n"
 "0 is don't count down anything\n"
@@ -3971,36 +3985,36 @@ msgid ""
 "2 is count down and show the timer near LEDs (DISABLED)"
 msgstr ""
 
-#: src/config/options.inc:1214
+#: src/config/options.inc:1287
 #, fuzzy
 msgid "Duration"
 msgstr "aco"
 
-#: src/config/options.inc:1216
+#: src/config/options.inc:1289
 msgid ""
-"Inactivity timeout in seconds. The maximum of one day\n"
-"should be enough for just everyone (TM)."
+"Inactivity timeout in seconds. The maximum of one day should be enough for "
+"just everyone (TM)."
 msgstr ""
 
-#: src/config/options.inc:1221
+#: src/config/options.inc:1294
 msgid "Keybinding action to be triggered when timer reaches zero."
 msgstr ""
 
-#: src/config/options.inc:1224
+#: src/config/options.inc:1298
 #, fuzzy
 msgid "Window tabs"
 msgstr "Janela"
 
-#: src/config/options.inc:1226
+#: src/config/options.inc:1300
 msgid "Window tabs settings."
 msgstr ""
 
-#: src/config/options.inc:1228
+#: src/config/options.inc:1302
 #, fuzzy
 msgid "Display tabs bar"
 msgstr "Mostrar o ~usemap"
 
-#: src/config/options.inc:1230
+#: src/config/options.inc:1304
 msgid ""
 "Show tabs bar on the screen:\n"
 "0 means never\n"
@@ -4008,171 +4022,170 @@ msgid ""
 "2 means always"
 msgstr ""
 
-#: src/config/options.inc:1235
+#: src/config/options.inc:1309
 msgid "Tab bar at top"
 msgstr ""
 
-#: src/config/options.inc:1237
+#: src/config/options.inc:1311
 msgid "Whether display tab bar at top like other browsers do."
 msgstr ""
 
-#: src/config/options.inc:1239
+#: src/config/options.inc:1313
 msgid "Wrap-around tabs cycling"
 msgstr ""
 
-#: src/config/options.inc:1241
+#: src/config/options.inc:1315
 msgid ""
-"When moving right from the last tab, jump to the first one, and\n"
-"vice versa."
+"When moving right from the last tab, jump to the first one, and vice versa."
 msgstr ""
 
-#: src/config/options.inc:1244
+#: src/config/options.inc:1318
 msgid "Confirm tab closing"
 msgstr ""
 
-#: src/config/options.inc:1246
+#: src/config/options.inc:1320
 msgid "When closing a tab show confirmation dialog."
 msgstr ""
 
 #. OPT_LANGUAGE
-#: src/config/options.inc:1250 src/config/opttypes.c:483
+#: src/config/options.inc:1324 src/config/opttypes.c:483
 msgid "Language"
 msgstr "Lngua"
 
-#: src/config/options.inc:1252
+#: src/config/options.inc:1326
 msgid ""
-"Language of user interface. 'System' means that the language will\n"
-"be extracted from the environment dynamically."
+"Language of user interface. 'System' means that the language will be "
+"extracted from the environment dynamically."
 msgstr ""
 
-#: src/config/options.inc:1255
+#: src/config/options.inc:1330
 #, fuzzy
 msgid "Display menu bar always"
 msgstr "Mostrar o ~usemap"
 
-#: src/config/options.inc:1257
+#: src/config/options.inc:1332
 msgid "Always show menu bar on the screen."
 msgstr ""
 
-#: src/config/options.inc:1259
+#: src/config/options.inc:1334
 #, fuzzy
 msgid "Display status bar"
 msgstr "Mostrar o ~usemap"
 
-#: src/config/options.inc:1261
+#: src/config/options.inc:1336
 msgid "Show status bar on the screen."
 msgstr ""
 
-#: src/config/options.inc:1263
+#: src/config/options.inc:1338
 #, fuzzy
 msgid "Display title bar"
 msgstr "Mostrar o ~usemap"
 
-#: src/config/options.inc:1265
+#: src/config/options.inc:1340
 msgid "Show title bar on the screen."
 msgstr ""
 
-#: src/config/options.inc:1267
+#: src/config/options.inc:1342
 msgid "Display goto dialog in new tabs"
 msgstr ""
 
-#: src/config/options.inc:1269
+#: src/config/options.inc:1344
 msgid ""
-"Pop up goto dialog in newly created tabs when there's no homepage\n"
-"set. This means also showing goto dialog on startup."
+"Pop up goto dialog in newly created tabs when there's no homepage set. This "
+"means also showing goto dialog on startup."
 msgstr ""
 
-#: src/config/options.inc:1272
+#: src/config/options.inc:1348
 msgid "Show a message box when file is saved successfully"
 msgstr ""
 
-#: src/config/options.inc:1274
+#: src/config/options.inc:1350
 msgid ""
-"When you pressed a [ Save ] button in some manager, this option\n"
-"will make sure that a box confirming success of the operation will\n"
-"pop up."
+"When you pressed a [ Save ] button in some manager, this option will make "
+"sure that a box confirming success of the operation will pop up."
 msgstr ""
 
-#: src/config/options.inc:1279
+#: src/config/options.inc:1355
 #, fuzzy
 msgid "Sessions"
 msgstr "Extenso(es)"
 
-#: src/config/options.inc:1281
+#: src/config/options.inc:1357
 msgid "Sessions settings."
 msgstr ""
 
-#: src/config/options.inc:1283
+#: src/config/options.inc:1359
 msgid "Keep session active"
 msgstr ""
 
-#: src/config/options.inc:1285
+#: src/config/options.inc:1361
 msgid "Keep the session active even if the last terminal exits."
 msgstr ""
 
-#: src/config/options.inc:1287
+#: src/config/options.inc:1364
 msgid "Auto save session"
 msgstr ""
 
-#: src/config/options.inc:1289
+#: src/config/options.inc:1366
 msgid ""
 "Automatically save the session when quitting.\n"
+"\n"
 "This feature requires bookmark support."
 msgstr ""
 
-#: src/config/options.inc:1292
+#: src/config/options.inc:1370
 msgid "Auto restore session"
 msgstr ""
 
-#: src/config/options.inc:1294
+#: src/config/options.inc:1372
 msgid ""
 "Automatically restore the session at start.\n"
+"\n"
 "This feature requires bookmark support."
 msgstr ""
 
-#: src/config/options.inc:1297
+#: src/config/options.inc:1376
 msgid "Auto save and restore session folder name"
 msgstr ""
 
-#: src/config/options.inc:1299
+#: src/config/options.inc:1378
 msgid ""
-"Name of the bookmarks folder used for auto saving and restoring session.\n"
-"The name has to be unique. Any folders with the same name will be deleted.\n"
+"Name of the bookmarks folder used for auto saving and restoring session. The "
+"name has to be unique. Any folders with the same name will be deleted.\n"
+"\n"
 "This only makes sense with bookmark support."
 msgstr ""
 
-#: src/config/options.inc:1303
+#: src/config/options.inc:1384
 #, fuzzy
 msgid "Homepage URI"
 msgstr "Codepage"
 
-#: src/config/options.inc:1305
+#: src/config/options.inc:1386
 msgid ""
-"The URI to load either at startup time when no URI was given\n"
-"on the command line or when requested by the goto-url-home action.\n"
-"Set to \"\" if the environment variable WWW_HOME should be used\n"
-"as homepage URI instead."
+"The URI to load either at startup time when no URI was given on the command "
+"line or when requested by the goto-url-home action. Set to \"\" if the "
+"environment variable WWW_HOME should be used as homepage URI instead."
 msgstr ""
 
-#: src/config/options.inc:1311
+#: src/config/options.inc:1392
 #, fuzzy
 msgid "Date format"
 msgstr "Upload de ficheiro"
 
-#: src/config/options.inc:1313
+#: src/config/options.inc:1394
 msgid "Date format to use in dialogs. See strftime(3)."
 msgstr ""
 
-#: src/config/options.inc:1316
+#: src/config/options.inc:1397
 #, fuzzy
 msgid "Set window title"
 msgstr "Ttulo do link"
 
-#: src/config/options.inc:1318
+#: src/config/options.inc:1399
 msgid ""
-"Set the window title when running in a windowing environment\n"
-"in an xterm-like terminal. This way the document's title is\n"
-"shown on the window titlebar."
+"Set the window title when running in a windowing environment in an xterm-"
+"like terminal. This way the document's title is shown on the window titlebar."
 msgstr ""
 
 #: src/config/opttypes.c:54
@@ -4259,7 +4272,7 @@ msgid "Goto URL History"
 msgstr "Explorador de Historial"
 
 #. name:
-#: src/cookies/cookies.c:88 src/cookies/cookies.c:911
+#: src/cookies/cookies.c:88 src/cookies/cookies.c:913
 msgid "Cookies"
 msgstr ""
 
@@ -4289,10 +4302,10 @@ msgstr "A conectar"
 msgid ""
 "Cookie maximum age (in days):\n"
 "-1 is use cookie's expiration date if any\n"
-"0  is force expiration at the end of session, ignoring cookie's\n"
-"   expiration date\n"
-"1+ is use cookie's expiration date, but limit age to the given\n"
-"   number of days"
+"0  is force expiration at the end of session, ignoring\n"
+"   cookie's expiration date\n"
+"1+ is use cookie's expiration date, but limit age to the\n"
+"   given number of days"
 msgstr ""
 
 #: src/cookies/cookies.c:109
@@ -4301,42 +4314,42 @@ msgstr ""
 
 #: src/cookies/cookies.c:111
 msgid ""
-"When enabled, we'll require three dots in cookies domain for all\n"
-"non-international domains (instead of just two dots). Some countries\n"
-"have generic second level domains (eg. .com.pl, .co.uk) and allowing\n"
-"sites to set cookies for these generic domains could potentially be\n"
-"very bad. Note, it is off by default as it breaks a lot of sites."
+"When enabled, we'll require three dots in cookies domain for all non-"
+"international domains (instead of just two dots). Some countries have "
+"generic second level domains (eg. .com.pl, .co.uk) and allowing sites to set "
+"cookies for these generic domains could potentially be very bad. Note, it is "
+"off by default as it breaks a lot of sites."
 msgstr ""
 
-#: src/cookies/cookies.c:117
+#: src/cookies/cookies.c:118
 #, fuzzy
 msgid "Saving"
 msgstr "mdia"
 
-#: src/cookies/cookies.c:119
+#: src/cookies/cookies.c:120
 msgid "Whether cookies should be loaded from and saved to disk."
 msgstr ""
 
-#: src/cookies/cookies.c:121
+#: src/cookies/cookies.c:123
 msgid "Resaving"
 msgstr ""
 
-#: src/cookies/cookies.c:123
+#: src/cookies/cookies.c:125
 msgid ""
-"Save cookies after each change in cookies list? No effect when\n"
-"cookie saving (cookies.save) is off."
+"Save cookies after each change in cookies list? No effect when cookie saving "
+"(cookies.save) is off."
 msgstr ""
 
-#: src/cookies/cookies.c:817
+#: src/cookies/cookies.c:819
 #, fuzzy
 msgid "Cannot save cookies"
 msgstr "Limpar historial global"
 
-#: src/cookies/cookies.c:828
+#: src/cookies/cookies.c:830
 msgid "ELinks was started without a home directory."
 msgstr ""
 
-#: src/cookies/cookies.c:834
+#: src/cookies/cookies.c:836
 msgid "ELinks was started with the -anonymous option."
 msgstr ""
 
@@ -4554,7 +4567,7 @@ msgid "No header info."
 msgstr "Sem cabealho de informao"
 
 #: src/dialogs/download.c:243 src/dialogs/menu.c:601
-#: src/protocol/bittorrent/dialogs.c:228 src/session/download.c:361
+#: src/protocol/bittorrent/dialogs.c:228 src/session/download.c:387
 msgid "Download"
 msgstr "Download"
 
@@ -5415,7 +5428,7 @@ msgid "No document"
 msgstr "documentos"
 
 #. name:
-#: src/document/css/css.c:30 src/document/css/css.c:161
+#: src/document/css/css.c:30 src/document/css/css.c:164
 msgid "Cascading Style Sheets"
 msgstr ""
 
@@ -5423,36 +5436,36 @@ msgstr ""
 msgid "Options concerning how to use CSS for styling documents."
 msgstr ""
 
-#: src/document/css/css.c:34
+#: src/document/css/css.c:35
 #, fuzzy
 msgid "Enable CSS"
 msgstr "nome"
 
-#: src/document/css/css.c:36
+#: src/document/css/css.c:37
 msgid "Enable adding of CSS style info to documents."
 msgstr ""
 
-#: src/document/css/css.c:38
+#: src/document/css/css.c:39
 msgid "Import external style sheets"
 msgstr ""
 
-#: src/document/css/css.c:40
+#: src/document/css/css.c:41
 msgid ""
-"When enabled any external style sheets that are imported from\n"
-"either CSS itself using the @import keyword or from the HTML using\n"
-"<link> tags in the document header will also be downloaded."
+"When enabled any external style sheets that are imported from either CSS "
+"itself using the @import keyword or from the HTML using <link> tags in the "
+"document header will also be downloaded."
 msgstr ""
 
-#: src/document/css/css.c:44
+#: src/document/css/css.c:46
 msgid "Default style sheet"
 msgstr ""
 
-#: src/document/css/css.c:46
+#: src/document/css/css.c:48
 msgid ""
-"The path to the file containing the default user defined\n"
-"Cascading Style Sheet. It can be used to control the basic\n"
-"layout of HTML documents. The path is assumed to be relative\n"
-"to ELinks' home directory.\n"
+"The path to the file containing the default user defined Cascading Style "
+"Sheet. It can be used to control the basic layout of HTML documents. The "
+"path is assumed to be relative to ELinks' home directory.\n"
+"\n"
 "Leave as \"\" to use built-in document styling."
 msgstr ""
 
@@ -5485,8 +5498,8 @@ msgstr ""
 
 #: src/ecmascript/ecmascript.c:55
 msgid ""
-"Whether to ignore content enclosed by the <noscript> tag\n"
-"when ECMAScript is enabled."
+"Whether to ignore content enclosed by the <noscript> tag when ECMAScript is "
+"enabled."
 msgstr ""
 
 #: src/ecmascript/ecmascript.c:58
@@ -5538,7 +5551,7 @@ msgid "JavaScript Error"
 msgstr ""
 
 #. name:
-#: src/ecmascript/spidermonkey.c:320
+#: src/ecmascript/spidermonkey.c:321
 msgid "SpiderMonkey"
 msgstr ""
 
@@ -5638,9 +5651,8 @@ msgstr "Opes do Terminal"
 
 #: src/formhist/formhist.c:38
 msgid ""
-"Ask if a login form should be saved to file or not.\n"
-"This option only disables the dialog, already saved login\n"
-"forms are unaffected."
+"Ask if a login form should be saved to file or not. This option only "
+"disables the dialog, already saved login forms are unaffected."
 msgstr ""
 
 #: src/formhist/formhist.c:426
@@ -5744,20 +5756,20 @@ msgstr "Explorador de Historial"
 msgid "Enable global history (\"history of all pages visited\")."
 msgstr ""
 
-#: src/globhist/globhist.c:68
+#: src/globhist/globhist.c:69
 msgid "Maximum number of entries"
 msgstr ""
 
-#: src/globhist/globhist.c:70
+#: src/globhist/globhist.c:71
 msgid "Maximum number of entries in the global history."
 msgstr ""
 
-#: src/globhist/globhist.c:72
+#: src/globhist/globhist.c:73
 #, fuzzy
 msgid "Display style"
 msgstr "Mostrar o ~usemap"
 
-#: src/globhist/globhist.c:74
+#: src/globhist/globhist.c:75
 msgid ""
 "What to display in global history dialog:\n"
 "0 is URLs\n"
@@ -5765,7 +5777,7 @@ msgid ""
 msgstr ""
 
 #. name:
-#: src/globhist/globhist.c:451
+#: src/globhist/globhist.c:449
 #, fuzzy
 msgid "Global History"
 msgstr "Explorador de Historial"
@@ -5996,101 +6008,95 @@ msgstr ""
 
 #: src/mime/backend/default.c:27
 msgid ""
-"Handler <-> MIME type association. The first sub-tree is the MIME\n"
-"class while the second sub-tree is the MIME type (ie. image/gif\n"
-"handler will reside at mime.type.image.gif). Each MIME type option\n"
-"should contain (case-sensitive) name of the MIME handler (its\n"
-"properties are stored at mime.handler.<name>)."
+"Handler <-> MIME type association. The first sub-tree is the MIME class "
+"while the second sub-tree is the MIME type (ie. image/gif handler will "
+"reside at mime.type.image.gif). Each MIME type option should contain (case-"
+"sensitive) name of the MIME handler (its properties are stored at mime."
+"handler.<name>)."
 msgstr ""
 
-#: src/mime/backend/default.c:35
+#: src/mime/backend/default.c:36
 msgid ""
-"Handler matching this MIME-type class ('*' is used here in place\n"
-"of '.')."
+"Handler matching this MIME-type class ('*' is used here in place of '.')."
 msgstr ""
 
-#: src/mime/backend/default.c:40
+#: src/mime/backend/default.c:41
 msgid ""
-"Handler matching this MIME-type name ('*' is used here in place\n"
-"of '.')."
+"Handler matching this MIME-type name ('*' is used here in place of '.')."
 msgstr ""
 
-#: src/mime/backend/default.c:44
+#: src/mime/backend/default.c:45
 msgid "File type handlers"
 msgstr ""
 
-#: src/mime/backend/default.c:46
+#: src/mime/backend/default.c:47
 msgid ""
-"A file type handler is a set of information about how to use\n"
-"an external program to view a file. It is possible to refer to it\n"
-"for several MIME types -- e.g., you can define an 'image' handler\n"
-"to which mime.type.image.png, mime.type.image.jpeg, and so on will\n"
-"refer; or one might define a handler for a more specific type of file\n"
-"-- e.g., PDF files.\n"
-"Note you must define both a MIME handler and a MIME type association\n"
-"for it to work."
+"A file type handler is a set of information about how to use an external "
+"program to view a file. It is possible to refer to it for several MIME types "
+"-- e.g., you can define an 'image' handler to which mime.type.image.png, "
+"mime.type.image.jpeg, and so on will refer; or one might define a handler "
+"for a more specific type of file -- e.g., PDF files. Note you must define "
+"both a MIME handler and a MIME type association for it to work."
 msgstr ""
 
-#: src/mime/backend/default.c:57
+#: src/mime/backend/default.c:58
 msgid "Description of this handler."
 msgstr ""
 
-#: src/mime/backend/default.c:61
+#: src/mime/backend/default.c:62
 msgid "System-specific handler description (ie. unix, unix-xwin, ...)."
 msgstr ""
 
-#: src/mime/backend/default.c:63 src/mime/backend/mailcap.c:102
+#: src/mime/backend/default.c:65 src/mime/backend/mailcap.c:102
 msgid "Ask before opening"
 msgstr ""
 
-#: src/mime/backend/default.c:65
+#: src/mime/backend/default.c:67
 msgid "Ask before opening."
 msgstr ""
 
-#: src/mime/backend/default.c:67
+#: src/mime/backend/default.c:69
 #, fuzzy
 msgid "Block terminal"
 msgstr "Terminal do ~BeOS"
 
-#: src/mime/backend/default.c:69
+#: src/mime/backend/default.c:71
 msgid "Block the terminal when the handler is running."
 msgstr ""
 
-#: src/mime/backend/default.c:71
+#: src/mime/backend/default.c:73
 #, fuzzy
 msgid "Program"
 msgstr "Nenhum programa"
 
-#: src/mime/backend/default.c:74
+#: src/mime/backend/default.c:76
 #, no-c-format
 msgid ""
-"External viewer for this file type. '%' in this string will be\n"
-"substituted by a file name.\n"
-"Do _not_ put single- or double-quotes around the % sign."
+"External viewer for this file type. '%' in this string will be substituted "
+"by a file name. Do _not_ put single- or double-quotes around the % sign."
 msgstr ""
 
-#: src/mime/backend/default.c:79
+#: src/mime/backend/default.c:81
 #, fuzzy
 msgid "File extension associations"
 msgstr "~Extenses de ficheiro"
 
-#: src/mime/backend/default.c:81
+#: src/mime/backend/default.c:83
 msgid "Extension <-> MIME type association."
 msgstr ""
 
-#: src/mime/backend/default.c:85
+#: src/mime/backend/default.c:87
 msgid ""
-"MIME-type matching this file extension ('*' is used here in place\n"
-"of '.')."
+"MIME-type matching this file extension ('*' is used here in place of '.')."
 msgstr ""
 
 #. name:
-#: src/mime/backend/default.c:216
+#: src/mime/backend/default.c:218
 msgid "Option system"
 msgstr ""
 
 #. name:
-#: src/mime/backend/mailcap.c:89 src/mime/backend/mailcap.c:684
+#: src/mime/backend/mailcap.c:89 src/mime/backend/mailcap.c:686
 msgid "Mailcap"
 msgstr ""
 
@@ -6104,8 +6110,8 @@ msgstr ""
 
 #: src/mime/backend/mailcap.c:99
 msgid ""
-"Mailcap search path. Colon-separated list of files.\n"
-"Leave as \"\" to use MAILCAP environment variable instead."
+"Mailcap search path. Colon-separated list of files. Leave as \"\" to use "
+"MAILCAP environment variable instead."
 msgstr ""
 
 #: src/mime/backend/mailcap.c:104
@@ -6118,39 +6124,38 @@ msgstr ""
 
 #: src/mime/backend/mailcap.c:108
 msgid ""
-"Type of description to show in \"what to do with this file\"\n"
-"query dialog:\n"
+"Type of description to show in \"what to do with this file\" query dialog:\n"
 "0 is show \"mailcap\"\n"
 "1 is show program to be run\n"
-"2 is show mailcap description field if any; \"mailcap\" otherwise"
+"2 is show mailcap description field if any;\n"
+"     \"mailcap\" otherwise"
 msgstr ""
 
-#: src/mime/backend/mailcap.c:114
+#: src/mime/backend/mailcap.c:115
 msgid "Prioritize entries by file"
 msgstr ""
 
-#: src/mime/backend/mailcap.c:116
+#: src/mime/backend/mailcap.c:117
 msgid ""
-"Prioritize entries by the order of the files in the mailcap\n"
-"path. This means that wildcard entries (like: image/*) will\n"
-"also be checked before deciding the handler."
+"Prioritize entries by the order of the files in the mailcap path. This means "
+"that wildcard entries (like: image/*) will also be checked before deciding "
+"the handler."
 msgstr ""
 
-#: src/mime/backend/mailcap.c:349
+#: src/mime/backend/mailcap.c:351
 #, c-format
 msgid "Badly formated mailcap entry for type %s in \"%s\" line %d"
 msgstr ""
 
 #. name:
-#: src/mime/backend/mimetypes.c:46 src/mime/backend/mimetypes.c:279
+#: src/mime/backend/mimetypes.c:46 src/mime/backend/mimetypes.c:280
 msgid "Mimetypes files"
 msgstr ""
 
 #: src/mime/backend/mimetypes.c:48
 msgid ""
-"Options for the support of mime.types files. These files\n"
-"can be used to find the content type of a URL by looking at\n"
-"the extension of the file name."
+"Options for the support of mime.types files. These files can be used to find "
+"the content type of a URL by looking at the extension of the file name."
 msgstr ""
 
 #: src/mime/backend/mimetypes.c:54
@@ -6187,7 +6192,7 @@ msgid "No extensions"
 msgstr "Sem extenses"
 
 #. name:
-#: src/mime/mime.c:38 src/mime/mime.c:360
+#: src/mime/mime.c:38 src/mime/mime.c:361
 msgid "MIME"
 msgstr ""
 
@@ -6201,8 +6206,8 @@ msgstr ""
 
 #: src/mime/mime.c:44
 msgid ""
-"Document MIME-type to assume by default (when we are unable to\n"
-"guess it properly from known information about the document)."
+"Document MIME-type to assume by default (when we are unable to guess it "
+"properly from known information about the document)."
 msgstr ""
 
 #: src/network/ssl/ssl.c:72 src/network/ssl/ssl.c:161
@@ -6211,8 +6216,8 @@ msgstr ""
 
 #: src/network/ssl/ssl.c:74
 msgid ""
-"Verify the peer's SSL certificate. Note that this\n"
-"needs extensive configuration of OpenSSL by the user."
+"Verify the peer's SSL certificate. Note that this needs extensive "
+"configuration of OpenSSL by the user."
 msgstr ""
 
 #: src/network/ssl/ssl.c:77
@@ -6226,8 +6231,8 @@ msgstr "Opes do Terminal"
 
 #: src/network/ssl/ssl.c:83
 msgid ""
-"Enable or not the sending of X509 client certificates\n"
-"to servers which request them."
+"Enable or not the sending of X509 client certificates to servers which "
+"request them."
 msgstr ""
 
 #: src/network/ssl/ssl.c:86
@@ -6237,16 +6242,15 @@ msgstr "tempo estimado"
 
 #: src/network/ssl/ssl.c:88
 msgid ""
-"The location of a file containing the client certificate\n"
-"and unencrypted private key in PEM format. If unset, the\n"
-"file pointed to by the X509_CLIENT_CERT variable is used\n"
-"instead."
+"The location of a file containing the client certificate and unencrypted "
+"private key in PEM format. If unset, the file pointed to by the "
+"X509_CLIENT_CERT variable is used instead."
 msgstr ""
 
 #: src/network/ssl/ssl.c:163
 msgid ""
-"Verify the peer's SSL certificate.  If you enable\n"
-"this, set also \"Trusted CA file\"."
+"Verify the peer's SSL certificate.  If you enable this, set also \"Trusted "
+"CA file\"."
 msgstr ""
 
 #. The default value of the following option points to a file
@@ -6264,20 +6268,20 @@ msgstr "A transferir"
 
 #: src/network/ssl/ssl.c:176
 msgid ""
-"The location of a file containing certificates of\n"
-"trusted certification authorities in PEM format.\n"
-"ELinks then trusts certificates issued by these CAs.\n"
-"If you change this option or the file, you must\n"
-"restart ELinks for the changes to take effect.\n"
-"This option affects GnuTLS but not OpenSSL."
+"The location of a file containing certificates of trusted certification "
+"authorities in PEM format. ELinks then trusts certificates issued by these "
+"CAs.\n"
+"\n"
+"If you change this option or the file, you must restart ELinks for the "
+"changes to take effect. This option affects GnuTLS but not OpenSSL."
 msgstr ""
 
 #. name:
-#: src/network/ssl/ssl.c:199 src/network/ssl/ssl.c:216
+#: src/network/ssl/ssl.c:200 src/network/ssl/ssl.c:217
 msgid "SSL"
 msgstr ""
 
-#: src/network/ssl/ssl.c:201
+#: src/network/ssl/ssl.c:202
 #, fuzzy
 msgid "SSL options."
 msgstr "~Salvar opes"
@@ -6615,7 +6619,7 @@ msgstr "Introduza Utilizador"
 msgid "Login"
 msgstr "Utilizador"
 
-#: src/protocol/auth/dialogs.c:113 src/protocol/http/http.c:140
+#: src/protocol/auth/dialogs.c:113 src/protocol/http/http.c:142
 msgid "Password"
 msgstr "Password"
 
@@ -6692,7 +6696,7 @@ msgstr "Autenticao HTTP"
 
 #. name:
 #: src/protocol/bittorrent/bittorrent.c:26
-#: src/protocol/bittorrent/bittorrent.c:335
+#: src/protocol/bittorrent/bittorrent.c:339
 msgid "BitTorrent"
 msgstr ""
 
@@ -6747,9 +6751,8 @@ msgstr ""
 
 #: src/protocol/bittorrent/bittorrent.c:57
 msgid ""
-"Whether to request that the tracker returns peer info\n"
-"in compact format. Note, the compact format only supports\n"
-"IPv4 addresses."
+"Whether to request that the tracker returns peer info in compact format. "
+"Note, the compact format only supports IPv4 addresses."
 msgstr ""
 
 #: src/protocol/bittorrent/bittorrent.c:61
@@ -6758,57 +6761,55 @@ msgstr ""
 
 #: src/protocol/bittorrent/bittorrent.c:63
 msgid ""
-"The number of seconds to wait between periodically contacting\n"
-"the tracker for announcing progress and requesting more peers.\n"
-"Set to zero to use the interval requested by the tracker."
+"The number of seconds to wait between periodically contacting the tracker "
+"for announcing progress and requesting more peers. Set to zero to use the "
+"interval requested by the tracker."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:67
+#: src/protocol/bittorrent/bittorrent.c:68
 msgid "IP-address to announce"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:69
+#: src/protocol/bittorrent/bittorrent.c:70
 msgid ""
-"What IP address to report to the tracker. If set to \"\"\n"
-"no IP address will be sent and the tracker will automatically\n"
-"determine an appropriate IP address."
+"What IP address to report to the tracker. If set to \"\" no IP address will "
+"be sent and the tracker will automatically determine an appropriate IP "
+"address."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:73
+#: src/protocol/bittorrent/bittorrent.c:74
 #, fuzzy
 msgid "User identification string"
 msgstr "Opes do Terminal"
 
-#: src/protocol/bittorrent/bittorrent.c:75
+#: src/protocol/bittorrent/bittorrent.c:76
 msgid ""
-"An additional identification that is not shared with any users.\n"
-"It is intended to allow a client to prove their identity should\n"
-"their IP address change. It is an optional parameter, but some\n"
-"trackers require this parameter. If set to \"\" no user key will\n"
-"be sent to the tracker."
+"An additional identification that is not shared with any users. It is "
+"intended to allow a client to prove their identity should their IP address "
+"change. It is an optional parameter, but some trackers require this "
+"parameter. If set to \"\" no user key will be sent to the tracker."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:81
+#: src/protocol/bittorrent/bittorrent.c:82
 #, fuzzy
 msgid "Maximum number of peers to request"
 msgstr "A conectar"
 
-#: src/protocol/bittorrent/bittorrent.c:83
+#: src/protocol/bittorrent/bittorrent.c:84
 msgid ""
-"The maximum number of peers to request from the tracker.\n"
-"Set to 0 to use the server default."
+"The maximum number of peers to request from the tracker. Set to 0 to use the "
+"server default."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:86
+#: src/protocol/bittorrent/bittorrent.c:87
 msgid "Minimum peers to skip rerequesting"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:88
+#: src/protocol/bittorrent/bittorrent.c:89
 msgid ""
-"The minimum number of peers to have in the current peer info\n"
-"pool before skipping requesting of more peers. I.e. setting\n"
-"numwant to zero.\n"
-"Set to 0 to not have any limit."
+"The minimum number of peers to have in the current peer info pool before "
+"skipping requesting of more peers. I.e. setting numwant to zero. Set to 0 to "
+"not have any limit."
 msgstr ""
 
 #. ******************************************************************
@@ -6829,182 +6830,177 @@ msgstr "A conectar"
 
 #: src/protocol/bittorrent/bittorrent.c:104
 msgid ""
-"The maximum number of allowed connections to both active and\n"
-"non-active peers. By increasing the number of allowed connections,\n"
-"the chance of finding good peers to download from is increased.\n"
-"However, too many connections can lead to TCP congestion. If the\n"
-"maximum is reached all new incoming connections will be closed."
+"The maximum number of allowed connections to both active and non-active "
+"peers. By increasing the number of allowed connections, the chance of "
+"finding good peers to download from is increased. However, too many "
+"connections can lead to TCP congestion. If the maximum is reached all new "
+"incoming connections will be closed."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:110
+#: src/protocol/bittorrent/bittorrent.c:111
 msgid "Maximum peer message length"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:112
+#: src/protocol/bittorrent/bittorrent.c:113
 msgid ""
-"The maximum length of messages to accept over the wire.\n"
-"Larger values will cause the connection to be dropped."
+"The maximum length of messages to accept over the wire. Larger values will "
+"cause the connection to be dropped."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:115
+#: src/protocol/bittorrent/bittorrent.c:116
 msgid "Maximum allowed request length"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:117
+#: src/protocol/bittorrent/bittorrent.c:118
 msgid ""
-"The maximum length to allow for incoming requests.\n"
-"Larger requests will cause the connection to be dropped."
+"The maximum length to allow for incoming requests. Larger requests will "
+"cause the connection to be dropped."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:120
+#: src/protocol/bittorrent/bittorrent.c:121
 msgid "Length of requests"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:122
+#: src/protocol/bittorrent/bittorrent.c:123
 msgid ""
-"How many bytes to query for per request. This is complementary\n"
-"to the max_request_length option. If the configured length is\n"
-"bigger than the piece length it will be truncated."
+"How many bytes to query for per request. This is complementary to the "
+"max_request_length option. If the configured length is bigger than the piece "
+"length it will be truncated."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:126
+#: src/protocol/bittorrent/bittorrent.c:128
 #, fuzzy
 msgid "Peer inactivity timeout"
 msgstr "Timeout recebido"
 
-#: src/protocol/bittorrent/bittorrent.c:128
+#: src/protocol/bittorrent/bittorrent.c:130
 msgid ""
-"The number of seconds to wait before closing a socket on\n"
-"which nothing has been received or sent."
+"The number of seconds to wait before closing a socket on which nothing has "
+"been received or sent."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:131
+#: src/protocol/bittorrent/bittorrent.c:133
 #, fuzzy
 msgid "Maximum peer pool size"
 msgstr "A conectar"
 
-#: src/protocol/bittorrent/bittorrent.c:133
+#: src/protocol/bittorrent/bittorrent.c:135
 msgid ""
-"Maximum number of items in the peer pool. The peer pool\n"
-"contains information used for establishing connections to\n"
-"new peers.\n"
+"Maximum number of items in the peer pool. The peer pool contains information "
+"used for establishing connections to new peers.\n"
+"\n"
 "Set to 0 to have unlimited size."
 msgstr ""
 
 #. ******************************************************************
 #. Piece management options:
 #. ******************************************************************
-#: src/protocol/bittorrent/bittorrent.c:143
+#: src/protocol/bittorrent/bittorrent.c:146
 #, fuzzy
 msgid "Maximum piece cache size"
 msgstr "A conectar"
 
-#: src/protocol/bittorrent/bittorrent.c:145
+#: src/protocol/bittorrent/bittorrent.c:148
 msgid ""
-"The maximum amount of memory used to hold recently\n"
-"downloaded pieces.\n"
+"The maximum amount of memory used to hold recently downloaded pieces.\n"
+"\n"
 "Set to 0 to have unlimited size."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:154
+#: src/protocol/bittorrent/bittorrent.c:158
 msgid "Sharing rate"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:156
+#: src/protocol/bittorrent/bittorrent.c:160
 msgid ""
-"The minimum sharing rate to achieve before stop seeding.\n"
-"The sharing rate is computed as the number of uploaded bytes\n"
-"divided with the number of downloaded bytes. The value should\n"
-"be a double value between 0.0 and 1.0 both included.\n"
-"Set to 1.0 to atleast upload a complete copy of all data and\n"
+"The minimum sharing rate to achieve before stop seeding. The sharing rate is "
+"computed as the number of uploaded bytes divided with the number of "
+"downloaded bytes. The value should be a double value between 0.0 and 1.0 "
+"both included. Set to 1.0 to atleast upload a complete copy of all data and "
 "set to 0.0 to have unlimited sharing rate."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:163
+#: src/protocol/bittorrent/bittorrent.c:167
 msgid "Maximum number of uploads"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:165
+#: src/protocol/bittorrent/bittorrent.c:169
 msgid "The maximum number of uploads to allow at once."
 msgstr ""
 
 #. The number of uploads to fill out to with extra optimistic unchokes
-#: src/protocol/bittorrent/bittorrent.c:168
+#: src/protocol/bittorrent/bittorrent.c:172
 msgid "Minimum number of uploads"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:170
+#: src/protocol/bittorrent/bittorrent.c:174
 msgid ""
-"The minimum number of uploads which should at least\n"
-"be used for new connections."
+"The minimum number of uploads which should at least be used for new "
+"connections."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:174
+#: src/protocol/bittorrent/bittorrent.c:178
 #, fuzzy
 msgid "Keepalive interval"
 msgstr "Erro ao salvar"
 
-#: src/protocol/bittorrent/bittorrent.c:176
-msgid ""
-"The number of seconds to pause between sending keepalive\n"
-"messages."
+#: src/protocol/bittorrent/bittorrent.c:180
+msgid "The number of seconds to pause between sending keepalive messages."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:179
+#: src/protocol/bittorrent/bittorrent.c:183
 #, fuzzy
 msgid "Number of pending requests"
 msgstr "O servidor est a processar o pedido"
 
-#: src/protocol/bittorrent/bittorrent.c:181
+#: src/protocol/bittorrent/bittorrent.c:185
 msgid ""
-"How many piece requests to continuously keep in queue. Pipelining\n"
-"of requests is essential to saturate connections and get a good\n"
-"connection performance and thus a faster download. However, a\n"
-"very big queue size can lead to wasting bandwidth near the end\n"
-"of the connection since remaining piece blocks will be requested\n"
-"from multiple peers."
+"How many piece requests to continuously keep in queue. Pipelining of "
+"requests is essential to saturate connections and get a good connection "
+"performance and thus a faster download. However, a very big queue size can "
+"lead to wasting bandwidth near the end of the connection since remaining "
+"piece blocks will be requested from multiple peers."
 msgstr ""
 
 #. Bram uses 30 seconds here.
-#: src/protocol/bittorrent/bittorrent.c:190
+#: src/protocol/bittorrent/bittorrent.c:194
 msgid "Peer snubbing interval"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:192
+#: src/protocol/bittorrent/bittorrent.c:196
 msgid ""
-"The number of seconds to wait for file data before assuming\n"
-"the peer has been snubbed."
+"The number of seconds to wait for file data before assuming the peer has "
+"been snubbed."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:195
+#: src/protocol/bittorrent/bittorrent.c:199
 #, fuzzy
 msgid "Peer choke interval"
 msgstr "Erro ao salvar"
 
-#: src/protocol/bittorrent/bittorrent.c:197
+#: src/protocol/bittorrent/bittorrent.c:201
 msgid ""
-"The number of seconds between updating the connection state\n"
-"and most importantly choke and unchoke peer connections. The\n"
-"choke period should be big enough for newly unchoked connections\n"
-"to get started but small enough to not allow freeriders too much\n"
-"room for stealing bandwidth."
+"The number of seconds between updating the connection state and most "
+"importantly choke and unchoke peer connections. The choke period should be "
+"big enough for newly unchoked connections to get started but small enough to "
+"not allow freeriders too much room for stealing bandwidth."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:203
+#: src/protocol/bittorrent/bittorrent.c:207
 msgid "Rarest first piece selection cutoff"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:205
+#: src/protocol/bittorrent/bittorrent.c:209
 msgid ""
-"The number of pieces to obtain before switching piece\n"
-"selection strategy from random to rarest first."
+"The number of pieces to obtain before switching piece selection strategy "
+"from random to rarest first."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:208 src/protocol/http/http.c:109
+#: src/protocol/bittorrent/bittorrent.c:212 src/protocol/http/http.c:109
 msgid "Allow blacklisting"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:210
+#: src/protocol/bittorrent/bittorrent.c:214
 msgid "Allow blacklisting of buggy peers."
 msgstr ""
 
@@ -7040,7 +7036,7 @@ msgstr "~Ficheiro"
 msgid "Comment"
 msgstr "documentos"
 
-#: src/protocol/bittorrent/dialogs.c:229 src/session/download.c:362
+#: src/protocol/bittorrent/dialogs.c:229 src/session/download.c:388
 #, fuzzy, c-format
 msgid ""
 "Download complete:\n"
@@ -7208,7 +7204,7 @@ msgid_plural "%u unavailable"
 msgstr[0] "Servio de FTP indisponvel"
 msgstr[1] "Servio de FTP indisponvel"
 
-#: src/protocol/bittorrent/dialogs.c:584 src/session/session.c:278
+#: src/protocol/bittorrent/dialogs.c:584 src/session/session.c:279
 #, fuzzy, c-format
 msgid "Unable to retrieve %s"
 msgstr "No posso escrever no arquivo de configurao"
@@ -7223,7 +7219,7 @@ msgstr ""
 msgid "Information about the torrent"
 msgstr "D~ownload da imagem"
 
-#: src/protocol/bittorrent/dialogs.c:776 src/session/download.c:1106
+#: src/protocol/bittorrent/dialogs.c:776 src/session/download.c:1132
 msgid "What to do?"
 msgstr "O que fazer?"
 
@@ -7234,13 +7230,13 @@ msgid "Down~load"
 msgstr "Download"
 
 #. accelerator_context(src/protocol/bittorrent/dialogs.c:bittorrent_query_callback, src/session/download.c:do_type_query)
-#: src/protocol/bittorrent/dialogs.c:804 src/session/download.c:1209
+#: src/protocol/bittorrent/dialogs.c:804 src/session/download.c:1235
 #, fuzzy
 msgid "~Display"
 msgstr "Mostar"
 
 #. accelerator_context(src/protocol/bittorrent/dialogs.c:bittorrent_query_callback, src/session/download.c:do_type_query)
-#: src/protocol/bittorrent/dialogs.c:808 src/session/download.c:1213
+#: src/protocol/bittorrent/dialogs.c:808 src/session/download.c:1239
 #, fuzzy
 msgid "Show ~header"
 msgstr "Sem cabealho de informao"
@@ -7259,16 +7255,16 @@ msgstr "Nenhum programa foi especificado
 msgid "Colon separated list of directories, where CGI scripts are stored."
 msgstr ""
 
-#: src/protocol/file/cgi.c:47
+#: src/protocol/file/cgi.c:48
 msgid "Allow local CGI"
 msgstr ""
 
-#: src/protocol/file/cgi.c:49
+#: src/protocol/file/cgi.c:50
 msgid "Whether to execute local CGI scripts."
 msgstr ""
 
 #. name:
-#: src/protocol/file/cgi.c:54
+#: src/protocol/file/cgi.c:55
 msgid "CGI"
 msgstr ""
 
@@ -7287,9 +7283,8 @@ msgstr ""
 
 #: src/protocol/file/file.c:46
 msgid ""
-"Whether to allow reading from non-regular files.\n"
-"Note this can be dangerous; reading /dev/urandom or\n"
-"/dev/zero can ruin your day!"
+"Whether to allow reading from non-regular files. Note this can be dangerous; "
+"reading /dev/urandom or /dev/zero can ruin your day!"
 msgstr ""
 
 #: src/protocol/file/file.c:50
@@ -7298,8 +7293,8 @@ msgstr ""
 
 #: src/protocol/file/file.c:52
 msgid ""
-"When set to false, files with name starting with a dot will be\n"
-"hidden in local directory listings."
+"When set to false, files with name starting with a dot will be hidden in "
+"local directory listings."
 msgstr ""
 
 #: src/protocol/file/file.c:55
@@ -7309,13 +7304,13 @@ msgstr "Sem extenses"
 
 #: src/protocol/file/file.c:57
 msgid ""
-"When set, if we can't open a file named 'filename', we'll try\n"
-"to open 'filename' with some encoding extension appended\n"
-"(ie. 'filename.gz'); it depends on the supported encodings."
+"When set, if we can't open a file named 'filename', we'll try to open "
+"'filename' with some encoding extension appended (ie. 'filename.gz'); it "
+"depends on the supported encodings."
 msgstr ""
 
 #. name:
-#: src/protocol/file/file.c:65
+#: src/protocol/file/file.c:66
 #, fuzzy
 msgid "File"
 msgstr "~Ficheiro"
@@ -7346,7 +7341,7 @@ msgid "Whether to sort entries in direct
 msgstr ""
 
 #. name:
-#: src/protocol/ftp/ftp.c:56 src/protocol/ftp/ftp.c:86
+#: src/protocol/ftp/ftp.c:56 src/protocol/ftp/ftp.c:89
 msgid "FTP"
 msgstr ""
 
@@ -7354,8 +7349,8 @@ msgstr ""
 msgid "FTP specific options."
 msgstr ""
 
-#: src/protocol/ftp/ftp.c:60 src/protocol/http/http.c:127
-#: src/protocol/http/http.c:209
+#: src/protocol/ftp/ftp.c:60 src/protocol/http/http.c:128
+#: src/protocol/http/http.c:235
 msgid "Proxy configuration"
 msgstr ""
 
@@ -7363,39 +7358,39 @@ msgstr ""
 msgid "FTP proxy configuration."
 msgstr ""
 
-#: src/protocol/ftp/ftp.c:64 src/protocol/http/http.c:131
-#: src/protocol/http/http.c:213
+#: src/protocol/ftp/ftp.c:64 src/protocol/http/http.c:132
+#: src/protocol/http/http.c:239
 #, fuzzy
 msgid "Host and port-number"
 msgstr "Nmero invlido"
 
 #: src/protocol/ftp/ftp.c:66
 msgid ""
-"Host and port-number (host:port) of the FTP proxy, or blank.\n"
-"If it's blank, FTP_PROXY environment variable is checked as well."
+"Host and port-number (host:port) of the FTP proxy, or blank. If it's blank, "
+"FTP_PROXY environment variable is checked as well."
 msgstr ""
 
-#: src/protocol/ftp/ftp.c:69
+#: src/protocol/ftp/ftp.c:70
 msgid "Anonymous password"
 msgstr ""
 
-#: src/protocol/ftp/ftp.c:71
+#: src/protocol/ftp/ftp.c:72
 msgid "FTP anonymous password to be sent."
 msgstr ""
 
-#: src/protocol/ftp/ftp.c:73
+#: src/protocol/ftp/ftp.c:74
 msgid "Use passive mode (IPv4)"
 msgstr ""
 
-#: src/protocol/ftp/ftp.c:75
+#: src/protocol/ftp/ftp.c:76
 msgid "Use PASV instead of PORT (passive vs active mode, IPv4 only)."
 msgstr ""
 
-#: src/protocol/ftp/ftp.c:77
+#: src/protocol/ftp/ftp.c:79
 msgid "Use passive mode (IPv6)"
 msgstr ""
 
-#: src/protocol/ftp/ftp.c:79
+#: src/protocol/ftp/ftp.c:81
 msgid "Use EPSV instead of EPRT (passive vs active mode, IPv6 only)."
 msgstr ""
 
@@ -7422,7 +7417,7 @@ msgid ""
 msgstr ""
 
 #. name:
-#: src/protocol/http/http.c:95 src/protocol/http/http.c:223
+#: src/protocol/http/http.c:95 src/protocol/http/http.c:250
 msgid "HTTP"
 msgstr ""
 
@@ -7444,8 +7439,8 @@ msgstr ""
 
 #: src/protocol/http/http.c:106
 msgid ""
-"The Accept-Charset header is quite long and sending it can trigger\n"
-"bugs in some rarely found servers."
+"The Accept-Charset header is quite long and sending it can trigger bugs in "
+"some rarely found servers."
 msgstr ""
 
 #: src/protocol/http/http.c:111
@@ -7458,72 +7453,72 @@ msgstr ""
 
 #: src/protocol/http/http.c:115
 msgid ""
-"Broken 302 redirect (violates RFC but compatible with Netscape).\n"
-"This is a problem for a lot of web discussion boards and the like.\n"
-"If they will do strange things to you, try to play with this."
+"Broken 302 redirect (violates RFC but compatible with Netscape). This is a "
+"problem for a lot of web discussion boards and the like. If they will do "
+"strange things to you, try to play with this."
 msgstr ""
 
-#: src/protocol/http/http.c:119
+#: src/protocol/http/http.c:120
 msgid "No keepalive after POST requests"
 msgstr ""
 
-#: src/protocol/http/http.c:121
+#: src/protocol/http/http.c:122
 msgid "Disable keepalive connection after POST request."
 msgstr ""
 
-#: src/protocol/http/http.c:123
+#: src/protocol/http/http.c:124
 msgid "Use HTTP/1.0"
 msgstr ""
 
-#: src/protocol/http/http.c:125
+#: src/protocol/http/http.c:126
 msgid "Use HTTP/1.0 protocol instead of HTTP/1.1."
 msgstr ""
 
-#: src/protocol/http/http.c:129
+#: src/protocol/http/http.c:130
 msgid "HTTP proxy configuration."
 msgstr ""
 
-#: src/protocol/http/http.c:133
+#: src/protocol/http/http.c:134
 msgid ""
-"Host and port-number (host:port) of the HTTP proxy, or blank.\n"
-"If it's blank, HTTP_PROXY environment variable is checked as well."
+"Host and port-number (host:port) of the HTTP proxy, or blank. If it's blank, "
+"HTTP_PROXY environment variable is checked as well."
 msgstr ""
 
-#: src/protocol/http/http.c:136
+#: src/protocol/http/http.c:138
 #, fuzzy
 msgid "Username"
 msgstr "nome"
 
-#: src/protocol/http/http.c:138
+#: src/protocol/http/http.c:140
 #, fuzzy
 msgid "Proxy authentication username."
 msgstr "Autenticao HTTP"
 
-#: src/protocol/http/http.c:142
+#: src/protocol/http/http.c:144
 #, fuzzy
 msgid "Proxy authentication password."
 msgstr "Autenticao HTTP"
 
-#: src/protocol/http/http.c:145
+#: src/protocol/http/http.c:147
 #, fuzzy
 msgid "Referer sending"
 msgstr "Apagar keybinding"
 
-#: src/protocol/http/http.c:147
+#: src/protocol/http/http.c:149
 msgid ""
-"HTTP referer sending options. HTTP referer is a special header\n"
-"sent in the HTTP requests, which is supposed to contain the previous\n"
-"page visited by the browser. This way, the server can know what link\n"
-"did you follow when accessing that page. However, this behaviour\n"
-"can unfortunately considerably affect privacy and can lead even to a\n"
-"security problem on some badly designed web pages."
+"HTTP referer sending options. HTTP referer is a special header sent in the "
+"HTTP requests, which is supposed to contain the previous page visited by the "
+"browser.This way, the server can know what link did you follow when "
+"accessing that page. However, this behaviour can unfortunately considerably "
+"affect privacy and can lead even to a security problem on some badly "
+"designed web pages."
 msgstr ""
 
-#: src/protocol/http/http.c:154
+#: src/protocol/http/http.c:157
 msgid "Policy"
 msgstr ""
 
-#: src/protocol/http/http.c:157
+#: src/protocol/http/http.c:160
 msgid ""
 "Mode of sending HTTP referer:\n"
 "0 is send no referer\n"
@@ -7532,90 +7527,110 @@ msgid ""
 "3 is send previous URL as referer (correct, but insecure)"
 msgstr ""
 
-#: src/protocol/http/http.c:163
+#: src/protocol/http/http.c:166
 msgid "Fake referer URL"
 msgstr ""
 
-#: src/protocol/http/http.c:165
+#: src/protocol/http/http.c:168
 msgid "Fake referer to be sent when policy is 2."
 msgstr ""
 
-#: src/protocol/http/http.c:168
+#: src/protocol/http/http.c:171
 msgid "Send Accept-Language header"
 msgstr ""
 
-#: src/protocol/http/http.c:170
+#: src/protocol/http/http.c:173
 msgid "Send Accept-Language header."
 msgstr ""
 
-#: src/protocol/http/http.c:172
+#: src/protocol/http/http.c:175
 msgid "Use UI language as Accept-Language"
 msgstr ""
 
-#: src/protocol/http/http.c:174
+#: src/protocol/http/http.c:177
 msgid ""
-"Request localised versions of documents from web-servers (using the\n"
-"Accept-Language header) using the language you have configured for\n"
-"ELinks' user-interface (this also affects navigator.language ECMAScript\n"
-"value available to scripts). Note that some see this as a potential\n"
-"security risk because it tells web-masters and the FBI sniffers about\n"
-"your language preference."
+"Request localised versions of documents from web-servers (using the Accept-"
+"Language header) using the language you have configured for ELinks' user-"
+"interface (this also affects navigator.language ECMAScript value available "
+"to scripts). Note that some see this as a potential security risk because it "
+"tells web-masters and the FBI sniffers about your language preference."
+msgstr ""
+
+#. After the compression support has been tested enough,
+#. * we might wrap this option in #if CFG_DEBUG.
+#: src/protocol/http/http.c:187
+msgid "Enable on-the-fly compression"
 msgstr ""
 
-#: src/protocol/http/http.c:181
+#: src/protocol/http/http.c:189
+msgid ""
+"If enabled, the capability to receive compressed content (gzip and/or bzip2) "
+"is announced to the server, which usually sends the reply compressed, thus "
+"saving some bandwidth at slight CPU expense.\n"
+"\n"
+"If ELinks displays a incomplete page or garbage, try disabling this option. "
+"If that helps, there may be a bug in the decompression part of ELinks. "
+"Please report such bugs.\n"
+"\n"
+"If ELinks has been compiled without compression support, this option has no "
+"effect. To check the supported features, see Help -> About."
+msgstr ""
+
+#: src/protocol/http/http.c:202
 msgid "Activate HTTP TRACE debugging"
 msgstr ""
 
-#: src/protocol/http/http.c:183
+#: src/protocol/http/http.c:204
 msgid ""
-"If active, all HTTP requests are sent with TRACE as their method\n"
-"rather than GET or POST. This is useful for debugging of both ELinks\n"
-"and various server-side scripts --- the server only returns the client's\n"
-"request back to the client verbatim. Note that this type of request may\n"
-"not be enabled on all servers."
+"If active, all HTTP requests are sent with TRACE as their method rather than "
+"GET or POST. This is useful for debugging of both ELinks and various server-"
+"side scripts --- the server only returns the client's request back to the "
+"client verbatim. Note that this type of request may not be enabled on all "
+"servers."
 msgstr ""
 
 #. OSNews.com is supposed to be relying on the textmode token, at least.
-#: src/protocol/http/http.c:190
+#: src/protocol/http/http.c:212
 msgid "User-agent identification"
 msgstr ""
 
-#: src/protocol/http/http.c:192
+#: src/protocol/http/http.c:214
 msgid ""
-"Change the User Agent ID. That means identification string, which\n"
-"is sent to HTTP server when a document is requested. The 'textmode'\n"
-"token in the first field is our silent attempt to establish this as\n"
-"a standard for new textmode user agents, so that the webmasters can\n"
-"have just a single uniform test for these if they are e.g. pushing\n"
-"some lite version to them automagically.\n"
+"Change the User Agent ID. That means identification string, which is sent to "
+"HTTP server when a document is requested. The 'textmode' token in the first "
+"field is our silent attempt to establish this as a standard for new textmode "
+"user agents, so that the webmasters can have just a single uniform test for "
+"these if they are e.g. pushing some lite version to them automagically.\n"
+"\n"
 "Use \" \" if you don't want any User-Agent header to be sent at all.\n"
+"\n"
 "%v in the string means ELinks version,\n"
 "%s in the string means system identification,\n"
 "%t in the string means size of the terminal,\n"
 "%b in the string means number of bars displayed by ELinks."
 msgstr ""
 
-#: src/protocol/http/http.c:205
+#: src/protocol/http/http.c:231
 msgid "HTTPS"
 msgstr ""
 
-#: src/protocol/http/http.c:207
+#: src/protocol/http/http.c:233
 #, fuzzy
 msgid "HTTPS-specific options."
 msgstr "Nenhum programa foi especificado para"
 
-#: src/protocol/http/http.c:211
+#: src/protocol/http/http.c:237
 msgid "HTTPS proxy configuration."
 msgstr ""
 
-#: src/protocol/http/http.c:215
+#: src/protocol/http/http.c:241
 msgid ""
-"Host and port-number (host:port) of the HTTPS CONNECT proxy, or blank.\n"
-"If it's blank, HTTPS_PROXY environment variable is checked as well."
+"Host and port-number (host:port) of the HTTPS CONNECT proxy, or blank. If "
+"it's blank, HTTPS_PROXY environment variable is checked as well."
 msgstr ""
 
 #. name:
-#: src/protocol/nntp/nntp.c:32 src/protocol/nntp/nntp.c:65
+#: src/protocol/nntp/nntp.c:32 src/protocol/nntp/nntp.c:66
 msgid "NNTP"
 msgstr ""
 
@@ -7630,19 +7645,19 @@ msgstr ""
 
 #: src/protocol/nntp/nntp.c:38
 msgid ""
-"Used when resolving news: URIs. If set to the empty string\n"
-"the value of the NNTPSERVER environment variable will be used."
+"Used when resolving news: URIs. If set to the empty string the value of the "
+"NNTPSERVER environment variable will be used."
 msgstr ""
 
-#: src/protocol/nntp/nntp.c:41
+#: src/protocol/nntp/nntp.c:42
 msgid "Message header entries"
 msgstr ""
 
-#: src/protocol/nntp/nntp.c:43
+#: src/protocol/nntp/nntp.c:44
 msgid ""
-"Comma separated list of which entries in the article header\n"
-"to show. E.g. 'Subject' and 'From'.\n"
-"All header entries can be read in the header info dialog."
+"Comma separated list of which entries in the article header to show. E.g. "
+"'Subject' and 'From'. All header entries can be read in the header info "
+"dialog."
 msgstr ""
 
 #: src/protocol/protocol.c:242
@@ -7664,10 +7679,9 @@ msgstr ""
 
 #: src/protocol/protocol.c:279
 msgid ""
-"Comma separated list of domains for which the proxy (HTTP/FTP)\n"
-"should be disabled. Optionally, a port can be specified for some\n"
-"domains as well. If it's blank, NO_PROXY environment variable is\n"
-"checked as well."
+"Comma separated list of domains for which the proxy (HTTP/FTP) should be "
+"disabled. Optionally, a port can be specified for some domains as well. If "
+"it's blank, NO_PROXY environment variable is checked as well."
 msgstr ""
 
 #. name:
@@ -7682,47 +7696,45 @@ msgstr ""
 
 #: src/protocol/rewrite/rewrite.c:46
 msgid ""
-"Rules for rewriting URIs entered in the goto dialog.\n"
-"It makes it possible to define a set of prefixes that will\n"
-"be expanded if they match a string entered in the goto dialog.\n"
-"The prefixes can be dumb, meaning that they work only like\n"
-"URI abbreviations, or smart ones, making it possible to pass\n"
+"Rules for rewriting URIs entered in the goto dialog. It makes it possible to "
+"define a set of prefixes that will be expanded if they match a string "
+"entered in the goto dialog. The prefixes can be dumb, meaning that they work "
+"only like URI abbreviations, or smart ones, making it possible to pass "
 "arguments to them like search engine keywords."
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:53
+#: src/protocol/rewrite/rewrite.c:54
 msgid "Enable dumb prefixes"
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:55
+#: src/protocol/rewrite/rewrite.c:56
 msgid ""
-"Enable dumb prefixes - simple URI abbreviations which can\n"
-"be written to the Goto URL dialog instead of actual URIs - i.e.\n"
-"if you write 'elinks' there, you are directed to\n"
-"http://elinks.cz/."
+"Enable dumb prefixes - simple URI abbreviations which can be written to the "
+"Goto URL dialog instead of actual URIs - i.e. if you write 'elinks' there, "
+"you are directed to http://elinks.cz/."
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:60
+#: src/protocol/rewrite/rewrite.c:61
 msgid "Enable smart prefixes"
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:62
+#: src/protocol/rewrite/rewrite.c:63
 msgid ""
-"Enable smart prefixes - URI templates triggered by writing\n"
-"given abbreviation to the Goto URL dialog followed by a list\n"
-"of arguments from which the actual URI is composed - i.e.\n"
-"'gg:search keywords' or 'gn search keywords for news'."
+"Enable smart prefixes - URI templates triggered by writing given "
+"abbreviation to the Goto URL dialog followed by a list of arguments from "
+"which the actual URI is composed - i.e. 'gg:search keywords' or 'gn search "
+"keywords for news'."
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:67
+#: src/protocol/rewrite/rewrite.c:69
 msgid "Dumb Prefixes"
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:69
+#: src/protocol/rewrite/rewrite.c:71
 msgid "Dumb prefixes, see enable-dumb description for details."
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:74
+#: src/protocol/rewrite/rewrite.c:76
 #, no-c-format
 msgid ""
 "Replacement URI for this dumbprefix:\n"
@@ -7730,15 +7742,15 @@ msgid ""
 "%% in the string means '%'"
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:78
+#: src/protocol/rewrite/rewrite.c:80
 msgid "Smart Prefixes"
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:80
+#: src/protocol/rewrite/rewrite.c:82
 msgid "Smart prefixes, see enable-smart description for details."
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:87
+#: src/protocol/rewrite/rewrite.c:90
 #, no-c-format
 msgid ""
 "Replacement URI for this smartprefix:\n"
@@ -7748,27 +7760,29 @@ msgid ""
 "%% in the string means '%'"
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:93
+#: src/protocol/rewrite/rewrite.c:96
 #, fuzzy
 msgid "Default template"
 msgstr "Cache de documentos formatados"
 
-#: src/protocol/rewrite/rewrite.c:96
+#: src/protocol/rewrite/rewrite.c:99
 #, no-c-format
 msgid ""
-"Default URI template used when the string entered in\n"
-"the goto dialog does not appear to be a URI or a filename\n"
-"(i.e. contains no '.', ':' or '/' characters), and does\n"
-"not match any defined prefixes. Set the value to \"\" to\n"
-"disable use of the default template rewrite rule.\n"
+"Default URI template used when the string entered in the goto dialog does "
+"not appear to be a URI or a filename (i.e. contains no '.', ':' or '/' "
+"characters), and does not match any defined prefixes. Set the value to \"\" "
+"to disable use of the default template rewrite rule.\n"
+"\n"
 "%c in the template means the current URL,\n"
-"%s in the template means the whole string from the goto dialog,\n"
-"%0,%1,...,%9 mean the 1st,2nd,...,10th space-delimited part of %s,\n"
+"%s in the template means the whole string from the goto\n"
+"   dialog,\n"
+"%0,%1,...,%9 mean the 1st,2nd,...,10th space-delimited part\n"
+"   of %s,\n"
 "%% in the template means '%'."
 msgstr ""
 
 #. name:
-#: src/protocol/rewrite/rewrite.c:372
+#: src/protocol/rewrite/rewrite.c:378
 msgid "URI rewrite"
 msgstr ""
 
@@ -7791,25 +7805,24 @@ msgid "Credentials file passed to smbcli
 msgstr ""
 
 #. name:
-#: src/protocol/user.c:34 src/protocol/user.c:84
+#: src/protocol/user.c:34 src/protocol/user.c:85
 #, fuzzy
 msgid "User protocols"
 msgstr "URL de protocolo do utilizador invlido"
 
 #: src/protocol/user.c:36
 msgid ""
-"User protocols. Options in this tree specify external\n"
-"handlers for the appropriate protocols. Ie.\n"
-"protocol.user.mailto.unix."
+"User protocols. Options in this tree specify external handlers for the "
+"appropriate protocols. Ie. protocol.user.mailto.unix."
 msgstr ""
 
 #: src/protocol/user.c:47
 msgid ""
-"Handler (external program) for this protocol. Name the\n"
-"options in this tree after your system (ie. unix, unix-xwin)."
+"Handler (external program) for this protocol. Name the options in this tree "
+"after your system (ie. unix, unix-xwin)."
 msgstr ""
 
-#: src/protocol/user.c:52
+#: src/protocol/user.c:53
 msgid ""
 "Handler (external program) for this protocol and system.\n"
 "%f in the string means file name to include form data from\n"
@@ -7820,11 +7833,11 @@ msgid ""
 "%u in the string means the whole URL"
 msgstr ""
 
-#: src/protocol/user.c:276
+#: src/protocol/user.c:277
 msgid "No program"
 msgstr "Nenhum programa"
 
-#: src/protocol/user.c:278
+#: src/protocol/user.c:279
 #, fuzzy, c-format
 msgid "No program specified for protocol %s."
 msgstr "Nenhum programa foi especificado para"
@@ -7910,19 +7923,19 @@ msgstr ""
 msgid "Spidermonkey ECMAScript"
 msgstr "Descrio"
 
-#: src/session/download.c:233 src/session/download.c:330
-#: src/session/download.c:561 src/session/download.c:649
+#: src/session/download.c:256 src/session/download.c:356
+#: src/session/download.c:587 src/session/download.c:675
 msgid "Download error"
 msgstr "Erro de download"
 
-#: src/session/download.c:234 src/session/download.c:650
+#: src/session/download.c:257 src/session/download.c:676
 #, fuzzy, c-format
 msgid ""
 "Could not create file '%s':\n"
 "%s"
 msgstr "No posso gravar para arquivo"
 
-#: src/session/download.c:331
+#: src/session/download.c:357
 #, fuzzy, c-format
 msgid ""
 "Error downloading %s:\n"
@@ -7930,17 +7943,17 @@ msgid ""
 "%s"
 msgstr "Erro durante o download"
 
-#: src/session/download.c:562
+#: src/session/download.c:588
 #, c-format
 msgid "'%s' is a directory."
 msgstr ""
 
-#: src/session/download.c:596
+#: src/session/download.c:622
 #, fuzzy
 msgid "File exists"
 msgstr "~Extenses de ficheiro"
 
-#: src/session/download.c:597
+#: src/session/download.c:623
 #, c-format
 msgid ""
 "This file already exists:\n"
@@ -7951,51 +7964,51 @@ msgid ""
 msgstr ""
 
 #. accelerator_context(src/session/download.c:lookup_unique_name)
-#: src/session/download.c:604
+#: src/session/download.c:630
 msgid "Sa~ve under the alternative name"
 msgstr ""
 
 #. accelerator_context(src/session/download.c:lookup_unique_name)
-#: src/session/download.c:605
+#: src/session/download.c:631
 msgid "~Overwrite the original file"
 msgstr ""
 
 #. accelerator_context(src/session/download.c:lookup_unique_name)
-#: src/session/download.c:606
+#: src/session/download.c:632
 msgid "~Resume download of the original file"
 msgstr ""
 
-#: src/session/download.c:1109
+#: src/session/download.c:1135
 msgid "Unknown type"
 msgstr "Tipo desconhecido"
 
-#: src/session/download.c:1134
+#: src/session/download.c:1160
 #, c-format
 msgid "What would you like to do with the file '%s' (type: %s%s%s)?"
 msgstr ""
 
-#: src/session/download.c:1137
+#: src/session/download.c:1163
 #, c-format
 msgid "What would you like to do with the file (type: %s%s%s)?"
 msgstr ""
 
-#: src/session/download.c:1165
+#: src/session/download.c:1191
 #, no-c-format
 msgid "Program ('%' will be replaced by the filename)"
 msgstr ""
 
-#: src/session/download.c:1169
+#: src/session/download.c:1195
 #, fuzzy
 msgid "Block the terminal"
 msgstr "Terminal do ~BeOS"
 
-#: src/session/download.c:1175
+#: src/session/download.c:1201
 #, c-format
 msgid "The file will be opened with the program '%s'."
 msgstr ""
 
 #. accelerator_context(src/session/download.c:do_type_query)
-#: src/session/download.c:1196
+#: src/session/download.c:1222
 #, fuzzy
 msgid "~Open"
 msgstr "Abrir"
@@ -8004,12 +8017,12 @@ msgstr "Abrir"
 #. * and formatting it with "%u" is safe,
 #. * because fc_maxlength is smaller than
 #. * file.length, which is an int.
-#: src/session/session.c:761 src/session/session.c:780 src/session/task.c:275
-#: src/viewer/text/textarea.c:652
+#: src/session/session.c:771 src/session/session.c:790 src/session/task.c:275
+#: src/viewer/text/textarea.c:641
 msgid "Warning"
 msgstr "Ateno"
 
-#: src/session/session.c:762
+#: src/session/session.c:772
 msgid ""
 "You have an empty string in protocol.http.user_agent - this was a default "
 "value in the past, substituted by default ELinks User-Agent string. However, "
@@ -8020,7 +8033,7 @@ msgid ""
 "will be used. Apologies for any inconvience caused."
 msgstr ""
 
-#: src/session/session.c:781
+#: src/session/session.c:791
 msgid ""
 "You have option config.saving_style set to a de facto obsolete value. The "
 "configuration saving algorithms of ELinks were changed from the last time "
@@ -8033,11 +8046,11 @@ msgid ""
 "caused."
 msgstr ""
 
-#: src/session/session.c:806
+#: src/session/session.c:816
 msgid "Welcome"
 msgstr "Bem-vindo"
 
-#: src/session/session.c:807
+#: src/session/session.c:817
 #, fuzzy
 msgid ""
 "Welcome to ELinks!\n"
@@ -8090,22 +8103,22 @@ msgstr ""
 msgid "Warning: terminal name contains illicit chars."
 msgstr ""
 
-#: src/terminal/event.c:259
+#: src/terminal/event.c:258
 #, c-format
 msgid "Failed to create session."
 msgstr ""
 
-#: src/terminal/event.c:446
+#: src/terminal/event.c:443
 #, c-format
 msgid "Bad event %d"
 msgstr ""
 
-#: src/terminal/event.c:486
+#: src/terminal/event.c:483
 #, fuzzy, c-format
 msgid "Could not read event: %d (%s)"
 msgstr "No posso gravar para arquivo"
 
-#: src/terminal/kbd.c:1187
+#: src/terminal/kbd.c:1210
 #, c-format
 msgid "Too many bytes read from the itrm!"
 msgstr ""
@@ -8184,209 +8197,209 @@ msgstr "Sem frames"
 msgid "The requested fragment \"%s\" doesn't exist."
 msgstr ""
 
-#: src/viewer/text/form.c:1092
+#: src/viewer/text/form.c:1118
 msgid "Error while posting form"
 msgstr "Erro durante o envio do formulrio"
 
-#: src/viewer/text/form.c:1093
+#: src/viewer/text/form.c:1119
 #, fuzzy, c-format
 msgid "Could not load file %s: %s"
 msgstr "No posso obter o ficheiro"
 
-#: src/viewer/text/form.c:1847
+#: src/viewer/text/form.c:1876
 #, fuzzy
 msgid "Reset form"
 msgstr "~Reiniciar formulrio"
 
-#: src/viewer/text/form.c:1849
+#: src/viewer/text/form.c:1878
 #, fuzzy
 msgid "Harmless button"
 msgstr "Apagar opo"
 
-#: src/viewer/text/form.c:1857
+#: src/viewer/text/form.c:1886
 msgid "Submit form to"
 msgstr "Enviar formulrio para"
 
-#: src/viewer/text/form.c:1858
+#: src/viewer/text/form.c:1887
 msgid "Post form to"
 msgstr "Postar formulrio para"
 
-#: src/viewer/text/form.c:1860
+#: src/viewer/text/form.c:1889
 msgid "Radio button"
 msgstr "Boto radio"
 
-#: src/viewer/text/form.c:1864
+#: src/viewer/text/form.c:1893
 msgid "Select field"
 msgstr "Campo de seleo"
 
-#: src/viewer/text/form.c:1868
+#: src/viewer/text/form.c:1897
 msgid "Text area"
 msgstr "rea de texto"
 
-#: src/viewer/text/form.c:1870
+#: src/viewer/text/form.c:1899
 msgid "File upload"
 msgstr "Upload de ficheiro"
 
-#: src/viewer/text/form.c:1872
+#: src/viewer/text/form.c:1901
 msgid "Password field"
 msgstr "Campo de password"
 
-#: src/viewer/text/form.c:1910
+#: src/viewer/text/form.c:1939
 msgid "name"
 msgstr "nome"
 
-#: src/viewer/text/form.c:1922
+#: src/viewer/text/form.c:1951
 msgid "value"
 msgstr "valor"
 
-#: src/viewer/text/form.c:1935
+#: src/viewer/text/form.c:1964
 msgid "read only"
 msgstr ""
 
-#: src/viewer/text/form.c:1946
+#: src/viewer/text/form.c:1975
 #, c-format
 msgid "press %s to navigate"
 msgstr ""
 
-#: src/viewer/text/form.c:1948
+#: src/viewer/text/form.c:1977
 #, c-format
 msgid "press %s to edit"
 msgstr ""
 
-#: src/viewer/text/form.c:1984
+#: src/viewer/text/form.c:2013
 #, fuzzy, c-format
 msgid "press %s to submit to %s"
 msgstr "enviar para"
 
-#: src/viewer/text/form.c:1986
+#: src/viewer/text/form.c:2015
 #, fuzzy, c-format
 msgid "press %s to post to %s"
 msgstr "enviar para"
 
-#: src/viewer/text/form.c:2088
+#: src/viewer/text/form.c:2117
 #, fuzzy
 msgid "Useless button"
 msgstr "Apagar opo"
 
-#: src/viewer/text/form.c:2090
+#: src/viewer/text/form.c:2119
 #, fuzzy
 msgid "Submit button"
 msgstr "Enviar formulrio para"
 
 #. accelerator_context(link_menu.map)
-#: src/viewer/text/link.c:1281
+#: src/viewer/text/link.c:1280
 msgid "Display ~usemap"
 msgstr "Mostrar o ~usemap"
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1286
+#: src/viewer/text/link.c:1285
 msgid "~Follow link"
 msgstr "~Seguir link"
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1288
+#: src/viewer/text/link.c:1287
 msgid "Follow link and r~eload"
 msgstr "Seguir link ~e recarregar"
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1292
+#: src/viewer/text/link.c:1291
 msgid "Open in new ~window"
 msgstr "Abrir em nova ~janela"
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1294
+#: src/viewer/text/link.c:1293
 #, fuzzy
 msgid "Open in new ~tab"
 msgstr "Abrir em nova ~janela"
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1296
+#: src/viewer/text/link.c:1295
 #, fuzzy
 msgid "Open in new tab in ~background"
 msgstr "Segundo plano"
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1301
+#: src/viewer/text/link.c:1300
 msgid "~Download link"
 msgstr "~Download link"
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1304
+#: src/viewer/text/link.c:1303
 msgid "~Add link to bookmarks"
 msgstr "Adicionar link aos Bookmarks"
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1308
+#: src/viewer/text/link.c:1307
 msgid "Pass link URI to e~xternal command"
 msgstr ""
 
 #. accelerator_context(link_menu.form, link_menu.reset, link_menu.textarea)
-#: src/viewer/text/link.c:1319 src/viewer/text/link.c:1359
+#: src/viewer/text/link.c:1318 src/viewer/text/link.c:1358
 msgid "~Reset form"
 msgstr "~Reiniciar formulrio"
 
 #. accelerator_context(link_menu.textarea)
-#: src/viewer/text/link.c:1334
+#: src/viewer/text/link.c:1333
 msgid "Open in ~external editor"
 msgstr ""
 
 #. accelerator_context(link_menu.form, link_menu.textarea)
-#: src/viewer/text/link.c:1342
+#: src/viewer/text/link.c:1341
 msgid "~Submit form"
 msgstr "~Enviar formulrio"
 
 #. accelerator_context(link_menu.form, link_menu.textarea)
-#: src/viewer/text/link.c:1343
+#: src/viewer/text/link.c:1342
 msgid "Submit form and rel~oad"
 msgstr "E~nviar formulrio e recarregar"
 
 #. accelerator_context(link_menu.form, link_menu.textarea)
-#: src/viewer/text/link.c:1347
+#: src/viewer/text/link.c:1346
 msgid "Submit form and open in new ~window"
 msgstr "En~viar formulrio e abrir em nova janela"
 
 #. accelerator_context(link_menu.form, link_menu.textarea)
-#: src/viewer/text/link.c:1349
+#: src/viewer/text/link.c:1348
 #, fuzzy
 msgid "Submit form and open in new ~tab"
 msgstr "En~viar formulrio e abrir em nova janela"
 
 #. accelerator_context(link_menu.form, link_menu.textarea)
-#: src/viewer/text/link.c:1352
+#: src/viewer/text/link.c:1351
 #, fuzzy
 msgid "Submit form and open in new tab in ~background"
 msgstr "En~viar formulrio e abrir em nova janela"
 
 #. accelerator_context(link_menu.form, link_menu.textarea)
-#: src/viewer/text/link.c:1357
+#: src/viewer/text/link.c:1356
 msgid "Submit form and ~download"
 msgstr "Enviar formulrio e efectuar ~download"
 
 #. accelerator_context(link_menu.form, link_menu.reset, link_menu.textarea)
-#: src/viewer/text/link.c:1364
+#: src/viewer/text/link.c:1363
 #, fuzzy
 msgid "Form f~ields"
 msgstr "Um campo"
 
 #. accelerator_context(link_menu.form, link_menu.map, link_menu.std)
-#: src/viewer/text/link.c:1371
+#: src/viewer/text/link.c:1370
 msgid "V~iew image"
 msgstr "Ver ~imagem"
 
 #. accelerator_context(link_menu.form, link_menu.map, link_menu.std)
-#: src/viewer/text/link.c:1373
+#: src/viewer/text/link.c:1372
 msgid "Download ima~ge"
 msgstr "D~ownload da imagem"
 
-#: src/viewer/text/link.c:1382
+#: src/viewer/text/link.c:1381
 msgid "No link selected"
 msgstr "Nenhum link selecionado"
 
-#: src/viewer/text/link.c:1452
+#: src/viewer/text/link.c:1451
 msgid "Image"
 msgstr "Imagem"
 
-#: src/viewer/text/link.c:1457
+#: src/viewer/text/link.c:1456
 msgid "Usemap"
 msgstr "Usemap"
 
@@ -8395,87 +8408,87 @@ msgstr "Usemap"
 msgid "Marks"
 msgstr ""
 
-#: src/viewer/text/search.c:1083
+#: src/viewer/text/search.c:1099
 msgid "Search hit top, continuing at bottom."
 msgstr ""
 
-#: src/viewer/text/search.c:1084
+#: src/viewer/text/search.c:1100
 msgid "Search hit bottom, continuing at top."
 msgstr ""
 
-#: src/viewer/text/search.c:1087
+#: src/viewer/text/search.c:1103
 msgid "No previous search"
 msgstr "No h procura anterior"
 
-#: src/viewer/text/search.c:1099
+#: src/viewer/text/search.c:1115
 #, fuzzy, c-format
 msgid "Could not compile regular expression '%s'"
 msgstr "Introduza expresso"
 
-#: src/viewer/text/search.c:1143
+#: src/viewer/text/search.c:1159
 #, c-format
 msgid "No further matches for '%s'."
 msgstr ""
 
-#: src/viewer/text/search.c:1145
+#: src/viewer/text/search.c:1161
 #, c-format
 msgid "Could not find a link with the text '%s'."
 msgstr ""
 
-#: src/viewer/text/search.c:1147 src/viewer/text/search.c:1558
+#: src/viewer/text/search.c:1163 src/viewer/text/search.c:1576
 #, fuzzy
 msgid "Typeahead"
 msgstr "Tipo"
 
-#: src/viewer/text/search.c:1560
+#: src/viewer/text/search.c:1578
 #, c-format
 msgid "No links in current document"
 msgstr ""
 
-#: src/viewer/text/search.c:1643
+#: src/viewer/text/search.c:1661
 msgid "Search for text"
 msgstr "Procurar pelo texto"
 
-#: src/viewer/text/search.c:1679
+#: src/viewer/text/search.c:1697
 #, fuzzy
 msgid "Normal search"
 msgstr "No h procura anterior"
 
-#: src/viewer/text/search.c:1680
+#: src/viewer/text/search.c:1698
 msgid "Regexp search"
 msgstr ""
 
-#: src/viewer/text/search.c:1681
+#: src/viewer/text/search.c:1699
 msgid "Extended regexp search"
 msgstr ""
 
-#: src/viewer/text/search.c:1683
+#: src/viewer/text/search.c:1701
 msgid "Case sensitive"
 msgstr ""
 
-#: src/viewer/text/search.c:1684
+#: src/viewer/text/search.c:1702
 msgid "Case insensitive"
 msgstr ""
 
-#: src/viewer/text/search.c:1708
+#: src/viewer/text/search.c:1726
 msgid "Search backward"
 msgstr "Procurar para trs"
 
 #. name:
-#: src/viewer/text/search.c:1747
+#: src/viewer/text/search.c:1765
 #, fuzzy
 msgid "Search History"
 msgstr "Procurar no historial"
 
-#: src/viewer/text/textarea.c:595
+#: src/viewer/text/textarea.c:584
 msgid "You cannot launch an external editor in the anonymous mode."
 msgstr ""
 
-#: src/viewer/text/textarea.c:602
+#: src/viewer/text/textarea.c:591
 msgid "You can do this only on the master terminal"
 msgstr "S pode fazer isto no Terminal Principal"
 
-#: src/viewer/text/textarea.c:655
+#: src/viewer/text/textarea.c:644
 #, c-format
 msgid ""
 "You have exceeded the textarea's size limit: your input is %d bytes, but the "
@@ -8493,11 +8506,11 @@ msgstr "Ir para link"
 msgid "Enter link number"
 msgstr "Digite o nmero do link"
 
-#: src/viewer/text/view.c:1627
+#: src/viewer/text/view.c:1628
 msgid "Save error"
 msgstr "Erro ao salvar"
 
-#: src/viewer/text/view.c:1628
+#: src/viewer/text/view.c:1629
 msgid "Error writing to file"
 msgstr "Erro ao gravar no ficheiro"
 
diff -pruN 0.12~pre2.dfsg0-1/po/README 0.12~pre4-1/po/README
--- 0.12~pre2.dfsg0-1/po/README	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/po/README	2009-05-31 09:48:47.000000000 +0100
@@ -107,7 +107,7 @@ reasonable editor.
 In order to compile, get warnings and actually use your updated language file
 you will however need the gettext tools. If you don't have any of these tools
 please don't hesitate to still do the update and send it to the mailinglist or
-bugzilla so it can be added to CVS. By next release or nightly generated tarball
+bugzilla so it can be added to Git. By next release or nightly generated tarball
 you can then make use of your updates.
 
 2.2 The basics of updating:
@@ -185,7 +185,7 @@ translation for each plural form.
 2.3 Synchronizing .po files with the code
 -----------------------------------------
 
-IMPORTANT: if you changed strings in the code, or if you're using a cvs version
+IMPORTANT: if you changed strings in the code, or if you're using a Git version
 of ELinks, take care of synchronization between code and po files.  Before any
 change to a po file, you must synchronize it with code.
 
Binary files 0.12~pre2.dfsg0-1/po/ro.gmo and 0.12~pre4-1/po/ro.gmo differ
diff -pruN 0.12~pre2.dfsg0-1/po/ro.po 0.12~pre4-1/po/ro.po
--- 0.12~pre2.dfsg0-1/po/ro.po	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/po/ro.po	2009-05-31 09:48:47.000000000 +0100
@@ -6,7 +6,7 @@ msgid ""
 msgstr ""
 "Project-Id-Version: ELinks 0.5pre0.CVS\n"
 "Report-Msgid-Bugs-To: elinks-users@linuxfromscratch.org\n"
-"POT-Creation-Date: 2008-09-21 11:13+0300\n"
+"POT-Creation-Date: 2009-05-31 01:57+0300\n"
 "PO-Revision-Date: 2003-01-03 03:41+0100\n"
 "Last-Translator: Ionel Mugurel Ciobica <I.M.Ciobica@TUe.nl>\n"
 "Language-Team: Romanian <translation-team-ro@lists.sourceforge.net>\n"
@@ -37,7 +37,7 @@ msgstr ""
 #: src/mime/dialogs.c:132 src/protocol/auth/dialogs.c:115
 #: src/protocol/protocol.c:246 src/scripting/lua/core.c:399
 #: src/scripting/lua/core.c:480 src/scripting/python/dialogs.c:86
-#: src/session/session.c:811 src/viewer/text/search.c:1686
+#: src/session/session.c:821 src/viewer/text/search.c:1704
 #, fuzzy
 msgid "~OK"
 msgstr "Bine"
@@ -55,13 +55,13 @@ msgid "Sorry, but the item \"%s\" is bei
 msgstr ""
 
 #. cant_delete_folder
-#: src/bfu/hierbox.c:558 src/bookmarks/dialogs.c:121
+#: src/bfu/hierbox.c:558 src/bookmarks/dialogs.c:153
 #, c-format
 msgid "Sorry, but the folder \"%s\" cannot be deleted."
 msgstr ""
 
 #. cant_delete_used_folder
-#: src/bfu/hierbox.c:561 src/bookmarks/dialogs.c:123
+#: src/bfu/hierbox.c:561 src/bookmarks/dialogs.c:155
 #, c-format
 msgid "Sorry, but the folder \"%s\" is being used by something else."
 msgstr ""
@@ -79,7 +79,7 @@ msgid "Delete marked items?"
 msgstr "Selecteaz cmpul"
 
 #. delete_folder_title
-#: src/bfu/hierbox.c:570 src/bookmarks/dialogs.c:129
+#: src/bfu/hierbox.c:570 src/bookmarks/dialogs.c:161
 #, fuzzy
 msgid "Delete folder"
 msgstr "terge semnul de carte"
@@ -139,13 +139,13 @@ msgstr "Da"
 msgid "~No"
 msgstr "Nu"
 
-#: src/bfu/hierbox.c:945 src/bfu/hierbox.c:976 src/viewer/text/search.c:1090
-#: src/viewer/text/search.c:1098 src/viewer/text/search.c:1114
-#: src/viewer/text/search.c:1705
+#: src/bfu/hierbox.c:945 src/bfu/hierbox.c:976 src/viewer/text/search.c:1106
+#: src/viewer/text/search.c:1114 src/viewer/text/search.c:1130
+#: src/viewer/text/search.c:1723
 msgid "Search"
 msgstr "Caut"
 
-#: src/bfu/hierbox.c:947 src/viewer/text/search.c:1091
+#: src/bfu/hierbox.c:947 src/viewer/text/search.c:1107
 #, fuzzy, c-format
 msgid "Search string '%s' not found"
 msgstr "irul de cutare nu exist"
@@ -184,8 +184,8 @@ msgstr "ir vid neacceptabil"
 #: src/dialogs/options.c:237 src/dialogs/options.c:316 src/mime/dialogs.c:133
 #: src/protocol/auth/dialogs.c:116 src/protocol/bittorrent/dialogs.c:814
 #: src/scripting/lua/core.c:400 src/scripting/lua/core.c:481
-#: src/session/download.c:607 src/session/download.c:1219
-#: src/viewer/text/search.c:1687
+#: src/session/download.c:633 src/session/download.c:1245
+#: src/viewer/text/search.c:1705
 #, fuzzy
 msgid "~Cancel"
 msgstr "Anuleaz"
@@ -199,8 +199,8 @@ msgstr "Blocat()"
 msgid "Digital clock in the status bar."
 msgstr ""
 
-#: src/bfu/leds.c:77 src/bfu/leds.c:94 src/config/options.inc:1199
-#: src/config/options.inc:1206 src/ecmascript/ecmascript.c:45
+#: src/bfu/leds.c:77 src/bfu/leds.c:94 src/config/options.inc:1272
+#: src/config/options.inc:1279 src/ecmascript/ecmascript.c:45
 #: src/globhist/globhist.c:64 src/mime/backend/mailcap.c:93
 #: src/mime/backend/mimetypes.c:52 src/network/ssl/ssl.c:81
 #, fuzzy
@@ -218,8 +218,7 @@ msgstr "ncrcare de fiier"
 
 #: src/bfu/leds.c:83
 msgid ""
-"Format string for the digital clock. See the strftime(3)\n"
-"manpage for details."
+"Format string for the digital clock. See the strftime(3) manpage for details."
 msgstr ""
 
 #: src/bfu/leds.c:90
@@ -232,8 +231,7 @@ msgstr ""
 
 #: src/bfu/leds.c:96
 msgid ""
-"Enable LEDs.\n"
-"These visual indicators will inform you about various states."
+"Enable LEDs. These visual indicators will inform you about various states."
 msgstr ""
 
 #. name:
@@ -263,34 +261,34 @@ msgstr ""
 msgid "Search menu/"
 msgstr "Caut"
 
-#: src/bookmarks/backend/xbel.c:97
+#: src/bookmarks/backend/xbel.c:105
 #, c-format
 msgid "read_bookmarks_xbel(): Error in XML_ParserCreate()"
 msgstr ""
 
-#: src/bookmarks/backend/xbel.c:108
+#: src/bookmarks/backend/xbel.c:116
 #, c-format
 msgid "read_bookmarks_xbel(): Error reading %s"
 msgstr ""
 
-#: src/bookmarks/backend/xbel.c:116
+#: src/bookmarks/backend/xbel.c:124
 #, c-format
 msgid ""
 "Parse error while processing XBEL bookmarks in %s at line %d column %d:\n"
 "%s"
 msgstr ""
 
-#: src/bookmarks/backend/xbel.c:390 src/bookmarks/backend/xbel.c:411
+#: src/bookmarks/backend/xbel.c:388 src/bookmarks/backend/xbel.c:410
 msgid "No title"
 msgstr ""
 
-#: src/bookmarks/backend/xbel.c:396
+#: src/bookmarks/backend/xbel.c:394
 #, fuzzy
 msgid "No URL"
 msgstr "Du-te la URL"
 
 #. name:
-#: src/bookmarks/bookmarks.c:48 src/bookmarks/bookmarks.c:181
+#: src/bookmarks/bookmarks.c:48 src/bookmarks/bookmarks.c:183
 #, fuzzy
 msgid "Bookmarks"
 msgstr "~Semne de carte"
@@ -300,7 +298,7 @@ msgstr "~Semne de carte"
 msgid "Bookmark options."
 msgstr "~Semne de carte"
 
-#: src/bookmarks/bookmarks.c:53 src/bookmarks/bookmarks.c:59
+#: src/bookmarks/bookmarks.c:53 src/bookmarks/bookmarks.c:60
 #, fuzzy
 msgid "File format"
 msgstr "ncrcare de fiier"
@@ -309,51 +307,47 @@ msgstr "ncrcare de fiier"
 msgid ""
 "File format for bookmarks (affects both reading and saving):\n"
 "0 is the default native ELinks format\n"
-"1 is XBEL universal XML bookmarks format (ELinks bug 153: NO NATIONAL CHARS "
-"SUPPORT!)"
+"1 is XBEL universal XML bookmarks format"
 msgstr ""
 
-#: src/bookmarks/bookmarks.c:61
+#: src/bookmarks/bookmarks.c:62
 msgid ""
 "File format for bookmarks (affects both reading and saving):\n"
 "0 is the default native ELinks format\n"
-"1 is XBEL universal XML bookmarks format (ELinks bug 153: NO NATIONAL CHARS "
-"SUPPORT!)  (DISABLED)"
+"1 is XBEL universal XML bookmarks format  (DISABLED)"
 msgstr ""
 
-#: src/bookmarks/bookmarks.c:67
+#: src/bookmarks/bookmarks.c:68
 #, fuzzy
 msgid "Save folder state"
 msgstr "Introdu numrul link-ului"
 
-#: src/bookmarks/bookmarks.c:69
+#: src/bookmarks/bookmarks.c:70
 msgid ""
-"When saving bookmarks also store whether folders are\n"
-"expanded or not, so the look of the bookmark dialog is\n"
-"kept across ELinks sessions. If disabled all folders will\n"
-"appear unexpanded next time ELinks is run."
+"When saving bookmarks also store whether folders are expanded or not, so the "
+"look of the bookmark dialog is kept across ELinks sessions. If disabled all "
+"folders will appear unexpanded next time ELinks is run."
 msgstr ""
 
-#: src/bookmarks/bookmarks.c:74
+#: src/bookmarks/bookmarks.c:75
 msgid "Periodic snapshotting"
 msgstr ""
 
-#: src/bookmarks/bookmarks.c:76
+#: src/bookmarks/bookmarks.c:77
 msgid ""
-"Automatically save a snapshot of all tabs periodically.\n"
-"This will periodically bookmark the tabs of each terminal in a separate "
-"folder\n"
-"for recovery after a crash.\n"
+"Automatically save a snapshot of all tabs periodically. This will "
+"periodically bookmark the tabs of each terminal in a separate folder for "
+"recovery after a crash.\n"
 "\n"
 "This feature requires bookmark support."
 msgstr ""
 
-#: src/bookmarks/dialogs.c:72 src/config/options.inc:1051
+#: src/bookmarks/dialogs.c:97 src/config/options.inc:1120
 #: src/dialogs/document.c:145 src/globhist/dialogs.c:65
 msgid "Title"
 msgstr ""
 
-#: src/bookmarks/dialogs.c:73 src/cache/dialogs.c:65
+#: src/bookmarks/dialogs.c:101 src/cache/dialogs.c:65
 #: src/dialogs/document.c:136 src/dialogs/edit.c:96 src/formhist/dialogs.c:63
 #: src/globhist/dialogs.c:66 src/protocol/auth/dialogs.c:163
 #: src/scripting/lua/core.c:397
@@ -361,86 +355,86 @@ msgid "URL"
 msgstr "URL"
 
 #. cant_delete_item
-#: src/bookmarks/dialogs.c:117
+#: src/bookmarks/dialogs.c:149
 #, c-format
 msgid "Sorry, but the bookmark \"%s\" cannot be deleted."
 msgstr ""
 
 #. cant_delete_used_item
-#: src/bookmarks/dialogs.c:119
+#: src/bookmarks/dialogs.c:151
 #, c-format
 msgid "Sorry, but the bookmark \"%s\" is being used by something else."
 msgstr ""
 
 #. delete_marked_items_title
-#: src/bookmarks/dialogs.c:125
+#: src/bookmarks/dialogs.c:157
 #, fuzzy
 msgid "Delete marked bookmarks"
 msgstr "Selecteaz cmpul"
 
 #. delete_marked_items
-#: src/bookmarks/dialogs.c:127
+#: src/bookmarks/dialogs.c:159
 #, fuzzy
 msgid "Delete marked bookmarks?"
 msgstr "Selecteaz cmpul"
 
 #. delete_folder
-#: src/bookmarks/dialogs.c:131
+#: src/bookmarks/dialogs.c:163
 #, fuzzy, c-format
 msgid "Delete the folder \"%s\" and all bookmarks in it?"
 msgstr "terge extensia"
 
 #. delete_item_title
-#: src/bookmarks/dialogs.c:133
+#: src/bookmarks/dialogs.c:165
 #, fuzzy
 msgid "Delete bookmark"
 msgstr "Editeaz semnul de carte"
 
-#: src/bookmarks/dialogs.c:135
+#: src/bookmarks/dialogs.c:167
 #, c-format
 msgid "Delete this bookmark?"
 msgstr ""
 
 #. clear_all_items_title
-#: src/bookmarks/dialogs.c:137
+#: src/bookmarks/dialogs.c:169
 #, fuzzy
 msgid "Clear all bookmarks"
 msgstr "~Semne de carte"
 
 #. clear_all_items_title
-#: src/bookmarks/dialogs.c:139
+#: src/bookmarks/dialogs.c:171
 #, fuzzy
 msgid "Do you really want to remove all bookmarks?"
 msgstr "Chiar vrei s ieii din links?"
 
-#: src/bookmarks/dialogs.c:254
+#: src/bookmarks/dialogs.c:327
 msgid "Add folder"
 msgstr ""
 
-#: src/bookmarks/dialogs.c:254
+#: src/bookmarks/dialogs.c:327
 msgid "Folder name"
 msgstr ""
 
-#: src/bookmarks/dialogs.c:310 src/scripting/lua/core.c:391
+#: src/bookmarks/dialogs.c:410 src/scripting/lua/core.c:391
 msgid "Edit bookmark"
 msgstr "Editeaz semnul de carte"
 
-#: src/bookmarks/dialogs.c:461
+#: src/bookmarks/dialogs.c:567
 msgid "Cannot move folder inside itself"
 msgstr ""
 
-#: src/bookmarks/dialogs.c:462
+#: src/bookmarks/dialogs.c:568
 msgid ""
 "You are trying to move the marked folder inside itself. To move the folder "
 "to a different location select the new location before pressing the Move "
 "button."
 msgstr ""
 
-#: src/bookmarks/dialogs.c:468
+#: src/bookmarks/dialogs.c:574
 msgid "Nothing to move"
 msgstr ""
 
-#: src/bookmarks/dialogs.c:469
+#: src/bookmarks/dialogs.c:575
 msgid ""
 "To move bookmarks, first mark all the bookmarks (or folders) you want to "
 "move.  This can be done with the Insert key if you're using the default key-"
@@ -449,21 +443,21 @@ msgid ""
 msgstr ""
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons, src/cache/dialogs.c:cache_buttons, src/globhist/dialogs.c:globhist_buttons, src/protocol/auth/dialogs.c:auth_buttons)
-#: src/bookmarks/dialogs.c:487 src/cache/dialogs.c:230
+#: src/bookmarks/dialogs.c:593 src/cache/dialogs.c:230
 #: src/globhist/dialogs.c:224 src/protocol/auth/dialogs.c:261
 #, fuzzy
 msgid "~Goto"
 msgstr "Du-te la"
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons, src/config/dialogs.c:option_buttons, src/cookies/dialogs.c:cookie_buttons)
-#: src/bookmarks/dialogs.c:488 src/config/dialogs.c:503
+#: src/bookmarks/dialogs.c:594 src/config/dialogs.c:503
 #: src/cookies/dialogs.c:492
 #, fuzzy
 msgid "~Edit"
 msgstr "Editeaz"
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons, src/cache/dialogs.c:cache_buttons, src/config/dialogs.c:keybinding_buttons, src/config/dialogs.c:option_buttons, src/cookies/dialogs.c:cookie_buttons, src/dialogs/menu.c:ext_menu, src/formhist/dialogs.c:formhist_buttons, src/globhist/dialogs.c:globhist_buttons, src/protocol/auth/dialogs.c:auth_buttons)
-#: src/bookmarks/dialogs.c:489 src/cache/dialogs.c:231
+#: src/bookmarks/dialogs.c:595 src/cache/dialogs.c:231
 #: src/config/dialogs.c:505 src/config/dialogs.c:930 src/cookies/dialogs.c:493
 #: src/dialogs/menu.c:463 src/formhist/dialogs.c:211
 #: src/globhist/dialogs.c:229 src/protocol/auth/dialogs.c:263
@@ -471,28 +465,28 @@ msgid "~Delete"
 msgstr "~terge"
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons, src/config/dialogs.c:keybinding_buttons, src/config/dialogs.c:option_buttons, src/cookies/dialogs.c:cookie_buttons, src/dialogs/menu.c:ext_menu)
-#: src/bookmarks/dialogs.c:490 src/config/dialogs.c:504
+#: src/bookmarks/dialogs.c:596 src/config/dialogs.c:504
 #: src/config/dialogs.c:929 src/cookies/dialogs.c:490 src/dialogs/menu.c:461
 msgid "~Add"
 msgstr "~Adaug"
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons)
-#: src/bookmarks/dialogs.c:491
+#: src/bookmarks/dialogs.c:597
 msgid "Add se~parator"
 msgstr ""
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons)
-#: src/bookmarks/dialogs.c:492
+#: src/bookmarks/dialogs.c:598
 msgid "Add ~folder"
 msgstr ""
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons)
-#: src/bookmarks/dialogs.c:493
+#: src/bookmarks/dialogs.c:599
 msgid "~Move"
 msgstr ""
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons, src/cache/dialogs.c:cache_buttons, src/config/dialogs.c:keybinding_buttons, src/config/dialogs.c:option_buttons, src/dialogs/menu.c:view_menu, src/globhist/dialogs.c:globhist_buttons)
-#: src/bookmarks/dialogs.c:494 src/cache/dialogs.c:232
+#: src/bookmarks/dialogs.c:600 src/cache/dialogs.c:232
 #: src/config/dialogs.c:506 src/config/dialogs.c:932 src/dialogs/menu.c:413
 #: src/globhist/dialogs.c:230
 msgid "~Search"
@@ -500,38 +494,52 @@ msgstr "~Caut"
 
 #. This one is too dangerous, so just let user delete
 #. * the bookmarks file if needed. --Zas
-#: src/bookmarks/dialogs.c:498
+#: src/bookmarks/dialogs.c:604
 msgid "Clear"
 msgstr ""
 
 #. TODO: Would this be useful? --jonas
-#: src/bookmarks/dialogs.c:501 src/globhist/dialogs.c:235
+#: src/bookmarks/dialogs.c:607 src/globhist/dialogs.c:235
 msgid "Save"
 msgstr "Salveaz"
 
-#: src/bookmarks/dialogs.c:507
+#: src/bookmarks/dialogs.c:613
 msgid "Bookmark manager"
 msgstr "Administratorul semnelor de carte"
 
-#: src/bookmarks/dialogs.c:632
+#: src/bookmarks/dialogs.c:825
 msgid "Search bookmarks"
 msgstr ""
 
-#: src/bookmarks/dialogs.c:661
+#. When the user eventually pushes the OK button, BFU calls
+#. * bookmark_add_add() and gives it the struct dialog * as the
+#. * void * parameter.  However, bookmark_add_add() also needs
+#. * to know the struct terminal *, and there is no way to get
+#. * that from struct dialog.  The other bookmark dialogs work
+#. * around that by making dialog.udata point to the struct
+#. * dialog_data of the bookmark manager, but the "Add bookmark"
+#. * dialog can be triggered with ACT_MAIN_ADD_BOOKMARK, which
+#. * does not involve the bookmark manager at all.
+#. *
+#. * The solution here is to save the struct terminal * in
+#. * dialog.udata2, which the "Edit bookmark" dialog uses for
+#. * struct bookmark *.  When adding a new bookmark, we don't
+#. * need a pointer to an existing one, of course.
+#: src/bookmarks/dialogs.c:892
 msgid "Add bookmark"
 msgstr "Adaug semn de carte"
 
-#: src/bookmarks/dialogs.c:697
+#: src/bookmarks/dialogs.c:950
 #, fuzzy
 msgid "Saved session"
 msgstr "~Salveaz opiunile"
 
-#: src/bookmarks/dialogs.c:705
+#: src/bookmarks/dialogs.c:958
 #, fuzzy
 msgid "Bookmark tabs"
 msgstr "~Semne de carte"
 
-#: src/bookmarks/dialogs.c:705
+#: src/bookmarks/dialogs.c:958
 #, fuzzy
 msgid "Enter folder name"
 msgstr "Introdu numrul link-ului"
@@ -545,7 +553,7 @@ msgstr "Du-te la URL"
 msgid "Redirect"
 msgstr ""
 
-#: src/cache/dialogs.c:85 src/config/options.inc:519
+#: src/cache/dialogs.c:85 src/config/options.inc:553
 #: src/dialogs/document.c:156 src/protocol/bittorrent/dialogs.c:126
 msgid "Size"
 msgstr "Dimensiune"
@@ -592,7 +600,7 @@ msgstr ""
 msgid "ID"
 msgstr ""
 
-#: src/cache/dialogs.c:134 src/config/options.inc:669
+#: src/cache/dialogs.c:134 src/config/options.inc:707
 #, fuzzy
 msgid "Header"
 msgstr "Info pentru antet"
@@ -1346,7 +1354,7 @@ msgstr "Gazd negsit"
 msgid "Resolver error"
 msgstr "Eroare la salvare"
 
-#: src/config/cmdline.c:256 src/cookies/cookies.c:841 src/network/state.c:47
+#: src/config/cmdline.c:256 src/cookies/cookies.c:843 src/network/state.c:47
 #: src/util/secsave.c:379
 msgid "Out of memory"
 msgstr "Memorie insuficient"
@@ -1368,290 +1376,291 @@ msgstr ""
 msgid "Remote method not supported"
 msgstr ""
 
-#: src/config/cmdline.c:452
+#: src/config/cmdline.c:437
+msgid "Out of memory formatting option documentation"
+msgstr ""
+
+#: src/config/cmdline.c:474
 msgid "Template option folder"
 msgstr ""
 
-#: src/config/cmdline.c:475
+#: src/config/cmdline.c:497
 #, c-format
 msgid "(default: %ld)"
 msgstr ""
 
-#: src/config/cmdline.c:482 src/config/cmdline.c:511
+#: src/config/cmdline.c:504 src/config/cmdline.c:533
 #, c-format
 msgid "(default: \"%s\")"
 msgstr ""
 
-#: src/config/cmdline.c:487
+#: src/config/cmdline.c:509
 #, c-format
 msgid "(alias for %s)"
 msgstr ""
 
-#: src/config/cmdline.c:492 src/config/cmdline.c:501
+#: src/config/cmdline.c:514 src/config/cmdline.c:523
 #, c-format
 msgid "(default: %s)"
 msgstr ""
 
-#: src/config/cmdline.c:642
+#: src/config/cmdline.c:654
 #, fuzzy
 msgid "Configuration options"
 msgstr "Conexiuni"
 
-#: src/config/cmdline.c:646
+#: src/config/cmdline.c:658
 msgid "Usage: elinks [OPTION]... [URL]..."
 msgstr ""
 
-#: src/config/cmdline.c:647
+#: src/config/cmdline.c:659
 #, fuzzy
 msgid "Options"
 msgstr "~Salveaz opiunile"
 
-#: src/config/cmdline.c:689
+#: src/config/cmdline.c:701
 #, fuzzy
 msgid "Internal consistency error"
 msgstr "Eroare intern"
 
 #.
-#: src/config/cmdline.c:725
+#: src/config/cmdline.c:737
 msgid "Restrict to anonymous mode"
 msgstr ""
 
-#: src/config/cmdline.c:727
+#: src/config/cmdline.c:739
 msgid ""
-"Restricts ELinks so it can run on an anonymous account.\n"
-"Local file browsing, downloads, and modification of options\n"
-"will be disabled. Execution of viewers is allowed, but entries\n"
-"in the association table can't be added or modified."
+"Restricts ELinks so it can run on an anonymous account. Local file browsing, "
+"downloads, and modification of options will be disabled. Execution of "
+"viewers is allowed, but entries in the association table can't be added or "
+"modified."
 msgstr ""
 
-#: src/config/cmdline.c:732
+#: src/config/cmdline.c:745
 #, fuzzy
 msgid "Autosubmit first form"
 msgstr "Trimite formularul"
 
-#: src/config/cmdline.c:734
+#: src/config/cmdline.c:747
 msgid "Automatically submit the first form in the given URLs."
 msgstr ""
 
-#: src/config/cmdline.c:736
+#: src/config/cmdline.c:749
 msgid "Clone internal session with given ID"
 msgstr ""
 
-#: src/config/cmdline.c:738
+#: src/config/cmdline.c:751
 msgid ""
-"Used internally when opening ELinks instances in new windows.\n"
-"The ID maps to information that will be used when creating the\n"
-"new instance. You don't want to use it."
+"Used internally when opening ELinks instances in new windows. The ID maps to "
+"information that will be used when creating the new instance. You don't want "
+"to use it."
 msgstr ""
 
-#: src/config/cmdline.c:744
+#: src/config/cmdline.c:757
 msgid "Name of directory with configuration file"
 msgstr ""
 
-#: src/config/cmdline.c:746
+#: src/config/cmdline.c:759
 msgid ""
-"Path of the directory ELinks will read and write its\n"
-"config and runtime state files to instead of ~/.elinks.\n"
-"If the path does not begin with a '/' it is assumed to be\n"
-"relative to your HOME directory."
+"Path of the directory ELinks will read and write its config and runtime "
+"state files to instead of ~/.elinks. If the path does not begin with a '/' "
+"it is assumed to be relative to your HOME directory."
 msgstr ""
 
-#: src/config/cmdline.c:751
+#: src/config/cmdline.c:764
 msgid "Print default configuration file to stdout"
 msgstr ""
 
-#: src/config/cmdline.c:753
+#: src/config/cmdline.c:766
 msgid ""
-"Print a configuration file with options set to the built-in\n"
-"defaults to stdout."
+"Print a configuration file with options set to the built-in defaults to "
+"stdout."
 msgstr ""
 
-#: src/config/cmdline.c:758
+#: src/config/cmdline.c:771
 msgid "Name of configuration file"
 msgstr ""
 
-#: src/config/cmdline.c:760
+#: src/config/cmdline.c:773
 msgid ""
-"Name of the configuration file that all configuration\n"
-"options will be read from and written to. It should be\n"
-"relative to config-dir."
+"Name of the configuration file that all configuration options will be read "
+"from and written to. It should be relative to config-dir."
 msgstr ""
 
-#: src/config/cmdline.c:764
+#: src/config/cmdline.c:777
 msgid "Print help for configuration options"
 msgstr ""
 
-#: src/config/cmdline.c:766
+#: src/config/cmdline.c:779
 msgid "Print help for configuration options and exit."
 msgstr ""
 
-#: src/config/cmdline.c:768
+#: src/config/cmdline.c:781
 msgid "MIME type assumed for unknown document types"
 msgstr ""
 
-#: src/config/cmdline.c:770
+#: src/config/cmdline.c:783
 msgid "The default MIME type used for documents of unknown type."
 msgstr ""
 
-#: src/config/cmdline.c:772
+#: src/config/cmdline.c:786
 msgid "Ignore user-defined keybindings"
 msgstr ""
 
-#: src/config/cmdline.c:774
+#: src/config/cmdline.c:788
 msgid ""
-"When set, all keybindings from configuration files will be\n"
-"ignored. It forces use of default keybindings and will reset\n"
-"user-defined ones on save."
+"When set, all keybindings from configuration files will be ignored. It "
+"forces use of default keybindings and will reset user-defined ones on save."
 msgstr ""
 
-#: src/config/cmdline.c:778
+#: src/config/cmdline.c:792
 msgid "Print formatted versions of given URLs to stdout"
 msgstr ""
 
-#: src/config/cmdline.c:780
+#: src/config/cmdline.c:794
 msgid "Print formatted plain-text versions of given URLs to stdout."
 msgstr ""
 
-#: src/config/cmdline.c:782
+#: src/config/cmdline.c:797
 msgid "Codepage to use with -dump"
 msgstr ""
 
-#: src/config/cmdline.c:784
+#: src/config/cmdline.c:799
 msgid "Codepage used when formatting dump output."
 msgstr ""
 
-#: src/config/cmdline.c:786
+#: src/config/cmdline.c:801
 msgid "Color mode used with -dump"
 msgstr ""
 
-#: src/config/cmdline.c:788
+#: src/config/cmdline.c:803
 msgid "Color mode used with -dump."
 msgstr ""
 
-#: src/config/cmdline.c:790
+#: src/config/cmdline.c:805
 msgid "Width of document formatted with -dump"
 msgstr ""
 
-#: src/config/cmdline.c:792
+#: src/config/cmdline.c:807
 msgid "Width of the dump output."
 msgstr ""
 
-#: src/config/cmdline.c:794
+#: src/config/cmdline.c:809
 msgid "Evaluate configuration file directive"
 msgstr ""
 
-#: src/config/cmdline.c:796
+#: src/config/cmdline.c:811
 msgid ""
-"Specify configuration file directives on the command-line\n"
-"which will be evaluated after all configuration files has been\n"
-"read. Example usage:\n"
+"Specify configuration file directives on the command-line which will be "
+"evaluated after all configuration files has been read. Example usage:\n"
 "\t-eval 'set protocol.file.allow_special_files = 1'"
 msgstr ""
 
 #. lynx compatibility
-#: src/config/cmdline.c:802
+#: src/config/cmdline.c:817
 msgid "Interpret documents of unknown types as HTML"
 msgstr ""
 
-#: src/config/cmdline.c:804
+#: src/config/cmdline.c:819
 msgid ""
-"Makes ELinks assume documents of unknown types are HTML.\n"
-"Useful when using ELinks as an external viewer from MUAs.\n"
-"This is equivalent to -default-mime-type text/html."
+"Makes ELinks assume documents of unknown types are HTML. Useful when using "
+"ELinks as an external viewer from MUAs. This is equivalent to -default-mime-"
+"type text/html."
 msgstr ""
 
-#: src/config/cmdline.c:814
+#: src/config/cmdline.c:829
 msgid "Print usage help and exit"
 msgstr ""
 
-#: src/config/cmdline.c:816
+#: src/config/cmdline.c:831
 msgid "Print usage help and exit."
 msgstr ""
 
-#: src/config/cmdline.c:818
+#: src/config/cmdline.c:833
 msgid "Only permit local connections"
 msgstr ""
 
-#: src/config/cmdline.c:820
+#: src/config/cmdline.c:835
 msgid ""
-"Restricts ELinks to work offline and only connect to servers\n"
-"with local addresses (ie. 127.0.0.1). No connections to remote\n"
-"servers will be permitted."
+"Restricts ELinks to work offline and only connect to servers with local "
+"addresses (ie. 127.0.0.1). No connections to remote servers will be "
+"permitted."
 msgstr ""
 
-#: src/config/cmdline.c:824
+#: src/config/cmdline.c:839
 msgid "Print detailed usage help and exit"
 msgstr ""
 
-#: src/config/cmdline.c:826
+#: src/config/cmdline.c:841
 msgid "Print detailed usage help and exit."
 msgstr ""
 
-#: src/config/cmdline.c:828
+#: src/config/cmdline.c:843
 #, fuzzy
 msgid "Look up specified host"
 msgstr "Program nespecificat pentru"
 
-#: src/config/cmdline.c:830
+#: src/config/cmdline.c:845
 msgid "Look up specified host and print all DNS resolved IP addresses."
 msgstr ""
 
-#: src/config/cmdline.c:832
+#: src/config/cmdline.c:848
 msgid "Run as separate instance"
 msgstr ""
 
-#: src/config/cmdline.c:834
+#: src/config/cmdline.c:850
 msgid ""
-"Run ELinks as a separate instance instead of connecting to an\n"
-"existing instance. Note that normally no runtime state files\n"
-"(bookmarks, history, etc.) are written to the disk when this\n"
-"option is used. See also -touch-files."
+"Run ELinks as a separate instance instead of connecting to an existing "
+"instance. Note that normally no runtime state files (bookmarks, history, "
+"etc.) are written to the disk when this option is used. See also -touch-"
+"files."
 msgstr ""
 
-#: src/config/cmdline.c:839
+#: src/config/cmdline.c:855
 msgid "Disable use of files in ~/.elinks"
 msgstr ""
 
-#: src/config/cmdline.c:841
+#: src/config/cmdline.c:857
 msgid ""
-"Disables creation and use of files in the user specific home\n"
-"configuration directory (~/.elinks). It forces default configuration\n"
-"values to be used and disables saving of runtime state files."
+"Disables creation and use of files in the user specific home configuration "
+"directory (~/.elinks). It forces default configuration values to be used and "
+"disables saving of runtime state files."
 msgstr ""
 
-#: src/config/cmdline.c:845
+#: src/config/cmdline.c:862
 msgid "Disable link numbering in dump output"
 msgstr ""
 
-#: src/config/cmdline.c:847
+#: src/config/cmdline.c:864
 msgid ""
 "Prevents printing of link number in dump output.\n"
+"\n"
 "Note that this really affects only -dump, nothing else."
 msgstr ""
 
-#: src/config/cmdline.c:850
+#: src/config/cmdline.c:868
 msgid "Disable printing of link references in dump output"
 msgstr ""
 
-#: src/config/cmdline.c:852
+#: src/config/cmdline.c:870
 msgid ""
-"Prevents printing of references (URIs) of document links\n"
-"in dump output.\n"
+"Prevents printing of references (URIs) of document links in dump output.\n"
+"\n"
 "Note that this really affects only -dump, nothing else."
 msgstr ""
 
-#: src/config/cmdline.c:856
+#: src/config/cmdline.c:875
 msgid "Control an already running ELinks"
 msgstr ""
 
-#: src/config/cmdline.c:858
+#: src/config/cmdline.c:877
 msgid ""
-"Control a remote ELinks instance by passing commands to it.\n"
-"The option takes an additional argument containing the method\n"
-"which should be invoked and any parameters that should be passed\n"
-"to it. For ease of use, the additional method argument can be\n"
-"omitted in which case any URL arguments will be opened in new\n"
-"tabs in the remote instance.\n"
+"Control a remote ELinks instance by passing commands to it. The option takes "
+"an additional argument containing the method which should be invoked and any "
+"parameters that should be passed to it. For ease of use, the additional "
+"method argument can be omitted in which case any URL arguments will be "
+"opened in new tabs in the remote instance.\n"
+"\n"
 "Following is a list of the supported methods:\n"
 "\tping()                    : look for a remote instance\n"
 "\topenURL()                 : prompt URL in current tab\n"
@@ -1663,70 +1672,69 @@ msgid ""
 "\txfeDoCommand(openBrowser) : open new window"
 msgstr ""
 
-#: src/config/cmdline.c:874
+#: src/config/cmdline.c:895
 msgid "Connect to session ring with given ID"
 msgstr ""
 
-#: src/config/cmdline.c:876
+#: src/config/cmdline.c:897
 msgid ""
-"ID of session ring this ELinks session should connect to. ELinks\n"
-"works in so-called session rings, whereby all instances of ELinks\n"
-"are interconnected and share state (cache, bookmarks, cookies,\n"
-"and so on). By default, all ELinks instances connect to session\n"
-"ring 0. You can change that behaviour with this switch and form as\n"
-"many session rings as you want. Obviously, if the session-ring with\n"
-"this number doesn't exist yet, it's created and this ELinks instance\n"
-"will become the master instance (that usually doesn't matter for you\n"
-"as a user much). Note that you usually don't want to use this unless\n"
-"you're a developer and you want to do some testing - if you want the\n"
-"ELinks instances each running standalone, rather use the -no-connect\n"
-"command-line option. Also note that normally no runtime state files\n"
-"are written to the disk when this option is used. See also\n"
-"-touch-files."
+"ID of session ring this ELinks session should connect to. ELinks works in so-"
+"called session rings, whereby all instances of ELinks are interconnected and "
+"share state (cache, bookmarks, cookies, and so on). By default, all ELinks "
+"instances connect to session ring 0. You can change that behaviour with this "
+"switch and form as many session rings as you want. Obviously, if the session-"
+"ring with this number doesn't exist yet, it's created and this ELinks "
+"instance will become the master instance (that usually doesn't matter for "
+"you as a user much).\n"
+"\n"
+"Note that you usually don't want to use this unless you're a developer and "
+"you want to do some testing - if you want the ELinks instances each running "
+"standalone, rather use the -no-connect command-line option. Also note that "
+"normally no runtime state files are written to the disk when this option is "
+"used. See also -touch-files."
 msgstr ""
 
-#: src/config/cmdline.c:891
+#: src/config/cmdline.c:915
 msgid "Print the source of given URLs to stdout"
 msgstr ""
 
-#: src/config/cmdline.c:893
+#: src/config/cmdline.c:917
 msgid "Print given URLs in source form to stdout."
 msgstr ""
 
-#: src/config/cmdline.c:897
+#: src/config/cmdline.c:921
 msgid "Touch files in ~/.elinks when running with -no-connect/-session-ring"
 msgstr ""
 
-#: src/config/cmdline.c:899
+#: src/config/cmdline.c:923
 msgid ""
-"When enabled, runtime state files (bookmarks, history, etc.) are\n"
-"written to disk, even when -no-connect or -session-ring is used.\n"
-"The option has no effect if not used in conjunction with any of\n"
-"these options."
+"When enabled, runtime state files (bookmarks, history, etc.) are written to "
+"disk, even when -no-connect or -session-ring is used. The option has no "
+"effect if not used in conjunction with any of these options."
 msgstr ""
 
-#: src/config/cmdline.c:904
+#: src/config/cmdline.c:928
 msgid "Verbose level"
 msgstr ""
 
-#: src/config/cmdline.c:906
+#: src/config/cmdline.c:930
 msgid ""
-"The verbose level controls what messages are shown at\n"
-"start up and while running:\n"
+"The verbose level controls what messages are shown at start up and while "
+"running:\n"
 "\t0 means only show serious errors\n"
 "\t1 means show serious errors and warnings\n"
 "\t2 means show all messages"
 msgstr ""
 
-#: src/config/cmdline.c:912
+#: src/config/cmdline.c:936
 msgid "Print version information and exit"
 msgstr ""
 
-#: src/config/cmdline.c:914
+#: src/config/cmdline.c:938
 msgid "Print ELinks version information and exit."
 msgstr ""
 
-#: src/config/conf.c:938
+#: src/config/conf.c:963
 msgid ""
 "## This is ELinks configuration file. You can edit it manually,\n"
 "## if you wish so; this file is edited by ELinks when you save\n"
@@ -1734,7 +1742,7 @@ msgid ""
 "## and all your formatting, own comments etc will be kept as-is.\n"
 msgstr ""
 
-#: src/config/conf.c:946
+#: src/config/conf.c:971
 msgid ""
 "## This is ELinks configuration file. You can edit it manually,\n"
 "## if you wish so; this file is edited by ELinks when you save\n"
@@ -1745,7 +1753,7 @@ msgid ""
 "## own comments and so on will be kept as-is.\n"
 msgstr ""
 
-#: src/config/conf.c:956
+#: src/config/conf.c:981
 msgid ""
 "## This is ELinks configuration file. You can edit it manually,\n"
 "## if you wish so, but keep in mind that this file is overwritten\n"
@@ -1753,18 +1761,18 @@ msgid ""
 "## luck with your formatting and own comments then, so beware.\n"
 msgstr ""
 
-#: src/config/conf.c:967
+#: src/config/conf.c:992
 msgid ""
 "## Obviously, if you don't like what ELinks is going to do with\n"
 "## this file, you can change it by altering the config.saving_style\n"
 "## option. Come on, aren't we friendly guys after all?\n"
 msgstr ""
 
-#: src/config/conf.c:980
+#: src/config/conf.c:1005
 msgid "Automatically saved options\n"
 msgstr ""
 
-#: src/config/conf.c:992
+#: src/config/conf.c:1017
 msgid "Automatically saved keybindings\n"
 msgstr ""
 
@@ -1825,7 +1833,7 @@ msgstr ""
 #. * switch charsets.  So, it will work in any terminal that
 #. * understands UTF-8 and has the characters in its font.
 #: src/config/dialogs.c:149 src/config/dialogs.c:330
-#: src/config/options.inc:840
+#: src/config/options.inc:887
 msgid "Type"
 msgstr ""
 
@@ -1851,9 +1859,9 @@ msgid "Description"
 msgstr ""
 
 #: src/config/dialogs.c:291 src/protocol/bittorrent/dialogs.c:600
-#: src/protocol/protocol.c:240 src/session/session.c:287
-#: src/session/session.c:975 src/viewer/text/textarea.c:594
-#: src/viewer/text/textarea.c:601
+#: src/protocol/protocol.c:240 src/session/session.c:288
+#: src/session/session.c:999 src/viewer/text/textarea.c:583
+#: src/viewer/text/textarea.c:590
 msgid "Error"
 msgstr "Eroare"
 
@@ -1888,7 +1896,7 @@ msgstr ""
 #. accelerator_context(src/config/dialogs.c:keybinding_buttons, src/config/dialogs.c:option_buttons, src/cookies/dialogs.c:cookie_buttons, src/formhist/dialogs.c:formhist_buttons, src/protocol/bittorrent/dialogs.c:bittorrent_query_callback, src/session/download.c:do_type_query, terminal_options)
 #: src/config/dialogs.c:507 src/config/dialogs.c:933 src/cookies/dialogs.c:495
 #: src/dialogs/options.c:236 src/formhist/dialogs.c:214
-#: src/protocol/bittorrent/dialogs.c:801 src/session/download.c:1203
+#: src/protocol/bittorrent/dialogs.c:801 src/session/download.c:1229
 #, fuzzy
 msgid "Sa~ve"
 msgstr "Salveaz"
@@ -1902,7 +1910,7 @@ msgstr "Administratorul semnelor de cart
 msgid "Keystroke"
 msgstr ""
 
-#: src/config/dialogs.c:676 src/config/options.inc:1219
+#: src/config/dialogs.c:676 src/config/options.inc:1292
 msgid "Action"
 msgstr ""
 
@@ -1974,32 +1982,32 @@ msgid ""
 "directory."
 msgstr ""
 
-#: src/config/kbdbind.c:221
+#: src/config/kbdbind.c:222
 msgid "Main mapping"
 msgstr ""
 
-#: src/config/kbdbind.c:222
+#: src/config/kbdbind.c:223
 msgid "Edit mapping"
 msgstr ""
 
-#: src/config/kbdbind.c:223
+#: src/config/kbdbind.c:224
 msgid "Menu mapping"
 msgstr ""
 
-#: src/config/kbdbind.c:588 src/scripting/python/keybinding.c:104
+#: src/config/kbdbind.c:589 src/scripting/python/keybinding.c:104
 msgid "Unrecognised keymap"
 msgstr ""
 
-#: src/config/kbdbind.c:591
+#: src/config/kbdbind.c:592
 #, fuzzy
 msgid "Error parsing keystroke"
 msgstr "Eroare de scriere la socket"
 
-#: src/config/kbdbind.c:595
+#: src/config/kbdbind.c:596
 msgid "Unrecognised action (internal error)"
 msgstr ""
 
-#: src/config/kbdbind.c:611
+#: src/config/kbdbind.c:612
 #, fuzzy
 msgid "Error registering event"
 msgstr "Eroare de scriere la socket"
@@ -2027,333 +2035,328 @@ msgid ""
 "3 is full comments are written"
 msgstr ""
 
-#: src/config/options.inc:31
+#: src/config/options.inc:32
 #, fuzzy
 msgid "Indentation"
 msgstr "Negociere SSL"
 
-#: src/config/options.inc:33
+#: src/config/options.inc:34
 msgid ""
-"Shift width of one indentation level in the configuration\n"
-"file. Zero means that no indentation is performed at all\n"
-"when saving the configuration."
+"Shift width of one indentation level in the configuration file. Zero means "
+"that no indentation is performed at all when saving the configuration."
 msgstr ""
 
-#: src/config/options.inc:37
+#: src/config/options.inc:38
 msgid "Saving style"
 msgstr ""
 
-#: src/config/options.inc:39
+#: src/config/options.inc:40
 msgid ""
 "Determines what happens when you tell ELinks to save options:\n"
 "0 is only values of current options are altered\n"
-"1 is values of current options are altered and missing options\n"
-"     are added at the end of the file\n"
+"1 is values of current options are altered and missing\n"
+"     options are added at the end of the file\n"
 "2 is the configuration file is rewritten from scratch\n"
-"3 is values of current options are altered and missing options\n"
-"     CHANGED during this ELinks session are added at the end of\n"
-"     the file"
+"3 is values of current options are altered and missing\n"
+"     options CHANGED during this ELinks session are added at\n"
+"     the end of the file"
 msgstr ""
 
-#: src/config/options.inc:48
+#: src/config/options.inc:50
 msgid "Comments localization"
 msgstr ""
 
-#: src/config/options.inc:50
+#: src/config/options.inc:52
 msgid ""
-"If set to 1, comments in the configuration file will be\n"
-"translated to the language used by UI. Note that if you have\n"
-"different language set in different terminals, the language\n"
-"used in the configuration file MAY be the same as on the\n"
-"terminal where you saved the file, but it should be generally\n"
+"If set to 1, comments in the configuration file will be translated to the "
+"language used by UI. Note that if you have different language set in "
+"different terminals, the language used in the configuration file MAY be the "
+"same as on the terminal where you saved the file, but it should be generally "
 "considered unpredictable."
 msgstr ""
 
-#: src/config/options.inc:58
+#: src/config/options.inc:60
 msgid "Saving style warnings"
 msgstr ""
 
-#: src/config/options.inc:60
+#: src/config/options.inc:62
 msgid ""
-"This is internal option used when displaying a warning about\n"
-"obsolete config.saving_style. You shouldn't touch it."
+"This is internal option used when displaying a warning about obsolete config."
+"saving_style. You shouldn't touch it."
 msgstr ""
 
-#: src/config/options.inc:63
+#: src/config/options.inc:66
 msgid "Show template"
 msgstr ""
 
-#: src/config/options.inc:65
+#: src/config/options.inc:68
 msgid ""
-"Show template options in autocreated trees in the options\n"
-"manager and save them to the configuration file."
+"Show template options in autocreated trees in the options manager and save "
+"them to the configuration file."
 msgstr ""
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:71 src/dialogs/info.c:180
+#: src/config/options.inc:74 src/dialogs/info.c:180
 msgid "Connections"
 msgstr "Conexiuni"
 
-#: src/config/options.inc:73
+#: src/config/options.inc:76
 #, fuzzy
 msgid "Connection options."
 msgstr "Conexiuni"
 
-#: src/config/options.inc:76
+#: src/config/options.inc:79
 msgid "Asynchronous DNS"
 msgstr ""
 
-#: src/config/options.inc:78
+#: src/config/options.inc:81
 msgid "Whether to use asynchronous DNS resolving."
 msgstr ""
 
-#: src/config/options.inc:80
+#: src/config/options.inc:83
 #, fuzzy
 msgid "Maximum connections"
 msgstr "Fac conexiunea"
 
-#: src/config/options.inc:82
+#: src/config/options.inc:85
 msgid "Maximum number of concurrent connections."
 msgstr ""
 
-#: src/config/options.inc:84
+#: src/config/options.inc:87
 #, fuzzy
 msgid "Maximum connections per host"
 msgstr "Fac conexiunea"
 
-#: src/config/options.inc:86
+#: src/config/options.inc:89
 msgid "Maximum number of concurrent connections to a given host."
 msgstr ""
 
-#: src/config/options.inc:88
+#: src/config/options.inc:92
 #, fuzzy
 msgid "Connection retries"
 msgstr "Conexiuni"
 
-#: src/config/options.inc:90
-msgid ""
-"Number of tries to establish a connection.\n"
-"Zero means try forever."
+#: src/config/options.inc:94
+msgid "Number of tries to establish a connection. Zero means try forever."
 msgstr ""
 
-#: src/config/options.inc:93 src/network/state.c:53
+#: src/config/options.inc:97 src/network/state.c:53
 msgid "Receive timeout"
 msgstr "A expirat timpul de ateptare"
 
-#: src/config/options.inc:95
+#: src/config/options.inc:99
 #, fuzzy
 msgid "Receive timeout (in seconds)."
 msgstr "A expirat timpul de ateptare"
 
-#: src/config/options.inc:98 src/config/options.inc:108
+#: src/config/options.inc:102 src/config/options.inc:113
 msgid "Try IPv4 when connecting"
 msgstr ""
 
-#: src/config/options.inc:100
+#: src/config/options.inc:104
 msgid ""
-"Whether to try to connect to a host over IPv4.\n"
-"Note that if connection.try_ipv6 is enabled too,\n"
-"it takes precedence. And better do not touch this\n"
+"Whether to try to connect to a host over IPv4. Note that if connection."
+"try_ipv6 is enabled too, it takes precedence. And better do not touch this "
 "at all unless you are sure what are you doing.\n"
-"Note that you can also force a given protocol\n"
-"to be used on a per-connection basis by using a URL\n"
-"in the style of e.g. http4://elinks.cz/."
+"\n"
+"Note that you can also force a given protocol to be used on a per-connection "
+"basis by using a URL in the style of e.g. http4://elinks.cz/."
 msgstr ""
 
-#: src/config/options.inc:110
+#: src/config/options.inc:115
 msgid ""
-"Whether to try to connect to a host over IPv4.\n"
-"Do not touch this option.\n"
-"Note that you can also force a given protocol\n"
-"to be used on a per-connection basis by using a URL\n"
-"in the style of e.g. http4://elinks.cz/."
+"Whether to try to connect to a host over IPv4. Do not touch this option.\n"
+"\n"
+"Note that you can also force a given protocol to be used on a per-connection "
+"basis by using a URL in the style of e.g. http4://elinks.cz/."
 msgstr ""
 
-#: src/config/options.inc:118
+#: src/config/options.inc:124
 msgid "Try IPv6 when connecting"
 msgstr ""
 
-#: src/config/options.inc:120
+#: src/config/options.inc:126
 msgid ""
 "Whether to try to connect to a host over IPv6.\n"
-"Note that you can also force a given protocol\n"
-"to be used on a per-connection basis by using a URL\n"
-"in the style of e.g. http6://elinks.cz/."
+"\n"
+"Note that you can also force a given protocol to be used on a per-connection "
+"basis by using a URL in the style of e.g. http6://elinks.cz/."
 msgstr ""
 
-#: src/config/options.inc:126
+#: src/config/options.inc:133
 msgid "Timeout for non-restartable connections"
 msgstr ""
 
-#: src/config/options.inc:128
+#: src/config/options.inc:135
 msgid "Timeout for non-restartable connections (in seconds)."
 msgstr ""
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:134
+#: src/config/options.inc:141
 #, fuzzy
 msgid "Document"
 msgstr "Documente"
 
-#: src/config/options.inc:136
+#: src/config/options.inc:143
 #, fuzzy
 msgid "Document options."
 msgstr "~Informaii despre document"
 
-#: src/config/options.inc:138
+#: src/config/options.inc:145
 msgid "Browsing"
 msgstr ""
 
-#: src/config/options.inc:140
+#: src/config/options.inc:147
 msgid "Document browsing options (mainly interactivity)."
 msgstr ""
 
-#: src/config/options.inc:143
+#: src/config/options.inc:150
 msgid "Access keys"
 msgstr ""
 
-#: src/config/options.inc:145
+#: src/config/options.inc:152
 msgid ""
-"Options for handling of link access keys.\n"
-"An HTML document can use the ACCESSKEY attribute to assign\n"
-"an access key to an element. When an access key is pressed,\n"
-"the corresponding element will be given focus."
+"Options for handling of link access keys. An HTML document can use the "
+"ACCESSKEY attribute to assign an access key to an element. When an access "
+"key is pressed, the corresponding element will be given focus."
 msgstr ""
 
-#: src/config/options.inc:150
+#: src/config/options.inc:157
 msgid "Automatic links following"
 msgstr ""
 
-#: src/config/options.inc:152
+#: src/config/options.inc:159
 msgid ""
-"Automatically follow a link or submit a form if appropriate\n"
-"accesskey is pressed - this is the standard behaviour, but it's\n"
-"considered dangerous."
+"Automatically follow a link or submit a form if appropriate accesskey is "
+"pressed - this is the standard behaviour, but it's considered dangerous."
 msgstr ""
 
-#: src/config/options.inc:156
+#: src/config/options.inc:163
 msgid "Display access key in link info"
 msgstr ""
 
-#: src/config/options.inc:158
+#: src/config/options.inc:165
 msgid "Display access key in link info."
 msgstr ""
 
-#: src/config/options.inc:160
+#: src/config/options.inc:167
 msgid "Accesskey priority"
 msgstr ""
 
-#: src/config/options.inc:162
+#: src/config/options.inc:169
 msgid ""
 "Priority of 'accesskey' HTML attribute:\n"
-"0 is first try all normal bindings; if it fails, check accesskey\n"
-"1 is first try only frame bindings; if it fails, check accesskey\n"
+"0 is first try all normal bindings; if it fails,\n"
+"     check accesskey\n"
+"1 is first try only frame bindings; if it fails,\n"
+"     check accesskey\n"
 "2 is first check accesskey (this can be dangerous)"
 msgstr ""
 
-#: src/config/options.inc:168
+#: src/config/options.inc:177
 msgid "Forms"
 msgstr ""
 
-#: src/config/options.inc:170
+#: src/config/options.inc:179
 msgid "Options for handling of the forms interaction."
 msgstr ""
 
-#: src/config/options.inc:172
+#: src/config/options.inc:181
 #, fuzzy
 msgid "Submit form automatically"
 msgstr "Trimite formular ctre"
 
-#: src/config/options.inc:174
+#: src/config/options.inc:183
 msgid ""
-"Automagically submit a form when enter is pressed with a text\n"
-"field selected."
+"Automagically submit a form when enter is pressed with a text field selected."
 msgstr ""
 
-#: src/config/options.inc:177
+#: src/config/options.inc:186
 msgid "Confirm submission"
 msgstr ""
 
-#: src/config/options.inc:179
+#: src/config/options.inc:188
 msgid "Ask for confirmation when submitting a form."
 msgstr ""
 
-#: src/config/options.inc:181
+#: src/config/options.inc:190
 msgid "Default form input size"
 msgstr ""
 
-#: src/config/options.inc:183
+#: src/config/options.inc:192
 msgid "Default form input size if none is specified."
 msgstr ""
 
-#: src/config/options.inc:185
+#: src/config/options.inc:194
 msgid "Insert mode"
 msgstr ""
 
-#: src/config/options.inc:187
+#: src/config/options.inc:196
 msgid ""
-"The setting for this option affects how key presses are handled\n"
-"when one selects a text-input form-field. When enabled, one must\n"
-"explicitly 'enter' a selected text-field to edit it; this prevents\n"
-"text fields from capturing key presses, such as presses of a scroll\n"
-"key, when it is inadvertently selected. When disabled, key presses\n"
-"are always inserted into a selected text field."
+"The setting for this option affects how key presses are handled when one "
+"selects a text-input form-field. When enabled, one must explicitly 'enter' a "
+"selected text-field to edit it; this prevents text fields from capturing key "
+"presses, such as presses of a scroll key, when it is inadvertently selected. "
+"When disabled, key presses are always inserted into a selected text field."
 msgstr ""
 
-#: src/config/options.inc:194
+#: src/config/options.inc:204
 #, fuzzy
 msgid "External editor"
 msgstr "Eroare intern"
 
-#: src/config/options.inc:196
+#: src/config/options.inc:206
 msgid ""
-"Path to the executable that ELinks should launch when the user\n"
-"requests to edit a textarea with an external editor.\n"
-"If this is blank, ELinks will use the value of the environmental\n"
-"variable $EDITOR. If $EDITOR is empty or not set, ELinks will then\n"
-"default to \"vi\"."
+"Path to the executable that ELinks should launch when the user requests to "
+"edit a textarea with an external editor.\n"
+"\n"
+"If this is blank, ELinks will use the value of the environmental variable "
+"$EDITOR. If $EDITOR is empty or not set, ELinks will then default to \"vi\"."
 msgstr ""
 
-#: src/config/options.inc:203
+#: src/config/options.inc:214
 #, fuzzy
 msgid "Images"
 msgstr "Imagine"
 
-#: src/config/options.inc:205
+#: src/config/options.inc:216
 msgid "Options for handling of images."
 msgstr ""
 
-#: src/config/options.inc:207
+#: src/config/options.inc:218
 #, fuzzy
 msgid "Display style for image tags"
 msgstr "Arat"
 
-#: src/config/options.inc:209
+#: src/config/options.inc:220
 msgid ""
 "Display style for image tags when displayed:\n"
 "0     means always display IMG\n"
 "1     means always display filename\n"
-"2     means display alt/title attribute if possible, IMG if not\n"
-"3     means display alt/title attribute if possible, filename if not"
+"2     means display alt/title attribute if possible,\n"
+"      IMG if not\n"
+"3     means display alt/title attribute if possible,\n"
+"      filename if not"
 msgstr ""
 
-#: src/config/options.inc:215
+#: src/config/options.inc:228
 msgid "Maximum length for image filename"
 msgstr ""
 
-#: src/config/options.inc:217
+#: src/config/options.inc:230
 msgid ""
 "Maximum length of image filename when displayed:\n"
 "0     means always display full filename\n"
 "1-500 means display filename with this maximal length;\n"
-"      if it is longer, the middle is substituted by an asterisk"
+"      if it is longer, the middle is substituted by\n"
+"      an asterisk"
 msgstr ""
 
-#: src/config/options.inc:227
+#: src/config/options.inc:241
 msgid "Image links tagging"
 msgstr ""
 
-#: src/config/options.inc:229
+#: src/config/options.inc:243
 msgid ""
 "When to enclose image links:\n"
 "0 means never\n"
@@ -2361,92 +2364,92 @@ msgid ""
 "2 means always"
 msgstr ""
 
-#: src/config/options.inc:234
+#: src/config/options.inc:248
 msgid "Image link prefix"
 msgstr ""
 
-#: src/config/options.inc:236
+#: src/config/options.inc:250
 msgid "Prefix string to use to mark image links."
 msgstr ""
 
-#: src/config/options.inc:238
+#: src/config/options.inc:252
 msgid "Image link suffix"
 msgstr ""
 
-#: src/config/options.inc:240
+#: src/config/options.inc:254
 msgid "Suffix string to use to mark image links."
 msgstr ""
 
-#: src/config/options.inc:242
+#: src/config/options.inc:256
 msgid "Maximum length for image label"
 msgstr ""
 
-#: src/config/options.inc:244
+#: src/config/options.inc:258
 msgid ""
 "Maximum length of image label (alt/title):\n"
 "0     means always display full label\n"
 "1-500 means display label with this maximal length;\n"
-"      if it is longer, the middle is substituted by an asterisk"
+"      if it is longer, the middle is substituted by\n"
+"      an asterisk"
 msgstr ""
 
-#: src/config/options.inc:249
+#: src/config/options.inc:264
 msgid "Display links to images w/o alt"
 msgstr ""
 
-#: src/config/options.inc:251
+#: src/config/options.inc:266
 msgid ""
-"Display links to images without an alt attribute. If this option\n"
-"is off, these images are completely invisible."
+"Display links to images without an alt attribute. If this option is off, "
+"these images are completely invisible."
 msgstr ""
 
-#: src/config/options.inc:254
+#: src/config/options.inc:269
 #, fuzzy
 msgid "Display links to images"
 msgstr "Arat"
 
-#: src/config/options.inc:256
+#: src/config/options.inc:271
 msgid ""
-"Display links to any images in the document, regardless of them\n"
-"having an alt attribute or not. If this option is off, the alt\n"
-"attribute contents is shown, but as normal text, not selectable\n"
-"as a link."
+"Display links to any images in the document, regardless of them having an "
+"alt attribute or not. If this option is off, the alt attribute contents is "
+"shown, but as normal text, not selectable as a link."
 msgstr ""
 
-#: src/config/options.inc:262
+#: src/config/options.inc:277
 #, fuzzy
 msgid "Links"
 msgstr "~Legturi"
 
-#: src/config/options.inc:264
+#: src/config/options.inc:279
 msgid "Options for handling of links to other documents."
 msgstr ""
 
-#: src/config/options.inc:266
+#: src/config/options.inc:281
 msgid "Active link"
 msgstr ""
 
-#: src/config/options.inc:268
+#: src/config/options.inc:283
 msgid "Options for the active link."
 msgstr ""
 
-#: src/config/options.inc:270
+#: src/config/options.inc:285
 #, fuzzy
 msgid "Colors"
 msgstr "Culoare"
 
-#: src/config/options.inc:272
+#: src/config/options.inc:287
 #, fuzzy
 msgid "Active link colors."
 msgstr "Oprirea ~descrcrilor din fundal"
 
-#: src/config/options.inc:274 src/config/options.inc:549
-#: src/config/options.inc:945
+#: src/config/options.inc:289 src/config/options.inc:583
+#: src/config/options.inc:1014
 #, fuzzy
 msgid "Background color"
 msgstr "Fundal"
 
-#: src/config/options.inc:276 src/config/options.inc:551
-#: src/config/options.inc:946
+#: src/config/options.inc:291 src/config/options.inc:585
+#: src/config/options.inc:1015
 #, fuzzy
 msgid "Default background color."
 msgstr "Oprirea ~descrcrilor din fundal"
@@ -2459,75 +2462,75 @@ msgstr "Oprirea ~descrcrilor din funda
 #. *	on it.
 #. The colors and mono tree should be similar but with different default
 #. * values of course so always use the macros below.
-#: src/config/options.inc:278 src/config/options.inc:545
-#: src/config/options.inc:943
+#: src/config/options.inc:293 src/config/options.inc:579
+#: src/config/options.inc:1012
 #, fuzzy
 msgid "Text color"
 msgstr "Arie de text"
 
-#: src/config/options.inc:280 src/config/options.inc:547
-#: src/config/options.inc:944
+#: src/config/options.inc:295 src/config/options.inc:581
+#: src/config/options.inc:1013
 msgid "Default text color."
 msgstr ""
 
-#: src/config/options.inc:282
+#: src/config/options.inc:297
 #, fuzzy
 msgid "Enable color"
 msgstr "Nume"
 
-#: src/config/options.inc:284
+#: src/config/options.inc:299
 msgid ""
-"Enable use of the active link background and text color\n"
-"settings instead of the link colors from the document."
+"Enable use of the active link background and text color settings instead of "
+"the link colors from the document."
 msgstr ""
 
-#: src/config/options.inc:287
+#: src/config/options.inc:302
 msgid "Bold"
 msgstr ""
 
-#: src/config/options.inc:289
+#: src/config/options.inc:304
 msgid "Make the active link text bold."
 msgstr ""
 
-#: src/config/options.inc:291
+#: src/config/options.inc:306
 #, fuzzy
 msgid "Invert colors"
 msgstr "Arie de text"
 
-#: src/config/options.inc:293
+#: src/config/options.inc:308
 msgid "Invert the fore- and background color so the link stands out."
 msgstr ""
 
-#: src/config/options.inc:296 src/config/options.inc:908
+#: src/config/options.inc:311 src/config/options.inc:975
 #: src/dialogs/options.c:231
 msgid "Underline"
 msgstr ""
 
-#: src/config/options.inc:298
+#: src/config/options.inc:313
 msgid "Underline the active link."
 msgstr ""
 
-#: src/config/options.inc:301
+#: src/config/options.inc:316
 msgid "Directory highlighting"
 msgstr ""
 
-#: src/config/options.inc:303
+#: src/config/options.inc:318
 msgid "Highlight links to directories in FTP and local directory listing."
 msgstr ""
 
-#: src/config/options.inc:305
+#: src/config/options.inc:321
 msgid "Number links"
 msgstr ""
 
-#: src/config/options.inc:307
+#: src/config/options.inc:323
 msgid "Display numbers next to the links."
 msgstr ""
 
-#: src/config/options.inc:309
+#: src/config/options.inc:325
 msgid "Handling of target=_blank"
 msgstr ""
 
-#: src/config/options.inc:311
+#: src/config/options.inc:327
 msgid ""
 "Define how to handle links having target=_blank set:\n"
 "0 means open link in current tab\n"
@@ -2536,139 +2539,136 @@ msgid ""
 "3 means open link in new window"
 msgstr ""
 
-#: src/config/options.inc:324
+#: src/config/options.inc:340
 msgid "Use tabindex"
 msgstr ""
 
-#: src/config/options.inc:326
+#: src/config/options.inc:342
 msgid ""
-"Whether to navigate links using tabindex specified ordering.\n"
-"The TABINDEX attribute in HTML elements specifies the order\n"
-"in which links should receive focus when using the keyboard\n"
-"to navigate the document."
+"Whether to navigate links using tabindex specified ordering. The TABINDEX "
+"attribute in HTML elements specifies the order in which links should receive "
+"focus when using the keyboard to navigate the document."
 msgstr ""
 
-#: src/config/options.inc:331
+#: src/config/options.inc:347
 #, fuzzy
 msgid "Missing fragment reporting"
 msgstr "Fr cadruri"
 
-#: src/config/options.inc:333
+#: src/config/options.inc:349
 msgid "Open a message box when document has no tag with given id."
 msgstr ""
 
-#: src/config/options.inc:335
+#: src/config/options.inc:352
 msgid "Number keys select links"
 msgstr ""
 
-#: src/config/options.inc:337
+#: src/config/options.inc:354
 msgid ""
-"Number keys select links rather than specify command prefixes. This\n"
-"is a tristate:\n"
+"Number keys select links rather than specify command prefixes. This is a "
+"tristate:\n"
 "0 means never\n"
 "1 means if document.browse.links.numbering = 1\n"
 "2 means always"
 msgstr ""
 
-#: src/config/options.inc:343
+#: src/config/options.inc:360
 msgid "Warn about maliciously crafted URIs"
 msgstr ""
 
-#: src/config/options.inc:345
+#: src/config/options.inc:362
 msgid ""
-"When following a link the user ID part of the URI is\n"
-"checked and if a maliciously crafted URI is detected a\n"
-"warning dialog will ask before following the link."
+"When following a link the user ID part of the URI is checked and if a "
+"maliciously crafted URI is detected a warning dialog will ask before "
+"following the link."
 msgstr ""
 
 #. TODO - this is somehow implemented by ff, but disabled
 #. * for now as it doesn't work.
-#: src/config/options.inc:351
+#: src/config/options.inc:368
 msgid "Wrap-around links cycling"
 msgstr ""
 
 #. 0
-#: src/config/options.inc:353
+#: src/config/options.inc:370
 msgid ""
-"When pressing 'down' on the last link, jump to the first one, and\n"
-"vice versa."
+"When pressing 'down' on the last link, jump to the first one, and vice versa."
 msgstr ""
 
-#: src/config/options.inc:357
+#: src/config/options.inc:374
 msgid "Scrolling"
 msgstr ""
 
-#: src/config/options.inc:359
+#: src/config/options.inc:376
 #, fuzzy
 msgid "Scrolling options."
 msgstr "Opiuni de terminal"
 
-#: src/config/options.inc:361
+#: src/config/options.inc:378
 msgid "Horizontal step"
 msgstr ""
 
-#: src/config/options.inc:363
+#: src/config/options.inc:380
 msgid ""
-"Number of columns to scroll when a key bound to scroll-left or scroll-\n"
-"right is pressed and no prefix was given."
+"Number of columns to scroll when a key bound to scroll-left or scroll-right "
+"is pressed and no prefix was given."
 msgstr ""
 
-#: src/config/options.inc:366
+#: src/config/options.inc:384
 msgid "Extended horizontal scrolling"
 msgstr ""
 
-#: src/config/options.inc:368
+#: src/config/options.inc:386
 msgid ""
-"Whether to allow horizontal scrolling when the document\n"
-"does not extend off the screen. Useful for copy/paste\n"
-"operations."
+"Whether to allow horizontal scrolling when the document does not extend off "
+"the screen. Useful for copy/paste operations."
 msgstr ""
 
-#: src/config/options.inc:372
+#: src/config/options.inc:390
 #, fuzzy
 msgid "Margin"
 msgstr "Avertisment"
 
-#: src/config/options.inc:374
+#: src/config/options.inc:392
 msgid ""
-"Size of the virtual margin - when you click inside of that margin,\n"
-"document scrolls in that direction."
+"Size of the virtual margin - when you click inside of that margin, document "
+"scrolls in that direction."
 msgstr ""
 
-#: src/config/options.inc:377
+#: src/config/options.inc:395
 msgid "Vertical step"
 msgstr ""
 
-#: src/config/options.inc:379
+#: src/config/options.inc:397
 msgid ""
-"Number of lines to scroll when a key bound to scroll-up or scroll-\n"
-"down is pressed and no prefix was given."
+"Number of lines to scroll when a key bound to scroll-up or scroll-down is "
+"pressed and no prefix was given."
 msgstr ""
 
-#: src/config/options.inc:383
+#: src/config/options.inc:401
 #, fuzzy
 msgid "Searching"
 msgstr "Caut"
 
-#: src/config/options.inc:385
+#: src/config/options.inc:403
 msgid "Options for searching."
 msgstr ""
 
-#: src/config/options.inc:387
+#: src/config/options.inc:405
 msgid "Case sensitivity"
 msgstr ""
 
-#: src/config/options.inc:389
+#: src/config/options.inc:407
 msgid ""
-"Whether the search should match the document text while maintaining\n"
-"case sensitivity."
+"Whether the search should match the document text while maintaining case "
+"sensitivity."
 msgstr ""
 
-#: src/config/options.inc:393
+#: src/config/options.inc:411
 msgid "Regular expressions"
 msgstr ""
 
-#: src/config/options.inc:395
+#: src/config/options.inc:413
 msgid ""
 "Enable searching with regular expressions:\n"
 "0 for plain text searching\n"
@@ -2676,31 +2676,31 @@ msgid ""
 "2 for extended regular expression searches"
 msgstr ""
 
-#: src/config/options.inc:401
+#: src/config/options.inc:419
 msgid "Show search hit top or bottom dialogs"
 msgstr ""
 
-#: src/config/options.inc:403
+#: src/config/options.inc:421
 msgid ""
-"Whether to show a dialog when the search hits the top or bottom of the\n"
+"Whether to show a dialog when the search hits the top or bottom of the "
 "document."
 msgstr ""
 
-#: src/config/options.inc:406
+#: src/config/options.inc:424
 #, fuzzy
 msgid "Wraparound"
 msgstr "Fundal"
 
-#: src/config/options.inc:408
+#: src/config/options.inc:426
 msgid "Wrap around when searching. Currently only used for typeahead."
 msgstr ""
 
-#: src/config/options.inc:410
+#: src/config/options.inc:429
 #, fuzzy
 msgid "Show not found"
 msgstr "Gazd negsit"
 
-#: src/config/options.inc:412
+#: src/config/options.inc:431
 msgid ""
 "How to inform the user when nothing is matched:\n"
 "0 means do nothing\n"
@@ -2708,281 +2708,282 @@ msgid ""
 "2 means pop up message box"
 msgstr ""
 
-#: src/config/options.inc:417
+#: src/config/options.inc:436
 #, fuzzy
 msgid "Typeahead searching"
 msgstr "ir greit"
 
-#: src/config/options.inc:419
+#: src/config/options.inc:438
 msgid ""
-"Start typeahead searching when an unbound key is pressed without\n"
-"any modifiers. Note that most keys have default bindings, so this\n"
-"feature will not be useful unless you unbind them.\n"
+"Start typeahead searching when an unbound key is pressed without any "
+"modifiers. Note that most keys have default bindings, so this feature will "
+"not be useful unless you unbind them.\n"
 "\n"
-"0 disables this feature; typeahead searching will only be used\n"
-"  when you press a key bound to search-typeahead or similar\n"
+"0 disables this feature; typeahead searching will only be\n"
+"  used when you press a key bound to search-typeahead or\n"
+"  similar\n"
 "1 automatically starts typeahead searching thru link text\n"
-"2 automatically starts typeahead searching thru all document text"
+"2 automatically starts typeahead searching thru all document\n"
+"  text"
 msgstr ""
 
-#: src/config/options.inc:428
+#: src/config/options.inc:451
 msgid "Horizontal text margin"
 msgstr ""
 
-#: src/config/options.inc:430
+#: src/config/options.inc:453
 msgid "Horizontal text margin."
 msgstr ""
 
-#: src/config/options.inc:432
+#: src/config/options.inc:455
 msgid "Document meta refresh"
 msgstr ""
 
-#: src/config/options.inc:434
+#: src/config/options.inc:457
 msgid ""
-"Automatically follow document-specified refresh directives ('<meta>\n"
-"refresh' tags). Web-page authors use these to instruct the browser\n"
-"to reload a document at a given interval or to load another page.\n"
-"Regardless of the value the refresh URI is accessible as a link.\n"
-"Use the document.browse.minimum_refresh_time to control the minimum\n"
-"number of seconds a refresh will wait."
+"Automatically follow document-specified refresh directives ('<meta> refresh' "
+"tags). Web-page authors use these to instruct the browser to reload a "
+"document at a given interval or to load another page. Regardless of the "
+"value the refresh URI is accessible as a link.\n"
+"\n"
+"Use the document.browse.minimum_refresh_time to control the minimum number "
+"of seconds a refresh will wait."
 msgstr ""
 
-#: src/config/options.inc:441
+#: src/config/options.inc:466
 msgid "Document meta refresh minimum time"
 msgstr ""
 
-#: src/config/options.inc:443
+#: src/config/options.inc:468
 msgid ""
-"The minimum number of milliseconds that should pass before\n"
-"refreshing. If set to zero the document refresh time is used\n"
-"unchanged. It can fix going back in history for some sites that\n"
-"use refreshing with zero values."
+"The minimum number of milliseconds that should pass before refreshing. If "
+"set to zero the document refresh time is used unchanged. It can fix going "
+"back in history for some sites that use refreshing with zero values."
 msgstr ""
 
-#: src/config/options.inc:448
+#: src/config/options.inc:473
 msgid "Tables navigation order"
 msgstr ""
 
-#: src/config/options.inc:450
+#: src/config/options.inc:475
 msgid "Move by columns in table, instead of rows."
 msgstr ""
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:456
+#: src/config/options.inc:481
 #, fuzzy
 msgid "Cache"
 msgstr "Anuleaz"
 
-#: src/config/options.inc:458
+#: src/config/options.inc:483
 #, fuzzy
 msgid "Cache options."
 msgstr "~Salveaz opiunile"
 
-#: src/config/options.inc:460
+#: src/config/options.inc:485
 msgid "Cache information about redirects"
 msgstr ""
 
-#: src/config/options.inc:462
+#: src/config/options.inc:487
 msgid ""
-"Cache even redirects sent by server (usually thru HTTP by a 302\n"
-"HTTP code and a Location header). This was the original behaviour\n"
-"for quite some time, but it causes problems in a situation very\n"
-"common to various web login systems - frequently, when accessing\n"
-"a certain location, they will redirect you to a login page if they\n"
-"don't receive an auth cookie, the login page then gives you the\n"
-"cookie and redirects you back to the original page, but there you\n"
-"have already cached redirect back to the login page! If this\n"
-"option has value of 0, this malfunction is fixed, but occasionally\n"
-"you may get superfluous (depends on how you take it ;-) requests to\n"
-"the server. If this option has value of 1, experienced users can\n"
-"still workaround it by clever combination of usage of reload,\n"
-"jumping around in session history and hitting ctrl+enter.\n"
-"Note that this option is checked when retrieving the information\n"
-"from cache, not when saving it to cache - thus if you enable\n"
-"it, even previous redirects will be taken from cache instead of\n"
-"asking the server."
+"Cache even redirects sent by server (usually thru HTTP by a 302 HTTP code "
+"and a Location header). This was the original behaviour for quite some time, "
+"but it causes problems in a situation very common to various web login "
+"systems - frequently, when accessing a certain location, they will redirect "
+"you to a login page if they don't receive an auth cookie, the login page "
+"then gives you the cookie and redirects you back to the original page, but "
+"there you have already cached redirect back to the login page! If this "
+"option has value of 0, this malfunction is fixed, but occasionally you may "
+"get superfluous (depends on how you take it ;-) requests to the server. If "
+"this option has value of 1, experienced users can still workaround it by "
+"clever combination of usage of reload, jumping around in session history and "
+"hitting ctrl+enter.\n"
+"\n"
+"Note that this option is checked when retrieving the information from cache, "
+"not when saving it to cache - thus if you enable it, even previous redirects "
+"will be taken from cache instead of asking the server."
 msgstr ""
 
-#: src/config/options.inc:480
+#: src/config/options.inc:508
 msgid "Ignore cache-control info from server"
 msgstr ""
 
-#: src/config/options.inc:482
+#: src/config/options.inc:510
 msgid ""
-"Ignore Cache-Control and Pragma server headers.\n"
-"When set, the document is cached even with 'Cache-Control: no-cache'."
+"Ignore Cache-Control and Pragma server headers. When set, the document is "
+"cached even with 'Cache-Control: no-cache'."
 msgstr ""
 
-#: src/config/options.inc:485
+#: src/config/options.inc:514
 #, fuzzy
 msgid "Formatted documents"
 msgstr "Cache de document formatat"
 
-#: src/config/options.inc:487
+#: src/config/options.inc:516
 msgid "Format cache options."
 msgstr ""
 
-#: src/config/options.inc:489
+#: src/config/options.inc:518
 #, fuzzy
 msgid "Number"
 msgstr "Numr greit"
 
-#: src/config/options.inc:491
+#: src/config/options.inc:520
 msgid ""
-"Number of cached formatted pages. Do not get too generous\n"
-"here, 'formatted' means that all the accompanying structures\n"
-"are kept in memory so that you get the cached document\n"
-"immediatelly, but these structures may take a lot - 2x the\n"
-"size of the HTML source is probably not unusual, but it can\n"
-"be even more if the document consists of a lot of short lines\n"
-"(padded right, if possible) and links and not much other markup.\n"
-"So if you set this to 256 and then you don't like your ELinks\n"
-"eating 90M, don't come complaining to us. ;-)\n"
-"Also note that the format cache itself is not counted to the\n"
-"memory cache size, but the HTML source of the formatted documents\n"
-"is always cached, even if it is over the memory cache size\n"
-"threshold. (Then of course no other documents can be cached.)"
+"Number of cached formatted pages. Do not get too generous here, 'formatted' "
+"means that all the accompanying structures are kept in memory so that you "
+"get the cached document immediatelly, but these structures may take a lot - "
+"2x the size of the HTML source is probably not unusual, but it can be even "
+"more if the document consists of a lot of short lines (padded right, if "
+"possible) and links and not much other markup. So if you set this to 256 and "
+"then you don't like your ELinks eating 90M, don't come complaining to "
+"us. ;-)\n"
+"\n"
+"Also note that the format cache itself is not counted to the memory cache "
+"size, but the HTML source of the formatted documents is always cached, even "
+"if it is over the memory cache size threshold. (Then of course no other "
+"documents can be cached.)"
 msgstr ""
 
 #. FIXME: Write more.
-#: src/config/options.inc:506
+#: src/config/options.inc:538
 #, fuzzy
 msgid "Revalidation interval"
 msgstr "Eroare la salvare"
 
-#: src/config/options.inc:508
+#: src/config/options.inc:540
 msgid ""
-"Period in seconds that a cache entry is considered to be\n"
-"up-to-date. When a document is loaded and this interval has elapsed\n"
-"since the document was initially loaded or most recently\n"
-"revalidated with the server, the server will be checked in case\n"
-"there is a more up-to-date version of the document.\n"
+"Period in seconds that a cache entry is considered to be up-to-date. When a "
+"document is loaded and this interval has elapsed since the document was "
+"initially loaded or most recently revalidated with the server, the server "
+"will be checked in case there is a more up-to-date version of the document.\n"
 "\n"
 "A value of -1 disables automatic revalidation."
 msgstr ""
 
-#: src/config/options.inc:515 src/dialogs/info.c:199
+#: src/config/options.inc:549 src/dialogs/info.c:199
 msgid "Memory cache"
 msgstr "Memorie cache"
 
-#: src/config/options.inc:517
+#: src/config/options.inc:551
 #, fuzzy
 msgid "Memory cache options."
 msgstr "Memorie cache"
 
-#: src/config/options.inc:521
+#: src/config/options.inc:555
 #, fuzzy
 msgid "Memory cache size (in bytes)."
 msgstr "Memorie cache"
 
-#: src/config/options.inc:525
+#: src/config/options.inc:559
 #, fuzzy
 msgid "Charset"
 msgstr "Setul de caract~ere"
 
-#: src/config/options.inc:527
+#: src/config/options.inc:561
 #, fuzzy
 msgid "Charset options."
 msgstr "~Salveaz opiunile"
 
-#: src/config/options.inc:529
+#: src/config/options.inc:563
 msgid "Default codepage"
 msgstr ""
 
-#: src/config/options.inc:531
+#: src/config/options.inc:565
 msgid ""
-"Default document codepage. 'System' stands for\n"
-"a codepage determined by a selected locale."
+"Default document codepage. 'System' stands for a codepage determined by a "
+"selected locale."
 msgstr ""
 
-#: src/config/options.inc:534
+#: src/config/options.inc:568
 msgid "Ignore charset info from server"
 msgstr ""
 
-#: src/config/options.inc:536
+#: src/config/options.inc:570
 msgid "Ignore charset info sent by server."
 msgstr ""
 
-#: src/config/options.inc:540
+#: src/config/options.inc:574
 msgid "Default color settings"
 msgstr ""
 
-#: src/config/options.inc:542
+#: src/config/options.inc:576
 msgid "Default document color settings."
 msgstr ""
 
-#: src/config/options.inc:553
+#: src/config/options.inc:587
 msgid "Link color"
 msgstr ""
 
-#: src/config/options.inc:555
+#: src/config/options.inc:589
 msgid "Default link color."
 msgstr ""
 
-#: src/config/options.inc:557
+#: src/config/options.inc:591
 msgid "Visited-link color"
 msgstr ""
 
-#: src/config/options.inc:559
+#: src/config/options.inc:593
 msgid "Default visited link color."
 msgstr ""
 
-#: src/config/options.inc:561
+#: src/config/options.inc:595
 #, fuzzy
 msgid "Image-link color"
 msgstr "Oprirea ~descrcrilor din fundal"
 
-#: src/config/options.inc:563
+#: src/config/options.inc:597
 #, fuzzy
 msgid "Default image link color."
 msgstr "Oprirea ~descrcrilor din fundal"
 
-#: src/config/options.inc:565
+#: src/config/options.inc:599
 msgid "Bookmarked-link color"
 msgstr ""
 
-#: src/config/options.inc:567
+#: src/config/options.inc:601
 #, fuzzy
 msgid "Default bookmarked link color."
 msgstr "Oprirea ~descrcrilor din fundal"
 
-#: src/config/options.inc:569
+#: src/config/options.inc:603
 msgid "Directory color"
 msgstr ""
 
-#: src/config/options.inc:571
+#: src/config/options.inc:605
 msgid ""
 "Default directory color.\n"
+"\n"
 "See document.browse.links.color_dirs option."
 msgstr ""
 
-#: src/config/options.inc:578
+#: src/config/options.inc:613
 msgid "Increase contrast"
 msgstr ""
 
-#: src/config/options.inc:580
+#: src/config/options.inc:615
 msgid ""
-"Increase the contrast between the foreground and background colors\n"
-"to ensure readability. For example it disallows dark colors on a\n"
-"black background. Note, this is different from ensuring the contrast\n"
-"with the ensure_contrast option."
+"Increase the contrast between the foreground and background colors to ensure "
+"readability. For example it disallows dark colors on a black background. "
+"Note, this is different from ensuring the contrast with the ensure_contrast "
+"option."
 msgstr ""
 
-#: src/config/options.inc:585
+#: src/config/options.inc:621
 msgid "Ensure contrast"
 msgstr ""
 
-#: src/config/options.inc:587
+#: src/config/options.inc:623
 msgid "Makes sure that the back- and foreground colors are never equal."
 msgstr ""
 
 #. If you change this please also change ACT_MAIN_DOCUMENT_COLORS action
 #. * handling.
-#: src/config/options.inc:592
+#: src/config/options.inc:628
 msgid "Use document-specified colors"
 msgstr ""
 
-#: src/config/options.inc:594
+#: src/config/options.inc:630
 msgid ""
 "Use colors specified in document:\n"
 "0 is use always the default settings\n"
@@ -2994,40 +2995,40 @@ msgid ""
 msgstr ""
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:607
+#: src/config/options.inc:643
 #, fuzzy
 msgid "Downloading"
 msgstr "ncarc"
 
-#: src/config/options.inc:609
+#: src/config/options.inc:645
 msgid "Options regarding files downloading and handling."
 msgstr ""
 
-#: src/config/options.inc:611
+#: src/config/options.inc:647
 #, fuzzy
 msgid "Default download directory"
 msgstr "Eroare la descrcare"
 
-#: src/config/options.inc:613
+#: src/config/options.inc:649
 msgid "Default download directory."
 msgstr ""
 
-#: src/config/options.inc:615
+#: src/config/options.inc:651
 msgid "Set original time"
 msgstr ""
 
-#: src/config/options.inc:617
+#: src/config/options.inc:653
 msgid ""
-"Set the timestamp of each downloaded file to the timestamp\n"
-"stored on the server."
+"Set the timestamp of each downloaded file to the timestamp stored on the "
+"server."
 msgstr ""
 
 #. Does automatic resuming make sense as an option?
-#: src/config/options.inc:621
+#: src/config/options.inc:657
 msgid "Prevent overwriting"
 msgstr ""
 
-#: src/config/options.inc:623
+#: src/config/options.inc:659
 msgid ""
 "Prevent overwriting the local files:\n"
 "0 is files will silently be overwritten\n"
@@ -3035,11 +3036,11 @@ msgid ""
 "2 is ask the user"
 msgstr ""
 
-#: src/config/options.inc:628
+#: src/config/options.inc:664
 msgid "Notify download completion by bell"
 msgstr ""
 
-#: src/config/options.inc:630
+#: src/config/options.inc:666
 msgid ""
 "Audio notification when download is completed:\n"
 "0 is never\n"
@@ -3047,27 +3048,27 @@ msgid ""
 "2 is always"
 msgstr ""
 
-#: src/config/options.inc:636
+#: src/config/options.inc:672
 msgid "Dump output"
 msgstr ""
 
-#: src/config/options.inc:638
+#: src/config/options.inc:674
 msgid "Dump output options."
 msgstr ""
 
 #. OPT_CODEPAGE
-#: src/config/options.inc:640 src/config/options.inc:912
+#: src/config/options.inc:676 src/config/options.inc:980
 #: src/config/opttypes.c:481 src/dialogs/document.c:164
 msgid "Codepage"
 msgstr "Codare"
 
-#: src/config/options.inc:642
+#: src/config/options.inc:678
 msgid ""
-"Codepage used in dump output. 'System' stands for\n"
-"a codepage determined by a selected locale."
+"Codepage used in dump output. 'System' stands for a codepage determined by a "
+"selected locale."
 msgstr ""
 
-#: src/config/options.inc:645 src/config/options.inc:878
+#: src/config/options.inc:681 src/config/options.inc:941
 #, fuzzy
 msgid "Color mode"
 msgstr "Culoare"
@@ -3077,12 +3078,14 @@ msgstr "Culoare"
 #. * an outer list entry after an inner list.
 #. * TRANSLATORS: This restriction applies only to the
 #. * "en" (English) translation.  (See doc/Makefile.)
-#: src/config/options.inc:652
+#: src/config/options.inc:688
 msgid ""
 "Color mode for dumps.\n"
+"\n"
 "Some modes may have been disabled at compile time. The Setup -> Terminal "
 "options dialog lists the modes supported by this executable. If you select "
 "an unsupported mode, ELinks uses 16 colors.\n"
+"\n"
 "The color modes are:\n"
 "-1 is standard dump mode\n"
 "0 is mono mode\n"
@@ -3092,127 +3095,125 @@ msgid ""
 "4 is true color mode"
 msgstr ""
 
-#: src/config/options.inc:665
+#: src/config/options.inc:703
 msgid "Footer"
 msgstr ""
 
-#: src/config/options.inc:667
+#: src/config/options.inc:705
 #, c-format
 msgid "Footer string used in dumps. %u is substituted by URL."
 msgstr ""
 
-#: src/config/options.inc:671
+#: src/config/options.inc:709
 #, c-format
 msgid "Header string used in dumps. %u is substituted by URL."
 msgstr ""
 
-#: src/config/options.inc:673
+#: src/config/options.inc:711
 #, fuzzy
 msgid "Numbering"
 msgstr "Numr greit"
 
-#: src/config/options.inc:675
+#: src/config/options.inc:713
 msgid "Whether to print link numbers in dump output."
 msgstr ""
 
-#: src/config/options.inc:677
+#: src/config/options.inc:715
 #, fuzzy
 msgid "References"
 msgstr "Resurse"
 
-#: src/config/options.inc:679
-msgid ""
-"Whether to print references (URIs) of document links\n"
-"in dump output."
+#: src/config/options.inc:717
+msgid "Whether to print references (URIs) of document links in dump output."
 msgstr ""
 
-#: src/config/options.inc:682
+#: src/config/options.inc:720
 msgid "Separator"
 msgstr ""
 
-#: src/config/options.inc:684
+#: src/config/options.inc:722
 msgid "String which separates two dumps."
 msgstr ""
 
-#: src/config/options.inc:686
+#: src/config/options.inc:724
 msgid "Width"
 msgstr ""
 
-#: src/config/options.inc:688
+#: src/config/options.inc:726
 msgid "Width of screen in characters when dumping documents."
 msgstr ""
 
-#: src/config/options.inc:692
+#: src/config/options.inc:730
 #, fuzzy
 msgid "History"
 msgstr "Is~toric"
 
-#: src/config/options.inc:694
+#: src/config/options.inc:732
 msgid "History options."
 msgstr ""
 
-#: src/config/options.inc:696
+#: src/config/options.inc:734
 #, fuzzy
 msgid "Keep unhistory"
 msgstr "Fr istoric"
 
-#: src/config/options.inc:698
+#: src/config/options.inc:736
 #, fuzzy
 msgid "Keep unhistory (\"forward history\")."
 msgstr "Fr istoric"
 
-#: src/config/options.inc:701
+#: src/config/options.inc:739
 #, fuzzy
 msgid "HTML rendering"
 msgstr "Transfer"
 
-#: src/config/options.inc:703
+#: src/config/options.inc:741
 msgid "Options concerning the display of HTML pages."
 msgstr ""
 
-#: src/config/options.inc:705
+#: src/config/options.inc:743
 #, fuzzy
 msgid "Display frames"
 msgstr "Arat"
 
-#: src/config/options.inc:707
+#: src/config/options.inc:745
 #, fuzzy
 msgid "Display frames."
 msgstr "Arat"
 
-#: src/config/options.inc:709
+#: src/config/options.inc:747
 #, fuzzy
 msgid "Display tables"
 msgstr "Arat"
 
-#: src/config/options.inc:711
+#: src/config/options.inc:749
 #, fuzzy
 msgid "Display tables."
 msgstr "Arat"
 
-#: src/config/options.inc:713
+#: src/config/options.inc:751
 #, fuzzy
 msgid "Display subscripts"
 msgstr "Arat ~usemap"
 
-#: src/config/options.inc:715
+#: src/config/options.inc:753
 msgid "Display subscripts (as [thing])."
 msgstr ""
 
-#: src/config/options.inc:717
+#: src/config/options.inc:755
 #, fuzzy
 msgid "Display superscripts"
 msgstr "Arat ~usemap"
 
-#: src/config/options.inc:719
+#: src/config/options.inc:757
 msgid "Display superscripts (as ^thing)."
 msgstr ""
 
-#: src/config/options.inc:721
+#: src/config/options.inc:759
 msgid "Rendering of HTML link element"
 msgstr ""
 
-#: src/config/options.inc:723
+#: src/config/options.inc:761
 msgid ""
 "How to render <link> tags from the HTML header:\n"
 "0 is nothing\n"
@@ -3223,145 +3224,143 @@ msgid ""
 "5 is everything"
 msgstr ""
 
-#: src/config/options.inc:731
+#: src/config/options.inc:769
 msgid "Underline links"
 msgstr ""
 
-#: src/config/options.inc:733
+#: src/config/options.inc:771
 msgid "Underline links."
 msgstr ""
 
-#: src/config/options.inc:735
+#: src/config/options.inc:773
 msgid "Wrap non breaking space"
 msgstr ""
 
-#: src/config/options.inc:737
+#: src/config/options.inc:775
 msgid ""
-"If set do not honour non breaking space (the nbsp entity)\n"
-"but allow to wrap the text. This can help keeping the width\n"
-"of documents down so no horizontal scrolling is needed."
+"If set do not honour non breaking space (the nbsp entity) but allow to wrap "
+"the text. This can help keeping the width of documents down so no horizontal "
+"scrolling is needed."
 msgstr ""
 
-#: src/config/options.inc:742
+#: src/config/options.inc:780
 #, fuzzy
 msgid "Plain rendering"
 msgstr "Transfer"
 
-#: src/config/options.inc:744
+#: src/config/options.inc:782
 msgid "Options concerning the display of plain text pages."
 msgstr ""
 
-#: src/config/options.inc:746
+#: src/config/options.inc:784
 #, fuzzy
 msgid "Display URIs"
 msgstr "Arat"
 
-#: src/config/options.inc:748
+#: src/config/options.inc:786
 msgid "Display URIs in the document as links."
 msgstr ""
 
-#: src/config/options.inc:750
+#: src/config/options.inc:788
 msgid "Compress empty lines"
 msgstr ""
 
-#: src/config/options.inc:752
+#: src/config/options.inc:790
 msgid "Compress successive empty lines to only one in displayed text."
 msgstr ""
 
-#: src/config/options.inc:755
+#: src/config/options.inc:794
 msgid "URI passing"
 msgstr ""
 
-#: src/config/options.inc:757
+#: src/config/options.inc:796
 msgid ""
-"Rules for passing URIs to external commands. When one rule\n"
-"is defined the link and tab menu will have a menu item that\n"
-"makes it possible to pass the the link, frame or tab URI to\n"
-"an external command. If several rules are defined the link and\n"
-"tab menu will have a submenu of items for each rule. Note, this\n"
-"is mostly useful for launching graphical viewers, since there\n"
-"is no support for releasing the terminal while the command runs.\n"
-"The action and submenus are also available by binding keys to\n"
-"the frame-external-command, the link-external-command, and\n"
-"the tab-external-command actions."
+"Rules for passing URIs to external commands. When one rule is defined the "
+"link and tab menu will have a menu item that makes it possible to pass the "
+"the link, frame or tab URI to an external command. If several rules are "
+"defined the link and tab menu will have a submenu of items for each rule.\n"
+"\n"
+"Note, this is mostly useful for launching graphical viewers, since there is "
+"no support for releasing the terminal while the command runs. The action and "
+"submenus are also available by binding keys to the frame-external-command, "
+"the link-external-command, and the tab-external-command actions."
 msgstr ""
 
-#: src/config/options.inc:770
+#: src/config/options.inc:812
 msgid ""
-"A rule for passing URI to an external command.\n"
-"The format is:\n"
+"A rule for passing URI to an external command. The format is:\n"
 "%c in the string means the current URL\n"
 "%% in the string means '%'\n"
 "Do _not_ put single- or double-quotes around %c."
 msgstr ""
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:780
+#: src/config/options.inc:822
 msgid "Information files"
 msgstr ""
 
-#: src/config/options.inc:782
+#: src/config/options.inc:824
 msgid "Options for information files in ~/.elinks."
 msgstr ""
 
-#: src/config/options.inc:784
+#: src/config/options.inc:826
 #, fuzzy
 msgid "Save interval"
 msgstr "Eroare la salvare"
 
-#: src/config/options.inc:786
+#: src/config/options.inc:828
 msgid ""
-"Interval at which to trigger information files in ~/.elinks\n"
-"to be saved to disk if they have changed (seconds; 0 to disable)"
+"Interval at which to trigger information files in ~/.elinks to be saved to "
+"disk if they have changed (seconds; 0 to disable)"
 msgstr ""
 
-#: src/config/options.inc:789
+#: src/config/options.inc:832
 msgid "Use secure file saving"
 msgstr ""
 
-#: src/config/options.inc:791
+#: src/config/options.inc:834
 msgid ""
-"First write data to unique temporary file, then rename this file\n"
-"upon successfully finishing this. Note that this relates only to\n"
-"config files, not downloaded files. You may want to disable\n"
-"it if you are using some exotic permissions for concerned files.\n"
-"Secure file saving is automagically disabled if file is symlink.\n"
-"Warning: some systems (ie. OS/2, Win32) require that destination\n"
-"file doesn't exist when rename(3) is called, breaking atomicity,\n"
-"and reducing reliability of this feature."
+"First write data to unique temporary file, then rename this file upon "
+"successfully finishing this. Note that this relates only to config files, "
+"not downloaded files. You may want to disable it if you are using some "
+"exotic permissions for concerned files. Secure file saving is automagically "
+"disabled if file is symlink.\n"
+"\n"
+"Warning: some systems (ie. OS/2, Win32) require that destination file "
+"doesn't exist when rename(3) is called, breaking atomicity, and reducing "
+"reliability of this feature."
 msgstr ""
 
-#: src/config/options.inc:800
+#: src/config/options.inc:846
 msgid "Use fsync(3) with secure file saving"
 msgstr ""
 
-#: src/config/options.inc:802
+#: src/config/options.inc:848
 msgid ""
-"When using secure file saving, call fsync(3), if the OS\n"
-"supports it, to force the OS immediately to write the data\n"
-"to permanent storage. This is optional for those who wish\n"
-"to avoid excessive disk I/O."
+"When using secure file saving, call fsync(3), if the OS supports it, to "
+"force the OS immediately to write the data to permanent storage. This is "
+"optional for those who wish to avoid excessive disk I/O."
 msgstr ""
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:811
+#: src/config/options.inc:857
 #, fuzzy
 msgid "Terminals"
 msgstr "Opiuni de terminal"
 
-#: src/config/options.inc:813
+#: src/config/options.inc:859
 #, fuzzy
 msgid "Terminal options."
 msgstr "Opiuni de terminal"
 
-#: src/config/options.inc:817
+#: src/config/options.inc:863
 msgid "Options specific to this terminal type (according to $TERM value)."
 msgstr ""
 
-#: src/config/options.inc:842
+#: src/config/options.inc:889
 msgid ""
-"Terminal type; matters mostly only when drawing frames and\n"
-"dialog box borders:\n"
+"Terminal type; matters mostly only when drawing frames and dialog box "
+"borders:\n"
 "0 is dumb terminal type, ASCII art\n"
 "1 is VT100, simple but portable\n"
 "2 is Linux, you get double frames and other goodies\n"
@@ -3369,15 +3368,31 @@ msgid ""
 "4 is FreeBSD"
 msgstr ""
 
-#: src/config/options.inc:850 src/dialogs/options.c:227
+#: src/config/options.inc:897
+msgid "Always encode xterm title in ISO-8859-1"
+msgstr ""
+
+#: src/config/options.inc:899
+msgid ""
+"When updating the window title of xterm or a similar terminal emulator, "
+"encode the title in ISO-8859-1 (Latin-1), rather than in the charset used "
+"for other text in the window. Cyrillic and other characters get replaced "
+"with Latin ones. Xterm requires this unless you explicitly enable UTF-8 "
+"titles in it.\n"
+"\n"
+"If this option does not take effect immediately, try switching to a "
+"different page so that ELinks notices it needs to update the title."
+msgstr ""
+
+#: src/config/options.inc:910 src/dialogs/options.c:227
 msgid "Switch fonts for line drawing"
 msgstr ""
 
-#: src/config/options.inc:852
+#: src/config/options.inc:912
 msgid ""
-"Switch fonts when drawing lines, enabling both local characters\n"
-"and lines working at the same time. ELinks uses this option only if\n"
-"UTF-8 I/O is disabled and the terminal type is Linux or FreeBSD."
+"Switch fonts when drawing lines, enabling both local characters and lines "
+"working at the same time. ELinks uses this option only if UTF-8 I/O is "
+"disabled and the terminal type is Linux or FreeBSD."
 msgstr ""
 
 #. When CONFIG_UTF8 is defined, any code that reads the "utf_8_io"
@@ -3385,37 +3400,37 @@ msgstr ""
 #. * and if so, behave as if "utf_8_io" were 1.  (When CONFIG_UTF8 is
 #. * not defined, it should not be possible to set UTF-8 as "codepage";
 #. * please report any such possibilities as bugs.)
-#: src/config/options.inc:861 src/dialogs/options.c:232
+#: src/config/options.inc:922 src/dialogs/options.c:232
 msgid "UTF-8 I/O"
 msgstr ""
 
-#: src/config/options.inc:863
+#: src/config/options.inc:924
 msgid ""
-"Enable I/O in UTF-8 for Unicode terminals. Note that currently,\n"
-"only the subset of UTF-8 according to terminal codepage is used.\n"
-"ELinks ignores this option if the terminal codepage is UTF-8."
+"Enable I/O in UTF-8 for Unicode terminals. Note that currently, only the "
+"subset of UTF-8 according to terminal codepage is used. ELinks ignores this "
+"option if the terminal codepage is UTF-8."
 msgstr ""
 
-#: src/config/options.inc:867 src/dialogs/options.c:228
+#: src/config/options.inc:929 src/dialogs/options.c:228
 msgid "Restrict frames in cp850/852"
 msgstr "Limiteaz cadrurile in cp850/852"
 
-#: src/config/options.inc:869
+#: src/config/options.inc:931
 msgid ""
-"Restrict the characters used when drawing lines. Makes sense\n"
-"only with linux terminals using the cp850/852 character sets."
+"Restrict the characters used when drawing lines. Makes sense only with linux "
+"terminals using the cp850/852 character sets."
 msgstr ""
 
-#: src/config/options.inc:872 src/dialogs/options.c:229
+#: src/config/options.inc:935 src/dialogs/options.c:229
 #, fuzzy
 msgid "Block cursor"
 msgstr "Cursor bloc"
 
-#: src/config/options.inc:874
+#: src/config/options.inc:937
 msgid ""
-"Move cursor to bottom right corner when done drawing.\n"
-"This is particularly useful when we have a block cursor,\n"
-"so that inversed text is displayed correctly."
+"Move cursor to bottom right corner when done drawing. This is particularly "
+"useful when we have a block cursor, so that inversed text is displayed "
+"correctly."
 msgstr ""
 
 #. The list of modes must be at the end of this string
@@ -3423,13 +3438,15 @@ msgstr ""
 #. * an outer list entry after an inner list.
 #. * TRANSLATORS: This restriction applies only to the
 #. * "en" (English) translation.  (See doc/Makefile.)
-#: src/config/options.inc:885
+#: src/config/options.inc:948
 msgid ""
 "The color mode controls what colors are used and how they are output to the "
 "terminal.\n"
+"\n"
 "Some modes may have been disabled at compile time. The Setup -> Terminal "
 "options dialog lists the modes supported by this executable. If you select "
 "an unsupported mode, ELinks uses 16 colors.\n"
+"\n"
 "The color modes are:\n"
 "0 is mono mode, only 2 colors are used\n"
 "1 is 16 color mode, uses the common ANSI colors\n"
@@ -3438,425 +3455,422 @@ msgid ""
 "4 is true color mode, uses konsole RGB codes"
 msgstr ""
 
-#: src/config/options.inc:898 src/dialogs/options.c:230
+#: src/config/options.inc:963 src/dialogs/options.c:230
 msgid "Transparency"
 msgstr ""
 
-#: src/config/options.inc:900
+#: src/config/options.inc:965
 msgid ""
-"If we should not set the background to black. This is particularly\n"
-"useful when we have a terminal (typically in some windowing\n"
-"environment) with a background image or a transparent background -\n"
-"it will be visible in ELinks as well (but ELinks document color handling\n"
-"will still assume the background is black so if you have a bright "
-"background\n"
-"you might experience contrast problems). Note that this option makes\n"
-"sense only when colors are enabled."
+"If we should not set the background to black. This is particularly useful "
+"when we have a terminal (typically in some windowing environment) with a "
+"background image or a transparent background - it will be visible in ELinks "
+"as well (but ELinks document color handling will still assume the background "
+"is black so if you have a bright background you might experience contrast "
+"problems). Note that this option makes sense only when colors are enabled."
 msgstr ""
 
-#: src/config/options.inc:910
+#: src/config/options.inc:977
 msgid "If we should use underline or enhance the color instead."
 msgstr ""
 
-#: src/config/options.inc:914
+#: src/config/options.inc:982
 msgid ""
-"Codepage of charset used for displaying content on terminal.\n"
-"'System' stands for a codepage determined by a selected locale."
+"Codepage of charset used for displaying content on terminal. 'System' stands "
+"for a codepage determined by a selected locale."
 msgstr ""
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:921
+#: src/config/options.inc:990
 msgid "User interface"
 msgstr ""
 
-#: src/config/options.inc:923
+#: src/config/options.inc:992
 #, fuzzy
 msgid "User interface options."
 msgstr "Opiuni de terminal"
 
-#: src/config/options.inc:927
+#: src/config/options.inc:996
 msgid "Color settings"
 msgstr ""
 
-#: src/config/options.inc:929
+#: src/config/options.inc:998
 msgid "Default user interface color settings."
 msgstr ""
 
-#: src/config/options.inc:956
+#: src/config/options.inc:1025
 #, fuzzy
 msgid "Color terminals"
 msgstr "Terminal ~BeOS"
 
-#: src/config/options.inc:958
+#: src/config/options.inc:1027
 msgid "Color settings for color terminal."
 msgstr ""
 
-#: src/config/options.inc:960
+#: src/config/options.inc:1029
 msgid "Non-color terminals"
 msgstr ""
 
-#: src/config/options.inc:962
+#: src/config/options.inc:1031
 msgid "Color settings for non-color terminal."
 msgstr ""
 
 #. FIXME: obsolete, how to alias them correctly ? --Zas
-#: src/config/options.inc:965
+#: src/config/options.inc:1034
 msgid "Main menu bar"
 msgstr ""
 
-#: src/config/options.inc:967
+#: src/config/options.inc:1036
 msgid "Main menu bar colors."
 msgstr ""
 
-#: src/config/options.inc:969
+#: src/config/options.inc:1038
 msgid "Unselected main menu bar item"
 msgstr ""
 
-#: src/config/options.inc:971
+#: src/config/options.inc:1040
 msgid "Unselected main menu bar item colors."
 msgstr ""
 
-#: src/config/options.inc:973
+#: src/config/options.inc:1042
 msgid "Selected main menu bar item"
 msgstr ""
 
-#: src/config/options.inc:975
+#: src/config/options.inc:1044
 msgid "Selected main menu bar item colors."
 msgstr ""
 
-#: src/config/options.inc:977 src/config/options.inc:1006
+#: src/config/options.inc:1046 src/config/options.inc:1075
 msgid "Hotkey"
 msgstr ""
 
-#: src/config/options.inc:979
+#: src/config/options.inc:1048
 msgid "Main menu hotkey colors."
 msgstr ""
 
-#: src/config/options.inc:981 src/config/options.inc:1010
+#: src/config/options.inc:1050 src/config/options.inc:1079
 msgid "Unselected hotkey"
 msgstr ""
 
-#: src/config/options.inc:983
+#: src/config/options.inc:1052
 msgid "Main menu unselected hotkey colors."
 msgstr ""
 
-#: src/config/options.inc:985 src/config/options.inc:1014
+#: src/config/options.inc:1054 src/config/options.inc:1083
 #, fuzzy
 msgid "Selected hotkey"
 msgstr "Selecteaz cmpul"
 
-#: src/config/options.inc:987
+#: src/config/options.inc:1056
 msgid "Main menu selected hotkey colors."
 msgstr ""
 
-#: src/config/options.inc:990
+#: src/config/options.inc:1059
 msgid "Menu bar"
 msgstr ""
 
-#: src/config/options.inc:992
+#: src/config/options.inc:1061
 msgid "Menu bar colors."
 msgstr ""
 
-#: src/config/options.inc:994
+#: src/config/options.inc:1063
 msgid "Unselected menu item"
 msgstr ""
 
-#: src/config/options.inc:996
+#: src/config/options.inc:1065
 msgid "Unselected menu item colors."
 msgstr ""
 
-#: src/config/options.inc:998
+#: src/config/options.inc:1067
 #, fuzzy
 msgid "Selected menu item"
 msgstr "Selecteaz cmpul"
 
-#: src/config/options.inc:1000
+#: src/config/options.inc:1069
 msgid "Selected menu item colors."
 msgstr ""
 
-#: src/config/options.inc:1002
+#: src/config/options.inc:1071
 #, fuzzy
 msgid "Marked menu item"
 msgstr "Selecteaz cmpul"
 
-#: src/config/options.inc:1004
+#: src/config/options.inc:1073
 msgid "Marked menu item colors."
 msgstr ""
 
-#: src/config/options.inc:1008
+#: src/config/options.inc:1077
 msgid "Menu item hotkey colors."
 msgstr ""
 
-#: src/config/options.inc:1012
+#: src/config/options.inc:1081
 msgid "Menu item unselected hotkey colors."
 msgstr ""
 
-#: src/config/options.inc:1016
+#: src/config/options.inc:1085
 msgid "Menu item selected hotkey colors."
 msgstr ""
 
-#: src/config/options.inc:1018
+#: src/config/options.inc:1087
 #, fuzzy
 msgid "Menu frame"
 msgstr "Fr cadruri"
 
-#: src/config/options.inc:1020
+#: src/config/options.inc:1089
 msgid "Menu frame colors."
 msgstr ""
 
-#: src/config/options.inc:1023
+#: src/config/options.inc:1092
 msgid "Dialog"
 msgstr ""
 
-#: src/config/options.inc:1025
+#: src/config/options.inc:1094
 msgid "Dialog colors."
 msgstr ""
 
-#: src/config/options.inc:1035
+#: src/config/options.inc:1104
 msgid "Generic"
 msgstr ""
 
-#: src/config/options.inc:1037
+#: src/config/options.inc:1106
 #, fuzzy
 msgid "Generic dialog colors."
 msgstr "Oprirea ~descrcrilor din fundal"
 
-#: src/config/options.inc:1039
+#: src/config/options.inc:1108
 #, fuzzy
 msgid "Frame"
 msgstr "Nume"
 
-#: src/config/options.inc:1041
+#: src/config/options.inc:1110
 msgid "Dialog frame colors."
 msgstr ""
 
-#: src/config/options.inc:1043
+#: src/config/options.inc:1112
 msgid "Scrollbar"
 msgstr ""
 
-#: src/config/options.inc:1045
+#: src/config/options.inc:1114
 msgid "Scrollbar colors."
 msgstr ""
 
-#: src/config/options.inc:1047
+#: src/config/options.inc:1116
 #, fuzzy
 msgid "Selected scrollbar"
 msgstr "Oprirea ~descrcrilor din fundal"
 
-#: src/config/options.inc:1049
+#: src/config/options.inc:1118
 #, fuzzy
 msgid "Scrollbar selected colors."
 msgstr "Oprirea ~descrcrilor din fundal"
 
-#: src/config/options.inc:1053
+#: src/config/options.inc:1122
 msgid "Dialog title colors."
 msgstr ""
 
-#: src/config/options.inc:1055
+#: src/config/options.inc:1124
 #, fuzzy
 msgid "Text"
 msgstr "Arie de text"
 
-#: src/config/options.inc:1057
+#: src/config/options.inc:1126
 msgid "Dialog text colors."
 msgstr ""
 
-#: src/config/options.inc:1059 src/viewer/text/form.c:1862
+#: src/config/options.inc:1128 src/viewer/text/form.c:1891
 msgid "Checkbox"
 msgstr "Checkbox"
 
-#: src/config/options.inc:1061
+#: src/config/options.inc:1130
 msgid "Dialog checkbox colors."
 msgstr ""
 
-#: src/config/options.inc:1063
+#: src/config/options.inc:1132
 #, fuzzy
 msgid "Selected checkbox"
 msgstr "Selecteaz cmpul"
 
-#: src/config/options.inc:1065
+#: src/config/options.inc:1134
 #, fuzzy
 msgid "Dialog selected checkbox colors."
 msgstr "Oprirea ~descrcrilor din fundal"
 
-#: src/config/options.inc:1067
+#: src/config/options.inc:1136
 #, fuzzy
 msgid "Checkbox label"
 msgstr "Checkbox"
 
-#: src/config/options.inc:1069
+#: src/config/options.inc:1138
 msgid "Dialog checkbox label colors."
 msgstr ""
 
-#: src/config/options.inc:1071
+#: src/config/options.inc:1140
 msgid "Button"
 msgstr ""
 
-#: src/config/options.inc:1073 src/config/options.inc:1081
+#: src/config/options.inc:1142 src/config/options.inc:1150
 msgid "Dialog button colors."
 msgstr ""
 
-#: src/config/options.inc:1075
+#: src/config/options.inc:1144
 msgid "Selected button"
 msgstr ""
 
-#: src/config/options.inc:1077 src/config/options.inc:1085
+#: src/config/options.inc:1146 src/config/options.inc:1154
 msgid "Dialog selected button colors."
 msgstr ""
 
-#: src/config/options.inc:1079
+#: src/config/options.inc:1148
 msgid "Button shortcut"
 msgstr ""
 
-#: src/config/options.inc:1083
+#: src/config/options.inc:1152
 #, fuzzy
 msgid "Selected button shortcut"
 msgstr "Selecteaz cmpul"
 
-#: src/config/options.inc:1087 src/viewer/text/form.c:1866
+#: src/config/options.inc:1156 src/viewer/text/form.c:1895
 msgid "Text field"
 msgstr "Cmp de text"
 
-#: src/config/options.inc:1089
+#: src/config/options.inc:1158
 msgid "Dialog text field colors."
 msgstr ""
 
-#: src/config/options.inc:1091
+#: src/config/options.inc:1160
 #, fuzzy
 msgid "Text field text"
 msgstr "Cmp de text"
 
-#: src/config/options.inc:1093
+#: src/config/options.inc:1162
 msgid "Dialog field text colors."
 msgstr ""
 
-#: src/config/options.inc:1095
+#: src/config/options.inc:1164
 msgid "Meter"
 msgstr ""
 
-#: src/config/options.inc:1097
+#: src/config/options.inc:1166
 msgid "Dialog meter colors."
 msgstr ""
 
-#: src/config/options.inc:1099
+#: src/config/options.inc:1168
 msgid "Shadow"
 msgstr ""
 
-#: src/config/options.inc:1101
+#: src/config/options.inc:1170
 msgid "Dialog shadow colors (see ui.shadows option)."
 msgstr ""
 
-#: src/config/options.inc:1103
+#: src/config/options.inc:1172
 msgid "Title bar"
 msgstr ""
 
-#: src/config/options.inc:1105
+#: src/config/options.inc:1174
 msgid "Title bar colors."
 msgstr ""
 
-#: src/config/options.inc:1107
+#: src/config/options.inc:1176
 msgid "Generic title bar"
 msgstr ""
 
-#: src/config/options.inc:1109
+#: src/config/options.inc:1178
 msgid "Generic title bar colors."
 msgstr ""
 
-#: src/config/options.inc:1111
+#: src/config/options.inc:1180
 msgid "Title bar text"
 msgstr ""
 
-#: src/config/options.inc:1113
+#: src/config/options.inc:1182
 msgid "Title bar text colors."
 msgstr ""
 
-#: src/config/options.inc:1116
+#: src/config/options.inc:1185
 msgid "Status bar"
 msgstr ""
 
-#: src/config/options.inc:1118
+#: src/config/options.inc:1187
 msgid "Status bar colors."
 msgstr ""
 
-#: src/config/options.inc:1120
+#: src/config/options.inc:1189
 msgid "Generic status bar"
 msgstr ""
 
-#: src/config/options.inc:1122
+#: src/config/options.inc:1191
 msgid "Generic status bar colors."
 msgstr ""
 
-#: src/config/options.inc:1124
+#: src/config/options.inc:1193
 #, fuzzy
 msgid "Status bar text"
 msgstr "Caut pentru text"
 
-#: src/config/options.inc:1126
+#: src/config/options.inc:1195
 msgid "Status bar text colors."
 msgstr ""
 
-#: src/config/options.inc:1129
+#: src/config/options.inc:1198
 msgid "Tabs bar"
 msgstr ""
 
-#: src/config/options.inc:1131
+#: src/config/options.inc:1200
 msgid "Tabs bar colors."
 msgstr ""
 
-#: src/config/options.inc:1133
+#: src/config/options.inc:1202
 #, fuzzy
 msgid "Unvisited tab"
 msgstr "Selecteaz cmpul"
 
-#: src/config/options.inc:1135
+#: src/config/options.inc:1204
 msgid ""
-"Tab colors for tabs that have not been\n"
-"selected since they completed loading."
+"Tab colors for tabs that have not been selected since they completed loading."
 msgstr ""
 
-#: src/config/options.inc:1138
+#: src/config/options.inc:1207
 #, fuzzy
 msgid "Unselected tab"
 msgstr "Selecteaz cmpul"
 
-#: src/config/options.inc:1140
+#: src/config/options.inc:1209
 #, fuzzy
 msgid "Unselected tab colors."
 msgstr "Oprirea ~descrcrilor din fundal"
 
-#: src/config/options.inc:1142
+#: src/config/options.inc:1211
 #, fuzzy
 msgid "Loading tab"
 msgstr "n curs de ncrcare"
 
-#: src/config/options.inc:1144
+#: src/config/options.inc:1213
 msgid "Tab colors for tabs that are loading in the background."
 msgstr ""
 
-#: src/config/options.inc:1146
+#: src/config/options.inc:1215
 #, fuzzy
 msgid "Selected tab"
 msgstr "Selecteaz cmpul"
 
-#: src/config/options.inc:1148
+#: src/config/options.inc:1217
 #, fuzzy
 msgid "Selected tab colors."
 msgstr "Oprirea ~descrcrilor din fundal"
 
-#: src/config/options.inc:1150
+#: src/config/options.inc:1219
 msgid "Tab separator"
 msgstr ""
 
-#: src/config/options.inc:1152
+#: src/config/options.inc:1221
 msgid "Tab separator colors."
 msgstr ""
 
-#: src/config/options.inc:1155
+#: src/config/options.inc:1224
 #, fuzzy
 msgid "Searched strings"
 msgstr "ir greit"
 
-#: src/config/options.inc:1157
+#: src/config/options.inc:1226
 #, fuzzy
 msgid "Searched string highlight colors."
 msgstr "irul de cutare nu exist"
@@ -3865,69 +3879,69 @@ msgstr "irul de cutare nu exist"
 #. ============= BORING PART (colors) END ===================
 #. ==========================================================
 #. Keep options in alphabetical order.
-#: src/config/options.inc:1166
+#: src/config/options.inc:1235
 msgid "Dialog settings"
 msgstr ""
 
-#: src/config/options.inc:1168
+#: src/config/options.inc:1237
 msgid "Dialogs-specific appearance and behaviour settings."
 msgstr ""
 
-#: src/config/options.inc:1171
+#: src/config/options.inc:1240
 msgid "Minimal height of listbox widget"
 msgstr ""
 
-#: src/config/options.inc:1173
+#: src/config/options.inc:1242
 msgid ""
-"Minimal height of the listbox widget (used e.g. for bookmarks\n"
-"or global history)."
+"Minimal height of the listbox widget (used e.g. for bookmarks or global "
+"history)."
 msgstr ""
 
-#: src/config/options.inc:1176
+#: src/config/options.inc:1245
 msgid "Drop shadows"
 msgstr ""
 
-#: src/config/options.inc:1178
+#: src/config/options.inc:1247
 msgid ""
-"Make dialogs drop shadows (the shadows are solid, you can\n"
-"adjust their color by ui.colors.*.dialog.shadow). You may\n"
-"also want to eliminate the wide borders by adjusting setup.h."
+"Make dialogs drop shadows (the shadows are solid, you can adjust their color "
+"by ui.colors.*.dialog.shadow). You may also want to eliminate the wide "
+"borders by adjusting setup.h."
 msgstr ""
 
-#: src/config/options.inc:1182
+#: src/config/options.inc:1252
 #, fuzzy
 msgid "Underline menu hotkeys"
 msgstr "Selecteaz cmpul"
 
-#: src/config/options.inc:1184
+#: src/config/options.inc:1254
 msgid ""
-"Whether to underline hotkeys in menus to make them more\n"
-"visible. Requires that underlining is enabled for the terminal."
+"Whether to underline hotkeys in menus to make them more visible. Requires "
+"that underlining is enabled for the terminal."
 msgstr ""
 
-#: src/config/options.inc:1187
+#: src/config/options.inc:1258
 #, fuzzy
 msgid "Underline button shortcuts"
 msgstr "Selecteaz cmpul"
 
-#: src/config/options.inc:1189
+#: src/config/options.inc:1260
 msgid ""
-"Whether to underline button shortcuts to make them more\n"
-"visible. Requires that underlining is enabled for the terminal."
+"Whether to underline button shortcuts to make them more visible. Requires "
+"that underlining is enabled for the terminal."
 msgstr ""
 
-#: src/config/options.inc:1193
+#: src/config/options.inc:1265
 #, fuzzy
 msgid "Timer options"
 msgstr "Opiuni de terminal"
 
-#: src/config/options.inc:1195
+#: src/config/options.inc:1267
 msgid ""
-"Timed action after certain interval of user inactivity. Someone can\n"
-"even find this useful, although you may not believe that."
+"Timed action after certain interval of user inactivity. Someone can even "
+"find this useful, although you may not believe that."
 msgstr ""
 
-#: src/config/options.inc:1201
+#: src/config/options.inc:1274
 msgid ""
 "Whether to enable the timer or not:\n"
 "0 is don't count down anything\n"
@@ -3935,7 +3949,7 @@ msgid ""
 "2 is count down and show the timer near LEDs"
 msgstr ""
 
-#: src/config/options.inc:1208
+#: src/config/options.inc:1281
 msgid ""
 "Whether to enable the timer or not:\n"
 "0 is don't count down anything\n"
@@ -3943,35 +3957,35 @@ msgid ""
 "2 is count down and show the timer near LEDs (DISABLED)"
 msgstr ""
 
-#: src/config/options.inc:1214
+#: src/config/options.inc:1287
 msgid "Duration"
 msgstr ""
 
-#: src/config/options.inc:1216
+#: src/config/options.inc:1289
 msgid ""
-"Inactivity timeout in seconds. The maximum of one day\n"
-"should be enough for just everyone (TM)."
+"Inactivity timeout in seconds. The maximum of one day should be enough for "
+"just everyone (TM)."
 msgstr ""
 
-#: src/config/options.inc:1221
+#: src/config/options.inc:1294
 msgid "Keybinding action to be triggered when timer reaches zero."
 msgstr ""
 
-#: src/config/options.inc:1224
+#: src/config/options.inc:1298
 #, fuzzy
 msgid "Window tabs"
 msgstr "~Fereastr"
 
-#: src/config/options.inc:1226
+#: src/config/options.inc:1300
 msgid "Window tabs settings."
 msgstr ""
 
-#: src/config/options.inc:1228
+#: src/config/options.inc:1302
 #, fuzzy
 msgid "Display tabs bar"
 msgstr "Arat ~usemap"
 
-#: src/config/options.inc:1230
+#: src/config/options.inc:1304
 msgid ""
 "Show tabs bar on the screen:\n"
 "0 means never\n"
@@ -3979,170 +3993,169 @@ msgid ""
 "2 means always"
 msgstr ""
 
-#: src/config/options.inc:1235
+#: src/config/options.inc:1309
 msgid "Tab bar at top"
 msgstr ""
 
-#: src/config/options.inc:1237
+#: src/config/options.inc:1311
 msgid "Whether display tab bar at top like other browsers do."
 msgstr ""
 
-#: src/config/options.inc:1239
+#: src/config/options.inc:1313
 msgid "Wrap-around tabs cycling"
 msgstr ""
 
-#: src/config/options.inc:1241
+#: src/config/options.inc:1315
 msgid ""
-"When moving right from the last tab, jump to the first one, and\n"
-"vice versa."
+"When moving right from the last tab, jump to the first one, and vice versa."
 msgstr ""
 
-#: src/config/options.inc:1244
+#: src/config/options.inc:1318
 msgid "Confirm tab closing"
 msgstr ""
 
-#: src/config/options.inc:1246
+#: src/config/options.inc:1320
 msgid "When closing a tab show confirmation dialog."
 msgstr ""
 
 #. OPT_LANGUAGE
-#: src/config/options.inc:1250 src/config/opttypes.c:483
+#: src/config/options.inc:1324 src/config/opttypes.c:483
 msgid "Language"
 msgstr ""
 
-#: src/config/options.inc:1252
+#: src/config/options.inc:1326
 msgid ""
-"Language of user interface. 'System' means that the language will\n"
-"be extracted from the environment dynamically."
+"Language of user interface. 'System' means that the language will be "
+"extracted from the environment dynamically."
 msgstr ""
 
-#: src/config/options.inc:1255
+#: src/config/options.inc:1330
 #, fuzzy
 msgid "Display menu bar always"
 msgstr "Arat ~usemap"
 
-#: src/config/options.inc:1257
+#: src/config/options.inc:1332
 msgid "Always show menu bar on the screen."
 msgstr ""
 
-#: src/config/options.inc:1259
+#: src/config/options.inc:1334
 #, fuzzy
 msgid "Display status bar"
 msgstr "Arat ~usemap"
 
-#: src/config/options.inc:1261
+#: src/config/options.inc:1336
 msgid "Show status bar on the screen."
 msgstr ""
 
-#: src/config/options.inc:1263
+#: src/config/options.inc:1338
 #, fuzzy
 msgid "Display title bar"
 msgstr "Arat ~usemap"
 
-#: src/config/options.inc:1265
+#: src/config/options.inc:1340
 msgid "Show title bar on the screen."
 msgstr ""
 
-#: src/config/options.inc:1267
+#: src/config/options.inc:1342
 msgid "Display goto dialog in new tabs"
 msgstr ""
 
-#: src/config/options.inc:1269
+#: src/config/options.inc:1344
 msgid ""
-"Pop up goto dialog in newly created tabs when there's no homepage\n"
-"set. This means also showing goto dialog on startup."
+"Pop up goto dialog in newly created tabs when there's no homepage set. This "
+"means also showing goto dialog on startup."
 msgstr ""
 
-#: src/config/options.inc:1272
+#: src/config/options.inc:1348
 msgid "Show a message box when file is saved successfully"
 msgstr ""
 
-#: src/config/options.inc:1274
+#: src/config/options.inc:1350
 msgid ""
-"When you pressed a [ Save ] button in some manager, this option\n"
-"will make sure that a box confirming success of the operation will\n"
-"pop up."
+"When you pressed a [ Save ] button in some manager, this option will make "
+"sure that a box confirming success of the operation will pop up."
 msgstr ""
 
-#: src/config/options.inc:1279
+#: src/config/options.inc:1355
 #, fuzzy
 msgid "Sessions"
 msgstr "Extensia (extensiile)"
 
-#: src/config/options.inc:1281
+#: src/config/options.inc:1357
 msgid "Sessions settings."
 msgstr ""
 
-#: src/config/options.inc:1283
+#: src/config/options.inc:1359
 msgid "Keep session active"
 msgstr ""
 
-#: src/config/options.inc:1285
+#: src/config/options.inc:1361
 msgid "Keep the session active even if the last terminal exits."
 msgstr ""
 
-#: src/config/options.inc:1287
+#: src/config/options.inc:1364
 msgid "Auto save session"
 msgstr ""
 
-#: src/config/options.inc:1289
+#: src/config/options.inc:1366
 msgid ""
 "Automatically save the session when quitting.\n"
+"\n"
 "This feature requires bookmark support."
 msgstr ""
 
-#: src/config/options.inc:1292
+#: src/config/options.inc:1370
 msgid "Auto restore session"
 msgstr ""
 
-#: src/config/options.inc:1294
+#: src/config/options.inc:1372
 msgid ""
 "Automatically restore the session at start.\n"
+"\n"
 "This feature requires bookmark support."
 msgstr ""
 
-#: src/config/options.inc:1297
+#: src/config/options.inc:1376
 msgid "Auto save and restore session folder name"
 msgstr ""
 
-#: src/config/options.inc:1299
+#: src/config/options.inc:1378
 msgid ""
-"Name of the bookmarks folder used for auto saving and restoring session.\n"
-"The name has to be unique. Any folders with the same name will be deleted.\n"
+"Name of the bookmarks folder used for auto saving and restoring session. The "
+"name has to be unique. Any folders with the same name will be deleted.\n"
+"\n"
 "This only makes sense with bookmark support."
 msgstr ""
 
-#: src/config/options.inc:1303
+#: src/config/options.inc:1384
 #, fuzzy
 msgid "Homepage URI"
 msgstr "Codare"
 
-#: src/config/options.inc:1305
+#: src/config/options.inc:1386
 msgid ""
-"The URI to load either at startup time when no URI was given\n"
-"on the command line or when requested by the goto-url-home action.\n"
-"Set to \"\" if the environment variable WWW_HOME should be used\n"
-"as homepage URI instead."
+"The URI to load either at startup time when no URI was given on the command "
+"line or when requested by the goto-url-home action. Set to \"\" if the "
+"environment variable WWW_HOME should be used as homepage URI instead."
 msgstr ""
 
-#: src/config/options.inc:1311
+#: src/config/options.inc:1392
 #, fuzzy
 msgid "Date format"
 msgstr "ncrcare de fiier"
 
-#: src/config/options.inc:1313
+#: src/config/options.inc:1394
 msgid "Date format to use in dialogs. See strftime(3)."
 msgstr ""
 
-#: src/config/options.inc:1316
+#: src/config/options.inc:1397
 msgid "Set window title"
 msgstr ""
 
-#: src/config/options.inc:1318
+#: src/config/options.inc:1399
 msgid ""
-"Set the window title when running in a windowing environment\n"
-"in an xterm-like terminal. This way the document's title is\n"
-"shown on the window titlebar."
+"Set the window title when running in a windowing environment in an xterm-"
+"like terminal. This way the document's title is shown on the window titlebar."
 msgstr ""
 
 #: src/config/opttypes.c:54
@@ -4229,7 +4242,7 @@ msgid "Goto URL History"
 msgstr "Fr istoric"
 
 #. name:
-#: src/cookies/cookies.c:88 src/cookies/cookies.c:911
+#: src/cookies/cookies.c:88 src/cookies/cookies.c:913
 msgid "Cookies"
 msgstr ""
 
@@ -4259,10 +4272,10 @@ msgstr "Fac conexiunea"
 msgid ""
 "Cookie maximum age (in days):\n"
 "-1 is use cookie's expiration date if any\n"
-"0  is force expiration at the end of session, ignoring cookie's\n"
-"   expiration date\n"
-"1+ is use cookie's expiration date, but limit age to the given\n"
-"   number of days"
+"0  is force expiration at the end of session, ignoring\n"
+"   cookie's expiration date\n"
+"1+ is use cookie's expiration date, but limit age to the\n"
+"   given number of days"
 msgstr ""
 
 #: src/cookies/cookies.c:109
@@ -4271,42 +4284,42 @@ msgstr ""
 
 #: src/cookies/cookies.c:111
 msgid ""
-"When enabled, we'll require three dots in cookies domain for all\n"
-"non-international domains (instead of just two dots). Some countries\n"
-"have generic second level domains (eg. .com.pl, .co.uk) and allowing\n"
-"sites to set cookies for these generic domains could potentially be\n"
-"very bad. Note, it is off by default as it breaks a lot of sites."
+"When enabled, we'll require three dots in cookies domain for all non-"
+"international domains (instead of just two dots). Some countries have "
+"generic second level domains (eg. .com.pl, .co.uk) and allowing sites to set "
+"cookies for these generic domains could potentially be very bad. Note, it is "
+"off by default as it breaks a lot of sites."
 msgstr ""
 
-#: src/cookies/cookies.c:117
+#: src/cookies/cookies.c:118
 #, fuzzy
 msgid "Saving"
 msgstr "Medie"
 
-#: src/cookies/cookies.c:119
+#: src/cookies/cookies.c:120
 msgid "Whether cookies should be loaded from and saved to disk."
 msgstr ""
 
-#: src/cookies/cookies.c:121
+#: src/cookies/cookies.c:123
 msgid "Resaving"
 msgstr ""
 
-#: src/cookies/cookies.c:123
+#: src/cookies/cookies.c:125
 msgid ""
-"Save cookies after each change in cookies list? No effect when\n"
-"cookie saving (cookies.save) is off."
+"Save cookies after each change in cookies list? No effect when cookie saving "
+"(cookies.save) is off."
 msgstr ""
 
-#: src/cookies/cookies.c:817
+#: src/cookies/cookies.c:819
 #, fuzzy
 msgid "Cannot save cookies"
 msgstr "Eroare la scrierea fiierului"
 
-#: src/cookies/cookies.c:828
+#: src/cookies/cookies.c:830
 msgid "ELinks was started without a home directory."
 msgstr ""
 
-#: src/cookies/cookies.c:834
+#: src/cookies/cookies.c:836
 msgid "ELinks was started with the -anonymous option."
 msgstr ""
 
@@ -4521,7 +4534,7 @@ msgid "No header info."
 msgstr ""
 
 #: src/dialogs/download.c:243 src/dialogs/menu.c:601
-#: src/protocol/bittorrent/dialogs.c:228 src/session/download.c:361
+#: src/protocol/bittorrent/dialogs.c:228 src/session/download.c:387
 msgid "Download"
 msgstr "ncarc"
 
@@ -5375,7 +5388,7 @@ msgid "No document"
 msgstr "Documente"
 
 #. name:
-#: src/document/css/css.c:30 src/document/css/css.c:161
+#: src/document/css/css.c:30 src/document/css/css.c:164
 msgid "Cascading Style Sheets"
 msgstr ""
 
@@ -5383,36 +5396,36 @@ msgstr ""
 msgid "Options concerning how to use CSS for styling documents."
 msgstr ""
 
-#: src/document/css/css.c:34
+#: src/document/css/css.c:35
 #, fuzzy
 msgid "Enable CSS"
 msgstr "Nume"
 
-#: src/document/css/css.c:36
+#: src/document/css/css.c:37
 msgid "Enable adding of CSS style info to documents."
 msgstr ""
 
-#: src/document/css/css.c:38
+#: src/document/css/css.c:39
 msgid "Import external style sheets"
 msgstr ""
 
-#: src/document/css/css.c:40
+#: src/document/css/css.c:41
 msgid ""
-"When enabled any external style sheets that are imported from\n"
-"either CSS itself using the @import keyword or from the HTML using\n"
-"<link> tags in the document header will also be downloaded."
+"When enabled any external style sheets that are imported from either CSS "
+"itself using the @import keyword or from the HTML using <link> tags in the "
+"document header will also be downloaded."
 msgstr ""
 
-#: src/document/css/css.c:44
+#: src/document/css/css.c:46
 msgid "Default style sheet"
 msgstr ""
 
-#: src/document/css/css.c:46
+#: src/document/css/css.c:48
 msgid ""
-"The path to the file containing the default user defined\n"
-"Cascading Style Sheet. It can be used to control the basic\n"
-"layout of HTML documents. The path is assumed to be relative\n"
-"to ELinks' home directory.\n"
+"The path to the file containing the default user defined Cascading Style "
+"Sheet. It can be used to control the basic layout of HTML documents. The "
+"path is assumed to be relative to ELinks' home directory.\n"
+"\n"
 "Leave as \"\" to use built-in document styling."
 msgstr ""
 
@@ -5444,8 +5457,8 @@ msgstr ""
 
 #: src/ecmascript/ecmascript.c:55
 msgid ""
-"Whether to ignore content enclosed by the <noscript> tag\n"
-"when ECMAScript is enabled."
+"Whether to ignore content enclosed by the <noscript> tag when ECMAScript is "
+"enabled."
 msgstr ""
 
 #: src/ecmascript/ecmascript.c:58
@@ -5497,7 +5510,7 @@ msgid "JavaScript Error"
 msgstr ""
 
 #. name:
-#: src/ecmascript/spidermonkey.c:320
+#: src/ecmascript/spidermonkey.c:321
 msgid "SpiderMonkey"
 msgstr ""
 
@@ -5595,9 +5608,8 @@ msgstr "Opiuni de terminal"
 
 #: src/formhist/formhist.c:38
 msgid ""
-"Ask if a login form should be saved to file or not.\n"
-"This option only disables the dialog, already saved login\n"
-"forms are unaffected."
+"Ask if a login form should be saved to file or not. This option only "
+"disables the dialog, already saved login forms are unaffected."
 msgstr ""
 
 #: src/formhist/formhist.c:426
@@ -5699,20 +5711,20 @@ msgstr ""
 msgid "Enable global history (\"history of all pages visited\")."
 msgstr ""
 
-#: src/globhist/globhist.c:68
+#: src/globhist/globhist.c:69
 msgid "Maximum number of entries"
 msgstr ""
 
-#: src/globhist/globhist.c:70
+#: src/globhist/globhist.c:71
 msgid "Maximum number of entries in the global history."
 msgstr ""
 
-#: src/globhist/globhist.c:72
+#: src/globhist/globhist.c:73
 #, fuzzy
 msgid "Display style"
 msgstr "Arat ~usemap"
 
-#: src/globhist/globhist.c:74
+#: src/globhist/globhist.c:75
 msgid ""
 "What to display in global history dialog:\n"
 "0 is URLs\n"
@@ -5720,7 +5732,7 @@ msgid ""
 msgstr ""
 
 #. name:
-#: src/globhist/globhist.c:451
+#: src/globhist/globhist.c:449
 #, fuzzy
 msgid "Global History"
 msgstr "Fr istoric"
@@ -5949,101 +5961,95 @@ msgstr ""
 
 #: src/mime/backend/default.c:27
 msgid ""
-"Handler <-> MIME type association. The first sub-tree is the MIME\n"
-"class while the second sub-tree is the MIME type (ie. image/gif\n"
-"handler will reside at mime.type.image.gif). Each MIME type option\n"
-"should contain (case-sensitive) name of the MIME handler (its\n"
-"properties are stored at mime.handler.<name>)."
+"Handler <-> MIME type association. The first sub-tree is the MIME class "
+"while the second sub-tree is the MIME type (ie. image/gif handler will "
+"reside at mime.type.image.gif). Each MIME type option should contain (case-"
+"sensitive) name of the MIME handler (its properties are stored at mime."
+"handler.<name>)."
 msgstr ""
 
-#: src/mime/backend/default.c:35
+#: src/mime/backend/default.c:36
 msgid ""
-"Handler matching this MIME-type class ('*' is used here in place\n"
-"of '.')."
+"Handler matching this MIME-type class ('*' is used here in place of '.')."
 msgstr ""
 
-#: src/mime/backend/default.c:40
+#: src/mime/backend/default.c:41
 msgid ""
-"Handler matching this MIME-type name ('*' is used here in place\n"
-"of '.')."
+"Handler matching this MIME-type name ('*' is used here in place of '.')."
 msgstr ""
 
-#: src/mime/backend/default.c:44
+#: src/mime/backend/default.c:45
 msgid "File type handlers"
 msgstr ""
 
-#: src/mime/backend/default.c:46
+#: src/mime/backend/default.c:47
 msgid ""
-"A file type handler is a set of information about how to use\n"
-"an external program to view a file. It is possible to refer to it\n"
-"for several MIME types -- e.g., you can define an 'image' handler\n"
-"to which mime.type.image.png, mime.type.image.jpeg, and so on will\n"
-"refer; or one might define a handler for a more specific type of file\n"
-"-- e.g., PDF files.\n"
-"Note you must define both a MIME handler and a MIME type association\n"
-"for it to work."
+"A file type handler is a set of information about how to use an external "
+"program to view a file. It is possible to refer to it for several MIME types "
+"-- e.g., you can define an 'image' handler to which mime.type.image.png, "
+"mime.type.image.jpeg, and so on will refer; or one might define a handler "
+"for a more specific type of file -- e.g., PDF files. Note you must define "
+"both a MIME handler and a MIME type association for it to work."
 msgstr ""
 
-#: src/mime/backend/default.c:57
+#: src/mime/backend/default.c:58
 msgid "Description of this handler."
 msgstr ""
 
-#: src/mime/backend/default.c:61
+#: src/mime/backend/default.c:62
 msgid "System-specific handler description (ie. unix, unix-xwin, ...)."
 msgstr ""
 
-#: src/mime/backend/default.c:63 src/mime/backend/mailcap.c:102
+#: src/mime/backend/default.c:65 src/mime/backend/mailcap.c:102
 msgid "Ask before opening"
 msgstr ""
 
-#: src/mime/backend/default.c:65
+#: src/mime/backend/default.c:67
 msgid "Ask before opening."
 msgstr ""
 
-#: src/mime/backend/default.c:67
+#: src/mime/backend/default.c:69
 #, fuzzy
 msgid "Block terminal"
 msgstr "Terminal ~BeOS"
 
-#: src/mime/backend/default.c:69
+#: src/mime/backend/default.c:71
 msgid "Block the terminal when the handler is running."
 msgstr ""
 
-#: src/mime/backend/default.c:71
+#: src/mime/backend/default.c:73
 #, fuzzy
 msgid "Program"
 msgstr "Nici un program"
 
-#: src/mime/backend/default.c:74
+#: src/mime/backend/default.c:76
 #, no-c-format
 msgid ""
-"External viewer for this file type. '%' in this string will be\n"
-"substituted by a file name.\n"
-"Do _not_ put single- or double-quotes around the % sign."
+"External viewer for this file type. '%' in this string will be substituted "
+"by a file name. Do _not_ put single- or double-quotes around the % sign."
 msgstr ""
 
-#: src/mime/backend/default.c:79
+#: src/mime/backend/default.c:81
 #, fuzzy
 msgid "File extension associations"
 msgstr "~Extensia fiierelor"
 
-#: src/mime/backend/default.c:81
+#: src/mime/backend/default.c:83
 msgid "Extension <-> MIME type association."
 msgstr ""
 
-#: src/mime/backend/default.c:85
+#: src/mime/backend/default.c:87
 msgid ""
-"MIME-type matching this file extension ('*' is used here in place\n"
-"of '.')."
+"MIME-type matching this file extension ('*' is used here in place of '.')."
 msgstr ""
 
 #. name:
-#: src/mime/backend/default.c:216
+#: src/mime/backend/default.c:218
 msgid "Option system"
 msgstr ""
 
 #. name:
-#: src/mime/backend/mailcap.c:89 src/mime/backend/mailcap.c:684
+#: src/mime/backend/mailcap.c:89 src/mime/backend/mailcap.c:686
 msgid "Mailcap"
 msgstr ""
 
@@ -6057,8 +6063,8 @@ msgstr ""
 
 #: src/mime/backend/mailcap.c:99
 msgid ""
-"Mailcap search path. Colon-separated list of files.\n"
-"Leave as \"\" to use MAILCAP environment variable instead."
+"Mailcap search path. Colon-separated list of files. Leave as \"\" to use "
+"MAILCAP environment variable instead."
 msgstr ""
 
 #: src/mime/backend/mailcap.c:104
@@ -6071,39 +6077,38 @@ msgstr ""
 
 #: src/mime/backend/mailcap.c:108
 msgid ""
-"Type of description to show in \"what to do with this file\"\n"
-"query dialog:\n"
+"Type of description to show in \"what to do with this file\" query dialog:\n"
 "0 is show \"mailcap\"\n"
 "1 is show program to be run\n"
-"2 is show mailcap description field if any; \"mailcap\" otherwise"
+"2 is show mailcap description field if any;\n"
+"     \"mailcap\" otherwise"
 msgstr ""
 
-#: src/mime/backend/mailcap.c:114
+#: src/mime/backend/mailcap.c:115
 msgid "Prioritize entries by file"
 msgstr ""
 
-#: src/mime/backend/mailcap.c:116
+#: src/mime/backend/mailcap.c:117
 msgid ""
-"Prioritize entries by the order of the files in the mailcap\n"
-"path. This means that wildcard entries (like: image/*) will\n"
-"also be checked before deciding the handler."
+"Prioritize entries by the order of the files in the mailcap path. This means "
+"that wildcard entries (like: image/*) will also be checked before deciding "
+"the handler."
 msgstr ""
 
-#: src/mime/backend/mailcap.c:349
+#: src/mime/backend/mailcap.c:351
 #, c-format
 msgid "Badly formated mailcap entry for type %s in \"%s\" line %d"
 msgstr ""
 
 #. name:
-#: src/mime/backend/mimetypes.c:46 src/mime/backend/mimetypes.c:279
+#: src/mime/backend/mimetypes.c:46 src/mime/backend/mimetypes.c:280
 msgid "Mimetypes files"
 msgstr ""
 
 #: src/mime/backend/mimetypes.c:48
 msgid ""
-"Options for the support of mime.types files. These files\n"
-"can be used to find the content type of a URL by looking at\n"
-"the extension of the file name."
+"Options for the support of mime.types files. These files can be used to find "
+"the content type of a URL by looking at the extension of the file name."
 msgstr ""
 
 #: src/mime/backend/mimetypes.c:54
@@ -6140,7 +6145,7 @@ msgid "No extensions"
 msgstr "Fr extensie"
 
 #. name:
-#: src/mime/mime.c:38 src/mime/mime.c:360
+#: src/mime/mime.c:38 src/mime/mime.c:361
 msgid "MIME"
 msgstr ""
 
@@ -6154,8 +6159,8 @@ msgstr ""
 
 #: src/mime/mime.c:44
 msgid ""
-"Document MIME-type to assume by default (when we are unable to\n"
-"guess it properly from known information about the document)."
+"Document MIME-type to assume by default (when we are unable to guess it "
+"properly from known information about the document)."
 msgstr ""
 
 #: src/network/ssl/ssl.c:72 src/network/ssl/ssl.c:161
@@ -6164,8 +6169,8 @@ msgstr ""
 
 #: src/network/ssl/ssl.c:74
 msgid ""
-"Verify the peer's SSL certificate. Note that this\n"
-"needs extensive configuration of OpenSSL by the user."
+"Verify the peer's SSL certificate. Note that this needs extensive "
+"configuration of OpenSSL by the user."
 msgstr ""
 
 #: src/network/ssl/ssl.c:77
@@ -6179,8 +6184,8 @@ msgstr "Opiuni de terminal"
 
 #: src/network/ssl/ssl.c:83
 msgid ""
-"Enable or not the sending of X509 client certificates\n"
-"to servers which request them."
+"Enable or not the sending of X509 client certificates to servers which "
+"request them."
 msgstr ""
 
 #: src/network/ssl/ssl.c:86
@@ -6190,16 +6195,15 @@ msgstr "Timp estimat"
 
 #: src/network/ssl/ssl.c:88
 msgid ""
-"The location of a file containing the client certificate\n"
-"and unencrypted private key in PEM format. If unset, the\n"
-"file pointed to by the X509_CLIENT_CERT variable is used\n"
-"instead."
+"The location of a file containing the client certificate and unencrypted "
+"private key in PEM format. If unset, the file pointed to by the "
+"X509_CLIENT_CERT variable is used instead."
 msgstr ""
 
 #: src/network/ssl/ssl.c:163
 msgid ""
-"Verify the peer's SSL certificate.  If you enable\n"
-"this, set also \"Trusted CA file\"."
+"Verify the peer's SSL certificate.  If you enable this, set also \"Trusted "
+"CA file\"."
 msgstr ""
 
 #. The default value of the following option points to a file
@@ -6217,20 +6221,20 @@ msgstr "Transfer"
 
 #: src/network/ssl/ssl.c:176
 msgid ""
-"The location of a file containing certificates of\n"
-"trusted certification authorities in PEM format.\n"
-"ELinks then trusts certificates issued by these CAs.\n"
-"If you change this option or the file, you must\n"
-"restart ELinks for the changes to take effect.\n"
-"This option affects GnuTLS but not OpenSSL."
+"The location of a file containing certificates of trusted certification "
+"authorities in PEM format. ELinks then trusts certificates issued by these "
+"CAs.\n"
+"\n"
+"If you change this option or the file, you must restart ELinks for the "
+"changes to take effect. This option affects GnuTLS but not OpenSSL."
 msgstr ""
 
 #. name:
-#: src/network/ssl/ssl.c:199 src/network/ssl/ssl.c:216
+#: src/network/ssl/ssl.c:200 src/network/ssl/ssl.c:217
 msgid "SSL"
 msgstr ""
 
-#: src/network/ssl/ssl.c:201
+#: src/network/ssl/ssl.c:202
 #, fuzzy
 msgid "SSL options."
 msgstr "~Salveaz opiunile"
@@ -6567,7 +6571,7 @@ msgstr "Introducei numele utilizatorulu
 msgid "Login"
 msgstr "Identificare utilizator"
 
-#: src/protocol/auth/dialogs.c:113 src/protocol/http/http.c:140
+#: src/protocol/auth/dialogs.c:113 src/protocol/http/http.c:142
 msgid "Password"
 msgstr "Parola"
 
@@ -6644,7 +6648,7 @@ msgstr "Administratorul semnelor de cart
 
 #. name:
 #: src/protocol/bittorrent/bittorrent.c:26
-#: src/protocol/bittorrent/bittorrent.c:335
+#: src/protocol/bittorrent/bittorrent.c:339
 msgid "BitTorrent"
 msgstr ""
 
@@ -6699,9 +6703,8 @@ msgstr ""
 
 #: src/protocol/bittorrent/bittorrent.c:57
 msgid ""
-"Whether to request that the tracker returns peer info\n"
-"in compact format. Note, the compact format only supports\n"
-"IPv4 addresses."
+"Whether to request that the tracker returns peer info in compact format. "
+"Note, the compact format only supports IPv4 addresses."
 msgstr ""
 
 #: src/protocol/bittorrent/bittorrent.c:61
@@ -6710,57 +6713,55 @@ msgstr ""
 
 #: src/protocol/bittorrent/bittorrent.c:63
 msgid ""
-"The number of seconds to wait between periodically contacting\n"
-"the tracker for announcing progress and requesting more peers.\n"
-"Set to zero to use the interval requested by the tracker."
+"The number of seconds to wait between periodically contacting the tracker "
+"for announcing progress and requesting more peers. Set to zero to use the "
+"interval requested by the tracker."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:67
+#: src/protocol/bittorrent/bittorrent.c:68
 msgid "IP-address to announce"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:69
+#: src/protocol/bittorrent/bittorrent.c:70
 msgid ""
-"What IP address to report to the tracker. If set to \"\"\n"
-"no IP address will be sent and the tracker will automatically\n"
-"determine an appropriate IP address."
+"What IP address to report to the tracker. If set to \"\" no IP address will "
+"be sent and the tracker will automatically determine an appropriate IP "
+"address."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:73
+#: src/protocol/bittorrent/bittorrent.c:74
 #, fuzzy
 msgid "User identification string"
 msgstr "Opiuni de terminal"
 
-#: src/protocol/bittorrent/bittorrent.c:75
+#: src/protocol/bittorrent/bittorrent.c:76
 msgid ""
-"An additional identification that is not shared with any users.\n"
-"It is intended to allow a client to prove their identity should\n"
-"their IP address change. It is an optional parameter, but some\n"
-"trackers require this parameter. If set to \"\" no user key will\n"
-"be sent to the tracker."
+"An additional identification that is not shared with any users. It is "
+"intended to allow a client to prove their identity should their IP address "
+"change. It is an optional parameter, but some trackers require this "
+"parameter. If set to \"\" no user key will be sent to the tracker."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:81
+#: src/protocol/bittorrent/bittorrent.c:82
 #, fuzzy
 msgid "Maximum number of peers to request"
 msgstr "Fac conexiunea"
 
-#: src/protocol/bittorrent/bittorrent.c:83
+#: src/protocol/bittorrent/bittorrent.c:84
 msgid ""
-"The maximum number of peers to request from the tracker.\n"
-"Set to 0 to use the server default."
+"The maximum number of peers to request from the tracker. Set to 0 to use the "
+"server default."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:86
+#: src/protocol/bittorrent/bittorrent.c:87
 msgid "Minimum peers to skip rerequesting"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:88
+#: src/protocol/bittorrent/bittorrent.c:89
 msgid ""
-"The minimum number of peers to have in the current peer info\n"
-"pool before skipping requesting of more peers. I.e. setting\n"
-"numwant to zero.\n"
-"Set to 0 to not have any limit."
+"The minimum number of peers to have in the current peer info pool before "
+"skipping requesting of more peers. I.e. setting numwant to zero. Set to 0 to "
+"not have any limit."
 msgstr ""
 
 #. ******************************************************************
@@ -6781,182 +6782,177 @@ msgstr "Fac conexiunea"
 
 #: src/protocol/bittorrent/bittorrent.c:104
 msgid ""
-"The maximum number of allowed connections to both active and\n"
-"non-active peers. By increasing the number of allowed connections,\n"
-"the chance of finding good peers to download from is increased.\n"
-"However, too many connections can lead to TCP congestion. If the\n"
-"maximum is reached all new incoming connections will be closed."
+"The maximum number of allowed connections to both active and non-active "
+"peers. By increasing the number of allowed connections, the chance of "
+"finding good peers to download from is increased. However, too many "
+"connections can lead to TCP congestion. If the maximum is reached all new "
+"incoming connections will be closed."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:110
+#: src/protocol/bittorrent/bittorrent.c:111
 msgid "Maximum peer message length"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:112
+#: src/protocol/bittorrent/bittorrent.c:113
 msgid ""
-"The maximum length of messages to accept over the wire.\n"
-"Larger values will cause the connection to be dropped."
+"The maximum length of messages to accept over the wire. Larger values will "
+"cause the connection to be dropped."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:115
+#: src/protocol/bittorrent/bittorrent.c:116
 msgid "Maximum allowed request length"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:117
+#: src/protocol/bittorrent/bittorrent.c:118
 msgid ""
-"The maximum length to allow for incoming requests.\n"
-"Larger requests will cause the connection to be dropped."
+"The maximum length to allow for incoming requests. Larger requests will "
+"cause the connection to be dropped."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:120
+#: src/protocol/bittorrent/bittorrent.c:121
 msgid "Length of requests"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:122
+#: src/protocol/bittorrent/bittorrent.c:123
 msgid ""
-"How many bytes to query for per request. This is complementary\n"
-"to the max_request_length option. If the configured length is\n"
-"bigger than the piece length it will be truncated."
+"How many bytes to query for per request. This is complementary to the "
+"max_request_length option. If the configured length is bigger than the piece "
+"length it will be truncated."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:126
+#: src/protocol/bittorrent/bittorrent.c:128
 #, fuzzy
 msgid "Peer inactivity timeout"
 msgstr "A expirat timpul de ateptare"
 
-#: src/protocol/bittorrent/bittorrent.c:128
+#: src/protocol/bittorrent/bittorrent.c:130
 msgid ""
-"The number of seconds to wait before closing a socket on\n"
-"which nothing has been received or sent."
+"The number of seconds to wait before closing a socket on which nothing has "
+"been received or sent."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:131
+#: src/protocol/bittorrent/bittorrent.c:133
 #, fuzzy
 msgid "Maximum peer pool size"
 msgstr "Fac conexiunea"
 
-#: src/protocol/bittorrent/bittorrent.c:133
+#: src/protocol/bittorrent/bittorrent.c:135
 msgid ""
-"Maximum number of items in the peer pool. The peer pool\n"
-"contains information used for establishing connections to\n"
-"new peers.\n"
+"Maximum number of items in the peer pool. The peer pool contains information "
+"used for establishing connections to new peers.\n"
+"\n"
 "Set to 0 to have unlimited size."
 msgstr ""
 
 #. ******************************************************************
 #. Piece management options:
 #. ******************************************************************
-#: src/protocol/bittorrent/bittorrent.c:143
+#: src/protocol/bittorrent/bittorrent.c:146
 #, fuzzy
 msgid "Maximum piece cache size"
 msgstr "Fac conexiunea"
 
-#: src/protocol/bittorrent/bittorrent.c:145
+#: src/protocol/bittorrent/bittorrent.c:148
 msgid ""
-"The maximum amount of memory used to hold recently\n"
-"downloaded pieces.\n"
+"The maximum amount of memory used to hold recently downloaded pieces.\n"
+"\n"
 "Set to 0 to have unlimited size."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:154
+#: src/protocol/bittorrent/bittorrent.c:158
 msgid "Sharing rate"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:156
+#: src/protocol/bittorrent/bittorrent.c:160
 msgid ""
-"The minimum sharing rate to achieve before stop seeding.\n"
-"The sharing rate is computed as the number of uploaded bytes\n"
-"divided with the number of downloaded bytes. The value should\n"
-"be a double value between 0.0 and 1.0 both included.\n"
-"Set to 1.0 to atleast upload a complete copy of all data and\n"
+"The minimum sharing rate to achieve before stop seeding. The sharing rate is "
+"computed as the number of uploaded bytes divided with the number of "
+"downloaded bytes. The value should be a double value between 0.0 and 1.0 "
+"both included. Set to 1.0 to atleast upload a complete copy of all data and "
 "set to 0.0 to have unlimited sharing rate."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:163
+#: src/protocol/bittorrent/bittorrent.c:167
 msgid "Maximum number of uploads"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:165
+#: src/protocol/bittorrent/bittorrent.c:169
 msgid "The maximum number of uploads to allow at once."
 msgstr ""
 
 #. The number of uploads to fill out to with extra optimistic unchokes
-#: src/protocol/bittorrent/bittorrent.c:168
+#: src/protocol/bittorrent/bittorrent.c:172
 msgid "Minimum number of uploads"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:170
+#: src/protocol/bittorrent/bittorrent.c:174
 msgid ""
-"The minimum number of uploads which should at least\n"
-"be used for new connections."
+"The minimum number of uploads which should at least be used for new "
+"connections."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:174
+#: src/protocol/bittorrent/bittorrent.c:178
 #, fuzzy
 msgid "Keepalive interval"
 msgstr "Eroare la salvare"
 
-#: src/protocol/bittorrent/bittorrent.c:176
-msgid ""
-"The number of seconds to pause between sending keepalive\n"
-"messages."
+#: src/protocol/bittorrent/bittorrent.c:180
+msgid "The number of seconds to pause between sending keepalive messages."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:179
+#: src/protocol/bittorrent/bittorrent.c:183
 #, fuzzy
 msgid "Number of pending requests"
 msgstr "Serverul proceseaz cererea"
 
-#: src/protocol/bittorrent/bittorrent.c:181
+#: src/protocol/bittorrent/bittorrent.c:185
 msgid ""
-"How many piece requests to continuously keep in queue. Pipelining\n"
-"of requests is essential to saturate connections and get a good\n"
-"connection performance and thus a faster download. However, a\n"
-"very big queue size can lead to wasting bandwidth near the end\n"
-"of the connection since remaining piece blocks will be requested\n"
-"from multiple peers."
+"How many piece requests to continuously keep in queue. Pipelining of "
+"requests is essential to saturate connections and get a good connection "
+"performance and thus a faster download. However, a very big queue size can "
+"lead to wasting bandwidth near the end of the connection since remaining "
+"piece blocks will be requested from multiple peers."
 msgstr ""
 
 #. Bram uses 30 seconds here.
-#: src/protocol/bittorrent/bittorrent.c:190
+#: src/protocol/bittorrent/bittorrent.c:194
 msgid "Peer snubbing interval"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:192
+#: src/protocol/bittorrent/bittorrent.c:196
 msgid ""
-"The number of seconds to wait for file data before assuming\n"
-"the peer has been snubbed."
+"The number of seconds to wait for file data before assuming the peer has "
+"been snubbed."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:195
+#: src/protocol/bittorrent/bittorrent.c:199
 #, fuzzy
 msgid "Peer choke interval"
 msgstr "Eroare la salvare"
 
-#: src/protocol/bittorrent/bittorrent.c:197
+#: src/protocol/bittorrent/bittorrent.c:201
 msgid ""
-"The number of seconds between updating the connection state\n"
-"and most importantly choke and unchoke peer connections. The\n"
-"choke period should be big enough for newly unchoked connections\n"
-"to get started but small enough to not allow freeriders too much\n"
-"room for stealing bandwidth."
+"The number of seconds between updating the connection state and most "
+"importantly choke and unchoke peer connections. The choke period should be "
+"big enough for newly unchoked connections to get started but small enough to "
+"not allow freeriders too much room for stealing bandwidth."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:203
+#: src/protocol/bittorrent/bittorrent.c:207
 msgid "Rarest first piece selection cutoff"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:205
+#: src/protocol/bittorrent/bittorrent.c:209
 msgid ""
-"The number of pieces to obtain before switching piece\n"
-"selection strategy from random to rarest first."
+"The number of pieces to obtain before switching piece selection strategy "
+"from random to rarest first."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:208 src/protocol/http/http.c:109
+#: src/protocol/bittorrent/bittorrent.c:212 src/protocol/http/http.c:109
 msgid "Allow blacklisting"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:210
+#: src/protocol/bittorrent/bittorrent.c:214
 msgid "Allow blacklisting of buggy peers."
 msgstr ""
 
@@ -6992,7 +6988,7 @@ msgstr "~Fiier"
 msgid "Comment"
 msgstr "Documente"
 
-#: src/protocol/bittorrent/dialogs.c:229 src/session/download.c:362
+#: src/protocol/bittorrent/dialogs.c:229 src/session/download.c:388
 #, fuzzy, c-format
 msgid ""
 "Download complete:\n"
@@ -7160,7 +7156,7 @@ msgid_plural "%u unavailable"
 msgstr[0] "Serviciu FTP nedisponibil"
 msgstr[1] "Serviciu FTP nedisponibil"
 
-#: src/protocol/bittorrent/dialogs.c:584 src/session/session.c:278
+#: src/protocol/bittorrent/dialogs.c:584 src/session/session.c:279
 #, fuzzy, c-format
 msgid "Unable to retrieve %s"
 msgstr "Nu pot s scriu fiierul de configurere"
@@ -7175,7 +7171,7 @@ msgstr ""
 msgid "Information about the torrent"
 msgstr "Descarc ima~ginea"
 
-#: src/protocol/bittorrent/dialogs.c:776 src/session/download.c:1106
+#: src/protocol/bittorrent/dialogs.c:776 src/session/download.c:1132
 msgid "What to do?"
 msgstr "Ce s fac?"
 
@@ -7186,13 +7182,13 @@ msgid "Down~load"
 msgstr "ncarc"
 
 #. accelerator_context(src/protocol/bittorrent/dialogs.c:bittorrent_query_callback, src/session/download.c:do_type_query)
-#: src/protocol/bittorrent/dialogs.c:804 src/session/download.c:1209
+#: src/protocol/bittorrent/dialogs.c:804 src/session/download.c:1235
 #, fuzzy
 msgid "~Display"
 msgstr "Arat"
 
 #. accelerator_context(src/protocol/bittorrent/dialogs.c:bittorrent_query_callback, src/session/download.c:do_type_query)
-#: src/protocol/bittorrent/dialogs.c:808 src/session/download.c:1213
+#: src/protocol/bittorrent/dialogs.c:808 src/session/download.c:1239
 msgid "Show ~header"
 msgstr ""
 
@@ -7210,16 +7206,16 @@ msgstr "Program nespecificat pentru"
 msgid "Colon separated list of directories, where CGI scripts are stored."
 msgstr ""
 
-#: src/protocol/file/cgi.c:47
+#: src/protocol/file/cgi.c:48
 msgid "Allow local CGI"
 msgstr ""
 
-#: src/protocol/file/cgi.c:49
+#: src/protocol/file/cgi.c:50
 msgid "Whether to execute local CGI scripts."
 msgstr ""
 
 #. name:
-#: src/protocol/file/cgi.c:54
+#: src/protocol/file/cgi.c:55
 msgid "CGI"
 msgstr ""
 
@@ -7238,9 +7234,8 @@ msgstr ""
 
 #: src/protocol/file/file.c:46
 msgid ""
-"Whether to allow reading from non-regular files.\n"
-"Note this can be dangerous; reading /dev/urandom or\n"
-"/dev/zero can ruin your day!"
+"Whether to allow reading from non-regular files. Note this can be dangerous; "
+"reading /dev/urandom or /dev/zero can ruin your day!"
 msgstr ""
 
 #: src/protocol/file/file.c:50
@@ -7249,8 +7244,8 @@ msgstr ""
 
 #: src/protocol/file/file.c:52
 msgid ""
-"When set to false, files with name starting with a dot will be\n"
-"hidden in local directory listings."
+"When set to false, files with name starting with a dot will be hidden in "
+"local directory listings."
 msgstr ""
 
 #: src/protocol/file/file.c:55
@@ -7260,13 +7255,13 @@ msgstr "Fr extensie"
 
 #: src/protocol/file/file.c:57
 msgid ""
-"When set, if we can't open a file named 'filename', we'll try\n"
-"to open 'filename' with some encoding extension appended\n"
-"(ie. 'filename.gz'); it depends on the supported encodings."
+"When set, if we can't open a file named 'filename', we'll try to open "
+"'filename' with some encoding extension appended (ie. 'filename.gz'); it "
+"depends on the supported encodings."
 msgstr ""
 
 #. name:
-#: src/protocol/file/file.c:65
+#: src/protocol/file/file.c:66
 #, fuzzy
 msgid "File"
 msgstr "~Fiier"
@@ -7296,7 +7291,7 @@ msgid "Whether to sort entries in direct
 msgstr ""
 
 #. name:
-#: src/protocol/ftp/ftp.c:56 src/protocol/ftp/ftp.c:86
+#: src/protocol/ftp/ftp.c:56 src/protocol/ftp/ftp.c:89
 msgid "FTP"
 msgstr ""
 
@@ -7304,8 +7299,8 @@ msgstr ""
 msgid "FTP specific options."
 msgstr ""
 
-#: src/protocol/ftp/ftp.c:60 src/protocol/http/http.c:127
-#: src/protocol/http/http.c:209
+#: src/protocol/ftp/ftp.c:60 src/protocol/http/http.c:128
+#: src/protocol/http/http.c:235
 msgid "Proxy configuration"
 msgstr ""
 
@@ -7313,39 +7308,39 @@ msgstr ""
 msgid "FTP proxy configuration."
 msgstr ""
 
-#: src/protocol/ftp/ftp.c:64 src/protocol/http/http.c:131
-#: src/protocol/http/http.c:213
+#: src/protocol/ftp/ftp.c:64 src/protocol/http/http.c:132
+#: src/protocol/http/http.c:239
 #, fuzzy
 msgid "Host and port-number"
 msgstr "Numr greit"
 
 #: src/protocol/ftp/ftp.c:66
 msgid ""
-"Host and port-number (host:port) of the FTP proxy, or blank.\n"
-"If it's blank, FTP_PROXY environment variable is checked as well."
+"Host and port-number (host:port) of the FTP proxy, or blank. If it's blank, "
+"FTP_PROXY environment variable is checked as well."
 msgstr ""
 
-#: src/protocol/ftp/ftp.c:69
+#: src/protocol/ftp/ftp.c:70
 msgid "Anonymous password"
 msgstr ""
 
-#: src/protocol/ftp/ftp.c:71
+#: src/protocol/ftp/ftp.c:72
 msgid "FTP anonymous password to be sent."
 msgstr ""
 
-#: src/protocol/ftp/ftp.c:73
+#: src/protocol/ftp/ftp.c:74
 msgid "Use passive mode (IPv4)"
 msgstr ""
 
-#: src/protocol/ftp/ftp.c:75
+#: src/protocol/ftp/ftp.c:76
 msgid "Use PASV instead of PORT (passive vs active mode, IPv4 only)."
 msgstr ""
 
-#: src/protocol/ftp/ftp.c:77
+#: src/protocol/ftp/ftp.c:79
 msgid "Use passive mode (IPv6)"
 msgstr ""
 
-#: src/protocol/ftp/ftp.c:79
+#: src/protocol/ftp/ftp.c:81
 msgid "Use EPSV instead of EPRT (passive vs active mode, IPv6 only)."
 msgstr ""
 
@@ -7372,7 +7367,7 @@ msgid ""
 msgstr ""
 
 #. name:
-#: src/protocol/http/http.c:95 src/protocol/http/http.c:223
+#: src/protocol/http/http.c:95 src/protocol/http/http.c:250
 msgid "HTTP"
 msgstr ""
 
@@ -7394,8 +7389,8 @@ msgstr ""
 
 #: src/protocol/http/http.c:106
 msgid ""
-"The Accept-Charset header is quite long and sending it can trigger\n"
-"bugs in some rarely found servers."
+"The Accept-Charset header is quite long and sending it can trigger bugs in "
+"some rarely found servers."
 msgstr ""
 
 #: src/protocol/http/http.c:111
@@ -7408,69 +7403,69 @@ msgstr ""
 
 #: src/protocol/http/http.c:115
 msgid ""
-"Broken 302 redirect (violates RFC but compatible with Netscape).\n"
-"This is a problem for a lot of web discussion boards and the like.\n"
-"If they will do strange things to you, try to play with this."
+"Broken 302 redirect (violates RFC but compatible with Netscape). This is a "
+"problem for a lot of web discussion boards and the like. If they will do "
+"strange things to you, try to play with this."
 msgstr ""
 
-#: src/protocol/http/http.c:119
+#: src/protocol/http/http.c:120
 msgid "No keepalive after POST requests"
 msgstr ""
 
-#: src/protocol/http/http.c:121
+#: src/protocol/http/http.c:122
 msgid "Disable keepalive connection after POST request."
 msgstr ""
 
-#: src/protocol/http/http.c:123
+#: src/protocol/http/http.c:124
 msgid "Use HTTP/1.0"
 msgstr ""
 
-#: src/protocol/http/http.c:125
+#: src/protocol/http/http.c:126
 msgid "Use HTTP/1.0 protocol instead of HTTP/1.1."
 msgstr ""
 
-#: src/protocol/http/http.c:129
+#: src/protocol/http/http.c:130
 msgid "HTTP proxy configuration."
 msgstr ""
 
-#: src/protocol/http/http.c:133
+#: src/protocol/http/http.c:134
 msgid ""
-"Host and port-number (host:port) of the HTTP proxy, or blank.\n"
-"If it's blank, HTTP_PROXY environment variable is checked as well."
+"Host and port-number (host:port) of the HTTP proxy, or blank. If it's blank, "
+"HTTP_PROXY environment variable is checked as well."
 msgstr ""
 
-#: src/protocol/http/http.c:136
+#: src/protocol/http/http.c:138
 #, fuzzy
 msgid "Username"
 msgstr "Nume"
 
-#: src/protocol/http/http.c:138
+#: src/protocol/http/http.c:140
 msgid "Proxy authentication username."
 msgstr ""
 
-#: src/protocol/http/http.c:142
+#: src/protocol/http/http.c:144
 msgid "Proxy authentication password."
 msgstr ""
 
-#: src/protocol/http/http.c:145
+#: src/protocol/http/http.c:147
 msgid "Referer sending"
 msgstr ""
 
-#: src/protocol/http/http.c:147
+#: src/protocol/http/http.c:149
 msgid ""
-"HTTP referer sending options. HTTP referer is a special header\n"
-"sent in the HTTP requests, which is supposed to contain the previous\n"
-"page visited by the browser. This way, the server can know what link\n"
-"did you follow when accessing that page. However, this behaviour\n"
-"can unfortunately considerably affect privacy and can lead even to a\n"
-"security problem on some badly designed web pages."
+"HTTP referer sending options. HTTP referer is a special header sent in the "
+"HTTP requests, which is supposed to contain the previous page visited by the "
+"browser.This way, the server can know what link did you follow when "
+"accessing that page. However, this behaviour can unfortunately considerably "
+"affect privacy and can lead even to a security problem on some badly "
+"designed web pages."
 msgstr ""
 
-#: src/protocol/http/http.c:154
+#: src/protocol/http/http.c:157
 msgid "Policy"
 msgstr ""
 
-#: src/protocol/http/http.c:157
+#: src/protocol/http/http.c:160
 msgid ""
 "Mode of sending HTTP referer:\n"
 "0 is send no referer\n"
@@ -7479,90 +7474,110 @@ msgid ""
 "3 is send previous URL as referer (correct, but insecure)"
 msgstr ""
 
-#: src/protocol/http/http.c:163
+#: src/protocol/http/http.c:166
 msgid "Fake referer URL"
 msgstr ""
 
-#: src/protocol/http/http.c:165
+#: src/protocol/http/http.c:168
 msgid "Fake referer to be sent when policy is 2."
 msgstr ""
 
-#: src/protocol/http/http.c:168
+#: src/protocol/http/http.c:171
 msgid "Send Accept-Language header"
 msgstr ""
 
-#: src/protocol/http/http.c:170
+#: src/protocol/http/http.c:173
 msgid "Send Accept-Language header."
 msgstr ""
 
-#: src/protocol/http/http.c:172
+#: src/protocol/http/http.c:175
 msgid "Use UI language as Accept-Language"
 msgstr ""
 
-#: src/protocol/http/http.c:174
+#: src/protocol/http/http.c:177
 msgid ""
-"Request localised versions of documents from web-servers (using the\n"
-"Accept-Language header) using the language you have configured for\n"
-"ELinks' user-interface (this also affects navigator.language ECMAScript\n"
-"value available to scripts). Note that some see this as a potential\n"
-"security risk because it tells web-masters and the FBI sniffers about\n"
-"your language preference."
+"Request localised versions of documents from web-servers (using the Accept-"
+"Language header) using the language you have configured for ELinks' user-"
+"interface (this also affects navigator.language ECMAScript value available "
+"to scripts). Note that some see this as a potential security risk because it "
+"tells web-masters and the FBI sniffers about your language preference."
+msgstr ""
+
+#. After the compression support has been tested enough,
+#. * we might wrap this option in #if CFG_DEBUG.
+#: src/protocol/http/http.c:187
+msgid "Enable on-the-fly compression"
 msgstr ""
 
-#: src/protocol/http/http.c:181
+#: src/protocol/http/http.c:189
+msgid ""
+"If enabled, the capability to receive compressed content (gzip and/or bzip2) "
+"is announced to the server, which usually sends the reply compressed, thus "
+"saving some bandwidth at slight CPU expense.\n"
+"\n"
+"If ELinks displays a incomplete page or garbage, try disabling this option. "
+"If that helps, there may be a bug in the decompression part of ELinks. "
+"Please report such bugs.\n"
+"\n"
+"If ELinks has been compiled without compression support, this option has no "
+"effect. To check the supported features, see Help -> About."
+msgstr ""
+
+#: src/protocol/http/http.c:202
 msgid "Activate HTTP TRACE debugging"
 msgstr ""
 
-#: src/protocol/http/http.c:183
+#: src/protocol/http/http.c:204
 msgid ""
-"If active, all HTTP requests are sent with TRACE as their method\n"
-"rather than GET or POST. This is useful for debugging of both ELinks\n"
-"and various server-side scripts --- the server only returns the client's\n"
-"request back to the client verbatim. Note that this type of request may\n"
-"not be enabled on all servers."
+"If active, all HTTP requests are sent with TRACE as their method rather than "
+"GET or POST. This is useful for debugging of both ELinks and various server-"
+"side scripts --- the server only returns the client's request back to the "
+"client verbatim. Note that this type of request may not be enabled on all "
+"servers."
 msgstr ""
 
 #. OSNews.com is supposed to be relying on the textmode token, at least.
-#: src/protocol/http/http.c:190
+#: src/protocol/http/http.c:212
 msgid "User-agent identification"
 msgstr ""
 
-#: src/protocol/http/http.c:192
+#: src/protocol/http/http.c:214
 msgid ""
-"Change the User Agent ID. That means identification string, which\n"
-"is sent to HTTP server when a document is requested. The 'textmode'\n"
-"token in the first field is our silent attempt to establish this as\n"
-"a standard for new textmode user agents, so that the webmasters can\n"
-"have just a single uniform test for these if they are e.g. pushing\n"
-"some lite version to them automagically.\n"
+"Change the User Agent ID. That means identification string, which is sent to "
+"HTTP server when a document is requested. The 'textmode' token in the first "
+"field is our silent attempt to establish this as a standard for new textmode "
+"user agents, so that the webmasters can have just a single uniform test for "
+"these if they are e.g. pushing some lite version to them automagically.\n"
+"\n"
 "Use \" \" if you don't want any User-Agent header to be sent at all.\n"
+"\n"
 "%v in the string means ELinks version,\n"
 "%s in the string means system identification,\n"
 "%t in the string means size of the terminal,\n"
 "%b in the string means number of bars displayed by ELinks."
 msgstr ""
 
-#: src/protocol/http/http.c:205
+#: src/protocol/http/http.c:231
 msgid "HTTPS"
 msgstr ""
 
-#: src/protocol/http/http.c:207
+#: src/protocol/http/http.c:233
 #, fuzzy
 msgid "HTTPS-specific options."
 msgstr "Program nespecificat pentru"
 
-#: src/protocol/http/http.c:211
+#: src/protocol/http/http.c:237
 msgid "HTTPS proxy configuration."
 msgstr ""
 
-#: src/protocol/http/http.c:215
+#: src/protocol/http/http.c:241
 msgid ""
-"Host and port-number (host:port) of the HTTPS CONNECT proxy, or blank.\n"
-"If it's blank, HTTPS_PROXY environment variable is checked as well."
+"Host and port-number (host:port) of the HTTPS CONNECT proxy, or blank. If "
+"it's blank, HTTPS_PROXY environment variable is checked as well."
 msgstr ""
 
 #. name:
-#: src/protocol/nntp/nntp.c:32 src/protocol/nntp/nntp.c:65
+#: src/protocol/nntp/nntp.c:32 src/protocol/nntp/nntp.c:66
 msgid "NNTP"
 msgstr ""
 
@@ -7577,19 +7592,19 @@ msgstr ""
 
 #: src/protocol/nntp/nntp.c:38
 msgid ""
-"Used when resolving news: URIs. If set to the empty string\n"
-"the value of the NNTPSERVER environment variable will be used."
+"Used when resolving news: URIs. If set to the empty string the value of the "
+"NNTPSERVER environment variable will be used."
 msgstr ""
 
-#: src/protocol/nntp/nntp.c:41
+#: src/protocol/nntp/nntp.c:42
 msgid "Message header entries"
 msgstr ""
 
-#: src/protocol/nntp/nntp.c:43
+#: src/protocol/nntp/nntp.c:44
 msgid ""
-"Comma separated list of which entries in the article header\n"
-"to show. E.g. 'Subject' and 'From'.\n"
-"All header entries can be read in the header info dialog."
+"Comma separated list of which entries in the article header to show. E.g. "
+"'Subject' and 'From'. All header entries can be read in the header info "
+"dialog."
 msgstr ""
 
 #: src/protocol/protocol.c:242
@@ -7611,10 +7626,9 @@ msgstr ""
 
 #: src/protocol/protocol.c:279
 msgid ""
-"Comma separated list of domains for which the proxy (HTTP/FTP)\n"
-"should be disabled. Optionally, a port can be specified for some\n"
-"domains as well. If it's blank, NO_PROXY environment variable is\n"
-"checked as well."
+"Comma separated list of domains for which the proxy (HTTP/FTP) should be "
+"disabled. Optionally, a port can be specified for some domains as well. If "
+"it's blank, NO_PROXY environment variable is checked as well."
 msgstr ""
 
 #. name:
@@ -7628,47 +7642,45 @@ msgstr ""
 
 #: src/protocol/rewrite/rewrite.c:46
 msgid ""
-"Rules for rewriting URIs entered in the goto dialog.\n"
-"It makes it possible to define a set of prefixes that will\n"
-"be expanded if they match a string entered in the goto dialog.\n"
-"The prefixes can be dumb, meaning that they work only like\n"
-"URI abbreviations, or smart ones, making it possible to pass\n"
+"Rules for rewriting URIs entered in the goto dialog. It makes it possible to "
+"define a set of prefixes that will be expanded if they match a string "
+"entered in the goto dialog. The prefixes can be dumb, meaning that they work "
+"only like URI abbreviations, or smart ones, making it possible to pass "
 "arguments to them like search engine keywords."
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:53
+#: src/protocol/rewrite/rewrite.c:54
 msgid "Enable dumb prefixes"
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:55
+#: src/protocol/rewrite/rewrite.c:56
 msgid ""
-"Enable dumb prefixes - simple URI abbreviations which can\n"
-"be written to the Goto URL dialog instead of actual URIs - i.e.\n"
-"if you write 'elinks' there, you are directed to\n"
-"http://elinks.cz/."
+"Enable dumb prefixes - simple URI abbreviations which can be written to the "
+"Goto URL dialog instead of actual URIs - i.e. if you write 'elinks' there, "
+"you are directed to http://elinks.cz/."
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:60
+#: src/protocol/rewrite/rewrite.c:61
 msgid "Enable smart prefixes"
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:62
+#: src/protocol/rewrite/rewrite.c:63
 msgid ""
-"Enable smart prefixes - URI templates triggered by writing\n"
-"given abbreviation to the Goto URL dialog followed by a list\n"
-"of arguments from which the actual URI is composed - i.e.\n"
-"'gg:search keywords' or 'gn search keywords for news'."
+"Enable smart prefixes - URI templates triggered by writing given "
+"abbreviation to the Goto URL dialog followed by a list of arguments from "
+"which the actual URI is composed - i.e. 'gg:search keywords' or 'gn search "
+"keywords for news'."
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:67
+#: src/protocol/rewrite/rewrite.c:69
 msgid "Dumb Prefixes"
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:69
+#: src/protocol/rewrite/rewrite.c:71
 msgid "Dumb prefixes, see enable-dumb description for details."
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:74
+#: src/protocol/rewrite/rewrite.c:76
 #, no-c-format
 msgid ""
 "Replacement URI for this dumbprefix:\n"
@@ -7676,15 +7688,15 @@ msgid ""
 "%% in the string means '%'"
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:78
+#: src/protocol/rewrite/rewrite.c:80
 msgid "Smart Prefixes"
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:80
+#: src/protocol/rewrite/rewrite.c:82
 msgid "Smart prefixes, see enable-smart description for details."
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:87
+#: src/protocol/rewrite/rewrite.c:90
 #, no-c-format
 msgid ""
 "Replacement URI for this smartprefix:\n"
@@ -7694,27 +7706,29 @@ msgid ""
 "%% in the string means '%'"
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:93
+#: src/protocol/rewrite/rewrite.c:96
 #, fuzzy
 msgid "Default template"
 msgstr "Cache de document formatat"
 
-#: src/protocol/rewrite/rewrite.c:96
+#: src/protocol/rewrite/rewrite.c:99
 #, no-c-format
 msgid ""
-"Default URI template used when the string entered in\n"
-"the goto dialog does not appear to be a URI or a filename\n"
-"(i.e. contains no '.', ':' or '/' characters), and does\n"
-"not match any defined prefixes. Set the value to \"\" to\n"
-"disable use of the default template rewrite rule.\n"
+"Default URI template used when the string entered in the goto dialog does "
+"not appear to be a URI or a filename (i.e. contains no '.', ':' or '/' "
+"characters), and does not match any defined prefixes. Set the value to \"\" "
+"to disable use of the default template rewrite rule.\n"
+"\n"
 "%c in the template means the current URL,\n"
-"%s in the template means the whole string from the goto dialog,\n"
-"%0,%1,...,%9 mean the 1st,2nd,...,10th space-delimited part of %s,\n"
+"%s in the template means the whole string from the goto\n"
+"   dialog,\n"
+"%0,%1,...,%9 mean the 1st,2nd,...,10th space-delimited part\n"
+"   of %s,\n"
 "%% in the template means '%'."
 msgstr ""
 
 #. name:
-#: src/protocol/rewrite/rewrite.c:372
+#: src/protocol/rewrite/rewrite.c:378
 msgid "URI rewrite"
 msgstr ""
 
@@ -7737,24 +7751,23 @@ msgid "Credentials file passed to smbcli
 msgstr ""
 
 #. name:
-#: src/protocol/user.c:34 src/protocol/user.c:84
+#: src/protocol/user.c:34 src/protocol/user.c:85
 msgid "User protocols"
 msgstr ""
 
 #: src/protocol/user.c:36
 msgid ""
-"User protocols. Options in this tree specify external\n"
-"handlers for the appropriate protocols. Ie.\n"
-"protocol.user.mailto.unix."
+"User protocols. Options in this tree specify external handlers for the "
+"appropriate protocols. Ie. protocol.user.mailto.unix."
 msgstr ""
 
 #: src/protocol/user.c:47
 msgid ""
-"Handler (external program) for this protocol. Name the\n"
-"options in this tree after your system (ie. unix, unix-xwin)."
+"Handler (external program) for this protocol. Name the options in this tree "
+"after your system (ie. unix, unix-xwin)."
 msgstr ""
 
-#: src/protocol/user.c:52
+#: src/protocol/user.c:53
 msgid ""
 "Handler (external program) for this protocol and system.\n"
 "%f in the string means file name to include form data from\n"
@@ -7765,11 +7778,11 @@ msgid ""
 "%u in the string means the whole URL"
 msgstr ""
 
-#: src/protocol/user.c:276
+#: src/protocol/user.c:277
 msgid "No program"
 msgstr "Nici un program"
 
-#: src/protocol/user.c:278
+#: src/protocol/user.c:279
 #, fuzzy, c-format
 msgid "No program specified for protocol %s."
 msgstr "Program nespecificat pentru"
@@ -7853,19 +7866,19 @@ msgstr ""
 msgid "Spidermonkey ECMAScript"
 msgstr ""
 
-#: src/session/download.c:233 src/session/download.c:330
-#: src/session/download.c:561 src/session/download.c:649
+#: src/session/download.c:256 src/session/download.c:356
+#: src/session/download.c:587 src/session/download.c:675
 msgid "Download error"
 msgstr "Eroare la descrcare"
 
-#: src/session/download.c:234 src/session/download.c:650
+#: src/session/download.c:257 src/session/download.c:676
 #, fuzzy, c-format
 msgid ""
 "Could not create file '%s':\n"
 "%s"
 msgstr "Nu s-a putut crea fiierul"
 
-#: src/session/download.c:331
+#: src/session/download.c:357
 #, fuzzy, c-format
 msgid ""
 "Error downloading %s:\n"
@@ -7873,17 +7886,17 @@ msgid ""
 "%s"
 msgstr "Eroare la descrcare"
 
-#: src/session/download.c:562
+#: src/session/download.c:588
 #, c-format
 msgid "'%s' is a directory."
 msgstr ""
 
-#: src/session/download.c:596
+#: src/session/download.c:622
 #, fuzzy
 msgid "File exists"
 msgstr "~Extensia fiierelor"
 
-#: src/session/download.c:597
+#: src/session/download.c:623
 #, c-format
 msgid ""
 "This file already exists:\n"
@@ -7894,51 +7907,51 @@ msgid ""
 msgstr ""
 
 #. accelerator_context(src/session/download.c:lookup_unique_name)
-#: src/session/download.c:604
+#: src/session/download.c:630
 msgid "Sa~ve under the alternative name"
 msgstr ""
 
 #. accelerator_context(src/session/download.c:lookup_unique_name)
-#: src/session/download.c:605
+#: src/session/download.c:631
 msgid "~Overwrite the original file"
 msgstr ""
 
 #. accelerator_context(src/session/download.c:lookup_unique_name)
-#: src/session/download.c:606
+#: src/session/download.c:632
 msgid "~Resume download of the original file"
 msgstr ""
 
-#: src/session/download.c:1109
+#: src/session/download.c:1135
 msgid "Unknown type"
 msgstr "Tip necunoscut"
 
-#: src/session/download.c:1134
+#: src/session/download.c:1160
 #, c-format
 msgid "What would you like to do with the file '%s' (type: %s%s%s)?"
 msgstr ""
 
-#: src/session/download.c:1137
+#: src/session/download.c:1163
 #, c-format
 msgid "What would you like to do with the file (type: %s%s%s)?"
 msgstr ""
 
-#: src/session/download.c:1165
+#: src/session/download.c:1191
 #, no-c-format
 msgid "Program ('%' will be replaced by the filename)"
 msgstr ""
 
-#: src/session/download.c:1169
+#: src/session/download.c:1195
 #, fuzzy
 msgid "Block the terminal"
 msgstr "Terminal ~BeOS"
 
-#: src/session/download.c:1175
+#: src/session/download.c:1201
 #, c-format
 msgid "The file will be opened with the program '%s'."
 msgstr ""
 
 #. accelerator_context(src/session/download.c:do_type_query)
-#: src/session/download.c:1196
+#: src/session/download.c:1222
 #, fuzzy
 msgid "~Open"
 msgstr "Deschide"
@@ -7947,12 +7960,12 @@ msgstr "Deschide"
 #. * and formatting it with "%u" is safe,
 #. * because fc_maxlength is smaller than
 #. * file.length, which is an int.
-#: src/session/session.c:761 src/session/session.c:780 src/session/task.c:275
-#: src/viewer/text/textarea.c:652
+#: src/session/session.c:771 src/session/session.c:790 src/session/task.c:275
+#: src/viewer/text/textarea.c:641
 msgid "Warning"
 msgstr "Avertisment"
 
-#: src/session/session.c:762
+#: src/session/session.c:772
 msgid ""
 "You have an empty string in protocol.http.user_agent - this was a default "
 "value in the past, substituted by default ELinks User-Agent string. However, "
@@ -7963,7 +7976,7 @@ msgid ""
 "will be used. Apologies for any inconvience caused."
 msgstr ""
 
-#: src/session/session.c:781
+#: src/session/session.c:791
 msgid ""
 "You have option config.saving_style set to a de facto obsolete value. The "
 "configuration saving algorithms of ELinks were changed from the last time "
@@ -7976,11 +7989,11 @@ msgid ""
 "caused."
 msgstr ""
 
-#: src/session/session.c:806
+#: src/session/session.c:816
 msgid "Welcome"
 msgstr "Bine ai venit"
 
-#: src/session/session.c:807
+#: src/session/session.c:817
 #, fuzzy
 msgid ""
 "Welcome to ELinks!\n"
@@ -8030,22 +8043,22 @@ msgstr ""
 msgid "Warning: terminal name contains illicit chars."
 msgstr ""
 
-#: src/terminal/event.c:259
+#: src/terminal/event.c:258
 #, c-format
 msgid "Failed to create session."
 msgstr ""
 
-#: src/terminal/event.c:446
+#: src/terminal/event.c:443
 #, c-format
 msgid "Bad event %d"
 msgstr ""
 
-#: src/terminal/event.c:486
+#: src/terminal/event.c:483
 #, fuzzy, c-format
 msgid "Could not read event: %d (%s)"
 msgstr "Nu s-a putut crea fiierul"
 
-#: src/terminal/kbd.c:1187
+#: src/terminal/kbd.c:1210
 #, c-format
 msgid "Too many bytes read from the itrm!"
 msgstr ""
@@ -8124,207 +8137,207 @@ msgstr "Fr cadruri"
 msgid "The requested fragment \"%s\" doesn't exist."
 msgstr ""
 
-#: src/viewer/text/form.c:1092
+#: src/viewer/text/form.c:1118
 msgid "Error while posting form"
 msgstr "Eroare la postarea formularului"
 
-#: src/viewer/text/form.c:1093
+#: src/viewer/text/form.c:1119
 #, fuzzy, c-format
 msgid "Could not load file %s: %s"
 msgstr "Nu s-a putut recupera fiierul"
 
-#: src/viewer/text/form.c:1847
+#: src/viewer/text/form.c:1876
 #, fuzzy
 msgid "Reset form"
 msgstr "~Reseteaz formularul"
 
-#: src/viewer/text/form.c:1849
+#: src/viewer/text/form.c:1878
 msgid "Harmless button"
 msgstr ""
 
-#: src/viewer/text/form.c:1857
+#: src/viewer/text/form.c:1886
 msgid "Submit form to"
 msgstr "Trimite formular ctre"
 
-#: src/viewer/text/form.c:1858
+#: src/viewer/text/form.c:1887
 msgid "Post form to"
 msgstr "Posteaz formular ctre"
 
-#: src/viewer/text/form.c:1860
+#: src/viewer/text/form.c:1889
 msgid "Radio button"
 msgstr "Buton radio"
 
-#: src/viewer/text/form.c:1864
+#: src/viewer/text/form.c:1893
 msgid "Select field"
 msgstr "Selecteaz cmpul"
 
-#: src/viewer/text/form.c:1868
+#: src/viewer/text/form.c:1897
 msgid "Text area"
 msgstr "Arie de text"
 
-#: src/viewer/text/form.c:1870
+#: src/viewer/text/form.c:1899
 msgid "File upload"
 msgstr "ncrcare de fiier"
 
-#: src/viewer/text/form.c:1872
+#: src/viewer/text/form.c:1901
 msgid "Password field"
 msgstr "Cmp de parol"
 
-#: src/viewer/text/form.c:1910
+#: src/viewer/text/form.c:1939
 msgid "name"
 msgstr "Nume"
 
-#: src/viewer/text/form.c:1922
+#: src/viewer/text/form.c:1951
 msgid "value"
 msgstr "Valoare"
 
-#: src/viewer/text/form.c:1935
+#: src/viewer/text/form.c:1964
 msgid "read only"
 msgstr ""
 
-#: src/viewer/text/form.c:1946
+#: src/viewer/text/form.c:1975
 #, c-format
 msgid "press %s to navigate"
 msgstr ""
 
-#: src/viewer/text/form.c:1948
+#: src/viewer/text/form.c:1977
 #, c-format
 msgid "press %s to edit"
 msgstr ""
 
-#: src/viewer/text/form.c:1984
+#: src/viewer/text/form.c:2013
 #, fuzzy, c-format
 msgid "press %s to submit to %s"
 msgstr "Trimite la"
 
-#: src/viewer/text/form.c:1986
+#: src/viewer/text/form.c:2015
 #, fuzzy, c-format
 msgid "press %s to post to %s"
 msgstr "Trimite la"
 
-#: src/viewer/text/form.c:2088
+#: src/viewer/text/form.c:2117
 msgid "Useless button"
 msgstr ""
 
-#: src/viewer/text/form.c:2090
+#: src/viewer/text/form.c:2119
 #, fuzzy
 msgid "Submit button"
 msgstr "Trimite formular ctre"
 
 #. accelerator_context(link_menu.map)
-#: src/viewer/text/link.c:1281
+#: src/viewer/text/link.c:1280
 msgid "Display ~usemap"
 msgstr "Arat ~usemap"
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1286
+#: src/viewer/text/link.c:1285
 msgid "~Follow link"
 msgstr "~Urmrete link"
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1288
+#: src/viewer/text/link.c:1287
 msgid "Follow link and r~eload"
 msgstr ""
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1292
+#: src/viewer/text/link.c:1291
 msgid "Open in new ~window"
 msgstr "Deschide ~n fereastr nou"
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1294
+#: src/viewer/text/link.c:1293
 #, fuzzy
 msgid "Open in new ~tab"
 msgstr "Deschide ~n fereastr nou"
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1296
+#: src/viewer/text/link.c:1295
 #, fuzzy
 msgid "Open in new tab in ~background"
 msgstr "Fundal"
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1301
+#: src/viewer/text/link.c:1300
 msgid "~Download link"
 msgstr "~Descarc link"
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1304
+#: src/viewer/text/link.c:1303
 msgid "~Add link to bookmarks"
 msgstr ""
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1308
+#: src/viewer/text/link.c:1307
 msgid "Pass link URI to e~xternal command"
 msgstr ""
 
 #. accelerator_context(link_menu.form, link_menu.reset, link_menu.textarea)
-#: src/viewer/text/link.c:1319 src/viewer/text/link.c:1359
+#: src/viewer/text/link.c:1318 src/viewer/text/link.c:1358
 msgid "~Reset form"
 msgstr "~Reseteaz formularul"
 
 #. accelerator_context(link_menu.textarea)
-#: src/viewer/text/link.c:1334
+#: src/viewer/text/link.c:1333
 msgid "Open in ~external editor"
 msgstr ""
 
 #. accelerator_context(link_menu.form, link_menu.textarea)
-#: src/viewer/text/link.c:1342
+#: src/viewer/text/link.c:1341
 msgid "~Submit form"
 msgstr "Trimite formularul"
 
 #. accelerator_context(link_menu.form, link_menu.textarea)
-#: src/viewer/text/link.c:1343
+#: src/viewer/text/link.c:1342
 msgid "Submit form and rel~oad"
 msgstr ""
 
 #. accelerator_context(link_menu.form, link_menu.textarea)
-#: src/viewer/text/link.c:1347
+#: src/viewer/text/link.c:1346
 msgid "Submit form and open in new ~window"
 msgstr "Trimite formularul i deschide n fereastr nou"
 
 #. accelerator_context(link_menu.form, link_menu.textarea)
-#: src/viewer/text/link.c:1349
+#: src/viewer/text/link.c:1348
 #, fuzzy
 msgid "Submit form and open in new ~tab"
 msgstr "Trimite formularul i deschide n fereastr nou"
 
 #. accelerator_context(link_menu.form, link_menu.textarea)
-#: src/viewer/text/link.c:1352
+#: src/viewer/text/link.c:1351
 #, fuzzy
 msgid "Submit form and open in new tab in ~background"
 msgstr "Trimite formularul i deschide n fereastr nou"
 
 #. accelerator_context(link_menu.form, link_menu.textarea)
-#: src/viewer/text/link.c:1357
+#: src/viewer/text/link.c:1356
 msgid "Submit form and ~download"
 msgstr "Trimite formularul i ~descarc"
 
 #. accelerator_context(link_menu.form, link_menu.reset, link_menu.textarea)
-#: src/viewer/text/link.c:1364
+#: src/viewer/text/link.c:1363
 #, fuzzy
 msgid "Form f~ields"
 msgstr "Cmp de parol"
 
 #. accelerator_context(link_menu.form, link_menu.map, link_menu.std)
-#: src/viewer/text/link.c:1371
+#: src/viewer/text/link.c:1370
 msgid "V~iew image"
 msgstr "Vez~i imagine"
 
 #. accelerator_context(link_menu.form, link_menu.map, link_menu.std)
-#: src/viewer/text/link.c:1373
+#: src/viewer/text/link.c:1372
 msgid "Download ima~ge"
 msgstr "Descarc ima~ginea"
 
-#: src/viewer/text/link.c:1382
+#: src/viewer/text/link.c:1381
 msgid "No link selected"
 msgstr "Nici un link selectat"
 
-#: src/viewer/text/link.c:1452
+#: src/viewer/text/link.c:1451
 msgid "Image"
 msgstr "Imagine"
 
-#: src/viewer/text/link.c:1457
+#: src/viewer/text/link.c:1456
 msgid "Usemap"
 msgstr "Usemap"
 
@@ -8333,86 +8346,86 @@ msgstr "Usemap"
 msgid "Marks"
 msgstr ""
 
-#: src/viewer/text/search.c:1083
+#: src/viewer/text/search.c:1099
 msgid "Search hit top, continuing at bottom."
 msgstr ""
 
-#: src/viewer/text/search.c:1084
+#: src/viewer/text/search.c:1100
 msgid "Search hit bottom, continuing at top."
 msgstr ""
 
-#: src/viewer/text/search.c:1087
+#: src/viewer/text/search.c:1103
 msgid "No previous search"
 msgstr "Nu exist cutri anterioare"
 
-#: src/viewer/text/search.c:1099
+#: src/viewer/text/search.c:1115
 #, c-format
 msgid "Could not compile regular expression '%s'"
 msgstr ""
 
-#: src/viewer/text/search.c:1143
+#: src/viewer/text/search.c:1159
 #, c-format
 msgid "No further matches for '%s'."
 msgstr ""
 
-#: src/viewer/text/search.c:1145
+#: src/viewer/text/search.c:1161
 #, c-format
 msgid "Could not find a link with the text '%s'."
 msgstr ""
 
-#: src/viewer/text/search.c:1147 src/viewer/text/search.c:1558
+#: src/viewer/text/search.c:1163 src/viewer/text/search.c:1576
 msgid "Typeahead"
 msgstr ""
 
-#: src/viewer/text/search.c:1560
+#: src/viewer/text/search.c:1578
 #, c-format
 msgid "No links in current document"
 msgstr ""
 
-#: src/viewer/text/search.c:1643
+#: src/viewer/text/search.c:1661
 msgid "Search for text"
 msgstr "Caut pentru text"
 
-#: src/viewer/text/search.c:1679
+#: src/viewer/text/search.c:1697
 #, fuzzy
 msgid "Normal search"
 msgstr "Nu exist cutri anterioare"
 
-#: src/viewer/text/search.c:1680
+#: src/viewer/text/search.c:1698
 msgid "Regexp search"
 msgstr ""
 
-#: src/viewer/text/search.c:1681
+#: src/viewer/text/search.c:1699
 msgid "Extended regexp search"
 msgstr ""
 
-#: src/viewer/text/search.c:1683
+#: src/viewer/text/search.c:1701
 msgid "Case sensitive"
 msgstr ""
 
-#: src/viewer/text/search.c:1684
+#: src/viewer/text/search.c:1702
 msgid "Case insensitive"
 msgstr ""
 
-#: src/viewer/text/search.c:1708
+#: src/viewer/text/search.c:1726
 msgid "Search backward"
 msgstr "Caut napoi"
 
 #. name:
-#: src/viewer/text/search.c:1747
+#: src/viewer/text/search.c:1765
 #, fuzzy
 msgid "Search History"
 msgstr "Memorie insuficient"
 
-#: src/viewer/text/textarea.c:595
+#: src/viewer/text/textarea.c:584
 msgid "You cannot launch an external editor in the anonymous mode."
 msgstr ""
 
-#: src/viewer/text/textarea.c:602
+#: src/viewer/text/textarea.c:591
 msgid "You can do this only on the master terminal"
 msgstr ""
 
-#: src/viewer/text/textarea.c:655
+#: src/viewer/text/textarea.c:644
 #, c-format
 msgid ""
 "You have exceeded the textarea's size limit: your input is %d bytes, but the "
@@ -8430,11 +8443,11 @@ msgstr "Du-te la link"
 msgid "Enter link number"
 msgstr "Introdu numrul link-ului"
 
-#: src/viewer/text/view.c:1627
+#: src/viewer/text/view.c:1628
 msgid "Save error"
 msgstr "Eroare la salvare"
 
-#: src/viewer/text/view.c:1628
+#: src/viewer/text/view.c:1629
 msgid "Error writing to file"
 msgstr "Eroare la scrierea fiierului"
 
Binary files 0.12~pre2.dfsg0-1/po/ru.gmo and 0.12~pre4-1/po/ru.gmo differ
diff -pruN 0.12~pre2.dfsg0-1/po/ru.po 0.12~pre4-1/po/ru.po
--- 0.12~pre2.dfsg0-1/po/ru.po	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/po/ru.po	2009-05-31 09:48:47.000000000 +0100
@@ -9,7 +9,7 @@ msgid ""
 msgstr ""
 "Project-Id-Version: ELinks 0.5pre0.CVS\n"
 "Report-Msgid-Bugs-To: elinks-users@linuxfromscratch.org\n"
-"POT-Creation-Date: 2008-09-21 11:13+0300\n"
+"POT-Creation-Date: 2009-05-31 01:57+0300\n"
 "PO-Revision-Date: 2003-01-03 03:41+0100\n"
 "Last-Translator: Dmitry M. Klimov <dmk@gtrk.kmtn.ru>\n"
 "Language-Team: Russian <ru@li.org>\n"
@@ -40,7 +40,7 @@ msgstr ""
 #: src/mime/dialogs.c:132 src/protocol/auth/dialogs.c:115
 #: src/protocol/protocol.c:246 src/scripting/lua/core.c:399
 #: src/scripting/lua/core.c:480 src/scripting/python/dialogs.c:86
-#: src/session/session.c:811 src/viewer/text/search.c:1686
+#: src/session/session.c:821 src/viewer/text/search.c:1704
 #, fuzzy
 msgid "~OK"
 msgstr ""
@@ -58,13 +58,13 @@ msgid "Sorry, but the item \"%s\" is bei
 msgstr ",    -  ."
 
 #. cant_delete_folder
-#: src/bfu/hierbox.c:558 src/bookmarks/dialogs.c:121
+#: src/bfu/hierbox.c:558 src/bookmarks/dialogs.c:153
 #, fuzzy, c-format
 msgid "Sorry, but the folder \"%s\" cannot be deleted."
 msgstr ",    -  ."
 
 #. cant_delete_used_folder
-#: src/bfu/hierbox.c:561 src/bookmarks/dialogs.c:123
+#: src/bfu/hierbox.c:561 src/bookmarks/dialogs.c:155
 #, fuzzy, c-format
 msgid "Sorry, but the folder \"%s\" is being used by something else."
 msgstr ",    -  ."
@@ -82,7 +82,7 @@ msgid "Delete marked items?"
 msgstr "  "
 
 #. delete_folder_title
-#: src/bfu/hierbox.c:570 src/bookmarks/dialogs.c:129
+#: src/bfu/hierbox.c:570 src/bookmarks/dialogs.c:161
 #, fuzzy
 msgid "Delete folder"
 msgstr " "
@@ -143,13 +143,13 @@ msgstr ""
 msgid "~No"
 msgstr ""
 
-#: src/bfu/hierbox.c:945 src/bfu/hierbox.c:976 src/viewer/text/search.c:1090
-#: src/viewer/text/search.c:1098 src/viewer/text/search.c:1114
-#: src/viewer/text/search.c:1705
+#: src/bfu/hierbox.c:945 src/bfu/hierbox.c:976 src/viewer/text/search.c:1106
+#: src/viewer/text/search.c:1114 src/viewer/text/search.c:1130
+#: src/viewer/text/search.c:1723
 msgid "Search"
 msgstr ""
 
-#: src/bfu/hierbox.c:947 src/viewer/text/search.c:1091
+#: src/bfu/hierbox.c:947 src/viewer/text/search.c:1107
 #, fuzzy, c-format
 msgid "Search string '%s' not found"
 msgstr "   "
@@ -188,8 +188,8 @@ msgstr "   "
 #: src/dialogs/options.c:237 src/dialogs/options.c:316 src/mime/dialogs.c:133
 #: src/protocol/auth/dialogs.c:116 src/protocol/bittorrent/dialogs.c:814
 #: src/scripting/lua/core.c:400 src/scripting/lua/core.c:481
-#: src/session/download.c:607 src/session/download.c:1219
-#: src/viewer/text/search.c:1687
+#: src/session/download.c:633 src/session/download.c:1245
+#: src/viewer/text/search.c:1705
 #, fuzzy
 msgid "~Cancel"
 msgstr ""
@@ -203,8 +203,8 @@ msgstr ""
 msgid "Digital clock in the status bar."
 msgstr ""
 
-#: src/bfu/leds.c:77 src/bfu/leds.c:94 src/config/options.inc:1199
-#: src/config/options.inc:1206 src/ecmascript/ecmascript.c:45
+#: src/bfu/leds.c:77 src/bfu/leds.c:94 src/config/options.inc:1272
+#: src/config/options.inc:1279 src/ecmascript/ecmascript.c:45
 #: src/globhist/globhist.c:64 src/mime/backend/mailcap.c:93
 #: src/mime/backend/mimetypes.c:52 src/network/ssl/ssl.c:81
 #, fuzzy
@@ -222,8 +222,7 @@ msgstr " "
 
 #: src/bfu/leds.c:83
 msgid ""
-"Format string for the digital clock. See the strftime(3)\n"
-"manpage for details."
+"Format string for the digital clock. See the strftime(3) manpage for details."
 msgstr ""
 
 #: src/bfu/leds.c:90
@@ -236,8 +235,7 @@ msgstr ""
 
 #: src/bfu/leds.c:96
 msgid ""
-"Enable LEDs.\n"
-"These visual indicators will inform you about various states."
+"Enable LEDs. These visual indicators will inform you about various states."
 msgstr ""
 
 #. name:
@@ -267,35 +265,35 @@ msgstr ""
 msgid "Search menu/"
 msgstr ""
 
-#: src/bookmarks/backend/xbel.c:97
+#: src/bookmarks/backend/xbel.c:105
 #, c-format
 msgid "read_bookmarks_xbel(): Error in XML_ParserCreate()"
 msgstr ""
 
-#: src/bookmarks/backend/xbel.c:108
+#: src/bookmarks/backend/xbel.c:116
 #, c-format
 msgid "read_bookmarks_xbel(): Error reading %s"
 msgstr ""
 
-#: src/bookmarks/backend/xbel.c:116
+#: src/bookmarks/backend/xbel.c:124
 #, c-format
 msgid ""
 "Parse error while processing XBEL bookmarks in %s at line %d column %d:\n"
 "%s"
 msgstr ""
 
-#: src/bookmarks/backend/xbel.c:390 src/bookmarks/backend/xbel.c:411
+#: src/bookmarks/backend/xbel.c:388 src/bookmarks/backend/xbel.c:410
 #, fuzzy
 msgid "No title"
 msgstr " "
 
-#: src/bookmarks/backend/xbel.c:396
+#: src/bookmarks/backend/xbel.c:394
 #, fuzzy
 msgid "No URL"
 msgstr "   URL"
 
 #. name:
-#: src/bookmarks/bookmarks.c:48 src/bookmarks/bookmarks.c:181
+#: src/bookmarks/bookmarks.c:48 src/bookmarks/bookmarks.c:183
 #, fuzzy
 msgid "Bookmarks"
 msgstr ""
@@ -305,7 +303,7 @@ msgstr ""
 msgid "Bookmark options."
 msgstr ""
 
-#: src/bookmarks/bookmarks.c:53 src/bookmarks/bookmarks.c:59
+#: src/bookmarks/bookmarks.c:53 src/bookmarks/bookmarks.c:60
 #, fuzzy
 msgid "File format"
 msgstr " "
@@ -314,51 +312,47 @@ msgstr " "
 msgid ""
 "File format for bookmarks (affects both reading and saving):\n"
 "0 is the default native ELinks format\n"
-"1 is XBEL universal XML bookmarks format (ELinks bug 153: NO NATIONAL CHARS "
-"SUPPORT!)"
+"1 is XBEL universal XML bookmarks format"
 msgstr ""
 
-#: src/bookmarks/bookmarks.c:61
+#: src/bookmarks/bookmarks.c:62
 msgid ""
 "File format for bookmarks (affects both reading and saving):\n"
 "0 is the default native ELinks format\n"
-"1 is XBEL universal XML bookmarks format (ELinks bug 153: NO NATIONAL CHARS "
-"SUPPORT!)  (DISABLED)"
+"1 is XBEL universal XML bookmarks format  (DISABLED)"
 msgstr ""
 
-#: src/bookmarks/bookmarks.c:67
+#: src/bookmarks/bookmarks.c:68
 #, fuzzy
 msgid "Save folder state"
 msgstr "  "
 
-#: src/bookmarks/bookmarks.c:69
+#: src/bookmarks/bookmarks.c:70
 msgid ""
-"When saving bookmarks also store whether folders are\n"
-"expanded or not, so the look of the bookmark dialog is\n"
-"kept across ELinks sessions. If disabled all folders will\n"
-"appear unexpanded next time ELinks is run."
+"When saving bookmarks also store whether folders are expanded or not, so the "
+"look of the bookmark dialog is kept across ELinks sessions. If disabled all "
+"folders will appear unexpanded next time ELinks is run."
 msgstr ""
 
-#: src/bookmarks/bookmarks.c:74
+#: src/bookmarks/bookmarks.c:75
 msgid "Periodic snapshotting"
 msgstr ""
 
-#: src/bookmarks/bookmarks.c:76
+#: src/bookmarks/bookmarks.c:77
 msgid ""
-"Automatically save a snapshot of all tabs periodically.\n"
-"This will periodically bookmark the tabs of each terminal in a separate "
-"folder\n"
-"for recovery after a crash.\n"
+"Automatically save a snapshot of all tabs periodically. This will "
+"periodically bookmark the tabs of each terminal in a separate folder for "
+"recovery after a crash.\n"
 "\n"
 "This feature requires bookmark support."
 msgstr ""
 
-#: src/bookmarks/dialogs.c:72 src/config/options.inc:1051
+#: src/bookmarks/dialogs.c:97 src/config/options.inc:1120
 #: src/dialogs/document.c:145 src/globhist/dialogs.c:65
 msgid "Title"
 msgstr ""
 
-#: src/bookmarks/dialogs.c:73 src/cache/dialogs.c:65
+#: src/bookmarks/dialogs.c:101 src/cache/dialogs.c:65
 #: src/dialogs/document.c:136 src/dialogs/edit.c:96 src/formhist/dialogs.c:63
 #: src/globhist/dialogs.c:66 src/protocol/auth/dialogs.c:163
 #: src/scripting/lua/core.c:397
@@ -366,86 +360,86 @@ msgid "URL"
 msgstr "URL"
 
 #. cant_delete_item
-#: src/bookmarks/dialogs.c:117
+#: src/bookmarks/dialogs.c:149
 #, fuzzy, c-format
 msgid "Sorry, but the bookmark \"%s\" cannot be deleted."
 msgstr ",    -  ."
 
 #. cant_delete_used_item
-#: src/bookmarks/dialogs.c:119
+#: src/bookmarks/dialogs.c:151
 #, fuzzy, c-format
 msgid "Sorry, but the bookmark \"%s\" is being used by something else."
 msgstr ",    -  ."
 
 #. delete_marked_items_title
-#: src/bookmarks/dialogs.c:125
+#: src/bookmarks/dialogs.c:157
 #, fuzzy
 msgid "Delete marked bookmarks"
 msgstr "  "
 
 #. delete_marked_items
-#: src/bookmarks/dialogs.c:127
+#: src/bookmarks/dialogs.c:159
 #, fuzzy
 msgid "Delete marked bookmarks?"
 msgstr "  "
 
 #. delete_folder
-#: src/bookmarks/dialogs.c:131
+#: src/bookmarks/dialogs.c:163
 #, fuzzy, c-format
 msgid "Delete the folder \"%s\" and all bookmarks in it?"
 msgstr " "
 
 #. delete_item_title
-#: src/bookmarks/dialogs.c:133
+#: src/bookmarks/dialogs.c:165
 #, fuzzy
 msgid "Delete bookmark"
 msgstr " "
 
-#: src/bookmarks/dialogs.c:135
+#: src/bookmarks/dialogs.c:167
 #, c-format
 msgid "Delete this bookmark?"
 msgstr ""
 
 #. clear_all_items_title
-#: src/bookmarks/dialogs.c:137
+#: src/bookmarks/dialogs.c:169
 #, fuzzy
 msgid "Clear all bookmarks"
 msgstr "  "
 
 #. clear_all_items_title
-#: src/bookmarks/dialogs.c:139
+#: src/bookmarks/dialogs.c:171
 #, fuzzy
 msgid "Do you really want to remove all bookmarks?"
 msgstr "      Links?"
 
-#: src/bookmarks/dialogs.c:254
+#: src/bookmarks/dialogs.c:327
 msgid "Add folder"
 msgstr ""
 
-#: src/bookmarks/dialogs.c:254
+#: src/bookmarks/dialogs.c:327
 msgid "Folder name"
 msgstr ""
 
-#: src/bookmarks/dialogs.c:310 src/scripting/lua/core.c:391
+#: src/bookmarks/dialogs.c:410 src/scripting/lua/core.c:391
 msgid "Edit bookmark"
 msgstr " "
 
-#: src/bookmarks/dialogs.c:461
+#: src/bookmarks/dialogs.c:567
 msgid "Cannot move folder inside itself"
 msgstr ""
 
-#: src/bookmarks/dialogs.c:462
+#: src/bookmarks/dialogs.c:568
 msgid ""
 "You are trying to move the marked folder inside itself. To move the folder "
 "to a different location select the new location before pressing the Move "
 "button."
 msgstr ""
 
-#: src/bookmarks/dialogs.c:468
+#: src/bookmarks/dialogs.c:574
 msgid "Nothing to move"
 msgstr ""
 
-#: src/bookmarks/dialogs.c:469
+#: src/bookmarks/dialogs.c:575
 msgid ""
 "To move bookmarks, first mark all the bookmarks (or folders) you want to "
 "move.  This can be done with the Insert key if you're using the default key-"
@@ -454,21 +448,21 @@ msgid ""
 msgstr ""
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons, src/cache/dialogs.c:cache_buttons, src/globhist/dialogs.c:globhist_buttons, src/protocol/auth/dialogs.c:auth_buttons)
-#: src/bookmarks/dialogs.c:487 src/cache/dialogs.c:230
+#: src/bookmarks/dialogs.c:593 src/cache/dialogs.c:230
 #: src/globhist/dialogs.c:224 src/protocol/auth/dialogs.c:261
 #, fuzzy
 msgid "~Goto"
 msgstr ""
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons, src/config/dialogs.c:option_buttons, src/cookies/dialogs.c:cookie_buttons)
-#: src/bookmarks/dialogs.c:488 src/config/dialogs.c:503
+#: src/bookmarks/dialogs.c:594 src/config/dialogs.c:503
 #: src/cookies/dialogs.c:492
 #, fuzzy
 msgid "~Edit"
 msgstr ""
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons, src/cache/dialogs.c:cache_buttons, src/config/dialogs.c:keybinding_buttons, src/config/dialogs.c:option_buttons, src/cookies/dialogs.c:cookie_buttons, src/dialogs/menu.c:ext_menu, src/formhist/dialogs.c:formhist_buttons, src/globhist/dialogs.c:globhist_buttons, src/protocol/auth/dialogs.c:auth_buttons)
-#: src/bookmarks/dialogs.c:489 src/cache/dialogs.c:231
+#: src/bookmarks/dialogs.c:595 src/cache/dialogs.c:231
 #: src/config/dialogs.c:505 src/config/dialogs.c:930 src/cookies/dialogs.c:493
 #: src/dialogs/menu.c:463 src/formhist/dialogs.c:211
 #: src/globhist/dialogs.c:229 src/protocol/auth/dialogs.c:263
@@ -476,29 +470,29 @@ msgid "~Delete"
 msgstr ""
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons, src/config/dialogs.c:keybinding_buttons, src/config/dialogs.c:option_buttons, src/cookies/dialogs.c:cookie_buttons, src/dialogs/menu.c:ext_menu)
-#: src/bookmarks/dialogs.c:490 src/config/dialogs.c:504
+#: src/bookmarks/dialogs.c:596 src/config/dialogs.c:504
 #: src/config/dialogs.c:929 src/cookies/dialogs.c:490 src/dialogs/menu.c:461
 msgid "~Add"
 msgstr ""
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons)
-#: src/bookmarks/dialogs.c:491
+#: src/bookmarks/dialogs.c:597
 #, fuzzy
 msgid "Add se~parator"
 msgstr "  "
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons)
-#: src/bookmarks/dialogs.c:492
+#: src/bookmarks/dialogs.c:598
 msgid "Add ~folder"
 msgstr ""
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons)
-#: src/bookmarks/dialogs.c:493
+#: src/bookmarks/dialogs.c:599
 msgid "~Move"
 msgstr ""
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons, src/cache/dialogs.c:cache_buttons, src/config/dialogs.c:keybinding_buttons, src/config/dialogs.c:option_buttons, src/dialogs/menu.c:view_menu, src/globhist/dialogs.c:globhist_buttons)
-#: src/bookmarks/dialogs.c:494 src/cache/dialogs.c:232
+#: src/bookmarks/dialogs.c:600 src/cache/dialogs.c:232
 #: src/config/dialogs.c:506 src/config/dialogs.c:932 src/dialogs/menu.c:413
 #: src/globhist/dialogs.c:230
 msgid "~Search"
@@ -506,38 +500,52 @@ msgstr ""
 
 #. This one is too dangerous, so just let user delete
 #. * the bookmarks file if needed. --Zas
-#: src/bookmarks/dialogs.c:498
+#: src/bookmarks/dialogs.c:604
 msgid "Clear"
 msgstr ""
 
 #. TODO: Would this be useful? --jonas
-#: src/bookmarks/dialogs.c:501 src/globhist/dialogs.c:235
+#: src/bookmarks/dialogs.c:607 src/globhist/dialogs.c:235
 msgid "Save"
 msgstr ""
 
-#: src/bookmarks/dialogs.c:507
+#: src/bookmarks/dialogs.c:613
 msgid "Bookmark manager"
 msgstr "  "
 
-#: src/bookmarks/dialogs.c:632
+#: src/bookmarks/dialogs.c:825
 msgid "Search bookmarks"
 msgstr "  "
 
-#: src/bookmarks/dialogs.c:661
+#. When the user eventually pushes the OK button, BFU calls
+#. * bookmark_add_add() and gives it the struct dialog * as the
+#. * void * parameter.  However, bookmark_add_add() also needs
+#. * to know the struct terminal *, and there is no way to get
+#. * that from struct dialog.  The other bookmark dialogs work
+#. * around that by making dialog.udata point to the struct
+#. * dialog_data of the bookmark manager, but the "Add bookmark"
+#. * dialog can be triggered with ACT_MAIN_ADD_BOOKMARK, which
+#. * does not involve the bookmark manager at all.
+#. *
+#. * The solution here is to save the struct terminal * in
+#. * dialog.udata2, which the "Edit bookmark" dialog uses for
+#. * struct bookmark *.  When adding a new bookmark, we don't
+#. * need a pointer to an existing one, of course.
+#: src/bookmarks/dialogs.c:892
 msgid "Add bookmark"
 msgstr " "
 
-#: src/bookmarks/dialogs.c:697
+#: src/bookmarks/dialogs.c:950
 #, fuzzy
 msgid "Saved session"
 msgstr " "
 
-#: src/bookmarks/dialogs.c:705
+#: src/bookmarks/dialogs.c:958
 #, fuzzy
 msgid "Bookmark tabs"
 msgstr ""
 
-#: src/bookmarks/dialogs.c:705
+#: src/bookmarks/dialogs.c:958
 #, fuzzy
 msgid "Enter folder name"
 msgstr "  "
@@ -551,7 +559,7 @@ msgstr "   URL"
 msgid "Redirect"
 msgstr ""
 
-#: src/cache/dialogs.c:85 src/config/options.inc:519
+#: src/cache/dialogs.c:85 src/config/options.inc:553
 #: src/dialogs/document.c:156 src/protocol/bittorrent/dialogs.c:126
 msgid "Size"
 msgstr ""
@@ -598,7 +606,7 @@ msgstr ""
 msgid "ID"
 msgstr ""
 
-#: src/cache/dialogs.c:134 src/config/options.inc:669
+#: src/cache/dialogs.c:134 src/config/options.inc:707
 #, fuzzy
 msgid "Header"
 msgstr "  "
@@ -1355,7 +1363,7 @@ msgstr "  "
 msgid "Resolver error"
 msgstr " "
 
-#: src/config/cmdline.c:256 src/cookies/cookies.c:841 src/network/state.c:47
+#: src/config/cmdline.c:256 src/cookies/cookies.c:843 src/network/state.c:47
 #: src/util/secsave.c:379
 msgid "Out of memory"
 msgstr " "
@@ -1377,290 +1385,291 @@ msgstr ""
 msgid "Remote method not supported"
 msgstr ""
 
-#: src/config/cmdline.c:452
+#: src/config/cmdline.c:437
+msgid "Out of memory formatting option documentation"
+msgstr ""
+
+#: src/config/cmdline.c:474
 msgid "Template option folder"
 msgstr ""
 
-#: src/config/cmdline.c:475
+#: src/config/cmdline.c:497
 #, c-format
 msgid "(default: %ld)"
 msgstr ""
 
-#: src/config/cmdline.c:482 src/config/cmdline.c:511
+#: src/config/cmdline.c:504 src/config/cmdline.c:533
 #, c-format
 msgid "(default: \"%s\")"
 msgstr ""
 
-#: src/config/cmdline.c:487
+#: src/config/cmdline.c:509
 #, c-format
 msgid "(alias for %s)"
 msgstr ""
 
-#: src/config/cmdline.c:492 src/config/cmdline.c:501
+#: src/config/cmdline.c:514 src/config/cmdline.c:523
 #, c-format
 msgid "(default: %s)"
 msgstr ""
 
-#: src/config/cmdline.c:642
+#: src/config/cmdline.c:654
 #, fuzzy
 msgid "Configuration options"
 msgstr "()"
 
-#: src/config/cmdline.c:646
+#: src/config/cmdline.c:658
 msgid "Usage: elinks [OPTION]... [URL]..."
 msgstr ""
 
-#: src/config/cmdline.c:647
+#: src/config/cmdline.c:659
 #, fuzzy
 msgid "Options"
 msgstr " "
 
-#: src/config/cmdline.c:689
+#: src/config/cmdline.c:701
 #, fuzzy
 msgid "Internal consistency error"
 msgstr " "
 
 #.
-#: src/config/cmdline.c:725
+#: src/config/cmdline.c:737
 msgid "Restrict to anonymous mode"
 msgstr ""
 
-#: src/config/cmdline.c:727
+#: src/config/cmdline.c:739
 msgid ""
-"Restricts ELinks so it can run on an anonymous account.\n"
-"Local file browsing, downloads, and modification of options\n"
-"will be disabled. Execution of viewers is allowed, but entries\n"
-"in the association table can't be added or modified."
+"Restricts ELinks so it can run on an anonymous account. Local file browsing, "
+"downloads, and modification of options will be disabled. Execution of "
+"viewers is allowed, but entries in the association table can't be added or "
+"modified."
 msgstr ""
 
-#: src/config/cmdline.c:732
+#: src/config/cmdline.c:745
 #, fuzzy
 msgid "Autosubmit first form"
 msgstr " "
 
-#: src/config/cmdline.c:734
+#: src/config/cmdline.c:747
 msgid "Automatically submit the first form in the given URLs."
 msgstr ""
 
-#: src/config/cmdline.c:736
+#: src/config/cmdline.c:749
 msgid "Clone internal session with given ID"
 msgstr ""
 
-#: src/config/cmdline.c:738
+#: src/config/cmdline.c:751
 msgid ""
-"Used internally when opening ELinks instances in new windows.\n"
-"The ID maps to information that will be used when creating the\n"
-"new instance. You don't want to use it."
+"Used internally when opening ELinks instances in new windows. The ID maps to "
+"information that will be used when creating the new instance. You don't want "
+"to use it."
 msgstr ""
 
-#: src/config/cmdline.c:744
+#: src/config/cmdline.c:757
 msgid "Name of directory with configuration file"
 msgstr ""
 
-#: src/config/cmdline.c:746
+#: src/config/cmdline.c:759
 msgid ""
-"Path of the directory ELinks will read and write its\n"
-"config and runtime state files to instead of ~/.elinks.\n"
-"If the path does not begin with a '/' it is assumed to be\n"
-"relative to your HOME directory."
+"Path of the directory ELinks will read and write its config and runtime "
+"state files to instead of ~/.elinks. If the path does not begin with a '/' "
+"it is assumed to be relative to your HOME directory."
 msgstr ""
 
-#: src/config/cmdline.c:751
+#: src/config/cmdline.c:764
 msgid "Print default configuration file to stdout"
 msgstr ""
 
-#: src/config/cmdline.c:753
+#: src/config/cmdline.c:766
 msgid ""
-"Print a configuration file with options set to the built-in\n"
-"defaults to stdout."
+"Print a configuration file with options set to the built-in defaults to "
+"stdout."
 msgstr ""
 
-#: src/config/cmdline.c:758
+#: src/config/cmdline.c:771
 msgid "Name of configuration file"
 msgstr ""
 
-#: src/config/cmdline.c:760
+#: src/config/cmdline.c:773
 msgid ""
-"Name of the configuration file that all configuration\n"
-"options will be read from and written to. It should be\n"
-"relative to config-dir."
+"Name of the configuration file that all configuration options will be read "
+"from and written to. It should be relative to config-dir."
 msgstr ""
 
-#: src/config/cmdline.c:764
+#: src/config/cmdline.c:777
 msgid "Print help for configuration options"
 msgstr ""
 
-#: src/config/cmdline.c:766
+#: src/config/cmdline.c:779
 msgid "Print help for configuration options and exit."
 msgstr ""
 
-#: src/config/cmdline.c:768
+#: src/config/cmdline.c:781
 msgid "MIME type assumed for unknown document types"
 msgstr ""
 
-#: src/config/cmdline.c:770
+#: src/config/cmdline.c:783
 msgid "The default MIME type used for documents of unknown type."
 msgstr ""
 
-#: src/config/cmdline.c:772
+#: src/config/cmdline.c:786
 msgid "Ignore user-defined keybindings"
 msgstr ""
 
-#: src/config/cmdline.c:774
+#: src/config/cmdline.c:788
 msgid ""
-"When set, all keybindings from configuration files will be\n"
-"ignored. It forces use of default keybindings and will reset\n"
-"user-defined ones on save."
+"When set, all keybindings from configuration files will be ignored. It "
+"forces use of default keybindings and will reset user-defined ones on save."
 msgstr ""
 
-#: src/config/cmdline.c:778
+#: src/config/cmdline.c:792
 msgid "Print formatted versions of given URLs to stdout"
 msgstr ""
 
-#: src/config/cmdline.c:780
+#: src/config/cmdline.c:794
 msgid "Print formatted plain-text versions of given URLs to stdout."
 msgstr ""
 
-#: src/config/cmdline.c:782
+#: src/config/cmdline.c:797
 msgid "Codepage to use with -dump"
 msgstr ""
 
-#: src/config/cmdline.c:784
+#: src/config/cmdline.c:799
 msgid "Codepage used when formatting dump output."
 msgstr ""
 
-#: src/config/cmdline.c:786
+#: src/config/cmdline.c:801
 msgid "Color mode used with -dump"
 msgstr ""
 
-#: src/config/cmdline.c:788
+#: src/config/cmdline.c:803
 msgid "Color mode used with -dump."
 msgstr ""
 
-#: src/config/cmdline.c:790
+#: src/config/cmdline.c:805
 msgid "Width of document formatted with -dump"
 msgstr ""
 
-#: src/config/cmdline.c:792
+#: src/config/cmdline.c:807
 msgid "Width of the dump output."
 msgstr ""
 
-#: src/config/cmdline.c:794
+#: src/config/cmdline.c:809
 msgid "Evaluate configuration file directive"
 msgstr ""
 
-#: src/config/cmdline.c:796
+#: src/config/cmdline.c:811
 msgid ""
-"Specify configuration file directives on the command-line\n"
-"which will be evaluated after all configuration files has been\n"
-"read. Example usage:\n"
+"Specify configuration file directives on the command-line which will be "
+"evaluated after all configuration files has been read. Example usage:\n"
 "\t-eval 'set protocol.file.allow_special_files = 1'"
 msgstr ""
 
 #. lynx compatibility
-#: src/config/cmdline.c:802
+#: src/config/cmdline.c:817
 msgid "Interpret documents of unknown types as HTML"
 msgstr ""
 
-#: src/config/cmdline.c:804
+#: src/config/cmdline.c:819
 msgid ""
-"Makes ELinks assume documents of unknown types are HTML.\n"
-"Useful when using ELinks as an external viewer from MUAs.\n"
-"This is equivalent to -default-mime-type text/html."
+"Makes ELinks assume documents of unknown types are HTML. Useful when using "
+"ELinks as an external viewer from MUAs. This is equivalent to -default-mime-"
+"type text/html."
 msgstr ""
 
-#: src/config/cmdline.c:814
+#: src/config/cmdline.c:829
 msgid "Print usage help and exit"
 msgstr ""
 
-#: src/config/cmdline.c:816
+#: src/config/cmdline.c:831
 msgid "Print usage help and exit."
 msgstr ""
 
-#: src/config/cmdline.c:818
+#: src/config/cmdline.c:833
 msgid "Only permit local connections"
 msgstr ""
 
-#: src/config/cmdline.c:820
+#: src/config/cmdline.c:835
 msgid ""
-"Restricts ELinks to work offline and only connect to servers\n"
-"with local addresses (ie. 127.0.0.1). No connections to remote\n"
-"servers will be permitted."
+"Restricts ELinks to work offline and only connect to servers with local "
+"addresses (ie. 127.0.0.1). No connections to remote servers will be "
+"permitted."
 msgstr ""
 
-#: src/config/cmdline.c:824
+#: src/config/cmdline.c:839
 msgid "Print detailed usage help and exit"
 msgstr ""
 
-#: src/config/cmdline.c:826
+#: src/config/cmdline.c:841
 msgid "Print detailed usage help and exit."
 msgstr ""
 
-#: src/config/cmdline.c:828
+#: src/config/cmdline.c:843
 #, fuzzy
 msgid "Look up specified host"
 msgstr "   "
 
-#: src/config/cmdline.c:830
+#: src/config/cmdline.c:845
 msgid "Look up specified host and print all DNS resolved IP addresses."
 msgstr ""
 
-#: src/config/cmdline.c:832
+#: src/config/cmdline.c:848
 msgid "Run as separate instance"
 msgstr ""
 
-#: src/config/cmdline.c:834
+#: src/config/cmdline.c:850
 msgid ""
-"Run ELinks as a separate instance instead of connecting to an\n"
-"existing instance. Note that normally no runtime state files\n"
-"(bookmarks, history, etc.) are written to the disk when this\n"
-"option is used. See also -touch-files."
+"Run ELinks as a separate instance instead of connecting to an existing "
+"instance. Note that normally no runtime state files (bookmarks, history, "
+"etc.) are written to the disk when this option is used. See also -touch-"
+"files."
 msgstr ""
 
-#: src/config/cmdline.c:839
+#: src/config/cmdline.c:855
 msgid "Disable use of files in ~/.elinks"
 msgstr ""
 
-#: src/config/cmdline.c:841
+#: src/config/cmdline.c:857
 msgid ""
-"Disables creation and use of files in the user specific home\n"
-"configuration directory (~/.elinks). It forces default configuration\n"
-"values to be used and disables saving of runtime state files."
+"Disables creation and use of files in the user specific home configuration "
+"directory (~/.elinks). It forces default configuration values to be used and "
+"disables saving of runtime state files."
 msgstr ""
 
-#: src/config/cmdline.c:845
+#: src/config/cmdline.c:862
 msgid "Disable link numbering in dump output"
 msgstr ""
 
-#: src/config/cmdline.c:847
+#: src/config/cmdline.c:864
 msgid ""
 "Prevents printing of link number in dump output.\n"
+"\n"
 "Note that this really affects only -dump, nothing else."
 msgstr ""
 
-#: src/config/cmdline.c:850
+#: src/config/cmdline.c:868
 msgid "Disable printing of link references in dump output"
 msgstr ""
 
-#: src/config/cmdline.c:852
+#: src/config/cmdline.c:870
 msgid ""
-"Prevents printing of references (URIs) of document links\n"
-"in dump output.\n"
+"Prevents printing of references (URIs) of document links in dump output.\n"
+"\n"
 "Note that this really affects only -dump, nothing else."
 msgstr ""
 
-#: src/config/cmdline.c:856
+#: src/config/cmdline.c:875
 msgid "Control an already running ELinks"
 msgstr ""
 
-#: src/config/cmdline.c:858
+#: src/config/cmdline.c:877
 msgid ""
-"Control a remote ELinks instance by passing commands to it.\n"
-"The option takes an additional argument containing the method\n"
-"which should be invoked and any parameters that should be passed\n"
-"to it. For ease of use, the additional method argument can be\n"
-"omitted in which case any URL arguments will be opened in new\n"
-"tabs in the remote instance.\n"
+"Control a remote ELinks instance by passing commands to it. The option takes "
+"an additional argument containing the method which should be invoked and any "
+"parameters that should be passed to it. For ease of use, the additional "
+"method argument can be omitted in which case any URL arguments will be "
+"opened in new tabs in the remote instance.\n"
+"\n"
 "Following is a list of the supported methods:\n"
 "\tping()                    : look for a remote instance\n"
 "\topenURL()                 : prompt URL in current tab\n"
@@ -1672,70 +1681,69 @@ msgid ""
 "\txfeDoCommand(openBrowser) : open new window"
 msgstr ""
 
-#: src/config/cmdline.c:874
+#: src/config/cmdline.c:895
 msgid "Connect to session ring with given ID"
 msgstr ""
 
-#: src/config/cmdline.c:876
+#: src/config/cmdline.c:897
 msgid ""
-"ID of session ring this ELinks session should connect to. ELinks\n"
-"works in so-called session rings, whereby all instances of ELinks\n"
-"are interconnected and share state (cache, bookmarks, cookies,\n"
-"and so on). By default, all ELinks instances connect to session\n"
-"ring 0. You can change that behaviour with this switch and form as\n"
-"many session rings as you want. Obviously, if the session-ring with\n"
-"this number doesn't exist yet, it's created and this ELinks instance\n"
-"will become the master instance (that usually doesn't matter for you\n"
-"as a user much). Note that you usually don't want to use this unless\n"
-"you're a developer and you want to do some testing - if you want the\n"
-"ELinks instances each running standalone, rather use the -no-connect\n"
-"command-line option. Also note that normally no runtime state files\n"
-"are written to the disk when this option is used. See also\n"
-"-touch-files."
+"ID of session ring this ELinks session should connect to. ELinks works in so-"
+"called session rings, whereby all instances of ELinks are interconnected and "
+"share state (cache, bookmarks, cookies, and so on). By default, all ELinks "
+"instances connect to session ring 0. You can change that behaviour with this "
+"switch and form as many session rings as you want. Obviously, if the session-"
+"ring with this number doesn't exist yet, it's created and this ELinks "
+"instance will become the master instance (that usually doesn't matter for "
+"you as a user much).\n"
+"\n"
+"Note that you usually don't want to use this unless you're a developer and "
+"you want to do some testing - if you want the ELinks instances each running "
+"standalone, rather use the -no-connect command-line option. Also note that "
+"normally no runtime state files are written to the disk when this option is "
+"used. See also -touch-files."
 msgstr ""
 
-#: src/config/cmdline.c:891
+#: src/config/cmdline.c:915
 msgid "Print the source of given URLs to stdout"
 msgstr ""
 
-#: src/config/cmdline.c:893
+#: src/config/cmdline.c:917
 msgid "Print given URLs in source form to stdout."
 msgstr ""
 
-#: src/config/cmdline.c:897
+#: src/config/cmdline.c:921
 msgid "Touch files in ~/.elinks when running with -no-connect/-session-ring"
 msgstr ""
 
-#: src/config/cmdline.c:899
+#: src/config/cmdline.c:923
 msgid ""
-"When enabled, runtime state files (bookmarks, history, etc.) are\n"
-"written to disk, even when -no-connect or -session-ring is used.\n"
-"The option has no effect if not used in conjunction with any of\n"
-"these options."
+"When enabled, runtime state files (bookmarks, history, etc.) are written to "
+"disk, even when -no-connect or -session-ring is used. The option has no "
+"effect if not used in conjunction with any of these options."
 msgstr ""
 
-#: src/config/cmdline.c:904
+#: src/config/cmdline.c:928
 msgid "Verbose level"
 msgstr ""
 
-#: src/config/cmdline.c:906
+#: src/config/cmdline.c:930
 msgid ""
-"The verbose level controls what messages are shown at\n"
-"start up and while running:\n"
+"The verbose level controls what messages are shown at start up and while "
+"running:\n"
 "\t0 means only show serious errors\n"
 "\t1 means show serious errors and warnings\n"
 "\t2 means show all messages"
 msgstr ""
 
-#: src/config/cmdline.c:912
+#: src/config/cmdline.c:936
 msgid "Print version information and exit"
 msgstr ""
 
-#: src/config/cmdline.c:914
+#: src/config/cmdline.c:938
 msgid "Print ELinks version information and exit."
 msgstr ""
 
-#: src/config/conf.c:938
+#: src/config/conf.c:963
 msgid ""
 "## This is ELinks configuration file. You can edit it manually,\n"
 "## if you wish so; this file is edited by ELinks when you save\n"
@@ -1743,7 +1751,7 @@ msgid ""
 "## and all your formatting, own comments etc will be kept as-is.\n"
 msgstr ""
 
-#: src/config/conf.c:946
+#: src/config/conf.c:971
 msgid ""
 "## This is ELinks configuration file. You can edit it manually,\n"
 "## if you wish so; this file is edited by ELinks when you save\n"
@@ -1754,7 +1762,7 @@ msgid ""
 "## own comments and so on will be kept as-is.\n"
 msgstr ""
 
-#: src/config/conf.c:956
+#: src/config/conf.c:981
 msgid ""
 "## This is ELinks configuration file. You can edit it manually,\n"
 "## if you wish so, but keep in mind that this file is overwritten\n"
@@ -1762,18 +1770,18 @@ msgid ""
 "## luck with your formatting and own comments then, so beware.\n"
 msgstr ""
 
-#: src/config/conf.c:967
+#: src/config/conf.c:992
 msgid ""
 "## Obviously, if you don't like what ELinks is going to do with\n"
 "## this file, you can change it by altering the config.saving_style\n"
 "## option. Come on, aren't we friendly guys after all?\n"
 msgstr ""
 
-#: src/config/conf.c:980
+#: src/config/conf.c:1005
 msgid "Automatically saved options\n"
 msgstr ""
 
-#: src/config/conf.c:992
+#: src/config/conf.c:1017
 msgid "Automatically saved keybindings\n"
 msgstr ""
 
@@ -1834,7 +1842,7 @@ msgstr ""
 #. * switch charsets.  So, it will work in any terminal that
 #. * understands UTF-8 and has the characters in its font.
 #: src/config/dialogs.c:149 src/config/dialogs.c:330
-#: src/config/options.inc:840
+#: src/config/options.inc:887
 msgid "Type"
 msgstr ""
 
@@ -1860,9 +1868,9 @@ msgid "Description"
 msgstr ""
 
 #: src/config/dialogs.c:291 src/protocol/bittorrent/dialogs.c:600
-#: src/protocol/protocol.c:240 src/session/session.c:287
-#: src/session/session.c:975 src/viewer/text/textarea.c:594
-#: src/viewer/text/textarea.c:601
+#: src/protocol/protocol.c:240 src/session/session.c:288
+#: src/session/session.c:999 src/viewer/text/textarea.c:583
+#: src/viewer/text/textarea.c:590
 msgid "Error"
 msgstr ""
 
@@ -1897,7 +1905,7 @@ msgstr ""
 #. accelerator_context(src/config/dialogs.c:keybinding_buttons, src/config/dialogs.c:option_buttons, src/cookies/dialogs.c:cookie_buttons, src/formhist/dialogs.c:formhist_buttons, src/protocol/bittorrent/dialogs.c:bittorrent_query_callback, src/session/download.c:do_type_query, terminal_options)
 #: src/config/dialogs.c:507 src/config/dialogs.c:933 src/cookies/dialogs.c:495
 #: src/dialogs/options.c:236 src/formhist/dialogs.c:214
-#: src/protocol/bittorrent/dialogs.c:801 src/session/download.c:1203
+#: src/protocol/bittorrent/dialogs.c:801 src/session/download.c:1229
 #, fuzzy
 msgid "Sa~ve"
 msgstr ""
@@ -1911,7 +1919,7 @@ msgstr "  "
 msgid "Keystroke"
 msgstr ""
 
-#: src/config/dialogs.c:676 src/config/options.inc:1219
+#: src/config/dialogs.c:676 src/config/options.inc:1292
 msgid "Action"
 msgstr ""
 
@@ -1983,32 +1991,32 @@ msgid ""
 "directory."
 msgstr ""
 
-#: src/config/kbdbind.c:221
+#: src/config/kbdbind.c:222
 msgid "Main mapping"
 msgstr ""
 
-#: src/config/kbdbind.c:222
+#: src/config/kbdbind.c:223
 msgid "Edit mapping"
 msgstr ""
 
-#: src/config/kbdbind.c:223
+#: src/config/kbdbind.c:224
 msgid "Menu mapping"
 msgstr ""
 
-#: src/config/kbdbind.c:588 src/scripting/python/keybinding.c:104
+#: src/config/kbdbind.c:589 src/scripting/python/keybinding.c:104
 msgid "Unrecognised keymap"
 msgstr ""
 
-#: src/config/kbdbind.c:591
+#: src/config/kbdbind.c:592
 #, fuzzy
 msgid "Error parsing keystroke"
 msgstr "   "
 
-#: src/config/kbdbind.c:595
+#: src/config/kbdbind.c:596
 msgid "Unrecognised action (internal error)"
 msgstr ""
 
-#: src/config/kbdbind.c:611
+#: src/config/kbdbind.c:612
 #, fuzzy
 msgid "Error registering event"
 msgstr "   "
@@ -2036,333 +2044,328 @@ msgid ""
 "3 is full comments are written"
 msgstr ""
 
-#: src/config/options.inc:31
+#: src/config/options.inc:32
 #, fuzzy
 msgid "Indentation"
 msgstr " SSL"
 
-#: src/config/options.inc:33
+#: src/config/options.inc:34
 msgid ""
-"Shift width of one indentation level in the configuration\n"
-"file. Zero means that no indentation is performed at all\n"
-"when saving the configuration."
+"Shift width of one indentation level in the configuration file. Zero means "
+"that no indentation is performed at all when saving the configuration."
 msgstr ""
 
-#: src/config/options.inc:37
+#: src/config/options.inc:38
 msgid "Saving style"
 msgstr ""
 
-#: src/config/options.inc:39
+#: src/config/options.inc:40
 msgid ""
 "Determines what happens when you tell ELinks to save options:\n"
 "0 is only values of current options are altered\n"
-"1 is values of current options are altered and missing options\n"
-"     are added at the end of the file\n"
+"1 is values of current options are altered and missing\n"
+"     options are added at the end of the file\n"
 "2 is the configuration file is rewritten from scratch\n"
-"3 is values of current options are altered and missing options\n"
-"     CHANGED during this ELinks session are added at the end of\n"
-"     the file"
+"3 is values of current options are altered and missing\n"
+"     options CHANGED during this ELinks session are added at\n"
+"     the end of the file"
 msgstr ""
 
-#: src/config/options.inc:48
+#: src/config/options.inc:50
 msgid "Comments localization"
 msgstr ""
 
-#: src/config/options.inc:50
+#: src/config/options.inc:52
 msgid ""
-"If set to 1, comments in the configuration file will be\n"
-"translated to the language used by UI. Note that if you have\n"
-"different language set in different terminals, the language\n"
-"used in the configuration file MAY be the same as on the\n"
-"terminal where you saved the file, but it should be generally\n"
+"If set to 1, comments in the configuration file will be translated to the "
+"language used by UI. Note that if you have different language set in "
+"different terminals, the language used in the configuration file MAY be the "
+"same as on the terminal where you saved the file, but it should be generally "
 "considered unpredictable."
 msgstr ""
 
-#: src/config/options.inc:58
+#: src/config/options.inc:60
 msgid "Saving style warnings"
 msgstr ""
 
-#: src/config/options.inc:60
+#: src/config/options.inc:62
 msgid ""
-"This is internal option used when displaying a warning about\n"
-"obsolete config.saving_style. You shouldn't touch it."
+"This is internal option used when displaying a warning about obsolete config."
+"saving_style. You shouldn't touch it."
 msgstr ""
 
-#: src/config/options.inc:63
+#: src/config/options.inc:66
 msgid "Show template"
 msgstr ""
 
-#: src/config/options.inc:65
+#: src/config/options.inc:68
 msgid ""
-"Show template options in autocreated trees in the options\n"
-"manager and save them to the configuration file."
+"Show template options in autocreated trees in the options manager and save "
+"them to the configuration file."
 msgstr ""
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:71 src/dialogs/info.c:180
+#: src/config/options.inc:74 src/dialogs/info.c:180
 msgid "Connections"
 msgstr "()"
 
-#: src/config/options.inc:73
+#: src/config/options.inc:76
 #, fuzzy
 msgid "Connection options."
 msgstr "()"
 
-#: src/config/options.inc:76
+#: src/config/options.inc:79
 msgid "Asynchronous DNS"
 msgstr ""
 
-#: src/config/options.inc:78
+#: src/config/options.inc:81
 msgid "Whether to use asynchronous DNS resolving."
 msgstr ""
 
-#: src/config/options.inc:80
+#: src/config/options.inc:83
 #, fuzzy
 msgid "Maximum connections"
 msgstr ""
 
-#: src/config/options.inc:82
+#: src/config/options.inc:85
 msgid "Maximum number of concurrent connections."
 msgstr ""
 
-#: src/config/options.inc:84
+#: src/config/options.inc:87
 #, fuzzy
 msgid "Maximum connections per host"
 msgstr ""
 
-#: src/config/options.inc:86
+#: src/config/options.inc:89
 msgid "Maximum number of concurrent connections to a given host."
 msgstr ""
 
-#: src/config/options.inc:88
+#: src/config/options.inc:92
 #, fuzzy
 msgid "Connection retries"
 msgstr "()"
 
-#: src/config/options.inc:90
-msgid ""
-"Number of tries to establish a connection.\n"
-"Zero means try forever."
+#: src/config/options.inc:94
+msgid "Number of tries to establish a connection. Zero means try forever."
 msgstr ""
 
-#: src/config/options.inc:93 src/network/state.c:53
+#: src/config/options.inc:97 src/network/state.c:53
 msgid "Receive timeout"
 msgstr "  "
 
-#: src/config/options.inc:95
+#: src/config/options.inc:99
 #, fuzzy
 msgid "Receive timeout (in seconds)."
 msgstr "  "
 
-#: src/config/options.inc:98 src/config/options.inc:108
+#: src/config/options.inc:102 src/config/options.inc:113
 msgid "Try IPv4 when connecting"
 msgstr ""
 
-#: src/config/options.inc:100
+#: src/config/options.inc:104
 msgid ""
-"Whether to try to connect to a host over IPv4.\n"
-"Note that if connection.try_ipv6 is enabled too,\n"
-"it takes precedence. And better do not touch this\n"
+"Whether to try to connect to a host over IPv4. Note that if connection."
+"try_ipv6 is enabled too, it takes precedence. And better do not touch this "
 "at all unless you are sure what are you doing.\n"
-"Note that you can also force a given protocol\n"
-"to be used on a per-connection basis by using a URL\n"
-"in the style of e.g. http4://elinks.cz/."
+"\n"
+"Note that you can also force a given protocol to be used on a per-connection "
+"basis by using a URL in the style of e.g. http4://elinks.cz/."
 msgstr ""
 
-#: src/config/options.inc:110
+#: src/config/options.inc:115
 msgid ""
-"Whether to try to connect to a host over IPv4.\n"
-"Do not touch this option.\n"
-"Note that you can also force a given protocol\n"
-"to be used on a per-connection basis by using a URL\n"
-"in the style of e.g. http4://elinks.cz/."
+"Whether to try to connect to a host over IPv4. Do not touch this option.\n"
+"\n"
+"Note that you can also force a given protocol to be used on a per-connection "
+"basis by using a URL in the style of e.g. http4://elinks.cz/."
 msgstr ""
 
-#: src/config/options.inc:118
+#: src/config/options.inc:124
 msgid "Try IPv6 when connecting"
 msgstr ""
 
-#: src/config/options.inc:120
+#: src/config/options.inc:126
 msgid ""
 "Whether to try to connect to a host over IPv6.\n"
-"Note that you can also force a given protocol\n"
-"to be used on a per-connection basis by using a URL\n"
-"in the style of e.g. http6://elinks.cz/."
+"\n"
+"Note that you can also force a given protocol to be used on a per-connection "
+"basis by using a URL in the style of e.g. http6://elinks.cz/."
 msgstr ""
 
-#: src/config/options.inc:126
+#: src/config/options.inc:133
 msgid "Timeout for non-restartable connections"
 msgstr ""
 
-#: src/config/options.inc:128
+#: src/config/options.inc:135
 msgid "Timeout for non-restartable connections (in seconds)."
 msgstr ""
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:134
+#: src/config/options.inc:141
 #, fuzzy
 msgid "Document"
 msgstr ""
 
-#: src/config/options.inc:136
+#: src/config/options.inc:143
 #, fuzzy
 msgid "Document options."
 msgstr "  "
 
-#: src/config/options.inc:138
+#: src/config/options.inc:145
 msgid "Browsing"
 msgstr ""
 
-#: src/config/options.inc:140
+#: src/config/options.inc:147
 msgid "Document browsing options (mainly interactivity)."
 msgstr ""
 
-#: src/config/options.inc:143
+#: src/config/options.inc:150
 msgid "Access keys"
 msgstr ""
 
-#: src/config/options.inc:145
+#: src/config/options.inc:152
 msgid ""
-"Options for handling of link access keys.\n"
-"An HTML document can use the ACCESSKEY attribute to assign\n"
-"an access key to an element. When an access key is pressed,\n"
-"the corresponding element will be given focus."
+"Options for handling of link access keys. An HTML document can use the "
+"ACCESSKEY attribute to assign an access key to an element. When an access "
+"key is pressed, the corresponding element will be given focus."
 msgstr ""
 
-#: src/config/options.inc:150
+#: src/config/options.inc:157
 msgid "Automatic links following"
 msgstr ""
 
-#: src/config/options.inc:152
+#: src/config/options.inc:159
 msgid ""
-"Automatically follow a link or submit a form if appropriate\n"
-"accesskey is pressed - this is the standard behaviour, but it's\n"
-"considered dangerous."
+"Automatically follow a link or submit a form if appropriate accesskey is "
+"pressed - this is the standard behaviour, but it's considered dangerous."
 msgstr ""
 
-#: src/config/options.inc:156
+#: src/config/options.inc:163
 msgid "Display access key in link info"
 msgstr ""
 
-#: src/config/options.inc:158
+#: src/config/options.inc:165
 msgid "Display access key in link info."
 msgstr ""
 
-#: src/config/options.inc:160
+#: src/config/options.inc:167
 msgid "Accesskey priority"
 msgstr ""
 
-#: src/config/options.inc:162
+#: src/config/options.inc:169
 msgid ""
 "Priority of 'accesskey' HTML attribute:\n"
-"0 is first try all normal bindings; if it fails, check accesskey\n"
-"1 is first try only frame bindings; if it fails, check accesskey\n"
+"0 is first try all normal bindings; if it fails,\n"
+"     check accesskey\n"
+"1 is first try only frame bindings; if it fails,\n"
+"     check accesskey\n"
 "2 is first check accesskey (this can be dangerous)"
 msgstr ""
 
-#: src/config/options.inc:168
+#: src/config/options.inc:177
 msgid "Forms"
 msgstr ""
 
-#: src/config/options.inc:170
+#: src/config/options.inc:179
 msgid "Options for handling of the forms interaction."
 msgstr ""
 
-#: src/config/options.inc:172
+#: src/config/options.inc:181
 #, fuzzy
 msgid "Submit form automatically"
 msgstr "   "
 
-#: src/config/options.inc:174
+#: src/config/options.inc:183
 msgid ""
-"Automagically submit a form when enter is pressed with a text\n"
-"field selected."
+"Automagically submit a form when enter is pressed with a text field selected."
 msgstr ""
 
-#: src/config/options.inc:177
+#: src/config/options.inc:186
 msgid "Confirm submission"
 msgstr ""
 
-#: src/config/options.inc:179
+#: src/config/options.inc:188
 msgid "Ask for confirmation when submitting a form."
 msgstr ""
 
-#: src/config/options.inc:181
+#: src/config/options.inc:190
 msgid "Default form input size"
 msgstr ""
 
-#: src/config/options.inc:183
+#: src/config/options.inc:192
 msgid "Default form input size if none is specified."
 msgstr ""
 
-#: src/config/options.inc:185
+#: src/config/options.inc:194
 msgid "Insert mode"
 msgstr ""
 
-#: src/config/options.inc:187
+#: src/config/options.inc:196
 msgid ""
-"The setting for this option affects how key presses are handled\n"
-"when one selects a text-input form-field. When enabled, one must\n"
-"explicitly 'enter' a selected text-field to edit it; this prevents\n"
-"text fields from capturing key presses, such as presses of a scroll\n"
-"key, when it is inadvertently selected. When disabled, key presses\n"
-"are always inserted into a selected text field."
+"The setting for this option affects how key presses are handled when one "
+"selects a text-input form-field. When enabled, one must explicitly 'enter' a "
+"selected text-field to edit it; this prevents text fields from capturing key "
+"presses, such as presses of a scroll key, when it is inadvertently selected. "
+"When disabled, key presses are always inserted into a selected text field."
 msgstr ""
 
-#: src/config/options.inc:194
+#: src/config/options.inc:204
 #, fuzzy
 msgid "External editor"
 msgstr " "
 
-#: src/config/options.inc:196
+#: src/config/options.inc:206
 msgid ""
-"Path to the executable that ELinks should launch when the user\n"
-"requests to edit a textarea with an external editor.\n"
-"If this is blank, ELinks will use the value of the environmental\n"
-"variable $EDITOR. If $EDITOR is empty or not set, ELinks will then\n"
-"default to \"vi\"."
+"Path to the executable that ELinks should launch when the user requests to "
+"edit a textarea with an external editor.\n"
+"\n"
+"If this is blank, ELinks will use the value of the environmental variable "
+"$EDITOR. If $EDITOR is empty or not set, ELinks will then default to \"vi\"."
 msgstr ""
 
-#: src/config/options.inc:203
+#: src/config/options.inc:214
 #, fuzzy
 msgid "Images"
 msgstr ""
 
-#: src/config/options.inc:205
+#: src/config/options.inc:216
 msgid "Options for handling of images."
 msgstr ""
 
-#: src/config/options.inc:207
+#: src/config/options.inc:218
 #, fuzzy
 msgid "Display style for image tags"
 msgstr ""
 
-#: src/config/options.inc:209
+#: src/config/options.inc:220
 msgid ""
 "Display style for image tags when displayed:\n"
 "0     means always display IMG\n"
 "1     means always display filename\n"
-"2     means display alt/title attribute if possible, IMG if not\n"
-"3     means display alt/title attribute if possible, filename if not"
+"2     means display alt/title attribute if possible,\n"
+"      IMG if not\n"
+"3     means display alt/title attribute if possible,\n"
+"      filename if not"
 msgstr ""
 
-#: src/config/options.inc:215
+#: src/config/options.inc:228
 msgid "Maximum length for image filename"
 msgstr ""
 
-#: src/config/options.inc:217
+#: src/config/options.inc:230
 msgid ""
 "Maximum length of image filename when displayed:\n"
 "0     means always display full filename\n"
 "1-500 means display filename with this maximal length;\n"
-"      if it is longer, the middle is substituted by an asterisk"
+"      if it is longer, the middle is substituted by\n"
+"      an asterisk"
 msgstr ""
 
-#: src/config/options.inc:227
+#: src/config/options.inc:241
 msgid "Image links tagging"
 msgstr ""
 
-#: src/config/options.inc:229
+#: src/config/options.inc:243
 msgid ""
 "When to enclose image links:\n"
 "0 means never\n"
@@ -2370,92 +2373,92 @@ msgid ""
 "2 means always"
 msgstr ""
 
-#: src/config/options.inc:234
+#: src/config/options.inc:248
 msgid "Image link prefix"
 msgstr ""
 
-#: src/config/options.inc:236
+#: src/config/options.inc:250
 msgid "Prefix string to use to mark image links."
 msgstr ""
 
-#: src/config/options.inc:238
+#: src/config/options.inc:252
 msgid "Image link suffix"
 msgstr ""
 
-#: src/config/options.inc:240
+#: src/config/options.inc:254
 msgid "Suffix string to use to mark image links."
 msgstr ""
 
-#: src/config/options.inc:242
+#: src/config/options.inc:256
 msgid "Maximum length for image label"
 msgstr ""
 
-#: src/config/options.inc:244
+#: src/config/options.inc:258
 msgid ""
 "Maximum length of image label (alt/title):\n"
 "0     means always display full label\n"
 "1-500 means display label with this maximal length;\n"
-"      if it is longer, the middle is substituted by an asterisk"
+"      if it is longer, the middle is substituted by\n"
+"      an asterisk"
 msgstr ""
 
-#: src/config/options.inc:249
+#: src/config/options.inc:264
 msgid "Display links to images w/o alt"
 msgstr ""
 
-#: src/config/options.inc:251
+#: src/config/options.inc:266
 msgid ""
-"Display links to images without an alt attribute. If this option\n"
-"is off, these images are completely invisible."
+"Display links to images without an alt attribute. If this option is off, "
+"these images are completely invisible."
 msgstr ""
 
-#: src/config/options.inc:254
+#: src/config/options.inc:269
 #, fuzzy
 msgid "Display links to images"
 msgstr ""
 
-#: src/config/options.inc:256
+#: src/config/options.inc:271
 msgid ""
-"Display links to any images in the document, regardless of them\n"
-"having an alt attribute or not. If this option is off, the alt\n"
-"attribute contents is shown, but as normal text, not selectable\n"
-"as a link."
+"Display links to any images in the document, regardless of them having an "
+"alt attribute or not. If this option is off, the alt attribute contents is "
+"shown, but as normal text, not selectable as a link."
 msgstr ""
 
-#: src/config/options.inc:262
+#: src/config/options.inc:277
 #, fuzzy
 msgid "Links"
 msgstr ""
 
-#: src/config/options.inc:264
+#: src/config/options.inc:279
 msgid "Options for handling of links to other documents."
 msgstr ""
 
-#: src/config/options.inc:266
+#: src/config/options.inc:281
 msgid "Active link"
 msgstr ""
 
-#: src/config/options.inc:268
+#: src/config/options.inc:283
 msgid "Options for the active link."
 msgstr ""
 
-#: src/config/options.inc:270
+#: src/config/options.inc:285
 #, fuzzy
 msgid "Colors"
 msgstr ""
 
-#: src/config/options.inc:272
+#: src/config/options.inc:287
 #, fuzzy
 msgid "Active link colors."
 msgstr " "
 
-#: src/config/options.inc:274 src/config/options.inc:549
-#: src/config/options.inc:945
+#: src/config/options.inc:289 src/config/options.inc:583
+#: src/config/options.inc:1014
 #, fuzzy
 msgid "Background color"
 msgstr " "
 
-#: src/config/options.inc:276 src/config/options.inc:551
-#: src/config/options.inc:946
+#: src/config/options.inc:291 src/config/options.inc:585
+#: src/config/options.inc:1015
 #, fuzzy
 msgid "Default background color."
 msgstr "  "
@@ -2468,75 +2471,75 @@ msgstr "  "
 #. *	on it.
 #. The colors and mono tree should be similar but with different default
 #. * values of course so always use the macros below.
-#: src/config/options.inc:278 src/config/options.inc:545
-#: src/config/options.inc:943
+#: src/config/options.inc:293 src/config/options.inc:579
+#: src/config/options.inc:1012
 #, fuzzy
 msgid "Text color"
 msgstr " "
 
-#: src/config/options.inc:280 src/config/options.inc:547
-#: src/config/options.inc:944
+#: src/config/options.inc:295 src/config/options.inc:581
+#: src/config/options.inc:1013
 msgid "Default text color."
 msgstr ""
 
-#: src/config/options.inc:282
+#: src/config/options.inc:297
 #, fuzzy
 msgid "Enable color"
 msgstr ""
 
-#: src/config/options.inc:284
+#: src/config/options.inc:299
 msgid ""
-"Enable use of the active link background and text color\n"
-"settings instead of the link colors from the document."
+"Enable use of the active link background and text color settings instead of "
+"the link colors from the document."
 msgstr ""
 
-#: src/config/options.inc:287
+#: src/config/options.inc:302
 msgid "Bold"
 msgstr ""
 
-#: src/config/options.inc:289
+#: src/config/options.inc:304
 msgid "Make the active link text bold."
 msgstr ""
 
-#: src/config/options.inc:291
+#: src/config/options.inc:306
 #, fuzzy
 msgid "Invert colors"
 msgstr " "
 
-#: src/config/options.inc:293
+#: src/config/options.inc:308
 msgid "Invert the fore- and background color so the link stands out."
 msgstr ""
 
-#: src/config/options.inc:296 src/config/options.inc:908
+#: src/config/options.inc:311 src/config/options.inc:975
 #: src/dialogs/options.c:231
 msgid "Underline"
 msgstr ""
 
-#: src/config/options.inc:298
+#: src/config/options.inc:313
 msgid "Underline the active link."
 msgstr ""
 
-#: src/config/options.inc:301
+#: src/config/options.inc:316
 msgid "Directory highlighting"
 msgstr ""
 
-#: src/config/options.inc:303
+#: src/config/options.inc:318
 msgid "Highlight links to directories in FTP and local directory listing."
 msgstr ""
 
-#: src/config/options.inc:305
+#: src/config/options.inc:321
 msgid "Number links"
 msgstr ""
 
-#: src/config/options.inc:307
+#: src/config/options.inc:323
 msgid "Display numbers next to the links."
 msgstr ""
 
-#: src/config/options.inc:309
+#: src/config/options.inc:325
 msgid "Handling of target=_blank"
 msgstr ""
 
-#: src/config/options.inc:311
+#: src/config/options.inc:327
 msgid ""
 "Define how to handle links having target=_blank set:\n"
 "0 means open link in current tab\n"
@@ -2545,140 +2548,137 @@ msgid ""
 "3 means open link in new window"
 msgstr ""
 
-#: src/config/options.inc:324
+#: src/config/options.inc:340
 msgid "Use tabindex"
 msgstr ""
 
-#: src/config/options.inc:326
+#: src/config/options.inc:342
 msgid ""
-"Whether to navigate links using tabindex specified ordering.\n"
-"The TABINDEX attribute in HTML elements specifies the order\n"
-"in which links should receive focus when using the keyboard\n"
-"to navigate the document."
+"Whether to navigate links using tabindex specified ordering. The TABINDEX "
+"attribute in HTML elements specifies the order in which links should receive "
+"focus when using the keyboard to navigate the document."
 msgstr ""
 
-#: src/config/options.inc:331
+#: src/config/options.inc:347
 #, fuzzy
 msgid "Missing fragment reporting"
 msgstr " "
 
-#: src/config/options.inc:333
+#: src/config/options.inc:349
 msgid "Open a message box when document has no tag with given id."
 msgstr ""
 
-#: src/config/options.inc:335
+#: src/config/options.inc:352
 msgid "Number keys select links"
 msgstr ""
 
-#: src/config/options.inc:337
+#: src/config/options.inc:354
 msgid ""
-"Number keys select links rather than specify command prefixes. This\n"
-"is a tristate:\n"
+"Number keys select links rather than specify command prefixes. This is a "
+"tristate:\n"
 "0 means never\n"
 "1 means if document.browse.links.numbering = 1\n"
 "2 means always"
 msgstr ""
 
-#: src/config/options.inc:343
+#: src/config/options.inc:360
 msgid "Warn about maliciously crafted URIs"
 msgstr ""
 
-#: src/config/options.inc:345
+#: src/config/options.inc:362
 msgid ""
-"When following a link the user ID part of the URI is\n"
-"checked and if a maliciously crafted URI is detected a\n"
-"warning dialog will ask before following the link."
+"When following a link the user ID part of the URI is checked and if a "
+"maliciously crafted URI is detected a warning dialog will ask before "
+"following the link."
 msgstr ""
 
 #. TODO - this is somehow implemented by ff, but disabled
 #. * for now as it doesn't work.
-#: src/config/options.inc:351
+#: src/config/options.inc:368
 msgid "Wrap-around links cycling"
 msgstr ""
 
 #. 0
-#: src/config/options.inc:353
+#: src/config/options.inc:370
 msgid ""
-"When pressing 'down' on the last link, jump to the first one, and\n"
-"vice versa."
+"When pressing 'down' on the last link, jump to the first one, and vice versa."
 msgstr ""
 
-#: src/config/options.inc:357
+#: src/config/options.inc:374
 msgid "Scrolling"
 msgstr ""
 
-#: src/config/options.inc:359
+#: src/config/options.inc:376
 #, fuzzy
 msgid "Scrolling options."
 msgstr " "
 
-#: src/config/options.inc:361
+#: src/config/options.inc:378
 msgid "Horizontal step"
 msgstr ""
 
-#: src/config/options.inc:363
+#: src/config/options.inc:380
 msgid ""
-"Number of columns to scroll when a key bound to scroll-left or scroll-\n"
-"right is pressed and no prefix was given."
+"Number of columns to scroll when a key bound to scroll-left or scroll-right "
+"is pressed and no prefix was given."
 msgstr ""
 
-#: src/config/options.inc:366
+#: src/config/options.inc:384
 msgid "Extended horizontal scrolling"
 msgstr ""
 
-#: src/config/options.inc:368
+#: src/config/options.inc:386
 msgid ""
-"Whether to allow horizontal scrolling when the document\n"
-"does not extend off the screen. Useful for copy/paste\n"
-"operations."
+"Whether to allow horizontal scrolling when the document does not extend off "
+"the screen. Useful for copy/paste operations."
 msgstr ""
 
-#: src/config/options.inc:372
+#: src/config/options.inc:390
 #, fuzzy
 msgid "Margin"
 msgstr ""
 
-#: src/config/options.inc:374
+#: src/config/options.inc:392
 msgid ""
-"Size of the virtual margin - when you click inside of that margin,\n"
-"document scrolls in that direction."
+"Size of the virtual margin - when you click inside of that margin, document "
+"scrolls in that direction."
 msgstr ""
 
-#: src/config/options.inc:377
+#: src/config/options.inc:395
 msgid "Vertical step"
 msgstr ""
 
-#: src/config/options.inc:379
+#: src/config/options.inc:397
 msgid ""
-"Number of lines to scroll when a key bound to scroll-up or scroll-\n"
-"down is pressed and no prefix was given."
+"Number of lines to scroll when a key bound to scroll-up or scroll-down is "
+"pressed and no prefix was given."
 msgstr ""
 
-#: src/config/options.inc:383
+#: src/config/options.inc:401
 #, fuzzy
 msgid "Searching"
 msgstr ""
 
-#: src/config/options.inc:385
+#: src/config/options.inc:403
 msgid "Options for searching."
 msgstr ""
 
-#: src/config/options.inc:387
+#: src/config/options.inc:405
 msgid "Case sensitivity"
 msgstr ""
 
-#: src/config/options.inc:389
+#: src/config/options.inc:407
 msgid ""
-"Whether the search should match the document text while maintaining\n"
-"case sensitivity."
+"Whether the search should match the document text while maintaining case "
+"sensitivity."
 msgstr ""
 
-#: src/config/options.inc:393
+#: src/config/options.inc:411
 #, fuzzy
 msgid "Regular expressions"
 msgstr " "
 
-#: src/config/options.inc:395
+#: src/config/options.inc:413
 msgid ""
 "Enable searching with regular expressions:\n"
 "0 for plain text searching\n"
@@ -2686,31 +2686,31 @@ msgid ""
 "2 for extended regular expression searches"
 msgstr ""
 
-#: src/config/options.inc:401
+#: src/config/options.inc:419
 msgid "Show search hit top or bottom dialogs"
 msgstr ""
 
-#: src/config/options.inc:403
+#: src/config/options.inc:421
 msgid ""
-"Whether to show a dialog when the search hits the top or bottom of the\n"
+"Whether to show a dialog when the search hits the top or bottom of the "
 "document."
 msgstr ""
 
-#: src/config/options.inc:406
+#: src/config/options.inc:424
 #, fuzzy
 msgid "Wraparound"
 msgstr " "
 
-#: src/config/options.inc:408
+#: src/config/options.inc:426
 msgid "Wrap around when searching. Currently only used for typeahead."
 msgstr ""
 
-#: src/config/options.inc:410
+#: src/config/options.inc:429
 #, fuzzy
 msgid "Show not found"
 msgstr "  "
 
-#: src/config/options.inc:412
+#: src/config/options.inc:431
 msgid ""
 "How to inform the user when nothing is matched:\n"
 "0 means do nothing\n"
@@ -2718,282 +2718,283 @@ msgid ""
 "2 means pop up message box"
 msgstr ""
 
-#: src/config/options.inc:417
+#: src/config/options.inc:436
 #, fuzzy
 msgid "Typeahead searching"
 msgstr " "
 
-#: src/config/options.inc:419
+#: src/config/options.inc:438
 msgid ""
-"Start typeahead searching when an unbound key is pressed without\n"
-"any modifiers. Note that most keys have default bindings, so this\n"
-"feature will not be useful unless you unbind them.\n"
+"Start typeahead searching when an unbound key is pressed without any "
+"modifiers. Note that most keys have default bindings, so this feature will "
+"not be useful unless you unbind them.\n"
 "\n"
-"0 disables this feature; typeahead searching will only be used\n"
-"  when you press a key bound to search-typeahead or similar\n"
+"0 disables this feature; typeahead searching will only be\n"
+"  used when you press a key bound to search-typeahead or\n"
+"  similar\n"
 "1 automatically starts typeahead searching thru link text\n"
-"2 automatically starts typeahead searching thru all document text"
+"2 automatically starts typeahead searching thru all document\n"
+"  text"
 msgstr ""
 
-#: src/config/options.inc:428
+#: src/config/options.inc:451
 msgid "Horizontal text margin"
 msgstr ""
 
-#: src/config/options.inc:430
+#: src/config/options.inc:453
 msgid "Horizontal text margin."
 msgstr ""
 
-#: src/config/options.inc:432
+#: src/config/options.inc:455
 msgid "Document meta refresh"
 msgstr ""
 
-#: src/config/options.inc:434
+#: src/config/options.inc:457
 msgid ""
-"Automatically follow document-specified refresh directives ('<meta>\n"
-"refresh' tags). Web-page authors use these to instruct the browser\n"
-"to reload a document at a given interval or to load another page.\n"
-"Regardless of the value the refresh URI is accessible as a link.\n"
-"Use the document.browse.minimum_refresh_time to control the minimum\n"
-"number of seconds a refresh will wait."
+"Automatically follow document-specified refresh directives ('<meta> refresh' "
+"tags). Web-page authors use these to instruct the browser to reload a "
+"document at a given interval or to load another page. Regardless of the "
+"value the refresh URI is accessible as a link.\n"
+"\n"
+"Use the document.browse.minimum_refresh_time to control the minimum number "
+"of seconds a refresh will wait."
 msgstr ""
 
-#: src/config/options.inc:441
+#: src/config/options.inc:466
 msgid "Document meta refresh minimum time"
 msgstr ""
 
-#: src/config/options.inc:443
+#: src/config/options.inc:468
 msgid ""
-"The minimum number of milliseconds that should pass before\n"
-"refreshing. If set to zero the document refresh time is used\n"
-"unchanged. It can fix going back in history for some sites that\n"
-"use refreshing with zero values."
+"The minimum number of milliseconds that should pass before refreshing. If "
+"set to zero the document refresh time is used unchanged. It can fix going "
+"back in history for some sites that use refreshing with zero values."
 msgstr ""
 
-#: src/config/options.inc:448
+#: src/config/options.inc:473
 msgid "Tables navigation order"
 msgstr ""
 
-#: src/config/options.inc:450
+#: src/config/options.inc:475
 msgid "Move by columns in table, instead of rows."
 msgstr ""
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:456
+#: src/config/options.inc:481
 #, fuzzy
 msgid "Cache"
 msgstr ""
 
-#: src/config/options.inc:458
+#: src/config/options.inc:483
 #, fuzzy
 msgid "Cache options."
 msgstr " "
 
-#: src/config/options.inc:460
+#: src/config/options.inc:485
 msgid "Cache information about redirects"
 msgstr ""
 
-#: src/config/options.inc:462
+#: src/config/options.inc:487
 msgid ""
-"Cache even redirects sent by server (usually thru HTTP by a 302\n"
-"HTTP code and a Location header). This was the original behaviour\n"
-"for quite some time, but it causes problems in a situation very\n"
-"common to various web login systems - frequently, when accessing\n"
-"a certain location, they will redirect you to a login page if they\n"
-"don't receive an auth cookie, the login page then gives you the\n"
-"cookie and redirects you back to the original page, but there you\n"
-"have already cached redirect back to the login page! If this\n"
-"option has value of 0, this malfunction is fixed, but occasionally\n"
-"you may get superfluous (depends on how you take it ;-) requests to\n"
-"the server. If this option has value of 1, experienced users can\n"
-"still workaround it by clever combination of usage of reload,\n"
-"jumping around in session history and hitting ctrl+enter.\n"
-"Note that this option is checked when retrieving the information\n"
-"from cache, not when saving it to cache - thus if you enable\n"
-"it, even previous redirects will be taken from cache instead of\n"
-"asking the server."
+"Cache even redirects sent by server (usually thru HTTP by a 302 HTTP code "
+"and a Location header). This was the original behaviour for quite some time, "
+"but it causes problems in a situation very common to various web login "
+"systems - frequently, when accessing a certain location, they will redirect "
+"you to a login page if they don't receive an auth cookie, the login page "
+"then gives you the cookie and redirects you back to the original page, but "
+"there you have already cached redirect back to the login page! If this "
+"option has value of 0, this malfunction is fixed, but occasionally you may "
+"get superfluous (depends on how you take it ;-) requests to the server. If "
+"this option has value of 1, experienced users can still workaround it by "
+"clever combination of usage of reload, jumping around in session history and "
+"hitting ctrl+enter.\n"
+"\n"
+"Note that this option is checked when retrieving the information from cache, "
+"not when saving it to cache - thus if you enable it, even previous redirects "
+"will be taken from cache instead of asking the server."
 msgstr ""
 
-#: src/config/options.inc:480
+#: src/config/options.inc:508
 msgid "Ignore cache-control info from server"
 msgstr ""
 
-#: src/config/options.inc:482
+#: src/config/options.inc:510
 msgid ""
-"Ignore Cache-Control and Pragma server headers.\n"
-"When set, the document is cached even with 'Cache-Control: no-cache'."
+"Ignore Cache-Control and Pragma server headers. When set, the document is "
+"cached even with 'Cache-Control: no-cache'."
 msgstr ""
 
-#: src/config/options.inc:485
+#: src/config/options.inc:514
 #, fuzzy
 msgid "Formatted documents"
 msgstr "  "
 
-#: src/config/options.inc:487
+#: src/config/options.inc:516
 msgid "Format cache options."
 msgstr ""
 
-#: src/config/options.inc:489
+#: src/config/options.inc:518
 #, fuzzy
 msgid "Number"
 msgstr " "
 
-#: src/config/options.inc:491
+#: src/config/options.inc:520
 msgid ""
-"Number of cached formatted pages. Do not get too generous\n"
-"here, 'formatted' means that all the accompanying structures\n"
-"are kept in memory so that you get the cached document\n"
-"immediatelly, but these structures may take a lot - 2x the\n"
-"size of the HTML source is probably not unusual, but it can\n"
-"be even more if the document consists of a lot of short lines\n"
-"(padded right, if possible) and links and not much other markup.\n"
-"So if you set this to 256 and then you don't like your ELinks\n"
-"eating 90M, don't come complaining to us. ;-)\n"
-"Also note that the format cache itself is not counted to the\n"
-"memory cache size, but the HTML source of the formatted documents\n"
-"is always cached, even if it is over the memory cache size\n"
-"threshold. (Then of course no other documents can be cached.)"
+"Number of cached formatted pages. Do not get too generous here, 'formatted' "
+"means that all the accompanying structures are kept in memory so that you "
+"get the cached document immediatelly, but these structures may take a lot - "
+"2x the size of the HTML source is probably not unusual, but it can be even "
+"more if the document consists of a lot of short lines (padded right, if "
+"possible) and links and not much other markup. So if you set this to 256 and "
+"then you don't like your ELinks eating 90M, don't come complaining to "
+"us. ;-)\n"
+"\n"
+"Also note that the format cache itself is not counted to the memory cache "
+"size, but the HTML source of the formatted documents is always cached, even "
+"if it is over the memory cache size threshold. (Then of course no other "
+"documents can be cached.)"
 msgstr ""
 
 #. FIXME: Write more.
-#: src/config/options.inc:506
+#: src/config/options.inc:538
 #, fuzzy
 msgid "Revalidation interval"
 msgstr " "
 
-#: src/config/options.inc:508
+#: src/config/options.inc:540
 msgid ""
-"Period in seconds that a cache entry is considered to be\n"
-"up-to-date. When a document is loaded and this interval has elapsed\n"
-"since the document was initially loaded or most recently\n"
-"revalidated with the server, the server will be checked in case\n"
-"there is a more up-to-date version of the document.\n"
+"Period in seconds that a cache entry is considered to be up-to-date. When a "
+"document is loaded and this interval has elapsed since the document was "
+"initially loaded or most recently revalidated with the server, the server "
+"will be checked in case there is a more up-to-date version of the document.\n"
 "\n"
 "A value of -1 disables automatic revalidation."
 msgstr ""
 
-#: src/config/options.inc:515 src/dialogs/info.c:199
+#: src/config/options.inc:549 src/dialogs/info.c:199
 msgid "Memory cache"
 msgstr " "
 
-#: src/config/options.inc:517
+#: src/config/options.inc:551
 #, fuzzy
 msgid "Memory cache options."
 msgstr " "
 
-#: src/config/options.inc:521
+#: src/config/options.inc:555
 #, fuzzy
 msgid "Memory cache size (in bytes)."
 msgstr " "
 
-#: src/config/options.inc:525
+#: src/config/options.inc:559
 #, fuzzy
 msgid "Charset"
 msgstr ""
 
-#: src/config/options.inc:527
+#: src/config/options.inc:561
 #, fuzzy
 msgid "Charset options."
 msgstr " "
 
-#: src/config/options.inc:529
+#: src/config/options.inc:563
 msgid "Default codepage"
 msgstr ""
 
-#: src/config/options.inc:531
+#: src/config/options.inc:565
 msgid ""
-"Default document codepage. 'System' stands for\n"
-"a codepage determined by a selected locale."
+"Default document codepage. 'System' stands for a codepage determined by a "
+"selected locale."
 msgstr ""
 
-#: src/config/options.inc:534
+#: src/config/options.inc:568
 msgid "Ignore charset info from server"
 msgstr ""
 
-#: src/config/options.inc:536
+#: src/config/options.inc:570
 msgid "Ignore charset info sent by server."
 msgstr ""
 
-#: src/config/options.inc:540
+#: src/config/options.inc:574
 msgid "Default color settings"
 msgstr ""
 
-#: src/config/options.inc:542
+#: src/config/options.inc:576
 msgid "Default document color settings."
 msgstr ""
 
-#: src/config/options.inc:553
+#: src/config/options.inc:587
 #, fuzzy
 msgid "Link color"
 msgstr " "
 
-#: src/config/options.inc:555
+#: src/config/options.inc:589
 msgid "Default link color."
 msgstr ""
 
-#: src/config/options.inc:557
+#: src/config/options.inc:591
 msgid "Visited-link color"
 msgstr ""
 
-#: src/config/options.inc:559
+#: src/config/options.inc:593
 msgid "Default visited link color."
 msgstr ""
 
-#: src/config/options.inc:561
+#: src/config/options.inc:595
 #, fuzzy
 msgid "Image-link color"
 msgstr " "
 
-#: src/config/options.inc:563
+#: src/config/options.inc:597
 #, fuzzy
 msgid "Default image link color."
 msgstr "  "
 
-#: src/config/options.inc:565
+#: src/config/options.inc:599
 msgid "Bookmarked-link color"
 msgstr ""
 
-#: src/config/options.inc:567
+#: src/config/options.inc:601
 #, fuzzy
 msgid "Default bookmarked link color."
 msgstr "  "
 
-#: src/config/options.inc:569
+#: src/config/options.inc:603
 msgid "Directory color"
 msgstr ""
 
-#: src/config/options.inc:571
+#: src/config/options.inc:605
 msgid ""
 "Default directory color.\n"
+"\n"
 "See document.browse.links.color_dirs option."
 msgstr ""
 
-#: src/config/options.inc:578
+#: src/config/options.inc:613
 msgid "Increase contrast"
 msgstr ""
 
-#: src/config/options.inc:580
+#: src/config/options.inc:615
 msgid ""
-"Increase the contrast between the foreground and background colors\n"
-"to ensure readability. For example it disallows dark colors on a\n"
-"black background. Note, this is different from ensuring the contrast\n"
-"with the ensure_contrast option."
+"Increase the contrast between the foreground and background colors to ensure "
+"readability. For example it disallows dark colors on a black background. "
+"Note, this is different from ensuring the contrast with the ensure_contrast "
+"option."
 msgstr ""
 
-#: src/config/options.inc:585
+#: src/config/options.inc:621
 msgid "Ensure contrast"
 msgstr ""
 
-#: src/config/options.inc:587
+#: src/config/options.inc:623
 msgid "Makes sure that the back- and foreground colors are never equal."
 msgstr ""
 
 #. If you change this please also change ACT_MAIN_DOCUMENT_COLORS action
 #. * handling.
-#: src/config/options.inc:592
+#: src/config/options.inc:628
 msgid "Use document-specified colors"
 msgstr ""
 
-#: src/config/options.inc:594
+#: src/config/options.inc:630
 msgid ""
 "Use colors specified in document:\n"
 "0 is use always the default settings\n"
@@ -3005,40 +3006,40 @@ msgid ""
 msgstr ""
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:607
+#: src/config/options.inc:643
 #, fuzzy
 msgid "Downloading"
 msgstr ""
 
-#: src/config/options.inc:609
+#: src/config/options.inc:645
 msgid "Options regarding files downloading and handling."
 msgstr ""
 
-#: src/config/options.inc:611
+#: src/config/options.inc:647
 #, fuzzy
 msgid "Default download directory"
 msgstr " "
 
-#: src/config/options.inc:613
+#: src/config/options.inc:649
 msgid "Default download directory."
 msgstr ""
 
-#: src/config/options.inc:615
+#: src/config/options.inc:651
 msgid "Set original time"
 msgstr ""
 
-#: src/config/options.inc:617
+#: src/config/options.inc:653
 msgid ""
-"Set the timestamp of each downloaded file to the timestamp\n"
-"stored on the server."
+"Set the timestamp of each downloaded file to the timestamp stored on the "
+"server."
 msgstr ""
 
 #. Does automatic resuming make sense as an option?
-#: src/config/options.inc:621
+#: src/config/options.inc:657
 msgid "Prevent overwriting"
 msgstr ""
 
-#: src/config/options.inc:623
+#: src/config/options.inc:659
 msgid ""
 "Prevent overwriting the local files:\n"
 "0 is files will silently be overwritten\n"
@@ -3046,12 +3047,12 @@ msgid ""
 "2 is ask the user"
 msgstr ""
 
-#: src/config/options.inc:628
+#: src/config/options.inc:664
 #, fuzzy
 msgid "Notify download completion by bell"
 msgstr " "
 
-#: src/config/options.inc:630
+#: src/config/options.inc:666
 msgid ""
 "Audio notification when download is completed:\n"
 "0 is never\n"
@@ -3059,27 +3060,27 @@ msgid ""
 "2 is always"
 msgstr ""
 
-#: src/config/options.inc:636
+#: src/config/options.inc:672
 msgid "Dump output"
 msgstr ""
 
-#: src/config/options.inc:638
+#: src/config/options.inc:674
 msgid "Dump output options."
 msgstr ""
 
 #. OPT_CODEPAGE
-#: src/config/options.inc:640 src/config/options.inc:912
+#: src/config/options.inc:676 src/config/options.inc:980
 #: src/config/opttypes.c:481 src/dialogs/document.c:164
 msgid "Codepage"
 msgstr " "
 
-#: src/config/options.inc:642
+#: src/config/options.inc:678
 msgid ""
-"Codepage used in dump output. 'System' stands for\n"
-"a codepage determined by a selected locale."
+"Codepage used in dump output. 'System' stands for a codepage determined by a "
+"selected locale."
 msgstr ""
 
-#: src/config/options.inc:645 src/config/options.inc:878
+#: src/config/options.inc:681 src/config/options.inc:941
 #, fuzzy
 msgid "Color mode"
 msgstr ""
@@ -3089,12 +3090,14 @@ msgstr ""
 #. * an outer list entry after an inner list.
 #. * TRANSLATORS: This restriction applies only to the
 #. * "en" (English) translation.  (See doc/Makefile.)
-#: src/config/options.inc:652
+#: src/config/options.inc:688
 msgid ""
 "Color mode for dumps.\n"
+"\n"
 "Some modes may have been disabled at compile time. The Setup -> Terminal "
 "options dialog lists the modes supported by this executable. If you select "
 "an unsupported mode, ELinks uses 16 colors.\n"
+"\n"
 "The color modes are:\n"
 "-1 is standard dump mode\n"
 "0 is mono mode\n"
@@ -3104,128 +3107,126 @@ msgid ""
 "4 is true color mode"
 msgstr ""
 
-#: src/config/options.inc:665
+#: src/config/options.inc:703
 msgid "Footer"
 msgstr ""
 
-#: src/config/options.inc:667
+#: src/config/options.inc:705
 #, c-format
 msgid "Footer string used in dumps. %u is substituted by URL."
 msgstr ""
 
-#: src/config/options.inc:671
+#: src/config/options.inc:709
 #, c-format
 msgid "Header string used in dumps. %u is substituted by URL."
 msgstr ""
 
-#: src/config/options.inc:673
+#: src/config/options.inc:711
 #, fuzzy
 msgid "Numbering"
 msgstr " "
 
-#: src/config/options.inc:675
+#: src/config/options.inc:713
 msgid "Whether to print link numbers in dump output."
 msgstr ""
 
-#: src/config/options.inc:677
+#: src/config/options.inc:715
 #, fuzzy
 msgid "References"
 msgstr ""
 
-#: src/config/options.inc:679
-msgid ""
-"Whether to print references (URIs) of document links\n"
-"in dump output."
+#: src/config/options.inc:717
+msgid "Whether to print references (URIs) of document links in dump output."
 msgstr ""
 
-#: src/config/options.inc:682
+#: src/config/options.inc:720
 #, fuzzy
 msgid "Separator"
 msgstr "  "
 
-#: src/config/options.inc:684
+#: src/config/options.inc:722
 msgid "String which separates two dumps."
 msgstr ""
 
-#: src/config/options.inc:686
+#: src/config/options.inc:724
 msgid "Width"
 msgstr ""
 
-#: src/config/options.inc:688
+#: src/config/options.inc:726
 msgid "Width of screen in characters when dumping documents."
 msgstr ""
 
-#: src/config/options.inc:692
+#: src/config/options.inc:730
 #, fuzzy
 msgid "History"
 msgstr ""
 
-#: src/config/options.inc:694
+#: src/config/options.inc:732
 msgid "History options."
 msgstr ""
 
-#: src/config/options.inc:696
+#: src/config/options.inc:734
 #, fuzzy
 msgid "Keep unhistory"
 msgstr ""
 
-#: src/config/options.inc:698
+#: src/config/options.inc:736
 #, fuzzy
 msgid "Keep unhistory (\"forward history\")."
 msgstr "  "
 
-#: src/config/options.inc:701
+#: src/config/options.inc:739
 #, fuzzy
 msgid "HTML rendering"
 msgstr ""
 
-#: src/config/options.inc:703
+#: src/config/options.inc:741
 msgid "Options concerning the display of HTML pages."
 msgstr ""
 
-#: src/config/options.inc:705
+#: src/config/options.inc:743
 #, fuzzy
 msgid "Display frames"
 msgstr ""
 
-#: src/config/options.inc:707
+#: src/config/options.inc:745
 #, fuzzy
 msgid "Display frames."
 msgstr ""
 
-#: src/config/options.inc:709
+#: src/config/options.inc:747
 #, fuzzy
 msgid "Display tables"
 msgstr ""
 
-#: src/config/options.inc:711
+#: src/config/options.inc:749
 #, fuzzy
 msgid "Display tables."
 msgstr ""
 
-#: src/config/options.inc:713
+#: src/config/options.inc:751
 #, fuzzy
 msgid "Display subscripts"
 msgstr " "
 
-#: src/config/options.inc:715
+#: src/config/options.inc:753
 msgid "Display subscripts (as [thing])."
 msgstr ""
 
-#: src/config/options.inc:717
+#: src/config/options.inc:755
 #, fuzzy
 msgid "Display superscripts"
 msgstr " "
 
-#: src/config/options.inc:719
+#: src/config/options.inc:757
 msgid "Display superscripts (as ^thing)."
 msgstr ""
 
-#: src/config/options.inc:721
+#: src/config/options.inc:759
 msgid "Rendering of HTML link element"
 msgstr ""
 
-#: src/config/options.inc:723
+#: src/config/options.inc:761
 msgid ""
 "How to render <link> tags from the HTML header:\n"
 "0 is nothing\n"
@@ -3236,145 +3237,143 @@ msgid ""
 "5 is everything"
 msgstr ""
 
-#: src/config/options.inc:731
+#: src/config/options.inc:769
 msgid "Underline links"
 msgstr ""
 
-#: src/config/options.inc:733
+#: src/config/options.inc:771
 msgid "Underline links."
 msgstr ""
 
-#: src/config/options.inc:735
+#: src/config/options.inc:773
 msgid "Wrap non breaking space"
 msgstr ""
 
-#: src/config/options.inc:737
+#: src/config/options.inc:775
 msgid ""
-"If set do not honour non breaking space (the nbsp entity)\n"
-"but allow to wrap the text. This can help keeping the width\n"
-"of documents down so no horizontal scrolling is needed."
+"If set do not honour non breaking space (the nbsp entity) but allow to wrap "
+"the text. This can help keeping the width of documents down so no horizontal "
+"scrolling is needed."
 msgstr ""
 
-#: src/config/options.inc:742
+#: src/config/options.inc:780
 #, fuzzy
 msgid "Plain rendering"
 msgstr ""
 
-#: src/config/options.inc:744
+#: src/config/options.inc:782
 msgid "Options concerning the display of plain text pages."
 msgstr ""
 
-#: src/config/options.inc:746
+#: src/config/options.inc:784
 #, fuzzy
 msgid "Display URIs"
 msgstr ""
 
-#: src/config/options.inc:748
+#: src/config/options.inc:786
 msgid "Display URIs in the document as links."
 msgstr ""
 
-#: src/config/options.inc:750
+#: src/config/options.inc:788
 msgid "Compress empty lines"
 msgstr ""
 
-#: src/config/options.inc:752
+#: src/config/options.inc:790
 msgid "Compress successive empty lines to only one in displayed text."
 msgstr ""
 
-#: src/config/options.inc:755
+#: src/config/options.inc:794
 msgid "URI passing"
 msgstr ""
 
-#: src/config/options.inc:757
+#: src/config/options.inc:796
 msgid ""
-"Rules for passing URIs to external commands. When one rule\n"
-"is defined the link and tab menu will have a menu item that\n"
-"makes it possible to pass the the link, frame or tab URI to\n"
-"an external command. If several rules are defined the link and\n"
-"tab menu will have a submenu of items for each rule. Note, this\n"
-"is mostly useful for launching graphical viewers, since there\n"
-"is no support for releasing the terminal while the command runs.\n"
-"The action and submenus are also available by binding keys to\n"
-"the frame-external-command, the link-external-command, and\n"
-"the tab-external-command actions."
+"Rules for passing URIs to external commands. When one rule is defined the "
+"link and tab menu will have a menu item that makes it possible to pass the "
+"the link, frame or tab URI to an external command. If several rules are "
+"defined the link and tab menu will have a submenu of items for each rule.\n"
+"\n"
+"Note, this is mostly useful for launching graphical viewers, since there is "
+"no support for releasing the terminal while the command runs. The action and "
+"submenus are also available by binding keys to the frame-external-command, "
+"the link-external-command, and the tab-external-command actions."
 msgstr ""
 
-#: src/config/options.inc:770
+#: src/config/options.inc:812
 msgid ""
-"A rule for passing URI to an external command.\n"
-"The format is:\n"
+"A rule for passing URI to an external command. The format is:\n"
 "%c in the string means the current URL\n"
 "%% in the string means '%'\n"
 "Do _not_ put single- or double-quotes around %c."
 msgstr ""
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:780
+#: src/config/options.inc:822
 msgid "Information files"
 msgstr ""
 
-#: src/config/options.inc:782
+#: src/config/options.inc:824
 msgid "Options for information files in ~/.elinks."
 msgstr ""
 
-#: src/config/options.inc:784
+#: src/config/options.inc:826
 #, fuzzy
 msgid "Save interval"
 msgstr " "
 
-#: src/config/options.inc:786
+#: src/config/options.inc:828
 msgid ""
-"Interval at which to trigger information files in ~/.elinks\n"
-"to be saved to disk if they have changed (seconds; 0 to disable)"
+"Interval at which to trigger information files in ~/.elinks to be saved to "
+"disk if they have changed (seconds; 0 to disable)"
 msgstr ""
 
-#: src/config/options.inc:789
+#: src/config/options.inc:832
 msgid "Use secure file saving"
 msgstr ""
 
-#: src/config/options.inc:791
+#: src/config/options.inc:834
 msgid ""
-"First write data to unique temporary file, then rename this file\n"
-"upon successfully finishing this. Note that this relates only to\n"
-"config files, not downloaded files. You may want to disable\n"
-"it if you are using some exotic permissions for concerned files.\n"
-"Secure file saving is automagically disabled if file is symlink.\n"
-"Warning: some systems (ie. OS/2, Win32) require that destination\n"
-"file doesn't exist when rename(3) is called, breaking atomicity,\n"
-"and reducing reliability of this feature."
+"First write data to unique temporary file, then rename this file upon "
+"successfully finishing this. Note that this relates only to config files, "
+"not downloaded files. You may want to disable it if you are using some "
+"exotic permissions for concerned files. Secure file saving is automagically "
+"disabled if file is symlink.\n"
+"\n"
+"Warning: some systems (ie. OS/2, Win32) require that destination file "
+"doesn't exist when rename(3) is called, breaking atomicity, and reducing "
+"reliability of this feature."
 msgstr ""
 
-#: src/config/options.inc:800
+#: src/config/options.inc:846
 msgid "Use fsync(3) with secure file saving"
 msgstr ""
 
-#: src/config/options.inc:802
+#: src/config/options.inc:848
 msgid ""
-"When using secure file saving, call fsync(3), if the OS\n"
-"supports it, to force the OS immediately to write the data\n"
-"to permanent storage. This is optional for those who wish\n"
-"to avoid excessive disk I/O."
+"When using secure file saving, call fsync(3), if the OS supports it, to "
+"force the OS immediately to write the data to permanent storage. This is "
+"optional for those who wish to avoid excessive disk I/O."
 msgstr ""
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:811
+#: src/config/options.inc:857
 #, fuzzy
 msgid "Terminals"
 msgstr " "
 
-#: src/config/options.inc:813
+#: src/config/options.inc:859
 #, fuzzy
 msgid "Terminal options."
 msgstr " "
 
-#: src/config/options.inc:817
+#: src/config/options.inc:863
 msgid "Options specific to this terminal type (according to $TERM value)."
 msgstr ""
 
-#: src/config/options.inc:842
+#: src/config/options.inc:889
 msgid ""
-"Terminal type; matters mostly only when drawing frames and\n"
-"dialog box borders:\n"
+"Terminal type; matters mostly only when drawing frames and dialog box "
+"borders:\n"
 "0 is dumb terminal type, ASCII art\n"
 "1 is VT100, simple but portable\n"
 "2 is Linux, you get double frames and other goodies\n"
@@ -3382,15 +3381,31 @@ msgid ""
 "4 is FreeBSD"
 msgstr ""
 
-#: src/config/options.inc:850 src/dialogs/options.c:227
+#: src/config/options.inc:897
+msgid "Always encode xterm title in ISO-8859-1"
+msgstr ""
+
+#: src/config/options.inc:899
+msgid ""
+"When updating the window title of xterm or a similar terminal emulator, "
+"encode the title in ISO-8859-1 (Latin-1), rather than in the charset used "
+"for other text in the window. Cyrillic and other characters get replaced "
+"with Latin ones. Xterm requires this unless you explicitly enable UTF-8 "
+"titles in it.\n"
+"\n"
+"If this option does not take effect immediately, try switching to a "
+"different page so that ELinks notices it needs to update the title."
+msgstr ""
+
+#: src/config/options.inc:910 src/dialogs/options.c:227
 msgid "Switch fonts for line drawing"
 msgstr ""
 
-#: src/config/options.inc:852
+#: src/config/options.inc:912
 msgid ""
-"Switch fonts when drawing lines, enabling both local characters\n"
-"and lines working at the same time. ELinks uses this option only if\n"
-"UTF-8 I/O is disabled and the terminal type is Linux or FreeBSD."
+"Switch fonts when drawing lines, enabling both local characters and lines "
+"working at the same time. ELinks uses this option only if UTF-8 I/O is "
+"disabled and the terminal type is Linux or FreeBSD."
 msgstr ""
 
 #. When CONFIG_UTF8 is defined, any code that reads the "utf_8_io"
@@ -3398,37 +3413,37 @@ msgstr ""
 #. * and if so, behave as if "utf_8_io" were 1.  (When CONFIG_UTF8 is
 #. * not defined, it should not be possible to set UTF-8 as "codepage";
 #. * please report any such possibilities as bugs.)
-#: src/config/options.inc:861 src/dialogs/options.c:232
+#: src/config/options.inc:922 src/dialogs/options.c:232
 msgid "UTF-8 I/O"
 msgstr "-  UTF-8"
 
-#: src/config/options.inc:863
+#: src/config/options.inc:924
 msgid ""
-"Enable I/O in UTF-8 for Unicode terminals. Note that currently,\n"
-"only the subset of UTF-8 according to terminal codepage is used.\n"
-"ELinks ignores this option if the terminal codepage is UTF-8."
+"Enable I/O in UTF-8 for Unicode terminals. Note that currently, only the "
+"subset of UTF-8 according to terminal codepage is used. ELinks ignores this "
+"option if the terminal codepage is UTF-8."
 msgstr ""
 
-#: src/config/options.inc:867 src/dialogs/options.c:228
+#: src/config/options.inc:929 src/dialogs/options.c:228
 msgid "Restrict frames in cp850/852"
 msgstr "   cp850/852"
 
-#: src/config/options.inc:869
+#: src/config/options.inc:931
 msgid ""
-"Restrict the characters used when drawing lines. Makes sense\n"
-"only with linux terminals using the cp850/852 character sets."
+"Restrict the characters used when drawing lines. Makes sense only with linux "
+"terminals using the cp850/852 character sets."
 msgstr ""
 
-#: src/config/options.inc:872 src/dialogs/options.c:229
+#: src/config/options.inc:935 src/dialogs/options.c:229
 #, fuzzy
 msgid "Block cursor"
 msgstr " "
 
-#: src/config/options.inc:874
+#: src/config/options.inc:937
 msgid ""
-"Move cursor to bottom right corner when done drawing.\n"
-"This is particularly useful when we have a block cursor,\n"
-"so that inversed text is displayed correctly."
+"Move cursor to bottom right corner when done drawing. This is particularly "
+"useful when we have a block cursor, so that inversed text is displayed "
+"correctly."
 msgstr ""
 
 #. The list of modes must be at the end of this string
@@ -3436,13 +3451,15 @@ msgstr ""
 #. * an outer list entry after an inner list.
 #. * TRANSLATORS: This restriction applies only to the
 #. * "en" (English) translation.  (See doc/Makefile.)
-#: src/config/options.inc:885
+#: src/config/options.inc:948
 msgid ""
 "The color mode controls what colors are used and how they are output to the "
 "terminal.\n"
+"\n"
 "Some modes may have been disabled at compile time. The Setup -> Terminal "
 "options dialog lists the modes supported by this executable. If you select "
 "an unsupported mode, ELinks uses 16 colors.\n"
+"\n"
 "The color modes are:\n"
 "0 is mono mode, only 2 colors are used\n"
 "1 is 16 color mode, uses the common ANSI colors\n"
@@ -3451,426 +3468,423 @@ msgid ""
 "4 is true color mode, uses konsole RGB codes"
 msgstr ""
 
-#: src/config/options.inc:898 src/dialogs/options.c:230
+#: src/config/options.inc:963 src/dialogs/options.c:230
 msgid "Transparency"
 msgstr ""
 
-#: src/config/options.inc:900
+#: src/config/options.inc:965
 msgid ""
-"If we should not set the background to black. This is particularly\n"
-"useful when we have a terminal (typically in some windowing\n"
-"environment) with a background image or a transparent background -\n"
-"it will be visible in ELinks as well (but ELinks document color handling\n"
-"will still assume the background is black so if you have a bright "
-"background\n"
-"you might experience contrast problems). Note that this option makes\n"
-"sense only when colors are enabled."
+"If we should not set the background to black. This is particularly useful "
+"when we have a terminal (typically in some windowing environment) with a "
+"background image or a transparent background - it will be visible in ELinks "
+"as well (but ELinks document color handling will still assume the background "
+"is black so if you have a bright background you might experience contrast "
+"problems). Note that this option makes sense only when colors are enabled."
 msgstr ""
 
-#: src/config/options.inc:910
+#: src/config/options.inc:977
 msgid "If we should use underline or enhance the color instead."
 msgstr ""
 
-#: src/config/options.inc:914
+#: src/config/options.inc:982
 msgid ""
-"Codepage of charset used for displaying content on terminal.\n"
-"'System' stands for a codepage determined by a selected locale."
+"Codepage of charset used for displaying content on terminal. 'System' stands "
+"for a codepage determined by a selected locale."
 msgstr ""
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:921
+#: src/config/options.inc:990
 msgid "User interface"
 msgstr ""
 
-#: src/config/options.inc:923
+#: src/config/options.inc:992
 #, fuzzy
 msgid "User interface options."
 msgstr " "
 
-#: src/config/options.inc:927
+#: src/config/options.inc:996
 msgid "Color settings"
 msgstr ""
 
-#: src/config/options.inc:929
+#: src/config/options.inc:998
 msgid "Default user interface color settings."
 msgstr ""
 
-#: src/config/options.inc:956
+#: src/config/options.inc:1025
 #, fuzzy
 msgid "Color terminals"
 msgstr " BeOS"
 
-#: src/config/options.inc:958
+#: src/config/options.inc:1027
 msgid "Color settings for color terminal."
 msgstr ""
 
-#: src/config/options.inc:960
+#: src/config/options.inc:1029
 msgid "Non-color terminals"
 msgstr ""
 
-#: src/config/options.inc:962
+#: src/config/options.inc:1031
 msgid "Color settings for non-color terminal."
 msgstr ""
 
 #. FIXME: obsolete, how to alias them correctly ? --Zas
-#: src/config/options.inc:965
+#: src/config/options.inc:1034
 msgid "Main menu bar"
 msgstr ""
 
-#: src/config/options.inc:967
+#: src/config/options.inc:1036
 msgid "Main menu bar colors."
 msgstr ""
 
-#: src/config/options.inc:969
+#: src/config/options.inc:1038
 msgid "Unselected main menu bar item"
 msgstr ""
 
-#: src/config/options.inc:971
+#: src/config/options.inc:1040
 msgid "Unselected main menu bar item colors."
 msgstr ""
 
-#: src/config/options.inc:973
+#: src/config/options.inc:1042
 msgid "Selected main menu bar item"
 msgstr ""
 
-#: src/config/options.inc:975
+#: src/config/options.inc:1044
 msgid "Selected main menu bar item colors."
 msgstr ""
 
-#: src/config/options.inc:977 src/config/options.inc:1006
+#: src/config/options.inc:1046 src/config/options.inc:1075
 msgid "Hotkey"
 msgstr ""
 
-#: src/config/options.inc:979
+#: src/config/options.inc:1048
 msgid "Main menu hotkey colors."
 msgstr ""
 
-#: src/config/options.inc:981 src/config/options.inc:1010
+#: src/config/options.inc:1050 src/config/options.inc:1079
 msgid "Unselected hotkey"
 msgstr ""
 
-#: src/config/options.inc:983
+#: src/config/options.inc:1052
 msgid "Main menu unselected hotkey colors."
 msgstr ""
 
-#: src/config/options.inc:985 src/config/options.inc:1014
+#: src/config/options.inc:1054 src/config/options.inc:1083
 #, fuzzy
 msgid "Selected hotkey"
 msgstr " "
 
-#: src/config/options.inc:987
+#: src/config/options.inc:1056
 msgid "Main menu selected hotkey colors."
 msgstr ""
 
-#: src/config/options.inc:990
+#: src/config/options.inc:1059
 msgid "Menu bar"
 msgstr ""
 
-#: src/config/options.inc:992
+#: src/config/options.inc:1061
 msgid "Menu bar colors."
 msgstr ""
 
-#: src/config/options.inc:994
+#: src/config/options.inc:1063
 msgid "Unselected menu item"
 msgstr ""
 
-#: src/config/options.inc:996
+#: src/config/options.inc:1065
 msgid "Unselected menu item colors."
 msgstr ""
 
-#: src/config/options.inc:998
+#: src/config/options.inc:1067
 #, fuzzy
 msgid "Selected menu item"
 msgstr " "
 
-#: src/config/options.inc:1000
+#: src/config/options.inc:1069
 msgid "Selected menu item colors."
 msgstr ""
 
-#: src/config/options.inc:1002
+#: src/config/options.inc:1071
 #, fuzzy
 msgid "Marked menu item"
 msgstr " "
 
-#: src/config/options.inc:1004
+#: src/config/options.inc:1073
 msgid "Marked menu item colors."
 msgstr ""
 
-#: src/config/options.inc:1008
+#: src/config/options.inc:1077
 msgid "Menu item hotkey colors."
 msgstr ""
 
-#: src/config/options.inc:1012
+#: src/config/options.inc:1081
 msgid "Menu item unselected hotkey colors."
 msgstr ""
 
-#: src/config/options.inc:1016
+#: src/config/options.inc:1085
 msgid "Menu item selected hotkey colors."
 msgstr ""
 
-#: src/config/options.inc:1018
+#: src/config/options.inc:1087
 #, fuzzy
 msgid "Menu frame"
 msgstr " "
 
-#: src/config/options.inc:1020
+#: src/config/options.inc:1089
 msgid "Menu frame colors."
 msgstr ""
 
-#: src/config/options.inc:1023
+#: src/config/options.inc:1092
 msgid "Dialog"
 msgstr ""
 
-#: src/config/options.inc:1025
+#: src/config/options.inc:1094
 msgid "Dialog colors."
 msgstr ""
 
-#: src/config/options.inc:1035
+#: src/config/options.inc:1104
 msgid "Generic"
 msgstr ""
 
-#: src/config/options.inc:1037
+#: src/config/options.inc:1106
 #, fuzzy
 msgid "Generic dialog colors."
 msgstr "  "
 
-#: src/config/options.inc:1039
+#: src/config/options.inc:1108
 #, fuzzy
 msgid "Frame"
 msgstr ""
 
-#: src/config/options.inc:1041
+#: src/config/options.inc:1110
 msgid "Dialog frame colors."
 msgstr ""
 
-#: src/config/options.inc:1043
+#: src/config/options.inc:1112
 msgid "Scrollbar"
 msgstr ""
 
-#: src/config/options.inc:1045
+#: src/config/options.inc:1114
 msgid "Scrollbar colors."
 msgstr ""
 
-#: src/config/options.inc:1047
+#: src/config/options.inc:1116
 #, fuzzy
 msgid "Selected scrollbar"
 msgstr "  "
 
-#: src/config/options.inc:1049
+#: src/config/options.inc:1118
 #, fuzzy
 msgid "Scrollbar selected colors."
 msgstr "  "
 
-#: src/config/options.inc:1053
+#: src/config/options.inc:1122
 msgid "Dialog title colors."
 msgstr ""
 
-#: src/config/options.inc:1055
+#: src/config/options.inc:1124
 #, fuzzy
 msgid "Text"
 msgstr " "
 
-#: src/config/options.inc:1057
+#: src/config/options.inc:1126
 msgid "Dialog text colors."
 msgstr ""
 
-#: src/config/options.inc:1059 src/viewer/text/form.c:1862
+#: src/config/options.inc:1128 src/viewer/text/form.c:1891
 msgid "Checkbox"
 msgstr ""
 
-#: src/config/options.inc:1061
+#: src/config/options.inc:1130
 msgid "Dialog checkbox colors."
 msgstr ""
 
-#: src/config/options.inc:1063
+#: src/config/options.inc:1132
 #, fuzzy
 msgid "Selected checkbox"
 msgstr " "
 
-#: src/config/options.inc:1065
+#: src/config/options.inc:1134
 #, fuzzy
 msgid "Dialog selected checkbox colors."
 msgstr "  "
 
-#: src/config/options.inc:1067
+#: src/config/options.inc:1136
 #, fuzzy
 msgid "Checkbox label"
 msgstr ""
 
-#: src/config/options.inc:1069
+#: src/config/options.inc:1138
 msgid "Dialog checkbox label colors."
 msgstr ""
 
-#: src/config/options.inc:1071
+#: src/config/options.inc:1140
 msgid "Button"
 msgstr ""
 
-#: src/config/options.inc:1073 src/config/options.inc:1081
+#: src/config/options.inc:1142 src/config/options.inc:1150
 msgid "Dialog button colors."
 msgstr ""
 
-#: src/config/options.inc:1075
+#: src/config/options.inc:1144
 msgid "Selected button"
 msgstr ""
 
-#: src/config/options.inc:1077 src/config/options.inc:1085
+#: src/config/options.inc:1146 src/config/options.inc:1154
 msgid "Dialog selected button colors."
 msgstr ""
 
-#: src/config/options.inc:1079
+#: src/config/options.inc:1148
 msgid "Button shortcut"
 msgstr ""
 
-#: src/config/options.inc:1083
+#: src/config/options.inc:1152
 #, fuzzy
 msgid "Selected button shortcut"
 msgstr " "
 
-#: src/config/options.inc:1087 src/viewer/text/form.c:1866
+#: src/config/options.inc:1156 src/viewer/text/form.c:1895
 msgid "Text field"
 msgstr " "
 
-#: src/config/options.inc:1089
+#: src/config/options.inc:1158
 msgid "Dialog text field colors."
 msgstr ""
 
-#: src/config/options.inc:1091
+#: src/config/options.inc:1160
 #, fuzzy
 msgid "Text field text"
 msgstr " "
 
-#: src/config/options.inc:1093
+#: src/config/options.inc:1162
 msgid "Dialog field text colors."
 msgstr ""
 
-#: src/config/options.inc:1095
+#: src/config/options.inc:1164
 msgid "Meter"
 msgstr ""
 
-#: src/config/options.inc:1097
+#: src/config/options.inc:1166
 msgid "Dialog meter colors."
 msgstr ""
 
-#: src/config/options.inc:1099
+#: src/config/options.inc:1168
 msgid "Shadow"
 msgstr ""
 
-#: src/config/options.inc:1101
+#: src/config/options.inc:1170
 msgid "Dialog shadow colors (see ui.shadows option)."
 msgstr ""
 
-#: src/config/options.inc:1103
+#: src/config/options.inc:1172
 #, fuzzy
 msgid "Title bar"
 msgstr ""
 
-#: src/config/options.inc:1105
+#: src/config/options.inc:1174
 msgid "Title bar colors."
 msgstr ""
 
-#: src/config/options.inc:1107
+#: src/config/options.inc:1176
 msgid "Generic title bar"
 msgstr ""
 
-#: src/config/options.inc:1109
+#: src/config/options.inc:1178
 msgid "Generic title bar colors."
 msgstr ""
 
-#: src/config/options.inc:1111
+#: src/config/options.inc:1180
 msgid "Title bar text"
 msgstr ""
 
-#: src/config/options.inc:1113
+#: src/config/options.inc:1182
 msgid "Title bar text colors."
 msgstr ""
 
-#: src/config/options.inc:1116
+#: src/config/options.inc:1185
 msgid "Status bar"
 msgstr ""
 
-#: src/config/options.inc:1118
+#: src/config/options.inc:1187
 msgid "Status bar colors."
 msgstr ""
 
-#: src/config/options.inc:1120
+#: src/config/options.inc:1189
 msgid "Generic status bar"
 msgstr ""
 
-#: src/config/options.inc:1122
+#: src/config/options.inc:1191
 msgid "Generic status bar colors."
 msgstr ""
 
-#: src/config/options.inc:1124
+#: src/config/options.inc:1193
 #, fuzzy
 msgid "Status bar text"
 msgstr " "
 
-#: src/config/options.inc:1126
+#: src/config/options.inc:1195
 msgid "Status bar text colors."
 msgstr ""
 
-#: src/config/options.inc:1129
+#: src/config/options.inc:1198
 msgid "Tabs bar"
 msgstr ""
 
-#: src/config/options.inc:1131
+#: src/config/options.inc:1200
 msgid "Tabs bar colors."
 msgstr ""
 
-#: src/config/options.inc:1133
+#: src/config/options.inc:1202
 #, fuzzy
 msgid "Unvisited tab"
 msgstr " "
 
-#: src/config/options.inc:1135
+#: src/config/options.inc:1204
 msgid ""
-"Tab colors for tabs that have not been\n"
-"selected since they completed loading."
+"Tab colors for tabs that have not been selected since they completed loading."
 msgstr ""
 
-#: src/config/options.inc:1138
+#: src/config/options.inc:1207
 #, fuzzy
 msgid "Unselected tab"
 msgstr " "
 
-#: src/config/options.inc:1140
+#: src/config/options.inc:1209
 #, fuzzy
 msgid "Unselected tab colors."
 msgstr "  "
 
-#: src/config/options.inc:1142
+#: src/config/options.inc:1211
 #, fuzzy
 msgid "Loading tab"
 msgstr ""
 
-#: src/config/options.inc:1144
+#: src/config/options.inc:1213
 msgid "Tab colors for tabs that are loading in the background."
 msgstr ""
 
-#: src/config/options.inc:1146
+#: src/config/options.inc:1215
 #, fuzzy
 msgid "Selected tab"
 msgstr " "
 
-#: src/config/options.inc:1148
+#: src/config/options.inc:1217
 #, fuzzy
 msgid "Selected tab colors."
 msgstr "  "
 
-#: src/config/options.inc:1150
+#: src/config/options.inc:1219
 msgid "Tab separator"
 msgstr ""
 
-#: src/config/options.inc:1152
+#: src/config/options.inc:1221
 msgid "Tab separator colors."
 msgstr ""
 
-#: src/config/options.inc:1155
+#: src/config/options.inc:1224
 #, fuzzy
 msgid "Searched strings"
 msgstr " "
 
-#: src/config/options.inc:1157
+#: src/config/options.inc:1226
 #, fuzzy
 msgid "Searched string highlight colors."
 msgstr "   "
@@ -3879,69 +3893,69 @@ msgstr "   "
 #. ============= BORING PART (colors) END ===================
 #. ==========================================================
 #. Keep options in alphabetical order.
-#: src/config/options.inc:1166
+#: src/config/options.inc:1235
 msgid "Dialog settings"
 msgstr ""
 
-#: src/config/options.inc:1168
+#: src/config/options.inc:1237
 msgid "Dialogs-specific appearance and behaviour settings."
 msgstr ""
 
-#: src/config/options.inc:1171
+#: src/config/options.inc:1240
 msgid "Minimal height of listbox widget"
 msgstr ""
 
-#: src/config/options.inc:1173
+#: src/config/options.inc:1242
 msgid ""
-"Minimal height of the listbox widget (used e.g. for bookmarks\n"
-"or global history)."
+"Minimal height of the listbox widget (used e.g. for bookmarks or global "
+"history)."
 msgstr ""
 
-#: src/config/options.inc:1176
+#: src/config/options.inc:1245
 msgid "Drop shadows"
 msgstr ""
 
-#: src/config/options.inc:1178
+#: src/config/options.inc:1247
 msgid ""
-"Make dialogs drop shadows (the shadows are solid, you can\n"
-"adjust their color by ui.colors.*.dialog.shadow). You may\n"
-"also want to eliminate the wide borders by adjusting setup.h."
+"Make dialogs drop shadows (the shadows are solid, you can adjust their color "
+"by ui.colors.*.dialog.shadow). You may also want to eliminate the wide "
+"borders by adjusting setup.h."
 msgstr ""
 
-#: src/config/options.inc:1182
+#: src/config/options.inc:1252
 #, fuzzy
 msgid "Underline menu hotkeys"
 msgstr " "
 
-#: src/config/options.inc:1184
+#: src/config/options.inc:1254
 msgid ""
-"Whether to underline hotkeys in menus to make them more\n"
-"visible. Requires that underlining is enabled for the terminal."
+"Whether to underline hotkeys in menus to make them more visible. Requires "
+"that underlining is enabled for the terminal."
 msgstr ""
 
-#: src/config/options.inc:1187
+#: src/config/options.inc:1258
 #, fuzzy
 msgid "Underline button shortcuts"
 msgstr " "
 
-#: src/config/options.inc:1189
+#: src/config/options.inc:1260
 msgid ""
-"Whether to underline button shortcuts to make them more\n"
-"visible. Requires that underlining is enabled for the terminal."
+"Whether to underline button shortcuts to make them more visible. Requires "
+"that underlining is enabled for the terminal."
 msgstr ""
 
-#: src/config/options.inc:1193
+#: src/config/options.inc:1265
 #, fuzzy
 msgid "Timer options"
 msgstr " "
 
-#: src/config/options.inc:1195
+#: src/config/options.inc:1267
 msgid ""
-"Timed action after certain interval of user inactivity. Someone can\n"
-"even find this useful, although you may not believe that."
+"Timed action after certain interval of user inactivity. Someone can even "
+"find this useful, although you may not believe that."
 msgstr ""
 
-#: src/config/options.inc:1201
+#: src/config/options.inc:1274
 msgid ""
 "Whether to enable the timer or not:\n"
 "0 is don't count down anything\n"
@@ -3949,7 +3963,7 @@ msgid ""
 "2 is count down and show the timer near LEDs"
 msgstr ""
 
-#: src/config/options.inc:1208
+#: src/config/options.inc:1281
 msgid ""
 "Whether to enable the timer or not:\n"
 "0 is don't count down anything\n"
@@ -3957,35 +3971,35 @@ msgid ""
 "2 is count down and show the timer near LEDs (DISABLED)"
 msgstr ""
 
-#: src/config/options.inc:1214
+#: src/config/options.inc:1287
 msgid "Duration"
 msgstr ""
 
-#: src/config/options.inc:1216
+#: src/config/options.inc:1289
 msgid ""
-"Inactivity timeout in seconds. The maximum of one day\n"
-"should be enough for just everyone (TM)."
+"Inactivity timeout in seconds. The maximum of one day should be enough for "
+"just everyone (TM)."
 msgstr ""
 
-#: src/config/options.inc:1221
+#: src/config/options.inc:1294
 msgid "Keybinding action to be triggered when timer reaches zero."
 msgstr ""
 
-#: src/config/options.inc:1224
+#: src/config/options.inc:1298
 #, fuzzy
 msgid "Window tabs"
 msgstr ""
 
-#: src/config/options.inc:1226
+#: src/config/options.inc:1300
 msgid "Window tabs settings."
 msgstr ""
 
-#: src/config/options.inc:1228
+#: src/config/options.inc:1302
 #, fuzzy
 msgid "Display tabs bar"
 msgstr " "
 
-#: src/config/options.inc:1230
+#: src/config/options.inc:1304
 msgid ""
 "Show tabs bar on the screen:\n"
 "0 means never\n"
@@ -3993,171 +4007,170 @@ msgid ""
 "2 means always"
 msgstr ""
 
-#: src/config/options.inc:1235
+#: src/config/options.inc:1309
 msgid "Tab bar at top"
 msgstr ""
 
-#: src/config/options.inc:1237
+#: src/config/options.inc:1311
 msgid "Whether display tab bar at top like other browsers do."
 msgstr ""
 
-#: src/config/options.inc:1239
+#: src/config/options.inc:1313
 msgid "Wrap-around tabs cycling"
 msgstr ""
 
-#: src/config/options.inc:1241
+#: src/config/options.inc:1315
 msgid ""
-"When moving right from the last tab, jump to the first one, and\n"
-"vice versa."
+"When moving right from the last tab, jump to the first one, and vice versa."
 msgstr ""
 
-#: src/config/options.inc:1244
+#: src/config/options.inc:1318
 msgid "Confirm tab closing"
 msgstr ""
 
-#: src/config/options.inc:1246
+#: src/config/options.inc:1320
 msgid "When closing a tab show confirmation dialog."
 msgstr ""
 
 #. OPT_LANGUAGE
-#: src/config/options.inc:1250 src/config/opttypes.c:483
+#: src/config/options.inc:1324 src/config/opttypes.c:483
 msgid "Language"
 msgstr ""
 
-#: src/config/options.inc:1252
+#: src/config/options.inc:1326
 msgid ""
-"Language of user interface. 'System' means that the language will\n"
-"be extracted from the environment dynamically."
+"Language of user interface. 'System' means that the language will be "
+"extracted from the environment dynamically."
 msgstr ""
 
-#: src/config/options.inc:1255
+#: src/config/options.inc:1330
 #, fuzzy
 msgid "Display menu bar always"
 msgstr " "
 
-#: src/config/options.inc:1257
+#: src/config/options.inc:1332
 msgid "Always show menu bar on the screen."
 msgstr ""
 
-#: src/config/options.inc:1259
+#: src/config/options.inc:1334
 #, fuzzy
 msgid "Display status bar"
 msgstr " "
 
-#: src/config/options.inc:1261
+#: src/config/options.inc:1336
 msgid "Show status bar on the screen."
 msgstr ""
 
-#: src/config/options.inc:1263
+#: src/config/options.inc:1338
 #, fuzzy
 msgid "Display title bar"
 msgstr " "
 
-#: src/config/options.inc:1265
+#: src/config/options.inc:1340
 msgid "Show title bar on the screen."
 msgstr ""
 
-#: src/config/options.inc:1267
+#: src/config/options.inc:1342
 msgid "Display goto dialog in new tabs"
 msgstr ""
 
-#: src/config/options.inc:1269
+#: src/config/options.inc:1344
 msgid ""
-"Pop up goto dialog in newly created tabs when there's no homepage\n"
-"set. This means also showing goto dialog on startup."
+"Pop up goto dialog in newly created tabs when there's no homepage set. This "
+"means also showing goto dialog on startup."
 msgstr ""
 
-#: src/config/options.inc:1272
+#: src/config/options.inc:1348
 msgid "Show a message box when file is saved successfully"
 msgstr ""
 
-#: src/config/options.inc:1274
+#: src/config/options.inc:1350
 msgid ""
-"When you pressed a [ Save ] button in some manager, this option\n"
-"will make sure that a box confirming success of the operation will\n"
-"pop up."
+"When you pressed a [ Save ] button in some manager, this option will make "
+"sure that a box confirming success of the operation will pop up."
 msgstr ""
 
-#: src/config/options.inc:1279
+#: src/config/options.inc:1355
 #, fuzzy
 msgid "Sessions"
 msgstr ""
 
-#: src/config/options.inc:1281
+#: src/config/options.inc:1357
 msgid "Sessions settings."
 msgstr ""
 
-#: src/config/options.inc:1283
+#: src/config/options.inc:1359
 msgid "Keep session active"
 msgstr ""
 
-#: src/config/options.inc:1285
+#: src/config/options.inc:1361
 msgid "Keep the session active even if the last terminal exits."
 msgstr ""
 
-#: src/config/options.inc:1287
+#: src/config/options.inc:1364
 msgid "Auto save session"
 msgstr ""
 
-#: src/config/options.inc:1289
+#: src/config/options.inc:1366
 msgid ""
 "Automatically save the session when quitting.\n"
+"\n"
 "This feature requires bookmark support."
 msgstr ""
 
-#: src/config/options.inc:1292
+#: src/config/options.inc:1370
 msgid "Auto restore session"
 msgstr ""
 
-#: src/config/options.inc:1294
+#: src/config/options.inc:1372
 msgid ""
 "Automatically restore the session at start.\n"
+"\n"
 "This feature requires bookmark support."
 msgstr ""
 
-#: src/config/options.inc:1297
+#: src/config/options.inc:1376
 msgid "Auto save and restore session folder name"
 msgstr ""
 
-#: src/config/options.inc:1299
+#: src/config/options.inc:1378
 msgid ""
-"Name of the bookmarks folder used for auto saving and restoring session.\n"
-"The name has to be unique. Any folders with the same name will be deleted.\n"
+"Name of the bookmarks folder used for auto saving and restoring session. The "
+"name has to be unique. Any folders with the same name will be deleted.\n"
+"\n"
 "This only makes sense with bookmark support."
 msgstr ""
 
-#: src/config/options.inc:1303
+#: src/config/options.inc:1384
 #, fuzzy
 msgid "Homepage URI"
 msgstr " "
 
-#: src/config/options.inc:1305
+#: src/config/options.inc:1386
 msgid ""
-"The URI to load either at startup time when no URI was given\n"
-"on the command line or when requested by the goto-url-home action.\n"
-"Set to \"\" if the environment variable WWW_HOME should be used\n"
-"as homepage URI instead."
+"The URI to load either at startup time when no URI was given on the command "
+"line or when requested by the goto-url-home action. Set to \"\" if the "
+"environment variable WWW_HOME should be used as homepage URI instead."
 msgstr ""
 
-#: src/config/options.inc:1311
+#: src/config/options.inc:1392
 #, fuzzy
 msgid "Date format"
 msgstr " "
 
-#: src/config/options.inc:1313
+#: src/config/options.inc:1394
 msgid "Date format to use in dialogs. See strftime(3)."
 msgstr ""
 
-#: src/config/options.inc:1316
+#: src/config/options.inc:1397
 #, fuzzy
 msgid "Set window title"
 msgstr " "
 
-#: src/config/options.inc:1318
+#: src/config/options.inc:1399
 msgid ""
-"Set the window title when running in a windowing environment\n"
-"in an xterm-like terminal. This way the document's title is\n"
-"shown on the window titlebar."
+"Set the window title when running in a windowing environment in an xterm-"
+"like terminal. This way the document's title is shown on the window titlebar."
 msgstr ""
 
 #: src/config/opttypes.c:54
@@ -4244,7 +4257,7 @@ msgid "Goto URL History"
 msgstr "  "
 
 #. name:
-#: src/cookies/cookies.c:88 src/cookies/cookies.c:911
+#: src/cookies/cookies.c:88 src/cookies/cookies.c:913
 msgid "Cookies"
 msgstr ""
 
@@ -4274,10 +4287,10 @@ msgstr ""
 msgid ""
 "Cookie maximum age (in days):\n"
 "-1 is use cookie's expiration date if any\n"
-"0  is force expiration at the end of session, ignoring cookie's\n"
-"   expiration date\n"
-"1+ is use cookie's expiration date, but limit age to the given\n"
-"   number of days"
+"0  is force expiration at the end of session, ignoring\n"
+"   cookie's expiration date\n"
+"1+ is use cookie's expiration date, but limit age to the\n"
+"   given number of days"
 msgstr ""
 
 #: src/cookies/cookies.c:109
@@ -4286,42 +4299,42 @@ msgstr ""
 
 #: src/cookies/cookies.c:111
 msgid ""
-"When enabled, we'll require three dots in cookies domain for all\n"
-"non-international domains (instead of just two dots). Some countries\n"
-"have generic second level domains (eg. .com.pl, .co.uk) and allowing\n"
-"sites to set cookies for these generic domains could potentially be\n"
-"very bad. Note, it is off by default as it breaks a lot of sites."
+"When enabled, we'll require three dots in cookies domain for all non-"
+"international domains (instead of just two dots). Some countries have "
+"generic second level domains (eg. .com.pl, .co.uk) and allowing sites to set "
+"cookies for these generic domains could potentially be very bad. Note, it is "
+"off by default as it breaks a lot of sites."
 msgstr ""
 
-#: src/cookies/cookies.c:117
+#: src/cookies/cookies.c:118
 #, fuzzy
 msgid "Saving"
 msgstr " "
 
-#: src/cookies/cookies.c:119
+#: src/cookies/cookies.c:120
 msgid "Whether cookies should be loaded from and saved to disk."
 msgstr ""
 
-#: src/cookies/cookies.c:121
+#: src/cookies/cookies.c:123
 msgid "Resaving"
 msgstr ""
 
-#: src/cookies/cookies.c:123
+#: src/cookies/cookies.c:125
 msgid ""
-"Save cookies after each change in cookies list? No effect when\n"
-"cookie saving (cookies.save) is off."
+"Save cookies after each change in cookies list? No effect when cookie saving "
+"(cookies.save) is off."
 msgstr ""
 
-#: src/cookies/cookies.c:817
+#: src/cookies/cookies.c:819
 #, fuzzy
 msgid "Cannot save cookies"
 msgstr "  "
 
-#: src/cookies/cookies.c:828
+#: src/cookies/cookies.c:830
 msgid "ELinks was started without a home directory."
 msgstr ""
 
-#: src/cookies/cookies.c:834
+#: src/cookies/cookies.c:836
 msgid "ELinks was started with the -anonymous option."
 msgstr ""
 
@@ -4539,7 +4552,7 @@ msgid "No header info."
 msgstr ""
 
 #: src/dialogs/download.c:243 src/dialogs/menu.c:601
-#: src/protocol/bittorrent/dialogs.c:228 src/session/download.c:361
+#: src/protocol/bittorrent/dialogs.c:228 src/session/download.c:387
 msgid "Download"
 msgstr ""
 
@@ -5395,7 +5408,7 @@ msgid "No document"
 msgstr ""
 
 #. name:
-#: src/document/css/css.c:30 src/document/css/css.c:161
+#: src/document/css/css.c:30 src/document/css/css.c:164
 msgid "Cascading Style Sheets"
 msgstr ""
 
@@ -5403,36 +5416,36 @@ msgstr ""
 msgid "Options concerning how to use CSS for styling documents."
 msgstr ""
 
-#: src/document/css/css.c:34
+#: src/document/css/css.c:35
 #, fuzzy
 msgid "Enable CSS"
 msgstr ""
 
-#: src/document/css/css.c:36
+#: src/document/css/css.c:37
 msgid "Enable adding of CSS style info to documents."
 msgstr ""
 
-#: src/document/css/css.c:38
+#: src/document/css/css.c:39
 msgid "Import external style sheets"
 msgstr ""
 
-#: src/document/css/css.c:40
+#: src/document/css/css.c:41
 msgid ""
-"When enabled any external style sheets that are imported from\n"
-"either CSS itself using the @import keyword or from the HTML using\n"
-"<link> tags in the document header will also be downloaded."
+"When enabled any external style sheets that are imported from either CSS "
+"itself using the @import keyword or from the HTML using <link> tags in the "
+"document header will also be downloaded."
 msgstr ""
 
-#: src/document/css/css.c:44
+#: src/document/css/css.c:46
 msgid "Default style sheet"
 msgstr ""
 
-#: src/document/css/css.c:46
+#: src/document/css/css.c:48
 msgid ""
-"The path to the file containing the default user defined\n"
-"Cascading Style Sheet. It can be used to control the basic\n"
-"layout of HTML documents. The path is assumed to be relative\n"
-"to ELinks' home directory.\n"
+"The path to the file containing the default user defined Cascading Style "
+"Sheet. It can be used to control the basic layout of HTML documents. The "
+"path is assumed to be relative to ELinks' home directory.\n"
+"\n"
 "Leave as \"\" to use built-in document styling."
 msgstr ""
 
@@ -5464,8 +5477,8 @@ msgstr ""
 
 #: src/ecmascript/ecmascript.c:55
 msgid ""
-"Whether to ignore content enclosed by the <noscript> tag\n"
-"when ECMAScript is enabled."
+"Whether to ignore content enclosed by the <noscript> tag when ECMAScript is "
+"enabled."
 msgstr ""
 
 #: src/ecmascript/ecmascript.c:58
@@ -5517,7 +5530,7 @@ msgid "JavaScript Error"
 msgstr ""
 
 #. name:
-#: src/ecmascript/spidermonkey.c:320
+#: src/ecmascript/spidermonkey.c:321
 msgid "SpiderMonkey"
 msgstr ""
 
@@ -5617,9 +5630,8 @@ msgstr " "
 
 #: src/formhist/formhist.c:38
 msgid ""
-"Ask if a login form should be saved to file or not.\n"
-"This option only disables the dialog, already saved login\n"
-"forms are unaffected."
+"Ask if a login form should be saved to file or not. This option only "
+"disables the dialog, already saved login forms are unaffected."
 msgstr ""
 
 #: src/formhist/formhist.c:426
@@ -5723,20 +5735,20 @@ msgstr "  "
 msgid "Enable global history (\"history of all pages visited\")."
 msgstr ""
 
-#: src/globhist/globhist.c:68
+#: src/globhist/globhist.c:69
 msgid "Maximum number of entries"
 msgstr ""
 
-#: src/globhist/globhist.c:70
+#: src/globhist/globhist.c:71
 msgid "Maximum number of entries in the global history."
 msgstr ""
 
-#: src/globhist/globhist.c:72
+#: src/globhist/globhist.c:73
 #, fuzzy
 msgid "Display style"
 msgstr " "
 
-#: src/globhist/globhist.c:74
+#: src/globhist/globhist.c:75
 msgid ""
 "What to display in global history dialog:\n"
 "0 is URLs\n"
@@ -5744,7 +5756,7 @@ msgid ""
 msgstr ""
 
 #. name:
-#: src/globhist/globhist.c:451
+#: src/globhist/globhist.c:449
 #, fuzzy
 msgid "Global History"
 msgstr "  "
@@ -5974,101 +5986,95 @@ msgstr ""
 
 #: src/mime/backend/default.c:27
 msgid ""
-"Handler <-> MIME type association. The first sub-tree is the MIME\n"
-"class while the second sub-tree is the MIME type (ie. image/gif\n"
-"handler will reside at mime.type.image.gif). Each MIME type option\n"
-"should contain (case-sensitive) name of the MIME handler (its\n"
-"properties are stored at mime.handler.<name>)."
+"Handler <-> MIME type association. The first sub-tree is the MIME class "
+"while the second sub-tree is the MIME type (ie. image/gif handler will "
+"reside at mime.type.image.gif). Each MIME type option should contain (case-"
+"sensitive) name of the MIME handler (its properties are stored at mime."
+"handler.<name>)."
 msgstr ""
 
-#: src/mime/backend/default.c:35
+#: src/mime/backend/default.c:36
 msgid ""
-"Handler matching this MIME-type class ('*' is used here in place\n"
-"of '.')."
+"Handler matching this MIME-type class ('*' is used here in place of '.')."
 msgstr ""
 
-#: src/mime/backend/default.c:40
+#: src/mime/backend/default.c:41
 msgid ""
-"Handler matching this MIME-type name ('*' is used here in place\n"
-"of '.')."
+"Handler matching this MIME-type name ('*' is used here in place of '.')."
 msgstr ""
 
-#: src/mime/backend/default.c:44
+#: src/mime/backend/default.c:45
 msgid "File type handlers"
 msgstr ""
 
-#: src/mime/backend/default.c:46
+#: src/mime/backend/default.c:47
 msgid ""
-"A file type handler is a set of information about how to use\n"
-"an external program to view a file. It is possible to refer to it\n"
-"for several MIME types -- e.g., you can define an 'image' handler\n"
-"to which mime.type.image.png, mime.type.image.jpeg, and so on will\n"
-"refer; or one might define a handler for a more specific type of file\n"
-"-- e.g., PDF files.\n"
-"Note you must define both a MIME handler and a MIME type association\n"
-"for it to work."
+"A file type handler is a set of information about how to use an external "
+"program to view a file. It is possible to refer to it for several MIME types "
+"-- e.g., you can define an 'image' handler to which mime.type.image.png, "
+"mime.type.image.jpeg, and so on will refer; or one might define a handler "
+"for a more specific type of file -- e.g., PDF files. Note you must define "
+"both a MIME handler and a MIME type association for it to work."
 msgstr ""
 
-#: src/mime/backend/default.c:57
+#: src/mime/backend/default.c:58
 msgid "Description of this handler."
 msgstr ""
 
-#: src/mime/backend/default.c:61
+#: src/mime/backend/default.c:62
 msgid "System-specific handler description (ie. unix, unix-xwin, ...)."
 msgstr ""
 
-#: src/mime/backend/default.c:63 src/mime/backend/mailcap.c:102
+#: src/mime/backend/default.c:65 src/mime/backend/mailcap.c:102
 msgid "Ask before opening"
 msgstr ""
 
-#: src/mime/backend/default.c:65
+#: src/mime/backend/default.c:67
 msgid "Ask before opening."
 msgstr ""
 
-#: src/mime/backend/default.c:67
+#: src/mime/backend/default.c:69
 #, fuzzy
 msgid "Block terminal"
 msgstr " BeOS"
 
-#: src/mime/backend/default.c:69
+#: src/mime/backend/default.c:71
 msgid "Block the terminal when the handler is running."
 msgstr ""
 
-#: src/mime/backend/default.c:71
+#: src/mime/backend/default.c:73
 #, fuzzy
 msgid "Program"
 msgstr " "
 
-#: src/mime/backend/default.c:74
+#: src/mime/backend/default.c:76
 #, no-c-format
 msgid ""
-"External viewer for this file type. '%' in this string will be\n"
-"substituted by a file name.\n"
-"Do _not_ put single- or double-quotes around the % sign."
+"External viewer for this file type. '%' in this string will be substituted "
+"by a file name. Do _not_ put single- or double-quotes around the % sign."
 msgstr ""
 
-#: src/mime/backend/default.c:79
+#: src/mime/backend/default.c:81
 #, fuzzy
 msgid "File extension associations"
 msgstr " "
 
-#: src/mime/backend/default.c:81
+#: src/mime/backend/default.c:83
 msgid "Extension <-> MIME type association."
 msgstr ""
 
-#: src/mime/backend/default.c:85
+#: src/mime/backend/default.c:87
 msgid ""
-"MIME-type matching this file extension ('*' is used here in place\n"
-"of '.')."
+"MIME-type matching this file extension ('*' is used here in place of '.')."
 msgstr ""
 
 #. name:
-#: src/mime/backend/default.c:216
+#: src/mime/backend/default.c:218
 msgid "Option system"
 msgstr ""
 
 #. name:
-#: src/mime/backend/mailcap.c:89 src/mime/backend/mailcap.c:684
+#: src/mime/backend/mailcap.c:89 src/mime/backend/mailcap.c:686
 msgid "Mailcap"
 msgstr ""
 
@@ -6082,8 +6088,8 @@ msgstr ""
 
 #: src/mime/backend/mailcap.c:99
 msgid ""
-"Mailcap search path. Colon-separated list of files.\n"
-"Leave as \"\" to use MAILCAP environment variable instead."
+"Mailcap search path. Colon-separated list of files. Leave as \"\" to use "
+"MAILCAP environment variable instead."
 msgstr ""
 
 #: src/mime/backend/mailcap.c:104
@@ -6096,39 +6102,38 @@ msgstr ""
 
 #: src/mime/backend/mailcap.c:108
 msgid ""
-"Type of description to show in \"what to do with this file\"\n"
-"query dialog:\n"
+"Type of description to show in \"what to do with this file\" query dialog:\n"
 "0 is show \"mailcap\"\n"
 "1 is show program to be run\n"
-"2 is show mailcap description field if any; \"mailcap\" otherwise"
+"2 is show mailcap description field if any;\n"
+"     \"mailcap\" otherwise"
 msgstr ""
 
-#: src/mime/backend/mailcap.c:114
+#: src/mime/backend/mailcap.c:115
 msgid "Prioritize entries by file"
 msgstr ""
 
-#: src/mime/backend/mailcap.c:116
+#: src/mime/backend/mailcap.c:117
 msgid ""
-"Prioritize entries by the order of the files in the mailcap\n"
-"path. This means that wildcard entries (like: image/*) will\n"
-"also be checked before deciding the handler."
+"Prioritize entries by the order of the files in the mailcap path. This means "
+"that wildcard entries (like: image/*) will also be checked before deciding "
+"the handler."
 msgstr ""
 
-#: src/mime/backend/mailcap.c:349
+#: src/mime/backend/mailcap.c:351
 #, c-format
 msgid "Badly formated mailcap entry for type %s in \"%s\" line %d"
 msgstr ""
 
 #. name:
-#: src/mime/backend/mimetypes.c:46 src/mime/backend/mimetypes.c:279
+#: src/mime/backend/mimetypes.c:46 src/mime/backend/mimetypes.c:280
 msgid "Mimetypes files"
 msgstr ""
 
 #: src/mime/backend/mimetypes.c:48
 msgid ""
-"Options for the support of mime.types files. These files\n"
-"can be used to find the content type of a URL by looking at\n"
-"the extension of the file name."
+"Options for the support of mime.types files. These files can be used to find "
+"the content type of a URL by looking at the extension of the file name."
 msgstr ""
 
 #: src/mime/backend/mimetypes.c:54
@@ -6165,7 +6170,7 @@ msgid "No extensions"
 msgstr " "
 
 #. name:
-#: src/mime/mime.c:38 src/mime/mime.c:360
+#: src/mime/mime.c:38 src/mime/mime.c:361
 msgid "MIME"
 msgstr ""
 
@@ -6179,8 +6184,8 @@ msgstr ""
 
 #: src/mime/mime.c:44
 msgid ""
-"Document MIME-type to assume by default (when we are unable to\n"
-"guess it properly from known information about the document)."
+"Document MIME-type to assume by default (when we are unable to guess it "
+"properly from known information about the document)."
 msgstr ""
 
 #: src/network/ssl/ssl.c:72 src/network/ssl/ssl.c:161
@@ -6189,8 +6194,8 @@ msgstr ""
 
 #: src/network/ssl/ssl.c:74
 msgid ""
-"Verify the peer's SSL certificate. Note that this\n"
-"needs extensive configuration of OpenSSL by the user."
+"Verify the peer's SSL certificate. Note that this needs extensive "
+"configuration of OpenSSL by the user."
 msgstr ""
 
 #: src/network/ssl/ssl.c:77
@@ -6204,8 +6209,8 @@ msgstr " "
 
 #: src/network/ssl/ssl.c:83
 msgid ""
-"Enable or not the sending of X509 client certificates\n"
-"to servers which request them."
+"Enable or not the sending of X509 client certificates to servers which "
+"request them."
 msgstr ""
 
 #: src/network/ssl/ssl.c:86
@@ -6215,16 +6220,15 @@ msgstr " "
 
 #: src/network/ssl/ssl.c:88
 msgid ""
-"The location of a file containing the client certificate\n"
-"and unencrypted private key in PEM format. If unset, the\n"
-"file pointed to by the X509_CLIENT_CERT variable is used\n"
-"instead."
+"The location of a file containing the client certificate and unencrypted "
+"private key in PEM format. If unset, the file pointed to by the "
+"X509_CLIENT_CERT variable is used instead."
 msgstr ""
 
 #: src/network/ssl/ssl.c:163
 msgid ""
-"Verify the peer's SSL certificate.  If you enable\n"
-"this, set also \"Trusted CA file\"."
+"Verify the peer's SSL certificate.  If you enable this, set also \"Trusted "
+"CA file\"."
 msgstr ""
 
 #. The default value of the following option points to a file
@@ -6242,20 +6246,20 @@ msgstr ""
 
 #: src/network/ssl/ssl.c:176
 msgid ""
-"The location of a file containing certificates of\n"
-"trusted certification authorities in PEM format.\n"
-"ELinks then trusts certificates issued by these CAs.\n"
-"If you change this option or the file, you must\n"
-"restart ELinks for the changes to take effect.\n"
-"This option affects GnuTLS but not OpenSSL."
+"The location of a file containing certificates of trusted certification "
+"authorities in PEM format. ELinks then trusts certificates issued by these "
+"CAs.\n"
+"\n"
+"If you change this option or the file, you must restart ELinks for the "
+"changes to take effect. This option affects GnuTLS but not OpenSSL."
 msgstr ""
 
 #. name:
-#: src/network/ssl/ssl.c:199 src/network/ssl/ssl.c:216
+#: src/network/ssl/ssl.c:200 src/network/ssl/ssl.c:217
 msgid "SSL"
 msgstr ""
 
-#: src/network/ssl/ssl.c:201
+#: src/network/ssl/ssl.c:202
 #, fuzzy
 msgid "SSL options."
 msgstr " "
@@ -6592,7 +6596,7 @@ msgstr "    "
 msgid "Login"
 msgstr " "
 
-#: src/protocol/auth/dialogs.c:113 src/protocol/http/http.c:140
+#: src/protocol/auth/dialogs.c:113 src/protocol/http/http.c:142
 msgid "Password"
 msgstr ""
 
@@ -6669,7 +6673,7 @@ msgstr " HTTP"
 
 #. name:
 #: src/protocol/bittorrent/bittorrent.c:26
-#: src/protocol/bittorrent/bittorrent.c:335
+#: src/protocol/bittorrent/bittorrent.c:339
 msgid "BitTorrent"
 msgstr ""
 
@@ -6724,9 +6728,8 @@ msgstr ""
 
 #: src/protocol/bittorrent/bittorrent.c:57
 msgid ""
-"Whether to request that the tracker returns peer info\n"
-"in compact format. Note, the compact format only supports\n"
-"IPv4 addresses."
+"Whether to request that the tracker returns peer info in compact format. "
+"Note, the compact format only supports IPv4 addresses."
 msgstr ""
 
 #: src/protocol/bittorrent/bittorrent.c:61
@@ -6735,57 +6738,55 @@ msgstr ""
 
 #: src/protocol/bittorrent/bittorrent.c:63
 msgid ""
-"The number of seconds to wait between periodically contacting\n"
-"the tracker for announcing progress and requesting more peers.\n"
-"Set to zero to use the interval requested by the tracker."
+"The number of seconds to wait between periodically contacting the tracker "
+"for announcing progress and requesting more peers. Set to zero to use the "
+"interval requested by the tracker."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:67
+#: src/protocol/bittorrent/bittorrent.c:68
 msgid "IP-address to announce"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:69
+#: src/protocol/bittorrent/bittorrent.c:70
 msgid ""
-"What IP address to report to the tracker. If set to \"\"\n"
-"no IP address will be sent and the tracker will automatically\n"
-"determine an appropriate IP address."
+"What IP address to report to the tracker. If set to \"\" no IP address will "
+"be sent and the tracker will automatically determine an appropriate IP "
+"address."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:73
+#: src/protocol/bittorrent/bittorrent.c:74
 #, fuzzy
 msgid "User identification string"
 msgstr " "
 
-#: src/protocol/bittorrent/bittorrent.c:75
+#: src/protocol/bittorrent/bittorrent.c:76
 msgid ""
-"An additional identification that is not shared with any users.\n"
-"It is intended to allow a client to prove their identity should\n"
-"their IP address change. It is an optional parameter, but some\n"
-"trackers require this parameter. If set to \"\" no user key will\n"
-"be sent to the tracker."
+"An additional identification that is not shared with any users. It is "
+"intended to allow a client to prove their identity should their IP address "
+"change. It is an optional parameter, but some trackers require this "
+"parameter. If set to \"\" no user key will be sent to the tracker."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:81
+#: src/protocol/bittorrent/bittorrent.c:82
 #, fuzzy
 msgid "Maximum number of peers to request"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:83
+#: src/protocol/bittorrent/bittorrent.c:84
 msgid ""
-"The maximum number of peers to request from the tracker.\n"
-"Set to 0 to use the server default."
+"The maximum number of peers to request from the tracker. Set to 0 to use the "
+"server default."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:86
+#: src/protocol/bittorrent/bittorrent.c:87
 msgid "Minimum peers to skip rerequesting"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:88
+#: src/protocol/bittorrent/bittorrent.c:89
 msgid ""
-"The minimum number of peers to have in the current peer info\n"
-"pool before skipping requesting of more peers. I.e. setting\n"
-"numwant to zero.\n"
-"Set to 0 to not have any limit."
+"The minimum number of peers to have in the current peer info pool before "
+"skipping requesting of more peers. I.e. setting numwant to zero. Set to 0 to "
+"not have any limit."
 msgstr ""
 
 #. ******************************************************************
@@ -6806,182 +6807,177 @@ msgstr ""
 
 #: src/protocol/bittorrent/bittorrent.c:104
 msgid ""
-"The maximum number of allowed connections to both active and\n"
-"non-active peers. By increasing the number of allowed connections,\n"
-"the chance of finding good peers to download from is increased.\n"
-"However, too many connections can lead to TCP congestion. If the\n"
-"maximum is reached all new incoming connections will be closed."
+"The maximum number of allowed connections to both active and non-active "
+"peers. By increasing the number of allowed connections, the chance of "
+"finding good peers to download from is increased. However, too many "
+"connections can lead to TCP congestion. If the maximum is reached all new "
+"incoming connections will be closed."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:110
+#: src/protocol/bittorrent/bittorrent.c:111
 msgid "Maximum peer message length"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:112
+#: src/protocol/bittorrent/bittorrent.c:113
 msgid ""
-"The maximum length of messages to accept over the wire.\n"
-"Larger values will cause the connection to be dropped."
+"The maximum length of messages to accept over the wire. Larger values will "
+"cause the connection to be dropped."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:115
+#: src/protocol/bittorrent/bittorrent.c:116
 msgid "Maximum allowed request length"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:117
+#: src/protocol/bittorrent/bittorrent.c:118
 msgid ""
-"The maximum length to allow for incoming requests.\n"
-"Larger requests will cause the connection to be dropped."
+"The maximum length to allow for incoming requests. Larger requests will "
+"cause the connection to be dropped."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:120
+#: src/protocol/bittorrent/bittorrent.c:121
 msgid "Length of requests"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:122
+#: src/protocol/bittorrent/bittorrent.c:123
 msgid ""
-"How many bytes to query for per request. This is complementary\n"
-"to the max_request_length option. If the configured length is\n"
-"bigger than the piece length it will be truncated."
+"How many bytes to query for per request. This is complementary to the "
+"max_request_length option. If the configured length is bigger than the piece "
+"length it will be truncated."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:126
+#: src/protocol/bittorrent/bittorrent.c:128
 #, fuzzy
 msgid "Peer inactivity timeout"
 msgstr "  "
 
-#: src/protocol/bittorrent/bittorrent.c:128
+#: src/protocol/bittorrent/bittorrent.c:130
 msgid ""
-"The number of seconds to wait before closing a socket on\n"
-"which nothing has been received or sent."
+"The number of seconds to wait before closing a socket on which nothing has "
+"been received or sent."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:131
+#: src/protocol/bittorrent/bittorrent.c:133
 #, fuzzy
 msgid "Maximum peer pool size"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:133
+#: src/protocol/bittorrent/bittorrent.c:135
 msgid ""
-"Maximum number of items in the peer pool. The peer pool\n"
-"contains information used for establishing connections to\n"
-"new peers.\n"
+"Maximum number of items in the peer pool. The peer pool contains information "
+"used for establishing connections to new peers.\n"
+"\n"
 "Set to 0 to have unlimited size."
 msgstr ""
 
 #. ******************************************************************
 #. Piece management options:
 #. ******************************************************************
-#: src/protocol/bittorrent/bittorrent.c:143
+#: src/protocol/bittorrent/bittorrent.c:146
 #, fuzzy
 msgid "Maximum piece cache size"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:145
+#: src/protocol/bittorrent/bittorrent.c:148
 msgid ""
-"The maximum amount of memory used to hold recently\n"
-"downloaded pieces.\n"
+"The maximum amount of memory used to hold recently downloaded pieces.\n"
+"\n"
 "Set to 0 to have unlimited size."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:154
+#: src/protocol/bittorrent/bittorrent.c:158
 msgid "Sharing rate"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:156
+#: src/protocol/bittorrent/bittorrent.c:160
 msgid ""
-"The minimum sharing rate to achieve before stop seeding.\n"
-"The sharing rate is computed as the number of uploaded bytes\n"
-"divided with the number of downloaded bytes. The value should\n"
-"be a double value between 0.0 and 1.0 both included.\n"
-"Set to 1.0 to atleast upload a complete copy of all data and\n"
+"The minimum sharing rate to achieve before stop seeding. The sharing rate is "
+"computed as the number of uploaded bytes divided with the number of "
+"downloaded bytes. The value should be a double value between 0.0 and 1.0 "
+"both included. Set to 1.0 to atleast upload a complete copy of all data and "
 "set to 0.0 to have unlimited sharing rate."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:163
+#: src/protocol/bittorrent/bittorrent.c:167
 msgid "Maximum number of uploads"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:165
+#: src/protocol/bittorrent/bittorrent.c:169
 msgid "The maximum number of uploads to allow at once."
 msgstr ""
 
 #. The number of uploads to fill out to with extra optimistic unchokes
-#: src/protocol/bittorrent/bittorrent.c:168
+#: src/protocol/bittorrent/bittorrent.c:172
 msgid "Minimum number of uploads"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:170
+#: src/protocol/bittorrent/bittorrent.c:174
 msgid ""
-"The minimum number of uploads which should at least\n"
-"be used for new connections."
+"The minimum number of uploads which should at least be used for new "
+"connections."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:174
+#: src/protocol/bittorrent/bittorrent.c:178
 #, fuzzy
 msgid "Keepalive interval"
 msgstr " "
 
-#: src/protocol/bittorrent/bittorrent.c:176
-msgid ""
-"The number of seconds to pause between sending keepalive\n"
-"messages."
+#: src/protocol/bittorrent/bittorrent.c:180
+msgid "The number of seconds to pause between sending keepalive messages."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:179
+#: src/protocol/bittorrent/bittorrent.c:183
 #, fuzzy
 msgid "Number of pending requests"
 msgstr "  "
 
-#: src/protocol/bittorrent/bittorrent.c:181
+#: src/protocol/bittorrent/bittorrent.c:185
 msgid ""
-"How many piece requests to continuously keep in queue. Pipelining\n"
-"of requests is essential to saturate connections and get a good\n"
-"connection performance and thus a faster download. However, a\n"
-"very big queue size can lead to wasting bandwidth near the end\n"
-"of the connection since remaining piece blocks will be requested\n"
-"from multiple peers."
+"How many piece requests to continuously keep in queue. Pipelining of "
+"requests is essential to saturate connections and get a good connection "
+"performance and thus a faster download. However, a very big queue size can "
+"lead to wasting bandwidth near the end of the connection since remaining "
+"piece blocks will be requested from multiple peers."
 msgstr ""
 
 #. Bram uses 30 seconds here.
-#: src/protocol/bittorrent/bittorrent.c:190
+#: src/protocol/bittorrent/bittorrent.c:194
 msgid "Peer snubbing interval"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:192
+#: src/protocol/bittorrent/bittorrent.c:196
 msgid ""
-"The number of seconds to wait for file data before assuming\n"
-"the peer has been snubbed."
+"The number of seconds to wait for file data before assuming the peer has "
+"been snubbed."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:195
+#: src/protocol/bittorrent/bittorrent.c:199
 #, fuzzy
 msgid "Peer choke interval"
 msgstr " "
 
-#: src/protocol/bittorrent/bittorrent.c:197
+#: src/protocol/bittorrent/bittorrent.c:201
 msgid ""
-"The number of seconds between updating the connection state\n"
-"and most importantly choke and unchoke peer connections. The\n"
-"choke period should be big enough for newly unchoked connections\n"
-"to get started but small enough to not allow freeriders too much\n"
-"room for stealing bandwidth."
+"The number of seconds between updating the connection state and most "
+"importantly choke and unchoke peer connections. The choke period should be "
+"big enough for newly unchoked connections to get started but small enough to "
+"not allow freeriders too much room for stealing bandwidth."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:203
+#: src/protocol/bittorrent/bittorrent.c:207
 msgid "Rarest first piece selection cutoff"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:205
+#: src/protocol/bittorrent/bittorrent.c:209
 msgid ""
-"The number of pieces to obtain before switching piece\n"
-"selection strategy from random to rarest first."
+"The number of pieces to obtain before switching piece selection strategy "
+"from random to rarest first."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:208 src/protocol/http/http.c:109
+#: src/protocol/bittorrent/bittorrent.c:212 src/protocol/http/http.c:109
 msgid "Allow blacklisting"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:210
+#: src/protocol/bittorrent/bittorrent.c:214
 msgid "Allow blacklisting of buggy peers."
 msgstr ""
 
@@ -7017,7 +7013,7 @@ msgstr ""
 msgid "Comment"
 msgstr ""
 
-#: src/protocol/bittorrent/dialogs.c:229 src/session/download.c:362
+#: src/protocol/bittorrent/dialogs.c:229 src/session/download.c:388
 #, fuzzy, c-format
 msgid ""
 "Download complete:\n"
@@ -7185,7 +7181,7 @@ msgid_plural "%u unavailable"
 msgstr[0] " FTP "
 msgstr[1] " FTP "
 
-#: src/protocol/bittorrent/dialogs.c:584 src/session/session.c:278
+#: src/protocol/bittorrent/dialogs.c:584 src/session/session.c:279
 #, fuzzy, c-format
 msgid "Unable to retrieve %s"
 msgstr "    "
@@ -7200,7 +7196,7 @@ msgstr ""
 msgid "Information about the torrent"
 msgstr " "
 
-#: src/protocol/bittorrent/dialogs.c:776 src/session/download.c:1106
+#: src/protocol/bittorrent/dialogs.c:776 src/session/download.c:1132
 msgid "What to do?"
 msgstr " ?"
 
@@ -7211,13 +7207,13 @@ msgid "Down~load"
 msgstr ""
 
 #. accelerator_context(src/protocol/bittorrent/dialogs.c:bittorrent_query_callback, src/session/download.c:do_type_query)
-#: src/protocol/bittorrent/dialogs.c:804 src/session/download.c:1209
+#: src/protocol/bittorrent/dialogs.c:804 src/session/download.c:1235
 #, fuzzy
 msgid "~Display"
 msgstr ""
 
 #. accelerator_context(src/protocol/bittorrent/dialogs.c:bittorrent_query_callback, src/session/download.c:do_type_query)
-#: src/protocol/bittorrent/dialogs.c:808 src/session/download.c:1213
+#: src/protocol/bittorrent/dialogs.c:808 src/session/download.c:1239
 msgid "Show ~header"
 msgstr ""
 
@@ -7235,16 +7231,16 @@ msgstr "   "
 msgid "Colon separated list of directories, where CGI scripts are stored."
 msgstr ""
 
-#: src/protocol/file/cgi.c:47
+#: src/protocol/file/cgi.c:48
 msgid "Allow local CGI"
 msgstr ""
 
-#: src/protocol/file/cgi.c:49
+#: src/protocol/file/cgi.c:50
 msgid "Whether to execute local CGI scripts."
 msgstr ""
 
 #. name:
-#: src/protocol/file/cgi.c:54
+#: src/protocol/file/cgi.c:55
 msgid "CGI"
 msgstr ""
 
@@ -7263,9 +7259,8 @@ msgstr ""
 
 #: src/protocol/file/file.c:46
 msgid ""
-"Whether to allow reading from non-regular files.\n"
-"Note this can be dangerous; reading /dev/urandom or\n"
-"/dev/zero can ruin your day!"
+"Whether to allow reading from non-regular files. Note this can be dangerous; "
+"reading /dev/urandom or /dev/zero can ruin your day!"
 msgstr ""
 
 #: src/protocol/file/file.c:50
@@ -7274,8 +7269,8 @@ msgstr ""
 
 #: src/protocol/file/file.c:52
 msgid ""
-"When set to false, files with name starting with a dot will be\n"
-"hidden in local directory listings."
+"When set to false, files with name starting with a dot will be hidden in "
+"local directory listings."
 msgstr ""
 
 #: src/protocol/file/file.c:55
@@ -7285,13 +7280,13 @@ msgstr " "
 
 #: src/protocol/file/file.c:57
 msgid ""
-"When set, if we can't open a file named 'filename', we'll try\n"
-"to open 'filename' with some encoding extension appended\n"
-"(ie. 'filename.gz'); it depends on the supported encodings."
+"When set, if we can't open a file named 'filename', we'll try to open "
+"'filename' with some encoding extension appended (ie. 'filename.gz'); it "
+"depends on the supported encodings."
 msgstr ""
 
 #. name:
-#: src/protocol/file/file.c:65
+#: src/protocol/file/file.c:66
 #, fuzzy
 msgid "File"
 msgstr ""
@@ -7321,7 +7316,7 @@ msgid "Whether to sort entries in direct
 msgstr ""
 
 #. name:
-#: src/protocol/ftp/ftp.c:56 src/protocol/ftp/ftp.c:86
+#: src/protocol/ftp/ftp.c:56 src/protocol/ftp/ftp.c:89
 msgid "FTP"
 msgstr ""
 
@@ -7329,8 +7324,8 @@ msgstr ""
 msgid "FTP specific options."
 msgstr ""
 
-#: src/protocol/ftp/ftp.c:60 src/protocol/http/http.c:127
-#: src/protocol/http/http.c:209
+#: src/protocol/ftp/ftp.c:60 src/protocol/http/http.c:128
+#: src/protocol/http/http.c:235
 msgid "Proxy configuration"
 msgstr ""
 
@@ -7338,39 +7333,39 @@ msgstr ""
 msgid "FTP proxy configuration."
 msgstr ""
 
-#: src/protocol/ftp/ftp.c:64 src/protocol/http/http.c:131
-#: src/protocol/http/http.c:213
+#: src/protocol/ftp/ftp.c:64 src/protocol/http/http.c:132
+#: src/protocol/http/http.c:239
 #, fuzzy
 msgid "Host and port-number"
 msgstr " "
 
 #: src/protocol/ftp/ftp.c:66
 msgid ""
-"Host and port-number (host:port) of the FTP proxy, or blank.\n"
-"If it's blank, FTP_PROXY environment variable is checked as well."
+"Host and port-number (host:port) of the FTP proxy, or blank. If it's blank, "
+"FTP_PROXY environment variable is checked as well."
 msgstr ""
 
-#: src/protocol/ftp/ftp.c:69
+#: src/protocol/ftp/ftp.c:70
 msgid "Anonymous password"
 msgstr ""
 
-#: src/protocol/ftp/ftp.c:71
+#: src/protocol/ftp/ftp.c:72
 msgid "FTP anonymous password to be sent."
 msgstr ""
 
-#: src/protocol/ftp/ftp.c:73
+#: src/protocol/ftp/ftp.c:74
 msgid "Use passive mode (IPv4)"
 msgstr ""
 
-#: src/protocol/ftp/ftp.c:75
+#: src/protocol/ftp/ftp.c:76
 msgid "Use PASV instead of PORT (passive vs active mode, IPv4 only)."
 msgstr ""
 
-#: src/protocol/ftp/ftp.c:77
+#: src/protocol/ftp/ftp.c:79
 msgid "Use passive mode (IPv6)"
 msgstr ""
 
-#: src/protocol/ftp/ftp.c:79
+#: src/protocol/ftp/ftp.c:81
 msgid "Use EPSV instead of EPRT (passive vs active mode, IPv6 only)."
 msgstr ""
 
@@ -7397,7 +7392,7 @@ msgid ""
 msgstr ""
 
 #. name:
-#: src/protocol/http/http.c:95 src/protocol/http/http.c:223
+#: src/protocol/http/http.c:95 src/protocol/http/http.c:250
 msgid "HTTP"
 msgstr ""
 
@@ -7419,8 +7414,8 @@ msgstr ""
 
 #: src/protocol/http/http.c:106
 msgid ""
-"The Accept-Charset header is quite long and sending it can trigger\n"
-"bugs in some rarely found servers."
+"The Accept-Charset header is quite long and sending it can trigger bugs in "
+"some rarely found servers."
 msgstr ""
 
 #: src/protocol/http/http.c:111
@@ -7433,71 +7428,71 @@ msgstr ""
 
 #: src/protocol/http/http.c:115
 msgid ""
-"Broken 302 redirect (violates RFC but compatible with Netscape).\n"
-"This is a problem for a lot of web discussion boards and the like.\n"
-"If they will do strange things to you, try to play with this."
+"Broken 302 redirect (violates RFC but compatible with Netscape). This is a "
+"problem for a lot of web discussion boards and the like. If they will do "
+"strange things to you, try to play with this."
 msgstr ""
 
-#: src/protocol/http/http.c:119
+#: src/protocol/http/http.c:120
 msgid "No keepalive after POST requests"
 msgstr ""
 
-#: src/protocol/http/http.c:121
+#: src/protocol/http/http.c:122
 msgid "Disable keepalive connection after POST request."
 msgstr ""
 
-#: src/protocol/http/http.c:123
+#: src/protocol/http/http.c:124
 msgid "Use HTTP/1.0"
 msgstr ""
 
-#: src/protocol/http/http.c:125
+#: src/protocol/http/http.c:126
 msgid "Use HTTP/1.0 protocol instead of HTTP/1.1."
 msgstr ""
 
-#: src/protocol/http/http.c:129
+#: src/protocol/http/http.c:130
 msgid "HTTP proxy configuration."
 msgstr ""
 
-#: src/protocol/http/http.c:133
+#: src/protocol/http/http.c:134
 msgid ""
-"Host and port-number (host:port) of the HTTP proxy, or blank.\n"
-"If it's blank, HTTP_PROXY environment variable is checked as well."
+"Host and port-number (host:port) of the HTTP proxy, or blank. If it's blank, "
+"HTTP_PROXY environment variable is checked as well."
 msgstr ""
 
-#: src/protocol/http/http.c:136
+#: src/protocol/http/http.c:138
 #, fuzzy
 msgid "Username"
 msgstr ""
 
-#: src/protocol/http/http.c:138
+#: src/protocol/http/http.c:140
 #, fuzzy
 msgid "Proxy authentication username."
 msgstr " HTTP"
 
-#: src/protocol/http/http.c:142
+#: src/protocol/http/http.c:144
 #, fuzzy
 msgid "Proxy authentication password."
 msgstr " HTTP"
 
-#: src/protocol/http/http.c:145
+#: src/protocol/http/http.c:147
 msgid "Referer sending"
 msgstr ""
 
-#: src/protocol/http/http.c:147
+#: src/protocol/http/http.c:149
 msgid ""
-"HTTP referer sending options. HTTP referer is a special header\n"
-"sent in the HTTP requests, which is supposed to contain the previous\n"
-"page visited by the browser. This way, the server can know what link\n"
-"did you follow when accessing that page. However, this behaviour\n"
-"can unfortunately considerably affect privacy and can lead even to a\n"
-"security problem on some badly designed web pages."
+"HTTP referer sending options. HTTP referer is a special header sent in the "
+"HTTP requests, which is supposed to contain the previous page visited by the "
+"browser.This way, the server can know what link did you follow when "
+"accessing that page. However, this behaviour can unfortunately considerably "
+"affect privacy and can lead even to a security problem on some badly "
+"designed web pages."
 msgstr ""
 
-#: src/protocol/http/http.c:154
+#: src/protocol/http/http.c:157
 msgid "Policy"
 msgstr ""
 
-#: src/protocol/http/http.c:157
+#: src/protocol/http/http.c:160
 msgid ""
 "Mode of sending HTTP referer:\n"
 "0 is send no referer\n"
@@ -7506,90 +7501,110 @@ msgid ""
 "3 is send previous URL as referer (correct, but insecure)"
 msgstr ""
 
-#: src/protocol/http/http.c:163
+#: src/protocol/http/http.c:166
 msgid "Fake referer URL"
 msgstr ""
 
-#: src/protocol/http/http.c:165
+#: src/protocol/http/http.c:168
 msgid "Fake referer to be sent when policy is 2."
 msgstr ""
 
-#: src/protocol/http/http.c:168
+#: src/protocol/http/http.c:171
 msgid "Send Accept-Language header"
 msgstr ""
 
-#: src/protocol/http/http.c:170
+#: src/protocol/http/http.c:173
 msgid "Send Accept-Language header."
 msgstr ""
 
-#: src/protocol/http/http.c:172
+#: src/protocol/http/http.c:175
 msgid "Use UI language as Accept-Language"
 msgstr ""
 
-#: src/protocol/http/http.c:174
+#: src/protocol/http/http.c:177
 msgid ""
-"Request localised versions of documents from web-servers (using the\n"
-"Accept-Language header) using the language you have configured for\n"
-"ELinks' user-interface (this also affects navigator.language ECMAScript\n"
-"value available to scripts). Note that some see this as a potential\n"
-"security risk because it tells web-masters and the FBI sniffers about\n"
-"your language preference."
+"Request localised versions of documents from web-servers (using the Accept-"
+"Language header) using the language you have configured for ELinks' user-"
+"interface (this also affects navigator.language ECMAScript value available "
+"to scripts). Note that some see this as a potential security risk because it "
+"tells web-masters and the FBI sniffers about your language preference."
+msgstr ""
+
+#. After the compression support has been tested enough,
+#. * we might wrap this option in #if CFG_DEBUG.
+#: src/protocol/http/http.c:187
+msgid "Enable on-the-fly compression"
 msgstr ""
 
-#: src/protocol/http/http.c:181
+#: src/protocol/http/http.c:189
+msgid ""
+"If enabled, the capability to receive compressed content (gzip and/or bzip2) "
+"is announced to the server, which usually sends the reply compressed, thus "
+"saving some bandwidth at slight CPU expense.\n"
+"\n"
+"If ELinks displays a incomplete page or garbage, try disabling this option. "
+"If that helps, there may be a bug in the decompression part of ELinks. "
+"Please report such bugs.\n"
+"\n"
+"If ELinks has been compiled without compression support, this option has no "
+"effect. To check the supported features, see Help -> About."
+msgstr ""
+
+#: src/protocol/http/http.c:202
 msgid "Activate HTTP TRACE debugging"
 msgstr ""
 
-#: src/protocol/http/http.c:183
+#: src/protocol/http/http.c:204
 msgid ""
-"If active, all HTTP requests are sent with TRACE as their method\n"
-"rather than GET or POST. This is useful for debugging of both ELinks\n"
-"and various server-side scripts --- the server only returns the client's\n"
-"request back to the client verbatim. Note that this type of request may\n"
-"not be enabled on all servers."
+"If active, all HTTP requests are sent with TRACE as their method rather than "
+"GET or POST. This is useful for debugging of both ELinks and various server-"
+"side scripts --- the server only returns the client's request back to the "
+"client verbatim. Note that this type of request may not be enabled on all "
+"servers."
 msgstr ""
 
 #. OSNews.com is supposed to be relying on the textmode token, at least.
-#: src/protocol/http/http.c:190
+#: src/protocol/http/http.c:212
 msgid "User-agent identification"
 msgstr ""
 
-#: src/protocol/http/http.c:192
+#: src/protocol/http/http.c:214
 msgid ""
-"Change the User Agent ID. That means identification string, which\n"
-"is sent to HTTP server when a document is requested. The 'textmode'\n"
-"token in the first field is our silent attempt to establish this as\n"
-"a standard for new textmode user agents, so that the webmasters can\n"
-"have just a single uniform test for these if they are e.g. pushing\n"
-"some lite version to them automagically.\n"
+"Change the User Agent ID. That means identification string, which is sent to "
+"HTTP server when a document is requested. The 'textmode' token in the first "
+"field is our silent attempt to establish this as a standard for new textmode "
+"user agents, so that the webmasters can have just a single uniform test for "
+"these if they are e.g. pushing some lite version to them automagically.\n"
+"\n"
 "Use \" \" if you don't want any User-Agent header to be sent at all.\n"
+"\n"
 "%v in the string means ELinks version,\n"
 "%s in the string means system identification,\n"
 "%t in the string means size of the terminal,\n"
 "%b in the string means number of bars displayed by ELinks."
 msgstr ""
 
-#: src/protocol/http/http.c:205
+#: src/protocol/http/http.c:231
 msgid "HTTPS"
 msgstr ""
 
-#: src/protocol/http/http.c:207
+#: src/protocol/http/http.c:233
 #, fuzzy
 msgid "HTTPS-specific options."
 msgstr "   "
 
-#: src/protocol/http/http.c:211
+#: src/protocol/http/http.c:237
 msgid "HTTPS proxy configuration."
 msgstr ""
 
-#: src/protocol/http/http.c:215
+#: src/protocol/http/http.c:241
 msgid ""
-"Host and port-number (host:port) of the HTTPS CONNECT proxy, or blank.\n"
-"If it's blank, HTTPS_PROXY environment variable is checked as well."
+"Host and port-number (host:port) of the HTTPS CONNECT proxy, or blank. If "
+"it's blank, HTTPS_PROXY environment variable is checked as well."
 msgstr ""
 
 #. name:
-#: src/protocol/nntp/nntp.c:32 src/protocol/nntp/nntp.c:65
+#: src/protocol/nntp/nntp.c:32 src/protocol/nntp/nntp.c:66
 msgid "NNTP"
 msgstr ""
 
@@ -7604,19 +7619,19 @@ msgstr ""
 
 #: src/protocol/nntp/nntp.c:38
 msgid ""
-"Used when resolving news: URIs. If set to the empty string\n"
-"the value of the NNTPSERVER environment variable will be used."
+"Used when resolving news: URIs. If set to the empty string the value of the "
+"NNTPSERVER environment variable will be used."
 msgstr ""
 
-#: src/protocol/nntp/nntp.c:41
+#: src/protocol/nntp/nntp.c:42
 msgid "Message header entries"
 msgstr ""
 
-#: src/protocol/nntp/nntp.c:43
+#: src/protocol/nntp/nntp.c:44
 msgid ""
-"Comma separated list of which entries in the article header\n"
-"to show. E.g. 'Subject' and 'From'.\n"
-"All header entries can be read in the header info dialog."
+"Comma separated list of which entries in the article header to show. E.g. "
+"'Subject' and 'From'. All header entries can be read in the header info "
+"dialog."
 msgstr ""
 
 #: src/protocol/protocol.c:242
@@ -7638,10 +7653,9 @@ msgstr ""
 
 #: src/protocol/protocol.c:279
 msgid ""
-"Comma separated list of domains for which the proxy (HTTP/FTP)\n"
-"should be disabled. Optionally, a port can be specified for some\n"
-"domains as well. If it's blank, NO_PROXY environment variable is\n"
-"checked as well."
+"Comma separated list of domains for which the proxy (HTTP/FTP) should be "
+"disabled. Optionally, a port can be specified for some domains as well. If "
+"it's blank, NO_PROXY environment variable is checked as well."
 msgstr ""
 
 #. name:
@@ -7655,47 +7669,45 @@ msgstr ""
 
 #: src/protocol/rewrite/rewrite.c:46
 msgid ""
-"Rules for rewriting URIs entered in the goto dialog.\n"
-"It makes it possible to define a set of prefixes that will\n"
-"be expanded if they match a string entered in the goto dialog.\n"
-"The prefixes can be dumb, meaning that they work only like\n"
-"URI abbreviations, or smart ones, making it possible to pass\n"
+"Rules for rewriting URIs entered in the goto dialog. It makes it possible to "
+"define a set of prefixes that will be expanded if they match a string "
+"entered in the goto dialog. The prefixes can be dumb, meaning that they work "
+"only like URI abbreviations, or smart ones, making it possible to pass "
 "arguments to them like search engine keywords."
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:53
+#: src/protocol/rewrite/rewrite.c:54
 msgid "Enable dumb prefixes"
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:55
+#: src/protocol/rewrite/rewrite.c:56
 msgid ""
-"Enable dumb prefixes - simple URI abbreviations which can\n"
-"be written to the Goto URL dialog instead of actual URIs - i.e.\n"
-"if you write 'elinks' there, you are directed to\n"
-"http://elinks.cz/."
+"Enable dumb prefixes - simple URI abbreviations which can be written to the "
+"Goto URL dialog instead of actual URIs - i.e. if you write 'elinks' there, "
+"you are directed to http://elinks.cz/."
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:60
+#: src/protocol/rewrite/rewrite.c:61
 msgid "Enable smart prefixes"
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:62
+#: src/protocol/rewrite/rewrite.c:63
 msgid ""
-"Enable smart prefixes - URI templates triggered by writing\n"
-"given abbreviation to the Goto URL dialog followed by a list\n"
-"of arguments from which the actual URI is composed - i.e.\n"
-"'gg:search keywords' or 'gn search keywords for news'."
+"Enable smart prefixes - URI templates triggered by writing given "
+"abbreviation to the Goto URL dialog followed by a list of arguments from "
+"which the actual URI is composed - i.e. 'gg:search keywords' or 'gn search "
+"keywords for news'."
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:67
+#: src/protocol/rewrite/rewrite.c:69
 msgid "Dumb Prefixes"
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:69
+#: src/protocol/rewrite/rewrite.c:71
 msgid "Dumb prefixes, see enable-dumb description for details."
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:74
+#: src/protocol/rewrite/rewrite.c:76
 #, no-c-format
 msgid ""
 "Replacement URI for this dumbprefix:\n"
@@ -7703,15 +7715,15 @@ msgid ""
 "%% in the string means '%'"
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:78
+#: src/protocol/rewrite/rewrite.c:80
 msgid "Smart Prefixes"
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:80
+#: src/protocol/rewrite/rewrite.c:82
 msgid "Smart prefixes, see enable-smart description for details."
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:87
+#: src/protocol/rewrite/rewrite.c:90
 #, no-c-format
 msgid ""
 "Replacement URI for this smartprefix:\n"
@@ -7721,27 +7733,29 @@ msgid ""
 "%% in the string means '%'"
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:93
+#: src/protocol/rewrite/rewrite.c:96
 #, fuzzy
 msgid "Default template"
 msgstr "  "
 
-#: src/protocol/rewrite/rewrite.c:96
+#: src/protocol/rewrite/rewrite.c:99
 #, no-c-format
 msgid ""
-"Default URI template used when the string entered in\n"
-"the goto dialog does not appear to be a URI or a filename\n"
-"(i.e. contains no '.', ':' or '/' characters), and does\n"
-"not match any defined prefixes. Set the value to \"\" to\n"
-"disable use of the default template rewrite rule.\n"
+"Default URI template used when the string entered in the goto dialog does "
+"not appear to be a URI or a filename (i.e. contains no '.', ':' or '/' "
+"characters), and does not match any defined prefixes. Set the value to \"\" "
+"to disable use of the default template rewrite rule.\n"
+"\n"
 "%c in the template means the current URL,\n"
-"%s in the template means the whole string from the goto dialog,\n"
-"%0,%1,...,%9 mean the 1st,2nd,...,10th space-delimited part of %s,\n"
+"%s in the template means the whole string from the goto\n"
+"   dialog,\n"
+"%0,%1,...,%9 mean the 1st,2nd,...,10th space-delimited part\n"
+"   of %s,\n"
 "%% in the template means '%'."
 msgstr ""
 
 #. name:
-#: src/protocol/rewrite/rewrite.c:372
+#: src/protocol/rewrite/rewrite.c:378
 msgid "URI rewrite"
 msgstr ""
 
@@ -7764,24 +7778,23 @@ msgid "Credentials file passed to smbcli
 msgstr ""
 
 #. name:
-#: src/protocol/user.c:34 src/protocol/user.c:84
+#: src/protocol/user.c:34 src/protocol/user.c:85
 msgid "User protocols"
 msgstr ""
 
 #: src/protocol/user.c:36
 msgid ""
-"User protocols. Options in this tree specify external\n"
-"handlers for the appropriate protocols. Ie.\n"
-"protocol.user.mailto.unix."
+"User protocols. Options in this tree specify external handlers for the "
+"appropriate protocols. Ie. protocol.user.mailto.unix."
 msgstr ""
 
 #: src/protocol/user.c:47
 msgid ""
-"Handler (external program) for this protocol. Name the\n"
-"options in this tree after your system (ie. unix, unix-xwin)."
+"Handler (external program) for this protocol. Name the options in this tree "
+"after your system (ie. unix, unix-xwin)."
 msgstr ""
 
-#: src/protocol/user.c:52
+#: src/protocol/user.c:53
 msgid ""
 "Handler (external program) for this protocol and system.\n"
 "%f in the string means file name to include form data from\n"
@@ -7792,11 +7805,11 @@ msgid ""
 "%u in the string means the whole URL"
 msgstr ""
 
-#: src/protocol/user.c:276
+#: src/protocol/user.c:277
 msgid "No program"
 msgstr " "
 
-#: src/protocol/user.c:278
+#: src/protocol/user.c:279
 #, fuzzy, c-format
 msgid "No program specified for protocol %s."
 msgstr "   "
@@ -7880,19 +7893,19 @@ msgstr ""
 msgid "Spidermonkey ECMAScript"
 msgstr ""
 
-#: src/session/download.c:233 src/session/download.c:330
-#: src/session/download.c:561 src/session/download.c:649
+#: src/session/download.c:256 src/session/download.c:356
+#: src/session/download.c:587 src/session/download.c:675
 msgid "Download error"
 msgstr " "
 
-#: src/session/download.c:234 src/session/download.c:650
+#: src/session/download.c:257 src/session/download.c:676
 #, fuzzy, c-format
 msgid ""
 "Could not create file '%s':\n"
 "%s"
 msgstr "   "
 
-#: src/session/download.c:331
+#: src/session/download.c:357
 #, fuzzy, c-format
 msgid ""
 "Error downloading %s:\n"
@@ -7900,17 +7913,17 @@ msgid ""
 "%s"
 msgstr " "
 
-#: src/session/download.c:562
+#: src/session/download.c:588
 #, c-format
 msgid "'%s' is a directory."
 msgstr ""
 
-#: src/session/download.c:596
+#: src/session/download.c:622
 #, fuzzy
 msgid "File exists"
 msgstr " "
 
-#: src/session/download.c:597
+#: src/session/download.c:623
 #, c-format
 msgid ""
 "This file already exists:\n"
@@ -7921,51 +7934,51 @@ msgid ""
 msgstr ""
 
 #. accelerator_context(src/session/download.c:lookup_unique_name)
-#: src/session/download.c:604
+#: src/session/download.c:630
 msgid "Sa~ve under the alternative name"
 msgstr ""
 
 #. accelerator_context(src/session/download.c:lookup_unique_name)
-#: src/session/download.c:605
+#: src/session/download.c:631
 msgid "~Overwrite the original file"
 msgstr ""
 
 #. accelerator_context(src/session/download.c:lookup_unique_name)
-#: src/session/download.c:606
+#: src/session/download.c:632
 msgid "~Resume download of the original file"
 msgstr ""
 
-#: src/session/download.c:1109
+#: src/session/download.c:1135
 msgid "Unknown type"
 msgstr " "
 
-#: src/session/download.c:1134
+#: src/session/download.c:1160
 #, c-format
 msgid "What would you like to do with the file '%s' (type: %s%s%s)?"
 msgstr ""
 
-#: src/session/download.c:1137
+#: src/session/download.c:1163
 #, c-format
 msgid "What would you like to do with the file (type: %s%s%s)?"
 msgstr ""
 
-#: src/session/download.c:1165
+#: src/session/download.c:1191
 #, no-c-format
 msgid "Program ('%' will be replaced by the filename)"
 msgstr ""
 
-#: src/session/download.c:1169
+#: src/session/download.c:1195
 #, fuzzy
 msgid "Block the terminal"
 msgstr " BeOS"
 
-#: src/session/download.c:1175
+#: src/session/download.c:1201
 #, c-format
 msgid "The file will be opened with the program '%s'."
 msgstr ""
 
 #. accelerator_context(src/session/download.c:do_type_query)
-#: src/session/download.c:1196
+#: src/session/download.c:1222
 #, fuzzy
 msgid "~Open"
 msgstr ""
@@ -7974,12 +7987,12 @@ msgstr ""
 #. * and formatting it with "%u" is safe,
 #. * because fc_maxlength is smaller than
 #. * file.length, which is an int.
-#: src/session/session.c:761 src/session/session.c:780 src/session/task.c:275
-#: src/viewer/text/textarea.c:652
+#: src/session/session.c:771 src/session/session.c:790 src/session/task.c:275
+#: src/viewer/text/textarea.c:641
 msgid "Warning"
 msgstr ""
 
-#: src/session/session.c:762
+#: src/session/session.c:772
 msgid ""
 "You have an empty string in protocol.http.user_agent - this was a default "
 "value in the past, substituted by default ELinks User-Agent string. However, "
@@ -7990,7 +8003,7 @@ msgid ""
 "will be used. Apologies for any inconvience caused."
 msgstr ""
 
-#: src/session/session.c:781
+#: src/session/session.c:791
 msgid ""
 "You have option config.saving_style set to a de facto obsolete value. The "
 "configuration saving algorithms of ELinks were changed from the last time "
@@ -8003,11 +8016,11 @@ msgid ""
 "caused."
 msgstr ""
 
-#: src/session/session.c:806
+#: src/session/session.c:816
 msgid "Welcome"
 msgstr ""
 
-#: src/session/session.c:807
+#: src/session/session.c:817
 #, fuzzy
 msgid ""
 "Welcome to ELinks!\n"
@@ -8059,22 +8072,22 @@ msgstr ""
 msgid "Warning: terminal name contains illicit chars."
 msgstr ""
 
-#: src/terminal/event.c:259
+#: src/terminal/event.c:258
 #, c-format
 msgid "Failed to create session."
 msgstr ""
 
-#: src/terminal/event.c:446
+#: src/terminal/event.c:443
 #, c-format
 msgid "Bad event %d"
 msgstr ""
 
-#: src/terminal/event.c:486
+#: src/terminal/event.c:483
 #, fuzzy, c-format
 msgid "Could not read event: %d (%s)"
 msgstr "   "
 
-#: src/terminal/kbd.c:1187
+#: src/terminal/kbd.c:1210
 #, c-format
 msgid "Too many bytes read from the itrm!"
 msgstr ""
@@ -8153,207 +8166,207 @@ msgstr " "
 msgid "The requested fragment \"%s\" doesn't exist."
 msgstr ""
 
-#: src/viewer/text/form.c:1092
+#: src/viewer/text/form.c:1118
 msgid "Error while posting form"
 msgstr "   "
 
-#: src/viewer/text/form.c:1093
+#: src/viewer/text/form.c:1119
 #, fuzzy, c-format
 msgid "Could not load file %s: %s"
 msgstr "  "
 
-#: src/viewer/text/form.c:1847
+#: src/viewer/text/form.c:1876
 #, fuzzy
 msgid "Reset form"
 msgstr " "
 
-#: src/viewer/text/form.c:1849
+#: src/viewer/text/form.c:1878
 msgid "Harmless button"
 msgstr ""
 
-#: src/viewer/text/form.c:1857
+#: src/viewer/text/form.c:1886
 msgid "Submit form to"
 msgstr "   "
 
-#: src/viewer/text/form.c:1858
+#: src/viewer/text/form.c:1887
 msgid "Post form to"
 msgstr "   "
 
-#: src/viewer/text/form.c:1860
+#: src/viewer/text/form.c:1889
 msgid "Radio button"
 msgstr "-"
 
-#: src/viewer/text/form.c:1864
+#: src/viewer/text/form.c:1893
 msgid "Select field"
 msgstr " "
 
-#: src/viewer/text/form.c:1868
+#: src/viewer/text/form.c:1897
 msgid "Text area"
 msgstr " "
 
-#: src/viewer/text/form.c:1870
+#: src/viewer/text/form.c:1899
 msgid "File upload"
 msgstr " "
 
-#: src/viewer/text/form.c:1872
+#: src/viewer/text/form.c:1901
 msgid "Password field"
 msgstr " "
 
-#: src/viewer/text/form.c:1910
+#: src/viewer/text/form.c:1939
 msgid "name"
 msgstr ""
 
-#: src/viewer/text/form.c:1922
+#: src/viewer/text/form.c:1951
 msgid "value"
 msgstr ""
 
-#: src/viewer/text/form.c:1935
+#: src/viewer/text/form.c:1964
 msgid "read only"
 msgstr ""
 
-#: src/viewer/text/form.c:1946
+#: src/viewer/text/form.c:1975
 #, c-format
 msgid "press %s to navigate"
 msgstr ""
 
-#: src/viewer/text/form.c:1948
+#: src/viewer/text/form.c:1977
 #, c-format
 msgid "press %s to edit"
 msgstr ""
 
-#: src/viewer/text/form.c:1984
+#: src/viewer/text/form.c:2013
 #, fuzzy, c-format
 msgid "press %s to submit to %s"
 msgstr "  "
 
-#: src/viewer/text/form.c:1986
+#: src/viewer/text/form.c:2015
 #, fuzzy, c-format
 msgid "press %s to post to %s"
 msgstr "  "
 
-#: src/viewer/text/form.c:2088
+#: src/viewer/text/form.c:2117
 msgid "Useless button"
 msgstr ""
 
-#: src/viewer/text/form.c:2090
+#: src/viewer/text/form.c:2119
 #, fuzzy
 msgid "Submit button"
 msgstr "   "
 
 #. accelerator_context(link_menu.map)
-#: src/viewer/text/link.c:1281
+#: src/viewer/text/link.c:1280
 msgid "Display ~usemap"
 msgstr " "
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1286
+#: src/viewer/text/link.c:1285
 msgid "~Follow link"
 msgstr " "
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1288
+#: src/viewer/text/link.c:1287
 msgid "Follow link and r~eload"
 msgstr "   "
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1292
+#: src/viewer/text/link.c:1291
 msgid "Open in new ~window"
 msgstr "   "
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1294
+#: src/viewer/text/link.c:1293
 #, fuzzy
 msgid "Open in new ~tab"
 msgstr "   "
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1296
+#: src/viewer/text/link.c:1295
 #, fuzzy
 msgid "Open in new tab in ~background"
 msgstr " "
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1301
+#: src/viewer/text/link.c:1300
 msgid "~Download link"
 msgstr "  "
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1304
+#: src/viewer/text/link.c:1303
 msgid "~Add link to bookmarks"
 msgstr "   "
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1308
+#: src/viewer/text/link.c:1307
 msgid "Pass link URI to e~xternal command"
 msgstr ""
 
 #. accelerator_context(link_menu.form, link_menu.reset, link_menu.textarea)
-#: src/viewer/text/link.c:1319 src/viewer/text/link.c:1359
+#: src/viewer/text/link.c:1318 src/viewer/text/link.c:1358
 msgid "~Reset form"
 msgstr " "
 
 #. accelerator_context(link_menu.textarea)
-#: src/viewer/text/link.c:1334
+#: src/viewer/text/link.c:1333
 msgid "Open in ~external editor"
 msgstr ""
 
 #. accelerator_context(link_menu.form, link_menu.textarea)
-#: src/viewer/text/link.c:1342
+#: src/viewer/text/link.c:1341
 msgid "~Submit form"
 msgstr " "
 
 #. accelerator_context(link_menu.form, link_menu.textarea)
-#: src/viewer/text/link.c:1343
+#: src/viewer/text/link.c:1342
 msgid "Submit form and rel~oad"
 msgstr "   "
 
 #. accelerator_context(link_menu.form, link_menu.textarea)
-#: src/viewer/text/link.c:1347
+#: src/viewer/text/link.c:1346
 msgid "Submit form and open in new ~window"
 msgstr "      "
 
 #. accelerator_context(link_menu.form, link_menu.textarea)
-#: src/viewer/text/link.c:1349
+#: src/viewer/text/link.c:1348
 #, fuzzy
 msgid "Submit form and open in new ~tab"
 msgstr "      "
 
 #. accelerator_context(link_menu.form, link_menu.textarea)
-#: src/viewer/text/link.c:1352
+#: src/viewer/text/link.c:1351
 #, fuzzy
 msgid "Submit form and open in new tab in ~background"
 msgstr "      "
 
 #. accelerator_context(link_menu.form, link_menu.textarea)
-#: src/viewer/text/link.c:1357
+#: src/viewer/text/link.c:1356
 msgid "Submit form and ~download"
 msgstr "   "
 
 #. accelerator_context(link_menu.form, link_menu.reset, link_menu.textarea)
-#: src/viewer/text/link.c:1364
+#: src/viewer/text/link.c:1363
 #, fuzzy
 msgid "Form f~ields"
 msgstr ""
 
 #. accelerator_context(link_menu.form, link_menu.map, link_menu.std)
-#: src/viewer/text/link.c:1371
+#: src/viewer/text/link.c:1370
 msgid "V~iew image"
 msgstr " "
 
 #. accelerator_context(link_menu.form, link_menu.map, link_menu.std)
-#: src/viewer/text/link.c:1373
+#: src/viewer/text/link.c:1372
 msgid "Download ima~ge"
 msgstr " "
 
-#: src/viewer/text/link.c:1382
+#: src/viewer/text/link.c:1381
 msgid "No link selected"
 msgstr "  "
 
-#: src/viewer/text/link.c:1452
+#: src/viewer/text/link.c:1451
 msgid "Image"
 msgstr ""
 
-#: src/viewer/text/link.c:1457
+#: src/viewer/text/link.c:1456
 msgid "Usemap"
 msgstr " "
 
@@ -8362,86 +8375,86 @@ msgstr " "
 msgid "Marks"
 msgstr ""
 
-#: src/viewer/text/search.c:1083
+#: src/viewer/text/search.c:1099
 msgid "Search hit top, continuing at bottom."
 msgstr ""
 
-#: src/viewer/text/search.c:1084
+#: src/viewer/text/search.c:1100
 msgid "Search hit bottom, continuing at top."
 msgstr ""
 
-#: src/viewer/text/search.c:1087
+#: src/viewer/text/search.c:1103
 msgid "No previous search"
 msgstr "   "
 
-#: src/viewer/text/search.c:1099
+#: src/viewer/text/search.c:1115
 #, fuzzy, c-format
 msgid "Could not compile regular expression '%s'"
 msgstr " "
 
-#: src/viewer/text/search.c:1143
+#: src/viewer/text/search.c:1159
 #, c-format
 msgid "No further matches for '%s'."
 msgstr ""
 
-#: src/viewer/text/search.c:1145
+#: src/viewer/text/search.c:1161
 #, c-format
 msgid "Could not find a link with the text '%s'."
 msgstr ""
 
-#: src/viewer/text/search.c:1147 src/viewer/text/search.c:1558
+#: src/viewer/text/search.c:1163 src/viewer/text/search.c:1576
 msgid "Typeahead"
 msgstr ""
 
-#: src/viewer/text/search.c:1560
+#: src/viewer/text/search.c:1578
 #, c-format
 msgid "No links in current document"
 msgstr ""
 
-#: src/viewer/text/search.c:1643
+#: src/viewer/text/search.c:1661
 msgid "Search for text"
 msgstr " "
 
-#: src/viewer/text/search.c:1679
+#: src/viewer/text/search.c:1697
 #, fuzzy
 msgid "Normal search"
 msgstr "   "
 
-#: src/viewer/text/search.c:1680
+#: src/viewer/text/search.c:1698
 msgid "Regexp search"
 msgstr ""
 
-#: src/viewer/text/search.c:1681
+#: src/viewer/text/search.c:1699
 msgid "Extended regexp search"
 msgstr ""
 
-#: src/viewer/text/search.c:1683
+#: src/viewer/text/search.c:1701
 msgid "Case sensitive"
 msgstr ""
 
-#: src/viewer/text/search.c:1684
+#: src/viewer/text/search.c:1702
 msgid "Case insensitive"
 msgstr ""
 
-#: src/viewer/text/search.c:1708
+#: src/viewer/text/search.c:1726
 msgid "Search backward"
 msgstr " "
 
 #. name:
-#: src/viewer/text/search.c:1747
+#: src/viewer/text/search.c:1765
 #, fuzzy
 msgid "Search History"
 msgstr "  "
 
-#: src/viewer/text/textarea.c:595
+#: src/viewer/text/textarea.c:584
 msgid "You cannot launch an external editor in the anonymous mode."
 msgstr ""
 
-#: src/viewer/text/textarea.c:602
+#: src/viewer/text/textarea.c:591
 msgid "You can do this only on the master terminal"
 msgstr "       "
 
-#: src/viewer/text/textarea.c:655
+#: src/viewer/text/textarea.c:644
 #, c-format
 msgid ""
 "You have exceeded the textarea's size limit: your input is %d bytes, but the "
@@ -8459,11 +8472,11 @@ msgstr "  "
 msgid "Enter link number"
 msgstr "  "
 
-#: src/viewer/text/view.c:1627
+#: src/viewer/text/view.c:1628
 msgid "Save error"
 msgstr " "
 
-#: src/viewer/text/view.c:1628
+#: src/viewer/text/view.c:1629
 msgid "Error writing to file"
 msgstr "   "
 
Binary files 0.12~pre2.dfsg0-1/po/sk.gmo and 0.12~pre4-1/po/sk.gmo differ
diff -pruN 0.12~pre2.dfsg0-1/po/sk.po 0.12~pre4-1/po/sk.po
--- 0.12~pre2.dfsg0-1/po/sk.po	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/po/sk.po	2009-05-31 09:48:47.000000000 +0100
@@ -6,7 +6,7 @@ msgid ""
 msgstr ""
 "Project-Id-Version: ELinks 0.5pre0.CVS\n"
 "Report-Msgid-Bugs-To: elinks-users@linuxfromscratch.org\n"
-"POT-Creation-Date: 2008-09-21 11:13+0300\n"
+"POT-Creation-Date: 2009-05-31 01:57+0300\n"
 "PO-Revision-Date: 2004-02-13 19:07+0100\n"
 "Last-Translator: Peter Samek <samek@upc.uniba.sk>\n"
 "Language-Team: Slovak <sk-i18n@lists.linux.sk>\n"
@@ -38,7 +38,7 @@ msgstr "Na rozbalenie tejto zloky stla
 #: src/mime/dialogs.c:132 src/protocol/auth/dialogs.c:115
 #: src/protocol/protocol.c:246 src/scripting/lua/core.c:399
 #: src/scripting/lua/core.c:480 src/scripting/python/dialogs.c:86
-#: src/session/session.c:811 src/viewer/text/search.c:1686
+#: src/session/session.c:821 src/viewer/text/search.c:1704
 #, fuzzy
 msgid "~OK"
 msgstr "OK"
@@ -56,13 +56,13 @@ msgid "Sorry, but the item \"%s\" is bei
 msgstr "Smola, ale poloku \"%s\" prve pouva nieo in."
 
 #. cant_delete_folder
-#: src/bfu/hierbox.c:558 src/bookmarks/dialogs.c:121
+#: src/bfu/hierbox.c:558 src/bookmarks/dialogs.c:153
 #, c-format
 msgid "Sorry, but the folder \"%s\" cannot be deleted."
 msgstr "Smola, ale zloka \"%s\" neme by vymazan."
 
 #. cant_delete_used_folder
-#: src/bfu/hierbox.c:561 src/bookmarks/dialogs.c:123
+#: src/bfu/hierbox.c:561 src/bookmarks/dialogs.c:155
 #, c-format
 msgid "Sorry, but the folder \"%s\" is being used by something else."
 msgstr "Smola, ale zloku \"%s\" prve pouva nieo in."
@@ -78,7 +78,7 @@ msgid "Delete marked items?"
 msgstr "Zmaza oznaen poloky?"
 
 #. delete_folder_title
-#: src/bfu/hierbox.c:570 src/bookmarks/dialogs.c:129
+#: src/bfu/hierbox.c:570 src/bookmarks/dialogs.c:161
 msgid "Delete folder"
 msgstr "Zmaza zloku"
 
@@ -137,13 +137,13 @@ msgstr "no"
 msgid "~No"
 msgstr "Nie"
 
-#: src/bfu/hierbox.c:945 src/bfu/hierbox.c:976 src/viewer/text/search.c:1090
-#: src/viewer/text/search.c:1098 src/viewer/text/search.c:1114
-#: src/viewer/text/search.c:1705
+#: src/bfu/hierbox.c:945 src/bfu/hierbox.c:976 src/viewer/text/search.c:1106
+#: src/viewer/text/search.c:1114 src/viewer/text/search.c:1130
+#: src/viewer/text/search.c:1723
 msgid "Search"
 msgstr "Hada"
 
-#: src/bfu/hierbox.c:947 src/viewer/text/search.c:1091
+#: src/bfu/hierbox.c:947 src/viewer/text/search.c:1107
 #, c-format
 msgid "Search string '%s' not found"
 msgstr "Hadan reazec '%s' nabol njden"
@@ -182,8 +182,8 @@ msgstr "Przdny reazec je neprpustn!"
 #: src/dialogs/options.c:237 src/dialogs/options.c:316 src/mime/dialogs.c:133
 #: src/protocol/auth/dialogs.c:116 src/protocol/bittorrent/dialogs.c:814
 #: src/scripting/lua/core.c:400 src/scripting/lua/core.c:481
-#: src/session/download.c:607 src/session/download.c:1219
-#: src/viewer/text/search.c:1687
+#: src/session/download.c:633 src/session/download.c:1245
+#: src/viewer/text/search.c:1705
 #, fuzzy
 msgid "~Cancel"
 msgstr "Zrui"
@@ -198,8 +198,8 @@ msgstr "zamknutch"
 msgid "Digital clock in the status bar."
 msgstr "Farba titulku dialgovho okna."
 
-#: src/bfu/leds.c:77 src/bfu/leds.c:94 src/config/options.inc:1199
-#: src/config/options.inc:1206 src/ecmascript/ecmascript.c:45
+#: src/bfu/leds.c:77 src/bfu/leds.c:94 src/config/options.inc:1272
+#: src/config/options.inc:1279 src/ecmascript/ecmascript.c:45
 #: src/globhist/globhist.c:64 src/mime/backend/mailcap.c:93
 #: src/mime/backend/mimetypes.c:52 src/network/ssl/ssl.c:81
 msgid "Enable"
@@ -217,8 +217,7 @@ msgstr "Formulre"
 
 #: src/bfu/leds.c:83
 msgid ""
-"Format string for the digital clock. See the strftime(3)\n"
-"manpage for details."
+"Format string for the digital clock. See the strftime(3) manpage for details."
 msgstr ""
 
 #: src/bfu/leds.c:90
@@ -230,9 +229,9 @@ msgid "LEDs (visual indicators) options.
 msgstr "Nastavenie LEDiek (vizulnych identifiktorov)"
 
 #: src/bfu/leds.c:96
+#, fuzzy
 msgid ""
-"Enable LEDs.\n"
-"These visual indicators will inform you about various states."
+"Enable LEDs. These visual indicators will inform you about various states."
 msgstr ""
 "Zapn LED.\n"
 "Tieto visulne identifiktory mu informova o rznych stavoch. "
@@ -264,17 +263,17 @@ msgstr ""
 msgid "Search menu/"
 msgstr "Hada"
 
-#: src/bookmarks/backend/xbel.c:97
+#: src/bookmarks/backend/xbel.c:105
 #, c-format
 msgid "read_bookmarks_xbel(): Error in XML_ParserCreate()"
 msgstr "read_bookmarks_xbel(): Chyba v XML_ParserCreate()"
 
-#: src/bookmarks/backend/xbel.c:108
+#: src/bookmarks/backend/xbel.c:116
 #, c-format
 msgid "read_bookmarks_xbel(): Error reading %s"
 msgstr "read_bookmarks_xbel(): chyba pri tan %s"
 
-#: src/bookmarks/backend/xbel.c:116
+#: src/bookmarks/backend/xbel.c:124
 #, fuzzy, c-format
 msgid ""
 "Parse error while processing XBEL bookmarks in %s at line %d column %d:\n"
@@ -283,16 +282,16 @@ msgstr ""
 "read_bookmarks_xbel(): Chyba syntaxe v sbore %s na riadku %d v stpci %d:\n"
 "%s"
 
-#: src/bookmarks/backend/xbel.c:390 src/bookmarks/backend/xbel.c:411
+#: src/bookmarks/backend/xbel.c:388 src/bookmarks/backend/xbel.c:410
 msgid "No title"
 msgstr "iadny titulok"
 
-#: src/bookmarks/backend/xbel.c:396
+#: src/bookmarks/backend/xbel.c:394
 msgid "No URL"
 msgstr "iadne URL"
 
 #. name:
-#: src/bookmarks/bookmarks.c:48 src/bookmarks/bookmarks.c:181
+#: src/bookmarks/bookmarks.c:48 src/bookmarks/bookmarks.c:183
 msgid "Bookmarks"
 msgstr "Zloky"
 
@@ -300,7 +299,7 @@ msgstr "Zloky"
 msgid "Bookmark options."
 msgstr "Nastavenie zloiek."
 
-#: src/bookmarks/bookmarks.c:53 src/bookmarks/bookmarks.c:59
+#: src/bookmarks/bookmarks.c:53 src/bookmarks/bookmarks.c:60
 msgid "File format"
 msgstr "Formt sboru"
 
@@ -309,59 +308,55 @@ msgstr "Formt sboru"
 msgid ""
 "File format for bookmarks (affects both reading and saving):\n"
 "0 is the default native ELinks format\n"
-"1 is XBEL universal XML bookmarks format (ELinks bug 153: NO NATIONAL CHARS "
-"SUPPORT!)"
+"1 is XBEL universal XML bookmarks format"
 msgstr ""
 "Formt sboru so zlokami (ovplyvuje natanie aj uloenie):\n"
 "0 je tandardn Elinks-ov formt (Links 0.9x kompatibiln)\n"
 "1 je XBEL, univerzlny XML-orientovan formt (BEZ PODPORY DIAKRITIKY!)"
 
-#: src/bookmarks/bookmarks.c:61
+#: src/bookmarks/bookmarks.c:62
 #, fuzzy
 msgid ""
 "File format for bookmarks (affects both reading and saving):\n"
 "0 is the default native ELinks format\n"
-"1 is XBEL universal XML bookmarks format (ELinks bug 153: NO NATIONAL CHARS "
-"SUPPORT!)  (DISABLED)"
+"1 is XBEL universal XML bookmarks format  (DISABLED)"
 msgstr ""
 "Formt sboru so zlokami (ovplyvuje natanie aj uloenie):\n"
 "0 je tandardn Elinks-ov formt (Links 0.9x kompatibiln)\n"
 "1 je XBEL, univerzlny XML-orientovan formt (BEZ PODPORY DIAKRITIKY!)"
 "(VYPNUT)"
 
-#: src/bookmarks/bookmarks.c:67
+#: src/bookmarks/bookmarks.c:68
 #, fuzzy
 msgid "Save folder state"
 msgstr "Zadaj nzov zloky"
 
-#: src/bookmarks/bookmarks.c:69
+#: src/bookmarks/bookmarks.c:70
 msgid ""
-"When saving bookmarks also store whether folders are\n"
-"expanded or not, so the look of the bookmark dialog is\n"
-"kept across ELinks sessions. If disabled all folders will\n"
-"appear unexpanded next time ELinks is run."
+"When saving bookmarks also store whether folders are expanded or not, so the "
+"look of the bookmark dialog is kept across ELinks sessions. If disabled all "
+"folders will appear unexpanded next time ELinks is run."
 msgstr ""
 
-#: src/bookmarks/bookmarks.c:74
+#: src/bookmarks/bookmarks.c:75
 msgid "Periodic snapshotting"
 msgstr ""
 
-#: src/bookmarks/bookmarks.c:76
+#: src/bookmarks/bookmarks.c:77
 msgid ""
-"Automatically save a snapshot of all tabs periodically.\n"
-"This will periodically bookmark the tabs of each terminal in a separate "
-"folder\n"
-"for recovery after a crash.\n"
+"Automatically save a snapshot of all tabs periodically. This will "
+"periodically bookmark the tabs of each terminal in a separate folder for "
+"recovery after a crash.\n"
 "\n"
 "This feature requires bookmark support."
 msgstr ""
 
-#: src/bookmarks/dialogs.c:72 src/config/options.inc:1051
+#: src/bookmarks/dialogs.c:97 src/config/options.inc:1120
 #: src/dialogs/document.c:145 src/globhist/dialogs.c:65
 msgid "Title"
 msgstr "Titulok"
 
-#: src/bookmarks/dialogs.c:73 src/cache/dialogs.c:65
+#: src/bookmarks/dialogs.c:101 src/cache/dialogs.c:65
 #: src/dialogs/document.c:136 src/dialogs/edit.c:96 src/formhist/dialogs.c:63
 #: src/globhist/dialogs.c:66 src/protocol/auth/dialogs.c:163
 #: src/scripting/lua/core.c:397
@@ -369,86 +364,86 @@ msgid "URL"
 msgstr "URL"
 
 #. cant_delete_item
-#: src/bookmarks/dialogs.c:117
+#: src/bookmarks/dialogs.c:149
 #, fuzzy, c-format
 msgid "Sorry, but the bookmark \"%s\" cannot be deleted."
 msgstr "Smola, ale zloka \"%s\" neme by vymazan."
 
 #. cant_delete_used_item
-#: src/bookmarks/dialogs.c:119
+#: src/bookmarks/dialogs.c:151
 #, fuzzy, c-format
 msgid "Sorry, but the bookmark \"%s\" is being used by something else."
 msgstr "Smola, ale zloku \"%s\" prve pouva nieo in."
 
 #. delete_marked_items_title
-#: src/bookmarks/dialogs.c:125
+#: src/bookmarks/dialogs.c:157
 #, fuzzy
 msgid "Delete marked bookmarks"
 msgstr "Zmaza oznaen poloky"
 
 #. delete_marked_items
-#: src/bookmarks/dialogs.c:127
+#: src/bookmarks/dialogs.c:159
 #, fuzzy
 msgid "Delete marked bookmarks?"
 msgstr "Zmaza oznaen poloky?"
 
 #. delete_folder
-#: src/bookmarks/dialogs.c:131
+#: src/bookmarks/dialogs.c:163
 #, fuzzy, c-format
 msgid "Delete the folder \"%s\" and all bookmarks in it?"
 msgstr "Zmaza zloku \"%s\" a jej obsah?"
 
 #. delete_item_title
-#: src/bookmarks/dialogs.c:133
+#: src/bookmarks/dialogs.c:165
 #, fuzzy
 msgid "Delete bookmark"
 msgstr "Edituj zloku"
 
-#: src/bookmarks/dialogs.c:135
+#: src/bookmarks/dialogs.c:167
 #, c-format
 msgid "Delete this bookmark?"
 msgstr ""
 
 #. clear_all_items_title
-#: src/bookmarks/dialogs.c:137
+#: src/bookmarks/dialogs.c:169
 #, fuzzy
 msgid "Clear all bookmarks"
 msgstr "Hada v zlokch"
 
 #. clear_all_items_title
-#: src/bookmarks/dialogs.c:139
+#: src/bookmarks/dialogs.c:171
 #, fuzzy
 msgid "Do you really want to remove all bookmarks?"
 msgstr "Naozaj chce odstrni vetky poloky?"
 
-#: src/bookmarks/dialogs.c:254
+#: src/bookmarks/dialogs.c:327
 msgid "Add folder"
 msgstr "Prida zloku"
 
-#: src/bookmarks/dialogs.c:254
+#: src/bookmarks/dialogs.c:327
 msgid "Folder name"
 msgstr "Nzov zloky"
 
-#: src/bookmarks/dialogs.c:310 src/scripting/lua/core.c:391
+#: src/bookmarks/dialogs.c:410 src/scripting/lua/core.c:391
 msgid "Edit bookmark"
 msgstr "Edituj zloku"
 
-#: src/bookmarks/dialogs.c:461
+#: src/bookmarks/dialogs.c:567
 msgid "Cannot move folder inside itself"
 msgstr ""
 
-#: src/bookmarks/dialogs.c:462
+#: src/bookmarks/dialogs.c:568
 msgid ""
 "You are trying to move the marked folder inside itself. To move the folder "
 "to a different location select the new location before pressing the Move "
 "button."
 msgstr ""
 
-#: src/bookmarks/dialogs.c:468
+#: src/bookmarks/dialogs.c:574
 msgid "Nothing to move"
 msgstr ""
 
-#: src/bookmarks/dialogs.c:469
+#: src/bookmarks/dialogs.c:575
 msgid ""
 "To move bookmarks, first mark all the bookmarks (or folders) you want to "
 "move.  This can be done with the Insert key if you're using the default key-"
@@ -457,21 +452,21 @@ msgid ""
 msgstr ""
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons, src/cache/dialogs.c:cache_buttons, src/globhist/dialogs.c:globhist_buttons, src/protocol/auth/dialogs.c:auth_buttons)
-#: src/bookmarks/dialogs.c:487 src/cache/dialogs.c:230
+#: src/bookmarks/dialogs.c:593 src/cache/dialogs.c:230
 #: src/globhist/dialogs.c:224 src/protocol/auth/dialogs.c:261
 #, fuzzy
 msgid "~Goto"
 msgstr "Cho na"
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons, src/config/dialogs.c:option_buttons, src/cookies/dialogs.c:cookie_buttons)
-#: src/bookmarks/dialogs.c:488 src/config/dialogs.c:503
+#: src/bookmarks/dialogs.c:594 src/config/dialogs.c:503
 #: src/cookies/dialogs.c:492
 #, fuzzy
 msgid "~Edit"
 msgstr "Editova"
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons, src/cache/dialogs.c:cache_buttons, src/config/dialogs.c:keybinding_buttons, src/config/dialogs.c:option_buttons, src/cookies/dialogs.c:cookie_buttons, src/dialogs/menu.c:ext_menu, src/formhist/dialogs.c:formhist_buttons, src/globhist/dialogs.c:globhist_buttons, src/protocol/auth/dialogs.c:auth_buttons)
-#: src/bookmarks/dialogs.c:489 src/cache/dialogs.c:231
+#: src/bookmarks/dialogs.c:595 src/cache/dialogs.c:231
 #: src/config/dialogs.c:505 src/config/dialogs.c:930 src/cookies/dialogs.c:493
 #: src/dialogs/menu.c:463 src/formhist/dialogs.c:211
 #: src/globhist/dialogs.c:229 src/protocol/auth/dialogs.c:263
@@ -479,31 +474,31 @@ msgid "~Delete"
 msgstr "Zmaza"
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons, src/config/dialogs.c:keybinding_buttons, src/config/dialogs.c:option_buttons, src/cookies/dialogs.c:cookie_buttons, src/dialogs/menu.c:ext_menu)
-#: src/bookmarks/dialogs.c:490 src/config/dialogs.c:504
+#: src/bookmarks/dialogs.c:596 src/config/dialogs.c:504
 #: src/config/dialogs.c:929 src/cookies/dialogs.c:490 src/dialogs/menu.c:461
 msgid "~Add"
 msgstr "Prid~a"
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons)
-#: src/bookmarks/dialogs.c:491
+#: src/bookmarks/dialogs.c:597
 #, fuzzy
 msgid "Add se~parator"
 msgstr "Oddeova v lite s tabmi"
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons)
-#: src/bookmarks/dialogs.c:492
+#: src/bookmarks/dialogs.c:598
 #, fuzzy
 msgid "Add ~folder"
 msgstr "Prida zloku"
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons)
-#: src/bookmarks/dialogs.c:493
+#: src/bookmarks/dialogs.c:599
 #, fuzzy
 msgid "~Move"
 msgstr "Presun"
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons, src/cache/dialogs.c:cache_buttons, src/config/dialogs.c:keybinding_buttons, src/config/dialogs.c:option_buttons, src/dialogs/menu.c:view_menu, src/globhist/dialogs.c:globhist_buttons)
-#: src/bookmarks/dialogs.c:494 src/cache/dialogs.c:232
+#: src/bookmarks/dialogs.c:600 src/cache/dialogs.c:232
 #: src/config/dialogs.c:506 src/config/dialogs.c:932 src/dialogs/menu.c:413
 #: src/globhist/dialogs.c:230
 msgid "~Search"
@@ -511,36 +506,50 @@ msgstr "~Hadaj"
 
 #. This one is too dangerous, so just let user delete
 #. * the bookmarks file if needed. --Zas
-#: src/bookmarks/dialogs.c:498
+#: src/bookmarks/dialogs.c:604
 msgid "Clear"
 msgstr "Zresetova"
 
 #. TODO: Would this be useful? --jonas
-#: src/bookmarks/dialogs.c:501 src/globhist/dialogs.c:235
+#: src/bookmarks/dialogs.c:607 src/globhist/dialogs.c:235
 msgid "Save"
 msgstr "Uloi"
 
-#: src/bookmarks/dialogs.c:507
+#: src/bookmarks/dialogs.c:613
 msgid "Bookmark manager"
 msgstr "Sprvca zloiek"
 
-#: src/bookmarks/dialogs.c:632
+#: src/bookmarks/dialogs.c:825
 msgid "Search bookmarks"
 msgstr "Hada v zlokch"
 
-#: src/bookmarks/dialogs.c:661
+#. When the user eventually pushes the OK button, BFU calls
+#. * bookmark_add_add() and gives it the struct dialog * as the
+#. * void * parameter.  However, bookmark_add_add() also needs
+#. * to know the struct terminal *, and there is no way to get
+#. * that from struct dialog.  The other bookmark dialogs work
+#. * around that by making dialog.udata point to the struct
+#. * dialog_data of the bookmark manager, but the "Add bookmark"
+#. * dialog can be triggered with ACT_MAIN_ADD_BOOKMARK, which
+#. * does not involve the bookmark manager at all.
+#. *
+#. * The solution here is to save the struct terminal * in
+#. * dialog.udata2, which the "Edit bookmark" dialog uses for
+#. * struct bookmark *.  When adding a new bookmark, we don't
+#. * need a pointer to an existing one, of course.
+#: src/bookmarks/dialogs.c:892
 msgid "Add bookmark"
 msgstr "Prida zloku"
 
-#: src/bookmarks/dialogs.c:697
+#: src/bookmarks/dialogs.c:950
 msgid "Saved session"
 msgstr "Uloen sedenie"
 
-#: src/bookmarks/dialogs.c:705
+#: src/bookmarks/dialogs.c:958
 msgid "Bookmark tabs"
 msgstr "Uloi taby do zloiek"
 
-#: src/bookmarks/dialogs.c:705
+#: src/bookmarks/dialogs.c:958
 msgid "Enter folder name"
 msgstr "Zadaj nzov zloky"
 
@@ -553,7 +562,7 @@ msgstr "iadne URL"
 msgid "Redirect"
 msgstr "Presmerovanie"
 
-#: src/cache/dialogs.c:85 src/config/options.inc:519
+#: src/cache/dialogs.c:85 src/config/options.inc:553
 #: src/dialogs/document.c:156 src/protocol/bittorrent/dialogs.c:126
 msgid "Size"
 msgstr "Vekos"
@@ -600,7 +609,7 @@ msgstr "Expiruje"
 msgid "ID"
 msgstr ""
 
-#: src/cache/dialogs.c:134 src/config/options.inc:669
+#: src/cache/dialogs.c:134 src/config/options.inc:707
 msgid "Header"
 msgstr "Hlavika"
 
@@ -1314,7 +1323,7 @@ msgstr "Nenaiel som server"
 msgid "Resolver error"
 msgstr "Chyba pri zisovan IP adresy"
 
-#: src/config/cmdline.c:256 src/cookies/cookies.c:841 src/network/state.c:47
+#: src/config/cmdline.c:256 src/cookies/cookies.c:843 src/network/state.c:47
 #: src/util/secsave.c:379
 msgid "Out of memory"
 msgstr "Dola pam"
@@ -1337,306 +1346,307 @@ msgstr ""
 msgid "Remote method not supported"
 msgstr ""
 
-#: src/config/cmdline.c:452
+#: src/config/cmdline.c:437
+msgid "Out of memory formatting option documentation"
+msgstr ""
+
+#: src/config/cmdline.c:474
 msgid "Template option folder"
 msgstr "ablnov zloka"
 
-#: src/config/cmdline.c:475
+#: src/config/cmdline.c:497
 #, c-format
 msgid "(default: %ld)"
 msgstr "(tandardne: %ld)"
 
-#: src/config/cmdline.c:482 src/config/cmdline.c:511
+#: src/config/cmdline.c:504 src/config/cmdline.c:533
 #, c-format
 msgid "(default: \"%s\")"
 msgstr "(tandardne: \"%s\")"
 
-#: src/config/cmdline.c:487
+#: src/config/cmdline.c:509
 #, c-format
 msgid "(alias for %s)"
 msgstr "(alias pre %s)"
 
-#: src/config/cmdline.c:492 src/config/cmdline.c:501
+#: src/config/cmdline.c:514 src/config/cmdline.c:523
 #, c-format
 msgid "(default: %s)"
 msgstr "(tandardne: %s)"
 
-#: src/config/cmdline.c:642
+#: src/config/cmdline.c:654
 #, fuzzy
 msgid "Configuration options"
 msgstr "Konfiguran voby:\n"
 
-#: src/config/cmdline.c:646
+#: src/config/cmdline.c:658
 #, fuzzy
 msgid "Usage: elinks [OPTION]... [URL]..."
 msgstr ""
 "Pouitie: elinks [voby]... [URL]\n"
 "\n"
 
-#: src/config/cmdline.c:647
+#: src/config/cmdline.c:659
 #, fuzzy
 msgid "Options"
 msgstr "Nastavenie:\n"
 
-#: src/config/cmdline.c:689
+#: src/config/cmdline.c:701
 #, fuzzy
 msgid "Internal consistency error"
 msgstr "Vntorn chyba"
 
 #.
-#: src/config/cmdline.c:725
+#: src/config/cmdline.c:737
 msgid "Restrict to anonymous mode"
 msgstr "Obmedzenie na anonymn reim"
 
-#: src/config/cmdline.c:727
+#: src/config/cmdline.c:739
 #, fuzzy
 msgid ""
-"Restricts ELinks so it can run on an anonymous account.\n"
-"Local file browsing, downloads, and modification of options\n"
-"will be disabled. Execution of viewers is allowed, but entries\n"
-"in the association table can't be added or modified."
+"Restricts ELinks so it can run on an anonymous account. Local file browsing, "
+"downloads, and modification of options will be disabled. Execution of "
+"viewers is allowed, but entries in the association table can't be added or "
+"modified."
 msgstr ""
 "Obmedz ELinks, take me bezpene bea aj na anonymnom te.\n"
 "Je zakzan prezeranie loklneho disku a ukladanie sborov,\n"
 "spenie ext. prezeraov je povolen, ale nedaj sa meni ich\n"
 "nastavenia."
 
-#: src/config/cmdline.c:732
+#: src/config/cmdline.c:745
 msgid "Autosubmit first form"
 msgstr "Automatick odoslanie prvho formulra"
 
-#: src/config/cmdline.c:734
+#: src/config/cmdline.c:747
 #, fuzzy
 msgid "Automatically submit the first form in the given URLs."
 msgstr "Cho a odoli prv formulr, na ktor naraz."
 
-#: src/config/cmdline.c:736
+#: src/config/cmdline.c:749
 #, fuzzy
 msgid "Clone internal session with given ID"
 msgstr "Naklonovanie sedenia s danm ID"
 
-#: src/config/cmdline.c:738
+#: src/config/cmdline.c:751
 msgid ""
-"Used internally when opening ELinks instances in new windows.\n"
-"The ID maps to information that will be used when creating the\n"
-"new instance. You don't want to use it."
+"Used internally when opening ELinks instances in new windows. The ID maps to "
+"information that will be used when creating the new instance. You don't want "
+"to use it."
 msgstr ""
 
-#: src/config/cmdline.c:744
+#: src/config/cmdline.c:757
 msgid "Name of directory with configuration file"
 msgstr "Nzov adresra s konfiguranm sborom"
 
-#: src/config/cmdline.c:746
+#: src/config/cmdline.c:759
 #, fuzzy
 msgid ""
-"Path of the directory ELinks will read and write its\n"
-"config and runtime state files to instead of ~/.elinks.\n"
-"If the path does not begin with a '/' it is assumed to be\n"
-"relative to your HOME directory."
+"Path of the directory ELinks will read and write its config and runtime "
+"state files to instead of ~/.elinks. If the path does not begin with a '/' "
+"it is assumed to be relative to your HOME directory."
 msgstr ""
 "ELinks bude ta a zapisova konfiguran sbory v danom\n"
 "adresri namiesto ~/.elinks. Cesta zanajca lomtkom '/' je\n"
 "povaovan za absoltnu cestu. Inak sa predpoklad, e je\n"
 "relatvna k domovskmu adresru."
 
-#: src/config/cmdline.c:751
+#: src/config/cmdline.c:764
 #, fuzzy
 msgid "Print default configuration file to stdout"
 msgstr "Zobrazi npovedu pre konfiguran voby"
 
-#: src/config/cmdline.c:753
+#: src/config/cmdline.c:766
 msgid ""
-"Print a configuration file with options set to the built-in\n"
-"defaults to stdout."
+"Print a configuration file with options set to the built-in defaults to "
+"stdout."
 msgstr ""
 
-#: src/config/cmdline.c:758
+#: src/config/cmdline.c:771
 msgid "Name of configuration file"
 msgstr "Nzov konfiguranho sboru"
 
-#: src/config/cmdline.c:760
+#: src/config/cmdline.c:773
 #, fuzzy
 msgid ""
-"Name of the configuration file that all configuration\n"
-"options will be read from and written to. It should be\n"
-"relative to config-dir."
+"Name of the configuration file that all configuration options will be read "
+"from and written to. It should be relative to config-dir."
 msgstr ""
 "Meno konfiguranho sboru, odkia sa bud ta a kam sa bud\n"
 "zapisova vetky nastavenia. Meno by malo byt relatvne k\n"
 "parametru confdir."
 
-#: src/config/cmdline.c:764
+#: src/config/cmdline.c:777
 msgid "Print help for configuration options"
 msgstr "Zobrazi npovedu pre konfiguran voby"
 
-#: src/config/cmdline.c:766
+#: src/config/cmdline.c:779
 #, fuzzy
 msgid "Print help for configuration options and exit."
 msgstr "Zobrazi npovedu pre konfiguran voby a skoni."
 
-#: src/config/cmdline.c:768
+#: src/config/cmdline.c:781
 #, fuzzy
 msgid "MIME type assumed for unknown document types"
 msgstr "Predpokadan MIME typ dokumentov"
 
-#: src/config/cmdline.c:770
+#: src/config/cmdline.c:783
 #, fuzzy
 msgid "The default MIME type used for documents of unknown type."
 msgstr "tandardn MIME typ, ktor predpoklada pri neznmych dokumentoch."
 
-#: src/config/cmdline.c:772
+#: src/config/cmdline.c:786
 msgid "Ignore user-defined keybindings"
 msgstr ""
 
-#: src/config/cmdline.c:774
+#: src/config/cmdline.c:788
 msgid ""
-"When set, all keybindings from configuration files will be\n"
-"ignored. It forces use of default keybindings and will reset\n"
-"user-defined ones on save."
+"When set, all keybindings from configuration files will be ignored. It "
+"forces use of default keybindings and will reset user-defined ones on save."
 msgstr ""
 
-#: src/config/cmdline.c:778
+#: src/config/cmdline.c:792
 #, fuzzy
 msgid "Print formatted versions of given URLs to stdout"
 msgstr "Vypsa formtovan verziu danho URL na tandardn vstup"
 
-#: src/config/cmdline.c:780
+#: src/config/cmdline.c:794
 #, fuzzy
 msgid "Print formatted plain-text versions of given URLs to stdout."
 msgstr "Vypsa formtovan verziu danho URL na tandardn vstup"
 
-#: src/config/cmdline.c:782
+#: src/config/cmdline.c:797
 msgid "Codepage to use with -dump"
 msgstr "Kdov strnka, ktor m by pouit na -dump vstup"
 
-#: src/config/cmdline.c:784
+#: src/config/cmdline.c:799
 #, fuzzy
 msgid "Codepage used when formatting dump output."
 msgstr "Kdov strnka pouit v dump vstupe."
 
-#: src/config/cmdline.c:786
+#: src/config/cmdline.c:801
 #, fuzzy
 msgid "Color mode used with -dump"
 msgstr "Kdov strnka, ktor m by pouit na -dump vstup"
 
-#: src/config/cmdline.c:788
+#: src/config/cmdline.c:803
 #, fuzzy
 msgid "Color mode used with -dump."
 msgstr "Kdov strnka, ktor m by pouit na -dump vstup"
 
-#: src/config/cmdline.c:790
+#: src/config/cmdline.c:805
 msgid "Width of document formatted with -dump"
 msgstr "rka dokumenty formtovanho pomocou -dump"
 
-#: src/config/cmdline.c:792
+#: src/config/cmdline.c:807
 msgid "Width of the dump output."
 msgstr "rka dump vstupu."
 
-#: src/config/cmdline.c:794
+#: src/config/cmdline.c:809
 #, fuzzy
 msgid "Evaluate configuration file directive"
 msgstr "Vyhodnoti dan konfiguran vobu"
 
-#: src/config/cmdline.c:796
+#: src/config/cmdline.c:811
 #, fuzzy
 msgid ""
-"Specify configuration file directives on the command-line\n"
-"which will be evaluated after all configuration files has been\n"
-"read. Example usage:\n"
+"Specify configuration file directives on the command-line which will be "
+"evaluated after all configuration files has been read. Example usage:\n"
 "\t-eval 'set protocol.file.allow_special_files = 1'"
 msgstr ""
 "Voba umouje poui vobu z elinks.conf v prkazovom riadku:\n"
 "  -eval 'set protocol.file.allow_special_files = 1'"
 
 #. lynx compatibility
-#: src/config/cmdline.c:802
+#: src/config/cmdline.c:817
 #, fuzzy
 msgid "Interpret documents of unknown types as HTML"
 msgstr "tandardn MIME typ, ktor predpoklada pri neznmych dokumentoch."
 
-#: src/config/cmdline.c:804
+#: src/config/cmdline.c:819
 #, fuzzy
 msgid ""
-"Makes ELinks assume documents of unknown types are HTML.\n"
-"Useful when using ELinks as an external viewer from MUAs.\n"
-"This is equivalent to -default-mime-type text/html."
+"Makes ELinks assume documents of unknown types are HTML. Useful when using "
+"ELinks as an external viewer from MUAs. This is equivalent to -default-mime-"
+"type text/html."
 msgstr ""
 "Voba printi ELinks predpoklada, e sbory, ktor vid s v HTML.Je to "
 "ekvivalentn vobe -default-mime-type text/html ."
 
-#: src/config/cmdline.c:814
+#: src/config/cmdline.c:829
 msgid "Print usage help and exit"
 msgstr "Zobrazi npovedu a skoni"
 
-#: src/config/cmdline.c:816
+#: src/config/cmdline.c:831
 msgid "Print usage help and exit."
 msgstr "Zobrazi npovedu a skoni."
 
-#: src/config/cmdline.c:818
+#: src/config/cmdline.c:833
 msgid "Only permit local connections"
 msgstr ""
 
-#: src/config/cmdline.c:820
+#: src/config/cmdline.c:835
 msgid ""
-"Restricts ELinks to work offline and only connect to servers\n"
-"with local addresses (ie. 127.0.0.1). No connections to remote\n"
-"servers will be permitted."
+"Restricts ELinks to work offline and only connect to servers with local "
+"addresses (ie. 127.0.0.1). No connections to remote servers will be "
+"permitted."
 msgstr ""
 
-#: src/config/cmdline.c:824
+#: src/config/cmdline.c:839
 msgid "Print detailed usage help and exit"
 msgstr "Zobrazi detailn npovedu a skoni"
 
-#: src/config/cmdline.c:826
+#: src/config/cmdline.c:841
 msgid "Print detailed usage help and exit."
 msgstr "Zobrazi detailn npovedu a skoni."
 
-#: src/config/cmdline.c:828
+#: src/config/cmdline.c:843
 msgid "Look up specified host"
 msgstr "Vyhada zadanho hostitea"
 
-#: src/config/cmdline.c:830
+#: src/config/cmdline.c:845
 msgid "Look up specified host and print all DNS resolved IP addresses."
 msgstr ""
 
-#: src/config/cmdline.c:832
+#: src/config/cmdline.c:848
 msgid "Run as separate instance"
 msgstr "Spustenie oddelenej intancie programu"
 
-#: src/config/cmdline.c:834
+#: src/config/cmdline.c:850
 #, fuzzy
 msgid ""
-"Run ELinks as a separate instance instead of connecting to an\n"
-"existing instance. Note that normally no runtime state files\n"
-"(bookmarks, history, etc.) are written to the disk when this\n"
-"option is used. See also -touch-files."
+"Run ELinks as a separate instance instead of connecting to an existing "
+"instance. Note that normally no runtime state files (bookmarks, history, "
+"etc.) are written to the disk when this option is used. See also -touch-"
+"files."
 msgstr ""
 "Spusti ELinks ako oddelen intanciu namiesto toho, aby sa sksil\n"
 "pripoji k existujcej. V tomto prpade sa normlne nebud zapisova\n"
 "na disk iadne konfiguran sbory (ani zloky, histria a pod.)\n"
 "Vi tie parameter -touch-files."
 
-#: src/config/cmdline.c:839
+#: src/config/cmdline.c:855
 #, fuzzy
 msgid "Disable use of files in ~/.elinks"
 msgstr "Nepouva sbory v ~/.elinks"
 
-#: src/config/cmdline.c:841
+#: src/config/cmdline.c:857
 msgid ""
-"Disables creation and use of files in the user specific home\n"
-"configuration directory (~/.elinks). It forces default configuration\n"
-"values to be used and disables saving of runtime state files."
+"Disables creation and use of files in the user specific home configuration "
+"directory (~/.elinks). It forces default configuration values to be used and "
+"disables saving of runtime state files."
 msgstr ""
 
-#: src/config/cmdline.c:845
+#: src/config/cmdline.c:862
 #, fuzzy
 msgid "Disable link numbering in dump output"
 msgstr "Neslova odkazy v dump vstupe."
 
-#: src/config/cmdline.c:847
+#: src/config/cmdline.c:864
 #, fuzzy
 msgid ""
 "Prevents printing of link number in dump output.\n"
+"\n"
 "Note that this really affects only -dump, nothing else."
 msgstr ""
 "Zabrni slovaniu odkazov (a zobrazovanie ich zoznamu na konci dokumentu)\n"
@@ -1644,16 +1654,16 @@ msgstr ""
 "ale\n"
 "e sa to tka iba parametra --dump a nioho inho."
 
-#: src/config/cmdline.c:850
+#: src/config/cmdline.c:868
 #, fuzzy
 msgid "Disable printing of link references in dump output"
 msgstr "Neslova odkazy v dump vstupe."
 
-#: src/config/cmdline.c:852
+#: src/config/cmdline.c:870
 #, fuzzy
 msgid ""
-"Prevents printing of references (URIs) of document links\n"
-"in dump output.\n"
+"Prevents printing of references (URIs) of document links in dump output.\n"
+"\n"
 "Note that this really affects only -dump, nothing else."
 msgstr ""
 "Zabrni slovaniu odkazov (a zobrazovanie ich zoznamu na konci dokumentu)\n"
@@ -1661,18 +1671,18 @@ msgstr ""
 "ale\n"
 "e sa to tka iba parametra --dump a nioho inho."
 
-#: src/config/cmdline.c:856
+#: src/config/cmdline.c:875
 msgid "Control an already running ELinks"
 msgstr ""
 
-#: src/config/cmdline.c:858
+#: src/config/cmdline.c:877
 msgid ""
-"Control a remote ELinks instance by passing commands to it.\n"
-"The option takes an additional argument containing the method\n"
-"which should be invoked and any parameters that should be passed\n"
-"to it. For ease of use, the additional method argument can be\n"
-"omitted in which case any URL arguments will be opened in new\n"
-"tabs in the remote instance.\n"
+"Control a remote ELinks instance by passing commands to it. The option takes "
+"an additional argument containing the method which should be invoked and any "
+"parameters that should be passed to it. For ease of use, the additional "
+"method argument can be omitted in which case any URL arguments will be "
+"opened in new tabs in the remote instance.\n"
+"\n"
 "Following is a list of the supported methods:\n"
 "\tping()                    : look for a remote instance\n"
 "\topenURL()                 : prompt URL in current tab\n"
@@ -1684,77 +1694,76 @@ msgid ""
 "\txfeDoCommand(openBrowser) : open new window"
 msgstr ""
 
-#: src/config/cmdline.c:874
+#: src/config/cmdline.c:895
 msgid "Connect to session ring with given ID"
 msgstr "Pripoji sa do skupiny seden s danm ID"
 
-#: src/config/cmdline.c:876
+#: src/config/cmdline.c:897
 msgid ""
-"ID of session ring this ELinks session should connect to. ELinks\n"
-"works in so-called session rings, whereby all instances of ELinks\n"
-"are interconnected and share state (cache, bookmarks, cookies,\n"
-"and so on). By default, all ELinks instances connect to session\n"
-"ring 0. You can change that behaviour with this switch and form as\n"
-"many session rings as you want. Obviously, if the session-ring with\n"
-"this number doesn't exist yet, it's created and this ELinks instance\n"
-"will become the master instance (that usually doesn't matter for you\n"
-"as a user much). Note that you usually don't want to use this unless\n"
-"you're a developer and you want to do some testing - if you want the\n"
-"ELinks instances each running standalone, rather use the -no-connect\n"
-"command-line option. Also note that normally no runtime state files\n"
-"are written to the disk when this option is used. See also\n"
-"-touch-files."
+"ID of session ring this ELinks session should connect to. ELinks works in so-"
+"called session rings, whereby all instances of ELinks are interconnected and "
+"share state (cache, bookmarks, cookies, and so on). By default, all ELinks "
+"instances connect to session ring 0. You can change that behaviour with this "
+"switch and form as many session rings as you want. Obviously, if the session-"
+"ring with this number doesn't exist yet, it's created and this ELinks "
+"instance will become the master instance (that usually doesn't matter for "
+"you as a user much).\n"
+"\n"
+"Note that you usually don't want to use this unless you're a developer and "
+"you want to do some testing - if you want the ELinks instances each running "
+"standalone, rather use the -no-connect command-line option. Also note that "
+"normally no runtime state files are written to the disk when this option is "
+"used. See also -touch-files."
 msgstr ""
 
-#: src/config/cmdline.c:891
+#: src/config/cmdline.c:915
 #, fuzzy
 msgid "Print the source of given URLs to stdout"
 msgstr "Vypsa dan URL v zdrojovej podobe na tandardn vstup"
 
-#: src/config/cmdline.c:893
+#: src/config/cmdline.c:917
 #, fuzzy
 msgid "Print given URLs in source form to stdout."
 msgstr "Vypsa dan HTML dokument v zdrojovej podobe na tandardn vstup."
 
-#: src/config/cmdline.c:897
+#: src/config/cmdline.c:921
 msgid "Touch files in ~/.elinks when running with -no-connect/-session-ring"
 msgstr ""
 "Pouva sbory v ~/.elinks aj pri spusten s -no-connect/-session-ring"
 
-#: src/config/cmdline.c:899
+#: src/config/cmdline.c:923
 #, fuzzy
 msgid ""
-"When enabled, runtime state files (bookmarks, history, etc.) are\n"
-"written to disk, even when -no-connect or -session-ring is used.\n"
-"The option has no effect if not used in conjunction with any of\n"
-"these options."
+"When enabled, runtime state files (bookmarks, history, etc.) are written to "
+"disk, even when -no-connect or -session-ring is used. The option has no "
+"effect if not used in conjunction with any of these options."
 msgstr ""
 "Ak nastaven na 1, stavov sbory (zloky, histria, ...) bud ukladan\n"
 "na disk aj v prpade, e bol pouit parameter -no-connect alebo\n"
 "-session-ring; inak nem tento parameter iadny vznam,"
 
-#: src/config/cmdline.c:904
+#: src/config/cmdline.c:928
 msgid "Verbose level"
 msgstr ""
 
-#: src/config/cmdline.c:906
+#: src/config/cmdline.c:930
 msgid ""
-"The verbose level controls what messages are shown at\n"
-"start up and while running:\n"
+"The verbose level controls what messages are shown at start up and while "
+"running:\n"
 "\t0 means only show serious errors\n"
 "\t1 means show serious errors and warnings\n"
 "\t2 means show all messages"
 msgstr ""
 
-#: src/config/cmdline.c:912
+#: src/config/cmdline.c:936
 msgid "Print version information and exit"
 msgstr "Vypsa informciu o verzii a skoni"
 
-#: src/config/cmdline.c:914
+#: src/config/cmdline.c:938
 msgid "Print ELinks version information and exit."
 msgstr "Vypsa informciu o verzii ELinksu a skoni"
 
-#: src/config/conf.c:938
+#: src/config/conf.c:963
 msgid ""
 "## This is ELinks configuration file. You can edit it manually,\n"
 "## if you wish so; this file is edited by ELinks when you save\n"
@@ -1767,7 +1776,7 @@ msgstr ""
 "## volieb a vetko vae formtovanie, vlastn komentre a pod. zostane\n"
 "## tak ako je.\n"
 
-#: src/config/conf.c:946
+#: src/config/conf.c:971
 msgid ""
 "## This is ELinks configuration file. You can edit it manually,\n"
 "## if you wish so; this file is edited by ELinks when you save\n"
@@ -1785,7 +1794,7 @@ msgstr ""
 "## Vetko vae formtovanie, vlastn komentre a pod. zostane zachovan.\n"
 "## \n"
 
-#: src/config/conf.c:956
+#: src/config/conf.c:981
 msgid ""
 "## This is ELinks configuration file. You can edit it manually,\n"
 "## if you wish so, but keep in mind that this file is overwritten\n"
@@ -1797,7 +1806,7 @@ msgstr ""
 "## zakadm ke ulote nsatavenia cez uvatesk rozhranie. A s vam\n"
 "## formtovanm a poznmkami je amen.\n"
 
-#: src/config/conf.c:967
+#: src/config/conf.c:992
 msgid ""
 "## Obviously, if you don't like what ELinks is going to do with\n"
 "## this file, you can change it by altering the config.saving_style\n"
@@ -1807,11 +1816,11 @@ msgstr ""
 "## mete to ovplyvni zmenou voby config.saving_style. Nie sme a\n"
 "## tak zl, nie? ;-)\n"
 
-#: src/config/conf.c:980
+#: src/config/conf.c:1005
 msgid "Automatically saved options\n"
 msgstr "Automaticky uloen nastavenie\n"
 
-#: src/config/conf.c:992
+#: src/config/conf.c:1017
 msgid "Automatically saved keybindings\n"
 msgstr "Automaticky uloen klvesov skratky\n"
 
@@ -1874,7 +1883,7 @@ msgstr "(rozbali stlaenm medzery)"
 #. * switch charsets.  So, it will work in any terminal that
 #. * understands UTF-8 and has the characters in its font.
 #: src/config/dialogs.c:149 src/config/dialogs.c:330
-#: src/config/options.inc:840
+#: src/config/options.inc:887
 msgid "Type"
 msgstr "Typ"
 
@@ -1899,9 +1908,9 @@ msgid "Description"
 msgstr "Popis"
 
 #: src/config/dialogs.c:291 src/protocol/bittorrent/dialogs.c:600
-#: src/protocol/protocol.c:240 src/session/session.c:287
-#: src/session/session.c:975 src/viewer/text/textarea.c:594
-#: src/viewer/text/textarea.c:601
+#: src/protocol/protocol.c:240 src/session/session.c:288
+#: src/session/session.c:999 src/viewer/text/textarea.c:583
+#: src/viewer/text/textarea.c:590
 msgid "Error"
 msgstr "Chyba"
 
@@ -1938,7 +1947,7 @@ msgstr "Do tejto zloky nemem prida n
 #. accelerator_context(src/config/dialogs.c:keybinding_buttons, src/config/dialogs.c:option_buttons, src/cookies/dialogs.c:cookie_buttons, src/formhist/dialogs.c:formhist_buttons, src/protocol/bittorrent/dialogs.c:bittorrent_query_callback, src/session/download.c:do_type_query, terminal_options)
 #: src/config/dialogs.c:507 src/config/dialogs.c:933 src/cookies/dialogs.c:495
 #: src/dialogs/options.c:236 src/formhist/dialogs.c:214
-#: src/protocol/bittorrent/dialogs.c:801 src/session/download.c:1203
+#: src/protocol/bittorrent/dialogs.c:801 src/session/download.c:1229
 #, fuzzy
 msgid "Sa~ve"
 msgstr "Uloi"
@@ -1951,7 +1960,7 @@ msgstr "Sprvca nastavenia"
 msgid "Keystroke"
 msgstr "Kombincia klves"
 
-#: src/config/dialogs.c:676 src/config/options.inc:1219
+#: src/config/dialogs.c:676 src/config/options.inc:1292
 msgid "Action"
 msgstr "Akcia"
 
@@ -2029,31 +2038,31 @@ msgid ""
 "directory."
 msgstr ""
 
-#: src/config/kbdbind.c:221
+#: src/config/kbdbind.c:222
 msgid "Main mapping"
 msgstr "Hlavn mapovanie"
 
-#: src/config/kbdbind.c:222
+#: src/config/kbdbind.c:223
 msgid "Edit mapping"
 msgstr "Editova mapovanie"
 
-#: src/config/kbdbind.c:223
+#: src/config/kbdbind.c:224
 msgid "Menu mapping"
 msgstr ""
 
-#: src/config/kbdbind.c:588 src/scripting/python/keybinding.c:104
+#: src/config/kbdbind.c:589 src/scripting/python/keybinding.c:104
 msgid "Unrecognised keymap"
 msgstr "Neznma klvesov mapa"
 
-#: src/config/kbdbind.c:591
+#: src/config/kbdbind.c:592
 msgid "Error parsing keystroke"
 msgstr "Chyba pri tan kombincie klves"
 
-#: src/config/kbdbind.c:595
+#: src/config/kbdbind.c:596
 msgid "Unrecognised action (internal error)"
 msgstr "Nerozoznan akcia (vntorn chyba)"
 
-#: src/config/kbdbind.c:611
+#: src/config/kbdbind.c:612
 #, fuzzy
 msgid "Error registering event"
 msgstr "Chyba pri zapisovan do socketu"
@@ -2085,33 +2094,34 @@ msgstr ""
 "2 = uklada iba popis voby\n"
 "3 = uklada vetky komentre"
 
-#: src/config/options.inc:31
+#: src/config/options.inc:32
 msgid "Indentation"
 msgstr "Odsadenie"
 
-#: src/config/options.inc:33
+#: src/config/options.inc:34
+#, fuzzy
 msgid ""
-"Shift width of one indentation level in the configuration\n"
-"file. Zero means that no indentation is performed at all\n"
-"when saving the configuration."
+"Shift width of one indentation level in the configuration file. Zero means "
+"that no indentation is performed at all when saving the configuration."
 msgstr ""
 "Poet medzier na jednu rove odsadenia v konfiguranom sbore.\n"
 "Nula znamen neodsadzova vbec."
 
-#: src/config/options.inc:37
+#: src/config/options.inc:38
 msgid "Saving style"
 msgstr "Spsob ukladania"
 
-#: src/config/options.inc:39
+#: src/config/options.inc:40
+#, fuzzy
 msgid ""
 "Determines what happens when you tell ELinks to save options:\n"
 "0 is only values of current options are altered\n"
-"1 is values of current options are altered and missing options\n"
-"     are added at the end of the file\n"
+"1 is values of current options are altered and missing\n"
+"     options are added at the end of the file\n"
 "2 is the configuration file is rewritten from scratch\n"
-"3 is values of current options are altered and missing options\n"
-"     CHANGED during this ELinks session are added at the end of\n"
-"     the file"
+"3 is values of current options are altered and missing\n"
+"     options CHANGED during this ELinks session are added at\n"
+"     the end of the file"
 msgstr ""
 "Uruje o sa stane ke poviete ELinksu aby uloil vae nastavenie:\n"
 "0 povol iba zmenu existujcich volieb\n"
@@ -2121,17 +2131,17 @@ msgstr ""
 "3 povol iba zmenu existujcich volieb a pridanie volieb zmenench od\n"
 "     spustenia ELinku na koniec sboru"
 
-#: src/config/options.inc:48
+#: src/config/options.inc:50
 msgid "Comments localization"
 msgstr "Preloen komentre"
 
-#: src/config/options.inc:50
+#: src/config/options.inc:52
+#, fuzzy
 msgid ""
-"If set to 1, comments in the configuration file will be\n"
-"translated to the language used by UI. Note that if you have\n"
-"different language set in different terminals, the language\n"
-"used in the configuration file MAY be the same as on the\n"
-"terminal where you saved the file, but it should be generally\n"
+"If set to 1, comments in the configuration file will be translated to the "
+"language used by UI. Note that if you have different language set in "
+"different terminals, the language used in the configuration file MAY be the "
+"same as on the terminal where you saved the file, but it should be generally "
 "considered unpredictable."
 msgstr ""
 "Ak nastaven na 1, bud komentre v konfiguranom sbore preloen\n"
@@ -2140,190 +2150,190 @@ msgstr ""
 "konfiguranom sbore MԮE by rovnak ako na terminli, kde ste\n"
 "uloili sbor, ale vo veobecnosti je vsledok nepredvdaten."
 
-#: src/config/options.inc:58
+#: src/config/options.inc:60
 msgid "Saving style warnings"
 msgstr "Varovanie o spsobe ukladania"
 
-#: src/config/options.inc:60
+#: src/config/options.inc:62
+#, fuzzy
 msgid ""
-"This is internal option used when displaying a warning about\n"
-"obsolete config.saving_style. You shouldn't touch it."
+"This is internal option used when displaying a warning about obsolete config."
+"saving_style. You shouldn't touch it."
 msgstr ""
 "Toto je intern poloka pouvan pri zobrazovan varovania o nevhodnej\n"
 "hodnote config.saving_style zdedenej zo starch verzi ELinks. Ruky pre."
 
-#: src/config/options.inc:63
+#: src/config/options.inc:66
 msgid "Show template"
 msgstr "Zobrazova ablny"
 
-#: src/config/options.inc:65
+#: src/config/options.inc:68
 #, fuzzy
 msgid ""
-"Show template options in autocreated trees in the options\n"
-"manager and save them to the configuration file."
+"Show template options in autocreated trees in the options manager and save "
+"them to the configuration file."
 msgstr ""
 "Uruje, i zobrazova v sprvcovi nastavenia voby s nzvom _template_\n"
 "(ablny) a uklada ich do konfiguranho sboru."
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:71 src/dialogs/info.c:180
+#: src/config/options.inc:74 src/dialogs/info.c:180
 msgid "Connections"
 msgstr "Spojenia"
 
-#: src/config/options.inc:73
+#: src/config/options.inc:76
 msgid "Connection options."
 msgstr "Nastavenie spojenia."
 
-#: src/config/options.inc:76
+#: src/config/options.inc:79
 msgid "Asynchronous DNS"
 msgstr "Asynchrnne DNS"
 
-#: src/config/options.inc:78
+#: src/config/options.inc:81
 #, fuzzy
 msgid "Whether to use asynchronous DNS resolving."
 msgstr "Poui asynchrnny DNS resolver?"
 
-#: src/config/options.inc:80
+#: src/config/options.inc:83
 msgid "Maximum connections"
 msgstr "Maximum spojen"
 
-#: src/config/options.inc:82
+#: src/config/options.inc:85
 msgid "Maximum number of concurrent connections."
 msgstr "Maximlny poet sasnch spojen."
 
-#: src/config/options.inc:84
+#: src/config/options.inc:87
 msgid "Maximum connections per host"
 msgstr "Maximlny poet spojen na jeden server"
 
-#: src/config/options.inc:86
+#: src/config/options.inc:89
 msgid "Maximum number of concurrent connections to a given host."
 msgstr "Maximlny poet paralelnch spojen na jeden server."
 
-#: src/config/options.inc:88
+#: src/config/options.inc:92
 msgid "Connection retries"
 msgstr "Opakovanie spojenia"
 
-#: src/config/options.inc:90
-msgid ""
-"Number of tries to establish a connection.\n"
-"Zero means try forever."
+#: src/config/options.inc:94
+#, fuzzy
+msgid "Number of tries to establish a connection. Zero means try forever."
 msgstr ""
 "Poet pokusov na vytvorenie spojenia.\n"
 "Nula znamen neobmedzen poet."
 
-#: src/config/options.inc:93 src/network/state.c:53
+#: src/config/options.inc:97 src/network/state.c:53
 msgid "Receive timeout"
 msgstr "as vypral"
 
-#: src/config/options.inc:95
+#: src/config/options.inc:99
 msgid "Receive timeout (in seconds)."
 msgstr "as vypral (v sekundch)"
 
-#: src/config/options.inc:98 src/config/options.inc:108
+#: src/config/options.inc:102 src/config/options.inc:113
 msgid "Try IPv4 when connecting"
 msgstr ""
 
-#: src/config/options.inc:100
+#: src/config/options.inc:104
 msgid ""
-"Whether to try to connect to a host over IPv4.\n"
-"Note that if connection.try_ipv6 is enabled too,\n"
-"it takes precedence. And better do not touch this\n"
+"Whether to try to connect to a host over IPv4. Note that if connection."
+"try_ipv6 is enabled too, it takes precedence. And better do not touch this "
 "at all unless you are sure what are you doing.\n"
-"Note that you can also force a given protocol\n"
-"to be used on a per-connection basis by using a URL\n"
-"in the style of e.g. http4://elinks.cz/."
+"\n"
+"Note that you can also force a given protocol to be used on a per-connection "
+"basis by using a URL in the style of e.g. http4://elinks.cz/."
 msgstr ""
 
-#: src/config/options.inc:110
+#: src/config/options.inc:115
 msgid ""
-"Whether to try to connect to a host over IPv4.\n"
-"Do not touch this option.\n"
-"Note that you can also force a given protocol\n"
-"to be used on a per-connection basis by using a URL\n"
-"in the style of e.g. http4://elinks.cz/."
+"Whether to try to connect to a host over IPv4. Do not touch this option.\n"
+"\n"
+"Note that you can also force a given protocol to be used on a per-connection "
+"basis by using a URL in the style of e.g. http4://elinks.cz/."
 msgstr ""
 
-#: src/config/options.inc:118
+#: src/config/options.inc:124
 msgid "Try IPv6 when connecting"
 msgstr ""
 
-#: src/config/options.inc:120
+#: src/config/options.inc:126
 msgid ""
 "Whether to try to connect to a host over IPv6.\n"
-"Note that you can also force a given protocol\n"
-"to be used on a per-connection basis by using a URL\n"
-"in the style of e.g. http6://elinks.cz/."
+"\n"
+"Note that you can also force a given protocol to be used on a per-connection "
+"basis by using a URL in the style of e.g. http6://elinks.cz/."
 msgstr ""
 
-#: src/config/options.inc:126
+#: src/config/options.inc:133
 msgid "Timeout for non-restartable connections"
 msgstr "asov limit pre neobnoviten spojenia"
 
-#: src/config/options.inc:128
+#: src/config/options.inc:135
 msgid "Timeout for non-restartable connections (in seconds)."
 msgstr "asov limit pre vypranie neobnovitench spojen (v sekundch)."
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:134
+#: src/config/options.inc:141
 msgid "Document"
 msgstr "Dokument"
 
-#: src/config/options.inc:136
+#: src/config/options.inc:143
 msgid "Document options."
 msgstr "Nastavenie dokumentu."
 
-#: src/config/options.inc:138
+#: src/config/options.inc:145
 msgid "Browsing"
 msgstr "Prezeranie"
 
-#: src/config/options.inc:140
+#: src/config/options.inc:147
 msgid "Document browsing options (mainly interactivity)."
 msgstr "Nastavenie prezerania dokumentu (najm interaktivita)."
 
-#: src/config/options.inc:143
+#: src/config/options.inc:150
 #, fuzzy
 msgid "Access keys"
 msgstr "Prstupov klvesy"
 
-#: src/config/options.inc:145
+#: src/config/options.inc:152
 msgid ""
-"Options for handling of link access keys.\n"
-"An HTML document can use the ACCESSKEY attribute to assign\n"
-"an access key to an element. When an access key is pressed,\n"
-"the corresponding element will be given focus."
+"Options for handling of link access keys. An HTML document can use the "
+"ACCESSKEY attribute to assign an access key to an element. When an access "
+"key is pressed, the corresponding element will be given focus."
 msgstr ""
 
-#: src/config/options.inc:150
+#: src/config/options.inc:157
 msgid "Automatic links following"
 msgstr "Automatick nasledovanie odkazov"
 
-#: src/config/options.inc:152
+#: src/config/options.inc:159
+#, fuzzy
 msgid ""
-"Automatically follow a link or submit a form if appropriate\n"
-"accesskey is pressed - this is the standard behaviour, but it's\n"
-"considered dangerous."
+"Automatically follow a link or submit a form if appropriate accesskey is "
+"pressed - this is the standard behaviour, but it's considered dangerous."
 msgstr ""
 "Automaticky nasleduj odkaz alebo odoli formulr ak bola stlaen\n"
 "prslun prstupov klvesa - toto je tandardn chovanie, ale je\n"
 "povaovan za zneuiten autorom dokumentu."
 
-#: src/config/options.inc:156
+#: src/config/options.inc:163
 msgid "Display access key in link info"
 msgstr ""
 
-#: src/config/options.inc:158
+#: src/config/options.inc:165
 msgid "Display access key in link info."
 msgstr ""
 
-#: src/config/options.inc:160
+#: src/config/options.inc:167
 msgid "Accesskey priority"
 msgstr "Priorita prstupovch klves"
 
-#: src/config/options.inc:162
+#: src/config/options.inc:169
+#, fuzzy
 msgid ""
 "Priority of 'accesskey' HTML attribute:\n"
-"0 is first try all normal bindings; if it fails, check accesskey\n"
-"1 is first try only frame bindings; if it fails, check accesskey\n"
+"0 is first try all normal bindings; if it fails,\n"
+"     check accesskey\n"
+"1 is first try only frame bindings; if it fails,\n"
+"     check accesskey\n"
 "2 is first check accesskey (this can be dangerous)"
 msgstr ""
 "Priorita HTML atribtu 'accesskey':\n"
@@ -2333,101 +2343,103 @@ msgstr ""
 "    nie su iadne definovan, sksi accesskey\n"
 "2 = najskr sksi accesskey (to me by nebezpen)"
 
-#: src/config/options.inc:168
+#: src/config/options.inc:177
 msgid "Forms"
 msgstr "Formulre"
 
-#: src/config/options.inc:170
+#: src/config/options.inc:179
 msgid "Options for handling of the forms interaction."
 msgstr "Nastavenia pre obsluhu formulrov."
 
-#: src/config/options.inc:172
+#: src/config/options.inc:181
 msgid "Submit form automatically"
 msgstr "Automatick posielanie formulru"
 
-#: src/config/options.inc:174
+#: src/config/options.inc:183
+#, fuzzy
 msgid ""
-"Automagically submit a form when enter is pressed with a text\n"
-"field selected."
+"Automagically submit a form when enter is pressed with a text field selected."
 msgstr "Automagicky odoli formulr ak je stlaen Enter na textovom polku."
 
-#: src/config/options.inc:177
+#: src/config/options.inc:186
 msgid "Confirm submission"
 msgstr "Potvrdzova odosielanie"
 
-#: src/config/options.inc:179
+#: src/config/options.inc:188
 msgid "Ask for confirmation when submitting a form."
 msgstr "Pta potvrdenie pri posielan formulra."
 
-#: src/config/options.inc:181
+#: src/config/options.inc:190
 msgid "Default form input size"
 msgstr "tandardn vekos vstupnho polka formulra"
 
-#: src/config/options.inc:183
+#: src/config/options.inc:192
 msgid "Default form input size if none is specified."
 msgstr "tandardn vekos textovho polka formulru."
 
-#: src/config/options.inc:185
+#: src/config/options.inc:194
 msgid "Insert mode"
 msgstr ""
 
-#: src/config/options.inc:187
+#: src/config/options.inc:196
 msgid ""
-"The setting for this option affects how key presses are handled\n"
-"when one selects a text-input form-field. When enabled, one must\n"
-"explicitly 'enter' a selected text-field to edit it; this prevents\n"
-"text fields from capturing key presses, such as presses of a scroll\n"
-"key, when it is inadvertently selected. When disabled, key presses\n"
-"are always inserted into a selected text field."
+"The setting for this option affects how key presses are handled when one "
+"selects a text-input form-field. When enabled, one must explicitly 'enter' a "
+"selected text-field to edit it; this prevents text fields from capturing key "
+"presses, such as presses of a scroll key, when it is inadvertently selected. "
+"When disabled, key presses are always inserted into a selected text field."
 msgstr ""
 
-#: src/config/options.inc:194
+#: src/config/options.inc:204
 #, fuzzy
 msgid "External editor"
 msgstr "Vntorn chyba"
 
-#: src/config/options.inc:196
+#: src/config/options.inc:206
 msgid ""
-"Path to the executable that ELinks should launch when the user\n"
-"requests to edit a textarea with an external editor.\n"
-"If this is blank, ELinks will use the value of the environmental\n"
-"variable $EDITOR. If $EDITOR is empty or not set, ELinks will then\n"
-"default to \"vi\"."
+"Path to the executable that ELinks should launch when the user requests to "
+"edit a textarea with an external editor.\n"
+"\n"
+"If this is blank, ELinks will use the value of the environmental variable "
+"$EDITOR. If $EDITOR is empty or not set, ELinks will then default to \"vi\"."
 msgstr ""
 
-#: src/config/options.inc:203
+#: src/config/options.inc:214
 msgid "Images"
 msgstr "Obrzky"
 
-#: src/config/options.inc:205
+#: src/config/options.inc:216
 msgid "Options for handling of images."
 msgstr "Nastavenia pre narbanie s obrzkami."
 
-#: src/config/options.inc:207
+#: src/config/options.inc:218
 #, fuzzy
 msgid "Display style for image tags"
 msgstr "Spsob zobrazovania odkazov na obrzky"
 
-#: src/config/options.inc:209
+#: src/config/options.inc:220
 msgid ""
 "Display style for image tags when displayed:\n"
 "0     means always display IMG\n"
 "1     means always display filename\n"
-"2     means display alt/title attribute if possible, IMG if not\n"
-"3     means display alt/title attribute if possible, filename if not"
+"2     means display alt/title attribute if possible,\n"
+"      IMG if not\n"
+"3     means display alt/title attribute if possible,\n"
+"      filename if not"
 msgstr ""
 
-#: src/config/options.inc:215
+#: src/config/options.inc:228
 msgid "Maximum length for image filename"
 msgstr ""
 
-#: src/config/options.inc:217
+#: src/config/options.inc:230
 #, fuzzy
 msgid ""
 "Maximum length of image filename when displayed:\n"
 "0     means always display full filename\n"
 "1-500 means display filename with this maximal length;\n"
-"      if it is longer, the middle is substituted by an asterisk"
+"      if it is longer, the middle is substituted by\n"
+"      an asterisk"
 msgstr ""
 "Zobrazova [cieov meno sboru] namiesto [IMG] ako popisku obrzkov:\n"
 "-1    znamen vdy ukazova iba [IMG]\n"
@@ -2435,11 +2447,11 @@ msgstr ""
 "1-500 znamen ukazova cieov meno sboru s touto maximlnou dkou;\n"
 "      ak je via, prostriedok je nahraden hviezdikou"
 
-#: src/config/options.inc:227
+#: src/config/options.inc:241
 msgid "Image links tagging"
 msgstr "Znakovanie odkazov na obrzky"
 
-#: src/config/options.inc:229
+#: src/config/options.inc:243
 msgid ""
 "When to enclose image links:\n"
 "0 means never\n"
@@ -2451,33 +2463,34 @@ msgstr ""
 "1 = iba ke obrzku chba popiska (alt) alebo titulok\n"
 "2 = vdy"
 
-#: src/config/options.inc:234
+#: src/config/options.inc:248
 msgid "Image link prefix"
 msgstr "Prefix odkazu na obrzok"
 
-#: src/config/options.inc:236
+#: src/config/options.inc:250
 msgid "Prefix string to use to mark image links."
 msgstr "Reazec, ktor sa m vloi pred odkaz na obrzok."
 
-#: src/config/options.inc:238
+#: src/config/options.inc:252
 msgid "Image link suffix"
 msgstr "Suffix odkazu na obrzok"
 
-#: src/config/options.inc:240
+#: src/config/options.inc:254
 msgid "Suffix string to use to mark image links."
 msgstr "Reazec, ktor sa m vloi za odkaz na obrzok."
 
-#: src/config/options.inc:242
+#: src/config/options.inc:256
 msgid "Maximum length for image label"
 msgstr ""
 
-#: src/config/options.inc:244
+#: src/config/options.inc:258
 #, fuzzy
 msgid ""
 "Maximum length of image label (alt/title):\n"
 "0     means always display full label\n"
 "1-500 means display label with this maximal length;\n"
-"      if it is longer, the middle is substituted by an asterisk"
+"      if it is longer, the middle is substituted by\n"
+"      an asterisk"
 msgstr ""
 "Zobrazova [cieov meno sboru] namiesto [IMG] ako popisku obrzkov:\n"
 "-1    znamen vdy ukazova iba [IMG]\n"
@@ -2485,64 +2498,65 @@ msgstr ""
 "1-500 znamen ukazova cieov meno sboru s touto maximlnou dkou;\n"
 "      ak je via, prostriedok je nahraden hviezdikou"
 
-#: src/config/options.inc:249
+#: src/config/options.inc:264
 msgid "Display links to images w/o alt"
 msgstr "Zobrazova odkazy na obrzky bez alt"
 
-#: src/config/options.inc:251
+#: src/config/options.inc:266
+#, fuzzy
 msgid ""
-"Display links to images without an alt attribute. If this option\n"
-"is off, these images are completely invisible."
+"Display links to images without an alt attribute. If this option is off, "
+"these images are completely invisible."
 msgstr ""
 "Zobrazova odkazy na obrzky bez popisky (atribtu 'alt'). Ak je\n"
 "tto voba vypnut, tak obrzky s plne neviditen."
 
-#: src/config/options.inc:254
+#: src/config/options.inc:269
 msgid "Display links to images"
 msgstr "Zobrazova odkazy na obrzky"
 
-#: src/config/options.inc:256
+#: src/config/options.inc:271
+#, fuzzy
 msgid ""
-"Display links to any images in the document, regardless of them\n"
-"having an alt attribute or not. If this option is off, the alt\n"
-"attribute contents is shown, but as normal text, not selectable\n"
-"as a link."
+"Display links to any images in the document, regardless of them having an "
+"alt attribute or not. If this option is off, the alt attribute contents is "
+"shown, but as normal text, not selectable as a link."
 msgstr ""
 "Zobrazova odkazy na akkovek obrzky v dokumente, i u maj popisku\n"
 "(atribt alt) alebo nie. Ak je tto voba vypnut, je zobrazn obsah\n"
 "atribtu alt, ale iba ako normlny text, nie je to odkaz."
 
-#: src/config/options.inc:262
+#: src/config/options.inc:277
 msgid "Links"
 msgstr "Odkazy"
 
-#: src/config/options.inc:264
+#: src/config/options.inc:279
 msgid "Options for handling of links to other documents."
 msgstr "Nastavenia pre zaobchdzanie s odkazmi na in dokumenty."
 
-#: src/config/options.inc:266
+#: src/config/options.inc:281
 msgid "Active link"
 msgstr "Aktvny odkaz"
 
-#: src/config/options.inc:268
+#: src/config/options.inc:283
 msgid "Options for the active link."
 msgstr "Nastavenia aktvneho odkazu."
 
-#: src/config/options.inc:270
+#: src/config/options.inc:285
 msgid "Colors"
 msgstr "Farby"
 
-#: src/config/options.inc:272
+#: src/config/options.inc:287
 msgid "Active link colors."
 msgstr "Farby aktvneho odkazu."
 
-#: src/config/options.inc:274 src/config/options.inc:549
-#: src/config/options.inc:945
+#: src/config/options.inc:289 src/config/options.inc:583
+#: src/config/options.inc:1014
 msgid "Background color"
 msgstr "Farba pozadia"
 
-#: src/config/options.inc:276 src/config/options.inc:551
-#: src/config/options.inc:946
+#: src/config/options.inc:291 src/config/options.inc:585
+#: src/config/options.inc:1015
 msgid "Default background color."
 msgstr "tandardn farba pozadia."
 
@@ -2554,74 +2568,75 @@ msgstr "tandardn farba pozadia."
 #. *	on it.
 #. The colors and mono tree should be similar but with different default
 #. * values of course so always use the macros below.
-#: src/config/options.inc:278 src/config/options.inc:545
-#: src/config/options.inc:943
+#: src/config/options.inc:293 src/config/options.inc:579
+#: src/config/options.inc:1012
 msgid "Text color"
 msgstr "Farba textu"
 
-#: src/config/options.inc:280 src/config/options.inc:547
-#: src/config/options.inc:944
+#: src/config/options.inc:295 src/config/options.inc:581
+#: src/config/options.inc:1013
 msgid "Default text color."
 msgstr "tandardn farba textu."
 
-#: src/config/options.inc:282
+#: src/config/options.inc:297
 msgid "Enable color"
 msgstr "Zapn farby"
 
-#: src/config/options.inc:284
+#: src/config/options.inc:299
+#, fuzzy
 msgid ""
-"Enable use of the active link background and text color\n"
-"settings instead of the link colors from the document."
+"Enable use of the active link background and text color settings instead of "
+"the link colors from the document."
 msgstr ""
 "Zapn pouitie farby textu a pozadia aktvneho odkazu poda\n"
 "nastavenia v prehliadai namiesto poda dokumentu."
 
-#: src/config/options.inc:287
+#: src/config/options.inc:302
 msgid "Bold"
 msgstr "Tun"
 
-#: src/config/options.inc:289
+#: src/config/options.inc:304
 msgid "Make the active link text bold."
 msgstr "Nakresli text aktvneho odkazu tune."
 
-#: src/config/options.inc:291
+#: src/config/options.inc:306
 msgid "Invert colors"
 msgstr "Inverzn farby"
 
-#: src/config/options.inc:293
+#: src/config/options.inc:308
 msgid "Invert the fore- and background color so the link stands out."
 msgstr "Inverzn farba popredia a pozadia, takze odkaz vystupuje z textu."
 
-#: src/config/options.inc:296 src/config/options.inc:908
+#: src/config/options.inc:311 src/config/options.inc:975
 #: src/dialogs/options.c:231
 msgid "Underline"
 msgstr "Podiarknutie"
 
-#: src/config/options.inc:298
+#: src/config/options.inc:313
 msgid "Underline the active link."
 msgstr "Podiarknu aktvny odkaz."
 
-#: src/config/options.inc:301
+#: src/config/options.inc:316
 msgid "Directory highlighting"
 msgstr "Zvrazni odkazy na adresre"
 
-#: src/config/options.inc:303
+#: src/config/options.inc:318
 msgid "Highlight links to directories in FTP and local directory listing."
 msgstr "Zvrazni odkazy na adresra vo vpisoch FTP a loklneho disku."
 
-#: src/config/options.inc:305
+#: src/config/options.inc:321
 msgid "Number links"
 msgstr "slova odkazy"
 
-#: src/config/options.inc:307
+#: src/config/options.inc:323
 msgid "Display numbers next to the links."
 msgstr "Zobrazova sla pri odkazoch."
 
-#: src/config/options.inc:309
+#: src/config/options.inc:325
 msgid "Handling of target=_blank"
 msgstr ""
 
-#: src/config/options.inc:311
+#: src/config/options.inc:327
 msgid ""
 "Define how to handle links having target=_blank set:\n"
 "0 means open link in current tab\n"
@@ -2630,35 +2645,35 @@ msgid ""
 "3 means open link in new window"
 msgstr ""
 
-#: src/config/options.inc:324
+#: src/config/options.inc:340
 msgid "Use tabindex"
 msgstr "Pouva tabindex"
 
-#: src/config/options.inc:326
+#: src/config/options.inc:342
 msgid ""
-"Whether to navigate links using tabindex specified ordering.\n"
-"The TABINDEX attribute in HTML elements specifies the order\n"
-"in which links should receive focus when using the keyboard\n"
-"to navigate the document."
+"Whether to navigate links using tabindex specified ordering. The TABINDEX "
+"attribute in HTML elements specifies the order in which links should receive "
+"focus when using the keyboard to navigate the document."
 msgstr ""
 
-#: src/config/options.inc:331
+#: src/config/options.inc:347
 #, fuzzy
 msgid "Missing fragment reporting"
 msgstr "Rmek menu"
 
-#: src/config/options.inc:333
+#: src/config/options.inc:349
 msgid "Open a message box when document has no tag with given id."
 msgstr ""
 
-#: src/config/options.inc:335
+#: src/config/options.inc:352
 msgid "Number keys select links"
 msgstr "Numerick klvesy vyberaj odkazy"
 
-#: src/config/options.inc:337
+#: src/config/options.inc:354
+#, fuzzy
 msgid ""
-"Number keys select links rather than specify command prefixes. This\n"
-"is a tristate:\n"
+"Number keys select links rather than specify command prefixes. This is a "
+"tristate:\n"
 "0 means never\n"
 "1 means if document.browse.links.numbering = 1\n"
 "2 means always"
@@ -2669,118 +2684,119 @@ msgstr ""
 "1 = iba ak document.browse.links.numbering = 1\n"
 "2 = vdy"
 
-#: src/config/options.inc:343
+#: src/config/options.inc:360
 msgid "Warn about maliciously crafted URIs"
 msgstr ""
 
-#: src/config/options.inc:345
+#: src/config/options.inc:362
 msgid ""
-"When following a link the user ID part of the URI is\n"
-"checked and if a maliciously crafted URI is detected a\n"
-"warning dialog will ask before following the link."
+"When following a link the user ID part of the URI is checked and if a "
+"maliciously crafted URI is detected a warning dialog will ask before "
+"following the link."
 msgstr ""
 
 #. TODO - this is somehow implemented by ff, but disabled
 #. * for now as it doesn't work.
-#: src/config/options.inc:351
+#: src/config/options.inc:368
 msgid "Wrap-around links cycling"
 msgstr "Zacyklen prechdzanie medzi odkazmi"
 
 #. 0
-#: src/config/options.inc:353
+#: src/config/options.inc:370
 #, fuzzy
 msgid ""
-"When pressing 'down' on the last link, jump to the first one, and\n"
-"vice versa."
+"When pressing 'down' on the last link, jump to the first one, and vice versa."
 msgstr ""
 "Pri stlaen klvesy 'dole' na poslednom odkaze sa presu na prv odkaz\n"
 "a naopak."
 
-#: src/config/options.inc:357
+#: src/config/options.inc:374
 #, fuzzy
 msgid "Scrolling"
 msgstr "Posun v texte smerom vpravo"
 
-#: src/config/options.inc:359
+#: src/config/options.inc:376
 #, fuzzy
 msgid "Scrolling options."
 msgstr "Nastavenie terminlu."
 
-#: src/config/options.inc:361
+#: src/config/options.inc:378
 #, fuzzy
 msgid "Horizontal step"
 msgstr "Horizontlny okraj textu"
 
-#: src/config/options.inc:363
+#: src/config/options.inc:380
 #, fuzzy
 msgid ""
-"Number of columns to scroll when a key bound to scroll-left or scroll-\n"
-"right is pressed and no prefix was given."
+"Number of columns to scroll when a key bound to scroll-left or scroll-right "
+"is pressed and no prefix was given."
 msgstr ""
 "Poet riadkov, o ktor sa m dokument odskrolova po stlaen klvesy\n"
 "zodpovedajcej akcii scroll-up/scroll-down (hore/dolu) a nebol dan iadny\n"
 "seln prefix."
 
-#: src/config/options.inc:366
+#: src/config/options.inc:384
 msgid "Extended horizontal scrolling"
 msgstr ""
 
-#: src/config/options.inc:368
+#: src/config/options.inc:386
 msgid ""
-"Whether to allow horizontal scrolling when the document\n"
-"does not extend off the screen. Useful for copy/paste\n"
-"operations."
+"Whether to allow horizontal scrolling when the document does not extend off "
+"the screen. Useful for copy/paste operations."
 msgstr ""
 
-#: src/config/options.inc:372
+#: src/config/options.inc:390
 #, fuzzy
 msgid "Margin"
 msgstr "Upozornenie"
 
-#: src/config/options.inc:374
+#: src/config/options.inc:392
+#, fuzzy
 msgid ""
-"Size of the virtual margin - when you click inside of that margin,\n"
-"document scrolls in that direction."
+"Size of the virtual margin - when you click inside of that margin, document "
+"scrolls in that direction."
 msgstr ""
 "Vekos virtulneho okraja - po kliknut do tohto citlivho okraja,\n"
 "dokument odskroluje v danom smere."
 
-#: src/config/options.inc:377
+#: src/config/options.inc:395
 msgid "Vertical step"
 msgstr ""
 
-#: src/config/options.inc:379
+#: src/config/options.inc:397
+#, fuzzy
 msgid ""
-"Number of lines to scroll when a key bound to scroll-up or scroll-\n"
-"down is pressed and no prefix was given."
+"Number of lines to scroll when a key bound to scroll-up or scroll-down is "
+"pressed and no prefix was given."
 msgstr ""
 "Poet riadkov, o ktor sa m dokument odskrolova po stlaen klvesy\n"
 "zodpovedajcej akcii scroll-up/scroll-down (hore/dolu) a nebol dan iadny\n"
 "seln prefix."
 
-#: src/config/options.inc:383
+#: src/config/options.inc:401
 msgid "Searching"
 msgstr "Hada"
 
-#: src/config/options.inc:385
+#: src/config/options.inc:403
 msgid "Options for searching."
 msgstr "Nastavenie vyhadvania."
 
-#: src/config/options.inc:387
+#: src/config/options.inc:405
 msgid "Case sensitivity"
 msgstr "Rozliovanie vekosti psma"
 
-#: src/config/options.inc:389
+#: src/config/options.inc:407
+#, fuzzy
 msgid ""
-"Whether the search should match the document text while maintaining\n"
-"case sensitivity."
+"Whether the search should match the document text while maintaining case "
+"sensitivity."
 msgstr "Uruje, i sa m pri hadan bra ohad na vekos psma."
 
-#: src/config/options.inc:393
+#: src/config/options.inc:411
 msgid "Regular expressions"
 msgstr "Regulrne vrazy"
 
-#: src/config/options.inc:395
+#: src/config/options.inc:413
 #, fuzzy
 msgid ""
 "Enable searching with regular expressions:\n"
@@ -2793,34 +2809,34 @@ msgstr ""
 "1 = vyhadvanie zkladnch regulrnych vrazov.\n"
 "2 = vyhadvanie rozrench regulrnych vrazov."
 
-#: src/config/options.inc:401
+#: src/config/options.inc:419
 msgid "Show search hit top or bottom dialogs"
 msgstr "Zobrazova upozornenie o vyhadvan, ktor dosiahlo koniec dokumentu"
 
-#: src/config/options.inc:403
+#: src/config/options.inc:421
 #, fuzzy
 msgid ""
-"Whether to show a dialog when the search hits the top or bottom of the\n"
+"Whether to show a dialog when the search hits the top or bottom of the "
 "document."
 msgstr ""
 "Povoli zobrazovanie upozornenia ke vyhadvanie dosiahne koniec alebo\n"
 "zaiatok dokumentu."
 
-#: src/config/options.inc:406
+#: src/config/options.inc:424
 msgid "Wraparound"
 msgstr "Cykli"
 
-#: src/config/options.inc:408
+#: src/config/options.inc:426
 msgid "Wrap around when searching. Currently only used for typeahead."
 msgstr ""
 "Ak vyhadvanie dosiahne koniec dokumentu, pokraova od zaiatku.\n"
 "Zatia pouvan iba pre interaktvne vyhadvanie."
 
-#: src/config/options.inc:410
+#: src/config/options.inc:429
 msgid "Show not found"
 msgstr "Akcia pri nenjden vskytu"
 
-#: src/config/options.inc:412
+#: src/config/options.inc:431
 #, fuzzy
 msgid ""
 "How to inform the user when nothing is matched:\n"
@@ -2834,44 +2850,47 @@ msgstr ""
 "1 = ppni na teminli\n"
 "2 = zobraz chybov sprvu"
 
-#: src/config/options.inc:417
+#: src/config/options.inc:436
 #, fuzzy
 msgid "Typeahead searching"
 msgstr "Interaktvne vyhadvanie"
 
-#: src/config/options.inc:419
+#: src/config/options.inc:438
 msgid ""
-"Start typeahead searching when an unbound key is pressed without\n"
-"any modifiers. Note that most keys have default bindings, so this\n"
-"feature will not be useful unless you unbind them.\n"
+"Start typeahead searching when an unbound key is pressed without any "
+"modifiers. Note that most keys have default bindings, so this feature will "
+"not be useful unless you unbind them.\n"
 "\n"
-"0 disables this feature; typeahead searching will only be used\n"
-"  when you press a key bound to search-typeahead or similar\n"
+"0 disables this feature; typeahead searching will only be\n"
+"  used when you press a key bound to search-typeahead or\n"
+"  similar\n"
 "1 automatically starts typeahead searching thru link text\n"
-"2 automatically starts typeahead searching thru all document text"
+"2 automatically starts typeahead searching thru all document\n"
+"  text"
 msgstr ""
 
-#: src/config/options.inc:428
+#: src/config/options.inc:451
 msgid "Horizontal text margin"
 msgstr "Horizontlny okraj textu"
 
-#: src/config/options.inc:430
+#: src/config/options.inc:453
 msgid "Horizontal text margin."
 msgstr "Horizontlny okraj textu."
 
-#: src/config/options.inc:432
+#: src/config/options.inc:455
 msgid "Document meta refresh"
 msgstr "Automatick obnovovanie dokumentov"
 
-#: src/config/options.inc:434
+#: src/config/options.inc:457
 #, fuzzy
 msgid ""
-"Automatically follow document-specified refresh directives ('<meta>\n"
-"refresh' tags). Web-page authors use these to instruct the browser\n"
-"to reload a document at a given interval or to load another page.\n"
-"Regardless of the value the refresh URI is accessible as a link.\n"
-"Use the document.browse.minimum_refresh_time to control the minimum\n"
-"number of seconds a refresh will wait."
+"Automatically follow document-specified refresh directives ('<meta> refresh' "
+"tags). Web-page authors use these to instruct the browser to reload a "
+"document at a given interval or to load another page. Regardless of the "
+"value the refresh URI is accessible as a link.\n"
+"\n"
+"Use the document.browse.minimum_refresh_time to control the minimum number "
+"of seconds a refresh will wait."
 msgstr ""
 "Automaticky nasledova obnovovacie direktvy pecifikovan v dokumente\n"
 "('<meta> refresh' tagy). Autori webovch strnok pouvaj tento "
@@ -2882,246 +2901,248 @@ msgstr ""
 "obmedzi minimlny interval pre obnovovanie dokumentu, pouite vobu\n"
 "document.browse.minimum_refresh_time."
 
-#: src/config/options.inc:441
+#: src/config/options.inc:466
 msgid "Document meta refresh minimum time"
 msgstr "Minimlna prestvka pre automatick obnovovanie"
 
-#: src/config/options.inc:443
+#: src/config/options.inc:468
+#, fuzzy
 msgid ""
-"The minimum number of milliseconds that should pass before\n"
-"refreshing. If set to zero the document refresh time is used\n"
-"unchanged. It can fix going back in history for some sites that\n"
-"use refreshing with zero values."
+"The minimum number of milliseconds that should pass before refreshing. If "
+"set to zero the document refresh time is used unchanged. It can fix going "
+"back in history for some sites that use refreshing with zero values."
 msgstr ""
 "Minimlny as v milisekundch, ktor by mal ubehn pred automatickm\n"
 "obnovenm strnky. Ak nastaven na nulu, tak sa pouije as nastaven v\n"
 "dokumente. Tto voba me pomc pri pohybe sp v histrii pre niektor\n"
 "strnky pouvajce obnovovanie s nulovm asom."
 
-#: src/config/options.inc:448
+#: src/config/options.inc:473
 msgid "Tables navigation order"
 msgstr "Poradie navigcie v tabukch"
 
-#: src/config/options.inc:450
+#: src/config/options.inc:475
 msgid "Move by columns in table, instead of rows."
 msgstr "Presun po odkazoch pjde po stpcoch namiesto po riadkoch."
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:456
+#: src/config/options.inc:481
 msgid "Cache"
 msgstr "Ke (doasn pam)"
 
-#: src/config/options.inc:458
+#: src/config/options.inc:483
 msgid "Cache options."
 msgstr "Nastavenie kee."
 
-#: src/config/options.inc:460
+#: src/config/options.inc:485
 msgid "Cache information about redirects"
 msgstr "Keova informciu o presmerovaniach"
 
-#: src/config/options.inc:462
+#: src/config/options.inc:487
 msgid ""
-"Cache even redirects sent by server (usually thru HTTP by a 302\n"
-"HTTP code and a Location header). This was the original behaviour\n"
-"for quite some time, but it causes problems in a situation very\n"
-"common to various web login systems - frequently, when accessing\n"
-"a certain location, they will redirect you to a login page if they\n"
-"don't receive an auth cookie, the login page then gives you the\n"
-"cookie and redirects you back to the original page, but there you\n"
-"have already cached redirect back to the login page! If this\n"
-"option has value of 0, this malfunction is fixed, but occasionally\n"
-"you may get superfluous (depends on how you take it ;-) requests to\n"
-"the server. If this option has value of 1, experienced users can\n"
-"still workaround it by clever combination of usage of reload,\n"
-"jumping around in session history and hitting ctrl+enter.\n"
-"Note that this option is checked when retrieving the information\n"
-"from cache, not when saving it to cache - thus if you enable\n"
-"it, even previous redirects will be taken from cache instead of\n"
-"asking the server."
+"Cache even redirects sent by server (usually thru HTTP by a 302 HTTP code "
+"and a Location header). This was the original behaviour for quite some time, "
+"but it causes problems in a situation very common to various web login "
+"systems - frequently, when accessing a certain location, they will redirect "
+"you to a login page if they don't receive an auth cookie, the login page "
+"then gives you the cookie and redirects you back to the original page, but "
+"there you have already cached redirect back to the login page! If this "
+"option has value of 0, this malfunction is fixed, but occasionally you may "
+"get superfluous (depends on how you take it ;-) requests to the server. If "
+"this option has value of 1, experienced users can still workaround it by "
+"clever combination of usage of reload, jumping around in session history and "
+"hitting ctrl+enter.\n"
+"\n"
+"Note that this option is checked when retrieving the information from cache, "
+"not when saving it to cache - thus if you enable it, even previous redirects "
+"will be taken from cache instead of asking the server."
 msgstr ""
 
-#: src/config/options.inc:480
+#: src/config/options.inc:508
 msgid "Ignore cache-control info from server"
 msgstr "Ignorova informciu o keovan od servera"
 
-#: src/config/options.inc:482
+#: src/config/options.inc:510
+#, fuzzy
 msgid ""
-"Ignore Cache-Control and Pragma server headers.\n"
-"When set, the document is cached even with 'Cache-Control: no-cache'."
+"Ignore Cache-Control and Pragma server headers. When set, the document is "
+"cached even with 'Cache-Control: no-cache'."
 msgstr ""
 "Ignorova hlaviky Cache-Control a Pragma, prijat od servera.\n"
 "Ak nastaven, dokument je keovan aj ke hlavika obsahuje\n"
 "'Cache-Control: no-cache'."
 
-#: src/config/options.inc:485
+#: src/config/options.inc:514
 msgid "Formatted documents"
 msgstr "Sformtovan dokumenty"
 
-#: src/config/options.inc:487
+#: src/config/options.inc:516
 msgid "Format cache options."
 msgstr "Nastavenie cache formtovanch dokumentov."
 
-#: src/config/options.inc:489
+#: src/config/options.inc:518
 msgid "Number"
 msgstr "slo"
 
-#: src/config/options.inc:491
+#: src/config/options.inc:520
 msgid ""
-"Number of cached formatted pages. Do not get too generous\n"
-"here, 'formatted' means that all the accompanying structures\n"
-"are kept in memory so that you get the cached document\n"
-"immediatelly, but these structures may take a lot - 2x the\n"
-"size of the HTML source is probably not unusual, but it can\n"
-"be even more if the document consists of a lot of short lines\n"
-"(padded right, if possible) and links and not much other markup.\n"
-"So if you set this to 256 and then you don't like your ELinks\n"
-"eating 90M, don't come complaining to us. ;-)\n"
-"Also note that the format cache itself is not counted to the\n"
-"memory cache size, but the HTML source of the formatted documents\n"
-"is always cached, even if it is over the memory cache size\n"
-"threshold. (Then of course no other documents can be cached.)"
+"Number of cached formatted pages. Do not get too generous here, 'formatted' "
+"means that all the accompanying structures are kept in memory so that you "
+"get the cached document immediatelly, but these structures may take a lot - "
+"2x the size of the HTML source is probably not unusual, but it can be even "
+"more if the document consists of a lot of short lines (padded right, if "
+"possible) and links and not much other markup. So if you set this to 256 and "
+"then you don't like your ELinks eating 90M, don't come complaining to "
+"us. ;-)\n"
+"\n"
+"Also note that the format cache itself is not counted to the memory cache "
+"size, but the HTML source of the formatted documents is always cached, even "
+"if it is over the memory cache size threshold. (Then of course no other "
+"documents can be cached.)"
 msgstr ""
 
 #. FIXME: Write more.
-#: src/config/options.inc:506
+#: src/config/options.inc:538
 #, fuzzy
 msgid "Revalidation interval"
 msgstr "Interval automatickho ukladania"
 
-#: src/config/options.inc:508
+#: src/config/options.inc:540
 msgid ""
-"Period in seconds that a cache entry is considered to be\n"
-"up-to-date. When a document is loaded and this interval has elapsed\n"
-"since the document was initially loaded or most recently\n"
-"revalidated with the server, the server will be checked in case\n"
-"there is a more up-to-date version of the document.\n"
+"Period in seconds that a cache entry is considered to be up-to-date. When a "
+"document is loaded and this interval has elapsed since the document was "
+"initially loaded or most recently revalidated with the server, the server "
+"will be checked in case there is a more up-to-date version of the document.\n"
 "\n"
 "A value of -1 disables automatic revalidation."
 msgstr ""
 
-#: src/config/options.inc:515 src/dialogs/info.c:199
+#: src/config/options.inc:549 src/dialogs/info.c:199
 msgid "Memory cache"
 msgstr "Pamov cache"
 
-#: src/config/options.inc:517
+#: src/config/options.inc:551
 msgid "Memory cache options."
 msgstr "Nastavenie pamovej cache."
 
-#: src/config/options.inc:521
+#: src/config/options.inc:555
 msgid "Memory cache size (in bytes)."
 msgstr "Vekos pamovej cache (v bajtoch)"
 
-#: src/config/options.inc:525
+#: src/config/options.inc:559
 msgid "Charset"
 msgstr "Znakov sada"
 
-#: src/config/options.inc:527
+#: src/config/options.inc:561
 msgid "Charset options."
 msgstr "Nastavenie znakovej sady."
 
-#: src/config/options.inc:529
+#: src/config/options.inc:563
 msgid "Default codepage"
 msgstr "tandardn kdov strnka"
 
-#: src/config/options.inc:531
+#: src/config/options.inc:565
+#, fuzzy
 msgid ""
-"Default document codepage. 'System' stands for\n"
-"a codepage determined by a selected locale."
-msgstr ""
+"Default document codepage. 'System' stands for a codepage determined by a "
+"selected locale."
+msgstr "Kdov strnka znakovej sady pouitej na zobrazovanie na terminle."
 
-#: src/config/options.inc:534
+#: src/config/options.inc:568
 msgid "Ignore charset info from server"
 msgstr "Ignorova informciu o kdovej strnke od servera"
 
-#: src/config/options.inc:536
+#: src/config/options.inc:570
 msgid "Ignore charset info sent by server."
 msgstr "Ignorova informciu o kdovej strnke poslanej serverom."
 
-#: src/config/options.inc:540
+#: src/config/options.inc:574
 msgid "Default color settings"
 msgstr "tandardn nastavenie farieb"
 
-#: src/config/options.inc:542
+#: src/config/options.inc:576
 msgid "Default document color settings."
 msgstr "tandardn nastavenie farieb dokumentu"
 
-#: src/config/options.inc:553
+#: src/config/options.inc:587
 msgid "Link color"
 msgstr "Farba odkazu"
 
-#: src/config/options.inc:555
+#: src/config/options.inc:589
 msgid "Default link color."
 msgstr "tandardn farba odkazu"
 
-#: src/config/options.inc:557
+#: src/config/options.inc:591
 msgid "Visited-link color"
 msgstr "Farba navtvenho odkazu"
 
-#: src/config/options.inc:559
+#: src/config/options.inc:593
 msgid "Default visited link color."
 msgstr "tandardn farba navtvenho odkazu"
 
-#: src/config/options.inc:561
+#: src/config/options.inc:595
 #, fuzzy
 msgid "Image-link color"
 msgstr "Farba navtvenho odkazu"
 
-#: src/config/options.inc:563
+#: src/config/options.inc:597
 #, fuzzy
 msgid "Default image link color."
 msgstr "tandardn farba odkazu"
 
-#: src/config/options.inc:565
+#: src/config/options.inc:599
 #, fuzzy
 msgid "Bookmarked-link color"
 msgstr "Farba navtvenho odkazu"
 
-#: src/config/options.inc:567
+#: src/config/options.inc:601
 #, fuzzy
 msgid "Default bookmarked link color."
 msgstr "tandardn farba odkazu"
 
-#: src/config/options.inc:569
+#: src/config/options.inc:603
 msgid "Directory color"
 msgstr "Farba adresra"
 
-#: src/config/options.inc:571
+#: src/config/options.inc:605
+#, fuzzy
 msgid ""
 "Default directory color.\n"
+"\n"
 "See document.browse.links.color_dirs option."
 msgstr ""
 "tandardn farba adresra.\n"
 "Vi. vobu document.browse.links.color_dirs."
 
-#: src/config/options.inc:578
+#: src/config/options.inc:613
 #, fuzzy
 msgid "Increase contrast"
 msgstr "Zabezpei kontrast"
 
-#: src/config/options.inc:580
+#: src/config/options.inc:615
 msgid ""
-"Increase the contrast between the foreground and background colors\n"
-"to ensure readability. For example it disallows dark colors on a\n"
-"black background. Note, this is different from ensuring the contrast\n"
-"with the ensure_contrast option."
+"Increase the contrast between the foreground and background colors to ensure "
+"readability. For example it disallows dark colors on a black background. "
+"Note, this is different from ensuring the contrast with the ensure_contrast "
+"option."
 msgstr ""
 
-#: src/config/options.inc:585
+#: src/config/options.inc:621
 msgid "Ensure contrast"
 msgstr "Zabezpei kontrast"
 
-#: src/config/options.inc:587
+#: src/config/options.inc:623
 #, fuzzy
 msgid "Makes sure that the back- and foreground colors are never equal."
 msgstr "Zabezpei aby farby pozadia a textu neboli rovnak."
 
 #. If you change this please also change ACT_MAIN_DOCUMENT_COLORS action
 #. * handling.
-#: src/config/options.inc:592
+#: src/config/options.inc:628
 msgid "Use document-specified colors"
 msgstr "Pouva farby nastaven v dokumente"
 
-#: src/config/options.inc:594
+#: src/config/options.inc:630
 #, fuzzy
 msgid ""
 "Use colors specified in document:\n"
@@ -3144,40 +3165,41 @@ msgstr ""
 "   terminli nastaven."
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:607
+#: src/config/options.inc:643
 msgid "Downloading"
 msgstr "Sahovanie"
 
-#: src/config/options.inc:609
+#: src/config/options.inc:645
 msgid "Options regarding files downloading and handling."
 msgstr "Nastavenie sahovania sborov a ich obsluhy."
 
-#: src/config/options.inc:611
+#: src/config/options.inc:647
 msgid "Default download directory"
 msgstr "tandardn adresr pre sahovan sbory"
 
-#: src/config/options.inc:613
+#: src/config/options.inc:649
 msgid "Default download directory."
 msgstr "tandardn adresr pre sahovan sbory."
 
-#: src/config/options.inc:615
+#: src/config/options.inc:651
 msgid "Set original time"
 msgstr "Nastavi pvodn as"
 
-#: src/config/options.inc:617
+#: src/config/options.inc:653
+#, fuzzy
 msgid ""
-"Set the timestamp of each downloaded file to the timestamp\n"
-"stored on the server."
+"Set the timestamp of each downloaded file to the timestamp stored on the "
+"server."
 msgstr ""
 "Nastavi as vytvorenia stiahnutho sboru na tak as vytvorenia,\n"
 "ak je uloen na serveri."
 
 #. Does automatic resuming make sense as an option?
-#: src/config/options.inc:621
+#: src/config/options.inc:657
 msgid "Prevent overwriting"
 msgstr "Zabrni prepsaniu"
 
-#: src/config/options.inc:623
+#: src/config/options.inc:659
 #, fuzzy
 msgid ""
 "Prevent overwriting the local files:\n"
@@ -3190,11 +3212,11 @@ msgstr ""
 "1 = prida prponu .<slo> (napr. '.1'), ak tak meno existuje\n"
 "2 = opta sa uvatea."
 
-#: src/config/options.inc:628
+#: src/config/options.inc:664
 msgid "Notify download completion by bell"
 msgstr "Upozorni na ukonenie sahovania ppnutm"
 
-#: src/config/options.inc:630
+#: src/config/options.inc:666
 #, fuzzy
 msgid ""
 "Audio notification when download is completed:\n"
@@ -3207,27 +3229,28 @@ msgstr ""
 "1 = ak je nastaven upozorovanie na skonenie sahovania\n"
 "2 = vdy"
 
-#: src/config/options.inc:636
+#: src/config/options.inc:672
 msgid "Dump output"
 msgstr "Dump vstup"
 
-#: src/config/options.inc:638
+#: src/config/options.inc:674
 msgid "Dump output options."
 msgstr "Nastavenie dump vstupu."
 
 #. OPT_CODEPAGE
-#: src/config/options.inc:640 src/config/options.inc:912
+#: src/config/options.inc:676 src/config/options.inc:980
 #: src/config/opttypes.c:481 src/dialogs/document.c:164
 msgid "Codepage"
 msgstr "Kdov strnka"
 
-#: src/config/options.inc:642
+#: src/config/options.inc:678
+#, fuzzy
 msgid ""
-"Codepage used in dump output. 'System' stands for\n"
-"a codepage determined by a selected locale."
-msgstr ""
+"Codepage used in dump output. 'System' stands for a codepage determined by a "
+"selected locale."
+msgstr "Kdov strnka znakovej sady pouitej na zobrazovanie na terminle."
 
-#: src/config/options.inc:645 src/config/options.inc:878
+#: src/config/options.inc:681 src/config/options.inc:941
 msgid "Color mode"
 msgstr "Farebn reim"
 
@@ -3236,12 +3259,15 @@ msgstr "Farebn reim"
 #. * an outer list entry after an inner list.
 #. * TRANSLATORS: This restriction applies only to the
 #. * "en" (English) translation.  (See doc/Makefile.)
-#: src/config/options.inc:652
+#: src/config/options.inc:688
+#, fuzzy
 msgid ""
 "Color mode for dumps.\n"
+"\n"
 "Some modes may have been disabled at compile time. The Setup -> Terminal "
 "options dialog lists the modes supported by this executable. If you select "
 "an unsupported mode, ELinks uses 16 colors.\n"
+"\n"
 "The color modes are:\n"
 "-1 is standard dump mode\n"
 "0 is mono mode\n"
@@ -3250,128 +3276,131 @@ msgid ""
 "3 is 256 color mode\n"
 "4 is true color mode"
 msgstr ""
+"Farebn reim uruje, ak farby s pouvan a ako s nastavovan na\n"
+"vaom terminli. Farebn reimy s:\n"
+"0 = monochromatick reim; s pouit iba dve farby\n"
+"1 = 16 farieb; vyuva farby poda ANSI pecifikcie\n"
+"2 = 256 farieb; vyaduje terminl xterm-256color\n"
 
-#: src/config/options.inc:665
+#: src/config/options.inc:703
 msgid "Footer"
 msgstr ""
 
-#: src/config/options.inc:667
+#: src/config/options.inc:705
 #, c-format
 msgid "Footer string used in dumps. %u is substituted by URL."
 msgstr ""
 
-#: src/config/options.inc:671
+#: src/config/options.inc:709
 #, c-format
 msgid "Header string used in dumps. %u is substituted by URL."
 msgstr ""
 
-#: src/config/options.inc:673
+#: src/config/options.inc:711
 #, fuzzy
 msgid "Numbering"
 msgstr "slo"
 
-#: src/config/options.inc:675
+#: src/config/options.inc:713
 #, fuzzy
 msgid "Whether to print link numbers in dump output."
 msgstr "Neslova odkazy v dump vstupe."
 
-#: src/config/options.inc:677
+#: src/config/options.inc:715
 #, fuzzy
 msgid "References"
 msgstr "Zdroje"
 
-#: src/config/options.inc:679
+#: src/config/options.inc:717
 #, fuzzy
-msgid ""
-"Whether to print references (URIs) of document links\n"
-"in dump output."
+msgid "Whether to print references (URIs) of document links in dump output."
 msgstr ""
 "Zabrni slovaniu odkazov (a zobrazovanie ich zoznamu na konci dokumentu)\n"
 "pri -dump vstupe; to bolo tandardn chovanie a po 0.5pre12. Pamtajte "
 "ale\n"
 "e sa to tka iba parametra --dump a nioho inho."
 
-#: src/config/options.inc:682
+#: src/config/options.inc:720
 #, fuzzy
 msgid "Separator"
 msgstr "Oddeova v lite s tabmi"
 
-#: src/config/options.inc:684
+#: src/config/options.inc:722
 msgid "String which separates two dumps."
 msgstr ""
 
-#: src/config/options.inc:686
+#: src/config/options.inc:724
 msgid "Width"
 msgstr "rka"
 
-#: src/config/options.inc:688
+#: src/config/options.inc:726
 #, fuzzy
 msgid "Width of screen in characters when dumping documents."
 msgstr "rka obrazovky v znakoch pri dumpovan HTML dokumentu."
 
-#: src/config/options.inc:692
+#: src/config/options.inc:730
 msgid "History"
 msgstr "Histria"
 
-#: src/config/options.inc:694
+#: src/config/options.inc:732
 msgid "History options."
 msgstr "Nastavenie histrie."
 
-#: src/config/options.inc:696
+#: src/config/options.inc:734
 msgid "Keep unhistory"
 msgstr "Udrova antihistriu"
 
-#: src/config/options.inc:698
+#: src/config/options.inc:736
 #, fuzzy
 msgid "Keep unhistory (\"forward history\")."
 msgstr "Udrova antihistriu (\"dopredn histriu\")?"
 
-#: src/config/options.inc:701
+#: src/config/options.inc:739
 msgid "HTML rendering"
 msgstr "HTML zobrazenie"
 
-#: src/config/options.inc:703
+#: src/config/options.inc:741
 msgid "Options concerning the display of HTML pages."
 msgstr "Voby tkajce sa zobrazovania HTML strnok."
 
-#: src/config/options.inc:705
+#: src/config/options.inc:743
 msgid "Display frames"
 msgstr "Zobrazi rmce"
 
-#: src/config/options.inc:707
+#: src/config/options.inc:745
 msgid "Display frames."
 msgstr "Zobrazi rmce."
 
-#: src/config/options.inc:709
+#: src/config/options.inc:747
 msgid "Display tables"
 msgstr "Zobrazi tabuky"
 
-#: src/config/options.inc:711
+#: src/config/options.inc:749
 msgid "Display tables."
 msgstr "Zobrazi tabuky."
 
-#: src/config/options.inc:713
+#: src/config/options.inc:751
 msgid "Display subscripts"
 msgstr "Zobrazi doln indexy"
 
-#: src/config/options.inc:715
+#: src/config/options.inc:753
 msgid "Display subscripts (as [thing])."
 msgstr "Zobrazi doln indexy (ako [index])"
 
-#: src/config/options.inc:717
+#: src/config/options.inc:755
 msgid "Display superscripts"
 msgstr "Zobrazi horn indexy"
 
-#: src/config/options.inc:719
+#: src/config/options.inc:757
 msgid "Display superscripts (as ^thing)."
 msgstr "Zobrazi horn indexy (ako ^index)"
 
-#: src/config/options.inc:721
+#: src/config/options.inc:759
 #, fuzzy
 msgid "Rendering of HTML link element"
 msgstr "Zobrazovanie HTML elementu 'link' (pecilnych odkazov)"
 
-#: src/config/options.inc:723
+#: src/config/options.inc:761
 #, fuzzy
 msgid ""
 "How to render <link> tags from the HTML header:\n"
@@ -3390,147 +3419,147 @@ msgstr ""
 "4 ete zobrazi typ\n"
 "5 vetko"
 
-#: src/config/options.inc:731
+#: src/config/options.inc:769
 msgid "Underline links"
 msgstr "Podiarkova odkazy"
 
-#: src/config/options.inc:733
+#: src/config/options.inc:771
 msgid "Underline links."
 msgstr "Podiarkova odkazy."
 
-#: src/config/options.inc:735
+#: src/config/options.inc:773
 msgid "Wrap non breaking space"
 msgstr "Rozdeova nedeliten medzery"
 
-#: src/config/options.inc:737
+#: src/config/options.inc:775
+#, fuzzy
 msgid ""
-"If set do not honour non breaking space (the nbsp entity)\n"
-"but allow to wrap the text. This can help keeping the width\n"
-"of documents down so no horizontal scrolling is needed."
+"If set do not honour non breaking space (the nbsp entity) but allow to wrap "
+"the text. This can help keeping the width of documents down so no horizontal "
+"scrolling is needed."
 msgstr ""
 "Ak nastaven, tak nedeliten medzery (&nbsp; entity) bud\n"
 "povaovan za normlne medzery a bude na nich rozdeovan text.\n"
 "To me pomc proti vemi irokm dokumentom, aby nebolo nutn\n"
 "horizontlne skrolova pri ich pozeran."
 
-#: src/config/options.inc:742
+#: src/config/options.inc:780
 msgid "Plain rendering"
 msgstr "Zobrazovanie textovch dokumentov"
 
-#: src/config/options.inc:744
+#: src/config/options.inc:782
 msgid "Options concerning the display of plain text pages."
 msgstr "Nastavenia tkajce sa zobrazovania strnok s istm textom."
 
-#: src/config/options.inc:746
+#: src/config/options.inc:784
 msgid "Display URIs"
 msgstr "Zobrazi URI"
 
-#: src/config/options.inc:748
+#: src/config/options.inc:786
 msgid "Display URIs in the document as links."
 msgstr "Zobrazi URI v dokumente ako odkazy."
 
-#: src/config/options.inc:750
+#: src/config/options.inc:788
 msgid "Compress empty lines"
 msgstr "Zli przdne riadky"
 
-#: src/config/options.inc:752
+#: src/config/options.inc:790
 msgid "Compress successive empty lines to only one in displayed text."
 msgstr "Zli niekoko za sebou idcich przdnych riadkov do jednho."
 
-#: src/config/options.inc:755
+#: src/config/options.inc:794
 msgid "URI passing"
 msgstr ""
 
-#: src/config/options.inc:757
+#: src/config/options.inc:796
 msgid ""
-"Rules for passing URIs to external commands. When one rule\n"
-"is defined the link and tab menu will have a menu item that\n"
-"makes it possible to pass the the link, frame or tab URI to\n"
-"an external command. If several rules are defined the link and\n"
-"tab menu will have a submenu of items for each rule. Note, this\n"
-"is mostly useful for launching graphical viewers, since there\n"
-"is no support for releasing the terminal while the command runs.\n"
-"The action and submenus are also available by binding keys to\n"
-"the frame-external-command, the link-external-command, and\n"
-"the tab-external-command actions."
+"Rules for passing URIs to external commands. When one rule is defined the "
+"link and tab menu will have a menu item that makes it possible to pass the "
+"the link, frame or tab URI to an external command. If several rules are "
+"defined the link and tab menu will have a submenu of items for each rule.\n"
+"\n"
+"Note, this is mostly useful for launching graphical viewers, since there is "
+"no support for releasing the terminal while the command runs. The action and "
+"submenus are also available by binding keys to the frame-external-command, "
+"the link-external-command, and the tab-external-command actions."
 msgstr ""
 
-#: src/config/options.inc:770
+#: src/config/options.inc:812
 msgid ""
-"A rule for passing URI to an external command.\n"
-"The format is:\n"
+"A rule for passing URI to an external command. The format is:\n"
 "%c in the string means the current URL\n"
 "%% in the string means '%'\n"
 "Do _not_ put single- or double-quotes around %c."
 msgstr ""
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:780
+#: src/config/options.inc:822
 #, fuzzy
 msgid "Information files"
 msgstr "Nzov konfiguranho sboru"
 
-#: src/config/options.inc:782
+#: src/config/options.inc:824
 #, fuzzy
 msgid "Options for information files in ~/.elinks."
 msgstr "Nastavenia aktvneho odkazu."
 
-#: src/config/options.inc:784
+#: src/config/options.inc:826
 #, fuzzy
 msgid "Save interval"
 msgstr "Interval automatickho ukladania"
 
-#: src/config/options.inc:786
+#: src/config/options.inc:828
 msgid ""
-"Interval at which to trigger information files in ~/.elinks\n"
-"to be saved to disk if they have changed (seconds; 0 to disable)"
+"Interval at which to trigger information files in ~/.elinks to be saved to "
+"disk if they have changed (seconds; 0 to disable)"
 msgstr ""
 
-#: src/config/options.inc:789
+#: src/config/options.inc:832
 msgid "Use secure file saving"
 msgstr ""
 
-#: src/config/options.inc:791
+#: src/config/options.inc:834
 msgid ""
-"First write data to unique temporary file, then rename this file\n"
-"upon successfully finishing this. Note that this relates only to\n"
-"config files, not downloaded files. You may want to disable\n"
-"it if you are using some exotic permissions for concerned files.\n"
-"Secure file saving is automagically disabled if file is symlink.\n"
-"Warning: some systems (ie. OS/2, Win32) require that destination\n"
-"file doesn't exist when rename(3) is called, breaking atomicity,\n"
-"and reducing reliability of this feature."
+"First write data to unique temporary file, then rename this file upon "
+"successfully finishing this. Note that this relates only to config files, "
+"not downloaded files. You may want to disable it if you are using some "
+"exotic permissions for concerned files. Secure file saving is automagically "
+"disabled if file is symlink.\n"
+"\n"
+"Warning: some systems (ie. OS/2, Win32) require that destination file "
+"doesn't exist when rename(3) is called, breaking atomicity, and reducing "
+"reliability of this feature."
 msgstr ""
 
-#: src/config/options.inc:800
+#: src/config/options.inc:846
 msgid "Use fsync(3) with secure file saving"
 msgstr ""
 
-#: src/config/options.inc:802
+#: src/config/options.inc:848
 msgid ""
-"When using secure file saving, call fsync(3), if the OS\n"
-"supports it, to force the OS immediately to write the data\n"
-"to permanent storage. This is optional for those who wish\n"
-"to avoid excessive disk I/O."
+"When using secure file saving, call fsync(3), if the OS supports it, to "
+"force the OS immediately to write the data to permanent storage. This is "
+"optional for those who wish to avoid excessive disk I/O."
 msgstr ""
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:811
+#: src/config/options.inc:857
 msgid "Terminals"
 msgstr "Terminly"
 
-#: src/config/options.inc:813
+#: src/config/options.inc:859
 msgid "Terminal options."
 msgstr "Nastavenie terminlu."
 
-#: src/config/options.inc:817
+#: src/config/options.inc:863
 msgid "Options specific to this terminal type (according to $TERM value)."
 msgstr "Voby specifick pre tento typ terminlu (poda hodnoty $TERM)."
 
-#: src/config/options.inc:842
+#: src/config/options.inc:889
+#, fuzzy
 msgid ""
-"Terminal type; matters mostly only when drawing frames and\n"
-"dialog box borders:\n"
+"Terminal type; matters mostly only when drawing frames and dialog box "
+"borders:\n"
 "0 is dumb terminal type, ASCII art\n"
 "1 is VT100, simple but portable\n"
 "2 is Linux, you get double frames and other goodies\n"
@@ -3545,16 +3574,32 @@ msgstr ""
 "3 = KOI-8\n"
 "4 = FreeBSD terminl"
 
-#: src/config/options.inc:850 src/dialogs/options.c:227
+#: src/config/options.inc:897
+msgid "Always encode xterm title in ISO-8859-1"
+msgstr ""
+
+#: src/config/options.inc:899
+msgid ""
+"When updating the window title of xterm or a similar terminal emulator, "
+"encode the title in ISO-8859-1 (Latin-1), rather than in the charset used "
+"for other text in the window. Cyrillic and other characters get replaced "
+"with Latin ones. Xterm requires this unless you explicitly enable UTF-8 "
+"titles in it.\n"
+"\n"
+"If this option does not take effect immediately, try switching to a "
+"different page so that ELinks notices it needs to update the title."
+msgstr ""
+
+#: src/config/options.inc:910 src/dialogs/options.c:227
 msgid "Switch fonts for line drawing"
 msgstr "Prepna fonty pri kreslen iar"
 
-#: src/config/options.inc:852
+#: src/config/options.inc:912
 #, fuzzy
 msgid ""
-"Switch fonts when drawing lines, enabling both local characters\n"
-"and lines working at the same time. ELinks uses this option only if\n"
-"UTF-8 I/O is disabled and the terminal type is Linux or FreeBSD."
+"Switch fonts when drawing lines, enabling both local characters and lines "
+"working at the same time. ELinks uses this option only if UTF-8 I/O is "
+"disabled and the terminal type is Linux or FreeBSD."
 msgstr ""
 "Prepna fonty pri kreslen iar. Vaka tomu by malo zrove fungova\n"
 "kreslenie iar a miestnych znakov. M vznam iba pre linuxov\n"
@@ -3565,42 +3610,44 @@ msgstr ""
 #. * and if so, behave as if "utf_8_io" were 1.  (When CONFIG_UTF8 is
 #. * not defined, it should not be possible to set UTF-8 as "codepage";
 #. * please report any such possibilities as bugs.)
-#: src/config/options.inc:861 src/dialogs/options.c:232
+#: src/config/options.inc:922 src/dialogs/options.c:232
 msgid "UTF-8 I/O"
 msgstr "UTF-8 vstup/vstup"
 
-#: src/config/options.inc:863
+#: src/config/options.inc:924
 #, fuzzy
 msgid ""
-"Enable I/O in UTF-8 for Unicode terminals. Note that currently,\n"
-"only the subset of UTF-8 according to terminal codepage is used.\n"
-"ELinks ignores this option if the terminal codepage is UTF-8."
+"Enable I/O in UTF-8 for Unicode terminals. Note that currently, only the "
+"subset of UTF-8 according to terminal codepage is used. ELinks ignores this "
+"option if the terminal codepage is UTF-8."
 msgstr ""
 "Pouva UTF8 vstup/vstup pre Unicode podporujce terminly. Treba\n"
 "si ale uvedomi, e v sasnosti je podporovan iba podmnoina UTF8 v\n"
 "zvislosti na aktulne zvolenom kdovan terminlu."
 
-#: src/config/options.inc:867 src/dialogs/options.c:228
+#: src/config/options.inc:929 src/dialogs/options.c:228
 msgid "Restrict frames in cp850/852"
 msgstr "Ohranien rmeky v cp850/852"
 
-#: src/config/options.inc:869
+#: src/config/options.inc:931
+#, fuzzy
 msgid ""
-"Restrict the characters used when drawing lines. Makes sense\n"
-"only with linux terminals using the cp850/852 character sets."
+"Restrict the characters used when drawing lines. Makes sense only with linux "
+"terminals using the cp850/852 character sets."
 msgstr ""
 "Obmedzi znaky pouvan na kreslenie iar. M vznam pouva iba\n"
 "pre linuxov terminly pouvajce kdovanie cp850 alebo cp852."
 
-#: src/config/options.inc:872 src/dialogs/options.c:229
+#: src/config/options.inc:935 src/dialogs/options.c:229
 msgid "Block cursor"
 msgstr "Blokova kurzor"
 
-#: src/config/options.inc:874
+#: src/config/options.inc:937
+#, fuzzy
 msgid ""
-"Move cursor to bottom right corner when done drawing.\n"
-"This is particularly useful when we have a block cursor,\n"
-"so that inversed text is displayed correctly."
+"Move cursor to bottom right corner when done drawing. This is particularly "
+"useful when we have a block cursor, so that inversed text is displayed "
+"correctly."
 msgstr ""
 "Presun kurzor do pravho dolnho rohu po skonen vykresovania "
 "obrazovky.\n"
@@ -3612,14 +3659,16 @@ msgstr ""
 #. * an outer list entry after an inner list.
 #. * TRANSLATORS: This restriction applies only to the
 #. * "en" (English) translation.  (See doc/Makefile.)
-#: src/config/options.inc:885
+#: src/config/options.inc:948
 #, fuzzy
 msgid ""
 "The color mode controls what colors are used and how they are output to the "
 "terminal.\n"
+"\n"
 "Some modes may have been disabled at compile time. The Setup -> Terminal "
 "options dialog lists the modes supported by this executable. If you select "
 "an unsupported mode, ELinks uses 16 colors.\n"
+"\n"
 "The color modes are:\n"
 "0 is mono mode, only 2 colors are used\n"
 "1 is 16 color mode, uses the common ANSI colors\n"
@@ -3633,413 +3682,411 @@ msgstr ""
 "1 = 16 farieb; vyuva farby poda ANSI pecifikcie\n"
 "2 = 256 farieb; vyaduje terminl xterm-256color\n"
 
-#: src/config/options.inc:898 src/dialogs/options.c:230
+#: src/config/options.inc:963 src/dialogs/options.c:230
 msgid "Transparency"
 msgstr "Transparentnos"
 
-#: src/config/options.inc:900
+#: src/config/options.inc:965
 #, fuzzy
 msgid ""
-"If we should not set the background to black. This is particularly\n"
-"useful when we have a terminal (typically in some windowing\n"
-"environment) with a background image or a transparent background -\n"
-"it will be visible in ELinks as well (but ELinks document color handling\n"
-"will still assume the background is black so if you have a bright "
-"background\n"
-"you might experience contrast problems). Note that this option makes\n"
-"sense only when colors are enabled."
+"If we should not set the background to black. This is particularly useful "
+"when we have a terminal (typically in some windowing environment) with a "
+"background image or a transparent background - it will be visible in ELinks "
+"as well (but ELinks document color handling will still assume the background "
+"is black so if you have a bright background you might experience contrast "
+"problems). Note that this option makes sense only when colors are enabled."
 msgstr ""
 "Uruje, aby nebolo nastaven pozadie, pokia by malo by ierne. To je\n"
 "zvlṻ uiton, ak mme terminl (typick v nejakom okennom prostred)\n"
 "s obrzkom ako pozadie alebo s priehadnm pozadm - bude viditen aj\n"
 "v ELinkse. Samozrejme tto voba m zmysel iba ak je zapnut podpora farieb."
 
-#: src/config/options.inc:910
+#: src/config/options.inc:977
 msgid "If we should use underline or enhance the color instead."
 msgstr "Pouva bu podiarkovanie alebo zvraznenie pouitej farby."
 
-#: src/config/options.inc:914
+#: src/config/options.inc:982
 #, fuzzy
 msgid ""
-"Codepage of charset used for displaying content on terminal.\n"
-"'System' stands for a codepage determined by a selected locale."
+"Codepage of charset used for displaying content on terminal. 'System' stands "
+"for a codepage determined by a selected locale."
 msgstr "Kdov strnka znakovej sady pouitej na zobrazovanie na terminle."
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:921
+#: src/config/options.inc:990
 msgid "User interface"
 msgstr "Uvatesk rozhranie"
 
-#: src/config/options.inc:923
+#: src/config/options.inc:992
 msgid "User interface options."
 msgstr "Nastavenie uvateskho rozhrania."
 
-#: src/config/options.inc:927
+#: src/config/options.inc:996
 msgid "Color settings"
 msgstr "Nastavenie farieb"
 
-#: src/config/options.inc:929
+#: src/config/options.inc:998
 msgid "Default user interface color settings."
 msgstr "tandardn nastavenie farieb uvateskho rozhrania."
 
-#: src/config/options.inc:956
+#: src/config/options.inc:1025
 msgid "Color terminals"
 msgstr "Farebn terminly"
 
-#: src/config/options.inc:958
+#: src/config/options.inc:1027
 msgid "Color settings for color terminal."
 msgstr "Nastavenie farieb pre farebn terminly."
 
-#: src/config/options.inc:960
+#: src/config/options.inc:1029
 msgid "Non-color terminals"
 msgstr "Nefarebn terminly."
 
-#: src/config/options.inc:962
+#: src/config/options.inc:1031
 msgid "Color settings for non-color terminal."
 msgstr "Nastavenie farieb pre nefarebn terminly."
 
 #. FIXME: obsolete, how to alias them correctly ? --Zas
-#: src/config/options.inc:965
+#: src/config/options.inc:1034
 msgid "Main menu bar"
 msgstr "Lita s hlavnm menu"
 
-#: src/config/options.inc:967
+#: src/config/options.inc:1036
 msgid "Main menu bar colors."
 msgstr "Farby lity s hlavnm menu."
 
-#: src/config/options.inc:969
+#: src/config/options.inc:1038
 msgid "Unselected main menu bar item"
 msgstr "Nevybrat poloka hlavnho menu"
 
-#: src/config/options.inc:971
+#: src/config/options.inc:1040
 msgid "Unselected main menu bar item colors."
 msgstr "Farba nevybratej poloky hlavnho menu."
 
-#: src/config/options.inc:973
+#: src/config/options.inc:1042
 msgid "Selected main menu bar item"
 msgstr "Vybrat poloka hlavnho menu"
 
-#: src/config/options.inc:975
+#: src/config/options.inc:1044
 msgid "Selected main menu bar item colors."
 msgstr "Farba vybratej poloky hlavnho menu."
 
-#: src/config/options.inc:977 src/config/options.inc:1006
+#: src/config/options.inc:1046 src/config/options.inc:1075
 msgid "Hotkey"
 msgstr ""
 
-#: src/config/options.inc:979
+#: src/config/options.inc:1048
 msgid "Main menu hotkey colors."
 msgstr ""
 
-#: src/config/options.inc:981 src/config/options.inc:1010
+#: src/config/options.inc:1050 src/config/options.inc:1079
 msgid "Unselected hotkey"
 msgstr ""
 
-#: src/config/options.inc:983
+#: src/config/options.inc:1052
 msgid "Main menu unselected hotkey colors."
 msgstr ""
 
-#: src/config/options.inc:985 src/config/options.inc:1014
+#: src/config/options.inc:1054 src/config/options.inc:1083
 msgid "Selected hotkey"
 msgstr ""
 
-#: src/config/options.inc:987
+#: src/config/options.inc:1056
 msgid "Main menu selected hotkey colors."
 msgstr ""
 
-#: src/config/options.inc:990
+#: src/config/options.inc:1059
 msgid "Menu bar"
 msgstr "Lita s menu"
 
-#: src/config/options.inc:992
+#: src/config/options.inc:1061
 msgid "Menu bar colors."
 msgstr "Farby lity s menu."
 
-#: src/config/options.inc:994
+#: src/config/options.inc:1063
 msgid "Unselected menu item"
 msgstr "Nevybrat poloka menu"
 
-#: src/config/options.inc:996
+#: src/config/options.inc:1065
 msgid "Unselected menu item colors."
 msgstr "Farby nevybratej poloky menu."
 
-#: src/config/options.inc:998
+#: src/config/options.inc:1067
 msgid "Selected menu item"
 msgstr "Vybrat poloka menu"
 
-#: src/config/options.inc:1000
+#: src/config/options.inc:1069
 msgid "Selected menu item colors."
 msgstr "Farby vybratej poloky menu."
 
-#: src/config/options.inc:1002
+#: src/config/options.inc:1071
 msgid "Marked menu item"
 msgstr "Oznaen poloka menu"
 
-#: src/config/options.inc:1004
+#: src/config/options.inc:1073
 msgid "Marked menu item colors."
 msgstr "Farby oznaenej poloky menu."
 
-#: src/config/options.inc:1008
+#: src/config/options.inc:1077
 msgid "Menu item hotkey colors."
 msgstr ""
 
-#: src/config/options.inc:1012
+#: src/config/options.inc:1081
 msgid "Menu item unselected hotkey colors."
 msgstr ""
 
-#: src/config/options.inc:1016
+#: src/config/options.inc:1085
 msgid "Menu item selected hotkey colors."
 msgstr ""
 
-#: src/config/options.inc:1018
+#: src/config/options.inc:1087
 msgid "Menu frame"
 msgstr "Rmek menu"
 
-#: src/config/options.inc:1020
+#: src/config/options.inc:1089
 msgid "Menu frame colors."
 msgstr "Farby rmeka menu."
 
-#: src/config/options.inc:1023
+#: src/config/options.inc:1092
 msgid "Dialog"
 msgstr "Dialg"
 
-#: src/config/options.inc:1025
+#: src/config/options.inc:1094
 msgid "Dialog colors."
 msgstr "Farby dialgovho okna."
 
-#: src/config/options.inc:1035
+#: src/config/options.inc:1104
 msgid "Generic"
 msgstr "Obecn"
 
-#: src/config/options.inc:1037
+#: src/config/options.inc:1106
 msgid "Generic dialog colors."
 msgstr "Obecn farba dialgu. "
 
-#: src/config/options.inc:1039
+#: src/config/options.inc:1108
 msgid "Frame"
 msgstr "Rmek"
 
-#: src/config/options.inc:1041
+#: src/config/options.inc:1110
 msgid "Dialog frame colors."
 msgstr "Farba rmeku dialgovho okna."
 
-#: src/config/options.inc:1043
+#: src/config/options.inc:1112
 msgid "Scrollbar"
 msgstr "Skrolovadlo"
 
-#: src/config/options.inc:1045
+#: src/config/options.inc:1114
 msgid "Scrollbar colors."
 msgstr "Farby skrolovadla."
 
-#: src/config/options.inc:1047
+#: src/config/options.inc:1116
 #, fuzzy
 msgid "Selected scrollbar"
 msgstr "Farby vybratho tabu."
 
-#: src/config/options.inc:1049
+#: src/config/options.inc:1118
 msgid "Scrollbar selected colors."
 msgstr "Farby vybranho skrolovadla."
 
-#: src/config/options.inc:1053
+#: src/config/options.inc:1122
 msgid "Dialog title colors."
 msgstr "Farba titulku dialgovho okna."
 
-#: src/config/options.inc:1055
+#: src/config/options.inc:1124
 msgid "Text"
 msgstr "Text"
 
-#: src/config/options.inc:1057
+#: src/config/options.inc:1126
 msgid "Dialog text colors."
 msgstr "Farby textu dialgovho okna."
 
-#: src/config/options.inc:1059 src/viewer/text/form.c:1862
+#: src/config/options.inc:1128 src/viewer/text/form.c:1891
 msgid "Checkbox"
 msgstr "Zakrtvac tvorek"
 
-#: src/config/options.inc:1061
+#: src/config/options.inc:1130
 msgid "Dialog checkbox colors."
 msgstr "Farby zakrtvacieho tvoreka."
 
-#: src/config/options.inc:1063
+#: src/config/options.inc:1132
 #, fuzzy
 msgid "Selected checkbox"
 msgstr "Vybrat tab"
 
-#: src/config/options.inc:1065
+#: src/config/options.inc:1134
 #, fuzzy
 msgid "Dialog selected checkbox colors."
 msgstr "Farby vybrat tlaidla."
 
-#: src/config/options.inc:1067
+#: src/config/options.inc:1136
 msgid "Checkbox label"
 msgstr "Popis zakrtvacieho tvoreka"
 
-#: src/config/options.inc:1069
+#: src/config/options.inc:1138
 msgid "Dialog checkbox label colors."
 msgstr "Farby popisu zakrtvacieho tvoreka."
 
-#: src/config/options.inc:1071
+#: src/config/options.inc:1140
 msgid "Button"
 msgstr "Tlaidlo"
 
-#: src/config/options.inc:1073 src/config/options.inc:1081
+#: src/config/options.inc:1142 src/config/options.inc:1150
 msgid "Dialog button colors."
 msgstr "Farby tlaidla."
 
-#: src/config/options.inc:1075
+#: src/config/options.inc:1144
 msgid "Selected button"
 msgstr "Vybrat tlaidlo."
 
-#: src/config/options.inc:1077 src/config/options.inc:1085
+#: src/config/options.inc:1146 src/config/options.inc:1154
 msgid "Dialog selected button colors."
 msgstr "Farby vybrat tlaidla."
 
-#: src/config/options.inc:1079
+#: src/config/options.inc:1148
 msgid "Button shortcut"
 msgstr ""
 
-#: src/config/options.inc:1083
+#: src/config/options.inc:1152
 #, fuzzy
 msgid "Selected button shortcut"
 msgstr "Vybrat tlaidlo."
 
-#: src/config/options.inc:1087 src/viewer/text/form.c:1866
+#: src/config/options.inc:1156 src/viewer/text/form.c:1895
 msgid "Text field"
 msgstr "Textov pole"
 
-#: src/config/options.inc:1089
+#: src/config/options.inc:1158
 msgid "Dialog text field colors."
 msgstr "Farby textovho poa."
 
-#: src/config/options.inc:1091
+#: src/config/options.inc:1160
 msgid "Text field text"
 msgstr "Text v textovom poli"
 
-#: src/config/options.inc:1093
+#: src/config/options.inc:1162
 msgid "Dialog field text colors."
 msgstr "Farby textu textovho poa."
 
-#: src/config/options.inc:1095
+#: src/config/options.inc:1164
 msgid "Meter"
 msgstr "Teplomer"
 
-#: src/config/options.inc:1097
+#: src/config/options.inc:1166
 msgid "Dialog meter colors."
 msgstr "Farby teplomeru dialgovho okna."
 
-#: src/config/options.inc:1099
+#: src/config/options.inc:1168
 msgid "Shadow"
 msgstr "Tie"
 
-#: src/config/options.inc:1101
+#: src/config/options.inc:1170
 msgid "Dialog shadow colors (see ui.shadows option)."
 msgstr "Farby tiea dialgovho okna."
 
-#: src/config/options.inc:1103
+#: src/config/options.inc:1172
 msgid "Title bar"
 msgstr "Lita s titulkom"
 
-#: src/config/options.inc:1105
+#: src/config/options.inc:1174
 msgid "Title bar colors."
 msgstr "Farby lity s titulkom."
 
-#: src/config/options.inc:1107
+#: src/config/options.inc:1176
 msgid "Generic title bar"
 msgstr "Obecn lita s titulkom"
 
-#: src/config/options.inc:1109
+#: src/config/options.inc:1178
 msgid "Generic title bar colors."
 msgstr "Farby obecnej lity s titulkom."
 
-#: src/config/options.inc:1111
+#: src/config/options.inc:1180
 msgid "Title bar text"
 msgstr "Text titulku"
 
-#: src/config/options.inc:1113
+#: src/config/options.inc:1182
 msgid "Title bar text colors."
 msgstr "Farby textu lity s titulkom."
 
-#: src/config/options.inc:1116
+#: src/config/options.inc:1185
 msgid "Status bar"
 msgstr "Stavov lita"
 
-#: src/config/options.inc:1118
+#: src/config/options.inc:1187
 msgid "Status bar colors."
 msgstr "Farby stavovej lity."
 
-#: src/config/options.inc:1120
+#: src/config/options.inc:1189
 msgid "Generic status bar"
 msgstr "Obecn stavov lita"
 
-#: src/config/options.inc:1122
+#: src/config/options.inc:1191
 msgid "Generic status bar colors."
 msgstr "Farby obecnej stavovej lity."
 
-#: src/config/options.inc:1124
+#: src/config/options.inc:1193
 msgid "Status bar text"
 msgstr "Text stavovej lity"
 
-#: src/config/options.inc:1126
+#: src/config/options.inc:1195
 msgid "Status bar text colors."
 msgstr "Farby textu stavovej lity."
 
-#: src/config/options.inc:1129
+#: src/config/options.inc:1198
 msgid "Tabs bar"
 msgstr "Lita s tabmi"
 
-#: src/config/options.inc:1131
+#: src/config/options.inc:1200
 msgid "Tabs bar colors."
 msgstr "Farby lity s tabmi."
 
-#: src/config/options.inc:1133
+#: src/config/options.inc:1202
 msgid "Unvisited tab"
 msgstr "Nenavtven tab"
 
-#: src/config/options.inc:1135
+#: src/config/options.inc:1204
+#, fuzzy
 msgid ""
-"Tab colors for tabs that have not been\n"
-"selected since they completed loading."
+"Tab colors for tabs that have not been selected since they completed loading."
 msgstr ""
 "Farby tabu, ktor ete nebol navtven, ale u je\n"
 "kompletne natiahnut."
 
-#: src/config/options.inc:1138
+#: src/config/options.inc:1207
 msgid "Unselected tab"
 msgstr "Nevybrat tab"
 
-#: src/config/options.inc:1140
+#: src/config/options.inc:1209
 msgid "Unselected tab colors."
 msgstr "Farby nevybratho tabu."
 
-#: src/config/options.inc:1142
+#: src/config/options.inc:1211
 msgid "Loading tab"
 msgstr "Nahrvam tab"
 
-#: src/config/options.inc:1144
+#: src/config/options.inc:1213
 msgid "Tab colors for tabs that are loading in the background."
 msgstr "Farby tabu, ktor sa prve nahrva na pozad."
 
-#: src/config/options.inc:1146
+#: src/config/options.inc:1215
 msgid "Selected tab"
 msgstr "Vybrat tab"
 
-#: src/config/options.inc:1148
+#: src/config/options.inc:1217
 msgid "Selected tab colors."
 msgstr "Farby vybratho tabu."
 
-#: src/config/options.inc:1150
+#: src/config/options.inc:1219
 msgid "Tab separator"
 msgstr "Oddeova v lite s tabmi"
 
-#: src/config/options.inc:1152
+#: src/config/options.inc:1221
 msgid "Tab separator colors."
 msgstr "Farby oddeovaov lity s tabmi."
 
-#: src/config/options.inc:1155
+#: src/config/options.inc:1224
 msgid "Searched strings"
 msgstr "Hadan reazec"
 
-#: src/config/options.inc:1157
+#: src/config/options.inc:1226
 msgid "Searched string highlight colors."
 msgstr "Farba zvraznenia vyhadanch reazcov."
 
@@ -4047,81 +4094,84 @@ msgstr "Farba zvraznenia vyhadanch re
 #. ============= BORING PART (colors) END ===================
 #. ==========================================================
 #. Keep options in alphabetical order.
-#: src/config/options.inc:1166
+#: src/config/options.inc:1235
 msgid "Dialog settings"
 msgstr "Dialgov okn"
 
-#: src/config/options.inc:1168
+#: src/config/options.inc:1237
 msgid "Dialogs-specific appearance and behaviour settings."
 msgstr "Nastavenie vzhadu a sprvania dialgovch okien."
 
-#: src/config/options.inc:1171
+#: src/config/options.inc:1240
 msgid "Minimal height of listbox widget"
 msgstr "Minimlna vka listboxu"
 
-#: src/config/options.inc:1173
+#: src/config/options.inc:1242
+#, fuzzy
 msgid ""
-"Minimal height of the listbox widget (used e.g. for bookmarks\n"
-"or global history)."
+"Minimal height of the listbox widget (used e.g. for bookmarks or global "
+"history)."
 msgstr ""
 "Minimlna vka listboxu (pouva sa napr. na zloky alebo globlnu\n"
 "histriu)."
 
-#: src/config/options.inc:1176
+#: src/config/options.inc:1245
 msgid "Drop shadows"
 msgstr "Tiene"
 
-#: src/config/options.inc:1178
+#: src/config/options.inc:1247
+#, fuzzy
 msgid ""
-"Make dialogs drop shadows (the shadows are solid, you can\n"
-"adjust their color by ui.colors.*.dialog.shadow). You may\n"
-"also want to eliminate the wide borders by adjusting setup.h."
+"Make dialogs drop shadows (the shadows are solid, you can adjust their color "
+"by ui.colors.*.dialog.shadow). You may also want to eliminate the wide "
+"borders by adjusting setup.h."
 msgstr ""
 "Zobrazova tiene dialgovch okien (tiene s nepriehadn, ich farbu je ale\n"
 "mon upravi vobami ui.colors.*.dialog.shadow). Mono budete chcie zi\n"
 "okraje dialgovch okien upravenm setup.h."
 
-#: src/config/options.inc:1182
+#: src/config/options.inc:1252
 #, fuzzy
 msgid "Underline menu hotkeys"
 msgstr "Podiarkova horce klvesy"
 
-#: src/config/options.inc:1184
+#: src/config/options.inc:1254
 #, fuzzy
 msgid ""
-"Whether to underline hotkeys in menus to make them more\n"
-"visible. Requires that underlining is enabled for the terminal."
+"Whether to underline hotkeys in menus to make them more visible. Requires "
+"that underlining is enabled for the terminal."
 msgstr ""
 "Zapn podiarkovanie horcich klves v menu aby boli viac viditen.\n"
 "Funguje to ale iba ak terminl podiarkovanie podporuje."
 
-#: src/config/options.inc:1187
+#: src/config/options.inc:1258
 #, fuzzy
 msgid "Underline button shortcuts"
 msgstr "Podiarkova horce klvesy"
 
-#: src/config/options.inc:1189
+#: src/config/options.inc:1260
 #, fuzzy
 msgid ""
-"Whether to underline button shortcuts to make them more\n"
-"visible. Requires that underlining is enabled for the terminal."
+"Whether to underline button shortcuts to make them more visible. Requires "
+"that underlining is enabled for the terminal."
 msgstr ""
 "Zapn podiarkovanie horcich klves v menu aby boli viac viditen.\n"
 "Funguje to ale iba ak terminl podiarkovanie podporuje."
 
-#: src/config/options.inc:1193
+#: src/config/options.inc:1265
 msgid "Timer options"
 msgstr "Nastavenie asovaov"
 
-#: src/config/options.inc:1195
+#: src/config/options.inc:1267
+#, fuzzy
 msgid ""
-"Timed action after certain interval of user inactivity. Someone can\n"
-"even find this useful, although you may not believe that."
+"Timed action after certain interval of user inactivity. Someone can even "
+"find this useful, although you may not believe that."
 msgstr ""
 "Naasovan akcia, ktor sa spust po uritom ase neinnosti uvatea.\n"
 "Niekomu sa to me hodi, aj ke tomu nemuste veri."
 
-#: src/config/options.inc:1201
+#: src/config/options.inc:1274
 msgid ""
 "Whether to enable the timer or not:\n"
 "0 is don't count down anything\n"
@@ -4133,7 +4183,7 @@ msgstr ""
 "1 = odpotava, ale potichu (ni neukazova)\n"
 "2 = odpotava a ukazova zostvajci as pri LED indiktoroch"
 
-#: src/config/options.inc:1208
+#: src/config/options.inc:1281
 msgid ""
 "Whether to enable the timer or not:\n"
 "0 is don't count down anything\n"
@@ -4145,34 +4195,34 @@ msgstr ""
 "1 = odpotava, ale potichu (ni neukazova)\n"
 "2 = odpotava a ukazova zostvajci as pri LED indiktoroch (VYPNUT)"
 
-#: src/config/options.inc:1214
+#: src/config/options.inc:1287
 msgid "Duration"
 msgstr "Dka trvania"
 
-#: src/config/options.inc:1216
+#: src/config/options.inc:1289
 #, fuzzy
 msgid ""
-"Inactivity timeout in seconds. The maximum of one day\n"
-"should be enough for just everyone (TM)."
+"Inactivity timeout in seconds. The maximum of one day should be enough for "
+"just everyone (TM)."
 msgstr "as neinnosti uvatea. Jeden de by mal kadmu stai (TM)."
 
-#: src/config/options.inc:1221
+#: src/config/options.inc:1294
 msgid "Keybinding action to be triggered when timer reaches zero."
 msgstr ""
 
-#: src/config/options.inc:1224
+#: src/config/options.inc:1298
 msgid "Window tabs"
 msgstr "Taby"
 
-#: src/config/options.inc:1226
+#: src/config/options.inc:1300
 msgid "Window tabs settings."
 msgstr "Nastavenie tabov."
 
-#: src/config/options.inc:1228
+#: src/config/options.inc:1302
 msgid "Display tabs bar"
 msgstr "Zobrazi litu s tabmi"
 
-#: src/config/options.inc:1230
+#: src/config/options.inc:1304
 #, fuzzy
 msgid ""
 "Show tabs bar on the screen:\n"
@@ -4185,176 +4235,175 @@ msgstr ""
 "1 znamen iba ak je otvorench 2 a viac tabov\n"
 "2 znamen vdy"
 
-#: src/config/options.inc:1235
+#: src/config/options.inc:1309
 #, fuzzy
 msgid "Tab bar at top"
 msgstr "Oddeova v lite s tabmi"
 
-#: src/config/options.inc:1237
+#: src/config/options.inc:1311
 msgid "Whether display tab bar at top like other browsers do."
 msgstr ""
 
-#: src/config/options.inc:1239
+#: src/config/options.inc:1313
 msgid "Wrap-around tabs cycling"
 msgstr "Cyklick prechdzanie medzi tabmi"
 
-#: src/config/options.inc:1241
+#: src/config/options.inc:1315
 #, fuzzy
 msgid ""
-"When moving right from the last tab, jump to the first one, and\n"
-"vice versa."
+"When moving right from the last tab, jump to the first one, and vice versa."
 msgstr ""
 "Pri presune z poslednho tabu alej doprava preskoi na prv tab a naopak."
 
-#: src/config/options.inc:1244
+#: src/config/options.inc:1318
 msgid "Confirm tab closing"
 msgstr "Potvrdzova zatvranie tabov"
 
-#: src/config/options.inc:1246
+#: src/config/options.inc:1320
 msgid "When closing a tab show confirmation dialog."
 msgstr "Pri zatvran tabu zobrazi potvrdzovac dialg."
 
 #. OPT_LANGUAGE
-#: src/config/options.inc:1250 src/config/opttypes.c:483
+#: src/config/options.inc:1324 src/config/opttypes.c:483
 msgid "Language"
 msgstr "Jazyk"
 
-#: src/config/options.inc:1252
+#: src/config/options.inc:1326
 #, fuzzy
 msgid ""
-"Language of user interface. 'System' means that the language will\n"
-"be extracted from the environment dynamically."
+"Language of user interface. 'System' means that the language will be "
+"extracted from the environment dynamically."
 msgstr ""
 "Jazyk pouvateskho rozhrania. \"System\" znamen, e jazyk bude\n"
 "pri kadom spusten zisovan z premennch prostredia."
 
-#: src/config/options.inc:1255
+#: src/config/options.inc:1330
 #, fuzzy
 msgid "Display menu bar always"
 msgstr "Zobrazi riadok s titulkom"
 
-#: src/config/options.inc:1257
+#: src/config/options.inc:1332
 #, fuzzy
 msgid "Always show menu bar on the screen."
 msgstr "Zobrazi na obrazovke riadok s titulkom."
 
-#: src/config/options.inc:1259
+#: src/config/options.inc:1334
 msgid "Display status bar"
 msgstr "Zobrazi stavov riadok"
 
-#: src/config/options.inc:1261
+#: src/config/options.inc:1336
 msgid "Show status bar on the screen."
 msgstr "Zobrazi na obrazovke stavov riadok."
 
-#: src/config/options.inc:1263
+#: src/config/options.inc:1338
 msgid "Display title bar"
 msgstr "Zobrazi riadok s titulkom"
 
-#: src/config/options.inc:1265
+#: src/config/options.inc:1340
 msgid "Show title bar on the screen."
 msgstr "Zobrazi na obrazovke riadok s titulkom."
 
-#: src/config/options.inc:1267
+#: src/config/options.inc:1342
 #, fuzzy
 msgid "Display goto dialog in new tabs"
 msgstr "Pri tarte zobrazi dialg \"Cho na\""
 
-#: src/config/options.inc:1269
+#: src/config/options.inc:1344
 msgid ""
-"Pop up goto dialog in newly created tabs when there's no homepage\n"
-"set. This means also showing goto dialog on startup."
+"Pop up goto dialog in newly created tabs when there's no homepage set. This "
+"means also showing goto dialog on startup."
 msgstr ""
 
-#: src/config/options.inc:1272
+#: src/config/options.inc:1348
 #, fuzzy
 msgid "Show a message box when file is saved successfully"
 msgstr "Zobraz dialgov okienko ke bol sbor spene uloen"
 
-#: src/config/options.inc:1274
+#: src/config/options.inc:1350
 msgid ""
-"When you pressed a [ Save ] button in some manager, this option\n"
-"will make sure that a box confirming success of the operation will\n"
-"pop up."
+"When you pressed a [ Save ] button in some manager, this option will make "
+"sure that a box confirming success of the operation will pop up."
 msgstr ""
 
-#: src/config/options.inc:1279
+#: src/config/options.inc:1355
 msgid "Sessions"
 msgstr "Sedenia"
 
-#: src/config/options.inc:1281
+#: src/config/options.inc:1357
 msgid "Sessions settings."
 msgstr "Nastavenie seden"
 
-#: src/config/options.inc:1283
+#: src/config/options.inc:1359
 #, fuzzy
 msgid "Keep session active"
 msgstr "Rozliova vekos psmen"
 
-#: src/config/options.inc:1285
+#: src/config/options.inc:1361
 msgid "Keep the session active even if the last terminal exits."
 msgstr ""
 
-#: src/config/options.inc:1287
+#: src/config/options.inc:1364
 msgid "Auto save session"
 msgstr ""
 
-#: src/config/options.inc:1289
+#: src/config/options.inc:1366
 msgid ""
 "Automatically save the session when quitting.\n"
+"\n"
 "This feature requires bookmark support."
 msgstr ""
 
-#: src/config/options.inc:1292
+#: src/config/options.inc:1370
 msgid "Auto restore session"
 msgstr ""
 
-#: src/config/options.inc:1294
+#: src/config/options.inc:1372
 msgid ""
 "Automatically restore the session at start.\n"
+"\n"
 "This feature requires bookmark support."
 msgstr ""
 
-#: src/config/options.inc:1297
+#: src/config/options.inc:1376
 msgid "Auto save and restore session folder name"
 msgstr ""
 
-#: src/config/options.inc:1299
+#: src/config/options.inc:1378
 msgid ""
-"Name of the bookmarks folder used for auto saving and restoring session.\n"
-"The name has to be unique. Any folders with the same name will be deleted.\n"
+"Name of the bookmarks folder used for auto saving and restoring session. The "
+"name has to be unique. Any folders with the same name will be deleted.\n"
+"\n"
 "This only makes sense with bookmark support."
 msgstr ""
 
-#: src/config/options.inc:1303
+#: src/config/options.inc:1384
 msgid "Homepage URI"
 msgstr ""
 
-#: src/config/options.inc:1305
+#: src/config/options.inc:1386
 msgid ""
-"The URI to load either at startup time when no URI was given\n"
-"on the command line or when requested by the goto-url-home action.\n"
-"Set to \"\" if the environment variable WWW_HOME should be used\n"
-"as homepage URI instead."
+"The URI to load either at startup time when no URI was given on the command "
+"line or when requested by the goto-url-home action. Set to \"\" if the "
+"environment variable WWW_HOME should be used as homepage URI instead."
 msgstr ""
 
-#: src/config/options.inc:1311
+#: src/config/options.inc:1392
 #, fuzzy
 msgid "Date format"
 msgstr "Formt sboru"
 
-#: src/config/options.inc:1313
+#: src/config/options.inc:1394
 msgid "Date format to use in dialogs. See strftime(3)."
 msgstr ""
 
-#: src/config/options.inc:1316
+#: src/config/options.inc:1397
 msgid "Set window title"
 msgstr "Nastavi titulok okna"
 
-#: src/config/options.inc:1318
+#: src/config/options.inc:1399
 msgid ""
-"Set the window title when running in a windowing environment\n"
-"in an xterm-like terminal. This way the document's title is\n"
-"shown on the window titlebar."
+"Set the window title when running in a windowing environment in an xterm-"
+"like terminal. This way the document's title is shown on the window titlebar."
 msgstr ""
 
 #: src/config/opttypes.c:54
@@ -4438,7 +4487,7 @@ msgid "Goto URL History"
 msgstr "Globlna histria"
 
 #. name:
-#: src/cookies/cookies.c:88 src/cookies/cookies.c:911
+#: src/cookies/cookies.c:88 src/cookies/cookies.c:913
 msgid "Cookies"
 msgstr ""
 
@@ -4466,10 +4515,10 @@ msgstr "Maximlny vek"
 msgid ""
 "Cookie maximum age (in days):\n"
 "-1 is use cookie's expiration date if any\n"
-"0  is force expiration at the end of session, ignoring cookie's\n"
-"   expiration date\n"
-"1+ is use cookie's expiration date, but limit age to the given\n"
-"   number of days"
+"0  is force expiration at the end of session, ignoring\n"
+"   cookie's expiration date\n"
+"1+ is use cookie's expiration date, but limit age to the\n"
+"   given number of days"
 msgstr ""
 
 #: src/cookies/cookies.c:109
@@ -4478,41 +4527,41 @@ msgstr "Paranoidn bezpenos"
 
 #: src/cookies/cookies.c:111
 msgid ""
-"When enabled, we'll require three dots in cookies domain for all\n"
-"non-international domains (instead of just two dots). Some countries\n"
-"have generic second level domains (eg. .com.pl, .co.uk) and allowing\n"
-"sites to set cookies for these generic domains could potentially be\n"
-"very bad. Note, it is off by default as it breaks a lot of sites."
+"When enabled, we'll require three dots in cookies domain for all non-"
+"international domains (instead of just two dots). Some countries have "
+"generic second level domains (eg. .com.pl, .co.uk) and allowing sites to set "
+"cookies for these generic domains could potentially be very bad. Note, it is "
+"off by default as it breaks a lot of sites."
 msgstr ""
 
-#: src/cookies/cookies.c:117
+#: src/cookies/cookies.c:118
 msgid "Saving"
 msgstr "Ukladanie"
 
-#: src/cookies/cookies.c:119
+#: src/cookies/cookies.c:120
 msgid "Whether cookies should be loaded from and saved to disk."
 msgstr ""
 
-#: src/cookies/cookies.c:121
+#: src/cookies/cookies.c:123
 msgid "Resaving"
 msgstr ""
 
-#: src/cookies/cookies.c:123
+#: src/cookies/cookies.c:125
 msgid ""
-"Save cookies after each change in cookies list? No effect when\n"
-"cookie saving (cookies.save) is off."
+"Save cookies after each change in cookies list? No effect when cookie saving "
+"(cookies.save) is off."
 msgstr ""
 
-#: src/cookies/cookies.c:817
+#: src/cookies/cookies.c:819
 #, fuzzy
 msgid "Cannot save cookies"
 msgstr "Vymaza vetky poloky"
 
-#: src/cookies/cookies.c:828
+#: src/cookies/cookies.c:830
 msgid "ELinks was started without a home directory."
 msgstr ""
 
-#: src/cookies/cookies.c:834
+#: src/cookies/cookies.c:836
 msgid "ELinks was started with the -anonymous option."
 msgstr ""
 
@@ -4724,7 +4773,7 @@ msgid "No header info."
 msgstr ""
 
 #: src/dialogs/download.c:243 src/dialogs/menu.c:601
-#: src/protocol/bittorrent/dialogs.c:228 src/session/download.c:361
+#: src/protocol/bittorrent/dialogs.c:228 src/session/download.c:387
 msgid "Download"
 msgstr "Sahovanie"
 
@@ -5562,7 +5611,7 @@ msgid "No document"
 msgstr "iadny dokument"
 
 #. name:
-#: src/document/css/css.c:30 src/document/css/css.c:161
+#: src/document/css/css.c:30 src/document/css/css.c:164
 msgid "Cascading Style Sheets"
 msgstr ""
 
@@ -5571,37 +5620,37 @@ msgstr ""
 msgid "Options concerning how to use CSS for styling documents."
 msgstr "Nastavenia pre zaobchdzanie s odkazmi na in dokumenty."
 
-#: src/document/css/css.c:34
+#: src/document/css/css.c:35
 #, fuzzy
 msgid "Enable CSS"
 msgstr "Zapn"
 
-#: src/document/css/css.c:36
+#: src/document/css/css.c:37
 msgid "Enable adding of CSS style info to documents."
 msgstr ""
 
-#: src/document/css/css.c:38
+#: src/document/css/css.c:39
 msgid "Import external style sheets"
 msgstr ""
 
-#: src/document/css/css.c:40
+#: src/document/css/css.c:41
 msgid ""
-"When enabled any external style sheets that are imported from\n"
-"either CSS itself using the @import keyword or from the HTML using\n"
-"<link> tags in the document header will also be downloaded."
+"When enabled any external style sheets that are imported from either CSS "
+"itself using the @import keyword or from the HTML using <link> tags in the "
+"document header will also be downloaded."
 msgstr ""
 
-#: src/document/css/css.c:44
+#: src/document/css/css.c:46
 #, fuzzy
 msgid "Default style sheet"
 msgstr "tandardn nastavenie farieb"
 
-#: src/document/css/css.c:46
+#: src/document/css/css.c:48
 msgid ""
-"The path to the file containing the default user defined\n"
-"Cascading Style Sheet. It can be used to control the basic\n"
-"layout of HTML documents. The path is assumed to be relative\n"
-"to ELinks' home directory.\n"
+"The path to the file containing the default user defined Cascading Style "
+"Sheet. It can be used to control the basic layout of HTML documents. The "
+"path is assumed to be relative to ELinks' home directory.\n"
+"\n"
 "Leave as \"\" to use built-in document styling."
 msgstr ""
 
@@ -5633,8 +5682,8 @@ msgstr ""
 
 #: src/ecmascript/ecmascript.c:55
 msgid ""
-"Whether to ignore content enclosed by the <noscript> tag\n"
-"when ECMAScript is enabled."
+"Whether to ignore content enclosed by the <noscript> tag when ECMAScript is "
+"enabled."
 msgstr ""
 
 #: src/ecmascript/ecmascript.c:58
@@ -5686,7 +5735,7 @@ msgid "JavaScript Error"
 msgstr ""
 
 #. name:
-#: src/ecmascript/spidermonkey.c:320
+#: src/ecmascript/spidermonkey.c:321
 msgid "SpiderMonkey"
 msgstr ""
 
@@ -5785,9 +5834,8 @@ msgstr "Zobrazi dialg na zapamtanie f
 
 #: src/formhist/formhist.c:38
 msgid ""
-"Ask if a login form should be saved to file or not.\n"
-"This option only disables the dialog, already saved login\n"
-"forms are unaffected."
+"Ask if a login form should be saved to file or not. This option only "
+"disables the dialog, already saved login forms are unaffected."
 msgstr ""
 
 #: src/formhist/formhist.c:426
@@ -5889,19 +5937,19 @@ msgstr "Nastavenie globlnej histrie."
 msgid "Enable global history (\"history of all pages visited\")."
 msgstr ""
 
-#: src/globhist/globhist.c:68
+#: src/globhist/globhist.c:69
 msgid "Maximum number of entries"
 msgstr ""
 
-#: src/globhist/globhist.c:70
+#: src/globhist/globhist.c:71
 msgid "Maximum number of entries in the global history."
 msgstr ""
 
-#: src/globhist/globhist.c:72
+#: src/globhist/globhist.c:73
 msgid "Display style"
 msgstr "tl zobrazenia"
 
-#: src/globhist/globhist.c:74
+#: src/globhist/globhist.c:75
 msgid ""
 "What to display in global history dialog:\n"
 "0 is URLs\n"
@@ -5909,7 +5957,7 @@ msgid ""
 msgstr ""
 
 #. name:
-#: src/globhist/globhist.c:451
+#: src/globhist/globhist.c:449
 msgid "Global History"
 msgstr "Globlna histria"
 
@@ -6132,98 +6180,92 @@ msgstr ""
 
 #: src/mime/backend/default.c:27
 msgid ""
-"Handler <-> MIME type association. The first sub-tree is the MIME\n"
-"class while the second sub-tree is the MIME type (ie. image/gif\n"
-"handler will reside at mime.type.image.gif). Each MIME type option\n"
-"should contain (case-sensitive) name of the MIME handler (its\n"
-"properties are stored at mime.handler.<name>)."
+"Handler <-> MIME type association. The first sub-tree is the MIME class "
+"while the second sub-tree is the MIME type (ie. image/gif handler will "
+"reside at mime.type.image.gif). Each MIME type option should contain (case-"
+"sensitive) name of the MIME handler (its properties are stored at mime."
+"handler.<name>)."
 msgstr ""
 
-#: src/mime/backend/default.c:35
+#: src/mime/backend/default.c:36
 msgid ""
-"Handler matching this MIME-type class ('*' is used here in place\n"
-"of '.')."
+"Handler matching this MIME-type class ('*' is used here in place of '.')."
 msgstr ""
 
-#: src/mime/backend/default.c:40
+#: src/mime/backend/default.c:41
 msgid ""
-"Handler matching this MIME-type name ('*' is used here in place\n"
-"of '.')."
+"Handler matching this MIME-type name ('*' is used here in place of '.')."
 msgstr ""
 
-#: src/mime/backend/default.c:44
+#: src/mime/backend/default.c:45
 msgid "File type handlers"
 msgstr ""
 
-#: src/mime/backend/default.c:46
+#: src/mime/backend/default.c:47
 msgid ""
-"A file type handler is a set of information about how to use\n"
-"an external program to view a file. It is possible to refer to it\n"
-"for several MIME types -- e.g., you can define an 'image' handler\n"
-"to which mime.type.image.png, mime.type.image.jpeg, and so on will\n"
-"refer; or one might define a handler for a more specific type of file\n"
-"-- e.g., PDF files.\n"
-"Note you must define both a MIME handler and a MIME type association\n"
-"for it to work."
+"A file type handler is a set of information about how to use an external "
+"program to view a file. It is possible to refer to it for several MIME types "
+"-- e.g., you can define an 'image' handler to which mime.type.image.png, "
+"mime.type.image.jpeg, and so on will refer; or one might define a handler "
+"for a more specific type of file -- e.g., PDF files. Note you must define "
+"both a MIME handler and a MIME type association for it to work."
 msgstr ""
 
-#: src/mime/backend/default.c:57
+#: src/mime/backend/default.c:58
 msgid "Description of this handler."
 msgstr ""
 
-#: src/mime/backend/default.c:61
+#: src/mime/backend/default.c:62
 msgid "System-specific handler description (ie. unix, unix-xwin, ...)."
 msgstr ""
 
-#: src/mime/backend/default.c:63 src/mime/backend/mailcap.c:102
+#: src/mime/backend/default.c:65 src/mime/backend/mailcap.c:102
 msgid "Ask before opening"
 msgstr ""
 
-#: src/mime/backend/default.c:65
+#: src/mime/backend/default.c:67
 msgid "Ask before opening."
 msgstr ""
 
-#: src/mime/backend/default.c:67
+#: src/mime/backend/default.c:69
 msgid "Block terminal"
 msgstr "Zablokova terminl"
 
-#: src/mime/backend/default.c:69
+#: src/mime/backend/default.c:71
 msgid "Block the terminal when the handler is running."
 msgstr ""
 
-#: src/mime/backend/default.c:71
+#: src/mime/backend/default.c:73
 msgid "Program"
 msgstr "Program"
 
-#: src/mime/backend/default.c:74
+#: src/mime/backend/default.c:76
 #, no-c-format
 msgid ""
-"External viewer for this file type. '%' in this string will be\n"
-"substituted by a file name.\n"
-"Do _not_ put single- or double-quotes around the % sign."
+"External viewer for this file type. '%' in this string will be substituted "
+"by a file name. Do _not_ put single- or double-quotes around the % sign."
 msgstr ""
 
-#: src/mime/backend/default.c:79
+#: src/mime/backend/default.c:81
 msgid "File extension associations"
 msgstr "Asocicie prpon sborov"
 
-#: src/mime/backend/default.c:81
+#: src/mime/backend/default.c:83
 msgid "Extension <-> MIME type association."
 msgstr ""
 
-#: src/mime/backend/default.c:85
+#: src/mime/backend/default.c:87
 msgid ""
-"MIME-type matching this file extension ('*' is used here in place\n"
-"of '.')."
+"MIME-type matching this file extension ('*' is used here in place of '.')."
 msgstr ""
 
 #. name:
-#: src/mime/backend/default.c:216
+#: src/mime/backend/default.c:218
 msgid "Option system"
 msgstr ""
 
 #. name:
-#: src/mime/backend/mailcap.c:89 src/mime/backend/mailcap.c:684
+#: src/mime/backend/mailcap.c:89 src/mime/backend/mailcap.c:686
 msgid "Mailcap"
 msgstr ""
 
@@ -6237,8 +6279,8 @@ msgstr ""
 
 #: src/mime/backend/mailcap.c:99
 msgid ""
-"Mailcap search path. Colon-separated list of files.\n"
-"Leave as \"\" to use MAILCAP environment variable instead."
+"Mailcap search path. Colon-separated list of files. Leave as \"\" to use "
+"MAILCAP environment variable instead."
 msgstr ""
 
 #: src/mime/backend/mailcap.c:104
@@ -6251,39 +6293,38 @@ msgstr ""
 
 #: src/mime/backend/mailcap.c:108
 msgid ""
-"Type of description to show in \"what to do with this file\"\n"
-"query dialog:\n"
+"Type of description to show in \"what to do with this file\" query dialog:\n"
 "0 is show \"mailcap\"\n"
 "1 is show program to be run\n"
-"2 is show mailcap description field if any; \"mailcap\" otherwise"
+"2 is show mailcap description field if any;\n"
+"     \"mailcap\" otherwise"
 msgstr ""
 
-#: src/mime/backend/mailcap.c:114
+#: src/mime/backend/mailcap.c:115
 msgid "Prioritize entries by file"
 msgstr ""
 
-#: src/mime/backend/mailcap.c:116
+#: src/mime/backend/mailcap.c:117
 msgid ""
-"Prioritize entries by the order of the files in the mailcap\n"
-"path. This means that wildcard entries (like: image/*) will\n"
-"also be checked before deciding the handler."
+"Prioritize entries by the order of the files in the mailcap path. This means "
+"that wildcard entries (like: image/*) will also be checked before deciding "
+"the handler."
 msgstr ""
 
-#: src/mime/backend/mailcap.c:349
+#: src/mime/backend/mailcap.c:351
 #, c-format
 msgid "Badly formated mailcap entry for type %s in \"%s\" line %d"
 msgstr ""
 
 #. name:
-#: src/mime/backend/mimetypes.c:46 src/mime/backend/mimetypes.c:279
+#: src/mime/backend/mimetypes.c:46 src/mime/backend/mimetypes.c:280
 msgid "Mimetypes files"
 msgstr ""
 
 #: src/mime/backend/mimetypes.c:48
 msgid ""
-"Options for the support of mime.types files. These files\n"
-"can be used to find the content type of a URL by looking at\n"
-"the extension of the file name."
+"Options for the support of mime.types files. These files can be used to find "
+"the content type of a URL by looking at the extension of the file name."
 msgstr ""
 
 #: src/mime/backend/mimetypes.c:54
@@ -6320,7 +6361,7 @@ msgid "No extensions"
 msgstr "iadne prpony"
 
 #. name:
-#: src/mime/mime.c:38 src/mime/mime.c:360
+#: src/mime/mime.c:38 src/mime/mime.c:361
 msgid "MIME"
 msgstr ""
 
@@ -6334,8 +6375,8 @@ msgstr ""
 
 #: src/mime/mime.c:44
 msgid ""
-"Document MIME-type to assume by default (when we are unable to\n"
-"guess it properly from known information about the document)."
+"Document MIME-type to assume by default (when we are unable to guess it "
+"properly from known information about the document)."
 msgstr ""
 
 #: src/network/ssl/ssl.c:72 src/network/ssl/ssl.c:161
@@ -6344,8 +6385,8 @@ msgstr ""
 
 #: src/network/ssl/ssl.c:74
 msgid ""
-"Verify the peer's SSL certificate. Note that this\n"
-"needs extensive configuration of OpenSSL by the user."
+"Verify the peer's SSL certificate. Note that this needs extensive "
+"configuration of OpenSSL by the user."
 msgstr ""
 
 #: src/network/ssl/ssl.c:77
@@ -6358,8 +6399,8 @@ msgstr "Nastavenia klientskeho X509 cert
 
 #: src/network/ssl/ssl.c:83
 msgid ""
-"Enable or not the sending of X509 client certificates\n"
-"to servers which request them."
+"Enable or not the sending of X509 client certificates to servers which "
+"request them."
 msgstr ""
 
 #: src/network/ssl/ssl.c:86
@@ -6368,16 +6409,15 @@ msgstr "Sbor s certifiktom"
 
 #: src/network/ssl/ssl.c:88
 msgid ""
-"The location of a file containing the client certificate\n"
-"and unencrypted private key in PEM format. If unset, the\n"
-"file pointed to by the X509_CLIENT_CERT variable is used\n"
-"instead."
+"The location of a file containing the client certificate and unencrypted "
+"private key in PEM format. If unset, the file pointed to by the "
+"X509_CLIENT_CERT variable is used instead."
 msgstr ""
 
 #: src/network/ssl/ssl.c:163
 msgid ""
-"Verify the peer's SSL certificate.  If you enable\n"
-"this, set also \"Trusted CA file\"."
+"Verify the peer's SSL certificate.  If you enable this, set also \"Trusted "
+"CA file\"."
 msgstr ""
 
 #. The default value of the following option points to a file
@@ -6395,20 +6435,20 @@ msgstr "Prenam"
 
 #: src/network/ssl/ssl.c:176
 msgid ""
-"The location of a file containing certificates of\n"
-"trusted certification authorities in PEM format.\n"
-"ELinks then trusts certificates issued by these CAs.\n"
-"If you change this option or the file, you must\n"
-"restart ELinks for the changes to take effect.\n"
-"This option affects GnuTLS but not OpenSSL."
+"The location of a file containing certificates of trusted certification "
+"authorities in PEM format. ELinks then trusts certificates issued by these "
+"CAs.\n"
+"\n"
+"If you change this option or the file, you must restart ELinks for the "
+"changes to take effect. This option affects GnuTLS but not OpenSSL."
 msgstr ""
 
 #. name:
-#: src/network/ssl/ssl.c:199 src/network/ssl/ssl.c:216
+#: src/network/ssl/ssl.c:200 src/network/ssl/ssl.c:217
 msgid "SSL"
 msgstr "SSL"
 
-#: src/network/ssl/ssl.c:201
+#: src/network/ssl/ssl.c:202
 msgid "SSL options."
 msgstr "Nastavenie SSL."
 
@@ -6742,7 +6782,7 @@ msgstr "Pre %s na %s je potrebn autenti
 msgid "Login"
 msgstr "Uvatesk meno"
 
-#: src/protocol/auth/dialogs.c:113 src/protocol/http/http.c:140
+#: src/protocol/auth/dialogs.c:113 src/protocol/http/http.c:142
 msgid "Password"
 msgstr "Heslo"
 
@@ -6819,7 +6859,7 @@ msgstr "HTTP Autentizcia"
 
 #. name:
 #: src/protocol/bittorrent/bittorrent.c:26
-#: src/protocol/bittorrent/bittorrent.c:335
+#: src/protocol/bittorrent/bittorrent.c:339
 msgid "BitTorrent"
 msgstr ""
 
@@ -6875,9 +6915,8 @@ msgstr ""
 
 #: src/protocol/bittorrent/bittorrent.c:57
 msgid ""
-"Whether to request that the tracker returns peer info\n"
-"in compact format. Note, the compact format only supports\n"
-"IPv4 addresses."
+"Whether to request that the tracker returns peer info in compact format. "
+"Note, the compact format only supports IPv4 addresses."
 msgstr ""
 
 #: src/protocol/bittorrent/bittorrent.c:61
@@ -6886,57 +6925,55 @@ msgstr ""
 
 #: src/protocol/bittorrent/bittorrent.c:63
 msgid ""
-"The number of seconds to wait between periodically contacting\n"
-"the tracker for announcing progress and requesting more peers.\n"
-"Set to zero to use the interval requested by the tracker."
+"The number of seconds to wait between periodically contacting the tracker "
+"for announcing progress and requesting more peers. Set to zero to use the "
+"interval requested by the tracker."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:67
+#: src/protocol/bittorrent/bittorrent.c:68
 msgid "IP-address to announce"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:69
+#: src/protocol/bittorrent/bittorrent.c:70
 msgid ""
-"What IP address to report to the tracker. If set to \"\"\n"
-"no IP address will be sent and the tracker will automatically\n"
-"determine an appropriate IP address."
+"What IP address to report to the tracker. If set to \"\" no IP address will "
+"be sent and the tracker will automatically determine an appropriate IP "
+"address."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:73
+#: src/protocol/bittorrent/bittorrent.c:74
 #, fuzzy
 msgid "User identification string"
 msgstr "Identifikcia prehliadaa"
 
-#: src/protocol/bittorrent/bittorrent.c:75
+#: src/protocol/bittorrent/bittorrent.c:76
 msgid ""
-"An additional identification that is not shared with any users.\n"
-"It is intended to allow a client to prove their identity should\n"
-"their IP address change. It is an optional parameter, but some\n"
-"trackers require this parameter. If set to \"\" no user key will\n"
-"be sent to the tracker."
+"An additional identification that is not shared with any users. It is "
+"intended to allow a client to prove their identity should their IP address "
+"change. It is an optional parameter, but some trackers require this "
+"parameter. If set to \"\" no user key will be sent to the tracker."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:81
+#: src/protocol/bittorrent/bittorrent.c:82
 #, fuzzy
 msgid "Maximum number of peers to request"
 msgstr "Maximlny poet paralelnch spojen na jeden server."
 
-#: src/protocol/bittorrent/bittorrent.c:83
+#: src/protocol/bittorrent/bittorrent.c:84
 msgid ""
-"The maximum number of peers to request from the tracker.\n"
-"Set to 0 to use the server default."
+"The maximum number of peers to request from the tracker. Set to 0 to use the "
+"server default."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:86
+#: src/protocol/bittorrent/bittorrent.c:87
 msgid "Minimum peers to skip rerequesting"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:88
+#: src/protocol/bittorrent/bittorrent.c:89
 msgid ""
-"The minimum number of peers to have in the current peer info\n"
-"pool before skipping requesting of more peers. I.e. setting\n"
-"numwant to zero.\n"
-"Set to 0 to not have any limit."
+"The minimum number of peers to have in the current peer info pool before "
+"skipping requesting of more peers. I.e. setting numwant to zero. Set to 0 to "
+"not have any limit."
 msgstr ""
 
 #. ******************************************************************
@@ -6957,184 +6994,179 @@ msgstr "Maximlny poet sasnch spojen
 
 #: src/protocol/bittorrent/bittorrent.c:104
 msgid ""
-"The maximum number of allowed connections to both active and\n"
-"non-active peers. By increasing the number of allowed connections,\n"
-"the chance of finding good peers to download from is increased.\n"
-"However, too many connections can lead to TCP congestion. If the\n"
-"maximum is reached all new incoming connections will be closed."
+"The maximum number of allowed connections to both active and non-active "
+"peers. By increasing the number of allowed connections, the chance of "
+"finding good peers to download from is increased. However, too many "
+"connections can lead to TCP congestion. If the maximum is reached all new "
+"incoming connections will be closed."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:110
+#: src/protocol/bittorrent/bittorrent.c:111
 msgid "Maximum peer message length"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:112
+#: src/protocol/bittorrent/bittorrent.c:113
 msgid ""
-"The maximum length of messages to accept over the wire.\n"
-"Larger values will cause the connection to be dropped."
+"The maximum length of messages to accept over the wire. Larger values will "
+"cause the connection to be dropped."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:115
+#: src/protocol/bittorrent/bittorrent.c:116
 msgid "Maximum allowed request length"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:117
+#: src/protocol/bittorrent/bittorrent.c:118
 msgid ""
-"The maximum length to allow for incoming requests.\n"
-"Larger requests will cause the connection to be dropped."
+"The maximum length to allow for incoming requests. Larger requests will "
+"cause the connection to be dropped."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:120
+#: src/protocol/bittorrent/bittorrent.c:121
 msgid "Length of requests"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:122
+#: src/protocol/bittorrent/bittorrent.c:123
 msgid ""
-"How many bytes to query for per request. This is complementary\n"
-"to the max_request_length option. If the configured length is\n"
-"bigger than the piece length it will be truncated."
+"How many bytes to query for per request. This is complementary to the "
+"max_request_length option. If the configured length is bigger than the piece "
+"length it will be truncated."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:126
+#: src/protocol/bittorrent/bittorrent.c:128
 #, fuzzy
 msgid "Peer inactivity timeout"
 msgstr "as vypral"
 
-#: src/protocol/bittorrent/bittorrent.c:128
+#: src/protocol/bittorrent/bittorrent.c:130
 msgid ""
-"The number of seconds to wait before closing a socket on\n"
-"which nothing has been received or sent."
+"The number of seconds to wait before closing a socket on which nothing has "
+"been received or sent."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:131
+#: src/protocol/bittorrent/bittorrent.c:133
 #, fuzzy
 msgid "Maximum peer pool size"
 msgstr "Maximum spojen"
 
-#: src/protocol/bittorrent/bittorrent.c:133
+#: src/protocol/bittorrent/bittorrent.c:135
 msgid ""
-"Maximum number of items in the peer pool. The peer pool\n"
-"contains information used for establishing connections to\n"
-"new peers.\n"
+"Maximum number of items in the peer pool. The peer pool contains information "
+"used for establishing connections to new peers.\n"
+"\n"
 "Set to 0 to have unlimited size."
 msgstr ""
 
 #. ******************************************************************
 #. Piece management options:
 #. ******************************************************************
-#: src/protocol/bittorrent/bittorrent.c:143
+#: src/protocol/bittorrent/bittorrent.c:146
 #, fuzzy
 msgid "Maximum piece cache size"
 msgstr "Maximum spojen"
 
-#: src/protocol/bittorrent/bittorrent.c:145
+#: src/protocol/bittorrent/bittorrent.c:148
 msgid ""
-"The maximum amount of memory used to hold recently\n"
-"downloaded pieces.\n"
+"The maximum amount of memory used to hold recently downloaded pieces.\n"
+"\n"
 "Set to 0 to have unlimited size."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:154
+#: src/protocol/bittorrent/bittorrent.c:158
 #, fuzzy
 msgid "Sharing rate"
 msgstr "Spsob ukladania"
 
-#: src/protocol/bittorrent/bittorrent.c:156
+#: src/protocol/bittorrent/bittorrent.c:160
 msgid ""
-"The minimum sharing rate to achieve before stop seeding.\n"
-"The sharing rate is computed as the number of uploaded bytes\n"
-"divided with the number of downloaded bytes. The value should\n"
-"be a double value between 0.0 and 1.0 both included.\n"
-"Set to 1.0 to atleast upload a complete copy of all data and\n"
+"The minimum sharing rate to achieve before stop seeding. The sharing rate is "
+"computed as the number of uploaded bytes divided with the number of "
+"downloaded bytes. The value should be a double value between 0.0 and 1.0 "
+"both included. Set to 1.0 to atleast upload a complete copy of all data and "
 "set to 0.0 to have unlimited sharing rate."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:163
+#: src/protocol/bittorrent/bittorrent.c:167
 #, fuzzy
 msgid "Maximum number of uploads"
 msgstr "Maximlny poet sasnch spojen."
 
-#: src/protocol/bittorrent/bittorrent.c:165
+#: src/protocol/bittorrent/bittorrent.c:169
 msgid "The maximum number of uploads to allow at once."
 msgstr ""
 
 #. The number of uploads to fill out to with extra optimistic unchokes
-#: src/protocol/bittorrent/bittorrent.c:168
+#: src/protocol/bittorrent/bittorrent.c:172
 msgid "Minimum number of uploads"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:170
+#: src/protocol/bittorrent/bittorrent.c:174
 msgid ""
-"The minimum number of uploads which should at least\n"
-"be used for new connections."
+"The minimum number of uploads which should at least be used for new "
+"connections."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:174
+#: src/protocol/bittorrent/bittorrent.c:178
 #, fuzzy
 msgid "Keepalive interval"
 msgstr "Interval automatickho ukladania"
 
-#: src/protocol/bittorrent/bittorrent.c:176
-msgid ""
-"The number of seconds to pause between sending keepalive\n"
-"messages."
+#: src/protocol/bittorrent/bittorrent.c:180
+msgid "The number of seconds to pause between sending keepalive messages."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:179
+#: src/protocol/bittorrent/bittorrent.c:183
 #, fuzzy
 msgid "Number of pending requests"
 msgstr "Server spracovva iados"
 
-#: src/protocol/bittorrent/bittorrent.c:181
+#: src/protocol/bittorrent/bittorrent.c:185
 msgid ""
-"How many piece requests to continuously keep in queue. Pipelining\n"
-"of requests is essential to saturate connections and get a good\n"
-"connection performance and thus a faster download. However, a\n"
-"very big queue size can lead to wasting bandwidth near the end\n"
-"of the connection since remaining piece blocks will be requested\n"
-"from multiple peers."
+"How many piece requests to continuously keep in queue. Pipelining of "
+"requests is essential to saturate connections and get a good connection "
+"performance and thus a faster download. However, a very big queue size can "
+"lead to wasting bandwidth near the end of the connection since remaining "
+"piece blocks will be requested from multiple peers."
 msgstr ""
 
 #. Bram uses 30 seconds here.
-#: src/protocol/bittorrent/bittorrent.c:190
+#: src/protocol/bittorrent/bittorrent.c:194
 msgid "Peer snubbing interval"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:192
+#: src/protocol/bittorrent/bittorrent.c:196
 msgid ""
-"The number of seconds to wait for file data before assuming\n"
-"the peer has been snubbed."
+"The number of seconds to wait for file data before assuming the peer has "
+"been snubbed."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:195
+#: src/protocol/bittorrent/bittorrent.c:199
 #, fuzzy
 msgid "Peer choke interval"
 msgstr "Interval automatickho ukladania"
 
-#: src/protocol/bittorrent/bittorrent.c:197
+#: src/protocol/bittorrent/bittorrent.c:201
 msgid ""
-"The number of seconds between updating the connection state\n"
-"and most importantly choke and unchoke peer connections. The\n"
-"choke period should be big enough for newly unchoked connections\n"
-"to get started but small enough to not allow freeriders too much\n"
-"room for stealing bandwidth."
+"The number of seconds between updating the connection state and most "
+"importantly choke and unchoke peer connections. The choke period should be "
+"big enough for newly unchoked connections to get started but small enough to "
+"not allow freeriders too much room for stealing bandwidth."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:203
+#: src/protocol/bittorrent/bittorrent.c:207
 msgid "Rarest first piece selection cutoff"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:205
+#: src/protocol/bittorrent/bittorrent.c:209
 msgid ""
-"The number of pieces to obtain before switching piece\n"
-"selection strategy from random to rarest first."
+"The number of pieces to obtain before switching piece selection strategy "
+"from random to rarest first."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:208 src/protocol/http/http.c:109
+#: src/protocol/bittorrent/bittorrent.c:212 src/protocol/http/http.c:109
 msgid "Allow blacklisting"
 msgstr "Povoli iernu listinu"
 
-#: src/protocol/bittorrent/bittorrent.c:210
+#: src/protocol/bittorrent/bittorrent.c:214
 #, fuzzy
 msgid "Allow blacklisting of buggy peers."
 msgstr "Povoli iernu listinu chybnch serverov."
@@ -7172,7 +7204,7 @@ msgstr "~Sbor"
 msgid "Comment"
 msgstr "Komentre"
 
-#: src/protocol/bittorrent/dialogs.c:229 src/session/download.c:362
+#: src/protocol/bittorrent/dialogs.c:229 src/session/download.c:388
 #, c-format
 msgid ""
 "Download complete:\n"
@@ -7343,7 +7375,7 @@ msgid_plural "%u unavailable"
 msgstr[0] "FTP nie je prstupn"
 msgstr[1] "FTP nie je prstupn"
 
-#: src/protocol/bittorrent/dialogs.c:584 src/session/session.c:278
+#: src/protocol/bittorrent/dialogs.c:584 src/session/session.c:279
 #, fuzzy, c-format
 msgid "Unable to retrieve %s"
 msgstr ""
@@ -7360,7 +7392,7 @@ msgstr "Nenaiel som odkaz obsahujci te
 msgid "Information about the torrent"
 msgstr "Zobrazi informcie o aktulnej strnke"
 
-#: src/protocol/bittorrent/dialogs.c:776 src/session/download.c:1106
+#: src/protocol/bittorrent/dialogs.c:776 src/session/download.c:1132
 msgid "What to do?"
 msgstr "o mm teda robi?"
 
@@ -7371,13 +7403,13 @@ msgid "Down~load"
 msgstr "Sahovanie"
 
 #. accelerator_context(src/protocol/bittorrent/dialogs.c:bittorrent_query_callback, src/session/download.c:do_type_query)
-#: src/protocol/bittorrent/dialogs.c:804 src/session/download.c:1209
+#: src/protocol/bittorrent/dialogs.c:804 src/session/download.c:1235
 #, fuzzy
 msgid "~Display"
 msgstr "Zobrazi"
 
 #. accelerator_context(src/protocol/bittorrent/dialogs.c:bittorrent_query_callback, src/session/download.c:do_type_query)
-#: src/protocol/bittorrent/dialogs.c:808 src/session/download.c:1213
+#: src/protocol/bittorrent/dialogs.c:808 src/session/download.c:1239
 #, fuzzy
 msgid "Show ~header"
 msgstr "Zobrazova ablny"
@@ -7394,16 +7426,16 @@ msgstr "Nastavenie spania loklnych C
 msgid "Colon separated list of directories, where CGI scripts are stored."
 msgstr "Zoznam adresrov (oddelench dvojbodkou), kde s uloen CGI skripty."
 
-#: src/protocol/file/cgi.c:47
+#: src/protocol/file/cgi.c:48
 msgid "Allow local CGI"
 msgstr "Povoli loklne CGI skripty"
 
-#: src/protocol/file/cgi.c:49
+#: src/protocol/file/cgi.c:50
 msgid "Whether to execute local CGI scripts."
 msgstr "Povolenie spania loklnych CGI skriptov."
 
 #. name:
-#: src/protocol/file/cgi.c:54
+#: src/protocol/file/cgi.c:55
 msgid "CGI"
 msgstr ""
 
@@ -7422,9 +7454,8 @@ msgstr "Povoli tanie pecilnych sbo
 #: src/protocol/file/file.c:46
 #, fuzzy
 msgid ""
-"Whether to allow reading from non-regular files.\n"
-"Note this can be dangerous; reading /dev/urandom or\n"
-"/dev/zero can ruin your day!"
+"Whether to allow reading from non-regular files. Note this can be dangerous; "
+"reading /dev/urandom or /dev/zero can ruin your day!"
 msgstr ""
 "Povoli tanie zo pecilnych sborov? (NEBEZPEN - tanie zo sborov\n"
 "ako /dev/urandom alebo /dev/zero vm me spsobi vek problmy.)"
@@ -7436,8 +7467,8 @@ msgstr "Zobrazi skryt sbory vo vpiso
 #: src/protocol/file/file.c:52
 #, fuzzy
 msgid ""
-"When set to false, files with name starting with a dot will be\n"
-"hidden in local directory listings."
+"When set to false, files with name starting with a dot will be hidden in "
+"local directory listings."
 msgstr ""
 "Zobrazi skryt sbory vo vpise adresra ?\n"
 "Ak vypnut, vo vpise adresra nebud zobrazen sbory zanajce bodkou."
@@ -7447,14 +7478,15 @@ msgid "Try encoding extensions"
 msgstr "Ska prpony rznych kdovan"
 
 #: src/protocol/file/file.c:57
+#, fuzzy
 msgid ""
-"When set, if we can't open a file named 'filename', we'll try\n"
-"to open 'filename' with some encoding extension appended\n"
-"(ie. 'filename.gz'); it depends on the supported encodings."
+"When set, if we can't open a file named 'filename', we'll try to open "
+"'filename' with some encoding extension appended (ie. 'filename.gz'); it "
+"depends on the supported encodings."
 msgstr "Ak je tto voba zapnut "
 
 #. name:
-#: src/protocol/file/file.c:65
+#: src/protocol/file/file.c:66
 #, fuzzy
 msgid "File"
 msgstr "~Sbor"
@@ -7486,7 +7518,7 @@ msgid "Whether to sort entries in direct
 msgstr "Zobrazi skryt sbory vo vpisoch adresrov"
 
 #. name:
-#: src/protocol/ftp/ftp.c:56 src/protocol/ftp/ftp.c:86
+#: src/protocol/ftp/ftp.c:56 src/protocol/ftp/ftp.c:89
 msgid "FTP"
 msgstr "FTP"
 
@@ -7494,8 +7526,8 @@ msgstr "FTP"
 msgid "FTP specific options."
 msgstr "Nastavenie FTP."
 
-#: src/protocol/ftp/ftp.c:60 src/protocol/http/http.c:127
-#: src/protocol/http/http.c:209
+#: src/protocol/ftp/ftp.c:60 src/protocol/http/http.c:128
+#: src/protocol/http/http.c:235
 msgid "Proxy configuration"
 msgstr "Nastavenie proxy"
 
@@ -7503,42 +7535,43 @@ msgstr "Nastavenie proxy"
 msgid "FTP proxy configuration."
 msgstr "Nastavenie FTP proxy."
 
-#: src/protocol/ftp/ftp.c:64 src/protocol/http/http.c:131
-#: src/protocol/http/http.c:213
+#: src/protocol/ftp/ftp.c:64 src/protocol/http/http.c:132
+#: src/protocol/http/http.c:239
 msgid "Host and port-number"
 msgstr "Adresa a slo portu"
 
 #: src/protocol/ftp/ftp.c:66
+#, fuzzy
 msgid ""
-"Host and port-number (host:port) of the FTP proxy, or blank.\n"
-"If it's blank, FTP_PROXY environment variable is checked as well."
+"Host and port-number (host:port) of the FTP proxy, or blank. If it's blank, "
+"FTP_PROXY environment variable is checked as well."
 msgstr ""
 "Hostite a slo portu (host:port) FTP proxy, alebo ni, ak proxy\n"
 "nepouvate. Ak je voba nevyplnen, ELinks sa ete poksi poui\n"
 "hodnotu uloen v premennej prostredia FTP_PROXY."
 
-#: src/protocol/ftp/ftp.c:69
+#: src/protocol/ftp/ftp.c:70
 msgid "Anonymous password"
 msgstr "Anonymn heslo"
 
-#: src/protocol/ftp/ftp.c:71
+#: src/protocol/ftp/ftp.c:72
 msgid "FTP anonymous password to be sent."
 msgstr "Heslo pre anonymn FTP."
 
-#: src/protocol/ftp/ftp.c:73
+#: src/protocol/ftp/ftp.c:74
 msgid "Use passive mode (IPv4)"
 msgstr "Pouva pasvny reim (IPv4)"
 
-#: src/protocol/ftp/ftp.c:75
+#: src/protocol/ftp/ftp.c:76
 msgid "Use PASV instead of PORT (passive vs active mode, IPv4 only)."
 msgstr ""
 "Poui prkaz PASV namiesto PORT (pasvny vs. aktvny reim, iba IPv4)."
 
-#: src/protocol/ftp/ftp.c:77
+#: src/protocol/ftp/ftp.c:79
 msgid "Use passive mode (IPv6)"
 msgstr "Pouva pasvny reim (IPv6)"
 
-#: src/protocol/ftp/ftp.c:79
+#: src/protocol/ftp/ftp.c:81
 msgid "Use EPSV instead of EPRT (passive vs active mode, IPv6 only)."
 msgstr ""
 "Poui prkaz EPSV namiesto EPRT (pasvny vs. aktvny reim, iba IPv6)."
@@ -7566,7 +7599,7 @@ msgid ""
 msgstr ""
 
 #. name:
-#: src/protocol/http/http.c:95 src/protocol/http/http.c:223
+#: src/protocol/http/http.c:95 src/protocol/http/http.c:250
 msgid "HTTP"
 msgstr "HTTP"
 
@@ -7587,9 +7620,10 @@ msgid "Do not send Accept-Charset"
 msgstr "Neposiela Accept-Charset"
 
 #: src/protocol/http/http.c:106
+#, fuzzy
 msgid ""
-"The Accept-Charset header is quite long and sending it can trigger\n"
-"bugs in some rarely found servers."
+"The Accept-Charset header is quite long and sending it can trigger bugs in "
+"some rarely found servers."
 msgstr ""
 "Hlavika Accept-Charset bva vemi dlh a jej posielanie me vyvola\n"
 "chyby v niektorch zriedkavo sa vyskytujcich serveroch."
@@ -7603,69 +7637,72 @@ msgid "Broken 302 redirects"
 msgstr "Chybn presmerovania HTTP kdom 302"
 
 #: src/protocol/http/http.c:115
+#, fuzzy
 msgid ""
-"Broken 302 redirect (violates RFC but compatible with Netscape).\n"
-"This is a problem for a lot of web discussion boards and the like.\n"
-"If they will do strange things to you, try to play with this."
+"Broken 302 redirect (violates RFC but compatible with Netscape). This is a "
+"problem for a lot of web discussion boards and the like. If they will do "
+"strange things to you, try to play with this."
 msgstr ""
 "Chybn presmerovanie HTTP kdom 302 sce odporuj RFC, ale s kompatibiln\n"
 "s Netscape a ostatnmi rozrenmi prehliadami. Na tto chybu sa spolieha\n"
 "vea webovch diskusnch boardov a podobnch. Ak vm spsobuj podivn\n"
 "problmy, skste sa pohra s tmto nastavenm."
 
-#: src/protocol/http/http.c:119
+#: src/protocol/http/http.c:120
 msgid "No keepalive after POST requests"
 msgstr "Nepouva keepalive spojenie po poiadavku POST"
 
-#: src/protocol/http/http.c:121
+#: src/protocol/http/http.c:122
 msgid "Disable keepalive connection after POST request."
 msgstr "Nepouva keepalive spojenie po poiadavku POST."
 
-#: src/protocol/http/http.c:123
+#: src/protocol/http/http.c:124
 msgid "Use HTTP/1.0"
 msgstr "Pouva HTTP/1,0"
 
-#: src/protocol/http/http.c:125
+#: src/protocol/http/http.c:126
 msgid "Use HTTP/1.0 protocol instead of HTTP/1.1."
 msgstr "Pouva protokol HTTP/1,0 namiesto HTTP/1.1."
 
-#: src/protocol/http/http.c:129
+#: src/protocol/http/http.c:130
 msgid "HTTP proxy configuration."
 msgstr "Nastavenie HTTP proxy."
 
-#: src/protocol/http/http.c:133
+#: src/protocol/http/http.c:134
+#, fuzzy
 msgid ""
-"Host and port-number (host:port) of the HTTP proxy, or blank.\n"
-"If it's blank, HTTP_PROXY environment variable is checked as well."
+"Host and port-number (host:port) of the HTTP proxy, or blank. If it's blank, "
+"HTTP_PROXY environment variable is checked as well."
 msgstr ""
 "Hostite a slo portu (host:port) HTTP proxy, alebo ni, ak proxy\n"
 "nepouvate. Ak je voba nevyplnen, ELinks sa ete poksi poui\n"
 "hodnotu uloen v premennej prostredia HTTP_PROXY."
 
-#: src/protocol/http/http.c:136
+#: src/protocol/http/http.c:138
 msgid "Username"
 msgstr "Uvatesk meno"
 
-#: src/protocol/http/http.c:138
+#: src/protocol/http/http.c:140
 msgid "Proxy authentication username."
 msgstr "Uvatesk meno na prihlasovanie cez proxy"
 
-#: src/protocol/http/http.c:142
+#: src/protocol/http/http.c:144
 msgid "Proxy authentication password."
 msgstr "Heslo na prihlasovanie cez proxy"
 
-#: src/protocol/http/http.c:145
+#: src/protocol/http/http.c:147
 msgid "Referer sending"
 msgstr "Posiela referer"
 
-#: src/protocol/http/http.c:147
+#: src/protocol/http/http.c:149
+#, fuzzy
 msgid ""
-"HTTP referer sending options. HTTP referer is a special header\n"
-"sent in the HTTP requests, which is supposed to contain the previous\n"
-"page visited by the browser. This way, the server can know what link\n"
-"did you follow when accessing that page. However, this behaviour\n"
-"can unfortunately considerably affect privacy and can lead even to a\n"
-"security problem on some badly designed web pages."
+"HTTP referer sending options. HTTP referer is a special header sent in the "
+"HTTP requests, which is supposed to contain the previous page visited by the "
+"browser.This way, the server can know what link did you follow when "
+"accessing that page. However, this behaviour can unfortunately considerably "
+"affect privacy and can lead even to a security problem on some badly "
+"designed web pages."
 msgstr ""
 "Voby pre posielanie HTTP refereru. HTTP referer je pecilna hlavika\n"
 "posielan v HTTP poiadavkoch, ktor by mala obsahova predchdzajci\n"
@@ -7674,11 +7711,11 @@ msgstr ""
 "narui skromie uvatea a v prpade niektorch zle zabezpeench\n"
 "webovch aplikci spsobi ohrozenie bezpenosti."
 
-#: src/protocol/http/http.c:154
+#: src/protocol/http/http.c:157
 msgid "Policy"
 msgstr "Politika"
 
-#: src/protocol/http/http.c:157
+#: src/protocol/http/http.c:160
 #, fuzzy
 msgid ""
 "Mode of sending HTTP referer:\n"
@@ -7693,35 +7730,34 @@ msgstr ""
 "2 = posiela stly falon referer\n"
 "3 = posiela predchdzajce URL ako referer (sprvne, ale nebezpen)\n"
 
-#: src/protocol/http/http.c:163
+#: src/protocol/http/http.c:166
 msgid "Fake referer URL"
 msgstr "Falon referer URL"
 
-#: src/protocol/http/http.c:165
+#: src/protocol/http/http.c:168
 msgid "Fake referer to be sent when policy is 2."
 msgstr "Falon referer, ktor sa posiela ak je politika nastaven na 2."
 
-#: src/protocol/http/http.c:168
+#: src/protocol/http/http.c:171
 msgid "Send Accept-Language header"
 msgstr "Posiela hlaviku Accept-Language (Akceptuj-Jazyk)"
 
-#: src/protocol/http/http.c:170
+#: src/protocol/http/http.c:173
 msgid "Send Accept-Language header."
 msgstr "Posiela hlaviku Accept-Language (Akceptuj-Jazyk)."
 
-#: src/protocol/http/http.c:172
+#: src/protocol/http/http.c:175
 msgid "Use UI language as Accept-Language"
 msgstr "Poui jazyk uvateskho rozhrania ako Accept-Language"
 
-#: src/protocol/http/http.c:174
+#: src/protocol/http/http.c:177
 #, fuzzy
 msgid ""
-"Request localised versions of documents from web-servers (using the\n"
-"Accept-Language header) using the language you have configured for\n"
-"ELinks' user-interface (this also affects navigator.language ECMAScript\n"
-"value available to scripts). Note that some see this as a potential\n"
-"security risk because it tells web-masters and the FBI sniffers about\n"
-"your language preference."
+"Request localised versions of documents from web-servers (using the Accept-"
+"Language header) using the language you have configured for ELinks' user-"
+"interface (this also affects navigator.language ECMAScript value available "
+"to scripts). Note that some see this as a potential security risk because it "
+"tells web-masters and the FBI sniffers about your language preference."
 msgstr ""
 "Vyiada si lokalizovan verzie dokumentov od webovch serverov (pomocou\n"
 "hlaviky Accept-Language) v zvislosti na jazyku, ktor je nastaven pre\n"
@@ -7729,17 +7765,38 @@ msgstr ""
 "bezpenostn riziko, pretoe potom webmasteri vedia akm jazykom dvate\n"
 "prednos. Hmm."
 
-#: src/protocol/http/http.c:181
+#. After the compression support has been tested enough,
+#. * we might wrap this option in #if CFG_DEBUG.
+#: src/protocol/http/http.c:187
+msgid "Enable on-the-fly compression"
+msgstr ""
+
+#: src/protocol/http/http.c:189
+msgid ""
+"If enabled, the capability to receive compressed content (gzip and/or bzip2) "
+"is announced to the server, which usually sends the reply compressed, thus "
+"saving some bandwidth at slight CPU expense.\n"
+"\n"
+"If ELinks displays a incomplete page or garbage, try disabling this option. "
+"If that helps, there may be a bug in the decompression part of ELinks. "
+"Please report such bugs.\n"
+"\n"
+"If ELinks has been compiled without compression support, this option has no "
+"effect. To check the supported features, see Help -> About."
+msgstr ""
+
+#: src/protocol/http/http.c:202
 msgid "Activate HTTP TRACE debugging"
 msgstr "Aktivova ladenie pomocou HTTP TRACE"
 
-#: src/protocol/http/http.c:183
+#: src/protocol/http/http.c:204
+#, fuzzy
 msgid ""
-"If active, all HTTP requests are sent with TRACE as their method\n"
-"rather than GET or POST. This is useful for debugging of both ELinks\n"
-"and various server-side scripts --- the server only returns the client's\n"
-"request back to the client verbatim. Note that this type of request may\n"
-"not be enabled on all servers."
+"If active, all HTTP requests are sent with TRACE as their method rather than "
+"GET or POST. This is useful for debugging of both ELinks and various server-"
+"side scripts --- the server only returns the client's request back to the "
+"client verbatim. Note that this type of request may not be enabled on all "
+"servers."
 msgstr ""
 "Ak je tto voba zapnut, vetky HTTP poiadavky s posielan s metdou\n"
 "TRACE namiesto GET alebo POST. To je uiton pri laden ELinksu a rznych\n"
@@ -7747,20 +7804,21 @@ msgstr ""
 "dostal. Tento typ nemus by povolen na vetkch serveroch."
 
 #. OSNews.com is supposed to be relying on the textmode token, at least.
-#: src/protocol/http/http.c:190
+#: src/protocol/http/http.c:212
 msgid "User-agent identification"
 msgstr "Identifikcia prehliadaa"
 
-#: src/protocol/http/http.c:192
+#: src/protocol/http/http.c:214
 #, fuzzy
 msgid ""
-"Change the User Agent ID. That means identification string, which\n"
-"is sent to HTTP server when a document is requested. The 'textmode'\n"
-"token in the first field is our silent attempt to establish this as\n"
-"a standard for new textmode user agents, so that the webmasters can\n"
-"have just a single uniform test for these if they are e.g. pushing\n"
-"some lite version to them automagically.\n"
+"Change the User Agent ID. That means identification string, which is sent to "
+"HTTP server when a document is requested. The 'textmode' token in the first "
+"field is our silent attempt to establish this as a standard for new textmode "
+"user agents, so that the webmasters can have just a single uniform test for "
+"these if they are e.g. pushing some lite version to them automagically.\n"
+"\n"
 "Use \" \" if you don't want any User-Agent header to be sent at all.\n"
+"\n"
 "%v in the string means ELinks version,\n"
 "%s in the string means system identification,\n"
 "%t in the string means size of the terminal,\n"
@@ -7773,29 +7831,30 @@ msgstr ""
 "%t bude nahraden vekosou terminlu\n"
 "Pouitm \" \" sa neodole iadna User-Agent hlavika."
 
-#: src/protocol/http/http.c:205
+#: src/protocol/http/http.c:231
 msgid "HTTPS"
 msgstr "HTTPS"
 
-#: src/protocol/http/http.c:207
+#: src/protocol/http/http.c:233
 msgid "HTTPS-specific options."
 msgstr "Nastavenie HTTPS."
 
-#: src/protocol/http/http.c:211
+#: src/protocol/http/http.c:237
 msgid "HTTPS proxy configuration."
 msgstr "Nastavenie HTTPS proxy."
 
-#: src/protocol/http/http.c:215
+#: src/protocol/http/http.c:241
+#, fuzzy
 msgid ""
-"Host and port-number (host:port) of the HTTPS CONNECT proxy, or blank.\n"
-"If it's blank, HTTPS_PROXY environment variable is checked as well."
+"Host and port-number (host:port) of the HTTPS CONNECT proxy, or blank. If "
+"it's blank, HTTPS_PROXY environment variable is checked as well."
 msgstr ""
 "Hostite a slo portu (host:port) HTTPS proxy, alebo ni, ak proxy\n"
 "nepouvate. Ak je voba nevyplnen, ELinks sa ete poksi poui\n"
 "hodnotu uloen v premennej prostredia HTTPS_PROXY."
 
 #. name:
-#: src/protocol/nntp/nntp.c:32 src/protocol/nntp/nntp.c:65
+#: src/protocol/nntp/nntp.c:32 src/protocol/nntp/nntp.c:66
 msgid "NNTP"
 msgstr ""
 
@@ -7811,19 +7870,19 @@ msgstr "tandardn nastavenie farieb"
 
 #: src/protocol/nntp/nntp.c:38
 msgid ""
-"Used when resolving news: URIs. If set to the empty string\n"
-"the value of the NNTPSERVER environment variable will be used."
+"Used when resolving news: URIs. If set to the empty string the value of the "
+"NNTPSERVER environment variable will be used."
 msgstr ""
 
-#: src/protocol/nntp/nntp.c:41
+#: src/protocol/nntp/nntp.c:42
 msgid "Message header entries"
 msgstr ""
 
-#: src/protocol/nntp/nntp.c:43
+#: src/protocol/nntp/nntp.c:44
 msgid ""
-"Comma separated list of which entries in the article header\n"
-"to show. E.g. 'Subject' and 'From'.\n"
-"All header entries can be read in the header info dialog."
+"Comma separated list of which entries in the article header to show. E.g. "
+"'Subject' and 'From'. All header entries can be read in the header info "
+"dialog."
 msgstr ""
 
 #: src/protocol/protocol.c:242
@@ -7844,11 +7903,11 @@ msgid "No-proxy domains"
 msgstr "Domny pouiten bez proxy"
 
 #: src/protocol/protocol.c:279
+#, fuzzy
 msgid ""
-"Comma separated list of domains for which the proxy (HTTP/FTP)\n"
-"should be disabled. Optionally, a port can be specified for some\n"
-"domains as well. If it's blank, NO_PROXY environment variable is\n"
-"checked as well."
+"Comma separated list of domains for which the proxy (HTTP/FTP) should be "
+"disabled. Optionally, a port can be specified for some domains as well. If "
+"it's blank, NO_PROXY environment variable is checked as well."
 msgstr ""
 "iarkami oddelen zoznam domn, na ktorch prstup (HTTP/FTP) nebude\n"
 "pouit proxy. Volitene me byt uveden pre niektor z nich aj port.\n"
@@ -7866,47 +7925,45 @@ msgstr ""
 
 #: src/protocol/rewrite/rewrite.c:46
 msgid ""
-"Rules for rewriting URIs entered in the goto dialog.\n"
-"It makes it possible to define a set of prefixes that will\n"
-"be expanded if they match a string entered in the goto dialog.\n"
-"The prefixes can be dumb, meaning that they work only like\n"
-"URI abbreviations, or smart ones, making it possible to pass\n"
+"Rules for rewriting URIs entered in the goto dialog. It makes it possible to "
+"define a set of prefixes that will be expanded if they match a string "
+"entered in the goto dialog. The prefixes can be dumb, meaning that they work "
+"only like URI abbreviations, or smart ones, making it possible to pass "
 "arguments to them like search engine keywords."
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:53
+#: src/protocol/rewrite/rewrite.c:54
 msgid "Enable dumb prefixes"
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:55
+#: src/protocol/rewrite/rewrite.c:56
 msgid ""
-"Enable dumb prefixes - simple URI abbreviations which can\n"
-"be written to the Goto URL dialog instead of actual URIs - i.e.\n"
-"if you write 'elinks' there, you are directed to\n"
-"http://elinks.cz/."
+"Enable dumb prefixes - simple URI abbreviations which can be written to the "
+"Goto URL dialog instead of actual URIs - i.e. if you write 'elinks' there, "
+"you are directed to http://elinks.cz/."
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:60
+#: src/protocol/rewrite/rewrite.c:61
 msgid "Enable smart prefixes"
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:62
+#: src/protocol/rewrite/rewrite.c:63
 msgid ""
-"Enable smart prefixes - URI templates triggered by writing\n"
-"given abbreviation to the Goto URL dialog followed by a list\n"
-"of arguments from which the actual URI is composed - i.e.\n"
-"'gg:search keywords' or 'gn search keywords for news'."
+"Enable smart prefixes - URI templates triggered by writing given "
+"abbreviation to the Goto URL dialog followed by a list of arguments from "
+"which the actual URI is composed - i.e. 'gg:search keywords' or 'gn search "
+"keywords for news'."
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:67
+#: src/protocol/rewrite/rewrite.c:69
 msgid "Dumb Prefixes"
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:69
+#: src/protocol/rewrite/rewrite.c:71
 msgid "Dumb prefixes, see enable-dumb description for details."
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:74
+#: src/protocol/rewrite/rewrite.c:76
 #, no-c-format
 msgid ""
 "Replacement URI for this dumbprefix:\n"
@@ -7914,15 +7971,15 @@ msgid ""
 "%% in the string means '%'"
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:78
+#: src/protocol/rewrite/rewrite.c:80
 msgid "Smart Prefixes"
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:80
+#: src/protocol/rewrite/rewrite.c:82
 msgid "Smart prefixes, see enable-smart description for details."
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:87
+#: src/protocol/rewrite/rewrite.c:90
 #, no-c-format
 msgid ""
 "Replacement URI for this smartprefix:\n"
@@ -7932,27 +7989,29 @@ msgid ""
 "%% in the string means '%'"
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:93
+#: src/protocol/rewrite/rewrite.c:96
 #, fuzzy
 msgid "Default template"
 msgstr "tandardn kdov strnka"
 
-#: src/protocol/rewrite/rewrite.c:96
+#: src/protocol/rewrite/rewrite.c:99
 #, no-c-format
 msgid ""
-"Default URI template used when the string entered in\n"
-"the goto dialog does not appear to be a URI or a filename\n"
-"(i.e. contains no '.', ':' or '/' characters), and does\n"
-"not match any defined prefixes. Set the value to \"\" to\n"
-"disable use of the default template rewrite rule.\n"
+"Default URI template used when the string entered in the goto dialog does "
+"not appear to be a URI or a filename (i.e. contains no '.', ':' or '/' "
+"characters), and does not match any defined prefixes. Set the value to \"\" "
+"to disable use of the default template rewrite rule.\n"
+"\n"
 "%c in the template means the current URL,\n"
-"%s in the template means the whole string from the goto dialog,\n"
-"%0,%1,...,%9 mean the 1st,2nd,...,10th space-delimited part of %s,\n"
+"%s in the template means the whole string from the goto\n"
+"   dialog,\n"
+"%0,%1,...,%9 mean the 1st,2nd,...,10th space-delimited part\n"
+"   of %s,\n"
 "%% in the template means '%'."
 msgstr ""
 
 #. name:
-#: src/protocol/rewrite/rewrite.c:372
+#: src/protocol/rewrite/rewrite.c:378
 msgid "URI rewrite"
 msgstr ""
 
@@ -7975,28 +8034,29 @@ msgid "Credentials file passed to smbcli
 msgstr ""
 
 #. name:
-#: src/protocol/user.c:34 src/protocol/user.c:84
+#: src/protocol/user.c:34 src/protocol/user.c:85
 msgid "User protocols"
 msgstr "Uvatesk protokoly"
 
 #: src/protocol/user.c:36
+#, fuzzy
 msgid ""
-"User protocols. Options in this tree specify external\n"
-"handlers for the appropriate protocols. Ie.\n"
-"protocol.user.mailto.unix."
+"User protocols. Options in this tree specify external handlers for the "
+"appropriate protocols. Ie. protocol.user.mailto.unix."
 msgstr ""
 "Uvatesk protokoly. Voby v tomto strome pecifikuj extern\n"
 "ovldae pre odpovedajce protokoly. Napr. protocol.user.mailto.unix."
 
 #: src/protocol/user.c:47
+#, fuzzy
 msgid ""
-"Handler (external program) for this protocol. Name the\n"
-"options in this tree after your system (ie. unix, unix-xwin)."
+"Handler (external program) for this protocol. Name the options in this tree "
+"after your system (ie. unix, unix-xwin)."
 msgstr ""
 "Ovlda (extern program) pre tento protokol. Nazvite voby v tomto\n"
 "strome poda svojho systmu (napr. unix, unix-xwin)."
 
-#: src/protocol/user.c:52
+#: src/protocol/user.c:53
 #, fuzzy
 msgid ""
 "Handler (external program) for this protocol and system.\n"
@@ -8014,11 +8074,11 @@ msgstr ""
 "%s v reazci znamen predmet (?subject=<toto>)\n"
 "%u v reazci znamen cel URL"
 
-#: src/protocol/user.c:276
+#: src/protocol/user.c:277
 msgid "No program"
 msgstr "iadny program"
 
-#: src/protocol/user.c:278
+#: src/protocol/user.c:279
 #, c-format
 msgid "No program specified for protocol %s."
 msgstr "Nie je zadan iadny program pre protokol %s."
@@ -8104,12 +8164,12 @@ msgstr ""
 msgid "Spidermonkey ECMAScript"
 msgstr ""
 
-#: src/session/download.c:233 src/session/download.c:330
-#: src/session/download.c:561 src/session/download.c:649
+#: src/session/download.c:256 src/session/download.c:356
+#: src/session/download.c:587 src/session/download.c:675
 msgid "Download error"
 msgstr "Chyba pri downloade"
 
-#: src/session/download.c:234 src/session/download.c:650
+#: src/session/download.c:257 src/session/download.c:676
 #, c-format
 msgid ""
 "Could not create file '%s':\n"
@@ -8118,7 +8178,7 @@ msgstr ""
 "Nemem vytvori sbor '%s':\n"
 "%s"
 
-#: src/session/download.c:331
+#: src/session/download.c:357
 #, c-format
 msgid ""
 "Error downloading %s:\n"
@@ -8129,16 +8189,16 @@ msgstr ""
 "\n"
 "%s"
 
-#: src/session/download.c:562
+#: src/session/download.c:588
 #, c-format
 msgid "'%s' is a directory."
 msgstr ""
 
-#: src/session/download.c:596
+#: src/session/download.c:622
 msgid "File exists"
 msgstr "Sbor existuje"
 
-#: src/session/download.c:597
+#: src/session/download.c:623
 #, c-format
 msgid ""
 "This file already exists:\n"
@@ -8149,53 +8209,53 @@ msgid ""
 msgstr ""
 
 #. accelerator_context(src/session/download.c:lookup_unique_name)
-#: src/session/download.c:604
+#: src/session/download.c:630
 msgid "Sa~ve under the alternative name"
 msgstr ""
 
 #. accelerator_context(src/session/download.c:lookup_unique_name)
-#: src/session/download.c:605
+#: src/session/download.c:631
 #, fuzzy
 msgid "~Overwrite the original file"
 msgstr "Nastavi pvodn as"
 
 #. accelerator_context(src/session/download.c:lookup_unique_name)
-#: src/session/download.c:606
+#: src/session/download.c:632
 #, fuzzy
 msgid "~Resume download of the original file"
 msgstr "Poksi sa obnovi sahovanie aktulneho odkazu"
 
-#: src/session/download.c:1109
+#: src/session/download.c:1135
 msgid "Unknown type"
 msgstr "Neznmy typ"
 
-#: src/session/download.c:1134
+#: src/session/download.c:1160
 #, c-format
 msgid "What would you like to do with the file '%s' (type: %s%s%s)?"
 msgstr ""
 
-#: src/session/download.c:1137
+#: src/session/download.c:1163
 #, fuzzy, c-format
 msgid "What would you like to do with the file (type: %s%s%s)?"
 msgstr "Nenaiel som odkaz obsahujci text: '%s'."
 
-#: src/session/download.c:1165
+#: src/session/download.c:1191
 #, no-c-format
 msgid "Program ('%' will be replaced by the filename)"
 msgstr ""
 
-#: src/session/download.c:1169
+#: src/session/download.c:1195
 #, fuzzy
 msgid "Block the terminal"
 msgstr "Zablokova terminl"
 
-#: src/session/download.c:1175
+#: src/session/download.c:1201
 #, c-format
 msgid "The file will be opened with the program '%s'."
 msgstr ""
 
 #. accelerator_context(src/session/download.c:do_type_query)
-#: src/session/download.c:1196
+#: src/session/download.c:1222
 #, fuzzy
 msgid "~Open"
 msgstr "Otvori"
@@ -8204,12 +8264,12 @@ msgstr "Otvori"
 #. * and formatting it with "%u" is safe,
 #. * because fc_maxlength is smaller than
 #. * file.length, which is an int.
-#: src/session/session.c:761 src/session/session.c:780 src/session/task.c:275
-#: src/viewer/text/textarea.c:652
+#: src/session/session.c:771 src/session/session.c:790 src/session/task.c:275
+#: src/viewer/text/textarea.c:641
 msgid "Warning"
 msgstr "Upozornenie"
 
-#: src/session/session.c:762
+#: src/session/session.c:772
 msgid ""
 "You have an empty string in protocol.http.user_agent - this was a default "
 "value in the past, substituted by default ELinks User-Agent string. However, "
@@ -8220,7 +8280,7 @@ msgid ""
 "will be used. Apologies for any inconvience caused."
 msgstr ""
 
-#: src/session/session.c:781
+#: src/session/session.c:791
 msgid ""
 "You have option config.saving_style set to a de facto obsolete value. The "
 "configuration saving algorithms of ELinks were changed from the last time "
@@ -8233,11 +8293,11 @@ msgid ""
 "caused."
 msgstr ""
 
-#: src/session/session.c:806
+#: src/session/session.c:816
 msgid "Welcome"
 msgstr "Vitaj"
 
-#: src/session/session.c:807
+#: src/session/session.c:817
 msgid ""
 "Welcome to ELinks!\n"
 "\n"
@@ -8289,22 +8349,22 @@ msgstr "Chybn vekos terminlu: %d, %d
 msgid "Warning: terminal name contains illicit chars."
 msgstr "Varovanie: meno terminlu obsahuje nedovolen znaky."
 
-#: src/terminal/event.c:259
+#: src/terminal/event.c:258
 #, c-format
 msgid "Failed to create session."
 msgstr ""
 
-#: src/terminal/event.c:446
+#: src/terminal/event.c:443
 #, c-format
 msgid "Bad event %d"
 msgstr "Zl udalos %d"
 
-#: src/terminal/event.c:486
+#: src/terminal/event.c:483
 #, c-format
 msgid "Could not read event: %d (%s)"
 msgstr "Nemem ta udalos: %d (%s)"
 
-#: src/terminal/kbd.c:1187
+#: src/terminal/kbd.c:1210
 #, c-format
 msgid "Too many bytes read from the itrm!"
 msgstr "Natal som z itrm prli vela bajtov!"
@@ -8377,206 +8437,206 @@ msgstr "Rmek menu"
 msgid "The requested fragment \"%s\" doesn't exist."
 msgstr ""
 
-#: src/viewer/text/form.c:1092
+#: src/viewer/text/form.c:1118
 msgid "Error while posting form"
 msgstr "Chyba pri vypisovan formulra"
 
-#: src/viewer/text/form.c:1093
+#: src/viewer/text/form.c:1119
 #, fuzzy, c-format
 msgid "Could not load file %s: %s"
 msgstr "Nemem zska sbor %s: %s"
 
-#: src/viewer/text/form.c:1847
+#: src/viewer/text/form.c:1876
 msgid "Reset form"
 msgstr "Resetn formulr"
 
-#: src/viewer/text/form.c:1849
+#: src/viewer/text/form.c:1878
 #, fuzzy
 msgid "Harmless button"
 msgstr "Vybrat tlaidlo."
 
-#: src/viewer/text/form.c:1857
+#: src/viewer/text/form.c:1886
 msgid "Submit form to"
 msgstr "Poli formulr na"
 
-#: src/viewer/text/form.c:1858
+#: src/viewer/text/form.c:1887
 msgid "Post form to"
 msgstr "Poli formulr na"
 
-#: src/viewer/text/form.c:1860
+#: src/viewer/text/form.c:1889
 msgid "Radio button"
 msgstr "Radio button"
 
-#: src/viewer/text/form.c:1864
+#: src/viewer/text/form.c:1893
 msgid "Select field"
 msgstr "Vberov polko"
 
-#: src/viewer/text/form.c:1868
+#: src/viewer/text/form.c:1897
 msgid "Text area"
 msgstr "Textov plocha"
 
-#: src/viewer/text/form.c:1870
+#: src/viewer/text/form.c:1899
 msgid "File upload"
 msgstr "Upload sboru"
 
-#: src/viewer/text/form.c:1872
+#: src/viewer/text/form.c:1901
 msgid "Password field"
 msgstr "Polko s heslom"
 
-#: src/viewer/text/form.c:1910
+#: src/viewer/text/form.c:1939
 msgid "name"
 msgstr "meno"
 
-#: src/viewer/text/form.c:1922
+#: src/viewer/text/form.c:1951
 msgid "value"
 msgstr "hodnota"
 
-#: src/viewer/text/form.c:1935
+#: src/viewer/text/form.c:1964
 msgid "read only"
 msgstr ""
 
-#: src/viewer/text/form.c:1946
+#: src/viewer/text/form.c:1975
 #, c-format
 msgid "press %s to navigate"
 msgstr ""
 
-#: src/viewer/text/form.c:1948
+#: src/viewer/text/form.c:1977
 #, c-format
 msgid "press %s to edit"
 msgstr ""
 
-#: src/viewer/text/form.c:1984
+#: src/viewer/text/form.c:2013
 #, fuzzy, c-format
 msgid "press %s to submit to %s"
 msgstr "bolo poslan na"
 
-#: src/viewer/text/form.c:1986
+#: src/viewer/text/form.c:2015
 #, fuzzy, c-format
 msgid "press %s to post to %s"
 msgstr "bolo poslan na"
 
-#: src/viewer/text/form.c:2088
+#: src/viewer/text/form.c:2117
 #, fuzzy
 msgid "Useless button"
 msgstr "Vybrat tlaidlo."
 
-#: src/viewer/text/form.c:2090
+#: src/viewer/text/form.c:2119
 #, fuzzy
 msgid "Submit button"
 msgstr "Poli formulr na"
 
 #. accelerator_context(link_menu.map)
-#: src/viewer/text/link.c:1281
+#: src/viewer/text/link.c:1280
 msgid "Display ~usemap"
 msgstr "Zobrazi map~u"
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1286
+#: src/viewer/text/link.c:1285
 msgid "~Follow link"
 msgstr "~Otvori link"
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1288
+#: src/viewer/text/link.c:1287
 msgid "Follow link and r~eload"
 msgstr "Otvori link a obnovi cieov strnku"
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1292
+#: src/viewer/text/link.c:1291
 msgid "Open in new ~window"
 msgstr "Otvori v ~novom okne"
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1294
+#: src/viewer/text/link.c:1293
 msgid "Open in new ~tab"
 msgstr "Otvori v ~novom tabe"
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1296
+#: src/viewer/text/link.c:1295
 msgid "Open in new tab in ~background"
 msgstr "Otvori v novom tabe na pozad"
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1301
+#: src/viewer/text/link.c:1300
 msgid "~Download link"
 msgstr "~Stiahnu link"
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1304
+#: src/viewer/text/link.c:1303
 msgid "~Add link to bookmarks"
 msgstr "Prid~aj link do zloiek"
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1308
+#: src/viewer/text/link.c:1307
 msgid "Pass link URI to e~xternal command"
 msgstr ""
 
 #. accelerator_context(link_menu.form, link_menu.reset, link_menu.textarea)
-#: src/viewer/text/link.c:1319 src/viewer/text/link.c:1359
+#: src/viewer/text/link.c:1318 src/viewer/text/link.c:1358
 msgid "~Reset form"
 msgstr "~Vygumova formulr"
 
 #. accelerator_context(link_menu.textarea)
-#: src/viewer/text/link.c:1334
+#: src/viewer/text/link.c:1333
 msgid "Open in ~external editor"
 msgstr ""
 
 #. accelerator_context(link_menu.form, link_menu.textarea)
-#: src/viewer/text/link.c:1342
+#: src/viewer/text/link.c:1341
 msgid "~Submit form"
 msgstr "Odosla formulr"
 
 #. accelerator_context(link_menu.form, link_menu.textarea)
-#: src/viewer/text/link.c:1343
+#: src/viewer/text/link.c:1342
 msgid "Submit form and rel~oad"
 msgstr "Odosla formulr a obnovi vsledn strnku"
 
 #. accelerator_context(link_menu.form, link_menu.textarea)
-#: src/viewer/text/link.c:1347
+#: src/viewer/text/link.c:1346
 msgid "Submit form and open in new ~window"
 msgstr "Posla formulr a otvori v ~novom okne"
 
 #. accelerator_context(link_menu.form, link_menu.textarea)
-#: src/viewer/text/link.c:1349
+#: src/viewer/text/link.c:1348
 #, fuzzy
 msgid "Submit form and open in new ~tab"
 msgstr "Posla formulr a otvori v ~novom okne"
 
 #. accelerator_context(link_menu.form, link_menu.textarea)
-#: src/viewer/text/link.c:1352
+#: src/viewer/text/link.c:1351
 #, fuzzy
 msgid "Submit form and open in new tab in ~background"
 msgstr "Posla formulr a otvori v ~novom okne"
 
 #. accelerator_context(link_menu.form, link_menu.textarea)
-#: src/viewer/text/link.c:1357
+#: src/viewer/text/link.c:1356
 msgid "Submit form and ~download"
 msgstr "Posla formulr a ~stiahnu"
 
 #. accelerator_context(link_menu.form, link_menu.reset, link_menu.textarea)
-#: src/viewer/text/link.c:1364
+#: src/viewer/text/link.c:1363
 #, fuzzy
 msgid "Form f~ields"
 msgstr "Pole"
 
 #. accelerator_context(link_menu.form, link_menu.map, link_menu.std)
-#: src/viewer/text/link.c:1371
+#: src/viewer/text/link.c:1370
 msgid "V~iew image"
 msgstr "Zobraz~i obrzok"
 
 #. accelerator_context(link_menu.form, link_menu.map, link_menu.std)
-#: src/viewer/text/link.c:1373
+#: src/viewer/text/link.c:1372
 msgid "Download ima~ge"
 msgstr "Stiahnu o~brzok"
 
-#: src/viewer/text/link.c:1382
+#: src/viewer/text/link.c:1381
 msgid "No link selected"
 msgstr "iadny link"
 
-#: src/viewer/text/link.c:1452
+#: src/viewer/text/link.c:1451
 msgid "Image"
 msgstr "Obrzok"
 
-#: src/viewer/text/link.c:1457
+#: src/viewer/text/link.c:1456
 msgid "Usemap"
 msgstr "Mapa obrzkov"
 
@@ -8585,85 +8645,85 @@ msgstr "Mapa obrzkov"
 msgid "Marks"
 msgstr ""
 
-#: src/viewer/text/search.c:1083
+#: src/viewer/text/search.c:1099
 msgid "Search hit top, continuing at bottom."
 msgstr "Vyhadvanie dosiahlo zaiatok dokumentu, pokraujem od konca."
 
-#: src/viewer/text/search.c:1084
+#: src/viewer/text/search.c:1100
 msgid "Search hit bottom, continuing at top."
 msgstr "Vyhadvanie dosiahlo koniec dokumentu, pokraujem od zaiatku."
 
-#: src/viewer/text/search.c:1087
+#: src/viewer/text/search.c:1103
 msgid "No previous search"
 msgstr "iadne predchdzajce hadania"
 
-#: src/viewer/text/search.c:1099
+#: src/viewer/text/search.c:1115
 #, fuzzy, c-format
 msgid "Could not compile regular expression '%s'"
 msgstr "Regulrne vrazy"
 
-#: src/viewer/text/search.c:1143
+#: src/viewer/text/search.c:1159
 #, c-format
 msgid "No further matches for '%s'."
 msgstr ""
 
-#: src/viewer/text/search.c:1145
+#: src/viewer/text/search.c:1161
 #, c-format
 msgid "Could not find a link with the text '%s'."
 msgstr "Nenaiel som odkaz obsahujci text: '%s'."
 
-#: src/viewer/text/search.c:1147 src/viewer/text/search.c:1558
+#: src/viewer/text/search.c:1163 src/viewer/text/search.c:1576
 msgid "Typeahead"
 msgstr "Interaktvne vyhadvanie"
 
-#: src/viewer/text/search.c:1560
+#: src/viewer/text/search.c:1578
 #, c-format
 msgid "No links in current document"
 msgstr ""
 
-#: src/viewer/text/search.c:1643
+#: src/viewer/text/search.c:1661
 msgid "Search for text"
 msgstr "Hadaj text"
 
-#: src/viewer/text/search.c:1679
+#: src/viewer/text/search.c:1697
 msgid "Normal search"
 msgstr "Normlne hadanie"
 
-#: src/viewer/text/search.c:1680
+#: src/viewer/text/search.c:1698
 msgid "Regexp search"
 msgstr "Regulrny vraz"
 
-#: src/viewer/text/search.c:1681
+#: src/viewer/text/search.c:1699
 msgid "Extended regexp search"
 msgstr "Rozren regulrny vraz"
 
-#: src/viewer/text/search.c:1683
+#: src/viewer/text/search.c:1701
 msgid "Case sensitive"
 msgstr "Rozliova vekos psmen"
 
-#: src/viewer/text/search.c:1684
+#: src/viewer/text/search.c:1702
 msgid "Case insensitive"
 msgstr "Nerozliova vekos psmen"
 
-#: src/viewer/text/search.c:1708
+#: src/viewer/text/search.c:1726
 msgid "Search backward"
 msgstr "Hadaj dozadu"
 
 #. name:
-#: src/viewer/text/search.c:1747
+#: src/viewer/text/search.c:1765
 #, fuzzy
 msgid "Search History"
 msgstr "Hada v histrii"
 
-#: src/viewer/text/textarea.c:595
+#: src/viewer/text/textarea.c:584
 msgid "You cannot launch an external editor in the anonymous mode."
 msgstr ""
 
-#: src/viewer/text/textarea.c:602
+#: src/viewer/text/textarea.c:591
 msgid "You can do this only on the master terminal"
 msgstr "Toto me iba na riadiacom terminli"
 
-#: src/viewer/text/textarea.c:655
+#: src/viewer/text/textarea.c:644
 #, c-format
 msgid ""
 "You have exceeded the textarea's size limit: your input is %d bytes, but the "
@@ -8681,11 +8741,11 @@ msgstr "Cho na link"
 msgid "Enter link number"
 msgstr "Zadaj slo linku"
 
-#: src/viewer/text/view.c:1627
+#: src/viewer/text/view.c:1628
 msgid "Save error"
 msgstr "Chyba pri ukladan"
 
-#: src/viewer/text/view.c:1628
+#: src/viewer/text/view.c:1629
 msgid "Error writing to file"
 msgstr "Chyba pri zpise do sboru"
 
Binary files 0.12~pre2.dfsg0-1/po/sr.gmo and 0.12~pre4-1/po/sr.gmo differ
diff -pruN 0.12~pre2.dfsg0-1/po/sr.po 0.12~pre4-1/po/sr.po
--- 0.12~pre2.dfsg0-1/po/sr.po	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/po/sr.po	2009-05-31 09:48:47.000000000 +0100
@@ -4,7 +4,7 @@ msgid ""
 msgstr ""
 "Project-Id-Version: ELinks 0.10.6.CVS\n"
 "Report-Msgid-Bugs-To: elinks-users@linuxfromscratch.org\n"
-"POT-Creation-Date: 2008-09-21 11:13+0300\n"
+"POT-Creation-Date: 2009-05-31 01:57+0300\n"
 "PO-Revision-Date: 2005-09-21 16:20+0200\n"
 "Last-Translator: Strahinya Radich ( ) <vilinkamen@mail.ru>\n"
 "Language-Team: Serbian <sr@li.org>\n"
@@ -35,7 +35,7 @@ msgstr "    
 #: src/mime/dialogs.c:132 src/protocol/auth/dialogs.c:115
 #: src/protocol/protocol.c:246 src/scripting/lua/core.c:399
 #: src/scripting/lua/core.c:480 src/scripting/python/dialogs.c:86
-#: src/session/session.c:811 src/viewer/text/search.c:1686
+#: src/session/session.c:821 src/viewer/text/search.c:1704
 msgid "~OK"
 msgstr "~ "
 
@@ -52,13 +52,13 @@ msgid "Sorry, but the item \"%s\" is bei
 msgstr ",  ,,%s``     ."
 
 #. cant_delete_folder
-#: src/bfu/hierbox.c:558 src/bookmarks/dialogs.c:121
+#: src/bfu/hierbox.c:558 src/bookmarks/dialogs.c:153
 #, c-format
 msgid "Sorry, but the folder \"%s\" cannot be deleted."
 msgstr ",  ,,%s``    ."
 
 #. cant_delete_used_folder
-#: src/bfu/hierbox.c:561 src/bookmarks/dialogs.c:123
+#: src/bfu/hierbox.c:561 src/bookmarks/dialogs.c:155
 #, c-format
 msgid "Sorry, but the folder \"%s\" is being used by something else."
 msgstr ",  ,,%s``     ."
@@ -74,7 +74,7 @@ msgid "Delete marked items?"
 msgstr "   ?"
 
 #. delete_folder_title
-#: src/bfu/hierbox.c:570 src/bookmarks/dialogs.c:129
+#: src/bfu/hierbox.c:570 src/bookmarks/dialogs.c:161
 msgid "Delete folder"
 msgstr " "
 
@@ -131,13 +131,13 @@ msgstr "~"
 msgid "~No"
 msgstr "~"
 
-#: src/bfu/hierbox.c:945 src/bfu/hierbox.c:976 src/viewer/text/search.c:1090
-#: src/viewer/text/search.c:1098 src/viewer/text/search.c:1114
-#: src/viewer/text/search.c:1705
+#: src/bfu/hierbox.c:945 src/bfu/hierbox.c:976 src/viewer/text/search.c:1106
+#: src/viewer/text/search.c:1114 src/viewer/text/search.c:1130
+#: src/viewer/text/search.c:1723
 msgid "Search"
 msgstr ""
 
-#: src/bfu/hierbox.c:947 src/viewer/text/search.c:1091
+#: src/bfu/hierbox.c:947 src/viewer/text/search.c:1107
 #, c-format
 msgid "Search string '%s' not found"
 msgstr "  ,,%s``  "
@@ -176,8 +176,8 @@ msgstr "   "
 #: src/dialogs/options.c:237 src/dialogs/options.c:316 src/mime/dialogs.c:133
 #: src/protocol/auth/dialogs.c:116 src/protocol/bittorrent/dialogs.c:814
 #: src/scripting/lua/core.c:400 src/scripting/lua/core.c:481
-#: src/session/download.c:607 src/session/download.c:1219
-#: src/viewer/text/search.c:1687
+#: src/session/download.c:633 src/session/download.c:1245
+#: src/viewer/text/search.c:1705
 msgid "~Cancel"
 msgstr "~"
 
@@ -189,8 +189,8 @@ msgstr ""
 msgid "Digital clock in the status bar."
 msgstr "    ."
 
-#: src/bfu/leds.c:77 src/bfu/leds.c:94 src/config/options.inc:1199
-#: src/config/options.inc:1206 src/ecmascript/ecmascript.c:45
+#: src/bfu/leds.c:77 src/bfu/leds.c:94 src/config/options.inc:1272
+#: src/config/options.inc:1279 src/ecmascript/ecmascript.c:45
 #: src/globhist/globhist.c:64 src/mime/backend/mailcap.c:93
 #: src/mime/backend/mimetypes.c:52 src/network/ssl/ssl.c:81
 msgid "Enable"
@@ -205,9 +205,9 @@ msgid "Format"
 msgstr ""
 
 #: src/bfu/leds.c:83
+#, fuzzy
 msgid ""
-"Format string for the digital clock. See the strftime(3)\n"
-"manpage for details."
+"Format string for the digital clock. See the strftime(3) manpage for details."
 msgstr ""
 "   .   ,\n"
 "    strftime(3)."
@@ -221,9 +221,9 @@ msgid "LEDs (visual indicators) options.
 msgstr "  ( )"
 
 #: src/bfu/leds.c:96
+#, fuzzy
 msgid ""
-"Enable LEDs.\n"
-"These visual indicators will inform you about various states."
+"Enable LEDs. These visual indicators will inform you about various states."
 msgstr ""
 " .\n"
 "        ."
@@ -266,17 +266,17 @@ msgstr ""
 msgid "Search menu/"
 msgstr " ,,``/"
 
-#: src/bookmarks/backend/xbel.c:97
+#: src/bookmarks/backend/xbel.c:105
 #, c-format
 msgid "read_bookmarks_xbel(): Error in XML_ParserCreate()"
 msgstr "read_bookmarks_xbel():   XML_ParserCreate()"
 
-#: src/bookmarks/backend/xbel.c:108
+#: src/bookmarks/backend/xbel.c:116
 #, c-format
 msgid "read_bookmarks_xbel(): Error reading %s"
 msgstr "read_bookmarks_xbel():    %s"
 
-#: src/bookmarks/backend/xbel.c:116
+#: src/bookmarks/backend/xbel.c:124
 #, c-format
 msgid ""
 "Parse error while processing XBEL bookmarks in %s at line %d column %d:\n"
@@ -286,16 +286,16 @@ msgstr ""
 " %d:\n"
 "%s"
 
-#: src/bookmarks/backend/xbel.c:390 src/bookmarks/backend/xbel.c:411
+#: src/bookmarks/backend/xbel.c:388 src/bookmarks/backend/xbel.c:410
 msgid "No title"
 msgstr " "
 
-#: src/bookmarks/backend/xbel.c:396
+#: src/bookmarks/backend/xbel.c:394
 msgid "No URL"
 msgstr " -"
 
 #. name:
-#: src/bookmarks/bookmarks.c:48 src/bookmarks/bookmarks.c:181
+#: src/bookmarks/bookmarks.c:48 src/bookmarks/bookmarks.c:183
 msgid "Bookmarks"
 msgstr ""
 
@@ -303,7 +303,7 @@ msgstr ""
 msgid "Bookmark options."
 msgstr " "
 
-#: src/bookmarks/bookmarks.c:53 src/bookmarks/bookmarks.c:59
+#: src/bookmarks/bookmarks.c:53 src/bookmarks/bookmarks.c:60
 msgid "File format"
 msgstr " "
 
@@ -312,21 +312,19 @@ msgstr " "
 msgid ""
 "File format for bookmarks (affects both reading and saving):\n"
 "0 is the default native ELinks format\n"
-"1 is XBEL universal XML bookmarks format (ELinks bug 153: NO NATIONAL CHARS "
-"SUPPORT!)"
+"1 is XBEL universal XML bookmarks format"
 msgstr ""
 "   (      ):\n"
 "0     \n"
 "1  XBEL,     XML- (\n"
 "       !)"
 
-#: src/bookmarks/bookmarks.c:61
+#: src/bookmarks/bookmarks.c:62
 #, fuzzy
 msgid ""
 "File format for bookmarks (affects both reading and saving):\n"
 "0 is the default native ELinks format\n"
-"1 is XBEL universal XML bookmarks format (ELinks bug 153: NO NATIONAL CHARS "
-"SUPPORT!)  (DISABLED)"
+"1 is XBEL universal XML bookmarks format  (DISABLED)"
 msgstr ""
 "   (      ):\n"
 "0     \n"
@@ -334,16 +332,16 @@ msgstr ""
 "       !)\n"
 "(¸)"
 
-#: src/bookmarks/bookmarks.c:67
+#: src/bookmarks/bookmarks.c:68
 msgid "Save folder state"
 msgstr "  "
 
-#: src/bookmarks/bookmarks.c:69
+#: src/bookmarks/bookmarks.c:70
+#, fuzzy
 msgid ""
-"When saving bookmarks also store whether folders are\n"
-"expanded or not, so the look of the bookmark dialog is\n"
-"kept across ELinks sessions. If disabled all folders will\n"
-"appear unexpanded next time ELinks is run."
+"When saving bookmarks also store whether folders are expanded or not, so the "
+"look of the bookmark dialog is kept across ELinks sessions. If disabled all "
+"folders will appear unexpanded next time ELinks is run."
 msgstr ""
 "  ,     \n"
 ",       \n"
@@ -351,16 +349,16 @@ msgstr ""
 ",      \n"
 "  ."
 
-#: src/bookmarks/bookmarks.c:74
+#: src/bookmarks/bookmarks.c:75
 msgid "Periodic snapshotting"
 msgstr "  "
 
-#: src/bookmarks/bookmarks.c:76
+#: src/bookmarks/bookmarks.c:77
+#, fuzzy
 msgid ""
-"Automatically save a snapshot of all tabs periodically.\n"
-"This will periodically bookmark the tabs of each terminal in a separate "
-"folder\n"
-"for recovery after a crash.\n"
+"Automatically save a snapshot of all tabs periodically. This will "
+"periodically bookmark the tabs of each terminal in a separate folder for "
+"recovery after a crash.\n"
 "\n"
 "This feature requires bookmark support."
 msgstr ""
@@ -370,12 +368,12 @@ msgstr ""
 "\n"
 "     ."
 
-#: src/bookmarks/dialogs.c:72 src/config/options.inc:1051
+#: src/bookmarks/dialogs.c:97 src/config/options.inc:1120
 #: src/dialogs/document.c:145 src/globhist/dialogs.c:65
 msgid "Title"
 msgstr ""
 
-#: src/bookmarks/dialogs.c:73 src/cache/dialogs.c:65
+#: src/bookmarks/dialogs.c:101 src/cache/dialogs.c:65
 #: src/dialogs/document.c:136 src/dialogs/edit.c:96 src/formhist/dialogs.c:63
 #: src/globhist/dialogs.c:66 src/protocol/auth/dialogs.c:163
 #: src/scripting/lua/core.c:397
@@ -383,81 +381,81 @@ msgid "URL"
 msgstr ""
 
 #. cant_delete_item
-#: src/bookmarks/dialogs.c:117
+#: src/bookmarks/dialogs.c:149
 #, c-format
 msgid "Sorry, but the bookmark \"%s\" cannot be deleted."
 msgstr ",  ,,%s``     ."
 
 #. cant_delete_used_item
-#: src/bookmarks/dialogs.c:119
+#: src/bookmarks/dialogs.c:151
 #, c-format
 msgid "Sorry, but the bookmark \"%s\" is being used by something else."
 msgstr ",  ,,%s``     ."
 
 #. delete_marked_items_title
-#: src/bookmarks/dialogs.c:125
+#: src/bookmarks/dialogs.c:157
 msgid "Delete marked bookmarks"
 msgstr "  "
 
 #. delete_marked_items
-#: src/bookmarks/dialogs.c:127
+#: src/bookmarks/dialogs.c:159
 msgid "Delete marked bookmarks?"
 msgstr "   ?"
 
 #. delete_folder
-#: src/bookmarks/dialogs.c:131
+#: src/bookmarks/dialogs.c:163
 #, c-format
 msgid "Delete the folder \"%s\" and all bookmarks in it?"
 msgstr "   ,,%s``     ?"
 
 #. delete_item_title
-#: src/bookmarks/dialogs.c:133
+#: src/bookmarks/dialogs.c:165
 msgid "Delete bookmark"
 msgstr " "
 
-#: src/bookmarks/dialogs.c:135
+#: src/bookmarks/dialogs.c:167
 #, c-format
 msgid "Delete this bookmark?"
 msgstr "   ?"
 
 #. clear_all_items_title
-#: src/bookmarks/dialogs.c:137
+#: src/bookmarks/dialogs.c:169
 msgid "Clear all bookmarks"
 msgstr "  "
 
 #. clear_all_items_title
-#: src/bookmarks/dialogs.c:139
+#: src/bookmarks/dialogs.c:171
 msgid "Do you really want to remove all bookmarks?"
 msgstr "       ?"
 
-#: src/bookmarks/dialogs.c:254
+#: src/bookmarks/dialogs.c:327
 msgid "Add folder"
 msgstr " "
 
-#: src/bookmarks/dialogs.c:254
+#: src/bookmarks/dialogs.c:327
 msgid "Folder name"
 msgstr " "
 
-#: src/bookmarks/dialogs.c:310 src/scripting/lua/core.c:391
+#: src/bookmarks/dialogs.c:410 src/scripting/lua/core.c:391
 msgid "Edit bookmark"
 msgstr " "
 
-#: src/bookmarks/dialogs.c:461
+#: src/bookmarks/dialogs.c:567
 msgid "Cannot move folder inside itself"
 msgstr ""
 
-#: src/bookmarks/dialogs.c:462
+#: src/bookmarks/dialogs.c:568
 msgid ""
 "You are trying to move the marked folder inside itself. To move the folder "
 "to a different location select the new location before pressing the Move "
 "button."
 msgstr ""
 
-#: src/bookmarks/dialogs.c:468
+#: src/bookmarks/dialogs.c:574
 msgid "Nothing to move"
 msgstr ""
 
-#: src/bookmarks/dialogs.c:469
+#: src/bookmarks/dialogs.c:575
 msgid ""
 "To move bookmarks, first mark all the bookmarks (or folders) you want to "
 "move.  This can be done with the Insert key if you're using the default key-"
@@ -466,19 +464,19 @@ msgid ""
 msgstr ""
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons, src/cache/dialogs.c:cache_buttons, src/globhist/dialogs.c:globhist_buttons, src/protocol/auth/dialogs.c:auth_buttons)
-#: src/bookmarks/dialogs.c:487 src/cache/dialogs.c:230
+#: src/bookmarks/dialogs.c:593 src/cache/dialogs.c:230
 #: src/globhist/dialogs.c:224 src/protocol/auth/dialogs.c:261
 msgid "~Goto"
 msgstr "~ "
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons, src/config/dialogs.c:option_buttons, src/cookies/dialogs.c:cookie_buttons)
-#: src/bookmarks/dialogs.c:488 src/config/dialogs.c:503
+#: src/bookmarks/dialogs.c:594 src/config/dialogs.c:503
 #: src/cookies/dialogs.c:492
 msgid "~Edit"
 msgstr "~"
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons, src/cache/dialogs.c:cache_buttons, src/config/dialogs.c:keybinding_buttons, src/config/dialogs.c:option_buttons, src/cookies/dialogs.c:cookie_buttons, src/dialogs/menu.c:ext_menu, src/formhist/dialogs.c:formhist_buttons, src/globhist/dialogs.c:globhist_buttons, src/protocol/auth/dialogs.c:auth_buttons)
-#: src/bookmarks/dialogs.c:489 src/cache/dialogs.c:231
+#: src/bookmarks/dialogs.c:595 src/cache/dialogs.c:231
 #: src/config/dialogs.c:505 src/config/dialogs.c:930 src/cookies/dialogs.c:493
 #: src/dialogs/menu.c:463 src/formhist/dialogs.c:211
 #: src/globhist/dialogs.c:229 src/protocol/auth/dialogs.c:263
@@ -486,28 +484,28 @@ msgid "~Delete"
 msgstr "~"
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons, src/config/dialogs.c:keybinding_buttons, src/config/dialogs.c:option_buttons, src/cookies/dialogs.c:cookie_buttons, src/dialogs/menu.c:ext_menu)
-#: src/bookmarks/dialogs.c:490 src/config/dialogs.c:504
+#: src/bookmarks/dialogs.c:596 src/config/dialogs.c:504
 #: src/config/dialogs.c:929 src/cookies/dialogs.c:490 src/dialogs/menu.c:461
 msgid "~Add"
 msgstr "~"
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons)
-#: src/bookmarks/dialogs.c:491
+#: src/bookmarks/dialogs.c:597
 msgid "Add se~parator"
 msgstr " ~"
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons)
-#: src/bookmarks/dialogs.c:492
+#: src/bookmarks/dialogs.c:598
 msgid "Add ~folder"
 msgstr " ~"
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons)
-#: src/bookmarks/dialogs.c:493
+#: src/bookmarks/dialogs.c:599
 msgid "~Move"
 msgstr "~"
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons, src/cache/dialogs.c:cache_buttons, src/config/dialogs.c:keybinding_buttons, src/config/dialogs.c:option_buttons, src/dialogs/menu.c:view_menu, src/globhist/dialogs.c:globhist_buttons)
-#: src/bookmarks/dialogs.c:494 src/cache/dialogs.c:232
+#: src/bookmarks/dialogs.c:600 src/cache/dialogs.c:232
 #: src/config/dialogs.c:506 src/config/dialogs.c:932 src/dialogs/menu.c:413
 #: src/globhist/dialogs.c:230
 msgid "~Search"
@@ -515,36 +513,50 @@ msgstr "~"
 
 #. This one is too dangerous, so just let user delete
 #. * the bookmarks file if needed. --Zas
-#: src/bookmarks/dialogs.c:498
+#: src/bookmarks/dialogs.c:604
 msgid "Clear"
 msgstr ""
 
 #. TODO: Would this be useful? --jonas
-#: src/bookmarks/dialogs.c:501 src/globhist/dialogs.c:235
+#: src/bookmarks/dialogs.c:607 src/globhist/dialogs.c:235
 msgid "Save"
 msgstr ""
 
-#: src/bookmarks/dialogs.c:507
+#: src/bookmarks/dialogs.c:613
 msgid "Bookmark manager"
 msgstr " "
 
-#: src/bookmarks/dialogs.c:632
+#: src/bookmarks/dialogs.c:825
 msgid "Search bookmarks"
 msgstr " "
 
-#: src/bookmarks/dialogs.c:661
+#. When the user eventually pushes the OK button, BFU calls
+#. * bookmark_add_add() and gives it the struct dialog * as the
+#. * void * parameter.  However, bookmark_add_add() also needs
+#. * to know the struct terminal *, and there is no way to get
+#. * that from struct dialog.  The other bookmark dialogs work
+#. * around that by making dialog.udata point to the struct
+#. * dialog_data of the bookmark manager, but the "Add bookmark"
+#. * dialog can be triggered with ACT_MAIN_ADD_BOOKMARK, which
+#. * does not involve the bookmark manager at all.
+#. *
+#. * The solution here is to save the struct terminal * in
+#. * dialog.udata2, which the "Edit bookmark" dialog uses for
+#. * struct bookmark *.  When adding a new bookmark, we don't
+#. * need a pointer to an existing one, of course.
+#: src/bookmarks/dialogs.c:892
 msgid "Add bookmark"
 msgstr " "
 
-#: src/bookmarks/dialogs.c:697
+#: src/bookmarks/dialogs.c:950
 msgid "Saved session"
 msgstr " "
 
-#: src/bookmarks/dialogs.c:705
+#: src/bookmarks/dialogs.c:958
 msgid "Bookmark tabs"
 msgstr " "
 
-#: src/bookmarks/dialogs.c:705
+#: src/bookmarks/dialogs.c:958
 msgid "Enter folder name"
 msgstr "  "
 
@@ -556,7 +568,7 @@ msgstr " "
 msgid "Redirect"
 msgstr ""
 
-#: src/cache/dialogs.c:85 src/config/options.inc:519
+#: src/cache/dialogs.c:85 src/config/options.inc:553
 #: src/dialogs/document.c:156 src/protocol/bittorrent/dialogs.c:126
 msgid "Size"
 msgstr ""
@@ -602,7 +614,7 @@ msgstr ""
 msgid "ID"
 msgstr ""
 
-#: src/cache/dialogs.c:134 src/config/options.inc:669
+#: src/cache/dialogs.c:134 src/config/options.inc:707
 msgid "Header"
 msgstr ""
 
@@ -1286,7 +1298,7 @@ msgstr "  "
 msgid "Resolver error"
 msgstr " "
 
-#: src/config/cmdline.c:256 src/cookies/cookies.c:841 src/network/state.c:47
+#: src/config/cmdline.c:256 src/cookies/cookies.c:843 src/network/state.c:47
 #: src/util/secsave.c:379
 msgid "Out of memory"
 msgstr "  "
@@ -1309,57 +1321,62 @@ msgstr ""
 msgid "Remote method not supported"
 msgstr "   "
 
-#: src/config/cmdline.c:452
+#: src/config/cmdline.c:437
+msgid "Out of memory formatting option documentation"
+msgstr ""
+
+#: src/config/cmdline.c:474
 msgid "Template option folder"
 msgstr "  "
 
-#: src/config/cmdline.c:475
+#: src/config/cmdline.c:497
 #, c-format
 msgid "(default: %ld)"
 msgstr "(: %ld)"
 
-#: src/config/cmdline.c:482 src/config/cmdline.c:511
+#: src/config/cmdline.c:504 src/config/cmdline.c:533
 #, c-format
 msgid "(default: \"%s\")"
 msgstr "(: ,,%s``)"
 
-#: src/config/cmdline.c:487
+#: src/config/cmdline.c:509
 #, c-format
 msgid "(alias for %s)"
 msgstr "(  %s)"
 
-#: src/config/cmdline.c:492 src/config/cmdline.c:501
+#: src/config/cmdline.c:514 src/config/cmdline.c:523
 #, c-format
 msgid "(default: %s)"
 msgstr "(: %s)"
 
-#: src/config/cmdline.c:642
+#: src/config/cmdline.c:654
 msgid "Configuration options"
 msgstr " "
 
-#: src/config/cmdline.c:646
+#: src/config/cmdline.c:658
 msgid "Usage: elinks [OPTION]... [URL]..."
 msgstr ": elinks []... []..."
 
-#: src/config/cmdline.c:647
+#: src/config/cmdline.c:659
 msgid "Options"
 msgstr ""
 
-#: src/config/cmdline.c:689
+#: src/config/cmdline.c:701
 msgid "Internal consistency error"
 msgstr "  "
 
 #.
-#: src/config/cmdline.c:725
+#: src/config/cmdline.c:737
 msgid "Restrict to anonymous mode"
 msgstr "   "
 
-#: src/config/cmdline.c:727
+#: src/config/cmdline.c:739
+#, fuzzy
 msgid ""
-"Restricts ELinks so it can run on an anonymous account.\n"
-"Local file browsing, downloads, and modification of options\n"
-"will be disabled. Execution of viewers is allowed, but entries\n"
-"in the association table can't be added or modified."
+"Restricts ELinks so it can run on an anonymous account. Local file browsing, "
+"downloads, and modification of options will be disabled. Execution of "
+"viewers is allowed, but entries in the association table can't be added or "
+"modified."
 msgstr ""
 "         \n"
 ".   ,    \n"
@@ -1367,38 +1384,39 @@ msgstr ""
 "         \n"
 " ."
 
-#: src/config/cmdline.c:732
+#: src/config/cmdline.c:745
 msgid "Autosubmit first form"
 msgstr "   "
 
-#: src/config/cmdline.c:734
+#: src/config/cmdline.c:747
 msgid "Automatically submit the first form in the given URLs."
 msgstr "       -."
 
-#: src/config/cmdline.c:736
+#: src/config/cmdline.c:749
 msgid "Clone internal session with given ID"
 msgstr "     -"
 
-#: src/config/cmdline.c:738
+#: src/config/cmdline.c:751
+#, fuzzy
 msgid ""
-"Used internally when opening ELinks instances in new windows.\n"
-"The ID maps to information that will be used when creating the\n"
-"new instance. You don't want to use it."
+"Used internally when opening ELinks instances in new windows. The ID maps to "
+"information that will be used when creating the new instance. You don't want "
+"to use it."
 msgstr ""
 "        \n"
 ".         \n"
 "   .      ."
 
-#: src/config/cmdline.c:744
+#: src/config/cmdline.c:757
 msgid "Name of directory with configuration file"
 msgstr "       "
 
-#: src/config/cmdline.c:746
+#: src/config/cmdline.c:759
+#, fuzzy
 msgid ""
-"Path of the directory ELinks will read and write its\n"
-"config and runtime state files to instead of ~/.elinks.\n"
-"If the path does not begin with a '/' it is assumed to be\n"
-"relative to your HOME directory."
+"Path of the directory ELinks will read and write its config and runtime "
+"state files to instead of ~/.elinks. If the path does not begin with a '/' "
+"it is assumed to be relative to your HOME directory."
 msgstr ""
 "          \n"
 "    ,  \n"
@@ -1406,110 +1424,111 @@ msgstr ""
 "       (\n"
 " HOME)."
 
-#: src/config/cmdline.c:751
+#: src/config/cmdline.c:764
 msgid "Print default configuration file to stdout"
 msgstr ""
 "       "
 
-#: src/config/cmdline.c:753
+#: src/config/cmdline.c:766
+#, fuzzy
 msgid ""
-"Print a configuration file with options set to the built-in\n"
-"defaults to stdout."
+"Print a configuration file with options set to the built-in defaults to "
+"stdout."
 msgstr ""
 "        \n"
 "    ."
 
-#: src/config/cmdline.c:758
+#: src/config/cmdline.c:771
 msgid "Name of configuration file"
 msgstr "   "
 
-#: src/config/cmdline.c:760
+#: src/config/cmdline.c:773
+#, fuzzy
 msgid ""
-"Name of the configuration file that all configuration\n"
-"options will be read from and written to. It should be\n"
-"relative to config-dir."
+"Name of the configuration file that all configuration options will be read "
+"from and written to. It should be relative to config-dir."
 msgstr ""
 "         \n"
 "       .  \n"
 "        \n"
 "."
 
-#: src/config/cmdline.c:764
+#: src/config/cmdline.c:777
 msgid "Print help for configuration options"
 msgstr "    "
 
-#: src/config/cmdline.c:766
+#: src/config/cmdline.c:779
 msgid "Print help for configuration options and exit."
 msgstr "      ."
 
-#: src/config/cmdline.c:768
+#: src/config/cmdline.c:781
 msgid "MIME type assumed for unknown document types"
 msgstr " MIME     "
 
-#: src/config/cmdline.c:770
+#: src/config/cmdline.c:783
 msgid "The default MIME type used for documents of unknown type."
 msgstr " MIME        ."
 
-#: src/config/cmdline.c:772
+#: src/config/cmdline.c:786
 msgid "Ignore user-defined keybindings"
 msgstr "   "
 
-#: src/config/cmdline.c:774
+#: src/config/cmdline.c:788
+#, fuzzy
 msgid ""
-"When set, all keybindings from configuration files will be\n"
-"ignored. It forces use of default keybindings and will reset\n"
-"user-defined ones on save."
+"When set, all keybindings from configuration files will be ignored. It "
+"forces use of default keybindings and will reset user-defined ones on save."
 msgstr ""
 "   ,     \n"
 "   .   \n"
 "       \n"
 "   ."
 
-#: src/config/cmdline.c:778
+#: src/config/cmdline.c:792
 msgid "Print formatted versions of given URLs to stdout"
 msgstr "    -   "
 
-#: src/config/cmdline.c:780
+#: src/config/cmdline.c:794
 msgid "Print formatted plain-text versions of given URLs to stdout."
 msgstr ""
 "     - \n"
 " ."
 
-#: src/config/cmdline.c:782
+#: src/config/cmdline.c:797
 msgid "Codepage to use with -dump"
 msgstr "   -dump"
 
-#: src/config/cmdline.c:784
+#: src/config/cmdline.c:799
 msgid "Codepage used when formatting dump output."
 msgstr "     ."
 
-#: src/config/cmdline.c:786
+#: src/config/cmdline.c:801
 #, fuzzy
 msgid "Color mode used with -dump"
 msgstr "   -dump"
 
-#: src/config/cmdline.c:788
+#: src/config/cmdline.c:803
 #, fuzzy
 msgid "Color mode used with -dump."
 msgstr "   -dump"
 
-#: src/config/cmdline.c:790
+#: src/config/cmdline.c:805
 msgid "Width of document formatted with -dump"
 msgstr "    -dump"
 
-#: src/config/cmdline.c:792
+#: src/config/cmdline.c:807
 msgid "Width of the dump output."
 msgstr "  ."
 
-#: src/config/cmdline.c:794
+#: src/config/cmdline.c:809
 msgid "Evaluate configuration file directive"
 msgstr "    "
 
-#: src/config/cmdline.c:796
+#: src/config/cmdline.c:811
+#, fuzzy
 msgid ""
-"Specify configuration file directives on the command-line\n"
-"which will be evaluated after all configuration files has been\n"
-"read. Example usage:\n"
+"Specify configuration file directives on the command-line which will be "
+"evaluated after all configuration files has been read. Example usage:\n"
 "\t-eval 'set protocol.file.allow_special_files = 1'"
 msgstr ""
 "       \n"
@@ -1517,15 +1536,16 @@ msgstr ""
 "\t-eval 'set protocol.file.allow_special_files = 1'"
 
 #. lynx compatibility
-#: src/config/cmdline.c:802
+#: src/config/cmdline.c:817
 msgid "Interpret documents of unknown types as HTML"
 msgstr "     HTML"
 
-#: src/config/cmdline.c:804
+#: src/config/cmdline.c:819
+#, fuzzy
 msgid ""
-"Makes ELinks assume documents of unknown types are HTML.\n"
-"Useful when using ELinks as an external viewer from MUAs.\n"
-"This is equivalent to -default-mime-type text/html."
+"Makes ELinks assume documents of unknown types are HTML. Useful when using "
+"ELinks as an external viewer from MUAs. This is equivalent to -default-mime-"
+"type text/html."
 msgstr ""
 "      \n"
 "   HTML-.    \n"
@@ -1533,56 +1553,58 @@ msgstr ""
 ").    \n"
 "-default-mime-type text/html."
 
-#: src/config/cmdline.c:814
+#: src/config/cmdline.c:829
 msgid "Print usage help and exit"
 msgstr "     "
 
-#: src/config/cmdline.c:816
+#: src/config/cmdline.c:831
 msgid "Print usage help and exit."
 msgstr "     ."
 
-#: src/config/cmdline.c:818
+#: src/config/cmdline.c:833
 msgid "Only permit local connections"
 msgstr "    "
 
-#: src/config/cmdline.c:820
+#: src/config/cmdline.c:835
+#, fuzzy
 msgid ""
-"Restricts ELinks to work offline and only connect to servers\n"
-"with local addresses (ie. 127.0.0.1). No connections to remote\n"
-"servers will be permitted."
+"Restricts ELinks to work offline and only connect to servers with local "
+"addresses (ie. 127.0.0.1). No connections to remote servers will be "
+"permitted."
 msgstr ""
 "           \n"
 "     (. 127.0.0.1).\n"
 "      ."
 
-#: src/config/cmdline.c:824
+#: src/config/cmdline.c:839
 msgid "Print detailed usage help and exit"
 msgstr "      "
 
-#: src/config/cmdline.c:826
+#: src/config/cmdline.c:841
 msgid "Print detailed usage help and exit."
 msgstr "      ."
 
-#: src/config/cmdline.c:828
+#: src/config/cmdline.c:843
 msgid "Look up specified host"
 msgstr "   "
 
-#: src/config/cmdline.c:830
+#: src/config/cmdline.c:845
 msgid "Look up specified host and print all DNS resolved IP addresses."
 msgstr ""
 "        \n"
 "  DNS-."
 
-#: src/config/cmdline.c:832
+#: src/config/cmdline.c:848
 msgid "Run as separate instance"
 msgstr "  "
 
-#: src/config/cmdline.c:834
+#: src/config/cmdline.c:850
+#, fuzzy
 msgid ""
-"Run ELinks as a separate instance instead of connecting to an\n"
-"existing instance. Note that normally no runtime state files\n"
-"(bookmarks, history, etc.) are written to the disk when this\n"
-"option is used. See also -touch-files."
+"Run ELinks as a separate instance instead of connecting to an existing "
+"instance. Note that normally no runtime state files (bookmarks, history, "
+"etc.) are written to the disk when this option is used. See also -touch-"
+"files."
 msgstr ""
 "         \n"
 " .     ,  \n"
@@ -1590,60 +1612,64 @@ msgstr ""
 "(, , .)    .\n"
 "  -touch-files."
 
-#: src/config/cmdline.c:839
+#: src/config/cmdline.c:855
 msgid "Disable use of files in ~/.elinks"
 msgstr "     ~/.elinks"
 
-#: src/config/cmdline.c:841
+#: src/config/cmdline.c:857
+#, fuzzy
 msgid ""
-"Disables creation and use of files in the user specific home\n"
-"configuration directory (~/.elinks). It forces default configuration\n"
-"values to be used and disables saving of runtime state files."
+"Disables creation and use of files in the user specific home configuration "
+"directory (~/.elinks). It forces default configuration values to be used and "
+"disables saving of runtime state files."
 msgstr ""
 "      \n"
 "   (~/.elinks).   \n"
 "     \n"
 "   ."
 
-#: src/config/cmdline.c:845
+#: src/config/cmdline.c:862
 msgid "Disable link numbering in dump output"
 msgstr "      "
 
-#: src/config/cmdline.c:847
+#: src/config/cmdline.c:864
+#, fuzzy
 msgid ""
 "Prevents printing of link number in dump output.\n"
+"\n"
 "Note that this really affects only -dump, nothing else."
 msgstr ""
 "      .\n"
 "       -dump,   ."
 
-#: src/config/cmdline.c:850
+#: src/config/cmdline.c:868
 msgid "Disable printing of link references in dump output"
 msgstr "       "
 
-#: src/config/cmdline.c:852
+#: src/config/cmdline.c:870
+#, fuzzy
 msgid ""
-"Prevents printing of references (URIs) of document links\n"
-"in dump output.\n"
+"Prevents printing of references (URIs) of document links in dump output.\n"
+"\n"
 "Note that this really affects only -dump, nothing else."
 msgstr ""
 "   (-)   \n"
 "  .      \n"
 " -dump,   ."
 
-#: src/config/cmdline.c:856
+#: src/config/cmdline.c:875
 msgid "Control an already running ELinks"
 msgstr "   "
 
-#: src/config/cmdline.c:858
+#: src/config/cmdline.c:877
 #, fuzzy
 msgid ""
-"Control a remote ELinks instance by passing commands to it.\n"
-"The option takes an additional argument containing the method\n"
-"which should be invoked and any parameters that should be passed\n"
-"to it. For ease of use, the additional method argument can be\n"
-"omitted in which case any URL arguments will be opened in new\n"
-"tabs in the remote instance.\n"
+"Control a remote ELinks instance by passing commands to it. The option takes "
+"an additional argument containing the method which should be invoked and any "
+"parameters that should be passed to it. For ease of use, the additional "
+"method argument can be omitted in which case any URL arguments will be "
+"opened in new tabs in the remote instance.\n"
+"\n"
 "Following is a list of the supported methods:\n"
 "\tping()                    : look for a remote instance\n"
 "\topenURL()                 : prompt URL in current tab\n"
@@ -1669,26 +1695,27 @@ msgstr ""
 "\taddBookmark(URL)          :    \n"
 "\txfeDoCommand(openBrowser) :   "
 
-#: src/config/cmdline.c:874
+#: src/config/cmdline.c:895
 msgid "Connect to session ring with given ID"
 msgstr "      -"
 
-#: src/config/cmdline.c:876
+#: src/config/cmdline.c:897
+#, fuzzy
 msgid ""
-"ID of session ring this ELinks session should connect to. ELinks\n"
-"works in so-called session rings, whereby all instances of ELinks\n"
-"are interconnected and share state (cache, bookmarks, cookies,\n"
-"and so on). By default, all ELinks instances connect to session\n"
-"ring 0. You can change that behaviour with this switch and form as\n"
-"many session rings as you want. Obviously, if the session-ring with\n"
-"this number doesn't exist yet, it's created and this ELinks instance\n"
-"will become the master instance (that usually doesn't matter for you\n"
-"as a user much). Note that you usually don't want to use this unless\n"
-"you're a developer and you want to do some testing - if you want the\n"
-"ELinks instances each running standalone, rather use the -no-connect\n"
-"command-line option. Also note that normally no runtime state files\n"
-"are written to the disk when this option is used. See also\n"
-"-touch-files."
+"ID of session ring this ELinks session should connect to. ELinks works in so-"
+"called session rings, whereby all instances of ELinks are interconnected and "
+"share state (cache, bookmarks, cookies, and so on). By default, all ELinks "
+"instances connect to session ring 0. You can change that behaviour with this "
+"switch and form as many session rings as you want. Obviously, if the session-"
+"ring with this number doesn't exist yet, it's created and this ELinks "
+"instance will become the master instance (that usually doesn't matter for "
+"you as a user much).\n"
+"\n"
+"Note that you usually don't want to use this unless you're a developer and "
+"you want to do some testing - if you want the ELinks instances each running "
+"standalone, rather use the -no-connect command-line option. Also note that "
+"normally no runtime state files are written to the disk when this option is "
+"used. See also -touch-files."
 msgstr ""
 "           \n"
 ".    .  ,   \n"
@@ -1706,40 +1733,41 @@ msgstr ""
 "       .  \n"
 "-touch-files."
 
-#: src/config/cmdline.c:891
+#: src/config/cmdline.c:915
 msgid "Print the source of given URLs to stdout"
 msgstr "    -   "
 
-#: src/config/cmdline.c:893
+#: src/config/cmdline.c:917
 msgid "Print given URLs in source form to stdout."
 msgstr "  -      ."
 
-#: src/config/cmdline.c:897
+#: src/config/cmdline.c:921
 msgid "Touch files in ~/.elinks when running with -no-connect/-session-ring"
 msgstr ""
 "   . ~/.elinks    -no-connect  -session-"
 "ring"
 
-#: src/config/cmdline.c:899
+#: src/config/cmdline.c:923
+#, fuzzy
 msgid ""
-"When enabled, runtime state files (bookmarks, history, etc.) are\n"
-"written to disk, even when -no-connect or -session-ring is used.\n"
-"The option has no effect if not used in conjunction with any of\n"
-"these options."
+"When enabled, runtime state files (bookmarks, history, etc.) are written to "
+"disk, even when -no-connect or -session-ring is used. The option has no "
+"effect if not used in conjunction with any of these options."
 msgstr ""
 "   ,    \n"
 "(, , .)  ,     \n"
 "-no-connect  -session-ring.     \n"
 "        ."
 
-#: src/config/cmdline.c:904
+#: src/config/cmdline.c:928
 msgid "Verbose level"
 msgstr " "
 
-#: src/config/cmdline.c:906
+#: src/config/cmdline.c:930
+#, fuzzy
 msgid ""
-"The verbose level controls what messages are shown at\n"
-"start up and while running:\n"
+"The verbose level controls what messages are shown at start up and while "
+"running:\n"
 "\t0 means only show serious errors\n"
 "\t1 means show serious errors and warnings\n"
 "\t2 means show all messages"
@@ -1750,15 +1778,15 @@ msgstr ""
 "\t1     \n"
 "\t2   "
 
-#: src/config/cmdline.c:912
+#: src/config/cmdline.c:936
 msgid "Print version information and exit"
 msgstr "     "
 
-#: src/config/cmdline.c:914
+#: src/config/cmdline.c:938
 msgid "Print ELinks version information and exit."
 msgstr "      ."
 
-#: src/config/conf.c:938
+#: src/config/conf.c:963
 msgid ""
 "## This is ELinks configuration file. You can edit it manually,\n"
 "## if you wish so; this file is edited by ELinks when you save\n"
@@ -1770,7 +1798,7 @@ msgstr ""
 "##  ,         \n"
 "##  ,   , .   .\n"
 
-#: src/config/conf.c:946
+#: src/config/conf.c:971
 msgid ""
 "## This is ELinks configuration file. You can edit it manually,\n"
 "## if you wish so; this file is edited by ELinks when you save\n"
@@ -1788,7 +1816,7 @@ msgstr ""
 "## ,     ý  .    \n"
 "## , , .  .\n"
 
-#: src/config/conf.c:956
+#: src/config/conf.c:981
 msgid ""
 "## This is ELinks configuration file. You can edit it manually,\n"
 "## if you wish so, but keep in mind that this file is overwritten\n"
@@ -1800,7 +1828,7 @@ msgstr ""
 "##       ,     \n"
 "##   ,  ,  .\n"
 
-#: src/config/conf.c:967
+#: src/config/conf.c:992
 msgid ""
 "## Obviously, if you don't like what ELinks is going to do with\n"
 "## this file, you can change it by altering the config.saving_style\n"
@@ -1810,11 +1838,11 @@ msgstr ""
 "## ,      \n"
 "## config.saving_style.    ?\n"
 
-#: src/config/conf.c:980
+#: src/config/conf.c:1005
 msgid "Automatically saved options\n"
 msgstr "  \n"
 
-#: src/config/conf.c:992
+#: src/config/conf.c:1017
 msgid "Automatically saved keybindings\n"
 msgstr "  \n"
 
@@ -1875,7 +1903,7 @@ msgstr "(   
 #. * switch charsets.  So, it will work in any terminal that
 #. * understands UTF-8 and has the characters in its font.
 #: src/config/dialogs.c:149 src/config/dialogs.c:330
-#: src/config/options.inc:840
+#: src/config/options.inc:887
 msgid "Type"
 msgstr ""
 
@@ -1903,9 +1931,9 @@ msgid "Description"
 msgstr ""
 
 #: src/config/dialogs.c:291 src/protocol/bittorrent/dialogs.c:600
-#: src/protocol/protocol.c:240 src/session/session.c:287
-#: src/session/session.c:975 src/viewer/text/textarea.c:594
-#: src/viewer/text/textarea.c:601
+#: src/protocol/protocol.c:240 src/session/session.c:288
+#: src/session/session.c:999 src/viewer/text/textarea.c:583
+#: src/viewer/text/textarea.c:590
 msgid "Error"
 msgstr ""
 
@@ -1943,7 +1971,7 @@ msgstr "     ."
 #. accelerator_context(src/config/dialogs.c:keybinding_buttons, src/config/dialogs.c:option_buttons, src/cookies/dialogs.c:cookie_buttons, src/formhist/dialogs.c:formhist_buttons, src/protocol/bittorrent/dialogs.c:bittorrent_query_callback, src/session/download.c:do_type_query, terminal_options)
 #: src/config/dialogs.c:507 src/config/dialogs.c:933 src/cookies/dialogs.c:495
 #: src/dialogs/options.c:236 src/formhist/dialogs.c:214
-#: src/protocol/bittorrent/dialogs.c:801 src/session/download.c:1203
+#: src/protocol/bittorrent/dialogs.c:801 src/session/download.c:1229
 msgid "Sa~ve"
 msgstr "~"
 
@@ -1955,7 +1983,7 @@ msgstr " "
 msgid "Keystroke"
 msgstr ""
 
-#: src/config/dialogs.c:676 src/config/options.inc:1219
+#: src/config/dialogs.c:676 src/config/options.inc:1292
 msgid "Action"
 msgstr ""
 
@@ -2035,31 +2063,31 @@ msgstr ""
 "         $HOME    "
 "      ."
 
-#: src/config/kbdbind.c:221
+#: src/config/kbdbind.c:222
 msgid "Main mapping"
 msgstr " "
 
-#: src/config/kbdbind.c:222
+#: src/config/kbdbind.c:223
 msgid "Edit mapping"
 msgstr "  "
 
-#: src/config/kbdbind.c:223
+#: src/config/kbdbind.c:224
 msgid "Menu mapping"
 msgstr " "
 
-#: src/config/kbdbind.c:588 src/scripting/python/keybinding.c:104
+#: src/config/kbdbind.c:589 src/scripting/python/keybinding.c:104
 msgid "Unrecognised keymap"
 msgstr "  "
 
-#: src/config/kbdbind.c:591
+#: src/config/kbdbind.c:592
 msgid "Error parsing keystroke"
 msgstr "   "
 
-#: src/config/kbdbind.c:595
+#: src/config/kbdbind.c:596
 msgid "Unrecognised action (internal error)"
 msgstr "  ( )"
 
-#: src/config/kbdbind.c:611
+#: src/config/kbdbind.c:612
 #, fuzzy
 msgid "Error registering event"
 msgstr "    "
@@ -2092,34 +2120,35 @@ msgstr ""
 "2    \n"
 "3    "
 
-#: src/config/options.inc:31
+#: src/config/options.inc:32
 msgid "Indentation"
 msgstr ""
 
-#: src/config/options.inc:33
+#: src/config/options.inc:34
+#, fuzzy
 msgid ""
-"Shift width of one indentation level in the configuration\n"
-"file. Zero means that no indentation is performed at all\n"
-"when saving the configuration."
+"Shift width of one indentation level in the configuration file. Zero means "
+"that no indentation is performed at all when saving the configuration."
 msgstr ""
 "       .\n"
 "        \n"
 " ."
 
-#: src/config/options.inc:37
+#: src/config/options.inc:38
 msgid "Saving style"
 msgstr " "
 
-#: src/config/options.inc:39
+#: src/config/options.inc:40
+#, fuzzy
 msgid ""
 "Determines what happens when you tell ELinks to save options:\n"
 "0 is only values of current options are altered\n"
-"1 is values of current options are altered and missing options\n"
-"     are added at the end of the file\n"
+"1 is values of current options are altered and missing\n"
+"     options are added at the end of the file\n"
 "2 is the configuration file is rewritten from scratch\n"
-"3 is values of current options are altered and missing options\n"
-"     CHANGED during this ELinks session are added at the end of\n"
-"     the file"
+"3 is values of current options are altered and missing\n"
+"     options CHANGED during this ELinks session are added at\n"
+"     the end of the file"
 msgstr ""
 "        \n"
 ":\n"
@@ -2131,17 +2160,17 @@ msgstr ""
 "              \n"
 "      "
 
-#: src/config/options.inc:48
+#: src/config/options.inc:50
 msgid "Comments localization"
 msgstr " "
 
-#: src/config/options.inc:50
+#: src/config/options.inc:52
+#, fuzzy
 msgid ""
-"If set to 1, comments in the configuration file will be\n"
-"translated to the language used by UI. Note that if you have\n"
-"different language set in different terminals, the language\n"
-"used in the configuration file MAY be the same as on the\n"
-"terminal where you saved the file, but it should be generally\n"
+"If set to 1, comments in the configuration file will be translated to the "
+"language used by UI. Note that if you have different language set in "
+"different terminals, the language used in the configuration file MAY be the "
+"same as on the terminal where you saved the file, but it should be generally "
 "considered unpredictable."
 msgstr ""
 "     1,    \n"
@@ -2152,98 +2181,98 @@ msgstr ""
 " ,     \n"
 "."
 
-#: src/config/options.inc:58
+#: src/config/options.inc:60
 msgid "Saving style warnings"
 msgstr "  "
 
-#: src/config/options.inc:60
+#: src/config/options.inc:62
+#, fuzzy
 msgid ""
-"This is internal option used when displaying a warning about\n"
-"obsolete config.saving_style. You shouldn't touch it."
+"This is internal option used when displaying a warning about obsolete config."
+"saving_style. You shouldn't touch it."
 msgstr ""
 "        \n"
 "    config.saving_style.  \n"
 "   ."
 
-#: src/config/options.inc:63
+#: src/config/options.inc:66
 msgid "Show template"
 msgstr " "
 
-#: src/config/options.inc:65
+#: src/config/options.inc:68
+#, fuzzy
 msgid ""
-"Show template options in autocreated trees in the options\n"
-"manager and save them to the configuration file."
+"Show template options in autocreated trees in the options manager and save "
+"them to the configuration file."
 msgstr ""
 "       \n"
 "        ."
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:71 src/dialogs/info.c:180
+#: src/config/options.inc:74 src/dialogs/info.c:180
 msgid "Connections"
 msgstr ""
 
-#: src/config/options.inc:73
+#: src/config/options.inc:76
 msgid "Connection options."
 msgstr " ."
 
-#: src/config/options.inc:76
+#: src/config/options.inc:79
 msgid "Asynchronous DNS"
 msgstr " DNS"
 
-#: src/config/options.inc:78
+#: src/config/options.inc:81
 msgid "Whether to use asynchronous DNS resolving."
 msgstr "       DNS-."
 
-#: src/config/options.inc:80
+#: src/config/options.inc:83
 msgid "Maximum connections"
 msgstr " "
 
-#: src/config/options.inc:82
+#: src/config/options.inc:85
 msgid "Maximum number of concurrent connections."
 msgstr "   ."
 
-#: src/config/options.inc:84
+#: src/config/options.inc:87
 msgid "Maximum connections per host"
 msgstr "   "
 
-#: src/config/options.inc:86
+#: src/config/options.inc:89
 msgid "Maximum number of concurrent connections to a given host."
 msgstr "      ."
 
-#: src/config/options.inc:88
+#: src/config/options.inc:92
 msgid "Connection retries"
 msgstr "  "
 
-#: src/config/options.inc:90
-msgid ""
-"Number of tries to establish a connection.\n"
-"Zero means try forever."
+#: src/config/options.inc:94
+#, fuzzy
+msgid "Number of tries to establish a connection. Zero means try forever."
 msgstr ""
 "     .\n"
 "       ."
 
-#: src/config/options.inc:93 src/network/state.c:53
+#: src/config/options.inc:97 src/network/state.c:53
 msgid "Receive timeout"
 msgstr "  "
 
-#: src/config/options.inc:95
+#: src/config/options.inc:99
 msgid "Receive timeout (in seconds)."
 msgstr "   ( )."
 
-#: src/config/options.inc:98 src/config/options.inc:108
+#: src/config/options.inc:102 src/config/options.inc:113
 msgid "Try IPv4 when connecting"
 msgstr "   4"
 
-#: src/config/options.inc:100
+#: src/config/options.inc:104
 #, fuzzy
 msgid ""
-"Whether to try to connect to a host over IPv4.\n"
-"Note that if connection.try_ipv6 is enabled too,\n"
-"it takes precedence. And better do not touch this\n"
+"Whether to try to connect to a host over IPv4. Note that if connection."
+"try_ipv6 is enabled too, it takes precedence. And better do not touch this "
 "at all unless you are sure what are you doing.\n"
-"Note that you can also force a given protocol\n"
-"to be used on a per-connection basis by using a URL\n"
-"in the style of e.g. http4://elinks.cz/."
+"\n"
+"Note that you can also force a given protocol to be used on a per-connection "
+"basis by using a URL in the style of e.g. http4://elinks.cz/."
 msgstr ""
 "        \n"
 "4.    connection.try_ipv6\n"
@@ -2254,14 +2283,13 @@ msgstr ""
 "     \n"
 "."
 
-#: src/config/options.inc:110
+#: src/config/options.inc:115
 #, fuzzy
 msgid ""
-"Whether to try to connect to a host over IPv4.\n"
-"Do not touch this option.\n"
-"Note that you can also force a given protocol\n"
-"to be used on a per-connection basis by using a URL\n"
-"in the style of e.g. http4://elinks.cz/."
+"Whether to try to connect to a host over IPv4. Do not touch this option.\n"
+"\n"
+"Note that you can also force a given protocol to be used on a per-connection "
+"basis by using a URL in the style of e.g. http4://elinks.cz/."
 msgstr ""
 "        \n"
 "4.      .\n"
@@ -2270,17 +2298,17 @@ msgstr ""
 "     \n"
 "."
 
-#: src/config/options.inc:118
+#: src/config/options.inc:124
 msgid "Try IPv6 when connecting"
 msgstr "   6"
 
-#: src/config/options.inc:120
+#: src/config/options.inc:126
 #, fuzzy
 msgid ""
 "Whether to try to connect to a host over IPv6.\n"
-"Note that you can also force a given protocol\n"
-"to be used on a per-connection basis by using a URL\n"
-"in the style of e.g. http6://elinks.cz/."
+"\n"
+"Note that you can also force a given protocol to be used on a per-connection "
+"basis by using a URL in the style of e.g. http6://elinks.cz/."
 msgstr ""
 "        \n"
 "6.    -   , .\n"
@@ -2288,43 +2316,43 @@ msgstr ""
 "     \n"
 "."
 
-#: src/config/options.inc:126
+#: src/config/options.inc:133
 msgid "Timeout for non-restartable connections"
 msgstr "         "
 
-#: src/config/options.inc:128
+#: src/config/options.inc:135
 msgid "Timeout for non-restartable connections (in seconds)."
 msgstr ""
 "        \n"
 " ( )."
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:134
+#: src/config/options.inc:141
 msgid "Document"
 msgstr ""
 
-#: src/config/options.inc:136
+#: src/config/options.inc:143
 msgid "Document options."
 msgstr " ."
 
-#: src/config/options.inc:138
+#: src/config/options.inc:145
 msgid "Browsing"
 msgstr ""
 
-#: src/config/options.inc:140
+#: src/config/options.inc:147
 msgid "Document browsing options (mainly interactivity)."
 msgstr "   ( )."
 
-#: src/config/options.inc:143
+#: src/config/options.inc:150
 msgid "Access keys"
 msgstr " "
 
-#: src/config/options.inc:145
+#: src/config/options.inc:152
+#, fuzzy
 msgid ""
-"Options for handling of link access keys.\n"
-"An HTML document can use the ACCESSKEY attribute to assign\n"
-"an access key to an element. When an access key is pressed,\n"
-"the corresponding element will be given focus."
+"Options for handling of link access keys. An HTML document can use the "
+"ACCESSKEY attribute to assign an access key to an element. When an access "
+"key is pressed, the corresponding element will be given focus."
 msgstr ""
 "     .\n"
 " HTML      ACCESSKEY\n"
@@ -2332,37 +2360,40 @@ msgstr ""
 "  ,   \n"
 " ."
 
-#: src/config/options.inc:150
+#: src/config/options.inc:157
 msgid "Automatic links following"
 msgstr "  "
 
-#: src/config/options.inc:152
+#: src/config/options.inc:159
+#, fuzzy
 msgid ""
-"Automatically follow a link or submit a form if appropriate\n"
-"accesskey is pressed - this is the standard behaviour, but it's\n"
-"considered dangerous."
+"Automatically follow a link or submit a form if appropriate accesskey is "
+"pressed - this is the standard behaviour, but it's considered dangerous."
 msgstr ""
 "        \n"
 "   .   \n"
 ",     ."
 
-#: src/config/options.inc:156
+#: src/config/options.inc:163
 msgid "Display access key in link info"
 msgstr "      "
 
-#: src/config/options.inc:158
+#: src/config/options.inc:165
 msgid "Display access key in link info."
 msgstr "      ."
 
-#: src/config/options.inc:160
+#: src/config/options.inc:167
 msgid "Accesskey priority"
 msgstr "  "
 
-#: src/config/options.inc:162
+#: src/config/options.inc:169
+#, fuzzy
 msgid ""
 "Priority of 'accesskey' HTML attribute:\n"
-"0 is first try all normal bindings; if it fails, check accesskey\n"
-"1 is first try only frame bindings; if it fails, check accesskey\n"
+"0 is first try all normal bindings; if it fails,\n"
+"     check accesskey\n"
+"1 is first try only frame bindings; if it fails,\n"
+"     check accesskey\n"
 "2 is first check accesskey (this can be dangerous)"
 msgstr ""
 "  HTML- ,,accesskey``:\n"
@@ -2373,57 +2404,56 @@ msgstr ""
 "2     ,,accesskey`` (  \n"
 "      )"
 
-#: src/config/options.inc:168
+#: src/config/options.inc:177
 msgid "Forms"
 msgstr ""
 
-#: src/config/options.inc:170
+#: src/config/options.inc:179
 msgid "Options for handling of the forms interaction."
 msgstr "     ."
 
-#: src/config/options.inc:172
+#: src/config/options.inc:181
 msgid "Submit form automatically"
 msgstr "  "
 
-#: src/config/options.inc:174
+#: src/config/options.inc:183
+#, fuzzy
 msgid ""
-"Automagically submit a form when enter is pressed with a text\n"
-"field selected."
+"Automagically submit a form when enter is pressed with a text field selected."
 msgstr ""
 "        ENTER \n"
 " ."
 
-#: src/config/options.inc:177
+#: src/config/options.inc:186
 msgid "Confirm submission"
 msgstr " "
 
-#: src/config/options.inc:179
+#: src/config/options.inc:188
 msgid "Ask for confirmation when submitting a form."
 msgstr "     ."
 
-#: src/config/options.inc:181
+#: src/config/options.inc:190
 msgid "Default form input size"
 msgstr "      "
 
-#: src/config/options.inc:183
+#: src/config/options.inc:192
 msgid "Default form input size if none is specified."
 msgstr ""
 "        \n"
 " ."
 
-#: src/config/options.inc:185
+#: src/config/options.inc:194
 msgid "Insert mode"
 msgstr " "
 
-#: src/config/options.inc:187
+#: src/config/options.inc:196
 #, fuzzy
 msgid ""
-"The setting for this option affects how key presses are handled\n"
-"when one selects a text-input form-field. When enabled, one must\n"
-"explicitly 'enter' a selected text-field to edit it; this prevents\n"
-"text fields from capturing key presses, such as presses of a scroll\n"
-"key, when it is inadvertently selected. When disabled, key presses\n"
-"are always inserted into a selected text field."
+"The setting for this option affects how key presses are handled when one "
+"selects a text-input form-field. When enabled, one must explicitly 'enter' a "
+"selected text-field to edit it; this prevents text fields from capturing key "
+"presses, such as presses of a scroll key, when it is inadvertently selected. "
+"When disabled, key presses are always inserted into a selected text field."
 msgstr ""
 "         \n"
 "          .\n"
@@ -2434,18 +2464,18 @@ msgstr ""
 " ,       \n"
 "   ."
 
-#: src/config/options.inc:194
+#: src/config/options.inc:204
 msgid "External editor"
 msgstr " "
 
-#: src/config/options.inc:196
+#: src/config/options.inc:206
 #, fuzzy
 msgid ""
-"Path to the executable that ELinks should launch when the user\n"
-"requests to edit a textarea with an external editor.\n"
-"If this is blank, ELinks will use the value of the environmental\n"
-"variable $EDITOR. If $EDITOR is empty or not set, ELinks will then\n"
-"default to \"vi\"."
+"Path to the executable that ELinks should launch when the user requests to "
+"edit a textarea with an external editor.\n"
+"\n"
+"If this is blank, ELinks will use the value of the environmental variable "
+"$EDITOR. If $EDITOR is empty or not set, ELinks will then default to \"vi\"."
 msgstr ""
 "        \n"
 "       \n"
@@ -2455,25 +2485,28 @@ msgstr ""
 " $EDITOR.       \n"
 ",      ,,vi``."
 
-#: src/config/options.inc:203
+#: src/config/options.inc:214
 msgid "Images"
 msgstr ""
 
-#: src/config/options.inc:205
+#: src/config/options.inc:216
 msgid "Options for handling of images."
 msgstr "  ."
 
-#: src/config/options.inc:207
+#: src/config/options.inc:218
 msgid "Display style for image tags"
 msgstr "    "
 
-#: src/config/options.inc:209
+#: src/config/options.inc:220
+#, fuzzy
 msgid ""
 "Display style for image tags when displayed:\n"
 "0     means always display IMG\n"
 "1     means always display filename\n"
-"2     means display alt/title attribute if possible, IMG if not\n"
-"3     means display alt/title attribute if possible, filename if not"
+"2     means display alt/title attribute if possible,\n"
+"      IMG if not\n"
+"3     means display alt/title attribute if possible,\n"
+"      filename if not"
 msgstr ""
 "    :\n"
 "0        IMG\n"
@@ -2484,27 +2517,29 @@ msgstr ""
 "       ,   ,   \n"
 "      "
 
-#: src/config/options.inc:215
+#: src/config/options.inc:228
 msgid "Maximum length for image filename"
 msgstr "    "
 
-#: src/config/options.inc:217
+#: src/config/options.inc:230
+#, fuzzy
 msgid ""
 "Maximum length of image filename when displayed:\n"
 "0     means always display full filename\n"
 "1-500 means display filename with this maximal length;\n"
-"      if it is longer, the middle is substituted by an asterisk"
+"      if it is longer, the middle is substituted by\n"
+"      an asterisk"
 msgstr ""
 "      :\n"
 "0          \n"
 "1-500      ;\n"
 "         ,    "
 
-#: src/config/options.inc:227
+#: src/config/options.inc:241
 msgid "Image links tagging"
 msgstr "  "
 
-#: src/config/options.inc:229
+#: src/config/options.inc:243
 msgid ""
 "When to enclose image links:\n"
 "0 means never\n"
@@ -2517,97 +2552,100 @@ msgstr ""
 "      ( )\n"
 "2 "
 
-#: src/config/options.inc:234
+#: src/config/options.inc:248
 msgid "Image link prefix"
 msgstr "  "
 
-#: src/config/options.inc:236
+#: src/config/options.inc:250
 msgid "Prefix string to use to mark image links."
 msgstr "        ."
 
-#: src/config/options.inc:238
+#: src/config/options.inc:252
 msgid "Image link suffix"
 msgstr "  "
 
-#: src/config/options.inc:240
+#: src/config/options.inc:254
 msgid "Suffix string to use to mark image links."
 msgstr "        ."
 
-#: src/config/options.inc:242
+#: src/config/options.inc:256
 msgid "Maximum length for image label"
 msgstr "   "
 
-#: src/config/options.inc:244
+#: src/config/options.inc:258
+#, fuzzy
 msgid ""
 "Maximum length of image label (alt/title):\n"
 "0     means always display full label\n"
 "1-500 means display label with this maximal length;\n"
-"      if it is longer, the middle is substituted by an asterisk"
+"      if it is longer, the middle is substituted by\n"
+"      an asterisk"
 msgstr ""
 "    (alt  title):\n"
 "0         \n"
 "1-500     ;  \n"
 "      ,    "
 
-#: src/config/options.inc:249
+#: src/config/options.inc:264
 msgid "Display links to images w/o alt"
 msgstr "      alt"
 
-#: src/config/options.inc:251
+#: src/config/options.inc:266
+#, fuzzy
 msgid ""
-"Display links to images without an alt attribute. If this option\n"
-"is off, these images are completely invisible."
+"Display links to images without an alt attribute. If this option is off, "
+"these images are completely invisible."
 msgstr ""
 "      alt.   \n"
 " ,     ."
 
-#: src/config/options.inc:254
+#: src/config/options.inc:269
 msgid "Display links to images"
 msgstr "   "
 
-#: src/config/options.inc:256
+#: src/config/options.inc:271
+#, fuzzy
 msgid ""
-"Display links to any images in the document, regardless of them\n"
-"having an alt attribute or not. If this option is off, the alt\n"
-"attribute contents is shown, but as normal text, not selectable\n"
-"as a link."
+"Display links to any images in the document, regardless of them having an "
+"alt attribute or not. If this option is off, the alt attribute contents is "
+"shown, but as normal text, not selectable as a link."
 msgstr ""
 "      ,   \n"
 "    alt  .    \n"
 ",    alt,   \n"
 ",         ."
 
-#: src/config/options.inc:262
+#: src/config/options.inc:277
 msgid "Links"
 msgstr ""
 
-#: src/config/options.inc:264
+#: src/config/options.inc:279
 msgid "Options for handling of links to other documents."
 msgstr "     ."
 
-#: src/config/options.inc:266
+#: src/config/options.inc:281
 msgid "Active link"
 msgstr " "
 
-#: src/config/options.inc:268
+#: src/config/options.inc:283
 msgid "Options for the active link."
 msgstr "  ."
 
-#: src/config/options.inc:270
+#: src/config/options.inc:285
 msgid "Colors"
 msgstr ""
 
-#: src/config/options.inc:272
+#: src/config/options.inc:287
 msgid "Active link colors."
 msgstr "  ."
 
-#: src/config/options.inc:274 src/config/options.inc:549
-#: src/config/options.inc:945
+#: src/config/options.inc:289 src/config/options.inc:583
+#: src/config/options.inc:1014
 msgid "Background color"
 msgstr " "
 
-#: src/config/options.inc:276 src/config/options.inc:551
-#: src/config/options.inc:946
+#: src/config/options.inc:291 src/config/options.inc:585
+#: src/config/options.inc:1015
 msgid "Default background color."
 msgstr "  ."
 
@@ -2619,75 +2657,76 @@ msgstr "  ."
 #. *	on it.
 #. The colors and mono tree should be similar but with different default
 #. * values of course so always use the macros below.
-#: src/config/options.inc:278 src/config/options.inc:545
-#: src/config/options.inc:943
+#: src/config/options.inc:293 src/config/options.inc:579
+#: src/config/options.inc:1012
 msgid "Text color"
 msgstr " "
 
-#: src/config/options.inc:280 src/config/options.inc:547
-#: src/config/options.inc:944
+#: src/config/options.inc:295 src/config/options.inc:581
+#: src/config/options.inc:1013
 msgid "Default text color."
 msgstr "  ."
 
-#: src/config/options.inc:282
+#: src/config/options.inc:297
 msgid "Enable color"
 msgstr " "
 
-#: src/config/options.inc:284
+#: src/config/options.inc:299
+#, fuzzy
 msgid ""
-"Enable use of the active link background and text color\n"
-"settings instead of the link colors from the document."
+"Enable use of the active link background and text color settings instead of "
+"the link colors from the document."
 msgstr ""
 "      \n"
 "      ."
 
-#: src/config/options.inc:287
+#: src/config/options.inc:302
 msgid "Bold"
 msgstr ""
 
-#: src/config/options.inc:289
+#: src/config/options.inc:304
 msgid "Make the active link text bold."
 msgstr "     ."
 
-#: src/config/options.inc:291
+#: src/config/options.inc:306
 msgid "Invert colors"
 msgstr " "
 
-#: src/config/options.inc:293
+#: src/config/options.inc:308
 msgid "Invert the fore- and background color so the link stands out."
 msgstr "         ."
 
-#: src/config/options.inc:296 src/config/options.inc:908
+#: src/config/options.inc:311 src/config/options.inc:975
 #: src/dialogs/options.c:231
 msgid "Underline"
 msgstr ""
 
-#: src/config/options.inc:298
+#: src/config/options.inc:313
 msgid "Underline the active link."
 msgstr "  ."
 
-#: src/config/options.inc:301
+#: src/config/options.inc:316
 msgid "Directory highlighting"
 msgstr " "
 
-#: src/config/options.inc:303
+#: src/config/options.inc:318
 msgid "Highlight links to directories in FTP and local directory listing."
 msgstr ""
 "      FTP-   ."
 
-#: src/config/options.inc:305
+#: src/config/options.inc:321
 msgid "Number links"
 msgstr "  "
 
-#: src/config/options.inc:307
+#: src/config/options.inc:323
 msgid "Display numbers next to the links."
 msgstr "   ."
 
-#: src/config/options.inc:309
+#: src/config/options.inc:325
 msgid "Handling of target=_blank"
 msgstr "  target=_blank"
 
-#: src/config/options.inc:311
+#: src/config/options.inc:327
 #, fuzzy
 msgid ""
 "Define how to handle links having target=_blank set:\n"
@@ -2702,39 +2741,39 @@ msgstr ""
 "1       \n"
 "2       "
 
-#: src/config/options.inc:324
+#: src/config/options.inc:340
 msgid "Use tabindex"
 msgstr " ,,tabindex``-"
 
-#: src/config/options.inc:326
+#: src/config/options.inc:342
 #, fuzzy
 msgid ""
-"Whether to navigate links using tabindex specified ordering.\n"
-"The TABINDEX attribute in HTML elements specifies the order\n"
-"in which links should receive focus when using the keyboard\n"
-"to navigate the document."
+"Whether to navigate links using tabindex specified ordering. The TABINDEX "
+"attribute in HTML elements specifies the order in which links should receive "
+"focus when using the keyboard to navigate the document."
 msgstr ""
 "           \n"
 " ,,TABINDEX``.     HTML-\n"
 "         \n"
 "       ."
 
-#: src/config/options.inc:331
+#: src/config/options.inc:347
 msgid "Missing fragment reporting"
 msgstr "  "
 
-#: src/config/options.inc:333
+#: src/config/options.inc:349
 msgid "Open a message box when document has no tag with given id."
 msgstr "          -."
 
-#: src/config/options.inc:335
+#: src/config/options.inc:352
 msgid "Number keys select links"
 msgstr "    "
 
-#: src/config/options.inc:337
+#: src/config/options.inc:354
+#, fuzzy
 msgid ""
-"Number keys select links rather than specify command prefixes. This\n"
-"is a tristate:\n"
+"Number keys select links rather than specify command prefixes. This is a "
+"tristate:\n"
 "0 means never\n"
 "1 means if document.browse.links.numbering = 1\n"
 "2 means always"
@@ -2745,15 +2784,16 @@ msgstr ""
 "1    document.browse.links.numbering = 1\n"
 "2 "
 
-#: src/config/options.inc:343
+#: src/config/options.inc:360
 msgid "Warn about maliciously crafted URIs"
 msgstr "    -"
 
-#: src/config/options.inc:345
+#: src/config/options.inc:362
+#, fuzzy
 msgid ""
-"When following a link the user ID part of the URI is\n"
-"checked and if a maliciously crafted URI is detected a\n"
-"warning dialog will ask before following the link."
+"When following a link the user ID part of the URI is checked and if a "
+"maliciously crafted URI is detected a warning dialog will ask before "
+"following the link."
 msgstr ""
 "   ,   -  \n"
 "-      ,  \n"
@@ -2761,103 +2801,106 @@ msgstr ""
 
 #. TODO - this is somehow implemented by ff, but disabled
 #. * for now as it doesn't work.
-#: src/config/options.inc:351
+#: src/config/options.inc:368
 msgid "Wrap-around links cycling"
 msgstr "   "
 
 #. 0
-#: src/config/options.inc:353
+#: src/config/options.inc:370
 #, fuzzy
 msgid ""
-"When pressing 'down' on the last link, jump to the first one, and\n"
-"vice versa."
+"When pressing 'down' on the last link, jump to the first one, and vice versa."
 msgstr ""
 "       , \n"
 " ,  ."
 
-#: src/config/options.inc:357
+#: src/config/options.inc:374
 msgid "Scrolling"
 msgstr ""
 
-#: src/config/options.inc:359
+#: src/config/options.inc:376
 msgid "Scrolling options."
 msgstr " ."
 
-#: src/config/options.inc:361
+#: src/config/options.inc:378
 msgid "Horizontal step"
 msgstr " "
 
-#: src/config/options.inc:363
+#: src/config/options.inc:380
+#, fuzzy
 msgid ""
-"Number of columns to scroll when a key bound to scroll-left or scroll-\n"
-"right is pressed and no prefix was given."
+"Number of columns to scroll when a key bound to scroll-left or scroll-right "
+"is pressed and no prefix was given."
 msgstr ""
 "        \n"
 " scroll-left  scroll-right    ."
 
-#: src/config/options.inc:366
+#: src/config/options.inc:384
 msgid "Extended horizontal scrolling"
 msgstr "  "
 
-#: src/config/options.inc:368
+#: src/config/options.inc:386
+#, fuzzy
 msgid ""
-"Whether to allow horizontal scrolling when the document\n"
-"does not extend off the screen. Useful for copy/paste\n"
-"operations."
+"Whether to allow horizontal scrolling when the document does not extend off "
+"the screen. Useful for copy/paste operations."
 msgstr ""
 "        \n"
 "    .   \n"
 "--."
 
-#: src/config/options.inc:372
+#: src/config/options.inc:390
 msgid "Margin"
 msgstr ""
 
-#: src/config/options.inc:374
+#: src/config/options.inc:392
+#, fuzzy
 msgid ""
-"Size of the virtual margin - when you click inside of that margin,\n"
-"document scrolls in that direction."
+"Size of the virtual margin - when you click inside of that margin, document "
+"scrolls in that direction."
 msgstr ""
 "   --    \n"
 "  ,      ."
 
-#: src/config/options.inc:377
+#: src/config/options.inc:395
 msgid "Vertical step"
 msgstr " "
 
-#: src/config/options.inc:379
+#: src/config/options.inc:397
+#, fuzzy
 msgid ""
-"Number of lines to scroll when a key bound to scroll-up or scroll-\n"
-"down is pressed and no prefix was given."
+"Number of lines to scroll when a key bound to scroll-up or scroll-down is "
+"pressed and no prefix was given."
 msgstr ""
 "        \n"
 " scroll-up  scroll-down    ."
 
-#: src/config/options.inc:383
+#: src/config/options.inc:401
 msgid "Searching"
 msgstr ""
 
-#: src/config/options.inc:385
+#: src/config/options.inc:403
 msgid "Options for searching."
 msgstr " ."
 
-#: src/config/options.inc:387
+#: src/config/options.inc:405
 msgid "Case sensitivity"
 msgstr "    "
 
-#: src/config/options.inc:389
+#: src/config/options.inc:407
+#, fuzzy
 msgid ""
-"Whether the search should match the document text while maintaining\n"
-"case sensitivity."
+"Whether the search should match the document text while maintaining case "
+"sensitivity."
 msgstr ""
 "         \n"
 "    ."
 
-#: src/config/options.inc:393
+#: src/config/options.inc:411
 msgid "Regular expressions"
 msgstr " "
 
-#: src/config/options.inc:395
+#: src/config/options.inc:413
 msgid ""
 "Enable searching with regular expressions:\n"
 "0 for plain text searching\n"
@@ -2869,33 +2912,33 @@ msgstr ""
 "1    \n"
 "2    "
 
-#: src/config/options.inc:401
+#: src/config/options.inc:419
 msgid "Show search hit top or bottom dialogs"
 msgstr "        "
 
-#: src/config/options.inc:403
+#: src/config/options.inc:421
 #, fuzzy
 msgid ""
-"Whether to show a dialog when the search hits the top or bottom of the\n"
+"Whether to show a dialog when the search hits the top or bottom of the "
 "document."
 msgstr ""
 "         \n"
 " ."
 
-#: src/config/options.inc:406
+#: src/config/options.inc:424
 msgid "Wraparound"
 msgstr " "
 
-#: src/config/options.inc:408
+#: src/config/options.inc:426
 msgid "Wrap around when searching. Currently only used for typeahead."
 msgstr ""
 "  .        ."
 
-#: src/config/options.inc:410
+#: src/config/options.inc:429
 msgid "Show not found"
 msgstr "  ,, ``"
 
-#: src/config/options.inc:412
+#: src/config/options.inc:431
 msgid ""
 "How to inform the user when nothing is matched:\n"
 "0 means do nothing\n"
@@ -2907,20 +2950,23 @@ msgstr ""
 "1   \n"
 "2    "
 
-#: src/config/options.inc:417
+#: src/config/options.inc:436
 msgid "Typeahead searching"
 msgstr "  "
 
-#: src/config/options.inc:419
+#: src/config/options.inc:438
+#, fuzzy
 msgid ""
-"Start typeahead searching when an unbound key is pressed without\n"
-"any modifiers. Note that most keys have default bindings, so this\n"
-"feature will not be useful unless you unbind them.\n"
+"Start typeahead searching when an unbound key is pressed without any "
+"modifiers. Note that most keys have default bindings, so this feature will "
+"not be useful unless you unbind them.\n"
 "\n"
-"0 disables this feature; typeahead searching will only be used\n"
-"  when you press a key bound to search-typeahead or similar\n"
+"0 disables this feature; typeahead searching will only be\n"
+"  used when you press a key bound to search-typeahead or\n"
+"  similar\n"
 "1 automatically starts typeahead searching thru link text\n"
-"2 automatically starts typeahead searching thru all document text"
+"2 automatically starts typeahead searching thru all document\n"
+"  text"
 msgstr ""
 "       \n"
 "       .\n"
@@ -2936,26 +2982,28 @@ msgstr ""
 "2        \n"
 "   "
 
-#: src/config/options.inc:428
+#: src/config/options.inc:451
 msgid "Horizontal text margin"
 msgstr "  "
 
-#: src/config/options.inc:430
+#: src/config/options.inc:453
 msgid "Horizontal text margin."
 msgstr "  ."
 
-#: src/config/options.inc:432
+#: src/config/options.inc:455
 msgid "Document meta refresh"
 msgstr " "
 
-#: src/config/options.inc:434
+#: src/config/options.inc:457
+#, fuzzy
 msgid ""
-"Automatically follow document-specified refresh directives ('<meta>\n"
-"refresh' tags). Web-page authors use these to instruct the browser\n"
-"to reload a document at a given interval or to load another page.\n"
-"Regardless of the value the refresh URI is accessible as a link.\n"
-"Use the document.browse.minimum_refresh_time to control the minimum\n"
-"number of seconds a refresh will wait."
+"Automatically follow document-specified refresh directives ('<meta> refresh' "
+"tags). Web-page authors use these to instruct the browser to reload a "
+"document at a given interval or to load another page. Regardless of the "
+"value the refresh URI is accessible as a link.\n"
+"\n"
+"Use the document.browse.minimum_refresh_time to control the minimum number "
+"of seconds a refresh will wait."
 msgstr ""
 "      (\n"
 ",,<meta> refresh``).      \n"
@@ -2965,16 +3013,16 @@ msgstr ""
 ".   document.browse.minimum_refresh_time\n"
 "        ."
 
-#: src/config/options.inc:441
+#: src/config/options.inc:466
 msgid "Document meta refresh minimum time"
 msgstr "    "
 
-#: src/config/options.inc:443
+#: src/config/options.inc:468
+#, fuzzy
 msgid ""
-"The minimum number of milliseconds that should pass before\n"
-"refreshing. If set to zero the document refresh time is used\n"
-"unchanged. It can fix going back in history for some sites that\n"
-"use refreshing with zero values."
+"The minimum number of milliseconds that should pass before refreshing. If "
+"set to zero the document refresh time is used unchanged. It can fix going "
+"back in history for some sites that use refreshing with zero values."
 msgstr ""
 "        \n"
 ".     ,   \n"
@@ -2982,47 +3030,46 @@ msgstr ""
 "       \n"
 "    ."
 
-#: src/config/options.inc:448
+#: src/config/options.inc:473
 msgid "Tables navigation order"
 msgstr "   "
 
-#: src/config/options.inc:450
+#: src/config/options.inc:475
 msgid "Move by columns in table, instead of rows."
 msgstr "        ."
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:456
+#: src/config/options.inc:481
 msgid "Cache"
 msgstr ""
 
-#: src/config/options.inc:458
+#: src/config/options.inc:483
 msgid "Cache options."
 msgstr " ."
 
-#: src/config/options.inc:460
+#: src/config/options.inc:485
 msgid "Cache information about redirects"
 msgstr "   "
 
-#: src/config/options.inc:462
+#: src/config/options.inc:487
 #, fuzzy
 msgid ""
-"Cache even redirects sent by server (usually thru HTTP by a 302\n"
-"HTTP code and a Location header). This was the original behaviour\n"
-"for quite some time, but it causes problems in a situation very\n"
-"common to various web login systems - frequently, when accessing\n"
-"a certain location, they will redirect you to a login page if they\n"
-"don't receive an auth cookie, the login page then gives you the\n"
-"cookie and redirects you back to the original page, but there you\n"
-"have already cached redirect back to the login page! If this\n"
-"option has value of 0, this malfunction is fixed, but occasionally\n"
-"you may get superfluous (depends on how you take it ;-) requests to\n"
-"the server. If this option has value of 1, experienced users can\n"
-"still workaround it by clever combination of usage of reload,\n"
-"jumping around in session history and hitting ctrl+enter.\n"
-"Note that this option is checked when retrieving the information\n"
-"from cache, not when saving it to cache - thus if you enable\n"
-"it, even previous redirects will be taken from cache instead of\n"
-"asking the server."
+"Cache even redirects sent by server (usually thru HTTP by a 302 HTTP code "
+"and a Location header). This was the original behaviour for quite some time, "
+"but it causes problems in a situation very common to various web login "
+"systems - frequently, when accessing a certain location, they will redirect "
+"you to a login page if they don't receive an auth cookie, the login page "
+"then gives you the cookie and redirects you back to the original page, but "
+"there you have already cached redirect back to the login page! If this "
+"option has value of 0, this malfunction is fixed, but occasionally you may "
+"get superfluous (depends on how you take it ;-) requests to the server. If "
+"this option has value of 1, experienced users can still workaround it by "
+"clever combination of usage of reload, jumping around in session history and "
+"hitting ctrl+enter.\n"
+"\n"
+"Note that this option is checked when retrieving the information from cache, "
+"not when saving it to cache - thus if you enable it, even previous redirects "
+"will be taken from cache instead of asking the server."
 msgstr ""
 "        \n"
 "(  HTTP-   302   ,,Location``).\n"
@@ -3045,46 +3092,48 @@ msgstr ""
 ",        \n"
 "   ."
 
-#: src/config/options.inc:480
+#: src/config/options.inc:508
 msgid "Ignore cache-control info from server"
 msgstr "      "
 
-#: src/config/options.inc:482
+#: src/config/options.inc:510
+#, fuzzy
 msgid ""
-"Ignore Cache-Control and Pragma server headers.\n"
-"When set, the document is cached even with 'Cache-Control: no-cache'."
+"Ignore Cache-Control and Pragma server headers. When set, the document is "
+"cached even with 'Cache-Control: no-cache'."
 msgstr ""
 "   ,,Cache-Control`` \n"
 ",,Pragma``.   ,     \n"
 "     : ,,Cache-Control: no-cache``."
 
-#: src/config/options.inc:485
+#: src/config/options.inc:514
 msgid "Formatted documents"
 msgstr " "
 
-#: src/config/options.inc:487
+#: src/config/options.inc:516
 msgid "Format cache options."
 msgstr "  ."
 
-#: src/config/options.inc:489
+#: src/config/options.inc:518
 msgid "Number"
 msgstr ""
 
-#: src/config/options.inc:491
+#: src/config/options.inc:520
+#, fuzzy
 msgid ""
-"Number of cached formatted pages. Do not get too generous\n"
-"here, 'formatted' means that all the accompanying structures\n"
-"are kept in memory so that you get the cached document\n"
-"immediatelly, but these structures may take a lot - 2x the\n"
-"size of the HTML source is probably not unusual, but it can\n"
-"be even more if the document consists of a lot of short lines\n"
-"(padded right, if possible) and links and not much other markup.\n"
-"So if you set this to 256 and then you don't like your ELinks\n"
-"eating 90M, don't come complaining to us. ;-)\n"
-"Also note that the format cache itself is not counted to the\n"
-"memory cache size, but the HTML source of the formatted documents\n"
-"is always cached, even if it is over the memory cache size\n"
-"threshold. (Then of course no other documents can be cached.)"
+"Number of cached formatted pages. Do not get too generous here, 'formatted' "
+"means that all the accompanying structures are kept in memory so that you "
+"get the cached document immediatelly, but these structures may take a lot - "
+"2x the size of the HTML source is probably not unusual, but it can be even "
+"more if the document consists of a lot of short lines (padded right, if "
+"possible) and links and not much other markup. So if you set this to 256 and "
+"then you don't like your ELinks eating 90M, don't come complaining to "
+"us. ;-)\n"
+"\n"
+"Also note that the format cache itself is not counted to the memory cache "
+"size, but the HTML source of the formatted documents is always cached, even "
+"if it is over the memory cache size threshold. (Then of course no other "
+"documents can be cached.)"
 msgstr ""
 "    .   \n"
 " ,  ,,``    \n"
@@ -3103,126 +3152,128 @@ msgstr ""
 "       .)"
 
 #. FIXME: Write more.
-#: src/config/options.inc:506
+#: src/config/options.inc:538
 #, fuzzy
 msgid "Revalidation interval"
 msgstr " "
 
-#: src/config/options.inc:508
+#: src/config/options.inc:540
 msgid ""
-"Period in seconds that a cache entry is considered to be\n"
-"up-to-date. When a document is loaded and this interval has elapsed\n"
-"since the document was initially loaded or most recently\n"
-"revalidated with the server, the server will be checked in case\n"
-"there is a more up-to-date version of the document.\n"
+"Period in seconds that a cache entry is considered to be up-to-date. When a "
+"document is loaded and this interval has elapsed since the document was "
+"initially loaded or most recently revalidated with the server, the server "
+"will be checked in case there is a more up-to-date version of the document.\n"
 "\n"
 "A value of -1 disables automatic revalidation."
 msgstr ""
 
-#: src/config/options.inc:515 src/dialogs/info.c:199
+#: src/config/options.inc:549 src/dialogs/info.c:199
 msgid "Memory cache"
 msgstr " "
 
-#: src/config/options.inc:517
+#: src/config/options.inc:551
 msgid "Memory cache options."
 msgstr "  ."
 
-#: src/config/options.inc:521
+#: src/config/options.inc:555
 msgid "Memory cache size (in bytes)."
 msgstr "   ( )."
 
-#: src/config/options.inc:525
+#: src/config/options.inc:559
 msgid "Charset"
 msgstr " "
 
-#: src/config/options.inc:527
+#: src/config/options.inc:561
 msgid "Charset options."
 msgstr "  ."
 
-#: src/config/options.inc:529
+#: src/config/options.inc:563
 msgid "Default codepage"
 msgstr "  "
 
-#: src/config/options.inc:531
+#: src/config/options.inc:565
+#, fuzzy
 msgid ""
-"Default document codepage. 'System' stands for\n"
-"a codepage determined by a selected locale."
+"Default document codepage. 'System' stands for a codepage determined by a "
+"selected locale."
 msgstr ""
 "   . ,,System`` \n"
 "     ."
 
-#: src/config/options.inc:534
+#: src/config/options.inc:568
 msgid "Ignore charset info from server"
 msgstr "     "
 
-#: src/config/options.inc:536
+#: src/config/options.inc:570
 msgid "Ignore charset info sent by server."
 msgstr "       ."
 
-#: src/config/options.inc:540
+#: src/config/options.inc:574
 msgid "Default color settings"
 msgstr "  "
 
-#: src/config/options.inc:542
+#: src/config/options.inc:576
 msgid "Default document color settings."
 msgstr "   ."
 
-#: src/config/options.inc:553
+#: src/config/options.inc:587
 msgid "Link color"
 msgstr " "
 
-#: src/config/options.inc:555
+#: src/config/options.inc:589
 msgid "Default link color."
 msgstr "  ."
 
-#: src/config/options.inc:557
+#: src/config/options.inc:591
 msgid "Visited-link color"
 msgstr "  "
 
-#: src/config/options.inc:559
+#: src/config/options.inc:593
 msgid "Default visited link color."
 msgstr "   ."
 
-#: src/config/options.inc:561
+#: src/config/options.inc:595
 msgid "Image-link color"
 msgstr "  "
 
-#: src/config/options.inc:563
+#: src/config/options.inc:597
 msgid "Default image link color."
 msgstr "   ."
 
-#: src/config/options.inc:565
+#: src/config/options.inc:599
 msgid "Bookmarked-link color"
 msgstr "    "
 
-#: src/config/options.inc:567
+#: src/config/options.inc:601
 msgid "Default bookmarked link color."
 msgstr "     ."
 
-#: src/config/options.inc:569
+#: src/config/options.inc:603
 msgid "Directory color"
 msgstr " "
 
-#: src/config/options.inc:571
+#: src/config/options.inc:605
+#, fuzzy
 msgid ""
 "Default directory color.\n"
+"\n"
 "See document.browse.links.color_dirs option."
 msgstr ""
 "  .\n"
 "  document.browse.links.color_dirs."
 
-#: src/config/options.inc:578
+#: src/config/options.inc:613
 #, fuzzy
 msgid "Increase contrast"
 msgstr " "
 
-#: src/config/options.inc:580
+#: src/config/options.inc:615
 #, fuzzy
 msgid ""
-"Increase the contrast between the foreground and background colors\n"
-"to ensure readability. For example it disallows dark colors on a\n"
-"black background. Note, this is different from ensuring the contrast\n"
-"with the ensure_contrast option."
+"Increase the contrast between the foreground and background colors to ensure "
+"readability. For example it disallows dark colors on a black background. "
+"Note, this is different from ensuring the contrast with the ensure_contrast "
+"option."
 msgstr ""
 "    0     \n"
 "       .  ,\n"
@@ -3230,22 +3281,22 @@ msgstr ""
 "       \n"
 "ensure_contrast."
 
-#: src/config/options.inc:585
+#: src/config/options.inc:621
 msgid "Ensure contrast"
 msgstr " "
 
-#: src/config/options.inc:587
+#: src/config/options.inc:623
 #, fuzzy
 msgid "Makes sure that the back- and foreground colors are never equal."
 msgstr "          ."
 
 #. If you change this please also change ACT_MAIN_DOCUMENT_COLORS action
 #. * handling.
-#: src/config/options.inc:592
+#: src/config/options.inc:628
 msgid "Use document-specified colors"
 msgstr "    "
 
-#: src/config/options.inc:594
+#: src/config/options.inc:630
 msgid ""
 "Use colors specified in document:\n"
 "0 is use always the default settings\n"
@@ -3267,40 +3318,41 @@ msgstr ""
 "  ."
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:607
+#: src/config/options.inc:643
 msgid "Downloading"
 msgstr ""
 
-#: src/config/options.inc:609
+#: src/config/options.inc:645
 msgid "Options regarding files downloading and handling."
 msgstr "       ."
 
-#: src/config/options.inc:611
+#: src/config/options.inc:647
 msgid "Default download directory"
 msgstr "   "
 
-#: src/config/options.inc:613
+#: src/config/options.inc:649
 msgid "Default download directory."
 msgstr "   ."
 
-#: src/config/options.inc:615
+#: src/config/options.inc:651
 msgid "Set original time"
 msgstr "  "
 
-#: src/config/options.inc:617
+#: src/config/options.inc:653
+#, fuzzy
 msgid ""
-"Set the timestamp of each downloaded file to the timestamp\n"
-"stored on the server."
+"Set the timestamp of each downloaded file to the timestamp stored on the "
+"server."
 msgstr ""
 "       \n"
 "  ."
 
 #. Does automatic resuming make sense as an option?
-#: src/config/options.inc:621
+#: src/config/options.inc:657
 msgid "Prevent overwriting"
 msgstr " "
 
-#: src/config/options.inc:623
+#: src/config/options.inc:659
 msgid ""
 "Prevent overwriting the local files:\n"
 "0 is files will silently be overwritten\n"
@@ -3312,11 +3364,11 @@ msgstr ""
 "1   .{} (. ,,.1``) \n"
 "2  "
 
-#: src/config/options.inc:628
+#: src/config/options.inc:664
 msgid "Notify download completion by bell"
 msgstr "    "
 
-#: src/config/options.inc:630
+#: src/config/options.inc:666
 msgid ""
 "Audio notification when download is completed:\n"
 "0 is never\n"
@@ -3328,29 +3380,30 @@ msgstr ""
 "1     \n"
 "2 "
 
-#: src/config/options.inc:636
+#: src/config/options.inc:672
 msgid "Dump output"
 msgstr " "
 
-#: src/config/options.inc:638
+#: src/config/options.inc:674
 msgid "Dump output options."
 msgstr "  ."
 
 #. OPT_CODEPAGE
-#: src/config/options.inc:640 src/config/options.inc:912
+#: src/config/options.inc:676 src/config/options.inc:980
 #: src/config/opttypes.c:481 src/dialogs/document.c:164
 msgid "Codepage"
 msgstr " "
 
-#: src/config/options.inc:642
+#: src/config/options.inc:678
+#, fuzzy
 msgid ""
-"Codepage used in dump output. 'System' stands for\n"
-"a codepage determined by a selected locale."
+"Codepage used in dump output. 'System' stands for a codepage determined by a "
+"selected locale."
 msgstr ""
 "       . ,,System``\n"
 "        ."
 
-#: src/config/options.inc:645 src/config/options.inc:878
+#: src/config/options.inc:681 src/config/options.inc:941
 msgid "Color mode"
 msgstr " "
 
@@ -3359,12 +3412,15 @@ msgstr " "
 #. * an outer list entry after an inner list.
 #. * TRANSLATORS: This restriction applies only to the
 #. * "en" (English) translation.  (See doc/Makefile.)
-#: src/config/options.inc:652
+#: src/config/options.inc:688
+#, fuzzy
 msgid ""
 "Color mode for dumps.\n"
+"\n"
 "Some modes may have been disabled at compile time. The Setup -> Terminal "
 "options dialog lists the modes supported by this executable. If you select "
 "an unsupported mode, ELinks uses 16 colors.\n"
+"\n"
 "The color modes are:\n"
 "-1 is standard dump mode\n"
 "0 is mono mode\n"
@@ -3373,124 +3429,127 @@ msgid ""
 "3 is 256 color mode\n"
 "4 is true color mode"
 msgstr ""
+"          \n"
+"  .    :\n"
+"0 ,    2 \n"
+"1   16 ,    \n"
+"2   256 ,  Ʒ (RGB)  "
 
-#: src/config/options.inc:665
+#: src/config/options.inc:703
 msgid "Footer"
 msgstr ""
 
-#: src/config/options.inc:667
+#: src/config/options.inc:705
 #, c-format
 msgid "Footer string used in dumps. %u is substituted by URL."
 msgstr "     . %u   -."
 
-#: src/config/options.inc:671
+#: src/config/options.inc:709
 #, c-format
 msgid "Header string used in dumps. %u is substituted by URL."
 msgstr "     . %u   -."
 
-#: src/config/options.inc:673
+#: src/config/options.inc:711
 #, fuzzy
 msgid "Numbering"
 msgstr ""
 
-#: src/config/options.inc:675
+#: src/config/options.inc:713
 #, fuzzy
 msgid "Whether to print link numbers in dump output."
 msgstr "      "
 
-#: src/config/options.inc:677
+#: src/config/options.inc:715
 #, fuzzy
 msgid "References"
 msgstr ""
 
-#: src/config/options.inc:679
+#: src/config/options.inc:717
 #, fuzzy
-msgid ""
-"Whether to print references (URIs) of document links\n"
-"in dump output."
+msgid "Whether to print references (URIs) of document links in dump output."
 msgstr ""
 "   (-)   \n"
 "  .      \n"
 " -dump,   ."
 
-#: src/config/options.inc:682
+#: src/config/options.inc:720
 msgid "Separator"
 msgstr ""
 
-#: src/config/options.inc:684
+#: src/config/options.inc:722
 msgid "String which separates two dumps."
 msgstr "    ."
 
-#: src/config/options.inc:686
+#: src/config/options.inc:724
 msgid "Width"
 msgstr ""
 
-#: src/config/options.inc:688
+#: src/config/options.inc:726
 msgid "Width of screen in characters when dumping documents."
 msgstr "      ."
 
-#: src/config/options.inc:692
+#: src/config/options.inc:730
 msgid "History"
 msgstr ""
 
-#: src/config/options.inc:694
+#: src/config/options.inc:732
 msgid "History options."
 msgstr " ."
 
-#: src/config/options.inc:696
+#: src/config/options.inc:734
 msgid "Keep unhistory"
 msgstr " "
 
-#: src/config/options.inc:698
+#: src/config/options.inc:736
 msgid "Keep unhistory (\"forward history\")."
 msgstr "  (,, ``)"
 
-#: src/config/options.inc:701
+#: src/config/options.inc:739
 msgid "HTML rendering"
 msgstr " HTML-"
 
-#: src/config/options.inc:703
+#: src/config/options.inc:741
 msgid "Options concerning the display of HTML pages."
 msgstr "     HTML ."
 
-#: src/config/options.inc:705
+#: src/config/options.inc:743
 msgid "Display frames"
 msgstr " "
 
-#: src/config/options.inc:707
+#: src/config/options.inc:745
 msgid "Display frames."
 msgstr " ."
 
-#: src/config/options.inc:709
+#: src/config/options.inc:747
 msgid "Display tables"
 msgstr " "
 
-#: src/config/options.inc:711
+#: src/config/options.inc:749
 msgid "Display tables."
 msgstr " ."
 
-#: src/config/options.inc:713
+#: src/config/options.inc:751
 msgid "Display subscripts"
 msgstr " "
 
-#: src/config/options.inc:715
+#: src/config/options.inc:753
 msgid "Display subscripts (as [thing])."
 msgstr "  (. [])."
 
-#: src/config/options.inc:717
+#: src/config/options.inc:755
 msgid "Display superscripts"
 msgstr " "
 
-#: src/config/options.inc:719
+#: src/config/options.inc:757
 msgid "Display superscripts (as ^thing)."
 msgstr "  (. ^)."
 
-#: src/config/options.inc:721
+#: src/config/options.inc:759
 #, fuzzy
 msgid "Rendering of HTML link element"
 msgstr "  ,,link``"
 
-#: src/config/options.inc:723
+#: src/config/options.inc:761
 msgid ""
 "How to render <link> tags from the HTML header:\n"
 "0 is nothing\n"
@@ -3508,78 +3567,77 @@ msgstr ""
 "4    \n"
 "5  "
 
-#: src/config/options.inc:731
+#: src/config/options.inc:769
 msgid "Underline links"
 msgstr " "
 
-#: src/config/options.inc:733
+#: src/config/options.inc:771
 msgid "Underline links."
 msgstr " ."
 
-#: src/config/options.inc:735
+#: src/config/options.inc:773
 msgid "Wrap non breaking space"
 msgstr "  "
 
-#: src/config/options.inc:737
+#: src/config/options.inc:775
+#, fuzzy
 msgid ""
-"If set do not honour non breaking space (the nbsp entity)\n"
-"but allow to wrap the text. This can help keeping the width\n"
-"of documents down so no horizontal scrolling is needed."
+"If set do not honour non breaking space (the nbsp entity) but allow to wrap "
+"the text. This can help keeping the width of documents down so no horizontal "
+"scrolling is needed."
 msgstr ""
 "   ,    \n"
 "( ,,nbsp``),     . \n"
 "        \n"
 ",      ."
 
-#: src/config/options.inc:742
+#: src/config/options.inc:780
 msgid "Plain rendering"
 msgstr " "
 
-#: src/config/options.inc:744
+#: src/config/options.inc:782
 msgid "Options concerning the display of plain text pages."
 msgstr "        ."
 
-#: src/config/options.inc:746
+#: src/config/options.inc:784
 msgid "Display URIs"
 msgstr " -"
 
-#: src/config/options.inc:748
+#: src/config/options.inc:786
 msgid "Display URIs in the document as links."
 msgstr " -    ."
 
-#: src/config/options.inc:750
+#: src/config/options.inc:788
 msgid "Compress empty lines"
 msgstr "  "
 
-#: src/config/options.inc:752
+#: src/config/options.inc:790
 msgid "Compress successive empty lines to only one in displayed text."
 msgstr ""
 "       \n"
 " ."
 
-#: src/config/options.inc:755
+#: src/config/options.inc:794
 msgid "URI passing"
 msgstr " -"
 
-#: src/config/options.inc:757
+#: src/config/options.inc:796
 msgid ""
-"Rules for passing URIs to external commands. When one rule\n"
-"is defined the link and tab menu will have a menu item that\n"
-"makes it possible to pass the the link, frame or tab URI to\n"
-"an external command. If several rules are defined the link and\n"
-"tab menu will have a submenu of items for each rule. Note, this\n"
-"is mostly useful for launching graphical viewers, since there\n"
-"is no support for releasing the terminal while the command runs.\n"
-"The action and submenus are also available by binding keys to\n"
-"the frame-external-command, the link-external-command, and\n"
-"the tab-external-command actions."
+"Rules for passing URIs to external commands. When one rule is defined the "
+"link and tab menu will have a menu item that makes it possible to pass the "
+"the link, frame or tab URI to an external command. If several rules are "
+"defined the link and tab menu will have a submenu of items for each rule.\n"
+"\n"
+"Note, this is mostly useful for launching graphical viewers, since there is "
+"no support for releasing the terminal while the command runs. The action and "
+"submenus are also available by binding keys to the frame-external-command, "
+"the link-external-command, and the tab-external-command actions."
 msgstr ""
 
-#: src/config/options.inc:770
+#: src/config/options.inc:812
 #, fuzzy
 msgid ""
-"A rule for passing URI to an external command.\n"
-"The format is:\n"
+"A rule for passing URI to an external command. The format is:\n"
 "%c in the string means the current URL\n"
 "%% in the string means '%'\n"
 "Do _not_ put single- or double-quotes around %c."
@@ -3592,42 +3650,44 @@ msgstr ""
 "__      %c."
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:780
+#: src/config/options.inc:822
 msgid "Information files"
 msgstr " "
 
-#: src/config/options.inc:782
+#: src/config/options.inc:824
 msgid "Options for information files in ~/.elinks."
 msgstr "     ~/.elinks."
 
-#: src/config/options.inc:784
+#: src/config/options.inc:826
 msgid "Save interval"
 msgstr " "
 
-#: src/config/options.inc:786
+#: src/config/options.inc:828
 #, fuzzy
 msgid ""
-"Interval at which to trigger information files in ~/.elinks\n"
-"to be saved to disk if they have changed (seconds; 0 to disable)"
+"Interval at which to trigger information files in ~/.elinks to be saved to "
+"disk if they have changed (seconds; 0 to disable)"
 msgstr ""
 "       \n"
 " ~/.elinks       (\n"
 "; 0 )"
 
-#: src/config/options.inc:789
+#: src/config/options.inc:832
 msgid "Use secure file saving"
 msgstr "   "
 
-#: src/config/options.inc:791
+#: src/config/options.inc:834
+#, fuzzy
 msgid ""
-"First write data to unique temporary file, then rename this file\n"
-"upon successfully finishing this. Note that this relates only to\n"
-"config files, not downloaded files. You may want to disable\n"
-"it if you are using some exotic permissions for concerned files.\n"
-"Secure file saving is automagically disabled if file is symlink.\n"
-"Warning: some systems (ie. OS/2, Win32) require that destination\n"
-"file doesn't exist when rename(3) is called, breaking atomicity,\n"
-"and reducing reliability of this feature."
+"First write data to unique temporary file, then rename this file upon "
+"successfully finishing this. Note that this relates only to config files, "
+"not downloaded files. You may want to disable it if you are using some "
+"exotic permissions for concerned files. Secure file saving is automagically "
+"disabled if file is symlink.\n"
+"\n"
+"Warning: some systems (ie. OS/2, Win32) require that destination file "
+"doesn't exist when rename(3) is called, breaking atomicity, and reducing "
+"reliability of this feature."
 msgstr ""
 "       ,\n"
 "     ,    \n"
@@ -3640,16 +3700,16 @@ msgstr ""
 "       rename(3), \n"
 "      ."
 
-#: src/config/options.inc:800
+#: src/config/options.inc:846
 msgid "Use fsync(3) with secure file saving"
 msgstr " fsync(3)    "
 
-#: src/config/options.inc:802
+#: src/config/options.inc:848
+#, fuzzy
 msgid ""
-"When using secure file saving, call fsync(3), if the OS\n"
-"supports it, to force the OS immediately to write the data\n"
-"to permanent storage. This is optional for those who wish\n"
-"to avoid excessive disk I/O."
+"When using secure file saving, call fsync(3), if the OS supports it, to "
+"force the OS immediately to write the data to permanent storage. This is "
+"optional for those who wish to avoid excessive disk I/O."
 msgstr ""
 "   ,  fsync(3),   \n"
 ",         \n"
@@ -3657,24 +3717,25 @@ msgstr ""
 "    /   ."
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:811
+#: src/config/options.inc:857
 msgid "Terminals"
 msgstr ""
 
-#: src/config/options.inc:813
+#: src/config/options.inc:859
 msgid "Terminal options."
 msgstr " ."
 
-#: src/config/options.inc:817
+#: src/config/options.inc:863
 msgid "Options specific to this terminal type (according to $TERM value)."
 msgstr ""
 "       (\n"
 "  $TERM)."
 
-#: src/config/options.inc:842
+#: src/config/options.inc:889
+#, fuzzy
 msgid ""
-"Terminal type; matters mostly only when drawing frames and\n"
-"dialog box borders:\n"
+"Terminal type; matters mostly only when drawing frames and dialog box "
+"borders:\n"
 "0 is dumb terminal type, ASCII art\n"
 "1 is VT100, simple but portable\n"
 "2 is Linux, you get double frames and other goodies\n"
@@ -3690,16 +3751,32 @@ msgstr ""
 "3  -8\n"
 "4  ر"
 
-#: src/config/options.inc:850 src/dialogs/options.c:227
+#: src/config/options.inc:897
+msgid "Always encode xterm title in ISO-8859-1"
+msgstr ""
+
+#: src/config/options.inc:899
+msgid ""
+"When updating the window title of xterm or a similar terminal emulator, "
+"encode the title in ISO-8859-1 (Latin-1), rather than in the charset used "
+"for other text in the window. Cyrillic and other characters get replaced "
+"with Latin ones. Xterm requires this unless you explicitly enable UTF-8 "
+"titles in it.\n"
+"\n"
+"If this option does not take effect immediately, try switching to a "
+"different page so that ELinks notices it needs to update the title."
+msgstr ""
+
+#: src/config/options.inc:910 src/dialogs/options.c:227
 msgid "Switch fonts for line drawing"
 msgstr "    "
 
-#: src/config/options.inc:852
+#: src/config/options.inc:912
 #, fuzzy
 msgid ""
-"Switch fonts when drawing lines, enabling both local characters\n"
-"and lines working at the same time. ELinks uses this option only if\n"
-"UTF-8 I/O is disabled and the terminal type is Linux or FreeBSD."
+"Switch fonts when drawing lines, enabling both local characters and lines "
+"working at the same time. ELinks uses this option only if UTF-8 I/O is "
+"disabled and the terminal type is Linux or FreeBSD."
 msgstr ""
 "    ,  \n"
 "        . \n"
@@ -3710,43 +3787,45 @@ msgstr ""
 #. * and if so, behave as if "utf_8_io" were 1.  (When CONFIG_UTF8 is
 #. * not defined, it should not be possible to set UTF-8 as "codepage";
 #. * please report any such possibilities as bugs.)
-#: src/config/options.inc:861 src/dialogs/options.c:232
+#: src/config/options.inc:922 src/dialogs/options.c:232
 msgid "UTF-8 I/O"
 msgstr "-8 /"
 
-#: src/config/options.inc:863
+#: src/config/options.inc:924
 #, fuzzy
 msgid ""
-"Enable I/O in UTF-8 for Unicode terminals. Note that currently,\n"
-"only the subset of UTF-8 according to terminal codepage is used.\n"
-"ELinks ignores this option if the terminal codepage is UTF-8."
+"Enable I/O in UTF-8 for Unicode terminals. Note that currently, only the "
+"subset of UTF-8 according to terminal codepage is used. ELinks ignores this "
+"option if the terminal codepage is UTF-8."
 msgstr ""
 " /   -8   .\n"
 "         \n"
 "8    ."
 
-#: src/config/options.inc:867 src/dialogs/options.c:228
+#: src/config/options.inc:929 src/dialogs/options.c:228
 msgid "Restrict frames in cp850/852"
 msgstr "   cp850/852"
 
-#: src/config/options.inc:869
+#: src/config/options.inc:931
+#, fuzzy
 msgid ""
-"Restrict the characters used when drawing lines. Makes sense\n"
-"only with linux terminals using the cp850/852 character sets."
+"Restrict the characters used when drawing lines. Makes sense only with linux "
+"terminals using the cp850/852 character sets."
 msgstr ""
 "       . \n"
 "        \n"
 " cp850/852."
 
-#: src/config/options.inc:872 src/dialogs/options.c:229
+#: src/config/options.inc:935 src/dialogs/options.c:229
 msgid "Block cursor"
 msgstr "   "
 
-#: src/config/options.inc:874
+#: src/config/options.inc:937
+#, fuzzy
 msgid ""
-"Move cursor to bottom right corner when done drawing.\n"
-"This is particularly useful when we have a block cursor,\n"
-"so that inversed text is displayed correctly."
+"Move cursor to bottom right corner when done drawing. This is particularly "
+"useful when we have a block cursor, so that inversed text is displayed "
+"correctly."
 msgstr ""
 "        .\n"
 "         , \n"
@@ -3757,14 +3836,16 @@ msgstr ""
 #. * an outer list entry after an inner list.
 #. * TRANSLATORS: This restriction applies only to the
 #. * "en" (English) translation.  (See doc/Makefile.)
-#: src/config/options.inc:885
+#: src/config/options.inc:948
 #, fuzzy
 msgid ""
 "The color mode controls what colors are used and how they are output to the "
 "terminal.\n"
+"\n"
 "Some modes may have been disabled at compile time. The Setup -> Terminal "
 "options dialog lists the modes supported by this executable. If you select "
 "an unsupported mode, ELinks uses 16 colors.\n"
+"\n"
 "The color modes are:\n"
 "0 is mono mode, only 2 colors are used\n"
 "1 is 16 color mode, uses the common ANSI colors\n"
@@ -3778,21 +3859,19 @@ msgstr ""
 "1   16 ,    \n"
 "2   256 ,  Ʒ (RGB)  "
 
-#: src/config/options.inc:898 src/dialogs/options.c:230
+#: src/config/options.inc:963 src/dialogs/options.c:230
 msgid "Transparency"
 msgstr ""
 
-#: src/config/options.inc:900
+#: src/config/options.inc:965
 #, fuzzy
 msgid ""
-"If we should not set the background to black. This is particularly\n"
-"useful when we have a terminal (typically in some windowing\n"
-"environment) with a background image or a transparent background -\n"
-"it will be visible in ELinks as well (but ELinks document color handling\n"
-"will still assume the background is black so if you have a bright "
-"background\n"
-"you might experience contrast problems). Note that this option makes\n"
-"sense only when colors are enabled."
+"If we should not set the background to black. This is particularly useful "
+"when we have a terminal (typically in some windowing environment) with a "
+"background image or a transparent background - it will be visible in ELinks "
+"as well (but ELinks document color handling will still assume the background "
+"is black so if you have a bright background you might experience contrast "
+"problems). Note that this option makes sense only when colors are enabled."
 msgstr ""
 "         . \n"
 "      (  \n"
@@ -3800,390 +3879,391 @@ msgstr ""
 ",       .   \n"
 "       ."
 
-#: src/config/options.inc:910
+#: src/config/options.inc:977
 msgid "If we should use underline or enhance the color instead."
 msgstr "          ."
 
-#: src/config/options.inc:914
+#: src/config/options.inc:982
+#, fuzzy
 msgid ""
-"Codepage of charset used for displaying content on terminal.\n"
-"'System' stands for a codepage determined by a selected locale."
+"Codepage of charset used for displaying content on terminal. 'System' stands "
+"for a codepage determined by a selected locale."
 msgstr ""
 "        \n"
 "  . ,,System``    \n"
 "    ."
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:921
+#: src/config/options.inc:990
 msgid "User interface"
 msgstr " "
 
-#: src/config/options.inc:923
+#: src/config/options.inc:992
 msgid "User interface options."
 msgstr "  ."
 
-#: src/config/options.inc:927
+#: src/config/options.inc:996
 msgid "Color settings"
 msgstr " "
 
-#: src/config/options.inc:929
+#: src/config/options.inc:998
 msgid "Default user interface color settings."
 msgstr "   ."
 
-#: src/config/options.inc:956
+#: src/config/options.inc:1025
 msgid "Color terminals"
 msgstr "  "
 
-#: src/config/options.inc:958
+#: src/config/options.inc:1027
 msgid "Color settings for color terminal."
 msgstr "     ."
 
-#: src/config/options.inc:960
+#: src/config/options.inc:1029
 msgid "Non-color terminals"
 msgstr "- "
 
-#: src/config/options.inc:962
+#: src/config/options.inc:1031
 msgid "Color settings for non-color terminal."
 msgstr "   - ."
 
 #. FIXME: obsolete, how to alias them correctly ? --Zas
-#: src/config/options.inc:965
+#: src/config/options.inc:1034
 msgid "Main menu bar"
 msgstr " "
 
-#: src/config/options.inc:967
+#: src/config/options.inc:1036
 msgid "Main menu bar colors."
 msgstr "  ."
 
-#: src/config/options.inc:969
+#: src/config/options.inc:1038
 msgid "Unselected main menu bar item"
 msgstr "   "
 
-#: src/config/options.inc:971
+#: src/config/options.inc:1040
 msgid "Unselected main menu bar item colors."
 msgstr "    ."
 
-#: src/config/options.inc:973
+#: src/config/options.inc:1042
 msgid "Selected main menu bar item"
 msgstr "   "
 
-#: src/config/options.inc:975
+#: src/config/options.inc:1044
 msgid "Selected main menu bar item colors."
 msgstr "    ."
 
-#: src/config/options.inc:977 src/config/options.inc:1006
+#: src/config/options.inc:1046 src/config/options.inc:1075
 msgid "Hotkey"
 msgstr ""
 
-#: src/config/options.inc:979
+#: src/config/options.inc:1048
 msgid "Main menu hotkey colors."
 msgstr "   ."
 
-#: src/config/options.inc:981 src/config/options.inc:1010
+#: src/config/options.inc:1050 src/config/options.inc:1079
 msgid "Unselected hotkey"
 msgstr " "
 
-#: src/config/options.inc:983
+#: src/config/options.inc:1052
 msgid "Main menu unselected hotkey colors."
 msgstr "    ."
 
-#: src/config/options.inc:985 src/config/options.inc:1014
+#: src/config/options.inc:1054 src/config/options.inc:1083
 msgid "Selected hotkey"
 msgstr " "
 
-#: src/config/options.inc:987
+#: src/config/options.inc:1056
 msgid "Main menu selected hotkey colors."
 msgstr "    ."
 
-#: src/config/options.inc:990
+#: src/config/options.inc:1059
 msgid "Menu bar"
 msgstr ""
 
-#: src/config/options.inc:992
+#: src/config/options.inc:1061
 msgid "Menu bar colors."
 msgstr " ."
 
-#: src/config/options.inc:994
+#: src/config/options.inc:1063
 msgid "Unselected menu item"
 msgstr "  "
 
-#: src/config/options.inc:996
+#: src/config/options.inc:1065
 msgid "Unselected menu item colors."
 msgstr "   ."
 
-#: src/config/options.inc:998
+#: src/config/options.inc:1067
 msgid "Selected menu item"
 msgstr "  "
 
-#: src/config/options.inc:1000
+#: src/config/options.inc:1069
 msgid "Selected menu item colors."
 msgstr "   ."
 
-#: src/config/options.inc:1002
+#: src/config/options.inc:1071
 msgid "Marked menu item"
 msgstr "  "
 
-#: src/config/options.inc:1004
+#: src/config/options.inc:1073
 msgid "Marked menu item colors."
 msgstr "   "
 
-#: src/config/options.inc:1008
+#: src/config/options.inc:1077
 msgid "Menu item hotkey colors."
 msgstr "   ."
 
-#: src/config/options.inc:1012
+#: src/config/options.inc:1081
 msgid "Menu item unselected hotkey colors."
 msgstr "    ."
 
-#: src/config/options.inc:1016
+#: src/config/options.inc:1085
 msgid "Menu item selected hotkey colors."
 msgstr "    ."
 
-#: src/config/options.inc:1018
+#: src/config/options.inc:1087
 msgid "Menu frame"
 msgstr " "
 
-#: src/config/options.inc:1020
+#: src/config/options.inc:1089
 msgid "Menu frame colors."
 msgstr "  ."
 
-#: src/config/options.inc:1023
+#: src/config/options.inc:1092
 msgid "Dialog"
 msgstr ""
 
-#: src/config/options.inc:1025
+#: src/config/options.inc:1094
 msgid "Dialog colors."
 msgstr " ."
 
-#: src/config/options.inc:1035
+#: src/config/options.inc:1104
 msgid "Generic"
 msgstr ""
 
-#: src/config/options.inc:1037
+#: src/config/options.inc:1106
 msgid "Generic dialog colors."
 msgstr "  ."
 
-#: src/config/options.inc:1039
+#: src/config/options.inc:1108
 msgid "Frame"
 msgstr ""
 
-#: src/config/options.inc:1041
+#: src/config/options.inc:1110
 msgid "Dialog frame colors."
 msgstr "  ."
 
-#: src/config/options.inc:1043
+#: src/config/options.inc:1112
 msgid "Scrollbar"
 msgstr ""
 
-#: src/config/options.inc:1045
+#: src/config/options.inc:1114
 msgid "Scrollbar colors."
 msgstr " ."
 
-#: src/config/options.inc:1047
+#: src/config/options.inc:1116
 msgid "Selected scrollbar"
 msgstr " "
 
-#: src/config/options.inc:1049
+#: src/config/options.inc:1118
 msgid "Scrollbar selected colors."
 msgstr "  ."
 
-#: src/config/options.inc:1053
+#: src/config/options.inc:1122
 msgid "Dialog title colors."
 msgstr "  ."
 
-#: src/config/options.inc:1055
+#: src/config/options.inc:1124
 msgid "Text"
 msgstr ""
 
-#: src/config/options.inc:1057
+#: src/config/options.inc:1126
 msgid "Dialog text colors."
 msgstr "   ."
 
-#: src/config/options.inc:1059 src/viewer/text/form.c:1862
+#: src/config/options.inc:1128 src/viewer/text/form.c:1891
 msgid "Checkbox"
 msgstr ""
 
-#: src/config/options.inc:1061
+#: src/config/options.inc:1130
 msgid "Dialog checkbox colors."
 msgstr "   ."
 
-#: src/config/options.inc:1063
+#: src/config/options.inc:1132
 msgid "Selected checkbox"
 msgstr " "
 
-#: src/config/options.inc:1065
+#: src/config/options.inc:1134
 msgid "Dialog selected checkbox colors."
 msgstr "    ."
 
-#: src/config/options.inc:1067
+#: src/config/options.inc:1136
 msgid "Checkbox label"
 msgstr "  "
 
-#: src/config/options.inc:1069
+#: src/config/options.inc:1138
 msgid "Dialog checkbox label colors."
 msgstr "   ."
 
-#: src/config/options.inc:1071
+#: src/config/options.inc:1140
 msgid "Button"
 msgstr ""
 
-#: src/config/options.inc:1073 src/config/options.inc:1081
+#: src/config/options.inc:1142 src/config/options.inc:1150
 msgid "Dialog button colors."
 msgstr "   ."
 
-#: src/config/options.inc:1075
+#: src/config/options.inc:1144
 msgid "Selected button"
 msgstr " "
 
-#: src/config/options.inc:1077 src/config/options.inc:1085
+#: src/config/options.inc:1146 src/config/options.inc:1154
 msgid "Dialog selected button colors."
 msgstr "    ."
 
-#: src/config/options.inc:1079
+#: src/config/options.inc:1148
 msgid "Button shortcut"
 msgstr " "
 
-#: src/config/options.inc:1083
+#: src/config/options.inc:1152
 msgid "Selected button shortcut"
 msgstr "  "
 
-#: src/config/options.inc:1087 src/viewer/text/form.c:1866
+#: src/config/options.inc:1156 src/viewer/text/form.c:1895
 msgid "Text field"
 msgstr " "
 
-#: src/config/options.inc:1089
+#: src/config/options.inc:1158
 msgid "Dialog text field colors."
 msgstr "    ."
 
-#: src/config/options.inc:1091
+#: src/config/options.inc:1160
 msgid "Text field text"
 msgstr "   "
 
-#: src/config/options.inc:1093
+#: src/config/options.inc:1162
 msgid "Dialog field text colors."
 msgstr "     ."
 
-#: src/config/options.inc:1095
+#: src/config/options.inc:1164
 msgid "Meter"
 msgstr ""
 
-#: src/config/options.inc:1097
+#: src/config/options.inc:1166
 msgid "Dialog meter colors."
 msgstr "   ."
 
-#: src/config/options.inc:1099
+#: src/config/options.inc:1168
 msgid "Shadow"
 msgstr ""
 
-#: src/config/options.inc:1101
+#: src/config/options.inc:1170
 msgid "Dialog shadow colors (see ui.shadows option)."
 msgstr "    (  ,,ui.shadows``)."
 
-#: src/config/options.inc:1103
+#: src/config/options.inc:1172
 msgid "Title bar"
 msgstr " "
 
-#: src/config/options.inc:1105
+#: src/config/options.inc:1174
 msgid "Title bar colors."
 msgstr "  ."
 
-#: src/config/options.inc:1107
+#: src/config/options.inc:1176
 msgid "Generic title bar"
 msgstr "  "
 
-#: src/config/options.inc:1109
+#: src/config/options.inc:1178
 msgid "Generic title bar colors."
 msgstr "   ."
 
-#: src/config/options.inc:1111
+#: src/config/options.inc:1180
 msgid "Title bar text"
 msgstr "  "
 
-#: src/config/options.inc:1113
+#: src/config/options.inc:1182
 msgid "Title bar text colors."
 msgstr "   ."
 
-#: src/config/options.inc:1116
+#: src/config/options.inc:1185
 msgid "Status bar"
 msgstr " "
 
-#: src/config/options.inc:1118
+#: src/config/options.inc:1187
 msgid "Status bar colors."
 msgstr "  ."
 
-#: src/config/options.inc:1120
+#: src/config/options.inc:1189
 msgid "Generic status bar"
 msgstr "  "
 
-#: src/config/options.inc:1122
+#: src/config/options.inc:1191
 msgid "Generic status bar colors."
 msgstr "   ."
 
-#: src/config/options.inc:1124
+#: src/config/options.inc:1193
 msgid "Status bar text"
 msgstr "  "
 
-#: src/config/options.inc:1126
+#: src/config/options.inc:1195
 msgid "Status bar text colors."
 msgstr "   ."
 
-#: src/config/options.inc:1129
+#: src/config/options.inc:1198
 msgid "Tabs bar"
 msgstr "  "
 
-#: src/config/options.inc:1131
+#: src/config/options.inc:1200
 msgid "Tabs bar colors."
 msgstr "   ."
 
-#: src/config/options.inc:1133
+#: src/config/options.inc:1202
 msgid "Unvisited tab"
 msgstr " "
 
-#: src/config/options.inc:1135
+#: src/config/options.inc:1204
+#, fuzzy
 msgid ""
-"Tab colors for tabs that have not been\n"
-"selected since they completed loading."
+"Tab colors for tabs that have not been selected since they completed loading."
 msgstr ""
 "     \n"
 " ."
 
-#: src/config/options.inc:1138
+#: src/config/options.inc:1207
 msgid "Unselected tab"
 msgstr " "
 
-#: src/config/options.inc:1140
+#: src/config/options.inc:1209
 msgid "Unselected tab colors."
 msgstr "  ."
 
-#: src/config/options.inc:1142
+#: src/config/options.inc:1211
 msgid "Loading tab"
 msgstr "   "
 
-#: src/config/options.inc:1144
+#: src/config/options.inc:1213
 msgid "Tab colors for tabs that are loading in the background."
 msgstr "      ."
 
-#: src/config/options.inc:1146
+#: src/config/options.inc:1215
 msgid "Selected tab"
 msgstr " "
 
-#: src/config/options.inc:1148
+#: src/config/options.inc:1217
 msgid "Selected tab colors."
 msgstr "  ."
 
-#: src/config/options.inc:1150
+#: src/config/options.inc:1219
 msgid "Tab separator"
 msgstr " "
 
-#: src/config/options.inc:1152
+#: src/config/options.inc:1221
 msgid "Tab separator colors."
 msgstr "  ."
 
-#: src/config/options.inc:1155
+#: src/config/options.inc:1224
 msgid "Searched strings"
 msgstr " "
 
-#: src/config/options.inc:1157
+#: src/config/options.inc:1226
 msgid "Searched string highlight colors."
 msgstr "   ."
 
@@ -4191,81 +4271,84 @@ msgstr "   ."
 #. ============= BORING PART (colors) END ===================
 #. ==========================================================
 #. Keep options in alphabetical order.
-#: src/config/options.inc:1166
+#: src/config/options.inc:1235
 msgid "Dialog settings"
 msgstr " "
 
-#: src/config/options.inc:1168
+#: src/config/options.inc:1237
 msgid "Dialogs-specific appearance and behaviour settings."
 msgstr "     ."
 
-#: src/config/options.inc:1171
+#: src/config/options.inc:1240
 msgid "Minimal height of listbox widget"
 msgstr "  "
 
-#: src/config/options.inc:1173
+#: src/config/options.inc:1242
+#, fuzzy
 msgid ""
-"Minimal height of the listbox widget (used e.g. for bookmarks\n"
-"or global history)."
+"Minimal height of the listbox widget (used e.g. for bookmarks or global "
+"history)."
 msgstr ""
 "   (.   \n"
 " )."
 
-#: src/config/options.inc:1176
+#: src/config/options.inc:1245
 msgid "Drop shadows"
 msgstr " "
 
-#: src/config/options.inc:1178
+#: src/config/options.inc:1247
+#, fuzzy
 msgid ""
-"Make dialogs drop shadows (the shadows are solid, you can\n"
-"adjust their color by ui.colors.*.dialog.shadow). You may\n"
-"also want to eliminate the wide borders by adjusting setup.h."
+"Make dialogs drop shadows (the shadows are solid, you can adjust their color "
+"by ui.colors.*.dialog.shadow). You may also want to eliminate the wide "
+"borders by adjusting setup.h."
 msgstr ""
 "    (  , \n"
 "     \n"
 "ui.colors.*.dialog.shadow).     \n"
 "     setup.h."
 
-#: src/config/options.inc:1182
+#: src/config/options.inc:1252
 msgid "Underline menu hotkeys"
 msgstr "  "
 
-#: src/config/options.inc:1184
+#: src/config/options.inc:1254
 #, fuzzy
 msgid ""
-"Whether to underline hotkeys in menus to make them more\n"
-"visible. Requires that underlining is enabled for the terminal."
+"Whether to underline hotkeys in menus to make them more visible. Requires "
+"that underlining is enabled for the terminal."
 msgstr ""
 "         \n"
 ".     ."
 
-#: src/config/options.inc:1187
+#: src/config/options.inc:1258
 msgid "Underline button shortcuts"
 msgstr "  "
 
-#: src/config/options.inc:1189
+#: src/config/options.inc:1260
 #, fuzzy
 msgid ""
-"Whether to underline button shortcuts to make them more\n"
-"visible. Requires that underlining is enabled for the terminal."
+"Whether to underline button shortcuts to make them more visible. Requires "
+"that underlining is enabled for the terminal."
 msgstr ""
 "         .\n"
 "    ."
 
-#: src/config/options.inc:1193
+#: src/config/options.inc:1265
 msgid "Timer options"
 msgstr " "
 
-#: src/config/options.inc:1195
+#: src/config/options.inc:1267
+#, fuzzy
 msgid ""
-"Timed action after certain interval of user inactivity. Someone can\n"
-"even find this useful, although you may not believe that."
+"Timed action after certain interval of user inactivity. Someone can even "
+"find this useful, although you may not believe that."
 msgstr ""
 "      \n"
 " .       \n"
 ",         ."
 
-#: src/config/options.inc:1201
+#: src/config/options.inc:1274
 msgid ""
 "Whether to enable the timer or not:\n"
 "0 is don't count down anything\n"
@@ -4277,7 +4360,7 @@ msgstr ""
 "1 ,    \n"
 "2      "
 
-#: src/config/options.inc:1208
+#: src/config/options.inc:1281
 msgid ""
 "Whether to enable the timer or not:\n"
 "0 is don't count down anything\n"
@@ -4289,37 +4372,38 @@ msgstr ""
 "1 ,    \n"
 "2       (¸)"
 
-#: src/config/options.inc:1214
+#: src/config/options.inc:1287
 msgid "Duration"
 msgstr ""
 
-#: src/config/options.inc:1216
+#: src/config/options.inc:1289
+#, fuzzy
 msgid ""
-"Inactivity timeout in seconds. The maximum of one day\n"
-"should be enough for just everyone (TM)."
+"Inactivity timeout in seconds. The maximum of one day should be enough for "
+"just everyone (TM)."
 msgstr ""
 "    .   \n"
 "     (¼)."
 
-#: src/config/options.inc:1221
+#: src/config/options.inc:1294
 msgid "Keybinding action to be triggered when timer reaches zero."
 msgstr ""
 "        \n"
 " ."
 
-#: src/config/options.inc:1224
+#: src/config/options.inc:1298
 msgid "Window tabs"
 msgstr " "
 
-#: src/config/options.inc:1226
+#: src/config/options.inc:1300
 msgid "Window tabs settings."
 msgstr "  ."
 
-#: src/config/options.inc:1228
+#: src/config/options.inc:1302
 msgid "Display tabs bar"
 msgstr "  "
 
-#: src/config/options.inc:1230
+#: src/config/options.inc:1304
 msgid ""
 "Show tabs bar on the screen:\n"
 "0 means never\n"
@@ -4331,151 +4415,158 @@ msgstr ""
 "1        \n"
 "2 "
 
-#: src/config/options.inc:1235
+#: src/config/options.inc:1309
 #, fuzzy
 msgid "Tab bar at top"
 msgstr " "
 
-#: src/config/options.inc:1237
+#: src/config/options.inc:1311
 msgid "Whether display tab bar at top like other browsers do."
 msgstr ""
 
-#: src/config/options.inc:1239
+#: src/config/options.inc:1313
 msgid "Wrap-around tabs cycling"
 msgstr "   "
 
-#: src/config/options.inc:1241
+#: src/config/options.inc:1315
 #, fuzzy
 msgid ""
-"When moving right from the last tab, jump to the first one, and\n"
-"vice versa."
+"When moving right from the last tab, jump to the first one, and vice versa."
 msgstr ""
 "       ,\n"
 "  ,  ."
 
-#: src/config/options.inc:1244
+#: src/config/options.inc:1318
 msgid "Confirm tab closing"
 msgstr "  "
 
-#: src/config/options.inc:1246
+#: src/config/options.inc:1320
 msgid "When closing a tab show confirmation dialog."
 msgstr "     ."
 
 #. OPT_LANGUAGE
-#: src/config/options.inc:1250 src/config/opttypes.c:483
+#: src/config/options.inc:1324 src/config/opttypes.c:483
 msgid "Language"
 msgstr ""
 
-#: src/config/options.inc:1252
+#: src/config/options.inc:1326
+#, fuzzy
 msgid ""
-"Language of user interface. 'System' means that the language will\n"
-"be extracted from the environment dynamically."
+"Language of user interface. 'System' means that the language will be "
+"extracted from the environment dynamically."
 msgstr ""
 "  . ,,System``     \n"
 "    ."
 
-#: src/config/options.inc:1255
+#: src/config/options.inc:1330
 #, fuzzy
 msgid "Display menu bar always"
 msgstr "  ."
 
-#: src/config/options.inc:1257
+#: src/config/options.inc:1332
 #, fuzzy
 msgid "Always show menu bar on the screen."
 msgstr "    ."
 
-#: src/config/options.inc:1259
+#: src/config/options.inc:1334
 msgid "Display status bar"
 msgstr "  "
 
-#: src/config/options.inc:1261
+#: src/config/options.inc:1336
 msgid "Show status bar on the screen."
 msgstr "    ."
 
-#: src/config/options.inc:1263
+#: src/config/options.inc:1338
 msgid "Display title bar"
 msgstr "  ."
 
-#: src/config/options.inc:1265
+#: src/config/options.inc:1340
 msgid "Show title bar on the screen."
 msgstr "    ."
 
-#: src/config/options.inc:1267
+#: src/config/options.inc:1342
 msgid "Display goto dialog in new tabs"
 msgstr "  ,, ``   "
 
-#: src/config/options.inc:1269
+#: src/config/options.inc:1344
+#, fuzzy
 msgid ""
-"Pop up goto dialog in newly created tabs when there's no homepage\n"
-"set. This means also showing goto dialog on startup."
+"Pop up goto dialog in newly created tabs when there's no homepage set. This "
+"means also showing goto dialog on startup."
 msgstr ""
 "  ,, ``    \n"
 "   .     \n"
 "    ."
 
-#: src/config/options.inc:1272
+#: src/config/options.inc:1348
 msgid "Show a message box when file is saved successfully"
 msgstr "      "
 
-#: src/config/options.inc:1274
+#: src/config/options.inc:1350
+#, fuzzy
 msgid ""
-"When you pressed a [ Save ] button in some manager, this option\n"
-"will make sure that a box confirming success of the operation will\n"
-"pop up."
+"When you pressed a [ Save ] button in some manager, this option will make "
+"sure that a box confirming success of the operation will pop up."
 msgstr ""
 "   [  ]   , \n"
 "         \n"
 " ."
 
-#: src/config/options.inc:1279
+#: src/config/options.inc:1355
 msgid "Sessions"
 msgstr ""
 
-#: src/config/options.inc:1281
+#: src/config/options.inc:1357
 msgid "Sessions settings."
 msgstr " ."
 
-#: src/config/options.inc:1283
+#: src/config/options.inc:1359
 #, fuzzy
 msgid "Keep session active"
 msgstr "    "
 
-#: src/config/options.inc:1285
+#: src/config/options.inc:1361
 msgid "Keep the session active even if the last terminal exits."
 msgstr ""
 
-#: src/config/options.inc:1287
+#: src/config/options.inc:1364
 msgid "Auto save session"
 msgstr "  "
 
-#: src/config/options.inc:1289
+#: src/config/options.inc:1366
+#, fuzzy
 msgid ""
 "Automatically save the session when quitting.\n"
+"\n"
 "This feature requires bookmark support."
 msgstr ""
 "     .\n"
 "     ."
 
-#: src/config/options.inc:1292
+#: src/config/options.inc:1370
 msgid "Auto restore session"
 msgstr "  "
 
-#: src/config/options.inc:1294
+#: src/config/options.inc:1372
+#, fuzzy
 msgid ""
 "Automatically restore the session at start.\n"
+"\n"
 "This feature requires bookmark support."
 msgstr ""
 "     .\n"
 "     ."
 
-#: src/config/options.inc:1297
+#: src/config/options.inc:1376
 msgid "Auto save and restore session folder name"
 msgstr "       "
 
-#: src/config/options.inc:1299
+#: src/config/options.inc:1378
+#, fuzzy
 msgid ""
-"Name of the bookmarks folder used for auto saving and restoring session.\n"
-"The name has to be unique. Any folders with the same name will be deleted.\n"
+"Name of the bookmarks folder used for auto saving and restoring session. The "
+"name has to be unique. Any folders with the same name will be deleted.\n"
+"\n"
 "This only makes sense with bookmark support."
 msgstr ""
 "       \n"
@@ -4483,39 +4574,39 @@ msgstr ""
 "      .   \n"
 "    ."
 
-#: src/config/options.inc:1303
+#: src/config/options.inc:1384
 msgid "Homepage URI"
 msgstr "  "
 
-#: src/config/options.inc:1305
+#: src/config/options.inc:1386
+#, fuzzy
 msgid ""
-"The URI to load either at startup time when no URI was given\n"
-"on the command line or when requested by the goto-url-home action.\n"
-"Set to \"\" if the environment variable WWW_HOME should be used\n"
-"as homepage URI instead."
+"The URI to load either at startup time when no URI was given on the command "
+"line or when requested by the goto-url-home action. Set to \"\" if the "
+"environment variable WWW_HOME should be used as homepage URI instead."
 msgstr ""
 "       ,   \n"
 "    ,      \n"
 "goto-url-home.   ,,``      \n"
 "     ,,WWW_HOME``."
 
-#: src/config/options.inc:1311
+#: src/config/options.inc:1392
 msgid "Date format"
 msgstr " "
 
-#: src/config/options.inc:1313
+#: src/config/options.inc:1394
 msgid "Date format to use in dialogs. See strftime(3)."
 msgstr "   .  strftime(3)."
 
-#: src/config/options.inc:1316
+#: src/config/options.inc:1397
 msgid "Set window title"
 msgstr "  "
 
-#: src/config/options.inc:1318
+#: src/config/options.inc:1399
+#, fuzzy
 msgid ""
-"Set the window title when running in a windowing environment\n"
-"in an xterm-like terminal. This way the document's title is\n"
-"shown on the window titlebar."
+"Set the window title when running in a windowing environment in an xterm-"
+"like terminal. This way the document's title is shown on the window titlebar."
 msgstr ""
 "         \n"
 " .       \n"
@@ -4603,7 +4694,7 @@ msgid "Goto URL History"
 msgstr " "
 
 #. name:
-#: src/cookies/cookies.c:88 src/cookies/cookies.c:911
+#: src/cookies/cookies.c:88 src/cookies/cookies.c:913
 msgid "Cookies"
 msgstr ""
 
@@ -4632,13 +4723,14 @@ msgid "Maximum age"
 msgstr " "
 
 #: src/cookies/cookies.c:102
+#, fuzzy
 msgid ""
 "Cookie maximum age (in days):\n"
 "-1 is use cookie's expiration date if any\n"
-"0  is force expiration at the end of session, ignoring cookie's\n"
-"   expiration date\n"
-"1+ is use cookie's expiration date, but limit age to the given\n"
-"   number of days"
+"0  is force expiration at the end of session, ignoring\n"
+"   cookie's expiration date\n"
+"1+ is use cookie's expiration date, but limit age to the\n"
+"   given number of days"
 msgstr ""
 "     ():\n"
 "-1       \n"
@@ -4652,12 +4744,13 @@ msgid "Paranoid security"
 msgstr " "
 
 #: src/cookies/cookies.c:111
+#, fuzzy
 msgid ""
-"When enabled, we'll require three dots in cookies domain for all\n"
-"non-international domains (instead of just two dots). Some countries\n"
-"have generic second level domains (eg. .com.pl, .co.uk) and allowing\n"
-"sites to set cookies for these generic domains could potentially be\n"
-"very bad. Note, it is off by default as it breaks a lot of sites."
+"When enabled, we'll require three dots in cookies domain for all non-"
+"international domains (instead of just two dots). Some countries have "
+"generic second level domains (eg. .com.pl, .co.uk) and allowing sites to set "
+"cookies for these generic domains could potentially be very bad. Note, it is "
+"off by default as it breaks a lot of sites."
 msgstr ""
 "   ,     \n"
 "    ,   \n"
@@ -4667,38 +4760,39 @@ msgstr ""
 "        , \n"
 "   ."
 
-#: src/cookies/cookies.c:117
+#: src/cookies/cookies.c:118
 msgid "Saving"
 msgstr ""
 
-#: src/cookies/cookies.c:119
+#: src/cookies/cookies.c:120
 #, fuzzy
 msgid "Whether cookies should be loaded from and saved to disk."
 msgstr "          ."
 
-#: src/cookies/cookies.c:121
+#: src/cookies/cookies.c:123
 msgid "Resaving"
 msgstr " "
 
-#: src/cookies/cookies.c:123
+#: src/cookies/cookies.c:125
+#, fuzzy
 msgid ""
-"Save cookies after each change in cookies list? No effect when\n"
-"cookie saving (cookies.save) is off."
+"Save cookies after each change in cookies list? No effect when cookie saving "
+"(cookies.save) is off."
 msgstr ""
 "         \n"
 ".        (\n"
 "cookies.save) ."
 
-#: src/cookies/cookies.c:817
+#: src/cookies/cookies.c:819
 #, fuzzy
 msgid "Cannot save cookies"
 msgstr "  "
 
-#: src/cookies/cookies.c:828
+#: src/cookies/cookies.c:830
 msgid "ELinks was started without a home directory."
 msgstr ""
 
-#: src/cookies/cookies.c:834
+#: src/cookies/cookies.c:836
 msgid "ELinks was started with the -anonymous option."
 msgstr ""
 
@@ -4899,7 +4993,7 @@ msgid "No header info."
 msgstr "   ."
 
 #: src/dialogs/download.c:243 src/dialogs/menu.c:601
-#: src/protocol/bittorrent/dialogs.c:228 src/session/download.c:361
+#: src/protocol/bittorrent/dialogs.c:228 src/session/download.c:387
 msgid "Download"
 msgstr ""
 
@@ -5718,7 +5812,7 @@ msgid "No document"
 msgstr " "
 
 #. name:
-#: src/document/css/css.c:30 src/document/css/css.c:161
+#: src/document/css/css.c:30 src/document/css/css.c:164
 msgid "Cascading Style Sheets"
 msgstr "  "
 
@@ -5728,39 +5822,41 @@ msgstr ""
 "      CSS-  \n"
 "."
 
-#: src/document/css/css.c:34
+#: src/document/css/css.c:35
 msgid "Enable CSS"
 msgstr " CSS-"
 
-#: src/document/css/css.c:36
+#: src/document/css/css.c:37
 msgid "Enable adding of CSS style info to documents."
 msgstr "    CSS   ."
 
-#: src/document/css/css.c:38
+#: src/document/css/css.c:39
 msgid "Import external style sheets"
 msgstr "  "
 
-#: src/document/css/css.c:40
+#: src/document/css/css.c:41
+#, fuzzy
 msgid ""
-"When enabled any external style sheets that are imported from\n"
-"either CSS itself using the @import keyword or from the HTML using\n"
-"<link> tags in the document header will also be downloaded."
+"When enabled any external style sheets that are imported from either CSS "
+"itself using the @import keyword or from the HTML using <link> tags in the "
+"document header will also be downloaded."
 msgstr ""
 "   ,     \n"
 "    ,    CSS- \n"
 "  @import,   HTML-   <link> \n"
 " ."
 
-#: src/document/css/css.c:44
+#: src/document/css/css.c:46
 msgid "Default style sheet"
 msgstr "  "
 
-#: src/document/css/css.c:46
+#: src/document/css/css.c:48
+#, fuzzy
 msgid ""
-"The path to the file containing the default user defined\n"
-"Cascading Style Sheet. It can be used to control the basic\n"
-"layout of HTML documents. The path is assumed to be relative\n"
-"to ELinks' home directory.\n"
+"The path to the file containing the default user defined Cascading Style "
+"Sheet. It can be used to control the basic layout of HTML documents. The "
+"path is assumed to be relative to ELinks' home directory.\n"
+"\n"
 "Leave as \"\" to use built-in document styling."
 msgstr ""
 "      \n"
@@ -5797,8 +5893,8 @@ msgstr ""
 
 #: src/ecmascript/ecmascript.c:55
 msgid ""
-"Whether to ignore content enclosed by the <noscript> tag\n"
-"when ECMAScript is enabled."
+"Whether to ignore content enclosed by the <noscript> tag when ECMAScript is "
+"enabled."
 msgstr ""
 
 #: src/ecmascript/ecmascript.c:58
@@ -5853,7 +5949,7 @@ msgid "JavaScript Error"
 msgstr " "
 
 #. name:
-#: src/ecmascript/spidermonkey.c:320
+#: src/ecmascript/spidermonkey.c:321
 msgid "SpiderMonkey"
 msgstr ""
 
@@ -5945,10 +6041,10 @@ msgid "Show form history dialog"
 msgstr "   "
 
 #: src/formhist/formhist.c:38
+#, fuzzy
 msgid ""
-"Ask if a login form should be saved to file or not.\n"
-"This option only disables the dialog, already saved login\n"
-"forms are unaffected."
+"Ask if a login form should be saved to file or not. This option only "
+"disables the dialog, already saved login forms are unaffected."
 msgstr ""
 "          \n"
 " .     ,   \n"
@@ -6053,19 +6149,19 @@ msgstr ""
 "   (,,  \n"
 "``)."
 
-#: src/globhist/globhist.c:68
+#: src/globhist/globhist.c:69
 msgid "Maximum number of entries"
 msgstr "  "
 
-#: src/globhist/globhist.c:70
+#: src/globhist/globhist.c:71
 msgid "Maximum number of entries in the global history."
 msgstr "    ."
 
-#: src/globhist/globhist.c:72
+#: src/globhist/globhist.c:73
 msgid "Display style"
 msgstr " "
 
-#: src/globhist/globhist.c:74
+#: src/globhist/globhist.c:75
 msgid ""
 "What to display in global history dialog:\n"
 "0 is URLs\n"
@@ -6076,7 +6172,7 @@ msgstr ""
 "1  "
 
 #. name:
-#: src/globhist/globhist.c:451
+#: src/globhist/globhist.c:449
 msgid "Global History"
 msgstr " "
 
@@ -6296,12 +6392,13 @@ msgid "MIME type associations"
 msgstr "  MIME-"
 
 #: src/mime/backend/default.c:27
+#, fuzzy
 msgid ""
-"Handler <-> MIME type association. The first sub-tree is the MIME\n"
-"class while the second sub-tree is the MIME type (ie. image/gif\n"
-"handler will reside at mime.type.image.gif). Each MIME type option\n"
-"should contain (case-sensitive) name of the MIME handler (its\n"
-"properties are stored at mime.handler.<name>)."
+"Handler <-> MIME type association. The first sub-tree is the MIME class "
+"while the second sub-tree is the MIME type (ie. image/gif handler will "
+"reside at mime.type.image.gif). Each MIME type option should contain (case-"
+"sensitive) name of the MIME handler (its properties are stored at mime."
+"handler.<name>)."
 msgstr ""
 "  <-> MIME.    \n"
 "MIME-,    MIME- (.  \n"
@@ -6310,36 +6407,35 @@ msgstr ""
 "    )  MIME- (  \n"
 "  mime.handler.<>)."
 
-#: src/mime/backend/default.c:35
+#: src/mime/backend/default.c:36
+#, fuzzy
 msgid ""
-"Handler matching this MIME-type class ('*' is used here in place\n"
-"of '.')."
+"Handler matching this MIME-type class ('*' is used here in place of '.')."
 msgstr ""
 "      MIME- (,,*`` \n"
 "  ,,.``)."
 
-#: src/mime/backend/default.c:40
+#: src/mime/backend/default.c:41
+#, fuzzy
 msgid ""
-"Handler matching this MIME-type name ('*' is used here in place\n"
-"of '.')."
+"Handler matching this MIME-type name ('*' is used here in place of '.')."
 msgstr ""
 "      MIME- (,,*`` \n"
 "  ,,.``)."
 
-#: src/mime/backend/default.c:44
+#: src/mime/backend/default.c:45
 msgid "File type handlers"
 msgstr "  "
 
-#: src/mime/backend/default.c:46
+#: src/mime/backend/default.c:47
+#, fuzzy
 msgid ""
-"A file type handler is a set of information about how to use\n"
-"an external program to view a file. It is possible to refer to it\n"
-"for several MIME types -- e.g., you can define an 'image' handler\n"
-"to which mime.type.image.png, mime.type.image.jpeg, and so on will\n"
-"refer; or one might define a handler for a more specific type of file\n"
-"-- e.g., PDF files.\n"
-"Note you must define both a MIME handler and a MIME type association\n"
-"for it to work."
+"A file type handler is a set of information about how to use an external "
+"program to view a file. It is possible to refer to it for several MIME types "
+"-- e.g., you can define an 'image' handler to which mime.type.image.png, "
+"mime.type.image.jpeg, and so on will refer; or one might define a handler "
+"for a more specific type of file -- e.g., PDF files. Note you must define "
+"both a MIME handler and a MIME type association for it to work."
 msgstr ""
 "        \n"
 "       .\n"
@@ -6351,69 +6447,68 @@ msgstr ""
 ".         MIME-\n"
 "   MIME-    ."
 
-#: src/mime/backend/default.c:57
+#: src/mime/backend/default.c:58
 msgid "Description of this handler."
 msgstr "  ."
 
-#: src/mime/backend/default.c:61
+#: src/mime/backend/default.c:62
 msgid "System-specific handler description (ie. unix, unix-xwin, ...)."
 msgstr ""
 "     (. unix,\n"
 "unix-xwin, ...)."
 
-#: src/mime/backend/default.c:63 src/mime/backend/mailcap.c:102
+#: src/mime/backend/default.c:65 src/mime/backend/mailcap.c:102
 msgid "Ask before opening"
 msgstr "  "
 
-#: src/mime/backend/default.c:65
+#: src/mime/backend/default.c:67
 msgid "Ask before opening."
 msgstr "  ."
 
-#: src/mime/backend/default.c:67
+#: src/mime/backend/default.c:69
 msgid "Block terminal"
 msgstr " "
 
-#: src/mime/backend/default.c:69
+#: src/mime/backend/default.c:71
 msgid "Block the terminal when the handler is running."
 msgstr "     ."
 
-#: src/mime/backend/default.c:71
+#: src/mime/backend/default.c:73
 msgid "Program"
 msgstr ""
 
-#: src/mime/backend/default.c:74
+#: src/mime/backend/default.c:76
 #, fuzzy, no-c-format
 msgid ""
-"External viewer for this file type. '%' in this string will be\n"
-"substituted by a file name.\n"
-"Do _not_ put single- or double-quotes around the % sign."
+"External viewer for this file type. '%' in this string will be substituted "
+"by a file name. Do _not_ put single- or double-quotes around the % sign."
 msgstr ""
 "     . ,,%``   \n"
 "    ."
 
-#: src/mime/backend/default.c:79
+#: src/mime/backend/default.c:81
 msgid "File extension associations"
 msgstr "  "
 
-#: src/mime/backend/default.c:81
+#: src/mime/backend/default.c:83
 msgid "Extension <-> MIME type association."
 msgstr "  <->  MIME-."
 
-#: src/mime/backend/default.c:85
+#: src/mime/backend/default.c:87
+#, fuzzy
 msgid ""
-"MIME-type matching this file extension ('*' is used here in place\n"
-"of '.')."
+"MIME-type matching this file extension ('*' is used here in place of '.')."
 msgstr ""
 " MIME-      (,,*`` \n"
 "  ,,.``)."
 
 #. name:
-#: src/mime/backend/default.c:216
+#: src/mime/backend/default.c:218
 msgid "Option system"
 msgstr " "
 
 #. name:
-#: src/mime/backend/mailcap.c:89 src/mime/backend/mailcap.c:684
+#: src/mime/backend/mailcap.c:89 src/mime/backend/mailcap.c:686
 msgid "Mailcap"
 msgstr "Mailcap"
 
@@ -6426,9 +6521,10 @@ msgid "Enable mailcap support."
 msgstr "   mailcap."
 
 #: src/mime/backend/mailcap.c:99
+#, fuzzy
 msgid ""
-"Mailcap search path. Colon-separated list of files.\n"
-"Leave as \"\" to use MAILCAP environment variable instead."
+"Mailcap search path. Colon-separated list of files. Leave as \"\" to use "
+"MAILCAP environment variable instead."
 msgstr ""
 "   mailcap.    \n"
 " .      \n"
@@ -6443,12 +6539,13 @@ msgid "Type query string"
 msgstr "  "
 
 #: src/mime/backend/mailcap.c:108
+#, fuzzy
 msgid ""
-"Type of description to show in \"what to do with this file\"\n"
-"query dialog:\n"
+"Type of description to show in \"what to do with this file\" query dialog:\n"
 "0 is show \"mailcap\"\n"
 "1 is show program to be run\n"
-"2 is show mailcap description field if any; \"mailcap\" otherwise"
+"2 is show mailcap description field if any;\n"
+"     \"mailcap\" otherwise"
 msgstr ""
 "       ,,   \n"
 " ``:\n"
@@ -6457,37 +6554,37 @@ msgstr ""
 "2     ,   \n"
 "   ,,mailcap``"
 
-#: src/mime/backend/mailcap.c:114
+#: src/mime/backend/mailcap.c:115
 msgid "Prioritize entries by file"
 msgstr "   "
 
-#: src/mime/backend/mailcap.c:116
+#: src/mime/backend/mailcap.c:117
+#, fuzzy
 msgid ""
-"Prioritize entries by the order of the files in the mailcap\n"
-"path. This means that wildcard entries (like: image/*) will\n"
-"also be checked before deciding the handler."
+"Prioritize entries by the order of the files in the mailcap path. This means "
+"that wildcard entries (like: image/*) will also be checked before deciding "
+"the handler."
 msgstr ""
 "      \n"
 "mailcap-.         \n"
 "(: image/*)       \n"
 "    ."
 
-#: src/mime/backend/mailcap.c:349
+#: src/mime/backend/mailcap.c:351
 #, c-format
 msgid "Badly formated mailcap entry for type %s in \"%s\" line %d"
 msgstr "   mailcap-   %s  ,,%s``,  %d"
 
 #. name:
-#: src/mime/backend/mimetypes.c:46 src/mime/backend/mimetypes.c:279
+#: src/mime/backend/mimetypes.c:46 src/mime/backend/mimetypes.c:280
 msgid "Mimetypes files"
 msgstr " ,,mimetypes``"
 
 #: src/mime/backend/mimetypes.c:48
 #, fuzzy
 msgid ""
-"Options for the support of mime.types files. These files\n"
-"can be used to find the content type of a URL by looking at\n"
-"the extension of the file name."
+"Options for the support of mime.types files. These files can be used to find "
+"the content type of a URL by looking at the extension of the file name."
 msgstr ""
 "    mime.types.    \n"
 "       -\n"
@@ -6529,7 +6626,7 @@ msgid "No extensions"
 msgstr " "
 
 #. name:
-#: src/mime/mime.c:38 src/mime/mime.c:360
+#: src/mime/mime.c:38 src/mime/mime.c:361
 msgid "MIME"
 msgstr "MIME"
 
@@ -6542,9 +6639,10 @@ msgid "Default MIME-type"
 msgstr "  MIME-"
 
 #: src/mime/mime.c:44
+#, fuzzy
 msgid ""
-"Document MIME-type to assume by default (when we are unable to\n"
-"guess it properly from known information about the document)."
+"Document MIME-type to assume by default (when we are unable to guess it "
+"properly from known information about the document)."
 msgstr ""
 "  MIME- (     \n"
 "      )."
@@ -6554,9 +6652,10 @@ msgid "Verify certificates"
 msgstr " "
 
 #: src/network/ssl/ssl.c:74
+#, fuzzy
 msgid ""
-"Verify the peer's SSL certificate. Note that this\n"
-"needs extensive configuration of OpenSSL by the user."
+"Verify the peer's SSL certificate. Note that this needs extensive "
+"configuration of OpenSSL by the user."
 msgstr ""
 "   SSL-.     \n"
 "    OpenSSL-  \n"
@@ -6571,9 +6670,10 @@ msgid "X509 client certificate options."
 msgstr " X509  ."
 
 #: src/network/ssl/ssl.c:83
+#, fuzzy
 msgid ""
-"Enable or not the sending of X509 client certificates\n"
-"to servers which request them."
+"Enable or not the sending of X509 client certificates to servers which "
+"request them."
 msgstr ""
 "   X509  \n"
 "   ."
@@ -6583,11 +6683,11 @@ msgid "Certificate File"
 msgstr "  "
 
 #: src/network/ssl/ssl.c:88
+#, fuzzy
 msgid ""
-"The location of a file containing the client certificate\n"
-"and unencrypted private key in PEM format. If unset, the\n"
-"file pointed to by the X509_CLIENT_CERT variable is used\n"
-"instead."
+"The location of a file containing the client certificate and unencrypted "
+"private key in PEM format. If unset, the file pointed to by the "
+"X509_CLIENT_CERT variable is used instead."
 msgstr ""
 "        \n"
 "       PEM. \n"
@@ -6595,10 +6695,13 @@ msgstr ""
 "  X509_CLIENT_CERT."
 
 #: src/network/ssl/ssl.c:163
+#, fuzzy
 msgid ""
-"Verify the peer's SSL certificate.  If you enable\n"
-"this, set also \"Trusted CA file\"."
+"Verify the peer's SSL certificate.  If you enable this, set also \"Trusted "
+"CA file\"."
 msgstr ""
+"   SSL-.     \n"
+"     GnuTLS-."
 
 #. The default value of the following option points to a file
 #. * generated by the ca-certificates Debian package.  Don't use
@@ -6615,20 +6718,20 @@ msgstr "  "
 
 #: src/network/ssl/ssl.c:176
 msgid ""
-"The location of a file containing certificates of\n"
-"trusted certification authorities in PEM format.\n"
-"ELinks then trusts certificates issued by these CAs.\n"
-"If you change this option or the file, you must\n"
-"restart ELinks for the changes to take effect.\n"
-"This option affects GnuTLS but not OpenSSL."
+"The location of a file containing certificates of trusted certification "
+"authorities in PEM format. ELinks then trusts certificates issued by these "
+"CAs.\n"
+"\n"
+"If you change this option or the file, you must restart ELinks for the "
+"changes to take effect. This option affects GnuTLS but not OpenSSL."
 msgstr ""
 
 #. name:
-#: src/network/ssl/ssl.c:199 src/network/ssl/ssl.c:216
+#: src/network/ssl/ssl.c:200 src/network/ssl/ssl.c:217
 msgid "SSL"
 msgstr "SSL"
 
-#: src/network/ssl/ssl.c:201
+#: src/network/ssl/ssl.c:202
 msgid "SSL options."
 msgstr " SSL-."
 
@@ -6981,7 +7084,7 @@ msgstr "  "
 msgid "Login"
 msgstr " "
 
-#: src/protocol/auth/dialogs.c:113 src/protocol/http/http.c:140
+#: src/protocol/auth/dialogs.c:113 src/protocol/http/http.c:142
 msgid "Password"
 msgstr ""
 
@@ -7049,7 +7152,7 @@ msgstr "  "
 
 #. name:
 #: src/protocol/bittorrent/bittorrent.c:26
-#: src/protocol/bittorrent/bittorrent.c:335
+#: src/protocol/bittorrent/bittorrent.c:339
 msgid "BitTorrent"
 msgstr ""
 
@@ -7104,9 +7207,8 @@ msgstr ""
 
 #: src/protocol/bittorrent/bittorrent.c:57
 msgid ""
-"Whether to request that the tracker returns peer info\n"
-"in compact format. Note, the compact format only supports\n"
-"IPv4 addresses."
+"Whether to request that the tracker returns peer info in compact format. "
+"Note, the compact format only supports IPv4 addresses."
 msgstr ""
 
 #: src/protocol/bittorrent/bittorrent.c:61
@@ -7115,57 +7217,55 @@ msgstr ""
 
 #: src/protocol/bittorrent/bittorrent.c:63
 msgid ""
-"The number of seconds to wait between periodically contacting\n"
-"the tracker for announcing progress and requesting more peers.\n"
-"Set to zero to use the interval requested by the tracker."
+"The number of seconds to wait between periodically contacting the tracker "
+"for announcing progress and requesting more peers. Set to zero to use the "
+"interval requested by the tracker."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:67
+#: src/protocol/bittorrent/bittorrent.c:68
 msgid "IP-address to announce"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:69
+#: src/protocol/bittorrent/bittorrent.c:70
 msgid ""
-"What IP address to report to the tracker. If set to \"\"\n"
-"no IP address will be sent and the tracker will automatically\n"
-"determine an appropriate IP address."
+"What IP address to report to the tracker. If set to \"\" no IP address will "
+"be sent and the tracker will automatically determine an appropriate IP "
+"address."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:73
+#: src/protocol/bittorrent/bittorrent.c:74
 #, fuzzy
 msgid "User identification string"
 msgstr "   ,,User-Agent``"
 
-#: src/protocol/bittorrent/bittorrent.c:75
+#: src/protocol/bittorrent/bittorrent.c:76
 msgid ""
-"An additional identification that is not shared with any users.\n"
-"It is intended to allow a client to prove their identity should\n"
-"their IP address change. It is an optional parameter, but some\n"
-"trackers require this parameter. If set to \"\" no user key will\n"
-"be sent to the tracker."
+"An additional identification that is not shared with any users. It is "
+"intended to allow a client to prove their identity should their IP address "
+"change. It is an optional parameter, but some trackers require this "
+"parameter. If set to \"\" no user key will be sent to the tracker."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:81
+#: src/protocol/bittorrent/bittorrent.c:82
 #, fuzzy
 msgid "Maximum number of peers to request"
 msgstr "  "
 
-#: src/protocol/bittorrent/bittorrent.c:83
+#: src/protocol/bittorrent/bittorrent.c:84
 msgid ""
-"The maximum number of peers to request from the tracker.\n"
-"Set to 0 to use the server default."
+"The maximum number of peers to request from the tracker. Set to 0 to use the "
+"server default."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:86
+#: src/protocol/bittorrent/bittorrent.c:87
 msgid "Minimum peers to skip rerequesting"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:88
+#: src/protocol/bittorrent/bittorrent.c:89
 msgid ""
-"The minimum number of peers to have in the current peer info\n"
-"pool before skipping requesting of more peers. I.e. setting\n"
-"numwant to zero.\n"
-"Set to 0 to not have any limit."
+"The minimum number of peers to have in the current peer info pool before "
+"skipping requesting of more peers. I.e. setting numwant to zero. Set to 0 to "
+"not have any limit."
 msgstr ""
 
 #. ******************************************************************
@@ -7186,186 +7286,181 @@ msgstr "   
 
 #: src/protocol/bittorrent/bittorrent.c:104
 msgid ""
-"The maximum number of allowed connections to both active and\n"
-"non-active peers. By increasing the number of allowed connections,\n"
-"the chance of finding good peers to download from is increased.\n"
-"However, too many connections can lead to TCP congestion. If the\n"
-"maximum is reached all new incoming connections will be closed."
+"The maximum number of allowed connections to both active and non-active "
+"peers. By increasing the number of allowed connections, the chance of "
+"finding good peers to download from is increased. However, too many "
+"connections can lead to TCP congestion. If the maximum is reached all new "
+"incoming connections will be closed."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:110
+#: src/protocol/bittorrent/bittorrent.c:111
 #, fuzzy
 msgid "Maximum peer message length"
 msgstr "    "
 
-#: src/protocol/bittorrent/bittorrent.c:112
+#: src/protocol/bittorrent/bittorrent.c:113
 msgid ""
-"The maximum length of messages to accept over the wire.\n"
-"Larger values will cause the connection to be dropped."
+"The maximum length of messages to accept over the wire. Larger values will "
+"cause the connection to be dropped."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:115
+#: src/protocol/bittorrent/bittorrent.c:116
 msgid "Maximum allowed request length"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:117
+#: src/protocol/bittorrent/bittorrent.c:118
 msgid ""
-"The maximum length to allow for incoming requests.\n"
-"Larger requests will cause the connection to be dropped."
+"The maximum length to allow for incoming requests. Larger requests will "
+"cause the connection to be dropped."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:120
+#: src/protocol/bittorrent/bittorrent.c:121
 msgid "Length of requests"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:122
+#: src/protocol/bittorrent/bittorrent.c:123
 msgid ""
-"How many bytes to query for per request. This is complementary\n"
-"to the max_request_length option. If the configured length is\n"
-"bigger than the piece length it will be truncated."
+"How many bytes to query for per request. This is complementary to the "
+"max_request_length option. If the configured length is bigger than the piece "
+"length it will be truncated."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:126
+#: src/protocol/bittorrent/bittorrent.c:128
 #, fuzzy
 msgid "Peer inactivity timeout"
 msgstr "  "
 
-#: src/protocol/bittorrent/bittorrent.c:128
+#: src/protocol/bittorrent/bittorrent.c:130
 msgid ""
-"The number of seconds to wait before closing a socket on\n"
-"which nothing has been received or sent."
+"The number of seconds to wait before closing a socket on which nothing has "
+"been received or sent."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:131
+#: src/protocol/bittorrent/bittorrent.c:133
 #, fuzzy
 msgid "Maximum peer pool size"
 msgstr "  "
 
-#: src/protocol/bittorrent/bittorrent.c:133
+#: src/protocol/bittorrent/bittorrent.c:135
 msgid ""
-"Maximum number of items in the peer pool. The peer pool\n"
-"contains information used for establishing connections to\n"
-"new peers.\n"
+"Maximum number of items in the peer pool. The peer pool contains information "
+"used for establishing connections to new peers.\n"
+"\n"
 "Set to 0 to have unlimited size."
 msgstr ""
 
 #. ******************************************************************
 #. Piece management options:
 #. ******************************************************************
-#: src/protocol/bittorrent/bittorrent.c:143
+#: src/protocol/bittorrent/bittorrent.c:146
 #, fuzzy
 msgid "Maximum piece cache size"
 msgstr "   "
 
-#: src/protocol/bittorrent/bittorrent.c:145
+#: src/protocol/bittorrent/bittorrent.c:148
 msgid ""
-"The maximum amount of memory used to hold recently\n"
-"downloaded pieces.\n"
+"The maximum amount of memory used to hold recently downloaded pieces.\n"
+"\n"
 "Set to 0 to have unlimited size."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:154
+#: src/protocol/bittorrent/bittorrent.c:158
 #, fuzzy
 msgid "Sharing rate"
 msgstr " "
 
-#: src/protocol/bittorrent/bittorrent.c:156
+#: src/protocol/bittorrent/bittorrent.c:160
 msgid ""
-"The minimum sharing rate to achieve before stop seeding.\n"
-"The sharing rate is computed as the number of uploaded bytes\n"
-"divided with the number of downloaded bytes. The value should\n"
-"be a double value between 0.0 and 1.0 both included.\n"
-"Set to 1.0 to atleast upload a complete copy of all data and\n"
+"The minimum sharing rate to achieve before stop seeding. The sharing rate is "
+"computed as the number of uploaded bytes divided with the number of "
+"downloaded bytes. The value should be a double value between 0.0 and 1.0 "
+"both included. Set to 1.0 to atleast upload a complete copy of all data and "
 "set to 0.0 to have unlimited sharing rate."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:163
+#: src/protocol/bittorrent/bittorrent.c:167
 #, fuzzy
 msgid "Maximum number of uploads"
 msgstr "  "
 
-#: src/protocol/bittorrent/bittorrent.c:165
+#: src/protocol/bittorrent/bittorrent.c:169
 msgid "The maximum number of uploads to allow at once."
 msgstr ""
 
 #. The number of uploads to fill out to with extra optimistic unchokes
-#: src/protocol/bittorrent/bittorrent.c:168
+#: src/protocol/bittorrent/bittorrent.c:172
 #, fuzzy
 msgid "Minimum number of uploads"
 msgstr "  "
 
-#: src/protocol/bittorrent/bittorrent.c:170
+#: src/protocol/bittorrent/bittorrent.c:174
 msgid ""
-"The minimum number of uploads which should at least\n"
-"be used for new connections."
+"The minimum number of uploads which should at least be used for new "
+"connections."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:174
+#: src/protocol/bittorrent/bittorrent.c:178
 #, fuzzy
 msgid "Keepalive interval"
 msgstr " "
 
-#: src/protocol/bittorrent/bittorrent.c:176
-msgid ""
-"The number of seconds to pause between sending keepalive\n"
-"messages."
+#: src/protocol/bittorrent/bittorrent.c:180
+msgid "The number of seconds to pause between sending keepalive messages."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:179
+#: src/protocol/bittorrent/bittorrent.c:183
 #, fuzzy
 msgid "Number of pending requests"
 msgstr "  "
 
-#: src/protocol/bittorrent/bittorrent.c:181
+#: src/protocol/bittorrent/bittorrent.c:185
 msgid ""
-"How many piece requests to continuously keep in queue. Pipelining\n"
-"of requests is essential to saturate connections and get a good\n"
-"connection performance and thus a faster download. However, a\n"
-"very big queue size can lead to wasting bandwidth near the end\n"
-"of the connection since remaining piece blocks will be requested\n"
-"from multiple peers."
+"How many piece requests to continuously keep in queue. Pipelining of "
+"requests is essential to saturate connections and get a good connection "
+"performance and thus a faster download. However, a very big queue size can "
+"lead to wasting bandwidth near the end of the connection since remaining "
+"piece blocks will be requested from multiple peers."
 msgstr ""
 
 #. Bram uses 30 seconds here.
-#: src/protocol/bittorrent/bittorrent.c:190
+#: src/protocol/bittorrent/bittorrent.c:194
 msgid "Peer snubbing interval"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:192
+#: src/protocol/bittorrent/bittorrent.c:196
 msgid ""
-"The number of seconds to wait for file data before assuming\n"
-"the peer has been snubbed."
+"The number of seconds to wait for file data before assuming the peer has "
+"been snubbed."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:195
+#: src/protocol/bittorrent/bittorrent.c:199
 #, fuzzy
 msgid "Peer choke interval"
 msgstr " "
 
-#: src/protocol/bittorrent/bittorrent.c:197
+#: src/protocol/bittorrent/bittorrent.c:201
 msgid ""
-"The number of seconds between updating the connection state\n"
-"and most importantly choke and unchoke peer connections. The\n"
-"choke period should be big enough for newly unchoked connections\n"
-"to get started but small enough to not allow freeriders too much\n"
-"room for stealing bandwidth."
+"The number of seconds between updating the connection state and most "
+"importantly choke and unchoke peer connections. The choke period should be "
+"big enough for newly unchoked connections to get started but small enough to "
+"not allow freeriders too much room for stealing bandwidth."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:203
+#: src/protocol/bittorrent/bittorrent.c:207
 msgid "Rarest first piece selection cutoff"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:205
+#: src/protocol/bittorrent/bittorrent.c:209
 msgid ""
-"The number of pieces to obtain before switching piece\n"
-"selection strategy from random to rarest first."
+"The number of pieces to obtain before switching piece selection strategy "
+"from random to rarest first."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:208 src/protocol/http/http.c:109
+#: src/protocol/bittorrent/bittorrent.c:212 src/protocol/http/http.c:109
 msgid "Allow blacklisting"
 msgstr "    "
 
-#: src/protocol/bittorrent/bittorrent.c:210
+#: src/protocol/bittorrent/bittorrent.c:214
 #, fuzzy
 msgid "Allow blacklisting of buggy peers."
 msgstr "       ."
@@ -7403,7 +7498,7 @@ msgstr ":"
 msgid "Comment"
 msgstr ""
 
-#: src/protocol/bittorrent/dialogs.c:229 src/session/download.c:362
+#: src/protocol/bittorrent/dialogs.c:229 src/session/download.c:388
 #, c-format
 msgid ""
 "Download complete:\n"
@@ -7573,7 +7668,7 @@ msgid_plural "%u unavailable"
 msgstr[0] "  FTP  "
 msgstr[1] "  FTP  "
 
-#: src/protocol/bittorrent/dialogs.c:584 src/session/session.c:278
+#: src/protocol/bittorrent/dialogs.c:584 src/session/session.c:279
 #, c-format
 msgid "Unable to retrieve %s"
 msgstr "    %s"
@@ -7588,7 +7683,7 @@ msgstr "      
 msgid "Information about the torrent"
 msgstr "    "
 
-#: src/protocol/bittorrent/dialogs.c:776 src/session/download.c:1106
+#: src/protocol/bittorrent/dialogs.c:776 src/session/download.c:1132
 msgid "What to do?"
 msgstr "  ?"
 
@@ -7599,12 +7694,12 @@ msgid "Down~load"
 msgstr ""
 
 #. accelerator_context(src/protocol/bittorrent/dialogs.c:bittorrent_query_callback, src/session/download.c:do_type_query)
-#: src/protocol/bittorrent/dialogs.c:804 src/session/download.c:1209
+#: src/protocol/bittorrent/dialogs.c:804 src/session/download.c:1235
 msgid "~Display"
 msgstr "~"
 
 #. accelerator_context(src/protocol/bittorrent/dialogs.c:bittorrent_query_callback, src/session/download.c:do_type_query)
-#: src/protocol/bittorrent/dialogs.c:808 src/session/download.c:1213
+#: src/protocol/bittorrent/dialogs.c:808 src/session/download.c:1239
 msgid "Show ~header"
 msgstr " ~"
 
@@ -7622,16 +7717,16 @@ msgstr ""
 "      CGI ,\n"
 " ."
 
-#: src/protocol/file/cgi.c:47
+#: src/protocol/file/cgi.c:48
 msgid "Allow local CGI"
 msgstr "  CGI-"
 
-#: src/protocol/file/cgi.c:49
+#: src/protocol/file/cgi.c:50
 msgid "Whether to execute local CGI scripts."
 msgstr "     CGI ."
 
 #. name:
-#: src/protocol/file/cgi.c:54
+#: src/protocol/file/cgi.c:55
 msgid "CGI"
 msgstr ""
 
@@ -7648,10 +7743,10 @@ msgid "Allow reading special files"
 msgstr "   "
 
 #: src/protocol/file/file.c:46
+#, fuzzy
 msgid ""
-"Whether to allow reading from non-regular files.\n"
-"Note this can be dangerous; reading /dev/urandom or\n"
-"/dev/zero can ruin your day!"
+"Whether to allow reading from non-regular files. Note this can be dangerous; "
+"reading /dev/urandom or /dev/zero can ruin your day!"
 msgstr ""
 "        .  \n"
 " :   /dev/urandom   /dev/zero \n"
@@ -7664,8 +7759,8 @@ msgstr "   
 #: src/protocol/file/file.c:52
 #, fuzzy
 msgid ""
-"When set to false, files with name starting with a dot will be\n"
-"hidden in local directory listings."
+"When set to false, files with name starting with a dot will be hidden in "
+"local directory listings."
 msgstr ""
 "     ,,``,   \n"
 "       \n"
@@ -7676,10 +7771,11 @@ msgid "Try encoding extensions"
 msgstr "  "
 
 #: src/protocol/file/file.c:57
+#, fuzzy
 msgid ""
-"When set, if we can't open a file named 'filename', we'll try\n"
-"to open 'filename' with some encoding extension appended\n"
-"(ie. 'filename.gz'); it depends on the supported encodings."
+"When set, if we can't open a file named 'filename', we'll try to open "
+"'filename' with some encoding extension appended (ie. 'filename.gz'); it "
+"depends on the supported encodings."
 msgstr ""
 "   ,    \n"
 ",,``     ,     \n"
@@ -7687,7 +7783,7 @@ msgstr ""
 "   ."
 
 #. name:
-#: src/protocol/file/file.c:65
+#: src/protocol/file/file.c:66
 msgid "File"
 msgstr ""
 
@@ -7718,7 +7814,7 @@ msgid "Whether to sort entries in direct
 msgstr "     "
 
 #. name:
-#: src/protocol/ftp/ftp.c:56 src/protocol/ftp/ftp.c:86
+#: src/protocol/ftp/ftp.c:56 src/protocol/ftp/ftp.c:89
 msgid "FTP"
 msgstr "FTP"
 
@@ -7726,8 +7822,8 @@ msgstr "FTP"
 msgid "FTP specific options."
 msgstr "    FTP-."
 
-#: src/protocol/ftp/ftp.c:60 src/protocol/http/http.c:127
-#: src/protocol/http/http.c:209
+#: src/protocol/ftp/ftp.c:60 src/protocol/http/http.c:128
+#: src/protocol/http/http.c:235
 msgid "Proxy configuration"
 msgstr " "
 
@@ -7735,43 +7831,44 @@ msgstr " "
 msgid "FTP proxy configuration."
 msgstr "   FTP."
 
-#: src/protocol/ftp/ftp.c:64 src/protocol/http/http.c:131
-#: src/protocol/http/http.c:213
+#: src/protocol/ftp/ftp.c:64 src/protocol/http/http.c:132
+#: src/protocol/http/http.c:239
 msgid "Host and port-number"
 msgstr "   "
 
 #: src/protocol/ftp/ftp.c:66
+#, fuzzy
 msgid ""
-"Host and port-number (host:port) of the FTP proxy, or blank.\n"
-"If it's blank, FTP_PROXY environment variable is checked as well."
+"Host and port-number (host:port) of the FTP proxy, or blank. If it's blank, "
+"FTP_PROXY environment variable is checked as well."
 msgstr ""
 "    (:)   FTP. \n"
 "  ,       \n"
 " FTP_PROXY."
 
-#: src/protocol/ftp/ftp.c:69
+#: src/protocol/ftp/ftp.c:70
 msgid "Anonymous password"
 msgstr " "
 
-#: src/protocol/ftp/ftp.c:71
+#: src/protocol/ftp/ftp.c:72
 msgid "FTP anonymous password to be sent."
 msgstr "   FTP."
 
-#: src/protocol/ftp/ftp.c:73
+#: src/protocol/ftp/ftp.c:74
 msgid "Use passive mode (IPv4)"
 msgstr "   (4)"
 
-#: src/protocol/ftp/ftp.c:75
+#: src/protocol/ftp/ftp.c:76
 msgid "Use PASV instead of PORT (passive vs active mode, IPv4 only)."
 msgstr ""
 "  PASV   PORT ( \n"
 " ,   4)."
 
-#: src/protocol/ftp/ftp.c:77
+#: src/protocol/ftp/ftp.c:79
 msgid "Use passive mode (IPv6)"
 msgstr "   (6)"
 
-#: src/protocol/ftp/ftp.c:79
+#: src/protocol/ftp/ftp.c:81
 msgid "Use EPSV instead of EPRT (passive vs active mode, IPv6 only)."
 msgstr ""
 " EPSV  EPRT (   ,\n"
@@ -7808,7 +7905,7 @@ msgstr ""
 "  .\n"
 
 #. name:
-#: src/protocol/http/http.c:95 src/protocol/http/http.c:223
+#: src/protocol/http/http.c:95 src/protocol/http/http.c:250
 msgid "HTTP"
 msgstr "HTTP"
 
@@ -7829,9 +7926,10 @@ msgid "Do not send Accept-Charset"
 msgstr "  Accept-Charset"
 
 #: src/protocol/http/http.c:106
+#, fuzzy
 msgid ""
-"The Accept-Charset header is quite long and sending it can trigger\n"
-"bugs in some rarely found servers."
+"The Accept-Charset header is quite long and sending it can trigger bugs in "
+"some rarely found servers."
 msgstr ""
 " Accept-Charset   ,   \n"
 "      ."
@@ -7845,69 +7943,72 @@ msgid "Broken 302 redirects"
 msgstr " 302-"
 
 #: src/protocol/http/http.c:115
+#, fuzzy
 msgid ""
-"Broken 302 redirect (violates RFC but compatible with Netscape).\n"
-"This is a problem for a lot of web discussion boards and the like.\n"
-"If they will do strange things to you, try to play with this."
+"Broken 302 redirect (violates RFC but compatible with Netscape). This is a "
+"problem for a lot of web discussion boards and the like. If they will do "
+"strange things to you, try to play with this."
 msgstr ""
 " 302- (  RFC,  \n"
 "  ).      \n"
 "     .    \n"
 ",      ."
 
-#: src/protocol/http/http.c:119
+#: src/protocol/http/http.c:120
 msgid "No keepalive after POST requests"
 msgstr "     POST"
 
-#: src/protocol/http/http.c:121
+#: src/protocol/http/http.c:122
 msgid "Disable keepalive connection after POST request."
 msgstr "     POST."
 
-#: src/protocol/http/http.c:123
+#: src/protocol/http/http.c:124
 msgid "Use HTTP/1.0"
 msgstr " HTTP/1.0"
 
-#: src/protocol/http/http.c:125
+#: src/protocol/http/http.c:126
 msgid "Use HTTP/1.0 protocol instead of HTTP/1.1."
 msgstr "  HTTP/1.0  HTTP/1.1."
 
-#: src/protocol/http/http.c:129
+#: src/protocol/http/http.c:130
 msgid "HTTP proxy configuration."
 msgstr "   HTTP."
 
-#: src/protocol/http/http.c:133
+#: src/protocol/http/http.c:134
+#, fuzzy
 msgid ""
-"Host and port-number (host:port) of the HTTP proxy, or blank.\n"
-"If it's blank, HTTP_PROXY environment variable is checked as well."
+"Host and port-number (host:port) of the HTTP proxy, or blank. If it's blank, "
+"HTTP_PROXY environment variable is checked as well."
 msgstr ""
 "    (:)   HTTP. \n"
 "  ,       \n"
 " HTTP_PROXY."
 
-#: src/protocol/http/http.c:136
+#: src/protocol/http/http.c:138
 msgid "Username"
 msgstr " "
 
-#: src/protocol/http/http.c:138
+#: src/protocol/http/http.c:140
 msgid "Proxy authentication username."
 msgstr "      ."
 
-#: src/protocol/http/http.c:142
+#: src/protocol/http/http.c:144
 msgid "Proxy authentication password."
 msgstr "     ."
 
-#: src/protocol/http/http.c:145
+#: src/protocol/http/http.c:147
 msgid "Referer sending"
 msgstr " "
 
-#: src/protocol/http/http.c:147
+#: src/protocol/http/http.c:149
+#, fuzzy
 msgid ""
-"HTTP referer sending options. HTTP referer is a special header\n"
-"sent in the HTTP requests, which is supposed to contain the previous\n"
-"page visited by the browser. This way, the server can know what link\n"
-"did you follow when accessing that page. However, this behaviour\n"
-"can unfortunately considerably affect privacy and can lead even to a\n"
-"security problem on some badly designed web pages."
+"HTTP referer sending options. HTTP referer is a special header sent in the "
+"HTTP requests, which is supposed to contain the previous page visited by the "
+"browser.This way, the server can know what link did you follow when "
+"accessing that page. However, this behaviour can unfortunately considerably "
+"affect privacy and can lead even to a security problem on some badly "
+"designed web pages."
 msgstr ""
 "   HTTP-.  HTTP-  \n"
 "     HTTP ,    \n"
@@ -7917,11 +8018,11 @@ msgstr ""
 "         \n"
 "      ."
 
-#: src/protocol/http/http.c:154
+#: src/protocol/http/http.c:157
 msgid "Policy"
 msgstr ""
 
-#: src/protocol/http/http.c:157
+#: src/protocol/http/http.c:160
 msgid ""
 "Mode of sending HTTP referer:\n"
 "0 is send no referer\n"
@@ -7935,34 +8036,34 @@ msgstr ""
 "2  ,  \n"
 "3      (,  )"
 
-#: src/protocol/http/http.c:163
+#: src/protocol/http/http.c:166
 msgid "Fake referer URL"
 msgstr "  "
 
-#: src/protocol/http/http.c:165
+#: src/protocol/http/http.c:168
 msgid "Fake referer to be sent when policy is 2."
 msgstr "     2."
 
-#: src/protocol/http/http.c:168
+#: src/protocol/http/http.c:171
 msgid "Send Accept-Language header"
 msgstr "  Accept-Language"
 
-#: src/protocol/http/http.c:170
+#: src/protocol/http/http.c:173
 msgid "Send Accept-Language header."
 msgstr "  Accept-Language."
 
-#: src/protocol/http/http.c:172
+#: src/protocol/http/http.c:175
 msgid "Use UI language as Accept-Language"
 msgstr "    Accept-Language"
 
-#: src/protocol/http/http.c:174
+#: src/protocol/http/http.c:177
+#, fuzzy
 msgid ""
-"Request localised versions of documents from web-servers (using the\n"
-"Accept-Language header) using the language you have configured for\n"
-"ELinks' user-interface (this also affects navigator.language ECMAScript\n"
-"value available to scripts). Note that some see this as a potential\n"
-"security risk because it tells web-masters and the FBI sniffers about\n"
-"your language preference."
+"Request localised versions of documents from web-servers (using the Accept-"
+"Language header) using the language you have configured for ELinks' user-"
+"interface (this also affects navigator.language ECMAScript value available "
+"to scripts). Note that some see this as a potential security risk because it "
+"tells web-masters and the FBI sniffers about your language preference."
 msgstr ""
 "      \n"
 "(  Accept-Language)    \n"
@@ -7972,17 +8073,38 @@ msgstr ""
 "     ĸ-  \n"
 " ."
 
-#: src/protocol/http/http.c:181
+#. After the compression support has been tested enough,
+#. * we might wrap this option in #if CFG_DEBUG.
+#: src/protocol/http/http.c:187
+msgid "Enable on-the-fly compression"
+msgstr ""
+
+#: src/protocol/http/http.c:189
+msgid ""
+"If enabled, the capability to receive compressed content (gzip and/or bzip2) "
+"is announced to the server, which usually sends the reply compressed, thus "
+"saving some bandwidth at slight CPU expense.\n"
+"\n"
+"If ELinks displays a incomplete page or garbage, try disabling this option. "
+"If that helps, there may be a bug in the decompression part of ELinks. "
+"Please report such bugs.\n"
+"\n"
+"If ELinks has been compiled without compression support, this option has no "
+"effect. To check the supported features, see Help -> About."
+msgstr ""
+
+#: src/protocol/http/http.c:202
 msgid "Activate HTTP TRACE debugging"
 msgstr "     HTTP TRACE"
 
-#: src/protocol/http/http.c:183
+#: src/protocol/http/http.c:204
+#, fuzzy
 msgid ""
-"If active, all HTTP requests are sent with TRACE as their method\n"
-"rather than GET or POST. This is useful for debugging of both ELinks\n"
-"and various server-side scripts --- the server only returns the client's\n"
-"request back to the client verbatim. Note that this type of request may\n"
-"not be enabled on all servers."
+"If active, all HTTP requests are sent with TRACE as their method rather than "
+"GET or POST. This is useful for debugging of both ELinks and various server-"
+"side scripts --- the server only returns the client's request back to the "
+"client verbatim. Note that this type of request may not be enabled on all "
+"servers."
 msgstr ""
 "   ,   HTTP-  \n"
 "   TRACE  GET  POST.  \n"
@@ -7992,20 +8114,21 @@ msgstr ""
 "   ."
 
 #. OSNews.com is supposed to be relying on the textmode token, at least.
-#: src/protocol/http/http.c:190
+#: src/protocol/http/http.c:212
 msgid "User-agent identification"
 msgstr "   ,,User-Agent``"
 
-#: src/protocol/http/http.c:192
+#: src/protocol/http/http.c:214
 #, fuzzy
 msgid ""
-"Change the User Agent ID. That means identification string, which\n"
-"is sent to HTTP server when a document is requested. The 'textmode'\n"
-"token in the first field is our silent attempt to establish this as\n"
-"a standard for new textmode user agents, so that the webmasters can\n"
-"have just a single uniform test for these if they are e.g. pushing\n"
-"some lite version to them automagically.\n"
+"Change the User Agent ID. That means identification string, which is sent to "
+"HTTP server when a document is requested. The 'textmode' token in the first "
+"field is our silent attempt to establish this as a standard for new textmode "
+"user agents, so that the webmasters can have just a single uniform test for "
+"these if they are e.g. pushing some lite version to them automagically.\n"
+"\n"
 "Use \" \" if you don't want any User-Agent header to be sent at all.\n"
+"\n"
 "%v in the string means ELinks version,\n"
 "%s in the string means system identification,\n"
 "%t in the string means size of the terminal,\n"
@@ -8026,29 +8149,30 @@ msgstr ""
 " ,, ``        \n"
 "User-Agent."
 
-#: src/protocol/http/http.c:205
+#: src/protocol/http/http.c:231
 msgid "HTTPS"
 msgstr "HTTPS"
 
-#: src/protocol/http/http.c:207
+#: src/protocol/http/http.c:233
 msgid "HTTPS-specific options."
 msgstr "    HTTPS-."
 
-#: src/protocol/http/http.c:211
+#: src/protocol/http/http.c:237
 msgid "HTTPS proxy configuration."
 msgstr "   HTTPS."
 
-#: src/protocol/http/http.c:215
+#: src/protocol/http/http.c:241
+#, fuzzy
 msgid ""
-"Host and port-number (host:port) of the HTTPS CONNECT proxy, or blank.\n"
-"If it's blank, HTTPS_PROXY environment variable is checked as well."
+"Host and port-number (host:port) of the HTTPS CONNECT proxy, or blank. If "
+"it's blank, HTTPS_PROXY environment variable is checked as well."
 msgstr ""
 "    (:)   HTTPS\n"
 "CONNECT.    ,      \n"
 "  HTTPS_PROXY."
 
 #. name:
-#: src/protocol/nntp/nntp.c:32 src/protocol/nntp/nntp.c:65
+#: src/protocol/nntp/nntp.c:32 src/protocol/nntp/nntp.c:66
 msgid "NNTP"
 msgstr "NNTP"
 
@@ -8061,23 +8185,25 @@ msgid "Default news server"
 msgstr "  "
 
 #: src/protocol/nntp/nntp.c:38
+#, fuzzy
 msgid ""
-"Used when resolving news: URIs. If set to the empty string\n"
-"the value of the NNTPSERVER environment variable will be used."
+"Used when resolving news: URIs. If set to the empty string the value of the "
+"NNTPSERVER environment variable will be used."
 msgstr ""
 "    -   ,,news:``.\n"
 "   ,    \n"
 " NNTPSERVER."
 
-#: src/protocol/nntp/nntp.c:41
+#: src/protocol/nntp/nntp.c:42
 msgid "Message header entries"
 msgstr "  "
 
-#: src/protocol/nntp/nntp.c:43
+#: src/protocol/nntp/nntp.c:44
+#, fuzzy
 msgid ""
-"Comma separated list of which entries in the article header\n"
-"to show. E.g. 'Subject' and 'From'.\n"
-"All header entries can be read in the header info dialog."
+"Comma separated list of which entries in the article header to show. E.g. "
+"'Subject' and 'From'. All header entries can be read in the header info "
+"dialog."
 msgstr ""
 "    ,   \n"
 ",   . . ,,Subject`` \n"
@@ -8102,11 +8228,11 @@ msgid "No-proxy domains"
 msgstr "  "
 
 #: src/protocol/protocol.c:279
+#, fuzzy
 msgid ""
-"Comma separated list of domains for which the proxy (HTTP/FTP)\n"
-"should be disabled. Optionally, a port can be specified for some\n"
-"domains as well. If it's blank, NO_PROXY environment variable is\n"
-"checked as well."
+"Comma separated list of domains for which the proxy (HTTP/FTP) should be "
+"disabled. Optionally, a port can be specified for some domains as well. If "
+"it's blank, NO_PROXY environment variable is checked as well."
 msgstr ""
 "        (\n"
 "HTTP  FTP),  .    \n"
@@ -8123,12 +8249,12 @@ msgid "URI rewriting"
 msgstr " -"
 
 #: src/protocol/rewrite/rewrite.c:46
+#, fuzzy
 msgid ""
-"Rules for rewriting URIs entered in the goto dialog.\n"
-"It makes it possible to define a set of prefixes that will\n"
-"be expanded if they match a string entered in the goto dialog.\n"
-"The prefixes can be dumb, meaning that they work only like\n"
-"URI abbreviations, or smart ones, making it possible to pass\n"
+"Rules for rewriting URIs entered in the goto dialog. It makes it possible to "
+"define a set of prefixes that will be expanded if they match a string "
+"entered in the goto dialog. The prefixes can be dumb, meaning that they work "
+"only like URI abbreviations, or smart ones, making it possible to pass "
 "arguments to them like search engine keywords."
 msgstr ""
 "   -      ,, ``.\n"
@@ -8139,33 +8265,33 @@ msgstr ""
 "        \n"
 "  ."
 
-#: src/protocol/rewrite/rewrite.c:53
+#: src/protocol/rewrite/rewrite.c:54
 msgid "Enable dumb prefixes"
 msgstr "  "
 
-#: src/protocol/rewrite/rewrite.c:55
+#: src/protocol/rewrite/rewrite.c:56
 #, fuzzy
 msgid ""
-"Enable dumb prefixes - simple URI abbreviations which can\n"
-"be written to the Goto URL dialog instead of actual URIs - i.e.\n"
-"if you write 'elinks' there, you are directed to\n"
-"http://elinks.cz/."
+"Enable dumb prefixes - simple URI abbreviations which can be written to the "
+"Goto URL dialog instead of actual URIs - i.e. if you write 'elinks' there, "
+"you are directed to http://elinks.cz/."
 msgstr ""
 "  ,   -\n"
 "      ,,  `` \n"
 " -.  ,    ,,elinks``,\n"
 "    http://elinks.or.cz/."
 
-#: src/protocol/rewrite/rewrite.c:60
+#: src/protocol/rewrite/rewrite.c:61
 msgid "Enable smart prefixes"
 msgstr "  "
 
-#: src/protocol/rewrite/rewrite.c:62
+#: src/protocol/rewrite/rewrite.c:63
+#, fuzzy
 msgid ""
-"Enable smart prefixes - URI templates triggered by writing\n"
-"given abbreviation to the Goto URL dialog followed by a list\n"
-"of arguments from which the actual URI is composed - i.e.\n"
-"'gg:search keywords' or 'gn search keywords for news'."
+"Enable smart prefixes - URI templates triggered by writing given "
+"abbreviation to the Goto URL dialog followed by a list of arguments from "
+"which the actual URI is composed - i.e. 'gg:search keywords' or 'gn search "
+"keywords for news'."
 msgstr ""
 "  ,  -   \n"
 "     ,,  ``,\n"
@@ -8173,17 +8299,17 @@ msgstr ""
 " , ,,gg: ``,  ,,gn   \n"
 "``."
 
-#: src/protocol/rewrite/rewrite.c:67
+#: src/protocol/rewrite/rewrite.c:69
 msgid "Dumb Prefixes"
 msgstr " "
 
-#: src/protocol/rewrite/rewrite.c:69
+#: src/protocol/rewrite/rewrite.c:71
 msgid "Dumb prefixes, see enable-dumb description for details."
 msgstr ""
 " ,    enable-dumb  \n"
 "."
 
-#: src/protocol/rewrite/rewrite.c:74
+#: src/protocol/rewrite/rewrite.c:76
 #, no-c-format
 msgid ""
 "Replacement URI for this dumbprefix:\n"
@@ -8194,17 +8320,17 @@ msgstr ""
 "%c     \n"
 "%%    ,,%``"
 
-#: src/protocol/rewrite/rewrite.c:78
+#: src/protocol/rewrite/rewrite.c:80
 msgid "Smart Prefixes"
 msgstr " "
 
-#: src/protocol/rewrite/rewrite.c:80
+#: src/protocol/rewrite/rewrite.c:82
 msgid "Smart prefixes, see enable-smart description for details."
 msgstr ""
 " ,    enable-smart  \n"
 "."
 
-#: src/protocol/rewrite/rewrite.c:87
+#: src/protocol/rewrite/rewrite.c:90
 #, no-c-format
 msgid ""
 "Replacement URI for this smartprefix:\n"
@@ -8219,27 +8345,29 @@ msgstr ""
 "%0,%1,...,%9    0, 1, ..., 9\n"
 "%%    ,,%``"
 
-#: src/protocol/rewrite/rewrite.c:93
+#: src/protocol/rewrite/rewrite.c:96
 #, fuzzy
 msgid "Default template"
 msgstr "  "
 
-#: src/protocol/rewrite/rewrite.c:96
+#: src/protocol/rewrite/rewrite.c:99
 #, no-c-format
 msgid ""
-"Default URI template used when the string entered in\n"
-"the goto dialog does not appear to be a URI or a filename\n"
-"(i.e. contains no '.', ':' or '/' characters), and does\n"
-"not match any defined prefixes. Set the value to \"\" to\n"
-"disable use of the default template rewrite rule.\n"
+"Default URI template used when the string entered in the goto dialog does "
+"not appear to be a URI or a filename (i.e. contains no '.', ':' or '/' "
+"characters), and does not match any defined prefixes. Set the value to \"\" "
+"to disable use of the default template rewrite rule.\n"
+"\n"
 "%c in the template means the current URL,\n"
-"%s in the template means the whole string from the goto dialog,\n"
-"%0,%1,...,%9 mean the 1st,2nd,...,10th space-delimited part of %s,\n"
+"%s in the template means the whole string from the goto\n"
+"   dialog,\n"
+"%0,%1,...,%9 mean the 1st,2nd,...,10th space-delimited part\n"
+"   of %s,\n"
 "%% in the template means '%'."
 msgstr ""
 
 #. name:
-#: src/protocol/rewrite/rewrite.c:372
+#: src/protocol/rewrite/rewrite.c:378
 msgid "URI rewrite"
 msgstr " -"
 
@@ -8263,30 +8391,31 @@ msgstr ""
 "smbclient   -A."
 
 #. name:
-#: src/protocol/user.c:34 src/protocol/user.c:84
+#: src/protocol/user.c:34 src/protocol/user.c:85
 msgid "User protocols"
 msgstr " "
 
 #: src/protocol/user.c:36
+#, fuzzy
 msgid ""
-"User protocols. Options in this tree specify external\n"
-"handlers for the appropriate protocols. Ie.\n"
-"protocol.user.mailto.unix."
+"User protocols. Options in this tree specify external handlers for the "
+"appropriate protocols. Ie. protocol.user.mailto.unix."
 msgstr ""
 " .      \n"
 "  .  ,\n"
 "protocol.user.mailto.unix."
 
 #: src/protocol/user.c:47
+#, fuzzy
 msgid ""
-"Handler (external program) for this protocol. Name the\n"
-"options in this tree after your system (ie. unix, unix-xwin)."
+"Handler (external program) for this protocol. Name the options in this tree "
+"after your system (ie. unix, unix-xwin)."
 msgstr ""
 " ( )   . \n"
 "        (. unix,\n"
 "unix-xwin)."
 
-#: src/protocol/user.c:52
+#: src/protocol/user.c:53
 msgid ""
 "Handler (external program) for this protocol and system.\n"
 "%f in the string means file name to include form data from\n"
@@ -8306,11 +8435,11 @@ msgstr ""
 "%s     (?subject=<>)\n"
 "%u     "
 
-#: src/protocol/user.c:276
+#: src/protocol/user.c:277
 msgid "No program"
 msgstr " "
 
-#: src/protocol/user.c:278
+#: src/protocol/user.c:279
 #, c-format
 msgid "No program specified for protocol %s."
 msgstr "      %s."
@@ -8397,12 +8526,12 @@ msgstr " "
 msgid "Spidermonkey ECMAScript"
 msgstr "ECMAScript"
 
-#: src/session/download.c:233 src/session/download.c:330
-#: src/session/download.c:561 src/session/download.c:649
+#: src/session/download.c:256 src/session/download.c:356
+#: src/session/download.c:587 src/session/download.c:675
 msgid "Download error"
 msgstr "  "
 
-#: src/session/download.c:234 src/session/download.c:650
+#: src/session/download.c:257 src/session/download.c:676
 #, c-format
 msgid ""
 "Could not create file '%s':\n"
@@ -8411,7 +8540,7 @@ msgstr ""
 "     ,,%s``:\n"
 "%s"
 
-#: src/session/download.c:331
+#: src/session/download.c:357
 #, c-format
 msgid ""
 "Error downloading %s:\n"
@@ -8422,16 +8551,16 @@ msgstr ""
 "\n"
 "%s"
 
-#: src/session/download.c:562
+#: src/session/download.c:588
 #, c-format
 msgid "'%s' is a directory."
 msgstr ",,%s``  ."
 
-#: src/session/download.c:596
+#: src/session/download.c:622
 msgid "File exists"
 msgstr "  "
 
-#: src/session/download.c:597
+#: src/session/download.c:623
 #, c-format
 msgid ""
 "This file already exists:\n"
@@ -8447,51 +8576,51 @@ msgstr ""
 "%s"
 
 #. accelerator_context(src/session/download.c:lookup_unique_name)
-#: src/session/download.c:604
+#: src/session/download.c:630
 msgid "Sa~ve under the alternative name"
 msgstr "  ~ "
 
 #. accelerator_context(src/session/download.c:lookup_unique_name)
-#: src/session/download.c:605
+#: src/session/download.c:631
 msgid "~Overwrite the original file"
 msgstr "~   "
 
 #. accelerator_context(src/session/download.c:lookup_unique_name)
-#: src/session/download.c:606
+#: src/session/download.c:632
 msgid "~Resume download of the original file"
 msgstr " ~  "
 
-#: src/session/download.c:1109
+#: src/session/download.c:1135
 msgid "Unknown type"
 msgstr " "
 
-#: src/session/download.c:1134
+#: src/session/download.c:1160
 #, fuzzy, c-format
 msgid "What would you like to do with the file '%s' (type: %s%s%s)?"
 msgstr "       ,,%s`` ( %s)?"
 
-#: src/session/download.c:1137
+#: src/session/download.c:1163
 #, fuzzy, c-format
 msgid "What would you like to do with the file (type: %s%s%s)?"
 msgstr "       ,,%s`` ( %s)?"
 
-#: src/session/download.c:1165
+#: src/session/download.c:1191
 #, no-c-format
 msgid "Program ('%' will be replaced by the filename)"
 msgstr ""
 
-#: src/session/download.c:1169
+#: src/session/download.c:1195
 #, fuzzy
 msgid "Block the terminal"
 msgstr " "
 
-#: src/session/download.c:1175
+#: src/session/download.c:1201
 #, c-format
 msgid "The file will be opened with the program '%s'."
 msgstr ""
 
 #. accelerator_context(src/session/download.c:do_type_query)
-#: src/session/download.c:1196
+#: src/session/download.c:1222
 msgid "~Open"
 msgstr "~"
 
@@ -8499,12 +8628,12 @@ msgstr "~"
 #. * and formatting it with "%u" is safe,
 #. * because fc_maxlength is smaller than
 #. * file.length, which is an int.
-#: src/session/session.c:761 src/session/session.c:780 src/session/task.c:275
-#: src/viewer/text/textarea.c:652
+#: src/session/session.c:771 src/session/session.c:790 src/session/task.c:275
+#: src/viewer/text/textarea.c:641
 msgid "Warning"
 msgstr ""
 
-#: src/session/session.c:762
+#: src/session/session.c:772
 #, fuzzy
 msgid ""
 "You have an empty string in protocol.http.user_agent - this was a default "
@@ -8524,7 +8653,7 @@ msgstr ""
 "  ),       . "
 "        ."
 
-#: src/session/session.c:781
+#: src/session/session.c:791
 #, fuzzy
 msgid ""
 "You have option config.saving_style set to a de facto obsolete value. The "
@@ -8547,11 +8676,11 @@ msgstr ""
 "saving_style  3,    ,,`` .   "
 "      ."
 
-#: src/session/session.c:806
+#: src/session/session.c:816
 msgid "Welcome"
 msgstr ""
 
-#: src/session/session.c:807
+#: src/session/session.c:817
 msgid ""
 "Welcome to ELinks!\n"
 "\n"
@@ -8610,22 +8739,22 @@ msgstr "  : %
 msgid "Warning: terminal name contains illicit chars."
 msgstr ":     ."
 
-#: src/terminal/event.c:259
+#: src/terminal/event.c:258
 #, c-format
 msgid "Failed to create session."
 msgstr "    ."
 
-#: src/terminal/event.c:446
+#: src/terminal/event.c:443
 #, c-format
 msgid "Bad event %d"
 msgstr "  %d"
 
-#: src/terminal/event.c:486
+#: src/terminal/event.c:483
 #, c-format
 msgid "Could not read event: %d (%s)"
 msgstr "    : %d (%s)"
 
-#: src/terminal/kbd.c:1187
+#: src/terminal/kbd.c:1210
 #, c-format
 msgid "Too many bytes read from the itrm!"
 msgstr "     itrm-!"
@@ -8694,203 +8823,203 @@ msgstr "  "
 msgid "The requested fragment \"%s\" doesn't exist."
 msgstr "  ,,#%s``  ."
 
-#: src/viewer/text/form.c:1092
+#: src/viewer/text/form.c:1118
 msgid "Error while posting form"
 msgstr "   "
 
-#: src/viewer/text/form.c:1093
+#: src/viewer/text/form.c:1119
 #, c-format
 msgid "Could not load file %s: %s"
 msgstr "     %s: %s"
 
-#: src/viewer/text/form.c:1847
+#: src/viewer/text/form.c:1876
 msgid "Reset form"
 msgstr "  "
 
-#: src/viewer/text/form.c:1849
+#: src/viewer/text/form.c:1878
 msgid "Harmless button"
 msgstr " "
 
-#: src/viewer/text/form.c:1857
+#: src/viewer/text/form.c:1886
 msgid "Submit form to"
 msgstr "  "
 
-#: src/viewer/text/form.c:1858
+#: src/viewer/text/form.c:1887
 msgid "Post form to"
 msgstr "  "
 
-#: src/viewer/text/form.c:1860
+#: src/viewer/text/form.c:1889
 msgid "Radio button"
 msgstr " "
 
-#: src/viewer/text/form.c:1864
+#: src/viewer/text/form.c:1893
 msgid "Select field"
 msgstr "  "
 
-#: src/viewer/text/form.c:1868
+#: src/viewer/text/form.c:1897
 msgid "Text area"
 msgstr " "
 
-#: src/viewer/text/form.c:1870
+#: src/viewer/text/form.c:1899
 msgid "File upload"
 msgstr " "
 
-#: src/viewer/text/form.c:1872
+#: src/viewer/text/form.c:1901
 msgid "Password field"
 msgstr "  "
 
-#: src/viewer/text/form.c:1910
+#: src/viewer/text/form.c:1939
 msgid "name"
 msgstr ""
 
-#: src/viewer/text/form.c:1922
+#: src/viewer/text/form.c:1951
 msgid "value"
 msgstr ""
 
-#: src/viewer/text/form.c:1935
+#: src/viewer/text/form.c:1964
 msgid "read only"
 msgstr "  "
 
-#: src/viewer/text/form.c:1946
+#: src/viewer/text/form.c:1975
 #, c-format
 msgid "press %s to navigate"
 msgstr " %s  "
 
-#: src/viewer/text/form.c:1948
+#: src/viewer/text/form.c:1977
 #, c-format
 msgid "press %s to edit"
 msgstr " %s  "
 
-#: src/viewer/text/form.c:1984
+#: src/viewer/text/form.c:2013
 #, c-format
 msgid "press %s to submit to %s"
 msgstr " %s    %s"
 
-#: src/viewer/text/form.c:1986
+#: src/viewer/text/form.c:2015
 #, c-format
 msgid "press %s to post to %s"
 msgstr " %s    %s"
 
-#: src/viewer/text/form.c:2088
+#: src/viewer/text/form.c:2117
 #, fuzzy
 msgid "Useless button"
 msgstr " "
 
-#: src/viewer/text/form.c:2090
+#: src/viewer/text/form.c:2119
 #, fuzzy
 msgid "Submit button"
 msgstr "  "
 
 #. accelerator_context(link_menu.map)
-#: src/viewer/text/link.c:1281
+#: src/viewer/text/link.c:1280
 msgid "Display ~usemap"
 msgstr " ~"
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1286
+#: src/viewer/text/link.c:1285
 msgid "~Follow link"
 msgstr "~ "
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1288
+#: src/viewer/text/link.c:1287
 msgid "Follow link and r~eload"
 msgstr " ~   "
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1292
+#: src/viewer/text/link.c:1291
 msgid "Open in new ~window"
 msgstr "   ~"
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1294
+#: src/viewer/text/link.c:1293
 msgid "Open in new ~tab"
 msgstr "   ~"
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1296
+#: src/viewer/text/link.c:1295
 msgid "Open in new tab in ~background"
 msgstr "    ~"
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1301
+#: src/viewer/text/link.c:1300
 msgid "~Download link"
 msgstr "~ "
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1304
+#: src/viewer/text/link.c:1303
 msgid "~Add link to bookmarks"
 msgstr "~   "
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1308
+#: src/viewer/text/link.c:1307
 msgid "Pass link URI to e~xternal command"
 msgstr "  ~  "
 
 #. accelerator_context(link_menu.form, link_menu.reset, link_menu.textarea)
-#: src/viewer/text/link.c:1319 src/viewer/text/link.c:1359
+#: src/viewer/text/link.c:1318 src/viewer/text/link.c:1358
 msgid "~Reset form"
 msgstr " ~ "
 
 #. accelerator_context(link_menu.textarea)
-#: src/viewer/text/link.c:1334
+#: src/viewer/text/link.c:1333
 msgid "Open in ~external editor"
 msgstr "  ~ "
 
 #. accelerator_context(link_menu.form, link_menu.textarea)
-#: src/viewer/text/link.c:1342
+#: src/viewer/text/link.c:1341
 msgid "~Submit form"
 msgstr "~ "
 
 #. accelerator_context(link_menu.form, link_menu.textarea)
-#: src/viewer/text/link.c:1343
+#: src/viewer/text/link.c:1342
 msgid "Submit form and rel~oad"
 msgstr "    ~"
 
 #. accelerator_context(link_menu.form, link_menu.textarea)
-#: src/viewer/text/link.c:1347
+#: src/viewer/text/link.c:1346
 msgid "Submit form and open in new ~window"
 msgstr "      ~"
 
 #. accelerator_context(link_menu.form, link_menu.textarea)
-#: src/viewer/text/link.c:1349
+#: src/viewer/text/link.c:1348
 msgid "Submit form and open in new ~tab"
 msgstr "      ~"
 
 #. accelerator_context(link_menu.form, link_menu.textarea)
-#: src/viewer/text/link.c:1352
+#: src/viewer/text/link.c:1351
 msgid "Submit form and open in new tab in ~background"
 msgstr "      ~ "
 
 #. accelerator_context(link_menu.form, link_menu.textarea)
-#: src/viewer/text/link.c:1357
+#: src/viewer/text/link.c:1356
 msgid "Submit form and ~download"
 msgstr "   ~"
 
 #. accelerator_context(link_menu.form, link_menu.reset, link_menu.textarea)
-#: src/viewer/text/link.c:1364
+#: src/viewer/text/link.c:1363
 #, fuzzy
 msgid "Form f~ields"
 msgstr "  "
 
 #. accelerator_context(link_menu.form, link_menu.map, link_menu.std)
-#: src/viewer/text/link.c:1371
+#: src/viewer/text/link.c:1370
 msgid "V~iew image"
 msgstr " ~"
 
 #. accelerator_context(link_menu.form, link_menu.map, link_menu.std)
-#: src/viewer/text/link.c:1373
+#: src/viewer/text/link.c:1372
 msgid "Download ima~ge"
 msgstr " ~"
 
-#: src/viewer/text/link.c:1382
+#: src/viewer/text/link.c:1381
 msgid "No link selected"
 msgstr "  "
 
-#: src/viewer/text/link.c:1452
+#: src/viewer/text/link.c:1451
 msgid "Image"
 msgstr ""
 
-#: src/viewer/text/link.c:1457
+#: src/viewer/text/link.c:1456
 msgid "Usemap"
 msgstr ""
 
@@ -8899,85 +9028,85 @@ msgstr ""
 msgid "Marks"
 msgstr ""
 
-#: src/viewer/text/search.c:1083
+#: src/viewer/text/search.c:1099
 msgid "Search hit top, continuing at bottom."
 msgstr "    ,   ."
 
-#: src/viewer/text/search.c:1084
+#: src/viewer/text/search.c:1100
 msgid "Search hit bottom, continuing at top."
 msgstr "    ,   ."
 
-#: src/viewer/text/search.c:1087
+#: src/viewer/text/search.c:1103
 msgid "No previous search"
 msgstr "  "
 
-#: src/viewer/text/search.c:1099
+#: src/viewer/text/search.c:1115
 #, c-format
 msgid "Could not compile regular expression '%s'"
 msgstr "      ,,%s``"
 
-#: src/viewer/text/search.c:1143
+#: src/viewer/text/search.c:1159
 #, c-format
 msgid "No further matches for '%s'."
 msgstr "   ,,%s``."
 
-#: src/viewer/text/search.c:1145
+#: src/viewer/text/search.c:1161
 #, c-format
 msgid "Could not find a link with the text '%s'."
 msgstr "        ,,%s``."
 
-#: src/viewer/text/search.c:1147 src/viewer/text/search.c:1558
+#: src/viewer/text/search.c:1163 src/viewer/text/search.c:1576
 msgid "Typeahead"
 msgstr " "
 
-#: src/viewer/text/search.c:1560
+#: src/viewer/text/search.c:1578
 #, c-format
 msgid "No links in current document"
 msgstr "    "
 
-#: src/viewer/text/search.c:1643
+#: src/viewer/text/search.c:1661
 msgid "Search for text"
 msgstr " "
 
-#: src/viewer/text/search.c:1679
+#: src/viewer/text/search.c:1697
 msgid "Normal search"
 msgstr " "
 
-#: src/viewer/text/search.c:1680
+#: src/viewer/text/search.c:1698
 msgid "Regexp search"
 msgstr "  "
 
-#: src/viewer/text/search.c:1681
+#: src/viewer/text/search.c:1699
 msgid "Extended regexp search"
 msgstr "   "
 
-#: src/viewer/text/search.c:1683
+#: src/viewer/text/search.c:1701
 msgid "Case sensitive"
 msgstr "    "
 
-#: src/viewer/text/search.c:1684
+#: src/viewer/text/search.c:1702
 msgid "Case insensitive"
 msgstr "    "
 
-#: src/viewer/text/search.c:1708
+#: src/viewer/text/search.c:1726
 msgid "Search backward"
 msgstr " "
 
 #. name:
-#: src/viewer/text/search.c:1747
+#: src/viewer/text/search.c:1765
 #, fuzzy
 msgid "Search History"
 msgstr " "
 
-#: src/viewer/text/textarea.c:595
+#: src/viewer/text/textarea.c:584
 msgid "You cannot launch an external editor in the anonymous mode."
 msgstr "        ."
 
-#: src/viewer/text/textarea.c:602
+#: src/viewer/text/textarea.c:591
 msgid "You can do this only on the master terminal"
 msgstr "     "
 
-#: src/viewer/text/textarea.c:655
+#: src/viewer/text/textarea.c:644
 #, c-format
 msgid ""
 "You have exceeded the textarea's size limit: your input is %d bytes, but the "
@@ -8995,11 +9124,11 @@ msgstr "  "
 msgid "Enter link number"
 msgstr "  "
 
-#: src/viewer/text/view.c:1627
+#: src/viewer/text/view.c:1628
 msgid "Save error"
 msgstr "  "
 
-#: src/viewer/text/view.c:1628
+#: src/viewer/text/view.c:1629
 msgid "Error writing to file"
 msgstr "    "
 
@@ -9015,13 +9144,6 @@ msgstr ""
 msgid "Viewer"
 msgstr "~"
 
-#~ msgid ""
-#~ "Verify the peer's SSL certificate. Note that this\n"
-#~ "probably doesn't work properly at all with GnuTLS."
-#~ msgstr ""
-#~ "   SSL-.     \n"
-#~ "     GnuTLS-."
-
 #~ msgid "Delete text from clipboard"
 #~ msgstr "   "
 
Binary files 0.12~pre2.dfsg0-1/po/sv.gmo and 0.12~pre4-1/po/sv.gmo differ
diff -pruN 0.12~pre2.dfsg0-1/po/sv.po 0.12~pre4-1/po/sv.po
--- 0.12~pre2.dfsg0-1/po/sv.po	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/po/sv.po	2009-05-31 09:48:47.000000000 +0100
@@ -7,7 +7,7 @@ msgid ""
 msgstr ""
 "Project-Id-Version: ELinks 0.5pre0.CVS\n"
 "Report-Msgid-Bugs-To: elinks-users@linuxfromscratch.org\n"
-"POT-Creation-Date: 2008-09-21 11:13+0300\n"
+"POT-Creation-Date: 2009-05-31 01:57+0300\n"
 "PO-Revision-Date: 2003-01-03 03:41+0100\n"
 "Last-Translator: Martin Norback <d95mback@dtek.chalmers.se>\n"
 "Language-Team: Swedish <sv@li.org>\n"
@@ -38,7 +38,7 @@ msgstr ""
 #: src/mime/dialogs.c:132 src/protocol/auth/dialogs.c:115
 #: src/protocol/protocol.c:246 src/scripting/lua/core.c:399
 #: src/scripting/lua/core.c:480 src/scripting/python/dialogs.c:86
-#: src/session/session.c:811 src/viewer/text/search.c:1686
+#: src/session/session.c:821 src/viewer/text/search.c:1704
 #, fuzzy
 msgid "~OK"
 msgstr "Ok"
@@ -56,13 +56,13 @@ msgid "Sorry, but the item \"%s\" is bei
 msgstr ""
 
 #. cant_delete_folder
-#: src/bfu/hierbox.c:558 src/bookmarks/dialogs.c:121
+#: src/bfu/hierbox.c:558 src/bookmarks/dialogs.c:153
 #, c-format
 msgid "Sorry, but the folder \"%s\" cannot be deleted."
 msgstr ""
 
 #. cant_delete_used_folder
-#: src/bfu/hierbox.c:561 src/bookmarks/dialogs.c:123
+#: src/bfu/hierbox.c:561 src/bookmarks/dialogs.c:155
 #, c-format
 msgid "Sorry, but the folder \"%s\" is being used by something else."
 msgstr ""
@@ -80,7 +80,7 @@ msgid "Delete marked items?"
 msgstr "Valflt"
 
 #. delete_folder_title
-#: src/bfu/hierbox.c:570 src/bookmarks/dialogs.c:129
+#: src/bfu/hierbox.c:570 src/bookmarks/dialogs.c:161
 #, fuzzy
 msgid "Delete folder"
 msgstr "Ta bort bokmrke"
@@ -140,13 +140,13 @@ msgstr "Ja"
 msgid "~No"
 msgstr "Nej"
 
-#: src/bfu/hierbox.c:945 src/bfu/hierbox.c:976 src/viewer/text/search.c:1090
-#: src/viewer/text/search.c:1098 src/viewer/text/search.c:1114
-#: src/viewer/text/search.c:1705
+#: src/bfu/hierbox.c:945 src/bfu/hierbox.c:976 src/viewer/text/search.c:1106
+#: src/viewer/text/search.c:1114 src/viewer/text/search.c:1130
+#: src/viewer/text/search.c:1723
 msgid "Search"
 msgstr "Sk"
 
-#: src/bfu/hierbox.c:947 src/viewer/text/search.c:1091
+#: src/bfu/hierbox.c:947 src/viewer/text/search.c:1107
 #, fuzzy, c-format
 msgid "Search string '%s' not found"
 msgstr "Skstrng ej hittad"
@@ -185,8 +185,8 @@ msgstr "Tom strng ej tillten"
 #: src/dialogs/options.c:237 src/dialogs/options.c:316 src/mime/dialogs.c:133
 #: src/protocol/auth/dialogs.c:116 src/protocol/bittorrent/dialogs.c:814
 #: src/scripting/lua/core.c:400 src/scripting/lua/core.c:481
-#: src/session/download.c:607 src/session/download.c:1219
-#: src/viewer/text/search.c:1687
+#: src/session/download.c:633 src/session/download.c:1245
+#: src/viewer/text/search.c:1705
 #, fuzzy
 msgid "~Cancel"
 msgstr "Avbryt"
@@ -200,8 +200,8 @@ msgstr "lst"
 msgid "Digital clock in the status bar."
 msgstr ""
 
-#: src/bfu/leds.c:77 src/bfu/leds.c:94 src/config/options.inc:1199
-#: src/config/options.inc:1206 src/ecmascript/ecmascript.c:45
+#: src/bfu/leds.c:77 src/bfu/leds.c:94 src/config/options.inc:1272
+#: src/config/options.inc:1279 src/ecmascript/ecmascript.c:45
 #: src/globhist/globhist.c:64 src/mime/backend/mailcap.c:93
 #: src/mime/backend/mimetypes.c:52 src/network/ssl/ssl.c:81
 #, fuzzy
@@ -219,8 +219,7 @@ msgstr "Filsndning"
 
 #: src/bfu/leds.c:83
 msgid ""
-"Format string for the digital clock. See the strftime(3)\n"
-"manpage for details."
+"Format string for the digital clock. See the strftime(3) manpage for details."
 msgstr ""
 
 #: src/bfu/leds.c:90
@@ -233,8 +232,7 @@ msgstr ""
 
 #: src/bfu/leds.c:96
 msgid ""
-"Enable LEDs.\n"
-"These visual indicators will inform you about various states."
+"Enable LEDs. These visual indicators will inform you about various states."
 msgstr ""
 
 #. name:
@@ -264,34 +262,34 @@ msgstr ""
 msgid "Search menu/"
 msgstr "Sk"
 
-#: src/bookmarks/backend/xbel.c:97
+#: src/bookmarks/backend/xbel.c:105
 #, c-format
 msgid "read_bookmarks_xbel(): Error in XML_ParserCreate()"
 msgstr ""
 
-#: src/bookmarks/backend/xbel.c:108
+#: src/bookmarks/backend/xbel.c:116
 #, c-format
 msgid "read_bookmarks_xbel(): Error reading %s"
 msgstr ""
 
-#: src/bookmarks/backend/xbel.c:116
+#: src/bookmarks/backend/xbel.c:124
 #, c-format
 msgid ""
 "Parse error while processing XBEL bookmarks in %s at line %d column %d:\n"
 "%s"
 msgstr ""
 
-#: src/bookmarks/backend/xbel.c:390 src/bookmarks/backend/xbel.c:411
+#: src/bookmarks/backend/xbel.c:388 src/bookmarks/backend/xbel.c:410
 msgid "No title"
 msgstr ""
 
-#: src/bookmarks/backend/xbel.c:396
+#: src/bookmarks/backend/xbel.c:394
 #, fuzzy
 msgid "No URL"
 msgstr "G till URL"
 
 #. name:
-#: src/bookmarks/bookmarks.c:48 src/bookmarks/bookmarks.c:181
+#: src/bookmarks/bookmarks.c:48 src/bookmarks/bookmarks.c:183
 #, fuzzy
 msgid "Bookmarks"
 msgstr "Bokmrken"
@@ -301,7 +299,7 @@ msgstr "Bokmrken"
 msgid "Bookmark options."
 msgstr "Bokmrken"
 
-#: src/bookmarks/bookmarks.c:53 src/bookmarks/bookmarks.c:59
+#: src/bookmarks/bookmarks.c:53 src/bookmarks/bookmarks.c:60
 #, fuzzy
 msgid "File format"
 msgstr "Filsndning"
@@ -310,51 +308,47 @@ msgstr "Filsndning"
 msgid ""
 "File format for bookmarks (affects both reading and saving):\n"
 "0 is the default native ELinks format\n"
-"1 is XBEL universal XML bookmarks format (ELinks bug 153: NO NATIONAL CHARS "
-"SUPPORT!)"
+"1 is XBEL universal XML bookmarks format"
 msgstr ""
 
-#: src/bookmarks/bookmarks.c:61
+#: src/bookmarks/bookmarks.c:62
 msgid ""
 "File format for bookmarks (affects both reading and saving):\n"
 "0 is the default native ELinks format\n"
-"1 is XBEL universal XML bookmarks format (ELinks bug 153: NO NATIONAL CHARS "
-"SUPPORT!)  (DISABLED)"
+"1 is XBEL universal XML bookmarks format  (DISABLED)"
 msgstr ""
 
-#: src/bookmarks/bookmarks.c:67
+#: src/bookmarks/bookmarks.c:68
 #, fuzzy
 msgid "Save folder state"
 msgstr "Skriv in lnknummer"
 
-#: src/bookmarks/bookmarks.c:69
+#: src/bookmarks/bookmarks.c:70
 msgid ""
-"When saving bookmarks also store whether folders are\n"
-"expanded or not, so the look of the bookmark dialog is\n"
-"kept across ELinks sessions. If disabled all folders will\n"
-"appear unexpanded next time ELinks is run."
+"When saving bookmarks also store whether folders are expanded or not, so the "
+"look of the bookmark dialog is kept across ELinks sessions. If disabled all "
+"folders will appear unexpanded next time ELinks is run."
 msgstr ""
 
-#: src/bookmarks/bookmarks.c:74
+#: src/bookmarks/bookmarks.c:75
 msgid "Periodic snapshotting"
 msgstr ""
 
-#: src/bookmarks/bookmarks.c:76
+#: src/bookmarks/bookmarks.c:77
 msgid ""
-"Automatically save a snapshot of all tabs periodically.\n"
-"This will periodically bookmark the tabs of each terminal in a separate "
-"folder\n"
-"for recovery after a crash.\n"
+"Automatically save a snapshot of all tabs periodically. This will "
+"periodically bookmark the tabs of each terminal in a separate folder for "
+"recovery after a crash.\n"
 "\n"
 "This feature requires bookmark support."
 msgstr ""
 
-#: src/bookmarks/dialogs.c:72 src/config/options.inc:1051
+#: src/bookmarks/dialogs.c:97 src/config/options.inc:1120
 #: src/dialogs/document.c:145 src/globhist/dialogs.c:65
 msgid "Title"
 msgstr ""
 
-#: src/bookmarks/dialogs.c:73 src/cache/dialogs.c:65
+#: src/bookmarks/dialogs.c:101 src/cache/dialogs.c:65
 #: src/dialogs/document.c:136 src/dialogs/edit.c:96 src/formhist/dialogs.c:63
 #: src/globhist/dialogs.c:66 src/protocol/auth/dialogs.c:163
 #: src/scripting/lua/core.c:397
@@ -362,86 +356,86 @@ msgid "URL"
 msgstr "URL"
 
 #. cant_delete_item
-#: src/bookmarks/dialogs.c:117
+#: src/bookmarks/dialogs.c:149
 #, c-format
 msgid "Sorry, but the bookmark \"%s\" cannot be deleted."
 msgstr ""
 
 #. cant_delete_used_item
-#: src/bookmarks/dialogs.c:119
+#: src/bookmarks/dialogs.c:151
 #, c-format
 msgid "Sorry, but the bookmark \"%s\" is being used by something else."
 msgstr ""
 
 #. delete_marked_items_title
-#: src/bookmarks/dialogs.c:125
+#: src/bookmarks/dialogs.c:157
 #, fuzzy
 msgid "Delete marked bookmarks"
 msgstr "Valflt"
 
 #. delete_marked_items
-#: src/bookmarks/dialogs.c:127
+#: src/bookmarks/dialogs.c:159
 #, fuzzy
 msgid "Delete marked bookmarks?"
 msgstr "Valflt"
 
 #. delete_folder
-#: src/bookmarks/dialogs.c:131
+#: src/bookmarks/dialogs.c:163
 #, fuzzy, c-format
 msgid "Delete the folder \"%s\" and all bookmarks in it?"
 msgstr "Ta bort ndelse"
 
 #. delete_item_title
-#: src/bookmarks/dialogs.c:133
+#: src/bookmarks/dialogs.c:165
 #, fuzzy
 msgid "Delete bookmark"
 msgstr "Redigera bokmrke"
 
-#: src/bookmarks/dialogs.c:135
+#: src/bookmarks/dialogs.c:167
 #, c-format
 msgid "Delete this bookmark?"
 msgstr ""
 
 #. clear_all_items_title
-#: src/bookmarks/dialogs.c:137
+#: src/bookmarks/dialogs.c:169
 #, fuzzy
 msgid "Clear all bookmarks"
 msgstr "Bokmrken"
 
 #. clear_all_items_title
-#: src/bookmarks/dialogs.c:139
+#: src/bookmarks/dialogs.c:171
 #, fuzzy
 msgid "Do you really want to remove all bookmarks?"
 msgstr "Vill du verkligen avsluta links?"
 
-#: src/bookmarks/dialogs.c:254
+#: src/bookmarks/dialogs.c:327
 msgid "Add folder"
 msgstr ""
 
-#: src/bookmarks/dialogs.c:254
+#: src/bookmarks/dialogs.c:327
 msgid "Folder name"
 msgstr ""
 
-#: src/bookmarks/dialogs.c:310 src/scripting/lua/core.c:391
+#: src/bookmarks/dialogs.c:410 src/scripting/lua/core.c:391
 msgid "Edit bookmark"
 msgstr "Redigera bokmrke"
 
-#: src/bookmarks/dialogs.c:461
+#: src/bookmarks/dialogs.c:567
 msgid "Cannot move folder inside itself"
 msgstr ""
 
-#: src/bookmarks/dialogs.c:462
+#: src/bookmarks/dialogs.c:568
 msgid ""
 "You are trying to move the marked folder inside itself. To move the folder "
 "to a different location select the new location before pressing the Move "
 "button."
 msgstr ""
 
-#: src/bookmarks/dialogs.c:468
+#: src/bookmarks/dialogs.c:574
 msgid "Nothing to move"
 msgstr ""
 
-#: src/bookmarks/dialogs.c:469
+#: src/bookmarks/dialogs.c:575
 msgid ""
 "To move bookmarks, first mark all the bookmarks (or folders) you want to "
 "move.  This can be done with the Insert key if you're using the default key-"
@@ -450,21 +444,21 @@ msgid ""
 msgstr ""
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons, src/cache/dialogs.c:cache_buttons, src/globhist/dialogs.c:globhist_buttons, src/protocol/auth/dialogs.c:auth_buttons)
-#: src/bookmarks/dialogs.c:487 src/cache/dialogs.c:230
+#: src/bookmarks/dialogs.c:593 src/cache/dialogs.c:230
 #: src/globhist/dialogs.c:224 src/protocol/auth/dialogs.c:261
 #, fuzzy
 msgid "~Goto"
 msgstr "G till"
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons, src/config/dialogs.c:option_buttons, src/cookies/dialogs.c:cookie_buttons)
-#: src/bookmarks/dialogs.c:488 src/config/dialogs.c:503
+#: src/bookmarks/dialogs.c:594 src/config/dialogs.c:503
 #: src/cookies/dialogs.c:492
 #, fuzzy
 msgid "~Edit"
 msgstr "Redigera"
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons, src/cache/dialogs.c:cache_buttons, src/config/dialogs.c:keybinding_buttons, src/config/dialogs.c:option_buttons, src/cookies/dialogs.c:cookie_buttons, src/dialogs/menu.c:ext_menu, src/formhist/dialogs.c:formhist_buttons, src/globhist/dialogs.c:globhist_buttons, src/protocol/auth/dialogs.c:auth_buttons)
-#: src/bookmarks/dialogs.c:489 src/cache/dialogs.c:231
+#: src/bookmarks/dialogs.c:595 src/cache/dialogs.c:231
 #: src/config/dialogs.c:505 src/config/dialogs.c:930 src/cookies/dialogs.c:493
 #: src/dialogs/menu.c:463 src/formhist/dialogs.c:211
 #: src/globhist/dialogs.c:229 src/protocol/auth/dialogs.c:263
@@ -472,28 +466,28 @@ msgid "~Delete"
 msgstr "Ta bort"
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons, src/config/dialogs.c:keybinding_buttons, src/config/dialogs.c:option_buttons, src/cookies/dialogs.c:cookie_buttons, src/dialogs/menu.c:ext_menu)
-#: src/bookmarks/dialogs.c:490 src/config/dialogs.c:504
+#: src/bookmarks/dialogs.c:596 src/config/dialogs.c:504
 #: src/config/dialogs.c:929 src/cookies/dialogs.c:490 src/dialogs/menu.c:461
 msgid "~Add"
 msgstr "Lgg till"
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons)
-#: src/bookmarks/dialogs.c:491
+#: src/bookmarks/dialogs.c:597
 msgid "Add se~parator"
 msgstr ""
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons)
-#: src/bookmarks/dialogs.c:492
+#: src/bookmarks/dialogs.c:598
 msgid "Add ~folder"
 msgstr ""
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons)
-#: src/bookmarks/dialogs.c:493
+#: src/bookmarks/dialogs.c:599
 msgid "~Move"
 msgstr ""
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons, src/cache/dialogs.c:cache_buttons, src/config/dialogs.c:keybinding_buttons, src/config/dialogs.c:option_buttons, src/dialogs/menu.c:view_menu, src/globhist/dialogs.c:globhist_buttons)
-#: src/bookmarks/dialogs.c:494 src/cache/dialogs.c:232
+#: src/bookmarks/dialogs.c:600 src/cache/dialogs.c:232
 #: src/config/dialogs.c:506 src/config/dialogs.c:932 src/dialogs/menu.c:413
 #: src/globhist/dialogs.c:230
 msgid "~Search"
@@ -501,38 +495,52 @@ msgstr "~Sk"
 
 #. This one is too dangerous, so just let user delete
 #. * the bookmarks file if needed. --Zas
-#: src/bookmarks/dialogs.c:498
+#: src/bookmarks/dialogs.c:604
 msgid "Clear"
 msgstr ""
 
 #. TODO: Would this be useful? --jonas
-#: src/bookmarks/dialogs.c:501 src/globhist/dialogs.c:235
+#: src/bookmarks/dialogs.c:607 src/globhist/dialogs.c:235
 msgid "Save"
 msgstr "Spara"
 
-#: src/bookmarks/dialogs.c:507
+#: src/bookmarks/dialogs.c:613
 msgid "Bookmark manager"
 msgstr "Bokmrkeshanterare"
 
-#: src/bookmarks/dialogs.c:632
+#: src/bookmarks/dialogs.c:825
 msgid "Search bookmarks"
 msgstr ""
 
-#: src/bookmarks/dialogs.c:661
+#. When the user eventually pushes the OK button, BFU calls
+#. * bookmark_add_add() and gives it the struct dialog * as the
+#. * void * parameter.  However, bookmark_add_add() also needs
+#. * to know the struct terminal *, and there is no way to get
+#. * that from struct dialog.  The other bookmark dialogs work
+#. * around that by making dialog.udata point to the struct
+#. * dialog_data of the bookmark manager, but the "Add bookmark"
+#. * dialog can be triggered with ACT_MAIN_ADD_BOOKMARK, which
+#. * does not involve the bookmark manager at all.
+#. *
+#. * The solution here is to save the struct terminal * in
+#. * dialog.udata2, which the "Edit bookmark" dialog uses for
+#. * struct bookmark *.  When adding a new bookmark, we don't
+#. * need a pointer to an existing one, of course.
+#: src/bookmarks/dialogs.c:892
 msgid "Add bookmark"
 msgstr "Lgg till bokmrke"
 
-#: src/bookmarks/dialogs.c:697
+#: src/bookmarks/dialogs.c:950
 #, fuzzy
 msgid "Saved session"
 msgstr "~Spara alternativ"
 
-#: src/bookmarks/dialogs.c:705
+#: src/bookmarks/dialogs.c:958
 #, fuzzy
 msgid "Bookmark tabs"
 msgstr "Bokmrken"
 
-#: src/bookmarks/dialogs.c:705
+#: src/bookmarks/dialogs.c:958
 #, fuzzy
 msgid "Enter folder name"
 msgstr "Skriv in lnknummer"
@@ -546,7 +554,7 @@ msgstr "G till URL"
 msgid "Redirect"
 msgstr ""
 
-#: src/cache/dialogs.c:85 src/config/options.inc:519
+#: src/cache/dialogs.c:85 src/config/options.inc:553
 #: src/dialogs/document.c:156 src/protocol/bittorrent/dialogs.c:126
 msgid "Size"
 msgstr "Storlek"
@@ -593,7 +601,7 @@ msgstr ""
 msgid "ID"
 msgstr ""
 
-#: src/cache/dialogs.c:134 src/config/options.inc:669
+#: src/cache/dialogs.c:134 src/config/options.inc:707
 #, fuzzy
 msgid "Header"
 msgstr "Huvudinfo"
@@ -1347,7 +1355,7 @@ msgstr "Vrden hittades inte"
 msgid "Resolver error"
 msgstr "Sparfel"
 
-#: src/config/cmdline.c:256 src/cookies/cookies.c:841 src/network/state.c:47
+#: src/config/cmdline.c:256 src/cookies/cookies.c:843 src/network/state.c:47
 #: src/util/secsave.c:379
 msgid "Out of memory"
 msgstr "Slut p minne"
@@ -1369,290 +1377,291 @@ msgstr ""
 msgid "Remote method not supported"
 msgstr ""
 
-#: src/config/cmdline.c:452
+#: src/config/cmdline.c:437
+msgid "Out of memory formatting option documentation"
+msgstr ""
+
+#: src/config/cmdline.c:474
 msgid "Template option folder"
 msgstr ""
 
-#: src/config/cmdline.c:475
+#: src/config/cmdline.c:497
 #, c-format
 msgid "(default: %ld)"
 msgstr ""
 
-#: src/config/cmdline.c:482 src/config/cmdline.c:511
+#: src/config/cmdline.c:504 src/config/cmdline.c:533
 #, c-format
 msgid "(default: \"%s\")"
 msgstr ""
 
-#: src/config/cmdline.c:487
+#: src/config/cmdline.c:509
 #, c-format
 msgid "(alias for %s)"
 msgstr ""
 
-#: src/config/cmdline.c:492 src/config/cmdline.c:501
+#: src/config/cmdline.c:514 src/config/cmdline.c:523
 #, c-format
 msgid "(default: %s)"
 msgstr ""
 
-#: src/config/cmdline.c:642
+#: src/config/cmdline.c:654
 #, fuzzy
 msgid "Configuration options"
 msgstr "uppkopplingar"
 
-#: src/config/cmdline.c:646
+#: src/config/cmdline.c:658
 msgid "Usage: elinks [OPTION]... [URL]..."
 msgstr ""
 
-#: src/config/cmdline.c:647
+#: src/config/cmdline.c:659
 #, fuzzy
 msgid "Options"
 msgstr "~Spara alternativ"
 
-#: src/config/cmdline.c:689
+#: src/config/cmdline.c:701
 #, fuzzy
 msgid "Internal consistency error"
 msgstr "Internt fel"
 
 #.
-#: src/config/cmdline.c:725
+#: src/config/cmdline.c:737
 msgid "Restrict to anonymous mode"
 msgstr ""
 
-#: src/config/cmdline.c:727
+#: src/config/cmdline.c:739
 msgid ""
-"Restricts ELinks so it can run on an anonymous account.\n"
-"Local file browsing, downloads, and modification of options\n"
-"will be disabled. Execution of viewers is allowed, but entries\n"
-"in the association table can't be added or modified."
+"Restricts ELinks so it can run on an anonymous account. Local file browsing, "
+"downloads, and modification of options will be disabled. Execution of "
+"viewers is allowed, but entries in the association table can't be added or "
+"modified."
 msgstr ""
 
-#: src/config/cmdline.c:732
+#: src/config/cmdline.c:745
 #, fuzzy
 msgid "Autosubmit first form"
 msgstr "~Skicka formulr"
 
-#: src/config/cmdline.c:734
+#: src/config/cmdline.c:747
 msgid "Automatically submit the first form in the given URLs."
 msgstr ""
 
-#: src/config/cmdline.c:736
+#: src/config/cmdline.c:749
 msgid "Clone internal session with given ID"
 msgstr ""
 
-#: src/config/cmdline.c:738
+#: src/config/cmdline.c:751
 msgid ""
-"Used internally when opening ELinks instances in new windows.\n"
-"The ID maps to information that will be used when creating the\n"
-"new instance. You don't want to use it."
+"Used internally when opening ELinks instances in new windows. The ID maps to "
+"information that will be used when creating the new instance. You don't want "
+"to use it."
 msgstr ""
 
-#: src/config/cmdline.c:744
+#: src/config/cmdline.c:757
 msgid "Name of directory with configuration file"
 msgstr ""
 
-#: src/config/cmdline.c:746
+#: src/config/cmdline.c:759
 msgid ""
-"Path of the directory ELinks will read and write its\n"
-"config and runtime state files to instead of ~/.elinks.\n"
-"If the path does not begin with a '/' it is assumed to be\n"
-"relative to your HOME directory."
+"Path of the directory ELinks will read and write its config and runtime "
+"state files to instead of ~/.elinks. If the path does not begin with a '/' "
+"it is assumed to be relative to your HOME directory."
 msgstr ""
 
-#: src/config/cmdline.c:751
+#: src/config/cmdline.c:764
 msgid "Print default configuration file to stdout"
 msgstr ""
 
-#: src/config/cmdline.c:753
+#: src/config/cmdline.c:766
 msgid ""
-"Print a configuration file with options set to the built-in\n"
-"defaults to stdout."
+"Print a configuration file with options set to the built-in defaults to "
+"stdout."
 msgstr ""
 
-#: src/config/cmdline.c:758
+#: src/config/cmdline.c:771
 msgid "Name of configuration file"
 msgstr ""
 
-#: src/config/cmdline.c:760
+#: src/config/cmdline.c:773
 msgid ""
-"Name of the configuration file that all configuration\n"
-"options will be read from and written to. It should be\n"
-"relative to config-dir."
+"Name of the configuration file that all configuration options will be read "
+"from and written to. It should be relative to config-dir."
 msgstr ""
 
-#: src/config/cmdline.c:764
+#: src/config/cmdline.c:777
 msgid "Print help for configuration options"
 msgstr ""
 
-#: src/config/cmdline.c:766
+#: src/config/cmdline.c:779
 msgid "Print help for configuration options and exit."
 msgstr ""
 
-#: src/config/cmdline.c:768
+#: src/config/cmdline.c:781
 msgid "MIME type assumed for unknown document types"
 msgstr ""
 
-#: src/config/cmdline.c:770
+#: src/config/cmdline.c:783
 msgid "The default MIME type used for documents of unknown type."
 msgstr ""
 
-#: src/config/cmdline.c:772
+#: src/config/cmdline.c:786
 msgid "Ignore user-defined keybindings"
 msgstr ""
 
-#: src/config/cmdline.c:774
+#: src/config/cmdline.c:788
 msgid ""
-"When set, all keybindings from configuration files will be\n"
-"ignored. It forces use of default keybindings and will reset\n"
-"user-defined ones on save."
+"When set, all keybindings from configuration files will be ignored. It "
+"forces use of default keybindings and will reset user-defined ones on save."
 msgstr ""
 
-#: src/config/cmdline.c:778
+#: src/config/cmdline.c:792
 msgid "Print formatted versions of given URLs to stdout"
 msgstr ""
 
-#: src/config/cmdline.c:780
+#: src/config/cmdline.c:794
 msgid "Print formatted plain-text versions of given URLs to stdout."
 msgstr ""
 
-#: src/config/cmdline.c:782
+#: src/config/cmdline.c:797
 msgid "Codepage to use with -dump"
 msgstr ""
 
-#: src/config/cmdline.c:784
+#: src/config/cmdline.c:799
 msgid "Codepage used when formatting dump output."
 msgstr ""
 
-#: src/config/cmdline.c:786
+#: src/config/cmdline.c:801
 msgid "Color mode used with -dump"
 msgstr ""
 
-#: src/config/cmdline.c:788
+#: src/config/cmdline.c:803
 msgid "Color mode used with -dump."
 msgstr ""
 
-#: src/config/cmdline.c:790
+#: src/config/cmdline.c:805
 msgid "Width of document formatted with -dump"
 msgstr ""
 
-#: src/config/cmdline.c:792
+#: src/config/cmdline.c:807
 msgid "Width of the dump output."
 msgstr ""
 
-#: src/config/cmdline.c:794
+#: src/config/cmdline.c:809
 msgid "Evaluate configuration file directive"
 msgstr ""
 
-#: src/config/cmdline.c:796
+#: src/config/cmdline.c:811
 msgid ""
-"Specify configuration file directives on the command-line\n"
-"which will be evaluated after all configuration files has been\n"
-"read. Example usage:\n"
+"Specify configuration file directives on the command-line which will be "
+"evaluated after all configuration files has been read. Example usage:\n"
 "\t-eval 'set protocol.file.allow_special_files = 1'"
 msgstr ""
 
 #. lynx compatibility
-#: src/config/cmdline.c:802
+#: src/config/cmdline.c:817
 msgid "Interpret documents of unknown types as HTML"
 msgstr ""
 
-#: src/config/cmdline.c:804
+#: src/config/cmdline.c:819
 msgid ""
-"Makes ELinks assume documents of unknown types are HTML.\n"
-"Useful when using ELinks as an external viewer from MUAs.\n"
-"This is equivalent to -default-mime-type text/html."
+"Makes ELinks assume documents of unknown types are HTML. Useful when using "
+"ELinks as an external viewer from MUAs. This is equivalent to -default-mime-"
+"type text/html."
 msgstr ""
 
-#: src/config/cmdline.c:814
+#: src/config/cmdline.c:829
 msgid "Print usage help and exit"
 msgstr ""
 
-#: src/config/cmdline.c:816
+#: src/config/cmdline.c:831
 msgid "Print usage help and exit."
 msgstr ""
 
-#: src/config/cmdline.c:818
+#: src/config/cmdline.c:833
 msgid "Only permit local connections"
 msgstr ""
 
-#: src/config/cmdline.c:820
+#: src/config/cmdline.c:835
 msgid ""
-"Restricts ELinks to work offline and only connect to servers\n"
-"with local addresses (ie. 127.0.0.1). No connections to remote\n"
-"servers will be permitted."
+"Restricts ELinks to work offline and only connect to servers with local "
+"addresses (ie. 127.0.0.1). No connections to remote servers will be "
+"permitted."
 msgstr ""
 
-#: src/config/cmdline.c:824
+#: src/config/cmdline.c:839
 msgid "Print detailed usage help and exit"
 msgstr ""
 
-#: src/config/cmdline.c:826
+#: src/config/cmdline.c:841
 msgid "Print detailed usage help and exit."
 msgstr ""
 
-#: src/config/cmdline.c:828
+#: src/config/cmdline.c:843
 #, fuzzy
 msgid "Look up specified host"
 msgstr "Inget program angett fr"
 
-#: src/config/cmdline.c:830
+#: src/config/cmdline.c:845
 msgid "Look up specified host and print all DNS resolved IP addresses."
 msgstr ""
 
-#: src/config/cmdline.c:832
+#: src/config/cmdline.c:848
 msgid "Run as separate instance"
 msgstr ""
 
-#: src/config/cmdline.c:834
+#: src/config/cmdline.c:850
 msgid ""
-"Run ELinks as a separate instance instead of connecting to an\n"
-"existing instance. Note that normally no runtime state files\n"
-"(bookmarks, history, etc.) are written to the disk when this\n"
-"option is used. See also -touch-files."
+"Run ELinks as a separate instance instead of connecting to an existing "
+"instance. Note that normally no runtime state files (bookmarks, history, "
+"etc.) are written to the disk when this option is used. See also -touch-"
+"files."
 msgstr ""
 
-#: src/config/cmdline.c:839
+#: src/config/cmdline.c:855
 msgid "Disable use of files in ~/.elinks"
 msgstr ""
 
-#: src/config/cmdline.c:841
+#: src/config/cmdline.c:857
 msgid ""
-"Disables creation and use of files in the user specific home\n"
-"configuration directory (~/.elinks). It forces default configuration\n"
-"values to be used and disables saving of runtime state files."
+"Disables creation and use of files in the user specific home configuration "
+"directory (~/.elinks). It forces default configuration values to be used and "
+"disables saving of runtime state files."
 msgstr ""
 
-#: src/config/cmdline.c:845
+#: src/config/cmdline.c:862
 msgid "Disable link numbering in dump output"
 msgstr ""
 
-#: src/config/cmdline.c:847
+#: src/config/cmdline.c:864
 msgid ""
 "Prevents printing of link number in dump output.\n"
+"\n"
 "Note that this really affects only -dump, nothing else."
 msgstr ""
 
-#: src/config/cmdline.c:850
+#: src/config/cmdline.c:868
 msgid "Disable printing of link references in dump output"
 msgstr ""
 
-#: src/config/cmdline.c:852
+#: src/config/cmdline.c:870
 msgid ""
-"Prevents printing of references (URIs) of document links\n"
-"in dump output.\n"
+"Prevents printing of references (URIs) of document links in dump output.\n"
+"\n"
 "Note that this really affects only -dump, nothing else."
 msgstr ""
 
-#: src/config/cmdline.c:856
+#: src/config/cmdline.c:875
 msgid "Control an already running ELinks"
 msgstr ""
 
-#: src/config/cmdline.c:858
+#: src/config/cmdline.c:877
 msgid ""
-"Control a remote ELinks instance by passing commands to it.\n"
-"The option takes an additional argument containing the method\n"
-"which should be invoked and any parameters that should be passed\n"
-"to it. For ease of use, the additional method argument can be\n"
-"omitted in which case any URL arguments will be opened in new\n"
-"tabs in the remote instance.\n"
+"Control a remote ELinks instance by passing commands to it. The option takes "
+"an additional argument containing the method which should be invoked and any "
+"parameters that should be passed to it. For ease of use, the additional "
+"method argument can be omitted in which case any URL arguments will be "
+"opened in new tabs in the remote instance.\n"
+"\n"
 "Following is a list of the supported methods:\n"
 "\tping()                    : look for a remote instance\n"
 "\topenURL()                 : prompt URL in current tab\n"
@@ -1664,70 +1673,69 @@ msgid ""
 "\txfeDoCommand(openBrowser) : open new window"
 msgstr ""
 
-#: src/config/cmdline.c:874
+#: src/config/cmdline.c:895
 msgid "Connect to session ring with given ID"
 msgstr ""
 
-#: src/config/cmdline.c:876
+#: src/config/cmdline.c:897
 msgid ""
-"ID of session ring this ELinks session should connect to. ELinks\n"
-"works in so-called session rings, whereby all instances of ELinks\n"
-"are interconnected and share state (cache, bookmarks, cookies,\n"
-"and so on). By default, all ELinks instances connect to session\n"
-"ring 0. You can change that behaviour with this switch and form as\n"
-"many session rings as you want. Obviously, if the session-ring with\n"
-"this number doesn't exist yet, it's created and this ELinks instance\n"
-"will become the master instance (that usually doesn't matter for you\n"
-"as a user much). Note that you usually don't want to use this unless\n"
-"you're a developer and you want to do some testing - if you want the\n"
-"ELinks instances each running standalone, rather use the -no-connect\n"
-"command-line option. Also note that normally no runtime state files\n"
-"are written to the disk when this option is used. See also\n"
-"-touch-files."
+"ID of session ring this ELinks session should connect to. ELinks works in so-"
+"called session rings, whereby all instances of ELinks are interconnected and "
+"share state (cache, bookmarks, cookies, and so on). By default, all ELinks "
+"instances connect to session ring 0. You can change that behaviour with this "
+"switch and form as many session rings as you want. Obviously, if the session-"
+"ring with this number doesn't exist yet, it's created and this ELinks "
+"instance will become the master instance (that usually doesn't matter for "
+"you as a user much).\n"
+"\n"
+"Note that you usually don't want to use this unless you're a developer and "
+"you want to do some testing - if you want the ELinks instances each running "
+"standalone, rather use the -no-connect command-line option. Also note that "
+"normally no runtime state files are written to the disk when this option is "
+"used. See also -touch-files."
 msgstr ""
 
-#: src/config/cmdline.c:891
+#: src/config/cmdline.c:915
 msgid "Print the source of given URLs to stdout"
 msgstr ""
 
-#: src/config/cmdline.c:893
+#: src/config/cmdline.c:917
 msgid "Print given URLs in source form to stdout."
 msgstr ""
 
-#: src/config/cmdline.c:897
+#: src/config/cmdline.c:921
 msgid "Touch files in ~/.elinks when running with -no-connect/-session-ring"
 msgstr ""
 
-#: src/config/cmdline.c:899
+#: src/config/cmdline.c:923
 msgid ""
-"When enabled, runtime state files (bookmarks, history, etc.) are\n"
-"written to disk, even when -no-connect or -session-ring is used.\n"
-"The option has no effect if not used in conjunction with any of\n"
-"these options."
+"When enabled, runtime state files (bookmarks, history, etc.) are written to "
+"disk, even when -no-connect or -session-ring is used. The option has no "
+"effect if not used in conjunction with any of these options."
 msgstr ""
 
-#: src/config/cmdline.c:904
+#: src/config/cmdline.c:928
 msgid "Verbose level"
 msgstr ""
 
-#: src/config/cmdline.c:906
+#: src/config/cmdline.c:930
 msgid ""
-"The verbose level controls what messages are shown at\n"
-"start up and while running:\n"
+"The verbose level controls what messages are shown at start up and while "
+"running:\n"
 "\t0 means only show serious errors\n"
 "\t1 means show serious errors and warnings\n"
 "\t2 means show all messages"
 msgstr ""
 
-#: src/config/cmdline.c:912
+#: src/config/cmdline.c:936
 msgid "Print version information and exit"
 msgstr ""
 
-#: src/config/cmdline.c:914
+#: src/config/cmdline.c:938
 msgid "Print ELinks version information and exit."
 msgstr ""
 
-#: src/config/conf.c:938
+#: src/config/conf.c:963
 msgid ""
 "## This is ELinks configuration file. You can edit it manually,\n"
 "## if you wish so; this file is edited by ELinks when you save\n"
@@ -1735,7 +1743,7 @@ msgid ""
 "## and all your formatting, own comments etc will be kept as-is.\n"
 msgstr ""
 
-#: src/config/conf.c:946
+#: src/config/conf.c:971
 msgid ""
 "## This is ELinks configuration file. You can edit it manually,\n"
 "## if you wish so; this file is edited by ELinks when you save\n"
@@ -1746,7 +1754,7 @@ msgid ""
 "## own comments and so on will be kept as-is.\n"
 msgstr ""
 
-#: src/config/conf.c:956
+#: src/config/conf.c:981
 msgid ""
 "## This is ELinks configuration file. You can edit it manually,\n"
 "## if you wish so, but keep in mind that this file is overwritten\n"
@@ -1754,18 +1762,18 @@ msgid ""
 "## luck with your formatting and own comments then, so beware.\n"
 msgstr ""
 
-#: src/config/conf.c:967
+#: src/config/conf.c:992
 msgid ""
 "## Obviously, if you don't like what ELinks is going to do with\n"
 "## this file, you can change it by altering the config.saving_style\n"
 "## option. Come on, aren't we friendly guys after all?\n"
 msgstr ""
 
-#: src/config/conf.c:980
+#: src/config/conf.c:1005
 msgid "Automatically saved options\n"
 msgstr ""
 
-#: src/config/conf.c:992
+#: src/config/conf.c:1017
 msgid "Automatically saved keybindings\n"
 msgstr ""
 
@@ -1826,7 +1834,7 @@ msgstr ""
 #. * switch charsets.  So, it will work in any terminal that
 #. * understands UTF-8 and has the characters in its font.
 #: src/config/dialogs.c:149 src/config/dialogs.c:330
-#: src/config/options.inc:840
+#: src/config/options.inc:887
 msgid "Type"
 msgstr ""
 
@@ -1852,9 +1860,9 @@ msgid "Description"
 msgstr ""
 
 #: src/config/dialogs.c:291 src/protocol/bittorrent/dialogs.c:600
-#: src/protocol/protocol.c:240 src/session/session.c:287
-#: src/session/session.c:975 src/viewer/text/textarea.c:594
-#: src/viewer/text/textarea.c:601
+#: src/protocol/protocol.c:240 src/session/session.c:288
+#: src/session/session.c:999 src/viewer/text/textarea.c:583
+#: src/viewer/text/textarea.c:590
 msgid "Error"
 msgstr "Fel"
 
@@ -1889,7 +1897,7 @@ msgstr ""
 #. accelerator_context(src/config/dialogs.c:keybinding_buttons, src/config/dialogs.c:option_buttons, src/cookies/dialogs.c:cookie_buttons, src/formhist/dialogs.c:formhist_buttons, src/protocol/bittorrent/dialogs.c:bittorrent_query_callback, src/session/download.c:do_type_query, terminal_options)
 #: src/config/dialogs.c:507 src/config/dialogs.c:933 src/cookies/dialogs.c:495
 #: src/dialogs/options.c:236 src/formhist/dialogs.c:214
-#: src/protocol/bittorrent/dialogs.c:801 src/session/download.c:1203
+#: src/protocol/bittorrent/dialogs.c:801 src/session/download.c:1229
 #, fuzzy
 msgid "Sa~ve"
 msgstr "Spara"
@@ -1903,7 +1911,7 @@ msgstr "Bokmrkeshanterare"
 msgid "Keystroke"
 msgstr ""
 
-#: src/config/dialogs.c:676 src/config/options.inc:1219
+#: src/config/dialogs.c:676 src/config/options.inc:1292
 msgid "Action"
 msgstr ""
 
@@ -1975,32 +1983,32 @@ msgid ""
 "directory."
 msgstr ""
 
-#: src/config/kbdbind.c:221
+#: src/config/kbdbind.c:222
 msgid "Main mapping"
 msgstr ""
 
-#: src/config/kbdbind.c:222
+#: src/config/kbdbind.c:223
 msgid "Edit mapping"
 msgstr ""
 
-#: src/config/kbdbind.c:223
+#: src/config/kbdbind.c:224
 msgid "Menu mapping"
 msgstr ""
 
-#: src/config/kbdbind.c:588 src/scripting/python/keybinding.c:104
+#: src/config/kbdbind.c:589 src/scripting/python/keybinding.c:104
 msgid "Unrecognised keymap"
 msgstr ""
 
-#: src/config/kbdbind.c:591
+#: src/config/kbdbind.c:592
 #, fuzzy
 msgid "Error parsing keystroke"
 msgstr "Fel vid skrivning till socket"
 
-#: src/config/kbdbind.c:595
+#: src/config/kbdbind.c:596
 msgid "Unrecognised action (internal error)"
 msgstr ""
 
-#: src/config/kbdbind.c:611
+#: src/config/kbdbind.c:612
 #, fuzzy
 msgid "Error registering event"
 msgstr "Fel vid skrivning till socket"
@@ -2028,332 +2036,327 @@ msgid ""
 "3 is full comments are written"
 msgstr ""
 
-#: src/config/options.inc:31
+#: src/config/options.inc:32
 msgid "Indentation"
 msgstr ""
 
-#: src/config/options.inc:33
+#: src/config/options.inc:34
 msgid ""
-"Shift width of one indentation level in the configuration\n"
-"file. Zero means that no indentation is performed at all\n"
-"when saving the configuration."
+"Shift width of one indentation level in the configuration file. Zero means "
+"that no indentation is performed at all when saving the configuration."
 msgstr ""
 
-#: src/config/options.inc:37
+#: src/config/options.inc:38
 msgid "Saving style"
 msgstr ""
 
-#: src/config/options.inc:39
+#: src/config/options.inc:40
 msgid ""
 "Determines what happens when you tell ELinks to save options:\n"
 "0 is only values of current options are altered\n"
-"1 is values of current options are altered and missing options\n"
-"     are added at the end of the file\n"
+"1 is values of current options are altered and missing\n"
+"     options are added at the end of the file\n"
 "2 is the configuration file is rewritten from scratch\n"
-"3 is values of current options are altered and missing options\n"
-"     CHANGED during this ELinks session are added at the end of\n"
-"     the file"
+"3 is values of current options are altered and missing\n"
+"     options CHANGED during this ELinks session are added at\n"
+"     the end of the file"
 msgstr ""
 
-#: src/config/options.inc:48
+#: src/config/options.inc:50
 msgid "Comments localization"
 msgstr ""
 
-#: src/config/options.inc:50
+#: src/config/options.inc:52
 msgid ""
-"If set to 1, comments in the configuration file will be\n"
-"translated to the language used by UI. Note that if you have\n"
-"different language set in different terminals, the language\n"
-"used in the configuration file MAY be the same as on the\n"
-"terminal where you saved the file, but it should be generally\n"
+"If set to 1, comments in the configuration file will be translated to the "
+"language used by UI. Note that if you have different language set in "
+"different terminals, the language used in the configuration file MAY be the "
+"same as on the terminal where you saved the file, but it should be generally "
 "considered unpredictable."
 msgstr ""
 
-#: src/config/options.inc:58
+#: src/config/options.inc:60
 msgid "Saving style warnings"
 msgstr ""
 
-#: src/config/options.inc:60
+#: src/config/options.inc:62
 msgid ""
-"This is internal option used when displaying a warning about\n"
-"obsolete config.saving_style. You shouldn't touch it."
+"This is internal option used when displaying a warning about obsolete config."
+"saving_style. You shouldn't touch it."
 msgstr ""
 
-#: src/config/options.inc:63
+#: src/config/options.inc:66
 msgid "Show template"
 msgstr ""
 
-#: src/config/options.inc:65
+#: src/config/options.inc:68
 msgid ""
-"Show template options in autocreated trees in the options\n"
-"manager and save them to the configuration file."
+"Show template options in autocreated trees in the options manager and save "
+"them to the configuration file."
 msgstr ""
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:71 src/dialogs/info.c:180
+#: src/config/options.inc:74 src/dialogs/info.c:180
 msgid "Connections"
 msgstr "uppkopplingar"
 
-#: src/config/options.inc:73
+#: src/config/options.inc:76
 #, fuzzy
 msgid "Connection options."
 msgstr "uppkopplingar"
 
-#: src/config/options.inc:76
+#: src/config/options.inc:79
 msgid "Asynchronous DNS"
 msgstr ""
 
-#: src/config/options.inc:78
+#: src/config/options.inc:81
 msgid "Whether to use asynchronous DNS resolving."
 msgstr ""
 
-#: src/config/options.inc:80
+#: src/config/options.inc:83
 #, fuzzy
 msgid "Maximum connections"
 msgstr "Kopplar upp"
 
-#: src/config/options.inc:82
+#: src/config/options.inc:85
 msgid "Maximum number of concurrent connections."
 msgstr ""
 
-#: src/config/options.inc:84
+#: src/config/options.inc:87
 #, fuzzy
 msgid "Maximum connections per host"
 msgstr "Kopplar upp"
 
-#: src/config/options.inc:86
+#: src/config/options.inc:89
 msgid "Maximum number of concurrent connections to a given host."
 msgstr ""
 
-#: src/config/options.inc:88
+#: src/config/options.inc:92
 #, fuzzy
 msgid "Connection retries"
 msgstr "uppkopplingar"
 
-#: src/config/options.inc:90
-msgid ""
-"Number of tries to establish a connection.\n"
-"Zero means try forever."
+#: src/config/options.inc:94
+msgid "Number of tries to establish a connection. Zero means try forever."
 msgstr ""
 
-#: src/config/options.inc:93 src/network/state.c:53
+#: src/config/options.inc:97 src/network/state.c:53
 msgid "Receive timeout"
 msgstr "Fr lng vntan vid hmtning"
 
-#: src/config/options.inc:95
+#: src/config/options.inc:99
 #, fuzzy
 msgid "Receive timeout (in seconds)."
 msgstr "Fr lng vntan vid hmtning"
 
-#: src/config/options.inc:98 src/config/options.inc:108
+#: src/config/options.inc:102 src/config/options.inc:113
 msgid "Try IPv4 when connecting"
 msgstr ""
 
-#: src/config/options.inc:100
+#: src/config/options.inc:104
 msgid ""
-"Whether to try to connect to a host over IPv4.\n"
-"Note that if connection.try_ipv6 is enabled too,\n"
-"it takes precedence. And better do not touch this\n"
+"Whether to try to connect to a host over IPv4. Note that if connection."
+"try_ipv6 is enabled too, it takes precedence. And better do not touch this "
 "at all unless you are sure what are you doing.\n"
-"Note that you can also force a given protocol\n"
-"to be used on a per-connection basis by using a URL\n"
-"in the style of e.g. http4://elinks.cz/."
+"\n"
+"Note that you can also force a given protocol to be used on a per-connection "
+"basis by using a URL in the style of e.g. http4://elinks.cz/."
 msgstr ""
 
-#: src/config/options.inc:110
+#: src/config/options.inc:115
 msgid ""
-"Whether to try to connect to a host over IPv4.\n"
-"Do not touch this option.\n"
-"Note that you can also force a given protocol\n"
-"to be used on a per-connection basis by using a URL\n"
-"in the style of e.g. http4://elinks.cz/."
+"Whether to try to connect to a host over IPv4. Do not touch this option.\n"
+"\n"
+"Note that you can also force a given protocol to be used on a per-connection "
+"basis by using a URL in the style of e.g. http4://elinks.cz/."
 msgstr ""
 
-#: src/config/options.inc:118
+#: src/config/options.inc:124
 msgid "Try IPv6 when connecting"
 msgstr ""
 
-#: src/config/options.inc:120
+#: src/config/options.inc:126
 msgid ""
 "Whether to try to connect to a host over IPv6.\n"
-"Note that you can also force a given protocol\n"
-"to be used on a per-connection basis by using a URL\n"
-"in the style of e.g. http6://elinks.cz/."
+"\n"
+"Note that you can also force a given protocol to be used on a per-connection "
+"basis by using a URL in the style of e.g. http6://elinks.cz/."
 msgstr ""
 
-#: src/config/options.inc:126
+#: src/config/options.inc:133
 msgid "Timeout for non-restartable connections"
 msgstr ""
 
-#: src/config/options.inc:128
+#: src/config/options.inc:135
 msgid "Timeout for non-restartable connections (in seconds)."
 msgstr ""
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:134
+#: src/config/options.inc:141
 #, fuzzy
 msgid "Document"
 msgstr "dokument"
 
-#: src/config/options.inc:136
+#: src/config/options.inc:143
 #, fuzzy
 msgid "Document options."
 msgstr "Dokument~information"
 
-#: src/config/options.inc:138
+#: src/config/options.inc:145
 msgid "Browsing"
 msgstr ""
 
-#: src/config/options.inc:140
+#: src/config/options.inc:147
 msgid "Document browsing options (mainly interactivity)."
 msgstr ""
 
-#: src/config/options.inc:143
+#: src/config/options.inc:150
 msgid "Access keys"
 msgstr ""
 
-#: src/config/options.inc:145
+#: src/config/options.inc:152
 msgid ""
-"Options for handling of link access keys.\n"
-"An HTML document can use the ACCESSKEY attribute to assign\n"
-"an access key to an element. When an access key is pressed,\n"
-"the corresponding element will be given focus."
+"Options for handling of link access keys. An HTML document can use the "
+"ACCESSKEY attribute to assign an access key to an element. When an access "
+"key is pressed, the corresponding element will be given focus."
 msgstr ""
 
-#: src/config/options.inc:150
+#: src/config/options.inc:157
 msgid "Automatic links following"
 msgstr ""
 
-#: src/config/options.inc:152
+#: src/config/options.inc:159
 msgid ""
-"Automatically follow a link or submit a form if appropriate\n"
-"accesskey is pressed - this is the standard behaviour, but it's\n"
-"considered dangerous."
+"Automatically follow a link or submit a form if appropriate accesskey is "
+"pressed - this is the standard behaviour, but it's considered dangerous."
 msgstr ""
 
-#: src/config/options.inc:156
+#: src/config/options.inc:163
 msgid "Display access key in link info"
 msgstr ""
 
-#: src/config/options.inc:158
+#: src/config/options.inc:165
 msgid "Display access key in link info."
 msgstr ""
 
-#: src/config/options.inc:160
+#: src/config/options.inc:167
 msgid "Accesskey priority"
 msgstr ""
 
-#: src/config/options.inc:162
+#: src/config/options.inc:169
 msgid ""
 "Priority of 'accesskey' HTML attribute:\n"
-"0 is first try all normal bindings; if it fails, check accesskey\n"
-"1 is first try only frame bindings; if it fails, check accesskey\n"
+"0 is first try all normal bindings; if it fails,\n"
+"     check accesskey\n"
+"1 is first try only frame bindings; if it fails,\n"
+"     check accesskey\n"
 "2 is first check accesskey (this can be dangerous)"
 msgstr ""
 
-#: src/config/options.inc:168
+#: src/config/options.inc:177
 msgid "Forms"
 msgstr ""
 
-#: src/config/options.inc:170
+#: src/config/options.inc:179
 msgid "Options for handling of the forms interaction."
 msgstr ""
 
-#: src/config/options.inc:172
+#: src/config/options.inc:181
 #, fuzzy
 msgid "Submit form automatically"
 msgstr "Skicka formulr till"
 
-#: src/config/options.inc:174
+#: src/config/options.inc:183
 msgid ""
-"Automagically submit a form when enter is pressed with a text\n"
-"field selected."
+"Automagically submit a form when enter is pressed with a text field selected."
 msgstr ""
 
-#: src/config/options.inc:177
+#: src/config/options.inc:186
 msgid "Confirm submission"
 msgstr ""
 
-#: src/config/options.inc:179
+#: src/config/options.inc:188
 msgid "Ask for confirmation when submitting a form."
 msgstr ""
 
-#: src/config/options.inc:181
+#: src/config/options.inc:190
 msgid "Default form input size"
 msgstr ""
 
-#: src/config/options.inc:183
+#: src/config/options.inc:192
 msgid "Default form input size if none is specified."
 msgstr ""
 
-#: src/config/options.inc:185
+#: src/config/options.inc:194
 msgid "Insert mode"
 msgstr ""
 
-#: src/config/options.inc:187
+#: src/config/options.inc:196
 msgid ""
-"The setting for this option affects how key presses are handled\n"
-"when one selects a text-input form-field. When enabled, one must\n"
-"explicitly 'enter' a selected text-field to edit it; this prevents\n"
-"text fields from capturing key presses, such as presses of a scroll\n"
-"key, when it is inadvertently selected. When disabled, key presses\n"
-"are always inserted into a selected text field."
+"The setting for this option affects how key presses are handled when one "
+"selects a text-input form-field. When enabled, one must explicitly 'enter' a "
+"selected text-field to edit it; this prevents text fields from capturing key "
+"presses, such as presses of a scroll key, when it is inadvertently selected. "
+"When disabled, key presses are always inserted into a selected text field."
 msgstr ""
 
-#: src/config/options.inc:194
+#: src/config/options.inc:204
 #, fuzzy
 msgid "External editor"
 msgstr "Internt fel"
 
-#: src/config/options.inc:196
+#: src/config/options.inc:206
 msgid ""
-"Path to the executable that ELinks should launch when the user\n"
-"requests to edit a textarea with an external editor.\n"
-"If this is blank, ELinks will use the value of the environmental\n"
-"variable $EDITOR. If $EDITOR is empty or not set, ELinks will then\n"
-"default to \"vi\"."
+"Path to the executable that ELinks should launch when the user requests to "
+"edit a textarea with an external editor.\n"
+"\n"
+"If this is blank, ELinks will use the value of the environmental variable "
+"$EDITOR. If $EDITOR is empty or not set, ELinks will then default to \"vi\"."
 msgstr ""
 
-#: src/config/options.inc:203
+#: src/config/options.inc:214
 #, fuzzy
 msgid "Images"
 msgstr "Bild"
 
-#: src/config/options.inc:205
+#: src/config/options.inc:216
 msgid "Options for handling of images."
 msgstr ""
 
-#: src/config/options.inc:207
+#: src/config/options.inc:218
 #, fuzzy
 msgid "Display style for image tags"
 msgstr "Visa"
 
-#: src/config/options.inc:209
+#: src/config/options.inc:220
 msgid ""
 "Display style for image tags when displayed:\n"
 "0     means always display IMG\n"
 "1     means always display filename\n"
-"2     means display alt/title attribute if possible, IMG if not\n"
-"3     means display alt/title attribute if possible, filename if not"
+"2     means display alt/title attribute if possible,\n"
+"      IMG if not\n"
+"3     means display alt/title attribute if possible,\n"
+"      filename if not"
 msgstr ""
 
-#: src/config/options.inc:215
+#: src/config/options.inc:228
 msgid "Maximum length for image filename"
 msgstr ""
 
-#: src/config/options.inc:217
+#: src/config/options.inc:230
 msgid ""
 "Maximum length of image filename when displayed:\n"
 "0     means always display full filename\n"
 "1-500 means display filename with this maximal length;\n"
-"      if it is longer, the middle is substituted by an asterisk"
+"      if it is longer, the middle is substituted by\n"
+"      an asterisk"
 msgstr ""
 
-#: src/config/options.inc:227
+#: src/config/options.inc:241
 msgid "Image links tagging"
 msgstr ""
 
-#: src/config/options.inc:229
+#: src/config/options.inc:243
 msgid ""
 "When to enclose image links:\n"
 "0 means never\n"
@@ -2361,92 +2364,92 @@ msgid ""
 "2 means always"
 msgstr ""
 
-#: src/config/options.inc:234
+#: src/config/options.inc:248
 msgid "Image link prefix"
 msgstr ""
 
-#: src/config/options.inc:236
+#: src/config/options.inc:250
 msgid "Prefix string to use to mark image links."
 msgstr ""
 
-#: src/config/options.inc:238
+#: src/config/options.inc:252
 msgid "Image link suffix"
 msgstr ""
 
-#: src/config/options.inc:240
+#: src/config/options.inc:254
 msgid "Suffix string to use to mark image links."
 msgstr ""
 
-#: src/config/options.inc:242
+#: src/config/options.inc:256
 msgid "Maximum length for image label"
 msgstr ""
 
-#: src/config/options.inc:244
+#: src/config/options.inc:258
 msgid ""
 "Maximum length of image label (alt/title):\n"
 "0     means always display full label\n"
 "1-500 means display label with this maximal length;\n"
-"      if it is longer, the middle is substituted by an asterisk"
+"      if it is longer, the middle is substituted by\n"
+"      an asterisk"
 msgstr ""
 
-#: src/config/options.inc:249
+#: src/config/options.inc:264
 msgid "Display links to images w/o alt"
 msgstr ""
 
-#: src/config/options.inc:251
+#: src/config/options.inc:266
 msgid ""
-"Display links to images without an alt attribute. If this option\n"
-"is off, these images are completely invisible."
+"Display links to images without an alt attribute. If this option is off, "
+"these images are completely invisible."
 msgstr ""
 
-#: src/config/options.inc:254
+#: src/config/options.inc:269
 #, fuzzy
 msgid "Display links to images"
 msgstr "Visa"
 
-#: src/config/options.inc:256
+#: src/config/options.inc:271
 msgid ""
-"Display links to any images in the document, regardless of them\n"
-"having an alt attribute or not. If this option is off, the alt\n"
-"attribute contents is shown, but as normal text, not selectable\n"
-"as a link."
+"Display links to any images in the document, regardless of them having an "
+"alt attribute or not. If this option is off, the alt attribute contents is "
+"shown, but as normal text, not selectable as a link."
 msgstr ""
 
-#: src/config/options.inc:262
+#: src/config/options.inc:277
 #, fuzzy
 msgid "Links"
 msgstr "~Lnk"
 
-#: src/config/options.inc:264
+#: src/config/options.inc:279
 msgid "Options for handling of links to other documents."
 msgstr ""
 
-#: src/config/options.inc:266
+#: src/config/options.inc:281
 msgid "Active link"
 msgstr ""
 
-#: src/config/options.inc:268
+#: src/config/options.inc:283
 msgid "Options for the active link."
 msgstr ""
 
-#: src/config/options.inc:270
+#: src/config/options.inc:285
 #, fuzzy
 msgid "Colors"
 msgstr "Frg"
 
-#: src/config/options.inc:272
+#: src/config/options.inc:287
 #, fuzzy
 msgid "Active link colors."
 msgstr "Dda bakgrundsupp~kopplingar"
 
-#: src/config/options.inc:274 src/config/options.inc:549
-#: src/config/options.inc:945
+#: src/config/options.inc:289 src/config/options.inc:583
+#: src/config/options.inc:1014
 #, fuzzy
 msgid "Background color"
 msgstr "Bakgrund"
 
-#: src/config/options.inc:276 src/config/options.inc:551
-#: src/config/options.inc:946
+#: src/config/options.inc:291 src/config/options.inc:585
+#: src/config/options.inc:1015
 #, fuzzy
 msgid "Default background color."
 msgstr "Dda bakgrundsupp~kopplingar"
@@ -2459,75 +2462,75 @@ msgstr "Dda bakgrundsupp~kopplingar"
 #. *	on it.
 #. The colors and mono tree should be similar but with different default
 #. * values of course so always use the macros below.
-#: src/config/options.inc:278 src/config/options.inc:545
-#: src/config/options.inc:943
+#: src/config/options.inc:293 src/config/options.inc:579
+#: src/config/options.inc:1012
 #, fuzzy
 msgid "Text color"
 msgstr "Textarea"
 
-#: src/config/options.inc:280 src/config/options.inc:547
-#: src/config/options.inc:944
+#: src/config/options.inc:295 src/config/options.inc:581
+#: src/config/options.inc:1013
 msgid "Default text color."
 msgstr ""
 
-#: src/config/options.inc:282
+#: src/config/options.inc:297
 #, fuzzy
 msgid "Enable color"
 msgstr "Namn"
 
-#: src/config/options.inc:284
+#: src/config/options.inc:299
 msgid ""
-"Enable use of the active link background and text color\n"
-"settings instead of the link colors from the document."
+"Enable use of the active link background and text color settings instead of "
+"the link colors from the document."
 msgstr ""
 
-#: src/config/options.inc:287
+#: src/config/options.inc:302
 msgid "Bold"
 msgstr ""
 
-#: src/config/options.inc:289
+#: src/config/options.inc:304
 msgid "Make the active link text bold."
 msgstr ""
 
-#: src/config/options.inc:291
+#: src/config/options.inc:306
 #, fuzzy
 msgid "Invert colors"
 msgstr "Textarea"
 
-#: src/config/options.inc:293
+#: src/config/options.inc:308
 msgid "Invert the fore- and background color so the link stands out."
 msgstr ""
 
-#: src/config/options.inc:296 src/config/options.inc:908
+#: src/config/options.inc:311 src/config/options.inc:975
 #: src/dialogs/options.c:231
 msgid "Underline"
 msgstr ""
 
-#: src/config/options.inc:298
+#: src/config/options.inc:313
 msgid "Underline the active link."
 msgstr ""
 
-#: src/config/options.inc:301
+#: src/config/options.inc:316
 msgid "Directory highlighting"
 msgstr ""
 
-#: src/config/options.inc:303
+#: src/config/options.inc:318
 msgid "Highlight links to directories in FTP and local directory listing."
 msgstr ""
 
-#: src/config/options.inc:305
+#: src/config/options.inc:321
 msgid "Number links"
 msgstr ""
 
-#: src/config/options.inc:307
+#: src/config/options.inc:323
 msgid "Display numbers next to the links."
 msgstr ""
 
-#: src/config/options.inc:309
+#: src/config/options.inc:325
 msgid "Handling of target=_blank"
 msgstr ""
 
-#: src/config/options.inc:311
+#: src/config/options.inc:327
 msgid ""
 "Define how to handle links having target=_blank set:\n"
 "0 means open link in current tab\n"
@@ -2536,139 +2539,136 @@ msgid ""
 "3 means open link in new window"
 msgstr ""
 
-#: src/config/options.inc:324
+#: src/config/options.inc:340
 msgid "Use tabindex"
 msgstr ""
 
-#: src/config/options.inc:326
+#: src/config/options.inc:342
 msgid ""
-"Whether to navigate links using tabindex specified ordering.\n"
-"The TABINDEX attribute in HTML elements specifies the order\n"
-"in which links should receive focus when using the keyboard\n"
-"to navigate the document."
+"Whether to navigate links using tabindex specified ordering. The TABINDEX "
+"attribute in HTML elements specifies the order in which links should receive "
+"focus when using the keyboard to navigate the document."
 msgstr ""
 
-#: src/config/options.inc:331
+#: src/config/options.inc:347
 #, fuzzy
 msgid "Missing fragment reporting"
 msgstr "Inga ramar"
 
-#: src/config/options.inc:333
+#: src/config/options.inc:349
 msgid "Open a message box when document has no tag with given id."
 msgstr ""
 
-#: src/config/options.inc:335
+#: src/config/options.inc:352
 msgid "Number keys select links"
 msgstr ""
 
-#: src/config/options.inc:337
+#: src/config/options.inc:354
 msgid ""
-"Number keys select links rather than specify command prefixes. This\n"
-"is a tristate:\n"
+"Number keys select links rather than specify command prefixes. This is a "
+"tristate:\n"
 "0 means never\n"
 "1 means if document.browse.links.numbering = 1\n"
 "2 means always"
 msgstr ""
 
-#: src/config/options.inc:343
+#: src/config/options.inc:360
 msgid "Warn about maliciously crafted URIs"
 msgstr ""
 
-#: src/config/options.inc:345
+#: src/config/options.inc:362
 msgid ""
-"When following a link the user ID part of the URI is\n"
-"checked and if a maliciously crafted URI is detected a\n"
-"warning dialog will ask before following the link."
+"When following a link the user ID part of the URI is checked and if a "
+"maliciously crafted URI is detected a warning dialog will ask before "
+"following the link."
 msgstr ""
 
 #. TODO - this is somehow implemented by ff, but disabled
 #. * for now as it doesn't work.
-#: src/config/options.inc:351
+#: src/config/options.inc:368
 msgid "Wrap-around links cycling"
 msgstr ""
 
 #. 0
-#: src/config/options.inc:353
+#: src/config/options.inc:370
 msgid ""
-"When pressing 'down' on the last link, jump to the first one, and\n"
-"vice versa."
+"When pressing 'down' on the last link, jump to the first one, and vice versa."
 msgstr ""
 
-#: src/config/options.inc:357
+#: src/config/options.inc:374
 msgid "Scrolling"
 msgstr ""
 
-#: src/config/options.inc:359
+#: src/config/options.inc:376
 #, fuzzy
 msgid "Scrolling options."
 msgstr "Terminalalternativ"
 
-#: src/config/options.inc:361
+#: src/config/options.inc:378
 msgid "Horizontal step"
 msgstr ""
 
-#: src/config/options.inc:363
+#: src/config/options.inc:380
 msgid ""
-"Number of columns to scroll when a key bound to scroll-left or scroll-\n"
-"right is pressed and no prefix was given."
+"Number of columns to scroll when a key bound to scroll-left or scroll-right "
+"is pressed and no prefix was given."
 msgstr ""
 
-#: src/config/options.inc:366
+#: src/config/options.inc:384
 msgid "Extended horizontal scrolling"
 msgstr ""
 
-#: src/config/options.inc:368
+#: src/config/options.inc:386
 msgid ""
-"Whether to allow horizontal scrolling when the document\n"
-"does not extend off the screen. Useful for copy/paste\n"
-"operations."
+"Whether to allow horizontal scrolling when the document does not extend off "
+"the screen. Useful for copy/paste operations."
 msgstr ""
 
-#: src/config/options.inc:372
+#: src/config/options.inc:390
 #, fuzzy
 msgid "Margin"
 msgstr "Varning"
 
-#: src/config/options.inc:374
+#: src/config/options.inc:392
 msgid ""
-"Size of the virtual margin - when you click inside of that margin,\n"
-"document scrolls in that direction."
+"Size of the virtual margin - when you click inside of that margin, document "
+"scrolls in that direction."
 msgstr ""
 
-#: src/config/options.inc:377
+#: src/config/options.inc:395
 msgid "Vertical step"
 msgstr ""
 
-#: src/config/options.inc:379
+#: src/config/options.inc:397
 msgid ""
-"Number of lines to scroll when a key bound to scroll-up or scroll-\n"
-"down is pressed and no prefix was given."
+"Number of lines to scroll when a key bound to scroll-up or scroll-down is "
+"pressed and no prefix was given."
 msgstr ""
 
-#: src/config/options.inc:383
+#: src/config/options.inc:401
 #, fuzzy
 msgid "Searching"
 msgstr "Sk"
 
-#: src/config/options.inc:385
+#: src/config/options.inc:403
 msgid "Options for searching."
 msgstr ""
 
-#: src/config/options.inc:387
+#: src/config/options.inc:405
 msgid "Case sensitivity"
 msgstr ""
 
-#: src/config/options.inc:389
+#: src/config/options.inc:407
 msgid ""
-"Whether the search should match the document text while maintaining\n"
-"case sensitivity."
+"Whether the search should match the document text while maintaining case "
+"sensitivity."
 msgstr ""
 
-#: src/config/options.inc:393
+#: src/config/options.inc:411
 msgid "Regular expressions"
 msgstr ""
 
-#: src/config/options.inc:395
+#: src/config/options.inc:413
 msgid ""
 "Enable searching with regular expressions:\n"
 "0 for plain text searching\n"
@@ -2676,31 +2676,31 @@ msgid ""
 "2 for extended regular expression searches"
 msgstr ""
 
-#: src/config/options.inc:401
+#: src/config/options.inc:419
 msgid "Show search hit top or bottom dialogs"
 msgstr ""
 
-#: src/config/options.inc:403
+#: src/config/options.inc:421
 msgid ""
-"Whether to show a dialog when the search hits the top or bottom of the\n"
+"Whether to show a dialog when the search hits the top or bottom of the "
 "document."
 msgstr ""
 
-#: src/config/options.inc:406
+#: src/config/options.inc:424
 #, fuzzy
 msgid "Wraparound"
 msgstr "Bakgrund"
 
-#: src/config/options.inc:408
+#: src/config/options.inc:426
 msgid "Wrap around when searching. Currently only used for typeahead."
 msgstr ""
 
-#: src/config/options.inc:410
+#: src/config/options.inc:429
 #, fuzzy
 msgid "Show not found"
 msgstr "Vrden hittades inte"
 
-#: src/config/options.inc:412
+#: src/config/options.inc:431
 msgid ""
 "How to inform the user when nothing is matched:\n"
 "0 means do nothing\n"
@@ -2708,281 +2708,282 @@ msgid ""
 "2 means pop up message box"
 msgstr ""
 
-#: src/config/options.inc:417
+#: src/config/options.inc:436
 #, fuzzy
 msgid "Typeahead searching"
 msgstr "Felaktig strng"
 
-#: src/config/options.inc:419
+#: src/config/options.inc:438
 msgid ""
-"Start typeahead searching when an unbound key is pressed without\n"
-"any modifiers. Note that most keys have default bindings, so this\n"
-"feature will not be useful unless you unbind them.\n"
+"Start typeahead searching when an unbound key is pressed without any "
+"modifiers. Note that most keys have default bindings, so this feature will "
+"not be useful unless you unbind them.\n"
 "\n"
-"0 disables this feature; typeahead searching will only be used\n"
-"  when you press a key bound to search-typeahead or similar\n"
+"0 disables this feature; typeahead searching will only be\n"
+"  used when you press a key bound to search-typeahead or\n"
+"  similar\n"
 "1 automatically starts typeahead searching thru link text\n"
-"2 automatically starts typeahead searching thru all document text"
+"2 automatically starts typeahead searching thru all document\n"
+"  text"
 msgstr ""
 
-#: src/config/options.inc:428
+#: src/config/options.inc:451
 msgid "Horizontal text margin"
 msgstr ""
 
-#: src/config/options.inc:430
+#: src/config/options.inc:453
 msgid "Horizontal text margin."
 msgstr ""
 
-#: src/config/options.inc:432
+#: src/config/options.inc:455
 msgid "Document meta refresh"
 msgstr ""
 
-#: src/config/options.inc:434
+#: src/config/options.inc:457
 msgid ""
-"Automatically follow document-specified refresh directives ('<meta>\n"
-"refresh' tags). Web-page authors use these to instruct the browser\n"
-"to reload a document at a given interval or to load another page.\n"
-"Regardless of the value the refresh URI is accessible as a link.\n"
-"Use the document.browse.minimum_refresh_time to control the minimum\n"
-"number of seconds a refresh will wait."
+"Automatically follow document-specified refresh directives ('<meta> refresh' "
+"tags). Web-page authors use these to instruct the browser to reload a "
+"document at a given interval or to load another page. Regardless of the "
+"value the refresh URI is accessible as a link.\n"
+"\n"
+"Use the document.browse.minimum_refresh_time to control the minimum number "
+"of seconds a refresh will wait."
 msgstr ""
 
-#: src/config/options.inc:441
+#: src/config/options.inc:466
 msgid "Document meta refresh minimum time"
 msgstr ""
 
-#: src/config/options.inc:443
+#: src/config/options.inc:468
 msgid ""
-"The minimum number of milliseconds that should pass before\n"
-"refreshing. If set to zero the document refresh time is used\n"
-"unchanged. It can fix going back in history for some sites that\n"
-"use refreshing with zero values."
+"The minimum number of milliseconds that should pass before refreshing. If "
+"set to zero the document refresh time is used unchanged. It can fix going "
+"back in history for some sites that use refreshing with zero values."
 msgstr ""
 
-#: src/config/options.inc:448
+#: src/config/options.inc:473
 msgid "Tables navigation order"
 msgstr ""
 
-#: src/config/options.inc:450
+#: src/config/options.inc:475
 msgid "Move by columns in table, instead of rows."
 msgstr ""
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:456
+#: src/config/options.inc:481
 #, fuzzy
 msgid "Cache"
 msgstr "Avbryt"
 
-#: src/config/options.inc:458
+#: src/config/options.inc:483
 #, fuzzy
 msgid "Cache options."
 msgstr "~Spara alternativ"
 
-#: src/config/options.inc:460
+#: src/config/options.inc:485
 msgid "Cache information about redirects"
 msgstr ""
 
-#: src/config/options.inc:462
+#: src/config/options.inc:487
 msgid ""
-"Cache even redirects sent by server (usually thru HTTP by a 302\n"
-"HTTP code and a Location header). This was the original behaviour\n"
-"for quite some time, but it causes problems in a situation very\n"
-"common to various web login systems - frequently, when accessing\n"
-"a certain location, they will redirect you to a login page if they\n"
-"don't receive an auth cookie, the login page then gives you the\n"
-"cookie and redirects you back to the original page, but there you\n"
-"have already cached redirect back to the login page! If this\n"
-"option has value of 0, this malfunction is fixed, but occasionally\n"
-"you may get superfluous (depends on how you take it ;-) requests to\n"
-"the server. If this option has value of 1, experienced users can\n"
-"still workaround it by clever combination of usage of reload,\n"
-"jumping around in session history and hitting ctrl+enter.\n"
-"Note that this option is checked when retrieving the information\n"
-"from cache, not when saving it to cache - thus if you enable\n"
-"it, even previous redirects will be taken from cache instead of\n"
-"asking the server."
+"Cache even redirects sent by server (usually thru HTTP by a 302 HTTP code "
+"and a Location header). This was the original behaviour for quite some time, "
+"but it causes problems in a situation very common to various web login "
+"systems - frequently, when accessing a certain location, they will redirect "
+"you to a login page if they don't receive an auth cookie, the login page "
+"then gives you the cookie and redirects you back to the original page, but "
+"there you have already cached redirect back to the login page! If this "
+"option has value of 0, this malfunction is fixed, but occasionally you may "
+"get superfluous (depends on how you take it ;-) requests to the server. If "
+"this option has value of 1, experienced users can still workaround it by "
+"clever combination of usage of reload, jumping around in session history and "
+"hitting ctrl+enter.\n"
+"\n"
+"Note that this option is checked when retrieving the information from cache, "
+"not when saving it to cache - thus if you enable it, even previous redirects "
+"will be taken from cache instead of asking the server."
 msgstr ""
 
-#: src/config/options.inc:480
+#: src/config/options.inc:508
 msgid "Ignore cache-control info from server"
 msgstr ""
 
-#: src/config/options.inc:482
+#: src/config/options.inc:510
 msgid ""
-"Ignore Cache-Control and Pragma server headers.\n"
-"When set, the document is cached even with 'Cache-Control: no-cache'."
+"Ignore Cache-Control and Pragma server headers. When set, the document is "
+"cached even with 'Cache-Control: no-cache'."
 msgstr ""
 
-#: src/config/options.inc:485
+#: src/config/options.inc:514
 #, fuzzy
 msgid "Formatted documents"
 msgstr "Formatterad dokumentcache"
 
-#: src/config/options.inc:487
+#: src/config/options.inc:516
 msgid "Format cache options."
 msgstr ""
 
-#: src/config/options.inc:489
+#: src/config/options.inc:518
 #, fuzzy
 msgid "Number"
 msgstr "Felaktigt nummer"
 
-#: src/config/options.inc:491
+#: src/config/options.inc:520
 msgid ""
-"Number of cached formatted pages. Do not get too generous\n"
-"here, 'formatted' means that all the accompanying structures\n"
-"are kept in memory so that you get the cached document\n"
-"immediatelly, but these structures may take a lot - 2x the\n"
-"size of the HTML source is probably not unusual, but it can\n"
-"be even more if the document consists of a lot of short lines\n"
-"(padded right, if possible) and links and not much other markup.\n"
-"So if you set this to 256 and then you don't like your ELinks\n"
-"eating 90M, don't come complaining to us. ;-)\n"
-"Also note that the format cache itself is not counted to the\n"
-"memory cache size, but the HTML source of the formatted documents\n"
-"is always cached, even if it is over the memory cache size\n"
-"threshold. (Then of course no other documents can be cached.)"
+"Number of cached formatted pages. Do not get too generous here, 'formatted' "
+"means that all the accompanying structures are kept in memory so that you "
+"get the cached document immediatelly, but these structures may take a lot - "
+"2x the size of the HTML source is probably not unusual, but it can be even "
+"more if the document consists of a lot of short lines (padded right, if "
+"possible) and links and not much other markup. So if you set this to 256 and "
+"then you don't like your ELinks eating 90M, don't come complaining to "
+"us. ;-)\n"
+"\n"
+"Also note that the format cache itself is not counted to the memory cache "
+"size, but the HTML source of the formatted documents is always cached, even "
+"if it is over the memory cache size threshold. (Then of course no other "
+"documents can be cached.)"
 msgstr ""
 
 #. FIXME: Write more.
-#: src/config/options.inc:506
+#: src/config/options.inc:538
 #, fuzzy
 msgid "Revalidation interval"
 msgstr "Sparfel"
 
-#: src/config/options.inc:508
+#: src/config/options.inc:540
 msgid ""
-"Period in seconds that a cache entry is considered to be\n"
-"up-to-date. When a document is loaded and this interval has elapsed\n"
-"since the document was initially loaded or most recently\n"
-"revalidated with the server, the server will be checked in case\n"
-"there is a more up-to-date version of the document.\n"
+"Period in seconds that a cache entry is considered to be up-to-date. When a "
+"document is loaded and this interval has elapsed since the document was "
+"initially loaded or most recently revalidated with the server, the server "
+"will be checked in case there is a more up-to-date version of the document.\n"
 "\n"
 "A value of -1 disables automatic revalidation."
 msgstr ""
 
-#: src/config/options.inc:515 src/dialogs/info.c:199
+#: src/config/options.inc:549 src/dialogs/info.c:199
 msgid "Memory cache"
 msgstr "Minnescache"
 
-#: src/config/options.inc:517
+#: src/config/options.inc:551
 #, fuzzy
 msgid "Memory cache options."
 msgstr "Minnescache"
 
-#: src/config/options.inc:521
+#: src/config/options.inc:555
 #, fuzzy
 msgid "Memory cache size (in bytes)."
 msgstr "Minnescache"
 
-#: src/config/options.inc:525
+#: src/config/options.inc:559
 #, fuzzy
 msgid "Charset"
 msgstr "Teckenuppsttning"
 
-#: src/config/options.inc:527
+#: src/config/options.inc:561
 #, fuzzy
 msgid "Charset options."
 msgstr "~Spara alternativ"
 
-#: src/config/options.inc:529
+#: src/config/options.inc:563
 msgid "Default codepage"
 msgstr ""
 
-#: src/config/options.inc:531
+#: src/config/options.inc:565
 msgid ""
-"Default document codepage. 'System' stands for\n"
-"a codepage determined by a selected locale."
+"Default document codepage. 'System' stands for a codepage determined by a "
+"selected locale."
 msgstr ""
 
-#: src/config/options.inc:534
+#: src/config/options.inc:568
 msgid "Ignore charset info from server"
 msgstr ""
 
-#: src/config/options.inc:536
+#: src/config/options.inc:570
 msgid "Ignore charset info sent by server."
 msgstr ""
 
-#: src/config/options.inc:540
+#: src/config/options.inc:574
 msgid "Default color settings"
 msgstr ""
 
-#: src/config/options.inc:542
+#: src/config/options.inc:576
 msgid "Default document color settings."
 msgstr ""
 
-#: src/config/options.inc:553
+#: src/config/options.inc:587
 msgid "Link color"
 msgstr ""
 
-#: src/config/options.inc:555
+#: src/config/options.inc:589
 msgid "Default link color."
 msgstr ""
 
-#: src/config/options.inc:557
+#: src/config/options.inc:591
 msgid "Visited-link color"
 msgstr ""
 
-#: src/config/options.inc:559
+#: src/config/options.inc:593
 msgid "Default visited link color."
 msgstr ""
 
-#: src/config/options.inc:561
+#: src/config/options.inc:595
 #, fuzzy
 msgid "Image-link color"
 msgstr "Dda bakgrundsupp~kopplingar"
 
-#: src/config/options.inc:563
+#: src/config/options.inc:597
 #, fuzzy
 msgid "Default image link color."
 msgstr "Dda bakgrundsupp~kopplingar"
 
-#: src/config/options.inc:565
+#: src/config/options.inc:599
 msgid "Bookmarked-link color"
 msgstr ""
 
-#: src/config/options.inc:567
+#: src/config/options.inc:601
 #, fuzzy
 msgid "Default bookmarked link color."
 msgstr "Dda bakgrundsupp~kopplingar"
 
-#: src/config/options.inc:569
+#: src/config/options.inc:603
 msgid "Directory color"
 msgstr ""
 
-#: src/config/options.inc:571
+#: src/config/options.inc:605
 msgid ""
 "Default directory color.\n"
+"\n"
 "See document.browse.links.color_dirs option."
 msgstr ""
 
-#: src/config/options.inc:578
+#: src/config/options.inc:613
 msgid "Increase contrast"
 msgstr ""
 
-#: src/config/options.inc:580
+#: src/config/options.inc:615
 msgid ""
-"Increase the contrast between the foreground and background colors\n"
-"to ensure readability. For example it disallows dark colors on a\n"
-"black background. Note, this is different from ensuring the contrast\n"
-"with the ensure_contrast option."
+"Increase the contrast between the foreground and background colors to ensure "
+"readability. For example it disallows dark colors on a black background. "
+"Note, this is different from ensuring the contrast with the ensure_contrast "
+"option."
 msgstr ""
 
-#: src/config/options.inc:585
+#: src/config/options.inc:621
 msgid "Ensure contrast"
 msgstr ""
 
-#: src/config/options.inc:587
+#: src/config/options.inc:623
 msgid "Makes sure that the back- and foreground colors are never equal."
 msgstr ""
 
 #. If you change this please also change ACT_MAIN_DOCUMENT_COLORS action
 #. * handling.
-#: src/config/options.inc:592
+#: src/config/options.inc:628
 msgid "Use document-specified colors"
 msgstr ""
 
-#: src/config/options.inc:594
+#: src/config/options.inc:630
 msgid ""
 "Use colors specified in document:\n"
 "0 is use always the default settings\n"
@@ -2994,40 +2995,40 @@ msgid ""
 msgstr ""
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:607
+#: src/config/options.inc:643
 #, fuzzy
 msgid "Downloading"
 msgstr "Hmta"
 
-#: src/config/options.inc:609
+#: src/config/options.inc:645
 msgid "Options regarding files downloading and handling."
 msgstr ""
 
-#: src/config/options.inc:611
+#: src/config/options.inc:647
 #, fuzzy
 msgid "Default download directory"
 msgstr "Hmtningsfel"
 
-#: src/config/options.inc:613
+#: src/config/options.inc:649
 msgid "Default download directory."
 msgstr ""
 
-#: src/config/options.inc:615
+#: src/config/options.inc:651
 msgid "Set original time"
 msgstr ""
 
-#: src/config/options.inc:617
+#: src/config/options.inc:653
 msgid ""
-"Set the timestamp of each downloaded file to the timestamp\n"
-"stored on the server."
+"Set the timestamp of each downloaded file to the timestamp stored on the "
+"server."
 msgstr ""
 
 #. Does automatic resuming make sense as an option?
-#: src/config/options.inc:621
+#: src/config/options.inc:657
 msgid "Prevent overwriting"
 msgstr ""
 
-#: src/config/options.inc:623
+#: src/config/options.inc:659
 msgid ""
 "Prevent overwriting the local files:\n"
 "0 is files will silently be overwritten\n"
@@ -3035,11 +3036,11 @@ msgid ""
 "2 is ask the user"
 msgstr ""
 
-#: src/config/options.inc:628
+#: src/config/options.inc:664
 msgid "Notify download completion by bell"
 msgstr ""
 
-#: src/config/options.inc:630
+#: src/config/options.inc:666
 msgid ""
 "Audio notification when download is completed:\n"
 "0 is never\n"
@@ -3047,27 +3048,27 @@ msgid ""
 "2 is always"
 msgstr ""
 
-#: src/config/options.inc:636
+#: src/config/options.inc:672
 msgid "Dump output"
 msgstr ""
 
-#: src/config/options.inc:638
+#: src/config/options.inc:674
 msgid "Dump output options."
 msgstr ""
 
 #. OPT_CODEPAGE
-#: src/config/options.inc:640 src/config/options.inc:912
+#: src/config/options.inc:676 src/config/options.inc:980
 #: src/config/opttypes.c:481 src/dialogs/document.c:164
 msgid "Codepage"
 msgstr "teckenuppsttning"
 
-#: src/config/options.inc:642
+#: src/config/options.inc:678
 msgid ""
-"Codepage used in dump output. 'System' stands for\n"
-"a codepage determined by a selected locale."
+"Codepage used in dump output. 'System' stands for a codepage determined by a "
+"selected locale."
 msgstr ""
 
-#: src/config/options.inc:645 src/config/options.inc:878
+#: src/config/options.inc:681 src/config/options.inc:941
 #, fuzzy
 msgid "Color mode"
 msgstr "Frg"
@@ -3077,12 +3078,14 @@ msgstr "Frg"
 #. * an outer list entry after an inner list.
 #. * TRANSLATORS: This restriction applies only to the
 #. * "en" (English) translation.  (See doc/Makefile.)
-#: src/config/options.inc:652
+#: src/config/options.inc:688
 msgid ""
 "Color mode for dumps.\n"
+"\n"
 "Some modes may have been disabled at compile time. The Setup -> Terminal "
 "options dialog lists the modes supported by this executable. If you select "
 "an unsupported mode, ELinks uses 16 colors.\n"
+"\n"
 "The color modes are:\n"
 "-1 is standard dump mode\n"
 "0 is mono mode\n"
@@ -3092,127 +3095,125 @@ msgid ""
 "4 is true color mode"
 msgstr ""
 
-#: src/config/options.inc:665
+#: src/config/options.inc:703
 msgid "Footer"
 msgstr ""
 
-#: src/config/options.inc:667
+#: src/config/options.inc:705
 #, c-format
 msgid "Footer string used in dumps. %u is substituted by URL."
 msgstr ""
 
-#: src/config/options.inc:671
+#: src/config/options.inc:709
 #, c-format
 msgid "Header string used in dumps. %u is substituted by URL."
 msgstr ""
 
-#: src/config/options.inc:673
+#: src/config/options.inc:711
 #, fuzzy
 msgid "Numbering"
 msgstr "Felaktigt nummer"
 
-#: src/config/options.inc:675
+#: src/config/options.inc:713
 msgid "Whether to print link numbers in dump output."
 msgstr ""
 
-#: src/config/options.inc:677
+#: src/config/options.inc:715
 #, fuzzy
 msgid "References"
 msgstr "Resurser"
 
-#: src/config/options.inc:679
-msgid ""
-"Whether to print references (URIs) of document links\n"
-"in dump output."
+#: src/config/options.inc:717
+msgid "Whether to print references (URIs) of document links in dump output."
 msgstr ""
 
-#: src/config/options.inc:682
+#: src/config/options.inc:720
 msgid "Separator"
 msgstr ""
 
-#: src/config/options.inc:684
+#: src/config/options.inc:722
 msgid "String which separates two dumps."
 msgstr ""
 
-#: src/config/options.inc:686
+#: src/config/options.inc:724
 msgid "Width"
 msgstr ""
 
-#: src/config/options.inc:688
+#: src/config/options.inc:726
 msgid "Width of screen in characters when dumping documents."
 msgstr ""
 
-#: src/config/options.inc:692
+#: src/config/options.inc:730
 #, fuzzy
 msgid "History"
 msgstr "~Historik"
 
-#: src/config/options.inc:694
+#: src/config/options.inc:732
 msgid "History options."
 msgstr ""
 
-#: src/config/options.inc:696
+#: src/config/options.inc:734
 #, fuzzy
 msgid "Keep unhistory"
 msgstr "Ingen historik"
 
-#: src/config/options.inc:698
+#: src/config/options.inc:736
 #, fuzzy
 msgid "Keep unhistory (\"forward history\")."
 msgstr "Ingen historik"
 
-#: src/config/options.inc:701
+#: src/config/options.inc:739
 #, fuzzy
 msgid "HTML rendering"
 msgstr "Skickar"
 
-#: src/config/options.inc:703
+#: src/config/options.inc:741
 msgid "Options concerning the display of HTML pages."
 msgstr ""
 
-#: src/config/options.inc:705
+#: src/config/options.inc:743
 #, fuzzy
 msgid "Display frames"
 msgstr "Visa"
 
-#: src/config/options.inc:707
+#: src/config/options.inc:745
 #, fuzzy
 msgid "Display frames."
 msgstr "Visa"
 
-#: src/config/options.inc:709
+#: src/config/options.inc:747
 #, fuzzy
 msgid "Display tables"
 msgstr "Visa"
 
-#: src/config/options.inc:711
+#: src/config/options.inc:749
 #, fuzzy
 msgid "Display tables."
 msgstr "Visa"
 
-#: src/config/options.inc:713
+#: src/config/options.inc:751
 #, fuzzy
 msgid "Display subscripts"
 msgstr "Visa ~usemap"
 
-#: src/config/options.inc:715
+#: src/config/options.inc:753
 msgid "Display subscripts (as [thing])."
 msgstr ""
 
-#: src/config/options.inc:717
+#: src/config/options.inc:755
 #, fuzzy
 msgid "Display superscripts"
 msgstr "Visa ~usemap"
 
-#: src/config/options.inc:719
+#: src/config/options.inc:757
 msgid "Display superscripts (as ^thing)."
 msgstr ""
 
-#: src/config/options.inc:721
+#: src/config/options.inc:759
 msgid "Rendering of HTML link element"
 msgstr ""
 
-#: src/config/options.inc:723
+#: src/config/options.inc:761
 msgid ""
 "How to render <link> tags from the HTML header:\n"
 "0 is nothing\n"
@@ -3223,145 +3224,143 @@ msgid ""
 "5 is everything"
 msgstr ""
 
-#: src/config/options.inc:731
+#: src/config/options.inc:769
 msgid "Underline links"
 msgstr ""
 
-#: src/config/options.inc:733
+#: src/config/options.inc:771
 msgid "Underline links."
 msgstr ""
 
-#: src/config/options.inc:735
+#: src/config/options.inc:773
 msgid "Wrap non breaking space"
 msgstr ""
 
-#: src/config/options.inc:737
+#: src/config/options.inc:775
 msgid ""
-"If set do not honour non breaking space (the nbsp entity)\n"
-"but allow to wrap the text. This can help keeping the width\n"
-"of documents down so no horizontal scrolling is needed."
+"If set do not honour non breaking space (the nbsp entity) but allow to wrap "
+"the text. This can help keeping the width of documents down so no horizontal "
+"scrolling is needed."
 msgstr ""
 
-#: src/config/options.inc:742
+#: src/config/options.inc:780
 #, fuzzy
 msgid "Plain rendering"
 msgstr "Skickar"
 
-#: src/config/options.inc:744
+#: src/config/options.inc:782
 msgid "Options concerning the display of plain text pages."
 msgstr ""
 
-#: src/config/options.inc:746
+#: src/config/options.inc:784
 #, fuzzy
 msgid "Display URIs"
 msgstr "Visa"
 
-#: src/config/options.inc:748
+#: src/config/options.inc:786
 msgid "Display URIs in the document as links."
 msgstr ""
 
-#: src/config/options.inc:750
+#: src/config/options.inc:788
 msgid "Compress empty lines"
 msgstr ""
 
-#: src/config/options.inc:752
+#: src/config/options.inc:790
 msgid "Compress successive empty lines to only one in displayed text."
 msgstr ""
 
-#: src/config/options.inc:755
+#: src/config/options.inc:794
 msgid "URI passing"
 msgstr ""
 
-#: src/config/options.inc:757
+#: src/config/options.inc:796
 msgid ""
-"Rules for passing URIs to external commands. When one rule\n"
-"is defined the link and tab menu will have a menu item that\n"
-"makes it possible to pass the the link, frame or tab URI to\n"
-"an external command. If several rules are defined the link and\n"
-"tab menu will have a submenu of items for each rule. Note, this\n"
-"is mostly useful for launching graphical viewers, since there\n"
-"is no support for releasing the terminal while the command runs.\n"
-"The action and submenus are also available by binding keys to\n"
-"the frame-external-command, the link-external-command, and\n"
-"the tab-external-command actions."
+"Rules for passing URIs to external commands. When one rule is defined the "
+"link and tab menu will have a menu item that makes it possible to pass the "
+"the link, frame or tab URI to an external command. If several rules are "
+"defined the link and tab menu will have a submenu of items for each rule.\n"
+"\n"
+"Note, this is mostly useful for launching graphical viewers, since there is "
+"no support for releasing the terminal while the command runs. The action and "
+"submenus are also available by binding keys to the frame-external-command, "
+"the link-external-command, and the tab-external-command actions."
 msgstr ""
 
-#: src/config/options.inc:770
+#: src/config/options.inc:812
 msgid ""
-"A rule for passing URI to an external command.\n"
-"The format is:\n"
+"A rule for passing URI to an external command. The format is:\n"
 "%c in the string means the current URL\n"
 "%% in the string means '%'\n"
 "Do _not_ put single- or double-quotes around %c."
 msgstr ""
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:780
+#: src/config/options.inc:822
 msgid "Information files"
 msgstr ""
 
-#: src/config/options.inc:782
+#: src/config/options.inc:824
 msgid "Options for information files in ~/.elinks."
 msgstr ""
 
-#: src/config/options.inc:784
+#: src/config/options.inc:826
 #, fuzzy
 msgid "Save interval"
 msgstr "Sparfel"
 
-#: src/config/options.inc:786
+#: src/config/options.inc:828
 msgid ""
-"Interval at which to trigger information files in ~/.elinks\n"
-"to be saved to disk if they have changed (seconds; 0 to disable)"
+"Interval at which to trigger information files in ~/.elinks to be saved to "
+"disk if they have changed (seconds; 0 to disable)"
 msgstr ""
 
-#: src/config/options.inc:789
+#: src/config/options.inc:832
 msgid "Use secure file saving"
 msgstr ""
 
-#: src/config/options.inc:791
+#: src/config/options.inc:834
 msgid ""
-"First write data to unique temporary file, then rename this file\n"
-"upon successfully finishing this. Note that this relates only to\n"
-"config files, not downloaded files. You may want to disable\n"
-"it if you are using some exotic permissions for concerned files.\n"
-"Secure file saving is automagically disabled if file is symlink.\n"
-"Warning: some systems (ie. OS/2, Win32) require that destination\n"
-"file doesn't exist when rename(3) is called, breaking atomicity,\n"
-"and reducing reliability of this feature."
+"First write data to unique temporary file, then rename this file upon "
+"successfully finishing this. Note that this relates only to config files, "
+"not downloaded files. You may want to disable it if you are using some "
+"exotic permissions for concerned files. Secure file saving is automagically "
+"disabled if file is symlink.\n"
+"\n"
+"Warning: some systems (ie. OS/2, Win32) require that destination file "
+"doesn't exist when rename(3) is called, breaking atomicity, and reducing "
+"reliability of this feature."
 msgstr ""
 
-#: src/config/options.inc:800
+#: src/config/options.inc:846
 msgid "Use fsync(3) with secure file saving"
 msgstr ""
 
-#: src/config/options.inc:802
+#: src/config/options.inc:848
 msgid ""
-"When using secure file saving, call fsync(3), if the OS\n"
-"supports it, to force the OS immediately to write the data\n"
-"to permanent storage. This is optional for those who wish\n"
-"to avoid excessive disk I/O."
+"When using secure file saving, call fsync(3), if the OS supports it, to "
+"force the OS immediately to write the data to permanent storage. This is "
+"optional for those who wish to avoid excessive disk I/O."
 msgstr ""
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:811
+#: src/config/options.inc:857
 #, fuzzy
 msgid "Terminals"
 msgstr "Terminalalternativ"
 
-#: src/config/options.inc:813
+#: src/config/options.inc:859
 #, fuzzy
 msgid "Terminal options."
 msgstr "Terminalalternativ"
 
-#: src/config/options.inc:817
+#: src/config/options.inc:863
 msgid "Options specific to this terminal type (according to $TERM value)."
 msgstr ""
 
-#: src/config/options.inc:842
+#: src/config/options.inc:889
 msgid ""
-"Terminal type; matters mostly only when drawing frames and\n"
-"dialog box borders:\n"
+"Terminal type; matters mostly only when drawing frames and dialog box "
+"borders:\n"
 "0 is dumb terminal type, ASCII art\n"
 "1 is VT100, simple but portable\n"
 "2 is Linux, you get double frames and other goodies\n"
@@ -3369,15 +3368,31 @@ msgid ""
 "4 is FreeBSD"
 msgstr ""
 
-#: src/config/options.inc:850 src/dialogs/options.c:227
+#: src/config/options.inc:897
+msgid "Always encode xterm title in ISO-8859-1"
+msgstr ""
+
+#: src/config/options.inc:899
+msgid ""
+"When updating the window title of xterm or a similar terminal emulator, "
+"encode the title in ISO-8859-1 (Latin-1), rather than in the charset used "
+"for other text in the window. Cyrillic and other characters get replaced "
+"with Latin ones. Xterm requires this unless you explicitly enable UTF-8 "
+"titles in it.\n"
+"\n"
+"If this option does not take effect immediately, try switching to a "
+"different page so that ELinks notices it needs to update the title."
+msgstr ""
+
+#: src/config/options.inc:910 src/dialogs/options.c:227
 msgid "Switch fonts for line drawing"
 msgstr ""
 
-#: src/config/options.inc:852
+#: src/config/options.inc:912
 msgid ""
-"Switch fonts when drawing lines, enabling both local characters\n"
-"and lines working at the same time. ELinks uses this option only if\n"
-"UTF-8 I/O is disabled and the terminal type is Linux or FreeBSD."
+"Switch fonts when drawing lines, enabling both local characters and lines "
+"working at the same time. ELinks uses this option only if UTF-8 I/O is "
+"disabled and the terminal type is Linux or FreeBSD."
 msgstr ""
 
 #. When CONFIG_UTF8 is defined, any code that reads the "utf_8_io"
@@ -3385,37 +3400,37 @@ msgstr ""
 #. * and if so, behave as if "utf_8_io" were 1.  (When CONFIG_UTF8 is
 #. * not defined, it should not be possible to set UTF-8 as "codepage";
 #. * please report any such possibilities as bugs.)
-#: src/config/options.inc:861 src/dialogs/options.c:232
+#: src/config/options.inc:922 src/dialogs/options.c:232
 msgid "UTF-8 I/O"
 msgstr ""
 
-#: src/config/options.inc:863
+#: src/config/options.inc:924
 msgid ""
-"Enable I/O in UTF-8 for Unicode terminals. Note that currently,\n"
-"only the subset of UTF-8 according to terminal codepage is used.\n"
-"ELinks ignores this option if the terminal codepage is UTF-8."
+"Enable I/O in UTF-8 for Unicode terminals. Note that currently, only the "
+"subset of UTF-8 according to terminal codepage is used. ELinks ignores this "
+"option if the terminal codepage is UTF-8."
 msgstr ""
 
-#: src/config/options.inc:867 src/dialogs/options.c:228
+#: src/config/options.inc:929 src/dialogs/options.c:228
 msgid "Restrict frames in cp850/852"
 msgstr "Begrnsa ramar i cp850/852"
 
-#: src/config/options.inc:869
+#: src/config/options.inc:931
 msgid ""
-"Restrict the characters used when drawing lines. Makes sense\n"
-"only with linux terminals using the cp850/852 character sets."
+"Restrict the characters used when drawing lines. Makes sense only with linux "
+"terminals using the cp850/852 character sets."
 msgstr ""
 
-#: src/config/options.inc:872 src/dialogs/options.c:229
+#: src/config/options.inc:935 src/dialogs/options.c:229
 #, fuzzy
 msgid "Block cursor"
 msgstr "Fylld markr"
 
-#: src/config/options.inc:874
+#: src/config/options.inc:937
 msgid ""
-"Move cursor to bottom right corner when done drawing.\n"
-"This is particularly useful when we have a block cursor,\n"
-"so that inversed text is displayed correctly."
+"Move cursor to bottom right corner when done drawing. This is particularly "
+"useful when we have a block cursor, so that inversed text is displayed "
+"correctly."
 msgstr ""
 
 #. The list of modes must be at the end of this string
@@ -3423,13 +3438,15 @@ msgstr ""
 #. * an outer list entry after an inner list.
 #. * TRANSLATORS: This restriction applies only to the
 #. * "en" (English) translation.  (See doc/Makefile.)
-#: src/config/options.inc:885
+#: src/config/options.inc:948
 msgid ""
 "The color mode controls what colors are used and how they are output to the "
 "terminal.\n"
+"\n"
 "Some modes may have been disabled at compile time. The Setup -> Terminal "
 "options dialog lists the modes supported by this executable. If you select "
 "an unsupported mode, ELinks uses 16 colors.\n"
+"\n"
 "The color modes are:\n"
 "0 is mono mode, only 2 colors are used\n"
 "1 is 16 color mode, uses the common ANSI colors\n"
@@ -3438,425 +3455,422 @@ msgid ""
 "4 is true color mode, uses konsole RGB codes"
 msgstr ""
 
-#: src/config/options.inc:898 src/dialogs/options.c:230
+#: src/config/options.inc:963 src/dialogs/options.c:230
 msgid "Transparency"
 msgstr ""
 
-#: src/config/options.inc:900
+#: src/config/options.inc:965
 msgid ""
-"If we should not set the background to black. This is particularly\n"
-"useful when we have a terminal (typically in some windowing\n"
-"environment) with a background image or a transparent background -\n"
-"it will be visible in ELinks as well (but ELinks document color handling\n"
-"will still assume the background is black so if you have a bright "
-"background\n"
-"you might experience contrast problems). Note that this option makes\n"
-"sense only when colors are enabled."
+"If we should not set the background to black. This is particularly useful "
+"when we have a terminal (typically in some windowing environment) with a "
+"background image or a transparent background - it will be visible in ELinks "
+"as well (but ELinks document color handling will still assume the background "
+"is black so if you have a bright background you might experience contrast "
+"problems). Note that this option makes sense only when colors are enabled."
 msgstr ""
 
-#: src/config/options.inc:910
+#: src/config/options.inc:977
 msgid "If we should use underline or enhance the color instead."
 msgstr ""
 
-#: src/config/options.inc:914
+#: src/config/options.inc:982
 msgid ""
-"Codepage of charset used for displaying content on terminal.\n"
-"'System' stands for a codepage determined by a selected locale."
+"Codepage of charset used for displaying content on terminal. 'System' stands "
+"for a codepage determined by a selected locale."
 msgstr ""
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:921
+#: src/config/options.inc:990
 msgid "User interface"
 msgstr ""
 
-#: src/config/options.inc:923
+#: src/config/options.inc:992
 #, fuzzy
 msgid "User interface options."
 msgstr "Terminalalternativ"
 
-#: src/config/options.inc:927
+#: src/config/options.inc:996
 msgid "Color settings"
 msgstr ""
 
-#: src/config/options.inc:929
+#: src/config/options.inc:998
 msgid "Default user interface color settings."
 msgstr ""
 
-#: src/config/options.inc:956
+#: src/config/options.inc:1025
 #, fuzzy
 msgid "Color terminals"
 msgstr "~BeOS-terminal"
 
-#: src/config/options.inc:958
+#: src/config/options.inc:1027
 msgid "Color settings for color terminal."
 msgstr ""
 
-#: src/config/options.inc:960
+#: src/config/options.inc:1029
 msgid "Non-color terminals"
 msgstr ""
 
-#: src/config/options.inc:962
+#: src/config/options.inc:1031
 msgid "Color settings for non-color terminal."
 msgstr ""
 
 #. FIXME: obsolete, how to alias them correctly ? --Zas
-#: src/config/options.inc:965
+#: src/config/options.inc:1034
 msgid "Main menu bar"
 msgstr ""
 
-#: src/config/options.inc:967
+#: src/config/options.inc:1036
 msgid "Main menu bar colors."
 msgstr ""
 
-#: src/config/options.inc:969
+#: src/config/options.inc:1038
 msgid "Unselected main menu bar item"
 msgstr ""
 
-#: src/config/options.inc:971
+#: src/config/options.inc:1040
 msgid "Unselected main menu bar item colors."
 msgstr ""
 
-#: src/config/options.inc:973
+#: src/config/options.inc:1042
 msgid "Selected main menu bar item"
 msgstr ""
 
-#: src/config/options.inc:975
+#: src/config/options.inc:1044
 msgid "Selected main menu bar item colors."
 msgstr ""
 
-#: src/config/options.inc:977 src/config/options.inc:1006
+#: src/config/options.inc:1046 src/config/options.inc:1075
 msgid "Hotkey"
 msgstr ""
 
-#: src/config/options.inc:979
+#: src/config/options.inc:1048
 msgid "Main menu hotkey colors."
 msgstr ""
 
-#: src/config/options.inc:981 src/config/options.inc:1010
+#: src/config/options.inc:1050 src/config/options.inc:1079
 msgid "Unselected hotkey"
 msgstr ""
 
-#: src/config/options.inc:983
+#: src/config/options.inc:1052
 msgid "Main menu unselected hotkey colors."
 msgstr ""
 
-#: src/config/options.inc:985 src/config/options.inc:1014
+#: src/config/options.inc:1054 src/config/options.inc:1083
 #, fuzzy
 msgid "Selected hotkey"
 msgstr "Valflt"
 
-#: src/config/options.inc:987
+#: src/config/options.inc:1056
 msgid "Main menu selected hotkey colors."
 msgstr ""
 
-#: src/config/options.inc:990
+#: src/config/options.inc:1059
 msgid "Menu bar"
 msgstr ""
 
-#: src/config/options.inc:992
+#: src/config/options.inc:1061
 msgid "Menu bar colors."
 msgstr ""
 
-#: src/config/options.inc:994
+#: src/config/options.inc:1063
 msgid "Unselected menu item"
 msgstr ""
 
-#: src/config/options.inc:996
+#: src/config/options.inc:1065
 msgid "Unselected menu item colors."
 msgstr ""
 
-#: src/config/options.inc:998
+#: src/config/options.inc:1067
 #, fuzzy
 msgid "Selected menu item"
 msgstr "Valflt"
 
-#: src/config/options.inc:1000
+#: src/config/options.inc:1069
 msgid "Selected menu item colors."
 msgstr ""
 
-#: src/config/options.inc:1002
+#: src/config/options.inc:1071
 #, fuzzy
 msgid "Marked menu item"
 msgstr "Valflt"
 
-#: src/config/options.inc:1004
+#: src/config/options.inc:1073
 msgid "Marked menu item colors."
 msgstr ""
 
-#: src/config/options.inc:1008
+#: src/config/options.inc:1077
 msgid "Menu item hotkey colors."
 msgstr ""
 
-#: src/config/options.inc:1012
+#: src/config/options.inc:1081
 msgid "Menu item unselected hotkey colors."
 msgstr ""
 
-#: src/config/options.inc:1016
+#: src/config/options.inc:1085
 msgid "Menu item selected hotkey colors."
 msgstr ""
 
-#: src/config/options.inc:1018
+#: src/config/options.inc:1087
 #, fuzzy
 msgid "Menu frame"
 msgstr "Inga ramar"
 
-#: src/config/options.inc:1020
+#: src/config/options.inc:1089
 msgid "Menu frame colors."
 msgstr ""
 
-#: src/config/options.inc:1023
+#: src/config/options.inc:1092
 msgid "Dialog"
 msgstr ""
 
-#: src/config/options.inc:1025
+#: src/config/options.inc:1094
 msgid "Dialog colors."
 msgstr ""
 
-#: src/config/options.inc:1035
+#: src/config/options.inc:1104
 msgid "Generic"
 msgstr ""
 
-#: src/config/options.inc:1037
+#: src/config/options.inc:1106
 #, fuzzy
 msgid "Generic dialog colors."
 msgstr "Dda bakgrundsupp~kopplingar"
 
-#: src/config/options.inc:1039
+#: src/config/options.inc:1108
 #, fuzzy
 msgid "Frame"
 msgstr "Namn"
 
-#: src/config/options.inc:1041
+#: src/config/options.inc:1110
 msgid "Dialog frame colors."
 msgstr ""
 
-#: src/config/options.inc:1043
+#: src/config/options.inc:1112
 msgid "Scrollbar"
 msgstr ""
 
-#: src/config/options.inc:1045
+#: src/config/options.inc:1114
 msgid "Scrollbar colors."
 msgstr ""
 
-#: src/config/options.inc:1047
+#: src/config/options.inc:1116
 #, fuzzy
 msgid "Selected scrollbar"
 msgstr "Dda bakgrundsupp~kopplingar"
 
-#: src/config/options.inc:1049
+#: src/config/options.inc:1118
 #, fuzzy
 msgid "Scrollbar selected colors."
 msgstr "Dda bakgrundsupp~kopplingar"
 
-#: src/config/options.inc:1053
+#: src/config/options.inc:1122
 msgid "Dialog title colors."
 msgstr ""
 
-#: src/config/options.inc:1055
+#: src/config/options.inc:1124
 #, fuzzy
 msgid "Text"
 msgstr "Textarea"
 
-#: src/config/options.inc:1057
+#: src/config/options.inc:1126
 msgid "Dialog text colors."
 msgstr ""
 
-#: src/config/options.inc:1059 src/viewer/text/form.c:1862
+#: src/config/options.inc:1128 src/viewer/text/form.c:1891
 msgid "Checkbox"
 msgstr "Kryssruta"
 
-#: src/config/options.inc:1061
+#: src/config/options.inc:1130
 msgid "Dialog checkbox colors."
 msgstr ""
 
-#: src/config/options.inc:1063
+#: src/config/options.inc:1132
 #, fuzzy
 msgid "Selected checkbox"
 msgstr "Valflt"
 
-#: src/config/options.inc:1065
+#: src/config/options.inc:1134
 #, fuzzy
 msgid "Dialog selected checkbox colors."
 msgstr "Dda bakgrundsupp~kopplingar"
 
-#: src/config/options.inc:1067
+#: src/config/options.inc:1136
 #, fuzzy
 msgid "Checkbox label"
 msgstr "Kryssruta"
 
-#: src/config/options.inc:1069
+#: src/config/options.inc:1138
 msgid "Dialog checkbox label colors."
 msgstr ""
 
-#: src/config/options.inc:1071
+#: src/config/options.inc:1140
 msgid "Button"
 msgstr ""
 
-#: src/config/options.inc:1073 src/config/options.inc:1081
+#: src/config/options.inc:1142 src/config/options.inc:1150
 msgid "Dialog button colors."
 msgstr ""
 
-#: src/config/options.inc:1075
+#: src/config/options.inc:1144
 msgid "Selected button"
 msgstr ""
 
-#: src/config/options.inc:1077 src/config/options.inc:1085
+#: src/config/options.inc:1146 src/config/options.inc:1154
 msgid "Dialog selected button colors."
 msgstr ""
 
-#: src/config/options.inc:1079
+#: src/config/options.inc:1148
 msgid "Button shortcut"
 msgstr ""
 
-#: src/config/options.inc:1083
+#: src/config/options.inc:1152
 #, fuzzy
 msgid "Selected button shortcut"
 msgstr "Valflt"
 
-#: src/config/options.inc:1087 src/viewer/text/form.c:1866
+#: src/config/options.inc:1156 src/viewer/text/form.c:1895
 msgid "Text field"
 msgstr "Textflt"
 
-#: src/config/options.inc:1089
+#: src/config/options.inc:1158
 msgid "Dialog text field colors."
 msgstr ""
 
-#: src/config/options.inc:1091
+#: src/config/options.inc:1160
 #, fuzzy
 msgid "Text field text"
 msgstr "Textflt"
 
-#: src/config/options.inc:1093
+#: src/config/options.inc:1162
 msgid "Dialog field text colors."
 msgstr ""
 
-#: src/config/options.inc:1095
+#: src/config/options.inc:1164
 msgid "Meter"
 msgstr ""
 
-#: src/config/options.inc:1097
+#: src/config/options.inc:1166
 msgid "Dialog meter colors."
 msgstr ""
 
-#: src/config/options.inc:1099
+#: src/config/options.inc:1168
 msgid "Shadow"
 msgstr ""
 
-#: src/config/options.inc:1101
+#: src/config/options.inc:1170
 msgid "Dialog shadow colors (see ui.shadows option)."
 msgstr ""
 
-#: src/config/options.inc:1103
+#: src/config/options.inc:1172
 msgid "Title bar"
 msgstr ""
 
-#: src/config/options.inc:1105
+#: src/config/options.inc:1174
 msgid "Title bar colors."
 msgstr ""
 
-#: src/config/options.inc:1107
+#: src/config/options.inc:1176
 msgid "Generic title bar"
 msgstr ""
 
-#: src/config/options.inc:1109
+#: src/config/options.inc:1178
 msgid "Generic title bar colors."
 msgstr ""
 
-#: src/config/options.inc:1111
+#: src/config/options.inc:1180
 msgid "Title bar text"
 msgstr ""
 
-#: src/config/options.inc:1113
+#: src/config/options.inc:1182
 msgid "Title bar text colors."
 msgstr ""
 
-#: src/config/options.inc:1116
+#: src/config/options.inc:1185
 msgid "Status bar"
 msgstr ""
 
-#: src/config/options.inc:1118
+#: src/config/options.inc:1187
 msgid "Status bar colors."
 msgstr ""
 
-#: src/config/options.inc:1120
+#: src/config/options.inc:1189
 msgid "Generic status bar"
 msgstr ""
 
-#: src/config/options.inc:1122
+#: src/config/options.inc:1191
 msgid "Generic status bar colors."
 msgstr ""
 
-#: src/config/options.inc:1124
+#: src/config/options.inc:1193
 #, fuzzy
 msgid "Status bar text"
 msgstr "Sk efter text"
 
-#: src/config/options.inc:1126
+#: src/config/options.inc:1195
 msgid "Status bar text colors."
 msgstr ""
 
-#: src/config/options.inc:1129
+#: src/config/options.inc:1198
 msgid "Tabs bar"
 msgstr ""
 
-#: src/config/options.inc:1131
+#: src/config/options.inc:1200
 msgid "Tabs bar colors."
 msgstr ""
 
-#: src/config/options.inc:1133
+#: src/config/options.inc:1202
 #, fuzzy
 msgid "Unvisited tab"
 msgstr "Valflt"
 
-#: src/config/options.inc:1135
+#: src/config/options.inc:1204
 msgid ""
-"Tab colors for tabs that have not been\n"
-"selected since they completed loading."
+"Tab colors for tabs that have not been selected since they completed loading."
 msgstr ""
 
-#: src/config/options.inc:1138
+#: src/config/options.inc:1207
 #, fuzzy
 msgid "Unselected tab"
 msgstr "Valflt"
 
-#: src/config/options.inc:1140
+#: src/config/options.inc:1209
 #, fuzzy
 msgid "Unselected tab colors."
 msgstr "Dda bakgrundsupp~kopplingar"
 
-#: src/config/options.inc:1142
+#: src/config/options.inc:1211
 #, fuzzy
 msgid "Loading tab"
 msgstr "laddar"
 
-#: src/config/options.inc:1144
+#: src/config/options.inc:1213
 msgid "Tab colors for tabs that are loading in the background."
 msgstr ""
 
-#: src/config/options.inc:1146
+#: src/config/options.inc:1215
 #, fuzzy
 msgid "Selected tab"
 msgstr "Valflt"
 
-#: src/config/options.inc:1148
+#: src/config/options.inc:1217
 #, fuzzy
 msgid "Selected tab colors."
 msgstr "Dda bakgrundsupp~kopplingar"
 
-#: src/config/options.inc:1150
+#: src/config/options.inc:1219
 msgid "Tab separator"
 msgstr ""
 
-#: src/config/options.inc:1152
+#: src/config/options.inc:1221
 msgid "Tab separator colors."
 msgstr ""
 
-#: src/config/options.inc:1155
+#: src/config/options.inc:1224
 #, fuzzy
 msgid "Searched strings"
 msgstr "Felaktig strng"
 
-#: src/config/options.inc:1157
+#: src/config/options.inc:1226
 #, fuzzy
 msgid "Searched string highlight colors."
 msgstr "Skstrng ej hittad"
@@ -3865,69 +3879,69 @@ msgstr "Skstrng ej hittad"
 #. ============= BORING PART (colors) END ===================
 #. ==========================================================
 #. Keep options in alphabetical order.
-#: src/config/options.inc:1166
+#: src/config/options.inc:1235
 msgid "Dialog settings"
 msgstr ""
 
-#: src/config/options.inc:1168
+#: src/config/options.inc:1237
 msgid "Dialogs-specific appearance and behaviour settings."
 msgstr ""
 
-#: src/config/options.inc:1171
+#: src/config/options.inc:1240
 msgid "Minimal height of listbox widget"
 msgstr ""
 
-#: src/config/options.inc:1173
+#: src/config/options.inc:1242
 msgid ""
-"Minimal height of the listbox widget (used e.g. for bookmarks\n"
-"or global history)."
+"Minimal height of the listbox widget (used e.g. for bookmarks or global "
+"history)."
 msgstr ""
 
-#: src/config/options.inc:1176
+#: src/config/options.inc:1245
 msgid "Drop shadows"
 msgstr ""
 
-#: src/config/options.inc:1178
+#: src/config/options.inc:1247
 msgid ""
-"Make dialogs drop shadows (the shadows are solid, you can\n"
-"adjust their color by ui.colors.*.dialog.shadow). You may\n"
-"also want to eliminate the wide borders by adjusting setup.h."
+"Make dialogs drop shadows (the shadows are solid, you can adjust their color "
+"by ui.colors.*.dialog.shadow). You may also want to eliminate the wide "
+"borders by adjusting setup.h."
 msgstr ""
 
-#: src/config/options.inc:1182
+#: src/config/options.inc:1252
 #, fuzzy
 msgid "Underline menu hotkeys"
 msgstr "Valflt"
 
-#: src/config/options.inc:1184
+#: src/config/options.inc:1254
 msgid ""
-"Whether to underline hotkeys in menus to make them more\n"
-"visible. Requires that underlining is enabled for the terminal."
+"Whether to underline hotkeys in menus to make them more visible. Requires "
+"that underlining is enabled for the terminal."
 msgstr ""
 
-#: src/config/options.inc:1187
+#: src/config/options.inc:1258
 #, fuzzy
 msgid "Underline button shortcuts"
 msgstr "Valflt"
 
-#: src/config/options.inc:1189
+#: src/config/options.inc:1260
 msgid ""
-"Whether to underline button shortcuts to make them more\n"
-"visible. Requires that underlining is enabled for the terminal."
+"Whether to underline button shortcuts to make them more visible. Requires "
+"that underlining is enabled for the terminal."
 msgstr ""
 
-#: src/config/options.inc:1193
+#: src/config/options.inc:1265
 #, fuzzy
 msgid "Timer options"
 msgstr "Terminalalternativ"
 
-#: src/config/options.inc:1195
+#: src/config/options.inc:1267
 msgid ""
-"Timed action after certain interval of user inactivity. Someone can\n"
-"even find this useful, although you may not believe that."
+"Timed action after certain interval of user inactivity. Someone can even "
+"find this useful, although you may not believe that."
 msgstr ""
 
-#: src/config/options.inc:1201
+#: src/config/options.inc:1274
 msgid ""
 "Whether to enable the timer or not:\n"
 "0 is don't count down anything\n"
@@ -3935,7 +3949,7 @@ msgid ""
 "2 is count down and show the timer near LEDs"
 msgstr ""
 
-#: src/config/options.inc:1208
+#: src/config/options.inc:1281
 msgid ""
 "Whether to enable the timer or not:\n"
 "0 is don't count down anything\n"
@@ -3943,35 +3957,35 @@ msgid ""
 "2 is count down and show the timer near LEDs (DISABLED)"
 msgstr ""
 
-#: src/config/options.inc:1214
+#: src/config/options.inc:1287
 msgid "Duration"
 msgstr ""
 
-#: src/config/options.inc:1216
+#: src/config/options.inc:1289
 msgid ""
-"Inactivity timeout in seconds. The maximum of one day\n"
-"should be enough for just everyone (TM)."
+"Inactivity timeout in seconds. The maximum of one day should be enough for "
+"just everyone (TM)."
 msgstr ""
 
-#: src/config/options.inc:1221
+#: src/config/options.inc:1294
 msgid "Keybinding action to be triggered when timer reaches zero."
 msgstr ""
 
-#: src/config/options.inc:1224
+#: src/config/options.inc:1298
 #, fuzzy
 msgid "Window tabs"
 msgstr "Fnster"
 
-#: src/config/options.inc:1226
+#: src/config/options.inc:1300
 msgid "Window tabs settings."
 msgstr ""
 
-#: src/config/options.inc:1228
+#: src/config/options.inc:1302
 #, fuzzy
 msgid "Display tabs bar"
 msgstr "Visa ~usemap"
 
-#: src/config/options.inc:1230
+#: src/config/options.inc:1304
 msgid ""
 "Show tabs bar on the screen:\n"
 "0 means never\n"
@@ -3979,170 +3993,169 @@ msgid ""
 "2 means always"
 msgstr ""
 
-#: src/config/options.inc:1235
+#: src/config/options.inc:1309
 msgid "Tab bar at top"
 msgstr ""
 
-#: src/config/options.inc:1237
+#: src/config/options.inc:1311
 msgid "Whether display tab bar at top like other browsers do."
 msgstr ""
 
-#: src/config/options.inc:1239
+#: src/config/options.inc:1313
 msgid "Wrap-around tabs cycling"
 msgstr ""
 
-#: src/config/options.inc:1241
+#: src/config/options.inc:1315
 msgid ""
-"When moving right from the last tab, jump to the first one, and\n"
-"vice versa."
+"When moving right from the last tab, jump to the first one, and vice versa."
 msgstr ""
 
-#: src/config/options.inc:1244
+#: src/config/options.inc:1318
 msgid "Confirm tab closing"
 msgstr ""
 
-#: src/config/options.inc:1246
+#: src/config/options.inc:1320
 msgid "When closing a tab show confirmation dialog."
 msgstr ""
 
 #. OPT_LANGUAGE
-#: src/config/options.inc:1250 src/config/opttypes.c:483
+#: src/config/options.inc:1324 src/config/opttypes.c:483
 msgid "Language"
 msgstr ""
 
-#: src/config/options.inc:1252
+#: src/config/options.inc:1326
 msgid ""
-"Language of user interface. 'System' means that the language will\n"
-"be extracted from the environment dynamically."
+"Language of user interface. 'System' means that the language will be "
+"extracted from the environment dynamically."
 msgstr ""
 
-#: src/config/options.inc:1255
+#: src/config/options.inc:1330
 #, fuzzy
 msgid "Display menu bar always"
 msgstr "Visa ~usemap"
 
-#: src/config/options.inc:1257
+#: src/config/options.inc:1332
 msgid "Always show menu bar on the screen."
 msgstr ""
 
-#: src/config/options.inc:1259
+#: src/config/options.inc:1334
 #, fuzzy
 msgid "Display status bar"
 msgstr "Visa ~usemap"
 
-#: src/config/options.inc:1261
+#: src/config/options.inc:1336
 msgid "Show status bar on the screen."
 msgstr ""
 
-#: src/config/options.inc:1263
+#: src/config/options.inc:1338
 #, fuzzy
 msgid "Display title bar"
 msgstr "Visa ~usemap"
 
-#: src/config/options.inc:1265
+#: src/config/options.inc:1340
 msgid "Show title bar on the screen."
 msgstr ""
 
-#: src/config/options.inc:1267
+#: src/config/options.inc:1342
 msgid "Display goto dialog in new tabs"
 msgstr ""
 
-#: src/config/options.inc:1269
+#: src/config/options.inc:1344
 msgid ""
-"Pop up goto dialog in newly created tabs when there's no homepage\n"
-"set. This means also showing goto dialog on startup."
+"Pop up goto dialog in newly created tabs when there's no homepage set. This "
+"means also showing goto dialog on startup."
 msgstr ""
 
-#: src/config/options.inc:1272
+#: src/config/options.inc:1348
 msgid "Show a message box when file is saved successfully"
 msgstr ""
 
-#: src/config/options.inc:1274
+#: src/config/options.inc:1350
 msgid ""
-"When you pressed a [ Save ] button in some manager, this option\n"
-"will make sure that a box confirming success of the operation will\n"
-"pop up."
+"When you pressed a [ Save ] button in some manager, this option will make "
+"sure that a box confirming success of the operation will pop up."
 msgstr ""
 
-#: src/config/options.inc:1279
+#: src/config/options.inc:1355
 #, fuzzy
 msgid "Sessions"
 msgstr "ndelse(r)"
 
-#: src/config/options.inc:1281
+#: src/config/options.inc:1357
 msgid "Sessions settings."
 msgstr ""
 
-#: src/config/options.inc:1283
+#: src/config/options.inc:1359
 msgid "Keep session active"
 msgstr ""
 
-#: src/config/options.inc:1285
+#: src/config/options.inc:1361
 msgid "Keep the session active even if the last terminal exits."
 msgstr ""
 
-#: src/config/options.inc:1287
+#: src/config/options.inc:1364
 msgid "Auto save session"
 msgstr ""
 
-#: src/config/options.inc:1289
+#: src/config/options.inc:1366
 msgid ""
 "Automatically save the session when quitting.\n"
+"\n"
 "This feature requires bookmark support."
 msgstr ""
 
-#: src/config/options.inc:1292
+#: src/config/options.inc:1370
 msgid "Auto restore session"
 msgstr ""
 
-#: src/config/options.inc:1294
+#: src/config/options.inc:1372
 msgid ""
 "Automatically restore the session at start.\n"
+"\n"
 "This feature requires bookmark support."
 msgstr ""
 
-#: src/config/options.inc:1297
+#: src/config/options.inc:1376
 msgid "Auto save and restore session folder name"
 msgstr ""
 
-#: src/config/options.inc:1299
+#: src/config/options.inc:1378
 msgid ""
-"Name of the bookmarks folder used for auto saving and restoring session.\n"
-"The name has to be unique. Any folders with the same name will be deleted.\n"
+"Name of the bookmarks folder used for auto saving and restoring session. The "
+"name has to be unique. Any folders with the same name will be deleted.\n"
+"\n"
 "This only makes sense with bookmark support."
 msgstr ""
 
-#: src/config/options.inc:1303
+#: src/config/options.inc:1384
 #, fuzzy
 msgid "Homepage URI"
 msgstr "teckenuppsttning"
 
-#: src/config/options.inc:1305
+#: src/config/options.inc:1386
 msgid ""
-"The URI to load either at startup time when no URI was given\n"
-"on the command line or when requested by the goto-url-home action.\n"
-"Set to \"\" if the environment variable WWW_HOME should be used\n"
-"as homepage URI instead."
+"The URI to load either at startup time when no URI was given on the command "
+"line or when requested by the goto-url-home action. Set to \"\" if the "
+"environment variable WWW_HOME should be used as homepage URI instead."
 msgstr ""
 
-#: src/config/options.inc:1311
+#: src/config/options.inc:1392
 #, fuzzy
 msgid "Date format"
 msgstr "Filsndning"
 
-#: src/config/options.inc:1313
+#: src/config/options.inc:1394
 msgid "Date format to use in dialogs. See strftime(3)."
 msgstr ""
 
-#: src/config/options.inc:1316
+#: src/config/options.inc:1397
 msgid "Set window title"
 msgstr ""
 
-#: src/config/options.inc:1318
+#: src/config/options.inc:1399
 msgid ""
-"Set the window title when running in a windowing environment\n"
-"in an xterm-like terminal. This way the document's title is\n"
-"shown on the window titlebar."
+"Set the window title when running in a windowing environment in an xterm-"
+"like terminal. This way the document's title is shown on the window titlebar."
 msgstr ""
 
 #: src/config/opttypes.c:54
@@ -4229,7 +4242,7 @@ msgid "Goto URL History"
 msgstr "Ingen historik"
 
 #. name:
-#: src/cookies/cookies.c:88 src/cookies/cookies.c:911
+#: src/cookies/cookies.c:88 src/cookies/cookies.c:913
 msgid "Cookies"
 msgstr ""
 
@@ -4259,10 +4272,10 @@ msgstr "Kopplar upp"
 msgid ""
 "Cookie maximum age (in days):\n"
 "-1 is use cookie's expiration date if any\n"
-"0  is force expiration at the end of session, ignoring cookie's\n"
-"   expiration date\n"
-"1+ is use cookie's expiration date, but limit age to the given\n"
-"   number of days"
+"0  is force expiration at the end of session, ignoring\n"
+"   cookie's expiration date\n"
+"1+ is use cookie's expiration date, but limit age to the\n"
+"   given number of days"
 msgstr ""
 
 #: src/cookies/cookies.c:109
@@ -4271,42 +4284,42 @@ msgstr ""
 
 #: src/cookies/cookies.c:111
 msgid ""
-"When enabled, we'll require three dots in cookies domain for all\n"
-"non-international domains (instead of just two dots). Some countries\n"
-"have generic second level domains (eg. .com.pl, .co.uk) and allowing\n"
-"sites to set cookies for these generic domains could potentially be\n"
-"very bad. Note, it is off by default as it breaks a lot of sites."
+"When enabled, we'll require three dots in cookies domain for all non-"
+"international domains (instead of just two dots). Some countries have "
+"generic second level domains (eg. .com.pl, .co.uk) and allowing sites to set "
+"cookies for these generic domains could potentially be very bad. Note, it is "
+"off by default as it breaks a lot of sites."
 msgstr ""
 
-#: src/cookies/cookies.c:117
+#: src/cookies/cookies.c:118
 #, fuzzy
 msgid "Saving"
 msgstr "medel"
 
-#: src/cookies/cookies.c:119
+#: src/cookies/cookies.c:120
 msgid "Whether cookies should be loaded from and saved to disk."
 msgstr ""
 
-#: src/cookies/cookies.c:121
+#: src/cookies/cookies.c:123
 msgid "Resaving"
 msgstr ""
 
-#: src/cookies/cookies.c:123
+#: src/cookies/cookies.c:125
 msgid ""
-"Save cookies after each change in cookies list? No effect when\n"
-"cookie saving (cookies.save) is off."
+"Save cookies after each change in cookies list? No effect when cookie saving "
+"(cookies.save) is off."
 msgstr ""
 
-#: src/cookies/cookies.c:817
+#: src/cookies/cookies.c:819
 #, fuzzy
 msgid "Cannot save cookies"
 msgstr "Fel vid skrivning till fil"
 
-#: src/cookies/cookies.c:828
+#: src/cookies/cookies.c:830
 msgid "ELinks was started without a home directory."
 msgstr ""
 
-#: src/cookies/cookies.c:834
+#: src/cookies/cookies.c:836
 msgid "ELinks was started with the -anonymous option."
 msgstr ""
 
@@ -4521,7 +4534,7 @@ msgid "No header info."
 msgstr ""
 
 #: src/dialogs/download.c:243 src/dialogs/menu.c:601
-#: src/protocol/bittorrent/dialogs.c:228 src/session/download.c:361
+#: src/protocol/bittorrent/dialogs.c:228 src/session/download.c:387
 msgid "Download"
 msgstr "Hmta"
 
@@ -5379,7 +5392,7 @@ msgid "No document"
 msgstr "dokument"
 
 #. name:
-#: src/document/css/css.c:30 src/document/css/css.c:161
+#: src/document/css/css.c:30 src/document/css/css.c:164
 msgid "Cascading Style Sheets"
 msgstr ""
 
@@ -5387,36 +5400,36 @@ msgstr ""
 msgid "Options concerning how to use CSS for styling documents."
 msgstr ""
 
-#: src/document/css/css.c:34
+#: src/document/css/css.c:35
 #, fuzzy
 msgid "Enable CSS"
 msgstr "Namn"
 
-#: src/document/css/css.c:36
+#: src/document/css/css.c:37
 msgid "Enable adding of CSS style info to documents."
 msgstr ""
 
-#: src/document/css/css.c:38
+#: src/document/css/css.c:39
 msgid "Import external style sheets"
 msgstr ""
 
-#: src/document/css/css.c:40
+#: src/document/css/css.c:41
 msgid ""
-"When enabled any external style sheets that are imported from\n"
-"either CSS itself using the @import keyword or from the HTML using\n"
-"<link> tags in the document header will also be downloaded."
+"When enabled any external style sheets that are imported from either CSS "
+"itself using the @import keyword or from the HTML using <link> tags in the "
+"document header will also be downloaded."
 msgstr ""
 
-#: src/document/css/css.c:44
+#: src/document/css/css.c:46
 msgid "Default style sheet"
 msgstr ""
 
-#: src/document/css/css.c:46
+#: src/document/css/css.c:48
 msgid ""
-"The path to the file containing the default user defined\n"
-"Cascading Style Sheet. It can be used to control the basic\n"
-"layout of HTML documents. The path is assumed to be relative\n"
-"to ELinks' home directory.\n"
+"The path to the file containing the default user defined Cascading Style "
+"Sheet. It can be used to control the basic layout of HTML documents. The "
+"path is assumed to be relative to ELinks' home directory.\n"
+"\n"
 "Leave as \"\" to use built-in document styling."
 msgstr ""
 
@@ -5448,8 +5461,8 @@ msgstr ""
 
 #: src/ecmascript/ecmascript.c:55
 msgid ""
-"Whether to ignore content enclosed by the <noscript> tag\n"
-"when ECMAScript is enabled."
+"Whether to ignore content enclosed by the <noscript> tag when ECMAScript is "
+"enabled."
 msgstr ""
 
 #: src/ecmascript/ecmascript.c:58
@@ -5501,7 +5514,7 @@ msgid "JavaScript Error"
 msgstr ""
 
 #. name:
-#: src/ecmascript/spidermonkey.c:320
+#: src/ecmascript/spidermonkey.c:321
 msgid "SpiderMonkey"
 msgstr ""
 
@@ -5599,9 +5612,8 @@ msgstr "Terminalalternativ"
 
 #: src/formhist/formhist.c:38
 msgid ""
-"Ask if a login form should be saved to file or not.\n"
-"This option only disables the dialog, already saved login\n"
-"forms are unaffected."
+"Ask if a login form should be saved to file or not. This option only "
+"disables the dialog, already saved login forms are unaffected."
 msgstr ""
 
 #: src/formhist/formhist.c:426
@@ -5703,20 +5715,20 @@ msgstr ""
 msgid "Enable global history (\"history of all pages visited\")."
 msgstr ""
 
-#: src/globhist/globhist.c:68
+#: src/globhist/globhist.c:69
 msgid "Maximum number of entries"
 msgstr ""
 
-#: src/globhist/globhist.c:70
+#: src/globhist/globhist.c:71
 msgid "Maximum number of entries in the global history."
 msgstr ""
 
-#: src/globhist/globhist.c:72
+#: src/globhist/globhist.c:73
 #, fuzzy
 msgid "Display style"
 msgstr "Visa ~usemap"
 
-#: src/globhist/globhist.c:74
+#: src/globhist/globhist.c:75
 msgid ""
 "What to display in global history dialog:\n"
 "0 is URLs\n"
@@ -5724,7 +5736,7 @@ msgid ""
 msgstr ""
 
 #. name:
-#: src/globhist/globhist.c:451
+#: src/globhist/globhist.c:449
 #, fuzzy
 msgid "Global History"
 msgstr "Ingen historik"
@@ -5953,101 +5965,95 @@ msgstr ""
 
 #: src/mime/backend/default.c:27
 msgid ""
-"Handler <-> MIME type association. The first sub-tree is the MIME\n"
-"class while the second sub-tree is the MIME type (ie. image/gif\n"
-"handler will reside at mime.type.image.gif). Each MIME type option\n"
-"should contain (case-sensitive) name of the MIME handler (its\n"
-"properties are stored at mime.handler.<name>)."
+"Handler <-> MIME type association. The first sub-tree is the MIME class "
+"while the second sub-tree is the MIME type (ie. image/gif handler will "
+"reside at mime.type.image.gif). Each MIME type option should contain (case-"
+"sensitive) name of the MIME handler (its properties are stored at mime."
+"handler.<name>)."
 msgstr ""
 
-#: src/mime/backend/default.c:35
+#: src/mime/backend/default.c:36
 msgid ""
-"Handler matching this MIME-type class ('*' is used here in place\n"
-"of '.')."
+"Handler matching this MIME-type class ('*' is used here in place of '.')."
 msgstr ""
 
-#: src/mime/backend/default.c:40
+#: src/mime/backend/default.c:41
 msgid ""
-"Handler matching this MIME-type name ('*' is used here in place\n"
-"of '.')."
+"Handler matching this MIME-type name ('*' is used here in place of '.')."
 msgstr ""
 
-#: src/mime/backend/default.c:44
+#: src/mime/backend/default.c:45
 msgid "File type handlers"
 msgstr ""
 
-#: src/mime/backend/default.c:46
+#: src/mime/backend/default.c:47
 msgid ""
-"A file type handler is a set of information about how to use\n"
-"an external program to view a file. It is possible to refer to it\n"
-"for several MIME types -- e.g., you can define an 'image' handler\n"
-"to which mime.type.image.png, mime.type.image.jpeg, and so on will\n"
-"refer; or one might define a handler for a more specific type of file\n"
-"-- e.g., PDF files.\n"
-"Note you must define both a MIME handler and a MIME type association\n"
-"for it to work."
+"A file type handler is a set of information about how to use an external "
+"program to view a file. It is possible to refer to it for several MIME types "
+"-- e.g., you can define an 'image' handler to which mime.type.image.png, "
+"mime.type.image.jpeg, and so on will refer; or one might define a handler "
+"for a more specific type of file -- e.g., PDF files. Note you must define "
+"both a MIME handler and a MIME type association for it to work."
 msgstr ""
 
-#: src/mime/backend/default.c:57
+#: src/mime/backend/default.c:58
 msgid "Description of this handler."
 msgstr ""
 
-#: src/mime/backend/default.c:61
+#: src/mime/backend/default.c:62
 msgid "System-specific handler description (ie. unix, unix-xwin, ...)."
 msgstr ""
 
-#: src/mime/backend/default.c:63 src/mime/backend/mailcap.c:102
+#: src/mime/backend/default.c:65 src/mime/backend/mailcap.c:102
 msgid "Ask before opening"
 msgstr ""
 
-#: src/mime/backend/default.c:65
+#: src/mime/backend/default.c:67
 msgid "Ask before opening."
 msgstr ""
 
-#: src/mime/backend/default.c:67
+#: src/mime/backend/default.c:69
 #, fuzzy
 msgid "Block terminal"
 msgstr "~BeOS-terminal"
 
-#: src/mime/backend/default.c:69
+#: src/mime/backend/default.c:71
 msgid "Block the terminal when the handler is running."
 msgstr ""
 
-#: src/mime/backend/default.c:71
+#: src/mime/backend/default.c:73
 #, fuzzy
 msgid "Program"
 msgstr "Inget program"
 
-#: src/mime/backend/default.c:74
+#: src/mime/backend/default.c:76
 #, no-c-format
 msgid ""
-"External viewer for this file type. '%' in this string will be\n"
-"substituted by a file name.\n"
-"Do _not_ put single- or double-quotes around the % sign."
+"External viewer for this file type. '%' in this string will be substituted "
+"by a file name. Do _not_ put single- or double-quotes around the % sign."
 msgstr ""
 
-#: src/mime/backend/default.c:79
+#: src/mime/backend/default.c:81
 #, fuzzy
 msgid "File extension associations"
 msgstr "Filnd~elser"
 
-#: src/mime/backend/default.c:81
+#: src/mime/backend/default.c:83
 msgid "Extension <-> MIME type association."
 msgstr ""
 
-#: src/mime/backend/default.c:85
+#: src/mime/backend/default.c:87
 msgid ""
-"MIME-type matching this file extension ('*' is used here in place\n"
-"of '.')."
+"MIME-type matching this file extension ('*' is used here in place of '.')."
 msgstr ""
 
 #. name:
-#: src/mime/backend/default.c:216
+#: src/mime/backend/default.c:218
 msgid "Option system"
 msgstr ""
 
 #. name:
-#: src/mime/backend/mailcap.c:89 src/mime/backend/mailcap.c:684
+#: src/mime/backend/mailcap.c:89 src/mime/backend/mailcap.c:686
 msgid "Mailcap"
 msgstr ""
 
@@ -6061,8 +6067,8 @@ msgstr ""
 
 #: src/mime/backend/mailcap.c:99
 msgid ""
-"Mailcap search path. Colon-separated list of files.\n"
-"Leave as \"\" to use MAILCAP environment variable instead."
+"Mailcap search path. Colon-separated list of files. Leave as \"\" to use "
+"MAILCAP environment variable instead."
 msgstr ""
 
 #: src/mime/backend/mailcap.c:104
@@ -6075,39 +6081,38 @@ msgstr ""
 
 #: src/mime/backend/mailcap.c:108
 msgid ""
-"Type of description to show in \"what to do with this file\"\n"
-"query dialog:\n"
+"Type of description to show in \"what to do with this file\" query dialog:\n"
 "0 is show \"mailcap\"\n"
 "1 is show program to be run\n"
-"2 is show mailcap description field if any; \"mailcap\" otherwise"
+"2 is show mailcap description field if any;\n"
+"     \"mailcap\" otherwise"
 msgstr ""
 
-#: src/mime/backend/mailcap.c:114
+#: src/mime/backend/mailcap.c:115
 msgid "Prioritize entries by file"
 msgstr ""
 
-#: src/mime/backend/mailcap.c:116
+#: src/mime/backend/mailcap.c:117
 msgid ""
-"Prioritize entries by the order of the files in the mailcap\n"
-"path. This means that wildcard entries (like: image/*) will\n"
-"also be checked before deciding the handler."
+"Prioritize entries by the order of the files in the mailcap path. This means "
+"that wildcard entries (like: image/*) will also be checked before deciding "
+"the handler."
 msgstr ""
 
-#: src/mime/backend/mailcap.c:349
+#: src/mime/backend/mailcap.c:351
 #, c-format
 msgid "Badly formated mailcap entry for type %s in \"%s\" line %d"
 msgstr ""
 
 #. name:
-#: src/mime/backend/mimetypes.c:46 src/mime/backend/mimetypes.c:279
+#: src/mime/backend/mimetypes.c:46 src/mime/backend/mimetypes.c:280
 msgid "Mimetypes files"
 msgstr ""
 
 #: src/mime/backend/mimetypes.c:48
 msgid ""
-"Options for the support of mime.types files. These files\n"
-"can be used to find the content type of a URL by looking at\n"
-"the extension of the file name."
+"Options for the support of mime.types files. These files can be used to find "
+"the content type of a URL by looking at the extension of the file name."
 msgstr ""
 
 #: src/mime/backend/mimetypes.c:54
@@ -6144,7 +6149,7 @@ msgid "No extensions"
 msgstr "Inga ndelser"
 
 #. name:
-#: src/mime/mime.c:38 src/mime/mime.c:360
+#: src/mime/mime.c:38 src/mime/mime.c:361
 msgid "MIME"
 msgstr ""
 
@@ -6158,8 +6163,8 @@ msgstr ""
 
 #: src/mime/mime.c:44
 msgid ""
-"Document MIME-type to assume by default (when we are unable to\n"
-"guess it properly from known information about the document)."
+"Document MIME-type to assume by default (when we are unable to guess it "
+"properly from known information about the document)."
 msgstr ""
 
 #: src/network/ssl/ssl.c:72 src/network/ssl/ssl.c:161
@@ -6168,8 +6173,8 @@ msgstr ""
 
 #: src/network/ssl/ssl.c:74
 msgid ""
-"Verify the peer's SSL certificate. Note that this\n"
-"needs extensive configuration of OpenSSL by the user."
+"Verify the peer's SSL certificate. Note that this needs extensive "
+"configuration of OpenSSL by the user."
 msgstr ""
 
 #: src/network/ssl/ssl.c:77
@@ -6183,8 +6188,8 @@ msgstr "Terminalalternativ"
 
 #: src/network/ssl/ssl.c:83
 msgid ""
-"Enable or not the sending of X509 client certificates\n"
-"to servers which request them."
+"Enable or not the sending of X509 client certificates to servers which "
+"request them."
 msgstr ""
 
 #: src/network/ssl/ssl.c:86
@@ -6194,16 +6199,15 @@ msgstr "uppskattad tid"
 
 #: src/network/ssl/ssl.c:88
 msgid ""
-"The location of a file containing the client certificate\n"
-"and unencrypted private key in PEM format. If unset, the\n"
-"file pointed to by the X509_CLIENT_CERT variable is used\n"
-"instead."
+"The location of a file containing the client certificate and unencrypted "
+"private key in PEM format. If unset, the file pointed to by the "
+"X509_CLIENT_CERT variable is used instead."
 msgstr ""
 
 #: src/network/ssl/ssl.c:163
 msgid ""
-"Verify the peer's SSL certificate.  If you enable\n"
-"this, set also \"Trusted CA file\"."
+"Verify the peer's SSL certificate.  If you enable this, set also \"Trusted "
+"CA file\"."
 msgstr ""
 
 #. The default value of the following option points to a file
@@ -6221,20 +6225,20 @@ msgstr "Skickar"
 
 #: src/network/ssl/ssl.c:176
 msgid ""
-"The location of a file containing certificates of\n"
-"trusted certification authorities in PEM format.\n"
-"ELinks then trusts certificates issued by these CAs.\n"
-"If you change this option or the file, you must\n"
-"restart ELinks for the changes to take effect.\n"
-"This option affects GnuTLS but not OpenSSL."
+"The location of a file containing certificates of trusted certification "
+"authorities in PEM format. ELinks then trusts certificates issued by these "
+"CAs.\n"
+"\n"
+"If you change this option or the file, you must restart ELinks for the "
+"changes to take effect. This option affects GnuTLS but not OpenSSL."
 msgstr ""
 
 #. name:
-#: src/network/ssl/ssl.c:199 src/network/ssl/ssl.c:216
+#: src/network/ssl/ssl.c:200 src/network/ssl/ssl.c:217
 msgid "SSL"
 msgstr ""
 
-#: src/network/ssl/ssl.c:201
+#: src/network/ssl/ssl.c:202
 #, fuzzy
 msgid "SSL options."
 msgstr "~Spara alternativ"
@@ -6572,7 +6576,7 @@ msgstr "Ange anvndarnamn fr "
 msgid "Login"
 msgstr "Anvndar-ID"
 
-#: src/protocol/auth/dialogs.c:113 src/protocol/http/http.c:140
+#: src/protocol/auth/dialogs.c:113 src/protocol/http/http.c:142
 msgid "Password"
 msgstr "Lsenord"
 
@@ -6649,7 +6653,7 @@ msgstr "Bokmrkeshanterare"
 
 #. name:
 #: src/protocol/bittorrent/bittorrent.c:26
-#: src/protocol/bittorrent/bittorrent.c:335
+#: src/protocol/bittorrent/bittorrent.c:339
 msgid "BitTorrent"
 msgstr ""
 
@@ -6704,9 +6708,8 @@ msgstr ""
 
 #: src/protocol/bittorrent/bittorrent.c:57
 msgid ""
-"Whether to request that the tracker returns peer info\n"
-"in compact format. Note, the compact format only supports\n"
-"IPv4 addresses."
+"Whether to request that the tracker returns peer info in compact format. "
+"Note, the compact format only supports IPv4 addresses."
 msgstr ""
 
 #: src/protocol/bittorrent/bittorrent.c:61
@@ -6715,57 +6718,55 @@ msgstr ""
 
 #: src/protocol/bittorrent/bittorrent.c:63
 msgid ""
-"The number of seconds to wait between periodically contacting\n"
-"the tracker for announcing progress and requesting more peers.\n"
-"Set to zero to use the interval requested by the tracker."
+"The number of seconds to wait between periodically contacting the tracker "
+"for announcing progress and requesting more peers. Set to zero to use the "
+"interval requested by the tracker."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:67
+#: src/protocol/bittorrent/bittorrent.c:68
 msgid "IP-address to announce"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:69
+#: src/protocol/bittorrent/bittorrent.c:70
 msgid ""
-"What IP address to report to the tracker. If set to \"\"\n"
-"no IP address will be sent and the tracker will automatically\n"
-"determine an appropriate IP address."
+"What IP address to report to the tracker. If set to \"\" no IP address will "
+"be sent and the tracker will automatically determine an appropriate IP "
+"address."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:73
+#: src/protocol/bittorrent/bittorrent.c:74
 #, fuzzy
 msgid "User identification string"
 msgstr "Terminalalternativ"
 
-#: src/protocol/bittorrent/bittorrent.c:75
+#: src/protocol/bittorrent/bittorrent.c:76
 msgid ""
-"An additional identification that is not shared with any users.\n"
-"It is intended to allow a client to prove their identity should\n"
-"their IP address change. It is an optional parameter, but some\n"
-"trackers require this parameter. If set to \"\" no user key will\n"
-"be sent to the tracker."
+"An additional identification that is not shared with any users. It is "
+"intended to allow a client to prove their identity should their IP address "
+"change. It is an optional parameter, but some trackers require this "
+"parameter. If set to \"\" no user key will be sent to the tracker."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:81
+#: src/protocol/bittorrent/bittorrent.c:82
 #, fuzzy
 msgid "Maximum number of peers to request"
 msgstr "Kopplar upp"
 
-#: src/protocol/bittorrent/bittorrent.c:83
+#: src/protocol/bittorrent/bittorrent.c:84
 msgid ""
-"The maximum number of peers to request from the tracker.\n"
-"Set to 0 to use the server default."
+"The maximum number of peers to request from the tracker. Set to 0 to use the "
+"server default."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:86
+#: src/protocol/bittorrent/bittorrent.c:87
 msgid "Minimum peers to skip rerequesting"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:88
+#: src/protocol/bittorrent/bittorrent.c:89
 msgid ""
-"The minimum number of peers to have in the current peer info\n"
-"pool before skipping requesting of more peers. I.e. setting\n"
-"numwant to zero.\n"
-"Set to 0 to not have any limit."
+"The minimum number of peers to have in the current peer info pool before "
+"skipping requesting of more peers. I.e. setting numwant to zero. Set to 0 to "
+"not have any limit."
 msgstr ""
 
 #. ******************************************************************
@@ -6786,182 +6787,177 @@ msgstr "Kopplar upp"
 
 #: src/protocol/bittorrent/bittorrent.c:104
 msgid ""
-"The maximum number of allowed connections to both active and\n"
-"non-active peers. By increasing the number of allowed connections,\n"
-"the chance of finding good peers to download from is increased.\n"
-"However, too many connections can lead to TCP congestion. If the\n"
-"maximum is reached all new incoming connections will be closed."
+"The maximum number of allowed connections to both active and non-active "
+"peers. By increasing the number of allowed connections, the chance of "
+"finding good peers to download from is increased. However, too many "
+"connections can lead to TCP congestion. If the maximum is reached all new "
+"incoming connections will be closed."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:110
+#: src/protocol/bittorrent/bittorrent.c:111
 msgid "Maximum peer message length"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:112
+#: src/protocol/bittorrent/bittorrent.c:113
 msgid ""
-"The maximum length of messages to accept over the wire.\n"
-"Larger values will cause the connection to be dropped."
+"The maximum length of messages to accept over the wire. Larger values will "
+"cause the connection to be dropped."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:115
+#: src/protocol/bittorrent/bittorrent.c:116
 msgid "Maximum allowed request length"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:117
+#: src/protocol/bittorrent/bittorrent.c:118
 msgid ""
-"The maximum length to allow for incoming requests.\n"
-"Larger requests will cause the connection to be dropped."
+"The maximum length to allow for incoming requests. Larger requests will "
+"cause the connection to be dropped."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:120
+#: src/protocol/bittorrent/bittorrent.c:121
 msgid "Length of requests"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:122
+#: src/protocol/bittorrent/bittorrent.c:123
 msgid ""
-"How many bytes to query for per request. This is complementary\n"
-"to the max_request_length option. If the configured length is\n"
-"bigger than the piece length it will be truncated."
+"How many bytes to query for per request. This is complementary to the "
+"max_request_length option. If the configured length is bigger than the piece "
+"length it will be truncated."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:126
+#: src/protocol/bittorrent/bittorrent.c:128
 #, fuzzy
 msgid "Peer inactivity timeout"
 msgstr "Fr lng vntan vid hmtning"
 
-#: src/protocol/bittorrent/bittorrent.c:128
+#: src/protocol/bittorrent/bittorrent.c:130
 msgid ""
-"The number of seconds to wait before closing a socket on\n"
-"which nothing has been received or sent."
+"The number of seconds to wait before closing a socket on which nothing has "
+"been received or sent."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:131
+#: src/protocol/bittorrent/bittorrent.c:133
 #, fuzzy
 msgid "Maximum peer pool size"
 msgstr "Kopplar upp"
 
-#: src/protocol/bittorrent/bittorrent.c:133
+#: src/protocol/bittorrent/bittorrent.c:135
 msgid ""
-"Maximum number of items in the peer pool. The peer pool\n"
-"contains information used for establishing connections to\n"
-"new peers.\n"
+"Maximum number of items in the peer pool. The peer pool contains information "
+"used for establishing connections to new peers.\n"
+"\n"
 "Set to 0 to have unlimited size."
 msgstr ""
 
 #. ******************************************************************
 #. Piece management options:
 #. ******************************************************************
-#: src/protocol/bittorrent/bittorrent.c:143
+#: src/protocol/bittorrent/bittorrent.c:146
 #, fuzzy
 msgid "Maximum piece cache size"
 msgstr "Kopplar upp"
 
-#: src/protocol/bittorrent/bittorrent.c:145
+#: src/protocol/bittorrent/bittorrent.c:148
 msgid ""
-"The maximum amount of memory used to hold recently\n"
-"downloaded pieces.\n"
+"The maximum amount of memory used to hold recently downloaded pieces.\n"
+"\n"
 "Set to 0 to have unlimited size."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:154
+#: src/protocol/bittorrent/bittorrent.c:158
 msgid "Sharing rate"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:156
+#: src/protocol/bittorrent/bittorrent.c:160
 msgid ""
-"The minimum sharing rate to achieve before stop seeding.\n"
-"The sharing rate is computed as the number of uploaded bytes\n"
-"divided with the number of downloaded bytes. The value should\n"
-"be a double value between 0.0 and 1.0 both included.\n"
-"Set to 1.0 to atleast upload a complete copy of all data and\n"
+"The minimum sharing rate to achieve before stop seeding. The sharing rate is "
+"computed as the number of uploaded bytes divided with the number of "
+"downloaded bytes. The value should be a double value between 0.0 and 1.0 "
+"both included. Set to 1.0 to atleast upload a complete copy of all data and "
 "set to 0.0 to have unlimited sharing rate."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:163
+#: src/protocol/bittorrent/bittorrent.c:167
 msgid "Maximum number of uploads"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:165
+#: src/protocol/bittorrent/bittorrent.c:169
 msgid "The maximum number of uploads to allow at once."
 msgstr ""
 
 #. The number of uploads to fill out to with extra optimistic unchokes
-#: src/protocol/bittorrent/bittorrent.c:168
+#: src/protocol/bittorrent/bittorrent.c:172
 msgid "Minimum number of uploads"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:170
+#: src/protocol/bittorrent/bittorrent.c:174
 msgid ""
-"The minimum number of uploads which should at least\n"
-"be used for new connections."
+"The minimum number of uploads which should at least be used for new "
+"connections."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:174
+#: src/protocol/bittorrent/bittorrent.c:178
 #, fuzzy
 msgid "Keepalive interval"
 msgstr "Sparfel"
 
-#: src/protocol/bittorrent/bittorrent.c:176
-msgid ""
-"The number of seconds to pause between sending keepalive\n"
-"messages."
+#: src/protocol/bittorrent/bittorrent.c:180
+msgid "The number of seconds to pause between sending keepalive messages."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:179
+#: src/protocol/bittorrent/bittorrent.c:183
 #, fuzzy
 msgid "Number of pending requests"
 msgstr "Servern bearbetar frfrgan"
 
-#: src/protocol/bittorrent/bittorrent.c:181
+#: src/protocol/bittorrent/bittorrent.c:185
 msgid ""
-"How many piece requests to continuously keep in queue. Pipelining\n"
-"of requests is essential to saturate connections and get a good\n"
-"connection performance and thus a faster download. However, a\n"
-"very big queue size can lead to wasting bandwidth near the end\n"
-"of the connection since remaining piece blocks will be requested\n"
-"from multiple peers."
+"How many piece requests to continuously keep in queue. Pipelining of "
+"requests is essential to saturate connections and get a good connection "
+"performance and thus a faster download. However, a very big queue size can "
+"lead to wasting bandwidth near the end of the connection since remaining "
+"piece blocks will be requested from multiple peers."
 msgstr ""
 
 #. Bram uses 30 seconds here.
-#: src/protocol/bittorrent/bittorrent.c:190
+#: src/protocol/bittorrent/bittorrent.c:194
 msgid "Peer snubbing interval"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:192
+#: src/protocol/bittorrent/bittorrent.c:196
 msgid ""
-"The number of seconds to wait for file data before assuming\n"
-"the peer has been snubbed."
+"The number of seconds to wait for file data before assuming the peer has "
+"been snubbed."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:195
+#: src/protocol/bittorrent/bittorrent.c:199
 #, fuzzy
 msgid "Peer choke interval"
 msgstr "Sparfel"
 
-#: src/protocol/bittorrent/bittorrent.c:197
+#: src/protocol/bittorrent/bittorrent.c:201
 msgid ""
-"The number of seconds between updating the connection state\n"
-"and most importantly choke and unchoke peer connections. The\n"
-"choke period should be big enough for newly unchoked connections\n"
-"to get started but small enough to not allow freeriders too much\n"
-"room for stealing bandwidth."
+"The number of seconds between updating the connection state and most "
+"importantly choke and unchoke peer connections. The choke period should be "
+"big enough for newly unchoked connections to get started but small enough to "
+"not allow freeriders too much room for stealing bandwidth."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:203
+#: src/protocol/bittorrent/bittorrent.c:207
 msgid "Rarest first piece selection cutoff"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:205
+#: src/protocol/bittorrent/bittorrent.c:209
 msgid ""
-"The number of pieces to obtain before switching piece\n"
-"selection strategy from random to rarest first."
+"The number of pieces to obtain before switching piece selection strategy "
+"from random to rarest first."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:208 src/protocol/http/http.c:109
+#: src/protocol/bittorrent/bittorrent.c:212 src/protocol/http/http.c:109
 msgid "Allow blacklisting"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:210
+#: src/protocol/bittorrent/bittorrent.c:214
 msgid "Allow blacklisting of buggy peers."
 msgstr ""
 
@@ -6997,7 +6993,7 @@ msgstr "~Arkiv"
 msgid "Comment"
 msgstr "dokument"
 
-#: src/protocol/bittorrent/dialogs.c:229 src/session/download.c:362
+#: src/protocol/bittorrent/dialogs.c:229 src/session/download.c:388
 #, fuzzy, c-format
 msgid ""
 "Download complete:\n"
@@ -7165,7 +7161,7 @@ msgid_plural "%u unavailable"
 msgstr[0] "FTP-tjnsten ej tillgnglig"
 msgstr[1] "FTP-tjnsten ej tillgnglig"
 
-#: src/protocol/bittorrent/dialogs.c:584 src/session/session.c:278
+#: src/protocol/bittorrent/dialogs.c:584 src/session/session.c:279
 #, fuzzy, c-format
 msgid "Unable to retrieve %s"
 msgstr "Kan inte skriva till konfigurationsfilen"
@@ -7180,7 +7176,7 @@ msgstr ""
 msgid "Information about the torrent"
 msgstr "Hmta bild"
 
-#: src/protocol/bittorrent/dialogs.c:776 src/session/download.c:1106
+#: src/protocol/bittorrent/dialogs.c:776 src/session/download.c:1132
 msgid "What to do?"
 msgstr "Vad skall jag gra?"
 
@@ -7191,13 +7187,13 @@ msgid "Down~load"
 msgstr "Hmta"
 
 #. accelerator_context(src/protocol/bittorrent/dialogs.c:bittorrent_query_callback, src/session/download.c:do_type_query)
-#: src/protocol/bittorrent/dialogs.c:804 src/session/download.c:1209
+#: src/protocol/bittorrent/dialogs.c:804 src/session/download.c:1235
 #, fuzzy
 msgid "~Display"
 msgstr "Visa"
 
 #. accelerator_context(src/protocol/bittorrent/dialogs.c:bittorrent_query_callback, src/session/download.c:do_type_query)
-#: src/protocol/bittorrent/dialogs.c:808 src/session/download.c:1213
+#: src/protocol/bittorrent/dialogs.c:808 src/session/download.c:1239
 msgid "Show ~header"
 msgstr ""
 
@@ -7215,16 +7211,16 @@ msgstr "Inget program angett fr"
 msgid "Colon separated list of directories, where CGI scripts are stored."
 msgstr ""
 
-#: src/protocol/file/cgi.c:47
+#: src/protocol/file/cgi.c:48
 msgid "Allow local CGI"
 msgstr ""
 
-#: src/protocol/file/cgi.c:49
+#: src/protocol/file/cgi.c:50
 msgid "Whether to execute local CGI scripts."
 msgstr ""
 
 #. name:
-#: src/protocol/file/cgi.c:54
+#: src/protocol/file/cgi.c:55
 msgid "CGI"
 msgstr ""
 
@@ -7243,9 +7239,8 @@ msgstr ""
 
 #: src/protocol/file/file.c:46
 msgid ""
-"Whether to allow reading from non-regular files.\n"
-"Note this can be dangerous; reading /dev/urandom or\n"
-"/dev/zero can ruin your day!"
+"Whether to allow reading from non-regular files. Note this can be dangerous; "
+"reading /dev/urandom or /dev/zero can ruin your day!"
 msgstr ""
 
 #: src/protocol/file/file.c:50
@@ -7254,8 +7249,8 @@ msgstr ""
 
 #: src/protocol/file/file.c:52
 msgid ""
-"When set to false, files with name starting with a dot will be\n"
-"hidden in local directory listings."
+"When set to false, files with name starting with a dot will be hidden in "
+"local directory listings."
 msgstr ""
 
 #: src/protocol/file/file.c:55
@@ -7265,13 +7260,13 @@ msgstr "Inga ndelser"
 
 #: src/protocol/file/file.c:57
 msgid ""
-"When set, if we can't open a file named 'filename', we'll try\n"
-"to open 'filename' with some encoding extension appended\n"
-"(ie. 'filename.gz'); it depends on the supported encodings."
+"When set, if we can't open a file named 'filename', we'll try to open "
+"'filename' with some encoding extension appended (ie. 'filename.gz'); it "
+"depends on the supported encodings."
 msgstr ""
 
 #. name:
-#: src/protocol/file/file.c:65
+#: src/protocol/file/file.c:66
 #, fuzzy
 msgid "File"
 msgstr "~Arkiv"
@@ -7301,7 +7296,7 @@ msgid "Whether to sort entries in direct
 msgstr ""
 
 #. name:
-#: src/protocol/ftp/ftp.c:56 src/protocol/ftp/ftp.c:86
+#: src/protocol/ftp/ftp.c:56 src/protocol/ftp/ftp.c:89
 msgid "FTP"
 msgstr ""
 
@@ -7309,8 +7304,8 @@ msgstr ""
 msgid "FTP specific options."
 msgstr ""
 
-#: src/protocol/ftp/ftp.c:60 src/protocol/http/http.c:127
-#: src/protocol/http/http.c:209
+#: src/protocol/ftp/ftp.c:60 src/protocol/http/http.c:128
+#: src/protocol/http/http.c:235
 msgid "Proxy configuration"
 msgstr ""
 
@@ -7318,39 +7313,39 @@ msgstr ""
 msgid "FTP proxy configuration."
 msgstr ""
 
-#: src/protocol/ftp/ftp.c:64 src/protocol/http/http.c:131
-#: src/protocol/http/http.c:213
+#: src/protocol/ftp/ftp.c:64 src/protocol/http/http.c:132
+#: src/protocol/http/http.c:239
 #, fuzzy
 msgid "Host and port-number"
 msgstr "Felaktigt nummer"
 
 #: src/protocol/ftp/ftp.c:66
 msgid ""
-"Host and port-number (host:port) of the FTP proxy, or blank.\n"
-"If it's blank, FTP_PROXY environment variable is checked as well."
+"Host and port-number (host:port) of the FTP proxy, or blank. If it's blank, "
+"FTP_PROXY environment variable is checked as well."
 msgstr ""
 
-#: src/protocol/ftp/ftp.c:69
+#: src/protocol/ftp/ftp.c:70
 msgid "Anonymous password"
 msgstr ""
 
-#: src/protocol/ftp/ftp.c:71
+#: src/protocol/ftp/ftp.c:72
 msgid "FTP anonymous password to be sent."
 msgstr ""
 
-#: src/protocol/ftp/ftp.c:73
+#: src/protocol/ftp/ftp.c:74
 msgid "Use passive mode (IPv4)"
 msgstr ""
 
-#: src/protocol/ftp/ftp.c:75
+#: src/protocol/ftp/ftp.c:76
 msgid "Use PASV instead of PORT (passive vs active mode, IPv4 only)."
 msgstr ""
 
-#: src/protocol/ftp/ftp.c:77
+#: src/protocol/ftp/ftp.c:79
 msgid "Use passive mode (IPv6)"
 msgstr ""
 
-#: src/protocol/ftp/ftp.c:79
+#: src/protocol/ftp/ftp.c:81
 msgid "Use EPSV instead of EPRT (passive vs active mode, IPv6 only)."
 msgstr ""
 
@@ -7377,7 +7372,7 @@ msgid ""
 msgstr ""
 
 #. name:
-#: src/protocol/http/http.c:95 src/protocol/http/http.c:223
+#: src/protocol/http/http.c:95 src/protocol/http/http.c:250
 msgid "HTTP"
 msgstr ""
 
@@ -7399,8 +7394,8 @@ msgstr ""
 
 #: src/protocol/http/http.c:106
 msgid ""
-"The Accept-Charset header is quite long and sending it can trigger\n"
-"bugs in some rarely found servers."
+"The Accept-Charset header is quite long and sending it can trigger bugs in "
+"some rarely found servers."
 msgstr ""
 
 #: src/protocol/http/http.c:111
@@ -7413,69 +7408,69 @@ msgstr ""
 
 #: src/protocol/http/http.c:115
 msgid ""
-"Broken 302 redirect (violates RFC but compatible with Netscape).\n"
-"This is a problem for a lot of web discussion boards and the like.\n"
-"If they will do strange things to you, try to play with this."
+"Broken 302 redirect (violates RFC but compatible with Netscape). This is a "
+"problem for a lot of web discussion boards and the like. If they will do "
+"strange things to you, try to play with this."
 msgstr ""
 
-#: src/protocol/http/http.c:119
+#: src/protocol/http/http.c:120
 msgid "No keepalive after POST requests"
 msgstr ""
 
-#: src/protocol/http/http.c:121
+#: src/protocol/http/http.c:122
 msgid "Disable keepalive connection after POST request."
 msgstr ""
 
-#: src/protocol/http/http.c:123
+#: src/protocol/http/http.c:124
 msgid "Use HTTP/1.0"
 msgstr ""
 
-#: src/protocol/http/http.c:125
+#: src/protocol/http/http.c:126
 msgid "Use HTTP/1.0 protocol instead of HTTP/1.1."
 msgstr ""
 
-#: src/protocol/http/http.c:129
+#: src/protocol/http/http.c:130
 msgid "HTTP proxy configuration."
 msgstr ""
 
-#: src/protocol/http/http.c:133
+#: src/protocol/http/http.c:134
 msgid ""
-"Host and port-number (host:port) of the HTTP proxy, or blank.\n"
-"If it's blank, HTTP_PROXY environment variable is checked as well."
+"Host and port-number (host:port) of the HTTP proxy, or blank. If it's blank, "
+"HTTP_PROXY environment variable is checked as well."
 msgstr ""
 
-#: src/protocol/http/http.c:136
+#: src/protocol/http/http.c:138
 #, fuzzy
 msgid "Username"
 msgstr "Namn"
 
-#: src/protocol/http/http.c:138
+#: src/protocol/http/http.c:140
 msgid "Proxy authentication username."
 msgstr ""
 
-#: src/protocol/http/http.c:142
+#: src/protocol/http/http.c:144
 msgid "Proxy authentication password."
 msgstr ""
 
-#: src/protocol/http/http.c:145
+#: src/protocol/http/http.c:147
 msgid "Referer sending"
 msgstr ""
 
-#: src/protocol/http/http.c:147
+#: src/protocol/http/http.c:149
 msgid ""
-"HTTP referer sending options. HTTP referer is a special header\n"
-"sent in the HTTP requests, which is supposed to contain the previous\n"
-"page visited by the browser. This way, the server can know what link\n"
-"did you follow when accessing that page. However, this behaviour\n"
-"can unfortunately considerably affect privacy and can lead even to a\n"
-"security problem on some badly designed web pages."
+"HTTP referer sending options. HTTP referer is a special header sent in the "
+"HTTP requests, which is supposed to contain the previous page visited by the "
+"browser.This way, the server can know what link did you follow when "
+"accessing that page. However, this behaviour can unfortunately considerably "
+"affect privacy and can lead even to a security problem on some badly "
+"designed web pages."
 msgstr ""
 
-#: src/protocol/http/http.c:154
+#: src/protocol/http/http.c:157
 msgid "Policy"
 msgstr ""
 
-#: src/protocol/http/http.c:157
+#: src/protocol/http/http.c:160
 msgid ""
 "Mode of sending HTTP referer:\n"
 "0 is send no referer\n"
@@ -7484,90 +7479,110 @@ msgid ""
 "3 is send previous URL as referer (correct, but insecure)"
 msgstr ""
 
-#: src/protocol/http/http.c:163
+#: src/protocol/http/http.c:166
 msgid "Fake referer URL"
 msgstr ""
 
-#: src/protocol/http/http.c:165
+#: src/protocol/http/http.c:168
 msgid "Fake referer to be sent when policy is 2."
 msgstr ""
 
-#: src/protocol/http/http.c:168
+#: src/protocol/http/http.c:171
 msgid "Send Accept-Language header"
 msgstr ""
 
-#: src/protocol/http/http.c:170
+#: src/protocol/http/http.c:173
 msgid "Send Accept-Language header."
 msgstr ""
 
-#: src/protocol/http/http.c:172
+#: src/protocol/http/http.c:175
 msgid "Use UI language as Accept-Language"
 msgstr ""
 
-#: src/protocol/http/http.c:174
+#: src/protocol/http/http.c:177
 msgid ""
-"Request localised versions of documents from web-servers (using the\n"
-"Accept-Language header) using the language you have configured for\n"
-"ELinks' user-interface (this also affects navigator.language ECMAScript\n"
-"value available to scripts). Note that some see this as a potential\n"
-"security risk because it tells web-masters and the FBI sniffers about\n"
-"your language preference."
+"Request localised versions of documents from web-servers (using the Accept-"
+"Language header) using the language you have configured for ELinks' user-"
+"interface (this also affects navigator.language ECMAScript value available "
+"to scripts). Note that some see this as a potential security risk because it "
+"tells web-masters and the FBI sniffers about your language preference."
+msgstr ""
+
+#. After the compression support has been tested enough,
+#. * we might wrap this option in #if CFG_DEBUG.
+#: src/protocol/http/http.c:187
+msgid "Enable on-the-fly compression"
 msgstr ""
 
-#: src/protocol/http/http.c:181
+#: src/protocol/http/http.c:189
+msgid ""
+"If enabled, the capability to receive compressed content (gzip and/or bzip2) "
+"is announced to the server, which usually sends the reply compressed, thus "
+"saving some bandwidth at slight CPU expense.\n"
+"\n"
+"If ELinks displays a incomplete page or garbage, try disabling this option. "
+"If that helps, there may be a bug in the decompression part of ELinks. "
+"Please report such bugs.\n"
+"\n"
+"If ELinks has been compiled without compression support, this option has no "
+"effect. To check the supported features, see Help -> About."
+msgstr ""
+
+#: src/protocol/http/http.c:202
 msgid "Activate HTTP TRACE debugging"
 msgstr ""
 
-#: src/protocol/http/http.c:183
+#: src/protocol/http/http.c:204
 msgid ""
-"If active, all HTTP requests are sent with TRACE as their method\n"
-"rather than GET or POST. This is useful for debugging of both ELinks\n"
-"and various server-side scripts --- the server only returns the client's\n"
-"request back to the client verbatim. Note that this type of request may\n"
-"not be enabled on all servers."
+"If active, all HTTP requests are sent with TRACE as their method rather than "
+"GET or POST. This is useful for debugging of both ELinks and various server-"
+"side scripts --- the server only returns the client's request back to the "
+"client verbatim. Note that this type of request may not be enabled on all "
+"servers."
 msgstr ""
 
 #. OSNews.com is supposed to be relying on the textmode token, at least.
-#: src/protocol/http/http.c:190
+#: src/protocol/http/http.c:212
 msgid "User-agent identification"
 msgstr ""
 
-#: src/protocol/http/http.c:192
+#: src/protocol/http/http.c:214
 msgid ""
-"Change the User Agent ID. That means identification string, which\n"
-"is sent to HTTP server when a document is requested. The 'textmode'\n"
-"token in the first field is our silent attempt to establish this as\n"
-"a standard for new textmode user agents, so that the webmasters can\n"
-"have just a single uniform test for these if they are e.g. pushing\n"
-"some lite version to them automagically.\n"
+"Change the User Agent ID. That means identification string, which is sent to "
+"HTTP server when a document is requested. The 'textmode' token in the first "
+"field is our silent attempt to establish this as a standard for new textmode "
+"user agents, so that the webmasters can have just a single uniform test for "
+"these if they are e.g. pushing some lite version to them automagically.\n"
+"\n"
 "Use \" \" if you don't want any User-Agent header to be sent at all.\n"
+"\n"
 "%v in the string means ELinks version,\n"
 "%s in the string means system identification,\n"
 "%t in the string means size of the terminal,\n"
 "%b in the string means number of bars displayed by ELinks."
 msgstr ""
 
-#: src/protocol/http/http.c:205
+#: src/protocol/http/http.c:231
 msgid "HTTPS"
 msgstr ""
 
-#: src/protocol/http/http.c:207
+#: src/protocol/http/http.c:233
 #, fuzzy
 msgid "HTTPS-specific options."
 msgstr "Inget program angett fr"
 
-#: src/protocol/http/http.c:211
+#: src/protocol/http/http.c:237
 msgid "HTTPS proxy configuration."
 msgstr ""
 
-#: src/protocol/http/http.c:215
+#: src/protocol/http/http.c:241
 msgid ""
-"Host and port-number (host:port) of the HTTPS CONNECT proxy, or blank.\n"
-"If it's blank, HTTPS_PROXY environment variable is checked as well."
+"Host and port-number (host:port) of the HTTPS CONNECT proxy, or blank. If "
+"it's blank, HTTPS_PROXY environment variable is checked as well."
 msgstr ""
 
 #. name:
-#: src/protocol/nntp/nntp.c:32 src/protocol/nntp/nntp.c:65
+#: src/protocol/nntp/nntp.c:32 src/protocol/nntp/nntp.c:66
 msgid "NNTP"
 msgstr ""
 
@@ -7582,19 +7597,19 @@ msgstr ""
 
 #: src/protocol/nntp/nntp.c:38
 msgid ""
-"Used when resolving news: URIs. If set to the empty string\n"
-"the value of the NNTPSERVER environment variable will be used."
+"Used when resolving news: URIs. If set to the empty string the value of the "
+"NNTPSERVER environment variable will be used."
 msgstr ""
 
-#: src/protocol/nntp/nntp.c:41
+#: src/protocol/nntp/nntp.c:42
 msgid "Message header entries"
 msgstr ""
 
-#: src/protocol/nntp/nntp.c:43
+#: src/protocol/nntp/nntp.c:44
 msgid ""
-"Comma separated list of which entries in the article header\n"
-"to show. E.g. 'Subject' and 'From'.\n"
-"All header entries can be read in the header info dialog."
+"Comma separated list of which entries in the article header to show. E.g. "
+"'Subject' and 'From'. All header entries can be read in the header info "
+"dialog."
 msgstr ""
 
 #: src/protocol/protocol.c:242
@@ -7616,10 +7631,9 @@ msgstr ""
 
 #: src/protocol/protocol.c:279
 msgid ""
-"Comma separated list of domains for which the proxy (HTTP/FTP)\n"
-"should be disabled. Optionally, a port can be specified for some\n"
-"domains as well. If it's blank, NO_PROXY environment variable is\n"
-"checked as well."
+"Comma separated list of domains for which the proxy (HTTP/FTP) should be "
+"disabled. Optionally, a port can be specified for some domains as well. If "
+"it's blank, NO_PROXY environment variable is checked as well."
 msgstr ""
 
 #. name:
@@ -7633,47 +7647,45 @@ msgstr ""
 
 #: src/protocol/rewrite/rewrite.c:46
 msgid ""
-"Rules for rewriting URIs entered in the goto dialog.\n"
-"It makes it possible to define a set of prefixes that will\n"
-"be expanded if they match a string entered in the goto dialog.\n"
-"The prefixes can be dumb, meaning that they work only like\n"
-"URI abbreviations, or smart ones, making it possible to pass\n"
+"Rules for rewriting URIs entered in the goto dialog. It makes it possible to "
+"define a set of prefixes that will be expanded if they match a string "
+"entered in the goto dialog. The prefixes can be dumb, meaning that they work "
+"only like URI abbreviations, or smart ones, making it possible to pass "
 "arguments to them like search engine keywords."
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:53
+#: src/protocol/rewrite/rewrite.c:54
 msgid "Enable dumb prefixes"
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:55
+#: src/protocol/rewrite/rewrite.c:56
 msgid ""
-"Enable dumb prefixes - simple URI abbreviations which can\n"
-"be written to the Goto URL dialog instead of actual URIs - i.e.\n"
-"if you write 'elinks' there, you are directed to\n"
-"http://elinks.cz/."
+"Enable dumb prefixes - simple URI abbreviations which can be written to the "
+"Goto URL dialog instead of actual URIs - i.e. if you write 'elinks' there, "
+"you are directed to http://elinks.cz/."
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:60
+#: src/protocol/rewrite/rewrite.c:61
 msgid "Enable smart prefixes"
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:62
+#: src/protocol/rewrite/rewrite.c:63
 msgid ""
-"Enable smart prefixes - URI templates triggered by writing\n"
-"given abbreviation to the Goto URL dialog followed by a list\n"
-"of arguments from which the actual URI is composed - i.e.\n"
-"'gg:search keywords' or 'gn search keywords for news'."
+"Enable smart prefixes - URI templates triggered by writing given "
+"abbreviation to the Goto URL dialog followed by a list of arguments from "
+"which the actual URI is composed - i.e. 'gg:search keywords' or 'gn search "
+"keywords for news'."
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:67
+#: src/protocol/rewrite/rewrite.c:69
 msgid "Dumb Prefixes"
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:69
+#: src/protocol/rewrite/rewrite.c:71
 msgid "Dumb prefixes, see enable-dumb description for details."
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:74
+#: src/protocol/rewrite/rewrite.c:76
 #, no-c-format
 msgid ""
 "Replacement URI for this dumbprefix:\n"
@@ -7681,15 +7693,15 @@ msgid ""
 "%% in the string means '%'"
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:78
+#: src/protocol/rewrite/rewrite.c:80
 msgid "Smart Prefixes"
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:80
+#: src/protocol/rewrite/rewrite.c:82
 msgid "Smart prefixes, see enable-smart description for details."
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:87
+#: src/protocol/rewrite/rewrite.c:90
 #, no-c-format
 msgid ""
 "Replacement URI for this smartprefix:\n"
@@ -7699,27 +7711,29 @@ msgid ""
 "%% in the string means '%'"
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:93
+#: src/protocol/rewrite/rewrite.c:96
 #, fuzzy
 msgid "Default template"
 msgstr "Formatterad dokumentcache"
 
-#: src/protocol/rewrite/rewrite.c:96
+#: src/protocol/rewrite/rewrite.c:99
 #, no-c-format
 msgid ""
-"Default URI template used when the string entered in\n"
-"the goto dialog does not appear to be a URI or a filename\n"
-"(i.e. contains no '.', ':' or '/' characters), and does\n"
-"not match any defined prefixes. Set the value to \"\" to\n"
-"disable use of the default template rewrite rule.\n"
+"Default URI template used when the string entered in the goto dialog does "
+"not appear to be a URI or a filename (i.e. contains no '.', ':' or '/' "
+"characters), and does not match any defined prefixes. Set the value to \"\" "
+"to disable use of the default template rewrite rule.\n"
+"\n"
 "%c in the template means the current URL,\n"
-"%s in the template means the whole string from the goto dialog,\n"
-"%0,%1,...,%9 mean the 1st,2nd,...,10th space-delimited part of %s,\n"
+"%s in the template means the whole string from the goto\n"
+"   dialog,\n"
+"%0,%1,...,%9 mean the 1st,2nd,...,10th space-delimited part\n"
+"   of %s,\n"
 "%% in the template means '%'."
 msgstr ""
 
 #. name:
-#: src/protocol/rewrite/rewrite.c:372
+#: src/protocol/rewrite/rewrite.c:378
 msgid "URI rewrite"
 msgstr ""
 
@@ -7742,24 +7756,23 @@ msgid "Credentials file passed to smbcli
 msgstr ""
 
 #. name:
-#: src/protocol/user.c:34 src/protocol/user.c:84
+#: src/protocol/user.c:34 src/protocol/user.c:85
 msgid "User protocols"
 msgstr ""
 
 #: src/protocol/user.c:36
 msgid ""
-"User protocols. Options in this tree specify external\n"
-"handlers for the appropriate protocols. Ie.\n"
-"protocol.user.mailto.unix."
+"User protocols. Options in this tree specify external handlers for the "
+"appropriate protocols. Ie. protocol.user.mailto.unix."
 msgstr ""
 
 #: src/protocol/user.c:47
 msgid ""
-"Handler (external program) for this protocol. Name the\n"
-"options in this tree after your system (ie. unix, unix-xwin)."
+"Handler (external program) for this protocol. Name the options in this tree "
+"after your system (ie. unix, unix-xwin)."
 msgstr ""
 
-#: src/protocol/user.c:52
+#: src/protocol/user.c:53
 msgid ""
 "Handler (external program) for this protocol and system.\n"
 "%f in the string means file name to include form data from\n"
@@ -7770,11 +7783,11 @@ msgid ""
 "%u in the string means the whole URL"
 msgstr ""
 
-#: src/protocol/user.c:276
+#: src/protocol/user.c:277
 msgid "No program"
 msgstr "Inget program"
 
-#: src/protocol/user.c:278
+#: src/protocol/user.c:279
 #, fuzzy, c-format
 msgid "No program specified for protocol %s."
 msgstr "Inget program angett fr"
@@ -7858,19 +7871,19 @@ msgstr ""
 msgid "Spidermonkey ECMAScript"
 msgstr ""
 
-#: src/session/download.c:233 src/session/download.c:330
-#: src/session/download.c:561 src/session/download.c:649
+#: src/session/download.c:256 src/session/download.c:356
+#: src/session/download.c:587 src/session/download.c:675
 msgid "Download error"
 msgstr "Hmtningsfel"
 
-#: src/session/download.c:234 src/session/download.c:650
+#: src/session/download.c:257 src/session/download.c:676
 #, fuzzy, c-format
 msgid ""
 "Could not create file '%s':\n"
 "%s"
 msgstr "Kunde inte skriva till fil"
 
-#: src/session/download.c:331
+#: src/session/download.c:357
 #, fuzzy, c-format
 msgid ""
 "Error downloading %s:\n"
@@ -7878,17 +7891,17 @@ msgid ""
 "%s"
 msgstr "Fel vid hmtning av"
 
-#: src/session/download.c:562
+#: src/session/download.c:588
 #, c-format
 msgid "'%s' is a directory."
 msgstr ""
 
-#: src/session/download.c:596
+#: src/session/download.c:622
 #, fuzzy
 msgid "File exists"
 msgstr "Filnd~elser"
 
-#: src/session/download.c:597
+#: src/session/download.c:623
 #, c-format
 msgid ""
 "This file already exists:\n"
@@ -7899,51 +7912,51 @@ msgid ""
 msgstr ""
 
 #. accelerator_context(src/session/download.c:lookup_unique_name)
-#: src/session/download.c:604
+#: src/session/download.c:630
 msgid "Sa~ve under the alternative name"
 msgstr ""
 
 #. accelerator_context(src/session/download.c:lookup_unique_name)
-#: src/session/download.c:605
+#: src/session/download.c:631
 msgid "~Overwrite the original file"
 msgstr ""
 
 #. accelerator_context(src/session/download.c:lookup_unique_name)
-#: src/session/download.c:606
+#: src/session/download.c:632
 msgid "~Resume download of the original file"
 msgstr ""
 
-#: src/session/download.c:1109
+#: src/session/download.c:1135
 msgid "Unknown type"
 msgstr "Oknd typ"
 
-#: src/session/download.c:1134
+#: src/session/download.c:1160
 #, c-format
 msgid "What would you like to do with the file '%s' (type: %s%s%s)?"
 msgstr ""
 
-#: src/session/download.c:1137
+#: src/session/download.c:1163
 #, c-format
 msgid "What would you like to do with the file (type: %s%s%s)?"
 msgstr ""
 
-#: src/session/download.c:1165
+#: src/session/download.c:1191
 #, no-c-format
 msgid "Program ('%' will be replaced by the filename)"
 msgstr ""
 
-#: src/session/download.c:1169
+#: src/session/download.c:1195
 #, fuzzy
 msgid "Block the terminal"
 msgstr "~BeOS-terminal"
 
-#: src/session/download.c:1175
+#: src/session/download.c:1201
 #, c-format
 msgid "The file will be opened with the program '%s'."
 msgstr ""
 
 #. accelerator_context(src/session/download.c:do_type_query)
-#: src/session/download.c:1196
+#: src/session/download.c:1222
 #, fuzzy
 msgid "~Open"
 msgstr "ppna"
@@ -7952,12 +7965,12 @@ msgstr "ppna"
 #. * and formatting it with "%u" is safe,
 #. * because fc_maxlength is smaller than
 #. * file.length, which is an int.
-#: src/session/session.c:761 src/session/session.c:780 src/session/task.c:275
-#: src/viewer/text/textarea.c:652
+#: src/session/session.c:771 src/session/session.c:790 src/session/task.c:275
+#: src/viewer/text/textarea.c:641
 msgid "Warning"
 msgstr "Varning"
 
-#: src/session/session.c:762
+#: src/session/session.c:772
 msgid ""
 "You have an empty string in protocol.http.user_agent - this was a default "
 "value in the past, substituted by default ELinks User-Agent string. However, "
@@ -7968,7 +7981,7 @@ msgid ""
 "will be used. Apologies for any inconvience caused."
 msgstr ""
 
-#: src/session/session.c:781
+#: src/session/session.c:791
 msgid ""
 "You have option config.saving_style set to a de facto obsolete value. The "
 "configuration saving algorithms of ELinks were changed from the last time "
@@ -7981,11 +7994,11 @@ msgid ""
 "caused."
 msgstr ""
 
-#: src/session/session.c:806
+#: src/session/session.c:816
 msgid "Welcome"
 msgstr "Vlkommen"
 
-#: src/session/session.c:807
+#: src/session/session.c:817
 #, fuzzy
 msgid ""
 "Welcome to ELinks!\n"
@@ -8035,22 +8048,22 @@ msgstr ""
 msgid "Warning: terminal name contains illicit chars."
 msgstr ""
 
-#: src/terminal/event.c:259
+#: src/terminal/event.c:258
 #, c-format
 msgid "Failed to create session."
 msgstr ""
 
-#: src/terminal/event.c:446
+#: src/terminal/event.c:443
 #, c-format
 msgid "Bad event %d"
 msgstr ""
 
-#: src/terminal/event.c:486
+#: src/terminal/event.c:483
 #, fuzzy, c-format
 msgid "Could not read event: %d (%s)"
 msgstr "Kunde inte skriva till fil"
 
-#: src/terminal/kbd.c:1187
+#: src/terminal/kbd.c:1210
 #, c-format
 msgid "Too many bytes read from the itrm!"
 msgstr ""
@@ -8129,207 +8142,207 @@ msgstr "Inga ramar"
 msgid "The requested fragment \"%s\" doesn't exist."
 msgstr ""
 
-#: src/viewer/text/form.c:1092
+#: src/viewer/text/form.c:1118
 msgid "Error while posting form"
 msgstr "Fel vid skickande av formulr"
 
-#: src/viewer/text/form.c:1093
+#: src/viewer/text/form.c:1119
 #, fuzzy, c-format
 msgid "Could not load file %s: %s"
 msgstr "Kunde inte hmta fil"
 
-#: src/viewer/text/form.c:1847
+#: src/viewer/text/form.c:1876
 #, fuzzy
 msgid "Reset form"
 msgstr "Tm fo~rmulr"
 
-#: src/viewer/text/form.c:1849
+#: src/viewer/text/form.c:1878
 msgid "Harmless button"
 msgstr ""
 
-#: src/viewer/text/form.c:1857
+#: src/viewer/text/form.c:1886
 msgid "Submit form to"
 msgstr "Skicka formulr till"
 
-#: src/viewer/text/form.c:1858
+#: src/viewer/text/form.c:1887
 msgid "Post form to"
 msgstr "Skicka formulr till"
 
-#: src/viewer/text/form.c:1860
+#: src/viewer/text/form.c:1889
 msgid "Radio button"
 msgstr "Radioknapp"
 
-#: src/viewer/text/form.c:1864
+#: src/viewer/text/form.c:1893
 msgid "Select field"
 msgstr "Valflt"
 
-#: src/viewer/text/form.c:1868
+#: src/viewer/text/form.c:1897
 msgid "Text area"
 msgstr "Textarea"
 
-#: src/viewer/text/form.c:1870
+#: src/viewer/text/form.c:1899
 msgid "File upload"
 msgstr "Filsndning"
 
-#: src/viewer/text/form.c:1872
+#: src/viewer/text/form.c:1901
 msgid "Password field"
 msgstr "Lsenordsflt"
 
-#: src/viewer/text/form.c:1910
+#: src/viewer/text/form.c:1939
 msgid "name"
 msgstr "Namn"
 
-#: src/viewer/text/form.c:1922
+#: src/viewer/text/form.c:1951
 msgid "value"
 msgstr "Vrde"
 
-#: src/viewer/text/form.c:1935
+#: src/viewer/text/form.c:1964
 msgid "read only"
 msgstr ""
 
-#: src/viewer/text/form.c:1946
+#: src/viewer/text/form.c:1975
 #, c-format
 msgid "press %s to navigate"
 msgstr ""
 
-#: src/viewer/text/form.c:1948
+#: src/viewer/text/form.c:1977
 #, c-format
 msgid "press %s to edit"
 msgstr ""
 
-#: src/viewer/text/form.c:1984
+#: src/viewer/text/form.c:2013
 #, fuzzy, c-format
 msgid "press %s to submit to %s"
 msgstr "skicka till"
 
-#: src/viewer/text/form.c:1986
+#: src/viewer/text/form.c:2015
 #, fuzzy, c-format
 msgid "press %s to post to %s"
 msgstr "skicka till"
 
-#: src/viewer/text/form.c:2088
+#: src/viewer/text/form.c:2117
 msgid "Useless button"
 msgstr ""
 
-#: src/viewer/text/form.c:2090
+#: src/viewer/text/form.c:2119
 #, fuzzy
 msgid "Submit button"
 msgstr "Skicka formulr till"
 
 #. accelerator_context(link_menu.map)
-#: src/viewer/text/link.c:1281
+#: src/viewer/text/link.c:1280
 msgid "Display ~usemap"
 msgstr "Visa ~usemap"
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1286
+#: src/viewer/text/link.c:1285
 msgid "~Follow link"
 msgstr "~Flj lnk"
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1288
+#: src/viewer/text/link.c:1287
 msgid "Follow link and r~eload"
 msgstr ""
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1292
+#: src/viewer/text/link.c:1291
 msgid "Open in new ~window"
 msgstr "ppna i nytt fnster"
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1294
+#: src/viewer/text/link.c:1293
 #, fuzzy
 msgid "Open in new ~tab"
 msgstr "ppna i nytt fnster"
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1296
+#: src/viewer/text/link.c:1295
 #, fuzzy
 msgid "Open in new tab in ~background"
 msgstr "Bakgrund"
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1301
+#: src/viewer/text/link.c:1300
 msgid "~Download link"
 msgstr "Hmta lnk"
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1304
+#: src/viewer/text/link.c:1303
 msgid "~Add link to bookmarks"
 msgstr ""
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1308
+#: src/viewer/text/link.c:1307
 msgid "Pass link URI to e~xternal command"
 msgstr ""
 
 #. accelerator_context(link_menu.form, link_menu.reset, link_menu.textarea)
-#: src/viewer/text/link.c:1319 src/viewer/text/link.c:1359
+#: src/viewer/text/link.c:1318 src/viewer/text/link.c:1358
 msgid "~Reset form"
 msgstr "Tm fo~rmulr"
 
 #. accelerator_context(link_menu.textarea)
-#: src/viewer/text/link.c:1334
+#: src/viewer/text/link.c:1333
 msgid "Open in ~external editor"
 msgstr ""
 
 #. accelerator_context(link_menu.form, link_menu.textarea)
-#: src/viewer/text/link.c:1342
+#: src/viewer/text/link.c:1341
 msgid "~Submit form"
 msgstr "~Skicka formulr"
 
 #. accelerator_context(link_menu.form, link_menu.textarea)
-#: src/viewer/text/link.c:1343
+#: src/viewer/text/link.c:1342
 msgid "Submit form and rel~oad"
 msgstr ""
 
 #. accelerator_context(link_menu.form, link_menu.textarea)
-#: src/viewer/text/link.c:1347
+#: src/viewer/text/link.c:1346
 msgid "Submit form and open in new ~window"
 msgstr "Skicka formulr och ppna i nytt fnster"
 
 #. accelerator_context(link_menu.form, link_menu.textarea)
-#: src/viewer/text/link.c:1349
+#: src/viewer/text/link.c:1348
 #, fuzzy
 msgid "Submit form and open in new ~tab"
 msgstr "Skicka formulr och ppna i nytt fnster"
 
 #. accelerator_context(link_menu.form, link_menu.textarea)
-#: src/viewer/text/link.c:1352
+#: src/viewer/text/link.c:1351
 #, fuzzy
 msgid "Submit form and open in new tab in ~background"
 msgstr "Skicka formulr och ppna i nytt fnster"
 
 #. accelerator_context(link_menu.form, link_menu.textarea)
-#: src/viewer/text/link.c:1357
+#: src/viewer/text/link.c:1356
 msgid "Submit form and ~download"
 msgstr "Skicka formulr och hmta"
 
 #. accelerator_context(link_menu.form, link_menu.reset, link_menu.textarea)
-#: src/viewer/text/link.c:1364
+#: src/viewer/text/link.c:1363
 #, fuzzy
 msgid "Form f~ields"
 msgstr "Lsenordsflt"
 
 #. accelerator_context(link_menu.form, link_menu.map, link_menu.std)
-#: src/viewer/text/link.c:1371
+#: src/viewer/text/link.c:1370
 msgid "V~iew image"
 msgstr "V~isa bild"
 
 #. accelerator_context(link_menu.form, link_menu.map, link_menu.std)
-#: src/viewer/text/link.c:1373
+#: src/viewer/text/link.c:1372
 msgid "Download ima~ge"
 msgstr "Hmta bild"
 
-#: src/viewer/text/link.c:1382
+#: src/viewer/text/link.c:1381
 msgid "No link selected"
 msgstr "Ingen lnk vald"
 
-#: src/viewer/text/link.c:1452
+#: src/viewer/text/link.c:1451
 msgid "Image"
 msgstr "Bild"
 
-#: src/viewer/text/link.c:1457
+#: src/viewer/text/link.c:1456
 msgid "Usemap"
 msgstr "Usemap"
 
@@ -8338,86 +8351,86 @@ msgstr "Usemap"
 msgid "Marks"
 msgstr ""
 
-#: src/viewer/text/search.c:1083
+#: src/viewer/text/search.c:1099
 msgid "Search hit top, continuing at bottom."
 msgstr ""
 
-#: src/viewer/text/search.c:1084
+#: src/viewer/text/search.c:1100
 msgid "Search hit bottom, continuing at top."
 msgstr ""
 
-#: src/viewer/text/search.c:1087
+#: src/viewer/text/search.c:1103
 msgid "No previous search"
 msgstr "Ingen tidigare skning"
 
-#: src/viewer/text/search.c:1099
+#: src/viewer/text/search.c:1115
 #, c-format
 msgid "Could not compile regular expression '%s'"
 msgstr ""
 
-#: src/viewer/text/search.c:1143
+#: src/viewer/text/search.c:1159
 #, c-format
 msgid "No further matches for '%s'."
 msgstr ""
 
-#: src/viewer/text/search.c:1145
+#: src/viewer/text/search.c:1161
 #, c-format
 msgid "Could not find a link with the text '%s'."
 msgstr ""
 
-#: src/viewer/text/search.c:1147 src/viewer/text/search.c:1558
+#: src/viewer/text/search.c:1163 src/viewer/text/search.c:1576
 msgid "Typeahead"
 msgstr ""
 
-#: src/viewer/text/search.c:1560
+#: src/viewer/text/search.c:1578
 #, c-format
 msgid "No links in current document"
 msgstr ""
 
-#: src/viewer/text/search.c:1643
+#: src/viewer/text/search.c:1661
 msgid "Search for text"
 msgstr "Sk efter text"
 
-#: src/viewer/text/search.c:1679
+#: src/viewer/text/search.c:1697
 #, fuzzy
 msgid "Normal search"
 msgstr "Ingen tidigare skning"
 
-#: src/viewer/text/search.c:1680
+#: src/viewer/text/search.c:1698
 msgid "Regexp search"
 msgstr ""
 
-#: src/viewer/text/search.c:1681
+#: src/viewer/text/search.c:1699
 msgid "Extended regexp search"
 msgstr ""
 
-#: src/viewer/text/search.c:1683
+#: src/viewer/text/search.c:1701
 msgid "Case sensitive"
 msgstr ""
 
-#: src/viewer/text/search.c:1684
+#: src/viewer/text/search.c:1702
 msgid "Case insensitive"
 msgstr ""
 
-#: src/viewer/text/search.c:1708
+#: src/viewer/text/search.c:1726
 msgid "Search backward"
 msgstr "Sk bakt"
 
 #. name:
-#: src/viewer/text/search.c:1747
+#: src/viewer/text/search.c:1765
 #, fuzzy
 msgid "Search History"
 msgstr "Slut p minne"
 
-#: src/viewer/text/textarea.c:595
+#: src/viewer/text/textarea.c:584
 msgid "You cannot launch an external editor in the anonymous mode."
 msgstr ""
 
-#: src/viewer/text/textarea.c:602
+#: src/viewer/text/textarea.c:591
 msgid "You can do this only on the master terminal"
 msgstr ""
 
-#: src/viewer/text/textarea.c:655
+#: src/viewer/text/textarea.c:644
 #, c-format
 msgid ""
 "You have exceeded the textarea's size limit: your input is %d bytes, but the "
@@ -8435,11 +8448,11 @@ msgstr "G till lnk"
 msgid "Enter link number"
 msgstr "Skriv in lnknummer"
 
-#: src/viewer/text/view.c:1627
+#: src/viewer/text/view.c:1628
 msgid "Save error"
 msgstr "Sparfel"
 
-#: src/viewer/text/view.c:1628
+#: src/viewer/text/view.c:1629
 msgid "Error writing to file"
 msgstr "Fel vid skrivning till fil"
 
Binary files 0.12~pre2.dfsg0-1/po/tr.gmo and 0.12~pre4-1/po/tr.gmo differ
diff -pruN 0.12~pre2.dfsg0-1/po/tr.po 0.12~pre4-1/po/tr.po
--- 0.12~pre2.dfsg0-1/po/tr.po	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/po/tr.po	2009-05-31 09:48:47.000000000 +0100
@@ -6,7 +6,7 @@ msgid ""
 msgstr ""
 "Project-Id-Version: ELinks 0.5pre0.CVS\n"
 "Report-Msgid-Bugs-To: elinks-users@linuxfromscratch.org\n"
-"POT-Creation-Date: 2008-09-21 11:13+0300\n"
+"POT-Creation-Date: 2009-05-31 01:57+0300\n"
 "PO-Revision-Date: 2003-01-03 03:41+0100\n"
 "Last-Translator: Baris Metin <baris@gelecek.com.tr>\n"
 "Language-Team: Turkish <gnu-tr-u12a@lists.sourceforge.net>\n"
@@ -37,7 +37,7 @@ msgstr ""
 #: src/mime/dialogs.c:132 src/protocol/auth/dialogs.c:115
 #: src/protocol/protocol.c:246 src/scripting/lua/core.c:399
 #: src/scripting/lua/core.c:480 src/scripting/python/dialogs.c:86
-#: src/session/session.c:811 src/viewer/text/search.c:1686
+#: src/session/session.c:821 src/viewer/text/search.c:1704
 #, fuzzy
 msgid "~OK"
 msgstr "Tamam"
@@ -55,13 +55,13 @@ msgid "Sorry, but the item \"%s\" is bei
 msgstr ""
 
 #. cant_delete_folder
-#: src/bfu/hierbox.c:558 src/bookmarks/dialogs.c:121
+#: src/bfu/hierbox.c:558 src/bookmarks/dialogs.c:153
 #, c-format
 msgid "Sorry, but the folder \"%s\" cannot be deleted."
 msgstr ""
 
 #. cant_delete_used_folder
-#: src/bfu/hierbox.c:561 src/bookmarks/dialogs.c:123
+#: src/bfu/hierbox.c:561 src/bookmarks/dialogs.c:155
 #, c-format
 msgid "Sorry, but the folder \"%s\" is being used by something else."
 msgstr ""
@@ -79,7 +79,7 @@ msgid "Delete marked items?"
 msgstr "Alan se"
 
 #. delete_folder_title
-#: src/bfu/hierbox.c:570 src/bookmarks/dialogs.c:129
+#: src/bfu/hierbox.c:570 src/bookmarks/dialogs.c:161
 #, fuzzy
 msgid "Delete folder"
 msgstr "Yer imini sil"
@@ -139,13 +139,13 @@ msgstr "Evet"
 msgid "~No"
 msgstr "Hayr"
 
-#: src/bfu/hierbox.c:945 src/bfu/hierbox.c:976 src/viewer/text/search.c:1090
-#: src/viewer/text/search.c:1098 src/viewer/text/search.c:1114
-#: src/viewer/text/search.c:1705
+#: src/bfu/hierbox.c:945 src/bfu/hierbox.c:976 src/viewer/text/search.c:1106
+#: src/viewer/text/search.c:1114 src/viewer/text/search.c:1130
+#: src/viewer/text/search.c:1723
 msgid "Search"
 msgstr "Ara"
 
-#: src/bfu/hierbox.c:947 src/viewer/text/search.c:1091
+#: src/bfu/hierbox.c:947 src/viewer/text/search.c:1107
 #, fuzzy, c-format
 msgid "Search string '%s' not found"
 msgstr "Aranan sz dizimi bulunamad"
@@ -184,8 +184,8 @@ msgstr "Bo sz dizimine izin verilmiyor
 #: src/dialogs/options.c:237 src/dialogs/options.c:316 src/mime/dialogs.c:133
 #: src/protocol/auth/dialogs.c:116 src/protocol/bittorrent/dialogs.c:814
 #: src/scripting/lua/core.c:400 src/scripting/lua/core.c:481
-#: src/session/download.c:607 src/session/download.c:1219
-#: src/viewer/text/search.c:1687
+#: src/session/download.c:633 src/session/download.c:1245
+#: src/viewer/text/search.c:1705
 #, fuzzy
 msgid "~Cancel"
 msgstr "ptal"
@@ -199,8 +199,8 @@ msgstr "kilitlenmi"
 msgid "Digital clock in the status bar."
 msgstr ""
 
-#: src/bfu/leds.c:77 src/bfu/leds.c:94 src/config/options.inc:1199
-#: src/config/options.inc:1206 src/ecmascript/ecmascript.c:45
+#: src/bfu/leds.c:77 src/bfu/leds.c:94 src/config/options.inc:1272
+#: src/config/options.inc:1279 src/ecmascript/ecmascript.c:45
 #: src/globhist/globhist.c:64 src/mime/backend/mailcap.c:93
 #: src/mime/backend/mimetypes.c:52 src/network/ssl/ssl.c:81
 #, fuzzy
@@ -218,8 +218,7 @@ msgstr "Dosya ykle"
 
 #: src/bfu/leds.c:83
 msgid ""
-"Format string for the digital clock. See the strftime(3)\n"
-"manpage for details."
+"Format string for the digital clock. See the strftime(3) manpage for details."
 msgstr ""
 
 #: src/bfu/leds.c:90
@@ -232,8 +231,7 @@ msgstr ""
 
 #: src/bfu/leds.c:96
 msgid ""
-"Enable LEDs.\n"
-"These visual indicators will inform you about various states."
+"Enable LEDs. These visual indicators will inform you about various states."
 msgstr ""
 
 #. name:
@@ -263,34 +261,34 @@ msgstr ""
 msgid "Search menu/"
 msgstr "Ara"
 
-#: src/bookmarks/backend/xbel.c:97
+#: src/bookmarks/backend/xbel.c:105
 #, c-format
 msgid "read_bookmarks_xbel(): Error in XML_ParserCreate()"
 msgstr ""
 
-#: src/bookmarks/backend/xbel.c:108
+#: src/bookmarks/backend/xbel.c:116
 #, c-format
 msgid "read_bookmarks_xbel(): Error reading %s"
 msgstr ""
 
-#: src/bookmarks/backend/xbel.c:116
+#: src/bookmarks/backend/xbel.c:124
 #, c-format
 msgid ""
 "Parse error while processing XBEL bookmarks in %s at line %d column %d:\n"
 "%s"
 msgstr ""
 
-#: src/bookmarks/backend/xbel.c:390 src/bookmarks/backend/xbel.c:411
+#: src/bookmarks/backend/xbel.c:388 src/bookmarks/backend/xbel.c:410
 msgid "No title"
 msgstr ""
 
-#: src/bookmarks/backend/xbel.c:396
+#: src/bookmarks/backend/xbel.c:394
 #, fuzzy
 msgid "No URL"
 msgstr "Adrese git"
 
 #. name:
-#: src/bookmarks/bookmarks.c:48 src/bookmarks/bookmarks.c:181
+#: src/bookmarks/bookmarks.c:48 src/bookmarks/bookmarks.c:183
 #, fuzzy
 msgid "Bookmarks"
 msgstr "~Yer imleri"
@@ -300,7 +298,7 @@ msgstr "~Yer imleri"
 msgid "Bookmark options."
 msgstr "~Yer imleri"
 
-#: src/bookmarks/bookmarks.c:53 src/bookmarks/bookmarks.c:59
+#: src/bookmarks/bookmarks.c:53 src/bookmarks/bookmarks.c:60
 #, fuzzy
 msgid "File format"
 msgstr "Dosya ykle"
@@ -309,51 +307,47 @@ msgstr "Dosya ykle"
 msgid ""
 "File format for bookmarks (affects both reading and saving):\n"
 "0 is the default native ELinks format\n"
-"1 is XBEL universal XML bookmarks format (ELinks bug 153: NO NATIONAL CHARS "
-"SUPPORT!)"
+"1 is XBEL universal XML bookmarks format"
 msgstr ""
 
-#: src/bookmarks/bookmarks.c:61
+#: src/bookmarks/bookmarks.c:62
 msgid ""
 "File format for bookmarks (affects both reading and saving):\n"
 "0 is the default native ELinks format\n"
-"1 is XBEL universal XML bookmarks format (ELinks bug 153: NO NATIONAL CHARS "
-"SUPPORT!)  (DISABLED)"
+"1 is XBEL universal XML bookmarks format  (DISABLED)"
 msgstr ""
 
-#: src/bookmarks/bookmarks.c:67
+#: src/bookmarks/bookmarks.c:68
 #, fuzzy
 msgid "Save folder state"
 msgstr "Balant numarasn gir"
 
-#: src/bookmarks/bookmarks.c:69
+#: src/bookmarks/bookmarks.c:70
 msgid ""
-"When saving bookmarks also store whether folders are\n"
-"expanded or not, so the look of the bookmark dialog is\n"
-"kept across ELinks sessions. If disabled all folders will\n"
-"appear unexpanded next time ELinks is run."
+"When saving bookmarks also store whether folders are expanded or not, so the "
+"look of the bookmark dialog is kept across ELinks sessions. If disabled all "
+"folders will appear unexpanded next time ELinks is run."
 msgstr ""
 
-#: src/bookmarks/bookmarks.c:74
+#: src/bookmarks/bookmarks.c:75
 msgid "Periodic snapshotting"
 msgstr ""
 
-#: src/bookmarks/bookmarks.c:76
+#: src/bookmarks/bookmarks.c:77
 msgid ""
-"Automatically save a snapshot of all tabs periodically.\n"
-"This will periodically bookmark the tabs of each terminal in a separate "
-"folder\n"
-"for recovery after a crash.\n"
+"Automatically save a snapshot of all tabs periodically. This will "
+"periodically bookmark the tabs of each terminal in a separate folder for "
+"recovery after a crash.\n"
 "\n"
 "This feature requires bookmark support."
 msgstr ""
 
-#: src/bookmarks/dialogs.c:72 src/config/options.inc:1051
+#: src/bookmarks/dialogs.c:97 src/config/options.inc:1120
 #: src/dialogs/document.c:145 src/globhist/dialogs.c:65
 msgid "Title"
 msgstr ""
 
-#: src/bookmarks/dialogs.c:73 src/cache/dialogs.c:65
+#: src/bookmarks/dialogs.c:101 src/cache/dialogs.c:65
 #: src/dialogs/document.c:136 src/dialogs/edit.c:96 src/formhist/dialogs.c:63
 #: src/globhist/dialogs.c:66 src/protocol/auth/dialogs.c:163
 #: src/scripting/lua/core.c:397
@@ -361,86 +355,86 @@ msgid "URL"
 msgstr "Adres"
 
 #. cant_delete_item
-#: src/bookmarks/dialogs.c:117
+#: src/bookmarks/dialogs.c:149
 #, c-format
 msgid "Sorry, but the bookmark \"%s\" cannot be deleted."
 msgstr ""
 
 #. cant_delete_used_item
-#: src/bookmarks/dialogs.c:119
+#: src/bookmarks/dialogs.c:151
 #, c-format
 msgid "Sorry, but the bookmark \"%s\" is being used by something else."
 msgstr ""
 
 #. delete_marked_items_title
-#: src/bookmarks/dialogs.c:125
+#: src/bookmarks/dialogs.c:157
 #, fuzzy
 msgid "Delete marked bookmarks"
 msgstr "Alan se"
 
 #. delete_marked_items
-#: src/bookmarks/dialogs.c:127
+#: src/bookmarks/dialogs.c:159
 #, fuzzy
 msgid "Delete marked bookmarks?"
 msgstr "Alan se"
 
 #. delete_folder
-#: src/bookmarks/dialogs.c:131
+#: src/bookmarks/dialogs.c:163
 #, fuzzy, c-format
 msgid "Delete the folder \"%s\" and all bookmarks in it?"
 msgstr "Uzanty sil"
 
 #. delete_item_title
-#: src/bookmarks/dialogs.c:133
+#: src/bookmarks/dialogs.c:165
 #, fuzzy
 msgid "Delete bookmark"
 msgstr "Yer imini dzenle"
 
-#: src/bookmarks/dialogs.c:135
+#: src/bookmarks/dialogs.c:167
 #, c-format
 msgid "Delete this bookmark?"
 msgstr ""
 
 #. clear_all_items_title
-#: src/bookmarks/dialogs.c:137
+#: src/bookmarks/dialogs.c:169
 #, fuzzy
 msgid "Clear all bookmarks"
 msgstr "~Yer imleri"
 
 #. clear_all_items_title
-#: src/bookmarks/dialogs.c:139
+#: src/bookmarks/dialogs.c:171
 #, fuzzy
 msgid "Do you really want to remove all bookmarks?"
 msgstr "Links'den gerekten kmak istiyor musunuz?"
 
-#: src/bookmarks/dialogs.c:254
+#: src/bookmarks/dialogs.c:327
 msgid "Add folder"
 msgstr ""
 
-#: src/bookmarks/dialogs.c:254
+#: src/bookmarks/dialogs.c:327
 msgid "Folder name"
 msgstr ""
 
-#: src/bookmarks/dialogs.c:310 src/scripting/lua/core.c:391
+#: src/bookmarks/dialogs.c:410 src/scripting/lua/core.c:391
 msgid "Edit bookmark"
 msgstr "Yer imini dzenle"
 
-#: src/bookmarks/dialogs.c:461
+#: src/bookmarks/dialogs.c:567
 msgid "Cannot move folder inside itself"
 msgstr ""
 
-#: src/bookmarks/dialogs.c:462
+#: src/bookmarks/dialogs.c:568
 msgid ""
 "You are trying to move the marked folder inside itself. To move the folder "
 "to a different location select the new location before pressing the Move "
 "button."
 msgstr ""
 
-#: src/bookmarks/dialogs.c:468
+#: src/bookmarks/dialogs.c:574
 msgid "Nothing to move"
 msgstr ""
 
-#: src/bookmarks/dialogs.c:469
+#: src/bookmarks/dialogs.c:575
 msgid ""
 "To move bookmarks, first mark all the bookmarks (or folders) you want to "
 "move.  This can be done with the Insert key if you're using the default key-"
@@ -449,21 +443,21 @@ msgid ""
 msgstr ""
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons, src/cache/dialogs.c:cache_buttons, src/globhist/dialogs.c:globhist_buttons, src/protocol/auth/dialogs.c:auth_buttons)
-#: src/bookmarks/dialogs.c:487 src/cache/dialogs.c:230
+#: src/bookmarks/dialogs.c:593 src/cache/dialogs.c:230
 #: src/globhist/dialogs.c:224 src/protocol/auth/dialogs.c:261
 #, fuzzy
 msgid "~Goto"
 msgstr "Git"
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons, src/config/dialogs.c:option_buttons, src/cookies/dialogs.c:cookie_buttons)
-#: src/bookmarks/dialogs.c:488 src/config/dialogs.c:503
+#: src/bookmarks/dialogs.c:594 src/config/dialogs.c:503
 #: src/cookies/dialogs.c:492
 #, fuzzy
 msgid "~Edit"
 msgstr "Dzenle"
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons, src/cache/dialogs.c:cache_buttons, src/config/dialogs.c:keybinding_buttons, src/config/dialogs.c:option_buttons, src/cookies/dialogs.c:cookie_buttons, src/dialogs/menu.c:ext_menu, src/formhist/dialogs.c:formhist_buttons, src/globhist/dialogs.c:globhist_buttons, src/protocol/auth/dialogs.c:auth_buttons)
-#: src/bookmarks/dialogs.c:489 src/cache/dialogs.c:231
+#: src/bookmarks/dialogs.c:595 src/cache/dialogs.c:231
 #: src/config/dialogs.c:505 src/config/dialogs.c:930 src/cookies/dialogs.c:493
 #: src/dialogs/menu.c:463 src/formhist/dialogs.c:211
 #: src/globhist/dialogs.c:229 src/protocol/auth/dialogs.c:263
@@ -471,28 +465,28 @@ msgid "~Delete"
 msgstr "~Sil"
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons, src/config/dialogs.c:keybinding_buttons, src/config/dialogs.c:option_buttons, src/cookies/dialogs.c:cookie_buttons, src/dialogs/menu.c:ext_menu)
-#: src/bookmarks/dialogs.c:490 src/config/dialogs.c:504
+#: src/bookmarks/dialogs.c:596 src/config/dialogs.c:504
 #: src/config/dialogs.c:929 src/cookies/dialogs.c:490 src/dialogs/menu.c:461
 msgid "~Add"
 msgstr "~Ekle"
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons)
-#: src/bookmarks/dialogs.c:491
+#: src/bookmarks/dialogs.c:597
 msgid "Add se~parator"
 msgstr ""
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons)
-#: src/bookmarks/dialogs.c:492
+#: src/bookmarks/dialogs.c:598
 msgid "Add ~folder"
 msgstr ""
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons)
-#: src/bookmarks/dialogs.c:493
+#: src/bookmarks/dialogs.c:599
 msgid "~Move"
 msgstr ""
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons, src/cache/dialogs.c:cache_buttons, src/config/dialogs.c:keybinding_buttons, src/config/dialogs.c:option_buttons, src/dialogs/menu.c:view_menu, src/globhist/dialogs.c:globhist_buttons)
-#: src/bookmarks/dialogs.c:494 src/cache/dialogs.c:232
+#: src/bookmarks/dialogs.c:600 src/cache/dialogs.c:232
 #: src/config/dialogs.c:506 src/config/dialogs.c:932 src/dialogs/menu.c:413
 #: src/globhist/dialogs.c:230
 msgid "~Search"
@@ -500,38 +494,52 @@ msgstr "~Ara"
 
 #. This one is too dangerous, so just let user delete
 #. * the bookmarks file if needed. --Zas
-#: src/bookmarks/dialogs.c:498
+#: src/bookmarks/dialogs.c:604
 msgid "Clear"
 msgstr ""
 
 #. TODO: Would this be useful? --jonas
-#: src/bookmarks/dialogs.c:501 src/globhist/dialogs.c:235
+#: src/bookmarks/dialogs.c:607 src/globhist/dialogs.c:235
 msgid "Save"
 msgstr "Kaydet"
 
-#: src/bookmarks/dialogs.c:507
+#: src/bookmarks/dialogs.c:613
 msgid "Bookmark manager"
 msgstr "Yer imi yneticisi"
 
-#: src/bookmarks/dialogs.c:632
+#: src/bookmarks/dialogs.c:825
 msgid "Search bookmarks"
 msgstr ""
 
-#: src/bookmarks/dialogs.c:661
+#. When the user eventually pushes the OK button, BFU calls
+#. * bookmark_add_add() and gives it the struct dialog * as the
+#. * void * parameter.  However, bookmark_add_add() also needs
+#. * to know the struct terminal *, and there is no way to get
+#. * that from struct dialog.  The other bookmark dialogs work
+#. * around that by making dialog.udata point to the struct
+#. * dialog_data of the bookmark manager, but the "Add bookmark"
+#. * dialog can be triggered with ACT_MAIN_ADD_BOOKMARK, which
+#. * does not involve the bookmark manager at all.
+#. *
+#. * The solution here is to save the struct terminal * in
+#. * dialog.udata2, which the "Edit bookmark" dialog uses for
+#. * struct bookmark *.  When adding a new bookmark, we don't
+#. * need a pointer to an existing one, of course.
+#: src/bookmarks/dialogs.c:892
 msgid "Add bookmark"
 msgstr "Yer imi ekle"
 
-#: src/bookmarks/dialogs.c:697
+#: src/bookmarks/dialogs.c:950
 #, fuzzy
 msgid "Saved session"
 msgstr "Seenekleri ka~ydet"
 
-#: src/bookmarks/dialogs.c:705
+#: src/bookmarks/dialogs.c:958
 #, fuzzy
 msgid "Bookmark tabs"
 msgstr "~Yer imleri"
 
-#: src/bookmarks/dialogs.c:705
+#: src/bookmarks/dialogs.c:958
 #, fuzzy
 msgid "Enter folder name"
 msgstr "Balant numarasn gir"
@@ -545,7 +553,7 @@ msgstr "Adrese git"
 msgid "Redirect"
 msgstr ""
 
-#: src/cache/dialogs.c:85 src/config/options.inc:519
+#: src/cache/dialogs.c:85 src/config/options.inc:553
 #: src/dialogs/document.c:156 src/protocol/bittorrent/dialogs.c:126
 msgid "Size"
 msgstr "Boyut"
@@ -592,7 +600,7 @@ msgstr ""
 msgid "ID"
 msgstr ""
 
-#: src/cache/dialogs.c:134 src/config/options.inc:669
+#: src/cache/dialogs.c:134 src/config/options.inc:707
 #, fuzzy
 msgid "Header"
 msgstr "Kaydetme hatas"
@@ -1346,7 +1354,7 @@ msgstr "Makina bulunamad"
 msgid "Resolver error"
 msgstr "Kaydetme hatas"
 
-#: src/config/cmdline.c:256 src/cookies/cookies.c:841 src/network/state.c:47
+#: src/config/cmdline.c:256 src/cookies/cookies.c:843 src/network/state.c:47
 #: src/util/secsave.c:379
 msgid "Out of memory"
 msgstr "Hafza yetmiyor"
@@ -1368,290 +1376,291 @@ msgstr ""
 msgid "Remote method not supported"
 msgstr ""
 
-#: src/config/cmdline.c:452
+#: src/config/cmdline.c:437
+msgid "Out of memory formatting option documentation"
+msgstr ""
+
+#: src/config/cmdline.c:474
 msgid "Template option folder"
 msgstr ""
 
-#: src/config/cmdline.c:475
+#: src/config/cmdline.c:497
 #, c-format
 msgid "(default: %ld)"
 msgstr ""
 
-#: src/config/cmdline.c:482 src/config/cmdline.c:511
+#: src/config/cmdline.c:504 src/config/cmdline.c:533
 #, c-format
 msgid "(default: \"%s\")"
 msgstr ""
 
-#: src/config/cmdline.c:487
+#: src/config/cmdline.c:509
 #, c-format
 msgid "(alias for %s)"
 msgstr ""
 
-#: src/config/cmdline.c:492 src/config/cmdline.c:501
+#: src/config/cmdline.c:514 src/config/cmdline.c:523
 #, c-format
 msgid "(default: %s)"
 msgstr ""
 
-#: src/config/cmdline.c:642
+#: src/config/cmdline.c:654
 #, fuzzy
 msgid "Configuration options"
 msgstr "Balantlar"
 
-#: src/config/cmdline.c:646
+#: src/config/cmdline.c:658
 msgid "Usage: elinks [OPTION]... [URL]..."
 msgstr ""
 
-#: src/config/cmdline.c:647
+#: src/config/cmdline.c:659
 #, fuzzy
 msgid "Options"
 msgstr "Seenekleri ka~ydet"
 
-#: src/config/cmdline.c:689
+#: src/config/cmdline.c:701
 #, fuzzy
 msgid "Internal consistency error"
 msgstr "sel hata"
 
 #.
-#: src/config/cmdline.c:725
+#: src/config/cmdline.c:737
 msgid "Restrict to anonymous mode"
 msgstr ""
 
-#: src/config/cmdline.c:727
+#: src/config/cmdline.c:739
 msgid ""
-"Restricts ELinks so it can run on an anonymous account.\n"
-"Local file browsing, downloads, and modification of options\n"
-"will be disabled. Execution of viewers is allowed, but entries\n"
-"in the association table can't be added or modified."
+"Restricts ELinks so it can run on an anonymous account. Local file browsing, "
+"downloads, and modification of options will be disabled. Execution of "
+"viewers is allowed, but entries in the association table can't be added or "
+"modified."
 msgstr ""
 
-#: src/config/cmdline.c:732
+#: src/config/cmdline.c:745
 #, fuzzy
 msgid "Autosubmit first form"
 msgstr "Forumu ~Gnder"
 
-#: src/config/cmdline.c:734
+#: src/config/cmdline.c:747
 msgid "Automatically submit the first form in the given URLs."
 msgstr ""
 
-#: src/config/cmdline.c:736
+#: src/config/cmdline.c:749
 msgid "Clone internal session with given ID"
 msgstr ""
 
-#: src/config/cmdline.c:738
+#: src/config/cmdline.c:751
 msgid ""
-"Used internally when opening ELinks instances in new windows.\n"
-"The ID maps to information that will be used when creating the\n"
-"new instance. You don't want to use it."
+"Used internally when opening ELinks instances in new windows. The ID maps to "
+"information that will be used when creating the new instance. You don't want "
+"to use it."
 msgstr ""
 
-#: src/config/cmdline.c:744
+#: src/config/cmdline.c:757
 msgid "Name of directory with configuration file"
 msgstr ""
 
-#: src/config/cmdline.c:746
+#: src/config/cmdline.c:759
 msgid ""
-"Path of the directory ELinks will read and write its\n"
-"config and runtime state files to instead of ~/.elinks.\n"
-"If the path does not begin with a '/' it is assumed to be\n"
-"relative to your HOME directory."
+"Path of the directory ELinks will read and write its config and runtime "
+"state files to instead of ~/.elinks. If the path does not begin with a '/' "
+"it is assumed to be relative to your HOME directory."
 msgstr ""
 
-#: src/config/cmdline.c:751
+#: src/config/cmdline.c:764
 msgid "Print default configuration file to stdout"
 msgstr ""
 
-#: src/config/cmdline.c:753
+#: src/config/cmdline.c:766
 msgid ""
-"Print a configuration file with options set to the built-in\n"
-"defaults to stdout."
+"Print a configuration file with options set to the built-in defaults to "
+"stdout."
 msgstr ""
 
-#: src/config/cmdline.c:758
+#: src/config/cmdline.c:771
 msgid "Name of configuration file"
 msgstr ""
 
-#: src/config/cmdline.c:760
+#: src/config/cmdline.c:773
 msgid ""
-"Name of the configuration file that all configuration\n"
-"options will be read from and written to. It should be\n"
-"relative to config-dir."
+"Name of the configuration file that all configuration options will be read "
+"from and written to. It should be relative to config-dir."
 msgstr ""
 
-#: src/config/cmdline.c:764
+#: src/config/cmdline.c:777
 msgid "Print help for configuration options"
 msgstr ""
 
-#: src/config/cmdline.c:766
+#: src/config/cmdline.c:779
 msgid "Print help for configuration options and exit."
 msgstr ""
 
-#: src/config/cmdline.c:768
+#: src/config/cmdline.c:781
 msgid "MIME type assumed for unknown document types"
 msgstr ""
 
-#: src/config/cmdline.c:770
+#: src/config/cmdline.c:783
 msgid "The default MIME type used for documents of unknown type."
 msgstr ""
 
-#: src/config/cmdline.c:772
+#: src/config/cmdline.c:786
 msgid "Ignore user-defined keybindings"
 msgstr ""
 
-#: src/config/cmdline.c:774
+#: src/config/cmdline.c:788
 msgid ""
-"When set, all keybindings from configuration files will be\n"
-"ignored. It forces use of default keybindings and will reset\n"
-"user-defined ones on save."
+"When set, all keybindings from configuration files will be ignored. It "
+"forces use of default keybindings and will reset user-defined ones on save."
 msgstr ""
 
-#: src/config/cmdline.c:778
+#: src/config/cmdline.c:792
 msgid "Print formatted versions of given URLs to stdout"
 msgstr ""
 
-#: src/config/cmdline.c:780
+#: src/config/cmdline.c:794
 msgid "Print formatted plain-text versions of given URLs to stdout."
 msgstr ""
 
-#: src/config/cmdline.c:782
+#: src/config/cmdline.c:797
 msgid "Codepage to use with -dump"
 msgstr ""
 
-#: src/config/cmdline.c:784
+#: src/config/cmdline.c:799
 msgid "Codepage used when formatting dump output."
 msgstr ""
 
-#: src/config/cmdline.c:786
+#: src/config/cmdline.c:801
 msgid "Color mode used with -dump"
 msgstr ""
 
-#: src/config/cmdline.c:788
+#: src/config/cmdline.c:803
 msgid "Color mode used with -dump."
 msgstr ""
 
-#: src/config/cmdline.c:790
+#: src/config/cmdline.c:805
 msgid "Width of document formatted with -dump"
 msgstr ""
 
-#: src/config/cmdline.c:792
+#: src/config/cmdline.c:807
 msgid "Width of the dump output."
 msgstr ""
 
-#: src/config/cmdline.c:794
+#: src/config/cmdline.c:809
 msgid "Evaluate configuration file directive"
 msgstr ""
 
-#: src/config/cmdline.c:796
+#: src/config/cmdline.c:811
 msgid ""
-"Specify configuration file directives on the command-line\n"
-"which will be evaluated after all configuration files has been\n"
-"read. Example usage:\n"
+"Specify configuration file directives on the command-line which will be "
+"evaluated after all configuration files has been read. Example usage:\n"
 "\t-eval 'set protocol.file.allow_special_files = 1'"
 msgstr ""
 
 #. lynx compatibility
-#: src/config/cmdline.c:802
+#: src/config/cmdline.c:817
 msgid "Interpret documents of unknown types as HTML"
 msgstr ""
 
-#: src/config/cmdline.c:804
+#: src/config/cmdline.c:819
 msgid ""
-"Makes ELinks assume documents of unknown types are HTML.\n"
-"Useful when using ELinks as an external viewer from MUAs.\n"
-"This is equivalent to -default-mime-type text/html."
+"Makes ELinks assume documents of unknown types are HTML. Useful when using "
+"ELinks as an external viewer from MUAs. This is equivalent to -default-mime-"
+"type text/html."
 msgstr ""
 
-#: src/config/cmdline.c:814
+#: src/config/cmdline.c:829
 msgid "Print usage help and exit"
 msgstr ""
 
-#: src/config/cmdline.c:816
+#: src/config/cmdline.c:831
 msgid "Print usage help and exit."
 msgstr ""
 
-#: src/config/cmdline.c:818
+#: src/config/cmdline.c:833
 msgid "Only permit local connections"
 msgstr ""
 
-#: src/config/cmdline.c:820
+#: src/config/cmdline.c:835
 msgid ""
-"Restricts ELinks to work offline and only connect to servers\n"
-"with local addresses (ie. 127.0.0.1). No connections to remote\n"
-"servers will be permitted."
+"Restricts ELinks to work offline and only connect to servers with local "
+"addresses (ie. 127.0.0.1). No connections to remote servers will be "
+"permitted."
 msgstr ""
 
-#: src/config/cmdline.c:824
+#: src/config/cmdline.c:839
 msgid "Print detailed usage help and exit"
 msgstr ""
 
-#: src/config/cmdline.c:826
+#: src/config/cmdline.c:841
 msgid "Print detailed usage help and exit."
 msgstr ""
 
-#: src/config/cmdline.c:828
+#: src/config/cmdline.c:843
 #, fuzzy
 msgid "Look up specified host"
 msgstr "Program belirlenmemi:"
 
-#: src/config/cmdline.c:830
+#: src/config/cmdline.c:845
 msgid "Look up specified host and print all DNS resolved IP addresses."
 msgstr ""
 
-#: src/config/cmdline.c:832
+#: src/config/cmdline.c:848
 msgid "Run as separate instance"
 msgstr ""
 
-#: src/config/cmdline.c:834
+#: src/config/cmdline.c:850
 msgid ""
-"Run ELinks as a separate instance instead of connecting to an\n"
-"existing instance. Note that normally no runtime state files\n"
-"(bookmarks, history, etc.) are written to the disk when this\n"
-"option is used. See also -touch-files."
+"Run ELinks as a separate instance instead of connecting to an existing "
+"instance. Note that normally no runtime state files (bookmarks, history, "
+"etc.) are written to the disk when this option is used. See also -touch-"
+"files."
 msgstr ""
 
-#: src/config/cmdline.c:839
+#: src/config/cmdline.c:855
 msgid "Disable use of files in ~/.elinks"
 msgstr ""
 
-#: src/config/cmdline.c:841
+#: src/config/cmdline.c:857
 msgid ""
-"Disables creation and use of files in the user specific home\n"
-"configuration directory (~/.elinks). It forces default configuration\n"
-"values to be used and disables saving of runtime state files."
+"Disables creation and use of files in the user specific home configuration "
+"directory (~/.elinks). It forces default configuration values to be used and "
+"disables saving of runtime state files."
 msgstr ""
 
-#: src/config/cmdline.c:845
+#: src/config/cmdline.c:862
 msgid "Disable link numbering in dump output"
 msgstr ""
 
-#: src/config/cmdline.c:847
+#: src/config/cmdline.c:864
 msgid ""
 "Prevents printing of link number in dump output.\n"
+"\n"
 "Note that this really affects only -dump, nothing else."
 msgstr ""
 
-#: src/config/cmdline.c:850
+#: src/config/cmdline.c:868
 msgid "Disable printing of link references in dump output"
 msgstr ""
 
-#: src/config/cmdline.c:852
+#: src/config/cmdline.c:870
 msgid ""
-"Prevents printing of references (URIs) of document links\n"
-"in dump output.\n"
+"Prevents printing of references (URIs) of document links in dump output.\n"
+"\n"
 "Note that this really affects only -dump, nothing else."
 msgstr ""
 
-#: src/config/cmdline.c:856
+#: src/config/cmdline.c:875
 msgid "Control an already running ELinks"
 msgstr ""
 
-#: src/config/cmdline.c:858
+#: src/config/cmdline.c:877
 msgid ""
-"Control a remote ELinks instance by passing commands to it.\n"
-"The option takes an additional argument containing the method\n"
-"which should be invoked and any parameters that should be passed\n"
-"to it. For ease of use, the additional method argument can be\n"
-"omitted in which case any URL arguments will be opened in new\n"
-"tabs in the remote instance.\n"
+"Control a remote ELinks instance by passing commands to it. The option takes "
+"an additional argument containing the method which should be invoked and any "
+"parameters that should be passed to it. For ease of use, the additional "
+"method argument can be omitted in which case any URL arguments will be "
+"opened in new tabs in the remote instance.\n"
+"\n"
 "Following is a list of the supported methods:\n"
 "\tping()                    : look for a remote instance\n"
 "\topenURL()                 : prompt URL in current tab\n"
@@ -1663,70 +1672,69 @@ msgid ""
 "\txfeDoCommand(openBrowser) : open new window"
 msgstr ""
 
-#: src/config/cmdline.c:874
+#: src/config/cmdline.c:895
 msgid "Connect to session ring with given ID"
 msgstr ""
 
-#: src/config/cmdline.c:876
+#: src/config/cmdline.c:897
 msgid ""
-"ID of session ring this ELinks session should connect to. ELinks\n"
-"works in so-called session rings, whereby all instances of ELinks\n"
-"are interconnected and share state (cache, bookmarks, cookies,\n"
-"and so on). By default, all ELinks instances connect to session\n"
-"ring 0. You can change that behaviour with this switch and form as\n"
-"many session rings as you want. Obviously, if the session-ring with\n"
-"this number doesn't exist yet, it's created and this ELinks instance\n"
-"will become the master instance (that usually doesn't matter for you\n"
-"as a user much). Note that you usually don't want to use this unless\n"
-"you're a developer and you want to do some testing - if you want the\n"
-"ELinks instances each running standalone, rather use the -no-connect\n"
-"command-line option. Also note that normally no runtime state files\n"
-"are written to the disk when this option is used. See also\n"
-"-touch-files."
+"ID of session ring this ELinks session should connect to. ELinks works in so-"
+"called session rings, whereby all instances of ELinks are interconnected and "
+"share state (cache, bookmarks, cookies, and so on). By default, all ELinks "
+"instances connect to session ring 0. You can change that behaviour with this "
+"switch and form as many session rings as you want. Obviously, if the session-"
+"ring with this number doesn't exist yet, it's created and this ELinks "
+"instance will become the master instance (that usually doesn't matter for "
+"you as a user much).\n"
+"\n"
+"Note that you usually don't want to use this unless you're a developer and "
+"you want to do some testing - if you want the ELinks instances each running "
+"standalone, rather use the -no-connect command-line option. Also note that "
+"normally no runtime state files are written to the disk when this option is "
+"used. See also -touch-files."
 msgstr ""
 
-#: src/config/cmdline.c:891
+#: src/config/cmdline.c:915
 msgid "Print the source of given URLs to stdout"
 msgstr ""
 
-#: src/config/cmdline.c:893
+#: src/config/cmdline.c:917
 msgid "Print given URLs in source form to stdout."
 msgstr ""
 
-#: src/config/cmdline.c:897
+#: src/config/cmdline.c:921
 msgid "Touch files in ~/.elinks when running with -no-connect/-session-ring"
 msgstr ""
 
-#: src/config/cmdline.c:899
+#: src/config/cmdline.c:923
 msgid ""
-"When enabled, runtime state files (bookmarks, history, etc.) are\n"
-"written to disk, even when -no-connect or -session-ring is used.\n"
-"The option has no effect if not used in conjunction with any of\n"
-"these options."
+"When enabled, runtime state files (bookmarks, history, etc.) are written to "
+"disk, even when -no-connect or -session-ring is used. The option has no "
+"effect if not used in conjunction with any of these options."
 msgstr ""
 
-#: src/config/cmdline.c:904
+#: src/config/cmdline.c:928
 msgid "Verbose level"
 msgstr ""
 
-#: src/config/cmdline.c:906
+#: src/config/cmdline.c:930
 msgid ""
-"The verbose level controls what messages are shown at\n"
-"start up and while running:\n"
+"The verbose level controls what messages are shown at start up and while "
+"running:\n"
 "\t0 means only show serious errors\n"
 "\t1 means show serious errors and warnings\n"
 "\t2 means show all messages"
 msgstr ""
 
-#: src/config/cmdline.c:912
+#: src/config/cmdline.c:936
 msgid "Print version information and exit"
 msgstr ""
 
-#: src/config/cmdline.c:914
+#: src/config/cmdline.c:938
 msgid "Print ELinks version information and exit."
 msgstr ""
 
-#: src/config/conf.c:938
+#: src/config/conf.c:963
 msgid ""
 "## This is ELinks configuration file. You can edit it manually,\n"
 "## if you wish so; this file is edited by ELinks when you save\n"
@@ -1734,7 +1742,7 @@ msgid ""
 "## and all your formatting, own comments etc will be kept as-is.\n"
 msgstr ""
 
-#: src/config/conf.c:946
+#: src/config/conf.c:971
 msgid ""
 "## This is ELinks configuration file. You can edit it manually,\n"
 "## if you wish so; this file is edited by ELinks when you save\n"
@@ -1745,7 +1753,7 @@ msgid ""
 "## own comments and so on will be kept as-is.\n"
 msgstr ""
 
-#: src/config/conf.c:956
+#: src/config/conf.c:981
 msgid ""
 "## This is ELinks configuration file. You can edit it manually,\n"
 "## if you wish so, but keep in mind that this file is overwritten\n"
@@ -1753,18 +1761,18 @@ msgid ""
 "## luck with your formatting and own comments then, so beware.\n"
 msgstr ""
 
-#: src/config/conf.c:967
+#: src/config/conf.c:992
 msgid ""
 "## Obviously, if you don't like what ELinks is going to do with\n"
 "## this file, you can change it by altering the config.saving_style\n"
 "## option. Come on, aren't we friendly guys after all?\n"
 msgstr ""
 
-#: src/config/conf.c:980
+#: src/config/conf.c:1005
 msgid "Automatically saved options\n"
 msgstr ""
 
-#: src/config/conf.c:992
+#: src/config/conf.c:1017
 msgid "Automatically saved keybindings\n"
 msgstr ""
 
@@ -1825,7 +1833,7 @@ msgstr ""
 #. * switch charsets.  So, it will work in any terminal that
 #. * understands UTF-8 and has the characters in its font.
 #: src/config/dialogs.c:149 src/config/dialogs.c:330
-#: src/config/options.inc:840
+#: src/config/options.inc:887
 msgid "Type"
 msgstr ""
 
@@ -1851,9 +1859,9 @@ msgid "Description"
 msgstr ""
 
 #: src/config/dialogs.c:291 src/protocol/bittorrent/dialogs.c:600
-#: src/protocol/protocol.c:240 src/session/session.c:287
-#: src/session/session.c:975 src/viewer/text/textarea.c:594
-#: src/viewer/text/textarea.c:601
+#: src/protocol/protocol.c:240 src/session/session.c:288
+#: src/session/session.c:999 src/viewer/text/textarea.c:583
+#: src/viewer/text/textarea.c:590
 msgid "Error"
 msgstr "Hata"
 
@@ -1888,7 +1896,7 @@ msgstr ""
 #. accelerator_context(src/config/dialogs.c:keybinding_buttons, src/config/dialogs.c:option_buttons, src/cookies/dialogs.c:cookie_buttons, src/formhist/dialogs.c:formhist_buttons, src/protocol/bittorrent/dialogs.c:bittorrent_query_callback, src/session/download.c:do_type_query, terminal_options)
 #: src/config/dialogs.c:507 src/config/dialogs.c:933 src/cookies/dialogs.c:495
 #: src/dialogs/options.c:236 src/formhist/dialogs.c:214
-#: src/protocol/bittorrent/dialogs.c:801 src/session/download.c:1203
+#: src/protocol/bittorrent/dialogs.c:801 src/session/download.c:1229
 #, fuzzy
 msgid "Sa~ve"
 msgstr "Kaydet"
@@ -1902,7 +1910,7 @@ msgstr "Yer imi yneticisi"
 msgid "Keystroke"
 msgstr ""
 
-#: src/config/dialogs.c:676 src/config/options.inc:1219
+#: src/config/dialogs.c:676 src/config/options.inc:1292
 msgid "Action"
 msgstr ""
 
@@ -1974,32 +1982,32 @@ msgid ""
 "directory."
 msgstr ""
 
-#: src/config/kbdbind.c:221
+#: src/config/kbdbind.c:222
 msgid "Main mapping"
 msgstr ""
 
-#: src/config/kbdbind.c:222
+#: src/config/kbdbind.c:223
 msgid "Edit mapping"
 msgstr ""
 
-#: src/config/kbdbind.c:223
+#: src/config/kbdbind.c:224
 msgid "Menu mapping"
 msgstr ""
 
-#: src/config/kbdbind.c:588 src/scripting/python/keybinding.c:104
+#: src/config/kbdbind.c:589 src/scripting/python/keybinding.c:104
 msgid "Unrecognised keymap"
 msgstr ""
 
-#: src/config/kbdbind.c:591
+#: src/config/kbdbind.c:592
 #, fuzzy
 msgid "Error parsing keystroke"
 msgstr "Sokete yazarken hata"
 
-#: src/config/kbdbind.c:595
+#: src/config/kbdbind.c:596
 msgid "Unrecognised action (internal error)"
 msgstr ""
 
-#: src/config/kbdbind.c:611
+#: src/config/kbdbind.c:612
 #, fuzzy
 msgid "Error registering event"
 msgstr "Sokete yazarken hata"
@@ -2027,332 +2035,327 @@ msgid ""
 "3 is full comments are written"
 msgstr ""
 
-#: src/config/options.inc:31
+#: src/config/options.inc:32
 msgid "Indentation"
 msgstr ""
 
-#: src/config/options.inc:33
+#: src/config/options.inc:34
 msgid ""
-"Shift width of one indentation level in the configuration\n"
-"file. Zero means that no indentation is performed at all\n"
-"when saving the configuration."
+"Shift width of one indentation level in the configuration file. Zero means "
+"that no indentation is performed at all when saving the configuration."
 msgstr ""
 
-#: src/config/options.inc:37
+#: src/config/options.inc:38
 msgid "Saving style"
 msgstr ""
 
-#: src/config/options.inc:39
+#: src/config/options.inc:40
 msgid ""
 "Determines what happens when you tell ELinks to save options:\n"
 "0 is only values of current options are altered\n"
-"1 is values of current options are altered and missing options\n"
-"     are added at the end of the file\n"
+"1 is values of current options are altered and missing\n"
+"     options are added at the end of the file\n"
 "2 is the configuration file is rewritten from scratch\n"
-"3 is values of current options are altered and missing options\n"
-"     CHANGED during this ELinks session are added at the end of\n"
-"     the file"
+"3 is values of current options are altered and missing\n"
+"     options CHANGED during this ELinks session are added at\n"
+"     the end of the file"
 msgstr ""
 
-#: src/config/options.inc:48
+#: src/config/options.inc:50
 msgid "Comments localization"
 msgstr ""
 
-#: src/config/options.inc:50
+#: src/config/options.inc:52
 msgid ""
-"If set to 1, comments in the configuration file will be\n"
-"translated to the language used by UI. Note that if you have\n"
-"different language set in different terminals, the language\n"
-"used in the configuration file MAY be the same as on the\n"
-"terminal where you saved the file, but it should be generally\n"
+"If set to 1, comments in the configuration file will be translated to the "
+"language used by UI. Note that if you have different language set in "
+"different terminals, the language used in the configuration file MAY be the "
+"same as on the terminal where you saved the file, but it should be generally "
 "considered unpredictable."
 msgstr ""
 
-#: src/config/options.inc:58
+#: src/config/options.inc:60
 msgid "Saving style warnings"
 msgstr ""
 
-#: src/config/options.inc:60
+#: src/config/options.inc:62
 msgid ""
-"This is internal option used when displaying a warning about\n"
-"obsolete config.saving_style. You shouldn't touch it."
+"This is internal option used when displaying a warning about obsolete config."
+"saving_style. You shouldn't touch it."
 msgstr ""
 
-#: src/config/options.inc:63
+#: src/config/options.inc:66
 msgid "Show template"
 msgstr ""
 
-#: src/config/options.inc:65
+#: src/config/options.inc:68
 msgid ""
-"Show template options in autocreated trees in the options\n"
-"manager and save them to the configuration file."
+"Show template options in autocreated trees in the options manager and save "
+"them to the configuration file."
 msgstr ""
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:71 src/dialogs/info.c:180
+#: src/config/options.inc:74 src/dialogs/info.c:180
 msgid "Connections"
 msgstr "Balantlar"
 
-#: src/config/options.inc:73
+#: src/config/options.inc:76
 #, fuzzy
 msgid "Connection options."
 msgstr "Balantlar"
 
-#: src/config/options.inc:76
+#: src/config/options.inc:79
 msgid "Asynchronous DNS"
 msgstr ""
 
-#: src/config/options.inc:78
+#: src/config/options.inc:81
 msgid "Whether to use asynchronous DNS resolving."
 msgstr ""
 
-#: src/config/options.inc:80
+#: src/config/options.inc:83
 #, fuzzy
 msgid "Maximum connections"
 msgstr "Balant yaplyor"
 
-#: src/config/options.inc:82
+#: src/config/options.inc:85
 msgid "Maximum number of concurrent connections."
 msgstr ""
 
-#: src/config/options.inc:84
+#: src/config/options.inc:87
 #, fuzzy
 msgid "Maximum connections per host"
 msgstr "Balant yaplyor"
 
-#: src/config/options.inc:86
+#: src/config/options.inc:89
 msgid "Maximum number of concurrent connections to a given host."
 msgstr ""
 
-#: src/config/options.inc:88
+#: src/config/options.inc:92
 #, fuzzy
 msgid "Connection retries"
 msgstr "Balantlar"
 
-#: src/config/options.inc:90
-msgid ""
-"Number of tries to establish a connection.\n"
-"Zero means try forever."
+#: src/config/options.inc:94
+msgid "Number of tries to establish a connection. Zero means try forever."
 msgstr ""
 
-#: src/config/options.inc:93 src/network/state.c:53
+#: src/config/options.inc:97 src/network/state.c:53
 msgid "Receive timeout"
 msgstr "Zaman am"
 
-#: src/config/options.inc:95
+#: src/config/options.inc:99
 #, fuzzy
 msgid "Receive timeout (in seconds)."
 msgstr "Zaman am"
 
-#: src/config/options.inc:98 src/config/options.inc:108
+#: src/config/options.inc:102 src/config/options.inc:113
 msgid "Try IPv4 when connecting"
 msgstr ""
 
-#: src/config/options.inc:100
+#: src/config/options.inc:104
 msgid ""
-"Whether to try to connect to a host over IPv4.\n"
-"Note that if connection.try_ipv6 is enabled too,\n"
-"it takes precedence. And better do not touch this\n"
+"Whether to try to connect to a host over IPv4. Note that if connection."
+"try_ipv6 is enabled too, it takes precedence. And better do not touch this "
 "at all unless you are sure what are you doing.\n"
-"Note that you can also force a given protocol\n"
-"to be used on a per-connection basis by using a URL\n"
-"in the style of e.g. http4://elinks.cz/."
+"\n"
+"Note that you can also force a given protocol to be used on a per-connection "
+"basis by using a URL in the style of e.g. http4://elinks.cz/."
 msgstr ""
 
-#: src/config/options.inc:110
+#: src/config/options.inc:115
 msgid ""
-"Whether to try to connect to a host over IPv4.\n"
-"Do not touch this option.\n"
-"Note that you can also force a given protocol\n"
-"to be used on a per-connection basis by using a URL\n"
-"in the style of e.g. http4://elinks.cz/."
+"Whether to try to connect to a host over IPv4. Do not touch this option.\n"
+"\n"
+"Note that you can also force a given protocol to be used on a per-connection "
+"basis by using a URL in the style of e.g. http4://elinks.cz/."
 msgstr ""
 
-#: src/config/options.inc:118
+#: src/config/options.inc:124
 msgid "Try IPv6 when connecting"
 msgstr ""
 
-#: src/config/options.inc:120
+#: src/config/options.inc:126
 msgid ""
 "Whether to try to connect to a host over IPv6.\n"
-"Note that you can also force a given protocol\n"
-"to be used on a per-connection basis by using a URL\n"
-"in the style of e.g. http6://elinks.cz/."
+"\n"
+"Note that you can also force a given protocol to be used on a per-connection "
+"basis by using a URL in the style of e.g. http6://elinks.cz/."
 msgstr ""
 
-#: src/config/options.inc:126
+#: src/config/options.inc:133
 msgid "Timeout for non-restartable connections"
 msgstr ""
 
-#: src/config/options.inc:128
+#: src/config/options.inc:135
 msgid "Timeout for non-restartable connections (in seconds)."
 msgstr ""
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:134
+#: src/config/options.inc:141
 #, fuzzy
 msgid "Document"
 msgstr "belgeler"
 
-#: src/config/options.inc:136
+#: src/config/options.inc:143
 #, fuzzy
 msgid "Document options."
 msgstr "~Belge bilgisi"
 
-#: src/config/options.inc:138
+#: src/config/options.inc:145
 msgid "Browsing"
 msgstr ""
 
-#: src/config/options.inc:140
+#: src/config/options.inc:147
 msgid "Document browsing options (mainly interactivity)."
 msgstr ""
 
-#: src/config/options.inc:143
+#: src/config/options.inc:150
 msgid "Access keys"
 msgstr ""
 
-#: src/config/options.inc:145
+#: src/config/options.inc:152
 msgid ""
-"Options for handling of link access keys.\n"
-"An HTML document can use the ACCESSKEY attribute to assign\n"
-"an access key to an element. When an access key is pressed,\n"
-"the corresponding element will be given focus."
+"Options for handling of link access keys. An HTML document can use the "
+"ACCESSKEY attribute to assign an access key to an element. When an access "
+"key is pressed, the corresponding element will be given focus."
 msgstr ""
 
-#: src/config/options.inc:150
+#: src/config/options.inc:157
 msgid "Automatic links following"
 msgstr ""
 
-#: src/config/options.inc:152
+#: src/config/options.inc:159
 msgid ""
-"Automatically follow a link or submit a form if appropriate\n"
-"accesskey is pressed - this is the standard behaviour, but it's\n"
-"considered dangerous."
+"Automatically follow a link or submit a form if appropriate accesskey is "
+"pressed - this is the standard behaviour, but it's considered dangerous."
 msgstr ""
 
-#: src/config/options.inc:156
+#: src/config/options.inc:163
 msgid "Display access key in link info"
 msgstr ""
 
-#: src/config/options.inc:158
+#: src/config/options.inc:165
 msgid "Display access key in link info."
 msgstr ""
 
-#: src/config/options.inc:160
+#: src/config/options.inc:167
 msgid "Accesskey priority"
 msgstr ""
 
-#: src/config/options.inc:162
+#: src/config/options.inc:169
 msgid ""
 "Priority of 'accesskey' HTML attribute:\n"
-"0 is first try all normal bindings; if it fails, check accesskey\n"
-"1 is first try only frame bindings; if it fails, check accesskey\n"
+"0 is first try all normal bindings; if it fails,\n"
+"     check accesskey\n"
+"1 is first try only frame bindings; if it fails,\n"
+"     check accesskey\n"
 "2 is first check accesskey (this can be dangerous)"
 msgstr ""
 
-#: src/config/options.inc:168
+#: src/config/options.inc:177
 msgid "Forms"
 msgstr ""
 
-#: src/config/options.inc:170
+#: src/config/options.inc:179
 msgid "Options for handling of the forms interaction."
 msgstr ""
 
-#: src/config/options.inc:172
+#: src/config/options.inc:181
 #, fuzzy
 msgid "Submit form automatically"
 msgstr "Formu gnder"
 
-#: src/config/options.inc:174
+#: src/config/options.inc:183
 msgid ""
-"Automagically submit a form when enter is pressed with a text\n"
-"field selected."
+"Automagically submit a form when enter is pressed with a text field selected."
 msgstr ""
 
-#: src/config/options.inc:177
+#: src/config/options.inc:186
 msgid "Confirm submission"
 msgstr ""
 
-#: src/config/options.inc:179
+#: src/config/options.inc:188
 msgid "Ask for confirmation when submitting a form."
 msgstr ""
 
-#: src/config/options.inc:181
+#: src/config/options.inc:190
 msgid "Default form input size"
 msgstr ""
 
-#: src/config/options.inc:183
+#: src/config/options.inc:192
 msgid "Default form input size if none is specified."
 msgstr ""
 
-#: src/config/options.inc:185
+#: src/config/options.inc:194
 msgid "Insert mode"
 msgstr ""
 
-#: src/config/options.inc:187
+#: src/config/options.inc:196
 msgid ""
-"The setting for this option affects how key presses are handled\n"
-"when one selects a text-input form-field. When enabled, one must\n"
-"explicitly 'enter' a selected text-field to edit it; this prevents\n"
-"text fields from capturing key presses, such as presses of a scroll\n"
-"key, when it is inadvertently selected. When disabled, key presses\n"
-"are always inserted into a selected text field."
+"The setting for this option affects how key presses are handled when one "
+"selects a text-input form-field. When enabled, one must explicitly 'enter' a "
+"selected text-field to edit it; this prevents text fields from capturing key "
+"presses, such as presses of a scroll key, when it is inadvertently selected. "
+"When disabled, key presses are always inserted into a selected text field."
 msgstr ""
 
-#: src/config/options.inc:194
+#: src/config/options.inc:204
 #, fuzzy
 msgid "External editor"
 msgstr "sel hata"
 
-#: src/config/options.inc:196
+#: src/config/options.inc:206
 msgid ""
-"Path to the executable that ELinks should launch when the user\n"
-"requests to edit a textarea with an external editor.\n"
-"If this is blank, ELinks will use the value of the environmental\n"
-"variable $EDITOR. If $EDITOR is empty or not set, ELinks will then\n"
-"default to \"vi\"."
+"Path to the executable that ELinks should launch when the user requests to "
+"edit a textarea with an external editor.\n"
+"\n"
+"If this is blank, ELinks will use the value of the environmental variable "
+"$EDITOR. If $EDITOR is empty or not set, ELinks will then default to \"vi\"."
 msgstr ""
 
-#: src/config/options.inc:203
+#: src/config/options.inc:214
 #, fuzzy
 msgid "Images"
 msgstr "Resim"
 
-#: src/config/options.inc:205
+#: src/config/options.inc:216
 msgid "Options for handling of images."
 msgstr ""
 
-#: src/config/options.inc:207
+#: src/config/options.inc:218
 #, fuzzy
 msgid "Display style for image tags"
 msgstr "Grntle"
 
-#: src/config/options.inc:209
+#: src/config/options.inc:220
 msgid ""
 "Display style for image tags when displayed:\n"
 "0     means always display IMG\n"
 "1     means always display filename\n"
-"2     means display alt/title attribute if possible, IMG if not\n"
-"3     means display alt/title attribute if possible, filename if not"
+"2     means display alt/title attribute if possible,\n"
+"      IMG if not\n"
+"3     means display alt/title attribute if possible,\n"
+"      filename if not"
 msgstr ""
 
-#: src/config/options.inc:215
+#: src/config/options.inc:228
 msgid "Maximum length for image filename"
 msgstr ""
 
-#: src/config/options.inc:217
+#: src/config/options.inc:230
 msgid ""
 "Maximum length of image filename when displayed:\n"
 "0     means always display full filename\n"
 "1-500 means display filename with this maximal length;\n"
-"      if it is longer, the middle is substituted by an asterisk"
+"      if it is longer, the middle is substituted by\n"
+"      an asterisk"
 msgstr ""
 
-#: src/config/options.inc:227
+#: src/config/options.inc:241
 msgid "Image links tagging"
 msgstr ""
 
-#: src/config/options.inc:229
+#: src/config/options.inc:243
 msgid ""
 "When to enclose image links:\n"
 "0 means never\n"
@@ -2360,92 +2363,92 @@ msgid ""
 "2 means always"
 msgstr ""
 
-#: src/config/options.inc:234
+#: src/config/options.inc:248
 msgid "Image link prefix"
 msgstr ""
 
-#: src/config/options.inc:236
+#: src/config/options.inc:250
 msgid "Prefix string to use to mark image links."
 msgstr ""
 
-#: src/config/options.inc:238
+#: src/config/options.inc:252
 msgid "Image link suffix"
 msgstr ""
 
-#: src/config/options.inc:240
+#: src/config/options.inc:254
 msgid "Suffix string to use to mark image links."
 msgstr ""
 
-#: src/config/options.inc:242
+#: src/config/options.inc:256
 msgid "Maximum length for image label"
 msgstr ""
 
-#: src/config/options.inc:244
+#: src/config/options.inc:258
 msgid ""
 "Maximum length of image label (alt/title):\n"
 "0     means always display full label\n"
 "1-500 means display label with this maximal length;\n"
-"      if it is longer, the middle is substituted by an asterisk"
+"      if it is longer, the middle is substituted by\n"
+"      an asterisk"
 msgstr ""
 
-#: src/config/options.inc:249
+#: src/config/options.inc:264
 msgid "Display links to images w/o alt"
 msgstr ""
 
-#: src/config/options.inc:251
+#: src/config/options.inc:266
 msgid ""
-"Display links to images without an alt attribute. If this option\n"
-"is off, these images are completely invisible."
+"Display links to images without an alt attribute. If this option is off, "
+"these images are completely invisible."
 msgstr ""
 
-#: src/config/options.inc:254
+#: src/config/options.inc:269
 #, fuzzy
 msgid "Display links to images"
 msgstr "Grntle"
 
-#: src/config/options.inc:256
+#: src/config/options.inc:271
 msgid ""
-"Display links to any images in the document, regardless of them\n"
-"having an alt attribute or not. If this option is off, the alt\n"
-"attribute contents is shown, but as normal text, not selectable\n"
-"as a link."
+"Display links to any images in the document, regardless of them having an "
+"alt attribute or not. If this option is off, the alt attribute contents is "
+"shown, but as normal text, not selectable as a link."
 msgstr ""
 
-#: src/config/options.inc:262
+#: src/config/options.inc:277
 #, fuzzy
 msgid "Links"
 msgstr "~Balantlar"
 
-#: src/config/options.inc:264
+#: src/config/options.inc:279
 msgid "Options for handling of links to other documents."
 msgstr ""
 
-#: src/config/options.inc:266
+#: src/config/options.inc:281
 msgid "Active link"
 msgstr ""
 
-#: src/config/options.inc:268
+#: src/config/options.inc:283
 msgid "Options for the active link."
 msgstr ""
 
-#: src/config/options.inc:270
+#: src/config/options.inc:285
 #, fuzzy
 msgid "Colors"
 msgstr "Renk"
 
-#: src/config/options.inc:272
+#: src/config/options.inc:287
 #, fuzzy
 msgid "Active link colors."
 msgstr "Arkadaki balantlar durdur"
 
-#: src/config/options.inc:274 src/config/options.inc:549
-#: src/config/options.inc:945
+#: src/config/options.inc:289 src/config/options.inc:583
+#: src/config/options.inc:1014
 #, fuzzy
 msgid "Background color"
 msgstr "Arkaplan"
 
-#: src/config/options.inc:276 src/config/options.inc:551
-#: src/config/options.inc:946
+#: src/config/options.inc:291 src/config/options.inc:585
+#: src/config/options.inc:1015
 #, fuzzy
 msgid "Default background color."
 msgstr "Arkadaki balantlar durdur"
@@ -2458,75 +2461,75 @@ msgstr "Arkadaki balantlar durdur"
 #. *	on it.
 #. The colors and mono tree should be similar but with different default
 #. * values of course so always use the macros below.
-#: src/config/options.inc:278 src/config/options.inc:545
-#: src/config/options.inc:943
+#: src/config/options.inc:293 src/config/options.inc:579
+#: src/config/options.inc:1012
 #, fuzzy
 msgid "Text color"
 msgstr "Metin alan"
 
-#: src/config/options.inc:280 src/config/options.inc:547
-#: src/config/options.inc:944
+#: src/config/options.inc:295 src/config/options.inc:581
+#: src/config/options.inc:1013
 msgid "Default text color."
 msgstr ""
 
-#: src/config/options.inc:282
+#: src/config/options.inc:297
 #, fuzzy
 msgid "Enable color"
 msgstr "isim"
 
-#: src/config/options.inc:284
+#: src/config/options.inc:299
 msgid ""
-"Enable use of the active link background and text color\n"
-"settings instead of the link colors from the document."
+"Enable use of the active link background and text color settings instead of "
+"the link colors from the document."
 msgstr ""
 
-#: src/config/options.inc:287
+#: src/config/options.inc:302
 msgid "Bold"
 msgstr ""
 
-#: src/config/options.inc:289
+#: src/config/options.inc:304
 msgid "Make the active link text bold."
 msgstr ""
 
-#: src/config/options.inc:291
+#: src/config/options.inc:306
 #, fuzzy
 msgid "Invert colors"
 msgstr "Metin alan"
 
-#: src/config/options.inc:293
+#: src/config/options.inc:308
 msgid "Invert the fore- and background color so the link stands out."
 msgstr ""
 
-#: src/config/options.inc:296 src/config/options.inc:908
+#: src/config/options.inc:311 src/config/options.inc:975
 #: src/dialogs/options.c:231
 msgid "Underline"
 msgstr ""
 
-#: src/config/options.inc:298
+#: src/config/options.inc:313
 msgid "Underline the active link."
 msgstr ""
 
-#: src/config/options.inc:301
+#: src/config/options.inc:316
 msgid "Directory highlighting"
 msgstr ""
 
-#: src/config/options.inc:303
+#: src/config/options.inc:318
 msgid "Highlight links to directories in FTP and local directory listing."
 msgstr ""
 
-#: src/config/options.inc:305
+#: src/config/options.inc:321
 msgid "Number links"
 msgstr ""
 
-#: src/config/options.inc:307
+#: src/config/options.inc:323
 msgid "Display numbers next to the links."
 msgstr ""
 
-#: src/config/options.inc:309
+#: src/config/options.inc:325
 msgid "Handling of target=_blank"
 msgstr ""
 
-#: src/config/options.inc:311
+#: src/config/options.inc:327
 msgid ""
 "Define how to handle links having target=_blank set:\n"
 "0 means open link in current tab\n"
@@ -2535,139 +2538,136 @@ msgid ""
 "3 means open link in new window"
 msgstr ""
 
-#: src/config/options.inc:324
+#: src/config/options.inc:340
 msgid "Use tabindex"
 msgstr ""
 
-#: src/config/options.inc:326
+#: src/config/options.inc:342
 msgid ""
-"Whether to navigate links using tabindex specified ordering.\n"
-"The TABINDEX attribute in HTML elements specifies the order\n"
-"in which links should receive focus when using the keyboard\n"
-"to navigate the document."
+"Whether to navigate links using tabindex specified ordering. The TABINDEX "
+"attribute in HTML elements specifies the order in which links should receive "
+"focus when using the keyboard to navigate the document."
 msgstr ""
 
-#: src/config/options.inc:331
+#: src/config/options.inc:347
 #, fuzzy
 msgid "Missing fragment reporting"
 msgstr "ereve yok"
 
-#: src/config/options.inc:333
+#: src/config/options.inc:349
 msgid "Open a message box when document has no tag with given id."
 msgstr ""
 
-#: src/config/options.inc:335
+#: src/config/options.inc:352
 msgid "Number keys select links"
 msgstr ""
 
-#: src/config/options.inc:337
+#: src/config/options.inc:354
 msgid ""
-"Number keys select links rather than specify command prefixes. This\n"
-"is a tristate:\n"
+"Number keys select links rather than specify command prefixes. This is a "
+"tristate:\n"
 "0 means never\n"
 "1 means if document.browse.links.numbering = 1\n"
 "2 means always"
 msgstr ""
 
-#: src/config/options.inc:343
+#: src/config/options.inc:360
 msgid "Warn about maliciously crafted URIs"
 msgstr ""
 
-#: src/config/options.inc:345
+#: src/config/options.inc:362
 msgid ""
-"When following a link the user ID part of the URI is\n"
-"checked and if a maliciously crafted URI is detected a\n"
-"warning dialog will ask before following the link."
+"When following a link the user ID part of the URI is checked and if a "
+"maliciously crafted URI is detected a warning dialog will ask before "
+"following the link."
 msgstr ""
 
 #. TODO - this is somehow implemented by ff, but disabled
 #. * for now as it doesn't work.
-#: src/config/options.inc:351
+#: src/config/options.inc:368
 msgid "Wrap-around links cycling"
 msgstr ""
 
 #. 0
-#: src/config/options.inc:353
+#: src/config/options.inc:370
 msgid ""
-"When pressing 'down' on the last link, jump to the first one, and\n"
-"vice versa."
+"When pressing 'down' on the last link, jump to the first one, and vice versa."
 msgstr ""
 
-#: src/config/options.inc:357
+#: src/config/options.inc:374
 msgid "Scrolling"
 msgstr ""
 
-#: src/config/options.inc:359
+#: src/config/options.inc:376
 #, fuzzy
 msgid "Scrolling options."
 msgstr "Terminal seenekleri"
 
-#: src/config/options.inc:361
+#: src/config/options.inc:378
 msgid "Horizontal step"
 msgstr ""
 
-#: src/config/options.inc:363
+#: src/config/options.inc:380
 msgid ""
-"Number of columns to scroll when a key bound to scroll-left or scroll-\n"
-"right is pressed and no prefix was given."
+"Number of columns to scroll when a key bound to scroll-left or scroll-right "
+"is pressed and no prefix was given."
 msgstr ""
 
-#: src/config/options.inc:366
+#: src/config/options.inc:384
 msgid "Extended horizontal scrolling"
 msgstr ""
 
-#: src/config/options.inc:368
+#: src/config/options.inc:386
 msgid ""
-"Whether to allow horizontal scrolling when the document\n"
-"does not extend off the screen. Useful for copy/paste\n"
-"operations."
+"Whether to allow horizontal scrolling when the document does not extend off "
+"the screen. Useful for copy/paste operations."
 msgstr ""
 
-#: src/config/options.inc:372
+#: src/config/options.inc:390
 #, fuzzy
 msgid "Margin"
 msgstr "Uyar"
 
-#: src/config/options.inc:374
+#: src/config/options.inc:392
 msgid ""
-"Size of the virtual margin - when you click inside of that margin,\n"
-"document scrolls in that direction."
+"Size of the virtual margin - when you click inside of that margin, document "
+"scrolls in that direction."
 msgstr ""
 
-#: src/config/options.inc:377
+#: src/config/options.inc:395
 msgid "Vertical step"
 msgstr ""
 
-#: src/config/options.inc:379
+#: src/config/options.inc:397
 msgid ""
-"Number of lines to scroll when a key bound to scroll-up or scroll-\n"
-"down is pressed and no prefix was given."
+"Number of lines to scroll when a key bound to scroll-up or scroll-down is "
+"pressed and no prefix was given."
 msgstr ""
 
-#: src/config/options.inc:383
+#: src/config/options.inc:401
 #, fuzzy
 msgid "Searching"
 msgstr "Ara"
 
-#: src/config/options.inc:385
+#: src/config/options.inc:403
 msgid "Options for searching."
 msgstr ""
 
-#: src/config/options.inc:387
+#: src/config/options.inc:405
 msgid "Case sensitivity"
 msgstr ""
 
-#: src/config/options.inc:389
+#: src/config/options.inc:407
 msgid ""
-"Whether the search should match the document text while maintaining\n"
-"case sensitivity."
+"Whether the search should match the document text while maintaining case "
+"sensitivity."
 msgstr ""
 
-#: src/config/options.inc:393
+#: src/config/options.inc:411
 msgid "Regular expressions"
 msgstr ""
 
-#: src/config/options.inc:395
+#: src/config/options.inc:413
 msgid ""
 "Enable searching with regular expressions:\n"
 "0 for plain text searching\n"
@@ -2675,31 +2675,31 @@ msgid ""
 "2 for extended regular expression searches"
 msgstr ""
 
-#: src/config/options.inc:401
+#: src/config/options.inc:419
 msgid "Show search hit top or bottom dialogs"
 msgstr ""
 
-#: src/config/options.inc:403
+#: src/config/options.inc:421
 msgid ""
-"Whether to show a dialog when the search hits the top or bottom of the\n"
+"Whether to show a dialog when the search hits the top or bottom of the "
 "document."
 msgstr ""
 
-#: src/config/options.inc:406
+#: src/config/options.inc:424
 #, fuzzy
 msgid "Wraparound"
 msgstr "Arkaplan"
 
-#: src/config/options.inc:408
+#: src/config/options.inc:426
 msgid "Wrap around when searching. Currently only used for typeahead."
 msgstr ""
 
-#: src/config/options.inc:410
+#: src/config/options.inc:429
 #, fuzzy
 msgid "Show not found"
 msgstr "Makina bulunamad"
 
-#: src/config/options.inc:412
+#: src/config/options.inc:431
 msgid ""
 "How to inform the user when nothing is matched:\n"
 "0 means do nothing\n"
@@ -2707,281 +2707,282 @@ msgid ""
 "2 means pop up message box"
 msgstr ""
 
-#: src/config/options.inc:417
+#: src/config/options.inc:436
 #, fuzzy
 msgid "Typeahead searching"
 msgstr "Hatal sz dizimi"
 
-#: src/config/options.inc:419
+#: src/config/options.inc:438
 msgid ""
-"Start typeahead searching when an unbound key is pressed without\n"
-"any modifiers. Note that most keys have default bindings, so this\n"
-"feature will not be useful unless you unbind them.\n"
+"Start typeahead searching when an unbound key is pressed without any "
+"modifiers. Note that most keys have default bindings, so this feature will "
+"not be useful unless you unbind them.\n"
 "\n"
-"0 disables this feature; typeahead searching will only be used\n"
-"  when you press a key bound to search-typeahead or similar\n"
+"0 disables this feature; typeahead searching will only be\n"
+"  used when you press a key bound to search-typeahead or\n"
+"  similar\n"
 "1 automatically starts typeahead searching thru link text\n"
-"2 automatically starts typeahead searching thru all document text"
+"2 automatically starts typeahead searching thru all document\n"
+"  text"
 msgstr ""
 
-#: src/config/options.inc:428
+#: src/config/options.inc:451
 msgid "Horizontal text margin"
 msgstr ""
 
-#: src/config/options.inc:430
+#: src/config/options.inc:453
 msgid "Horizontal text margin."
 msgstr ""
 
-#: src/config/options.inc:432
+#: src/config/options.inc:455
 msgid "Document meta refresh"
 msgstr ""
 
-#: src/config/options.inc:434
+#: src/config/options.inc:457
 msgid ""
-"Automatically follow document-specified refresh directives ('<meta>\n"
-"refresh' tags). Web-page authors use these to instruct the browser\n"
-"to reload a document at a given interval or to load another page.\n"
-"Regardless of the value the refresh URI is accessible as a link.\n"
-"Use the document.browse.minimum_refresh_time to control the minimum\n"
-"number of seconds a refresh will wait."
+"Automatically follow document-specified refresh directives ('<meta> refresh' "
+"tags). Web-page authors use these to instruct the browser to reload a "
+"document at a given interval or to load another page. Regardless of the "
+"value the refresh URI is accessible as a link.\n"
+"\n"
+"Use the document.browse.minimum_refresh_time to control the minimum number "
+"of seconds a refresh will wait."
 msgstr ""
 
-#: src/config/options.inc:441
+#: src/config/options.inc:466
 msgid "Document meta refresh minimum time"
 msgstr ""
 
-#: src/config/options.inc:443
+#: src/config/options.inc:468
 msgid ""
-"The minimum number of milliseconds that should pass before\n"
-"refreshing. If set to zero the document refresh time is used\n"
-"unchanged. It can fix going back in history for some sites that\n"
-"use refreshing with zero values."
+"The minimum number of milliseconds that should pass before refreshing. If "
+"set to zero the document refresh time is used unchanged. It can fix going "
+"back in history for some sites that use refreshing with zero values."
 msgstr ""
 
-#: src/config/options.inc:448
+#: src/config/options.inc:473
 msgid "Tables navigation order"
 msgstr ""
 
-#: src/config/options.inc:450
+#: src/config/options.inc:475
 msgid "Move by columns in table, instead of rows."
 msgstr ""
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:456
+#: src/config/options.inc:481
 #, fuzzy
 msgid "Cache"
 msgstr "ptal"
 
-#: src/config/options.inc:458
+#: src/config/options.inc:483
 #, fuzzy
 msgid "Cache options."
 msgstr "Seenekleri ka~ydet"
 
-#: src/config/options.inc:460
+#: src/config/options.inc:485
 msgid "Cache information about redirects"
 msgstr ""
 
-#: src/config/options.inc:462
+#: src/config/options.inc:487
 msgid ""
-"Cache even redirects sent by server (usually thru HTTP by a 302\n"
-"HTTP code and a Location header). This was the original behaviour\n"
-"for quite some time, but it causes problems in a situation very\n"
-"common to various web login systems - frequently, when accessing\n"
-"a certain location, they will redirect you to a login page if they\n"
-"don't receive an auth cookie, the login page then gives you the\n"
-"cookie and redirects you back to the original page, but there you\n"
-"have already cached redirect back to the login page! If this\n"
-"option has value of 0, this malfunction is fixed, but occasionally\n"
-"you may get superfluous (depends on how you take it ;-) requests to\n"
-"the server. If this option has value of 1, experienced users can\n"
-"still workaround it by clever combination of usage of reload,\n"
-"jumping around in session history and hitting ctrl+enter.\n"
-"Note that this option is checked when retrieving the information\n"
-"from cache, not when saving it to cache - thus if you enable\n"
-"it, even previous redirects will be taken from cache instead of\n"
-"asking the server."
+"Cache even redirects sent by server (usually thru HTTP by a 302 HTTP code "
+"and a Location header). This was the original behaviour for quite some time, "
+"but it causes problems in a situation very common to various web login "
+"systems - frequently, when accessing a certain location, they will redirect "
+"you to a login page if they don't receive an auth cookie, the login page "
+"then gives you the cookie and redirects you back to the original page, but "
+"there you have already cached redirect back to the login page! If this "
+"option has value of 0, this malfunction is fixed, but occasionally you may "
+"get superfluous (depends on how you take it ;-) requests to the server. If "
+"this option has value of 1, experienced users can still workaround it by "
+"clever combination of usage of reload, jumping around in session history and "
+"hitting ctrl+enter.\n"
+"\n"
+"Note that this option is checked when retrieving the information from cache, "
+"not when saving it to cache - thus if you enable it, even previous redirects "
+"will be taken from cache instead of asking the server."
 msgstr ""
 
-#: src/config/options.inc:480
+#: src/config/options.inc:508
 msgid "Ignore cache-control info from server"
 msgstr ""
 
-#: src/config/options.inc:482
+#: src/config/options.inc:510
 msgid ""
-"Ignore Cache-Control and Pragma server headers.\n"
-"When set, the document is cached even with 'Cache-Control: no-cache'."
+"Ignore Cache-Control and Pragma server headers. When set, the document is "
+"cached even with 'Cache-Control: no-cache'."
 msgstr ""
 
-#: src/config/options.inc:485
+#: src/config/options.inc:514
 #, fuzzy
 msgid "Formatted documents"
 msgstr "Biimlenmi belge nbellei"
 
-#: src/config/options.inc:487
+#: src/config/options.inc:516
 msgid "Format cache options."
 msgstr ""
 
-#: src/config/options.inc:489
+#: src/config/options.inc:518
 #, fuzzy
 msgid "Number"
 msgstr "Hatal say"
 
-#: src/config/options.inc:491
+#: src/config/options.inc:520
 msgid ""
-"Number of cached formatted pages. Do not get too generous\n"
-"here, 'formatted' means that all the accompanying structures\n"
-"are kept in memory so that you get the cached document\n"
-"immediatelly, but these structures may take a lot - 2x the\n"
-"size of the HTML source is probably not unusual, but it can\n"
-"be even more if the document consists of a lot of short lines\n"
-"(padded right, if possible) and links and not much other markup.\n"
-"So if you set this to 256 and then you don't like your ELinks\n"
-"eating 90M, don't come complaining to us. ;-)\n"
-"Also note that the format cache itself is not counted to the\n"
-"memory cache size, but the HTML source of the formatted documents\n"
-"is always cached, even if it is over the memory cache size\n"
-"threshold. (Then of course no other documents can be cached.)"
+"Number of cached formatted pages. Do not get too generous here, 'formatted' "
+"means that all the accompanying structures are kept in memory so that you "
+"get the cached document immediatelly, but these structures may take a lot - "
+"2x the size of the HTML source is probably not unusual, but it can be even "
+"more if the document consists of a lot of short lines (padded right, if "
+"possible) and links and not much other markup. So if you set this to 256 and "
+"then you don't like your ELinks eating 90M, don't come complaining to "
+"us. ;-)\n"
+"\n"
+"Also note that the format cache itself is not counted to the memory cache "
+"size, but the HTML source of the formatted documents is always cached, even "
+"if it is over the memory cache size threshold. (Then of course no other "
+"documents can be cached.)"
 msgstr ""
 
 #. FIXME: Write more.
-#: src/config/options.inc:506
+#: src/config/options.inc:538
 #, fuzzy
 msgid "Revalidation interval"
 msgstr "Kaydetme hatas"
 
-#: src/config/options.inc:508
+#: src/config/options.inc:540
 msgid ""
-"Period in seconds that a cache entry is considered to be\n"
-"up-to-date. When a document is loaded and this interval has elapsed\n"
-"since the document was initially loaded or most recently\n"
-"revalidated with the server, the server will be checked in case\n"
-"there is a more up-to-date version of the document.\n"
+"Period in seconds that a cache entry is considered to be up-to-date. When a "
+"document is loaded and this interval has elapsed since the document was "
+"initially loaded or most recently revalidated with the server, the server "
+"will be checked in case there is a more up-to-date version of the document.\n"
 "\n"
 "A value of -1 disables automatic revalidation."
 msgstr ""
 
-#: src/config/options.inc:515 src/dialogs/info.c:199
+#: src/config/options.inc:549 src/dialogs/info.c:199
 msgid "Memory cache"
 msgstr "Memory cache"
 
-#: src/config/options.inc:517
+#: src/config/options.inc:551
 #, fuzzy
 msgid "Memory cache options."
 msgstr "Memory cache"
 
-#: src/config/options.inc:521
+#: src/config/options.inc:555
 #, fuzzy
 msgid "Memory cache size (in bytes)."
 msgstr "Memory cache"
 
-#: src/config/options.inc:525
+#: src/config/options.inc:559
 #, fuzzy
 msgid "Charset"
 msgstr "~Karakter Seti"
 
-#: src/config/options.inc:527
+#: src/config/options.inc:561
 #, fuzzy
 msgid "Charset options."
 msgstr "Seenekleri ka~ydet"
 
-#: src/config/options.inc:529
+#: src/config/options.inc:563
 msgid "Default codepage"
 msgstr ""
 
-#: src/config/options.inc:531
+#: src/config/options.inc:565
 msgid ""
-"Default document codepage. 'System' stands for\n"
-"a codepage determined by a selected locale."
+"Default document codepage. 'System' stands for a codepage determined by a "
+"selected locale."
 msgstr ""
 
-#: src/config/options.inc:534
+#: src/config/options.inc:568
 msgid "Ignore charset info from server"
 msgstr ""
 
-#: src/config/options.inc:536
+#: src/config/options.inc:570
 msgid "Ignore charset info sent by server."
 msgstr ""
 
-#: src/config/options.inc:540
+#: src/config/options.inc:574
 msgid "Default color settings"
 msgstr ""
 
-#: src/config/options.inc:542
+#: src/config/options.inc:576
 msgid "Default document color settings."
 msgstr ""
 
-#: src/config/options.inc:553
+#: src/config/options.inc:587
 msgid "Link color"
 msgstr ""
 
-#: src/config/options.inc:555
+#: src/config/options.inc:589
 msgid "Default link color."
 msgstr ""
 
-#: src/config/options.inc:557
+#: src/config/options.inc:591
 msgid "Visited-link color"
 msgstr ""
 
-#: src/config/options.inc:559
+#: src/config/options.inc:593
 msgid "Default visited link color."
 msgstr ""
 
-#: src/config/options.inc:561
+#: src/config/options.inc:595
 #, fuzzy
 msgid "Image-link color"
 msgstr "Arkadaki balantlar durdur"
 
-#: src/config/options.inc:563
+#: src/config/options.inc:597
 #, fuzzy
 msgid "Default image link color."
 msgstr "Arkadaki balantlar durdur"
 
-#: src/config/options.inc:565
+#: src/config/options.inc:599
 msgid "Bookmarked-link color"
 msgstr ""
 
-#: src/config/options.inc:567
+#: src/config/options.inc:601
 #, fuzzy
 msgid "Default bookmarked link color."
 msgstr "Arkadaki balantlar durdur"
 
-#: src/config/options.inc:569
+#: src/config/options.inc:603
 msgid "Directory color"
 msgstr ""
 
-#: src/config/options.inc:571
+#: src/config/options.inc:605
 msgid ""
 "Default directory color.\n"
+"\n"
 "See document.browse.links.color_dirs option."
 msgstr ""
 
-#: src/config/options.inc:578
+#: src/config/options.inc:613
 msgid "Increase contrast"
 msgstr ""
 
-#: src/config/options.inc:580
+#: src/config/options.inc:615
 msgid ""
-"Increase the contrast between the foreground and background colors\n"
-"to ensure readability. For example it disallows dark colors on a\n"
-"black background. Note, this is different from ensuring the contrast\n"
-"with the ensure_contrast option."
+"Increase the contrast between the foreground and background colors to ensure "
+"readability. For example it disallows dark colors on a black background. "
+"Note, this is different from ensuring the contrast with the ensure_contrast "
+"option."
 msgstr ""
 
-#: src/config/options.inc:585
+#: src/config/options.inc:621
 msgid "Ensure contrast"
 msgstr ""
 
-#: src/config/options.inc:587
+#: src/config/options.inc:623
 msgid "Makes sure that the back- and foreground colors are never equal."
 msgstr ""
 
 #. If you change this please also change ACT_MAIN_DOCUMENT_COLORS action
 #. * handling.
-#: src/config/options.inc:592
+#: src/config/options.inc:628
 msgid "Use document-specified colors"
 msgstr ""
 
-#: src/config/options.inc:594
+#: src/config/options.inc:630
 msgid ""
 "Use colors specified in document:\n"
 "0 is use always the default settings\n"
@@ -2993,40 +2994,40 @@ msgid ""
 msgstr ""
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:607
+#: src/config/options.inc:643
 #, fuzzy
 msgid "Downloading"
 msgstr "ndir"
 
-#: src/config/options.inc:609
+#: src/config/options.inc:645
 msgid "Options regarding files downloading and handling."
 msgstr ""
 
-#: src/config/options.inc:611
+#: src/config/options.inc:647
 #, fuzzy
 msgid "Default download directory"
 msgstr "ndirme hatas"
 
-#: src/config/options.inc:613
+#: src/config/options.inc:649
 msgid "Default download directory."
 msgstr ""
 
-#: src/config/options.inc:615
+#: src/config/options.inc:651
 msgid "Set original time"
 msgstr ""
 
-#: src/config/options.inc:617
+#: src/config/options.inc:653
 msgid ""
-"Set the timestamp of each downloaded file to the timestamp\n"
-"stored on the server."
+"Set the timestamp of each downloaded file to the timestamp stored on the "
+"server."
 msgstr ""
 
 #. Does automatic resuming make sense as an option?
-#: src/config/options.inc:621
+#: src/config/options.inc:657
 msgid "Prevent overwriting"
 msgstr ""
 
-#: src/config/options.inc:623
+#: src/config/options.inc:659
 msgid ""
 "Prevent overwriting the local files:\n"
 "0 is files will silently be overwritten\n"
@@ -3034,11 +3035,11 @@ msgid ""
 "2 is ask the user"
 msgstr ""
 
-#: src/config/options.inc:628
+#: src/config/options.inc:664
 msgid "Notify download completion by bell"
 msgstr ""
 
-#: src/config/options.inc:630
+#: src/config/options.inc:666
 msgid ""
 "Audio notification when download is completed:\n"
 "0 is never\n"
@@ -3046,27 +3047,27 @@ msgid ""
 "2 is always"
 msgstr ""
 
-#: src/config/options.inc:636
+#: src/config/options.inc:672
 msgid "Dump output"
 msgstr ""
 
-#: src/config/options.inc:638
+#: src/config/options.inc:674
 msgid "Dump output options."
 msgstr ""
 
 #. OPT_CODEPAGE
-#: src/config/options.inc:640 src/config/options.inc:912
+#: src/config/options.inc:676 src/config/options.inc:980
 #: src/config/opttypes.c:481 src/dialogs/document.c:164
 msgid "Codepage"
 msgstr "Karakter seti"
 
-#: src/config/options.inc:642
+#: src/config/options.inc:678
 msgid ""
-"Codepage used in dump output. 'System' stands for\n"
-"a codepage determined by a selected locale."
+"Codepage used in dump output. 'System' stands for a codepage determined by a "
+"selected locale."
 msgstr ""
 
-#: src/config/options.inc:645 src/config/options.inc:878
+#: src/config/options.inc:681 src/config/options.inc:941
 #, fuzzy
 msgid "Color mode"
 msgstr "Renk"
@@ -3076,12 +3077,14 @@ msgstr "Renk"
 #. * an outer list entry after an inner list.
 #. * TRANSLATORS: This restriction applies only to the
 #. * "en" (English) translation.  (See doc/Makefile.)
-#: src/config/options.inc:652
+#: src/config/options.inc:688
 msgid ""
 "Color mode for dumps.\n"
+"\n"
 "Some modes may have been disabled at compile time. The Setup -> Terminal "
 "options dialog lists the modes supported by this executable. If you select "
 "an unsupported mode, ELinks uses 16 colors.\n"
+"\n"
 "The color modes are:\n"
 "-1 is standard dump mode\n"
 "0 is mono mode\n"
@@ -3091,127 +3094,125 @@ msgid ""
 "4 is true color mode"
 msgstr ""
 
-#: src/config/options.inc:665
+#: src/config/options.inc:703
 msgid "Footer"
 msgstr ""
 
-#: src/config/options.inc:667
+#: src/config/options.inc:705
 #, c-format
 msgid "Footer string used in dumps. %u is substituted by URL."
 msgstr ""
 
-#: src/config/options.inc:671
+#: src/config/options.inc:709
 #, c-format
 msgid "Header string used in dumps. %u is substituted by URL."
 msgstr ""
 
-#: src/config/options.inc:673
+#: src/config/options.inc:711
 #, fuzzy
 msgid "Numbering"
 msgstr "Hatal say"
 
-#: src/config/options.inc:675
+#: src/config/options.inc:713
 msgid "Whether to print link numbers in dump output."
 msgstr ""
 
-#: src/config/options.inc:677
+#: src/config/options.inc:715
 #, fuzzy
 msgid "References"
 msgstr "Kaynaklar"
 
-#: src/config/options.inc:679
-msgid ""
-"Whether to print references (URIs) of document links\n"
-"in dump output."
+#: src/config/options.inc:717
+msgid "Whether to print references (URIs) of document links in dump output."
 msgstr ""
 
-#: src/config/options.inc:682
+#: src/config/options.inc:720
 msgid "Separator"
 msgstr ""
 
-#: src/config/options.inc:684
+#: src/config/options.inc:722
 msgid "String which separates two dumps."
 msgstr ""
 
-#: src/config/options.inc:686
+#: src/config/options.inc:724
 msgid "Width"
 msgstr ""
 
-#: src/config/options.inc:688
+#: src/config/options.inc:726
 msgid "Width of screen in characters when dumping documents."
 msgstr ""
 
-#: src/config/options.inc:692
+#: src/config/options.inc:730
 #, fuzzy
 msgid "History"
 msgstr "Ge~mi"
 
-#: src/config/options.inc:694
+#: src/config/options.inc:732
 msgid "History options."
 msgstr ""
 
-#: src/config/options.inc:696
+#: src/config/options.inc:734
 #, fuzzy
 msgid "Keep unhistory"
 msgstr "Gemi yok"
 
-#: src/config/options.inc:698
+#: src/config/options.inc:736
 #, fuzzy
 msgid "Keep unhistory (\"forward history\")."
 msgstr "Gemi yok"
 
-#: src/config/options.inc:701
+#: src/config/options.inc:739
 #, fuzzy
 msgid "HTML rendering"
 msgstr "Transfer ediliyor"
 
-#: src/config/options.inc:703
+#: src/config/options.inc:741
 msgid "Options concerning the display of HTML pages."
 msgstr ""
 
-#: src/config/options.inc:705
+#: src/config/options.inc:743
 #, fuzzy
 msgid "Display frames"
 msgstr "Grntle"
 
-#: src/config/options.inc:707
+#: src/config/options.inc:745
 #, fuzzy
 msgid "Display frames."
 msgstr "Grntle"
 
-#: src/config/options.inc:709
+#: src/config/options.inc:747
 #, fuzzy
 msgid "Display tables"
 msgstr "Grntle"
 
-#: src/config/options.inc:711
+#: src/config/options.inc:749
 #, fuzzy
 msgid "Display tables."
 msgstr "Grntle"
 
-#: src/config/options.inc:713
+#: src/config/options.inc:751
 #, fuzzy
 msgid "Display subscripts"
 msgstr "~Haritay grntle"
 
-#: src/config/options.inc:715
+#: src/config/options.inc:753
 msgid "Display subscripts (as [thing])."
 msgstr ""
 
-#: src/config/options.inc:717
+#: src/config/options.inc:755
 #, fuzzy
 msgid "Display superscripts"
 msgstr "~Haritay grntle"
 
-#: src/config/options.inc:719
+#: src/config/options.inc:757
 msgid "Display superscripts (as ^thing)."
 msgstr ""
 
-#: src/config/options.inc:721
+#: src/config/options.inc:759
 msgid "Rendering of HTML link element"
 msgstr ""
 
-#: src/config/options.inc:723
+#: src/config/options.inc:761
 msgid ""
 "How to render <link> tags from the HTML header:\n"
 "0 is nothing\n"
@@ -3222,145 +3223,143 @@ msgid ""
 "5 is everything"
 msgstr ""
 
-#: src/config/options.inc:731
+#: src/config/options.inc:769
 msgid "Underline links"
 msgstr ""
 
-#: src/config/options.inc:733
+#: src/config/options.inc:771
 msgid "Underline links."
 msgstr ""
 
-#: src/config/options.inc:735
+#: src/config/options.inc:773
 msgid "Wrap non breaking space"
 msgstr ""
 
-#: src/config/options.inc:737
+#: src/config/options.inc:775
 msgid ""
-"If set do not honour non breaking space (the nbsp entity)\n"
-"but allow to wrap the text. This can help keeping the width\n"
-"of documents down so no horizontal scrolling is needed."
+"If set do not honour non breaking space (the nbsp entity) but allow to wrap "
+"the text. This can help keeping the width of documents down so no horizontal "
+"scrolling is needed."
 msgstr ""
 
-#: src/config/options.inc:742
+#: src/config/options.inc:780
 #, fuzzy
 msgid "Plain rendering"
 msgstr "Transfer ediliyor"
 
-#: src/config/options.inc:744
+#: src/config/options.inc:782
 msgid "Options concerning the display of plain text pages."
 msgstr ""
 
-#: src/config/options.inc:746
+#: src/config/options.inc:784
 #, fuzzy
 msgid "Display URIs"
 msgstr "Grntle"
 
-#: src/config/options.inc:748
+#: src/config/options.inc:786
 msgid "Display URIs in the document as links."
 msgstr ""
 
-#: src/config/options.inc:750
+#: src/config/options.inc:788
 msgid "Compress empty lines"
 msgstr ""
 
-#: src/config/options.inc:752
+#: src/config/options.inc:790
 msgid "Compress successive empty lines to only one in displayed text."
 msgstr ""
 
-#: src/config/options.inc:755
+#: src/config/options.inc:794
 msgid "URI passing"
 msgstr ""
 
-#: src/config/options.inc:757
+#: src/config/options.inc:796
 msgid ""
-"Rules for passing URIs to external commands. When one rule\n"
-"is defined the link and tab menu will have a menu item that\n"
-"makes it possible to pass the the link, frame or tab URI to\n"
-"an external command. If several rules are defined the link and\n"
-"tab menu will have a submenu of items for each rule. Note, this\n"
-"is mostly useful for launching graphical viewers, since there\n"
-"is no support for releasing the terminal while the command runs.\n"
-"The action and submenus are also available by binding keys to\n"
-"the frame-external-command, the link-external-command, and\n"
-"the tab-external-command actions."
+"Rules for passing URIs to external commands. When one rule is defined the "
+"link and tab menu will have a menu item that makes it possible to pass the "
+"the link, frame or tab URI to an external command. If several rules are "
+"defined the link and tab menu will have a submenu of items for each rule.\n"
+"\n"
+"Note, this is mostly useful for launching graphical viewers, since there is "
+"no support for releasing the terminal while the command runs. The action and "
+"submenus are also available by binding keys to the frame-external-command, "
+"the link-external-command, and the tab-external-command actions."
 msgstr ""
 
-#: src/config/options.inc:770
+#: src/config/options.inc:812
 msgid ""
-"A rule for passing URI to an external command.\n"
-"The format is:\n"
+"A rule for passing URI to an external command. The format is:\n"
 "%c in the string means the current URL\n"
 "%% in the string means '%'\n"
 "Do _not_ put single- or double-quotes around %c."
 msgstr ""
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:780
+#: src/config/options.inc:822
 msgid "Information files"
 msgstr ""
 
-#: src/config/options.inc:782
+#: src/config/options.inc:824
 msgid "Options for information files in ~/.elinks."
 msgstr ""
 
-#: src/config/options.inc:784
+#: src/config/options.inc:826
 #, fuzzy
 msgid "Save interval"
 msgstr "Kaydetme hatas"
 
-#: src/config/options.inc:786
+#: src/config/options.inc:828
 msgid ""
-"Interval at which to trigger information files in ~/.elinks\n"
-"to be saved to disk if they have changed (seconds; 0 to disable)"
+"Interval at which to trigger information files in ~/.elinks to be saved to "
+"disk if they have changed (seconds; 0 to disable)"
 msgstr ""
 
-#: src/config/options.inc:789
+#: src/config/options.inc:832
 msgid "Use secure file saving"
 msgstr ""
 
-#: src/config/options.inc:791
+#: src/config/options.inc:834
 msgid ""
-"First write data to unique temporary file, then rename this file\n"
-"upon successfully finishing this. Note that this relates only to\n"
-"config files, not downloaded files. You may want to disable\n"
-"it if you are using some exotic permissions for concerned files.\n"
-"Secure file saving is automagically disabled if file is symlink.\n"
-"Warning: some systems (ie. OS/2, Win32) require that destination\n"
-"file doesn't exist when rename(3) is called, breaking atomicity,\n"
-"and reducing reliability of this feature."
+"First write data to unique temporary file, then rename this file upon "
+"successfully finishing this. Note that this relates only to config files, "
+"not downloaded files. You may want to disable it if you are using some "
+"exotic permissions for concerned files. Secure file saving is automagically "
+"disabled if file is symlink.\n"
+"\n"
+"Warning: some systems (ie. OS/2, Win32) require that destination file "
+"doesn't exist when rename(3) is called, breaking atomicity, and reducing "
+"reliability of this feature."
 msgstr ""
 
-#: src/config/options.inc:800
+#: src/config/options.inc:846
 msgid "Use fsync(3) with secure file saving"
 msgstr ""
 
-#: src/config/options.inc:802
+#: src/config/options.inc:848
 msgid ""
-"When using secure file saving, call fsync(3), if the OS\n"
-"supports it, to force the OS immediately to write the data\n"
-"to permanent storage. This is optional for those who wish\n"
-"to avoid excessive disk I/O."
+"When using secure file saving, call fsync(3), if the OS supports it, to "
+"force the OS immediately to write the data to permanent storage. This is "
+"optional for those who wish to avoid excessive disk I/O."
 msgstr ""
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:811
+#: src/config/options.inc:857
 #, fuzzy
 msgid "Terminals"
 msgstr "Terminal seenekleri"
 
-#: src/config/options.inc:813
+#: src/config/options.inc:859
 #, fuzzy
 msgid "Terminal options."
 msgstr "Terminal seenekleri"
 
-#: src/config/options.inc:817
+#: src/config/options.inc:863
 msgid "Options specific to this terminal type (according to $TERM value)."
 msgstr ""
 
-#: src/config/options.inc:842
+#: src/config/options.inc:889
 msgid ""
-"Terminal type; matters mostly only when drawing frames and\n"
-"dialog box borders:\n"
+"Terminal type; matters mostly only when drawing frames and dialog box "
+"borders:\n"
 "0 is dumb terminal type, ASCII art\n"
 "1 is VT100, simple but portable\n"
 "2 is Linux, you get double frames and other goodies\n"
@@ -3368,15 +3367,31 @@ msgid ""
 "4 is FreeBSD"
 msgstr ""
 
-#: src/config/options.inc:850 src/dialogs/options.c:227
+#: src/config/options.inc:897
+msgid "Always encode xterm title in ISO-8859-1"
+msgstr ""
+
+#: src/config/options.inc:899
+msgid ""
+"When updating the window title of xterm or a similar terminal emulator, "
+"encode the title in ISO-8859-1 (Latin-1), rather than in the charset used "
+"for other text in the window. Cyrillic and other characters get replaced "
+"with Latin ones. Xterm requires this unless you explicitly enable UTF-8 "
+"titles in it.\n"
+"\n"
+"If this option does not take effect immediately, try switching to a "
+"different page so that ELinks notices it needs to update the title."
+msgstr ""
+
+#: src/config/options.inc:910 src/dialogs/options.c:227
 msgid "Switch fonts for line drawing"
 msgstr ""
 
-#: src/config/options.inc:852
+#: src/config/options.inc:912
 msgid ""
-"Switch fonts when drawing lines, enabling both local characters\n"
-"and lines working at the same time. ELinks uses this option only if\n"
-"UTF-8 I/O is disabled and the terminal type is Linux or FreeBSD."
+"Switch fonts when drawing lines, enabling both local characters and lines "
+"working at the same time. ELinks uses this option only if UTF-8 I/O is "
+"disabled and the terminal type is Linux or FreeBSD."
 msgstr ""
 
 #. When CONFIG_UTF8 is defined, any code that reads the "utf_8_io"
@@ -3384,37 +3399,37 @@ msgstr ""
 #. * and if so, behave as if "utf_8_io" were 1.  (When CONFIG_UTF8 is
 #. * not defined, it should not be possible to set UTF-8 as "codepage";
 #. * please report any such possibilities as bugs.)
-#: src/config/options.inc:861 src/dialogs/options.c:232
+#: src/config/options.inc:922 src/dialogs/options.c:232
 msgid "UTF-8 I/O"
 msgstr ""
 
-#: src/config/options.inc:863
+#: src/config/options.inc:924
 msgid ""
-"Enable I/O in UTF-8 for Unicode terminals. Note that currently,\n"
-"only the subset of UTF-8 according to terminal codepage is used.\n"
-"ELinks ignores this option if the terminal codepage is UTF-8."
+"Enable I/O in UTF-8 for Unicode terminals. Note that currently, only the "
+"subset of UTF-8 according to terminal codepage is used. ELinks ignores this "
+"option if the terminal codepage is UTF-8."
 msgstr ""
 
-#: src/config/options.inc:867 src/dialogs/options.c:228
+#: src/config/options.inc:929 src/dialogs/options.c:228
 msgid "Restrict frames in cp850/852"
 msgstr "ereveleri cp850/852 ierisinde kstla"
 
-#: src/config/options.inc:869
+#: src/config/options.inc:931
 msgid ""
-"Restrict the characters used when drawing lines. Makes sense\n"
-"only with linux terminals using the cp850/852 character sets."
+"Restrict the characters used when drawing lines. Makes sense only with linux "
+"terminals using the cp850/852 character sets."
 msgstr ""
 
-#: src/config/options.inc:872 src/dialogs/options.c:229
+#: src/config/options.inc:935 src/dialogs/options.c:229
 #, fuzzy
 msgid "Block cursor"
 msgstr "Blok imle"
 
-#: src/config/options.inc:874
+#: src/config/options.inc:937
 msgid ""
-"Move cursor to bottom right corner when done drawing.\n"
-"This is particularly useful when we have a block cursor,\n"
-"so that inversed text is displayed correctly."
+"Move cursor to bottom right corner when done drawing. This is particularly "
+"useful when we have a block cursor, so that inversed text is displayed "
+"correctly."
 msgstr ""
 
 #. The list of modes must be at the end of this string
@@ -3422,13 +3437,15 @@ msgstr ""
 #. * an outer list entry after an inner list.
 #. * TRANSLATORS: This restriction applies only to the
 #. * "en" (English) translation.  (See doc/Makefile.)
-#: src/config/options.inc:885
+#: src/config/options.inc:948
 msgid ""
 "The color mode controls what colors are used and how they are output to the "
 "terminal.\n"
+"\n"
 "Some modes may have been disabled at compile time. The Setup -> Terminal "
 "options dialog lists the modes supported by this executable. If you select "
 "an unsupported mode, ELinks uses 16 colors.\n"
+"\n"
 "The color modes are:\n"
 "0 is mono mode, only 2 colors are used\n"
 "1 is 16 color mode, uses the common ANSI colors\n"
@@ -3437,425 +3454,422 @@ msgid ""
 "4 is true color mode, uses konsole RGB codes"
 msgstr ""
 
-#: src/config/options.inc:898 src/dialogs/options.c:230
+#: src/config/options.inc:963 src/dialogs/options.c:230
 msgid "Transparency"
 msgstr ""
 
-#: src/config/options.inc:900
+#: src/config/options.inc:965
 msgid ""
-"If we should not set the background to black. This is particularly\n"
-"useful when we have a terminal (typically in some windowing\n"
-"environment) with a background image or a transparent background -\n"
-"it will be visible in ELinks as well (but ELinks document color handling\n"
-"will still assume the background is black so if you have a bright "
-"background\n"
-"you might experience contrast problems). Note that this option makes\n"
-"sense only when colors are enabled."
+"If we should not set the background to black. This is particularly useful "
+"when we have a terminal (typically in some windowing environment) with a "
+"background image or a transparent background - it will be visible in ELinks "
+"as well (but ELinks document color handling will still assume the background "
+"is black so if you have a bright background you might experience contrast "
+"problems). Note that this option makes sense only when colors are enabled."
 msgstr ""
 
-#: src/config/options.inc:910
+#: src/config/options.inc:977
 msgid "If we should use underline or enhance the color instead."
 msgstr ""
 
-#: src/config/options.inc:914
+#: src/config/options.inc:982
 msgid ""
-"Codepage of charset used for displaying content on terminal.\n"
-"'System' stands for a codepage determined by a selected locale."
+"Codepage of charset used for displaying content on terminal. 'System' stands "
+"for a codepage determined by a selected locale."
 msgstr ""
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:921
+#: src/config/options.inc:990
 msgid "User interface"
 msgstr ""
 
-#: src/config/options.inc:923
+#: src/config/options.inc:992
 #, fuzzy
 msgid "User interface options."
 msgstr "Terminal seenekleri"
 
-#: src/config/options.inc:927
+#: src/config/options.inc:996
 msgid "Color settings"
 msgstr ""
 
-#: src/config/options.inc:929
+#: src/config/options.inc:998
 msgid "Default user interface color settings."
 msgstr ""
 
-#: src/config/options.inc:956
+#: src/config/options.inc:1025
 #, fuzzy
 msgid "Color terminals"
 msgstr "~BeOS terminali"
 
-#: src/config/options.inc:958
+#: src/config/options.inc:1027
 msgid "Color settings for color terminal."
 msgstr ""
 
-#: src/config/options.inc:960
+#: src/config/options.inc:1029
 msgid "Non-color terminals"
 msgstr ""
 
-#: src/config/options.inc:962
+#: src/config/options.inc:1031
 msgid "Color settings for non-color terminal."
 msgstr ""
 
 #. FIXME: obsolete, how to alias them correctly ? --Zas
-#: src/config/options.inc:965
+#: src/config/options.inc:1034
 msgid "Main menu bar"
 msgstr ""
 
-#: src/config/options.inc:967
+#: src/config/options.inc:1036
 msgid "Main menu bar colors."
 msgstr ""
 
-#: src/config/options.inc:969
+#: src/config/options.inc:1038
 msgid "Unselected main menu bar item"
 msgstr ""
 
-#: src/config/options.inc:971
+#: src/config/options.inc:1040
 msgid "Unselected main menu bar item colors."
 msgstr ""
 
-#: src/config/options.inc:973
+#: src/config/options.inc:1042
 msgid "Selected main menu bar item"
 msgstr ""
 
-#: src/config/options.inc:975
+#: src/config/options.inc:1044
 msgid "Selected main menu bar item colors."
 msgstr ""
 
-#: src/config/options.inc:977 src/config/options.inc:1006
+#: src/config/options.inc:1046 src/config/options.inc:1075
 msgid "Hotkey"
 msgstr ""
 
-#: src/config/options.inc:979
+#: src/config/options.inc:1048
 msgid "Main menu hotkey colors."
 msgstr ""
 
-#: src/config/options.inc:981 src/config/options.inc:1010
+#: src/config/options.inc:1050 src/config/options.inc:1079
 msgid "Unselected hotkey"
 msgstr ""
 
-#: src/config/options.inc:983
+#: src/config/options.inc:1052
 msgid "Main menu unselected hotkey colors."
 msgstr ""
 
-#: src/config/options.inc:985 src/config/options.inc:1014
+#: src/config/options.inc:1054 src/config/options.inc:1083
 #, fuzzy
 msgid "Selected hotkey"
 msgstr "Alan se"
 
-#: src/config/options.inc:987
+#: src/config/options.inc:1056
 msgid "Main menu selected hotkey colors."
 msgstr ""
 
-#: src/config/options.inc:990
+#: src/config/options.inc:1059
 msgid "Menu bar"
 msgstr ""
 
-#: src/config/options.inc:992
+#: src/config/options.inc:1061
 msgid "Menu bar colors."
 msgstr ""
 
-#: src/config/options.inc:994
+#: src/config/options.inc:1063
 msgid "Unselected menu item"
 msgstr ""
 
-#: src/config/options.inc:996
+#: src/config/options.inc:1065
 msgid "Unselected menu item colors."
 msgstr ""
 
-#: src/config/options.inc:998
+#: src/config/options.inc:1067
 #, fuzzy
 msgid "Selected menu item"
 msgstr "Alan se"
 
-#: src/config/options.inc:1000
+#: src/config/options.inc:1069
 msgid "Selected menu item colors."
 msgstr ""
 
-#: src/config/options.inc:1002
+#: src/config/options.inc:1071
 #, fuzzy
 msgid "Marked menu item"
 msgstr "Alan se"
 
-#: src/config/options.inc:1004
+#: src/config/options.inc:1073
 msgid "Marked menu item colors."
 msgstr ""
 
-#: src/config/options.inc:1008
+#: src/config/options.inc:1077
 msgid "Menu item hotkey colors."
 msgstr ""
 
-#: src/config/options.inc:1012
+#: src/config/options.inc:1081
 msgid "Menu item unselected hotkey colors."
 msgstr ""
 
-#: src/config/options.inc:1016
+#: src/config/options.inc:1085
 msgid "Menu item selected hotkey colors."
 msgstr ""
 
-#: src/config/options.inc:1018
+#: src/config/options.inc:1087
 #, fuzzy
 msgid "Menu frame"
 msgstr "ereve yok"
 
-#: src/config/options.inc:1020
+#: src/config/options.inc:1089
 msgid "Menu frame colors."
 msgstr ""
 
-#: src/config/options.inc:1023
+#: src/config/options.inc:1092
 msgid "Dialog"
 msgstr ""
 
-#: src/config/options.inc:1025
+#: src/config/options.inc:1094
 msgid "Dialog colors."
 msgstr ""
 
-#: src/config/options.inc:1035
+#: src/config/options.inc:1104
 msgid "Generic"
 msgstr ""
 
-#: src/config/options.inc:1037
+#: src/config/options.inc:1106
 #, fuzzy
 msgid "Generic dialog colors."
 msgstr "Arkadaki balantlar durdur"
 
-#: src/config/options.inc:1039
+#: src/config/options.inc:1108
 #, fuzzy
 msgid "Frame"
 msgstr "isim"
 
-#: src/config/options.inc:1041
+#: src/config/options.inc:1110
 msgid "Dialog frame colors."
 msgstr ""
 
-#: src/config/options.inc:1043
+#: src/config/options.inc:1112
 msgid "Scrollbar"
 msgstr ""
 
-#: src/config/options.inc:1045
+#: src/config/options.inc:1114
 msgid "Scrollbar colors."
 msgstr ""
 
-#: src/config/options.inc:1047
+#: src/config/options.inc:1116
 #, fuzzy
 msgid "Selected scrollbar"
 msgstr "Arkadaki balantlar durdur"
 
-#: src/config/options.inc:1049
+#: src/config/options.inc:1118
 #, fuzzy
 msgid "Scrollbar selected colors."
 msgstr "Arkadaki balantlar durdur"
 
-#: src/config/options.inc:1053
+#: src/config/options.inc:1122
 msgid "Dialog title colors."
 msgstr ""
 
-#: src/config/options.inc:1055
+#: src/config/options.inc:1124
 #, fuzzy
 msgid "Text"
 msgstr "Metin alan"
 
-#: src/config/options.inc:1057
+#: src/config/options.inc:1126
 msgid "Dialog text colors."
 msgstr ""
 
-#: src/config/options.inc:1059 src/viewer/text/form.c:1862
+#: src/config/options.inc:1128 src/viewer/text/form.c:1891
 msgid "Checkbox"
 msgstr "aret kutusu"
 
-#: src/config/options.inc:1061
+#: src/config/options.inc:1130
 msgid "Dialog checkbox colors."
 msgstr ""
 
-#: src/config/options.inc:1063
+#: src/config/options.inc:1132
 #, fuzzy
 msgid "Selected checkbox"
 msgstr "Alan se"
 
-#: src/config/options.inc:1065
+#: src/config/options.inc:1134
 #, fuzzy
 msgid "Dialog selected checkbox colors."
 msgstr "Arkadaki balantlar durdur"
 
-#: src/config/options.inc:1067
+#: src/config/options.inc:1136
 #, fuzzy
 msgid "Checkbox label"
 msgstr "aret kutusu"
 
-#: src/config/options.inc:1069
+#: src/config/options.inc:1138
 msgid "Dialog checkbox label colors."
 msgstr ""
 
-#: src/config/options.inc:1071
+#: src/config/options.inc:1140
 msgid "Button"
 msgstr ""
 
-#: src/config/options.inc:1073 src/config/options.inc:1081
+#: src/config/options.inc:1142 src/config/options.inc:1150
 msgid "Dialog button colors."
 msgstr ""
 
-#: src/config/options.inc:1075
+#: src/config/options.inc:1144
 msgid "Selected button"
 msgstr ""
 
-#: src/config/options.inc:1077 src/config/options.inc:1085
+#: src/config/options.inc:1146 src/config/options.inc:1154
 msgid "Dialog selected button colors."
 msgstr ""
 
-#: src/config/options.inc:1079
+#: src/config/options.inc:1148
 msgid "Button shortcut"
 msgstr ""
 
-#: src/config/options.inc:1083
+#: src/config/options.inc:1152
 #, fuzzy
 msgid "Selected button shortcut"
 msgstr "Alan se"
 
-#: src/config/options.inc:1087 src/viewer/text/form.c:1866
+#: src/config/options.inc:1156 src/viewer/text/form.c:1895
 msgid "Text field"
 msgstr "Metin satr"
 
-#: src/config/options.inc:1089
+#: src/config/options.inc:1158
 msgid "Dialog text field colors."
 msgstr ""
 
-#: src/config/options.inc:1091
+#: src/config/options.inc:1160
 #, fuzzy
 msgid "Text field text"
 msgstr "Metin satr"
 
-#: src/config/options.inc:1093
+#: src/config/options.inc:1162
 msgid "Dialog field text colors."
 msgstr ""
 
-#: src/config/options.inc:1095
+#: src/config/options.inc:1164
 msgid "Meter"
 msgstr ""
 
-#: src/config/options.inc:1097
+#: src/config/options.inc:1166
 msgid "Dialog meter colors."
 msgstr ""
 
-#: src/config/options.inc:1099
+#: src/config/options.inc:1168
 msgid "Shadow"
 msgstr ""
 
-#: src/config/options.inc:1101
+#: src/config/options.inc:1170
 msgid "Dialog shadow colors (see ui.shadows option)."
 msgstr ""
 
-#: src/config/options.inc:1103
+#: src/config/options.inc:1172
 msgid "Title bar"
 msgstr ""
 
-#: src/config/options.inc:1105
+#: src/config/options.inc:1174
 msgid "Title bar colors."
 msgstr ""
 
-#: src/config/options.inc:1107
+#: src/config/options.inc:1176
 msgid "Generic title bar"
 msgstr ""
 
-#: src/config/options.inc:1109
+#: src/config/options.inc:1178
 msgid "Generic title bar colors."
 msgstr ""
 
-#: src/config/options.inc:1111
+#: src/config/options.inc:1180
 msgid "Title bar text"
 msgstr ""
 
-#: src/config/options.inc:1113
+#: src/config/options.inc:1182
 msgid "Title bar text colors."
 msgstr ""
 
-#: src/config/options.inc:1116
+#: src/config/options.inc:1185
 msgid "Status bar"
 msgstr ""
 
-#: src/config/options.inc:1118
+#: src/config/options.inc:1187
 msgid "Status bar colors."
 msgstr ""
 
-#: src/config/options.inc:1120
+#: src/config/options.inc:1189
 msgid "Generic status bar"
 msgstr ""
 
-#: src/config/options.inc:1122
+#: src/config/options.inc:1191
 msgid "Generic status bar colors."
 msgstr ""
 
-#: src/config/options.inc:1124
+#: src/config/options.inc:1193
 #, fuzzy
 msgid "Status bar text"
 msgstr "Metini ara"
 
-#: src/config/options.inc:1126
+#: src/config/options.inc:1195
 msgid "Status bar text colors."
 msgstr ""
 
-#: src/config/options.inc:1129
+#: src/config/options.inc:1198
 msgid "Tabs bar"
 msgstr ""
 
-#: src/config/options.inc:1131
+#: src/config/options.inc:1200
 msgid "Tabs bar colors."
 msgstr ""
 
-#: src/config/options.inc:1133
+#: src/config/options.inc:1202
 #, fuzzy
 msgid "Unvisited tab"
 msgstr "Alan se"
 
-#: src/config/options.inc:1135
+#: src/config/options.inc:1204
 msgid ""
-"Tab colors for tabs that have not been\n"
-"selected since they completed loading."
+"Tab colors for tabs that have not been selected since they completed loading."
 msgstr ""
 
-#: src/config/options.inc:1138
+#: src/config/options.inc:1207
 #, fuzzy
 msgid "Unselected tab"
 msgstr "Alan se"
 
-#: src/config/options.inc:1140
+#: src/config/options.inc:1209
 #, fuzzy
 msgid "Unselected tab colors."
 msgstr "Arkadaki balantlar durdur"
 
-#: src/config/options.inc:1142
+#: src/config/options.inc:1211
 #, fuzzy
 msgid "Loading tab"
 msgstr "ykleniyor"
 
-#: src/config/options.inc:1144
+#: src/config/options.inc:1213
 msgid "Tab colors for tabs that are loading in the background."
 msgstr ""
 
-#: src/config/options.inc:1146
+#: src/config/options.inc:1215
 #, fuzzy
 msgid "Selected tab"
 msgstr "Alan se"
 
-#: src/config/options.inc:1148
+#: src/config/options.inc:1217
 #, fuzzy
 msgid "Selected tab colors."
 msgstr "Arkadaki balantlar durdur"
 
-#: src/config/options.inc:1150
+#: src/config/options.inc:1219
 msgid "Tab separator"
 msgstr ""
 
-#: src/config/options.inc:1152
+#: src/config/options.inc:1221
 msgid "Tab separator colors."
 msgstr ""
 
-#: src/config/options.inc:1155
+#: src/config/options.inc:1224
 #, fuzzy
 msgid "Searched strings"
 msgstr "Hatal sz dizimi"
 
-#: src/config/options.inc:1157
+#: src/config/options.inc:1226
 #, fuzzy
 msgid "Searched string highlight colors."
 msgstr "Aranan sz dizimi bulunamad"
@@ -3864,69 +3878,69 @@ msgstr "Aranan sz dizimi bulunamad"
 #. ============= BORING PART (colors) END ===================
 #. ==========================================================
 #. Keep options in alphabetical order.
-#: src/config/options.inc:1166
+#: src/config/options.inc:1235
 msgid "Dialog settings"
 msgstr ""
 
-#: src/config/options.inc:1168
+#: src/config/options.inc:1237
 msgid "Dialogs-specific appearance and behaviour settings."
 msgstr ""
 
-#: src/config/options.inc:1171
+#: src/config/options.inc:1240
 msgid "Minimal height of listbox widget"
 msgstr ""
 
-#: src/config/options.inc:1173
+#: src/config/options.inc:1242
 msgid ""
-"Minimal height of the listbox widget (used e.g. for bookmarks\n"
-"or global history)."
+"Minimal height of the listbox widget (used e.g. for bookmarks or global "
+"history)."
 msgstr ""
 
-#: src/config/options.inc:1176
+#: src/config/options.inc:1245
 msgid "Drop shadows"
 msgstr ""
 
-#: src/config/options.inc:1178
+#: src/config/options.inc:1247
 msgid ""
-"Make dialogs drop shadows (the shadows are solid, you can\n"
-"adjust their color by ui.colors.*.dialog.shadow). You may\n"
-"also want to eliminate the wide borders by adjusting setup.h."
+"Make dialogs drop shadows (the shadows are solid, you can adjust their color "
+"by ui.colors.*.dialog.shadow). You may also want to eliminate the wide "
+"borders by adjusting setup.h."
 msgstr ""
 
-#: src/config/options.inc:1182
+#: src/config/options.inc:1252
 #, fuzzy
 msgid "Underline menu hotkeys"
 msgstr "Alan se"
 
-#: src/config/options.inc:1184
+#: src/config/options.inc:1254
 msgid ""
-"Whether to underline hotkeys in menus to make them more\n"
-"visible. Requires that underlining is enabled for the terminal."
+"Whether to underline hotkeys in menus to make them more visible. Requires "
+"that underlining is enabled for the terminal."
 msgstr ""
 
-#: src/config/options.inc:1187
+#: src/config/options.inc:1258
 #, fuzzy
 msgid "Underline button shortcuts"
 msgstr "Alan se"
 
-#: src/config/options.inc:1189
+#: src/config/options.inc:1260
 msgid ""
-"Whether to underline button shortcuts to make them more\n"
-"visible. Requires that underlining is enabled for the terminal."
+"Whether to underline button shortcuts to make them more visible. Requires "
+"that underlining is enabled for the terminal."
 msgstr ""
 
-#: src/config/options.inc:1193
+#: src/config/options.inc:1265
 #, fuzzy
 msgid "Timer options"
 msgstr "Terminal seenekleri"
 
-#: src/config/options.inc:1195
+#: src/config/options.inc:1267
 msgid ""
-"Timed action after certain interval of user inactivity. Someone can\n"
-"even find this useful, although you may not believe that."
+"Timed action after certain interval of user inactivity. Someone can even "
+"find this useful, although you may not believe that."
 msgstr ""
 
-#: src/config/options.inc:1201
+#: src/config/options.inc:1274
 msgid ""
 "Whether to enable the timer or not:\n"
 "0 is don't count down anything\n"
@@ -3934,7 +3948,7 @@ msgid ""
 "2 is count down and show the timer near LEDs"
 msgstr ""
 
-#: src/config/options.inc:1208
+#: src/config/options.inc:1281
 msgid ""
 "Whether to enable the timer or not:\n"
 "0 is don't count down anything\n"
@@ -3942,35 +3956,35 @@ msgid ""
 "2 is count down and show the timer near LEDs (DISABLED)"
 msgstr ""
 
-#: src/config/options.inc:1214
+#: src/config/options.inc:1287
 msgid "Duration"
 msgstr ""
 
-#: src/config/options.inc:1216
+#: src/config/options.inc:1289
 msgid ""
-"Inactivity timeout in seconds. The maximum of one day\n"
-"should be enough for just everyone (TM)."
+"Inactivity timeout in seconds. The maximum of one day should be enough for "
+"just everyone (TM)."
 msgstr ""
 
-#: src/config/options.inc:1221
+#: src/config/options.inc:1294
 msgid "Keybinding action to be triggered when timer reaches zero."
 msgstr ""
 
-#: src/config/options.inc:1224
+#: src/config/options.inc:1298
 #, fuzzy
 msgid "Window tabs"
 msgstr "~Pencere"
 
-#: src/config/options.inc:1226
+#: src/config/options.inc:1300
 msgid "Window tabs settings."
 msgstr ""
 
-#: src/config/options.inc:1228
+#: src/config/options.inc:1302
 #, fuzzy
 msgid "Display tabs bar"
 msgstr "~Haritay grntle"
 
-#: src/config/options.inc:1230
+#: src/config/options.inc:1304
 msgid ""
 "Show tabs bar on the screen:\n"
 "0 means never\n"
@@ -3978,170 +3992,169 @@ msgid ""
 "2 means always"
 msgstr ""
 
-#: src/config/options.inc:1235
+#: src/config/options.inc:1309
 msgid "Tab bar at top"
 msgstr ""
 
-#: src/config/options.inc:1237
+#: src/config/options.inc:1311
 msgid "Whether display tab bar at top like other browsers do."
 msgstr ""
 
-#: src/config/options.inc:1239
+#: src/config/options.inc:1313
 msgid "Wrap-around tabs cycling"
 msgstr ""
 
-#: src/config/options.inc:1241
+#: src/config/options.inc:1315
 msgid ""
-"When moving right from the last tab, jump to the first one, and\n"
-"vice versa."
+"When moving right from the last tab, jump to the first one, and vice versa."
 msgstr ""
 
-#: src/config/options.inc:1244
+#: src/config/options.inc:1318
 msgid "Confirm tab closing"
 msgstr ""
 
-#: src/config/options.inc:1246
+#: src/config/options.inc:1320
 msgid "When closing a tab show confirmation dialog."
 msgstr ""
 
 #. OPT_LANGUAGE
-#: src/config/options.inc:1250 src/config/opttypes.c:483
+#: src/config/options.inc:1324 src/config/opttypes.c:483
 msgid "Language"
 msgstr ""
 
-#: src/config/options.inc:1252
+#: src/config/options.inc:1326
 msgid ""
-"Language of user interface. 'System' means that the language will\n"
-"be extracted from the environment dynamically."
+"Language of user interface. 'System' means that the language will be "
+"extracted from the environment dynamically."
 msgstr ""
 
-#: src/config/options.inc:1255
+#: src/config/options.inc:1330
 #, fuzzy
 msgid "Display menu bar always"
 msgstr "~Haritay grntle"
 
-#: src/config/options.inc:1257
+#: src/config/options.inc:1332
 msgid "Always show menu bar on the screen."
 msgstr ""
 
-#: src/config/options.inc:1259
+#: src/config/options.inc:1334
 #, fuzzy
 msgid "Display status bar"
 msgstr "~Haritay grntle"
 
-#: src/config/options.inc:1261
+#: src/config/options.inc:1336
 msgid "Show status bar on the screen."
 msgstr ""
 
-#: src/config/options.inc:1263
+#: src/config/options.inc:1338
 #, fuzzy
 msgid "Display title bar"
 msgstr "~Haritay grntle"
 
-#: src/config/options.inc:1265
+#: src/config/options.inc:1340
 msgid "Show title bar on the screen."
 msgstr ""
 
-#: src/config/options.inc:1267
+#: src/config/options.inc:1342
 msgid "Display goto dialog in new tabs"
 msgstr ""
 
-#: src/config/options.inc:1269
+#: src/config/options.inc:1344
 msgid ""
-"Pop up goto dialog in newly created tabs when there's no homepage\n"
-"set. This means also showing goto dialog on startup."
+"Pop up goto dialog in newly created tabs when there's no homepage set. This "
+"means also showing goto dialog on startup."
 msgstr ""
 
-#: src/config/options.inc:1272
+#: src/config/options.inc:1348
 msgid "Show a message box when file is saved successfully"
 msgstr ""
 
-#: src/config/options.inc:1274
+#: src/config/options.inc:1350
 msgid ""
-"When you pressed a [ Save ] button in some manager, this option\n"
-"will make sure that a box confirming success of the operation will\n"
-"pop up."
+"When you pressed a [ Save ] button in some manager, this option will make "
+"sure that a box confirming success of the operation will pop up."
 msgstr ""
 
-#: src/config/options.inc:1279
+#: src/config/options.inc:1355
 #, fuzzy
 msgid "Sessions"
 msgstr "Uzant(lar)"
 
-#: src/config/options.inc:1281
+#: src/config/options.inc:1357
 msgid "Sessions settings."
 msgstr ""
 
-#: src/config/options.inc:1283
+#: src/config/options.inc:1359
 msgid "Keep session active"
 msgstr ""
 
-#: src/config/options.inc:1285
+#: src/config/options.inc:1361
 msgid "Keep the session active even if the last terminal exits."
 msgstr ""
 
-#: src/config/options.inc:1287
+#: src/config/options.inc:1364
 msgid "Auto save session"
 msgstr ""
 
-#: src/config/options.inc:1289
+#: src/config/options.inc:1366
 msgid ""
 "Automatically save the session when quitting.\n"
+"\n"
 "This feature requires bookmark support."
 msgstr ""
 
-#: src/config/options.inc:1292
+#: src/config/options.inc:1370
 msgid "Auto restore session"
 msgstr ""
 
-#: src/config/options.inc:1294
+#: src/config/options.inc:1372
 msgid ""
 "Automatically restore the session at start.\n"
+"\n"
 "This feature requires bookmark support."
 msgstr ""
 
-#: src/config/options.inc:1297
+#: src/config/options.inc:1376
 msgid "Auto save and restore session folder name"
 msgstr ""
 
-#: src/config/options.inc:1299
+#: src/config/options.inc:1378
 msgid ""
-"Name of the bookmarks folder used for auto saving and restoring session.\n"
-"The name has to be unique. Any folders with the same name will be deleted.\n"
+"Name of the bookmarks folder used for auto saving and restoring session. The "
+"name has to be unique. Any folders with the same name will be deleted.\n"
+"\n"
 "This only makes sense with bookmark support."
 msgstr ""
 
-#: src/config/options.inc:1303
+#: src/config/options.inc:1384
 #, fuzzy
 msgid "Homepage URI"
 msgstr "Karakter seti"
 
-#: src/config/options.inc:1305
+#: src/config/options.inc:1386
 msgid ""
-"The URI to load either at startup time when no URI was given\n"
-"on the command line or when requested by the goto-url-home action.\n"
-"Set to \"\" if the environment variable WWW_HOME should be used\n"
-"as homepage URI instead."
+"The URI to load either at startup time when no URI was given on the command "
+"line or when requested by the goto-url-home action. Set to \"\" if the "
+"environment variable WWW_HOME should be used as homepage URI instead."
 msgstr ""
 
-#: src/config/options.inc:1311
+#: src/config/options.inc:1392
 #, fuzzy
 msgid "Date format"
 msgstr "Dosya ykle"
 
-#: src/config/options.inc:1313
+#: src/config/options.inc:1394
 msgid "Date format to use in dialogs. See strftime(3)."
 msgstr ""
 
-#: src/config/options.inc:1316
+#: src/config/options.inc:1397
 msgid "Set window title"
 msgstr ""
 
-#: src/config/options.inc:1318
+#: src/config/options.inc:1399
 msgid ""
-"Set the window title when running in a windowing environment\n"
-"in an xterm-like terminal. This way the document's title is\n"
-"shown on the window titlebar."
+"Set the window title when running in a windowing environment in an xterm-"
+"like terminal. This way the document's title is shown on the window titlebar."
 msgstr ""
 
 #: src/config/opttypes.c:54
@@ -4228,7 +4241,7 @@ msgid "Goto URL History"
 msgstr "Gemi yok"
 
 #. name:
-#: src/cookies/cookies.c:88 src/cookies/cookies.c:911
+#: src/cookies/cookies.c:88 src/cookies/cookies.c:913
 msgid "Cookies"
 msgstr ""
 
@@ -4258,10 +4271,10 @@ msgstr "Balant yaplyor"
 msgid ""
 "Cookie maximum age (in days):\n"
 "-1 is use cookie's expiration date if any\n"
-"0  is force expiration at the end of session, ignoring cookie's\n"
-"   expiration date\n"
-"1+ is use cookie's expiration date, but limit age to the given\n"
-"   number of days"
+"0  is force expiration at the end of session, ignoring\n"
+"   cookie's expiration date\n"
+"1+ is use cookie's expiration date, but limit age to the\n"
+"   given number of days"
 msgstr ""
 
 #: src/cookies/cookies.c:109
@@ -4270,42 +4283,42 @@ msgstr ""
 
 #: src/cookies/cookies.c:111
 msgid ""
-"When enabled, we'll require three dots in cookies domain for all\n"
-"non-international domains (instead of just two dots). Some countries\n"
-"have generic second level domains (eg. .com.pl, .co.uk) and allowing\n"
-"sites to set cookies for these generic domains could potentially be\n"
-"very bad. Note, it is off by default as it breaks a lot of sites."
+"When enabled, we'll require three dots in cookies domain for all non-"
+"international domains (instead of just two dots). Some countries have "
+"generic second level domains (eg. .com.pl, .co.uk) and allowing sites to set "
+"cookies for these generic domains could potentially be very bad. Note, it is "
+"off by default as it breaks a lot of sites."
 msgstr ""
 
-#: src/cookies/cookies.c:117
+#: src/cookies/cookies.c:118
 #, fuzzy
 msgid "Saving"
 msgstr "ortalama"
 
-#: src/cookies/cookies.c:119
+#: src/cookies/cookies.c:120
 msgid "Whether cookies should be loaded from and saved to disk."
 msgstr ""
 
-#: src/cookies/cookies.c:121
+#: src/cookies/cookies.c:123
 msgid "Resaving"
 msgstr ""
 
-#: src/cookies/cookies.c:123
+#: src/cookies/cookies.c:125
 msgid ""
-"Save cookies after each change in cookies list? No effect when\n"
-"cookie saving (cookies.save) is off."
+"Save cookies after each change in cookies list? No effect when cookie saving "
+"(cookies.save) is off."
 msgstr ""
 
-#: src/cookies/cookies.c:817
+#: src/cookies/cookies.c:819
 #, fuzzy
 msgid "Cannot save cookies"
 msgstr "Dosyaya yazarken hata"
 
-#: src/cookies/cookies.c:828
+#: src/cookies/cookies.c:830
 msgid "ELinks was started without a home directory."
 msgstr ""
 
-#: src/cookies/cookies.c:834
+#: src/cookies/cookies.c:836
 msgid "ELinks was started with the -anonymous option."
 msgstr ""
 
@@ -4520,7 +4533,7 @@ msgid "No header info."
 msgstr ""
 
 #: src/dialogs/download.c:243 src/dialogs/menu.c:601
-#: src/protocol/bittorrent/dialogs.c:228 src/session/download.c:361
+#: src/protocol/bittorrent/dialogs.c:228 src/session/download.c:387
 msgid "Download"
 msgstr "ndir"
 
@@ -5377,7 +5390,7 @@ msgid "No document"
 msgstr "belgeler"
 
 #. name:
-#: src/document/css/css.c:30 src/document/css/css.c:161
+#: src/document/css/css.c:30 src/document/css/css.c:164
 msgid "Cascading Style Sheets"
 msgstr ""
 
@@ -5385,36 +5398,36 @@ msgstr ""
 msgid "Options concerning how to use CSS for styling documents."
 msgstr ""
 
-#: src/document/css/css.c:34
+#: src/document/css/css.c:35
 #, fuzzy
 msgid "Enable CSS"
 msgstr "isim"
 
-#: src/document/css/css.c:36
+#: src/document/css/css.c:37
 msgid "Enable adding of CSS style info to documents."
 msgstr ""
 
-#: src/document/css/css.c:38
+#: src/document/css/css.c:39
 msgid "Import external style sheets"
 msgstr ""
 
-#: src/document/css/css.c:40
+#: src/document/css/css.c:41
 msgid ""
-"When enabled any external style sheets that are imported from\n"
-"either CSS itself using the @import keyword or from the HTML using\n"
-"<link> tags in the document header will also be downloaded."
+"When enabled any external style sheets that are imported from either CSS "
+"itself using the @import keyword or from the HTML using <link> tags in the "
+"document header will also be downloaded."
 msgstr ""
 
-#: src/document/css/css.c:44
+#: src/document/css/css.c:46
 msgid "Default style sheet"
 msgstr ""
 
-#: src/document/css/css.c:46
+#: src/document/css/css.c:48
 msgid ""
-"The path to the file containing the default user defined\n"
-"Cascading Style Sheet. It can be used to control the basic\n"
-"layout of HTML documents. The path is assumed to be relative\n"
-"to ELinks' home directory.\n"
+"The path to the file containing the default user defined Cascading Style "
+"Sheet. It can be used to control the basic layout of HTML documents. The "
+"path is assumed to be relative to ELinks' home directory.\n"
+"\n"
 "Leave as \"\" to use built-in document styling."
 msgstr ""
 
@@ -5446,8 +5459,8 @@ msgstr ""
 
 #: src/ecmascript/ecmascript.c:55
 msgid ""
-"Whether to ignore content enclosed by the <noscript> tag\n"
-"when ECMAScript is enabled."
+"Whether to ignore content enclosed by the <noscript> tag when ECMAScript is "
+"enabled."
 msgstr ""
 
 #: src/ecmascript/ecmascript.c:58
@@ -5499,7 +5512,7 @@ msgid "JavaScript Error"
 msgstr ""
 
 #. name:
-#: src/ecmascript/spidermonkey.c:320
+#: src/ecmascript/spidermonkey.c:321
 msgid "SpiderMonkey"
 msgstr ""
 
@@ -5597,9 +5610,8 @@ msgstr "Terminal seenekleri"
 
 #: src/formhist/formhist.c:38
 msgid ""
-"Ask if a login form should be saved to file or not.\n"
-"This option only disables the dialog, already saved login\n"
-"forms are unaffected."
+"Ask if a login form should be saved to file or not. This option only "
+"disables the dialog, already saved login forms are unaffected."
 msgstr ""
 
 #: src/formhist/formhist.c:426
@@ -5701,20 +5713,20 @@ msgstr ""
 msgid "Enable global history (\"history of all pages visited\")."
 msgstr ""
 
-#: src/globhist/globhist.c:68
+#: src/globhist/globhist.c:69
 msgid "Maximum number of entries"
 msgstr ""
 
-#: src/globhist/globhist.c:70
+#: src/globhist/globhist.c:71
 msgid "Maximum number of entries in the global history."
 msgstr ""
 
-#: src/globhist/globhist.c:72
+#: src/globhist/globhist.c:73
 #, fuzzy
 msgid "Display style"
 msgstr "~Haritay grntle"
 
-#: src/globhist/globhist.c:74
+#: src/globhist/globhist.c:75
 msgid ""
 "What to display in global history dialog:\n"
 "0 is URLs\n"
@@ -5722,7 +5734,7 @@ msgid ""
 msgstr ""
 
 #. name:
-#: src/globhist/globhist.c:451
+#: src/globhist/globhist.c:449
 #, fuzzy
 msgid "Global History"
 msgstr "Gemi yok"
@@ -5951,101 +5963,95 @@ msgstr ""
 
 #: src/mime/backend/default.c:27
 msgid ""
-"Handler <-> MIME type association. The first sub-tree is the MIME\n"
-"class while the second sub-tree is the MIME type (ie. image/gif\n"
-"handler will reside at mime.type.image.gif). Each MIME type option\n"
-"should contain (case-sensitive) name of the MIME handler (its\n"
-"properties are stored at mime.handler.<name>)."
+"Handler <-> MIME type association. The first sub-tree is the MIME class "
+"while the second sub-tree is the MIME type (ie. image/gif handler will "
+"reside at mime.type.image.gif). Each MIME type option should contain (case-"
+"sensitive) name of the MIME handler (its properties are stored at mime."
+"handler.<name>)."
 msgstr ""
 
-#: src/mime/backend/default.c:35
+#: src/mime/backend/default.c:36
 msgid ""
-"Handler matching this MIME-type class ('*' is used here in place\n"
-"of '.')."
+"Handler matching this MIME-type class ('*' is used here in place of '.')."
 msgstr ""
 
-#: src/mime/backend/default.c:40
+#: src/mime/backend/default.c:41
 msgid ""
-"Handler matching this MIME-type name ('*' is used here in place\n"
-"of '.')."
+"Handler matching this MIME-type name ('*' is used here in place of '.')."
 msgstr ""
 
-#: src/mime/backend/default.c:44
+#: src/mime/backend/default.c:45
 msgid "File type handlers"
 msgstr ""
 
-#: src/mime/backend/default.c:46
+#: src/mime/backend/default.c:47
 msgid ""
-"A file type handler is a set of information about how to use\n"
-"an external program to view a file. It is possible to refer to it\n"
-"for several MIME types -- e.g., you can define an 'image' handler\n"
-"to which mime.type.image.png, mime.type.image.jpeg, and so on will\n"
-"refer; or one might define a handler for a more specific type of file\n"
-"-- e.g., PDF files.\n"
-"Note you must define both a MIME handler and a MIME type association\n"
-"for it to work."
+"A file type handler is a set of information about how to use an external "
+"program to view a file. It is possible to refer to it for several MIME types "
+"-- e.g., you can define an 'image' handler to which mime.type.image.png, "
+"mime.type.image.jpeg, and so on will refer; or one might define a handler "
+"for a more specific type of file -- e.g., PDF files. Note you must define "
+"both a MIME handler and a MIME type association for it to work."
 msgstr ""
 
-#: src/mime/backend/default.c:57
+#: src/mime/backend/default.c:58
 msgid "Description of this handler."
 msgstr ""
 
-#: src/mime/backend/default.c:61
+#: src/mime/backend/default.c:62
 msgid "System-specific handler description (ie. unix, unix-xwin, ...)."
 msgstr ""
 
-#: src/mime/backend/default.c:63 src/mime/backend/mailcap.c:102
+#: src/mime/backend/default.c:65 src/mime/backend/mailcap.c:102
 msgid "Ask before opening"
 msgstr ""
 
-#: src/mime/backend/default.c:65
+#: src/mime/backend/default.c:67
 msgid "Ask before opening."
 msgstr ""
 
-#: src/mime/backend/default.c:67
+#: src/mime/backend/default.c:69
 #, fuzzy
 msgid "Block terminal"
 msgstr "~BeOS terminali"
 
-#: src/mime/backend/default.c:69
+#: src/mime/backend/default.c:71
 msgid "Block the terminal when the handler is running."
 msgstr ""
 
-#: src/mime/backend/default.c:71
+#: src/mime/backend/default.c:73
 #, fuzzy
 msgid "Program"
 msgstr "Program yok"
 
-#: src/mime/backend/default.c:74
+#: src/mime/backend/default.c:76
 #, no-c-format
 msgid ""
-"External viewer for this file type. '%' in this string will be\n"
-"substituted by a file name.\n"
-"Do _not_ put single- or double-quotes around the % sign."
+"External viewer for this file type. '%' in this string will be substituted "
+"by a file name. Do _not_ put single- or double-quotes around the % sign."
 msgstr ""
 
-#: src/mime/backend/default.c:79
+#: src/mime/backend/default.c:81
 #, fuzzy
 msgid "File extension associations"
 msgstr "Dosya ~uzantlar"
 
-#: src/mime/backend/default.c:81
+#: src/mime/backend/default.c:83
 msgid "Extension <-> MIME type association."
 msgstr ""
 
-#: src/mime/backend/default.c:85
+#: src/mime/backend/default.c:87
 msgid ""
-"MIME-type matching this file extension ('*' is used here in place\n"
-"of '.')."
+"MIME-type matching this file extension ('*' is used here in place of '.')."
 msgstr ""
 
 #. name:
-#: src/mime/backend/default.c:216
+#: src/mime/backend/default.c:218
 msgid "Option system"
 msgstr ""
 
 #. name:
-#: src/mime/backend/mailcap.c:89 src/mime/backend/mailcap.c:684
+#: src/mime/backend/mailcap.c:89 src/mime/backend/mailcap.c:686
 msgid "Mailcap"
 msgstr ""
 
@@ -6059,8 +6065,8 @@ msgstr ""
 
 #: src/mime/backend/mailcap.c:99
 msgid ""
-"Mailcap search path. Colon-separated list of files.\n"
-"Leave as \"\" to use MAILCAP environment variable instead."
+"Mailcap search path. Colon-separated list of files. Leave as \"\" to use "
+"MAILCAP environment variable instead."
 msgstr ""
 
 #: src/mime/backend/mailcap.c:104
@@ -6073,39 +6079,38 @@ msgstr ""
 
 #: src/mime/backend/mailcap.c:108
 msgid ""
-"Type of description to show in \"what to do with this file\"\n"
-"query dialog:\n"
+"Type of description to show in \"what to do with this file\" query dialog:\n"
 "0 is show \"mailcap\"\n"
 "1 is show program to be run\n"
-"2 is show mailcap description field if any; \"mailcap\" otherwise"
+"2 is show mailcap description field if any;\n"
+"     \"mailcap\" otherwise"
 msgstr ""
 
-#: src/mime/backend/mailcap.c:114
+#: src/mime/backend/mailcap.c:115
 msgid "Prioritize entries by file"
 msgstr ""
 
-#: src/mime/backend/mailcap.c:116
+#: src/mime/backend/mailcap.c:117
 msgid ""
-"Prioritize entries by the order of the files in the mailcap\n"
-"path. This means that wildcard entries (like: image/*) will\n"
-"also be checked before deciding the handler."
+"Prioritize entries by the order of the files in the mailcap path. This means "
+"that wildcard entries (like: image/*) will also be checked before deciding "
+"the handler."
 msgstr ""
 
-#: src/mime/backend/mailcap.c:349
+#: src/mime/backend/mailcap.c:351
 #, c-format
 msgid "Badly formated mailcap entry for type %s in \"%s\" line %d"
 msgstr ""
 
 #. name:
-#: src/mime/backend/mimetypes.c:46 src/mime/backend/mimetypes.c:279
+#: src/mime/backend/mimetypes.c:46 src/mime/backend/mimetypes.c:280
 msgid "Mimetypes files"
 msgstr ""
 
 #: src/mime/backend/mimetypes.c:48
 msgid ""
-"Options for the support of mime.types files. These files\n"
-"can be used to find the content type of a URL by looking at\n"
-"the extension of the file name."
+"Options for the support of mime.types files. These files can be used to find "
+"the content type of a URL by looking at the extension of the file name."
 msgstr ""
 
 #: src/mime/backend/mimetypes.c:54
@@ -6142,7 +6147,7 @@ msgid "No extensions"
 msgstr "Uzant yok"
 
 #. name:
-#: src/mime/mime.c:38 src/mime/mime.c:360
+#: src/mime/mime.c:38 src/mime/mime.c:361
 msgid "MIME"
 msgstr ""
 
@@ -6156,8 +6161,8 @@ msgstr ""
 
 #: src/mime/mime.c:44
 msgid ""
-"Document MIME-type to assume by default (when we are unable to\n"
-"guess it properly from known information about the document)."
+"Document MIME-type to assume by default (when we are unable to guess it "
+"properly from known information about the document)."
 msgstr ""
 
 #: src/network/ssl/ssl.c:72 src/network/ssl/ssl.c:161
@@ -6166,8 +6171,8 @@ msgstr ""
 
 #: src/network/ssl/ssl.c:74
 msgid ""
-"Verify the peer's SSL certificate. Note that this\n"
-"needs extensive configuration of OpenSSL by the user."
+"Verify the peer's SSL certificate. Note that this needs extensive "
+"configuration of OpenSSL by the user."
 msgstr ""
 
 #: src/network/ssl/ssl.c:77
@@ -6181,8 +6186,8 @@ msgstr "Terminal seenekleri"
 
 #: src/network/ssl/ssl.c:83
 msgid ""
-"Enable or not the sending of X509 client certificates\n"
-"to servers which request them."
+"Enable or not the sending of X509 client certificates to servers which "
+"request them."
 msgstr ""
 
 #: src/network/ssl/ssl.c:86
@@ -6192,16 +6197,15 @@ msgstr "Hesaplanan zaman"
 
 #: src/network/ssl/ssl.c:88
 msgid ""
-"The location of a file containing the client certificate\n"
-"and unencrypted private key in PEM format. If unset, the\n"
-"file pointed to by the X509_CLIENT_CERT variable is used\n"
-"instead."
+"The location of a file containing the client certificate and unencrypted "
+"private key in PEM format. If unset, the file pointed to by the "
+"X509_CLIENT_CERT variable is used instead."
 msgstr ""
 
 #: src/network/ssl/ssl.c:163
 msgid ""
-"Verify the peer's SSL certificate.  If you enable\n"
-"this, set also \"Trusted CA file\"."
+"Verify the peer's SSL certificate.  If you enable this, set also \"Trusted "
+"CA file\"."
 msgstr ""
 
 #. The default value of the following option points to a file
@@ -6219,20 +6223,20 @@ msgstr "Transfer ediliyor"
 
 #: src/network/ssl/ssl.c:176
 msgid ""
-"The location of a file containing certificates of\n"
-"trusted certification authorities in PEM format.\n"
-"ELinks then trusts certificates issued by these CAs.\n"
-"If you change this option or the file, you must\n"
-"restart ELinks for the changes to take effect.\n"
-"This option affects GnuTLS but not OpenSSL."
+"The location of a file containing certificates of trusted certification "
+"authorities in PEM format. ELinks then trusts certificates issued by these "
+"CAs.\n"
+"\n"
+"If you change this option or the file, you must restart ELinks for the "
+"changes to take effect. This option affects GnuTLS but not OpenSSL."
 msgstr ""
 
 #. name:
-#: src/network/ssl/ssl.c:199 src/network/ssl/ssl.c:216
+#: src/network/ssl/ssl.c:200 src/network/ssl/ssl.c:217
 msgid "SSL"
 msgstr ""
 
-#: src/network/ssl/ssl.c:201
+#: src/network/ssl/ssl.c:202
 #, fuzzy
 msgid "SSL options."
 msgstr "Seenekleri ka~ydet"
@@ -6568,7 +6572,7 @@ msgstr "Yer imi yneticisi"
 msgid "Login"
 msgstr ""
 
-#: src/protocol/auth/dialogs.c:113 src/protocol/http/http.c:140
+#: src/protocol/auth/dialogs.c:113 src/protocol/http/http.c:142
 msgid "Password"
 msgstr ""
 
@@ -6645,7 +6649,7 @@ msgstr "Yer imi yneticisi"
 
 #. name:
 #: src/protocol/bittorrent/bittorrent.c:26
-#: src/protocol/bittorrent/bittorrent.c:335
+#: src/protocol/bittorrent/bittorrent.c:339
 msgid "BitTorrent"
 msgstr ""
 
@@ -6700,9 +6704,8 @@ msgstr ""
 
 #: src/protocol/bittorrent/bittorrent.c:57
 msgid ""
-"Whether to request that the tracker returns peer info\n"
-"in compact format. Note, the compact format only supports\n"
-"IPv4 addresses."
+"Whether to request that the tracker returns peer info in compact format. "
+"Note, the compact format only supports IPv4 addresses."
 msgstr ""
 
 #: src/protocol/bittorrent/bittorrent.c:61
@@ -6711,57 +6714,55 @@ msgstr ""
 
 #: src/protocol/bittorrent/bittorrent.c:63
 msgid ""
-"The number of seconds to wait between periodically contacting\n"
-"the tracker for announcing progress and requesting more peers.\n"
-"Set to zero to use the interval requested by the tracker."
+"The number of seconds to wait between periodically contacting the tracker "
+"for announcing progress and requesting more peers. Set to zero to use the "
+"interval requested by the tracker."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:67
+#: src/protocol/bittorrent/bittorrent.c:68
 msgid "IP-address to announce"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:69
+#: src/protocol/bittorrent/bittorrent.c:70
 msgid ""
-"What IP address to report to the tracker. If set to \"\"\n"
-"no IP address will be sent and the tracker will automatically\n"
-"determine an appropriate IP address."
+"What IP address to report to the tracker. If set to \"\" no IP address will "
+"be sent and the tracker will automatically determine an appropriate IP "
+"address."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:73
+#: src/protocol/bittorrent/bittorrent.c:74
 #, fuzzy
 msgid "User identification string"
 msgstr "Terminal seenekleri"
 
-#: src/protocol/bittorrent/bittorrent.c:75
+#: src/protocol/bittorrent/bittorrent.c:76
 msgid ""
-"An additional identification that is not shared with any users.\n"
-"It is intended to allow a client to prove their identity should\n"
-"their IP address change. It is an optional parameter, but some\n"
-"trackers require this parameter. If set to \"\" no user key will\n"
-"be sent to the tracker."
+"An additional identification that is not shared with any users. It is "
+"intended to allow a client to prove their identity should their IP address "
+"change. It is an optional parameter, but some trackers require this "
+"parameter. If set to \"\" no user key will be sent to the tracker."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:81
+#: src/protocol/bittorrent/bittorrent.c:82
 #, fuzzy
 msgid "Maximum number of peers to request"
 msgstr "Balant yaplyor"
 
-#: src/protocol/bittorrent/bittorrent.c:83
+#: src/protocol/bittorrent/bittorrent.c:84
 msgid ""
-"The maximum number of peers to request from the tracker.\n"
-"Set to 0 to use the server default."
+"The maximum number of peers to request from the tracker. Set to 0 to use the "
+"server default."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:86
+#: src/protocol/bittorrent/bittorrent.c:87
 msgid "Minimum peers to skip rerequesting"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:88
+#: src/protocol/bittorrent/bittorrent.c:89
 msgid ""
-"The minimum number of peers to have in the current peer info\n"
-"pool before skipping requesting of more peers. I.e. setting\n"
-"numwant to zero.\n"
-"Set to 0 to not have any limit."
+"The minimum number of peers to have in the current peer info pool before "
+"skipping requesting of more peers. I.e. setting numwant to zero. Set to 0 to "
+"not have any limit."
 msgstr ""
 
 #. ******************************************************************
@@ -6782,182 +6783,177 @@ msgstr "Balant yaplyor"
 
 #: src/protocol/bittorrent/bittorrent.c:104
 msgid ""
-"The maximum number of allowed connections to both active and\n"
-"non-active peers. By increasing the number of allowed connections,\n"
-"the chance of finding good peers to download from is increased.\n"
-"However, too many connections can lead to TCP congestion. If the\n"
-"maximum is reached all new incoming connections will be closed."
+"The maximum number of allowed connections to both active and non-active "
+"peers. By increasing the number of allowed connections, the chance of "
+"finding good peers to download from is increased. However, too many "
+"connections can lead to TCP congestion. If the maximum is reached all new "
+"incoming connections will be closed."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:110
+#: src/protocol/bittorrent/bittorrent.c:111
 msgid "Maximum peer message length"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:112
+#: src/protocol/bittorrent/bittorrent.c:113
 msgid ""
-"The maximum length of messages to accept over the wire.\n"
-"Larger values will cause the connection to be dropped."
+"The maximum length of messages to accept over the wire. Larger values will "
+"cause the connection to be dropped."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:115
+#: src/protocol/bittorrent/bittorrent.c:116
 msgid "Maximum allowed request length"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:117
+#: src/protocol/bittorrent/bittorrent.c:118
 msgid ""
-"The maximum length to allow for incoming requests.\n"
-"Larger requests will cause the connection to be dropped."
+"The maximum length to allow for incoming requests. Larger requests will "
+"cause the connection to be dropped."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:120
+#: src/protocol/bittorrent/bittorrent.c:121
 msgid "Length of requests"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:122
+#: src/protocol/bittorrent/bittorrent.c:123
 msgid ""
-"How many bytes to query for per request. This is complementary\n"
-"to the max_request_length option. If the configured length is\n"
-"bigger than the piece length it will be truncated."
+"How many bytes to query for per request. This is complementary to the "
+"max_request_length option. If the configured length is bigger than the piece "
+"length it will be truncated."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:126
+#: src/protocol/bittorrent/bittorrent.c:128
 #, fuzzy
 msgid "Peer inactivity timeout"
 msgstr "Zaman am"
 
-#: src/protocol/bittorrent/bittorrent.c:128
+#: src/protocol/bittorrent/bittorrent.c:130
 msgid ""
-"The number of seconds to wait before closing a socket on\n"
-"which nothing has been received or sent."
+"The number of seconds to wait before closing a socket on which nothing has "
+"been received or sent."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:131
+#: src/protocol/bittorrent/bittorrent.c:133
 #, fuzzy
 msgid "Maximum peer pool size"
 msgstr "Balant yaplyor"
 
-#: src/protocol/bittorrent/bittorrent.c:133
+#: src/protocol/bittorrent/bittorrent.c:135
 msgid ""
-"Maximum number of items in the peer pool. The peer pool\n"
-"contains information used for establishing connections to\n"
-"new peers.\n"
+"Maximum number of items in the peer pool. The peer pool contains information "
+"used for establishing connections to new peers.\n"
+"\n"
 "Set to 0 to have unlimited size."
 msgstr ""
 
 #. ******************************************************************
 #. Piece management options:
 #. ******************************************************************
-#: src/protocol/bittorrent/bittorrent.c:143
+#: src/protocol/bittorrent/bittorrent.c:146
 #, fuzzy
 msgid "Maximum piece cache size"
 msgstr "Balant yaplyor"
 
-#: src/protocol/bittorrent/bittorrent.c:145
+#: src/protocol/bittorrent/bittorrent.c:148
 msgid ""
-"The maximum amount of memory used to hold recently\n"
-"downloaded pieces.\n"
+"The maximum amount of memory used to hold recently downloaded pieces.\n"
+"\n"
 "Set to 0 to have unlimited size."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:154
+#: src/protocol/bittorrent/bittorrent.c:158
 msgid "Sharing rate"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:156
+#: src/protocol/bittorrent/bittorrent.c:160
 msgid ""
-"The minimum sharing rate to achieve before stop seeding.\n"
-"The sharing rate is computed as the number of uploaded bytes\n"
-"divided with the number of downloaded bytes. The value should\n"
-"be a double value between 0.0 and 1.0 both included.\n"
-"Set to 1.0 to atleast upload a complete copy of all data and\n"
+"The minimum sharing rate to achieve before stop seeding. The sharing rate is "
+"computed as the number of uploaded bytes divided with the number of "
+"downloaded bytes. The value should be a double value between 0.0 and 1.0 "
+"both included. Set to 1.0 to atleast upload a complete copy of all data and "
 "set to 0.0 to have unlimited sharing rate."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:163
+#: src/protocol/bittorrent/bittorrent.c:167
 msgid "Maximum number of uploads"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:165
+#: src/protocol/bittorrent/bittorrent.c:169
 msgid "The maximum number of uploads to allow at once."
 msgstr ""
 
 #. The number of uploads to fill out to with extra optimistic unchokes
-#: src/protocol/bittorrent/bittorrent.c:168
+#: src/protocol/bittorrent/bittorrent.c:172
 msgid "Minimum number of uploads"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:170
+#: src/protocol/bittorrent/bittorrent.c:174
 msgid ""
-"The minimum number of uploads which should at least\n"
-"be used for new connections."
+"The minimum number of uploads which should at least be used for new "
+"connections."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:174
+#: src/protocol/bittorrent/bittorrent.c:178
 #, fuzzy
 msgid "Keepalive interval"
 msgstr "Kaydetme hatas"
 
-#: src/protocol/bittorrent/bittorrent.c:176
-msgid ""
-"The number of seconds to pause between sending keepalive\n"
-"messages."
+#: src/protocol/bittorrent/bittorrent.c:180
+msgid "The number of seconds to pause between sending keepalive messages."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:179
+#: src/protocol/bittorrent/bittorrent.c:183
 #, fuzzy
 msgid "Number of pending requests"
 msgstr "Sunucu istei iletiyor"
 
-#: src/protocol/bittorrent/bittorrent.c:181
+#: src/protocol/bittorrent/bittorrent.c:185
 msgid ""
-"How many piece requests to continuously keep in queue. Pipelining\n"
-"of requests is essential to saturate connections and get a good\n"
-"connection performance and thus a faster download. However, a\n"
-"very big queue size can lead to wasting bandwidth near the end\n"
-"of the connection since remaining piece blocks will be requested\n"
-"from multiple peers."
+"How many piece requests to continuously keep in queue. Pipelining of "
+"requests is essential to saturate connections and get a good connection "
+"performance and thus a faster download. However, a very big queue size can "
+"lead to wasting bandwidth near the end of the connection since remaining "
+"piece blocks will be requested from multiple peers."
 msgstr ""
 
 #. Bram uses 30 seconds here.
-#: src/protocol/bittorrent/bittorrent.c:190
+#: src/protocol/bittorrent/bittorrent.c:194
 msgid "Peer snubbing interval"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:192
+#: src/protocol/bittorrent/bittorrent.c:196
 msgid ""
-"The number of seconds to wait for file data before assuming\n"
-"the peer has been snubbed."
+"The number of seconds to wait for file data before assuming the peer has "
+"been snubbed."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:195
+#: src/protocol/bittorrent/bittorrent.c:199
 #, fuzzy
 msgid "Peer choke interval"
 msgstr "Kaydetme hatas"
 
-#: src/protocol/bittorrent/bittorrent.c:197
+#: src/protocol/bittorrent/bittorrent.c:201
 msgid ""
-"The number of seconds between updating the connection state\n"
-"and most importantly choke and unchoke peer connections. The\n"
-"choke period should be big enough for newly unchoked connections\n"
-"to get started but small enough to not allow freeriders too much\n"
-"room for stealing bandwidth."
+"The number of seconds between updating the connection state and most "
+"importantly choke and unchoke peer connections. The choke period should be "
+"big enough for newly unchoked connections to get started but small enough to "
+"not allow freeriders too much room for stealing bandwidth."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:203
+#: src/protocol/bittorrent/bittorrent.c:207
 msgid "Rarest first piece selection cutoff"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:205
+#: src/protocol/bittorrent/bittorrent.c:209
 msgid ""
-"The number of pieces to obtain before switching piece\n"
-"selection strategy from random to rarest first."
+"The number of pieces to obtain before switching piece selection strategy "
+"from random to rarest first."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:208 src/protocol/http/http.c:109
+#: src/protocol/bittorrent/bittorrent.c:212 src/protocol/http/http.c:109
 msgid "Allow blacklisting"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:210
+#: src/protocol/bittorrent/bittorrent.c:214
 msgid "Allow blacklisting of buggy peers."
 msgstr ""
 
@@ -6993,7 +6989,7 @@ msgstr "~Dosya"
 msgid "Comment"
 msgstr "belgeler"
 
-#: src/protocol/bittorrent/dialogs.c:229 src/session/download.c:362
+#: src/protocol/bittorrent/dialogs.c:229 src/session/download.c:388
 #, fuzzy, c-format
 msgid ""
 "Download complete:\n"
@@ -7161,7 +7157,7 @@ msgid_plural "%u unavailable"
 msgstr[0] "FTP servisi kullanlamyor"
 msgstr[1] "FTP servisi kullanlamyor"
 
-#: src/protocol/bittorrent/dialogs.c:584 src/session/session.c:278
+#: src/protocol/bittorrent/dialogs.c:584 src/session/session.c:279
 #, fuzzy, c-format
 msgid "Unable to retrieve %s"
 msgstr "Yaplandrma dosyasna yazlamyor"
@@ -7176,7 +7172,7 @@ msgstr ""
 msgid "Information about the torrent"
 msgstr "Resmi in~dir"
 
-#: src/protocol/bittorrent/dialogs.c:776 src/session/download.c:1106
+#: src/protocol/bittorrent/dialogs.c:776 src/session/download.c:1132
 msgid "What to do?"
 msgstr "Ne yapacaksnz?"
 
@@ -7187,13 +7183,13 @@ msgid "Down~load"
 msgstr "ndir"
 
 #. accelerator_context(src/protocol/bittorrent/dialogs.c:bittorrent_query_callback, src/session/download.c:do_type_query)
-#: src/protocol/bittorrent/dialogs.c:804 src/session/download.c:1209
+#: src/protocol/bittorrent/dialogs.c:804 src/session/download.c:1235
 #, fuzzy
 msgid "~Display"
 msgstr "Grntle"
 
 #. accelerator_context(src/protocol/bittorrent/dialogs.c:bittorrent_query_callback, src/session/download.c:do_type_query)
-#: src/protocol/bittorrent/dialogs.c:808 src/session/download.c:1213
+#: src/protocol/bittorrent/dialogs.c:808 src/session/download.c:1239
 msgid "Show ~header"
 msgstr ""
 
@@ -7211,16 +7207,16 @@ msgstr "Program belirlenmemi:"
 msgid "Colon separated list of directories, where CGI scripts are stored."
 msgstr ""
 
-#: src/protocol/file/cgi.c:47
+#: src/protocol/file/cgi.c:48
 msgid "Allow local CGI"
 msgstr ""
 
-#: src/protocol/file/cgi.c:49
+#: src/protocol/file/cgi.c:50
 msgid "Whether to execute local CGI scripts."
 msgstr ""
 
 #. name:
-#: src/protocol/file/cgi.c:54
+#: src/protocol/file/cgi.c:55
 msgid "CGI"
 msgstr ""
 
@@ -7239,9 +7235,8 @@ msgstr ""
 
 #: src/protocol/file/file.c:46
 msgid ""
-"Whether to allow reading from non-regular files.\n"
-"Note this can be dangerous; reading /dev/urandom or\n"
-"/dev/zero can ruin your day!"
+"Whether to allow reading from non-regular files. Note this can be dangerous; "
+"reading /dev/urandom or /dev/zero can ruin your day!"
 msgstr ""
 
 #: src/protocol/file/file.c:50
@@ -7250,8 +7245,8 @@ msgstr ""
 
 #: src/protocol/file/file.c:52
 msgid ""
-"When set to false, files with name starting with a dot will be\n"
-"hidden in local directory listings."
+"When set to false, files with name starting with a dot will be hidden in "
+"local directory listings."
 msgstr ""
 
 #: src/protocol/file/file.c:55
@@ -7261,13 +7256,13 @@ msgstr "Uzant yok"
 
 #: src/protocol/file/file.c:57
 msgid ""
-"When set, if we can't open a file named 'filename', we'll try\n"
-"to open 'filename' with some encoding extension appended\n"
-"(ie. 'filename.gz'); it depends on the supported encodings."
+"When set, if we can't open a file named 'filename', we'll try to open "
+"'filename' with some encoding extension appended (ie. 'filename.gz'); it "
+"depends on the supported encodings."
 msgstr ""
 
 #. name:
-#: src/protocol/file/file.c:65
+#: src/protocol/file/file.c:66
 #, fuzzy
 msgid "File"
 msgstr "~Dosya"
@@ -7297,7 +7292,7 @@ msgid "Whether to sort entries in direct
 msgstr ""
 
 #. name:
-#: src/protocol/ftp/ftp.c:56 src/protocol/ftp/ftp.c:86
+#: src/protocol/ftp/ftp.c:56 src/protocol/ftp/ftp.c:89
 msgid "FTP"
 msgstr ""
 
@@ -7305,8 +7300,8 @@ msgstr ""
 msgid "FTP specific options."
 msgstr ""
 
-#: src/protocol/ftp/ftp.c:60 src/protocol/http/http.c:127
-#: src/protocol/http/http.c:209
+#: src/protocol/ftp/ftp.c:60 src/protocol/http/http.c:128
+#: src/protocol/http/http.c:235
 msgid "Proxy configuration"
 msgstr ""
 
@@ -7314,39 +7309,39 @@ msgstr ""
 msgid "FTP proxy configuration."
 msgstr ""
 
-#: src/protocol/ftp/ftp.c:64 src/protocol/http/http.c:131
-#: src/protocol/http/http.c:213
+#: src/protocol/ftp/ftp.c:64 src/protocol/http/http.c:132
+#: src/protocol/http/http.c:239
 #, fuzzy
 msgid "Host and port-number"
 msgstr "Hatal say"
 
 #: src/protocol/ftp/ftp.c:66
 msgid ""
-"Host and port-number (host:port) of the FTP proxy, or blank.\n"
-"If it's blank, FTP_PROXY environment variable is checked as well."
+"Host and port-number (host:port) of the FTP proxy, or blank. If it's blank, "
+"FTP_PROXY environment variable is checked as well."
 msgstr ""
 
-#: src/protocol/ftp/ftp.c:69
+#: src/protocol/ftp/ftp.c:70
 msgid "Anonymous password"
 msgstr ""
 
-#: src/protocol/ftp/ftp.c:71
+#: src/protocol/ftp/ftp.c:72
 msgid "FTP anonymous password to be sent."
 msgstr ""
 
-#: src/protocol/ftp/ftp.c:73
+#: src/protocol/ftp/ftp.c:74
 msgid "Use passive mode (IPv4)"
 msgstr ""
 
-#: src/protocol/ftp/ftp.c:75
+#: src/protocol/ftp/ftp.c:76
 msgid "Use PASV instead of PORT (passive vs active mode, IPv4 only)."
 msgstr ""
 
-#: src/protocol/ftp/ftp.c:77
+#: src/protocol/ftp/ftp.c:79
 msgid "Use passive mode (IPv6)"
 msgstr ""
 
-#: src/protocol/ftp/ftp.c:79
+#: src/protocol/ftp/ftp.c:81
 msgid "Use EPSV instead of EPRT (passive vs active mode, IPv6 only)."
 msgstr ""
 
@@ -7373,7 +7368,7 @@ msgid ""
 msgstr ""
 
 #. name:
-#: src/protocol/http/http.c:95 src/protocol/http/http.c:223
+#: src/protocol/http/http.c:95 src/protocol/http/http.c:250
 msgid "HTTP"
 msgstr ""
 
@@ -7395,8 +7390,8 @@ msgstr ""
 
 #: src/protocol/http/http.c:106
 msgid ""
-"The Accept-Charset header is quite long and sending it can trigger\n"
-"bugs in some rarely found servers."
+"The Accept-Charset header is quite long and sending it can trigger bugs in "
+"some rarely found servers."
 msgstr ""
 
 #: src/protocol/http/http.c:111
@@ -7409,69 +7404,69 @@ msgstr ""
 
 #: src/protocol/http/http.c:115
 msgid ""
-"Broken 302 redirect (violates RFC but compatible with Netscape).\n"
-"This is a problem for a lot of web discussion boards and the like.\n"
-"If they will do strange things to you, try to play with this."
+"Broken 302 redirect (violates RFC but compatible with Netscape). This is a "
+"problem for a lot of web discussion boards and the like. If they will do "
+"strange things to you, try to play with this."
 msgstr ""
 
-#: src/protocol/http/http.c:119
+#: src/protocol/http/http.c:120
 msgid "No keepalive after POST requests"
 msgstr ""
 
-#: src/protocol/http/http.c:121
+#: src/protocol/http/http.c:122
 msgid "Disable keepalive connection after POST request."
 msgstr ""
 
-#: src/protocol/http/http.c:123
+#: src/protocol/http/http.c:124
 msgid "Use HTTP/1.0"
 msgstr ""
 
-#: src/protocol/http/http.c:125
+#: src/protocol/http/http.c:126
 msgid "Use HTTP/1.0 protocol instead of HTTP/1.1."
 msgstr ""
 
-#: src/protocol/http/http.c:129
+#: src/protocol/http/http.c:130
 msgid "HTTP proxy configuration."
 msgstr ""
 
-#: src/protocol/http/http.c:133
+#: src/protocol/http/http.c:134
 msgid ""
-"Host and port-number (host:port) of the HTTP proxy, or blank.\n"
-"If it's blank, HTTP_PROXY environment variable is checked as well."
+"Host and port-number (host:port) of the HTTP proxy, or blank. If it's blank, "
+"HTTP_PROXY environment variable is checked as well."
 msgstr ""
 
-#: src/protocol/http/http.c:136
+#: src/protocol/http/http.c:138
 #, fuzzy
 msgid "Username"
 msgstr "isim"
 
-#: src/protocol/http/http.c:138
+#: src/protocol/http/http.c:140
 msgid "Proxy authentication username."
 msgstr ""
 
-#: src/protocol/http/http.c:142
+#: src/protocol/http/http.c:144
 msgid "Proxy authentication password."
 msgstr ""
 
-#: src/protocol/http/http.c:145
+#: src/protocol/http/http.c:147
 msgid "Referer sending"
 msgstr ""
 
-#: src/protocol/http/http.c:147
+#: src/protocol/http/http.c:149
 msgid ""
-"HTTP referer sending options. HTTP referer is a special header\n"
-"sent in the HTTP requests, which is supposed to contain the previous\n"
-"page visited by the browser. This way, the server can know what link\n"
-"did you follow when accessing that page. However, this behaviour\n"
-"can unfortunately considerably affect privacy and can lead even to a\n"
-"security problem on some badly designed web pages."
+"HTTP referer sending options. HTTP referer is a special header sent in the "
+"HTTP requests, which is supposed to contain the previous page visited by the "
+"browser.This way, the server can know what link did you follow when "
+"accessing that page. However, this behaviour can unfortunately considerably "
+"affect privacy and can lead even to a security problem on some badly "
+"designed web pages."
 msgstr ""
 
-#: src/protocol/http/http.c:154
+#: src/protocol/http/http.c:157
 msgid "Policy"
 msgstr ""
 
-#: src/protocol/http/http.c:157
+#: src/protocol/http/http.c:160
 msgid ""
 "Mode of sending HTTP referer:\n"
 "0 is send no referer\n"
@@ -7480,90 +7475,110 @@ msgid ""
 "3 is send previous URL as referer (correct, but insecure)"
 msgstr ""
 
-#: src/protocol/http/http.c:163
+#: src/protocol/http/http.c:166
 msgid "Fake referer URL"
 msgstr ""
 
-#: src/protocol/http/http.c:165
+#: src/protocol/http/http.c:168
 msgid "Fake referer to be sent when policy is 2."
 msgstr ""
 
-#: src/protocol/http/http.c:168
+#: src/protocol/http/http.c:171
 msgid "Send Accept-Language header"
 msgstr ""
 
-#: src/protocol/http/http.c:170
+#: src/protocol/http/http.c:173
 msgid "Send Accept-Language header."
 msgstr ""
 
-#: src/protocol/http/http.c:172
+#: src/protocol/http/http.c:175
 msgid "Use UI language as Accept-Language"
 msgstr ""
 
-#: src/protocol/http/http.c:174
+#: src/protocol/http/http.c:177
 msgid ""
-"Request localised versions of documents from web-servers (using the\n"
-"Accept-Language header) using the language you have configured for\n"
-"ELinks' user-interface (this also affects navigator.language ECMAScript\n"
-"value available to scripts). Note that some see this as a potential\n"
-"security risk because it tells web-masters and the FBI sniffers about\n"
-"your language preference."
+"Request localised versions of documents from web-servers (using the Accept-"
+"Language header) using the language you have configured for ELinks' user-"
+"interface (this also affects navigator.language ECMAScript value available "
+"to scripts). Note that some see this as a potential security risk because it "
+"tells web-masters and the FBI sniffers about your language preference."
+msgstr ""
+
+#. After the compression support has been tested enough,
+#. * we might wrap this option in #if CFG_DEBUG.
+#: src/protocol/http/http.c:187
+msgid "Enable on-the-fly compression"
 msgstr ""
 
-#: src/protocol/http/http.c:181
+#: src/protocol/http/http.c:189
+msgid ""
+"If enabled, the capability to receive compressed content (gzip and/or bzip2) "
+"is announced to the server, which usually sends the reply compressed, thus "
+"saving some bandwidth at slight CPU expense.\n"
+"\n"
+"If ELinks displays a incomplete page or garbage, try disabling this option. "
+"If that helps, there may be a bug in the decompression part of ELinks. "
+"Please report such bugs.\n"
+"\n"
+"If ELinks has been compiled without compression support, this option has no "
+"effect. To check the supported features, see Help -> About."
+msgstr ""
+
+#: src/protocol/http/http.c:202
 msgid "Activate HTTP TRACE debugging"
 msgstr ""
 
-#: src/protocol/http/http.c:183
+#: src/protocol/http/http.c:204
 msgid ""
-"If active, all HTTP requests are sent with TRACE as their method\n"
-"rather than GET or POST. This is useful for debugging of both ELinks\n"
-"and various server-side scripts --- the server only returns the client's\n"
-"request back to the client verbatim. Note that this type of request may\n"
-"not be enabled on all servers."
+"If active, all HTTP requests are sent with TRACE as their method rather than "
+"GET or POST. This is useful for debugging of both ELinks and various server-"
+"side scripts --- the server only returns the client's request back to the "
+"client verbatim. Note that this type of request may not be enabled on all "
+"servers."
 msgstr ""
 
 #. OSNews.com is supposed to be relying on the textmode token, at least.
-#: src/protocol/http/http.c:190
+#: src/protocol/http/http.c:212
 msgid "User-agent identification"
 msgstr ""
 
-#: src/protocol/http/http.c:192
+#: src/protocol/http/http.c:214
 msgid ""
-"Change the User Agent ID. That means identification string, which\n"
-"is sent to HTTP server when a document is requested. The 'textmode'\n"
-"token in the first field is our silent attempt to establish this as\n"
-"a standard for new textmode user agents, so that the webmasters can\n"
-"have just a single uniform test for these if they are e.g. pushing\n"
-"some lite version to them automagically.\n"
+"Change the User Agent ID. That means identification string, which is sent to "
+"HTTP server when a document is requested. The 'textmode' token in the first "
+"field is our silent attempt to establish this as a standard for new textmode "
+"user agents, so that the webmasters can have just a single uniform test for "
+"these if they are e.g. pushing some lite version to them automagically.\n"
+"\n"
 "Use \" \" if you don't want any User-Agent header to be sent at all.\n"
+"\n"
 "%v in the string means ELinks version,\n"
 "%s in the string means system identification,\n"
 "%t in the string means size of the terminal,\n"
 "%b in the string means number of bars displayed by ELinks."
 msgstr ""
 
-#: src/protocol/http/http.c:205
+#: src/protocol/http/http.c:231
 msgid "HTTPS"
 msgstr ""
 
-#: src/protocol/http/http.c:207
+#: src/protocol/http/http.c:233
 #, fuzzy
 msgid "HTTPS-specific options."
 msgstr "Program belirlenmemi:"
 
-#: src/protocol/http/http.c:211
+#: src/protocol/http/http.c:237
 msgid "HTTPS proxy configuration."
 msgstr ""
 
-#: src/protocol/http/http.c:215
+#: src/protocol/http/http.c:241
 msgid ""
-"Host and port-number (host:port) of the HTTPS CONNECT proxy, or blank.\n"
-"If it's blank, HTTPS_PROXY environment variable is checked as well."
+"Host and port-number (host:port) of the HTTPS CONNECT proxy, or blank. If "
+"it's blank, HTTPS_PROXY environment variable is checked as well."
 msgstr ""
 
 #. name:
-#: src/protocol/nntp/nntp.c:32 src/protocol/nntp/nntp.c:65
+#: src/protocol/nntp/nntp.c:32 src/protocol/nntp/nntp.c:66
 msgid "NNTP"
 msgstr ""
 
@@ -7578,19 +7593,19 @@ msgstr ""
 
 #: src/protocol/nntp/nntp.c:38
 msgid ""
-"Used when resolving news: URIs. If set to the empty string\n"
-"the value of the NNTPSERVER environment variable will be used."
+"Used when resolving news: URIs. If set to the empty string the value of the "
+"NNTPSERVER environment variable will be used."
 msgstr ""
 
-#: src/protocol/nntp/nntp.c:41
+#: src/protocol/nntp/nntp.c:42
 msgid "Message header entries"
 msgstr ""
 
-#: src/protocol/nntp/nntp.c:43
+#: src/protocol/nntp/nntp.c:44
 msgid ""
-"Comma separated list of which entries in the article header\n"
-"to show. E.g. 'Subject' and 'From'.\n"
-"All header entries can be read in the header info dialog."
+"Comma separated list of which entries in the article header to show. E.g. "
+"'Subject' and 'From'. All header entries can be read in the header info "
+"dialog."
 msgstr ""
 
 #: src/protocol/protocol.c:242
@@ -7612,10 +7627,9 @@ msgstr ""
 
 #: src/protocol/protocol.c:279
 msgid ""
-"Comma separated list of domains for which the proxy (HTTP/FTP)\n"
-"should be disabled. Optionally, a port can be specified for some\n"
-"domains as well. If it's blank, NO_PROXY environment variable is\n"
-"checked as well."
+"Comma separated list of domains for which the proxy (HTTP/FTP) should be "
+"disabled. Optionally, a port can be specified for some domains as well. If "
+"it's blank, NO_PROXY environment variable is checked as well."
 msgstr ""
 
 #. name:
@@ -7629,47 +7643,45 @@ msgstr ""
 
 #: src/protocol/rewrite/rewrite.c:46
 msgid ""
-"Rules for rewriting URIs entered in the goto dialog.\n"
-"It makes it possible to define a set of prefixes that will\n"
-"be expanded if they match a string entered in the goto dialog.\n"
-"The prefixes can be dumb, meaning that they work only like\n"
-"URI abbreviations, or smart ones, making it possible to pass\n"
+"Rules for rewriting URIs entered in the goto dialog. It makes it possible to "
+"define a set of prefixes that will be expanded if they match a string "
+"entered in the goto dialog. The prefixes can be dumb, meaning that they work "
+"only like URI abbreviations, or smart ones, making it possible to pass "
 "arguments to them like search engine keywords."
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:53
+#: src/protocol/rewrite/rewrite.c:54
 msgid "Enable dumb prefixes"
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:55
+#: src/protocol/rewrite/rewrite.c:56
 msgid ""
-"Enable dumb prefixes - simple URI abbreviations which can\n"
-"be written to the Goto URL dialog instead of actual URIs - i.e.\n"
-"if you write 'elinks' there, you are directed to\n"
-"http://elinks.cz/."
+"Enable dumb prefixes - simple URI abbreviations which can be written to the "
+"Goto URL dialog instead of actual URIs - i.e. if you write 'elinks' there, "
+"you are directed to http://elinks.cz/."
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:60
+#: src/protocol/rewrite/rewrite.c:61
 msgid "Enable smart prefixes"
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:62
+#: src/protocol/rewrite/rewrite.c:63
 msgid ""
-"Enable smart prefixes - URI templates triggered by writing\n"
-"given abbreviation to the Goto URL dialog followed by a list\n"
-"of arguments from which the actual URI is composed - i.e.\n"
-"'gg:search keywords' or 'gn search keywords for news'."
+"Enable smart prefixes - URI templates triggered by writing given "
+"abbreviation to the Goto URL dialog followed by a list of arguments from "
+"which the actual URI is composed - i.e. 'gg:search keywords' or 'gn search "
+"keywords for news'."
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:67
+#: src/protocol/rewrite/rewrite.c:69
 msgid "Dumb Prefixes"
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:69
+#: src/protocol/rewrite/rewrite.c:71
 msgid "Dumb prefixes, see enable-dumb description for details."
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:74
+#: src/protocol/rewrite/rewrite.c:76
 #, no-c-format
 msgid ""
 "Replacement URI for this dumbprefix:\n"
@@ -7677,15 +7689,15 @@ msgid ""
 "%% in the string means '%'"
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:78
+#: src/protocol/rewrite/rewrite.c:80
 msgid "Smart Prefixes"
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:80
+#: src/protocol/rewrite/rewrite.c:82
 msgid "Smart prefixes, see enable-smart description for details."
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:87
+#: src/protocol/rewrite/rewrite.c:90
 #, no-c-format
 msgid ""
 "Replacement URI for this smartprefix:\n"
@@ -7695,27 +7707,29 @@ msgid ""
 "%% in the string means '%'"
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:93
+#: src/protocol/rewrite/rewrite.c:96
 #, fuzzy
 msgid "Default template"
 msgstr "Biimlenmi belge nbellei"
 
-#: src/protocol/rewrite/rewrite.c:96
+#: src/protocol/rewrite/rewrite.c:99
 #, no-c-format
 msgid ""
-"Default URI template used when the string entered in\n"
-"the goto dialog does not appear to be a URI or a filename\n"
-"(i.e. contains no '.', ':' or '/' characters), and does\n"
-"not match any defined prefixes. Set the value to \"\" to\n"
-"disable use of the default template rewrite rule.\n"
+"Default URI template used when the string entered in the goto dialog does "
+"not appear to be a URI or a filename (i.e. contains no '.', ':' or '/' "
+"characters), and does not match any defined prefixes. Set the value to \"\" "
+"to disable use of the default template rewrite rule.\n"
+"\n"
 "%c in the template means the current URL,\n"
-"%s in the template means the whole string from the goto dialog,\n"
-"%0,%1,...,%9 mean the 1st,2nd,...,10th space-delimited part of %s,\n"
+"%s in the template means the whole string from the goto\n"
+"   dialog,\n"
+"%0,%1,...,%9 mean the 1st,2nd,...,10th space-delimited part\n"
+"   of %s,\n"
 "%% in the template means '%'."
 msgstr ""
 
 #. name:
-#: src/protocol/rewrite/rewrite.c:372
+#: src/protocol/rewrite/rewrite.c:378
 msgid "URI rewrite"
 msgstr ""
 
@@ -7738,24 +7752,23 @@ msgid "Credentials file passed to smbcli
 msgstr ""
 
 #. name:
-#: src/protocol/user.c:34 src/protocol/user.c:84
+#: src/protocol/user.c:34 src/protocol/user.c:85
 msgid "User protocols"
 msgstr ""
 
 #: src/protocol/user.c:36
 msgid ""
-"User protocols. Options in this tree specify external\n"
-"handlers for the appropriate protocols. Ie.\n"
-"protocol.user.mailto.unix."
+"User protocols. Options in this tree specify external handlers for the "
+"appropriate protocols. Ie. protocol.user.mailto.unix."
 msgstr ""
 
 #: src/protocol/user.c:47
 msgid ""
-"Handler (external program) for this protocol. Name the\n"
-"options in this tree after your system (ie. unix, unix-xwin)."
+"Handler (external program) for this protocol. Name the options in this tree "
+"after your system (ie. unix, unix-xwin)."
 msgstr ""
 
-#: src/protocol/user.c:52
+#: src/protocol/user.c:53
 msgid ""
 "Handler (external program) for this protocol and system.\n"
 "%f in the string means file name to include form data from\n"
@@ -7766,11 +7779,11 @@ msgid ""
 "%u in the string means the whole URL"
 msgstr ""
 
-#: src/protocol/user.c:276
+#: src/protocol/user.c:277
 msgid "No program"
 msgstr "Program yok"
 
-#: src/protocol/user.c:278
+#: src/protocol/user.c:279
 #, fuzzy, c-format
 msgid "No program specified for protocol %s."
 msgstr "Program belirlenmemi:"
@@ -7854,19 +7867,19 @@ msgstr ""
 msgid "Spidermonkey ECMAScript"
 msgstr ""
 
-#: src/session/download.c:233 src/session/download.c:330
-#: src/session/download.c:561 src/session/download.c:649
+#: src/session/download.c:256 src/session/download.c:356
+#: src/session/download.c:587 src/session/download.c:675
 msgid "Download error"
 msgstr "ndirme hatas"
 
-#: src/session/download.c:234 src/session/download.c:650
+#: src/session/download.c:257 src/session/download.c:676
 #, fuzzy, c-format
 msgid ""
 "Could not create file '%s':\n"
 "%s"
 msgstr "Dosya yaratlamyor"
 
-#: src/session/download.c:331
+#: src/session/download.c:357
 #, fuzzy, c-format
 msgid ""
 "Error downloading %s:\n"
@@ -7874,17 +7887,17 @@ msgid ""
 "%s"
 msgstr "Error downloading"
 
-#: src/session/download.c:562
+#: src/session/download.c:588
 #, c-format
 msgid "'%s' is a directory."
 msgstr ""
 
-#: src/session/download.c:596
+#: src/session/download.c:622
 #, fuzzy
 msgid "File exists"
 msgstr "Dosya ~uzantlar"
 
-#: src/session/download.c:597
+#: src/session/download.c:623
 #, c-format
 msgid ""
 "This file already exists:\n"
@@ -7895,51 +7908,51 @@ msgid ""
 msgstr ""
 
 #. accelerator_context(src/session/download.c:lookup_unique_name)
-#: src/session/download.c:604
+#: src/session/download.c:630
 msgid "Sa~ve under the alternative name"
 msgstr ""
 
 #. accelerator_context(src/session/download.c:lookup_unique_name)
-#: src/session/download.c:605
+#: src/session/download.c:631
 msgid "~Overwrite the original file"
 msgstr ""
 
 #. accelerator_context(src/session/download.c:lookup_unique_name)
-#: src/session/download.c:606
+#: src/session/download.c:632
 msgid "~Resume download of the original file"
 msgstr ""
 
-#: src/session/download.c:1109
+#: src/session/download.c:1135
 msgid "Unknown type"
 msgstr "Bilinmeyen tr"
 
-#: src/session/download.c:1134
+#: src/session/download.c:1160
 #, c-format
 msgid "What would you like to do with the file '%s' (type: %s%s%s)?"
 msgstr ""
 
-#: src/session/download.c:1137
+#: src/session/download.c:1163
 #, c-format
 msgid "What would you like to do with the file (type: %s%s%s)?"
 msgstr ""
 
-#: src/session/download.c:1165
+#: src/session/download.c:1191
 #, no-c-format
 msgid "Program ('%' will be replaced by the filename)"
 msgstr ""
 
-#: src/session/download.c:1169
+#: src/session/download.c:1195
 #, fuzzy
 msgid "Block the terminal"
 msgstr "~BeOS terminali"
 
-#: src/session/download.c:1175
+#: src/session/download.c:1201
 #, c-format
 msgid "The file will be opened with the program '%s'."
 msgstr ""
 
 #. accelerator_context(src/session/download.c:do_type_query)
-#: src/session/download.c:1196
+#: src/session/download.c:1222
 #, fuzzy
 msgid "~Open"
 msgstr "A"
@@ -7948,12 +7961,12 @@ msgstr "A"
 #. * and formatting it with "%u" is safe,
 #. * because fc_maxlength is smaller than
 #. * file.length, which is an int.
-#: src/session/session.c:761 src/session/session.c:780 src/session/task.c:275
-#: src/viewer/text/textarea.c:652
+#: src/session/session.c:771 src/session/session.c:790 src/session/task.c:275
+#: src/viewer/text/textarea.c:641
 msgid "Warning"
 msgstr "Uyar"
 
-#: src/session/session.c:762
+#: src/session/session.c:772
 msgid ""
 "You have an empty string in protocol.http.user_agent - this was a default "
 "value in the past, substituted by default ELinks User-Agent string. However, "
@@ -7964,7 +7977,7 @@ msgid ""
 "will be used. Apologies for any inconvience caused."
 msgstr ""
 
-#: src/session/session.c:781
+#: src/session/session.c:791
 msgid ""
 "You have option config.saving_style set to a de facto obsolete value. The "
 "configuration saving algorithms of ELinks were changed from the last time "
@@ -7977,11 +7990,11 @@ msgid ""
 "caused."
 msgstr ""
 
-#: src/session/session.c:806
+#: src/session/session.c:816
 msgid "Welcome"
 msgstr "Hogeldin"
 
-#: src/session/session.c:807
+#: src/session/session.c:817
 #, fuzzy
 msgid ""
 "Welcome to ELinks!\n"
@@ -8033,22 +8046,22 @@ msgstr ""
 msgid "Warning: terminal name contains illicit chars."
 msgstr ""
 
-#: src/terminal/event.c:259
+#: src/terminal/event.c:258
 #, c-format
 msgid "Failed to create session."
 msgstr ""
 
-#: src/terminal/event.c:446
+#: src/terminal/event.c:443
 #, c-format
 msgid "Bad event %d"
 msgstr ""
 
-#: src/terminal/event.c:486
+#: src/terminal/event.c:483
 #, fuzzy, c-format
 msgid "Could not read event: %d (%s)"
 msgstr "Dosya yaratlamyor"
 
-#: src/terminal/kbd.c:1187
+#: src/terminal/kbd.c:1210
 #, c-format
 msgid "Too many bytes read from the itrm!"
 msgstr ""
@@ -8127,207 +8140,207 @@ msgstr "ereve yok"
 msgid "The requested fragment \"%s\" doesn't exist."
 msgstr ""
 
-#: src/viewer/text/form.c:1092
+#: src/viewer/text/form.c:1118
 msgid "Error while posting form"
 msgstr "Fromu gnderirken hata"
 
-#: src/viewer/text/form.c:1093
+#: src/viewer/text/form.c:1119
 #, fuzzy, c-format
 msgid "Could not load file %s: %s"
 msgstr "Dosya alnamyor"
 
-#: src/viewer/text/form.c:1847
+#: src/viewer/text/form.c:1876
 #, fuzzy
 msgid "Reset form"
 msgstr "Formu ~Temizle"
 
-#: src/viewer/text/form.c:1849
+#: src/viewer/text/form.c:1878
 msgid "Harmless button"
 msgstr ""
 
-#: src/viewer/text/form.c:1857
+#: src/viewer/text/form.c:1886
 msgid "Submit form to"
 msgstr "Formu gnder"
 
-#: src/viewer/text/form.c:1858
+#: src/viewer/text/form.c:1887
 msgid "Post form to"
 msgstr "Formu yolla"
 
-#: src/viewer/text/form.c:1860
+#: src/viewer/text/form.c:1889
 msgid "Radio button"
 msgstr "Radyo dmesi"
 
-#: src/viewer/text/form.c:1864
+#: src/viewer/text/form.c:1893
 msgid "Select field"
 msgstr "Alan se"
 
-#: src/viewer/text/form.c:1868
+#: src/viewer/text/form.c:1897
 msgid "Text area"
 msgstr "Metin alan"
 
-#: src/viewer/text/form.c:1870
+#: src/viewer/text/form.c:1899
 msgid "File upload"
 msgstr "Dosya ykle"
 
-#: src/viewer/text/form.c:1872
+#: src/viewer/text/form.c:1901
 msgid "Password field"
 msgstr "Parola alan"
 
-#: src/viewer/text/form.c:1910
+#: src/viewer/text/form.c:1939
 msgid "name"
 msgstr "isim"
 
-#: src/viewer/text/form.c:1922
+#: src/viewer/text/form.c:1951
 msgid "value"
 msgstr "deer"
 
-#: src/viewer/text/form.c:1935
+#: src/viewer/text/form.c:1964
 msgid "read only"
 msgstr ""
 
-#: src/viewer/text/form.c:1946
+#: src/viewer/text/form.c:1975
 #, c-format
 msgid "press %s to navigate"
 msgstr ""
 
-#: src/viewer/text/form.c:1948
+#: src/viewer/text/form.c:1977
 #, c-format
 msgid "press %s to edit"
 msgstr ""
 
-#: src/viewer/text/form.c:1984
+#: src/viewer/text/form.c:2013
 #, fuzzy, c-format
 msgid "press %s to submit to %s"
 msgstr "gnder"
 
-#: src/viewer/text/form.c:1986
+#: src/viewer/text/form.c:2015
 #, fuzzy, c-format
 msgid "press %s to post to %s"
 msgstr "gnder"
 
-#: src/viewer/text/form.c:2088
+#: src/viewer/text/form.c:2117
 msgid "Useless button"
 msgstr ""
 
-#: src/viewer/text/form.c:2090
+#: src/viewer/text/form.c:2119
 #, fuzzy
 msgid "Submit button"
 msgstr "Formu gnder"
 
 #. accelerator_context(link_menu.map)
-#: src/viewer/text/link.c:1281
+#: src/viewer/text/link.c:1280
 msgid "Display ~usemap"
 msgstr "~Haritay grntle"
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1286
+#: src/viewer/text/link.c:1285
 msgid "~Follow link"
 msgstr "Balanty ~takip et"
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1288
+#: src/viewer/text/link.c:1287
 msgid "Follow link and r~eload"
 msgstr ""
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1292
+#: src/viewer/text/link.c:1291
 msgid "Open in new ~window"
 msgstr "~Yeni pencerede a"
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1294
+#: src/viewer/text/link.c:1293
 #, fuzzy
 msgid "Open in new ~tab"
 msgstr "~Yeni pencerede a"
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1296
+#: src/viewer/text/link.c:1295
 #, fuzzy
 msgid "Open in new tab in ~background"
 msgstr "Arkaplan"
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1301
+#: src/viewer/text/link.c:1300
 msgid "~Download link"
 msgstr "Bala~nty indir"
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1304
+#: src/viewer/text/link.c:1303
 msgid "~Add link to bookmarks"
 msgstr ""
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1308
+#: src/viewer/text/link.c:1307
 msgid "Pass link URI to e~xternal command"
 msgstr ""
 
 #. accelerator_context(link_menu.form, link_menu.reset, link_menu.textarea)
-#: src/viewer/text/link.c:1319 src/viewer/text/link.c:1359
+#: src/viewer/text/link.c:1318 src/viewer/text/link.c:1358
 msgid "~Reset form"
 msgstr "Formu ~Temizle"
 
 #. accelerator_context(link_menu.textarea)
-#: src/viewer/text/link.c:1334
+#: src/viewer/text/link.c:1333
 msgid "Open in ~external editor"
 msgstr ""
 
 #. accelerator_context(link_menu.form, link_menu.textarea)
-#: src/viewer/text/link.c:1342
+#: src/viewer/text/link.c:1341
 msgid "~Submit form"
 msgstr "Forumu ~Gnder"
 
 #. accelerator_context(link_menu.form, link_menu.textarea)
-#: src/viewer/text/link.c:1343
+#: src/viewer/text/link.c:1342
 msgid "Submit form and rel~oad"
 msgstr ""
 
 #. accelerator_context(link_menu.form, link_menu.textarea)
-#: src/viewer/text/link.c:1347
+#: src/viewer/text/link.c:1346
 msgid "Submit form and open in new ~window"
 msgstr "Formu gnder ~ve yeni pencerede a"
 
 #. accelerator_context(link_menu.form, link_menu.textarea)
-#: src/viewer/text/link.c:1349
+#: src/viewer/text/link.c:1348
 #, fuzzy
 msgid "Submit form and open in new ~tab"
 msgstr "Formu gnder ~ve yeni pencerede a"
 
 #. accelerator_context(link_menu.form, link_menu.textarea)
-#: src/viewer/text/link.c:1352
+#: src/viewer/text/link.c:1351
 #, fuzzy
 msgid "Submit form and open in new tab in ~background"
 msgstr "Formu gnder ~ve yeni pencerede a"
 
 #. accelerator_context(link_menu.form, link_menu.textarea)
-#: src/viewer/text/link.c:1357
+#: src/viewer/text/link.c:1356
 msgid "Submit form and ~download"
 msgstr "Formu gnder ve i~ndir"
 
 #. accelerator_context(link_menu.form, link_menu.reset, link_menu.textarea)
-#: src/viewer/text/link.c:1364
+#: src/viewer/text/link.c:1363
 #, fuzzy
 msgid "Form f~ields"
 msgstr "Parola alan"
 
 #. accelerator_context(link_menu.form, link_menu.map, link_menu.std)
-#: src/viewer/text/link.c:1371
+#: src/viewer/text/link.c:1370
 msgid "V~iew image"
 msgstr "~Resmi gster"
 
 #. accelerator_context(link_menu.form, link_menu.map, link_menu.std)
-#: src/viewer/text/link.c:1373
+#: src/viewer/text/link.c:1372
 msgid "Download ima~ge"
 msgstr "Resmi in~dir"
 
-#: src/viewer/text/link.c:1382
+#: src/viewer/text/link.c:1381
 msgid "No link selected"
 msgstr "Balant seilmedi"
 
-#: src/viewer/text/link.c:1452
+#: src/viewer/text/link.c:1451
 msgid "Image"
 msgstr "Resim"
 
-#: src/viewer/text/link.c:1457
+#: src/viewer/text/link.c:1456
 msgid "Usemap"
 msgstr "Harita"
 
@@ -8336,86 +8349,86 @@ msgstr "Harita"
 msgid "Marks"
 msgstr ""
 
-#: src/viewer/text/search.c:1083
+#: src/viewer/text/search.c:1099
 msgid "Search hit top, continuing at bottom."
 msgstr ""
 
-#: src/viewer/text/search.c:1084
+#: src/viewer/text/search.c:1100
 msgid "Search hit bottom, continuing at top."
 msgstr ""
 
-#: src/viewer/text/search.c:1087
+#: src/viewer/text/search.c:1103
 msgid "No previous search"
 msgstr "Geri arama yok"
 
-#: src/viewer/text/search.c:1099
+#: src/viewer/text/search.c:1115
 #, c-format
 msgid "Could not compile regular expression '%s'"
 msgstr ""
 
-#: src/viewer/text/search.c:1143
+#: src/viewer/text/search.c:1159
 #, c-format
 msgid "No further matches for '%s'."
 msgstr ""
 
-#: src/viewer/text/search.c:1145
+#: src/viewer/text/search.c:1161
 #, c-format
 msgid "Could not find a link with the text '%s'."
 msgstr ""
 
-#: src/viewer/text/search.c:1147 src/viewer/text/search.c:1558
+#: src/viewer/text/search.c:1163 src/viewer/text/search.c:1576
 msgid "Typeahead"
 msgstr ""
 
-#: src/viewer/text/search.c:1560
+#: src/viewer/text/search.c:1578
 #, c-format
 msgid "No links in current document"
 msgstr ""
 
-#: src/viewer/text/search.c:1643
+#: src/viewer/text/search.c:1661
 msgid "Search for text"
 msgstr "Metini ara"
 
-#: src/viewer/text/search.c:1679
+#: src/viewer/text/search.c:1697
 #, fuzzy
 msgid "Normal search"
 msgstr "Geri arama yok"
 
-#: src/viewer/text/search.c:1680
+#: src/viewer/text/search.c:1698
 msgid "Regexp search"
 msgstr ""
 
-#: src/viewer/text/search.c:1681
+#: src/viewer/text/search.c:1699
 msgid "Extended regexp search"
 msgstr ""
 
-#: src/viewer/text/search.c:1683
+#: src/viewer/text/search.c:1701
 msgid "Case sensitive"
 msgstr ""
 
-#: src/viewer/text/search.c:1684
+#: src/viewer/text/search.c:1702
 msgid "Case insensitive"
 msgstr ""
 
-#: src/viewer/text/search.c:1708
+#: src/viewer/text/search.c:1726
 msgid "Search backward"
 msgstr "Geriye doru ara"
 
 #. name:
-#: src/viewer/text/search.c:1747
+#: src/viewer/text/search.c:1765
 #, fuzzy
 msgid "Search History"
 msgstr "Hafza yetmiyor"
 
-#: src/viewer/text/textarea.c:595
+#: src/viewer/text/textarea.c:584
 msgid "You cannot launch an external editor in the anonymous mode."
 msgstr ""
 
-#: src/viewer/text/textarea.c:602
+#: src/viewer/text/textarea.c:591
 msgid "You can do this only on the master terminal"
 msgstr ""
 
-#: src/viewer/text/textarea.c:655
+#: src/viewer/text/textarea.c:644
 #, c-format
 msgid ""
 "You have exceeded the textarea's size limit: your input is %d bytes, but the "
@@ -8433,11 +8446,11 @@ msgstr "Balantya git"
 msgid "Enter link number"
 msgstr "Balant numarasn gir"
 
-#: src/viewer/text/view.c:1627
+#: src/viewer/text/view.c:1628
 msgid "Save error"
 msgstr "Kaydetme hatas"
 
-#: src/viewer/text/view.c:1628
+#: src/viewer/text/view.c:1629
 msgid "Error writing to file"
 msgstr "Dosyaya yazarken hata"
 
Binary files 0.12~pre2.dfsg0-1/po/uk.gmo and 0.12~pre4-1/po/uk.gmo differ
diff -pruN 0.12~pre2.dfsg0-1/po/uk.po 0.12~pre4-1/po/uk.po
--- 0.12~pre2.dfsg0-1/po/uk.po	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/po/uk.po	2009-05-31 09:48:47.000000000 +0100
@@ -6,7 +6,7 @@ msgid ""
 msgstr ""
 "Project-Id-Version: ELinks 0.5pre0.CVS\n"
 "Report-Msgid-Bugs-To: elinks-users@linuxfromscratch.org\n"
-"POT-Creation-Date: 2008-09-21 11:13+0300\n"
+"POT-Creation-Date: 2009-05-31 01:57+0300\n"
 "PO-Revision-Date: 2003-01-03 03:41+0100\n"
 "Last-Translator: Dmitry Pinchukov <dpinch@mail.ru>\n"
 "Language-Team: Ukrainian <translation-team-uk@lists.sourceforge.net>\n"
@@ -37,7 +37,7 @@ msgstr ""
 #: src/mime/dialogs.c:132 src/protocol/auth/dialogs.c:115
 #: src/protocol/protocol.c:246 src/scripting/lua/core.c:399
 #: src/scripting/lua/core.c:480 src/scripting/python/dialogs.c:86
-#: src/session/session.c:811 src/viewer/text/search.c:1686
+#: src/session/session.c:821 src/viewer/text/search.c:1704
 #, fuzzy
 msgid "~OK"
 msgstr ""
@@ -61,7 +61,7 @@ msgstr ""
 ": \"%s\""
 
 #. cant_delete_folder
-#: src/bfu/hierbox.c:558 src/bookmarks/dialogs.c:121
+#: src/bfu/hierbox.c:558 src/bookmarks/dialogs.c:153
 #, fuzzy, c-format
 msgid "Sorry, but the folder \"%s\" cannot be deleted."
 msgstr ""
@@ -70,7 +70,7 @@ msgstr ""
 ": \"%s\""
 
 #. cant_delete_used_folder
-#: src/bfu/hierbox.c:561 src/bookmarks/dialogs.c:123
+#: src/bfu/hierbox.c:561 src/bookmarks/dialogs.c:155
 #, fuzzy, c-format
 msgid "Sorry, but the folder \"%s\" is being used by something else."
 msgstr ""
@@ -91,7 +91,7 @@ msgid "Delete marked items?"
 msgstr "  Ҧ"
 
 #. delete_folder_title
-#: src/bfu/hierbox.c:570 src/bookmarks/dialogs.c:129
+#: src/bfu/hierbox.c:570 src/bookmarks/dialogs.c:161
 #, fuzzy
 msgid "Delete folder"
 msgstr " "
@@ -155,13 +155,13 @@ msgstr ""
 msgid "~No"
 msgstr ""
 
-#: src/bfu/hierbox.c:945 src/bfu/hierbox.c:976 src/viewer/text/search.c:1090
-#: src/viewer/text/search.c:1098 src/viewer/text/search.c:1114
-#: src/viewer/text/search.c:1705
+#: src/bfu/hierbox.c:945 src/bfu/hierbox.c:976 src/viewer/text/search.c:1106
+#: src/viewer/text/search.c:1114 src/viewer/text/search.c:1130
+#: src/viewer/text/search.c:1723
 msgid "Search"
 msgstr ""
 
-#: src/bfu/hierbox.c:947 src/viewer/text/search.c:1091
+#: src/bfu/hierbox.c:947 src/viewer/text/search.c:1107
 #, fuzzy, c-format
 msgid "Search string '%s' not found"
 msgstr "  "
@@ -200,8 +200,8 @@ msgstr "Φ  ͦ"
 #: src/dialogs/options.c:237 src/dialogs/options.c:316 src/mime/dialogs.c:133
 #: src/protocol/auth/dialogs.c:116 src/protocol/bittorrent/dialogs.c:814
 #: src/scripting/lua/core.c:400 src/scripting/lua/core.c:481
-#: src/session/download.c:607 src/session/download.c:1219
-#: src/viewer/text/search.c:1687
+#: src/session/download.c:633 src/session/download.c:1245
+#: src/viewer/text/search.c:1705
 #, fuzzy
 msgid "~Cancel"
 msgstr ""
@@ -215,8 +215,8 @@ msgstr ""
 msgid "Digital clock in the status bar."
 msgstr ""
 
-#: src/bfu/leds.c:77 src/bfu/leds.c:94 src/config/options.inc:1199
-#: src/config/options.inc:1206 src/ecmascript/ecmascript.c:45
+#: src/bfu/leds.c:77 src/bfu/leds.c:94 src/config/options.inc:1272
+#: src/config/options.inc:1279 src/ecmascript/ecmascript.c:45
 #: src/globhist/globhist.c:64 src/mime/backend/mailcap.c:93
 #: src/mime/backend/mimetypes.c:52 src/network/ssl/ssl.c:81
 #, fuzzy
@@ -234,8 +234,7 @@ msgstr "  (upload)"
 
 #: src/bfu/leds.c:83
 msgid ""
-"Format string for the digital clock. See the strftime(3)\n"
-"manpage for details."
+"Format string for the digital clock. See the strftime(3) manpage for details."
 msgstr ""
 
 #: src/bfu/leds.c:90
@@ -248,8 +247,7 @@ msgstr ""
 
 #: src/bfu/leds.c:96
 msgid ""
-"Enable LEDs.\n"
-"These visual indicators will inform you about various states."
+"Enable LEDs. These visual indicators will inform you about various states."
 msgstr ""
 
 #. name:
@@ -279,17 +277,17 @@ msgstr ""
 msgid "Search menu/"
 msgstr ""
 
-#: src/bookmarks/backend/xbel.c:97
+#: src/bookmarks/backend/xbel.c:105
 #, c-format
 msgid "read_bookmarks_xbel(): Error in XML_ParserCreate()"
 msgstr "read_bookmarks_xbel():   XML_ParserCreate()"
 
-#: src/bookmarks/backend/xbel.c:108
+#: src/bookmarks/backend/xbel.c:116
 #, c-format
 msgid "read_bookmarks_xbel(): Error reading %s"
 msgstr "read_bookmarks_xbel():   %s"
 
-#: src/bookmarks/backend/xbel.c:116
+#: src/bookmarks/backend/xbel.c:124
 #, fuzzy, c-format
 msgid ""
 "Parse error while processing XBEL bookmarks in %s at line %d column %d:\n"
@@ -298,17 +296,17 @@ msgstr ""
 "read_bookmarks_xbel():    %s,  %d,  %d:\n"
 "%s"
 
-#: src/bookmarks/backend/xbel.c:390 src/bookmarks/backend/xbel.c:411
+#: src/bookmarks/backend/xbel.c:388 src/bookmarks/backend/xbel.c:410
 msgid "No title"
 msgstr " "
 
-#: src/bookmarks/backend/xbel.c:396
+#: src/bookmarks/backend/xbel.c:394
 #, fuzzy
 msgid "No URL"
 msgstr "e ..."
 
 #. name:
-#: src/bookmarks/bookmarks.c:48 src/bookmarks/bookmarks.c:181
+#: src/bookmarks/bookmarks.c:48 src/bookmarks/bookmarks.c:183
 #, fuzzy
 msgid "Bookmarks"
 msgstr ""
@@ -318,7 +316,7 @@ msgstr ""
 msgid "Bookmark options."
 msgstr ""
 
-#: src/bookmarks/bookmarks.c:53 src/bookmarks/bookmarks.c:59
+#: src/bookmarks/bookmarks.c:53 src/bookmarks/bookmarks.c:60
 #, fuzzy
 msgid "File format"
 msgstr "  (upload)"
@@ -327,51 +325,47 @@ msgstr "  (upload)"
 msgid ""
 "File format for bookmarks (affects both reading and saving):\n"
 "0 is the default native ELinks format\n"
-"1 is XBEL universal XML bookmarks format (ELinks bug 153: NO NATIONAL CHARS "
-"SUPPORT!)"
+"1 is XBEL universal XML bookmarks format"
 msgstr ""
 
-#: src/bookmarks/bookmarks.c:61
+#: src/bookmarks/bookmarks.c:62
 msgid ""
 "File format for bookmarks (affects both reading and saving):\n"
 "0 is the default native ELinks format\n"
-"1 is XBEL universal XML bookmarks format (ELinks bug 153: NO NATIONAL CHARS "
-"SUPPORT!)  (DISABLED)"
+"1 is XBEL universal XML bookmarks format  (DISABLED)"
 msgstr ""
 
-#: src/bookmarks/bookmarks.c:67
+#: src/bookmarks/bookmarks.c:68
 #, fuzzy
 msgid "Save folder state"
 msgstr "' "
 
-#: src/bookmarks/bookmarks.c:69
+#: src/bookmarks/bookmarks.c:70
 msgid ""
-"When saving bookmarks also store whether folders are\n"
-"expanded or not, so the look of the bookmark dialog is\n"
-"kept across ELinks sessions. If disabled all folders will\n"
-"appear unexpanded next time ELinks is run."
+"When saving bookmarks also store whether folders are expanded or not, so the "
+"look of the bookmark dialog is kept across ELinks sessions. If disabled all "
+"folders will appear unexpanded next time ELinks is run."
 msgstr ""
 
-#: src/bookmarks/bookmarks.c:74
+#: src/bookmarks/bookmarks.c:75
 msgid "Periodic snapshotting"
 msgstr ""
 
-#: src/bookmarks/bookmarks.c:76
+#: src/bookmarks/bookmarks.c:77
 msgid ""
-"Automatically save a snapshot of all tabs periodically.\n"
-"This will periodically bookmark the tabs of each terminal in a separate "
-"folder\n"
-"for recovery after a crash.\n"
+"Automatically save a snapshot of all tabs periodically. This will "
+"periodically bookmark the tabs of each terminal in a separate folder for "
+"recovery after a crash.\n"
 "\n"
 "This feature requires bookmark support."
 msgstr ""
 
-#: src/bookmarks/dialogs.c:72 src/config/options.inc:1051
+#: src/bookmarks/dialogs.c:97 src/config/options.inc:1120
 #: src/dialogs/document.c:145 src/globhist/dialogs.c:65
 msgid "Title"
 msgstr ""
 
-#: src/bookmarks/dialogs.c:73 src/cache/dialogs.c:65
+#: src/bookmarks/dialogs.c:101 src/cache/dialogs.c:65
 #: src/dialogs/document.c:136 src/dialogs/edit.c:96 src/formhist/dialogs.c:63
 #: src/globhist/dialogs.c:66 src/protocol/auth/dialogs.c:163
 #: src/scripting/lua/core.c:397
@@ -379,7 +373,7 @@ msgid "URL"
 msgstr "URL"
 
 #. cant_delete_item
-#: src/bookmarks/dialogs.c:117
+#: src/bookmarks/dialogs.c:149
 #, fuzzy, c-format
 msgid "Sorry, but the bookmark \"%s\" cannot be deleted."
 msgstr ""
@@ -388,7 +382,7 @@ msgstr ""
 ": \"%s\""
 
 #. cant_delete_used_item
-#: src/bookmarks/dialogs.c:119
+#: src/bookmarks/dialogs.c:151
 #, fuzzy, c-format
 msgid "Sorry, but the bookmark \"%s\" is being used by something else."
 msgstr ""
@@ -397,73 +391,73 @@ msgstr ""
 ": \"%s\""
 
 #. delete_marked_items_title
-#: src/bookmarks/dialogs.c:125
+#: src/bookmarks/dialogs.c:157
 #, fuzzy
 msgid "Delete marked bookmarks"
 msgstr " צͦΦ ?"
 
 #. delete_marked_items
-#: src/bookmarks/dialogs.c:127
+#: src/bookmarks/dialogs.c:159
 msgid "Delete marked bookmarks?"
 msgstr " צͦΦ ?"
 
 #. delete_folder
-#: src/bookmarks/dialogs.c:131
+#: src/bookmarks/dialogs.c:163
 #, fuzzy, c-format
 msgid "Delete the folder \"%s\" and all bookmarks in it?"
 msgstr " ͦ  \"%s\"?"
 
 #. delete_item_title
-#: src/bookmarks/dialogs.c:133
+#: src/bookmarks/dialogs.c:165
 #, fuzzy
 msgid "Delete bookmark"
 msgstr " צͦΦ ?"
 
-#: src/bookmarks/dialogs.c:135
+#: src/bookmarks/dialogs.c:167
 #, fuzzy, c-format
 msgid "Delete this bookmark?"
 msgstr " צͦΦ ?"
 
 #. clear_all_items_title
-#: src/bookmarks/dialogs.c:137
+#: src/bookmarks/dialogs.c:169
 #, fuzzy
 msgid "Clear all bookmarks"
 msgstr "  "
 
 #. clear_all_items_title
-#: src/bookmarks/dialogs.c:139
+#: src/bookmarks/dialogs.c:171
 #, fuzzy
 msgid "Do you really want to remove all bookmarks?"
 msgstr " Ħ    ELinks?"
 
-#: src/bookmarks/dialogs.c:254
+#: src/bookmarks/dialogs.c:327
 msgid "Add folder"
 msgstr " "
 
-#: src/bookmarks/dialogs.c:254
+#: src/bookmarks/dialogs.c:327
 msgid "Folder name"
 msgstr "' "
 
-#: src/bookmarks/dialogs.c:310 src/scripting/lua/core.c:391
+#: src/bookmarks/dialogs.c:410 src/scripting/lua/core.c:391
 msgid "Edit bookmark"
 msgstr " "
 
-#: src/bookmarks/dialogs.c:461
+#: src/bookmarks/dialogs.c:567
 msgid "Cannot move folder inside itself"
 msgstr ""
 
-#: src/bookmarks/dialogs.c:462
+#: src/bookmarks/dialogs.c:568
 msgid ""
 "You are trying to move the marked folder inside itself. To move the folder "
 "to a different location select the new location before pressing the Move "
 "button."
 msgstr ""
 
-#: src/bookmarks/dialogs.c:468
+#: src/bookmarks/dialogs.c:574
 msgid "Nothing to move"
 msgstr ""
 
-#: src/bookmarks/dialogs.c:469
+#: src/bookmarks/dialogs.c:575
 msgid ""
 "To move bookmarks, first mark all the bookmarks (or folders) you want to "
 "move.  This can be done with the Insert key if you're using the default key-"
@@ -472,21 +466,21 @@ msgid ""
 msgstr ""
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons, src/cache/dialogs.c:cache_buttons, src/globhist/dialogs.c:globhist_buttons, src/protocol/auth/dialogs.c:auth_buttons)
-#: src/bookmarks/dialogs.c:487 src/cache/dialogs.c:230
+#: src/bookmarks/dialogs.c:593 src/cache/dialogs.c:230
 #: src/globhist/dialogs.c:224 src/protocol/auth/dialogs.c:261
 #, fuzzy
 msgid "~Goto"
 msgstr ""
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons, src/config/dialogs.c:option_buttons, src/cookies/dialogs.c:cookie_buttons)
-#: src/bookmarks/dialogs.c:488 src/config/dialogs.c:503
+#: src/bookmarks/dialogs.c:594 src/config/dialogs.c:503
 #: src/cookies/dialogs.c:492
 #, fuzzy
 msgid "~Edit"
 msgstr ""
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons, src/cache/dialogs.c:cache_buttons, src/config/dialogs.c:keybinding_buttons, src/config/dialogs.c:option_buttons, src/cookies/dialogs.c:cookie_buttons, src/dialogs/menu.c:ext_menu, src/formhist/dialogs.c:formhist_buttons, src/globhist/dialogs.c:globhist_buttons, src/protocol/auth/dialogs.c:auth_buttons)
-#: src/bookmarks/dialogs.c:489 src/cache/dialogs.c:231
+#: src/bookmarks/dialogs.c:595 src/cache/dialogs.c:231
 #: src/config/dialogs.c:505 src/config/dialogs.c:930 src/cookies/dialogs.c:493
 #: src/dialogs/menu.c:463 src/formhist/dialogs.c:211
 #: src/globhist/dialogs.c:229 src/protocol/auth/dialogs.c:263
@@ -494,31 +488,31 @@ msgid "~Delete"
 msgstr ""
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons, src/config/dialogs.c:keybinding_buttons, src/config/dialogs.c:option_buttons, src/cookies/dialogs.c:cookie_buttons, src/dialogs/menu.c:ext_menu)
-#: src/bookmarks/dialogs.c:490 src/config/dialogs.c:504
+#: src/bookmarks/dialogs.c:596 src/config/dialogs.c:504
 #: src/config/dialogs.c:929 src/cookies/dialogs.c:490 src/dialogs/menu.c:461
 msgid "~Add"
 msgstr ""
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons)
-#: src/bookmarks/dialogs.c:491
+#: src/bookmarks/dialogs.c:597
 #, fuzzy
 msgid "Add se~parator"
 msgstr "Ҧ ˦"
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons)
-#: src/bookmarks/dialogs.c:492
+#: src/bookmarks/dialogs.c:598
 #, fuzzy
 msgid "Add ~folder"
 msgstr " "
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons)
-#: src/bookmarks/dialogs.c:493
+#: src/bookmarks/dialogs.c:599
 #, fuzzy
 msgid "~Move"
 msgstr "ͦ"
 
 #. accelerator_context(src/bookmarks/dialogs.c:bookmark_buttons, src/cache/dialogs.c:cache_buttons, src/config/dialogs.c:keybinding_buttons, src/config/dialogs.c:option_buttons, src/dialogs/menu.c:view_menu, src/globhist/dialogs.c:globhist_buttons)
-#: src/bookmarks/dialogs.c:494 src/cache/dialogs.c:232
+#: src/bookmarks/dialogs.c:600 src/cache/dialogs.c:232
 #: src/config/dialogs.c:506 src/config/dialogs.c:932 src/dialogs/menu.c:413
 #: src/globhist/dialogs.c:230
 msgid "~Search"
@@ -526,38 +520,52 @@ msgstr ""
 
 #. This one is too dangerous, so just let user delete
 #. * the bookmarks file if needed. --Zas
-#: src/bookmarks/dialogs.c:498
+#: src/bookmarks/dialogs.c:604
 msgid "Clear"
 msgstr ""
 
 #. TODO: Would this be useful? --jonas
-#: src/bookmarks/dialogs.c:501 src/globhist/dialogs.c:235
+#: src/bookmarks/dialogs.c:607 src/globhist/dialogs.c:235
 msgid "Save"
 msgstr ""
 
-#: src/bookmarks/dialogs.c:507
+#: src/bookmarks/dialogs.c:613
 msgid "Bookmark manager"
 msgstr "  "
 
-#: src/bookmarks/dialogs.c:632
+#: src/bookmarks/dialogs.c:825
 msgid "Search bookmarks"
 msgstr "  "
 
-#: src/bookmarks/dialogs.c:661
+#. When the user eventually pushes the OK button, BFU calls
+#. * bookmark_add_add() and gives it the struct dialog * as the
+#. * void * parameter.  However, bookmark_add_add() also needs
+#. * to know the struct terminal *, and there is no way to get
+#. * that from struct dialog.  The other bookmark dialogs work
+#. * around that by making dialog.udata point to the struct
+#. * dialog_data of the bookmark manager, but the "Add bookmark"
+#. * dialog can be triggered with ACT_MAIN_ADD_BOOKMARK, which
+#. * does not involve the bookmark manager at all.
+#. *
+#. * The solution here is to save the struct terminal * in
+#. * dialog.udata2, which the "Edit bookmark" dialog uses for
+#. * struct bookmark *.  When adding a new bookmark, we don't
+#. * need a pointer to an existing one, of course.
+#: src/bookmarks/dialogs.c:892
 msgid "Add bookmark"
 msgstr " "
 
-#: src/bookmarks/dialogs.c:697
+#: src/bookmarks/dialogs.c:950
 #, fuzzy
 msgid "Saved session"
 msgstr " "
 
-#: src/bookmarks/dialogs.c:705
+#: src/bookmarks/dialogs.c:958
 #, fuzzy
 msgid "Bookmark tabs"
 msgstr ""
 
-#: src/bookmarks/dialogs.c:705
+#: src/bookmarks/dialogs.c:958
 #, fuzzy
 msgid "Enter folder name"
 msgstr "' "
@@ -571,7 +579,7 @@ msgstr "e ..."
 msgid "Redirect"
 msgstr ""
 
-#: src/cache/dialogs.c:85 src/config/options.inc:519
+#: src/cache/dialogs.c:85 src/config/options.inc:553
 #: src/dialogs/document.c:156 src/protocol/bittorrent/dialogs.c:126
 msgid "Size"
 msgstr "ͦ"
@@ -618,7 +626,7 @@ msgstr ""
 msgid "ID"
 msgstr ""
 
-#: src/cache/dialogs.c:134 src/config/options.inc:669
+#: src/cache/dialogs.c:134 src/config/options.inc:707
 #, fuzzy
 msgid "Header"
 msgstr "æ  "
@@ -1367,7 +1375,7 @@ msgstr "  "
 msgid "Resolver error"
 msgstr " "
 
-#: src/config/cmdline.c:256 src/cookies/cookies.c:841 src/network/state.c:47
+#: src/config/cmdline.c:256 src/cookies/cookies.c:843 src/network/state.c:47
 #: src/util/secsave.c:379
 msgid "Out of memory"
 msgstr " 'Ԧ"
@@ -1389,290 +1397,291 @@ msgstr ""
 msgid "Remote method not supported"
 msgstr ""
 
-#: src/config/cmdline.c:452
+#: src/config/cmdline.c:437
+msgid "Out of memory formatting option documentation"
+msgstr ""
+
+#: src/config/cmdline.c:474
 msgid "Template option folder"
 msgstr ""
 
-#: src/config/cmdline.c:475
+#: src/config/cmdline.c:497
 #, c-format
 msgid "(default: %ld)"
 msgstr ""
 
-#: src/config/cmdline.c:482 src/config/cmdline.c:511
+#: src/config/cmdline.c:504 src/config/cmdline.c:533
 #, c-format
 msgid "(default: \"%s\")"
 msgstr ""
 
-#: src/config/cmdline.c:487
+#: src/config/cmdline.c:509
 #, c-format
 msgid "(alias for %s)"
 msgstr ""
 
-#: src/config/cmdline.c:492 src/config/cmdline.c:501
+#: src/config/cmdline.c:514 src/config/cmdline.c:523
 #, c-format
 msgid "(default: %s)"
 msgstr ""
 
-#: src/config/cmdline.c:642
+#: src/config/cmdline.c:654
 #, fuzzy
 msgid "Configuration options"
 msgstr "'"
 
-#: src/config/cmdline.c:646
+#: src/config/cmdline.c:658
 msgid "Usage: elinks [OPTION]... [URL]..."
 msgstr ""
 
-#: src/config/cmdline.c:647
+#: src/config/cmdline.c:659
 #, fuzzy
 msgid "Options"
 msgstr " "
 
-#: src/config/cmdline.c:689
+#: src/config/cmdline.c:701
 #, fuzzy
 msgid "Internal consistency error"
 msgstr "Ҧ "
 
 #.
-#: src/config/cmdline.c:725
+#: src/config/cmdline.c:737
 msgid "Restrict to anonymous mode"
 msgstr ""
 
-#: src/config/cmdline.c:727
+#: src/config/cmdline.c:739
 msgid ""
-"Restricts ELinks so it can run on an anonymous account.\n"
-"Local file browsing, downloads, and modification of options\n"
-"will be disabled. Execution of viewers is allowed, but entries\n"
-"in the association table can't be added or modified."
+"Restricts ELinks so it can run on an anonymous account. Local file browsing, "
+"downloads, and modification of options will be disabled. Execution of "
+"viewers is allowed, but entries in the association table can't be added or "
+"modified."
 msgstr ""
 
-#: src/config/cmdline.c:732
+#: src/config/cmdline.c:745
 #, fuzzy
 msgid "Autosubmit first form"
 msgstr "Ħ "
 
-#: src/config/cmdline.c:734
+#: src/config/cmdline.c:747
 msgid "Automatically submit the first form in the given URLs."
 msgstr ""
 
-#: src/config/cmdline.c:736
+#: src/config/cmdline.c:749
 msgid "Clone internal session with given ID"
 msgstr ""
 
-#: src/config/cmdline.c:738
+#: src/config/cmdline.c:751
 msgid ""
-"Used internally when opening ELinks instances in new windows.\n"
-"The ID maps to information that will be used when creating the\n"
-"new instance. You don't want to use it."
+"Used internally when opening ELinks instances in new windows. The ID maps to "
+"information that will be used when creating the new instance. You don't want "
+"to use it."
 msgstr ""
 
-#: src/config/cmdline.c:744
+#: src/config/cmdline.c:757
 msgid "Name of directory with configuration file"
 msgstr ""
 
-#: src/config/cmdline.c:746
+#: src/config/cmdline.c:759
 msgid ""
-"Path of the directory ELinks will read and write its\n"
-"config and runtime state files to instead of ~/.elinks.\n"
-"If the path does not begin with a '/' it is assumed to be\n"
-"relative to your HOME directory."
+"Path of the directory ELinks will read and write its config and runtime "
+"state files to instead of ~/.elinks. If the path does not begin with a '/' "
+"it is assumed to be relative to your HOME directory."
 msgstr ""
 
-#: src/config/cmdline.c:751
+#: src/config/cmdline.c:764
 msgid "Print default configuration file to stdout"
 msgstr ""
 
-#: src/config/cmdline.c:753
+#: src/config/cmdline.c:766
 msgid ""
-"Print a configuration file with options set to the built-in\n"
-"defaults to stdout."
+"Print a configuration file with options set to the built-in defaults to "
+"stdout."
 msgstr ""
 
-#: src/config/cmdline.c:758
+#: src/config/cmdline.c:771
 msgid "Name of configuration file"
 msgstr ""
 
-#: src/config/cmdline.c:760
+#: src/config/cmdline.c:773
 msgid ""
-"Name of the configuration file that all configuration\n"
-"options will be read from and written to. It should be\n"
-"relative to config-dir."
+"Name of the configuration file that all configuration options will be read "
+"from and written to. It should be relative to config-dir."
 msgstr ""
 
-#: src/config/cmdline.c:764
+#: src/config/cmdline.c:777
 msgid "Print help for configuration options"
 msgstr ""
 
-#: src/config/cmdline.c:766
+#: src/config/cmdline.c:779
 msgid "Print help for configuration options and exit."
 msgstr ""
 
-#: src/config/cmdline.c:768
+#: src/config/cmdline.c:781
 msgid "MIME type assumed for unknown document types"
 msgstr ""
 
-#: src/config/cmdline.c:770
+#: src/config/cmdline.c:783
 msgid "The default MIME type used for documents of unknown type."
 msgstr ""
 
-#: src/config/cmdline.c:772
+#: src/config/cmdline.c:786
 msgid "Ignore user-defined keybindings"
 msgstr ""
 
-#: src/config/cmdline.c:774
+#: src/config/cmdline.c:788
 msgid ""
-"When set, all keybindings from configuration files will be\n"
-"ignored. It forces use of default keybindings and will reset\n"
-"user-defined ones on save."
+"When set, all keybindings from configuration files will be ignored. It "
+"forces use of default keybindings and will reset user-defined ones on save."
 msgstr ""
 
-#: src/config/cmdline.c:778
+#: src/config/cmdline.c:792
 msgid "Print formatted versions of given URLs to stdout"
 msgstr ""
 
-#: src/config/cmdline.c:780
+#: src/config/cmdline.c:794
 msgid "Print formatted plain-text versions of given URLs to stdout."
 msgstr ""
 
-#: src/config/cmdline.c:782
+#: src/config/cmdline.c:797
 msgid "Codepage to use with -dump"
 msgstr ""
 
-#: src/config/cmdline.c:784
+#: src/config/cmdline.c:799
 msgid "Codepage used when formatting dump output."
 msgstr ""
 
-#: src/config/cmdline.c:786
+#: src/config/cmdline.c:801
 msgid "Color mode used with -dump"
 msgstr ""
 
-#: src/config/cmdline.c:788
+#: src/config/cmdline.c:803
 msgid "Color mode used with -dump."
 msgstr ""
 
-#: src/config/cmdline.c:790
+#: src/config/cmdline.c:805
 msgid "Width of document formatted with -dump"
 msgstr ""
 
-#: src/config/cmdline.c:792
+#: src/config/cmdline.c:807
 msgid "Width of the dump output."
 msgstr ""
 
-#: src/config/cmdline.c:794
+#: src/config/cmdline.c:809
 msgid "Evaluate configuration file directive"
 msgstr ""
 
-#: src/config/cmdline.c:796
+#: src/config/cmdline.c:811
 msgid ""
-"Specify configuration file directives on the command-line\n"
-"which will be evaluated after all configuration files has been\n"
-"read. Example usage:\n"
+"Specify configuration file directives on the command-line which will be "
+"evaluated after all configuration files has been read. Example usage:\n"
 "\t-eval 'set protocol.file.allow_special_files = 1'"
 msgstr ""
 
 #. lynx compatibility
-#: src/config/cmdline.c:802
+#: src/config/cmdline.c:817
 msgid "Interpret documents of unknown types as HTML"
 msgstr ""
 
-#: src/config/cmdline.c:804
+#: src/config/cmdline.c:819
 msgid ""
-"Makes ELinks assume documents of unknown types are HTML.\n"
-"Useful when using ELinks as an external viewer from MUAs.\n"
-"This is equivalent to -default-mime-type text/html."
+"Makes ELinks assume documents of unknown types are HTML. Useful when using "
+"ELinks as an external viewer from MUAs. This is equivalent to -default-mime-"
+"type text/html."
 msgstr ""
 
-#: src/config/cmdline.c:814
+#: src/config/cmdline.c:829
 msgid "Print usage help and exit"
 msgstr ""
 
-#: src/config/cmdline.c:816
+#: src/config/cmdline.c:831
 msgid "Print usage help and exit."
 msgstr ""
 
-#: src/config/cmdline.c:818
+#: src/config/cmdline.c:833
 msgid "Only permit local connections"
 msgstr ""
 
-#: src/config/cmdline.c:820
+#: src/config/cmdline.c:835
 msgid ""
-"Restricts ELinks to work offline and only connect to servers\n"
-"with local addresses (ie. 127.0.0.1). No connections to remote\n"
-"servers will be permitted."
+"Restricts ELinks to work offline and only connect to servers with local "
+"addresses (ie. 127.0.0.1). No connections to remote servers will be "
+"permitted."
 msgstr ""
 
-#: src/config/cmdline.c:824
+#: src/config/cmdline.c:839
 msgid "Print detailed usage help and exit"
 msgstr ""
 
-#: src/config/cmdline.c:826
+#: src/config/cmdline.c:841
 msgid "Print detailed usage help and exit."
 msgstr ""
 
-#: src/config/cmdline.c:828
+#: src/config/cmdline.c:843
 #, fuzzy
 msgid "Look up specified host"
 msgstr "   "
 
-#: src/config/cmdline.c:830
+#: src/config/cmdline.c:845
 msgid "Look up specified host and print all DNS resolved IP addresses."
 msgstr ""
 
-#: src/config/cmdline.c:832
+#: src/config/cmdline.c:848
 msgid "Run as separate instance"
 msgstr ""
 
-#: src/config/cmdline.c:834
+#: src/config/cmdline.c:850
 msgid ""
-"Run ELinks as a separate instance instead of connecting to an\n"
-"existing instance. Note that normally no runtime state files\n"
-"(bookmarks, history, etc.) are written to the disk when this\n"
-"option is used. See also -touch-files."
+"Run ELinks as a separate instance instead of connecting to an existing "
+"instance. Note that normally no runtime state files (bookmarks, history, "
+"etc.) are written to the disk when this option is used. See also -touch-"
+"files."
 msgstr ""
 
-#: src/config/cmdline.c:839
+#: src/config/cmdline.c:855
 msgid "Disable use of files in ~/.elinks"
 msgstr ""
 
-#: src/config/cmdline.c:841
+#: src/config/cmdline.c:857
 msgid ""
-"Disables creation and use of files in the user specific home\n"
-"configuration directory (~/.elinks). It forces default configuration\n"
-"values to be used and disables saving of runtime state files."
+"Disables creation and use of files in the user specific home configuration "
+"directory (~/.elinks). It forces default configuration values to be used and "
+"disables saving of runtime state files."
 msgstr ""
 
-#: src/config/cmdline.c:845
+#: src/config/cmdline.c:862
 msgid "Disable link numbering in dump output"
 msgstr ""
 
-#: src/config/cmdline.c:847
+#: src/config/cmdline.c:864
 msgid ""
 "Prevents printing of link number in dump output.\n"
+"\n"
 "Note that this really affects only -dump, nothing else."
 msgstr ""
 
-#: src/config/cmdline.c:850
+#: src/config/cmdline.c:868
 msgid "Disable printing of link references in dump output"
 msgstr ""
 
-#: src/config/cmdline.c:852
+#: src/config/cmdline.c:870
 msgid ""
-"Prevents printing of references (URIs) of document links\n"
-"in dump output.\n"
+"Prevents printing of references (URIs) of document links in dump output.\n"
+"\n"
 "Note that this really affects only -dump, nothing else."
 msgstr ""
 
-#: src/config/cmdline.c:856
+#: src/config/cmdline.c:875
 msgid "Control an already running ELinks"
 msgstr ""
 
-#: src/config/cmdline.c:858
+#: src/config/cmdline.c:877
 msgid ""
-"Control a remote ELinks instance by passing commands to it.\n"
-"The option takes an additional argument containing the method\n"
-"which should be invoked and any parameters that should be passed\n"
-"to it. For ease of use, the additional method argument can be\n"
-"omitted in which case any URL arguments will be opened in new\n"
-"tabs in the remote instance.\n"
+"Control a remote ELinks instance by passing commands to it. The option takes "
+"an additional argument containing the method which should be invoked and any "
+"parameters that should be passed to it. For ease of use, the additional "
+"method argument can be omitted in which case any URL arguments will be "
+"opened in new tabs in the remote instance.\n"
+"\n"
 "Following is a list of the supported methods:\n"
 "\tping()                    : look for a remote instance\n"
 "\topenURL()                 : prompt URL in current tab\n"
@@ -1684,70 +1693,69 @@ msgid ""
 "\txfeDoCommand(openBrowser) : open new window"
 msgstr ""
 
-#: src/config/cmdline.c:874
+#: src/config/cmdline.c:895
 msgid "Connect to session ring with given ID"
 msgstr ""
 
-#: src/config/cmdline.c:876
+#: src/config/cmdline.c:897
 msgid ""
-"ID of session ring this ELinks session should connect to. ELinks\n"
-"works in so-called session rings, whereby all instances of ELinks\n"
-"are interconnected and share state (cache, bookmarks, cookies,\n"
-"and so on). By default, all ELinks instances connect to session\n"
-"ring 0. You can change that behaviour with this switch and form as\n"
-"many session rings as you want. Obviously, if the session-ring with\n"
-"this number doesn't exist yet, it's created and this ELinks instance\n"
-"will become the master instance (that usually doesn't matter for you\n"
-"as a user much). Note that you usually don't want to use this unless\n"
-"you're a developer and you want to do some testing - if you want the\n"
-"ELinks instances each running standalone, rather use the -no-connect\n"
-"command-line option. Also note that normally no runtime state files\n"
-"are written to the disk when this option is used. See also\n"
-"-touch-files."
+"ID of session ring this ELinks session should connect to. ELinks works in so-"
+"called session rings, whereby all instances of ELinks are interconnected and "
+"share state (cache, bookmarks, cookies, and so on). By default, all ELinks "
+"instances connect to session ring 0. You can change that behaviour with this "
+"switch and form as many session rings as you want. Obviously, if the session-"
+"ring with this number doesn't exist yet, it's created and this ELinks "
+"instance will become the master instance (that usually doesn't matter for "
+"you as a user much).\n"
+"\n"
+"Note that you usually don't want to use this unless you're a developer and "
+"you want to do some testing - if you want the ELinks instances each running "
+"standalone, rather use the -no-connect command-line option. Also note that "
+"normally no runtime state files are written to the disk when this option is "
+"used. See also -touch-files."
 msgstr ""
 
-#: src/config/cmdline.c:891
+#: src/config/cmdline.c:915
 msgid "Print the source of given URLs to stdout"
 msgstr ""
 
-#: src/config/cmdline.c:893
+#: src/config/cmdline.c:917
 msgid "Print given URLs in source form to stdout."
 msgstr ""
 
-#: src/config/cmdline.c:897
+#: src/config/cmdline.c:921
 msgid "Touch files in ~/.elinks when running with -no-connect/-session-ring"
 msgstr ""
 
-#: src/config/cmdline.c:899
+#: src/config/cmdline.c:923
 msgid ""
-"When enabled, runtime state files (bookmarks, history, etc.) are\n"
-"written to disk, even when -no-connect or -session-ring is used.\n"
-"The option has no effect if not used in conjunction with any of\n"
-"these options."
+"When enabled, runtime state files (bookmarks, history, etc.) are written to "
+"disk, even when -no-connect or -session-ring is used. The option has no "
+"effect if not used in conjunction with any of these options."
 msgstr ""
 
-#: src/config/cmdline.c:904
+#: src/config/cmdline.c:928
 msgid "Verbose level"
 msgstr ""
 
-#: src/config/cmdline.c:906
+#: src/config/cmdline.c:930
 msgid ""
-"The verbose level controls what messages are shown at\n"
-"start up and while running:\n"
+"The verbose level controls what messages are shown at start up and while "
+"running:\n"
 "\t0 means only show serious errors\n"
 "\t1 means show serious errors and warnings\n"
 "\t2 means show all messages"
 msgstr ""
 
-#: src/config/cmdline.c:912
+#: src/config/cmdline.c:936
 msgid "Print version information and exit"
 msgstr ""
 
-#: src/config/cmdline.c:914
+#: src/config/cmdline.c:938
 msgid "Print ELinks version information and exit."
 msgstr ""
 
-#: src/config/conf.c:938
+#: src/config/conf.c:963
 msgid ""
 "## This is ELinks configuration file. You can edit it manually,\n"
 "## if you wish so; this file is edited by ELinks when you save\n"
@@ -1755,7 +1763,7 @@ msgid ""
 "## and all your formatting, own comments etc will be kept as-is.\n"
 msgstr ""
 
-#: src/config/conf.c:946
+#: src/config/conf.c:971
 msgid ""
 "## This is ELinks configuration file. You can edit it manually,\n"
 "## if you wish so; this file is edited by ELinks when you save\n"
@@ -1766,7 +1774,7 @@ msgid ""
 "## own comments and so on will be kept as-is.\n"
 msgstr ""
 
-#: src/config/conf.c:956
+#: src/config/conf.c:981
 msgid ""
 "## This is ELinks configuration file. You can edit it manually,\n"
 "## if you wish so, but keep in mind that this file is overwritten\n"
@@ -1774,18 +1782,18 @@ msgid ""
 "## luck with your formatting and own comments then, so beware.\n"
 msgstr ""
 
-#: src/config/conf.c:967
+#: src/config/conf.c:992
 msgid ""
 "## Obviously, if you don't like what ELinks is going to do with\n"
 "## this file, you can change it by altering the config.saving_style\n"
 "## option. Come on, aren't we friendly guys after all?\n"
 msgstr ""
 
-#: src/config/conf.c:980
+#: src/config/conf.c:1005
 msgid "Automatically saved options\n"
 msgstr ""
 
-#: src/config/conf.c:992
+#: src/config/conf.c:1017
 msgid "Automatically saved keybindings\n"
 msgstr ""
 
@@ -1846,7 +1854,7 @@ msgstr ""
 #. * switch charsets.  So, it will work in any terminal that
 #. * understands UTF-8 and has the characters in its font.
 #: src/config/dialogs.c:149 src/config/dialogs.c:330
-#: src/config/options.inc:840
+#: src/config/options.inc:887
 msgid "Type"
 msgstr ""
 
@@ -1871,9 +1879,9 @@ msgid "Description"
 msgstr ""
 
 #: src/config/dialogs.c:291 src/protocol/bittorrent/dialogs.c:600
-#: src/protocol/protocol.c:240 src/session/session.c:287
-#: src/session/session.c:975 src/viewer/text/textarea.c:594
-#: src/viewer/text/textarea.c:601
+#: src/protocol/protocol.c:240 src/session/session.c:288
+#: src/session/session.c:999 src/viewer/text/textarea.c:583
+#: src/viewer/text/textarea.c:590
 msgid "Error"
 msgstr ""
 
@@ -1910,7 +1918,7 @@ msgstr "   æ."
 #. accelerator_context(src/config/dialogs.c:keybinding_buttons, src/config/dialogs.c:option_buttons, src/cookies/dialogs.c:cookie_buttons, src/formhist/dialogs.c:formhist_buttons, src/protocol/bittorrent/dialogs.c:bittorrent_query_callback, src/session/download.c:do_type_query, terminal_options)
 #: src/config/dialogs.c:507 src/config/dialogs.c:933 src/cookies/dialogs.c:495
 #: src/dialogs/options.c:236 src/formhist/dialogs.c:214
-#: src/protocol/bittorrent/dialogs.c:801 src/session/download.c:1203
+#: src/protocol/bittorrent/dialogs.c:801 src/session/download.c:1229
 #, fuzzy
 msgid "Sa~ve"
 msgstr ""
@@ -1924,7 +1932,7 @@ msgstr "æ"
 msgid "Keystroke"
 msgstr "¦æ"
 
-#: src/config/dialogs.c:676 src/config/options.inc:1219
+#: src/config/dialogs.c:676 src/config/options.inc:1292
 msgid "Action"
 msgstr ""
 
@@ -2000,32 +2008,32 @@ msgid ""
 "directory."
 msgstr ""
 
-#: src/config/kbdbind.c:221
+#: src/config/kbdbind.c:222
 msgid "Main mapping"
 msgstr " "
 
-#: src/config/kbdbind.c:222
+#: src/config/kbdbind.c:223
 msgid "Edit mapping"
 msgstr " "
 
-#: src/config/kbdbind.c:223
+#: src/config/kbdbind.c:224
 msgid "Menu mapping"
 msgstr " "
 
-#: src/config/kbdbind.c:588 src/scripting/python/keybinding.c:104
+#: src/config/kbdbind.c:589 src/scripting/python/keybinding.c:104
 msgid "Unrecognised keymap"
 msgstr ""
 
-#: src/config/kbdbind.c:591
+#: src/config/kbdbind.c:592
 #, fuzzy
 msgid "Error parsing keystroke"
 msgstr "   "
 
-#: src/config/kbdbind.c:595
+#: src/config/kbdbind.c:596
 msgid "Unrecognised action (internal error)"
 msgstr ""
 
-#: src/config/kbdbind.c:611
+#: src/config/kbdbind.c:612
 #, fuzzy
 msgid "Error registering event"
 msgstr "   "
@@ -2053,333 +2061,328 @@ msgid ""
 "3 is full comments are written"
 msgstr ""
 
-#: src/config/options.inc:31
+#: src/config/options.inc:32
 #, fuzzy
 msgid "Indentation"
 msgstr " SSL '"
 
-#: src/config/options.inc:33
+#: src/config/options.inc:34
 msgid ""
-"Shift width of one indentation level in the configuration\n"
-"file. Zero means that no indentation is performed at all\n"
-"when saving the configuration."
+"Shift width of one indentation level in the configuration file. Zero means "
+"that no indentation is performed at all when saving the configuration."
 msgstr ""
 
-#: src/config/options.inc:37
+#: src/config/options.inc:38
 msgid "Saving style"
 msgstr ""
 
-#: src/config/options.inc:39
+#: src/config/options.inc:40
 msgid ""
 "Determines what happens when you tell ELinks to save options:\n"
 "0 is only values of current options are altered\n"
-"1 is values of current options are altered and missing options\n"
-"     are added at the end of the file\n"
+"1 is values of current options are altered and missing\n"
+"     options are added at the end of the file\n"
 "2 is the configuration file is rewritten from scratch\n"
-"3 is values of current options are altered and missing options\n"
-"     CHANGED during this ELinks session are added at the end of\n"
-"     the file"
+"3 is values of current options are altered and missing\n"
+"     options CHANGED during this ELinks session are added at\n"
+"     the end of the file"
 msgstr ""
 
-#: src/config/options.inc:48
+#: src/config/options.inc:50
 msgid "Comments localization"
 msgstr ""
 
-#: src/config/options.inc:50
+#: src/config/options.inc:52
 msgid ""
-"If set to 1, comments in the configuration file will be\n"
-"translated to the language used by UI. Note that if you have\n"
-"different language set in different terminals, the language\n"
-"used in the configuration file MAY be the same as on the\n"
-"terminal where you saved the file, but it should be generally\n"
+"If set to 1, comments in the configuration file will be translated to the "
+"language used by UI. Note that if you have different language set in "
+"different terminals, the language used in the configuration file MAY be the "
+"same as on the terminal where you saved the file, but it should be generally "
 "considered unpredictable."
 msgstr ""
 
-#: src/config/options.inc:58
+#: src/config/options.inc:60
 msgid "Saving style warnings"
 msgstr ""
 
-#: src/config/options.inc:60
+#: src/config/options.inc:62
 msgid ""
-"This is internal option used when displaying a warning about\n"
-"obsolete config.saving_style. You shouldn't touch it."
+"This is internal option used when displaying a warning about obsolete config."
+"saving_style. You shouldn't touch it."
 msgstr ""
 
-#: src/config/options.inc:63
+#: src/config/options.inc:66
 msgid "Show template"
 msgstr ""
 
-#: src/config/options.inc:65
+#: src/config/options.inc:68
 msgid ""
-"Show template options in autocreated trees in the options\n"
-"manager and save them to the configuration file."
+"Show template options in autocreated trees in the options manager and save "
+"them to the configuration file."
 msgstr ""
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:71 src/dialogs/info.c:180
+#: src/config/options.inc:74 src/dialogs/info.c:180
 msgid "Connections"
 msgstr "'"
 
-#: src/config/options.inc:73
+#: src/config/options.inc:76
 #, fuzzy
 msgid "Connection options."
 msgstr "'"
 
-#: src/config/options.inc:76
+#: src/config/options.inc:79
 msgid "Asynchronous DNS"
 msgstr ""
 
-#: src/config/options.inc:78
+#: src/config/options.inc:81
 msgid "Whether to use asynchronous DNS resolving."
 msgstr ""
 
-#: src/config/options.inc:80
+#: src/config/options.inc:83
 #, fuzzy
 msgid "Maximum connections"
 msgstr " '"
 
-#: src/config/options.inc:82
+#: src/config/options.inc:85
 msgid "Maximum number of concurrent connections."
 msgstr ""
 
-#: src/config/options.inc:84
+#: src/config/options.inc:87
 #, fuzzy
 msgid "Maximum connections per host"
 msgstr " '"
 
-#: src/config/options.inc:86
+#: src/config/options.inc:89
 msgid "Maximum number of concurrent connections to a given host."
 msgstr ""
 
-#: src/config/options.inc:88
+#: src/config/options.inc:92
 #, fuzzy
 msgid "Connection retries"
 msgstr "'"
 
-#: src/config/options.inc:90
-msgid ""
-"Number of tries to establish a connection.\n"
-"Zero means try forever."
+#: src/config/options.inc:94
+msgid "Number of tries to establish a connection. Zero means try forever."
 msgstr ""
 
-#: src/config/options.inc:93 src/network/state.c:53
+#: src/config/options.inc:97 src/network/state.c:53
 msgid "Receive timeout"
 msgstr "- Ц  "
 
-#: src/config/options.inc:95
+#: src/config/options.inc:99
 #, fuzzy
 msgid "Receive timeout (in seconds)."
 msgstr "- Ц  "
 
-#: src/config/options.inc:98 src/config/options.inc:108
+#: src/config/options.inc:102 src/config/options.inc:113
 msgid "Try IPv4 when connecting"
 msgstr ""
 
-#: src/config/options.inc:100
+#: src/config/options.inc:104
 msgid ""
-"Whether to try to connect to a host over IPv4.\n"
-"Note that if connection.try_ipv6 is enabled too,\n"
-"it takes precedence. And better do not touch this\n"
+"Whether to try to connect to a host over IPv4. Note that if connection."
+"try_ipv6 is enabled too, it takes precedence. And better do not touch this "
 "at all unless you are sure what are you doing.\n"
-"Note that you can also force a given protocol\n"
-"to be used on a per-connection basis by using a URL\n"
-"in the style of e.g. http4://elinks.cz/."
+"\n"
+"Note that you can also force a given protocol to be used on a per-connection "
+"basis by using a URL in the style of e.g. http4://elinks.cz/."
 msgstr ""
 
-#: src/config/options.inc:110
+#: src/config/options.inc:115
 msgid ""
-"Whether to try to connect to a host over IPv4.\n"
-"Do not touch this option.\n"
-"Note that you can also force a given protocol\n"
-"to be used on a per-connection basis by using a URL\n"
-"in the style of e.g. http4://elinks.cz/."
+"Whether to try to connect to a host over IPv4. Do not touch this option.\n"
+"\n"
+"Note that you can also force a given protocol to be used on a per-connection "
+"basis by using a URL in the style of e.g. http4://elinks.cz/."
 msgstr ""
 
-#: src/config/options.inc:118
+#: src/config/options.inc:124
 msgid "Try IPv6 when connecting"
 msgstr ""
 
-#: src/config/options.inc:120
+#: src/config/options.inc:126
 msgid ""
 "Whether to try to connect to a host over IPv6.\n"
-"Note that you can also force a given protocol\n"
-"to be used on a per-connection basis by using a URL\n"
-"in the style of e.g. http6://elinks.cz/."
+"\n"
+"Note that you can also force a given protocol to be used on a per-connection "
+"basis by using a URL in the style of e.g. http6://elinks.cz/."
 msgstr ""
 
-#: src/config/options.inc:126
+#: src/config/options.inc:133
 msgid "Timeout for non-restartable connections"
 msgstr ""
 
-#: src/config/options.inc:128
+#: src/config/options.inc:135
 msgid "Timeout for non-restartable connections (in seconds)."
 msgstr ""
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:134
+#: src/config/options.inc:141
 #, fuzzy
 msgid "Document"
 msgstr "Ԧ"
 
-#: src/config/options.inc:136
+#: src/config/options.inc:143
 #, fuzzy
 msgid "Document options."
 msgstr "æ  "
 
-#: src/config/options.inc:138
+#: src/config/options.inc:145
 msgid "Browsing"
 msgstr ""
 
-#: src/config/options.inc:140
+#: src/config/options.inc:147
 msgid "Document browsing options (mainly interactivity)."
 msgstr ""
 
-#: src/config/options.inc:143
+#: src/config/options.inc:150
 msgid "Access keys"
 msgstr ""
 
-#: src/config/options.inc:145
+#: src/config/options.inc:152
 msgid ""
-"Options for handling of link access keys.\n"
-"An HTML document can use the ACCESSKEY attribute to assign\n"
-"an access key to an element. When an access key is pressed,\n"
-"the corresponding element will be given focus."
+"Options for handling of link access keys. An HTML document can use the "
+"ACCESSKEY attribute to assign an access key to an element. When an access "
+"key is pressed, the corresponding element will be given focus."
 msgstr ""
 
-#: src/config/options.inc:150
+#: src/config/options.inc:157
 msgid "Automatic links following"
 msgstr ""
 
-#: src/config/options.inc:152
+#: src/config/options.inc:159
 msgid ""
-"Automatically follow a link or submit a form if appropriate\n"
-"accesskey is pressed - this is the standard behaviour, but it's\n"
-"considered dangerous."
+"Automatically follow a link or submit a form if appropriate accesskey is "
+"pressed - this is the standard behaviour, but it's considered dangerous."
 msgstr ""
 
-#: src/config/options.inc:156
+#: src/config/options.inc:163
 msgid "Display access key in link info"
 msgstr ""
 
-#: src/config/options.inc:158
+#: src/config/options.inc:165
 msgid "Display access key in link info."
 msgstr ""
 
-#: src/config/options.inc:160
+#: src/config/options.inc:167
 msgid "Accesskey priority"
 msgstr ""
 
-#: src/config/options.inc:162
+#: src/config/options.inc:169
 msgid ""
 "Priority of 'accesskey' HTML attribute:\n"
-"0 is first try all normal bindings; if it fails, check accesskey\n"
-"1 is first try only frame bindings; if it fails, check accesskey\n"
+"0 is first try all normal bindings; if it fails,\n"
+"     check accesskey\n"
+"1 is first try only frame bindings; if it fails,\n"
+"     check accesskey\n"
 "2 is first check accesskey (this can be dangerous)"
 msgstr ""
 
-#: src/config/options.inc:168
+#: src/config/options.inc:177
 msgid "Forms"
 msgstr ""
 
-#: src/config/options.inc:170
+#: src/config/options.inc:179
 msgid "Options for handling of the forms interaction."
 msgstr ""
 
-#: src/config/options.inc:172
+#: src/config/options.inc:181
 #, fuzzy
 msgid "Submit form automatically"
 msgstr "   "
 
-#: src/config/options.inc:174
+#: src/config/options.inc:183
 msgid ""
-"Automagically submit a form when enter is pressed with a text\n"
-"field selected."
+"Automagically submit a form when enter is pressed with a text field selected."
 msgstr ""
 
-#: src/config/options.inc:177
+#: src/config/options.inc:186
 msgid "Confirm submission"
 msgstr ""
 
-#: src/config/options.inc:179
+#: src/config/options.inc:188
 msgid "Ask for confirmation when submitting a form."
 msgstr ""
 
-#: src/config/options.inc:181
+#: src/config/options.inc:190
 msgid "Default form input size"
 msgstr ""
 
-#: src/config/options.inc:183
+#: src/config/options.inc:192
 msgid "Default form input size if none is specified."
 msgstr ""
 
-#: src/config/options.inc:185
+#: src/config/options.inc:194
 msgid "Insert mode"
 msgstr ""
 
-#: src/config/options.inc:187
+#: src/config/options.inc:196
 msgid ""
-"The setting for this option affects how key presses are handled\n"
-"when one selects a text-input form-field. When enabled, one must\n"
-"explicitly 'enter' a selected text-field to edit it; this prevents\n"
-"text fields from capturing key presses, such as presses of a scroll\n"
-"key, when it is inadvertently selected. When disabled, key presses\n"
-"are always inserted into a selected text field."
+"The setting for this option affects how key presses are handled when one "
+"selects a text-input form-field. When enabled, one must explicitly 'enter' a "
+"selected text-field to edit it; this prevents text fields from capturing key "
+"presses, such as presses of a scroll key, when it is inadvertently selected. "
+"When disabled, key presses are always inserted into a selected text field."
 msgstr ""
 
-#: src/config/options.inc:194
+#: src/config/options.inc:204
 #, fuzzy
 msgid "External editor"
 msgstr "Ҧ "
 
-#: src/config/options.inc:196
+#: src/config/options.inc:206
 msgid ""
-"Path to the executable that ELinks should launch when the user\n"
-"requests to edit a textarea with an external editor.\n"
-"If this is blank, ELinks will use the value of the environmental\n"
-"variable $EDITOR. If $EDITOR is empty or not set, ELinks will then\n"
-"default to \"vi\"."
+"Path to the executable that ELinks should launch when the user requests to "
+"edit a textarea with an external editor.\n"
+"\n"
+"If this is blank, ELinks will use the value of the environmental variable "
+"$EDITOR. If $EDITOR is empty or not set, ELinks will then default to \"vi\"."
 msgstr ""
 
-#: src/config/options.inc:203
+#: src/config/options.inc:214
 #, fuzzy
 msgid "Images"
 msgstr ""
 
-#: src/config/options.inc:205
+#: src/config/options.inc:216
 msgid "Options for handling of images."
 msgstr ""
 
-#: src/config/options.inc:207
+#: src/config/options.inc:218
 #, fuzzy
 msgid "Display style for image tags"
 msgstr ""
 
-#: src/config/options.inc:209
+#: src/config/options.inc:220
 msgid ""
 "Display style for image tags when displayed:\n"
 "0     means always display IMG\n"
 "1     means always display filename\n"
-"2     means display alt/title attribute if possible, IMG if not\n"
-"3     means display alt/title attribute if possible, filename if not"
+"2     means display alt/title attribute if possible,\n"
+"      IMG if not\n"
+"3     means display alt/title attribute if possible,\n"
+"      filename if not"
 msgstr ""
 
-#: src/config/options.inc:215
+#: src/config/options.inc:228
 msgid "Maximum length for image filename"
 msgstr ""
 
-#: src/config/options.inc:217
+#: src/config/options.inc:230
 msgid ""
 "Maximum length of image filename when displayed:\n"
 "0     means always display full filename\n"
 "1-500 means display filename with this maximal length;\n"
-"      if it is longer, the middle is substituted by an asterisk"
+"      if it is longer, the middle is substituted by\n"
+"      an asterisk"
 msgstr ""
 
-#: src/config/options.inc:227
+#: src/config/options.inc:241
 msgid "Image links tagging"
 msgstr ""
 
-#: src/config/options.inc:229
+#: src/config/options.inc:243
 msgid ""
 "When to enclose image links:\n"
 "0 means never\n"
@@ -2387,92 +2390,92 @@ msgid ""
 "2 means always"
 msgstr ""
 
-#: src/config/options.inc:234
+#: src/config/options.inc:248
 msgid "Image link prefix"
 msgstr ""
 
-#: src/config/options.inc:236
+#: src/config/options.inc:250
 msgid "Prefix string to use to mark image links."
 msgstr ""
 
-#: src/config/options.inc:238
+#: src/config/options.inc:252
 msgid "Image link suffix"
 msgstr ""
 
-#: src/config/options.inc:240
+#: src/config/options.inc:254
 msgid "Suffix string to use to mark image links."
 msgstr ""
 
-#: src/config/options.inc:242
+#: src/config/options.inc:256
 msgid "Maximum length for image label"
 msgstr ""
 
-#: src/config/options.inc:244
+#: src/config/options.inc:258
 msgid ""
 "Maximum length of image label (alt/title):\n"
 "0     means always display full label\n"
 "1-500 means display label with this maximal length;\n"
-"      if it is longer, the middle is substituted by an asterisk"
+"      if it is longer, the middle is substituted by\n"
+"      an asterisk"
 msgstr ""
 
-#: src/config/options.inc:249
+#: src/config/options.inc:264
 msgid "Display links to images w/o alt"
 msgstr ""
 
-#: src/config/options.inc:251
+#: src/config/options.inc:266
 msgid ""
-"Display links to images without an alt attribute. If this option\n"
-"is off, these images are completely invisible."
+"Display links to images without an alt attribute. If this option is off, "
+"these images are completely invisible."
 msgstr ""
 
-#: src/config/options.inc:254
+#: src/config/options.inc:269
 #, fuzzy
 msgid "Display links to images"
 msgstr ""
 
-#: src/config/options.inc:256
+#: src/config/options.inc:271
 msgid ""
-"Display links to any images in the document, regardless of them\n"
-"having an alt attribute or not. If this option is off, the alt\n"
-"attribute contents is shown, but as normal text, not selectable\n"
-"as a link."
+"Display links to any images in the document, regardless of them having an "
+"alt attribute or not. If this option is off, the alt attribute contents is "
+"shown, but as normal text, not selectable as a link."
 msgstr ""
 
-#: src/config/options.inc:262
+#: src/config/options.inc:277
 #, fuzzy
 msgid "Links"
 msgstr ""
 
-#: src/config/options.inc:264
+#: src/config/options.inc:279
 msgid "Options for handling of links to other documents."
 msgstr ""
 
-#: src/config/options.inc:266
+#: src/config/options.inc:281
 msgid "Active link"
 msgstr ""
 
-#: src/config/options.inc:268
+#: src/config/options.inc:283
 msgid "Options for the active link."
 msgstr ""
 
-#: src/config/options.inc:270
+#: src/config/options.inc:285
 #, fuzzy
 msgid "Colors"
 msgstr ""
 
-#: src/config/options.inc:272
+#: src/config/options.inc:287
 #, fuzzy
 msgid "Active link colors."
 msgstr " "
 
-#: src/config/options.inc:274 src/config/options.inc:549
-#: src/config/options.inc:945
+#: src/config/options.inc:289 src/config/options.inc:583
+#: src/config/options.inc:1014
 #, fuzzy
 msgid "Background color"
 msgstr " ̦"
 
-#: src/config/options.inc:276 src/config/options.inc:551
-#: src/config/options.inc:946
+#: src/config/options.inc:291 src/config/options.inc:585
+#: src/config/options.inc:1015
 #, fuzzy
 msgid "Default background color."
 msgstr "ڦ '  ̦"
@@ -2485,75 +2488,75 @@ msgstr "ڦ '  ̦"
 #. *	on it.
 #. The colors and mono tree should be similar but with different default
 #. * values of course so always use the macros below.
-#: src/config/options.inc:278 src/config/options.inc:545
-#: src/config/options.inc:943
+#: src/config/options.inc:293 src/config/options.inc:579
+#: src/config/options.inc:1012
 #, fuzzy
 msgid "Text color"
 msgstr " "
 
-#: src/config/options.inc:280 src/config/options.inc:547
-#: src/config/options.inc:944
+#: src/config/options.inc:295 src/config/options.inc:581
+#: src/config/options.inc:1013
 msgid "Default text color."
 msgstr ""
 
-#: src/config/options.inc:282
+#: src/config/options.inc:297
 #, fuzzy
 msgid "Enable color"
 msgstr "'"
 
-#: src/config/options.inc:284
+#: src/config/options.inc:299
 msgid ""
-"Enable use of the active link background and text color\n"
-"settings instead of the link colors from the document."
+"Enable use of the active link background and text color settings instead of "
+"the link colors from the document."
 msgstr ""
 
-#: src/config/options.inc:287
+#: src/config/options.inc:302
 msgid "Bold"
 msgstr ""
 
-#: src/config/options.inc:289
+#: src/config/options.inc:304
 msgid "Make the active link text bold."
 msgstr ""
 
-#: src/config/options.inc:291
+#: src/config/options.inc:306
 #, fuzzy
 msgid "Invert colors"
 msgstr " "
 
-#: src/config/options.inc:293
+#: src/config/options.inc:308
 msgid "Invert the fore- and background color so the link stands out."
 msgstr ""
 
-#: src/config/options.inc:296 src/config/options.inc:908
+#: src/config/options.inc:311 src/config/options.inc:975
 #: src/dialogs/options.c:231
 msgid "Underline"
 msgstr ""
 
-#: src/config/options.inc:298
+#: src/config/options.inc:313
 msgid "Underline the active link."
 msgstr ""
 
-#: src/config/options.inc:301
+#: src/config/options.inc:316
 msgid "Directory highlighting"
 msgstr ""
 
-#: src/config/options.inc:303
+#: src/config/options.inc:318
 msgid "Highlight links to directories in FTP and local directory listing."
 msgstr ""
 
-#: src/config/options.inc:305
+#: src/config/options.inc:321
 msgid "Number links"
 msgstr ""
 
-#: src/config/options.inc:307
+#: src/config/options.inc:323
 msgid "Display numbers next to the links."
 msgstr ""
 
-#: src/config/options.inc:309
+#: src/config/options.inc:325
 msgid "Handling of target=_blank"
 msgstr ""
 
-#: src/config/options.inc:311
+#: src/config/options.inc:327
 msgid ""
 "Define how to handle links having target=_blank set:\n"
 "0 means open link in current tab\n"
@@ -2562,141 +2565,138 @@ msgid ""
 "3 means open link in new window"
 msgstr ""
 
-#: src/config/options.inc:324
+#: src/config/options.inc:340
 msgid "Use tabindex"
 msgstr ""
 
-#: src/config/options.inc:326
+#: src/config/options.inc:342
 msgid ""
-"Whether to navigate links using tabindex specified ordering.\n"
-"The TABINDEX attribute in HTML elements specifies the order\n"
-"in which links should receive focus when using the keyboard\n"
-"to navigate the document."
+"Whether to navigate links using tabindex specified ordering. The TABINDEX "
+"attribute in HTML elements specifies the order in which links should receive "
+"focus when using the keyboard to navigate the document."
 msgstr ""
 
-#: src/config/options.inc:331
+#: src/config/options.inc:347
 #, fuzzy
 msgid "Missing fragment reporting"
 msgstr " "
 
-#: src/config/options.inc:333
+#: src/config/options.inc:349
 msgid "Open a message box when document has no tag with given id."
 msgstr ""
 
-#: src/config/options.inc:335
+#: src/config/options.inc:352
 msgid "Number keys select links"
 msgstr ""
 
-#: src/config/options.inc:337
+#: src/config/options.inc:354
 msgid ""
-"Number keys select links rather than specify command prefixes. This\n"
-"is a tristate:\n"
+"Number keys select links rather than specify command prefixes. This is a "
+"tristate:\n"
 "0 means never\n"
 "1 means if document.browse.links.numbering = 1\n"
 "2 means always"
 msgstr ""
 
-#: src/config/options.inc:343
+#: src/config/options.inc:360
 msgid "Warn about maliciously crafted URIs"
 msgstr ""
 
-#: src/config/options.inc:345
+#: src/config/options.inc:362
 msgid ""
-"When following a link the user ID part of the URI is\n"
-"checked and if a maliciously crafted URI is detected a\n"
-"warning dialog will ask before following the link."
+"When following a link the user ID part of the URI is checked and if a "
+"maliciously crafted URI is detected a warning dialog will ask before "
+"following the link."
 msgstr ""
 
 #. TODO - this is somehow implemented by ff, but disabled
 #. * for now as it doesn't work.
-#: src/config/options.inc:351
+#: src/config/options.inc:368
 msgid "Wrap-around links cycling"
 msgstr ""
 
 #. 0
-#: src/config/options.inc:353
+#: src/config/options.inc:370
 msgid ""
-"When pressing 'down' on the last link, jump to the first one, and\n"
-"vice versa."
+"When pressing 'down' on the last link, jump to the first one, and vice versa."
 msgstr ""
 
-#: src/config/options.inc:357
+#: src/config/options.inc:374
 #, fuzzy
 msgid "Scrolling"
 msgstr " "
 
-#: src/config/options.inc:359
+#: src/config/options.inc:376
 #, fuzzy
 msgid "Scrolling options."
 msgstr " i"
 
-#: src/config/options.inc:361
+#: src/config/options.inc:378
 msgid "Horizontal step"
 msgstr ""
 
-#: src/config/options.inc:363
+#: src/config/options.inc:380
 msgid ""
-"Number of columns to scroll when a key bound to scroll-left or scroll-\n"
-"right is pressed and no prefix was given."
+"Number of columns to scroll when a key bound to scroll-left or scroll-right "
+"is pressed and no prefix was given."
 msgstr ""
 
-#: src/config/options.inc:366
+#: src/config/options.inc:384
 msgid "Extended horizontal scrolling"
 msgstr ""
 
-#: src/config/options.inc:368
+#: src/config/options.inc:386
 msgid ""
-"Whether to allow horizontal scrolling when the document\n"
-"does not extend off the screen. Useful for copy/paste\n"
-"operations."
+"Whether to allow horizontal scrolling when the document does not extend off "
+"the screen. Useful for copy/paste operations."
 msgstr ""
 
-#: src/config/options.inc:372
+#: src/config/options.inc:390
 #, fuzzy
 msgid "Margin"
 msgstr ""
 
-#: src/config/options.inc:374
+#: src/config/options.inc:392
 msgid ""
-"Size of the virtual margin - when you click inside of that margin,\n"
-"document scrolls in that direction."
+"Size of the virtual margin - when you click inside of that margin, document "
+"scrolls in that direction."
 msgstr ""
 
-#: src/config/options.inc:377
+#: src/config/options.inc:395
 msgid "Vertical step"
 msgstr ""
 
-#: src/config/options.inc:379
+#: src/config/options.inc:397
 msgid ""
-"Number of lines to scroll when a key bound to scroll-up or scroll-\n"
-"down is pressed and no prefix was given."
+"Number of lines to scroll when a key bound to scroll-up or scroll-down is "
+"pressed and no prefix was given."
 msgstr ""
 
-#: src/config/options.inc:383
+#: src/config/options.inc:401
 #, fuzzy
 msgid "Searching"
 msgstr ""
 
-#: src/config/options.inc:385
+#: src/config/options.inc:403
 msgid "Options for searching."
 msgstr ""
 
-#: src/config/options.inc:387
+#: src/config/options.inc:405
 msgid "Case sensitivity"
 msgstr ""
 
-#: src/config/options.inc:389
+#: src/config/options.inc:407
 msgid ""
-"Whether the search should match the document text while maintaining\n"
-"case sensitivity."
+"Whether the search should match the document text while maintaining case "
+"sensitivity."
 msgstr ""
 
-#: src/config/options.inc:393
+#: src/config/options.inc:411
 #, fuzzy
 msgid "Regular expressions"
 msgstr "Ħ "
 
-#: src/config/options.inc:395
+#: src/config/options.inc:413
 msgid ""
 "Enable searching with regular expressions:\n"
 "0 for plain text searching\n"
@@ -2704,31 +2704,31 @@ msgid ""
 "2 for extended regular expression searches"
 msgstr ""
 
-#: src/config/options.inc:401
+#: src/config/options.inc:419
 msgid "Show search hit top or bottom dialogs"
 msgstr ""
 
-#: src/config/options.inc:403
+#: src/config/options.inc:421
 msgid ""
-"Whether to show a dialog when the search hits the top or bottom of the\n"
+"Whether to show a dialog when the search hits the top or bottom of the "
 "document."
 msgstr ""
 
-#: src/config/options.inc:406
+#: src/config/options.inc:424
 #, fuzzy
 msgid "Wraparound"
 msgstr " ̦"
 
-#: src/config/options.inc:408
+#: src/config/options.inc:426
 msgid "Wrap around when searching. Currently only used for typeahead."
 msgstr ""
 
-#: src/config/options.inc:410
+#: src/config/options.inc:429
 #, fuzzy
 msgid "Show not found"
 msgstr "  "
 
-#: src/config/options.inc:412
+#: src/config/options.inc:431
 msgid ""
 "How to inform the user when nothing is matched:\n"
 "0 means do nothing\n"
@@ -2736,282 +2736,283 @@ msgid ""
 "2 means pop up message box"
 msgstr ""
 
-#: src/config/options.inc:417
+#: src/config/options.inc:436
 #, fuzzy
 msgid "Typeahead searching"
 msgstr ""
 
-#: src/config/options.inc:419
+#: src/config/options.inc:438
 msgid ""
-"Start typeahead searching when an unbound key is pressed without\n"
-"any modifiers. Note that most keys have default bindings, so this\n"
-"feature will not be useful unless you unbind them.\n"
-"\n"
-"0 disables this feature; typeahead searching will only be used\n"
-"  when you press a key bound to search-typeahead or similar\n"
+"Start typeahead searching when an unbound key is pressed without any "
+"modifiers. Note that most keys have default bindings, so this feature will "
+"not be useful unless you unbind them.\n"
+"\n"
+"0 disables this feature; typeahead searching will only be\n"
+"  used when you press a key bound to search-typeahead or\n"
+"  similar\n"
 "1 automatically starts typeahead searching thru link text\n"
-"2 automatically starts typeahead searching thru all document text"
+"2 automatically starts typeahead searching thru all document\n"
+"  text"
 msgstr ""
 
-#: src/config/options.inc:428
+#: src/config/options.inc:451
 msgid "Horizontal text margin"
 msgstr ""
 
-#: src/config/options.inc:430
+#: src/config/options.inc:453
 msgid "Horizontal text margin."
 msgstr ""
 
-#: src/config/options.inc:432
+#: src/config/options.inc:455
 msgid "Document meta refresh"
 msgstr ""
 
-#: src/config/options.inc:434
+#: src/config/options.inc:457
 msgid ""
-"Automatically follow document-specified refresh directives ('<meta>\n"
-"refresh' tags). Web-page authors use these to instruct the browser\n"
-"to reload a document at a given interval or to load another page.\n"
-"Regardless of the value the refresh URI is accessible as a link.\n"
-"Use the document.browse.minimum_refresh_time to control the minimum\n"
-"number of seconds a refresh will wait."
+"Automatically follow document-specified refresh directives ('<meta> refresh' "
+"tags). Web-page authors use these to instruct the browser to reload a "
+"document at a given interval or to load another page. Regardless of the "
+"value the refresh URI is accessible as a link.\n"
+"\n"
+"Use the document.browse.minimum_refresh_time to control the minimum number "
+"of seconds a refresh will wait."
 msgstr ""
 
-#: src/config/options.inc:441
+#: src/config/options.inc:466
 msgid "Document meta refresh minimum time"
 msgstr ""
 
-#: src/config/options.inc:443
+#: src/config/options.inc:468
 msgid ""
-"The minimum number of milliseconds that should pass before\n"
-"refreshing. If set to zero the document refresh time is used\n"
-"unchanged. It can fix going back in history for some sites that\n"
-"use refreshing with zero values."
+"The minimum number of milliseconds that should pass before refreshing. If "
+"set to zero the document refresh time is used unchanged. It can fix going "
+"back in history for some sites that use refreshing with zero values."
 msgstr ""
 
-#: src/config/options.inc:448
+#: src/config/options.inc:473
 msgid "Tables navigation order"
 msgstr ""
 
-#: src/config/options.inc:450
+#: src/config/options.inc:475
 msgid "Move by columns in table, instead of rows."
 msgstr ""
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:456
+#: src/config/options.inc:481
 #, fuzzy
 msgid "Cache"
 msgstr ""
 
-#: src/config/options.inc:458
+#: src/config/options.inc:483
 #, fuzzy
 msgid "Cache options."
 msgstr " "
 
-#: src/config/options.inc:460
+#: src/config/options.inc:485
 msgid "Cache information about redirects"
 msgstr ""
 
-#: src/config/options.inc:462
+#: src/config/options.inc:487
 msgid ""
-"Cache even redirects sent by server (usually thru HTTP by a 302\n"
-"HTTP code and a Location header). This was the original behaviour\n"
-"for quite some time, but it causes problems in a situation very\n"
-"common to various web login systems - frequently, when accessing\n"
-"a certain location, they will redirect you to a login page if they\n"
-"don't receive an auth cookie, the login page then gives you the\n"
-"cookie and redirects you back to the original page, but there you\n"
-"have already cached redirect back to the login page! If this\n"
-"option has value of 0, this malfunction is fixed, but occasionally\n"
-"you may get superfluous (depends on how you take it ;-) requests to\n"
-"the server. If this option has value of 1, experienced users can\n"
-"still workaround it by clever combination of usage of reload,\n"
-"jumping around in session history and hitting ctrl+enter.\n"
-"Note that this option is checked when retrieving the information\n"
-"from cache, not when saving it to cache - thus if you enable\n"
-"it, even previous redirects will be taken from cache instead of\n"
-"asking the server."
+"Cache even redirects sent by server (usually thru HTTP by a 302 HTTP code "
+"and a Location header). This was the original behaviour for quite some time, "
+"but it causes problems in a situation very common to various web login "
+"systems - frequently, when accessing a certain location, they will redirect "
+"you to a login page if they don't receive an auth cookie, the login page "
+"then gives you the cookie and redirects you back to the original page, but "
+"there you have already cached redirect back to the login page! If this "
+"option has value of 0, this malfunction is fixed, but occasionally you may "
+"get superfluous (depends on how you take it ;-) requests to the server. If "
+"this option has value of 1, experienced users can still workaround it by "
+"clever combination of usage of reload, jumping around in session history and "
+"hitting ctrl+enter.\n"
+"\n"
+"Note that this option is checked when retrieving the information from cache, "
+"not when saving it to cache - thus if you enable it, even previous redirects "
+"will be taken from cache instead of asking the server."
 msgstr ""
 
-#: src/config/options.inc:480
+#: src/config/options.inc:508
 msgid "Ignore cache-control info from server"
 msgstr ""
 
-#: src/config/options.inc:482
+#: src/config/options.inc:510
 msgid ""
-"Ignore Cache-Control and Pragma server headers.\n"
-"When set, the document is cached even with 'Cache-Control: no-cache'."
+"Ignore Cache-Control and Pragma server headers. When set, the document is "
+"cached even with 'Cache-Control: no-cache'."
 msgstr ""
 
-#: src/config/options.inc:485
+#: src/config/options.inc:514
 #, fuzzy
 msgid "Formatted documents"
 msgstr " צ Ԧ"
 
-#: src/config/options.inc:487
+#: src/config/options.inc:516
 msgid "Format cache options."
 msgstr ""
 
-#: src/config/options.inc:489
+#: src/config/options.inc:518
 #, fuzzy
 msgid "Number"
 msgstr " "
 
-#: src/config/options.inc:491
+#: src/config/options.inc:520
 msgid ""
-"Number of cached formatted pages. Do not get too generous\n"
-"here, 'formatted' means that all the accompanying structures\n"
-"are kept in memory so that you get the cached document\n"
-"immediatelly, but these structures may take a lot - 2x the\n"
-"size of the HTML source is probably not unusual, but it can\n"
-"be even more if the document consists of a lot of short lines\n"
-"(padded right, if possible) and links and not much other markup.\n"
-"So if you set this to 256 and then you don't like your ELinks\n"
-"eating 90M, don't come complaining to us. ;-)\n"
-"Also note that the format cache itself is not counted to the\n"
-"memory cache size, but the HTML source of the formatted documents\n"
-"is always cached, even if it is over the memory cache size\n"
-"threshold. (Then of course no other documents can be cached.)"
+"Number of cached formatted pages. Do not get too generous here, 'formatted' "
+"means that all the accompanying structures are kept in memory so that you "
+"get the cached document immediatelly, but these structures may take a lot - "
+"2x the size of the HTML source is probably not unusual, but it can be even "
+"more if the document consists of a lot of short lines (padded right, if "
+"possible) and links and not much other markup. So if you set this to 256 and "
+"then you don't like your ELinks eating 90M, don't come complaining to "
+"us. ;-)\n"
+"\n"
+"Also note that the format cache itself is not counted to the memory cache "
+"size, but the HTML source of the formatted documents is always cached, even "
+"if it is over the memory cache size threshold. (Then of course no other "
+"documents can be cached.)"
 msgstr ""
 
 #. FIXME: Write more.
-#: src/config/options.inc:506
+#: src/config/options.inc:538
 #, fuzzy
 msgid "Revalidation interval"
 msgstr " "
 
-#: src/config/options.inc:508
+#: src/config/options.inc:540
 msgid ""
-"Period in seconds that a cache entry is considered to be\n"
-"up-to-date. When a document is loaded and this interval has elapsed\n"
-"since the document was initially loaded or most recently\n"
-"revalidated with the server, the server will be checked in case\n"
-"there is a more up-to-date version of the document.\n"
+"Period in seconds that a cache entry is considered to be up-to-date. When a "
+"document is loaded and this interval has elapsed since the document was "
+"initially loaded or most recently revalidated with the server, the server "
+"will be checked in case there is a more up-to-date version of the document.\n"
 "\n"
 "A value of -1 disables automatic revalidation."
 msgstr ""
 
-#: src/config/options.inc:515 src/dialogs/info.c:199
+#: src/config/options.inc:549 src/dialogs/info.c:199
 msgid "Memory cache"
 msgstr "  'Ԧ"
 
-#: src/config/options.inc:517
+#: src/config/options.inc:551
 #, fuzzy
 msgid "Memory cache options."
 msgstr "  'Ԧ"
 
-#: src/config/options.inc:521
+#: src/config/options.inc:555
 #, fuzzy
 msgid "Memory cache size (in bytes)."
 msgstr "  'Ԧ"
 
-#: src/config/options.inc:525
+#: src/config/options.inc:559
 #, fuzzy
 msgid "Charset"
 msgstr ""
 
-#: src/config/options.inc:527
+#: src/config/options.inc:561
 #, fuzzy
 msgid "Charset options."
 msgstr " "
 
-#: src/config/options.inc:529
+#: src/config/options.inc:563
 msgid "Default codepage"
 msgstr ""
 
-#: src/config/options.inc:531
+#: src/config/options.inc:565
 msgid ""
-"Default document codepage. 'System' stands for\n"
-"a codepage determined by a selected locale."
+"Default document codepage. 'System' stands for a codepage determined by a "
+"selected locale."
 msgstr ""
 
-#: src/config/options.inc:534
+#: src/config/options.inc:568
 msgid "Ignore charset info from server"
 msgstr ""
 
-#: src/config/options.inc:536
+#: src/config/options.inc:570
 msgid "Ignore charset info sent by server."
 msgstr ""
 
-#: src/config/options.inc:540
+#: src/config/options.inc:574
 msgid "Default color settings"
 msgstr ""
 
-#: src/config/options.inc:542
+#: src/config/options.inc:576
 msgid "Default document color settings."
 msgstr ""
 
-#: src/config/options.inc:553
+#: src/config/options.inc:587
 #, fuzzy
 msgid "Link color"
 msgstr " "
 
-#: src/config/options.inc:555
+#: src/config/options.inc:589
 msgid "Default link color."
 msgstr ""
 
-#: src/config/options.inc:557
+#: src/config/options.inc:591
 msgid "Visited-link color"
 msgstr ""
 
-#: src/config/options.inc:559
+#: src/config/options.inc:593
 msgid "Default visited link color."
 msgstr ""
 
-#: src/config/options.inc:561
+#: src/config/options.inc:595
 #, fuzzy
 msgid "Image-link color"
 msgstr " "
 
-#: src/config/options.inc:563
+#: src/config/options.inc:597
 #, fuzzy
 msgid "Default image link color."
 msgstr "ڦ '  ̦"
 
-#: src/config/options.inc:565
+#: src/config/options.inc:599
 msgid "Bookmarked-link color"
 msgstr ""
 
-#: src/config/options.inc:567
+#: src/config/options.inc:601
 #, fuzzy
 msgid "Default bookmarked link color."
 msgstr "ڦ '  ̦"
 
-#: src/config/options.inc:569
+#: src/config/options.inc:603
 msgid "Directory color"
 msgstr ""
 
-#: src/config/options.inc:571
+#: src/config/options.inc:605
 msgid ""
 "Default directory color.\n"
+"\n"
 "See document.browse.links.color_dirs option."
 msgstr ""
 
-#: src/config/options.inc:578
+#: src/config/options.inc:613
 msgid "Increase contrast"
 msgstr ""
 
-#: src/config/options.inc:580
+#: src/config/options.inc:615
 msgid ""
-"Increase the contrast between the foreground and background colors\n"
-"to ensure readability. For example it disallows dark colors on a\n"
-"black background. Note, this is different from ensuring the contrast\n"
-"with the ensure_contrast option."
+"Increase the contrast between the foreground and background colors to ensure "
+"readability. For example it disallows dark colors on a black background. "
+"Note, this is different from ensuring the contrast with the ensure_contrast "
+"option."
 msgstr ""
 
-#: src/config/options.inc:585
+#: src/config/options.inc:621
 msgid "Ensure contrast"
 msgstr ""
 
-#: src/config/options.inc:587
+#: src/config/options.inc:623
 msgid "Makes sure that the back- and foreground colors are never equal."
 msgstr ""
 
 #. If you change this please also change ACT_MAIN_DOCUMENT_COLORS action
 #. * handling.
-#: src/config/options.inc:592
+#: src/config/options.inc:628
 msgid "Use document-specified colors"
 msgstr ""
 
-#: src/config/options.inc:594
+#: src/config/options.inc:630
 msgid ""
 "Use colors specified in document:\n"
 "0 is use always the default settings\n"
@@ -3023,40 +3024,40 @@ msgid ""
 msgstr ""
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:607
+#: src/config/options.inc:643
 #, fuzzy
 msgid "Downloading"
 msgstr ""
 
-#: src/config/options.inc:609
+#: src/config/options.inc:645
 msgid "Options regarding files downloading and handling."
 msgstr ""
 
-#: src/config/options.inc:611
+#: src/config/options.inc:647
 #, fuzzy
 msgid "Default download directory"
 msgstr " "
 
-#: src/config/options.inc:613
+#: src/config/options.inc:649
 msgid "Default download directory."
 msgstr ""
 
-#: src/config/options.inc:615
+#: src/config/options.inc:651
 msgid "Set original time"
 msgstr ""
 
-#: src/config/options.inc:617
+#: src/config/options.inc:653
 msgid ""
-"Set the timestamp of each downloaded file to the timestamp\n"
-"stored on the server."
+"Set the timestamp of each downloaded file to the timestamp stored on the "
+"server."
 msgstr ""
 
 #. Does automatic resuming make sense as an option?
-#: src/config/options.inc:621
+#: src/config/options.inc:657
 msgid "Prevent overwriting"
 msgstr ""
 
-#: src/config/options.inc:623
+#: src/config/options.inc:659
 msgid ""
 "Prevent overwriting the local files:\n"
 "0 is files will silently be overwritten\n"
@@ -3064,12 +3065,12 @@ msgid ""
 "2 is ask the user"
 msgstr ""
 
-#: src/config/options.inc:628
+#: src/config/options.inc:664
 #, fuzzy
 msgid "Notify download completion by bell"
 msgstr " ˦"
 
-#: src/config/options.inc:630
+#: src/config/options.inc:666
 msgid ""
 "Audio notification when download is completed:\n"
 "0 is never\n"
@@ -3077,27 +3078,27 @@ msgid ""
 "2 is always"
 msgstr ""
 
-#: src/config/options.inc:636
+#: src/config/options.inc:672
 msgid "Dump output"
 msgstr ""
 
-#: src/config/options.inc:638
+#: src/config/options.inc:674
 msgid "Dump output options."
 msgstr ""
 
 #. OPT_CODEPAGE
-#: src/config/options.inc:640 src/config/options.inc:912
+#: src/config/options.inc:676 src/config/options.inc:980
 #: src/config/opttypes.c:481 src/dialogs/document.c:164
 msgid "Codepage"
 msgstr " Ҧ"
 
-#: src/config/options.inc:642
+#: src/config/options.inc:678
 msgid ""
-"Codepage used in dump output. 'System' stands for\n"
-"a codepage determined by a selected locale."
+"Codepage used in dump output. 'System' stands for a codepage determined by a "
+"selected locale."
 msgstr ""
 
-#: src/config/options.inc:645 src/config/options.inc:878
+#: src/config/options.inc:681 src/config/options.inc:941
 #, fuzzy
 msgid "Color mode"
 msgstr ""
@@ -3107,12 +3108,14 @@ msgstr ""
 #. * an outer list entry after an inner list.
 #. * TRANSLATORS: This restriction applies only to the
 #. * "en" (English) translation.  (See doc/Makefile.)
-#: src/config/options.inc:652
+#: src/config/options.inc:688
 msgid ""
 "Color mode for dumps.\n"
+"\n"
 "Some modes may have been disabled at compile time. The Setup -> Terminal "
 "options dialog lists the modes supported by this executable. If you select "
 "an unsupported mode, ELinks uses 16 colors.\n"
+"\n"
 "The color modes are:\n"
 "-1 is standard dump mode\n"
 "0 is mono mode\n"
@@ -3122,128 +3125,126 @@ msgid ""
 "4 is true color mode"
 msgstr ""
 
-#: src/config/options.inc:665
+#: src/config/options.inc:703
 msgid "Footer"
 msgstr ""
 
-#: src/config/options.inc:667
+#: src/config/options.inc:705
 #, c-format
 msgid "Footer string used in dumps. %u is substituted by URL."
 msgstr ""
 
-#: src/config/options.inc:671
+#: src/config/options.inc:709
 #, c-format
 msgid "Header string used in dumps. %u is substituted by URL."
 msgstr ""
 
-#: src/config/options.inc:673
+#: src/config/options.inc:711
 #, fuzzy
 msgid "Numbering"
 msgstr " "
 
-#: src/config/options.inc:675
+#: src/config/options.inc:713
 msgid "Whether to print link numbers in dump output."
 msgstr ""
 
-#: src/config/options.inc:677
+#: src/config/options.inc:715
 #, fuzzy
 msgid "References"
 msgstr ""
 
-#: src/config/options.inc:679
-msgid ""
-"Whether to print references (URIs) of document links\n"
-"in dump output."
+#: src/config/options.inc:717
+msgid "Whether to print references (URIs) of document links in dump output."
 msgstr ""
 
-#: src/config/options.inc:682
+#: src/config/options.inc:720
 #, fuzzy
 msgid "Separator"
 msgstr "Ҧ ˦"
 
-#: src/config/options.inc:684
+#: src/config/options.inc:722
 msgid "String which separates two dumps."
 msgstr ""
 
-#: src/config/options.inc:686
+#: src/config/options.inc:724
 msgid "Width"
 msgstr ""
 
-#: src/config/options.inc:688
+#: src/config/options.inc:726
 msgid "Width of screen in characters when dumping documents."
 msgstr ""
 
-#: src/config/options.inc:692
+#: src/config/options.inc:730
 #, fuzzy
 msgid "History"
 msgstr "Ҧ Ҧ  ϧ"
 
-#: src/config/options.inc:694
+#: src/config/options.inc:732
 msgid "History options."
 msgstr ""
 
-#: src/config/options.inc:696
+#: src/config/options.inc:734
 #, fuzzy
 msgid "Keep unhistory"
 msgstr "Ҧ Ҧ Ц ϧ"
 
-#: src/config/options.inc:698
+#: src/config/options.inc:736
 #, fuzzy
 msgid "Keep unhistory (\"forward history\")."
 msgstr " Ҧ"
 
-#: src/config/options.inc:701
+#: src/config/options.inc:739
 #, fuzzy
 msgid "HTML rendering"
 msgstr ""
 
-#: src/config/options.inc:703
+#: src/config/options.inc:741
 msgid "Options concerning the display of HTML pages."
 msgstr ""
 
-#: src/config/options.inc:705
+#: src/config/options.inc:743
 #, fuzzy
 msgid "Display frames"
 msgstr ""
 
-#: src/config/options.inc:707
+#: src/config/options.inc:745
 #, fuzzy
 msgid "Display frames."
 msgstr ""
 
-#: src/config/options.inc:709
+#: src/config/options.inc:747
 #, fuzzy
 msgid "Display tables"
 msgstr ""
 
-#: src/config/options.inc:711
+#: src/config/options.inc:749
 #, fuzzy
 msgid "Display tables."
 msgstr ""
 
-#: src/config/options.inc:713
+#: src/config/options.inc:751
 #, fuzzy
 msgid "Display subscripts"
 msgstr " "
 
-#: src/config/options.inc:715
+#: src/config/options.inc:753
 msgid "Display subscripts (as [thing])."
 msgstr ""
 
-#: src/config/options.inc:717
+#: src/config/options.inc:755
 #, fuzzy
 msgid "Display superscripts"
 msgstr " "
 
-#: src/config/options.inc:719
+#: src/config/options.inc:757
 msgid "Display superscripts (as ^thing)."
 msgstr ""
 
-#: src/config/options.inc:721
+#: src/config/options.inc:759
 msgid "Rendering of HTML link element"
 msgstr ""
 
-#: src/config/options.inc:723
+#: src/config/options.inc:761
 msgid ""
 "How to render <link> tags from the HTML header:\n"
 "0 is nothing\n"
@@ -3254,145 +3255,143 @@ msgid ""
 "5 is everything"
 msgstr ""
 
-#: src/config/options.inc:731
+#: src/config/options.inc:769
 msgid "Underline links"
 msgstr ""
 
-#: src/config/options.inc:733
+#: src/config/options.inc:771
 msgid "Underline links."
 msgstr ""
 
-#: src/config/options.inc:735
+#: src/config/options.inc:773
 msgid "Wrap non breaking space"
 msgstr ""
 
-#: src/config/options.inc:737
+#: src/config/options.inc:775
 msgid ""
-"If set do not honour non breaking space (the nbsp entity)\n"
-"but allow to wrap the text. This can help keeping the width\n"
-"of documents down so no horizontal scrolling is needed."
+"If set do not honour non breaking space (the nbsp entity) but allow to wrap "
+"the text. This can help keeping the width of documents down so no horizontal "
+"scrolling is needed."
 msgstr ""
 
-#: src/config/options.inc:742
+#: src/config/options.inc:780
 #, fuzzy
 msgid "Plain rendering"
 msgstr ""
 
-#: src/config/options.inc:744
+#: src/config/options.inc:782
 msgid "Options concerning the display of plain text pages."
 msgstr ""
 
-#: src/config/options.inc:746
+#: src/config/options.inc:784
 #, fuzzy
 msgid "Display URIs"
 msgstr ""
 
-#: src/config/options.inc:748
+#: src/config/options.inc:786
 msgid "Display URIs in the document as links."
 msgstr ""
 
-#: src/config/options.inc:750
+#: src/config/options.inc:788
 msgid "Compress empty lines"
 msgstr ""
 
-#: src/config/options.inc:752
+#: src/config/options.inc:790
 msgid "Compress successive empty lines to only one in displayed text."
 msgstr ""
 
-#: src/config/options.inc:755
+#: src/config/options.inc:794
 msgid "URI passing"
 msgstr ""
 
-#: src/config/options.inc:757
+#: src/config/options.inc:796
 msgid ""
-"Rules for passing URIs to external commands. When one rule\n"
-"is defined the link and tab menu will have a menu item that\n"
-"makes it possible to pass the the link, frame or tab URI to\n"
-"an external command. If several rules are defined the link and\n"
-"tab menu will have a submenu of items for each rule. Note, this\n"
-"is mostly useful for launching graphical viewers, since there\n"
-"is no support for releasing the terminal while the command runs.\n"
-"The action and submenus are also available by binding keys to\n"
-"the frame-external-command, the link-external-command, and\n"
-"the tab-external-command actions."
+"Rules for passing URIs to external commands. When one rule is defined the "
+"link and tab menu will have a menu item that makes it possible to pass the "
+"the link, frame or tab URI to an external command. If several rules are "
+"defined the link and tab menu will have a submenu of items for each rule.\n"
+"\n"
+"Note, this is mostly useful for launching graphical viewers, since there is "
+"no support for releasing the terminal while the command runs. The action and "
+"submenus are also available by binding keys to the frame-external-command, "
+"the link-external-command, and the tab-external-command actions."
 msgstr ""
 
-#: src/config/options.inc:770
+#: src/config/options.inc:812
 msgid ""
-"A rule for passing URI to an external command.\n"
-"The format is:\n"
+"A rule for passing URI to an external command. The format is:\n"
 "%c in the string means the current URL\n"
 "%% in the string means '%'\n"
 "Do _not_ put single- or double-quotes around %c."
 msgstr ""
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:780
+#: src/config/options.inc:822
 msgid "Information files"
 msgstr ""
 
-#: src/config/options.inc:782
+#: src/config/options.inc:824
 msgid "Options for information files in ~/.elinks."
 msgstr ""
 
-#: src/config/options.inc:784
+#: src/config/options.inc:826
 #, fuzzy
 msgid "Save interval"
 msgstr " "
 
-#: src/config/options.inc:786
+#: src/config/options.inc:828
 msgid ""
-"Interval at which to trigger information files in ~/.elinks\n"
-"to be saved to disk if they have changed (seconds; 0 to disable)"
+"Interval at which to trigger information files in ~/.elinks to be saved to "
+"disk if they have changed (seconds; 0 to disable)"
 msgstr ""
 
-#: src/config/options.inc:789
+#: src/config/options.inc:832
 msgid "Use secure file saving"
 msgstr ""
 
-#: src/config/options.inc:791
+#: src/config/options.inc:834
 msgid ""
-"First write data to unique temporary file, then rename this file\n"
-"upon successfully finishing this. Note that this relates only to\n"
-"config files, not downloaded files. You may want to disable\n"
-"it if you are using some exotic permissions for concerned files.\n"
-"Secure file saving is automagically disabled if file is symlink.\n"
-"Warning: some systems (ie. OS/2, Win32) require that destination\n"
-"file doesn't exist when rename(3) is called, breaking atomicity,\n"
-"and reducing reliability of this feature."
+"First write data to unique temporary file, then rename this file upon "
+"successfully finishing this. Note that this relates only to config files, "
+"not downloaded files. You may want to disable it if you are using some "
+"exotic permissions for concerned files. Secure file saving is automagically "
+"disabled if file is symlink.\n"
+"\n"
+"Warning: some systems (ie. OS/2, Win32) require that destination file "
+"doesn't exist when rename(3) is called, breaking atomicity, and reducing "
+"reliability of this feature."
 msgstr ""
 
-#: src/config/options.inc:800
+#: src/config/options.inc:846
 msgid "Use fsync(3) with secure file saving"
 msgstr ""
 
-#: src/config/options.inc:802
+#: src/config/options.inc:848
 msgid ""
-"When using secure file saving, call fsync(3), if the OS\n"
-"supports it, to force the OS immediately to write the data\n"
-"to permanent storage. This is optional for those who wish\n"
-"to avoid excessive disk I/O."
+"When using secure file saving, call fsync(3), if the OS supports it, to "
+"force the OS immediately to write the data to permanent storage. This is "
+"optional for those who wish to avoid excessive disk I/O."
 msgstr ""
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:811
+#: src/config/options.inc:857
 #, fuzzy
 msgid "Terminals"
 msgstr " i"
 
-#: src/config/options.inc:813
+#: src/config/options.inc:859
 #, fuzzy
 msgid "Terminal options."
 msgstr " i"
 
-#: src/config/options.inc:817
+#: src/config/options.inc:863
 msgid "Options specific to this terminal type (according to $TERM value)."
 msgstr ""
 
-#: src/config/options.inc:842
+#: src/config/options.inc:889
 msgid ""
-"Terminal type; matters mostly only when drawing frames and\n"
-"dialog box borders:\n"
+"Terminal type; matters mostly only when drawing frames and dialog box "
+"borders:\n"
 "0 is dumb terminal type, ASCII art\n"
 "1 is VT100, simple but portable\n"
 "2 is Linux, you get double frames and other goodies\n"
@@ -3400,15 +3399,31 @@ msgid ""
 "4 is FreeBSD"
 msgstr ""
 
-#: src/config/options.inc:850 src/dialogs/options.c:227
+#: src/config/options.inc:897
+msgid "Always encode xterm title in ISO-8859-1"
+msgstr ""
+
+#: src/config/options.inc:899
+msgid ""
+"When updating the window title of xterm or a similar terminal emulator, "
+"encode the title in ISO-8859-1 (Latin-1), rather than in the charset used "
+"for other text in the window. Cyrillic and other characters get replaced "
+"with Latin ones. Xterm requires this unless you explicitly enable UTF-8 "
+"titles in it.\n"
+"\n"
+"If this option does not take effect immediately, try switching to a "
+"different page so that ELinks notices it needs to update the title."
+msgstr ""
+
+#: src/config/options.inc:910 src/dialogs/options.c:227
 msgid "Switch fonts for line drawing"
 msgstr ""
 
-#: src/config/options.inc:852
+#: src/config/options.inc:912
 msgid ""
-"Switch fonts when drawing lines, enabling both local characters\n"
-"and lines working at the same time. ELinks uses this option only if\n"
-"UTF-8 I/O is disabled and the terminal type is Linux or FreeBSD."
+"Switch fonts when drawing lines, enabling both local characters and lines "
+"working at the same time. ELinks uses this option only if UTF-8 I/O is "
+"disabled and the terminal type is Linux or FreeBSD."
 msgstr ""
 
 #. When CONFIG_UTF8 is defined, any code that reads the "utf_8_io"
@@ -3416,37 +3431,37 @@ msgstr ""
 #. * and if so, behave as if "utf_8_io" were 1.  (When CONFIG_UTF8 is
 #. * not defined, it should not be possible to set UTF-8 as "codepage";
 #. * please report any such possibilities as bugs.)
-#: src/config/options.inc:861 src/dialogs/options.c:232
+#: src/config/options.inc:922 src/dialogs/options.c:232
 msgid "UTF-8 I/O"
 msgstr "צ-צ UTF-8"
 
-#: src/config/options.inc:863
+#: src/config/options.inc:924
 msgid ""
-"Enable I/O in UTF-8 for Unicode terminals. Note that currently,\n"
-"only the subset of UTF-8 according to terminal codepage is used.\n"
-"ELinks ignores this option if the terminal codepage is UTF-8."
+"Enable I/O in UTF-8 for Unicode terminals. Note that currently, only the "
+"subset of UTF-8 according to terminal codepage is used. ELinks ignores this "
+"option if the terminal codepage is UTF-8."
 msgstr ""
 
-#: src/config/options.inc:867 src/dialogs/options.c:228
+#: src/config/options.inc:929 src/dialogs/options.c:228
 msgid "Restrict frames in cp850/852"
 msgstr "   cp850/852"
 
-#: src/config/options.inc:869
+#: src/config/options.inc:931
 msgid ""
-"Restrict the characters used when drawing lines. Makes sense\n"
-"only with linux terminals using the cp850/852 character sets."
+"Restrict the characters used when drawing lines. Makes sense only with linux "
+"terminals using the cp850/852 character sets."
 msgstr ""
 
-#: src/config/options.inc:872 src/dialogs/options.c:229
+#: src/config/options.inc:935 src/dialogs/options.c:229
 #, fuzzy
 msgid "Block cursor"
 msgstr " "
 
-#: src/config/options.inc:874
+#: src/config/options.inc:937
 msgid ""
-"Move cursor to bottom right corner when done drawing.\n"
-"This is particularly useful when we have a block cursor,\n"
-"so that inversed text is displayed correctly."
+"Move cursor to bottom right corner when done drawing. This is particularly "
+"useful when we have a block cursor, so that inversed text is displayed "
+"correctly."
 msgstr ""
 
 #. The list of modes must be at the end of this string
@@ -3454,13 +3469,15 @@ msgstr ""
 #. * an outer list entry after an inner list.
 #. * TRANSLATORS: This restriction applies only to the
 #. * "en" (English) translation.  (See doc/Makefile.)
-#: src/config/options.inc:885
+#: src/config/options.inc:948
 msgid ""
 "The color mode controls what colors are used and how they are output to the "
 "terminal.\n"
+"\n"
 "Some modes may have been disabled at compile time. The Setup -> Terminal "
 "options dialog lists the modes supported by this executable. If you select "
 "an unsupported mode, ELinks uses 16 colors.\n"
+"\n"
 "The color modes are:\n"
 "0 is mono mode, only 2 colors are used\n"
 "1 is 16 color mode, uses the common ANSI colors\n"
@@ -3469,427 +3486,424 @@ msgid ""
 "4 is true color mode, uses konsole RGB codes"
 msgstr ""
 
-#: src/config/options.inc:898 src/dialogs/options.c:230
+#: src/config/options.inc:963 src/dialogs/options.c:230
 msgid "Transparency"
 msgstr ""
 
-#: src/config/options.inc:900
+#: src/config/options.inc:965
 msgid ""
-"If we should not set the background to black. This is particularly\n"
-"useful when we have a terminal (typically in some windowing\n"
-"environment) with a background image or a transparent background -\n"
-"it will be visible in ELinks as well (but ELinks document color handling\n"
-"will still assume the background is black so if you have a bright "
-"background\n"
-"you might experience contrast problems). Note that this option makes\n"
-"sense only when colors are enabled."
+"If we should not set the background to black. This is particularly useful "
+"when we have a terminal (typically in some windowing environment) with a "
+"background image or a transparent background - it will be visible in ELinks "
+"as well (but ELinks document color handling will still assume the background "
+"is black so if you have a bright background you might experience contrast "
+"problems). Note that this option makes sense only when colors are enabled."
 msgstr ""
 
-#: src/config/options.inc:910
+#: src/config/options.inc:977
 msgid "If we should use underline or enhance the color instead."
 msgstr ""
 
-#: src/config/options.inc:914
+#: src/config/options.inc:982
 msgid ""
-"Codepage of charset used for displaying content on terminal.\n"
-"'System' stands for a codepage determined by a selected locale."
+"Codepage of charset used for displaying content on terminal. 'System' stands "
+"for a codepage determined by a selected locale."
 msgstr ""
 
 #. Keep options in alphabetical order.
-#: src/config/options.inc:921
+#: src/config/options.inc:990
 msgid "User interface"
 msgstr ""
 
-#: src/config/options.inc:923
+#: src/config/options.inc:992
 #, fuzzy
 msgid "User interface options."
 msgstr " i"
 
-#: src/config/options.inc:927
+#: src/config/options.inc:996
 msgid "Color settings"
 msgstr ""
 
-#: src/config/options.inc:929
+#: src/config/options.inc:998
 msgid "Default user interface color settings."
 msgstr ""
 
-#: src/config/options.inc:956
+#: src/config/options.inc:1025
 #, fuzzy
 msgid "Color terminals"
 msgstr "ͦ BeOS"
 
-#: src/config/options.inc:958
+#: src/config/options.inc:1027
 msgid "Color settings for color terminal."
 msgstr ""
 
-#: src/config/options.inc:960
+#: src/config/options.inc:1029
 msgid "Non-color terminals"
 msgstr ""
 
-#: src/config/options.inc:962
+#: src/config/options.inc:1031
 msgid "Color settings for non-color terminal."
 msgstr ""
 
 #. FIXME: obsolete, how to alias them correctly ? --Zas
-#: src/config/options.inc:965
+#: src/config/options.inc:1034
 msgid "Main menu bar"
 msgstr ""
 
-#: src/config/options.inc:967
+#: src/config/options.inc:1036
 msgid "Main menu bar colors."
 msgstr ""
 
-#: src/config/options.inc:969
+#: src/config/options.inc:1038
 msgid "Unselected main menu bar item"
 msgstr ""
 
-#: src/config/options.inc:971
+#: src/config/options.inc:1040
 msgid "Unselected main menu bar item colors."
 msgstr ""
 
-#: src/config/options.inc:973
+#: src/config/options.inc:1042
 msgid "Selected main menu bar item"
 msgstr ""
 
-#: src/config/options.inc:975
+#: src/config/options.inc:1044
 msgid "Selected main menu bar item colors."
 msgstr ""
 
-#: src/config/options.inc:977 src/config/options.inc:1006
+#: src/config/options.inc:1046 src/config/options.inc:1075
 msgid "Hotkey"
 msgstr ""
 
-#: src/config/options.inc:979
+#: src/config/options.inc:1048
 msgid "Main menu hotkey colors."
 msgstr ""
 
-#: src/config/options.inc:981 src/config/options.inc:1010
+#: src/config/options.inc:1050 src/config/options.inc:1079
 msgid "Unselected hotkey"
 msgstr ""
 
-#: src/config/options.inc:983
+#: src/config/options.inc:1052
 msgid "Main menu unselected hotkey colors."
 msgstr ""
 
-#: src/config/options.inc:985 src/config/options.inc:1014
+#: src/config/options.inc:1054 src/config/options.inc:1083
 #, fuzzy
 msgid "Selected hotkey"
 msgstr " "
 
-#: src/config/options.inc:987
+#: src/config/options.inc:1056
 msgid "Main menu selected hotkey colors."
 msgstr ""
 
-#: src/config/options.inc:990
+#: src/config/options.inc:1059
 msgid "Menu bar"
 msgstr ""
 
-#: src/config/options.inc:992
+#: src/config/options.inc:1061
 msgid "Menu bar colors."
 msgstr ""
 
-#: src/config/options.inc:994
+#: src/config/options.inc:1063
 msgid "Unselected menu item"
 msgstr ""
 
-#: src/config/options.inc:996
+#: src/config/options.inc:1065
 msgid "Unselected menu item colors."
 msgstr ""
 
-#: src/config/options.inc:998
+#: src/config/options.inc:1067
 #, fuzzy
 msgid "Selected menu item"
 msgstr " "
 
-#: src/config/options.inc:1000
+#: src/config/options.inc:1069
 msgid "Selected menu item colors."
 msgstr ""
 
-#: src/config/options.inc:1002
+#: src/config/options.inc:1071
 #, fuzzy
 msgid "Marked menu item"
 msgstr " "
 
-#: src/config/options.inc:1004
+#: src/config/options.inc:1073
 msgid "Marked menu item colors."
 msgstr ""
 
-#: src/config/options.inc:1008
+#: src/config/options.inc:1077
 msgid "Menu item hotkey colors."
 msgstr ""
 
-#: src/config/options.inc:1012
+#: src/config/options.inc:1081
 msgid "Menu item unselected hotkey colors."
 msgstr ""
 
-#: src/config/options.inc:1016
+#: src/config/options.inc:1085
 msgid "Menu item selected hotkey colors."
 msgstr ""
 
-#: src/config/options.inc:1018
+#: src/config/options.inc:1087
 #, fuzzy
 msgid "Menu frame"
 msgstr " "
 
-#: src/config/options.inc:1020
+#: src/config/options.inc:1089
 msgid "Menu frame colors."
 msgstr ""
 
-#: src/config/options.inc:1023
+#: src/config/options.inc:1092
 msgid "Dialog"
 msgstr ""
 
-#: src/config/options.inc:1025
+#: src/config/options.inc:1094
 msgid "Dialog colors."
 msgstr ""
 
-#: src/config/options.inc:1035
+#: src/config/options.inc:1104
 msgid "Generic"
 msgstr ""
 
-#: src/config/options.inc:1037
+#: src/config/options.inc:1106
 #, fuzzy
 msgid "Generic dialog colors."
 msgstr "ڦ '  ̦"
 
-#: src/config/options.inc:1039
+#: src/config/options.inc:1108
 #, fuzzy
 msgid "Frame"
 msgstr "'"
 
-#: src/config/options.inc:1041
+#: src/config/options.inc:1110
 msgid "Dialog frame colors."
 msgstr ""
 
-#: src/config/options.inc:1043
+#: src/config/options.inc:1112
 #, fuzzy
 msgid "Scrollbar"
 msgstr " "
 
-#: src/config/options.inc:1045
+#: src/config/options.inc:1114
 msgid "Scrollbar colors."
 msgstr ""
 
-#: src/config/options.inc:1047
+#: src/config/options.inc:1116
 #, fuzzy
 msgid "Selected scrollbar"
 msgstr "ڦ '  ̦"
 
-#: src/config/options.inc:1049
+#: src/config/options.inc:1118
 #, fuzzy
 msgid "Scrollbar selected colors."
 msgstr "ڦ '  ̦"
 
-#: src/config/options.inc:1053
+#: src/config/options.inc:1122
 msgid "Dialog title colors."
 msgstr ""
 
-#: src/config/options.inc:1055
+#: src/config/options.inc:1124
 #, fuzzy
 msgid "Text"
 msgstr " "
 
-#: src/config/options.inc:1057
+#: src/config/options.inc:1126
 msgid "Dialog text colors."
 msgstr ""
 
-#: src/config/options.inc:1059 src/viewer/text/form.c:1862
+#: src/config/options.inc:1128 src/viewer/text/form.c:1891
 msgid "Checkbox"
 msgstr ""
 
-#: src/config/options.inc:1061
+#: src/config/options.inc:1130
 msgid "Dialog checkbox colors."
 msgstr ""
 
-#: src/config/options.inc:1063
+#: src/config/options.inc:1132
 #, fuzzy
 msgid "Selected checkbox"
 msgstr " "
 
-#: src/config/options.inc:1065
+#: src/config/options.inc:1134
 #, fuzzy
 msgid "Dialog selected checkbox colors."
 msgstr "ڦ '  ̦"
 
-#: src/config/options.inc:1067
+#: src/config/options.inc:1136
 #, fuzzy
 msgid "Checkbox label"
 msgstr ""
 
-#: src/config/options.inc:1069
+#: src/config/options.inc:1138
 msgid "Dialog checkbox label colors."
 msgstr ""
 
-#: src/config/options.inc:1071
+#: src/config/options.inc:1140
 msgid "Button"
 msgstr ""
 
-#: src/config/options.inc:1073 src/config/options.inc:1081
+#: src/config/options.inc:1142 src/config/options.inc:1150
 msgid "Dialog button colors."
 msgstr ""
 
-#: src/config/options.inc:1075
+#: src/config/options.inc:1144
 msgid "Selected button"
 msgstr ""
 
-#: src/config/options.inc:1077 src/config/options.inc:1085
+#: src/config/options.inc:1146 src/config/options.inc:1154
 msgid "Dialog selected button colors."
 msgstr ""
 
-#: src/config/options.inc:1079
+#: src/config/options.inc:1148
 msgid "Button shortcut"
 msgstr ""
 
-#: src/config/options.inc:1083
+#: src/config/options.inc:1152
 #, fuzzy
 msgid "Selected button shortcut"
 msgstr " "
 
-#: src/config/options.inc:1087 src/viewer/text/form.c:1866
+#: src/config/options.inc:1156 src/viewer/text/form.c:1895
 msgid "Text field"
 msgstr " "
 
-#: src/config/options.inc:1089
+#: src/config/options.inc:1158
 msgid "Dialog text field colors."
 msgstr ""
 
-#: src/config/options.inc:1091
+#: src/config/options.inc:1160
 #, fuzzy
 msgid "Text field text"
 msgstr " "
 
-#: src/config/options.inc:1093
+#: src/config/options.inc:1162
 msgid "Dialog field text colors."
 msgstr ""
 
-#: src/config/options.inc:1095
+#: src/config/options.inc:1164
 msgid "Meter"
 msgstr ""
 
-#: src/config/options.inc:1097
+#: src/config/options.inc:1166
 msgid "Dialog meter colors."
 msgstr ""
 
-#: src/config/options.inc:1099
+#: src/config/options.inc:1168
 msgid "Shadow"
 msgstr ""
 
-#: src/config/options.inc:1101
+#: src/config/options.inc:1170
 msgid "Dialog shadow colors (see ui.shadows option)."
 msgstr ""
 
-#: src/config/options.inc:1103
+#: src/config/options.inc:1172
 #, fuzzy
 msgid "Title bar"
 msgstr ""
 
-#: src/config/options.inc:1105
+#: src/config/options.inc:1174
 msgid "Title bar colors."
 msgstr ""
 
-#: src/config/options.inc:1107
+#: src/config/options.inc:1176
 msgid "Generic title bar"
 msgstr ""
 
-#: src/config/options.inc:1109
+#: src/config/options.inc:1178
 msgid "Generic title bar colors."
 msgstr ""
 
-#: src/config/options.inc:1111
+#: src/config/options.inc:1180
 msgid "Title bar text"
 msgstr ""
 
-#: src/config/options.inc:1113
+#: src/config/options.inc:1182
 msgid "Title bar text colors."
 msgstr ""
 
-#: src/config/options.inc:1116
+#: src/config/options.inc:1185
 msgid "Status bar"
 msgstr ""
 
-#: src/config/options.inc:1118
+#: src/config/options.inc:1187
 msgid "Status bar colors."
 msgstr ""
 
-#: src/config/options.inc:1120
+#: src/config/options.inc:1189
 msgid "Generic status bar"
 msgstr ""
 
-#: src/config/options.inc:1122
+#: src/config/options.inc:1191
 msgid "Generic status bar colors."
 msgstr ""
 
-#: src/config/options.inc:1124
+#: src/config/options.inc:1193
 #, fuzzy
 msgid "Status bar text"
 msgstr " "
 
-#: src/config/options.inc:1126
+#: src/config/options.inc:1195
 msgid "Status bar text colors."
 msgstr ""
 
-#: src/config/options.inc:1129
+#: src/config/options.inc:1198
 msgid "Tabs bar"
 msgstr ""
 
-#: src/config/options.inc:1131
+#: src/config/options.inc:1200
 msgid "Tabs bar colors."
 msgstr ""
 
-#: src/config/options.inc:1133
+#: src/config/options.inc:1202
 #, fuzzy
 msgid "Unvisited tab"
 msgstr " "
 
-#: src/config/options.inc:1135
+#: src/config/options.inc:1204
 msgid ""
-"Tab colors for tabs that have not been\n"
-"selected since they completed loading."
+"Tab colors for tabs that have not been selected since they completed loading."
 msgstr ""
 
-#: src/config/options.inc:1138
+#: src/config/options.inc:1207
 #, fuzzy
 msgid "Unselected tab"
 msgstr " "
 
-#: src/config/options.inc:1140
+#: src/config/options.inc:1209
 #, fuzzy
 msgid "Unselected tab colors."
 msgstr "ڦ '  ̦"
 
-#: src/config/options.inc:1142
+#: src/config/options.inc:1211
 #, fuzzy
 msgid "Loading tab"
 msgstr "դ"
 
-#: src/config/options.inc:1144
+#: src/config/options.inc:1213
 msgid "Tab colors for tabs that are loading in the background."
 msgstr ""
 
-#: src/config/options.inc:1146
+#: src/config/options.inc:1215
 #, fuzzy
 msgid "Selected tab"
 msgstr " "
 
-#: src/config/options.inc:1148
+#: src/config/options.inc:1217
 #, fuzzy
 msgid "Selected tab colors."
 msgstr "ڦ '  ̦"
 
-#: src/config/options.inc:1150
+#: src/config/options.inc:1219
 msgid "Tab separator"
 msgstr ""
 
-#: src/config/options.inc:1152
+#: src/config/options.inc:1221
 msgid "Tab separator colors."
 msgstr ""
 
-#: src/config/options.inc:1155
+#: src/config/options.inc:1224
 #, fuzzy
 msgid "Searched strings"
 msgstr " "
 
-#: src/config/options.inc:1157
+#: src/config/options.inc:1226
 #, fuzzy
 msgid "Searched string highlight colors."
 msgstr "  "
@@ -3898,69 +3912,69 @@ msgstr "  "
 #. ============= BORING PART (colors) END ===================
 #. ==========================================================
 #. Keep options in alphabetical order.
-#: src/config/options.inc:1166
+#: src/config/options.inc:1235
 msgid "Dialog settings"
 msgstr ""
 
-#: src/config/options.inc:1168
+#: src/config/options.inc:1237
 msgid "Dialogs-specific appearance and behaviour settings."
 msgstr ""
 
-#: src/config/options.inc:1171
+#: src/config/options.inc:1240
 msgid "Minimal height of listbox widget"
 msgstr ""
 
-#: src/config/options.inc:1173
+#: src/config/options.inc:1242
 msgid ""
-"Minimal height of the listbox widget (used e.g. for bookmarks\n"
-"or global history)."
+"Minimal height of the listbox widget (used e.g. for bookmarks or global "
+"history)."
 msgstr ""
 
-#: src/config/options.inc:1176
+#: src/config/options.inc:1245
 msgid "Drop shadows"
 msgstr ""
 
-#: src/config/options.inc:1178
+#: src/config/options.inc:1247
 msgid ""
-"Make dialogs drop shadows (the shadows are solid, you can\n"
-"adjust their color by ui.colors.*.dialog.shadow). You may\n"
-"also want to eliminate the wide borders by adjusting setup.h."
+"Make dialogs drop shadows (the shadows are solid, you can adjust their color "
+"by ui.colors.*.dialog.shadow). You may also want to eliminate the wide "
+"borders by adjusting setup.h."
 msgstr ""
 
-#: src/config/options.inc:1182
+#: src/config/options.inc:1252
 #, fuzzy
 msgid "Underline menu hotkeys"
 msgstr " "
 
-#: src/config/options.inc:1184
+#: src/config/options.inc:1254
 msgid ""
-"Whether to underline hotkeys in menus to make them more\n"
-"visible. Requires that underlining is enabled for the terminal."
+"Whether to underline hotkeys in menus to make them more visible. Requires "
+"that underlining is enabled for the terminal."
 msgstr ""
 
-#: src/config/options.inc:1187
+#: src/config/options.inc:1258
 #, fuzzy
 msgid "Underline button shortcuts"
 msgstr " "
 
-#: src/config/options.inc:1189
+#: src/config/options.inc:1260
 msgid ""
-"Whether to underline button shortcuts to make them more\n"
-"visible. Requires that underlining is enabled for the terminal."
+"Whether to underline button shortcuts to make them more visible. Requires "
+"that underlining is enabled for the terminal."
 msgstr ""
 
-#: src/config/options.inc:1193
+#: src/config/options.inc:1265
 #, fuzzy
 msgid "Timer options"
 msgstr " i"
 
-#: src/config/options.inc:1195
+#: src/config/options.inc:1267
 msgid ""
-"Timed action after certain interval of user inactivity. Someone can\n"
-"even find this useful, although you may not believe that."
+"Timed action after certain interval of user inactivity. Someone can even "
+"find this useful, although you may not believe that."
 msgstr ""
 
-#: src/config/options.inc:1201
+#: src/config/options.inc:1274
 msgid ""
 "Whether to enable the timer or not:\n"
 "0 is don't count down anything\n"
@@ -3968,7 +3982,7 @@ msgid ""
 "2 is count down and show the timer near LEDs"
 msgstr ""
 
-#: src/config/options.inc:1208
+#: src/config/options.inc:1281
 msgid ""
 "Whether to enable the timer or not:\n"
 "0 is don't count down anything\n"
@@ -3976,35 +3990,35 @@ msgid ""
 "2 is count down and show the timer near LEDs (DISABLED)"
 msgstr ""
 
-#: src/config/options.inc:1214
+#: src/config/options.inc:1287
 msgid "Duration"
 msgstr ""
 
-#: src/config/options.inc:1216
+#: src/config/options.inc:1289
 msgid ""
-"Inactivity timeout in seconds. The maximum of one day\n"
-"should be enough for just everyone (TM)."
+"Inactivity timeout in seconds. The maximum of one day should be enough for "
+"just everyone (TM)."
 msgstr ""
 
-#: src/config/options.inc:1221
+#: src/config/options.inc:1294
 msgid "Keybinding action to be triggered when timer reaches zero."
 msgstr ""
 
-#: src/config/options.inc:1224
+#: src/config/options.inc:1298
 #, fuzzy
 msgid "Window tabs"
 msgstr ""
 
-#: src/config/options.inc:1226
+#: src/config/options.inc:1300
 msgid "Window tabs settings."
 msgstr ""
 
-#: src/config/options.inc:1228
+#: src/config/options.inc:1302
 #, fuzzy
 msgid "Display tabs bar"
 msgstr " "
 
-#: src/config/options.inc:1230
+#: src/config/options.inc:1304
 msgid ""
 "Show tabs bar on the screen:\n"
 "0 means never\n"
@@ -4012,172 +4026,171 @@ msgid ""
 "2 means always"
 msgstr ""
 
-#: src/config/options.inc:1235
+#: src/config/options.inc:1309
 msgid "Tab bar at top"
 msgstr ""
 
-#: src/config/options.inc:1237
+#: src/config/options.inc:1311
 msgid "Whether display tab bar at top like other browsers do."
 msgstr ""
 
-#: src/config/options.inc:1239
+#: src/config/options.inc:1313
 msgid "Wrap-around tabs cycling"
 msgstr ""
 
-#: src/config/options.inc:1241
+#: src/config/options.inc:1315
 msgid ""
-"When moving right from the last tab, jump to the first one, and\n"
-"vice versa."
+"When moving right from the last tab, jump to the first one, and vice versa."
 msgstr ""
 
-#: src/config/options.inc:1244
+#: src/config/options.inc:1318
 msgid "Confirm tab closing"
 msgstr ""
 
-#: src/config/options.inc:1246
+#: src/config/options.inc:1320
 #, fuzzy
 msgid "When closing a tab show confirmation dialog."
 msgstr "  Ц "
 
 #. OPT_LANGUAGE
-#: src/config/options.inc:1250 src/config/opttypes.c:483
+#: src/config/options.inc:1324 src/config/opttypes.c:483
 msgid "Language"
 msgstr ""
 
-#: src/config/options.inc:1252
+#: src/config/options.inc:1326
 msgid ""
-"Language of user interface. 'System' means that the language will\n"
-"be extracted from the environment dynamically."
+"Language of user interface. 'System' means that the language will be "
+"extracted from the environment dynamically."
 msgstr ""
 
-#: src/config/options.inc:1255
+#: src/config/options.inc:1330
 #, fuzzy
 msgid "Display menu bar always"
 msgstr " "
 
-#: src/config/options.inc:1257
+#: src/config/options.inc:1332
 msgid "Always show menu bar on the screen."
 msgstr ""
 
-#: src/config/options.inc:1259
+#: src/config/options.inc:1334
 #, fuzzy
 msgid "Display status bar"
 msgstr " "
 
-#: src/config/options.inc:1261
+#: src/config/options.inc:1336
 msgid "Show status bar on the screen."
 msgstr ""
 
-#: src/config/options.inc:1263
+#: src/config/options.inc:1338
 #, fuzzy
 msgid "Display title bar"
 msgstr " "
 
-#: src/config/options.inc:1265
+#: src/config/options.inc:1340
 msgid "Show title bar on the screen."
 msgstr ""
 
-#: src/config/options.inc:1267
+#: src/config/options.inc:1342
 msgid "Display goto dialog in new tabs"
 msgstr ""
 
-#: src/config/options.inc:1269
+#: src/config/options.inc:1344
 msgid ""
-"Pop up goto dialog in newly created tabs when there's no homepage\n"
-"set. This means also showing goto dialog on startup."
+"Pop up goto dialog in newly created tabs when there's no homepage set. This "
+"means also showing goto dialog on startup."
 msgstr ""
 
-#: src/config/options.inc:1272
+#: src/config/options.inc:1348
 msgid "Show a message box when file is saved successfully"
 msgstr ""
 
-#: src/config/options.inc:1274
+#: src/config/options.inc:1350
 msgid ""
-"When you pressed a [ Save ] button in some manager, this option\n"
-"will make sure that a box confirming success of the operation will\n"
-"pop up."
+"When you pressed a [ Save ] button in some manager, this option will make "
+"sure that a box confirming success of the operation will pop up."
 msgstr ""
 
-#: src/config/options.inc:1279
+#: src/config/options.inc:1355
 #, fuzzy
 msgid "Sessions"
 msgstr ""
 
-#: src/config/options.inc:1281
+#: src/config/options.inc:1357
 msgid "Sessions settings."
 msgstr ""
 
-#: src/config/options.inc:1283
+#: src/config/options.inc:1359
 msgid "Keep session active"
 msgstr ""
 
-#: src/config/options.inc:1285
+#: src/config/options.inc:1361
 msgid "Keep the session active even if the last terminal exits."
 msgstr ""
 
-#: src/config/options.inc:1287
+#: src/config/options.inc:1364
 msgid "Auto save session"
 msgstr ""
 
-#: src/config/options.inc:1289
+#: src/config/options.inc:1366
 msgid ""
 "Automatically save the session when quitting.\n"
+"\n"
 "This feature requires bookmark support."
 msgstr ""
 
-#: src/config/options.inc:1292
+#: src/config/options.inc:1370
 msgid "Auto restore session"
 msgstr ""
 
-#: src/config/options.inc:1294
+#: src/config/options.inc:1372
 msgid ""
 "Automatically restore the session at start.\n"
+"\n"
 "This feature requires bookmark support."
 msgstr ""
 
-#: src/config/options.inc:1297
+#: src/config/options.inc:1376
 msgid "Auto save and restore session folder name"
 msgstr ""
 
-#: src/config/options.inc:1299
+#: src/config/options.inc:1378
 msgid ""
-"Name of the bookmarks folder used for auto saving and restoring session.\n"
-"The name has to be unique. Any folders with the same name will be deleted.\n"
+"Name of the bookmarks folder used for auto saving and restoring session. The "
+"name has to be unique. Any folders with the same name will be deleted.\n"
+"\n"
 "This only makes sense with bookmark support."
 msgstr ""
 
-#: src/config/options.inc:1303
+#: src/config/options.inc:1384
 #, fuzzy
 msgid "Homepage URI"
 msgstr " Ҧ"
 
-#: src/config/options.inc:1305
+#: src/config/options.inc:1386
 msgid ""
-"The URI to load either at startup time when no URI was given\n"
-"on the command line or when requested by the goto-url-home action.\n"
-"Set to \"\" if the environment variable WWW_HOME should be used\n"
-"as homepage URI instead."
+"The URI to load either at startup time when no URI was given on the command "
+"line or when requested by the goto-url-home action. Set to \"\" if the "
+"environment variable WWW_HOME should be used as homepage URI instead."
 msgstr ""
 
-#: src/config/options.inc:1311
+#: src/config/options.inc:1392
 #, fuzzy
 msgid "Date format"
 msgstr "  (upload)"
 
-#: src/config/options.inc:1313
+#: src/config/options.inc:1394
 msgid "Date format to use in dialogs. See strftime(3)."
 msgstr ""
 
-#: src/config/options.inc:1316
+#: src/config/options.inc:1397
 #, fuzzy
 msgid "Set window title"
 msgstr " "
 
-#: src/config/options.inc:1318
+#: src/config/options.inc:1399
 msgid ""
-"Set the window title when running in a windowing environment\n"
-"in an xterm-like terminal. This way the document's title is\n"
-"shown on the window titlebar."
+"Set the window title when running in a windowing environment in an xterm-"
+"like terminal. This way the document's title is shown on the window titlebar."
 msgstr ""
 
 #: src/config/opttypes.c:54
@@ -4264,7 +4277,7 @@ msgid "Goto URL History"
 msgstr " Ҧ"
 
 #. name:
-#: src/cookies/cookies.c:88 src/cookies/cookies.c:911
+#: src/cookies/cookies.c:88 src/cookies/cookies.c:913
 msgid "Cookies"
 msgstr ""
 
@@ -4294,10 +4307,10 @@ msgstr " '"
 msgid ""
 "Cookie maximum age (in days):\n"
 "-1 is use cookie's expiration date if any\n"
-"0  is force expiration at the end of session, ignoring cookie's\n"
-"   expiration date\n"
-"1+ is use cookie's expiration date, but limit age to the given\n"
-"   number of days"
+"0  is force expiration at the end of session, ignoring\n"
+"   cookie's expiration date\n"
+"1+ is use cookie's expiration date, but limit age to the\n"
+"   given number of days"
 msgstr ""
 
 #: src/cookies/cookies.c:109
@@ -4306,42 +4319,42 @@ msgstr ""
 
 #: src/cookies/cookies.c:111
 msgid ""
-"When enabled, we'll require three dots in cookies domain for all\n"
-"non-international domains (instead of just two dots). Some countries\n"
-"have generic second level domains (eg. .com.pl, .co.uk) and allowing\n"
-"sites to set cookies for these generic domains could potentially be\n"
-"very bad. Note, it is off by default as it breaks a lot of sites."
+"When enabled, we'll require three dots in cookies domain for all non-"
+"international domains (instead of just two dots). Some countries have "
+"generic second level domains (eg. .com.pl, .co.uk) and allowing sites to set "
+"cookies for these generic domains could potentially be very bad. Note, it is "
+"off by default as it breaks a lot of sites."
 msgstr ""
 
-#: src/cookies/cookies.c:117
+#: src/cookies/cookies.c:118
 #, fuzzy
 msgid "Saving"
 msgstr " "
 
-#: src/cookies/cookies.c:119
+#: src/cookies/cookies.c:120
 msgid "Whether cookies should be loaded from and saved to disk."
 msgstr ""
 
-#: src/cookies/cookies.c:121
+#: src/cookies/cookies.c:123
 msgid "Resaving"
 msgstr ""
 
-#: src/cookies/cookies.c:123
+#: src/cookies/cookies.c:125
 msgid ""
-"Save cookies after each change in cookies list? No effect when\n"
-"cookie saving (cookies.save) is off."
+"Save cookies after each change in cookies list? No effect when cookie saving "
+"(cookies.save) is off."
 msgstr ""
 
-#: src/cookies/cookies.c:817
+#: src/cookies/cookies.c:819
 #, fuzzy
 msgid "Cannot save cookies"
 msgstr "  Ҧ"
 
-#: src/cookies/cookies.c:828
+#: src/cookies/cookies.c:830
 msgid "ELinks was started without a home directory."
 msgstr ""
 
-#: src/cookies/cookies.c:834
+#: src/cookies/cookies.c:836
 msgid "ELinks was started with the -anonymous option."
 msgstr ""
 
@@ -4571,7 +4584,7 @@ msgid "No header info."
 msgstr ""
 
 #: src/dialogs/download.c:243 src/dialogs/menu.c:601
-#: src/protocol/bittorrent/dialogs.c:228 src/session/download.c:361
+#: src/protocol/bittorrent/dialogs.c:228 src/session/download.c:387
 msgid "Download"
 msgstr ""
 
@@ -5432,7 +5445,7 @@ msgid "No document"
 msgstr "Ԧ"
 
 #. name:
-#: src/document/css/css.c:30 src/document/css/css.c:161
+#: src/document/css/css.c:30 src/document/css/css.c:164
 msgid "Cascading Style Sheets"
 msgstr ""
 
@@ -5440,36 +5453,36 @@ msgstr ""
 msgid "Options concerning how to use CSS for styling documents."
 msgstr ""
 
-#: src/document/css/css.c:34
+#: src/document/css/css.c:35
 #, fuzzy
 msgid "Enable CSS"
 msgstr "'"
 
-#: src/document/css/css.c:36
+#: src/document/css/css.c:37
 msgid "Enable adding of CSS style info to documents."
 msgstr ""
 
-#: src/document/css/css.c:38
+#: src/document/css/css.c:39
 msgid "Import external style sheets"
 msgstr ""
 
-#: src/document/css/css.c:40
+#: src/document/css/css.c:41
 msgid ""
-"When enabled any external style sheets that are imported from\n"
-"either CSS itself using the @import keyword or from the HTML using\n"
-"<link> tags in the document header will also be downloaded."
+"When enabled any external style sheets that are imported from either CSS "
+"itself using the @import keyword or from the HTML using <link> tags in the "
+"document header will also be downloaded."
 msgstr ""
 
-#: src/document/css/css.c:44
+#: src/document/css/css.c:46
 msgid "Default style sheet"
 msgstr ""
 
-#: src/document/css/css.c:46
+#: src/document/css/css.c:48
 msgid ""
-"The path to the file containing the default user defined\n"
-"Cascading Style Sheet. It can be used to control the basic\n"
-"layout of HTML documents. The path is assumed to be relative\n"
-"to ELinks' home directory.\n"
+"The path to the file containing the default user defined Cascading Style "
+"Sheet. It can be used to control the basic layout of HTML documents. The "
+"path is assumed to be relative to ELinks' home directory.\n"
+"\n"
 "Leave as \"\" to use built-in document styling."
 msgstr ""
 
@@ -5502,8 +5515,8 @@ msgstr ""
 
 #: src/ecmascript/ecmascript.c:55
 msgid ""
-"Whether to ignore content enclosed by the <noscript> tag\n"
-"when ECMAScript is enabled."
+"Whether to ignore content enclosed by the <noscript> tag when ECMAScript is "
+"enabled."
 msgstr ""
 
 #: src/ecmascript/ecmascript.c:58
@@ -5555,7 +5568,7 @@ msgid "JavaScript Error"
 msgstr ""
 
 #. name:
-#: src/ecmascript/spidermonkey.c:320
+#: src/ecmascript/spidermonkey.c:321
 msgid "SpiderMonkey"
 msgstr ""
 
@@ -5661,9 +5674,8 @@ msgstr " i"
 
 #: src/formhist/formhist.c:38
 msgid ""
-"Ask if a login form should be saved to file or not.\n"
-"This option only disables the dialog, already saved login\n"
-"forms are unaffected."
+"Ask if a login form should be saved to file or not. This option only "
+"disables the dialog, already saved login forms are unaffected."
 msgstr ""
 
 #: src/formhist/formhist.c:426
@@ -5773,20 +5785,20 @@ msgstr " Ҧ"
 msgid "Enable global history (\"history of all pages visited\")."
 msgstr ""
 
-#: src/globhist/globhist.c:68
+#: src/globhist/globhist.c:69
 msgid "Maximum number of entries"
 msgstr ""
 
-#: src/globhist/globhist.c:70
+#: src/globhist/globhist.c:71
 msgid "Maximum number of entries in the global history."
 msgstr ""
 
-#: src/globhist/globhist.c:72
+#: src/globhist/globhist.c:73
 #, fuzzy
 msgid "Display style"
 msgstr " "
 
-#: src/globhist/globhist.c:74
+#: src/globhist/globhist.c:75
 msgid ""
 "What to display in global history dialog:\n"
 "0 is URLs\n"
@@ -5794,7 +5806,7 @@ msgid ""
 msgstr ""
 
 #. name:
-#: src/globhist/globhist.c:451
+#: src/globhist/globhist.c:449
 #, fuzzy
 msgid "Global History"
 msgstr " Ҧ"
@@ -6024,101 +6036,95 @@ msgstr ""
 
 #: src/mime/backend/default.c:27
 msgid ""
-"Handler <-> MIME type association. The first sub-tree is the MIME\n"
-"class while the second sub-tree is the MIME type (ie. image/gif\n"
-"handler will reside at mime.type.image.gif). Each MIME type option\n"
-"should contain (case-sensitive) name of the MIME handler (its\n"
-"properties are stored at mime.handler.<name>)."
+"Handler <-> MIME type association. The first sub-tree is the MIME class "
+"while the second sub-tree is the MIME type (ie. image/gif handler will "
+"reside at mime.type.image.gif). Each MIME type option should contain (case-"
+"sensitive) name of the MIME handler (its properties are stored at mime."
+"handler.<name>)."
 msgstr ""
 
-#: src/mime/backend/default.c:35
+#: src/mime/backend/default.c:36
 msgid ""
-"Handler matching this MIME-type class ('*' is used here in place\n"
-"of '.')."
+"Handler matching this MIME-type class ('*' is used here in place of '.')."
 msgstr ""
 
-#: src/mime/backend/default.c:40
+#: src/mime/backend/default.c:41
 msgid ""
-"Handler matching this MIME-type name ('*' is used here in place\n"
-"of '.')."
+"Handler matching this MIME-type name ('*' is used here in place of '.')."
 msgstr ""
 
-#: src/mime/backend/default.c:44
+#: src/mime/backend/default.c:45
 msgid "File type handlers"
 msgstr ""
 
-#: src/mime/backend/default.c:46
+#: src/mime/backend/default.c:47
 msgid ""
-"A file type handler is a set of information about how to use\n"
-"an external program to view a file. It is possible to refer to it\n"
-"for several MIME types -- e.g., you can define an 'image' handler\n"
-"to which mime.type.image.png, mime.type.image.jpeg, and so on will\n"
-"refer; or one might define a handler for a more specific type of file\n"
-"-- e.g., PDF files.\n"
-"Note you must define both a MIME handler and a MIME type association\n"
-"for it to work."
+"A file type handler is a set of information about how to use an external "
+"program to view a file. It is possible to refer to it for several MIME types "
+"-- e.g., you can define an 'image' handler to which mime.type.image.png, "
+"mime.type.image.jpeg, and so on will refer; or one might define a handler "
+"for a more specific type of file -- e.g., PDF files. Note you must define "
+"both a MIME handler and a MIME type association for it to work."
 msgstr ""
 
-#: src/mime/backend/default.c:57
+#: src/mime/backend/default.c:58
 msgid "Description of this handler."
 msgstr ""
 
-#: src/mime/backend/default.c:61
+#: src/mime/backend/default.c:62
 msgid "System-specific handler description (ie. unix, unix-xwin, ...)."
 msgstr ""
 
-#: src/mime/backend/default.c:63 src/mime/backend/mailcap.c:102
+#: src/mime/backend/default.c:65 src/mime/backend/mailcap.c:102
 msgid "Ask before opening"
 msgstr ""
 
-#: src/mime/backend/default.c:65
+#: src/mime/backend/default.c:67
 msgid "Ask before opening."
 msgstr ""
 
-#: src/mime/backend/default.c:67
+#: src/mime/backend/default.c:69
 #, fuzzy
 msgid "Block terminal"
 msgstr "ͦ BeOS"
 
-#: src/mime/backend/default.c:69
+#: src/mime/backend/default.c:71
 msgid "Block the terminal when the handler is running."
 msgstr ""
 
-#: src/mime/backend/default.c:71
+#: src/mime/backend/default.c:73
 #, fuzzy
 msgid "Program"
 msgstr " "
 
-#: src/mime/backend/default.c:74
+#: src/mime/backend/default.c:76
 #, no-c-format
 msgid ""
-"External viewer for this file type. '%' in this string will be\n"
-"substituted by a file name.\n"
-"Do _not_ put single- or double-quotes around the % sign."
+"External viewer for this file type. '%' in this string will be substituted "
+"by a file name. Do _not_ put single- or double-quotes around the % sign."
 msgstr ""
 
-#: src/mime/backend/default.c:79
+#: src/mime/backend/default.c:81
 #, fuzzy
 msgid "File extension associations"
 msgstr " ̦"
 
-#: src/mime/backend/default.c:81
+#: src/mime/backend/default.c:83
 msgid "Extension <-> MIME type association."
 msgstr ""
 
-#: src/mime/backend/default.c:85
+#: src/mime/backend/default.c:87
 msgid ""
-"MIME-type matching this file extension ('*' is used here in place\n"
-"of '.')."
+"MIME-type matching this file extension ('*' is used here in place of '.')."
 msgstr ""
 
 #. name:
-#: src/mime/backend/default.c:216
+#: src/mime/backend/default.c:218
 msgid "Option system"
 msgstr ""
 
 #. name:
-#: src/mime/backend/mailcap.c:89 src/mime/backend/mailcap.c:684
+#: src/mime/backend/mailcap.c:89 src/mime/backend/mailcap.c:686
 msgid "Mailcap"
 msgstr ""
 
@@ -6132,8 +6138,8 @@ msgstr ""
 
 #: src/mime/backend/mailcap.c:99
 msgid ""
-"Mailcap search path. Colon-separated list of files.\n"
-"Leave as \"\" to use MAILCAP environment variable instead."
+"Mailcap search path. Colon-separated list of files. Leave as \"\" to use "
+"MAILCAP environment variable instead."
 msgstr ""
 
 #: src/mime/backend/mailcap.c:104
@@ -6146,39 +6152,38 @@ msgstr ""
 
 #: src/mime/backend/mailcap.c:108
 msgid ""
-"Type of description to show in \"what to do with this file\"\n"
-"query dialog:\n"
+"Type of description to show in \"what to do with this file\" query dialog:\n"
 "0 is show \"mailcap\"\n"
 "1 is show program to be run\n"
-"2 is show mailcap description field if any; \"mailcap\" otherwise"
+"2 is show mailcap description field if any;\n"
+"     \"mailcap\" otherwise"
 msgstr ""
 
-#: src/mime/backend/mailcap.c:114
+#: src/mime/backend/mailcap.c:115
 msgid "Prioritize entries by file"
 msgstr ""
 
-#: src/mime/backend/mailcap.c:116
+#: src/mime/backend/mailcap.c:117
 msgid ""
-"Prioritize entries by the order of the files in the mailcap\n"
-"path. This means that wildcard entries (like: image/*) will\n"
-"also be checked before deciding the handler."
+"Prioritize entries by the order of the files in the mailcap path. This means "
+"that wildcard entries (like: image/*) will also be checked before deciding "
+"the handler."
 msgstr ""
 
-#: src/mime/backend/mailcap.c:349
+#: src/mime/backend/mailcap.c:351
 #, c-format
 msgid "Badly formated mailcap entry for type %s in \"%s\" line %d"
 msgstr ""
 
 #. name:
-#: src/mime/backend/mimetypes.c:46 src/mime/backend/mimetypes.c:279
+#: src/mime/backend/mimetypes.c:46 src/mime/backend/mimetypes.c:280
 msgid "Mimetypes files"
 msgstr ""
 
 #: src/mime/backend/mimetypes.c:48
 msgid ""
-"Options for the support of mime.types files. These files\n"
-"can be used to find the content type of a URL by looking at\n"
-"the extension of the file name."
+"Options for the support of mime.types files. These files can be used to find "
+"the content type of a URL by looking at the extension of the file name."
 msgstr ""
 
 #: src/mime/backend/mimetypes.c:54
@@ -6215,7 +6220,7 @@ msgid "No extensions"
 msgstr " "
 
 #. name:
-#: src/mime/mime.c:38 src/mime/mime.c:360
+#: src/mime/mime.c:38 src/mime/mime.c:361
 msgid "MIME"
 msgstr ""
 
@@ -6229,8 +6234,8 @@ msgstr ""
 
 #: src/mime/mime.c:44
 msgid ""
-"Document MIME-type to assume by default (when we are unable to\n"
-"guess it properly from known information about the document)."
+"Document MIME-type to assume by default (when we are unable to guess it "
+"properly from known information about the document)."
 msgstr ""
 
 #: src/network/ssl/ssl.c:72 src/network/ssl/ssl.c:161
@@ -6239,8 +6244,8 @@ msgstr ""
 
 #: src/network/ssl/ssl.c:74
 msgid ""
-"Verify the peer's SSL certificate. Note that this\n"
-"needs extensive configuration of OpenSSL by the user."
+"Verify the peer's SSL certificate. Note that this needs extensive "
+"configuration of OpenSSL by the user."
 msgstr ""
 
 #: src/network/ssl/ssl.c:77
@@ -6254,8 +6259,8 @@ msgstr " i"
 
 #: src/network/ssl/ssl.c:83
 msgid ""
-"Enable or not the sending of X509 client certificates\n"
-"to servers which request them."
+"Enable or not the sending of X509 client certificates to servers which "
+"request them."
 msgstr ""
 
 #: src/network/ssl/ssl.c:86
@@ -6265,16 +6270,15 @@ msgstr "ަ "
 
 #: src/network/ssl/ssl.c:88
 msgid ""
-"The location of a file containing the client certificate\n"
-"and unencrypted private key in PEM format. If unset, the\n"
-"file pointed to by the X509_CLIENT_CERT variable is used\n"
-"instead."
+"The location of a file containing the client certificate and unencrypted "
+"private key in PEM format. If unset, the file pointed to by the "
+"X509_CLIENT_CERT variable is used instead."
 msgstr ""
 
 #: src/network/ssl/ssl.c:163
 msgid ""
-"Verify the peer's SSL certificate.  If you enable\n"
-"this, set also \"Trusted CA file\"."
+"Verify the peer's SSL certificate.  If you enable this, set also \"Trusted "
+"CA file\"."
 msgstr ""
 
 #. The default value of the following option points to a file
@@ -6292,20 +6296,20 @@ msgstr ""
 
 #: src/network/ssl/ssl.c:176
 msgid ""
-"The location of a file containing certificates of\n"
-"trusted certification authorities in PEM format.\n"
-"ELinks then trusts certificates issued by these CAs.\n"
-"If you change this option or the file, you must\n"
-"restart ELinks for the changes to take effect.\n"
-"This option affects GnuTLS but not OpenSSL."
+"The location of a file containing certificates of trusted certification "
+"authorities in PEM format. ELinks then trusts certificates issued by these "
+"CAs.\n"
+"\n"
+"If you change this option or the file, you must restart ELinks for the "
+"changes to take effect. This option affects GnuTLS but not OpenSSL."
 msgstr ""
 
 #. name:
-#: src/network/ssl/ssl.c:199 src/network/ssl/ssl.c:216
+#: src/network/ssl/ssl.c:200 src/network/ssl/ssl.c:217
 msgid "SSL"
 msgstr ""
 
-#: src/network/ssl/ssl.c:201
+#: src/network/ssl/ssl.c:202
 #, fuzzy
 msgid "SSL options."
 msgstr " "
@@ -6643,7 +6647,7 @@ msgstr "Ȧ Ʀæ  "
 msgid "Login"
 msgstr "' "
 
-#: src/protocol/auth/dialogs.c:113 src/protocol/http/http.c:140
+#: src/protocol/auth/dialogs.c:113 src/protocol/http/http.c:142
 msgid "Password"
 msgstr ""
 
@@ -6726,7 +6730,7 @@ msgstr "HTTP Ʀæ"
 
 #. name:
 #: src/protocol/bittorrent/bittorrent.c:26
-#: src/protocol/bittorrent/bittorrent.c:335
+#: src/protocol/bittorrent/bittorrent.c:339
 msgid "BitTorrent"
 msgstr ""
 
@@ -6781,9 +6785,8 @@ msgstr ""
 
 #: src/protocol/bittorrent/bittorrent.c:57
 msgid ""
-"Whether to request that the tracker returns peer info\n"
-"in compact format. Note, the compact format only supports\n"
-"IPv4 addresses."
+"Whether to request that the tracker returns peer info in compact format. "
+"Note, the compact format only supports IPv4 addresses."
 msgstr ""
 
 #: src/protocol/bittorrent/bittorrent.c:61
@@ -6792,57 +6795,55 @@ msgstr ""
 
 #: src/protocol/bittorrent/bittorrent.c:63
 msgid ""
-"The number of seconds to wait between periodically contacting\n"
-"the tracker for announcing progress and requesting more peers.\n"
-"Set to zero to use the interval requested by the tracker."
+"The number of seconds to wait between periodically contacting the tracker "
+"for announcing progress and requesting more peers. Set to zero to use the "
+"interval requested by the tracker."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:67
+#: src/protocol/bittorrent/bittorrent.c:68
 msgid "IP-address to announce"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:69
+#: src/protocol/bittorrent/bittorrent.c:70
 msgid ""
-"What IP address to report to the tracker. If set to \"\"\n"
-"no IP address will be sent and the tracker will automatically\n"
-"determine an appropriate IP address."
+"What IP address to report to the tracker. If set to \"\" no IP address will "
+"be sent and the tracker will automatically determine an appropriate IP "
+"address."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:73
+#: src/protocol/bittorrent/bittorrent.c:74
 #, fuzzy
 msgid "User identification string"
 msgstr " i"
 
-#: src/protocol/bittorrent/bittorrent.c:75
+#: src/protocol/bittorrent/bittorrent.c:76
 msgid ""
-"An additional identification that is not shared with any users.\n"
-"It is intended to allow a client to prove their identity should\n"
-"their IP address change. It is an optional parameter, but some\n"
-"trackers require this parameter. If set to \"\" no user key will\n"
-"be sent to the tracker."
+"An additional identification that is not shared with any users. It is "
+"intended to allow a client to prove their identity should their IP address "
+"change. It is an optional parameter, but some trackers require this "
+"parameter. If set to \"\" no user key will be sent to the tracker."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:81
+#: src/protocol/bittorrent/bittorrent.c:82
 #, fuzzy
 msgid "Maximum number of peers to request"
 msgstr " '"
 
-#: src/protocol/bittorrent/bittorrent.c:83
+#: src/protocol/bittorrent/bittorrent.c:84
 msgid ""
-"The maximum number of peers to request from the tracker.\n"
-"Set to 0 to use the server default."
+"The maximum number of peers to request from the tracker. Set to 0 to use the "
+"server default."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:86
+#: src/protocol/bittorrent/bittorrent.c:87
 msgid "Minimum peers to skip rerequesting"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:88
+#: src/protocol/bittorrent/bittorrent.c:89
 msgid ""
-"The minimum number of peers to have in the current peer info\n"
-"pool before skipping requesting of more peers. I.e. setting\n"
-"numwant to zero.\n"
-"Set to 0 to not have any limit."
+"The minimum number of peers to have in the current peer info pool before "
+"skipping requesting of more peers. I.e. setting numwant to zero. Set to 0 to "
+"not have any limit."
 msgstr ""
 
 #. ******************************************************************
@@ -6863,182 +6864,177 @@ msgstr " '"
 
 #: src/protocol/bittorrent/bittorrent.c:104
 msgid ""
-"The maximum number of allowed connections to both active and\n"
-"non-active peers. By increasing the number of allowed connections,\n"
-"the chance of finding good peers to download from is increased.\n"
-"However, too many connections can lead to TCP congestion. If the\n"
-"maximum is reached all new incoming connections will be closed."
+"The maximum number of allowed connections to both active and non-active "
+"peers. By increasing the number of allowed connections, the chance of "
+"finding good peers to download from is increased. However, too many "
+"connections can lead to TCP congestion. If the maximum is reached all new "
+"incoming connections will be closed."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:110
+#: src/protocol/bittorrent/bittorrent.c:111
 msgid "Maximum peer message length"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:112
+#: src/protocol/bittorrent/bittorrent.c:113
 msgid ""
-"The maximum length of messages to accept over the wire.\n"
-"Larger values will cause the connection to be dropped."
+"The maximum length of messages to accept over the wire. Larger values will "
+"cause the connection to be dropped."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:115
+#: src/protocol/bittorrent/bittorrent.c:116
 msgid "Maximum allowed request length"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:117
+#: src/protocol/bittorrent/bittorrent.c:118
 msgid ""
-"The maximum length to allow for incoming requests.\n"
-"Larger requests will cause the connection to be dropped."
+"The maximum length to allow for incoming requests. Larger requests will "
+"cause the connection to be dropped."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:120
+#: src/protocol/bittorrent/bittorrent.c:121
 msgid "Length of requests"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:122
+#: src/protocol/bittorrent/bittorrent.c:123
 msgid ""
-"How many bytes to query for per request. This is complementary\n"
-"to the max_request_length option. If the configured length is\n"
-"bigger than the piece length it will be truncated."
+"How many bytes to query for per request. This is complementary to the "
+"max_request_length option. If the configured length is bigger than the piece "
+"length it will be truncated."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:126
+#: src/protocol/bittorrent/bittorrent.c:128
 #, fuzzy
 msgid "Peer inactivity timeout"
 msgstr "- Ц  "
 
-#: src/protocol/bittorrent/bittorrent.c:128
+#: src/protocol/bittorrent/bittorrent.c:130
 msgid ""
-"The number of seconds to wait before closing a socket on\n"
-"which nothing has been received or sent."
+"The number of seconds to wait before closing a socket on which nothing has "
+"been received or sent."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:131
+#: src/protocol/bittorrent/bittorrent.c:133
 #, fuzzy
 msgid "Maximum peer pool size"
 msgstr " '"
 
-#: src/protocol/bittorrent/bittorrent.c:133
+#: src/protocol/bittorrent/bittorrent.c:135
 msgid ""
-"Maximum number of items in the peer pool. The peer pool\n"
-"contains information used for establishing connections to\n"
-"new peers.\n"
+"Maximum number of items in the peer pool. The peer pool contains information "
+"used for establishing connections to new peers.\n"
+"\n"
 "Set to 0 to have unlimited size."
 msgstr ""
 
 #. ******************************************************************
 #. Piece management options:
 #. ******************************************************************
-#: src/protocol/bittorrent/bittorrent.c:143
+#: src/protocol/bittorrent/bittorrent.c:146
 #, fuzzy
 msgid "Maximum piece cache size"
 msgstr " '"
 
-#: src/protocol/bittorrent/bittorrent.c:145
+#: src/protocol/bittorrent/bittorrent.c:148
 msgid ""
-"The maximum amount of memory used to hold recently\n"
-"downloaded pieces.\n"
+"The maximum amount of memory used to hold recently downloaded pieces.\n"
+"\n"
 "Set to 0 to have unlimited size."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:154
+#: src/protocol/bittorrent/bittorrent.c:158
 msgid "Sharing rate"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:156
+#: src/protocol/bittorrent/bittorrent.c:160
 msgid ""
-"The minimum sharing rate to achieve before stop seeding.\n"
-"The sharing rate is computed as the number of uploaded bytes\n"
-"divided with the number of downloaded bytes. The value should\n"
-"be a double value between 0.0 and 1.0 both included.\n"
-"Set to 1.0 to atleast upload a complete copy of all data and\n"
+"The minimum sharing rate to achieve before stop seeding. The sharing rate is "
+"computed as the number of uploaded bytes divided with the number of "
+"downloaded bytes. The value should be a double value between 0.0 and 1.0 "
+"both included. Set to 1.0 to atleast upload a complete copy of all data and "
 "set to 0.0 to have unlimited sharing rate."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:163
+#: src/protocol/bittorrent/bittorrent.c:167
 msgid "Maximum number of uploads"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:165
+#: src/protocol/bittorrent/bittorrent.c:169
 msgid "The maximum number of uploads to allow at once."
 msgstr ""
 
 #. The number of uploads to fill out to with extra optimistic unchokes
-#: src/protocol/bittorrent/bittorrent.c:168
+#: src/protocol/bittorrent/bittorrent.c:172
 msgid "Minimum number of uploads"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:170
+#: src/protocol/bittorrent/bittorrent.c:174
 msgid ""
-"The minimum number of uploads which should at least\n"
-"be used for new connections."
+"The minimum number of uploads which should at least be used for new "
+"connections."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:174
+#: src/protocol/bittorrent/bittorrent.c:178
 #, fuzzy
 msgid "Keepalive interval"
 msgstr " "
 
-#: src/protocol/bittorrent/bittorrent.c:176
-msgid ""
-"The number of seconds to pause between sending keepalive\n"
-"messages."
+#: src/protocol/bittorrent/bittorrent.c:180
+msgid "The number of seconds to pause between sending keepalive messages."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:179
+#: src/protocol/bittorrent/bittorrent.c:183
 #, fuzzy
 msgid "Number of pending requests"
 msgstr "  "
 
-#: src/protocol/bittorrent/bittorrent.c:181
+#: src/protocol/bittorrent/bittorrent.c:185
 msgid ""
-"How many piece requests to continuously keep in queue. Pipelining\n"
-"of requests is essential to saturate connections and get a good\n"
-"connection performance and thus a faster download. However, a\n"
-"very big queue size can lead to wasting bandwidth near the end\n"
-"of the connection since remaining piece blocks will be requested\n"
-"from multiple peers."
+"How many piece requests to continuously keep in queue. Pipelining of "
+"requests is essential to saturate connections and get a good connection "
+"performance and thus a faster download. However, a very big queue size can "
+"lead to wasting bandwidth near the end of the connection since remaining "
+"piece blocks will be requested from multiple peers."
 msgstr ""
 
 #. Bram uses 30 seconds here.
-#: src/protocol/bittorrent/bittorrent.c:190
+#: src/protocol/bittorrent/bittorrent.c:194
 msgid "Peer snubbing interval"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:192
+#: src/protocol/bittorrent/bittorrent.c:196
 msgid ""
-"The number of seconds to wait for file data before assuming\n"
-"the peer has been snubbed."
+"The number of seconds to wait for file data before assuming the peer has "
+"been snubbed."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:195
+#: src/protocol/bittorrent/bittorrent.c:199
 #, fuzzy
 msgid "Peer choke interval"
 msgstr " "
 
-#: src/protocol/bittorrent/bittorrent.c:197
+#: src/protocol/bittorrent/bittorrent.c:201
 msgid ""
-"The number of seconds between updating the connection state\n"
-"and most importantly choke and unchoke peer connections. The\n"
-"choke period should be big enough for newly unchoked connections\n"
-"to get started but small enough to not allow freeriders too much\n"
-"room for stealing bandwidth."
+"The number of seconds between updating the connection state and most "
+"importantly choke and unchoke peer connections. The choke period should be "
+"big enough for newly unchoked connections to get started but small enough to "
+"not allow freeriders too much room for stealing bandwidth."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:203
+#: src/protocol/bittorrent/bittorrent.c:207
 msgid "Rarest first piece selection cutoff"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:205
+#: src/protocol/bittorrent/bittorrent.c:209
 msgid ""
-"The number of pieces to obtain before switching piece\n"
-"selection strategy from random to rarest first."
+"The number of pieces to obtain before switching piece selection strategy "
+"from random to rarest first."
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:208 src/protocol/http/http.c:109
+#: src/protocol/bittorrent/bittorrent.c:212 src/protocol/http/http.c:109
 msgid "Allow blacklisting"
 msgstr ""
 
-#: src/protocol/bittorrent/bittorrent.c:210
+#: src/protocol/bittorrent/bittorrent.c:214
 msgid "Allow blacklisting of buggy peers."
 msgstr ""
 
@@ -7074,7 +7070,7 @@ msgstr ""
 msgid "Comment"
 msgstr "Ԧ"
 
-#: src/protocol/bittorrent/dialogs.c:229 src/session/download.c:362
+#: src/protocol/bittorrent/dialogs.c:229 src/session/download.c:388
 #, fuzzy, c-format
 msgid ""
 "Download complete:\n"
@@ -7242,7 +7238,7 @@ msgid_plural "%u unavailable"
 msgstr[0] "צ FTP "
 msgstr[1] "צ FTP "
 
-#: src/protocol/bittorrent/dialogs.c:584 src/session/session.c:278
+#: src/protocol/bittorrent/dialogs.c:584 src/session/session.c:279
 #, fuzzy, c-format
 msgid "Unable to retrieve %s"
 msgstr "     Ʀæ %s: %s"
@@ -7257,7 +7253,7 @@ msgstr ""
 msgid "Information about the torrent"
 msgstr " æ   Ҧ"
 
-#: src/protocol/bittorrent/dialogs.c:776 src/session/download.c:1106
+#: src/protocol/bittorrent/dialogs.c:776 src/session/download.c:1132
 msgid "What to do?"
 msgstr " ?"
 
@@ -7268,13 +7264,13 @@ msgid "Down~load"
 msgstr ""
 
 #. accelerator_context(src/protocol/bittorrent/dialogs.c:bittorrent_query_callback, src/session/download.c:do_type_query)
-#: src/protocol/bittorrent/dialogs.c:804 src/session/download.c:1209
+#: src/protocol/bittorrent/dialogs.c:804 src/session/download.c:1235
 #, fuzzy
 msgid "~Display"
 msgstr ""
 
 #. accelerator_context(src/protocol/bittorrent/dialogs.c:bittorrent_query_callback, src/session/download.c:do_type_query)
-#: src/protocol/bittorrent/dialogs.c:808 src/session/download.c:1213
+#: src/protocol/bittorrent/dialogs.c:808 src/session/download.c:1239
 msgid "Show ~header"
 msgstr ""
 
@@ -7292,16 +7288,16 @@ msgstr "   "
 msgid "Colon separated list of directories, where CGI scripts are stored."
 msgstr ""
 
-#: src/protocol/file/cgi.c:47
+#: src/protocol/file/cgi.c:48
 msgid "Allow local CGI"
 msgstr ""
 
-#: src/protocol/file/cgi.c:49
+#: src/protocol/file/cgi.c:50
 msgid "Whether to execute local CGI scripts."
 msgstr ""
 
 #. name:
-#: src/protocol/file/cgi.c:54
+#: src/protocol/file/cgi.c:55
 msgid "CGI"
 msgstr ""
 
@@ -7320,9 +7316,8 @@ msgstr ""
 
 #: src/protocol/file/file.c:46
 msgid ""
-"Whether to allow reading from non-regular files.\n"
-"Note this can be dangerous; reading /dev/urandom or\n"
-"/dev/zero can ruin your day!"
+"Whether to allow reading from non-regular files. Note this can be dangerous; "
+"reading /dev/urandom or /dev/zero can ruin your day!"
 msgstr ""
 
 #: src/protocol/file/file.c:50
@@ -7331,8 +7326,8 @@ msgstr ""
 
 #: src/protocol/file/file.c:52
 msgid ""
-"When set to false, files with name starting with a dot will be\n"
-"hidden in local directory listings."
+"When set to false, files with name starting with a dot will be hidden in "
+"local directory listings."
 msgstr ""
 
 #: src/protocol/file/file.c:55
@@ -7342,13 +7337,13 @@ msgstr " "
 
 #: src/protocol/file/file.c:57
 msgid ""
-"When set, if we can't open a file named 'filename', we'll try\n"
-"to open 'filename' with some encoding extension appended\n"
-"(ie. 'filename.gz'); it depends on the supported encodings."
+"When set, if we can't open a file named 'filename', we'll try to open "
+"'filename' with some encoding extension appended (ie. 'filename.gz'); it "
+"depends on the supported encodings."
 msgstr ""
 
 #. name:
-#: src/protocol/file/file.c:65
+#: src/protocol/file/file.c:66
 #, fuzzy
 msgid "File"
 msgstr ""
@@ -7378,7 +7373,7 @@ msgid "Whether to sort entries in direct
 msgstr ""
 
 #. name:
-#: src/protocol/ftp/ftp.c:56 src/protocol/ftp/ftp.c:86
+#: src/protocol/ftp/ftp.c:56 src/protocol/ftp/ftp.c:89
 msgid "FTP"
 msgstr ""
 
@@ -7386,8 +7381,8 @@ msgstr ""
 msgid "FTP specific options."
 msgstr ""
 
-#: src/protocol/ftp/ftp.c:60 src/protocol/http/http.c:127
-#: src/protocol/http/http.c:209
+#: src/protocol/ftp/ftp.c:60 src/protocol/http/http.c:128
+#: src/protocol/http/http.c:235
 msgid "Proxy configuration"
 msgstr ""
 
@@ -7395,39 +7390,39 @@ msgstr ""
 msgid "FTP proxy configuration."
 msgstr ""
 
-#: src/protocol/ftp/ftp.c:64 src/protocol/http/http.c:131
-#: src/protocol/http/http.c:213
+#: src/protocol/ftp/ftp.c:64 src/protocol/http/http.c:132
+#: src/protocol/http/http.c:239
 #, fuzzy
 msgid "Host and port-number"
 msgstr " "
 
 #: src/protocol/ftp/ftp.c:66
 msgid ""
-"Host and port-number (host:port) of the FTP proxy, or blank.\n"
-"If it's blank, FTP_PROXY environment variable is checked as well."
+"Host and port-number (host:port) of the FTP proxy, or blank. If it's blank, "
+"FTP_PROXY environment variable is checked as well."
 msgstr ""
 
-#: src/protocol/ftp/ftp.c:69
+#: src/protocol/ftp/ftp.c:70
 msgid "Anonymous password"
 msgstr ""
 
-#: src/protocol/ftp/ftp.c:71
+#: src/protocol/ftp/ftp.c:72
 msgid "FTP anonymous password to be sent."
 msgstr ""
 
-#: src/protocol/ftp/ftp.c:73
+#: src/protocol/ftp/ftp.c:74
 msgid "Use passive mode (IPv4)"
 msgstr ""
 
-#: src/protocol/ftp/ftp.c:75
+#: src/protocol/ftp/ftp.c:76
 msgid "Use PASV instead of PORT (passive vs active mode, IPv4 only)."
 msgstr ""
 
-#: src/protocol/ftp/ftp.c:77
+#: src/protocol/ftp/ftp.c:79
 msgid "Use passive mode (IPv6)"
 msgstr ""
 
-#: src/protocol/ftp/ftp.c:79
+#: src/protocol/ftp/ftp.c:81
 msgid "Use EPSV instead of EPRT (passive vs active mode, IPv6 only)."
 msgstr ""
 
@@ -7454,7 +7449,7 @@ msgid ""
 msgstr ""
 
 #. name:
-#: src/protocol/http/http.c:95 src/protocol/http/http.c:223
+#: src/protocol/http/http.c:95 src/protocol/http/http.c:250
 msgid "HTTP"
 msgstr ""
 
@@ -7476,8 +7471,8 @@ msgstr ""
 
 #: src/protocol/http/http.c:106
 msgid ""
-"The Accept-Charset header is quite long and sending it can trigger\n"
-"bugs in some rarely found servers."
+"The Accept-Charset header is quite long and sending it can trigger bugs in "
+"some rarely found servers."
 msgstr ""
 
 #: src/protocol/http/http.c:111
@@ -7490,71 +7485,71 @@ msgstr ""
 
 #: src/protocol/http/http.c:115
 msgid ""
-"Broken 302 redirect (violates RFC but compatible with Netscape).\n"
-"This is a problem for a lot of web discussion boards and the like.\n"
-"If they will do strange things to you, try to play with this."
+"Broken 302 redirect (violates RFC but compatible with Netscape). This is a "
+"problem for a lot of web discussion boards and the like. If they will do "
+"strange things to you, try to play with this."
 msgstr ""
 
-#: src/protocol/http/http.c:119
+#: src/protocol/http/http.c:120
 msgid "No keepalive after POST requests"
 msgstr ""
 
-#: src/protocol/http/http.c:121
+#: src/protocol/http/http.c:122
 msgid "Disable keepalive connection after POST request."
 msgstr ""
 
-#: src/protocol/http/http.c:123
+#: src/protocol/http/http.c:124
 msgid "Use HTTP/1.0"
 msgstr ""
 
-#: src/protocol/http/http.c:125
+#: src/protocol/http/http.c:126
 msgid "Use HTTP/1.0 protocol instead of HTTP/1.1."
 msgstr ""
 
-#: src/protocol/http/http.c:129
+#: src/protocol/http/http.c:130
 msgid "HTTP proxy configuration."
 msgstr ""
 
-#: src/protocol/http/http.c:133
+#: src/protocol/http/http.c:134
 msgid ""
-"Host and port-number (host:port) of the HTTP proxy, or blank.\n"
-"If it's blank, HTTP_PROXY environment variable is checked as well."
+"Host and port-number (host:port) of the HTTP proxy, or blank. If it's blank, "
+"HTTP_PROXY environment variable is checked as well."
 msgstr ""
 
-#: src/protocol/http/http.c:136
+#: src/protocol/http/http.c:138
 #, fuzzy
 msgid "Username"
 msgstr "'"
 
-#: src/protocol/http/http.c:138
+#: src/protocol/http/http.c:140
 #, fuzzy
 msgid "Proxy authentication username."
 msgstr "HTTP Ʀæ"
 
-#: src/protocol/http/http.c:142
+#: src/protocol/http/http.c:144
 #, fuzzy
 msgid "Proxy authentication password."
 msgstr "HTTP Ʀæ"
 
-#: src/protocol/http/http.c:145
+#: src/protocol/http/http.c:147
 msgid "Referer sending"
 msgstr ""
 
-#: src/protocol/http/http.c:147
+#: src/protocol/http/http.c:149
 msgid ""
-"HTTP referer sending options. HTTP referer is a special header\n"
-"sent in the HTTP requests, which is supposed to contain the previous\n"
-"page visited by the browser. This way, the server can know what link\n"
-"did you follow when accessing that page. However, this behaviour\n"
-"can unfortunately considerably affect privacy and can lead even to a\n"
-"security problem on some badly designed web pages."
+"HTTP referer sending options. HTTP referer is a special header sent in the "
+"HTTP requests, which is supposed to contain the previous page visited by the "
+"browser.This way, the server can know what link did you follow when "
+"accessing that page. However, this behaviour can unfortunately considerably "
+"affect privacy and can lead even to a security problem on some badly "
+"designed web pages."
 msgstr ""
 
-#: src/protocol/http/http.c:154
+#: src/protocol/http/http.c:157
 msgid "Policy"
 msgstr ""
 
-#: src/protocol/http/http.c:157
+#: src/protocol/http/http.c:160
 msgid ""
 "Mode of sending HTTP referer:\n"
 "0 is send no referer\n"
@@ -7563,90 +7558,110 @@ msgid ""
 "3 is send previous URL as referer (correct, but insecure)"
 msgstr ""
 
-#: src/protocol/http/http.c:163
+#: src/protocol/http/http.c:166
 msgid "Fake referer URL"
 msgstr ""
 
-#: src/protocol/http/http.c:165
+#: src/protocol/http/http.c:168
 msgid "Fake referer to be sent when policy is 2."
 msgstr ""
 
-#: src/protocol/http/http.c:168
+#: src/protocol/http/http.c:171
 msgid "Send Accept-Language header"
 msgstr ""
 
-#: src/protocol/http/http.c:170
+#: src/protocol/http/http.c:173
 msgid "Send Accept-Language header."
 msgstr ""
 
-#: src/protocol/http/http.c:172
+#: src/protocol/http/http.c:175
 msgid "Use UI language as Accept-Language"
 msgstr ""
 
-#: src/protocol/http/http.c:174
+#: src/protocol/http/http.c:177
 msgid ""
-"Request localised versions of documents from web-servers (using the\n"
-"Accept-Language header) using the language you have configured for\n"
-"ELinks' user-interface (this also affects navigator.language ECMAScript\n"
-"value available to scripts). Note that some see this as a potential\n"
-"security risk because it tells web-masters and the FBI sniffers about\n"
-"your language preference."
+"Request localised versions of documents from web-servers (using the Accept-"
+"Language header) using the language you have configured for ELinks' user-"
+"interface (this also affects navigator.language ECMAScript value available "
+"to scripts). Note that some see this as a potential security risk because it "
+"tells web-masters and the FBI sniffers about your language preference."
+msgstr ""
+
+#. After the compression support has been tested enough,
+#. * we might wrap this option in #if CFG_DEBUG.
+#: src/protocol/http/http.c:187
+msgid "Enable on-the-fly compression"
 msgstr ""
 
-#: src/protocol/http/http.c:181
+#: src/protocol/http/http.c:189
+msgid ""
+"If enabled, the capability to receive compressed content (gzip and/or bzip2) "
+"is announced to the server, which usually sends the reply compressed, thus "
+"saving some bandwidth at slight CPU expense.\n"
+"\n"
+"If ELinks displays a incomplete page or garbage, try disabling this option. "
+"If that helps, there may be a bug in the decompression part of ELinks. "
+"Please report such bugs.\n"
+"\n"
+"If ELinks has been compiled without compression support, this option has no "
+"effect. To check the supported features, see Help -> About."
+msgstr ""
+
+#: src/protocol/http/http.c:202
 msgid "Activate HTTP TRACE debugging"
 msgstr ""
 
-#: src/protocol/http/http.c:183
+#: src/protocol/http/http.c:204
 msgid ""
-"If active, all HTTP requests are sent with TRACE as their method\n"
-"rather than GET or POST. This is useful for debugging of both ELinks\n"
-"and various server-side scripts --- the server only returns the client's\n"
-"request back to the client verbatim. Note that this type of request may\n"
-"not be enabled on all servers."
+"If active, all HTTP requests are sent with TRACE as their method rather than "
+"GET or POST. This is useful for debugging of both ELinks and various server-"
+"side scripts --- the server only returns the client's request back to the "
+"client verbatim. Note that this type of request may not be enabled on all "
+"servers."
 msgstr ""
 
 #. OSNews.com is supposed to be relying on the textmode token, at least.
-#: src/protocol/http/http.c:190
+#: src/protocol/http/http.c:212
 msgid "User-agent identification"
 msgstr ""
 
-#: src/protocol/http/http.c:192
+#: src/protocol/http/http.c:214
 msgid ""
-"Change the User Agent ID. That means identification string, which\n"
-"is sent to HTTP server when a document is requested. The 'textmode'\n"
-"token in the first field is our silent attempt to establish this as\n"
-"a standard for new textmode user agents, so that the webmasters can\n"
-"have just a single uniform test for these if they are e.g. pushing\n"
-"some lite version to them automagically.\n"
+"Change the User Agent ID. That means identification string, which is sent to "
+"HTTP server when a document is requested. The 'textmode' token in the first "
+"field is our silent attempt to establish this as a standard for new textmode "
+"user agents, so that the webmasters can have just a single uniform test for "
+"these if they are e.g. pushing some lite version to them automagically.\n"
+"\n"
 "Use \" \" if you don't want any User-Agent header to be sent at all.\n"
+"\n"
 "%v in the string means ELinks version,\n"
 "%s in the string means system identification,\n"
 "%t in the string means size of the terminal,\n"
 "%b in the string means number of bars displayed by ELinks."
 msgstr ""
 
-#: src/protocol/http/http.c:205
+#: src/protocol/http/http.c:231
 msgid "HTTPS"
 msgstr ""
 
-#: src/protocol/http/http.c:207
+#: src/protocol/http/http.c:233
 #, fuzzy
 msgid "HTTPS-specific options."
 msgstr "   "
 
-#: src/protocol/http/http.c:211
+#: src/protocol/http/http.c:237
 msgid "HTTPS proxy configuration."
 msgstr ""
 
-#: src/protocol/http/http.c:215
+#: src/protocol/http/http.c:241
 msgid ""
-"Host and port-number (host:port) of the HTTPS CONNECT proxy, or blank.\n"
-"If it's blank, HTTPS_PROXY environment variable is checked as well."
+"Host and port-number (host:port) of the HTTPS CONNECT proxy, or blank. If "
+"it's blank, HTTPS_PROXY environment variable is checked as well."
 msgstr ""
 
 #. name:
-#: src/protocol/nntp/nntp.c:32 src/protocol/nntp/nntp.c:65
+#: src/protocol/nntp/nntp.c:32 src/protocol/nntp/nntp.c:66
 msgid "NNTP"
 msgstr ""
 
@@ -7661,19 +7676,19 @@ msgstr ""
 
 #: src/protocol/nntp/nntp.c:38
 msgid ""
-"Used when resolving news: URIs. If set to the empty string\n"
-"the value of the NNTPSERVER environment variable will be used."
+"Used when resolving news: URIs. If set to the empty string the value of the "
+"NNTPSERVER environment variable will be used."
 msgstr ""
 
-#: src/protocol/nntp/nntp.c:41
+#: src/protocol/nntp/nntp.c:42
 msgid "Message header entries"
 msgstr ""
 
-#: src/protocol/nntp/nntp.c:43
+#: src/protocol/nntp/nntp.c:44
 msgid ""
-"Comma separated list of which entries in the article header\n"
-"to show. E.g. 'Subject' and 'From'.\n"
-"All header entries can be read in the header info dialog."
+"Comma separated list of which entries in the article header to show. E.g. "
+"'Subject' and 'From'. All header entries can be read in the header info "
+"dialog."
 msgstr ""
 
 #: src/protocol/protocol.c:242
@@ -7695,10 +7710,9 @@ msgstr ""
 
 #: src/protocol/protocol.c:279
 msgid ""
-"Comma separated list of domains for which the proxy (HTTP/FTP)\n"
-"should be disabled. Optionally, a port can be specified for some\n"
-"domains as well. If it's blank, NO_PROXY environment variable is\n"
-"checked as well."
+"Comma separated list of domains for which the proxy (HTTP/FTP) should be "
+"disabled. Optionally, a port can be specified for some domains as well. If "
+"it's blank, NO_PROXY environment variable is checked as well."
 msgstr ""
 
 #. name:
@@ -7712,47 +7726,45 @@ msgstr ""
 
 #: src/protocol/rewrite/rewrite.c:46
 msgid ""
-"Rules for rewriting URIs entered in the goto dialog.\n"
-"It makes it possible to define a set of prefixes that will\n"
-"be expanded if they match a string entered in the goto dialog.\n"
-"The prefixes can be dumb, meaning that they work only like\n"
-"URI abbreviations, or smart ones, making it possible to pass\n"
+"Rules for rewriting URIs entered in the goto dialog. It makes it possible to "
+"define a set of prefixes that will be expanded if they match a string "
+"entered in the goto dialog. The prefixes can be dumb, meaning that they work "
+"only like URI abbreviations, or smart ones, making it possible to pass "
 "arguments to them like search engine keywords."
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:53
+#: src/protocol/rewrite/rewrite.c:54
 msgid "Enable dumb prefixes"
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:55
+#: src/protocol/rewrite/rewrite.c:56
 msgid ""
-"Enable dumb prefixes - simple URI abbreviations which can\n"
-"be written to the Goto URL dialog instead of actual URIs - i.e.\n"
-"if you write 'elinks' there, you are directed to\n"
-"http://elinks.cz/."
+"Enable dumb prefixes - simple URI abbreviations which can be written to the "
+"Goto URL dialog instead of actual URIs - i.e. if you write 'elinks' there, "
+"you are directed to http://elinks.cz/."
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:60
+#: src/protocol/rewrite/rewrite.c:61
 msgid "Enable smart prefixes"
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:62
+#: src/protocol/rewrite/rewrite.c:63
 msgid ""
-"Enable smart prefixes - URI templates triggered by writing\n"
-"given abbreviation to the Goto URL dialog followed by a list\n"
-"of arguments from which the actual URI is composed - i.e.\n"
-"'gg:search keywords' or 'gn search keywords for news'."
+"Enable smart prefixes - URI templates triggered by writing given "
+"abbreviation to the Goto URL dialog followed by a list of arguments from "
+"which the actual URI is composed - i.e. 'gg:search keywords' or 'gn search "
+"keywords for news'."
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:67
+#: src/protocol/rewrite/rewrite.c:69
 msgid "Dumb Prefixes"
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:69
+#: src/protocol/rewrite/rewrite.c:71
 msgid "Dumb prefixes, see enable-dumb description for details."
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:74
+#: src/protocol/rewrite/rewrite.c:76
 #, no-c-format
 msgid ""
 "Replacement URI for this dumbprefix:\n"
@@ -7760,15 +7772,15 @@ msgid ""
 "%% in the string means '%'"
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:78
+#: src/protocol/rewrite/rewrite.c:80
 msgid "Smart Prefixes"
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:80
+#: src/protocol/rewrite/rewrite.c:82
 msgid "Smart prefixes, see enable-smart description for details."
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:87
+#: src/protocol/rewrite/rewrite.c:90
 #, no-c-format
 msgid ""
 "Replacement URI for this smartprefix:\n"
@@ -7778,27 +7790,29 @@ msgid ""
 "%% in the string means '%'"
 msgstr ""
 
-#: src/protocol/rewrite/rewrite.c:93
+#: src/protocol/rewrite/rewrite.c:96
 #, fuzzy
 msgid "Default template"
 msgstr " צ Ԧ"
 
-#: src/protocol/rewrite/rewrite.c:96
+#: src/protocol/rewrite/rewrite.c:99
 #, no-c-format
 msgid ""
-"Default URI template used when the string entered in\n"
-"the goto dialog does not appear to be a URI or a filename\n"
-"(i.e. contains no '.', ':' or '/' characters), and does\n"
-"not match any defined prefixes. Set the value to \"\" to\n"
-"disable use of the default template rewrite rule.\n"
+"Default URI template used when the string entered in the goto dialog does "
+"not appear to be a URI or a filename (i.e. contains no '.', ':' or '/' "
+"characters), and does not match any defined prefixes. Set the value to \"\" "
+"to disable use of the default template rewrite rule.\n"
+"\n"
 "%c in the template means the current URL,\n"
-"%s in the template means the whole string from the goto dialog,\n"
-"%0,%1,...,%9 mean the 1st,2nd,...,10th space-delimited part of %s,\n"
+"%s in the template means the whole string from the goto\n"
+"   dialog,\n"
+"%0,%1,...,%9 mean the 1st,2nd,...,10th space-delimited part\n"
+"   of %s,\n"
 "%% in the template means '%'."
 msgstr ""
 
 #. name:
-#: src/protocol/rewrite/rewrite.c:372
+#: src/protocol/rewrite/rewrite.c:378
 msgid "URI rewrite"
 msgstr ""
 
@@ -7821,24 +7835,23 @@ msgid "Credentials file passed to smbcli
 msgstr ""
 
 #. name:
-#: src/protocol/user.c:34 src/protocol/user.c:84
+#: src/protocol/user.c:34 src/protocol/user.c:85
 msgid "User protocols"
 msgstr ""
 
 #: src/protocol/user.c:36
 msgid ""
-"User protocols. Options in this tree specify external\n"
-"handlers for the appropriate protocols. Ie.\n"
-"protocol.user.mailto.unix."
+"User protocols. Options in this tree specify external handlers for the "
+"appropriate protocols. Ie. protocol.user.mailto.unix."
 msgstr ""
 
 #: src/protocol/user.c:47
 msgid ""
-"Handler (external program) for this protocol. Name the\n"
-"options in this tree after your system (ie. unix, unix-xwin)."
+"Handler (external program) for this protocol. Name the options in this tree "
+"after your system (ie. unix, unix-xwin)."
 msgstr ""
 
-#: src/protocol/user.c:52
+#: src/protocol/user.c:53
 msgid ""
 "Handler (external program) for this protocol and system.\n"
 "%f in the string means file name to include form data from\n"
@@ -7849,11 +7862,11 @@ msgid ""
 "%u in the string means the whole URL"
 msgstr ""
 
-#: src/protocol/user.c:276
+#: src/protocol/user.c:277
 msgid "No program"
 msgstr " "
 
-#: src/protocol/user.c:278
+#: src/protocol/user.c:279
 #, fuzzy, c-format
 msgid "No program specified for protocol %s."
 msgstr "   "
@@ -7939,19 +7952,19 @@ msgstr ""
 msgid "Spidermonkey ECMAScript"
 msgstr ""
 
-#: src/session/download.c:233 src/session/download.c:330
-#: src/session/download.c:561 src/session/download.c:649
+#: src/session/download.c:256 src/session/download.c:356
+#: src/session/download.c:587 src/session/download.c:675
 msgid "Download error"
 msgstr " "
 
-#: src/session/download.c:234 src/session/download.c:650
+#: src/session/download.c:257 src/session/download.c:676
 #, fuzzy, c-format
 msgid ""
 "Could not create file '%s':\n"
 "%s"
 msgstr "    "
 
-#: src/session/download.c:331
+#: src/session/download.c:357
 #, fuzzy, c-format
 msgid ""
 "Error downloading %s:\n"
@@ -7959,17 +7972,17 @@ msgid ""
 "%s"
 msgstr " "
 
-#: src/session/download.c:562
+#: src/session/download.c:588
 #, c-format
 msgid "'%s' is a directory."
 msgstr ""
 
-#: src/session/download.c:596
+#: src/session/download.c:622
 #, fuzzy
 msgid "File exists"
 msgstr " ̦"
 
-#: src/session/download.c:597
+#: src/session/download.c:623
 #, c-format
 msgid ""
 "This file already exists:\n"
@@ -7980,52 +7993,52 @@ msgid ""
 msgstr ""
 
 #. accelerator_context(src/session/download.c:lookup_unique_name)
-#: src/session/download.c:604
+#: src/session/download.c:630
 msgid "Sa~ve under the alternative name"
 msgstr ""
 
 #. accelerator_context(src/session/download.c:lookup_unique_name)
-#: src/session/download.c:605
+#: src/session/download.c:631
 msgid "~Overwrite the original file"
 msgstr ""
 
 #. accelerator_context(src/session/download.c:lookup_unique_name)
-#: src/session/download.c:606
+#: src/session/download.c:632
 #, fuzzy
 msgid "~Resume download of the original file"
 msgstr " צ   "
 
-#: src/session/download.c:1109
+#: src/session/download.c:1135
 msgid "Unknown type"
 msgstr "צ "
 
-#: src/session/download.c:1134
+#: src/session/download.c:1160
 #, c-format
 msgid "What would you like to do with the file '%s' (type: %s%s%s)?"
 msgstr ""
 
-#: src/session/download.c:1137
+#: src/session/download.c:1163
 #, c-format
 msgid "What would you like to do with the file (type: %s%s%s)?"
 msgstr ""
 
-#: src/session/download.c:1165
+#: src/session/download.c:1191
 #, no-c-format
 msgid "Program ('%' will be replaced by the filename)"
 msgstr ""
 
-#: src/session/download.c:1169
+#: src/session/download.c:1195
 #, fuzzy
 msgid "Block the terminal"
 msgstr "ͦ BeOS"
 
-#: src/session/download.c:1175
+#: src/session/download.c:1201
 #, c-format
 msgid "The file will be opened with the program '%s'."
 msgstr ""
 
 #. accelerator_context(src/session/download.c:do_type_query)
-#: src/session/download.c:1196
+#: src/session/download.c:1222
 #, fuzzy
 msgid "~Open"
 msgstr ""
@@ -8034,12 +8047,12 @@ msgstr ""
 #. * and formatting it with "%u" is safe,
 #. * because fc_maxlength is smaller than
 #. * file.length, which is an int.
-#: src/session/session.c:761 src/session/session.c:780 src/session/task.c:275
-#: src/viewer/text/textarea.c:652
+#: src/session/session.c:771 src/session/session.c:790 src/session/task.c:275
+#: src/viewer/text/textarea.c:641
 msgid "Warning"
 msgstr ""
 
-#: src/session/session.c:762
+#: src/session/session.c:772
 msgid ""
 "You have an empty string in protocol.http.user_agent - this was a default "
 "value in the past, substituted by default ELinks User-Agent string. However, "
@@ -8050,7 +8063,7 @@ msgid ""
 "will be used. Apologies for any inconvience caused."
 msgstr ""
 
-#: src/session/session.c:781
+#: src/session/session.c:791
 msgid ""
 "You have option config.saving_style set to a de facto obsolete value. The "
 "configuration saving algorithms of ELinks were changed from the last time "
@@ -8063,11 +8076,11 @@ msgid ""
 "caused."
 msgstr ""
 
-#: src/session/session.c:806
+#: src/session/session.c:816
 msgid "Welcome"
 msgstr ""
 
-#: src/session/session.c:807
+#: src/session/session.c:817
 #, fuzzy
 msgid ""
 "Welcome to ELinks!\n"
@@ -8120,22 +8133,22 @@ msgstr ""
 msgid "Warning: terminal name contains illicit chars."
 msgstr ""
 
-#: src/terminal/event.c:259
+#: src/terminal/event.c:258
 #, c-format
 msgid "Failed to create session."
 msgstr ""
 
-#: src/terminal/event.c:446
+#: src/terminal/event.c:443
 #, c-format
 msgid "Bad event %d"
 msgstr ""
 
-#: src/terminal/event.c:486
+#: src/terminal/event.c:483
 #, fuzzy, c-format
 msgid "Could not read event: %d (%s)"
 msgstr "    "
 
-#: src/terminal/kbd.c:1187
+#: src/terminal/kbd.c:1210
 #, c-format
 msgid "Too many bytes read from the itrm!"
 msgstr ""
@@ -8213,207 +8226,207 @@ msgstr " "
 msgid "The requested fragment \"%s\" doesn't exist."
 msgstr ""
 
-#: src/viewer/text/form.c:1092
+#: src/viewer/text/form.c:1118
 msgid "Error while posting form"
 msgstr " צ "
 
-#: src/viewer/text/form.c:1093
+#: src/viewer/text/form.c:1119
 #, fuzzy, c-format
 msgid "Could not load file %s: %s"
 msgstr "   "
 
-#: src/viewer/text/form.c:1847
+#: src/viewer/text/form.c:1876
 #, fuzzy
 msgid "Reset form"
 msgstr " "
 
-#: src/viewer/text/form.c:1849
+#: src/viewer/text/form.c:1878
 msgid "Harmless button"
 msgstr ""
 
-#: src/viewer/text/form.c:1857
+#: src/viewer/text/form.c:1886
 msgid "Submit form to"
 msgstr "   "
 
-#: src/viewer/text/form.c:1858
+#: src/viewer/text/form.c:1887
 msgid "Post form to"
 msgstr "   "
 
-#: src/viewer/text/form.c:1860
+#: src/viewer/text/form.c:1889
 msgid "Radio button"
 msgstr "Ħ"
 
-#: src/viewer/text/form.c:1864
+#: src/viewer/text/form.c:1893
 msgid "Select field"
 msgstr " "
 
-#: src/viewer/text/form.c:1868
+#: src/viewer/text/form.c:1897
 msgid "Text area"
 msgstr " "
 
-#: src/viewer/text/form.c:1870
+#: src/viewer/text/form.c:1899
 msgid "File upload"
 msgstr "  (upload)"
 
-#: src/viewer/text/form.c:1872
+#: src/viewer/text/form.c:1901
 msgid "Password field"
 msgstr "Ħ "
 
-#: src/viewer/text/form.c:1910
+#: src/viewer/text/form.c:1939
 msgid "name"
 msgstr "'"
 
-#: src/viewer/text/form.c:1922
+#: src/viewer/text/form.c:1951
 msgid "value"
 msgstr ""
 
-#: src/viewer/text/form.c:1935
+#: src/viewer/text/form.c:1964
 msgid "read only"
 msgstr ""
 
-#: src/viewer/text/form.c:1946
+#: src/viewer/text/form.c:1975
 #, c-format
 msgid "press %s to navigate"
 msgstr ""
 
-#: src/viewer/text/form.c:1948
+#: src/viewer/text/form.c:1977
 #, c-format
 msgid "press %s to edit"
 msgstr ""
 
-#: src/viewer/text/form.c:1984
+#: src/viewer/text/form.c:2013
 #, fuzzy, c-format
 msgid "press %s to submit to %s"
 msgstr "  "
 
-#: src/viewer/text/form.c:1986
+#: src/viewer/text/form.c:2015
 #, fuzzy, c-format
 msgid "press %s to post to %s"
 msgstr "  "
 
-#: src/viewer/text/form.c:2088
+#: src/viewer/text/form.c:2117
 msgid "Useless button"
 msgstr ""
 
-#: src/viewer/text/form.c:2090
+#: src/viewer/text/form.c:2119
 #, fuzzy
 msgid "Submit button"
 msgstr "   "
 
 #. accelerator_context(link_menu.map)
-#: src/viewer/text/link.c:1281
+#: src/viewer/text/link.c:1280
 msgid "Display ~usemap"
 msgstr " "
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1286
+#: src/viewer/text/link.c:1285
 msgid "~Follow link"
 msgstr "  "
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1288
+#: src/viewer/text/link.c:1287
 msgid "Follow link and r~eload"
 msgstr "    "
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1292
+#: src/viewer/text/link.c:1291
 msgid "Open in new ~window"
 msgstr "   צΦ"
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1294
+#: src/viewer/text/link.c:1293
 #, fuzzy
 msgid "Open in new ~tab"
 msgstr "   צΦ"
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1296
+#: src/viewer/text/link.c:1295
 #, fuzzy
 msgid "Open in new tab in ~background"
 msgstr " ̦"
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1301
+#: src/viewer/text/link.c:1300
 msgid "~Download link"
 msgstr "  "
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1304
+#: src/viewer/text/link.c:1303
 msgid "~Add link to bookmarks"
 msgstr "   "
 
 #. accelerator_context(link_menu.std)
-#: src/viewer/text/link.c:1308
+#: src/viewer/text/link.c:1307
 msgid "Pass link URI to e~xternal command"
 msgstr ""
 
 #. accelerator_context(link_menu.form, link_menu.reset, link_menu.textarea)
-#: src/viewer/text/link.c:1319 src/viewer/text/link.c:1359
+#: src/viewer/text/link.c:1318 src/viewer/text/link.c:1358
 msgid "~Reset form"
 msgstr " "
 
 #. accelerator_context(link_menu.textarea)
-#: src/viewer/text/link.c:1334
+#: src/viewer/text/link.c:1333
 msgid "Open in ~external editor"
 msgstr ""
 
 #. accelerator_context(link_menu.form, link_menu.textarea)
-#: src/viewer/text/link.c:1342
+#: src/viewer/text/link.c:1341
 msgid "~Submit form"
 msgstr "Ħ "
 
 #. accelerator_context(link_menu.form, link_menu.textarea)
-#: src/viewer/text/link.c:1343
+#: src/viewer/text/link.c:1342
 msgid "Submit form and rel~oad"
 msgstr "Ħ   "
 
 #. accelerator_context(link_menu.form, link_menu.textarea)
-#: src/viewer/text/link.c:1347
+#: src/viewer/text/link.c:1346
 msgid "Submit form and open in new ~window"
 msgstr "Ħ   צ   צΦ"
 
 #. accelerator_context(link_menu.form, link_menu.textarea)
-#: src/viewer/text/link.c:1349
+#: src/viewer/text/link.c:1348
 #, fuzzy
 msgid "Submit form and open in new ~tab"
 msgstr "Ħ   צ   צΦ"
 
 #. accelerator_context(link_menu.form, link_menu.textarea)
-#: src/viewer/text/link.c:1352
+#: src/viewer/text/link.c:1351
 #, fuzzy
 msgid "Submit form and open in new tab in ~background"
 msgstr "Ħ   צ   צΦ"
 
 #. accelerator_context(link_menu.form, link_menu.textarea)
-#: src/viewer/text/link.c:1357
+#: src/viewer/text/link.c:1356
 msgid "Submit form and ~download"
 msgstr "Ħ   "
 
 #. accelerator_context(link_menu.form, link_menu.reset, link_menu.textarea)
-#: src/viewer/text/link.c:1364
+#: src/viewer/text/link.c:1363
 #, fuzzy
 msgid "Form f~ields"
 msgstr ""
 
 #. accelerator_context(link_menu.form, link_menu.map, link_menu.std)
-#: src/viewer/text/link.c:1371
+#: src/viewer/text/link.c:1370
 msgid "V~iew image"
 msgstr " "
 
 #. accelerator_context(link_menu.form, link_menu.map, link_menu.std)
-#: src/viewer/text/link.c:1373
+#: src/viewer/text/link.c:1372
 msgid "Download ima~ge"
 msgstr " "
 
-#: src/viewer/text/link.c:1382
+#: src/viewer/text/link.c:1381
 msgid "No link selected"
 msgstr "  "
 
-#: src/viewer/text/link.c:1452
+#: src/viewer/text/link.c:1451
 msgid "Image"
 msgstr ""
 
-#: src/viewer/text/link.c:1457
+#: src/viewer/text/link.c:1456
 msgid "Usemap"
 msgstr " "
 
@@ -8422,87 +8435,87 @@ msgstr " "
 msgid "Marks"
 msgstr ""
 
-#: src/viewer/text/search.c:1083
+#: src/viewer/text/search.c:1099
 msgid "Search hit top, continuing at bottom."
 msgstr ""
 
-#: src/viewer/text/search.c:1084
+#: src/viewer/text/search.c:1100
 msgid "Search hit bottom, continuing at top."
 msgstr ""
 
-#: src/viewer/text/search.c:1087
+#: src/viewer/text/search.c:1103
 msgid "No previous search"
 msgstr "   "
 
-#: src/viewer/text/search.c:1099
+#: src/viewer/text/search.c:1115
 #, fuzzy, c-format
 msgid "Could not compile regular expression '%s'"
 msgstr "Ħ "
 
-#: src/viewer/text/search.c:1143
+#: src/viewer/text/search.c:1159
 #, c-format
 msgid "No further matches for '%s'."
 msgstr ""
 
-#: src/viewer/text/search.c:1145
+#: src/viewer/text/search.c:1161
 #, c-format
 msgid "Could not find a link with the text '%s'."
 msgstr ""
 
-#: src/viewer/text/search.c:1147 src/viewer/text/search.c:1558
+#: src/viewer/text/search.c:1163 src/viewer/text/search.c:1576
 #, fuzzy
 msgid "Typeahead"
 msgstr ""
 
-#: src/viewer/text/search.c:1560
+#: src/viewer/text/search.c:1578
 #, c-format
 msgid "No links in current document"
 msgstr ""
 
-#: src/viewer/text/search.c:1643
+#: src/viewer/text/search.c:1661
 msgid "Search for text"
 msgstr " "
 
-#: src/viewer/text/search.c:1679
+#: src/viewer/text/search.c:1697
 #, fuzzy
 msgid "Normal search"
 msgstr "   "
 
-#: src/viewer/text/search.c:1680
+#: src/viewer/text/search.c:1698
 msgid "Regexp search"
 msgstr ""
 
-#: src/viewer/text/search.c:1681
+#: src/viewer/text/search.c:1699
 msgid "Extended regexp search"
 msgstr ""
 
-#: src/viewer/text/search.c:1683
+#: src/viewer/text/search.c:1701
 msgid "Case sensitive"
 msgstr ""
 
-#: src/viewer/text/search.c:1684
+#: src/viewer/text/search.c:1702
 msgid "Case insensitive"
 msgstr ""
 
-#: src/viewer/text/search.c:1708
+#: src/viewer/text/search.c:1726
 msgid "Search backward"
 msgstr "Φ "
 
 #. name:
-#: src/viewer/text/search.c:1747
+#: src/viewer/text/search.c:1765
 #, fuzzy
 msgid "Search History"
 msgstr "Ҧ ˦"
 
-#: src/viewer/text/textarea.c:595
+#: src/viewer/text/textarea.c:584
 msgid "You cannot launch an external editor in the anonymous mode."
 msgstr ""
 
-#: src/viewer/text/textarea.c:602
+#: src/viewer/text/textarea.c:591
 msgid "You can do this only on the master terminal"
 msgstr "    Ԧ   ̦ͦ"
 
-#: src/viewer/text/textarea.c:655
+#: src/viewer/text/textarea.c:644
 #, c-format
 msgid ""
 "You have exceeded the textarea's size limit: your input is %d bytes, but the "
@@ -8520,11 +8533,11 @@ msgstr "  "
 msgid "Enter link number"
 msgstr "Ħ  "
 
-#: src/viewer/text/view.c:1627
+#: src/viewer/text/view.c:1628
 msgid "Save error"
 msgstr " "
 
-#: src/viewer/text/view.c:1628
+#: src/viewer/text/view.c:1629
 msgid "Error writing to file"
 msgstr "   "
 
diff -pruN 0.12~pre2.dfsg0-1/src/bfu/dialog.c 0.12~pre4-1/src/bfu/dialog.c
--- 0.12~pre2.dfsg0-1/src/bfu/dialog.c	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/src/bfu/dialog.c	2009-05-31 09:48:47.000000000 +0100
@@ -297,7 +297,7 @@ select_button_by_key(struct dialog_data 
 
 #ifdef CONFIG_UTF8
 	key = unicode_fold_label_case(get_kbd_key(ev));
-	codepage = get_opt_codepage_tree(dlg_data->win->term->spec, "charset");
+	codepage = get_terminal_codepage(dlg_data->win->term);
 #else
 	key = toupper(get_kbd_key(ev));
 #endif
diff -pruN 0.12~pre2.dfsg0-1/src/bfu/hotkey.c 0.12~pre4-1/src/bfu/hotkey.c
--- 0.12~pre2.dfsg0-1/src/bfu/hotkey.c	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/src/bfu/hotkey.c	2009-05-31 09:48:47.000000000 +0100
@@ -127,7 +127,7 @@ check_hotkeys_common(struct menu *menu, 
 {
 #ifdef CONFIG_UTF8
 	unicode_val_T key = unicode_fold_label_case(hotkey);
-	int codepage = get_opt_codepage_tree(term->spec, "charset");
+	int codepage = get_terminal_codepage(term);
 #else
 	unsigned char key = toupper(hotkey);
 #endif
diff -pruN 0.12~pre2.dfsg0-1/src/bfu/inpfield.c 0.12~pre4-1/src/bfu/inpfield.c
--- 0.12~pre2.dfsg0-1/src/bfu/inpfield.c	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/src/bfu/inpfield.c	2009-05-31 09:48:47.000000000 +0100
@@ -691,8 +691,7 @@ kbd_field(struct dialog_data *dlg_data, 
 				/* get_kbd_key(ev) is UCS-4, and @text
 				 * is in the terminal's charset.  */
 				ins = u2cp_no_nbsp(get_kbd_key(ev),
-						   get_opt_codepage_tree(term->spec,
-									 "charset"));
+						   get_terminal_codepage(term));
 				inslen = strlen(ins);
 #endif /* CONFIG_UTF8 */
 
diff -pruN 0.12~pre2.dfsg0-1/src/bfu/leds.c 0.12~pre4-1/src/bfu/leds.c
--- 0.12~pre2.dfsg0-1/src/bfu/leds.c	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/src/bfu/leds.c	2009-05-31 09:48:47.000000000 +0100
@@ -80,7 +80,7 @@ static struct option_info led_options[] 
 
 	INIT_OPT_STRING("ui.clock", N_("Format"),
 		"format", 0, "[%H:%M]",
-		N_("Format string for the digital clock. See the strftime(3)\n"
+		N_("Format string for the digital clock. See the strftime(3) "
 		"manpage for details.")),
 
 	/* Compatibility alias. Added: 2004-04-22, 0.9.CVS. */
@@ -93,8 +93,8 @@ static struct option_info led_options[] 
 
 	INIT_OPT_BOOL("ui.leds", N_("Enable"),
 		"enable", 0, 1,
-		N_("Enable LEDs.\n"
-		   "These visual indicators will inform you about various states.")),
+		N_("Enable LEDs. These visual indicators will inform you "
+		"about various states.")),
 
 	NULL_OPTION_INFO,
 };
diff -pruN 0.12~pre2.dfsg0-1/src/bookmarks/backend/default.c 0.12~pre4-1/src/bookmarks/backend/default.c
--- 0.12~pre2.dfsg0-1/src/bookmarks/backend/default.c	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/src/bookmarks/backend/default.c	2009-05-31 09:48:47.000000000 +0100
@@ -4,6 +4,7 @@
 #include "config.h"
 #endif
 
+#include <errno.h>
 #include <stdio.h>
 #include <stdlib.h>
 #include <string.h>
@@ -33,6 +34,7 @@ read_bookmarks_default(FILE *f)
 	unsigned char in_buffer[INBUF_SIZE]; /* read buffer */
 	struct bookmark *last_bm = NULL;
 	int last_depth = 0;
+	const int file_cp = get_cp_index("System");
 
 	/* TODO: Ignore lines with bad chars in title or url (?). -- Zas */
 	while (fgets(in_buffer, INBUF_SIZE, f)) {
@@ -101,7 +103,8 @@ read_bookmarks_default(FILE *f)
 					root = last_bm->root;
 				}
 			}
-			last_bm = add_bookmark(root, 1, title, url);
+			last_bm = add_bookmark_cp(root, 1, file_cp,
+						  title, url);
 			last_depth = depth;
 
 			if (!*url && title[0] == '-' && title[1] == '\0') {
@@ -125,29 +128,67 @@ read_bookmarks_default(FILE *f)
 #undef INBUF_SIZE
 }
 
-/* Saves the bookmarks to file */
+struct write_bookmarks_default
+{
+	struct secure_save_info *ssi;
+	int save_folder_state;
+	int codepage;
+	struct conv_table *conv_table;
+};
+
 static void
-write_bookmarks_default(struct secure_save_info *ssi,
-		        LIST_OF(struct bookmark) *bookmarks_list)
+write_bookmarks_default_inner(const struct write_bookmarks_default *out,
+			      LIST_OF(struct bookmark) *bookmarks_list)
 {
-	int folder_state = get_opt_bool("bookmarks.folder_state");
 	struct bookmark *bm;
 
 	foreach (bm, *bookmarks_list) {
-		secure_fprintf(ssi, "%s\t%s\t%d\t", bm->title, bm->url, bm->box_item->depth);
+		unsigned char *title, *url;
+
+		title = convert_string(out->conv_table, bm->title,
+				       strlen(bm->title), out->codepage,
+				       CSM_NONE, NULL, NULL, NULL);
+		url = convert_string(out->conv_table, bm->url,
+				     strlen(bm->url), out->codepage,
+				     CSM_NONE, NULL, NULL, NULL);
+		secure_fprintf(out->ssi, "%s\t%s\t%d\t",
+			       empty_string_or_(title), empty_string_or_(url),
+			       bm->box_item->depth);
 		if (bm->box_item->type == BI_FOLDER) {
-			secure_fputc(ssi, 'F');
-			if (folder_state && bm->box_item->expanded)
-				secure_fputc(ssi, 'E');
+			secure_fputc(out->ssi, 'F');
+			if (out->save_folder_state && bm->box_item->expanded)
+				secure_fputc(out->ssi, 'E');
+		}
+		secure_fputc(out->ssi, '\n');
+
+		if (!title || !url) {
+			secsave_errno = SS_ERR_OTHER;
+			out->ssi->err = ENOMEM;
 		}
-		secure_fputc(ssi, '\n');
-		if (ssi->err) break;
+		mem_free_if(title);
+		mem_free_if(url);
+		if (out->ssi->err) break;
 
 		if (!list_empty(bm->child))
-			write_bookmarks_default(ssi, &bm->child);
+			write_bookmarks_default_inner(out, &bm->child);
 	}
 }
 
+/* Saves the bookmarks to file */
+static void
+write_bookmarks_default(struct secure_save_info *ssi,
+		        LIST_OF(struct bookmark) *bookmarks_list)
+{
+	struct write_bookmarks_default out;
+
+	out.ssi = ssi;
+	out.save_folder_state = get_opt_bool("bookmarks.folder_state");
+	out.codepage = get_cp_index("System");
+	out.conv_table = get_translation_table(get_cp_index("UTF-8"),
+					       out.codepage);
+	write_bookmarks_default_inner(&out, bookmarks_list);
+}
+
 static unsigned char *
 filename_bookmarks_default(int writing)
 {
diff -pruN 0.12~pre2.dfsg0-1/src/bookmarks/backend/xbel.c 0.12~pre4-1/src/bookmarks/backend/xbel.c
--- 0.12~pre2.dfsg0-1/src/bookmarks/backend/xbel.c	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/src/bookmarks/backend/xbel.c	2009-05-31 09:48:47.000000000 +0100
@@ -11,6 +11,7 @@
 #endif /* HAVE_CONFIG_H */
 
 #include <ctype.h>
+#include <errno.h>
 #include <expat.h>
 #include <stdio.h>
 #include <stdlib.h>
@@ -38,6 +39,7 @@ struct attributes {
 	LIST_HEAD(struct attributes);
 
 	unsigned char *name;
+	unsigned char *value;
 };
 
 /* Prototypes */
@@ -53,9 +55,14 @@ static unsigned char *get_attribute_valu
 					  unsigned char *name);
 
 
+struct read_bookmarks_xbel {
+	int utf8_cp;
+};
+
 static void read_bookmarks_xbel(FILE *f);
 static unsigned char * filename_bookmarks_xbel(int writing);
-static int xbeltree_to_bookmarks_list(struct tree_node *root,
+static int xbeltree_to_bookmarks_list(const struct read_bookmarks_xbel *preload,
+				      struct tree_node *root,
 				      struct bookmark *current_parent);
 static void write_bookmarks_list(struct secure_save_info *ssi,
 				 LIST_OF(struct bookmark) *bookmarks_list,
@@ -89,6 +96,7 @@ read_bookmarks_xbel(FILE *f)
 	XML_Parser p;
 	int done = 0;
 	int err = 0;
+	struct read_bookmarks_xbel preload;
 
 	readok = 0;
 
@@ -125,7 +133,12 @@ read_bookmarks_xbel(FILE *f)
 		}
 	}
 
-	if (!err) readok = xbeltree_to_bookmarks_list(root_node->children, NULL); /* Top node is xbel */
+	if (!err) {
+		preload.utf8_cp = get_cp_index("UTF-8");
+		readok = xbeltree_to_bookmarks_list(&preload,
+						    root_node->children, /* Top node is xbel */
+						    NULL);
+	}
 
 	XML_ParserFree(p);
 	free_xbeltree(root_node);
@@ -140,7 +153,7 @@ write_bookmarks_xbel(struct secure_save_
 	/* We check for readok in filename_bookmarks_xbel(). */
 
 	secure_fputs(ssi,
-		"<?xml version=\"1.0\"?>\n"
+		"<?xml version=\"1.0\" encoding=\"UTF-8\"?>\n"
 		"<!DOCTYPE xbel PUBLIC \"+//IDN python.org//DTD XML "
 		"Bookmark Exchange Language 1.0//EN//XML\"\n"
 		"		       "
@@ -168,42 +181,20 @@ indentation(struct secure_save_info *ssi
 		secure_fputs(ssi, "    ");
 }
 
-/* FIXME This is totally broken, we should use the Unicode value in
- *       numeric entities.
- *       Additionally it is slow, not elegant, incomplete and
- *       if you pay enough attention you can smell the unmistakable
- *       odor of doom coming from it. --fabio */
 static void
 print_xml_entities(struct secure_save_info *ssi, const unsigned char *str)
 {
-#define accept_char(x) (isident((x)) || (x) == ' ' || (x) == '.' \
-				 || (x) == ':' || (x) == ';' \
-				 || (x) == '/' || (x) == '(' \
-				 || (x) == ')' || (x) == '}' \
-				 || (x) == '{' || (x) == '%' \
-				 || (x) == '+')
-
-	static int cp = -1;
-
-	if (cp == -1) cp = get_cp_index("us-ascii");
-
-	for (; *str; str++) {
-		if (accept_char(*str))
-			secure_fputc(ssi, *str);
-		else {
-			if (isascii(*str)) {
-				secure_fprintf(ssi, "&#%i;", (int) *str);
-			}
-			else {
-				const unsigned char *s = u2cp_no_nbsp(*str, cp);
+	struct string entitized = NULL_STRING;
 
-				if (s) print_xml_entities(ssi, s);
-			}
-		}
+	if (init_string(&entitized)
+	    && add_html_to_string(&entitized, str, strlen(str))) {
+		secure_fputs(ssi, entitized.source);
+	} else {
+		secsave_errno = SS_ERR_OUT_OF_MEM;
+		ssi->err = ENOMEM;
 	}
 
-#undef accept_char
-
+	done_string(&entitized);
 }
 
 static void
@@ -257,7 +248,6 @@ write_bookmarks_list(struct secure_save_
 static void
 on_element_open(void *data, const char *name, const char **attr)
 {
-	struct attributes *attribute;
 	struct tree_node *node;
 
 	node = new_node(current_node);
@@ -284,26 +274,23 @@ on_element_open(void *data, const char *
 		return;
 	}
 
-	while (*attr) {
-		unsigned char *tmp = stracpy((unsigned char *) *attr);
-
-		if (!tmp) {
+	for (; *attr; attr += 2) {
+		struct attributes *attribute = mem_calloc(1, sizeof(*attribute));
+		unsigned char *name = stracpy((unsigned char *) attr[0]);
+		unsigned char *value = stracpy((unsigned char *) attr[1]);
+
+		if (!attribute || !name || !value) {
+			mem_free_if(attribute);
+			mem_free_if(name);
+			mem_free_if(value);
 			free_node(current_node);
 			return;
 		}
 
-		attribute = mem_calloc(1, sizeof(*attribute));
-		if (!attribute) {
-			mem_free(tmp);
-			free_node(current_node);
-			return;
-		}
-
-		attribute->name = tmp;
-
-		add_to_list(current_node->attrs, attribute);
+		attribute->name = name;
+		attribute->value = value;
 
-		++attr;
+		add_to_list_end(current_node->attrs, attribute);
 	}
 
 }
@@ -315,25 +302,34 @@ on_element_close(void *data, const char 
 }
 
 static unsigned char *
-delete_whites(unsigned char *s)
+delete_whites(const unsigned char *s)
 {
 	unsigned char *r;
-	int count = 0, c = 0, i;
+	int last_was_space = 0, c = 0, i;
 	int len = strlen(s);
 
 	r = mem_alloc(len + 1);
 	if (!r) return NULL;
 
 	for (i = 0; i < len; i++) {
-		if (isspace(s[i])) {
-			if (count == 1) continue;
-			else count = 1;
-		}
-		else count = 0;
-
-		if (s[i] == '\n' || s[i] == '\t')
+		/* Recognize only the whitespace characters listed
+		 * in section 2.3 of XML 1.1.  U+0085 and U+2028 need
+		 * not be recognized here because section 2.11 says
+		 * the XML processor must translate them to U+000A.
+		 * Do not use isspace() because the string is in UTF-8
+		 * and individual bytes might not be characters at
+		 * all.  */
+		switch (s[i]) {
+		case '\x20': case '\x09': case '\x0D': case '\x0A':
+			if (last_was_space) continue;
+			last_was_space = 1;
 			r[c++] = ' ';
-		else r[c++] = s[i];
+			break;
+		default:
+			last_was_space = 0;
+			r[c++] = s[i];
+			break;
+		}
 	}
 
 	r[c] = '\0';
@@ -370,7 +366,8 @@ on_text(void *data, const XML_Char *text
 /* xbel_tree_to_bookmarks_list: returns 0 on fail,
  *				      1 on success */
 static int
-xbeltree_to_bookmarks_list(struct tree_node *node,
+xbeltree_to_bookmarks_list(const struct read_bookmarks_xbel *preload,
+			   struct tree_node *node,
 			   struct bookmark *current_parent)
 {
 	struct bookmark *tmp;
@@ -384,6 +381,7 @@ xbeltree_to_bookmarks_list(struct tree_n
 			title = get_child(node, "title");
 			href = get_attribute_value(node, "href");
 
+			intl_set_charset_by_index(preload->utf8_cp);
 			tmp = add_bookmark(current_parent, 0,
 					   /* The <title> element is optional */
 					   title && title->text ? title->text
@@ -406,6 +404,7 @@ xbeltree_to_bookmarks_list(struct tree_n
 
 			title = get_child(node, "title");
 
+			intl_set_charset_by_index(preload->utf8_cp);
 			tmp = add_bookmark(current_parent, 0,
 					   title && title->text ? title->text
 						 : (unsigned char *) gettext("No title"),
@@ -431,14 +430,18 @@ xbeltree_to_bookmarks_list(struct tree_n
 
 		if (node->children) {
 			int ret;
+			struct bookmark *parent_for_nested;
 
 			/* If this node is a <folder> element, current parent
 			 * changes */
-			ret = (!strcmp(node->name, "folder") ?
-				xbeltree_to_bookmarks_list(node->children,
-							   lastbm) :
-				xbeltree_to_bookmarks_list(node->children,
-							   current_parent));
+			if (!strcmp(node->name, "folder"))
+				parent_for_nested = lastbm;
+			else
+				parent_for_nested = current_parent;
+
+			ret = xbeltree_to_bookmarks_list(preload,
+							 node->children,
+							 parent_for_nested);
 			/* Out of memory */
 			if (!ret) return 0;
 		}
@@ -491,9 +494,9 @@ get_attribute_value(struct tree_node *no
 {
 	struct attributes *attribute;
 
-	foreachback (attribute, node->attrs) {
+	foreach (attribute, node->attrs) {
 		if (!strcmp(attribute->name, name)) {
-			return attribute->prev->name;
+			return attribute->value;
 		}
 	}
 
@@ -519,8 +522,11 @@ free_node(struct tree_node *node)
 {
 	struct attributes *attribute;
 
-	foreachback (attribute, node->attrs)
-		mem_free_if(attribute->name);
+	foreach (attribute, node->attrs) {
+		/* on_element_open() ensures ->name and ->value aren't NULL. */
+		mem_free(attribute->name);
+		mem_free(attribute->value);
+	}
 	free_list(node->attrs); /* Don't free list during traversal */
 
 	mem_free_if(node->name);
diff -pruN 0.12~pre2.dfsg0-1/src/bookmarks/bookmarks.c 0.12~pre4-1/src/bookmarks/bookmarks.c
--- 0.12~pre2.dfsg0-1/src/bookmarks/bookmarks.c	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/src/bookmarks/bookmarks.c	2009-05-31 09:48:47.000000000 +0100
@@ -52,30 +52,32 @@ static struct option_info bookmark_optio
 #ifdef CONFIG_XBEL_BOOKMARKS
 	INIT_OPT_INT("bookmarks", N_("File format"),
 		"file_format", 0, 0, 1, 0,
-		N_("File format for bookmarks (affects both reading and saving):\n"
+		N_("File format for bookmarks (affects both reading and "
+		"saving):\n"
 		"0 is the default native ELinks format\n"
-		"1 is XBEL universal XML bookmarks format (ELinks bug 153: NO NATIONAL CHARS SUPPORT!)")),
+		"1 is XBEL universal XML bookmarks format")),
 #else
 	INIT_OPT_INT("bookmarks", N_("File format"),
 		"file_format", 0, 0, 1, 0,
-		N_("File format for bookmarks (affects both reading and saving):\n"
+		N_("File format for bookmarks (affects both reading and "
+		"saving):\n"
 		"0 is the default native ELinks format\n"
-		"1 is XBEL universal XML bookmarks format (ELinks bug 153: NO NATIONAL CHARS SUPPORT!)"
-		"  (DISABLED)")),
+		"1 is XBEL universal XML bookmarks format  (DISABLED)")),
 #endif
 
 	INIT_OPT_BOOL("bookmarks", N_("Save folder state"),
 		"folder_state", 0, 1,
-		N_("When saving bookmarks also store whether folders are\n"
-		"expanded or not, so the look of the bookmark dialog is\n"
-		"kept across ELinks sessions. If disabled all folders will\n"
+		N_("When saving bookmarks also store whether folders are "
+		"expanded or not, so the look of the bookmark dialog is "
+		"kept across ELinks sessions. If disabled all folders will "
 		"appear unexpanded next time ELinks is run.")),
 
 	INIT_OPT_BOOL("ui.sessions", N_("Periodic snapshotting"),
 		"snapshot", 0, 0,
-		N_("Automatically save a snapshot of all tabs periodically.\n"
-		"This will periodically bookmark the tabs of each terminal in a separate folder\n"
-		"for recovery after a crash.\n\n"
+		N_("Automatically save a snapshot of all tabs periodically. "
+		"This will periodically bookmark the tabs of each terminal "
+		"in a separate folder for recovery after a crash.\n"
+		"\n"
 		"This feature requires bookmark support.")),
 
 	NULL_OPTION_INFO
@@ -268,10 +270,13 @@ delete_bookmark(struct bookmark *bm)
 	done_bookmark(bm);
 }
 
-/* Deletes any bookmarks with no URLs (i.e., folders) and of which
- * the title matches the given argument. */
+/** Deletes any bookmarks with no URLs (i.e., folders) and of which
+ * the title matches the given argument.
+ *
+ * @param foldername
+ *  The title of the folder, in UTF-8.  */
 static void
-delete_folder_by_name(unsigned char *foldername)
+delete_folder_by_name(const unsigned char *foldername)
 {
 	struct bookmark *bookmark, *next;
 
@@ -284,6 +289,21 @@ delete_folder_by_name(unsigned char *fol
 	}
 }
 
+/** Allocate and initialize a bookmark in the given folder.  This
+ * however does not set bookmark.box_item; use add_bookmark() for
+ * that.
+ *
+ * @param root
+ *   The folder in which to add the bookmark, or NULL to add it at
+ *   top level.
+ * @param title
+ *   Title of the bookmark.  Must be in UTF-8 and not NULL.
+ *   "-" means add a separator.
+ * @param url
+ *   URL to which the bookmark will point.  Must be in UTF-8.
+ *   NULL or "" means add a bookmark folder.
+ *
+ * @return the new bookmark, or NULL on error.  */
 static struct bookmark *
 init_bookmark(struct bookmark *root, unsigned char *title, unsigned char *url)
 {
@@ -341,8 +361,23 @@ add_bookmark_item_to_bookmarks(struct bo
 		add_hash_item(bookmark_cache, bm->url, strlen(bm->url), bm);
 }
 
-/* Adds a bookmark to the bookmark list. Place 0 means top, place 1 means
- * bottom. NULL or "" @url means it is a bookmark folder. */
+/** Add a bookmark to the bookmark list.
+ *
+ * @param root
+ *   The folder in which to add the bookmark, or NULL to add it at
+ *   top level.
+ * @param place
+ *   0 means add to the top.  1 means add to the bottom.
+ * @param title
+ *   Title of the bookmark.  Must be in UTF-8 and not NULL.
+ *   "-" means add a separator.
+ * @param url
+ *   URL to which the bookmark will point.  Must be in UTF-8.
+ *   NULL or "" means add a bookmark folder.
+ *
+ * @return the new bookmark, or NULL on error.
+ *
+ * @see add_bookmark_cp() */
 struct bookmark *
 add_bookmark(struct bookmark *root, int place, unsigned char *title,
 	     unsigned char *url)
@@ -379,27 +414,87 @@ add_bookmark(struct bookmark *root, int 
 	return bm;
 }
 
+/** Add a bookmark to the bookmark list.
+ *
+ * @param root
+ *   The folder in which to add the bookmark, or NULL to add it at
+ *   top level.
+ * @param place
+ *   0 means add to the top.  1 means add to the bottom.
+ * @param codepage
+ *   Codepage of @a title and @a url.
+ * @param title
+ *   Title of the bookmark.  Must not be NULL.
+ *   "-" means add a separator.
+ * @param url
+ *   URL to which the bookmark will point.
+ *   NULL or "" means add a bookmark folder.
+ *
+ * @return the new bookmark.
+ *
+ * @see add_bookmark() */
+struct bookmark *
+add_bookmark_cp(struct bookmark *root, int place, int codepage,
+		unsigned char *title, unsigned char *url)
+{
+	const int utf8_cp = get_cp_index("UTF-8");
+	struct conv_table *table;
+	unsigned char *utf8_title = NULL;
+	unsigned char *utf8_url = NULL;
+	struct bookmark *bookmark = NULL;
+
+	if (!url)
+		url = "";
+
+	table = get_translation_table(codepage, utf8_cp);
+	if (!table)
+		return NULL;
+
+	utf8_title = convert_string(table, title, strlen(title),
+				    utf8_cp, CSM_NONE,
+				    NULL, NULL, NULL);
+	utf8_url = convert_string(table, url, strlen(url),
+				  utf8_cp, CSM_NONE,
+				  NULL, NULL, NULL);
+	if (utf8_title && utf8_url)
+		bookmark = add_bookmark(root, place,
+					utf8_title, utf8_url);
+	mem_free_if(utf8_title);
+	mem_free_if(utf8_url);
+	return bookmark;
+}
+
 /* Updates an existing bookmark.
  *
  * If there's any problem, return 0. Otherwise, return 1.
  *
  * If any of the fields are NULL, the value is left unchanged. */
 int
-update_bookmark(struct bookmark *bm, unsigned char *title,
-		unsigned char *url)
+update_bookmark(struct bookmark *bm, int codepage,
+		unsigned char *title, unsigned char *url)
 {
 	static int update_bookmark_event_id = EVENT_NONE;
+	const int utf8_cp = get_cp_index("UTF-8");
+	struct conv_table *table;
 	unsigned char *title2 = NULL;
 	unsigned char *url2 = NULL;
 
+	table = get_translation_table(codepage, utf8_cp);
+	if (!table)
+		return 0;
+
 	if (url) {
-		url2 = stracpy(url);
+		url2 = convert_string(table, url, strlen(url),
+				      utf8_cp, CSM_NONE,
+				      NULL, NULL, NULL);
 		if (!url2) return 0;
 		sanitize_url(url2);
 	}
 
 	if (title) {
-		title2 = stracpy(title);
+		title2 = convert_string(table, title, strlen(title),
+					utf8_cp, CSM_NONE,
+					NULL, NULL, NULL);
 		if (!title2) {
 			mem_free_if(url2);
 			return 0;
@@ -435,8 +530,16 @@ update_bookmark(struct bookmark *bm, uns
 	return 1;
 }
 
-/* Search for a bookmark with the given title. Search in the given folder
- * or in the root if folder is NULL. */
+/** Search for a bookmark with the given title.  The search does not
+ * recurse into subfolders.
+ *
+ * @param folder
+ *   Search in this folder.  NULL means search in the root.
+ *
+ * @param title
+ *   Search for this title.  Must be in UTF-8 and not NULL.
+ *
+ * @return The bookmark, or NULL if not found.  */
 struct bookmark *
 get_bookmark_by_name(struct bookmark *folder, unsigned char *title)
 {
@@ -457,6 +560,7 @@ get_bookmark(unsigned char *url)
 {
 	struct hash_item *item;
 
+	/** @todo Bug 1066: URLs in bookmark_cache should be UTF-8 */
 	if (!check_bookmark_cache(url))
 		return NULL;
 
@@ -472,6 +576,7 @@ bookmark_terminal(struct terminal *term,
 {
 	unsigned char title[MAX_STR_LEN], url[MAX_STR_LEN];
 	struct window *tab;
+	int term_cp = get_terminal_codepage(term);
 
 	foreachback_tab (tab, term->windows) {
 		struct session *ses = tab->data;
@@ -482,10 +587,18 @@ bookmark_terminal(struct terminal *term,
 		if (!get_current_title(ses, title, MAX_STR_LEN))
 			continue;
 
-		add_bookmark(folder, 1, title, url);
+		add_bookmark_cp(folder, 1, term_cp, title, url);
 	}
 }
 
+/** Create a bookmark for each document on the specified terminal,
+ * and a folder to contain those bookmarks.
+ *
+ * @param term
+ *   The terminal whose open documents should be bookmarked.
+ *
+ * @param foldername
+ *   The name of the new bookmark folder, in UTF-8.  */
 void
 bookmark_terminal_tabs(struct terminal *term, unsigned char *foldername)
 {
@@ -520,6 +633,8 @@ bookmark_all_terminals(struct bookmark *
 
 		++n;
 
+		/* Because subfoldername[] contains only digits,
+		 * it is OK as UTF-8.  */
 		subfolder = add_bookmark(folder, 1, subfoldername, NULL);
 		if (!subfolder) return;
 
@@ -528,23 +643,48 @@ bookmark_all_terminals(struct bookmark *
 }
 
 
+unsigned char *
+get_auto_save_bookmark_foldername_utf8(void)
+{
+	unsigned char *foldername;
+	int from_cp, to_cp;
+	struct conv_table *convert_table;
+
+	foldername = get_opt_str("ui.sessions.auto_save_foldername");
+	if (!*foldername) return NULL;
+
+	/* The charset of the string returned by get_opt_str()
+	 * seems to be documented nowhere.  Let's assume it is
+	 * the system charset.  */
+	from_cp = get_cp_index("System");
+	to_cp = get_cp_index("UTF-8");
+	convert_table = get_translation_table(from_cp, to_cp);
+	if (!convert_table) return NULL;
+
+	return convert_string(convert_table,
+			      foldername, strlen(foldername),
+			      to_cp, CSM_NONE,
+			      NULL, NULL, NULL);
+}
+
 void
 bookmark_auto_save_tabs(struct terminal *term)
 {
-	unsigned char *foldername;
+	unsigned char *foldername; /* UTF-8 */
 
 	if (get_cmd_opt_bool("anonymous")
 	    || !get_opt_bool("ui.sessions.auto_save"))
 		return;
 
-	foldername = get_opt_str("ui.sessions.auto_save_foldername");
-	if (!*foldername) return;
+	foldername = get_auto_save_bookmark_foldername_utf8();
+	if (!foldername) return;
 
 	/* Ensure uniqueness of the auto save folder, so it is possible to
 	 * restore the (correct) session when starting up. */
 	delete_folder_by_name(foldername);
 
 	bookmark_terminal_tabs(term, foldername);
+	mem_free(foldername);
 }
 
 static void
@@ -562,7 +702,10 @@ bookmark_snapshot(void)
 	add_date_to_string(&folderstring, get_opt_str("ui.date_format"), NULL);
 #endif
 
-	folder = add_bookmark(NULL, 1, folderstring.source, NULL);
+	/* folderstring must be in the system codepage because
+	 * add_date_to_string() uses strftime().  */
+	folder = add_bookmark_cp(NULL, 1, get_cp_index("System"),
+				 folderstring.source, NULL);
 	done_string(&folderstring);
 	if (!folder) return;
 
@@ -573,6 +716,14 @@ bookmark_snapshot(void)
 }
 
 
+/** Open all bookmarks from the named folder.
+ *
+ * @param ses
+ *   The session in which to open the first bookmark.  The other
+ *   bookmarks of the folder open in new tabs on the same terminal.
+ *
+ * @param foldername
+ *   The name of the bookmark folder, in UTF-8.  */
 void
 open_bookmark_folder(struct session *ses, unsigned char *foldername)
 {
@@ -602,6 +753,8 @@ open_bookmark_folder(struct session *ses
 		    || !*bookmark->url)
 			continue;
 
+		/** @todo Bug 1066: Tell the URI layer that
+		 * bookmark->url is UTF-8.  */
 		uri = get_translated_uri(bookmark->url, NULL);
 		if (!uri) continue;
 
diff -pruN 0.12~pre2.dfsg0-1/src/bookmarks/bookmarks.h 0.12~pre4-1/src/bookmarks/bookmarks.h
--- 0.12~pre2.dfsg0-1/src/bookmarks/bookmarks.h	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/src/bookmarks/bookmarks.h	2009-05-31 09:48:47.000000000 +0100
@@ -17,7 +17,9 @@ struct bookmark {
 
 	struct listbox_item *box_item;
 
-	unsigned char *title;   /* title of bookmark */
+	/** @todo Bug 1066: The #url string should be in UTF-8 too,
+	 * but this has not yet been fully implemented.  */
+	unsigned char *title;   /* UTF-8 title of bookmark */
 	unsigned char *url;     /* Location of bookmarked item */
 
 	LIST_OF(struct bookmark) child;
@@ -43,12 +45,16 @@ int bookmarks_are_dirty(void);
 
 void delete_bookmark(struct bookmark *);
 struct bookmark *add_bookmark(struct bookmark *, int, unsigned char *, unsigned char *);
+struct bookmark *add_bookmark_cp(struct bookmark *, int, int,
+				 unsigned char *, unsigned char *);
 struct bookmark *get_bookmark_by_name(struct bookmark *folder,
                                       unsigned char *title);
 struct bookmark *get_bookmark(unsigned char *url);
 void bookmark_terminal_tabs(struct terminal *term, unsigned char *foldername);
+unsigned char *get_auto_save_bookmark_foldername_utf8(void);
 void bookmark_auto_save_tabs(struct terminal *term);
-int update_bookmark(struct bookmark *, unsigned char *, unsigned char *);
+int update_bookmark(struct bookmark *, int,
+		    unsigned char *, unsigned char *);
 void open_bookmark_folder(struct session *ses, unsigned char *foldername);
 
 #endif
diff -pruN 0.12~pre2.dfsg0-1/src/bookmarks/dialogs.c 0.12~pre4-1/src/bookmarks/dialogs.c
--- 0.12~pre2.dfsg0-1/src/bookmarks/dialogs.c	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/src/bookmarks/dialogs.c	2009-05-31 09:48:47.000000000 +0100
@@ -56,21 +56,52 @@ static unsigned char *
 get_bookmark_text(struct listbox_item *item, struct terminal *term)
 {
 	struct bookmark *bookmark = item->udata;
+	int utf8_cp = get_cp_index("UTF-8");
+	int term_cp = get_terminal_codepage(term);
+	struct conv_table *convert_table;
+
+	convert_table = get_translation_table(utf8_cp, term_cp);
+	if (!convert_table) return NULL;
+
+	return convert_string(convert_table,
+			      bookmark->title, strlen(bookmark->title),
+			      term_cp, CSM_NONE, NULL, NULL, NULL);
+}
+
+/** A callback for convert_string().  This ignores errors and can
+ * result in truncated strings if out of memory.  Accordingly, the
+ * resulting string may be displayed in the UI but should not be saved
+ * to a file or given to another program.  */
+static void
+add_converted_bytes_to_string(void *data, unsigned char *buf, int buflen)
+{
+	struct string *string = data;
 
-	return stracpy(bookmark->title);
+	add_bytes_to_string(string, buf, buflen); /* ignore errors */
 }
 
 static unsigned char *
 get_bookmark_info(struct listbox_item *item, struct terminal *term)
 {
 	struct bookmark *bookmark = item->udata;
+	int utf8_cp = get_cp_index("UTF-8");
+	int term_cp = get_terminal_codepage(term);
+	struct conv_table *convert_table;
 	struct string info;
 
 	if (item->type == BI_FOLDER) return NULL;
+	convert_table = get_translation_table(utf8_cp, term_cp);
+	if (!convert_table) return NULL;
 	if (!init_string(&info)) return NULL;
 
-	add_format_to_string(&info, "%s: %s", _("Title", term), bookmark->title);
-	add_format_to_string(&info, "\n%s: %s", _("URL", term), bookmark->url);
+	add_format_to_string(&info, "%s: ", _("Title", term));
+	convert_string(convert_table, bookmark->title, strlen(bookmark->title),
+		       term_cp, CSM_NONE, NULL,
+		       add_converted_bytes_to_string, &info);
+	add_format_to_string(&info, "\n%s: ", _("URL", term));
+	convert_string(convert_table, bookmark->url, strlen(bookmark->url),
+		       term_cp, CSM_NONE, NULL,
+		       add_converted_bytes_to_string, &info);
 
 	return info.source;
 }
@@ -80,6 +111,7 @@ get_bookmark_uri(struct listbox_item *it
 {
 	struct bookmark *bookmark = item->udata;
 
+	/** @todo Bug 1066: Tell the URI layer that bookmark->url is UTF-8.  */
 	return bookmark->url && *bookmark->url
 		? get_translated_uri(bookmark->url, NULL) : NULL;
 }
@@ -199,9 +231,33 @@ move_bookmark_after_selected(struct book
 	add_at_pos(selected->box_item, bookmark->box_item);
 }
 
+/** Add a bookmark; if called from the bookmark manager, also move
+ * the bookmark to the right place and select it in the manager.
+ * And possibly save the bookmarks.
+ *
+ * @param term
+ *   The terminal whose user told ELinks to add the bookmark.
+ *   Currently, @a term affects only the charset interpretation
+ *   of @a title and @a url.  In the future, this function could
+ *   also display error messages in @a term.
+ *
+ * @param dlg_data
+ *   The bookmark manager dialog, or NULL if the bookmark is being
+ *   added without involving the bookmark manager.  If @a dlg_data
+ *   is not NULL, dlg_data->win->term should be @a term.
+ *
+ * @param title
+ *   The title of the new bookmark, in the encoding of @a term.
+ *   Must not be NULL.  "-" means add a separator.
+ *
+ * @param url
+ *   The URL of the new bookmark, in the encoding of @a term.  NULL
+ *   or "" means add a bookmark folder, unless @a title is "-".  */
 static void
-do_add_bookmark(struct dialog_data *dlg_data, unsigned char *title, unsigned char *url)
+do_add_bookmark(struct terminal *term, struct dialog_data *dlg_data,
+		unsigned char *title, unsigned char *url)
 {
+	int term_cp = get_terminal_codepage(term);
 	struct bookmark *bm = NULL;
 	struct bookmark *selected = NULL;
 	struct listbox_data *box = NULL;
@@ -220,7 +276,7 @@ do_add_bookmark(struct dialog_data *dlg_
 		}
 	}
 
-	bm = add_bookmark(bm, 1, title, url);
+	bm = add_bookmark_cp(bm, 1, term_cp, title, url);
 	if (!bm) return;
 
 	move_bookmark_after_selected(bm, selected);
@@ -241,12 +297,29 @@ do_add_bookmark(struct dialog_data *dlg_
 
 /**** ADD FOLDER *****************************************************/
 
+/** Add a bookmark folder.  This is called when the user pushes the OK
+ * button in the input dialog that asks for the folder name.
+ *
+ * @param dlg_data
+ *   The bookmark manager.  Must not be NULL.
+ *
+ * @param foldername
+ *   The folder name that the user typed in the input dialog.
+ *   This is in the charset of the terminal.  */
 static void
 do_add_folder(struct dialog_data *dlg_data, unsigned char *foldername)
 {
-	do_add_bookmark(dlg_data, foldername, NULL);
+	do_add_bookmark(dlg_data->win->term, dlg_data, foldername, NULL);
 }
 
+/** Prepare to add a bookmark folder.  This is called when the user
+ * pushes the "Add folder" button in the bookmark manager.
+ *
+ * @param dlg_data
+ *   The bookmark manager.  Must not be NULL.
+ *
+ * @param widget_data
+ *   The "Add folder" button.  */
 static widget_handler_status_T
 push_add_folder_button(struct dialog_data *dlg_data, struct widget_data *widget_data)
 {
@@ -262,10 +335,18 @@ push_add_folder_button(struct dialog_dat
 
 /**** ADD SEPARATOR **************************************************/
 
+/** Add a bookmark separator.  This is called when the user pushes the
+ * "Add separator" button in the bookmark manager.
+ *
+ * @param dlg_data
+ *   The bookmark manager.  Must not be NULL.
+ *
+ * @param widget_data
+ *   The "Add separator" button.  */
 static widget_handler_status_T
 push_add_separator_button(struct dialog_data *dlg_data, struct widget_data *widget_data)
 {
-	do_add_bookmark(dlg_data, "-", "");
+	do_add_bookmark(dlg_data->win->term, dlg_data, "-", "");
 	redraw_dialog(dlg_data, 1);
 	return EVENT_PROCESSED;
 }
@@ -278,8 +359,11 @@ static void
 bookmark_edit_done(void *data) {
 	struct dialog *dlg = data;
 	struct bookmark *bm = (struct bookmark *) dlg->udata2;
+	struct dialog_data *parent_dlg_data = dlg->udata;
+	int term_cp = get_terminal_codepage(parent_dlg_data->win->term);
 
-	update_bookmark(bm, dlg->widgets[0].data, dlg->widgets[1].data);
+	update_bookmark(bm, term_cp,
+			dlg->widgets[0].data, dlg->widgets[1].data);
 	object_unlock(bm);
 
 #ifdef BOOKMARKS_RESAVE
@@ -303,15 +387,37 @@ push_edit_button(struct dialog_data *dlg
 	/* Follow the bookmark */
 	if (box->sel) {
 		struct bookmark *bm = (struct bookmark *) box->sel->udata;
-		const unsigned char *title = bm->title;
-		const unsigned char *url = bm->url;
-
-		object_lock(bm);
-		do_edit_dialog(dlg_data->win->term, 1, N_("Edit bookmark"),
-			       title, url,
-			       (struct session *) dlg_data->dlg->udata, dlg_data,
-			       bookmark_edit_done, bookmark_edit_cancel,
-			       (void *) bm, EDIT_DLG_ADD);
+		int utf8_cp = get_cp_index("UTF-8");
+		int term_cp = get_terminal_codepage(dlg_data->win->term);
+		struct conv_table *convert_table;
+
+		convert_table = get_translation_table(utf8_cp, term_cp);
+		if (convert_table) {
+			unsigned char *title;
+			unsigned char *url;
+
+			title = convert_string(convert_table,
+					       bm->title, strlen(bm->title),
+					       term_cp, CSM_NONE,
+					       NULL, NULL, NULL);
+			url = convert_string(convert_table,
+					     bm->url, strlen(bm->url),
+					     term_cp, CSM_NONE,
+					     NULL, NULL, NULL);
+			if (title && url) {
+				object_lock(bm);
+				do_edit_dialog(dlg_data->win->term, 1,
+					       N_("Edit bookmark"),
+					       title, url,
+					       (struct session *) dlg_data->dlg->udata,
+					       dlg_data,
+					       bookmark_edit_done,
+					       bookmark_edit_cancel,
+					       (void *) bm, EDIT_DLG_ADD);
+			}
+			mem_free_if(title);
+			mem_free_if(url);
+		}
 	}
 
 	return EVENT_PROCESSED;
@@ -535,13 +641,15 @@ bookmark_manager(struct session *ses)
  * rapid search of an already existing bookmark. --Zas */
 
 struct bookmark_search_ctx {
-	unsigned char *url;
-	unsigned char *title;
+	unsigned char *url;	/* UTF-8 */
+	unsigned char *title;	/* system charset */
 	int found;
 	int offset;
+	int utf8_cp;
+	int system_cp;
 };
 
-#define NULL_BOOKMARK_SEARCH_CTX {NULL, NULL, 0, 0}
+#define NULL_BOOKMARK_SEARCH_CTX {NULL, NULL, 0, 0, -1, -1}
 
 static int
 test_search(struct listbox_item *item, void *data_, int *offset)
@@ -555,8 +663,37 @@ test_search(struct listbox_item *item, v
 
 		assert(ctx->title && ctx->url);
 
-		ctx->found = (*ctx->title && strcasestr(bm->title, ctx->title))
-			     || (*ctx->url && strcasestr(bm->url, ctx->url));
+		ctx->found = (*ctx->url && c_strcasestr(bm->url, ctx->url));
+		if (!ctx->found && *ctx->title) {
+			/* The comparison of bookmark titles should
+			 * be case-insensitive and locale-sensitive
+			 * (Turkish dotless i).  ELinks doesn't have
+			 * such a function for UTF-8.  The best we
+			 * have is strcasestr, which uses the system
+			 * charset.  So convert bm->title to that.
+			 * (ctx->title has already been converted.)  */
+			struct conv_table *convert_table;
+			unsigned char *title = NULL;
+
+			convert_table = get_translation_table(ctx->utf8_cp,
+							      ctx->system_cp);
+			if (convert_table) {
+				title = convert_string(convert_table,
+						       bm->title,
+						       strlen(bm->title),
+						       ctx->system_cp,
+						       CSM_NONE, NULL,
+						       NULL, NULL);
+			}
+
+			if (title) {
+				ctx->found = (strcasestr(title, ctx->title)
+					      != NULL);
+				mem_free(title);
+			}
+			/** @todo Tell the user that the string could
+			 * not be converted.  */
+		}
 
 		if (ctx->found) *offset = 0;
 	}
@@ -565,7 +702,9 @@ test_search(struct listbox_item *item, v
 	return 0;
 }
 
-/* Last searched values */
+/* Last searched values.  Both are in UTF-8.  (The title could be kept
+ * in the system charset, but that would be a bit risky, because
+ * setlocale calls from Lua scripts can change the system charset.)  */
 static unsigned char *bm_last_searched_title = NULL;
 static unsigned char *bm_last_searched_url = NULL;
 
@@ -577,14 +716,15 @@ free_last_searched_bookmark(void)
 }
 
 static int
-memorize_last_searched_bookmark(struct bookmark_search_ctx *ctx)
+memorize_last_searched_bookmark(const unsigned char *title,
+				const unsigned char *url)
 {
 	/* Memorize last searched title */
-	mem_free_set(&bm_last_searched_title, stracpy(ctx->title));
+	mem_free_set(&bm_last_searched_title, stracpy(title));
 	if (!bm_last_searched_title) return 0;
 
 	/* Memorize last searched url */
-	mem_free_set(&bm_last_searched_url, stracpy(ctx->url));
+	mem_free_set(&bm_last_searched_url, stracpy(url));
 	if (!bm_last_searched_url) {
 		mem_free_set(&bm_last_searched_title, NULL);
 		return 0;
@@ -601,38 +741,94 @@ bookmark_search_do(void *data)
 	struct bookmark_search_ctx ctx = NULL_BOOKMARK_SEARCH_CTX;
 	struct listbox_data *box;
 	struct dialog_data *dlg_data;
+	struct conv_table *convert_table;
+	int term_cp;
+	unsigned char *url_term;
+	unsigned char *title_term;
+	unsigned char *title_utf8 = NULL;
 
 	assertm(dlg->udata != NULL, "Bookmark search with NULL udata in dialog");
 	if_assert_failed return;
 
-	ctx.title = dlg->widgets[0].data;
-	ctx.url   = dlg->widgets[1].data;
+	dlg_data = (struct dialog_data *) dlg->udata;
+	term_cp = get_terminal_codepage(dlg_data->win->term);
+	ctx.system_cp = get_cp_index("System");
+	ctx.utf8_cp = get_cp_index("UTF-8");
+
+	title_term = dlg->widgets[0].data; /* need not be freed */
+	url_term   = dlg->widgets[1].data; /* likewise */
+
+	convert_table = get_translation_table(term_cp, ctx.system_cp);
+	if (!convert_table) goto free_all;
+	ctx.title = convert_string(convert_table,
+				   title_term, strlen(title_term),
+				   ctx.system_cp, CSM_NONE, NULL, NULL, NULL);
+	if (!ctx.title) goto free_all;
+
+	convert_table = get_translation_table(term_cp, ctx.utf8_cp);
+	if (!convert_table) goto free_all;
+	ctx.url = convert_string(convert_table,
+				 url_term, strlen(url_term),
+				 ctx.utf8_cp, CSM_NONE, NULL, NULL, NULL);
+	if (!ctx.url) goto free_all;
+	title_utf8 = convert_string(convert_table,
+				    title_term, strlen(title_term),
+				    ctx.utf8_cp, CSM_NONE, NULL, NULL, NULL);
+	if (!title_utf8) goto free_all;
 
-	if (!ctx.title || !ctx.url)
-		return;
+	if (!memorize_last_searched_bookmark(title_utf8, ctx.url))
+		goto free_all;
 
-	if (!memorize_last_searched_bookmark(&ctx))
-		return;
-
-	dlg_data = (struct dialog_data *) dlg->udata;
 	box = get_dlg_listbox_data(dlg_data);
 
 	traverse_listbox_items_list(box->sel, box, 0, 0, test_search, &ctx);
-	if (!ctx.found) return;
+	if (!ctx.found) goto free_all;
 
 	listbox_sel_move(dlg_data->widgets_data, ctx.offset - 1);
-}
 
+free_all:
+	mem_free_if(ctx.title);
+	mem_free_if(ctx.url);
+	mem_free_if(title_utf8);
+}
 
 static void
 launch_bm_search_doc_dialog(struct terminal *term,
 			    struct dialog_data *parent,
 			    struct session *ses)
 {
+	unsigned char *title = NULL;
+	unsigned char *url = NULL;
+
+	if (bm_last_searched_title && bm_last_searched_url) {
+		int utf8_cp, term_cp;
+		struct conv_table *convert_table;
+
+		utf8_cp = get_cp_index("UTF-8");
+		term_cp = get_terminal_codepage(term);
+
+		convert_table = get_translation_table(utf8_cp, term_cp);
+		if (convert_table) {
+			title = convert_string(convert_table, bm_last_searched_title,
+					       strlen(bm_last_searched_title), term_cp,
+					       CSM_NONE, NULL, NULL, NULL);
+			url = convert_string(convert_table, bm_last_searched_url,
+					     strlen(bm_last_searched_url), term_cp,
+					     CSM_NONE, NULL, NULL, NULL);
+		}
+		if (!title || !url) {
+			mem_free_set(&title, NULL);
+			mem_free_set(&url, NULL);
+		}
+	}
+
 	do_edit_dialog(term, 1, N_("Search bookmarks"),
-		       bm_last_searched_title, bm_last_searched_url,
+		       title, url,
 		       ses, parent, bookmark_search_do, NULL, NULL,
 		       EDIT_DLG_SEARCH);
+
+	mem_free_if(title);
+	mem_free_if(url);
 }
 
 
@@ -647,10 +843,31 @@ bookmark_add_add(void *data)
 {
 	struct dialog *dlg = data;
 	struct dialog_data *dlg_data = (struct dialog_data *) dlg->udata;
+	struct terminal *term = dlg->udata2;
 
-	do_add_bookmark(dlg_data, dlg->widgets[0].data, dlg->widgets[1].data);
+	do_add_bookmark(term, dlg_data, dlg->widgets[0].data, dlg->widgets[1].data);
 }
 
+/** Open a dialog box for adding a bookmark.
+ *
+ * @param term
+ *   The terminal in which the dialog box should appear.
+ *
+ * @param parent
+ *   The bookmark manager, or NULL if the user requested this action
+ *   from somewhere else.
+ *
+ * @param ses
+ *   If @a title or @a url is NULL, get defaults from the current
+ *   document of @a ses.
+ *
+ * @param title
+ *   The initial title of the new bookmark, in the encoding of @a term.
+ *   NULL means use @a ses.
+ *
+ * @param url
+ *   The initial URL of the new bookmark, in the encoding of @a term.
+ *   NULL means use @a ses.  */
 void
 launch_bm_add_dialog(struct terminal *term,
 		     struct dialog_data *parent,
@@ -658,8 +875,22 @@ launch_bm_add_dialog(struct terminal *te
 		     unsigned char *title,
 		     unsigned char *url)
 {
+	/* When the user eventually pushes the OK button, BFU calls
+	 * bookmark_add_add() and gives it the struct dialog * as the
+	 * void * parameter.  However, bookmark_add_add() also needs
+	 * to know the struct terminal *, and there is no way to get
+	 * that from struct dialog.  The other bookmark dialogs work
+	 * around that by making dialog.udata point to the struct
+	 * dialog_data of the bookmark manager, but the "Add bookmark"
+	 * dialog can be triggered with ACT_MAIN_ADD_BOOKMARK, which
+	 * does not involve the bookmark manager at all.
+	 *
+	 * The solution here is to save the struct terminal * in
+	 * dialog.udata2, which the "Edit bookmark" dialog uses for
+	 * struct bookmark *.  When adding a new bookmark, we don't
+	 * need a pointer to an existing one, of course.  */
 	do_edit_dialog(term, 1, N_("Add bookmark"), title, url, ses,
-		       parent, bookmark_add_add, NULL, NULL, EDIT_DLG_ADD);
+		       parent, bookmark_add_add, NULL, term, EDIT_DLG_ADD);
 }
 
 void
@@ -687,6 +918,28 @@ launch_bm_add_link_dialog(struct termina
   Bookmark tabs dialog.
 \****************************************************************************/
 
+static void
+bookmark_terminal_tabs_ok(void *term_void, unsigned char *foldername)
+{
+	struct terminal *const term = term_void;
+	int from_cp = get_terminal_codepage(term);
+	int to_cp = get_cp_index("UTF-8");
+	struct conv_table *convert_table;
+	unsigned char *converted;
+
+	convert_table = get_translation_table(from_cp, to_cp);
+	if (convert_table == NULL) return; /** @todo Report the error */
+
+	converted = convert_string(convert_table,
+				   foldername, strlen(foldername),
+				   to_cp, CSM_NONE,
+				   NULL, NULL, NULL);
+	if (converted == NULL) return; /** @todo Report the error */
+
+	bookmark_terminal_tabs(term_void, converted);
+	mem_free(converted);
+}
+
 void
 bookmark_terminal_tabs_dialog(struct terminal *term)
 {
@@ -705,8 +958,7 @@ bookmark_terminal_tabs_dialog(struct ter
 		     N_("Bookmark tabs"), N_("Enter folder name"),
 		     term, NULL,
 		     MAX_STR_LEN, string.source, 0, 0, NULL,
-		     (void (*)(void *, unsigned char *)) bookmark_terminal_tabs,
-		     NULL);
+		     bookmark_terminal_tabs_ok, NULL);
 
 	done_string(&string);
 }
diff -pruN 0.12~pre2.dfsg0-1/src/cache/dialogs.c 0.12~pre4-1/src/cache/dialogs.c
--- 0.12~pre2.dfsg0-1/src/cache/dialogs.c	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/src/cache/dialogs.c	2009-05-31 09:48:47.000000000 +0100
@@ -175,8 +175,8 @@ match_cache_entry(struct listbox_item *i
 {
 	struct cache_entry *cached = item->udata;
 
-	if (strcasestr(struri(cached->uri), text)
-	    || (cached->head && strcasestr(cached->head, text)))
+	if (c_strcasestr(struri(cached->uri), text)
+	    || (cached->head && c_strcasestr(cached->head, text)))
 		return LISTBOX_MATCH_OK;
 
 	return LISTBOX_MATCH_NO;
diff -pruN 0.12~pre2.dfsg0-1/src/config/cmdline.c 0.12~pre4-1/src/config/cmdline.c
--- 0.12~pre2.dfsg0-1/src/config/cmdline.c	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/src/config/cmdline.c	2009-05-31 09:48:47.000000000 +0100
@@ -319,7 +319,7 @@ remote_cmd(struct option *o, unsigned ch
 	for (method = 0; remote_methods[method].name; method++) {
 		unsigned char *name = remote_methods[method].name;
 
-		if (!strlcasecmp(command, len, name, -1))
+		if (!c_strlcasecmp(command, len, name, -1))
 			break;
 	}
 
@@ -357,7 +357,7 @@ remote_cmd(struct option *o, unsigned ch
 		if (remote_argc < 1)
 			break;
 
-		if (!strcasecmp(remote_argv[0], "openBrowser")) {
+		if (!c_strcasecmp(remote_argv[0], "openBrowser")) {
 			remote_session_flags = SES_REMOTE_NEW_WINDOW;
 		}
 		break;
@@ -419,6 +419,28 @@ version_cmd(struct option *o, unsigned c
 
 #define gettext_nonempty(x) (*(x) ? gettext(x) : (x))
 
+static void print_option_desc(const unsigned char *desc)
+{
+	struct string wrapped;
+	static const struct string indent = INIT_STRING("            ", 12);
+
+	if (init_string(&wrapped)
+	    && wrap_option_desc(&wrapped, desc, &indent, 79 - indent.length)) {
+		/* struct string could in principle contain null
+		 * characters, so don't use printf() or fputs().  */
+		fwrite(wrapped.source, 1, wrapped.length, stdout);
+	} else {
+		/* Write the error to stderr so it appears on the
+		 * screen even if stdout is being parsed by a script
+		 * that reformats it to HTML or such.  */
+		fprintf(stderr, "%12s%s\n", "",
+			gettext("Out of memory formatting option documentation"));
+	}
+
+	/* done_string() is safe even if init_string() failed.  */
+	done_string(&wrapped);
+}
+
 static void print_full_help_outer(struct option *tree, unsigned char *path);
 
 static void
@@ -448,7 +470,7 @@ print_full_help_inner(struct option *tre
 		    || (option->flags & OPT_HIDDEN))
 			continue;
 
-		if (!capt && !strncasecmp(option->name, "_template_", 10))
+		if (!capt && !c_strncasecmp(option->name, "_template_", 10))
 			capt = (unsigned char *) N_("Template option folder");
 
 		if (!capt) {
@@ -537,19 +559,9 @@ print_full_help_inner(struct option *tre
 			}
 		}
 
-		printf("\n    %8s", "");
-		{
-			int l = strlen(desc);
-			int i;
-
-			for (i = 0; i < l; i++) {
-				putchar(desc[i]);
-
-				if (desc[i] == '\n')
-					printf("    %8s", "");
-			}
-		}
-		printf("\n\n");
+		putchar('\n');
+		print_option_desc(desc);
+		putchar('\n');
 
 		if (option->type == OPT_TREE) {
 			memcpy(savedpos, ".", 2);
@@ -724,10 +736,11 @@ struct option_info cmdline_options_info[
 	/* [gettext_accelerator_context(IGNORE)] */
 	INIT_OPT_BOOL("", N_("Restrict to anonymous mode"),
 		"anonymous", 0, 0,
-		N_("Restricts ELinks so it can run on an anonymous account.\n"
-		"Local file browsing, downloads, and modification of options\n"
-		"will be disabled. Execution of viewers is allowed, but entries\n"
-		"in the association table can't be added or modified.")),
+		N_("Restricts ELinks so it can run on an anonymous account. "
+		"Local file browsing, downloads, and modification of options "
+		"will be disabled. Execution of viewers is allowed, but "
+		"entries in the association table can't be added or "
+		"modified.")),
 
 	INIT_OPT_BOOL("", N_("Autosubmit first form"),
 		"auto-submit", 0, 0,
@@ -735,30 +748,30 @@ struct option_info cmdline_options_info[
 
 	INIT_OPT_INT("", N_("Clone internal session with given ID"),
 		"base-session", 0, 0, INT_MAX, 0,
-		N_("Used internally when opening ELinks instances in new windows.\n"
-		"The ID maps to information that will be used when creating the\n"
-		"new instance. You don't want to use it.")),
+		N_("Used internally when opening ELinks instances in new "
+		"windows. The ID maps to information that will be used when "
+		"creating the new instance. You don't want to use it.")),
 
 	INIT_OPT_COMMAND("", NULL, "confdir", OPT_HIDDEN, redir_cmd, NULL),
 
 	INIT_OPT_STRING("", N_("Name of directory with configuration file"),
 		"config-dir", 0, "",
-		N_("Path of the directory ELinks will read and write its\n"
-		"config and runtime state files to instead of ~/.elinks.\n"
-		"If the path does not begin with a '/' it is assumed to be\n"
+		N_("Path of the directory ELinks will read and write its "
+		"config and runtime state files to instead of ~/.elinks. "
+		"If the path does not begin with a '/' it is assumed to be "
 		"relative to your HOME directory.")),
 
 	INIT_OPT_COMMAND("", N_("Print default configuration file to stdout"),
 		"config-dump", 0, printconfigdump_cmd,
-		N_("Print a configuration file with options set to the built-in\n"
-		"defaults to stdout.")),
+		N_("Print a configuration file with options set to the "
+		"built-in defaults to stdout.")),
 
 	INIT_OPT_COMMAND("", NULL, "conffile", OPT_HIDDEN, redir_cmd, NULL),
 
 	INIT_OPT_STRING("", N_("Name of configuration file"),
 		"config-file", 0, "elinks.conf",
-		N_("Name of the configuration file that all configuration\n"
-		"options will be read from and written to. It should be\n"
+		N_("Name of the configuration file that all configuration "
+		"options will be read from and written to. It should be "
 		"relative to config-dir.")),
 
 	INIT_OPT_COMMAND("", N_("Print help for configuration options"),
@@ -767,17 +780,19 @@ struct option_info cmdline_options_info[
 
 	INIT_OPT_CMDALIAS("", N_("MIME type assumed for unknown document types"),
 		"default-mime-type", 0, "mime.default_type",
-		N_("The default MIME type used for documents of unknown type.")),
+		N_("The default MIME type used for documents of unknown "
+		"type.")),
 
 	INIT_OPT_BOOL("", N_("Ignore user-defined keybindings"),
 		"default-keys", 0, 0,
-		N_("When set, all keybindings from configuration files will be\n"
-		"ignored. It forces use of default keybindings and will reset\n"
-		"user-defined ones on save.")),
+		N_("When set, all keybindings from configuration files will "
+		"be ignored. It forces use of default keybindings and will "
+		"reset user-defined ones on save.")),
 
 	INIT_OPT_BOOL("", N_("Print formatted versions of given URLs to stdout"),
 		"dump", 0, 0,
-		N_("Print formatted plain-text versions of given URLs to stdout.")),
+		N_("Print formatted plain-text versions of given URLs to "
+		"stdout.")),
 
 	INIT_OPT_CMDALIAS("", N_("Codepage to use with -dump"),
 		"dump-charset", 0, "document.dump.codepage",
@@ -793,16 +808,16 @@ struct option_info cmdline_options_info[
 
 	INIT_OPT_COMMAND("", N_("Evaluate configuration file directive"),
 		"eval", 0, eval_cmd,
-		N_("Specify configuration file directives on the command-line\n"
-		"which will be evaluated after all configuration files has been\n"
-		"read. Example usage:\n"
+		N_("Specify configuration file directives on the command-line "
+		"which will be evaluated after all configuration files has "
+		"been read. Example usage:\n"
 		"\t-eval 'set protocol.file.allow_special_files = 1'")),
 
 	/* lynx compatibility */
 	INIT_OPT_COMMAND("", N_("Interpret documents of unknown types as HTML"),
 		"force-html", 0, forcehtml_cmd,
-		N_("Makes ELinks assume documents of unknown types are HTML.\n"
-		"Useful when using ELinks as an external viewer from MUAs.\n"
+		N_("Makes ELinks assume documents of unknown types are HTML. "
+		"Useful when using ELinks as an external viewer from MUAs. "
 		"This is equivalent to -default-mime-type text/html.")),
 
 	/* XXX: -?, -h and -help share the same caption and should be kept in
@@ -817,9 +832,9 @@ struct option_info cmdline_options_info[
 
 	INIT_OPT_BOOL("", N_("Only permit local connections"),
 		"localhost", 0, 0,
-		N_("Restricts ELinks to work offline and only connect to servers\n"
-		"with local addresses (ie. 127.0.0.1). No connections to remote\n"
-		"servers will be permitted.")),
+		N_("Restricts ELinks to work offline and only connect to "
+		"servers with local addresses (ie. 127.0.0.1). No connections "
+		"to remote servers will be permitted.")),
 
 	INIT_OPT_COMMAND("", N_("Print detailed usage help and exit"),
 		"long-help", 0, printhelp_cmd,
@@ -827,40 +842,46 @@ struct option_info cmdline_options_info[
 
 	INIT_OPT_COMMAND("", N_("Look up specified host"),
 		"lookup", 0, lookup_cmd,
-		N_("Look up specified host and print all DNS resolved IP addresses.")),
+		N_("Look up specified host and print all DNS resolved IP "
+		"addresses.")),
 
 	INIT_OPT_BOOL("", N_("Run as separate instance"),
 		"no-connect", 0, 0,
-		N_("Run ELinks as a separate instance instead of connecting to an\n"
-		"existing instance. Note that normally no runtime state files\n"
-		"(bookmarks, history, etc.) are written to the disk when this\n"
-		"option is used. See also -touch-files.")),
+		N_("Run ELinks as a separate instance instead of connecting "
+		"to an existing instance. Note that normally no runtime state "
+		"files (bookmarks, history, etc.) are written to the disk "
+		"when this option is used. See also -touch-files.")),
 
 	INIT_OPT_BOOL("", N_("Disable use of files in ~/.elinks"),
 		"no-home", 0, 0,
-		N_("Disables creation and use of files in the user specific home\n"
-		"configuration directory (~/.elinks). It forces default configuration\n"
-		"values to be used and disables saving of runtime state files.")),
+		N_("Disables creation and use of files in the user specific "
+		"home configuration directory (~/.elinks). It forces default "
+		"configuration values to be used and disables saving of "
+		"runtime state files.")),
 
 	INIT_OPT_CMDALIAS("", N_("Disable link numbering in dump output"),
 		"no-numbering", OPT_ALIAS_NEGATE, "document.dump.numbering",
 		N_("Prevents printing of link number in dump output.\n"
+		"\n"
 		"Note that this really affects only -dump, nothing else.")),
 
 	INIT_OPT_CMDALIAS("", N_("Disable printing of link references in dump output"),
 		"no-references", OPT_ALIAS_NEGATE, "document.dump.references",
-		N_("Prevents printing of references (URIs) of document links\n"
+		N_("Prevents printing of references (URIs) of document links "
 		"in dump output.\n"
+		"\n"
 		"Note that this really affects only -dump, nothing else.")),
 
 	INIT_OPT_COMMAND("", N_("Control an already running ELinks"),
 		"remote", 0, remote_cmd,
-		N_("Control a remote ELinks instance by passing commands to it.\n"
-		"The option takes an additional argument containing the method\n"
-		"which should be invoked and any parameters that should be passed\n"
-		"to it. For ease of use, the additional method argument can be\n"
-		"omitted in which case any URL arguments will be opened in new\n"
-		"tabs in the remote instance.\n"
+		N_("Control a remote ELinks instance by passing commands to "
+		"it. The option takes an additional argument containing the "
+		"method which should be invoked and any parameters that "
+		"should be passed to it. For ease of use, the additional "
+		"method argument can be omitted in which case any URL "
+		"arguments will be opened in new tabs in the remote "
+		"instance.\n"
+		"\n"
 		"Following is a list of the supported methods:\n"
 		"\tping()                    : look for a remote instance\n"
 		"\topenURL()                 : prompt URL in current tab\n"
@@ -873,20 +894,23 @@ struct option_info cmdline_options_info[
 
 	INIT_OPT_INT("", N_("Connect to session ring with given ID"),
 		"session-ring", 0, 0, INT_MAX, 0,
-		N_("ID of session ring this ELinks session should connect to. ELinks\n"
-		"works in so-called session rings, whereby all instances of ELinks\n"
-		"are interconnected and share state (cache, bookmarks, cookies,\n"
-		"and so on). By default, all ELinks instances connect to session\n"
-		"ring 0. You can change that behaviour with this switch and form as\n"
-		"many session rings as you want. Obviously, if the session-ring with\n"
-		"this number doesn't exist yet, it's created and this ELinks instance\n"
-		"will become the master instance (that usually doesn't matter for you\n"
-		"as a user much). Note that you usually don't want to use this unless\n"
-		"you're a developer and you want to do some testing - if you want the\n"
-		"ELinks instances each running standalone, rather use the -no-connect\n"
-		"command-line option. Also note that normally no runtime state files\n"
-		"are written to the disk when this option is used. See also\n"
-		"-touch-files.")),
+		N_("ID of session ring this ELinks session should connect to. "
+		"ELinks works in so-called session rings, whereby all "
+		"instances of ELinks are interconnected and share state "
+		"(cache, bookmarks, cookies, and so on). By default, all "
+		"ELinks instances connect to session ring 0. You can change "
+		"that behaviour with this switch and form as many session "
+		"rings as you want. Obviously, if the session-ring with this "
+		"number doesn't exist yet, it's created and this ELinks "
+		"instance will become the master instance (that usually "
+		"doesn't matter for you as a user much).\n"
+		"\n"
+		"Note that you usually don't want to use this unless you're a "
+		"developer and you want to do some testing - if you want the "
+		"ELinks instances each running standalone, rather use the "
+		"-no-connect command-line option. Also note that normally no "
+		"runtime state files are written to the disk when this option "
+		"is used. See also -touch-files.")),
 
 	INIT_OPT_BOOL("", N_("Print the source of given URLs to stdout"),
 		"source", 0, 0,
@@ -896,14 +920,14 @@ struct option_info cmdline_options_info[
 
 	INIT_OPT_BOOL("", N_("Touch files in ~/.elinks when running with -no-connect/-session-ring"),
 		"touch-files", 0, 0,
-		N_("When enabled, runtime state files (bookmarks, history, etc.) are\n"
-		"written to disk, even when -no-connect or -session-ring is used.\n"
-		"The option has no effect if not used in conjunction with any of\n"
-		"these options.")),
+		N_("When enabled, runtime state files (bookmarks, history, "
+		"etc.) are written to disk, even when -no-connect or "
+		"-session-ring is used. The option has no effect if not used "
+		"in conjunction with any of these options.")),
 
 	INIT_OPT_INT("", N_("Verbose level"),
 		"verbose", 0, 0, VERBOSE_LEVELS - 1, VERBOSE_WARNINGS,
-		N_("The verbose level controls what messages are shown at\n"
+		N_("The verbose level controls what messages are shown at "
 		"start up and while running:\n"
 		"\t0 means only show serious errors\n"
 		"\t1 means show serious errors and warnings\n"
diff -pruN 0.12~pre2.dfsg0-1/src/config/conf.c 0.12~pre4-1/src/config/conf.c
--- 0.12~pre2.dfsg0-1/src/config/conf.c	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/src/config/conf.c	2009-05-31 09:48:47.000000000 +0100
@@ -791,13 +791,71 @@ add_indent_to_string(struct string *stri
 	add_xchar_to_string(string, ' ', depth * indentation);
 }
 
+struct string *
+wrap_option_desc(struct string *out, const unsigned char *src,
+		 const struct string *indent, int maxwidth)
+{
+	const unsigned char *last_space = NULL;
+	const unsigned char *uncopied = src;
+	int width = 0;
+
+	/* TODO: multibyte or fullwidth characters */
+	for (; *src; src++, width++) {
+		if (*src == '\n') {
+			last_space = src;
+			goto split;
+		}
+
+		if (*src == ' ') last_space = src;
+
+		if (width >= maxwidth && last_space) {
+split:
+			if (!add_string_to_string(out, indent))
+				return NULL;
+			if (!add_bytes_to_string(out, uncopied,
+						 last_space - uncopied))
+				return NULL;
+			if (!add_char_to_string(out, '\n'))
+				return NULL;
+			uncopied = last_space + 1;
+			width = src - uncopied;
+			last_space = NULL;
+		}
+	}
+	if (*uncopied) {
+		if (!add_string_to_string(out, indent))
+			return NULL;
+		if (!add_to_string(out, uncopied))
+			return NULL;
+		if (!add_char_to_string(out, '\n'))
+			return NULL;
+	}
+	return out;
+}
+
+static void
+output_option_desc_as_comment(struct string *out, const struct option *option,
+			      int i18n, int depth)
+{
+	unsigned char *desc_i18n = conf_i18n(option->desc, i18n);
+	struct string indent;
+
+	if (!init_string(&indent)) return;
+
+	add_indent_to_string(&indent, depth);
+	if (!add_to_string(&indent, "#  ")) goto out_of_memory;
+	if (!wrap_option_desc(out, desc_i18n, &indent, 80 - indent.length))
+		goto out_of_memory;
+
+out_of_memory:
+	done_string(&indent);
+}
+
 static void
 smart_config_output_fn(struct string *string, struct option *option,
 		       unsigned char *path, int depth, int do_print_comment,
 		       int action, int i18n)
 {
-	unsigned char *desc_i18n;
-
 	if (option->type == OPT_ALIAS)
 		return;
 
@@ -824,41 +882,8 @@ smart_config_output_fn(struct string *st
 			if (!option->desc || !do_print_comment)
 				break;
 
-			desc_i18n = conf_i18n(option->desc, i18n);
-
-			if (!*desc_i18n) break;
-
-			add_indent_to_string(string, depth);
-			add_to_string(string, "#  ");
-			{
-				unsigned char *i = desc_i18n;
-				unsigned char *j = i;
-				unsigned char *last_space = NULL;
-				int config_width = 80;
-				int n = depth * indentation + 3;
-
-				for (; *i; i++, n++) {
-					if (*i == '\n') {
-						last_space = i;
-						goto split;
-					}
-
-					if (*i == ' ') last_space = i;
-
-					if (n >= config_width && last_space) {
-split:
-						add_bytes_to_string(string, j, last_space - j);
-						add_char_to_string(string, '\n');
-						add_indent_to_string(string, depth);
-						add_to_string(string, "#  ");
-						j = last_space + 1;
-						n = depth * indentation + 2 + i - last_space;
-						last_space = NULL;
-					}
-				}
-				add_to_string(string, j);
-			}
-			add_char_to_string(string, '\n');
+			output_option_desc_as_comment(string, option,
+						      i18n, depth);
 			break;
 
 		case 2:
diff -pruN 0.12~pre2.dfsg0-1/src/config/conf.h 0.12~pre4-1/src/config/conf.h
--- 0.12~pre2.dfsg0-1/src/config/conf.h	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/src/config/conf.h	2009-05-31 09:48:47.000000000 +0100
@@ -26,4 +26,7 @@ unsigned char *
 create_config_string(unsigned char *prefix, unsigned char *name,
 		     struct option *options);
 
+struct string *wrap_option_desc(struct string *out, const unsigned char *src,
+				const struct string *indent, int maxwidth);
+
 #endif
diff -pruN 0.12~pre2.dfsg0-1/src/config/kbdbind.c 0.12~pre4-1/src/config/kbdbind.c
--- 0.12~pre2.dfsg0-1/src/config/kbdbind.c	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/src/config/kbdbind.c	2009-05-31 09:48:47.000000000 +0100
@@ -18,6 +18,7 @@
 #include "main/event.h"
 #include "main/module.h"
 #include "terminal/kbd.h"
+#include "util/conv.h"
 #include "util/memory.h"
 #include "util/string.h"
 
@@ -363,7 +364,7 @@ read_key(const unsigned char *key_str)
 		return key_str[0];
 
 	for (key = key_table; key->str; key++)
-		if (!strcasecmp(key->str, key_str))
+		if (!c_strcasecmp(key->str, key_str))
 			return key->num;
 
 	return KBD_UNDEF;
@@ -377,17 +378,17 @@ parse_keystroke(const unsigned char *s, 
 {
 	kbd->modifier = KBD_MOD_NONE;
 	while (1) {
-		if (!strncasecmp(s, "Shift", 5) && (s[5] == '-' || s[5] == '+')) {
+		if (!c_strncasecmp(s, "Shift", 5) && (s[5] == '-' || s[5] == '+')) {
 			/* Shift+a == shiFt-a == Shift-a */
 			kbd->modifier |= KBD_MOD_SHIFT;
 			s += 6;
 
-		} else if (!strncasecmp(s, "Ctrl", 4) && (s[4] == '-' || s[4] == '+')) {
+		} else if (!c_strncasecmp(s, "Ctrl", 4) && (s[4] == '-' || s[4] == '+')) {
 			/* Ctrl+a == ctRl-a == Ctrl-a */
 			kbd->modifier |= KBD_MOD_CTRL;
 			s += 5;
 
-		} else if (!strncasecmp(s, "Alt", 3) && (s[3] == '-' || s[3] == '+')) {
+		} else if (!c_strncasecmp(s, "Alt", 3) && (s[3] == '-' || s[3] == '+')) {
 			/* Alt+a == aLt-a == Alt-a */
 			kbd->modifier |= KBD_MOD_ALT;
 			s += 4;
@@ -427,7 +428,7 @@ parse_keystroke(const unsigned char *s, 
 		 * and instead make kbd_ev_lookup() or its callers
 		 * search for different variants of the keystroke if
 		 * the original one is not bound to any action.  */
-		kbd->key = toupper(kbd->key);
+		kbd->key = c_toupper(kbd->key);
 	}
 
 	return (kbd->key == KBD_UNDEF) ? -1 : 0;
diff -pruN 0.12~pre2.dfsg0-1/src/config/options.c 0.12~pre4-1/src/config/options.c
--- 0.12~pre2.dfsg0-1/src/config/options.c	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/src/config/options.c	2009-05-31 09:48:47.000000000 +0100
@@ -684,23 +684,23 @@ static inline void
 register_autocreated_options(void)
 {
 	/* TODO: Use table-driven initialization. --jonas */
-	get_opt_int("terminal.linux.type") = 2;
-	get_opt_int("terminal.linux.colors") = 1;
+	get_opt_int("terminal.linux.type") = TERM_LINUX;
+	get_opt_int("terminal.linux.colors") = COLOR_MODE_16;
 	get_opt_bool("terminal.linux.m11_hack") = 1;
-	get_opt_int("terminal.vt100.type") = 1;
-	get_opt_int("terminal.vt110.type") = 1;
-	get_opt_int("terminal.xterm.type") = 1;
+	get_opt_int("terminal.vt100.type") = TERM_VT100;
+	get_opt_int("terminal.vt110.type") = TERM_VT100;
+	get_opt_int("terminal.xterm.type") = TERM_VT100;
 	get_opt_bool("terminal.xterm.underline") = 1;
-	get_opt_int("terminal.xterm-color.type") = 1;
+	get_opt_int("terminal.xterm-color.type") = TERM_VT100;
 	get_opt_int("terminal.xterm-color.colors") = COLOR_MODE_16;
 	get_opt_bool("terminal.xterm-color.underline") = 1;
 #ifdef CONFIG_88_COLORS
-	get_opt_int("terminal.xterm-88color.type") = 1;
+	get_opt_int("terminal.xterm-88color.type") = TERM_VT100;
 	get_opt_int("terminal.xterm-88color.colors") = COLOR_MODE_88;
 	get_opt_bool("terminal.xterm-88color.underline") = 1;
 #endif
 #ifdef CONFIG_256_COLORS
-	get_opt_int("terminal.xterm-256color.type") = 1;
+	get_opt_int("terminal.xterm-256color.type") = TERM_VT100;
 	get_opt_int("terminal.xterm-256color.colors") = COLOR_MODE_256;
 	get_opt_bool("terminal.xterm-256color.underline") = 1;
 #endif
diff -pruN 0.12~pre2.dfsg0-1/src/config/options.inc 0.12~pre4-1/src/config/options.inc
--- 0.12~pre2.dfsg0-1/src/config/options.inc	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/src/config/options.inc	2009-05-31 09:48:47.000000000 +0100
@@ -22,7 +22,8 @@ static struct option_info config_options
 
 	INIT_OPT_INT("config", N_("Comments"),
 		"comments", 0, 0, 3, 3,
-		N_("Amount of comments automatically written to the config file:\n"
+		N_("Amount of comments automatically written to the config "
+		"file:\n"
 		"0 is no comments are written\n"
 		"1 is only the \"blurb\" (name+type) is written\n"
 		"2 is only the description is written\n"
@@ -30,39 +31,41 @@ static struct option_info config_options
 
 	INIT_OPT_INT("config", N_("Indentation"),
 		"indentation", 0, 0, 16, 2,
-		N_("Shift width of one indentation level in the configuration\n"
-		"file. Zero means that no indentation is performed at all\n"
+		N_("Shift width of one indentation level in the configuration "
+		"file. Zero means that no indentation is performed at all "
 		"when saving the configuration.")),
 
 	INIT_OPT_INT("config", N_("Saving style"),
 		"saving_style", 0, 0, 3, 3,
-		N_("Determines what happens when you tell ELinks to save options:\n"
+		N_("Determines what happens when you tell ELinks to save "
+		"options:\n"
 		"0 is only values of current options are altered\n"
-		"1 is values of current options are altered and missing options\n"
-		"     are added at the end of the file\n"
+		"1 is values of current options are altered and missing\n"
+		"     options are added at the end of the file\n"
 		"2 is the configuration file is rewritten from scratch\n"
-		"3 is values of current options are altered and missing options\n"
-		"     CHANGED during this ELinks session are added at the end of\n"
-		"     the file")),
+		"3 is values of current options are altered and missing\n"
+		"     options CHANGED during this ELinks session are added at\n"
+		"     the end of the file")),
 
 	INIT_OPT_BOOL("config", N_("Comments localization"),
 		"i18n", 0, 0,
-		N_("If set to 1, comments in the configuration file will be\n"
-		"translated to the language used by UI. Note that if you have\n"
-		"different language set in different terminals, the language\n"
-		"used in the configuration file MAY be the same as on the\n"
-		"terminal where you saved the file, but it should be generally\n"
-		"considered unpredictable.")),
+		N_("If set to 1, comments in the configuration file will be "
+		"translated to the language used by UI. Note that if you have "
+		"different language set in different terminals, the language "
+		"used in the configuration file MAY be the same as on the "
+		"terminal where you saved the file, but it should be "
+		"generally considered unpredictable.")),
 
 
 	INIT_OPT_BOOL("config", N_("Saving style warnings"),
 		"saving_style_w", 0, 0,
-		N_("This is internal option used when displaying a warning about\n"
-		"obsolete config.saving_style. You shouldn't touch it.")),
+		N_("This is internal option used when displaying a warning "
+		"about obsolete config.saving_style. You shouldn't touch "
+		"it.")),
 
 	INIT_OPT_BOOL("config", N_("Show template"),
 		"show_template", 0, 0,
-		N_("Show template options in autocreated trees in the options\n"
+		N_("Show template options in autocreated trees in the options "
 		"manager and save them to the configuration file.")),
 
 	/* Keep options in alphabetical order. */
@@ -83,12 +86,13 @@ static struct option_info config_options
 
 	INIT_OPT_INT("connection", N_("Maximum connections per host"),
 		"max_connections_to_host", 0, 1, 8, 2,
-		N_("Maximum number of concurrent connections to a given host.")),
+		N_("Maximum number of concurrent connections to a given "
+		"host.")),
 
 	INIT_OPT_INT("connection", N_("Connection retries"),
 		"retries", 0, 0, 16, 3,
-		N_("Number of tries to establish a connection.\n"
-		   "Zero means try forever.")),
+		N_("Number of tries to establish a connection. "
+		"Zero means try forever.")),
 
 	INIT_OPT_INT("connection", N_("Receive timeout"),
 		"receive_timeout", 0, 1, 1800, 120,
@@ -97,20 +101,22 @@ static struct option_info config_options
 #ifdef CONFIG_IPV6
 	INIT_OPT_BOOL("connection", N_("Try IPv4 when connecting"),
 		"try_ipv4", 0, 1,
-		N_("Whether to try to connect to a host over IPv4.\n"
-		"Note that if connection.try_ipv6 is enabled too,\n"
-		"it takes precedence. And better do not touch this\n"
+		N_("Whether to try to connect to a host over IPv4. "
+		"Note that if connection.try_ipv6 is enabled too, "
+		"it takes precedence. And better do not touch this "
 		"at all unless you are sure what are you doing.\n"
-		"Note that you can also force a given protocol\n"
-		"to be used on a per-connection basis by using a URL\n"
+		"\n"
+		"Note that you can also force a given protocol "
+		"to be used on a per-connection basis by using a URL "
 		"in the style of e.g. http4://elinks.cz/.")),
 #else
 	INIT_OPT_BOOL("connection", N_("Try IPv4 when connecting"),
 		"try_ipv4", 0, 1,
-		N_("Whether to try to connect to a host over IPv4.\n"
+		N_("Whether to try to connect to a host over IPv4. "
 		"Do not touch this option.\n"
-		"Note that you can also force a given protocol\n"
-		"to be used on a per-connection basis by using a URL\n"
+		"\n"
+		"Note that you can also force a given protocol "
+		"to be used on a per-connection basis by using a URL "
 		"in the style of e.g. http4://elinks.cz/.")),
 #endif
 
@@ -118,8 +124,9 @@ static struct option_info config_options
 	INIT_OPT_BOOL("connection", N_("Try IPv6 when connecting"),
 		"try_ipv6", 0, 1,
 		N_("Whether to try to connect to a host over IPv6.\n"
-		"Note that you can also force a given protocol\n"
-		"to be used on a per-connection basis by using a URL\n"
+		"\n"
+		"Note that you can also force a given protocol "
+		"to be used on a per-connection basis by using a URL "
 		"in the style of e.g. http6://elinks.cz/.")),
 #endif
 
@@ -142,16 +149,16 @@ static struct option_info config_options
 
 	INIT_OPT_TREE("document.browse", N_("Access keys"),
 		"accesskey", 0,
-		N_("Options for handling of link access keys.\n"
-		"An HTML document can use the ACCESSKEY attribute to assign\n"
-		"an access key to an element. When an access key is pressed,\n"
+		N_("Options for handling of link access keys. "
+		"An HTML document can use the ACCESSKEY attribute to assign "
+		"an access key to an element. When an access key is pressed, "
 		"the corresponding element will be given focus.")),
 
 	INIT_OPT_BOOL("document.browse.accesskey", N_("Automatic links following"),
 		"auto_follow", 0, 0,
-		N_("Automatically follow a link or submit a form if appropriate\n"
-		"accesskey is pressed - this is the standard behaviour, but it's\n"
-		"considered dangerous.")),
+		N_("Automatically follow a link or submit a form if "
+		"appropriate accesskey is pressed - this is the standard "
+		"behaviour, but it's considered dangerous.")),
 
 	INIT_OPT_BOOL("document.browse.accesskey", N_("Display access key in link info"),
 		"display", 0, 0,
@@ -160,8 +167,10 @@ static struct option_info config_options
 	INIT_OPT_INT("document.browse.accesskey", N_("Accesskey priority"),
 		"priority", 0, 0, 2, 0,
 		N_("Priority of 'accesskey' HTML attribute:\n"
-		"0 is first try all normal bindings; if it fails, check accesskey\n"
-		"1 is first try only frame bindings; if it fails, check accesskey\n"
+		"0 is first try all normal bindings; if it fails,\n"
+		"     check accesskey\n"
+		"1 is first try only frame bindings; if it fails,\n"
+		"     check accesskey\n"
 		"2 is first check accesskey (this can be dangerous)")),
 
 
@@ -171,8 +180,8 @@ static struct option_info config_options
 
 	INIT_OPT_BOOL("document.browse.forms", N_("Submit form automatically"),
 		"auto_submit", 0, 1,
-		N_("Automagically submit a form when enter is pressed with a text\n"
-		"field selected.")),
+		N_("Automagically submit a form when enter is pressed with a "
+		"text field selected.")),
 
 	INIT_OPT_BOOL("document.browse.forms", N_("Confirm submission"),
 		"confirm_submit", 0, 1,
@@ -184,20 +193,22 @@ static struct option_info config_options
 
 	INIT_OPT_BOOL("document.browse.forms", N_("Insert mode"),
 		"insert_mode", 0, 1,
-		N_("The setting for this option affects how key presses are handled\n"
-		"when one selects a text-input form-field. When enabled, one must\n"
-		"explicitly 'enter' a selected text-field to edit it; this prevents\n"
-		"text fields from capturing key presses, such as presses of a scroll\n"
-		"key, when it is inadvertently selected. When disabled, key presses\n"
-		"are always inserted into a selected text field.")),
+		N_("The setting for this option affects how key presses are "
+		"handled when one selects a text-input form-field. When "
+		"enabled, one must explicitly 'enter' a selected text-field "
+		"to edit it; this prevents text fields from capturing key "
+		"presses, such as presses of a scroll key, when it is "
+		"inadvertently selected. When disabled, key presses are "
+		"always inserted into a selected text field.")),
 
 	INIT_OPT_STRING("document.browse.forms", N_("External editor"),
 		"editor", 0, "",
-		N_("Path to the executable that ELinks should launch when the user\n"
-		"requests to edit a textarea with an external editor.\n"
-		"If this is blank, ELinks will use the value of the environmental\n"
-		"variable $EDITOR. If $EDITOR is empty or not set, ELinks will then\n"
-		"default to \"vi\".")),
+		N_("Path to the executable that ELinks should launch when the "
+		"user requests to edit a textarea with an external editor.\n"
+		"\n"
+		"If this is blank, ELinks will use the value of the "
+		"environmental variable $EDITOR. If $EDITOR is empty or not "
+		"set, ELinks will then default to \"vi\".")),
 
 
 	INIT_OPT_TREE("document.browse", N_("Images"),
@@ -209,15 +220,18 @@ static struct option_info config_options
 		N_("Display style for image tags when displayed:\n"
 		"0     means always display IMG\n"
 		"1     means always display filename\n"
-		"2     means display alt/title attribute if possible, IMG if not\n"
-		"3     means display alt/title attribute if possible, filename if not")),
+		"2     means display alt/title attribute if possible,\n"
+		"      IMG if not\n"
+		"3     means display alt/title attribute if possible,\n"
+		"      filename if not")),
 
 	INIT_OPT_INT("document.browse.images", N_("Maximum length for image filename"),
 		"filename_maxlen", 0, 0, 500, 0,
 		N_("Maximum length of image filename when displayed:\n"
 		"0     means always display full filename\n"
 		"1-500 means display filename with this maximal length;\n"
-		"      if it is longer, the middle is substituted by an asterisk")),
+		"      if it is longer, the middle is substituted by\n"
+		"      an asterisk")),
 
 	/* Compatibility aliases. Added: 2004-12-15, 0.10pre3.CVS. It was
 	 * replaced by display_style and filename_maxlen options combination. */
@@ -244,19 +258,20 @@ static struct option_info config_options
 		N_("Maximum length of image label (alt/title):\n"
 		"0     means always display full label\n"
 		"1-500 means display label with this maximal length;\n"
-		"      if it is longer, the middle is substituted by an asterisk")),
+		"      if it is longer, the middle is substituted by\n"
+		"      an asterisk")),
 
 	INIT_OPT_BOOL("document.browse.images", N_("Display links to images w/o alt"),
 		"show_as_links", 0, 0,
-		N_("Display links to images without an alt attribute. If this option\n"
-		"is off, these images are completely invisible.")),
+		N_("Display links to images without an alt attribute. If this "
+		"option is off, these images are completely invisible.")),
 
 	INIT_OPT_BOOL("document.browse.images", N_("Display links to images"),
 		"show_any_as_links", 0, 1,
-		N_("Display links to any images in the document, regardless of them\n"
-		"having an alt attribute or not. If this option is off, the alt\n"
-		"attribute contents is shown, but as normal text, not selectable\n"
-		"as a link.")),
+		N_("Display links to any images in the document, regardless "
+		"of them having an alt attribute or not. If this option is "
+		"off, the alt attribute contents is shown, but as normal "
+		"text, not selectable as a link.")),
 
 
 	INIT_OPT_TREE("document.browse", N_("Links"),
@@ -281,7 +296,7 @@ static struct option_info config_options
 
 	INIT_OPT_BOOL("document.browse.links.active_link", N_("Enable color"),
 		"enable_color", 0, 0,
-		N_("Enable use of the active link background and text color\n"
+		N_("Enable use of the active link background and text color "
 		"settings instead of the link colors from the document.")),
 
 	INIT_OPT_BOOL("document.browse.links.active_link", N_("Bold"),
@@ -300,7 +315,8 @@ static struct option_info config_options
 
 	INIT_OPT_BOOL("document.browse.links", N_("Directory highlighting"),
 		"color_dirs", 0, 1,
-		N_("Highlight links to directories in FTP and local directory listing.")),
+		N_("Highlight links to directories in FTP and local directory "
+		"listing.")),
 
 	INIT_OPT_BOOL("document.browse.links", N_("Number links"),
 		"numbering", 0, 0,
@@ -323,35 +339,36 @@ static struct option_info config_options
 
 	INIT_OPT_BOOL("document.browse.links", N_("Use tabindex"),
 		"use_tabindex", 0, 1,
-		N_("Whether to navigate links using tabindex specified ordering.\n"
-		"The TABINDEX attribute in HTML elements specifies the order\n"
-		"in which links should receive focus when using the keyboard\n"
-		"to navigate the document.")),
+		N_("Whether to navigate links using tabindex specified "
+		"ordering. The TABINDEX attribute in HTML elements specifies "
+		"the order in which links should receive focus when using the "
+		"keyboard to navigate the document.")),
 
 	INIT_OPT_BOOL("document.browse.links", N_("Missing fragment reporting"),
 		"missing_fragment", 0, 1,
-		N_("Open a message box when document has no tag with given id.")),
+		N_("Open a message box when document has no tag with given "
+		"id.")),
 
 	INIT_OPT_INT("document.browse.links", N_("Number keys select links"),
 		"number_keys_select_link", 0, 0, 2, 1,
-		N_("Number keys select links rather than specify command prefixes. This\n"
-		"is a tristate:\n"
+		N_("Number keys select links rather than specify command "
+		"prefixes. This is a tristate:\n"
 		"0 means never\n"
 		"1 means if document.browse.links.numbering = 1\n"
 		"2 means always")),
 
 	INIT_OPT_BOOL("document.browse.links", N_("Warn about maliciously crafted URIs"),
 		"warn_malicious", 0, 1,
-		N_("When following a link the user ID part of the URI is\n"
-		"checked and if a maliciously crafted URI is detected a\n"
+		N_("When following a link the user ID part of the URI is "
+		"checked and if a maliciously crafted URI is detected a "
 		"warning dialog will ask before following the link.")),
 
 	/* TODO - this is somehow implemented by ff, but disabled
 	 * for now as it doesn't work. */
 	INIT_OPT_BOOL("document.browse.links", N_("Wrap-around links cycling"),
 		"wraparound", /* 0 */ 0, 0,
-		N_("When pressing 'down' on the last link, jump to the first one, and\n"
-		"vice versa.")),
+		N_("When pressing 'down' on the last link, jump to the first "
+		"one, and vice versa.")),
 
 
 	INIT_OPT_TREE("document.browse", N_("Scrolling"),
@@ -360,24 +377,25 @@ static struct option_info config_options
 
 	INIT_OPT_INT("document.browse.scrolling", N_("Horizontal step"),
 		"horizontal_step", 0, 1, 9999, 8,
-		N_("Number of columns to scroll when a key bound to scroll-left or scroll-\n"
-		"right is pressed and no prefix was given.")),
+		N_("Number of columns to scroll when a key bound to "
+		"scroll-left or scroll-right is pressed and no prefix was "
+		"given.")),
 
 	INIT_OPT_BOOL("document.browse.scrolling", N_("Extended horizontal scrolling"),
 		"horizontal_extended", 0, 1,
-		N_("Whether to allow horizontal scrolling when the document\n"
-		"does not extend off the screen. Useful for copy/paste\n"
+		N_("Whether to allow horizontal scrolling when the document "
+		"does not extend off the screen. Useful for copy/paste "
 		"operations.")),
 
 	INIT_OPT_INT("document.browse.scrolling", N_("Margin"),
 		"margin", 0, 0, 20, 3,
-		N_("Size of the virtual margin - when you click inside of that margin,\n"
-		"document scrolls in that direction.")),
+		N_("Size of the virtual margin - when you click inside of "
+		"that margin, document scrolls in that direction.")),
 
 	INIT_OPT_INT("document.browse.scrolling", N_("Vertical step"),
 		"vertical_step", 0, 1, 9999, 2,
-		N_("Number of lines to scroll when a key bound to scroll-up or scroll-\n"
-		"down is pressed and no prefix was given.")),
+		N_("Number of lines to scroll when a key bound to scroll-up "
+		"or scroll-down is pressed and no prefix was given.")),
 
 
 	INIT_OPT_TREE("document.browse", N_("Searching"),
@@ -386,10 +404,10 @@ static struct option_info config_options
 
 	INIT_OPT_BOOL("document.browse.search", N_("Case sensitivity"),
 		"case", 0, 0,
-		N_("Whether the search should match the document text while maintaining\n"
-		"case sensitivity.")),
+		N_("Whether the search should match the document text while "
+		"maintaining case sensitivity.")),
 
-#ifdef HAVE_REGEX_H
+#ifdef CONFIG_TRE
 	INIT_OPT_INT("document.browse.search", N_("Regular expressions"),
 		"regex", 0, 0, 2, 0,
 		N_("Enable searching with regular expressions:\n"
@@ -400,12 +418,13 @@ static struct option_info config_options
 
 	INIT_OPT_BOOL("document.browse.search", N_("Show search hit top or bottom dialogs"),
 		"show_hit_top_bottom", 0, 1,
-		N_("Whether to show a dialog when the search hits the top or bottom of the\n"
-		"document.")),
+		N_("Whether to show a dialog when the search hits the top or "
+		"bottom of the document.")),
 
 	INIT_OPT_BOOL("document.browse.search", N_("Wraparound"),
 		"wraparound", 0, 1,
-		N_("Wrap around when searching. Currently only used for typeahead.")),
+		N_("Wrap around when searching. Currently only used for "
+		"typeahead.")),
 
 	INIT_OPT_INT("document.browse.search", N_("Show not found"),
 		"show_not_found", 0, 0, 2, 2,
@@ -416,13 +435,17 @@ static struct option_info config_options
 
 	INIT_OPT_INT("document.browse.search", N_("Typeahead searching"),
 		"typeahead", 0, 0, 2, 0,
-		N_("Start typeahead searching when an unbound key is pressed without\n"
-		"any modifiers. Note that most keys have default bindings, so this\n"
-		"feature will not be useful unless you unbind them.\n\n"
-		"0 disables this feature; typeahead searching will only be used\n"
-		"  when you press a key bound to search-typeahead or similar\n"
+		N_("Start typeahead searching when an unbound key is pressed "
+		"without any modifiers. Note that most keys have default "
+		"bindings, so this feature will not be useful unless you "
+		"unbind them.\n"
+		"\n"
+		"0 disables this feature; typeahead searching will only be\n"
+		"  used when you press a key bound to search-typeahead or\n"
+		"  similar\n"
 		"1 automatically starts typeahead searching thru link text\n"
-		"2 automatically starts typeahead searching thru all document text")),
+		"2 automatically starts typeahead searching thru all document\n"
+		"  text")),
 
 
 	INIT_OPT_INT("document.browse", N_("Horizontal text margin"),
@@ -431,19 +454,21 @@ static struct option_info config_options
 
 	INIT_OPT_BOOL("document.browse", N_("Document meta refresh"),
 		"refresh", 0, 1,
-		N_("Automatically follow document-specified refresh directives ('<meta>\n"
-		"refresh' tags). Web-page authors use these to instruct the browser\n"
-		"to reload a document at a given interval or to load another page.\n"
-		"Regardless of the value the refresh URI is accessible as a link.\n"
-		"Use the document.browse.minimum_refresh_time to control the minimum\n"
-		"number of seconds a refresh will wait.")),
+		N_("Automatically follow document-specified refresh "
+		"directives ('<meta> refresh' tags). Web-page authors use "
+		"these to instruct the browser to reload a document at a "
+		"given interval or to load another page. Regardless of the "
+		"value the refresh URI is accessible as a link.\n"
+		"\n"
+		"Use the document.browse.minimum_refresh_time to control the "
+		"minimum number of seconds a refresh will wait.")),
 
 	INIT_OPT_INT("document.browse", N_("Document meta refresh minimum time"),
 		"minimum_refresh_time", 0, 0, INT_MAX, 1000,
-		N_("The minimum number of milliseconds that should pass before\n"
-		"refreshing. If set to zero the document refresh time is used\n"
-		"unchanged. It can fix going back in history for some sites that\n"
-		"use refreshing with zero values.")),
+		N_("The minimum number of milliseconds that should pass "
+		"before refreshing. If set to zero the document refresh time "
+		"is used unchanged. It can fix going back in history for some "
+		"sites that use refreshing with zero values.")),
 
 	INIT_OPT_BOOL("document.browse", N_("Tables navigation order"),
 		"table_move_order", 0, 0,
@@ -459,28 +484,32 @@ static struct option_info config_options
 
 	INIT_OPT_BOOL("document.cache", N_("Cache information about redirects"),
 		"cache_redirects", 0, 0,
-		N_("Cache even redirects sent by server (usually thru HTTP by a 302\n"
-		"HTTP code and a Location header). This was the original behaviour\n"
-		"for quite some time, but it causes problems in a situation very\n"
-		"common to various web login systems - frequently, when accessing\n"
-		"a certain location, they will redirect you to a login page if they\n"
-		"don't receive an auth cookie, the login page then gives you the\n"
-		"cookie and redirects you back to the original page, but there you\n"
-		"have already cached redirect back to the login page! If this\n"
-		"option has value of 0, this malfunction is fixed, but occasionally\n"
-		"you may get superfluous (depends on how you take it ;-) requests to\n"
-		"the server. If this option has value of 1, experienced users can\n"
-		"still workaround it by clever combination of usage of reload,\n"
-		"jumping around in session history and hitting ctrl+enter.\n"
-		"Note that this option is checked when retrieving the information\n"
-		"from cache, not when saving it to cache - thus if you enable\n"
-		"it, even previous redirects will be taken from cache instead of\n"
-		"asking the server.")),
+		N_("Cache even redirects sent by server (usually thru HTTP by "
+		"a 302 HTTP code and a Location header). This was the "
+		"original behaviour for quite some time, but it causes "
+		"problems in a situation very common to various web login "
+		"systems - frequently, when accessing a certain location, "
+		"they will redirect you to a login page if they don't receive "
+		"an auth cookie, the login page then gives you the cookie and "
+		"redirects you back to the original page, but there you have "
+		"already cached redirect back to the login page! If this "
+		"option has value of 0, this malfunction is fixed, but "
+		"occasionally you may get superfluous (depends on how you "
+		"take it ;-) requests to the server. If this option has value "
+		"of 1, experienced users can still workaround it by clever "
+		"combination of usage of reload, jumping around in session "
+		"history and hitting ctrl+enter.\n"
+		"\n"
+		"Note that this option is checked when retrieving the "
+		"information from cache, not when saving it to cache - thus "
+		"if you enable it, even previous redirects will be taken from "
+		"cache instead of asking the server.")),
 
 	INIT_OPT_BOOL("document.cache", N_("Ignore cache-control info from server"),
 		"ignore_cache_control", 0, 1,
-		N_("Ignore Cache-Control and Pragma server headers.\n"
-		"When set, the document is cached even with 'Cache-Control: no-cache'.")),
+		N_("Ignore Cache-Control and Pragma server headers. "
+		"When set, the document is cached even with 'Cache-Control: "
+		"no-cache'.")),
 
 	INIT_OPT_TREE("document.cache", N_("Formatted documents"),
 		"format", 0,
@@ -488,28 +517,33 @@ static struct option_info config_options
 
 	INIT_OPT_INT("document.cache.format", N_("Number"),
 		"size", 0, 0, 256, 5,
-		N_("Number of cached formatted pages. Do not get too generous\n"
-		"here, 'formatted' means that all the accompanying structures\n"
-		"are kept in memory so that you get the cached document\n"
-		"immediatelly, but these structures may take a lot - 2x the\n"
-		"size of the HTML source is probably not unusual, but it can\n"
-		"be even more if the document consists of a lot of short lines\n"
-		"(padded right, if possible) and links and not much other markup.\n"
-		"So if you set this to 256 and then you don't like your ELinks\n"
-		"eating 90M, don't come complaining to us. ;-)\n"
-		"Also note that the format cache itself is not counted to the\n"
-		"memory cache size, but the HTML source of the formatted documents\n"
-		"is always cached, even if it is over the memory cache size\n"
-		"threshold. (Then of course no other documents can be cached.)")),
+		N_("Number of cached formatted pages. Do not get too "
+		"generous here, 'formatted' means that all the accompanying "
+		"structures are kept in memory so that you get the cached "
+		"document immediatelly, but these structures may take a lot "
+		"- 2x the size of the HTML source is probably not unusual, "
+		"but it can be even more if the document consists of a lot "
+		"of short lines (padded right, if possible) and links and "
+		"not much other markup. So if you set this to 256 and then "
+		"you don't like your ELinks eating 90M, don't come "
+		"complaining to us. ;-)\n"
+		"\n"
+		"Also note that the format cache itself is not counted to "
+		"the memory cache size, but the HTML source of the formatted "
+		"documents is always cached, even if it is over the memory "
+		"cache size threshold. (Then of course no other documents "
+		"can be cached.)")),
 
 	/* FIXME: Write more. */
 	INIT_OPT_INT("document.cache", N_("Revalidation interval"),
 		"revalidation_interval", 0, -1, 86400, -1,
-		N_("Period in seconds that a cache entry is considered to be\n"
-		"up-to-date. When a document is loaded and this interval has elapsed\n"
-		"since the document was initially loaded or most recently\n"
-		"revalidated with the server, the server will be checked in case\n"
-		"there is a more up-to-date version of the document.\n\n"
+		N_("Period in seconds that a cache entry is considered to be "
+		"up-to-date. When a document is loaded and this interval has "
+		"elapsed since the document was initially loaded or most "
+		"recently revalidated with the server, the server will be "
+		"checked in case there is a more up-to-date version of the "
+		"document.\n"
+		"\n"
 		"A value of -1 disables automatic revalidation.")),
 
 	INIT_OPT_TREE("document.cache", N_("Memory cache"),
@@ -528,7 +562,7 @@ static struct option_info config_options
 
 	INIT_OPT_CODEPAGE("document.codepage", N_("Default codepage"),
 		"assume", 0, "System",
-		N_("Default document codepage. 'System' stands for\n"
+		N_("Default document codepage. 'System' stands for "
 		"a codepage determined by a selected locale.")),
 
 	INIT_OPT_BOOL("document.codepage", N_("Ignore charset info from server"),
@@ -569,6 +603,7 @@ static struct option_info config_options
 	INIT_OPT_COLOR("document.colors", N_("Directory color"),
 		"dirs", 0, "#ffff00",
 		N_("Default directory color.\n"
+		"\n"
 		"See document.browse.links.color_dirs option.")),
 
 	/* Compatibility alias: added by jonas at 2005-05-31, 0.11.CVS. */
@@ -577,10 +612,11 @@ static struct option_info config_options
 
 	INIT_OPT_BOOL("document.colors", N_("Increase contrast"),
 	        "increase_contrast", 0, 1,
-	        N_("Increase the contrast between the foreground and background colors\n"
-	           "to ensure readability. For example it disallows dark colors on a\n"
-	           "black background. Note, this is different from ensuring the contrast\n"
-	           "with the ensure_contrast option.")),
+	        N_("Increase the contrast between the foreground and "
+		"background colors to ensure readability. For example it "
+		"disallows dark colors on a black background. Note, this "
+		"is different from ensuring the contrast with the "
+		"ensure_contrast option.")),
 
 	INIT_OPT_BOOL("document.colors", N_("Ensure contrast"),
 		"ensure_contrast", 0, 1,
@@ -614,8 +650,8 @@ static struct option_info config_options
 
 	INIT_OPT_BOOL("document.download", N_("Set original time"),
 		"set_original_time", 0, 0,
-		N_("Set the timestamp of each downloaded file to the timestamp\n"
-		"stored on the server.")),
+		N_("Set the timestamp of each downloaded file to the "
+		"timestamp stored on the server.")),
 
 	/* Does automatic resuming make sense as an option? */
 	INIT_OPT_INT("document.download", N_("Prevent overwriting"),
@@ -639,7 +675,7 @@ static struct option_info config_options
 
 	INIT_OPT_CODEPAGE("document.dump", N_("Codepage"),
 		"codepage", 0, "System",
-		N_("Codepage used in dump output. 'System' stands for\n"
+		N_("Codepage used in dump output. 'System' stands for "
 		"a codepage determined by a selected locale.")),
 
 	INIT_OPT_INT("document.dump", N_("Color mode"),
@@ -650,10 +686,12 @@ static struct option_info config_options
 		 * TRANSLATORS: This restriction applies only to the
 		 * "en" (English) translation.  (See doc/Makefile.)  */
 		N_("Color mode for dumps.\n"
+		"\n"
 		"Some modes may have been disabled at compile time. "
 		"The Setup -> Terminal options dialog lists the modes "
 		"supported by this executable. If you select an "
 		"unsupported mode, ELinks uses 16 colors.\n"
+		"\n"
 		"The color modes are:\n"
 		"-1 is standard dump mode\n"
 		"0 is mono mode\n"
@@ -676,7 +714,7 @@ static struct option_info config_options
 
 	INIT_OPT_BOOL("document.dump", N_("References"),
 		"references", 0, 1,
-		N_("Whether to print references (URIs) of document links\n"
+		N_("Whether to print references (URIs) of document links "
 		"in dump output.")),
 
 	INIT_OPT_STRING("document.dump", N_("Separator"),
@@ -734,8 +772,8 @@ static struct option_info config_options
 
 	INIT_OPT_BOOL("document.html", N_("Wrap non breaking space"),
 		"wrap_nbsp", 0, 0,
-		N_("If set do not honour non breaking space (the nbsp entity)\n"
-		"but allow to wrap the text. This can help keeping the width\n"
+		N_("If set do not honour non breaking space (the nbsp entity) "
+		"but allow to wrap the text. This can help keeping the width "
 		"of documents down so no horizontal scrolling is needed.")),
 
 
@@ -749,25 +787,29 @@ static struct option_info config_options
 
 	INIT_OPT_BOOL("document.plain", N_("Compress empty lines"),
 		"compress_empty_lines", 0, 0,
-		N_("Compress successive empty lines to only one in displayed text.")),
+		N_("Compress successive empty lines to only one in displayed "
+		"text.")),
 
 
 	INIT_OPT_TREE("document", N_("URI passing"),
 		"uri_passing", OPT_SORT | OPT_AUTOCREATE,
-		N_("Rules for passing URIs to external commands. When one rule\n"
-		"is defined the link and tab menu will have a menu item that\n"
-		"makes it possible to pass the the link, frame or tab URI to\n"
-		"an external command. If several rules are defined the link and\n"
-		"tab menu will have a submenu of items for each rule. Note, this\n"
-		"is mostly useful for launching graphical viewers, since there\n"
-		"is no support for releasing the terminal while the command runs.\n"
-		"The action and submenus are also available by binding keys to\n"
-		"the frame-external-command, the link-external-command, and\n"
-		"the tab-external-command actions.")),
+		N_("Rules for passing URIs to external commands. When one "
+		"rule is defined the link and tab menu will have a menu item "
+		"that makes it possible to pass the the link, frame or tab "
+		"URI to an external command. If several rules are defined the "
+		"link and tab menu will have a submenu of items for each "
+		"rule.\n"
+		"\n"
+		"Note, this is mostly useful for launching graphical viewers, "
+		"since there is no support for releasing the terminal while "
+		"the command runs. The action and submenus are also available "
+		"by binding keys to the frame-external-command, the "
+		"link-external-command, and the tab-external-command "
+		"actions.")),
 
 	INIT_OPT_STRING("document.uri_passing", NULL,
 		"_template_", 0, "",
-		N_("A rule for passing URI to an external command.\n"
+		N_("A rule for passing URI to an external command. "
 		"The format is:\n"
 		"%c in the string means the current URL\n"
 		"%% in the string means '%'\n"
@@ -783,26 +825,30 @@ static struct option_info config_options
 
 	INIT_OPT_INT("infofiles", N_("Save interval"),
 		"save_interval", 0, 0, INT_MAX, 300,
-		N_("Interval at which to trigger information files in ~/.elinks\n"
-		"to be saved to disk if they have changed (seconds; 0 to disable)")),
+		N_("Interval at which to trigger information files in "
+		"~/.elinks to be saved to disk if they have changed "
+		"(seconds; 0 to disable)")),
 
 	INIT_OPT_BOOL("infofiles", N_("Use secure file saving"),
 		"secure_save", 0, 1,
-		N_("First write data to unique temporary file, then rename this file\n"
-		"upon successfully finishing this. Note that this relates only to\n"
-		"config files, not downloaded files. You may want to disable\n"
-		"it if you are using some exotic permissions for concerned files.\n"
-		"Secure file saving is automagically disabled if file is symlink.\n"
-		"Warning: some systems (ie. OS/2, Win32) require that destination\n"
-		"file doesn't exist when rename(3) is called, breaking atomicity,\n"
-		"and reducing reliability of this feature.")),
+		N_("First write data to unique temporary file, then rename "
+		"this file upon successfully finishing this. Note that this "
+		"relates only to config files, not downloaded files. "
+		"You may want to disable it if you are using some exotic "
+		"permissions for concerned files. Secure file saving is "
+		"automagically disabled if file is symlink.\n"
+		"\n"
+		"Warning: some systems (ie. OS/2, Win32) require that "
+		"destination file doesn't exist when rename(3) is called, "
+		"breaking atomicity, and reducing reliability of this "
+		"feature.")),
 
 	INIT_OPT_BOOL("infofiles", N_("Use fsync(3) with secure file saving"),
 		"secure_save_fsync", 0, 1,
-		N_("When using secure file saving, call fsync(3), if the OS\n"
-		   "supports it, to force the OS immediately to write the data\n"
-		   "to permanent storage. This is optional for those who wish\n"
-		   "to avoid excessive disk I/O.")),
+		N_("When using secure file saving, call fsync(3), if the OS "
+		"supports it, to force the OS immediately to write the "
+		"data to permanent storage. This is optional for those who "
+		"wish to avoid excessive disk I/O.")),
 
 	/* Keep options in alphabetical order. */
 
@@ -814,7 +860,8 @@ static struct option_info config_options
 
 	INIT_OPT_TREE("terminal", NULL,
 		"_template_", 0,
-		N_("Options specific to this terminal type (according to $TERM value).")),
+		N_("Options specific to this terminal type (according to "
+		"$TERM value).")),
 
 	/* TODO: Incorporate some of the following to the option text.
 	 *
@@ -839,19 +886,33 @@ static struct option_info config_options
 	 * understands UTF-8 and has the characters in its font.  */
 	INIT_OPT_INT("terminal._template_", N_("Type"),
 		"type", 0, 0, 4, 0,
-		N_("Terminal type; matters mostly only when drawing frames and\n"
-		"dialog box borders:\n"
+		N_("Terminal type; matters mostly only when drawing frames "
+		"and dialog box borders:\n"
 		"0 is dumb terminal type, ASCII art\n"
 		"1 is VT100, simple but portable\n"
 		"2 is Linux, you get double frames and other goodies\n"
 		"3 is KOI-8\n"
 		"4 is FreeBSD")),
 
+	INIT_OPT_BOOL("terminal._template_", N_("Always encode xterm title in ISO-8859-1"),
+		"latin1_title", 0, 1,
+		N_("When updating the window title of xterm or a similar "
+		"terminal emulator, encode the title in ISO-8859-1 (Latin-1), "
+		"rather than in the charset used for other text in the "
+		"window. Cyrillic and other characters get replaced with "
+		"Latin ones. Xterm requires this unless you explicitly "
+		"enable UTF-8 titles in it.\n"
+		"\n"
+		"If this option does not take effect immediately, try "
+		"switching to a different page so that ELinks notices "
+		"it needs to update the title.")),
+
 	INIT_OPT_BOOL("terminal._template_", N_("Switch fonts for line drawing"),
 		"m11_hack", 0, 0,
-		N_("Switch fonts when drawing lines, enabling both local characters\n"
-		"and lines working at the same time. ELinks uses this option only if\n"
-		"UTF-8 I/O is disabled and the terminal type is Linux or FreeBSD.")),
+		N_("Switch fonts when drawing lines, enabling both local "
+		"characters and lines working at the same time. "
+		"ELinks uses this option only if UTF-8 I/O is disabled "
+		"and the terminal type is Linux or FreeBSD.")),
 
 	/* When CONFIG_UTF8 is defined, any code that reads the "utf_8_io"
 	 * option should also check whether the "codepage" option is UTF-8,
@@ -860,19 +921,21 @@ static struct option_info config_options
 	 * please report any such possibilities as bugs.)  */
 	INIT_OPT_BOOL("terminal._template_", N_("UTF-8 I/O"),
 		"utf_8_io", 0, 0,
-		N_("Enable I/O in UTF-8 for Unicode terminals. Note that currently,\n"
-		"only the subset of UTF-8 according to terminal codepage is used.\n"
-		"ELinks ignores this option if the terminal codepage is UTF-8.")),
+		N_("Enable I/O in UTF-8 for Unicode terminals. "
+		"Note that currently, only the subset of UTF-8 according to "
+		"terminal codepage is used. ELinks ignores this option "
+		"if the terminal codepage is UTF-8.")),
 
 	INIT_OPT_BOOL("terminal._template_", N_("Restrict frames in cp850/852"),
 		"restrict_852", 0, 0,
-		N_("Restrict the characters used when drawing lines. Makes sense\n"
-		"only with linux terminals using the cp850/852 character sets.")),
+		N_("Restrict the characters used when drawing lines. "
+		"Makes sense only with linux terminals using the cp850/852 "
+		"character sets.")),
 
 	INIT_OPT_BOOL("terminal._template_", N_("Block cursor"),
 		"block_cursor", 0, 0,
-		N_("Move cursor to bottom right corner when done drawing.\n"
-		"This is particularly useful when we have a block cursor,\n"
+		N_("Move cursor to bottom right corner when done drawing. "
+		"This is particularly useful when we have a block cursor, "
 		"so that inversed text is displayed correctly.")),
 
 	INIT_OPT_INT("terminal._template_", N_("Color mode"),
@@ -882,12 +945,14 @@ static struct option_info config_options
 		 * an outer list entry after an inner list.
 		 * TRANSLATORS: This restriction applies only to the
 		 * "en" (English) translation.  (See doc/Makefile.)  */
-		N_("The color mode controls what colors are used and how they are "
-		"output to the terminal.\n"
+		N_("The color mode controls what colors are used and how they "
+		"are output to the terminal.\n"
+		"\n"
 		"Some modes may have been disabled at compile time. "
 		"The Setup -> Terminal options dialog lists the modes "
 		"supported by this executable. If you select an "
 		"unsupported mode, ELinks uses 16 colors.\n"
+		"\n"
 		"The color modes are:\n"
 		"0 is mono mode, only 2 colors are used\n"
 		"1 is 16 color mode, uses the common ANSI colors\n"
@@ -897,22 +962,26 @@ static struct option_info config_options
 
 	INIT_OPT_BOOL("terminal._template_", N_("Transparency"),
 		"transparency", 0, 0,
-		N_("If we should not set the background to black. This is particularly\n"
-		"useful when we have a terminal (typically in some windowing\n"
-		"environment) with a background image or a transparent background -\n"
-		"it will be visible in ELinks as well (but ELinks document color handling\n"
-		"will still assume the background is black so if you have a bright background\n"
-		"you might experience contrast problems). Note that this option makes\n"
-		"sense only when colors are enabled.")),
+		N_("If we should not set the background to black. "
+		"This is particularly useful when we have a terminal "
+		"(typically in some windowing environment) with a background "
+		"image or a transparent background - it will be visible in "
+		"ELinks as well (but ELinks document color handling will "
+		"still assume the background is black so if you have a "
+		"bright background you might experience contrast problems). "
+		"Note that this option makes sense only when colors are "
+		"enabled.")),
 
 	INIT_OPT_BOOL("terminal._template_", N_("Underline"),
 		"underline", 0, 0,
-		N_("If we should use underline or enhance the color instead.")),
+		N_("If we should use underline or enhance the color "
+		"instead.")),
 
 	INIT_OPT_CODEPAGE("terminal._template_", N_("Codepage"),
 		"charset", 0, "System",
-		N_("Codepage of charset used for displaying content on terminal.\n"
-		"'System' stands for a codepage determined by a selected locale.")),
+		N_("Codepage of charset used for displaying content on "
+		"terminal. 'System' stands for a codepage determined by "
+		"a selected locale.")),
 
 	/* Keep options in alphabetical order. */
 
@@ -1132,7 +1201,7 @@ static struct option_info config_options
 
 	INIT_OPT_COLORS(".tabs", N_("Unvisited tab"),
 		"unvisited", "darkblue", "white", "gray", "white",
-		N_("Tab colors for tabs that have not been\n"
+		N_("Tab colors for tabs that have not been "
 		   "selected since they completed loading.")),
 
 	INIT_OPT_COLORS(".tabs", N_("Unselected tab"),
@@ -1170,30 +1239,34 @@ static struct option_info config_options
 
 	INIT_OPT_INT("ui.dialogs", N_("Minimal height of listbox widget"),
 		"listbox_min_height", 0, 1, 20, 10,
-		N_("Minimal height of the listbox widget (used e.g. for bookmarks\n"
-		"or global history).")),
+		N_("Minimal height of the listbox widget (used e.g. for "
+		"bookmarks or global history).")),
 
 	INIT_OPT_BOOL("ui.dialogs", N_("Drop shadows"),
 		"shadows", 0, 0,
-		N_("Make dialogs drop shadows (the shadows are solid, you can\n"
-		"adjust their color by ui.colors.*.dialog.shadow). You may\n"
-		"also want to eliminate the wide borders by adjusting setup.h.")),
+		N_("Make dialogs drop shadows (the shadows are solid, you "
+		"can adjust their color by ui.colors.*.dialog.shadow). "
+		"You may also want to eliminate the wide borders by "
+		"adjusting setup.h.")),
 
 	INIT_OPT_BOOL("ui.dialogs", N_("Underline menu hotkeys"),
 		"underline_hotkeys", 0, 0,
-		N_("Whether to underline hotkeys in menus to make them more\n"
-		"visible. Requires that underlining is enabled for the terminal.")),
+		N_("Whether to underline hotkeys in menus to make them more "
+		"visible. Requires that underlining is enabled for the "
+		"terminal.")),
 
 	INIT_OPT_BOOL("ui.dialogs", N_("Underline button shortcuts"),
 		"underline_button_shortcuts", 0, 0,
-		N_("Whether to underline button shortcuts to make them more\n"
-		"visible. Requires that underlining is enabled for the terminal.")),
+		N_("Whether to underline button shortcuts to make them more "
+		"visible. Requires that underlining is enabled for the "
+		"terminal.")),
 
 
 	INIT_OPT_TREE("ui", N_("Timer options"),
 		"timer", 0,
-		N_("Timed action after certain interval of user inactivity. Someone can\n"
-		"even find this useful, although you may not believe that.")),
+		N_("Timed action after certain interval of user inactivity. "
+		"Someone can even find this useful, although you may not "
+		"believe that.")),
 
 #ifdef CONFIG_LEDS
 	INIT_OPT_INT("ui.timer", N_("Enable"),
@@ -1213,12 +1286,13 @@ static struct option_info config_options
 
 	INIT_OPT_INT("ui.timer", N_("Duration"),
 		"duration", 0, 1, 86400, 86400,
-		N_("Inactivity timeout in seconds. The maximum of one day\n"
+		N_("Inactivity timeout in seconds. The maximum of one day "
 		"should be enough for just everyone (TM).")),
 
 	INIT_OPT_STRING("ui.timer", N_("Action"),
 		"action", 0, "",
-		N_("Keybinding action to be triggered when timer reaches zero.")),
+		N_("Keybinding action to be triggered when timer reaches "
+		"zero.")),
 
 
 	INIT_OPT_TREE("ui", N_("Window tabs"),
@@ -1238,8 +1312,8 @@ static struct option_info config_options
 
 	INIT_OPT_BOOL("ui.tabs", N_("Wrap-around tabs cycling"),
 		"wraparound", 0, 1,
-		N_("When moving right from the last tab, jump to the first one, and\n"
-		"vice versa.")),
+		N_("When moving right from the last tab, jump to the first "
+		"one, and vice versa.")),
 
 	INIT_OPT_BOOL("ui.tabs", N_("Confirm tab closing"),
 		"confirm_close", 0, 0,
@@ -1249,8 +1323,9 @@ static struct option_info config_options
 
 	INIT_OPT_LANGUAGE("ui", N_("Language"),
 		"language", 0,
-		N_("Language of user interface. 'System' means that the language will\n"
-		"be extracted from the environment dynamically.")),
+		N_("Language of user interface. 'System' means that the "
+		"language will be extracted from the environment "
+		"dynamically.")),
 
 	INIT_OPT_BOOL("ui", N_("Display menu bar always"),
 		"show_menu_bar_always", 0, 0,
@@ -1266,14 +1341,15 @@ static struct option_info config_options
 
 	INIT_OPT_BOOL("ui", N_("Display goto dialog in new tabs"),
 		"startup_goto_dialog", 0, 1,
-		N_("Pop up goto dialog in newly created tabs when there's no homepage\n"
-		"set. This means also showing goto dialog on startup.")),
+		N_("Pop up goto dialog in newly created tabs when there's "
+		"no homepage set. This means also showing goto dialog on "
+		"startup.")),
 
 	INIT_OPT_BOOL("ui", N_("Show a message box when file is saved successfully"),
 		"success_msgbox", 0, 1,
-		N_("When you pressed a [ Save ] button in some manager, this option\n"
-		"will make sure that a box confirming success of the operation will\n"
-		"pop up.")),
+		N_("When you pressed a [ Save ] button in some manager, "
+		"this option will make sure that a box confirming success "
+		"of the operation will pop up.")),
 
 
 	INIT_OPT_TREE("ui", N_("Sessions"),
@@ -1282,30 +1358,35 @@ static struct option_info config_options
 
 	INIT_OPT_BOOL("ui.sessions", N_("Keep session active"),
 		"keep_session_active", 0, 0,
-		N_("Keep the session active even if the last terminal exits.")),
+		N_("Keep the session active even if the last terminal "
+		"exits.")),
 
 	INIT_OPT_BOOL("ui.sessions", N_("Auto save session"),
 		"auto_save", 0, 0,
 		N_("Automatically save the session when quitting.\n"
+		"\n"
 		"This feature requires bookmark support.")),
 
 	INIT_OPT_BOOL("ui.sessions", N_("Auto restore session"),
 		"auto_restore", 0, 0,
 		N_("Automatically restore the session at start.\n"
+		"\n"
 		"This feature requires bookmark support.")),
 
 	INIT_OPT_STRING("ui.sessions", N_("Auto save and restore session folder name"),
 		"auto_save_foldername", 0, "Auto saved session",
-		N_("Name of the bookmarks folder used for auto saving and restoring session.\n"
-		"The name has to be unique. Any folders with the same name will be deleted.\n"
+		N_("Name of the bookmarks folder used for auto saving and "
+		"restoring session. The name has to be unique. Any folders "
+		"with the same name will be deleted.\n"
+		"\n"
 		"This only makes sense with bookmark support.")),
 
 	INIT_OPT_STRING("ui.sessions", N_("Homepage URI"),
 		"homepage", 0, WWW_HOME_URL,
-		N_("The URI to load either at startup time when no URI was given\n"
-		"on the command line or when requested by the goto-url-home action.\n"
-		"Set to \"\" if the environment variable WWW_HOME should be used\n"
-		"as homepage URI instead.")),
+		N_("The URI to load either at startup time when no URI was "
+		"given on the command line or when requested by the "
+		"goto-url-home action. Set to \"\" if the environment "
+		"variable WWW_HOME should be used as homepage URI instead.")),
 
 #ifdef HAVE_STRFTIME
 	INIT_OPT_STRING("ui", N_("Date format"),
@@ -1315,9 +1396,9 @@ static struct option_info config_options
 
 	INIT_OPT_BOOL("ui", N_("Set window title"),
 		"window_title", 0, 1,
-		N_("Set the window title when running in a windowing environment\n"
-		"in an xterm-like terminal. This way the document's title is\n"
-		"shown on the window titlebar.")),
+		N_("Set the window title when running in a windowing "
+		"environment in an xterm-like terminal. This way the "
+		"document's title is shown on the window titlebar.")),
 
 
 
diff -pruN 0.12~pre2.dfsg0-1/src/cookies/cookies.c 0.12~pre4-1/src/cookies/cookies.c
--- 0.12~pre2.dfsg0-1/src/cookies/cookies.c	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/src/cookies/cookies.c	2009-05-31 09:48:47.000000000 +0100
@@ -101,27 +101,29 @@ static struct option_info cookies_option
 		"max_age", 0, -1, 10000, -1,
 		N_("Cookie maximum age (in days):\n"
 		"-1 is use cookie's expiration date if any\n"
-		"0  is force expiration at the end of session, ignoring cookie's\n"
-		"   expiration date\n"
-		"1+ is use cookie's expiration date, but limit age to the given\n"
-		"   number of days")),
+		"0  is force expiration at the end of session, ignoring\n"
+		"   cookie's expiration date\n"
+		"1+ is use cookie's expiration date, but limit age to the\n"
+		"   given number of days")),
 
 	INIT_OPT_BOOL("cookies", N_("Paranoid security"),
 		"paranoid_security", 0, 0,
-		N_("When enabled, we'll require three dots in cookies domain for all\n"
-		"non-international domains (instead of just two dots). Some countries\n"
-		"have generic second level domains (eg. .com.pl, .co.uk) and allowing\n"
-		"sites to set cookies for these generic domains could potentially be\n"
-		"very bad. Note, it is off by default as it breaks a lot of sites.")),
+		N_("When enabled, we'll require three dots in cookies domain "
+		"for all non-international domains (instead of just two "
+		"dots). Some countries have generic second level domains "
+		"(eg. .com.pl, .co.uk) and allowing sites to set cookies "
+		"for these generic domains could potentially be very bad. "
+		"Note, it is off by default as it breaks a lot of sites.")),
 
 	INIT_OPT_BOOL("cookies", N_("Saving"),
 		"save", 0, 1,
-		N_("Whether cookies should be loaded from and saved to disk.")),
+		N_("Whether cookies should be loaded from and saved to "
+		"disk.")),
 
 	INIT_OPT_BOOL("cookies", N_("Resaving"),
 		"resave", 0, 1,
-		N_("Save cookies after each change in cookies list? No effect when\n"
-		"cookie saving (cookies.save) is off.")),
+		N_("Save cookies after each change in cookies list? "
+		"No effect when cookie saving (cookies.save) is off.")),
 
 	NULL_OPTION_INFO,
 };
@@ -143,7 +145,7 @@ get_cookie_server(unsigned char *host, i
 		/* XXX: We must count with cases like "x.co" vs "x.co.uk"
 		 * below! */
 		int cslen = strlen(cs->host);
-		int cmp = strncasecmp(cs->host, host, hostlen);
+		int cmp = c_strncasecmp(cs->host, host, hostlen);
 
 		if (!sort_spot && (cmp > 0 || (cmp == 0 && cslen > hostlen))) {
 			/* This is the first @cs with name greater than @host,
@@ -234,13 +236,13 @@ is_domain_security_ok(unsigned char *dom
 
 	/* Match domain and server.. */
 
-	/* XXX: Hmm, can't we use strlcasecmp() here? --pasky */
+	/* XXX: Hmm, can't we use c_strlcasecmp() here? --pasky */
 
 	if (domain_len > server_len) return 0;
 
 	/* Ensure that the domain is atleast a substring of the server before
 	 * continuing. */
-	if (strncasecmp(domain, server + server_len - domain_len, domain_len))
+	if (c_strncasecmp(domain, server + server_len - domain_len, domain_len))
 		return 0;
 
 	/* Allow domains which are same as servers. --<rono@sentuny.com.au> */
@@ -498,8 +500,8 @@ accept_cookie(struct cookie *cookie)
 		struct cookie *c, *next;
 
 		foreachsafe (c, next, cookies) {
-			if (strcasecmp(c->name, cookie->name)
-			    || strcasecmp(c->domain, cookie->domain))
+			if (c_strcasecmp(c->name, cookie->name)
+			    || c_strcasecmp(c->domain, cookie->domain))
 				continue;
 
 			delete_cookie(c);
@@ -512,7 +514,7 @@ accept_cookie(struct cookie *cookie)
 
 	/* XXX: This crunches CPU too. --pasky */
 	foreach (cd, c_domains)
-		if (!strcasecmp(cd->domain, cookie->domain))
+		if (!c_strcasecmp(cd->domain, cookie->domain))
 			return;
 
 	domain_len = strlen(cookie->domain);
@@ -534,11 +536,11 @@ delete_cookie(struct cookie *c)
 	struct cookie *d;
 
 	foreach (d, cookies)
-		if (!strcasecmp(d->domain, c->domain))
+		if (!c_strcasecmp(d->domain, c->domain))
 			goto end;
 
 	foreach (cd, c_domains) {
-	       	if (!strcasecmp(cd->domain, c->domain)) {
+	       	if (!c_strcasecmp(cd->domain, c->domain)) {
 			del_from_list(cd);
 			mem_free(cd);
 			break;
diff -pruN 0.12~pre2.dfsg0-1/src/dialogs/options.c 0.12~pre4-1/src/dialogs/options.c
--- 0.12~pre2.dfsg0-1/src/dialogs/options.c	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/src/dialogs/options.c	2009-05-31 09:48:47.000000000 +0100
@@ -50,7 +50,7 @@ charset_list(struct terminal *term, void
 	int i, items;
 	int sel = 0;
 	const unsigned char *const sel_mime = get_cp_mime_name(
-		get_opt_codepage_tree(term->spec, "charset"));
+		get_terminal_codepage(term));
 	struct menu_item *mi = new_menu(FREE_LIST);
 
 	if (!mi) return;
diff -pruN 0.12~pre2.dfsg0-1/src/dialogs/status.c 0.12~pre4-1/src/dialogs/status.c
--- 0.12~pre2.dfsg0-1/src/dialogs/status.c	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/src/dialogs/status.c	2009-05-31 09:48:47.000000000 +0100
@@ -359,7 +359,16 @@ display_tab_bar(struct session *ses, str
 					  box.x, box.y, actual_tab_width,
 					  msg, NULL);
 		} else {
-			int msglen = int_min(strlen(msg), actual_tab_width);
+			int msglen;
+#ifdef CONFIG_UTF8
+			if (term->utf8_cp) {
+				msglen = utf8_step_forward(msg, NULL,
+							   actual_tab_width,
+							   UTF8_STEP_CELLS_FEWER,
+							   NULL) - msg;
+			} else
+#endif /* CONFIG_UTF8 */
+				msglen = int_min(strlen(msg), actual_tab_width);
 
 			draw_text(term, box.x, box.y, msg, msglen, 0, color);
 		}
@@ -489,12 +498,12 @@ display_window_title(struct session *ses
 	if (!title) return;
 
 	titlelen = strlen(title);
-	if (last_ses != ses
-	    || !status->last_title
-	    || strlen(status->last_title) != titlelen
-	    || memcmp(status->last_title, title, titlelen)) {
+	if ((last_ses != ses
+	     || !status->last_title
+	     || strlen(status->last_title) != titlelen
+	     || memcmp(status->last_title, title, titlelen))
+	    && set_terminal_title(term, title) >= 0) {
 		mem_free_set(&status->last_title, title);
-		set_terminal_title(term, title);
 		last_ses = ses;
 	} else {
 		mem_free(title);
diff -pruN 0.12~pre2.dfsg0-1/src/document/css/css.c 0.12~pre4-1/src/document/css/css.c
--- 0.12~pre2.dfsg0-1/src/document/css/css.c	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/src/document/css/css.c	2009-05-31 09:48:47.000000000 +0100
@@ -29,7 +29,8 @@
 struct option_info css_options_info[] = {
 	INIT_OPT_TREE("document", N_("Cascading Style Sheets"),
 		"css", OPT_SORT,
-		N_("Options concerning how to use CSS for styling documents.")),
+		N_("Options concerning how to use CSS for styling "
+		"documents.")),
 
 	INIT_OPT_BOOL("document.css", N_("Enable CSS"),
 		"enable", 0, 1,
@@ -37,16 +38,18 @@ struct option_info css_options_info[] = 
 
 	INIT_OPT_BOOL("document.css", N_("Import external style sheets"),
 		"import", 0, 1,
-		N_("When enabled any external style sheets that are imported from\n"
-		"either CSS itself using the @import keyword or from the HTML using\n"
-		"<link> tags in the document header will also be downloaded.")),
+		N_("When enabled any external style sheets that are imported "
+		"from either CSS itself using the @import keyword or from the "
+		"HTML using <link> tags in the document header will also be "
+		"downloaded.")),
 
 	INIT_OPT_STRING("document.css", N_("Default style sheet"),
 		"stylesheet", 0, "",
-		N_("The path to the file containing the default user defined\n"
-		"Cascading Style Sheet. It can be used to control the basic\n"
-		"layout of HTML documents. The path is assumed to be relative\n"
+		N_("The path to the file containing the default user defined "
+		"Cascading Style Sheet. It can be used to control the basic "
+		"layout of HTML documents. The path is assumed to be relative "
 		"to ELinks' home directory.\n"
+		"\n"
 		"Leave as \"\" to use built-in document styling.")),
 
 	NULL_OPTION_INFO,
diff -pruN 0.12~pre2.dfsg0-1/src/document/css/scanner.c 0.12~pre4-1/src/document/css/scanner.c
--- 0.12~pre2.dfsg0-1/src/document/css/scanner.c	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/src/document/css/scanner.c	2009-05-31 09:48:47.000000000 +0100
@@ -287,7 +287,7 @@ scan_css_token(struct scanner *scanner, 
 
 	} else if (first_char == '!') {
 		scan_css(scanner, string, CSS_CHAR_WHITESPACE);
-		if (!strncasecmp(string, "important", 9)) {
+		if (!c_strncasecmp(string, "important", 9)) {
 			type = CSS_TOKEN_IMPORTANT;
 			string += 9;
 		}
diff -pruN 0.12~pre2.dfsg0-1/src/document/css/stylesheet.c 0.12~pre4-1/src/document/css/stylesheet.c
--- 0.12~pre2.dfsg0-1/src/document/css/stylesheet.c	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/src/document/css/stylesheet.c	2009-05-31 09:48:47.000000000 +0100
@@ -38,7 +38,7 @@ find_css_selector(LIST_OF(struct css_sel
 	foreach (selector, *sels) {
 		if (type != selector->type || rel != selector->relation)
 			continue;
-		if (strlcasecmp(name, namelen, selector->name, -1))
+		if (c_strlcasecmp(name, namelen, selector->name, -1))
 			continue;
 		return selector;
 	}
diff -pruN 0.12~pre2.dfsg0-1/src/document/document.c 0.12~pre4-1/src/document/document.c
--- 0.12~pre2.dfsg0-1/src/document/document.c	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/src/document/document.c	2009-05-31 09:48:47.000000000 +0100
@@ -187,7 +187,7 @@ find_tag(struct document *document, unsi
 	struct tag *tag;
 
 	foreach (tag, document->tags)
-		if (!strlcasecmp(tag->name, -1, name, namelen))
+		if (!c_strlcasecmp(tag->name, -1, name, namelen))
 			return tag->y;
 
 	return -1;
diff -pruN 0.12~pre2.dfsg0-1/src/document/document.h 0.12~pre4-1/src/document/document.h
--- 0.12~pre2.dfsg0-1/src/document/document.h	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/src/document/document.h	2009-05-31 09:48:47.000000000 +0100
@@ -178,6 +178,9 @@ struct document {
 #endif
 
 	struct uri *uri;
+
+	/** The title of the document.  The charset of this string is
+	 * document.options.cp.  */
 	unsigned char *title;
 	struct cache_entry *cached;
 
diff -pruN 0.12~pre2.dfsg0-1/src/document/dom/renderer.c 0.12~pre4-1/src/document/dom/renderer.c
--- 0.12~pre2.dfsg0-1/src/document/dom/renderer.c	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/src/document/dom/renderer.c	2009-05-31 09:48:47.000000000 +0100
@@ -720,6 +720,10 @@ render_dom_document_end(struct dom_stack
 		render_dom_flush(renderer, renderer->end);
 	}
 
+	/* It is not necessary to return DOM_CODE_FREE_NODE here.
+	 * Because the parser was created with the SGML_PARSER_STREAM
+	 * type, the stack has the DOM_STACK_FLAG_FREE_NODES flag and
+	 * implicitly frees all nodes popped from it.  */
 	return DOM_CODE_OK;
 }
 
@@ -947,9 +951,11 @@ dom_rss_pop_document(struct dom_stack *s
 		done_dom_string(&renderer->text);
 	mem_free_if(renderer->items);
 
-	done_dom_node(root);
-
-	return DOM_CODE_OK;
+	/* ELinks does not provide any sort of DOM access to the RSS
+	 * document after it has been rendered.  Tell the caller to
+	 * free the document node and all of its children.  Otherwise,
+	 * they would leak.  */
+	return DOM_CODE_FREE_NODE;
 }
 
 
@@ -993,22 +999,22 @@ static struct dom_stack_context_info dom
 static void
 get_doctype(struct dom_renderer *renderer, struct cache_entry *cached)
 {
-	if (!strcasecmp("application/rss+xml", cached->content_type)) {
+	if (!c_strcasecmp("application/rss+xml", cached->content_type)) {
 		renderer->doctype = SGML_DOCTYPE_RSS;
 
-	} else if (!strcasecmp("application/docbook+xml",
-	                       cached->content_type)) {
+	} else if (!c_strcasecmp("application/docbook+xml",
+				 cached->content_type)) {
 		renderer->doctype = SGML_DOCTYPE_DOCBOOK;
 
-	} else if (!strcasecmp("application/xbel+xml", cached->content_type)
-		   || !strcasecmp("application/x-xbel", cached->content_type)
-		   || !strcasecmp("application/xbel", cached->content_type)) {
+	} else if (!c_strcasecmp("application/xbel+xml", cached->content_type)
+		   || !c_strcasecmp("application/x-xbel", cached->content_type)
+		   || !c_strcasecmp("application/xbel", cached->content_type)) {
 		renderer->doctype = SGML_DOCTYPE_XBEL;
 
 	} else {
-		assertm(!strcasecmp("text/html", cached->content_type)
-			|| !strcasecmp("application/xhtml+xml",
-		                       cached->content_type),
+		assertm(!c_strcasecmp("text/html", cached->content_type)
+			|| !c_strcasecmp("application/xhtml+xml",
+					 cached->content_type),
 			"Couldn't resolve doctype '%s'", cached->content_type);
 
 		renderer->doctype = SGML_DOCTYPE_HTML;
diff -pruN 0.12~pre2.dfsg0-1/src/document/html/frames.c 0.12~pre4-1/src/document/html/frames.c
--- 0.12~pre2.dfsg0-1/src/document/html/frames.c	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/src/document/html/frames.c	2009-05-31 09:48:47.000000000 +0100
@@ -137,7 +137,7 @@ find_fd(struct session *ses, unsigned ch
 
 	foreachback (doc_view, ses->scrn_frames) {
 		if (doc_view->used) continue;
-		if (strcasecmp(doc_view->name, name)) continue;
+		if (c_strcasecmp(doc_view->name, name)) continue;
 
 		doc_view->used = 1;
 		doc_view->depth = depth;
diff -pruN 0.12~pre2.dfsg0-1/src/document/html/parser/forms.c 0.12~pre4-1/src/document/html/parser/forms.c
--- 0.12~pre2.dfsg0-1/src/document/html/parser/forms.c	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/src/document/html/parser/forms.c	2009-05-31 09:48:47.000000000 +0100
@@ -52,7 +52,7 @@ html_form(struct html_context *html_cont
 
 	al = get_attr_val(a, "method", html_context->doc_cp);
 	if (al) {
-		if (!strcasecmp(al, "post")) {
+		if (!c_strcasecmp(al, "post")) {
 			unsigned char *enctype;
 
 			enctype  = get_attr_val(a, "enctype",
@@ -60,9 +60,9 @@ html_form(struct html_context *html_cont
 
 			form->method = FORM_METHOD_POST;
 			if (enctype) {
-				if (!strcasecmp(enctype, "multipart/form-data"))
+				if (!c_strcasecmp(enctype, "multipart/form-data"))
 					form->method = FORM_METHOD_POST_MP;
-				else if (!strcasecmp(enctype, "text/plain"))
+				else if (!c_strcasecmp(enctype, "text/plain"))
 					form->method = FORM_METHOD_POST_TEXT_PLAIN;
 				mem_free(enctype);
 			}
@@ -153,11 +153,11 @@ html_button(struct html_context *html_co
 	al = get_attr_val(a, "type", cp);
 	if (!al) goto no_type_attr;
 
-	if (!strcasecmp(al, "button")) {
+	if (!c_strcasecmp(al, "button")) {
 		type = FC_BUTTON;
-	} else if (!strcasecmp(al, "reset")) {
+	} else if (!c_strcasecmp(al, "reset")) {
 		type = FC_RESET;
-	} else if (strcasecmp(al, "submit")) {
+	} else if (c_strcasecmp(al, "submit")) {
 		/* unknown type */
 		mem_free(al);
 		return;
@@ -273,21 +273,23 @@ html_input(struct html_context *html_con
 
 	al = get_attr_val(a, "type", cp);
 	if (al) {
-		if (!strcasecmp(al, "text")) fc->type = FC_TEXT;
-		else if (!strcasecmp(al, "hidden")) fc->type = FC_HIDDEN;
-		else if (!strcasecmp(al, "button")) fc->type = FC_BUTTON;
-		else if (!strcasecmp(al, "checkbox")) fc->type = FC_CHECKBOX;
-		else if (!strcasecmp(al, "radio")) fc->type = FC_RADIO;
-		else if (!strcasecmp(al, "password")) fc->type = FC_PASSWORD;
-		else if (!strcasecmp(al, "submit")) fc->type = FC_SUBMIT;
-		else if (!strcasecmp(al, "reset")) fc->type = FC_RESET;
-		else if (!strcasecmp(al, "file")) fc->type = FC_FILE;
-		else if (!strcasecmp(al, "image")) fc->type = FC_IMAGE;
+		if (!c_strcasecmp(al, "text")) fc->type = FC_TEXT;
+		else if (!c_strcasecmp(al, "hidden")) fc->type = FC_HIDDEN;
+		else if (!c_strcasecmp(al, "button")) fc->type = FC_BUTTON;
+		else if (!c_strcasecmp(al, "checkbox")) fc->type = FC_CHECKBOX;
+		else if (!c_strcasecmp(al, "radio")) fc->type = FC_RADIO;
+		else if (!c_strcasecmp(al, "password")) fc->type = FC_PASSWORD;
+		else if (!c_strcasecmp(al, "submit")) fc->type = FC_SUBMIT;
+		else if (!c_strcasecmp(al, "reset")) fc->type = FC_RESET;
+		else if (!c_strcasecmp(al, "file")) fc->type = FC_FILE;
+		else if (!c_strcasecmp(al, "image")) fc->type = FC_IMAGE;
 		/* else unknown type, let it default to FC_TEXT. */
 		mem_free(al);
 	}
 
-	if (fc->type != FC_FILE)
+	if (fc->type == FC_HIDDEN)
+		fc->default_value = get_lit_attr_val(a, "value", cp);
+	else if (fc->type != FC_FILE)
 		fc->default_value = get_attr_val(a, "value", cp);
 	if (!fc->default_value) {
 		if (fc->type == FC_CHECKBOX)
@@ -408,12 +410,12 @@ abort:
 		closing_tag = 0;
 	}
 
-	if (closing_tag && !strlcasecmp(name, namelen, "SELECT", 6)) {
+	if (closing_tag && !c_strlcasecmp(name, namelen, "SELECT", 6)) {
 		add_select_item(&lnk_menu, &lbl, &orig_lbl, values, order, nnmi);
 		goto end_parse;
 	}
 
-	if (!strlcasecmp(name, namelen, "OPTION", 6)) {
+	if (!c_strlcasecmp(name, namelen, "OPTION", 6)) {
 		add_select_item(&lnk_menu, &lbl, &orig_lbl, values, order, nnmi);
 
 		if (!closing_tag) {
@@ -442,7 +444,7 @@ abort:
 		goto see;
 	}
 
-	if (!strlcasecmp(name, namelen, "OPTGROUP", 8)) {
+	if (!c_strlcasecmp(name, namelen, "OPTGROUP", 8)) {
 		add_select_item(&lnk_menu, &lbl, &orig_lbl, values, order, nnmi);
 
 		if (group) new_menu_item(&lnk_menu, NULL, -1, 0), group = 0;
@@ -586,10 +588,10 @@ sp:
 
 		if (namelen < 6) goto se;
 		if (name[0] == '/') name++, namelen--;
-
-		if (strlcasecmp(name, namelen, "OPTION", 6)
-		    && strlcasecmp(name, namelen, "SELECT", 6)
-		    && strlcasecmp(name, namelen, "OPTGROUP", 8))
+		
+		if (c_strlcasecmp(name, namelen, "OPTION", 6)
+		    && c_strlcasecmp(name, namelen, "SELECT", 6)
+		    && c_strlcasecmp(name, namelen, "OPTGROUP", 8))
 			goto se;
 	}
 
@@ -641,7 +643,7 @@ pp:
 		return;
 	}
 	if (parse_element(p, eof, &t_name, &t_namelen, NULL, end)) goto pp;
-	if (strlcasecmp(t_name, t_namelen, "/TEXTAREA", 9)) goto pp;
+	if (c_strlcasecmp(t_name, t_namelen, "/TEXTAREA", 9)) goto pp;
 
 	fc = init_form_control(FC_TEXTAREA, attr, html_context);
 	if (!fc) return;
@@ -684,14 +686,14 @@ pp:
 
 	wrap_attr = get_attr_val(attr, "wrap", html_context->doc_cp);
 	if (wrap_attr) {
-		if (!strcasecmp(wrap_attr, "hard")
-		    || !strcasecmp(wrap_attr, "physical")) {
+		if (!c_strcasecmp(wrap_attr, "hard")
+		    || !c_strcasecmp(wrap_attr, "physical")) {
 			fc->wrap = FORM_WRAP_HARD;
-		} else if (!strcasecmp(wrap_attr, "soft")
-			   || !strcasecmp(wrap_attr, "virtual")) {
+		} else if (!c_strcasecmp(wrap_attr, "soft")
+			   || !c_strcasecmp(wrap_attr, "virtual")) {
 			fc->wrap = FORM_WRAP_SOFT;
-		} else if (!strcasecmp(wrap_attr, "none")
-			   || !strcasecmp(wrap_attr, "off")) {
+		} else if (!c_strcasecmp(wrap_attr, "none")
+			   || !c_strcasecmp(wrap_attr, "off")) {
 			fc->wrap = FORM_WRAP_NONE;
 		}
 		mem_free(wrap_attr);
diff -pruN 0.12~pre2.dfsg0-1/src/document/html/parser/general.c 0.12~pre4-1/src/document/html/parser/general.c
--- 0.12~pre2.dfsg0-1/src/document/html/parser/general.c	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/src/document/html/parser/general.c	2009-05-31 09:48:47.000000000 +0100
@@ -227,10 +227,10 @@ html_script(struct html_context *html_co
 	if (type) {
 		unsigned char *pos = type;
 
-		if (!strncasecmp(type, "text/", 5)) {
+		if (!c_strncasecmp(type, "text/", 5)) {
 			pos += 5;
 
-		} else if (!strncasecmp(type, "application/", 12)) {
+		} else if (!c_strncasecmp(type, "application/", 12)) {
 			pos += 12;
 
 		} else {
@@ -241,7 +241,7 @@ not_processed:
 			return;
 		}
 
-		if (!strncasecmp(pos, "javascript", 10)) {
+		if (!c_strncasecmp(pos, "javascript", 10)) {
 			int len = strlen(pos);
 
 			if (len > 10 && !isdigit(pos[10])) {
@@ -249,11 +249,11 @@ not_processed:
 				goto not_processed;
 			}
 
-		} else if (strcasecmp(pos, "ecmascript")
-		    && strcasecmp(pos, "jscript")
-		    && strcasecmp(pos, "livescript")
-		    && strcasecmp(pos, "x-javascript")
-		    && strcasecmp(pos, "x-ecmascript")) {
+		} else if (c_strcasecmp(pos, "ecmascript")
+		    && c_strcasecmp(pos, "jscript")
+		    && c_strcasecmp(pos, "livescript")
+		    && c_strcasecmp(pos, "x-javascript")
+		    && c_strcasecmp(pos, "x-ecmascript")) {
 			mem_free(type);
 			goto not_processed;
 		}
@@ -271,7 +271,7 @@ not_processed:
 
 		if (languagelen < 10
 		    || (languagelen > 10 && !isdigit(language[10]))
-		    || strncasecmp(language, "javascript", 10)) {
+		    || c_strncasecmp(language, "javascript", 10)) {
 			mem_free(language);
 			goto not_processed;
 		}
@@ -372,7 +372,7 @@ imported:
 		 * argument. */
 		if (parse_element(*end, eof, &name, &namelen, NULL, NULL))
 			continue;
-		if (strlcasecmp(name, namelen, "/script", 7))
+		if (c_strlcasecmp(name, namelen, "/script", 7))
 			continue;
 		/* We have won! */
 		break;
@@ -482,13 +482,13 @@ html_linebrk(struct html_context *html_c
 	unsigned char *al = get_attr_val(a, "align", html_context->doc_cp);
 
 	if (al) {
-		if (!strcasecmp(al, "left")) par_format.align = ALIGN_LEFT;
-		else if (!strcasecmp(al, "right")) par_format.align = ALIGN_RIGHT;
-		else if (!strcasecmp(al, "center")) {
+		if (!c_strcasecmp(al, "left")) par_format.align = ALIGN_LEFT;
+		else if (!c_strcasecmp(al, "right")) par_format.align = ALIGN_RIGHT;
+		else if (!c_strcasecmp(al, "center")) {
 			par_format.align = ALIGN_CENTER;
 			if (!html_context->table_level)
 				par_format.leftmargin = par_format.rightmargin = 0;
-		} else if (!strcasecmp(al, "justify")) par_format.align = ALIGN_JUSTIFY;
+		} else if (!c_strcasecmp(al, "justify")) par_format.align = ALIGN_JUSTIFY;
 		mem_free(al);
 	}
 }
@@ -745,9 +745,9 @@ html_ul(struct html_context *html_contex
 
 	al = get_attr_val(a, "type", html_context->doc_cp);
 	if (al) {
-		if (!strcasecmp(al, "disc") || !strcasecmp(al, "circle"))
+		if (!c_strcasecmp(al, "disc") || !c_strcasecmp(al, "circle"))
 			par_format.flags = P_O;
-		else if (!strcasecmp(al, "square"))
+		else if (!c_strcasecmp(al, "square"))
 			par_format.flags = P_PLUS;
 		mem_free(al);
 	}
@@ -893,7 +893,7 @@ html_li(struct html_context *html_contex
 			if (t == P_ROMAN) {
 				unsigned char *x;
 
-				for (x = n; *x; x++) *x = toupper(*x);
+				for (x = n; *x; x++) *x = c_toupper(*x);
 			}
 
 		} else {
diff -pruN 0.12~pre2.dfsg0-1/src/document/html/parser/link.c 0.12~pre4-1/src/document/html/parser/link.c
--- 0.12~pre2.dfsg0-1/src/document/html/parser/link.c	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/src/document/html/parser/link.c	2009-05-31 09:48:47.000000000 +0100
@@ -463,12 +463,12 @@ html_object(struct html_context *html_co
 	type = get_attr_val(a, "type", html_context->doc_cp);
 	if (!type) { mem_free(url); return; }
 
-	if (!strncasecmp(type, "text/", 5)) {
+	if (!c_strncasecmp(type, "text/", 5)) {
 		/* We will just emulate <iframe>. */
 		html_iframe_do(a, url, html_context);
 		html_skip(html_context, a);
 
-	} else if (!strncasecmp(type, "image/", 6)) {
+	} else if (!c_strncasecmp(type, "image/", 6)) {
 		/* <img> emulation. */
 		/* TODO: Use the enclosed text as 'alt' attribute. */
 		html_img_do(a, url, html_context);
@@ -519,7 +519,7 @@ html_embed(struct html_context *html_con
 	if (!extension) extension = object_src;
 
 	type = get_extension_content_type(extension);
-	if (type && !strncasecmp(type, "image/", 6)) {
+	if (type && !c_strncasecmp(type, "image/", 6)) {
 		html_img_do(a, object_src, html_context);
 	} else {
 		/* We will just emulate <iframe>. */
@@ -757,26 +757,26 @@ html_link_parse(struct html_context *htm
 
 	/* TODO: fastfind */
 	for (i = 0; lt_names[i].str; i++)
-		if (!strcasecmp(link->name, lt_names[i].str)) {
+		if (!c_strcasecmp(link->name, lt_names[i].str)) {
 			link->type = lt_names[i].type;
 			return 1;
 		}
 
-	if (strcasestr(link->name, "icon") ||
-	   (link->content_type && strcasestr(link->content_type, "icon"))) {
+	if (c_strcasestr(link->name, "icon") ||
+	   (link->content_type && c_strcasestr(link->content_type, "icon"))) {
 		link->type = LT_ICON;
 
-	} else if (strcasestr(link->name, "alternate")) {
+	} else if (c_strcasestr(link->name, "alternate")) {
 		link->type = LT_ALTERNATE;
 		if (link->lang)
 			link->type = LT_ALTERNATE_LANG;
-		else if (strcasestr(link->name, "stylesheet") ||
-			 (link->content_type && strcasestr(link->content_type, "css")))
+		else if (c_strcasestr(link->name, "stylesheet") ||
+			 (link->content_type && c_strcasestr(link->content_type, "css")))
 			link->type = LT_ALTERNATE_STYLESHEET;
 		else if (link->media)
 			link->type = LT_ALTERNATE_MEDIA;
 
-	} else if (link->content_type && strcasestr(link->content_type, "css")) {
+	} else if (link->content_type && c_strcasestr(link->content_type, "css")) {
 		link->type = LT_STYLESHEET;
 	}
 
@@ -857,7 +857,7 @@ html_link(struct html_context *html_cont
 
 	if (link.lang && link.type == LT_ALTERNATE_LANG &&
 	    (link_display < 3 || (link.hreflang &&
-				  strcasecmp(link.hreflang, link.lang)))) {
+				  c_strcasecmp(link.hreflang, link.lang)))) {
 		APPEND(link.lang);
 	}
 
diff -pruN 0.12~pre2.dfsg0-1/src/document/html/parser/parse.c 0.12~pre4-1/src/document/html/parser/parse.c
--- 0.12~pre2.dfsg0-1/src/document/html/parser/parse.c	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/src/document/html/parser/parse.c	2009-05-31 09:48:47.000000000 +0100
@@ -151,7 +151,7 @@ next_attr:
 	n = name;
 	name_start = e;
 
-	while (atchr(*n) && atchr(*e) && toupper(*e) == toupper(*n)) e++, n++;
+	while (atchr(*n) && atchr(*e) && c_toupper(*e) == c_toupper(*n)) e++, n++;
 	found = !*n && !atchr(*e);
 
 	if (found && (flags & HTML_ATTR_TEST)) return name_start;
@@ -177,9 +177,11 @@ next_attr:
 
 /* parse_quoted_value: */
 			while (*(++e) != quote) {
-				if (*e == ASCII_CR) continue;
 				if (!*e) goto parse_error;
-				if (*e != ASCII_TAB && *e != ASCII_LF)
+				if (flags & HTML_ATTR_LITERAL_NL)
+					add_chr(attr, attrlen, *e);
+				else if (*e == ASCII_CR) continue;
+				else if (*e != ASCII_TAB && *e != ASCII_LF)
 					add_chr(attr, attrlen, *e);
 				else if (!(flags & HTML_ATTR_EAT_NL))
 					add_chr(attr, attrlen, ' ');
@@ -504,8 +506,8 @@ static struct element_info elements[] = 
 static int
 compar(const void *a, const void *b)
 {
-	return strcasecmp(((struct element_info *) a)->name,
-			  ((struct element_info *) b)->name);
+	return c_strcasecmp(((struct element_info *) a)->name,
+			    ((struct element_info *) b)->name);
 }
 
 #else
@@ -548,7 +550,7 @@ void
 init_tags_lookup(void)
 {
 #ifdef USE_FASTFIND
-	fastfind_index(&ff_tags_index, FF_COMPRESS);
+	fastfind_index(&ff_tags_index, FF_COMPRESS | FF_LOCALE_INDEP);
 #endif
 }
 
@@ -863,11 +865,11 @@ start_element(struct element_info *ei,
 			foreach (e, html_context->stack) {
 				if (is_block_element(e) && is_inline_element(ei)) break;
 				if (e->type < ELEMENT_KILLABLE) break;
-				if (!strlcasecmp(e->name, e->namelen, name, namelen)) break;
+				if (!c_strlcasecmp(e->name, e->namelen, name, namelen)) break;
 			}
 		}
 
-		if (!strlcasecmp(e->name, e->namelen, name, namelen)) {
+		if (!c_strlcasecmp(e->name, e->namelen, name, namelen)) {
 			while (e->prev != (void *) &html_context->stack)
 				kill_html_stack_item(html_context, e->prev);
 
@@ -972,7 +974,7 @@ end_element(struct element_info *ei,
 	/* dump_html_stack(html_context); */
 	foreach (e, html_context->stack) {
 		if (is_block_element(e) && is_inline_element(ei)) kill = 1;
-		if (strlcasecmp(e->name, e->namelen, name, namelen)) {
+		if (c_strlcasecmp(e->name, e->namelen, name, namelen)) {
 			if (e->type < ELEMENT_KILLABLE)
 				break;
 			else
@@ -1070,10 +1072,10 @@ sp:
 	if (parse_element(s, eof, &name, &namelen, &attr, &s)) goto sp;
 
 ps:
-	if (!strlcasecmp(name, namelen, "HEAD", 4)) goto se;
-	if (!strlcasecmp(name, namelen, "/HEAD", 5)) return;
-	if (!strlcasecmp(name, namelen, "BODY", 4)) return;
-	if (title && !title->length && !strlcasecmp(name, namelen, "TITLE", 5)) {
+	if (!c_strlcasecmp(name, namelen, "HEAD", 4)) goto se;
+	if (!c_strlcasecmp(name, namelen, "/HEAD", 5)) return;
+	if (!c_strlcasecmp(name, namelen, "BODY", 4)) return;
+	if (title && !title->length && !c_strlcasecmp(name, namelen, "TITLE", 5)) {
 		unsigned char *s1;
 
 xse:
@@ -1096,7 +1098,7 @@ xsp:
 		clr_spaces(title->source);
 		goto ps;
 	}
-	if (strlcasecmp(name, namelen, "META", 4)) goto se;
+	if (c_strlcasecmp(name, namelen, "META", 4)) goto se;
 
 	/* FIXME (bug 784): options->cp is the terminal charset;
 	 * should use the document charset instead.  */
diff -pruN 0.12~pre2.dfsg0-1/src/document/html/parser/parse.h 0.12~pre4-1/src/document/html/parser/parse.h
--- 0.12~pre2.dfsg0-1/src/document/html/parser/parse.h	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/src/document/html/parser/parse.h	2009-05-31 09:48:47.000000000 +0100
@@ -25,6 +25,10 @@ enum html_attr_flags {
 	/* If HTML_ATTR_NO_CONV is set, then convert_string() is not called
 	 * on value. Unused for now. */
 	/* HTML_ATTR_NO_CONV = 4, */
+
+	/* If HTML_ATTR_LITERAL_NL is set, carriage return, newline and tab
+	 * characters are returned literally. */
+	HTML_ATTR_LITERAL_NL = 8,
 };
 
 /* Parses html element attributes.
@@ -37,6 +41,7 @@ unsigned char *get_attr_value(register u
 
 /* Wrappers for get_attr_value(). */
 #define get_attr_val(e, name, cp) get_attr_value(e, name, cp, HTML_ATTR_NONE)
+#define get_lit_attr_val(e, name, cp) get_attr_value(e, name, cp, HTML_ATTR_LITERAL_NL)
 #define get_url_val(e, name, cp) get_attr_value(e, name, cp, HTML_ATTR_EAT_NL)
 #define has_attr(e, name, cp) (!!get_attr_value(e, name, cp, HTML_ATTR_TEST))
 
diff -pruN 0.12~pre2.dfsg0-1/src/document/html/parser/stack.c 0.12~pre4-1/src/document/html/parser/stack.c
--- 0.12~pre2.dfsg0-1/src/document/html/parser/stack.c	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/src/document/html/parser/stack.c	2009-05-31 09:48:47.000000000 +0100
@@ -62,7 +62,7 @@ search_html_stack(struct html_context *h
 	foreach (element, html_context->stack) {
 		if (element == html_top)
 			continue; /* skip the top element */
-		if (strlcasecmp(element->name, element->namelen, name, namelen))
+		if (c_strlcasecmp(element->name, element->namelen, name, namelen))
 			continue;
 		return element;
 	}
@@ -218,7 +218,7 @@ kill_html_stack_until(struct html_contex
 				continue;
 			}
 
-			if (strlcasecmp(e->name, e->namelen, s, slen))
+			if (c_strlcasecmp(e->name, e->namelen, s, slen))
 				continue;
 
 			if (!sk) {
@@ -240,11 +240,11 @@ kill_html_stack_until(struct html_contex
 		va_end(arg);
 
 		if (e->type < ELEMENT_KILLABLE
-		    || (!strlcasecmp(e->name, e->namelen, "TABLE", 5)))
+		    || (!c_strlcasecmp(e->name, e->namelen, "TABLE", 5)))
 			break;
 
-		if (e->namelen == 2 && toupper(e->name[0]) == 'T') {
-			unsigned char c = toupper(e->name[1]);
+		if (e->namelen == 2 && c_toupper(e->name[0]) == 'T') {
+			unsigned char c = c_toupper(e->name[1]);
 
 			if (c == 'D' || c == 'H' || c == 'R')
 				break;
diff -pruN 0.12~pre2.dfsg0-1/src/document/html/parser/table.c 0.12~pre4-1/src/document/html/parser/table.c
--- 0.12~pre2.dfsg0-1/src/document/html/parser/table.c	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/src/document/html/parser/table.c	2009-05-31 09:48:47.000000000 +0100
@@ -89,11 +89,11 @@ get_align(struct html_context *html_cont
 
 	if (!al) return;
 
-	if (!strcasecmp(al, "left")) *a = ALIGN_LEFT;
-	else if (!strcasecmp(al, "right")) *a = ALIGN_RIGHT;
-	else if (!strcasecmp(al, "center")) *a = ALIGN_CENTER;
-	else if (!strcasecmp(al, "justify")) *a = ALIGN_JUSTIFY;
-	else if (!strcasecmp(al, "char")) *a = ALIGN_RIGHT; /* NOT IMPLEMENTED */
+	if (!c_strcasecmp(al, "left")) *a = ALIGN_LEFT;
+	else if (!c_strcasecmp(al, "right")) *a = ALIGN_RIGHT;
+	else if (!c_strcasecmp(al, "center")) *a = ALIGN_CENTER;
+	else if (!c_strcasecmp(al, "justify")) *a = ALIGN_JUSTIFY;
+	else if (!c_strcasecmp(al, "char")) *a = ALIGN_RIGHT; /* NOT IMPLEMENTED */
 	mem_free(al);
 }
 
@@ -104,10 +104,10 @@ get_valign(struct html_context *html_con
 
 	if (!al) return;
 
-	if (!strcasecmp(al, "top")) *a = VALIGN_TOP;
-	else if (!strcasecmp(al, "middle")) *a = VALIGN_MIDDLE;
-	else if (!strcasecmp(al, "bottom")) *a = VALIGN_BOTTOM;
-	else if (!strcasecmp(al, "baseline")) *a = VALIGN_BASELINE; /* NOT IMPLEMENTED */
+	if (!c_strcasecmp(al, "top")) *a = VALIGN_TOP;
+	else if (!c_strcasecmp(al, "middle")) *a = VALIGN_MIDDLE;
+	else if (!c_strcasecmp(al, "bottom")) *a = VALIGN_BOTTOM;
+	else if (!c_strcasecmp(al, "baseline")) *a = VALIGN_BASELINE; /* NOT IMPLEMENTED */
 	mem_free(al);
 }
 
@@ -154,16 +154,16 @@ set_table_frame(struct html_context *htm
 	al = get_attr_val(attr, "frame", html_context->doc_cp);
 	if (!al) return;
 
-	if (!strcasecmp(al, "void")) table->frame = TABLE_FRAME_VOID;
-	else if (!strcasecmp(al, "above")) table->frame = TABLE_FRAME_ABOVE;
-	else if (!strcasecmp(al, "below")) table->frame = TABLE_FRAME_BELOW;
-	else if (!strcasecmp(al, "hsides")) table->frame = TABLE_FRAME_HSIDES;
-	else if (!strcasecmp(al, "vsides")) table->frame = TABLE_FRAME_VSIDES;
-	else if (!strcasecmp(al, "lhs")) table->frame = TABLE_FRAME_LHS;
-	else if (!strcasecmp(al, "rhs")) table->frame = TABLE_FRAME_RHS;
+	if (!c_strcasecmp(al, "void")) table->frame = TABLE_FRAME_VOID;
+	else if (!c_strcasecmp(al, "above")) table->frame = TABLE_FRAME_ABOVE;
+	else if (!c_strcasecmp(al, "below")) table->frame = TABLE_FRAME_BELOW;
+	else if (!c_strcasecmp(al, "hsides")) table->frame = TABLE_FRAME_HSIDES;
+	else if (!c_strcasecmp(al, "vsides")) table->frame = TABLE_FRAME_VSIDES;
+	else if (!c_strcasecmp(al, "lhs")) table->frame = TABLE_FRAME_LHS;
+	else if (!c_strcasecmp(al, "rhs")) table->frame = TABLE_FRAME_RHS;
 	/* Following tests are useless since TABLE_FRAME_BOX is the default.
-	 * else if (!strcasecmp(al, "box")) table->frame = TABLE_FRAME_BOX;
-	 * else if (!strcasecmp(al, "border")) table->frame = TABLE_FRAME_BOX;
+	 * else if (!c_strcasecmp(al, "box")) table->frame = TABLE_FRAME_BOX;
+	 * else if (!c_strcasecmp(al, "border")) table->frame = TABLE_FRAME_BOX;
 	 */
 	mem_free(al);
 }
@@ -179,11 +179,11 @@ set_table_rules(struct html_context *htm
 	al = get_attr_val(attr, "rules", html_context->doc_cp);
 	if (!al) return;
 
-	if (!strcasecmp(al, "none")) table->rules = TABLE_RULE_NONE;
-	else if (!strcasecmp(al, "groups")) table->rules = TABLE_RULE_GROUPS;
-	else if (!strcasecmp(al, "rows")) table->rules = TABLE_RULE_ROWS;
-	else if (!strcasecmp(al, "cols")) table->rules = TABLE_RULE_COLS;
-	else if (!strcasecmp(al, "all")) table->rules = TABLE_RULE_ALL;
+	if (!c_strcasecmp(al, "none")) table->rules = TABLE_RULE_NONE;
+	else if (!c_strcasecmp(al, "groups")) table->rules = TABLE_RULE_GROUPS;
+	else if (!c_strcasecmp(al, "rows")) table->rules = TABLE_RULE_ROWS;
+	else if (!c_strcasecmp(al, "cols")) table->rules = TABLE_RULE_COLS;
+	else if (!c_strcasecmp(al, "all")) table->rules = TABLE_RULE_ALL;
 	mem_free(al);
 }
 
@@ -527,7 +527,7 @@ skip_table(unsigned char *html, unsigned
 		}
 
 
-		if (!strlcasecmp(name, namelen, "TABLE", 5)) {
+		if (!c_strlcasecmp(name, namelen, "TABLE", 5)) {
 			if (!closing_tag) {
 				level++;
 			} else {
@@ -608,7 +608,7 @@ see:
 		closing_tag = 0;
 	}
 
-	if (!strlcasecmp(name, namelen, "TABLE", 5)) {
+	if (!c_strlcasecmp(name, namelen, "TABLE", 5)) {
 		if (!closing_tag) {
 			en = skip_table(en, eof);
 			goto see;
@@ -623,7 +623,7 @@ see:
 		}
 	}
 
-	if (!strlcasecmp(name, namelen, "CAPTION", 7)) {
+	if (!c_strlcasecmp(name, namelen, "CAPTION", 7)) {
 		if (!closing_tag) {
 			add_table_bad_html_end(table, html);
 			if (!table->caption.start)
@@ -637,7 +637,7 @@ see:
 		goto see;
 	}
 
-	if (!strlcasecmp(name, namelen, "COLGROUP", 8)) {
+	if (!c_strlcasecmp(name, namelen, "COLGROUP", 8)) {
 		if (c_span) new_columns(table, c_span, c_width, c_al, c_val, 1);
 
 		add_table_bad_html_end(table, html);
@@ -663,7 +663,7 @@ see:
 		goto see;
 	}
 
-	if (!closing_tag && !strlcasecmp(name, namelen, "COL", 3)) {
+	if (!closing_tag && !c_strlcasecmp(name, namelen, "COL", 3)) {
 		int sp, width, al, val;
 
 		add_table_bad_html_end(table, html);
@@ -684,12 +684,12 @@ see:
 	}
 
 	/* All following tags have T as first letter. */
-	if (toupper(name[0]) != 'T') goto see;
+	if (c_toupper(name[0]) != 'T') goto see;
 
 	name++; namelen--;
 	if (namelen == 0) goto see;
 
-	c = toupper(name[0]);
+	c = c_toupper(name[0]);
 
 	/* /TR /TD /TH */
 	if (closing_tag && namelen == 1) {
@@ -712,9 +712,9 @@ see:
 
 	/* THEAD TBODY TFOOT */
 	if (namelen == 4
-	    && ((!strlcasecmp(name, namelen, "HEAD", 4)) ||
-		(!strlcasecmp(name, namelen, "BODY", 4)) ||
-		(!strlcasecmp(name, namelen, "FOOT", 4)))) {
+	    && ((!c_strlcasecmp(name, namelen, "HEAD", 4)) ||
+		(!c_strlcasecmp(name, namelen, "BODY", 4)) ||
+		(!c_strlcasecmp(name, namelen, "FOOT", 4)))) {
 		if (c_span) new_columns(table, c_span, c_width, c_al, c_val, 1);
 
 		add_table_bad_html_end(table, html);
diff -pruN 0.12~pre2.dfsg0-1/src/document/html/parser.c 0.12~pre4-1/src/document/html/parser.c
--- 0.12~pre2.dfsg0-1/src/document/html/parser.c	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/src/document/html/parser.c	2009-05-31 09:48:47.000000000 +0100
@@ -88,7 +88,7 @@ get_target(struct document_options *opti
 
 	if (!v) return NULL;
 
-	if (!*v || !strcasecmp(v, "_self")) {
+	if (!*v || !c_strcasecmp(v, "_self")) {
 		mem_free_set(&v, stracpy(options->framename));
 	}
 
@@ -337,7 +337,7 @@ search_for_url_param(unsigned char *str,
 	/* Returns now if string @str is empty. */
 	if (!*str) return HEADER_PARAM_NOT_FOUND;
 
-	p = strcasestr(str, "url");
+	p = c_strcasestr(str, "url");
 	if (!p) return HEADER_PARAM_NOT_FOUND;
 	p += 3;
 
@@ -547,7 +547,7 @@ look_for_map(unsigned char **pos, unsign
 		return 1;
 	}
 
-	if (strlcasecmp(name, namelen, "MAP", 3)) return 1;
+	if (c_strlcasecmp(name, namelen, "MAP", 3)) return 1;
 
 	if (uri && uri->fragment) {
 		/* FIXME (bug 784): options->cp is the terminal charset;
@@ -555,7 +555,7 @@ look_for_map(unsigned char **pos, unsign
 		al = get_attr_val(attr, "name", options->cp);
 		if (!al) return 1;
 
-		if (strlcasecmp(al, -1, uri->fragment, uri->fragmentlen)) {
+		if (c_strlcasecmp(al, -1, uri->fragment, uri->fragmentlen)) {
 			mem_free(al);
 			return 1;
 		}
@@ -602,12 +602,12 @@ look_for_tag(unsigned char **pos, unsign
 
 	if (parse_element(*pos, eof, NULL, NULL, NULL, &pos2)) return 1;
 
-	if (strlcasecmp(name, namelen, "A", 1)
-	    && strlcasecmp(name, namelen, "/A", 2)
-	    && strlcasecmp(name, namelen, "MAP", 3)
-	    && strlcasecmp(name, namelen, "/MAP", 4)
-	    && strlcasecmp(name, namelen, "AREA", 4)
-	    && strlcasecmp(name, namelen, "/AREA", 5)) {
+	if (c_strlcasecmp(name, namelen, "A", 1)
+	    && c_strlcasecmp(name, namelen, "/A", 2)
+	    && c_strlcasecmp(name, namelen, "MAP", 3)
+	    && c_strlcasecmp(name, namelen, "/MAP", 4)
+	    && c_strlcasecmp(name, namelen, "AREA", 4)
+	    && c_strlcasecmp(name, namelen, "/AREA", 5)) {
 		*pos = pos2;
 		return 1;
 	}
@@ -615,6 +615,9 @@ look_for_tag(unsigned char **pos, unsign
 	return 0;
 }
 
+/** @return -1 if EOF is hit without the closing tag; 0 if the closing
+ * tag is found (in which case this also adds *@a menu to *@a ml); or
+ * 1 if this should be called again.  */
 static int
 look_for_link(unsigned char **pos, unsigned char *eof, struct menu_item **menu,
 	      struct memory_list **ml, struct uri *href_base,
@@ -632,7 +635,7 @@ look_for_link(unsigned char **pos, unsig
 		(*pos)++;
 	}
 
-	if (*pos >= eof) return 0;
+	if (*pos >= eof) return -1;
 
 	if (*pos + 2 <= eof && ((*pos)[1] == '!' || (*pos)[1] == '?')) {
 		*pos = skip_comment(*pos, eof);
@@ -644,12 +647,12 @@ look_for_link(unsigned char **pos, unsig
 		return 1;
 	}
 
-	if (!strlcasecmp(name, namelen, "A", 1)) {
+	if (!c_strlcasecmp(name, namelen, "A", 1)) {
 		while (look_for_tag(pos, eof, name, namelen, &label));
 
-		if (*pos >= eof) return 0;
+		if (*pos >= eof) return -1;
 
-	} else if (!strlcasecmp(name, namelen, "AREA", 4)) {
+	} else if (!c_strlcasecmp(name, namelen, "AREA", 4)) {
 		/* FIXME (bug 784): options->cp is the terminal charset;
 		 * should use the document charset instead.  */
 		unsigned char *alt = get_attr_val(attr, "alt", options->cp);
@@ -663,7 +666,7 @@ look_for_link(unsigned char **pos, unsig
 			label = NULL;
 		}
 
-	} else if (!strlcasecmp(name, namelen, "/MAP", 4)) {
+	} else if (!c_strlcasecmp(name, namelen, "/MAP", 4)) {
 		/* This is the only successful return from here! */
 		add_to_ml(ml, (void *) *menu, (void *) NULL);
 		return 0;
@@ -765,6 +768,7 @@ get_image_map(unsigned char *head, unsig
 {
 	struct conv_table *ct;
 	struct string hd;
+	int look_result;
 
 	if (!init_string(&hd)) return -1;
 
@@ -785,10 +789,13 @@ get_image_map(unsigned char *head, unsig
 
 	*ml = NULL;
 
-	while (look_for_link(&pos, eof, menu, ml, uri, target_base, ct, options))
-		;
+	do {
+		/* This call can modify both *ml and *menu.  */
+		look_result = look_for_link(&pos, eof, menu, ml, uri,
+					    target_base, ct, options);
+	} while (look_result > 0);
 
-	if (pos >= eof) {
+	if (look_result < 0) {
 		freeml(*ml);
 		mem_free(*menu);
 		return -1;
diff -pruN 0.12~pre2.dfsg0-1/src/document/html/renderer.c 0.12~pre4-1/src/document/html/renderer.c
--- 0.12~pre2.dfsg0-1/src/document/html/renderer.c	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/src/document/html/renderer.c	2009-05-31 09:48:47.000000000 +0100
@@ -1251,7 +1251,7 @@ new_link(struct html_context *html_conte
 	if (!format.form) {
 		link->target = null_or_stracpy(format.target);
 		link->data.name = memacpy(name, namelen);
-		/* if (strlen(url) > 4 && !strncasecmp(url, "MAP@", 4)) { */
+		/* if (strlen(url) > 4 && !c_strncasecmp(url, "MAP@", 4)) { */
 		if (format.link
 		    && ((format.link[0]|32) == 'm')
 		    && ((format.link[1]|32) == 'a')
diff -pruN 0.12~pre2.dfsg0-1/src/document/options.c 0.12~pre4-1/src/document/options.c
--- 0.12~pre2.dfsg0-1/src/document/options.c	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/src/document/options.c	2009-05-31 09:48:47.000000000 +0100
@@ -95,7 +95,7 @@ int
 compare_opt(struct document_options *o1, struct document_options *o2)
 {
 	return memcmp(o1, o2, offsetof(struct document_options, framename))
-		|| strcasecmp(o1->framename, o2->framename)
+		|| c_strcasecmp(o1->framename, o2->framename)
 		|| (o1->box.x != o2->box.x)
 		|| (o1->box.y != o2->box.y)
 		|| ((o1->needs_height || o2->needs_height)
@@ -104,7 +104,7 @@ compare_opt(struct document_options *o1,
 		    && o1->box.width != o2->box.width);
 }
 
-inline void
+NONSTATIC_INLINE void
 copy_opt(struct document_options *o1, struct document_options *o2)
 {
 	copy_struct(o1, o2);
diff -pruN 0.12~pre2.dfsg0-1/src/document/renderer.c 0.12~pre4-1/src/document/renderer.c
--- 0.12~pre2.dfsg0-1/src/document/renderer.c	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/src/document/renderer.c	2009-05-31 09:48:47.000000000 +0100
@@ -243,13 +243,13 @@ render_encoded_document(struct cache_ent
 	if (document->options.plain) {
 #ifdef CONFIG_DOM
 		if (cached->content_type
-		    && (!strcasecmp("text/html", cached->content_type)
-			|| !strcasecmp("application/xhtml+xml", cached->content_type)
-		        || !strcasecmp("application/docbook+xml", cached->content_type)
-		        || !strcasecmp("application/rss+xml", cached->content_type)
-		        || !strcasecmp("application/xbel+xml", cached->content_type)
-		        || !strcasecmp("application/x-xbel", cached->content_type)
-		        || !strcasecmp("application/xbel", cached->content_type)))
+		    && (!c_strcasecmp("text/html", cached->content_type)
+			|| !c_strcasecmp("application/xhtml+xml", cached->content_type)
+		        || !c_strcasecmp("application/docbook+xml", cached->content_type)
+		        || !c_strcasecmp("application/rss+xml", cached->content_type)
+		        || !c_strcasecmp("application/xbel+xml", cached->content_type)
+		        || !c_strcasecmp("application/x-xbel", cached->content_type)
+		        || !c_strcasecmp("application/xbel", cached->content_type)))
 			render_dom_document(cached, document, &buffer);
 		else
 #endif
@@ -258,7 +258,7 @@ render_encoded_document(struct cache_ent
 	} else {
 #ifdef CONFIG_DOM
 		if (cached->content_type
-		    && (!strlcasecmp("application/rss+xml", 19, cached->content_type, -1)))
+		    && (!c_strlcasecmp("application/rss+xml", 19, cached->content_type, -1)))
 			render_dom_document(cached, document, &buffer);
 		else
 #endif
@@ -455,7 +455,7 @@ render_document_frames(struct session *s
 	if (!get_opt_bool_tree(ses->tab->term->spec, "underline"))
 		doc_opts.color_flags |= COLOR_ENHANCE_UNDERLINE;
 
-	doc_opts.cp = get_opt_codepage_tree(ses->tab->term->spec, "charset");
+	doc_opts.cp = get_terminal_codepage(ses->tab->term);
 	doc_opts.no_cache = no_cache & 1;
 	doc_opts.gradual_rerendering = !!(no_cache & 2);
 
diff -pruN 0.12~pre2.dfsg0-1/src/dom/css/scanner.c 0.12~pre4-1/src/dom/css/scanner.c
--- 0.12~pre2.dfsg0-1/src/dom/css/scanner.c	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/src/dom/css/scanner.c	2009-05-31 09:48:47.000000000 +0100
@@ -290,7 +290,7 @@ scan_css_token(struct dom_scanner *scann
 
 	} else if (first_char == '!') {
 		scan_css(scanner, string, CSS_CHAR_WHITESPACE);
-		if (!strncasecmp(string, "important", 9)) {
+		if (!c_strncasecmp(string, "important", 9)) {
 			type = CSS_TOKEN_IMPORTANT;
 			string += 9;
 		}
diff -pruN 0.12~pre2.dfsg0-1/src/dom/node.c 0.12~pre4-1/src/dom/node.c
--- 0.12~pre2.dfsg0-1/src/dom/node.c	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/src/dom/node.c	2009-05-31 09:48:47.000000000 +0100
@@ -233,6 +233,7 @@ get_dom_node_list_pos(struct dom_node_li
 	int i;
 
 	assert(list);
+	if_assert_failed return -1;
 
 	foreach_dom_node (list, entry, i) {
 		if (entry == node)
@@ -247,7 +248,7 @@ get_dom_node_list_index(struct dom_node 
 {
 	struct dom_node_list **list = get_dom_node_list(parent, node);
 
-	return list ? get_dom_node_list_pos(*list, node) : -1;
+	return (list && *list) ? get_dom_node_list_pos(*list, node) : -1;
 }
 
 struct dom_node *
@@ -257,11 +258,20 @@ get_dom_node_prev(struct dom_node *node)
 	int index;
 
 	assert(node->parent);
+	if_assert_failed return NULL;
 
 	list = get_dom_node_list(node->parent, node);
+	/* node->parent != NULL, so the node must be in the
+	 * appropriate list of the parent; the list thus cannot be
+	 * empty.  */
 	if (!list) return NULL;
+	assert(*list);
+	if_assert_failed return NULL;
 
 	index = get_dom_node_list_pos(*list, node);
+	assert(index >= 0); /* in particular, not -1 */
+	if_assert_failed return NULL;
+
 	if (index > 0)
 		return (*list)->entries[index - 1];
 
@@ -275,11 +285,20 @@ get_dom_node_next(struct dom_node *node)
 	int index;
 
 	assert(node->parent);
+	if_assert_failed return NULL;
 
 	list = get_dom_node_list(node->parent, node);
+	/* node->parent != NULL, so the node must be in the
+	 * appropriate list of the parent; the list thus cannot be
+	 * empty.  */
 	if (!list) return NULL;
+	assert(*list);
+	if_assert_failed return NULL;
 
 	index = get_dom_node_list_pos(*list, node);
+	assert(index >= 0); /* in particular, not -1 */
+	if_assert_failed return NULL;
+
 	if (index + 1 < (*list)->size)
 		return (*list)->entries[index + 1];
 
@@ -295,7 +314,8 @@ get_dom_node_child(struct dom_node *pare
 	int index;
 
 	list = get_dom_node_list_by_type(parent, type);
-	if (!list) return NULL;
+	if (!list) return NULL;	/* parent doesn't support this type */
+	if (!*list) return NULL; /* list is empty and not yet allocated */
 
 	foreach_dom_node (*list, node, index) {
 		if (node->type != type)
@@ -392,6 +412,7 @@ done_dom_node_data(struct dom_node *node
 	union dom_node_data *data;
 
 	assert(node);
+	assert(node->type < DOM_NODES); /* unsigned comparison */
 
 	data = &node->data;
 
@@ -427,6 +448,18 @@ done_dom_node_data(struct dom_node *node
 
 	if (node->allocated)
 		done_dom_string(&node->string);
+
+	/* call_dom_stack_callbacks() asserts that the node type is
+	 * within range.  If assertions are enabled, store an
+	 * out-of-range value there to make the assertion more likely
+	 * to fail if a callback has freed the node prematurely.
+	 * This is not entirely reliable though, because the memory
+	 * is freed below and may be allocated for some other purpose
+	 * before the assertion.  */
+#ifndef CONFIG_FASTMEM
+	node->type = -1;
+#endif
+
 	mem_free(node);
 }
 
diff -pruN 0.12~pre2.dfsg0-1/src/dom/node.h 0.12~pre4-1/src/dom/node.h
--- 0.12~pre2.dfsg0-1/src/dom/node.h	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/src/dom/node.h	2009-05-31 09:48:47.000000000 +0100
@@ -314,7 +314,9 @@ get_dom_node_map_entry(struct dom_node_l
 		       enum dom_node_type type, uint16_t subtype,
 		       struct dom_string *name);
 
-/* Removes the node and all its children and free()s itself */
+/* Removes the node and all its children and free()s itself.
+ * A dom_stack_callback_T must not use this to free the node
+ * it gets as a parameter.  */
 void done_dom_node(struct dom_node *node);
 
 #ifndef DEBUG_MEMLEAK
@@ -406,8 +408,28 @@ struct dom_string *get_dom_node_value(st
 /* Returns the name used for identifying the node type. */
 struct dom_string *get_dom_node_type_name(enum dom_node_type type);
 
-/* Based on the type of the parent and the node type return a proper list
- * or NULL. This is useful when adding a node to a parent node. */
+/** Based on the type of the @a parent and the node @a type return a
+ * proper list or NULL. This is useful when adding a node to a parent
+ * node.
+ *
+ * With a <code>struct dom_node_list **list</code> returned by this
+ * function, there are four possibilities:
+ *
+ * - <code>list == NULL</code>.  This means @a parent does not support
+ *   child nodes of the given @a type.
+ *
+ * - <code>*list == NULL</code>.  This means @a parent does not yet
+ *   have any child nodes of the given @a type and so no list has been
+ *   allocated for them.  Callers should treat the lack of a list in
+ *   the same way as an empty list.
+ *
+ * - <code>(*list)->size == 0</code>.  This is an empty list.  It is
+ *   unspecified whether the DOM code keeps such lists; it could
+ *   instead change them back to NULL.
+ *
+ * - <code>(*list)->size != 0</code>.  This is a nonempty list.
+ *   However, the nodes in it might not actually be of the given
+ *   @a type because some lists are used for multiple types.  */
 static inline struct dom_node_list **
 get_dom_node_list_by_type(struct dom_node *parent, enum dom_node_type type)
 {
diff -pruN 0.12~pre2.dfsg0-1/src/dom/scanner.h 0.12~pre4-1/src/dom/scanner.h
--- 0.12~pre2.dfsg0-1/src/dom/scanner.h	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/src/dom/scanner.h	2009-05-31 09:48:47.000000000 +0100
@@ -35,7 +35,7 @@ struct dom_scanner_token {
 /** Compare the token string to a "static" string */
 #define dom_scanner_token_contains(token, str) \
 	((token)->string.length == (sizeof(str) - 1) \
-	 && !strncasecmp((token)->string.string, str, sizeof(str) - 1))
+	 && !c_strncasecmp((token)->string.string, str, sizeof(str) - 1))
 
 
 struct dom_scan_table_info {
diff -pruN 0.12~pre2.dfsg0-1/src/dom/stack.c 0.12~pre4-1/src/dom/stack.c
--- 0.12~pre2.dfsg0-1/src/dom/stack.c	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/src/dom/stack.c	2009-05-31 09:48:47.000000000 +0100
@@ -139,6 +139,17 @@ call_dom_stack_callbacks(struct dom_stac
 		struct dom_stack_context *context = stack->contexts[i];
 		dom_stack_callback_T callback;
 
+		assert(state->node->type < DOM_NODES); /* unsigned comparison */
+		if_assert_failed {
+			/* The node type is out of range for the
+			 * callback arrays.  The node may have been
+			 * corrupted or already freed.  Ignore
+			 * free_node here because attempting to free
+			 * the node would probably just corrupt things
+			 * further.  */
+			return 0;
+		}
+
 		if (action == DOM_STACK_PUSH)
 			callback = context->info->push[state->node->type];
 		else
diff -pruN 0.12~pre2.dfsg0-1/src/dom/stack.h 0.12~pre4-1/src/dom/stack.h
--- 0.12~pre2.dfsg0-1/src/dom/stack.h	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/src/dom/stack.h	2009-05-31 09:48:47.000000000 +0100
@@ -51,7 +51,13 @@ struct dom_stack;
 
 /** DOM stack callback
  *
- * Used by contexts, for 'hooking' into the node traversing. */
+ * Used by contexts, for 'hooking' into the node traversing.
+ *
+ * This callback must not call done_dom_node() to free the node it
+ * gets as a parameter, because call_dom_node_callbacks() may be
+ * intending to call more callbacks for the same node.  Instead, the
+ * callback can return ::DOM_CODE_FREE_NODE, and the node will then
+ * be freed after the callbacks of all contexts have been called.  */
 typedef enum dom_code
 	(*dom_stack_callback_T)(struct dom_stack *, struct dom_node *, void *);
 
diff -pruN 0.12~pre2.dfsg0-1/src/dom/string.h 0.12~pre4-1/src/dom/string.h
--- 0.12~pre2.dfsg0-1/src/dom/string.h	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/src/dom/string.h	2009-05-31 09:48:47.000000000 +0100
@@ -1,6 +1,7 @@
 #ifndef EL_DOM_STRING_H
 #define EL_DOM_STRING_H
 
+#include "util/conv.h"
 #include "util/memory.h"
 
 /* For now DOM has it's own little string library. Mostly because there are
@@ -31,9 +32,9 @@ static inline int
 dom_string_casecmp(const struct dom_string *string1, const struct dom_string *string2)
 {
 	size_t length = int_min(string1->length, string2->length);
-	size_t string_diff = strncasecmp(string1->string, string2->string, length);
+	size_t string_diff = c_strncasecmp(string1->string, string2->string, length);
 
-	/* If the lengths or strings don't match strncasecmp() does the
+	/* If the lengths or strings don't match c_strncasecmp() does the
 	 * job else return which ever is bigger. */
 	return string_diff ? string_diff : string1->length - string2->length;
 }
@@ -41,7 +42,7 @@ dom_string_casecmp(const struct dom_stri
 static inline int
 dom_string_ncasecmp(struct dom_string *string1, struct dom_string *string2, size_t length)
 {
-	return strncasecmp(string1->string, string2->string, length);
+	return c_strncasecmp(string1->string, string2->string, length);
 }
 
 #define copy_dom_string(string1, string2) \
diff -pruN 0.12~pre2.dfsg0-1/src/ecmascript/ecmascript.c 0.12~pre4-1/src/ecmascript/ecmascript.c
--- 0.12~pre2.dfsg0-1/src/ecmascript/ecmascript.c	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/src/ecmascript/ecmascript.c	2009-05-31 09:48:47.000000000 +0100
@@ -52,8 +52,8 @@ static struct option_info ecmascript_opt
 
 	INIT_OPT_BOOL("ecmascript", N_("Ignore <noscript> content"),
 		"ignore_noscript", 0, 0,
-		N_("Whether to ignore content enclosed by the <noscript> tag\n"
-                   "when ECMAScript is enabled.")),
+		N_("Whether to ignore content enclosed by the <noscript> tag "
+		"when ECMAScript is enabled.")),
 
 	INIT_OPT_INT("ecmascript", N_("Maximum execution time"),
 		"max_exec_time", 0, 1, 3600, 5,
diff -pruN 0.12~pre2.dfsg0-1/src/ecmascript/see/document.c 0.12~pre4-1/src/ecmascript/see/document.c
--- 0.12~pre2.dfsg0-1/src/ecmascript/see/document.c	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/src/ecmascript/see/document.c	2009-05-31 09:48:47.000000000 +0100
@@ -152,7 +152,7 @@ document_get(struct SEE_interpreter *int
 		if (!string) return;
 
 		foreach (form, document->forms) {
-			if (!form->name || strcasecmp(string, form->name))
+			if (!form->name || c_strcasecmp(string, form->name))
 				continue;
 			form_view = find_form_view(doc_view, form);
 			form_object = js_get_form_object(interp, doc, form_view);
diff -pruN 0.12~pre2.dfsg0-1/src/ecmascript/see/form.c 0.12~pre4-1/src/ecmascript/see/form.c
--- 0.12~pre2.dfsg0-1/src/ecmascript/see/form.c	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/src/ecmascript/see/form.c	2009-05-31 09:48:47.000000000 +0100
@@ -689,7 +689,7 @@ js_form_elems_namedItem(struct SEE_inter
 		return;
 
 	foreach (fc, form->items) {
-		if ((fc->id && !strcasecmp(string, fc->id)) || (fc->name && !strcasecmp(string, fc->name))) {
+		if ((fc->id && !c_strcasecmp(string, fc->id)) || (fc->name && !c_strcasecmp(string, fc->name))) {
 			struct form_state *fs = find_form_state(doc_view, fc);
 
 			if (fs) {
@@ -815,7 +815,7 @@ js_forms_namedItem(struct SEE_interprete
 	if (!string)
 		return;
 	foreach (form, document->forms) {
-		if (form->name && !strcasecmp(string, form->name)) {
+		if (form->name && !c_strcasecmp(string, form->name)) {
 			struct form_view *fv = find_form_view(doc_view, form);
 			struct js_form *obj = js_get_form_object(interp,
 			 doc, fv);
@@ -952,7 +952,7 @@ form_get(struct SEE_interpreter *interp,
 			struct js_input *fcobj = NULL;
 			struct form_state *fs;
 
-			if ((!fc->id || strcasecmp(string, fc->id)) && (!fc->name || strcasecmp(string, fc->name)))
+			if ((!fc->id || c_strcasecmp(string, fc->id)) && (!fc->name || c_strcasecmp(string, fc->name)))
 				continue;
 			fs = find_form_state(doc_view, fc);
 			if (fs) {
@@ -989,19 +989,19 @@ form_put(struct SEE_interpreter *interp,
 			mem_free_set(&form->action, string);
 		}
 	} else if (p == s_encoding) {
-		if (!strcasecmp(string, "application/x-www-form-urlencoded")) {
+		if (!c_strcasecmp(string, "application/x-www-form-urlencoded")) {
 			form->method = form->method == FORM_METHOD_GET ? FORM_METHOD_GET
 			                                               : FORM_METHOD_POST;
-		} else if (!strcasecmp(string, "multipart/form-data")) {
+		} else if (!c_strcasecmp(string, "multipart/form-data")) {
 			form->method = FORM_METHOD_POST_MP;
-		} else if (!strcasecmp(string, "text/plain")) {
+		} else if (!c_strcasecmp(string, "text/plain")) {
 			form->method = FORM_METHOD_POST_TEXT_PLAIN;
 		}
 		mem_free(string);
 	} else if (p == s_method) {
-		if (!strcasecmp(string, "GET")) {
+		if (!c_strcasecmp(string, "GET")) {
 			form->method = FORM_METHOD_GET;
-		} else if (!strcasecmp(string, "POST")) {
+		} else if (!c_strcasecmp(string, "POST")) {
 			form->method = FORM_METHOD_POST;
 		}
 		mem_free(string);
diff -pruN 0.12~pre2.dfsg0-1/src/ecmascript/see/window.c 0.12~pre4-1/src/ecmascript/see/window.c
--- 0.12~pre2.dfsg0-1/src/ecmascript/see/window.c	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/src/ecmascript/see/window.c	2009-05-31 09:48:47.000000000 +0100
@@ -304,7 +304,7 @@ js_window_open(struct SEE_interpreter *i
 		return;
 	}
 
-	if (frame && *frame && strcasecmp(frame, "_blank")) {
+	if (frame && *frame && c_strcasecmp(frame, "_blank")) {
 		struct delayed_open *deo = mem_calloc(1, sizeof(*deo));
 
 		if (deo) {
diff -pruN 0.12~pre2.dfsg0-1/src/ecmascript/spidermonkey/document.c 0.12~pre4-1/src/ecmascript/spidermonkey/document.c
--- 0.12~pre2.dfsg0-1/src/ecmascript/spidermonkey/document.c	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/src/ecmascript/spidermonkey/document.c	2009-05-31 09:48:47.000000000 +0100
@@ -126,7 +126,7 @@ document_get_property(JSContext *ctx, JS
 		}
 #endif
 		foreach (form, document->forms) {
-			if (!form->name || strcasecmp(string, form->name))
+			if (!form->name || c_strcasecmp(string, form->name))
 				continue;
 
 			object_to_jsval(ctx, vp, get_form_object(ctx, obj, find_form_view(doc_view, form)));
diff -pruN 0.12~pre2.dfsg0-1/src/ecmascript/spidermonkey/form.c 0.12~pre4-1/src/ecmascript/spidermonkey/form.c
--- 0.12~pre2.dfsg0-1/src/ecmascript/spidermonkey/form.c	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/src/ecmascript/spidermonkey/form.c	2009-05-31 09:48:47.000000000 +0100
@@ -857,7 +857,8 @@ form_elements_namedItem(JSContext *ctx, 
 	undef_to_jsval(ctx, rval);
 
 	foreach (fc, form->items) {
-		if ((fc->id && !strcasecmp(string, fc->id)) || (fc->name && !strcasecmp(string, fc->name))) {
+		if ((fc->id && !c_strcasecmp(string, fc->id))
+		    || (fc->name && !c_strcasecmp(string, fc->name))) {
 			struct form_state *fs = find_form_state(doc_view, fc);
 
 			if (fs) {
@@ -979,7 +980,8 @@ form_get_property(JSContext *ctx, JSObje
 			JSObject *fcobj = NULL;
 			struct form_state *fs;
 
-			if ((!fc->id || strcasecmp(string, fc->id)) && (!fc->name || strcasecmp(string, fc->name)))
+			if ((!fc->id || c_strcasecmp(string, fc->id))
+			    && (!fc->name || c_strcasecmp(string, fc->name)))
 				continue;
 
 			undef_to_jsval(ctx, vp);
@@ -1120,21 +1122,21 @@ form_set_property(JSContext *ctx, JSObje
 
 	case JSP_FORM_ENCODING:
 		string = jsval_to_string(ctx, vp);
-		if (!strcasecmp(string, "application/x-www-form-urlencoded")) {
+		if (!c_strcasecmp(string, "application/x-www-form-urlencoded")) {
 			form->method = form->method == FORM_METHOD_GET ? FORM_METHOD_GET
 			                                               : FORM_METHOD_POST;
-		} else if (!strcasecmp(string, "multipart/form-data")) {
+		} else if (!c_strcasecmp(string, "multipart/form-data")) {
 			form->method = FORM_METHOD_POST_MP;
-		} else if (!strcasecmp(string, "text/plain")) {
+		} else if (!c_strcasecmp(string, "text/plain")) {
 			form->method = FORM_METHOD_POST_TEXT_PLAIN;
 		}
 		break;
 
 	case JSP_FORM_METHOD:
 		string = jsval_to_string(ctx, vp);
-		if (!strcasecmp(string, "GET")) {
+		if (!c_strcasecmp(string, "GET")) {
 			form->method = FORM_METHOD_GET;
-		} else if (!strcasecmp(string, "POST")) {
+		} else if (!c_strcasecmp(string, "POST")) {
 			form->method = FORM_METHOD_POST;
 		}
 		break;
@@ -1353,7 +1355,7 @@ find_form_by_name(JSContext *ctx, JSObje
 		return;
 
 	foreach (form, doc_view->document->forms) {
-		if (form->name && !strcasecmp(string, form->name)) {
+		if (form->name && !c_strcasecmp(string, form->name)) {
 			object_to_jsval(ctx, rval, get_form_object(ctx, jsdoc,
 					find_form_view(doc_view, form)));
 			break;
diff -pruN 0.12~pre2.dfsg0-1/src/ecmascript/spidermonkey/window.c 0.12~pre4-1/src/ecmascript/spidermonkey/window.c
--- 0.12~pre2.dfsg0-1/src/ecmascript/spidermonkey/window.c	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/src/ecmascript/spidermonkey/window.c	2009-05-31 09:48:47.000000000 +0100
@@ -399,7 +399,7 @@ window_open(JSContext *ctx, JSObject *ob
 		return JS_TRUE;
 	}
 
-	if (frame && *frame && strcasecmp(frame, "_blank")) {
+	if (frame && *frame && c_strcasecmp(frame, "_blank")) {
 		struct delayed_open *deo = mem_calloc(1, sizeof(*deo));
 
 		if (deo) {
diff -pruN 0.12~pre2.dfsg0-1/src/ecmascript/spidermonkey.c 0.12~pre4-1/src/ecmascript/spidermonkey.c
--- 0.12~pre2.dfsg0-1/src/ecmascript/spidermonkey.c	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/src/ecmascript/spidermonkey.c	2009-05-31 09:48:47.000000000 +0100
@@ -57,8 +57,8 @@
 
 static int js_module_init_ok;
 
-void
-spidermonkey_error_reporter(JSContext *ctx, const char *message, JSErrorReport *report)
+static void
+error_reporter(JSContext *ctx, const char *message, JSErrorReport *report)
 {
 	struct ecmascript_interpreter *interpreter = JS_GetContextPrivate(ctx);
 	struct terminal *term;
@@ -171,6 +171,7 @@ spidermonkey_get_interpreter(struct ecma
 	/* XXX: JSOPTION_COMPILE_N_GO will go (will it?) when we implement
 	 * some kind of bytecode cache. (If we will ever do that.) */
 	JS_SetOptions(ctx, JSOPTION_VAROBJFIX | JSOPTION_COMPILE_N_GO);
+	JS_SetErrorReporter(ctx, error_reporter);
 
 	window_obj = JS_NewObject(ctx, (JSClass *) &window_class, NULL, NULL);
 	if (!window_obj) {
diff -pruN 0.12~pre2.dfsg0-1/src/ecmascript/spidermonkey.h 0.12~pre4-1/src/ecmascript/spidermonkey.h
--- 0.12~pre2.dfsg0-1/src/ecmascript/spidermonkey.h	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/src/ecmascript/spidermonkey.h	2009-05-31 09:48:47.000000000 +0100
@@ -2,10 +2,6 @@
 #define EL__ECMASCRIPT_SPIDERMONKEY_H
 
 struct ecmascript_interpreter;
-struct form_state;
-struct form_view;
-struct JSContext;
-struct JSErrorReport;
 struct string;
 
 void *spidermonkey_get_interpreter(struct ecmascript_interpreter *interpreter);
@@ -19,7 +15,5 @@ void spidermonkey_eval(struct ecmascript
 unsigned char *spidermonkey_eval_stringback(struct ecmascript_interpreter *interpreter, struct string *code);
 int spidermonkey_eval_boolback(struct ecmascript_interpreter *interpreter, struct string *code);
 
-void spidermonkey_error_reporter(struct JSContext *ctx, const char *message, struct JSErrorReport *report);
-
 extern struct module spidermonkey_module;
 #endif
diff -pruN 0.12~pre2.dfsg0-1/src/ecmascript/spidermonkey-shared.c 0.12~pre4-1/src/ecmascript/spidermonkey-shared.c
--- 0.12~pre2.dfsg0-1/src/ecmascript/spidermonkey-shared.c	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/src/ecmascript/spidermonkey-shared.c	2009-05-31 09:48:47.000000000 +0100
@@ -8,8 +8,6 @@
 #include "elinks.h"
 
 #include "ecmascript/spidermonkey-shared.h"
-#include "ecmascript/spidermonkey.h"
-#include "scripting/smjs/core.h"
 
 /** A shared runtime used for both user scripts (scripting/smjs/) and
  * scripts on web pages (ecmascript/spidermonkey/).
@@ -33,38 +31,6 @@ JSContext *spidermonkey_empty_context;
  * it can be initialized and shut down in arbitrary order.  */
 static int spidermonkey_runtime_refcount;
 
-static void
-error_reporter(JSContext *ctx, const char *message, JSErrorReport *report)
-{
-	/* We have three types of JSContexts.
-	 * - spidermonkey_empty_context never has anything defined or
-	 *   evaluated in it, so this error_reporter() should not be
-	 *   called for it.
-	 * - smjs_ctx for user scripts.
-	 * - many JSContexts for web scripts.
-	 * Check which one ctx is and call the appropriate function.
-	 *
-	 * Instead of the scheme used here, we could:
-	 * (a) make the private pointer of every context point to a
-	 *     structure of known type and put a function pointer or
-	 *     enum in that structure, or
-	 * (b) assume that JS_GetContextPrivate(smjs_ctx) == NULL.  */
-
-	assert(ctx != spidermonkey_empty_context);
-	if_assert_failed return;
-
-#ifdef CONFIG_SCRIPTING_SPIDERMONKEY
-	if (ctx == smjs_ctx) {
-		smjs_error_reporter(ctx, message, report);
-		return;
-	}
-#endif
-
-#ifdef CONFIG_ECMASCRIPT_SMJS
-	spidermonkey_error_reporter(ctx, message, report);
-#endif
-}
-
 /** Initialize ::spidermonkey_runtime and ::spidermonkey_empty_context.
  * If already initialized, just increment the reference count.
  *
@@ -92,11 +58,6 @@ spidermonkey_runtime_addref(void)
 			JS_ShutDown();
 			return 0;
 		}
-
-		/* Although JS_SetErrorReporter gets the JSContext as
-		 * a parameter, it affects the whole JSRuntime.  */
-		JS_SetErrorReporter(spidermonkey_empty_context,
-				    error_reporter);
 	}
 
 	assert(spidermonkey_runtime);
diff -pruN 0.12~pre2.dfsg0-1/src/encoding/deflate.c 0.12~pre4-1/src/encoding/deflate.c
--- 0.12~pre2.dfsg0-1/src/encoding/deflate.c	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/src/encoding/deflate.c	2009-05-31 09:48:47.000000000 +0100
@@ -124,7 +124,8 @@ deflate_read(struct stream_encoded *stre
 		}
 restart:
 		err = inflate(&data->deflate_stream, Z_SYNC_FLUSH);
-		if (err == Z_DATA_ERROR && !data->after_first_read) {
+		if (err == Z_DATA_ERROR && !data->after_first_read
+		&& data->deflate_stream.next_out == buf) {
 			/* RFC 2616 requires a zlib header for
 			 * "Content-Encoding: deflate", but some HTTP
 			 * servers (Microsoft-IIS/6.0 at blogs.msdn.com,
@@ -159,7 +160,8 @@ restart:
 			data->last_read = 1;
 			break;
 		} else if (err != Z_OK) {
-			return -1;
+			data->last_read = 1;
+			break;
 		}
 	} while (data->deflate_stream.avail_out > 0);
 
diff -pruN 0.12~pre2.dfsg0-1/src/formhist/formhist.c 0.12~pre4-1/src/formhist/formhist.c
--- 0.12~pre2.dfsg0-1/src/formhist/formhist.c	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/src/formhist/formhist.c	2009-05-31 09:48:47.000000000 +0100
@@ -35,8 +35,8 @@
 static struct option_info forms_history_options[] = {
 	INIT_OPT_BOOL("document.browse.forms", N_("Show form history dialog"),
 		"show_formhist", 0, 0,
-		N_("Ask if a login form should be saved to file or not.\n"
-		"This option only disables the dialog, already saved login\n"
+		N_("Ask if a login form should be saved to file or not. "
+		"This option only disables the dialog, already saved login "
 		"forms are unaffected.")),
 
 	NULL_OPTION_INFO,
diff -pruN 0.12~pre2.dfsg0-1/src/globhist/globhist.c 0.12~pre4-1/src/globhist/globhist.c
--- 0.12~pre2.dfsg0-1/src/globhist/globhist.c	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/src/globhist/globhist.c	2009-05-31 09:48:47.000000000 +0100
@@ -63,7 +63,8 @@ static struct option_info global_history
 
 	INIT_OPT_BOOL("document.history.global", N_("Enable"),
 		"enable", 0, 1,
-		N_("Enable global history (\"history of all pages visited\").")),
+		N_("Enable global history (\"history of all pages "
+		"visited\").")),
 
 	INIT_OPT_INT("document.history.global", N_("Maximum number of entries"),
 		"max_items", 0, 1, INT_MAX, 1024,
@@ -300,10 +301,7 @@ globhist_simple_search(unsigned char *se
 
 	/* Memorize last searched url */
 	mem_free_set(&gh_last_searched_url, stracpy(search_url));
-	if (!gh_last_searched_url) {
-		mem_free(gh_last_searched_title);
-		return 0;
-	}
+	if (!gh_last_searched_url) return 0;
 
 	if (!*search_title && !*search_url) {
 		/* No search terms, make all entries visible. */
@@ -318,7 +316,7 @@ globhist_simple_search(unsigned char *se
 		if ((*search_title
 		     && strcasestr(history_item->title, search_title))
 		    || (*search_url
-			&& strcasestr(history_item->url, search_url))) {
+			&& c_strcasestr(history_item->url, search_url))) {
 			history_item->box_item->visible = 1;
 		} else {
 			history_item->box_item->visible = 0;
diff -pruN 0.12~pre2.dfsg0-1/src/intl/charsets.c 0.12~pre4-1/src/intl/charsets.c
--- 0.12~pre2.dfsg0-1/src/intl/charsets.c	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/src/intl/charsets.c	2009-05-31 09:48:47.000000000 +0100
@@ -69,6 +69,19 @@ struct codepage_desc {
 #include "intl/uni_7b.inc"
 #include "intl/entity.inc"
 
+/* Declare the external-linkage inline functions defined in this file.
+ * Avoid the GCC 4.3.1 warning: `foo' declared inline after being
+ * called.  The functions are not declared inline in charsets.h
+ * because C99 6.7.4p6 says that every external-linkage function
+ * declared inline shall be defined in the same translation unit.
+ * The non-inline declarations in charsets.h also make sure that the
+ * compiler emits global definitions for the symbols so that the
+ * functions can be called from other translation units.  */
+NONSTATIC_INLINE unsigned char *encode_utf8(unicode_val_T u);
+NONSTATIC_INLINE int utf8charlen(const unsigned char *p);
+NONSTATIC_INLINE int unicode_to_cell(unicode_val_T c);
+NONSTATIC_INLINE unicode_val_T utf8_to_unicode(unsigned char **string,
+					       const unsigned char *end);
 
 static const char strings[256][2] = {
 	"\000", "\001", "\002", "\003", "\004", "\005", "\006", "\007",
@@ -178,10 +191,8 @@ u2cp_(unicode_val_T u, int to, enum nbsp
 
 	to &= ~SYSTEM_CHARSET_FLAG;
 
-#ifdef CONFIG_UTF8
 	if (is_cp_ptr_utf8(&codepages[to]))
 		return encode_utf8(u);
-#endif /* CONFIG_UTF8 */
 
 	/* To mark non breaking spaces in non-UTF-8 strings, we use a
 	 * special char NBSP_CHAR. */
@@ -214,13 +225,8 @@ u2cp_(unicode_val_T u, int to, enum nbsp
 
 static unsigned char utf_buffer[7];
 
-#ifdef CONFIG_UTF8
-inline unsigned char *
-encode_utf8(unicode_val_T u)
-#else
-static unsigned char *
+NONSTATIC_INLINE unsigned char *
 encode_utf8(unicode_val_T u)
-#endif /* CONFIG_UTF8 */
 {
 	memset(utf_buffer, 0, 7);
 
@@ -254,7 +260,6 @@ encode_utf8(unicode_val_T u)
 	return utf_buffer;
 }
 
-#ifdef CONFIG_UTF8
 /* Number of bytes utf8 character indexed by first byte. Illegal bytes are
  * equal ones and handled different. */
 static const char utf8char_len_tab[256] = {
@@ -268,12 +273,14 @@ static const char utf8char_len_tab[256] 
 	3,3,3,3,3,3,3,3, 3,3,3,3,3,3,3,3, 4,4,4,4,4,4,4,4, 5,5,5,5,6,6,1,1,
 };
 
-inline int utf8charlen(const unsigned char *p)
+#ifdef CONFIG_UTF8
+NONSTATIC_INLINE int
+utf8charlen(const unsigned char *p)
 {
 	return p ? utf8char_len_tab[*p] : 0;
 }
 
-inline int
+int
 strlen_utf8(unsigned char **str)
 {
 	unsigned char *s = *str;
@@ -294,7 +301,7 @@ strlen_utf8(unsigned char **str)
 
 /* Start from @current and move back to @pos char. This pointer return. The
  * most left pointer is @start. */
-inline unsigned char *
+unsigned char *
 utf8_prevchar(unsigned char *current, int pos, unsigned char *start)
 {
 	if (current == NULL || start == NULL || pos < 0)
@@ -449,7 +456,7 @@ utf8_step_forward(unsigned char *string,
 
 	case UTF8_STEP_CELLS_FEWER:
 	case UTF8_STEP_CELLS_MORE:
-		while (steps < max) {
+		while (steps < max && current < end) {
 			unicode_val_T u;
 			unsigned char *prev = current;
 			int width;
@@ -589,7 +596,7 @@ invalid_arg:
  * 		TODO: May be extended to return 0 for zero-width glyphs
  * 		(like composing, maybe unprintable too).
  */
-inline int
+NONSTATIC_INLINE int
 unicode_to_cell(unicode_val_T c)
 {
 	if (c >= 0x1100
@@ -630,8 +637,9 @@ unicode_fold_label_case(unicode_val_T c)
 		return c;
 #endif /* !(__STDC_ISO_10646__ && HAVE_WCTYPE_H) */
 }
+#endif /* CONFIG_UTF8 */
 
-inline unicode_val_T
+NONSTATIC_INLINE unicode_val_T
 utf8_to_unicode(unsigned char **string, const unsigned char *end)
 {
 	unsigned char *str = *string;
@@ -714,7 +722,6 @@ invalid_utf8:
 	*string = str + length;
 	return u;
 }
-#endif /* CONFIG_UTF8 */
 
 /* The common part of cp2u and cp2utf_8.  */
 static unicode_val_T
@@ -753,9 +760,8 @@ cp2utf8(int from, int c)
 	return encode_utf8(cp2u_shared(&codepages[from], c));
 }
 
-#ifdef CONFIG_UTF8
 unicode_val_T
-cp_to_unicode(int codepage, unsigned char **string, unsigned char *end)
+cp_to_unicode(int codepage, unsigned char **string, const unsigned char *end)
 {
 	unicode_val_T ret;
 
@@ -769,7 +775,6 @@ cp_to_unicode(int codepage, unsigned cha
 	++*string;
 	return ret;
 }
-#endif	/* CONFIG_UTF8 */
 
 
 static void
@@ -1313,7 +1318,7 @@ get_cp_index(const unsigned char *name)
 	int i, a;
 	int syscp = 0;
 
-	if (!strcasecmp(name, "System")) {
+	if (!c_strcasecmp(name, "System")) {
 #if HAVE_LANGINFO_CODESET
 		name = nl_langinfo(CODESET);
 		syscp = SYSTEM_CHARSET_FLAG;
@@ -1336,7 +1341,7 @@ get_cp_index(const unsigned char *name)
 			 * once. So we will do a simple strcasecmp() here.
 			 */
 
-			if (!strcasecmp(name, codepages[i].aliases[a]))
+			if (!c_strcasecmp(name, codepages[i].aliases[a]))
 				return i | syscp;
 		}
 	}
@@ -1394,7 +1399,7 @@ get_cp_index(const unsigned char *name)
 	const struct codepage_desc *codepage;
 	int syscp = 0;
 
-	if (!strcasecmp(name, "System")) {
+	if (!c_strcasecmp(name, "System")) {
 #if HAVE_LANGINFO_CODESET
 		name = nl_langinfo(CODESET);
 		syscp = SYSTEM_CHARSET_FLAG;
diff -pruN 0.12~pre2.dfsg0-1/src/intl/charsets.h 0.12~pre4-1/src/intl/charsets.h
--- 0.12~pre2.dfsg0-1/src/intl/charsets.h	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/src/intl/charsets.h	2009-05-31 09:48:47.000000000 +0100
@@ -1,6 +1,7 @@
 #ifndef EL__INTL_CHARSETS_H
 #define EL__INTL_CHARSETS_H
 
+/* The TRE check in configure.in assumes unicode_val_T is uint32_t.  */
 typedef uint32_t unicode_val_T;
 
 /* U+0020 SPACE.  Normally the same as ' ' or L' ' but perhaps ELinks
@@ -113,10 +114,10 @@ unsigned char *get_cp_config_name(int);
 unsigned char *get_cp_mime_name(int);
 int is_cp_utf8(int);
 void free_conv_table(void);
+unsigned char *encode_utf8(unicode_val_T);
 #ifdef CONFIG_UTF8
-inline unsigned char *encode_utf8(unicode_val_T);
-inline unsigned char *utf8_prevchar(unsigned char *, int, unsigned char *);
-inline int utf8charlen(const unsigned char *);
+unsigned char *utf8_prevchar(unsigned char *, int, unsigned char *);
+int utf8charlen(const unsigned char *);
 int utf8_char2cells(unsigned char *, unsigned char *);
 int utf8_ptr2cells(unsigned char *, unsigned char *);
 int utf8_ptr2chars(unsigned char *, unsigned char *);
@@ -141,12 +142,12 @@ unsigned char *utf8_step_forward(unsigne
 				 int, enum utf8_step, int *);
 unsigned char *utf8_step_backward(unsigned char *, unsigned char *,
 				  int, enum utf8_step, int *);
-inline int unicode_to_cell(unicode_val_T);
+int unicode_to_cell(unicode_val_T);
 unicode_val_T unicode_fold_label_case(unicode_val_T);
-inline int strlen_utf8(unsigned char **);
-inline unicode_val_T utf8_to_unicode(unsigned char **, const unsigned char *);
-unicode_val_T cp_to_unicode(int, unsigned char **, unsigned char *);
+int strlen_utf8(unsigned char **);
 #endif /* CONFIG_UTF8 */
+unicode_val_T utf8_to_unicode(unsigned char **, const unsigned char *);
+unicode_val_T cp_to_unicode(int, unsigned char **, const unsigned char *);
 
 unicode_val_T cp2u(int, unsigned char);
 const unsigned char *cp2utf8(int, int);
diff -pruN 0.12~pre2.dfsg0-1/src/intl/codepage.inc 0.12~pre4-1/src/intl/codepage.inc
--- 0.12~pre2.dfsg0-1/src/intl/codepage.inc	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/src/intl/codepage.inc	2009-05-31 09:48:47.000000000 +0100
@@ -1,5 +1,6 @@
 /* Automatically generated by gen-cp */
 /* DO NOT EDIT THIS FILE! EDIT Unicode/<whatever> INSTEAD! */
+/* See the input files for copyrights and licences. */
 
 
 
@@ -113,7 +114,7 @@ const uint16_t highhalf_8859_1 [] = {
 	/* 0xCD */ 0x00CD, /* LATIN CAPITAL LETTER I WITH ACUTE */
 	/* 0xCE */ 0x00CE, /* LATIN CAPITAL LETTER I WITH CIRCUMFLEX */
 	/* 0xCF */ 0x00CF, /* LATIN CAPITAL LETTER I WITH DIAERESIS */
-	/* 0xD0 */ 0x00D0, /* LATIN CAPITAL LETTER ETH */
+	/* 0xD0 */ 0x00D0, /* LATIN CAPITAL LETTER ETH (Icelandic) */
 	/* 0xD1 */ 0x00D1, /* LATIN CAPITAL LETTER N WITH TILDE */
 	/* 0xD2 */ 0x00D2, /* LATIN CAPITAL LETTER O WITH GRAVE */
 	/* 0xD3 */ 0x00D3, /* LATIN CAPITAL LETTER O WITH ACUTE */
@@ -127,8 +128,8 @@ const uint16_t highhalf_8859_1 [] = {
 	/* 0xDB */ 0x00DB, /* LATIN CAPITAL LETTER U WITH CIRCUMFLEX */
 	/* 0xDC */ 0x00DC, /* LATIN CAPITAL LETTER U WITH DIAERESIS */
 	/* 0xDD */ 0x00DD, /* LATIN CAPITAL LETTER Y WITH ACUTE */
-	/* 0xDE */ 0x00DE, /* LATIN CAPITAL LETTER THORN */
-	/* 0xDF */ 0x00DF, /* LATIN SMALL LETTER SHARP S */
+	/* 0xDE */ 0x00DE, /* LATIN CAPITAL LETTER THORN (Icelandic) */
+	/* 0xDF */ 0x00DF, /* LATIN SMALL LETTER SHARP S (German) */
 	/* 0xE0 */ 0x00E0, /* LATIN SMALL LETTER A WITH GRAVE */
 	/* 0xE1 */ 0x00E1, /* LATIN SMALL LETTER A WITH ACUTE */
 	/* 0xE2 */ 0x00E2, /* LATIN SMALL LETTER A WITH CIRCUMFLEX */
@@ -145,7 +146,7 @@ const uint16_t highhalf_8859_1 [] = {
 	/* 0xED */ 0x00ED, /* LATIN SMALL LETTER I WITH ACUTE */
 	/* 0xEE */ 0x00EE, /* LATIN SMALL LETTER I WITH CIRCUMFLEX */
 	/* 0xEF */ 0x00EF, /* LATIN SMALL LETTER I WITH DIAERESIS */
-	/* 0xF0 */ 0x00F0, /* LATIN SMALL LETTER ETH */
+	/* 0xF0 */ 0x00F0, /* LATIN SMALL LETTER ETH (Icelandic) */
 	/* 0xF1 */ 0x00F1, /* LATIN SMALL LETTER N WITH TILDE */
 	/* 0xF2 */ 0x00F2, /* LATIN SMALL LETTER O WITH GRAVE */
 	/* 0xF3 */ 0x00F3, /* LATIN SMALL LETTER O WITH ACUTE */
@@ -159,7 +160,7 @@ const uint16_t highhalf_8859_1 [] = {
 	/* 0xFB */ 0x00FB, /* LATIN SMALL LETTER U WITH CIRCUMFLEX */
 	/* 0xFC */ 0x00FC, /* LATIN SMALL LETTER U WITH DIAERESIS */
 	/* 0xFD */ 0x00FD, /* LATIN SMALL LETTER Y WITH ACUTE */
-	/* 0xFE */ 0x00FE, /* LATIN SMALL LETTER THORN */
+	/* 0xFE */ 0x00FE, /* LATIN SMALL LETTER THORN (Icelandic) */
 	/* 0xFF */ 0x00FF, /* LATIN SMALL LETTER Y WITH DIAERESIS */
 };
 
@@ -488,41 +489,41 @@ unsigned char *const aliases_8859_3 [] =
 /*** 8859_4 ***/
 
 const uint16_t highhalf_8859_4 [] = {
-	/* 0x80 */ 0x0080, /* PADDING CHARACTER (PAD) */
-	/* 0x81 */ 0x0081, /* HIGH OCTET PRESET (HOP) */
-	/* 0x82 */ 0x0082, /* BREAK PERMITTED HERE (BPH) */
-	/* 0x83 */ 0x0083, /* NO BREAK HERE (NBH) */
-	/* 0x84 */ 0x0084, /* INDEX (IND) */
-	/* 0x85 */ 0x0085, /* NEXT LINE (NEL) */
-	/* 0x86 */ 0x0086, /* START OF SELECTED AREA (SSA) */
-	/* 0x87 */ 0x0087, /* END OF SELECTED AREA (ESA) */
-	/* 0x88 */ 0x0088, /* CHARACTER TABULATION SET (HTS) */
-	/* 0x89 */ 0x0089, /* CHARACTER TABULATION WITH JUSTIFICATION (HTJ) */
-	/* 0x8A */ 0x008A, /* LINE TABULATION SET (VTS) */
-	/* 0x8B */ 0x008B, /* PARTIAL LINE FORWARD (PLD) */
-	/* 0x8C */ 0x008C, /* PARTIAL LINE BACKWARD (PLU) */
-	/* 0x8D */ 0x008D, /* REVERSE LINE FEED (RI) */
-	/* 0x8E */ 0x008E, /* SINGLE-SHIFT TWO (SS2) */
-	/* 0x8F */ 0x008F, /* SINGLE-SHIFT THREE (SS3) */
-	/* 0x90 */ 0x0090, /* DEVICE CONTROL STRING (DCS) */
-	/* 0x91 */ 0x0091, /* PRIVATE USE ONE (PU1) */
-	/* 0x92 */ 0x0092, /* PRIVATE USE TWO (PU2) */
-	/* 0x93 */ 0x0093, /* SET TRANSMIT STATE (STS) */
-	/* 0x94 */ 0x0094, /* CANCEL CHARACTER (CCH) */
-	/* 0x95 */ 0x0095, /* MESSAGE WAITING (MW) */
-	/* 0x96 */ 0x0096, /* START OF GUARDED AREA (SPA) */
-	/* 0x97 */ 0x0097, /* END OF GUARDED AREA (EPA) */
-	/* 0x98 */ 0x0098, /* START OF STRING (SOS) */
-	/* 0x99 */ 0x0099, /* SINGLE GRAPHIC CHARACTER INTRODUCER (SGCI) */
-	/* 0x9A */ 0x009A, /* SINGLE CHARACTER INTRODUCER (SCI) */
-	/* 0x9B */ 0x009B, /* CONTROL SEQUENCE INTRODUCER (CSI) */
-	/* 0x9C */ 0x009C, /* STRING TERMINATOR (ST) */
-	/* 0x9D */ 0x009D, /* OPERATING SYSTEM COMMAND (OSC) */
-	/* 0x9E */ 0x009E, /* PRIVACY MESSAGE (PM) */
-	/* 0x9F */ 0x009F, /* APPLICATION PROGRAM COMMAND (APC) */
+	/* 0x80 */ 0x0080, /* <control> */
+	/* 0x81 */ 0x0081, /* <control> */
+	/* 0x82 */ 0x0082, /* <control> */
+	/* 0x83 */ 0x0083, /* <control> */
+	/* 0x84 */ 0x0084, /* <control> */
+	/* 0x85 */ 0x0085, /* <control> */
+	/* 0x86 */ 0x0086, /* <control> */
+	/* 0x87 */ 0x0087, /* <control> */
+	/* 0x88 */ 0x0088, /* <control> */
+	/* 0x89 */ 0x0089, /* <control> */
+	/* 0x8A */ 0x008A, /* <control> */
+	/* 0x8B */ 0x008B, /* <control> */
+	/* 0x8C */ 0x008C, /* <control> */
+	/* 0x8D */ 0x008D, /* <control> */
+	/* 0x8E */ 0x008E, /* <control> */
+	/* 0x8F */ 0x008F, /* <control> */
+	/* 0x90 */ 0x0090, /* <control> */
+	/* 0x91 */ 0x0091, /* <control> */
+	/* 0x92 */ 0x0092, /* <control> */
+	/* 0x93 */ 0x0093, /* <control> */
+	/* 0x94 */ 0x0094, /* <control> */
+	/* 0x95 */ 0x0095, /* <control> */
+	/* 0x96 */ 0x0096, /* <control> */
+	/* 0x97 */ 0x0097, /* <control> */
+	/* 0x98 */ 0x0098, /* <control> */
+	/* 0x99 */ 0x0099, /* <control> */
+	/* 0x9A */ 0x009A, /* <control> */
+	/* 0x9B */ 0x009B, /* <control> */
+	/* 0x9C */ 0x009C, /* <control> */
+	/* 0x9D */ 0x009D, /* <control> */
+	/* 0x9E */ 0x009E, /* <control> */
+	/* 0x9F */ 0x009F, /* <control> */
 	/* 0xA0 */ 0x00A0, /* NO-BREAK SPACE */
 	/* 0xA1 */ 0x0104, /* LATIN CAPITAL LETTER A WITH OGONEK */
-	/* 0xA2 */ 0x0138, /* LATIN SMALL LETTER KRA (Greenlandic) */
+	/* 0xA2 */ 0x0138, /* LATIN SMALL LETTER KRA */
 	/* 0xA3 */ 0x0156, /* LATIN CAPITAL LETTER R WITH CEDILLA */
 	/* 0xA4 */ 0x00A4, /* CURRENCY SIGN */
 	/* 0xA5 */ 0x0128, /* LATIN CAPITAL LETTER I WITH TILDE */
@@ -543,15 +544,15 @@ const uint16_t highhalf_8859_4 [] = {
 	/* 0xB4 */ 0x00B4, /* ACUTE ACCENT */
 	/* 0xB5 */ 0x0129, /* LATIN SMALL LETTER I WITH TILDE */
 	/* 0xB6 */ 0x013C, /* LATIN SMALL LETTER L WITH CEDILLA */
-	/* 0xB7 */ 0x02C7, /* CARON (Mandarin Chinese third tone) */
+	/* 0xB7 */ 0x02C7, /* CARON */
 	/* 0xB8 */ 0x00B8, /* CEDILLA */
 	/* 0xB9 */ 0x0161, /* LATIN SMALL LETTER S WITH CARON */
 	/* 0xBA */ 0x0113, /* LATIN SMALL LETTER E WITH MACRON */
 	/* 0xBB */ 0x0123, /* LATIN SMALL LETTER G WITH CEDILLA */
 	/* 0xBC */ 0x0167, /* LATIN SMALL LETTER T WITH STROKE */
-	/* 0xBD */ 0x014A, /* LATIN CAPITAL LETTER ENG (Sami) */
+	/* 0xBD */ 0x014A, /* LATIN CAPITAL LETTER ENG */
 	/* 0xBE */ 0x017E, /* LATIN SMALL LETTER Z WITH CARON */
-	/* 0xBF */ 0x014B, /* LATIN SMALL LETTER ENG (Sami) */
+	/* 0xBF */ 0x014B, /* LATIN SMALL LETTER ENG */
 	/* 0xC0 */ 0x0100, /* LATIN CAPITAL LETTER A WITH MACRON */
 	/* 0xC1 */ 0x00C1, /* LATIN CAPITAL LETTER A WITH ACUTE */
 	/* 0xC2 */ 0x00C2, /* LATIN CAPITAL LETTER A WITH CIRCUMFLEX */
@@ -583,7 +584,7 @@ const uint16_t highhalf_8859_4 [] = {
 	/* 0xDC */ 0x00DC, /* LATIN CAPITAL LETTER U WITH DIAERESIS */
 	/* 0xDD */ 0x0168, /* LATIN CAPITAL LETTER U WITH TILDE */
 	/* 0xDE */ 0x016A, /* LATIN CAPITAL LETTER U WITH MACRON */
-	/* 0xDF */ 0x00DF, /* LATIN SMALL LETTER SHARP S (German) */
+	/* 0xDF */ 0x00DF, /* LATIN SMALL LETTER SHARP S */
 	/* 0xE0 */ 0x0101, /* LATIN SMALL LETTER A WITH MACRON */
 	/* 0xE1 */ 0x00E1, /* LATIN SMALL LETTER A WITH ACUTE */
 	/* 0xE2 */ 0x00E2, /* LATIN SMALL LETTER A WITH CIRCUMFLEX */
@@ -615,7 +616,7 @@ const uint16_t highhalf_8859_4 [] = {
 	/* 0xFC */ 0x00FC, /* LATIN SMALL LETTER U WITH DIAERESIS */
 	/* 0xFD */ 0x0169, /* LATIN SMALL LETTER U WITH TILDE */
 	/* 0xFE */ 0x016B, /* LATIN SMALL LETTER U WITH MACRON */
-	/* 0xFF */ 0x02D9, /* DOT ABOVE (Mandarin Chinese light tone) */
+	/* 0xFF */ 0x02D9, /* DOT ABOVE */
 };
 
 #define table_8859_4 table_NULL
@@ -975,13 +976,13 @@ const uint16_t highhalf_8859_7 [] = {
 	/* 0xA1 */ 0x2018, /* LEFT SINGLE QUOTATION MARK */
 	/* 0xA2 */ 0x2019, /* RIGHT SINGLE QUOTATION MARK */
 	/* 0xA3 */ 0x00A3, /* POUND SIGN */
-	/* 0xA4 */ 0xFFFF,
-	/* 0xA5 */ 0xFFFF,
+	/* 0xA4 */ 0x20AC, /* EURO SIGN */
+	/* 0xA5 */ 0x20AF, /* DRACHMA SIGN */
 	/* 0xA6 */ 0x00A6, /* BROKEN BAR */
 	/* 0xA7 */ 0x00A7, /* SECTION SIGN */
 	/* 0xA8 */ 0x00A8, /* DIAERESIS */
 	/* 0xA9 */ 0x00A9, /* COPYRIGHT SIGN */
-	/* 0xAA */ 0xFFFF,
+	/* 0xAA */ 0x037A, /* GREEK YPOGEGRAMMENI */
 	/* 0xAB */ 0x00AB, /* LEFT-POINTING DOUBLE ANGLE QUOTATION MARK */
 	/* 0xAC */ 0x00AC, /* NOT SIGN */
 	/* 0xAD */ 0x00AD, /* SOFT HYPHEN */
@@ -1536,38 +1537,38 @@ unsigned char *const aliases_8859_10 [] 
 /*** 8859_13 ***/
 
 const uint16_t highhalf_8859_13 [] = {
-	/* 0x80 */ 0x0080, /* PADDING CHARACTER (PAD) */
-	/* 0x81 */ 0x0081, /* HIGH OCTET PRESET (HOP) */
-	/* 0x82 */ 0x0082, /* BREAK PERMITTED HERE (BPH) */
-	/* 0x83 */ 0x0083, /* NO BREAK HERE (NBH) */
-	/* 0x84 */ 0x0084, /* INDEX (IND) */
-	/* 0x85 */ 0x0085, /* NEXT LINE (NEL) */
-	/* 0x86 */ 0x0086, /* START OF SELECTED AREA (SSA) */
-	/* 0x87 */ 0x0087, /* END OF SELECTED AREA (ESA) */
-	/* 0x88 */ 0x0088, /* CHARACTER TABULATION SET (HTS) */
-	/* 0x89 */ 0x0089, /* CHARACTER TABULATION WITH JUSTIFICATION (HTJ) */
-	/* 0x8A */ 0x008A, /* LINE TABULATION SET (VTS) */
-	/* 0x8B */ 0x008B, /* PARTIAL LINE FORWARD (PLD) */
-	/* 0x8C */ 0x008C, /* PARTIAL LINE BACKWARD (PLU) */
-	/* 0x8D */ 0x008D, /* REVERSE LINE FEED (RI) */
-	/* 0x8E */ 0x008E, /* SINGLE-SHIFT TWO (SS2) */
-	/* 0x8F */ 0x008F, /* SINGLE-SHIFT THREE (SS3) */
-	/* 0x90 */ 0x0090, /* DEVICE CONTROL STRING (DCS) */
-	/* 0x91 */ 0x0091, /* PRIVATE USE ONE (PU1) */
-	/* 0x92 */ 0x0092, /* PRIVATE USE TWO (PU2) */
-	/* 0x93 */ 0x0093, /* SET TRANSMIT STATE (STS) */
-	/* 0x94 */ 0x0094, /* CANCEL CHARACTER (CCH) */
-	/* 0x95 */ 0x0095, /* MESSAGE WAITING (MW) */
-	/* 0x96 */ 0x0096, /* START OF GUARDED AREA (SPA) */
-	/* 0x97 */ 0x0097, /* END OF GUARDED AREA (EPA) */
-	/* 0x98 */ 0x0098, /* START OF STRING (SOS) */
-	/* 0x99 */ 0x0099, /* SINGLE GRAPHIC CHARACTER INTRODUCER (SGCI) */
-	/* 0x9A */ 0x009A, /* SINGLE CHARACTER INTRODUCER (SCI) */
-	/* 0x9B */ 0x009B, /* CONTROL SEQUENCE INTRODUCER (CSI) */
-	/* 0x9C */ 0x009C, /* STRING TERMINATOR (ST) */
-	/* 0x9D */ 0x009D, /* OPERATING SYSTEM COMMAND (OSC) */
-	/* 0x9E */ 0x009E, /* PRIVACY MESSAGE (PM) */
-	/* 0x9F */ 0x009F, /* APPLICATION PROGRAM COMMAND (APC) */
+	/* 0x80 */ 0x0080, /* <control> */
+	/* 0x81 */ 0x0081, /* <control> */
+	/* 0x82 */ 0x0082, /* <control> */
+	/* 0x83 */ 0x0083, /* <control> */
+	/* 0x84 */ 0x0084, /* <control> */
+	/* 0x85 */ 0x0085, /* <control> */
+	/* 0x86 */ 0x0086, /* <control> */
+	/* 0x87 */ 0x0087, /* <control> */
+	/* 0x88 */ 0x0088, /* <control> */
+	/* 0x89 */ 0x0089, /* <control> */
+	/* 0x8A */ 0x008A, /* <control> */
+	/* 0x8B */ 0x008B, /* <control> */
+	/* 0x8C */ 0x008C, /* <control> */
+	/* 0x8D */ 0x008D, /* <control> */
+	/* 0x8E */ 0x008E, /* <control> */
+	/* 0x8F */ 0x008F, /* <control> */
+	/* 0x90 */ 0x0090, /* <control> */
+	/* 0x91 */ 0x0091, /* <control> */
+	/* 0x92 */ 0x0092, /* <control> */
+	/* 0x93 */ 0x0093, /* <control> */
+	/* 0x94 */ 0x0094, /* <control> */
+	/* 0x95 */ 0x0095, /* <control> */
+	/* 0x96 */ 0x0096, /* <control> */
+	/* 0x97 */ 0x0097, /* <control> */
+	/* 0x98 */ 0x0098, /* <control> */
+	/* 0x99 */ 0x0099, /* <control> */
+	/* 0x9A */ 0x009A, /* <control> */
+	/* 0x9B */ 0x009B, /* <control> */
+	/* 0x9C */ 0x009C, /* <control> */
+	/* 0x9D */ 0x009D, /* <control> */
+	/* 0x9E */ 0x009E, /* <control> */
+	/* 0x9F */ 0x009F, /* <control> */
 	/* 0xA0 */ 0x00A0, /* NO-BREAK SPACE */
 	/* 0xA1 */ 0x201D, /* RIGHT DOUBLE QUOTATION MARK */
 	/* 0xA2 */ 0x00A2, /* CENT SIGN */
@@ -1631,7 +1632,7 @@ const uint16_t highhalf_8859_13 [] = {
 	/* 0xDC */ 0x00DC, /* LATIN CAPITAL LETTER U WITH DIAERESIS */
 	/* 0xDD */ 0x017B, /* LATIN CAPITAL LETTER Z WITH DOT ABOVE */
 	/* 0xDE */ 0x017D, /* LATIN CAPITAL LETTER Z WITH CARON */
-	/* 0xDF */ 0x00DF, /* LATIN SMALL LETTER SHARP S */
+	/* 0xDF */ 0x00DF, /* LATIN SMALL LETTER SHARP S (German) */
 	/* 0xE0 */ 0x0105, /* LATIN SMALL LETTER A WITH OGONEK */
 	/* 0xE1 */ 0x012F, /* LATIN SMALL LETTER I WITH OGONEK */
 	/* 0xE2 */ 0x0101, /* LATIN SMALL LETTER A WITH MACRON */
@@ -1867,7 +1868,7 @@ const uint16_t highhalf_8859_15 [] = {
 	/* 0xA1 */ 0x00A1, /* INVERTED EXCLAMATION MARK */
 	/* 0xA2 */ 0x00A2, /* CENT SIGN */
 	/* 0xA3 */ 0x00A3, /* POUND SIGN */
-	/* 0xA4 */ 0x20AC, /* EURO */
+	/* 0xA4 */ 0x20AC, /* EURO SIGN */
 	/* 0xA5 */ 0x00A5, /* YEN SIGN */
 	/* 0xA6 */ 0x0160, /* LATIN CAPITAL LETTER S WITH CARON */
 	/* 0xA7 */ 0x00A7, /* SECTION SIGN */
@@ -2020,13 +2021,13 @@ const uint16_t highhalf_8859_16 [] = {
 	/* 0xA2 */ 0x0105, /* LATIN SMALL LETTER A WITH OGONEK */
 	/* 0xA3 */ 0x0141, /* LATIN CAPITAL LETTER L WITH STROKE */
 	/* 0xA4 */ 0x20AC, /* EURO SIGN */
-	/* 0xA5 */ 0x00AB, /* LEFT-POINTING DOUBLE ANGLE QUOTATION MARK */
+	/* 0xA5 */ 0x201E, /* DOUBLE LOW-9 QUOTATION MARK */
 	/* 0xA6 */ 0x0160, /* LATIN CAPITAL LETTER S WITH CARON */
 	/* 0xA7 */ 0x00A7, /* SECTION SIGN */
 	/* 0xA8 */ 0x0161, /* LATIN SMALL LETTER S WITH CARON */
 	/* 0xA9 */ 0x00A9, /* COPYRIGHT SIGN */
 	/* 0xAA */ 0x0218, /* LATIN CAPITAL LETTER S WITH COMMA BELOW */
-	/* 0xAB */ 0x201E, /* DOUBLE LOW-9 QUOTATION MARK */
+	/* 0xAB */ 0x00AB, /* LEFT-POINTING DOUBLE ANGLE QUOTATION MARK */
 	/* 0xAC */ 0x0179, /* LATIN CAPITAL LETTER Z WITH ACUTE */
 	/* 0xAD */ 0x00AD, /* SOFT HYPHEN */
 	/* 0xAE */ 0x017A, /* LATIN SMALL LETTER Z WITH ACUTE */
@@ -2493,7 +2494,7 @@ const uint16_t highhalf_cp1252 [] = {
 	/* 0xC3 */ 0x00C3, /* LATIN CAPITAL LETTER A WITH TILDE */
 	/* 0xC4 */ 0x00C4, /* LATIN CAPITAL LETTER A WITH DIAERESIS */
 	/* 0xC5 */ 0x00C5, /* LATIN CAPITAL LETTER A WITH RING ABOVE */
-	/* 0xC6 */ 0x00C6, /* LATIN CAPITAL LIGATURE AE */
+	/* 0xC6 */ 0x00C6, /* LATIN CAPITAL LETTER AE */
 	/* 0xC7 */ 0x00C7, /* LATIN CAPITAL LETTER C WITH CEDILLA */
 	/* 0xC8 */ 0x00C8, /* LATIN CAPITAL LETTER E WITH GRAVE */
 	/* 0xC9 */ 0x00C9, /* LATIN CAPITAL LETTER E WITH ACUTE */
@@ -2525,7 +2526,7 @@ const uint16_t highhalf_cp1252 [] = {
 	/* 0xE3 */ 0x00E3, /* LATIN SMALL LETTER A WITH TILDE */
 	/* 0xE4 */ 0x00E4, /* LATIN SMALL LETTER A WITH DIAERESIS */
 	/* 0xE5 */ 0x00E5, /* LATIN SMALL LETTER A WITH RING ABOVE */
-	/* 0xE6 */ 0x00E6, /* LATIN SMALL LIGATURE AE */
+	/* 0xE6 */ 0x00E6, /* LATIN SMALL LETTER AE */
 	/* 0xE7 */ 0x00E7, /* LATIN SMALL LETTER C WITH CEDILLA */
 	/* 0xE8 */ 0x00E8, /* LATIN SMALL LETTER E WITH GRAVE */
 	/* 0xE9 */ 0x00E9, /* LATIN SMALL LETTER E WITH ACUTE */
@@ -3752,9 +3753,9 @@ const uint16_t highhalf_macroman [] = {
 	/* 0xA2 */ 0x00A2, /* CENT SIGN */
 	/* 0xA3 */ 0x00A3, /* POUND SIGN */
 	/* 0xA4 */ 0x00A7, /* SECTION SIGN */
-	/* 0xA5 */ 0x2022, /* PUCE */
+	/* 0xA5 */ 0x2022, /* BULLET */
 	/* 0xA6 */ 0x00B6, /* PILCROW SIGN */
-	/* 0xA7 */ 0x00DF, /* LATIN SMALL LETTER SHARP S (GERMAN) */
+	/* 0xA7 */ 0x00DF, /* LATIN SMALL LETTER SHARP S */
 	/* 0xA8 */ 0x00AE, /* REGISTERED SIGN */
 	/* 0xA9 */ 0x00A9, /* COPYRIGHT SIGN */
 	/* 0xAA */ 0x2122, /* TRADE MARK SIGN */
@@ -3783,12 +3784,12 @@ const uint16_t highhalf_macroman [] = {
 	/* 0xC1 */ 0x00A1, /* INVERTED EXCLAMATION MARK */
 	/* 0xC2 */ 0x00AC, /* NOT SIGN */
 	/* 0xC3 */ 0x221A, /* SQUARE ROOT */
-	/* 0xC4 */ 0x0192, /* LETTRE MINUSCULE LATINE F HAMEON */
+	/* 0xC4 */ 0x0192, /* LATIN SMALL LETTER F WITH HOOK */
 	/* 0xC5 */ 0x2248, /* ALMOST EQUAL TO */
-	/* 0xC6 */ 0x0394, /* GREEK CAPITAL LETTER DELTA */
+	/* 0xC6 */ 0x2206, /* INCREMENT */
 	/* 0xC7 */ 0x00AB, /* LEFT-POINTING DOUBLE ANGLE QUOTATION MARK */
 	/* 0xC8 */ 0x00BB, /* RIGHT-POINTING DOUBLE ANGLE QUOTATION MARK */
-	/* 0xC9 */ 0x2026, /* MIDLINE HORIZONTAL ELLIPSIS */
+	/* 0xC9 */ 0x2026, /* HORIZONTAL ELLIPSIS */
 	/* 0xCA */ 0x00A0, /* NO-BREAK SPACE */
 	/* 0xCB */ 0x00C0, /* LATIN CAPITAL LETTER A WITH GRAVE */
 	/* 0xCC */ 0x00C3, /* LATIN CAPITAL LETTER A WITH TILDE */
@@ -3806,7 +3807,7 @@ const uint16_t highhalf_macroman [] = {
 	/* 0xD8 */ 0x00FF, /* LATIN SMALL LETTER Y WITH DIAERESIS */
 	/* 0xD9 */ 0x0178, /* LATIN CAPITAL LETTER Y WITH DIAERESIS */
 	/* 0xDA */ 0x2044, /* FRACTION SLASH */
-	/* 0xDB */ 0x20AC, /* SYMBOLE EURO */
+	/* 0xDB */ 0x20AC, /* EURO SIGN */
 	/* 0xDC */ 0x2039, /* SINGLE LEFT-POINTING ANGLE QUOTATION MARK */
 	/* 0xDD */ 0x203A, /* SINGLE RIGHT-POINTING ANGLE QUOTATION MARK */
 	/* 0xDE */ 0xFB01, /* LATIN SMALL LIGATURE FI */
@@ -3827,14 +3828,14 @@ const uint16_t highhalf_macroman [] = {
 	/* 0xED */ 0x00CC, /* LATIN CAPITAL LETTER I WITH GRAVE */
 	/* 0xEE */ 0x00D3, /* LATIN CAPITAL LETTER O WITH ACUTE */
 	/* 0xEF */ 0x00D4, /* LATIN CAPITAL LETTER O WITH CIRCUMFLEX */
-	/* 0xF0 */ 0xF8FF, /* Mac Logo (in Private Use Area) */
+	/* 0xF0 */ 0xF8FF, /* Apple logo */
 	/* 0xF1 */ 0x00D2, /* LATIN CAPITAL LETTER O WITH GRAVE */
 	/* 0xF2 */ 0x00DA, /* LATIN CAPITAL LETTER U WITH ACUTE */
 	/* 0xF3 */ 0x00DB, /* LATIN CAPITAL LETTER U WITH CIRCUMFLEX */
 	/* 0xF4 */ 0x00D9, /* LATIN CAPITAL LETTER U WITH GRAVE */
-	/* 0xF5 */ 0x0131, /* LATIN SMALL LETTER I DOTLESS */
-	/* 0xF6 */ 0x02C6, /* LETTRE MODIFICATIVE ACCENT CIRCONFLEXE */
-	/* 0xF7 */ 0x02DC, /* PETIT TILDE */
+	/* 0xF5 */ 0x0131, /* LATIN SMALL LETTER DOTLESS I */
+	/* 0xF6 */ 0x02C6, /* MODIFIER LETTER CIRCUMFLEX ACCENT */
+	/* 0xF7 */ 0x02DC, /* SMALL TILDE */
 	/* 0xF8 */ 0x00AF, /* MACRON */
 	/* 0xF9 */ 0x02D8, /* BREVE */
 	/* 0xFA */ 0x02D9, /* DOT ABOVE */
@@ -4170,7 +4171,7 @@ const uint16_t highhalf_koi8_r [] = {
 	/* 0x92 */ 0x2593, /* DARK SHADE */
 	/* 0x93 */ 0x2320, /* TOP HALF INTEGRAL */
 	/* 0x94 */ 0x25A0, /* BLACK SQUARE */
-	/* 0x95 */ 0x2022, /* BULLET */
+	/* 0x95 */ 0x2219, /* BULLET OPERATOR */
 	/* 0x96 */ 0x221A, /* SQUARE ROOT */
 	/* 0x97 */ 0x2248, /* ALMOST EQUAL TO */
 	/* 0x98 */ 0x2264, /* LESS-THAN OR EQUAL TO */
diff -pruN 0.12~pre2.dfsg0-1/src/intl/gettext/l10nflist.c 0.12~pre4-1/src/intl/gettext/l10nflist.c
--- 0.12~pre2.dfsg0-1/src/intl/gettext/l10nflist.c	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/src/intl/gettext/l10nflist.c	2009-05-31 09:48:47.000000000 +0100
@@ -35,6 +35,7 @@
 #include "elinks.h"
 
 #include "intl/gettext/loadinfo.h"
+#include "util/conv.h"
 #include "util/string.h"
 
 /* Awful hack to permit compilation under cygwin and its broken configure.
@@ -349,7 +350,7 @@ _nl_normalize_codeset(const unsigned cha
 
 		for (cnt = 0; cnt < name_len; ++cnt)
 			if (isalpha(codeset[cnt]))
-				*wp++ = tolower(codeset[cnt]);
+				*wp++ = c_tolower(codeset[cnt]);
 			else if (isdigit(codeset[cnt]))
 				*wp++ = codeset[cnt];
 
diff -pruN 0.12~pre2.dfsg0-1/src/intl/gettext/libintl.c 0.12~pre4-1/src/intl/gettext/libintl.c
--- 0.12~pre2.dfsg0-1/src/intl/gettext/libintl.c	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/src/intl/gettext/libintl.c	2009-05-31 09:48:47.000000000 +0100
@@ -152,7 +152,7 @@ name_to_language(const unsigned char *na
 	int i;
 
 	for (i = 0; languages[i].name; i++) {
-		if (strcasecmp(languages[i].name, name))
+		if (c_strcasecmp(languages[i].name, name))
 			continue;
 		return i;
 	}
diff -pruN 0.12~pre2.dfsg0-1/src/intl/gettext/libintl.h 0.12~pre4-1/src/intl/gettext/libintl.h
--- 0.12~pre2.dfsg0-1/src/intl/gettext/libintl.h	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/src/intl/gettext/libintl.h	2009-05-31 09:48:47.000000000 +0100
@@ -45,6 +45,10 @@ n_(unsigned char *msg1, unsigned char *m
 	return gettext_noop(msg1);
 }
 
+static inline void
+intl_set_charset_by_index(int new_charset)
+{
+}
 
 #else
 
@@ -59,10 +63,8 @@ extern int current_charset;
 /* #define DEBUG_IT */
 
 static inline void
-intl_set_charset(struct terminal *term)
+intl_set_charset_by_index(int new_charset)
 {
-	int new_charset = get_opt_codepage_tree(term->spec, "charset");
-
 	/* Prevent useless switching. */
 	if (current_charset != new_charset) {
 		bind_textdomain_codeset( /* PACKAGE */ "elinks",
@@ -71,6 +73,14 @@ intl_set_charset(struct terminal *term)
 	}
 }
 
+static inline void
+intl_set_charset(struct terminal *term)
+{
+	int new_charset = get_terminal_codepage(term);
+
+	intl_set_charset_by_index(new_charset);
+}
+
 /* TODO: Ideally, we should internally work only in Unicode - then the need for
  * charsets multiplexing would cease. That'll take some work yet, though.
  * --pasky */
diff -pruN 0.12~pre2.dfsg0-1/src/intl/gettext/localealias.c 0.12~pre4-1/src/intl/gettext/localealias.c
--- 0.12~pre2.dfsg0-1/src/intl/gettext/localealias.c	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/src/intl/gettext/localealias.c	2009-05-31 09:48:47.000000000 +0100
@@ -285,5 +285,5 @@ extend_alias_table(void)
 static int
 alias_compare(const struct alias_map *map1, const struct alias_map *map2)
 {
-	return strcasecmp(map1->alias, map2->alias);
+	return c_strcasecmp(map1->alias, map2->alias);
 }
diff -pruN 0.12~pre2.dfsg0-1/src/intl/test/test-utf8-step-forward 0.12~pre4-1/src/intl/test/test-utf8-step-forward
--- 0.12~pre2.dfsg0-1/src/intl/test/test-utf8-step-forward	1970-01-01 01:00:00.000000000 +0100
+++ 0.12~pre4-1/src/intl/test/test-utf8-step-forward	2009-05-31 09:48:47.000000000 +0100
@@ -0,0 +1,11 @@
+#! /bin/sh -e
+
+./utf8-step-test forward cells-more 999 日本人 9 6
+./utf8-step-test forward cells-more 6 日本人 9 6
+./utf8-step-test forward cells-more 5 日本人 9 6
+./utf8-step-test forward cells-more 4 日本人 6 4
+
+./utf8-step-test forward cells-fewer 999 日本人 9 6
+./utf8-step-test forward cells-fewer 6 日本人 9 6
+./utf8-step-test forward cells-fewer 5 日本人 6 4
+./utf8-step-test forward cells-fewer 4 日本人 6 4
diff -pruN 0.12~pre2.dfsg0-1/src/intl/test/utf8-step-test.c 0.12~pre4-1/src/intl/test/utf8-step-test.c
--- 0.12~pre2.dfsg0-1/src/intl/test/utf8-step-test.c	1970-01-01 01:00:00.000000000 +0100
+++ 0.12~pre4-1/src/intl/test/utf8-step-test.c	2009-05-31 09:48:47.000000000 +0100
@@ -0,0 +1,85 @@
+#ifdef HAVE_CONFIG_H
+#include "config.h"
+#endif
+
+#include <stdarg.h>
+#include <stdio.h>
+#include <stdlib.h>
+#include <string.h>
+
+#include "elinks.h"
+
+#include "intl/charsets.h"
+#include "util/test.h"
+
+enum direction {
+	DIRECTION_FORWARD,
+	DIRECTION_BACKWARD
+};
+
+static enum direction
+parse_direction(const char *name)
+{
+	if (strcmp(name, "forward") == 0)
+		return DIRECTION_FORWARD;
+	else if (strcmp(name, "backward") == 0)
+		return DIRECTION_BACKWARD;
+	else
+		die("direction must be forward or backward, not %s\n", name);
+}
+
+static enum utf8_step
+parse_way(const char *name)
+{
+	if (strcmp(name, "characters") == 0)
+		return UTF8_STEP_CHARACTERS;
+	else if (strcmp(name, "cells-fewer") == 0)
+		return UTF8_STEP_CELLS_FEWER;
+	else if (strcmp(name, "cells-more") == 0)
+		return UTF8_STEP_CELLS_MORE;
+	else
+		die("way must be characters, cells-fewer, or cells-more; not %s\n", name);
+}
+
+int
+main(int argc, char **argv)
+{
+	enum direction direction;
+	enum utf8_step way;
+	int max_steps;
+	unsigned char *begin, *end;
+	int expect_bytes;
+	int expect_steps;
+	int bytes;
+	int steps;
+
+	if (argc != 7)
+		die("usage: %s (forward|backward) (characters|cells-fewer|cells-more) \\\n"
+		    "\tMAX-STEPS STRING EXPECT-BYTES EXPECT-STEPS\n",
+		    argc ? argv[0] : "utf8-step-test");
+
+	direction = parse_direction(argv[1]);
+	way = parse_way(argv[2]);
+	max_steps = atoi(argv[3]);
+	begin = argv[4];
+	end = begin + strlen(begin);
+	expect_bytes = atoi(argv[5]);
+	expect_steps = atoi(argv[6]);
+
+	switch (direction) {
+	case DIRECTION_FORWARD:
+		bytes = utf8_step_forward(begin, end, max_steps, way, &steps) - begin;
+		break;
+	case DIRECTION_BACKWARD:
+		bytes = end - utf8_step_backward(end, begin, max_steps, way, &steps);
+		break;
+	default:
+		abort();
+	}
+
+	if (bytes != expect_bytes || steps != expect_steps)
+		die("FAIL: bytes=%d (expected %d); steps=%d (expected %d)\n",
+		    bytes, expect_bytes, steps, expect_steps);
+
+	return 0;
+}
diff -pruN 0.12~pre2.dfsg0-1/src/mime/backend/default.c 0.12~pre4-1/src/mime/backend/default.c
--- 0.12~pre2.dfsg0-1/src/mime/backend/default.c	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/src/mime/backend/default.c	2009-05-31 09:48:47.000000000 +0100
@@ -24,33 +24,34 @@
 static struct option_info default_mime_options[] = {
 	INIT_OPT_TREE("mime", N_("MIME type associations"),
 		"type", OPT_AUTOCREATE,
-		N_("Handler <-> MIME type association. The first sub-tree is the MIME\n"
-		"class while the second sub-tree is the MIME type (ie. image/gif\n"
-		"handler will reside at mime.type.image.gif). Each MIME type option\n"
-		"should contain (case-sensitive) name of the MIME handler (its\n"
-		"properties are stored at mime.handler.<name>).")),
+		N_("Handler <-> MIME type association. The first sub-tree is "
+		"the MIME class while the second sub-tree is the MIME type "
+		"(ie. image/gif handler will reside at mime.type.image.gif). "
+		"Each MIME type option should contain (case-sensitive) name "
+		"of the MIME handler (its properties are stored at "
+		"mime.handler.<name>).")),
 
 	INIT_OPT_TREE("mime.type", NULL,
 		"_template_", OPT_AUTOCREATE,
-		N_("Handler matching this MIME-type class ('*' is used here in place\n"
-		"of '.').")),
+		N_("Handler matching this MIME-type class "
+		"('*' is used here in place of '.').")),
 
 	INIT_OPT_STRING("mime.type._template_", NULL,
 		"_template_", 0, "",
-		N_("Handler matching this MIME-type name ('*' is used here in place\n"
-		"of '.').")),
+		N_("Handler matching this MIME-type name "
+		"('*' is used here in place of '.').")),
 
 
 	INIT_OPT_TREE("mime", N_("File type handlers"),
 		"handler", OPT_AUTOCREATE,
-		N_("A file type handler is a set of information about how to use\n"
-		"an external program to view a file. It is possible to refer to it\n"
-		"for several MIME types -- e.g., you can define an 'image' handler\n"
-		"to which mime.type.image.png, mime.type.image.jpeg, and so on will\n"
-		"refer; or one might define a handler for a more specific type of file\n"
-		"-- e.g., PDF files.\n"
-		"Note you must define both a MIME handler and a MIME type association\n"
-		"for it to work.")),
+		N_("A file type handler is a set of information about how to "
+		"use an external program to view a file. It is possible to "
+		"refer to it for several MIME types -- e.g., you can define "
+		"an 'image' handler to which mime.type.image.png, "
+		"mime.type.image.jpeg, and so on will refer; or one might "
+		"define a handler for a more specific type of file -- e.g., "
+		"PDF files. Note you must define both a MIME handler "
+		"and a MIME type association for it to work.")),
 
 	INIT_OPT_TREE("mime.handler", NULL,
 		"_template_", OPT_AUTOCREATE,
@@ -58,7 +59,8 @@ static struct option_info default_mime_o
 
 	INIT_OPT_TREE("mime.handler._template_", NULL,
 		"_template_", 0,
-		N_("System-specific handler description (ie. unix, unix-xwin, ...).")),
+		N_("System-specific handler description "
+		"(ie. unix, unix-xwin, ...).")),
 
 	INIT_OPT_BOOL("mime.handler._template_._template_", N_("Ask before opening"),
 		"ask", 0, 1,
@@ -71,8 +73,8 @@ static struct option_info default_mime_o
 	INIT_OPT_STRING("mime.handler._template_._template_", N_("Program"),
 		"program", 0, "",
 		/* xgettext:no-c-format */
-		N_("External viewer for this file type. '%' in this string will be\n"
-		"substituted by a file name.\n"
+		N_("External viewer for this file type. "
+		"'%' in this string will be substituted by a file name. "
 		"Do _not_ put single- or double-quotes around the % sign.")),
 
 
@@ -82,8 +84,8 @@ static struct option_info default_mime_o
 
 	INIT_OPT_STRING("mime.extension", NULL,
 		"_template_", 0, "",
-		N_("MIME-type matching this file extension ('*' is used here in place\n"
-		"of '.').")),
+		N_("MIME-type matching this file extension "
+		"('*' is used here in place of '.').")),
 
 #define INIT_OPT_MIME_EXTENSION(extension, type) \
 	INIT_OPT_STRING("mime.extension", NULL, extension, 0, type, NULL)
diff -pruN 0.12~pre2.dfsg0-1/src/mime/backend/mailcap.c 0.12~pre4-1/src/mime/backend/mailcap.c
--- 0.12~pre2.dfsg0-1/src/mime/backend/mailcap.c	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/src/mime/backend/mailcap.c	2009-05-31 09:48:47.000000000 +0100
@@ -96,7 +96,7 @@ static struct option_info mailcap_option
 
 	INIT_OPT_STRING("mime.mailcap", N_("Path"),
 		"path", 0, DEFAULT_MAILCAP_PATH,
-		N_("Mailcap search path. Colon-separated list of files.\n"
+		N_("Mailcap search path. Colon-separated list of files. "
 		"Leave as \"\" to use MAILCAP environment variable instead.")),
 
 	INIT_OPT_BOOL("mime.mailcap", N_("Ask before opening"),
@@ -105,17 +105,19 @@ static struct option_info mailcap_option
 
 	INIT_OPT_INT("mime.mailcap", N_("Type query string"),
 		"description", 0, 0, 2, 0,
-		N_("Type of description to show in \"what to do with this file\"\n"
-		"query dialog:\n"
+		N_("Type of description to show in \"what to do with "
+		"this file\" query dialog:\n"
 		"0 is show \"mailcap\"\n"
 		"1 is show program to be run\n"
-		"2 is show mailcap description field if any; \"mailcap\" otherwise")),
+		"2 is show mailcap description field if any;\n"
+		"     \"mailcap\" otherwise")),
 
 	INIT_OPT_BOOL("mime.mailcap", N_("Prioritize entries by file"),
 		"prioritize", 0, 1,
-		N_("Prioritize entries by the order of the files in the mailcap\n"
-		"path. This means that wildcard entries (like: image/*) will\n"
-		"also be checked before deciding the handler.")),
+		N_("Prioritize entries by the order of the files in "
+		"the mailcap path. This means that wildcard entries "
+		"(like: image/*) will also be checked before deciding "
+		"the handler.")),
 
 	NULL_OPTION_INFO,
 };
@@ -280,13 +282,13 @@ parse_optional_fields(struct mailcap_ent
 
 		if (!field) break;
 
-		if (!strncasecmp(field, "needsterminal", 13)) {
+		if (!c_strncasecmp(field, "needsterminal", 13)) {
 			entry->needsterminal = 1;
 
-		} else if (!strncasecmp(field, "copiousoutput", 13)) {
+		} else if (!c_strncasecmp(field, "copiousoutput", 13)) {
 			entry->copiousoutput = 1;
 
-		} else if (!strncasecmp(field, "test", 4)) {
+		} else if (!c_strncasecmp(field, "test", 4)) {
 			entry->testcommand = get_mailcap_field_text(field + 4);
 			if (!entry->testcommand)
 				return 0;
@@ -298,7 +300,7 @@ parse_optional_fields(struct mailcap_ent
 					return 0;
 				}
 
-		} else if (!strncasecmp(field, "description", 11)) {
+		} else if (!c_strncasecmp(field, "description", 11)) {
 			entry->description = get_mailcap_field_text(field + 11);
 			if (!entry->description)
 				return 0;
diff -pruN 0.12~pre2.dfsg0-1/src/mime/backend/mimetypes.c 0.12~pre4-1/src/mime/backend/mimetypes.c
--- 0.12~pre2.dfsg0-1/src/mime/backend/mimetypes.c	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/src/mime/backend/mimetypes.c	2009-05-31 09:48:47.000000000 +0100
@@ -45,8 +45,8 @@ enum mimetypes_option {
 static struct option_info mimetypes_options[] = {
 	INIT_OPT_TREE("mime", N_("Mimetypes files"),
 		"mimetypes", 0,
-		N_("Options for the support of mime.types files. These files\n"
-		"can be used to find the content type of a URL by looking at\n"
+		N_("Options for the support of mime.types files. These files "
+		"can be used to find the content type of a URL by looking at "
 		"the extension of the file name.")),
 
 	INIT_OPT_BOOL("mime.mimetypes", N_("Enable"),
@@ -55,7 +55,8 @@ static struct option_info mimetypes_opti
 
 	INIT_OPT_STRING("mime.mimetypes", N_("Path"),
 		"path", 0, DEFAULT_MIMETYPES_PATH,
-		N_("The search path for mime.types files. Colon-separated list of files.")),
+		N_("The search path for mime.types files. "
+		"Colon-separated list of files.")),
 
 	NULL_OPTION_INFO,
 };
diff -pruN 0.12~pre2.dfsg0-1/src/mime/mime.c 0.12~pre4-1/src/mime/mime.c
--- 0.12~pre2.dfsg0-1/src/mime/mime.c	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/src/mime/mime.c	2009-05-31 09:48:47.000000000 +0100
@@ -41,8 +41,9 @@ static struct option_info mime_options[]
 
 	INIT_OPT_STRING("mime", N_("Default MIME-type"),
 		"default_type", 0, DEFAULT_MIME_TYPE,
-		N_("Document MIME-type to assume by default (when we are unable to\n"
-		"guess it properly from known information about the document).")),
+		N_("Document MIME-type to assume by default "
+		"(when we are unable to guess it properly "
+		"from known information about the document).")),
 
 	NULL_OPTION_INFO,
 };
@@ -249,7 +250,7 @@ get_fragment_content_type(struct cache_e
 	if (!sample)
 		return NULL;
 
-	if (strcasestr(sample, "<html>"))
+	if (c_strcasestr(sample, "<html>"))
 		ctype = stracpy("text/html");
 
 	mem_free(sample);
@@ -291,7 +292,7 @@ get_content_type(struct cache_entry *cac
 		 * is with default (via option system) and mimetypes resolving
 		 * doing that option and hash lookup will not be easy to
 		 * convert. --jonas */
-		convert_to_lowercase(extension, strlen(extension));
+		convert_to_lowercase_locale_indep(extension, strlen(extension));
 
 		ctype = get_extension_content_type(extension);
 		mem_free(extension);
diff -pruN 0.12~pre2.dfsg0-1/src/network/connection.c 0.12~pre4-1/src/network/connection.c
--- 0.12~pre2.dfsg0-1/src/network/connection.c	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/src/network/connection.c	2009-05-31 09:48:47.000000000 +0100
@@ -118,13 +118,19 @@ get_connections_transfering_count(void)
 	return i;
 }
 
+/** Check whether the pointer @a conn still points to a connection
+ * with the given @a id.  If the struct connection has already been
+ * freed, this returns 0.  By comparing connection.id, this function
+ * can usually detect even the case where a different connection has
+ * been created at the same address.  For that to work, the caller
+ * must save the connection.id before the connection can be deleted.  */
 static inline int
-connection_disappeared(struct connection *conn)
+connection_disappeared(struct connection *conn, unsigned int id)
 {
 	struct connection *c;
 
 	foreach (c, connection_queue)
-		if (conn == c && conn->id == c->id)
+		if (conn == c && id == c->id)
 			return 0;
 
 	return 1;
@@ -349,9 +355,11 @@ set_connection_state(struct connection *
 	conn->state = state;
 	if (is_in_state(conn->state, S_TRANS)) {
 		if (progress->timer == TIMER_ID_UNDEF) {
+			const unsigned int id = conn->id;
+
 			start_update_progress(progress, (void (*)(void *)) stat_timer, conn);
 			update_connection_progress(conn);
-			if (connection_disappeared(conn))
+			if (connection_disappeared(conn, id))
 				return;
 		}
 
@@ -420,13 +428,15 @@ void
 notify_connection_callbacks(struct connection *conn)
 {
 	struct connection_state state = conn->state;
+	unsigned int id = conn->id;
 	struct download *download, *next;
 
 	foreachsafe (download, next, conn->downloads) {
 		download->cached = conn->cached;
 		if (download->callback)
 			download->callback(download, download->data);
-		if (is_in_progress_state(state) && connection_disappeared(conn))
+		if (is_in_progress_state(state)
+		    && connection_disappeared(conn, id))
 			return;
 	}
 }
diff -pruN 0.12~pre2.dfsg0-1/src/network/dns.c 0.12~pre4-1/src/network/dns.c
--- 0.12~pre2.dfsg0-1/src/network/dns.c	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/src/network/dns.c	2009-05-31 09:48:47.000000000 +0100
@@ -89,7 +89,7 @@ find_in_dns_cache(unsigned char *name)
 	struct dnsentry *dnsentry;
 
 	foreach (dnsentry, dns_cache)
-		if (!strcasecmp(dnsentry->name, name)) {
+		if (!c_strcasecmp(dnsentry->name, name)) {
 			move_to_top_of_list(dns_cache, dnsentry);
 			return dnsentry;
 		}
diff -pruN 0.12~pre2.dfsg0-1/src/network/socket.c 0.12~pre4-1/src/network/socket.c
--- 0.12~pre2.dfsg0-1/src/network/socket.c	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/src/network/socket.c	2009-05-31 09:48:47.000000000 +0100
@@ -69,6 +69,16 @@ struct connect_info {
 	struct uri *uri;		 /* For updating the blacklist. */
 };
 
+/** For detecting whether a struct socket has been deleted while a
+ * function was using it.  */
+struct socket_weak_ref {
+	LIST_HEAD(struct socket_weak_ref);
+
+	/** done_socket() resets this to NULL.  */
+	struct socket *socket;
+};
+
+static INIT_LIST_OF(struct socket_weak_ref, socket_weak_refs);
 
 /* To enable logging of tranfers, for debugging purposes. */
 #if 0
@@ -143,6 +153,8 @@ init_socket(void *conn, struct socket_op
 void
 done_socket(struct socket *socket)
 {
+	struct socket_weak_ref *ref;
+
 	close_socket(socket);
 
 	if (socket->connect_info)
@@ -150,6 +162,11 @@ done_socket(struct socket *socket)
 
 	mem_free_set(&socket->read_buffer, NULL);
 	mem_free_set(&socket->write_buffer, NULL);
+
+	foreach(ref, socket_weak_refs) {
+		if (ref->socket == socket)
+			ref->socket = NULL;
+	}
 }
 
 void
@@ -935,13 +952,26 @@ void
 read_from_socket(struct socket *socket, struct read_buffer *buffer,
 		 struct connection_state state, socket_read_T done)
 {
+	const int is_buffer_new = (buffer != socket->read_buffer);
+	struct socket_weak_ref ref;
 	select_handler_T write_handler;
 
+	ref.socket = socket;
+	add_to_list(socket_weak_refs, &ref);
+
 	buffer->done = done;
 
 	socket->ops->set_timeout(socket, connection_state(0));
 	socket->ops->set_state(socket, state);
 
+	del_from_list(&ref);
+	if (ref.socket == NULL) {
+		/* socket->ops->set_state deleted the socket. */
+		if (is_buffer_new)
+			mem_free(buffer);
+		return;
+	}
+
 	if (socket->read_buffer && buffer != socket->read_buffer)
 		mem_free(socket->read_buffer);
 	socket->read_buffer = buffer;
diff -pruN 0.12~pre2.dfsg0-1/src/network/ssl/ssl.c 0.12~pre4-1/src/network/ssl/ssl.c
--- 0.12~pre2.dfsg0-1/src/network/ssl/ssl.c	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/src/network/ssl/ssl.c	2009-05-31 09:48:47.000000000 +0100
@@ -71,7 +71,7 @@ done_openssl(struct module *module)
 static struct option_info openssl_options[] = {
 	INIT_OPT_BOOL("connection.ssl", N_("Verify certificates"),
 		"cert_verify", 0, 0,
-		N_("Verify the peer's SSL certificate. Note that this\n"
+		N_("Verify the peer's SSL certificate. Note that this "
 		"needs extensive configuration of OpenSSL by the user.")),
 
 	INIT_OPT_TREE("connection.ssl", N_("Client Certificates"),
@@ -80,15 +80,15 @@ static struct option_info openssl_option
 
 	INIT_OPT_BOOL("connection.ssl.client_cert", N_("Enable"),
 		"enable", 0, 0,
-		 N_("Enable or not the sending of X509 client certificates\n"
-		    "to servers which request them.")),
+		N_("Enable or not the sending of X509 client certificates "
+		"to servers which request them.")),
 
 	INIT_OPT_STRING("connection.ssl.client_cert", N_("Certificate File"),
 		"file", 0, "",
-		 N_("The location of a file containing the client certificate\n"
-		    "and unencrypted private key in PEM format. If unset, the\n"
-		    "file pointed to by the X509_CLIENT_CERT variable is used\n"
-		    "instead.")),
+		N_("The location of a file containing the client certificate "
+		"and unencrypted private key in PEM format. If unset, the "
+		"file pointed to by the X509_CLIENT_CERT variable is used "
+		"instead.")),
 
 	NULL_OPTION_INFO,
 };
@@ -160,8 +160,8 @@ done_gnutls(struct module *module)
 static struct option_info gnutls_options[] = {
 	INIT_OPT_BOOL("connection.ssl", N_("Verify certificates"),
 		"cert_verify", 0, 0,
-		N_("Verify the peer's SSL certificate.  If you enable\n"
-		   "this, set also \"Trusted CA file\".")),
+		N_("Verify the peer's SSL certificate.  If you enable "
+		"this, set also \"Trusted CA file\".")),
 
 	/* The default value of the following option points to a file
 	 * generated by the ca-certificates Debian package.  Don't use
@@ -173,12 +173,13 @@ static struct option_info gnutls_options
 	 * TODO: If the file name is relative, look in elinks_home?  */
 	INIT_OPT_STRING("connection.ssl", N_("Trusted CA file"),
 		"trusted_ca_file", 0, "/etc/ssl/certs/ca-certificates.crt",
-		N_("The location of a file containing certificates of\n"
-		   "trusted certification authorities in PEM format.\n"
-		   "ELinks then trusts certificates issued by these CAs.\n"
-		   "If you change this option or the file, you must\n"
-		   "restart ELinks for the changes to take effect.\n"
-		   "This option affects GnuTLS but not OpenSSL.")),
+		N_("The location of a file containing certificates of "
+		"trusted certification authorities in PEM format. "
+		"ELinks then trusts certificates issued by these CAs.\n"
+		"\n"
+		"If you change this option or the file, you must "
+		"restart ELinks for the changes to take effect. "
+		"This option affects GnuTLS but not OpenSSL.")),
 
 	NULL_OPTION_INFO,
 };
@@ -229,7 +230,7 @@ init_ssl_connection(struct socket *socke
 	socket->ssl = SSL_new(context);
 	if (!socket->ssl) return S_SSL_ERROR;
 #elif defined(CONFIG_GNUTLS)
-	const unsigned char server_name[] = "localhost";
+	/* const unsigned char server_name[] = "localhost"; */
 	ssl_t *state = mem_alloc(sizeof(ssl_t));
 
 	if (!state) return S_SSL_ERROR;
@@ -254,13 +255,21 @@ init_ssl_connection(struct socket *socke
 		return S_SSL_ERROR;
 	}
 
+#ifdef HAVE_GNUTLS_PRIORITY_SET_DIRECT
+	if (gnutls_priority_set_direct(*state, "NORMAL:-CTYPE-OPENPGP", NULL)) {
+		gnutls_deinit(*state);
+		mem_free(state);
+		return S_SSL_ERROR;
+	}
+#else
 	gnutls_set_default_priority(*state);
-	gnutls_handshake_set_private_extensions(*state, 1);
+#endif
+	/* gnutls_handshake_set_private_extensions(*state, 1); */
 	gnutls_cipher_set_priority(*state, cipher_priority);
 	gnutls_kx_set_priority(*state, kx_priority);
-	gnutls_certificate_type_set_priority(*state, cert_type_priority);
+	/* gnutls_certificate_type_set_priority(*state, cert_type_priority);
 	gnutls_server_name_set(*state, GNUTLS_NAME_DNS, server_name,
-			       sizeof(server_name) - 1);
+			       sizeof(server_name) - 1); */
 
 	socket->ssl = state;
 #endif
diff -pruN 0.12~pre2.dfsg0-1/src/osdep/beos/beos.c 0.12~pre4-1/src/osdep/beos/beos.c
--- 0.12~pre2.dfsg0-1/src/osdep/beos/beos.c	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/src/osdep/beos/beos.c	2009-05-31 09:48:47.000000000 +0100
@@ -41,7 +41,7 @@ get_system_env(void)
 	int env = get_common_env();
 	unsigned char *term = getenv("TERM");
 
-	if (!term || (toupper(term[0]) == 'B' && toupper(term[1]) == 'E'))
+	if (!term || (c_toupper(term[0]) == 'B' && c_toupper(term[1]) == 'E'))
 		env |= ENV_BE;
 
 	return env;
diff -pruN 0.12~pre2.dfsg0-1/src/osdep/os2/os2.c 0.12~pre4-1/src/osdep/os2/os2.c
--- 0.12~pre2.dfsg0-1/src/osdep/os2/os2.c	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/src/osdep/os2/os2.c	2009-05-31 09:48:47.000000000 +0100
@@ -303,7 +303,7 @@ get_window_title(void)
 }
 
 void
-set_window_title(unsigned char *title)
+set_window_title(unsigned char *title, int codepage)
 {
 #ifndef DEBUG_OS2
 	static PTIB tib;
diff -pruN 0.12~pre2.dfsg0-1/src/osdep/osdep.c 0.12~pre4-1/src/osdep/osdep.c
--- 0.12~pre2.dfsg0-1/src/osdep/osdep.c	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/src/osdep/osdep.c	2009-05-31 09:48:47.000000000 +0100
@@ -407,73 +407,78 @@ set_clipboard_text(unsigned char *data)
 
 /* Set xterm-like term window's title. */
 void
-set_window_title(unsigned char *title)
+set_window_title(unsigned char *title, int codepage)
 {
-	unsigned char *s;
-	int xsize, ysize;
-	int j = 0;
+	struct string filtered;
 
 #ifndef HAVE_SYS_CYGWIN_H
 	/* Check if we're in a xterm-like terminal. */
 	if (!is_xterm() && !is_gnuscreen()) return;
 #endif
 
-	/* Retrieve terminal dimensions. */
-	get_terminal_size(0, &xsize, &ysize);
+	if (!init_string(&filtered)) return;
 
-	/* Check if terminal width is reasonnable. */
-	if (xsize < 1 || xsize > 1024) return;
-
-	/* Allocate space for title + 3 ending points + null char. */
-	s = mem_alloc(xsize + 3 + 1);
-	if (!s) return;
-
-	/* Copy title to s if different from NULL */
+	/* Copy title to filtered if different from NULL */
 	if (title) {
-		int i;
+		unsigned char *scan = title;
+		unsigned char *end = title + strlen(title);
 
-		/* We limit title length to terminal width and ignore control
-		 * chars if any. Note that in most cases window decoration
-		 * reduces printable width, so it's just a precaution. */
+		/* Remove control characters, so that they cannot
+		 * interfere with the command we send to the terminal.
+		 * However, do not attempt to limit the title length
+		 * to terminal width, because the title is usually
+		 * drawn in a different font anyway.  */
 		/* Note that this is the right place where to do it, since
 		 * potential alternative set_window_title() routines might
 		 * want to take different precautions. */
-		for (i = 0; title[i] && i < xsize; i++) {
-			/* 0x80 .. 0x9f are ISO-8859-* control characters.
-			 * In some other encodings they could be used for
-			 * legitimate characters, though (ie. in Kamenicky).
-			 * We should therefore maybe check for these only
-			 * if the terminal is running in an ISO- encoding. */
-			if (iscntrl(title[i]) || (title[i] & 0x7f) < 0x20
-			    || title[i] == 0x7f)
+		for (;;) {
+			unsigned char *charbegin = scan;
+			unicode_val_T unicode
+				= cp_to_unicode(codepage, &scan, end);
+			int charlen = scan - charbegin;
+
+			if (unicode == UCS_NO_CHAR)
+				break;
+
+			/* This need not recognize all Unicode control
+			 * characters.  Only those that can make the
+			 * terminal misparse the command.  */
+			if (unicode < 0x20
+			    || (unicode >= 0x7F && unicode < 0xA0))
 				continue;
 
-			s[j++] = title[i];
-		}
+			/* If the title is getting too long, truncate
+			 * it and add an ellipsis.
+			 *
+			 * xterm entirely rejects 1024-byte or longer
+			 * titles.  GNU Screen 4.00.03 misparses
+			 * titles longer than 765 bytes, and is unable
+			 * to display the title in hardstatus if the
+			 * title and other stuff together exceed 766
+			 * bytes.  So set the limit quite a bit lower.  */
+			if (filtered.length + charlen >= 600 - 3) {
+				add_to_string(&filtered, "...");
+				break;
+			}
 
-		/* If title is truncated, add "..." */
-		if (i == xsize) {
-			s[j++] = '.';
-			s[j++] = '.';
-			s[j++] = '.';
+			add_bytes_to_string(&filtered, charbegin, charlen);
 		}
 	}
-	s[j] = '\0';
 
 	/* Send terminal escape sequence + title string */
-	printf("\033]0;%s\a", s);
+	printf("\033]0;%s\a", filtered.source);
 
 #if 0
 	/* Miciah don't like this so it is disabled because it changes the
 	 * default window name. --jonas */
 	/* Set the GNU screen window name */
 	if (is_gnuscreen())
-		printf("\033k%s\033\134", s);
+		printf("\033k%s\033\134", filtered.source);
 #endif
 
 	fflush(stdout);
 
-	mem_free(s);
+	done_string(&filtered);
 }
 
 #ifdef HAVE_X11
diff -pruN 0.12~pre2.dfsg0-1/src/osdep/osdep.h 0.12~pre4-1/src/osdep/osdep.h
--- 0.12~pre2.dfsg0-1/src/osdep/osdep.h	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/src/osdep/osdep.h	2009-05-31 09:48:47.000000000 +0100
@@ -38,7 +38,7 @@ void resume_mouse(void *);
 int start_thread(void (*)(void *, int), void *, int);
 unsigned char *get_clipboard_text(void);
 void set_clipboard_text(unsigned char *);
-void set_window_title(unsigned char *);
+void set_window_title(unsigned char *, int codepage);
 unsigned char *get_window_title(void);
 void block_stdin(void);
 void unblock_stdin(void);
diff -pruN 0.12~pre2.dfsg0-1/src/osdep/stub.c 0.12~pre4-1/src/osdep/stub.c
--- 0.12~pre2.dfsg0-1/src/osdep/stub.c	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/src/osdep/stub.c	2009-05-31 09:48:47.000000000 +0100
@@ -40,7 +40,7 @@
 #define toupper_delta(s1, s2) (toupper(*((char *) s1)) - toupper(*((char *) s2)))
 
 #ifndef HAVE_STRCASECMP
-inline int
+NONSTATIC_INLINE int
 elinks_strcasecmp(const char *s1, const char *s2)
 {
 	while (*s1 != '\0' && toupper_equal(s1, s2)) {
@@ -53,7 +53,7 @@ elinks_strcasecmp(const char *s1, const 
 #endif /* !HAVE_STRCASECMP */
 
 #ifndef HAVE_STRNCASECMP
-inline int
+NONSTATIC_INLINE int
 elinks_strncasecmp(const char *s1, const char *s2, size_t len)
 {
 	if (len == 0)
@@ -72,7 +72,7 @@ elinks_strncasecmp(const char *s1, const
 
 #ifndef HAVE_STRCASESTR
 /* Stub for strcasestr(), GNU extension */
-inline char *
+NONSTATIC_INLINE char *
 elinks_strcasestr(const char *haystack, const char *needle)
 {
 	size_t haystack_length = strlen(haystack);
@@ -93,7 +93,7 @@ elinks_strcasestr(const char *haystack, 
 #endif
 
 #ifndef HAVE_STRDUP
-inline char *
+NONSTATIC_INLINE char *
 elinks_strdup(const char *str)
 {
 	int str_len = strlen(str);
@@ -114,7 +114,7 @@ elinks_strdup(const char *str)
 extern int sys_nerr;
 extern const char *const sys_errlist[];
 #endif
-inline const char *
+NONSTATIC_INLINE const char *
 elinks_strerror(int err_no)
 {
 	if (err_no < 0 || err_no > sys_nerr)
@@ -126,7 +126,7 @@ elinks_strerror(int err_no)
 
 #ifndef HAVE_STRSTR
 /* From http://www.unixpapa.com/incnote/string.html */
-inline char *
+NONSTATIC_INLINE char *
 elinks_strstr(const char *s, const char *p)
 {
 	char *sp, *pp;
@@ -155,7 +155,7 @@ elinks_strstr(const char *s, const char 
  * arguments reversed.
  * From http://www.unixpapa.com/incnote/string.html */
 /* Modified for ELinks by Zas. */
-inline void *
+NONSTATIC_INLINE void *
 elinks_memmove(void *d, const void *s, size_t n)
 {
 	register char *dst = (char *) d;
@@ -178,7 +178,7 @@ elinks_memmove(void *d, const void *s, s
 
 
 #ifndef HAVE_STPCPY
-inline char *
+NONSTATIC_INLINE char *
 elinks_stpcpy(char *dest, const char *src)
 {
 	while ((*dest++ = *src++));
@@ -187,7 +187,7 @@ elinks_stpcpy(char *dest, const char *sr
 #endif
 
 #ifndef HAVE_MEMPCPY
-inline void *
+NONSTATIC_INLINE void *
 elinks_mempcpy(void *dest, const void *src, size_t n)
 {
 	return (void *) ((char *) memcpy(dest, src, n) + n);
@@ -195,7 +195,7 @@ elinks_mempcpy(void *dest, const void *s
 #endif
 
 #ifndef HAVE_ISDIGIT
-inline int
+NONSTATIC_INLINE int
 elinks_isdigit(int i)
 {
 	return i >= '0' && i <= '9';
@@ -203,7 +203,7 @@ elinks_isdigit(int i)
 #endif
 
 #ifndef HAVE_MEMRCHR
-inline void *
+NONSTATIC_INLINE void *
 elinks_memrchr(const void *s, int c, size_t n)
 {
 	char *pos = (char *) s;
diff -pruN 0.12~pre2.dfsg0-1/src/osdep/stub.h 0.12~pre4-1/src/osdep/stub.h
--- 0.12~pre2.dfsg0-1/src/osdep/stub.h	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/src/osdep/stub.h	2009-05-31 09:48:47.000000000 +0100
@@ -54,7 +54,7 @@
 #ifndef HAVE_ISDIGIT
 #undef isdigit
 #define isdigit(a) elinks_isdigit(a)
-inline int elinks_isdigit(int);
+int elinks_isdigit(int);
 #endif
 
 /** strerror() */
@@ -78,7 +78,7 @@ char *elinks_strstr(const char *, const 
 #else
 #undef memmove
 #define memmove(dst, src, n) elinks_memmove(dst, src, n)
-inline void *elinks_memmove(void *, const void *, size_t);
+void *elinks_memmove(void *, const void *, size_t);
 #endif
 #endif
 
diff -pruN 0.12~pre2.dfsg0-1/src/protocol/bittorrent/bittorrent.c 0.12~pre4-1/src/protocol/bittorrent/bittorrent.c
--- 0.12~pre2.dfsg0-1/src/protocol/bittorrent/bittorrent.c	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/src/protocol/bittorrent/bittorrent.c	2009-05-31 09:48:47.000000000 +0100
@@ -54,41 +54,41 @@ static struct option_info bittorrent_pro
 
 	INIT_OPT_BOOL("protocol.bittorrent.tracker", N_("Use compact tracker format"),
 		"compact", 0, 0,
-		N_("Whether to request that the tracker returns peer info\n"
-		"in compact format. Note, the compact format only supports\n"
+		N_("Whether to request that the tracker returns peer info "
+		"in compact format. Note, the compact format only supports "
 		"IPv4 addresses.")),
 
 	INIT_OPT_INT("protocol.bittorrent.tracker", N_("Tracker announce interval"),
 		"interval", 0, 0, INT_MAX, 0,
-		N_("The number of seconds to wait between periodically contacting\n"
-		"the tracker for announcing progress and requesting more peers.\n"
-		"Set to zero to use the interval requested by the tracker.")),
+		N_("The number of seconds to wait between periodically "
+		"contacting the tracker for announcing progress and "
+		"requesting more peers. Set to zero to use the interval "
+		"requested by the tracker.")),
 
 	INIT_OPT_STRING("protocol.bittorrent.tracker", N_("IP-address to announce"),
 		"ip_address", 0, "",
-		N_("What IP address to report to the tracker. If set to \"\"\n"
-		"no IP address will be sent and the tracker will automatically\n"
-		"determine an appropriate IP address.")),
+		N_("What IP address to report to the tracker. If set to \"\" "
+		"no IP address will be sent and the tracker will "
+		"automatically determine an appropriate IP address.")),
 
 	INIT_OPT_STRING("protocol.bittorrent.tracker", N_("User identification string"),
 		"key", 0, "",
-		N_("An additional identification that is not shared with any users.\n"
-		"It is intended to allow a client to prove their identity should\n"
-		"their IP address change. It is an optional parameter, but some\n"
-		"trackers require this parameter. If set to \"\" no user key will\n"
-		"be sent to the tracker.")),
+		N_("An additional identification that is not shared with any "
+		"users. It is intended to allow a client to prove their "
+		"identity should their IP address change. It is an optional "
+		"parameter, but some trackers require this parameter. "
+		"If set to \"\" no user key will be sent to the tracker.")),
 
 	INIT_OPT_INT("protocol.bittorrent.tracker", N_("Maximum number of peers to request"),
 		"numwant", 0, 0, INT_MAX, 50,
-		N_("The maximum number of peers to request from the tracker.\n"
+		N_("The maximum number of peers to request from the tracker. "
 		"Set to 0 to use the server default.")),
 
 	INIT_OPT_INT("protocol.bittorrent.tracker", N_("Minimum peers to skip rerequesting"),
 		"min_skip_size", 0, 0, INT_MAX, 20,
-		N_("The minimum number of peers to have in the current peer info\n"
-		"pool before skipping requesting of more peers. I.e. setting\n"
-		"numwant to zero.\n"
-		"Set to 0 to not have any limit.")),
+		N_("The minimum number of peers to have in the current peer "
+		"info pool before skipping requesting of more peers. I.e. "
+		"setting numwant to zero. Set to 0 to not have any limit.")),
 
 
 	/* ****************************************************************** */
@@ -101,38 +101,41 @@ static struct option_info bittorrent_pro
 
 	INIT_OPT_INT("protocol.bittorrent.peerwire", N_("Maximum number of peer connections"),
 		"connections", 0, 1, INT_MAX, 55,
-		N_("The maximum number of allowed connections to both active and\n"
-		"non-active peers. By increasing the number of allowed connections,\n"
-		"the chance of finding good peers to download from is increased.\n"
-		"However, too many connections can lead to TCP congestion. If the\n"
-		"maximum is reached all new incoming connections will be closed.")),
+		N_("The maximum number of allowed connections to both active "
+		"and non-active peers. By increasing the number of allowed "
+		"connections, the chance of finding good peers to download "
+		"from is increased. However, too many connections can lead to "
+		"TCP congestion. If the maximum is reached all new incoming "
+		"connections will be closed.")),
 
 	INIT_OPT_INT("protocol.bittorrent.peerwire", N_("Maximum peer message length"),
 		"max_message_length", 0, 1, INT_MAX, BITTORRENT_MESSAGE_MAX_SIZE,
-		N_("The maximum length of messages to accept over the wire.\n"
+		N_("The maximum length of messages to accept over the wire. "
 		"Larger values will cause the connection to be dropped.")),
 
 	INIT_OPT_INT("protocol.bittorrent.peerwire", N_("Maximum allowed request length"),
 		"max_request_length", 0, 1, INT_MAX, BITTORRENT_REQUEST_ACCEPT_LENGTH,
-		N_("The maximum length to allow for incoming requests.\n"
+		N_("The maximum length to allow for incoming requests. "
 		"Larger requests will cause the connection to be dropped.")),
 
 	INIT_OPT_INT("protocol.bittorrent.peerwire", N_("Length of requests"),
 		"request_length", 0, 1, INT_MAX, BITTORRENT_REQUEST_LENGTH,
-		N_("How many bytes to query for per request. This is complementary\n"
-		"to the max_request_length option. If the configured length is\n"
-		"bigger than the piece length it will be truncated.")),
+		N_("How many bytes to query for per request. This is "
+		"complementary to the max_request_length option. "
+		"If the configured length is bigger than the piece length "
+		"it will be truncated.")),
 
 	INIT_OPT_INT("protocol.bittorrent.peerwire", N_("Peer inactivity timeout"),
 		"timeout", 0, 0, INT_MAX, 300,
-		N_("The number of seconds to wait before closing a socket on\n"
+		N_("The number of seconds to wait before closing a socket on "
 		"which nothing has been received or sent.")),
 
 	INIT_OPT_INT("protocol.bittorrent.peerwire", N_("Maximum peer pool size"),
 		"pool_size", 0, 0, INT_MAX, 55,
-		N_("Maximum number of items in the peer pool. The peer pool\n"
-		"contains information used for establishing connections to\n"
+		N_("Maximum number of items in the peer pool. The peer pool "
+		"contains information used for establishing connections to "
 		"new peers.\n"
+		"\n"
 		"Set to 0 to have unlimited size.")),
 
 
@@ -142,8 +145,9 @@ static struct option_info bittorrent_pro
 
 	INIT_OPT_INT("protocol.bittorrent", N_("Maximum piece cache size"),
 		"piece_cache_size", 0, 0, INT_MAX, 1024 * 1024,
-		N_("The maximum amount of memory used to hold recently\n"
+		N_("The maximum amount of memory used to hold recently "
 		"downloaded pieces.\n"
+		"\n"
 		"Set to 0 to have unlimited size.")),
 
 	/* ****************************************************************** */
@@ -153,11 +157,11 @@ static struct option_info bittorrent_pro
 #if 0
 	INIT_OPT_STRING("protocol.bittorrent", N_("Sharing rate"),
 		"sharing_rate", 0, "1.0",
-		N_("The minimum sharing rate to achieve before stop seeding.\n"
-		"The sharing rate is computed as the number of uploaded bytes\n"
-		"divided with the number of downloaded bytes. The value should\n"
-		"be a double value between 0.0 and 1.0 both included.\n"
-		"Set to 1.0 to atleast upload a complete copy of all data and\n"
+		N_("The minimum sharing rate to achieve before stop seeding. "
+		"The sharing rate is computed as the number of uploaded bytes "
+		"divided with the number of downloaded bytes. The value "
+		"should be a double value between 0.0 and 1.0 both included. "
+		"Set to 1.0 to atleast upload a complete copy of all data and "
 		"set to 0.0 to have unlimited sharing rate.")),
 #endif
 	INIT_OPT_INT("protocol.bittorrent", N_("Maximum number of uploads"),
@@ -167,42 +171,42 @@ static struct option_info bittorrent_pro
 	/* The number of uploads to fill out to with extra optimistic unchokes */
 	INIT_OPT_INT("protocol.bittorrent", N_("Minimum number of uploads"),
 		"min_uploads", 0, 0, INT_MAX, 2,
-		N_("The minimum number of uploads which should at least\n"
+		N_("The minimum number of uploads which should at least "
 		"be used for new connections.")),
 
 #if 0
 	INIT_OPT_INT("protocol.bittorrent", N_("Keepalive interval"),
 		"keepalive_interval", 0, 0, INT_MAX, 120,
-		N_("The number of seconds to pause between sending keepalive\n"
+		N_("The number of seconds to pause between sending keepalive "
 		"messages.")),
 #endif
 	INIT_OPT_INT("protocol.bittorrent", N_("Number of pending requests"),
 		"request_queue_size", 0, 1, INT_MAX, 5,
-		N_("How many piece requests to continuously keep in queue. Pipelining\n"
-		"of requests is essential to saturate connections and get a good\n"
-		"connection performance and thus a faster download. However, a\n"
-		"very big queue size can lead to wasting bandwidth near the end\n"
-		"of the connection since remaining piece blocks will be requested\n"
-		"from multiple peers.")),
+		N_("How many piece requests to continuously keep in queue. "
+		"Pipelining of requests is essential to saturate connections "
+		"and get a good connection performance and thus a faster "
+		"download. However, a very big queue size can lead to wasting "
+		"bandwidth near the end of the connection since remaining "
+		"piece blocks will be requested from multiple peers.")),
 
 #if 0
 	/* Bram uses 30 seconds here. */
 	INIT_OPT_INT("protocol.bittorrent", N_("Peer snubbing interval"),
 		"snubbing_interval", 0, 0, INT_MAX, 30,
-		N_("The number of seconds to wait for file data before assuming\n"
-		"the peer has been snubbed.")),
+		N_("The number of seconds to wait for file data before "
+		"assuming the peer has been snubbed.")),
 #endif
 	INIT_OPT_INT("protocol.bittorrent", N_("Peer choke interval"),
 		"choke_interval", 0, 0, INT_MAX, BITTORRENT_DEFAULT_CHOKE_INTERVAL,
-		N_("The number of seconds between updating the connection state\n"
-		"and most importantly choke and unchoke peer connections. The\n"
-		"choke period should be big enough for newly unchoked connections\n"
-		"to get started but small enough to not allow freeriders too much\n"
-		"room for stealing bandwidth.")),
+		N_("The number of seconds between updating the connection "
+		"state and most importantly choke and unchoke peer "
+		"connections. The choke period should be big enough for newly "
+		"unchoked connections to get started but small enough to not "
+		"allow freeriders too much room for stealing bandwidth.")),
 
 	INIT_OPT_INT("protocol.bittorrent", N_("Rarest first piece selection cutoff"),
 		"rarest_first_cutoff", 0, 0, INT_MAX, 4,
-		N_("The number of pieces to obtain before switching piece\n"
+		N_("The number of pieces to obtain before switching piece "
 		"selection strategy from random to rarest first.")),
 
 	INIT_OPT_BOOL("protocol.bittorrent", N_("Allow blacklisting"),
diff -pruN 0.12~pre2.dfsg0-1/src/protocol/file/cgi.c 0.12~pre4-1/src/protocol/file/cgi.c
--- 0.12~pre2.dfsg0-1/src/protocol/file/cgi.c	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/src/protocol/file/cgi.c	2009-05-31 09:48:47.000000000 +0100
@@ -42,7 +42,8 @@ static struct option_info cgi_options[] 
 
 	INIT_OPT_STRING("protocol.file.cgi", N_("Path"),
 		"path", 0, "",
-		N_("Colon separated list of directories, where CGI scripts are stored.")),
+		N_("Colon separated list of directories, "
+		"where CGI scripts are stored.")),
 
 	INIT_OPT_BOOL("protocol.file.cgi", N_("Allow local CGI"),
 		"policy", 0, 0,
diff -pruN 0.12~pre2.dfsg0-1/src/protocol/file/file.c 0.12~pre4-1/src/protocol/file/file.c
--- 0.12~pre2.dfsg0-1/src/protocol/file/file.c	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/src/protocol/file/file.c	2009-05-31 09:48:47.000000000 +0100
@@ -43,20 +43,21 @@ static struct option_info file_options[]
 
 	INIT_OPT_BOOL("protocol.file", N_("Allow reading special files"),
 		"allow_special_files", 0, 0,
-		N_("Whether to allow reading from non-regular files.\n"
-		"Note this can be dangerous; reading /dev/urandom or\n"
+		N_("Whether to allow reading from non-regular files. "
+		"Note this can be dangerous; reading /dev/urandom or "
 		"/dev/zero can ruin your day!")),
 
 	INIT_OPT_BOOL("protocol.file", N_("Show hidden files in directory listing"),
 		"show_hidden_files", 0, 1,
-		N_("When set to false, files with name starting with a dot will be\n"
-		   "hidden in local directory listings.")),
+		N_("When set to false, files with name starting with a dot "
+		"will be hidden in local directory listings.")),
 
 	INIT_OPT_BOOL("protocol.file", N_("Try encoding extensions"),
 		"try_encoding_extensions", 0, 1,
-		N_("When set, if we can't open a file named 'filename', we'll try\n"
-		"to open 'filename' with some encoding extension appended\n"
-		"(ie. 'filename.gz'); it depends on the supported encodings.")),
+		N_("When set, if we can't open a file named 'filename', "
+		"we'll try to open 'filename' with some encoding extension "
+		"appended (ie. 'filename.gz'); it depends on the supported "
+		"encodings.")),
 
 	NULL_OPTION_INFO,
 };
diff -pruN 0.12~pre2.dfsg0-1/src/protocol/ftp/ftp.c 0.12~pre4-1/src/protocol/ftp/ftp.c
--- 0.12~pre2.dfsg0-1/src/protocol/ftp/ftp.c	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/src/protocol/ftp/ftp.c	2009-05-31 09:48:47.000000000 +0100
@@ -63,8 +63,9 @@ struct option_info ftp_options[] = {
 
 	INIT_OPT_STRING("protocol.ftp.proxy", N_("Host and port-number"),
 		"host", 0, "",
-		N_("Host and port-number (host:port) of the FTP proxy, or blank.\n"
-		"If it's blank, FTP_PROXY environment variable is checked as well.")),
+		N_("Host and port-number (host:port) of the FTP proxy, "
+		"or blank. If it's blank, FTP_PROXY environment variable "
+		"is checked as well.")),
 
 	INIT_OPT_STRING("protocol.ftp", N_("Anonymous password"),
 		"anon_passwd", 0, "some@host.domain",
@@ -72,11 +73,13 @@ struct option_info ftp_options[] = {
 
 	INIT_OPT_BOOL("protocol.ftp", N_("Use passive mode (IPv4)"),
 		"use_pasv", 0, 1,
-		N_("Use PASV instead of PORT (passive vs active mode, IPv4 only).")),
+		N_("Use PASV instead of PORT (passive vs active mode, "
+		"IPv4 only).")),
 #ifdef CONFIG_IPV6
 	INIT_OPT_BOOL("protocol.ftp", N_("Use passive mode (IPv6)"),
 		"use_epsv", 0, 0,
-		N_("Use EPSV instead of EPRT (passive vs active mode, IPv6 only).")),
+		N_("Use EPSV instead of EPRT (passive vs active mode, "
+		"IPv6 only).")),
 #endif /* CONFIG_IPV6 */
 	NULL_OPTION_INFO,
 };
@@ -297,7 +300,7 @@ auth_user_matching_uri(struct auth_entry
 {
 	if (!uri->userlen) /* Noone said it doesn't. */
 		return 1;
-	return !strlcasecmp(auth->user, -1, uri->user, uri->userlen);
+	return !c_strlcasecmp(auth->user, -1, uri->user, uri->userlen);
 }
 
 
@@ -898,7 +901,7 @@ next:
 	if (pos + 4 > data_len)
 		return -1;
 
-	if (strncasecmp(&data[pos], "byte", 4))
+	if (c_strncasecmp(&data[pos], "byte", 4))
 		return -1;
 
 	errno = 0;
diff -pruN 0.12~pre2.dfsg0-1/src/protocol/gopher/gopher.c 0.12~pre4-1/src/protocol/gopher/gopher.c
--- 0.12~pre2.dfsg0-1/src/protocol/gopher/gopher.c	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/src/protocol/gopher/gopher.c	2009-05-31 09:48:47.000000000 +0100
@@ -224,7 +224,7 @@ add_gopher_command(struct connection *co
 		querylen = selector + selectorlen - query;
 		/* Exclude '?' */
 		selectorlen -= querylen + 1;
-		if (querylen >= 7 && !strncasecmp(query, "search=", 7)) {
+		if (querylen >= 7 && !c_strncasecmp(query, "search=", 7)) {
 			query	 += 7;
 			querylen -= 7;
 		}
diff -pruN 0.12~pre2.dfsg0-1/src/protocol/header.c 0.12~pre4-1/src/protocol/header.c
--- 0.12~pre2.dfsg0-1/src/protocol/header.c	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/src/protocol/header.c	2009-05-31 09:48:47.000000000 +0100
@@ -133,7 +133,7 @@ parse_header(unsigned char *head, unsign
 
 		/* Does item match header line ? */
 		for (itempos = item; *itempos && *pos; itempos++, pos++)
-			if (toupper(*itempos) != toupper(*pos))
+			if (c_toupper(*itempos) != c_toupper(*pos))
 				break;
 
 		if (!*pos) break; /* Nothing left to parse. */
@@ -226,7 +226,7 @@ parse_header_param(unsigned char *str, u
 
 		while (*p && (*p == ';' || *p <= ' ')) p++;
 		if (strlen(p) < namelen) return HEADER_PARAM_NOT_FOUND;
-	} while (strncasecmp(p, name, namelen));
+	} while (c_strncasecmp(p, name, namelen));
 
 	p += namelen;
 
@@ -275,11 +275,11 @@ get_header_param(unsigned char *e, unsig
 	unsigned char *n, *start;
 
 again:
-	while (*e && toupper(*e++) != toupper(*name));
+	while (*e && c_toupper(*e++) != c_toupper(*name));
 	if (!*e) return NULL;
 
 	n = name + 1;
-	while (*n && toupper(*e) == toupper(*n)) e++, n++;
+	while (*n && c_toupper(*e) == c_toupper(*n)) e++, n++;
 	if (*n) goto again;
 
 	skip_space(e);
diff -pruN 0.12~pre2.dfsg0-1/src/protocol/http/blacklist.c 0.12~pre4-1/src/protocol/http/blacklist.c
--- 0.12~pre2.dfsg0-1/src/protocol/http/blacklist.c	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/src/protocol/http/blacklist.c	2009-05-31 09:48:47.000000000 +0100
@@ -34,7 +34,7 @@ get_blacklist_entry(struct uri *uri)
 	if_assert_failed return NULL;
 
 	foreach (entry, blacklist)
-		if (!strlcasecmp(entry->host, -1, uri->host, uri->hostlen))
+		if (!c_strlcasecmp(entry->host, -1, uri->host, uri->hostlen))
 			return entry;
 
 	return NULL;
diff -pruN 0.12~pre2.dfsg0-1/src/protocol/http/codes.c 0.12~pre4-1/src/protocol/http/codes.c
--- 0.12~pre2.dfsg0-1/src/protocol/http/codes.c	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/src/protocol/http/codes.c	2009-05-31 09:48:47.000000000 +0100
@@ -171,8 +171,7 @@ show_http_error_document(struct session 
 	if (str) {
 		/* The codepage that _("foo", term) used when it was
 		 * called by get_http_error_document.  */
-		const int gettext_codepage
-			= get_opt_codepage_tree(term->spec, "charset");
+		const int gettext_codepage = get_terminal_codepage(term);
 
 		if (cached) delete_entry_content(cache);
 
diff -pruN 0.12~pre2.dfsg0-1/src/protocol/http/http.c 0.12~pre4-1/src/protocol/http/http.c
--- 0.12~pre2.dfsg0-1/src/protocol/http/http.c	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/src/protocol/http/http.c	2009-05-31 09:48:47.000000000 +0100
@@ -103,8 +103,8 @@ static struct option_info http_options[]
 
 	INIT_OPT_BOOL("protocol.http.bugs", N_("Do not send Accept-Charset"),
 		"accept_charset", 0, 1,
-		N_("The Accept-Charset header is quite long and sending it can trigger\n"
-		"bugs in some rarely found servers.")),
+		N_("The Accept-Charset header is quite long and sending it "
+		"can trigger bugs in some rarely found servers.")),
 
 	INIT_OPT_BOOL("protocol.http.bugs", N_("Allow blacklisting"),
 		"allow_blacklist", 0, 1,
@@ -112,9 +112,10 @@ static struct option_info http_options[]
 
 	INIT_OPT_BOOL("protocol.http.bugs", N_("Broken 302 redirects"),
 		"broken_302_redirect", 0, 1,
-		N_("Broken 302 redirect (violates RFC but compatible with Netscape).\n"
-		"This is a problem for a lot of web discussion boards and the like.\n"
-		"If they will do strange things to you, try to play with this.")),
+		N_("Broken 302 redirect (violates RFC but compatible with "
+		"Netscape). This is a problem for a lot of web discussion "
+		"boards and the like. If they will do strange things to you, "
+		"try to play with this.")),
 
 	INIT_OPT_BOOL("protocol.http.bugs", N_("No keepalive after POST requests"),
 		"post_no_keepalive", 0, 0,
@@ -130,8 +131,9 @@ static struct option_info http_options[]
 
 	INIT_OPT_STRING("protocol.http.proxy", N_("Host and port-number"),
 		"host", 0, "",
-		N_("Host and port-number (host:port) of the HTTP proxy, or blank.\n"
-		"If it's blank, HTTP_PROXY environment variable is checked as well.")),
+		N_("Host and port-number (host:port) of the HTTP proxy, "
+		"or blank. If it's blank, HTTP_PROXY environment variable "
+		"is checked as well.")),
 
 	INIT_OPT_STRING("protocol.http.proxy", N_("Username"),
 		"user", 0, "",
@@ -144,12 +146,13 @@ static struct option_info http_options[]
 
 	INIT_OPT_TREE("protocol.http", N_("Referer sending"),
 		"referer", 0,
-		N_("HTTP referer sending options. HTTP referer is a special header\n"
-		"sent in the HTTP requests, which is supposed to contain the previous\n"
-		"page visited by the browser. This way, the server can know what link\n"
-		"did you follow when accessing that page. However, this behaviour\n"
-		"can unfortunately considerably affect privacy and can lead even to a\n"
-		"security problem on some badly designed web pages.")),
+		N_("HTTP referer sending options. HTTP referer is a special "
+		"header sent in the HTTP requests, which is supposed to "
+		"contain the previous page visited by the browser."
+		"This way, the server can know what link did you follow "
+		"when accessing that page. However, this behaviour can "
+		"unfortunately considerably affect privacy and can lead even "
+		"to a security problem on some badly designed web pages.")),
 
 	INIT_OPT_INT("protocol.http.referer", N_("Policy"),
 		"policy", 0,
@@ -171,31 +174,54 @@ static struct option_info http_options[]
 
 	INIT_OPT_BOOL("protocol.http", N_("Use UI language as Accept-Language"),
 		"accept_ui_language", 0, 1,
-		N_("Request localised versions of documents from web-servers (using the\n"
-		"Accept-Language header) using the language you have configured for\n"
-		"ELinks' user-interface (this also affects navigator.language ECMAScript\n"
-		"value available to scripts). Note that some see this as a potential\n"
-		"security risk because it tells web-masters and the FBI sniffers about\n"
-		"your language preference.")),
+		N_("Request localised versions of documents from web-servers "
+		"(using the Accept-Language header) using the language "
+		"you have configured for ELinks' user-interface (this also "
+		"affects navigator.language ECMAScript value available to "
+		"scripts). Note that some see this as a potential security "
+		"risk because it tells web-masters and the FBI sniffers "
+		"about your language preference.")),
+
+	/* After the compression support has been tested enough,
+	 * we might wrap this option in #if CFG_DEBUG.  */
+	INIT_OPT_BOOL("protocol.http", N_("Enable on-the-fly compression"),
+		"compression", 0, 1,
+		N_("If enabled, the capability to receive compressed content "
+		"(gzip and/or bzip2) is announced to the server, which "
+		"usually sends the reply compressed, thus saving some "
+		"bandwidth at slight CPU expense.\n"
+		"\n"
+		"If ELinks displays a incomplete page or garbage, try "
+		"disabling this option. If that helps, there may be a bug in "
+		"the decompression part of ELinks. Please report such bugs.\n"
+		"\n"
+		"If ELinks has been compiled without compression support, "
+		"this option has no effect. To check the supported features, "
+		"see Help -> About.")),
 
 	INIT_OPT_BOOL("protocol.http", N_("Activate HTTP TRACE debugging"),
 		"trace", 0, 0,
-		N_("If active, all HTTP requests are sent with TRACE as their method\n"
-		"rather than GET or POST. This is useful for debugging of both ELinks\n"
-		"and various server-side scripts --- the server only returns the client's\n"
-		"request back to the client verbatim. Note that this type of request may\n"
+		N_("If active, all HTTP requests are sent with TRACE as "
+		"their method rather than GET or POST. This is useful for "
+		"debugging of both ELinks and various server-side scripts "
+		"--- the server only returns the client's request back to "
+		"the client verbatim. Note that this type of request may "
 		"not be enabled on all servers.")),
 
 	/* OSNews.com is supposed to be relying on the textmode token, at least. */
 	INIT_OPT_STRING("protocol.http", N_("User-agent identification"),
 		"user_agent", 0, "ELinks/%v (textmode; %s; %t-%b)",
-		N_("Change the User Agent ID. That means identification string, which\n"
-		"is sent to HTTP server when a document is requested. The 'textmode'\n"
-		"token in the first field is our silent attempt to establish this as\n"
-		"a standard for new textmode user agents, so that the webmasters can\n"
-		"have just a single uniform test for these if they are e.g. pushing\n"
-		"some lite version to them automagically.\n"
-		"Use \" \" if you don't want any User-Agent header to be sent at all.\n"
+		N_("Change the User Agent ID. That means identification "
+		"string, which is sent to HTTP server when a document is "
+		"requested. The 'textmode' token in the first field is our "
+		"silent attempt to establish this as a standard for new "
+		"textmode user agents, so that the webmasters can have "
+		"just a single uniform test for these if they are e.g. "
+		"pushing some lite version to them automagically.\n"
+		"\n"
+		"Use \" \" if you don't want any User-Agent header to be sent "
+		"at all.\n"
+		"\n"
 		"%v in the string means ELinks version,\n"
 		"%s in the string means system identification,\n"
 		"%t in the string means size of the terminal,\n"
@@ -212,8 +238,9 @@ static struct option_info http_options[]
 
 	INIT_OPT_STRING("protocol.https.proxy", N_("Host and port-number"),
 	  	"host", 0, "",
-		N_("Host and port-number (host:port) of the HTTPS CONNECT proxy, or blank.\n"
-		"If it's blank, HTTPS_PROXY environment variable is checked as well.")),
+		N_("Host and port-number (host:port) of the HTTPS CONNECT "
+		"proxy, or blank. If it's blank, HTTPS_PROXY environment "
+		"variable is checked as well.")),
 	NULL_OPTION_INFO,
 };
 
@@ -393,8 +420,8 @@ get_http_code(struct read_buffer *rb, in
 	while (*head == ' ') head++;
 
 	/* HTTP/ */
-	if (toupper(*head) != 'H' || toupper(*++head) != 'T' ||
-	    toupper(*++head) != 'T' || toupper(*++head) != 'P'
+	if (c_toupper(*head) != 'H' || c_toupper(*++head) != 'T' ||
+	    c_toupper(*++head) != 'T' || c_toupper(*++head) != 'P'
 	    || *++head != '/')
 		return -1;
 
@@ -772,7 +799,8 @@ http_send_header(struct socket *socket)
 	add_to_string(&header, "Accept: */*");
 	add_crlf_to_string(&header);
 
-	accept_encoding_header(&header);
+	if (get_opt_bool("protocol.http.compression"))
+		accept_encoding_header(&header);
 
 	if (!accept_charset) {
 		init_accept_charset();
@@ -1012,7 +1040,7 @@ decompress_data(struct connection *conn,
 	int *length_of_block;
 	unsigned char *output = NULL;
 
-#define BIG_READ 65536
+#define BIG_READ 655360
 
 	if (http->length == LEN_CHUNKED) {
 		if (http->chunk_remaining == CHUNK_ZERO_SIZE)
@@ -1100,6 +1128,7 @@ decompress_data(struct connection *conn,
 
 	if (state == FINISHING) shutdown_connection_stream(conn);
 	return output;
+#undef BIG_READ
 }
 
 static int
@@ -1306,7 +1335,8 @@ read_normal_http_data(struct connection 
 
 	kill_buffer_data(rb, len);
 
-	if (!http->length && conn->socket->state == SOCKET_RETRY_ONCLOSE) {
+	if (!http->length && (conn->socket->state == SOCKET_RETRY_ONCLOSE
+		|| conn->socket->state == SOCKET_CLOSED)) {
 		return 2;
 	}
 
@@ -1321,7 +1351,7 @@ read_http_data(struct socket *socket, st
 	int ret;
 
 	if (socket->state == SOCKET_CLOSED) {
-		if (conn->content_encoding && http->length == -1) {
+		if (conn->content_encoding) {
 			/* Flush decompression first. */
 			http->length = 0;
 		} else {
@@ -1364,7 +1394,7 @@ get_header(struct read_buffer *rb)
 	/* XXX: We will have to do some guess about whether an HTTP header is
 	 * coming or not, in order to support HTTP/0.9 reply correctly. This
 	 * means a little code duplication with get_http_code(). --pasky */
-	if (rb->length > 4 && strncasecmp(rb->data, "HTTP/", 5))
+	if (rb->length > 4 && c_strncasecmp(rb->data, "HTTP/", 5))
 		return -2;
 
 	for (i = 0; i < rb->length; i++) {
@@ -1401,7 +1431,7 @@ check_http_authentication(struct connect
 
 	d = parse_header(header, header_field, &str);
 	while (d) {
-		if (!strncasecmp(d, "Basic", 5)) {
+		if (!c_strncasecmp(d, "Basic", 5)) {
 			unsigned char *realm = get_header_param(d, "realm");
 
 			if (realm) {
@@ -1410,7 +1440,7 @@ check_http_authentication(struct connect
 				mem_free(d);
 				break;
 			}
-		} else if (!strncasecmp(d, "Digest", 6)) {
+		} else if (!c_strncasecmp(d, "Digest", 6)) {
 			unsigned char *realm = get_header_param(d, "realm");
 			unsigned char *nonce = get_header_param(d, "nonce");
 			unsigned char *opaque = get_header_param(d, "opaque");
@@ -1424,13 +1454,13 @@ check_http_authentication(struct connect
 			break;
 		}
 #ifdef CONFIG_GSSAPI
-		else if (!strncasecmp(d, HTTPNEG_GSS_STR, HTTPNEG_GSS_STRLEN)) {
+		else if (!c_strncasecmp(d, HTTPNEG_GSS_STR, HTTPNEG_GSS_STRLEN)) {
 			if (http_negotiate_input(conn, uri, HTTPNEG_GSS, str)==0)
 				ret = 1;
 			mem_free(d);
 			break;
 		}
-		else if (!strncasecmp(d, HTTPNEG_NEG_STR, HTTPNEG_NEG_STRLEN)) {
+		else if (!c_strncasecmp(d, HTTPNEG_NEG_STR, HTTPNEG_NEG_STRLEN)) {
 			if (http_negotiate_input(conn, uri, HTTPNEG_NEG, str)==0)
 				ret = 1;
 			mem_free(d);
@@ -1685,7 +1715,7 @@ again:
 
 		d = parse_header(conn->cached->head, "Proxy-Authenticate", &str);
 		while (d) {
-			if (!strncasecmp(d, "Basic", 5)) {
+			if (!c_strncasecmp(d, "Basic", 5)) {
 				unsigned char *realm = get_header_param(d, "realm");
 
 				if (realm) {
@@ -1695,7 +1725,7 @@ again:
 					break;
 				}
 
-			} else if (!strncasecmp(d, "Digest", 6)) {
+			} else if (!c_strncasecmp(d, "Digest", 6)) {
 				unsigned char *realm = get_header_param(d, "realm");
 				unsigned char *nonce = get_header_param(d, "nonce");
 				unsigned char *opaque = get_header_param(d, "opaque");
@@ -1721,7 +1751,7 @@ again:
 
 	if ((d = parse_header(conn->cached->head, "Connection", NULL))
 	     || (d = parse_header(conn->cached->head, "Proxy-Connection", NULL))) {
-		if (!strcasecmp(d, "close")) http->close = 1;
+		if (!c_strcasecmp(d, "close")) http->close = 1;
 		mem_free(d);
 	} else if (PRE_HTTP_1_1(version)) {
 		http->close = 1;
@@ -1733,7 +1763,7 @@ again:
 	if (d) {
 		if (strlen(d) > 6) {
 			d[5] = 0;
-			if (isdigit(d[6]) && !strcasecmp(d, "bytes")) {
+			if (isdigit(d[6]) && !c_strcasecmp(d, "bytes")) {
 				int f;
 
 				errno = 0;
@@ -1789,7 +1819,7 @@ again:
 		d = parse_header(conn->cached->head, "Accept-Ranges", NULL);
 
 		if (d) {
-			if (!strcasecmp(d, "none"))
+			if (!c_strcasecmp(d, "none"))
 				conn->unrestartable = 1;
 			mem_free(d);
 		} else {
@@ -1800,7 +1830,7 @@ again:
 
 	d = parse_header(conn->cached->head, "Transfer-Encoding", NULL);
 	if (d) {
-		if (!strcasecmp(d, "chunked")) {
+		if (!c_strcasecmp(d, "chunked")) {
 			http->length = LEN_CHUNKED;
 			http->chunk_remaining = CHUNK_SIZE;
 		}
@@ -1810,7 +1840,7 @@ again:
 
 	d = parse_header(conn->cached->head, "Last-Modified", NULL);
 	if (d) {
-		if (conn->cached->last_modified && strcasecmp(conn->cached->last_modified, d)) {
+		if (conn->cached->last_modified && c_strcasecmp(conn->cached->last_modified, d)) {
 			delete_entry_content(conn->cached);
 			if (conn->from) {
 				conn->from = 0;
@@ -1872,21 +1902,21 @@ again:
 		 * will leave the saved file with the correct encoding. */
 #ifdef CONFIG_GZIP
 		if (file_encoding != ENCODING_GZIP
-		    && (!strcasecmp(d, "gzip") || !strcasecmp(d, "x-gzip")))
+		    && (!c_strcasecmp(d, "gzip") || !c_strcasecmp(d, "x-gzip")))
 		    	conn->content_encoding = ENCODING_GZIP;
-		if (!strcasecmp(d, "deflate") || !strcasecmp(d, "x-deflate"))
+		if (!c_strcasecmp(d, "deflate") || !c_strcasecmp(d, "x-deflate"))
 			conn->content_encoding = ENCODING_DEFLATE;
 #endif
 
 #ifdef CONFIG_BZIP2
 		if (file_encoding != ENCODING_BZIP2
-		    && (!strcasecmp(d, "bzip2") || !strcasecmp(d, "x-bzip2")))
+		    && (!c_strcasecmp(d, "bzip2") || !c_strcasecmp(d, "x-bzip2")))
 			conn->content_encoding = ENCODING_BZIP2;
 #endif
 
 #ifdef CONFIG_LZMA
 		if (file_encoding != ENCODING_LZMA
-		    && (!strcasecmp(d, "lzma") || !strcasecmp(d, "x-lzma")))
+		    && (!c_strcasecmp(d, "lzma") || !c_strcasecmp(d, "x-lzma")))
 			conn->content_encoding = ENCODING_LZMA;
 #endif
 		mem_free(d);
diff -pruN 0.12~pre2.dfsg0-1/src/protocol/nntp/nntp.c 0.12~pre4-1/src/protocol/nntp/nntp.c
--- 0.12~pre2.dfsg0-1/src/protocol/nntp/nntp.c	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/src/protocol/nntp/nntp.c	2009-05-31 09:48:47.000000000 +0100
@@ -35,13 +35,14 @@ static struct option_info nntp_protocol_
 
 	INIT_OPT_STRING("protocol.nntp", N_("Default news server"),
 		"server", 0, "",
-		N_("Used when resolving news: URIs. If set to the empty string\n"
-		"the value of the NNTPSERVER environment variable will be used.")),
+		N_("Used when resolving news: URIs. "
+		"If set to the empty string the value of the NNTPSERVER "
+		"environment variable will be used.")),
 
 	INIT_OPT_STRING("protocol.nntp", N_("Message header entries"),
 		"header_entries", 0, NNTP_HEADER_ENTRIES,
-		N_("Comma separated list of which entries in the article header\n"
-		"to show. E.g. 'Subject' and 'From'.\n"
+		N_("Comma separated list of which entries in the article "
+		"header to show. E.g. 'Subject' and 'From'. "
 		"All header entries can be read in the header info dialog.")),
 
 	NULL_OPTION_INFO,
diff -pruN 0.12~pre2.dfsg0-1/src/protocol/nntp/response.c 0.12~pre4-1/src/protocol/nntp/response.c
--- 0.12~pre2.dfsg0-1/src/protocol/nntp/response.c	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/src/protocol/nntp/response.c	2009-05-31 09:48:47.000000000 +0100
@@ -297,9 +297,9 @@ add_header_to_string(struct string *str,
 			break;
 
 		for (sp = end; sp < cp; sp++)
-			charset_q[sp - end] = tolower(*sp);
+			charset_q[sp - end] = c_tolower(*sp);
 		charset_q[cp - end] = 0;
-		encoding = tolower(cp[1]);
+		encoding = c_tolower(cp[1]);
 
 		if (!encoding || cp[2] != '?')
 			break;
diff -pruN 0.12~pre2.dfsg0-1/src/protocol/protocol.c 0.12~pre4-1/src/protocol/protocol.c
--- 0.12~pre2.dfsg0-1/src/protocol/protocol.c	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/src/protocol/protocol.c	2009-05-31 09:48:47.000000000 +0100
@@ -114,7 +114,7 @@ get_protocol(unsigned char *name, int na
 		unsigned char *pname = protocol_backends[protocol].name;
 		int pnamelen = strlen(pname);
 		int minlen = int_min(pnamelen, namelen);
-		int compare = strncasecmp(pname, name, minlen);
+		int compare = c_strncasecmp(pname, name, minlen);
 
 		if (compare == 0) {
 			if (pnamelen == namelen)
@@ -276,10 +276,10 @@ static struct option_info protocol_optio
 
 	INIT_OPT_STRING("protocol", N_("No-proxy domains"),
 		"no_proxy", 0, "",
-		N_("Comma separated list of domains for which the proxy (HTTP/FTP)\n"
-		"should be disabled. Optionally, a port can be specified for some\n"
-		"domains as well. If it's blank, NO_PROXY environment variable is\n"
-		"checked as well.")),
+		N_("Comma separated list of domains for which the proxy "
+		"(HTTP/FTP) should be disabled. Optionally, a port can be "
+		"specified for some domains as well. If it's blank, "
+		"NO_PROXY environment variable is checked as well.")),
 
 	NULL_OPTION_INFO,
 };
diff -pruN 0.12~pre2.dfsg0-1/src/protocol/proxy.c 0.12~pre4-1/src/protocol/proxy.c
--- 0.12~pre2.dfsg0-1/src/protocol/proxy.c	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/src/protocol/proxy.c	2009-05-31 09:48:47.000000000 +0100
@@ -37,7 +37,7 @@ proxy_probe_no_proxy(unsigned char *url,
 		skip_space(no_proxy);
 		if (jumper) *jumper = '\0';
 
-		if (strcasestr(url, no_proxy)) {
+		if (c_strcasestr(url, no_proxy)) {
 			if (jumper) *jumper = ',';
 			if (slash) *slash = '/';
 			return 1;
@@ -86,9 +86,9 @@ strip_proxy_protocol(unsigned char *prox
 {
 	assert(proxy && *proxy);
 
-	if (!strncasecmp(proxy, strip1, strlen(strip1)))
+	if (!c_strncasecmp(proxy, strip1, strlen(strip1)))
 		proxy += strlen(strip1);
-	else if (strip2 && !strncasecmp(proxy, strip2, strlen(strip2)))
+	else if (strip2 && !c_strncasecmp(proxy, strip2, strlen(strip2)))
 		proxy += strlen(strip2);
 
 	return proxy;
diff -pruN 0.12~pre2.dfsg0-1/src/protocol/rewrite/rewrite.c 0.12~pre4-1/src/protocol/rewrite/rewrite.c
--- 0.12~pre2.dfsg0-1/src/protocol/rewrite/rewrite.c	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/src/protocol/rewrite/rewrite.c	2009-05-31 09:48:47.000000000 +0100
@@ -43,26 +43,28 @@ enum uri_rewrite_option {
 static struct option_info uri_rewrite_options[] = {
 	INIT_OPT_TREE("protocol", N_("URI rewriting"),
 		"rewrite", OPT_SORT,
-		N_("Rules for rewriting URIs entered in the goto dialog.\n"
-		"It makes it possible to define a set of prefixes that will\n"
-		"be expanded if they match a string entered in the goto dialog.\n"
-		"The prefixes can be dumb, meaning that they work only like\n"
-		"URI abbreviations, or smart ones, making it possible to pass\n"
-		"arguments to them like search engine keywords.")),
+		N_("Rules for rewriting URIs entered in the goto dialog. "
+		"It makes it possible to define a set of prefixes that will "
+		"be expanded if they match a string entered in the goto "
+		"dialog. The prefixes can be dumb, meaning that they work "
+		"only like URI abbreviations, or smart ones, making it "
+		"possible to pass arguments to them like search engine "
+		"keywords.")),
 
 	INIT_OPT_BOOL("protocol.rewrite", N_("Enable dumb prefixes"),
 		"enable-dumb", 0, 1,
-		N_("Enable dumb prefixes - simple URI abbreviations which can\n"
-		"be written to the Goto URL dialog instead of actual URIs - i.e.\n"
-		"if you write 'elinks' there, you are directed to\n"
+		N_("Enable dumb prefixes - simple URI abbreviations which "
+		"can be written to the Goto URL dialog instead of actual URIs "
+		"- i.e. if you write 'elinks' there, you are directed to "
 		"http://elinks.cz/.")),
 
 	INIT_OPT_BOOL("protocol.rewrite", N_("Enable smart prefixes"),
 		"enable-smart", 0, 1,
-		N_("Enable smart prefixes - URI templates triggered by writing\n"
-		"given abbreviation to the Goto URL dialog followed by a list\n"
-		"of arguments from which the actual URI is composed - i.e.\n"
-		"'gg:search keywords' or 'gn search keywords for news'.")),
+		N_("Enable smart prefixes - URI templates triggered by "
+		"writing given abbreviation to the Goto URL dialog followed "
+		"by a list of arguments from which the actual URI is composed "
+		"- i.e. 'gg:search keywords' or 'gn search keywords for "
+		"news'.")),
 
 	INIT_OPT_TREE("protocol.rewrite", N_("Dumb Prefixes"),
 		"dumb", OPT_AUTOCREATE | OPT_SORT,
@@ -77,7 +79,8 @@ static struct option_info uri_rewrite_op
 
 	INIT_OPT_TREE("protocol.rewrite", N_("Smart Prefixes"),
 		"smart", OPT_AUTOCREATE | OPT_SORT,
-		N_("Smart prefixes, see enable-smart description for details.")),
+		N_("Smart prefixes, see enable-smart description for "
+		"details.")),
 
 	/* TODO: In some rare occations current link URI and referrer might
 	 * also be useful and dare I mention some kind of proxy argument. --jonas */
@@ -93,14 +96,17 @@ static struct option_info uri_rewrite_op
 	INIT_OPT_STRING("protocol.rewrite", N_("Default template"),
 		"default_template", 0, "",
 		/* xgettext:no-c-format */
-		N_("Default URI template used when the string entered in\n"
-		"the goto dialog does not appear to be a URI or a filename\n"
-		"(i.e. contains no '.', ':' or '/' characters), and does\n"
-		"not match any defined prefixes. Set the value to \"\" to\n"
+		N_("Default URI template used when the string entered in "
+		"the goto dialog does not appear to be a URI or a filename "
+		"(i.e. contains no '.', ':' or '/' characters), and does "
+		"not match any defined prefixes. Set the value to \"\" to "
 		"disable use of the default template rewrite rule.\n"
+		"\n"
 		"%c in the template means the current URL,\n"
-		"%s in the template means the whole string from the goto dialog,\n"
-		"%0,%1,...,%9 mean the 1st,2nd,...,10th space-delimited part of %s,\n"
+		"%s in the template means the whole string from the goto\n"
+		"   dialog,\n"
+		"%0,%1,...,%9 mean the 1st,2nd,...,10th space-delimited part\n"
+		"   of %s,\n"
 		"%% in the template means '%'.")),
 
 #define INIT_OPT_DUMB_PREFIX(prefix, uri) \
diff -pruN 0.12~pre2.dfsg0-1/src/protocol/uri.c 0.12~pre4-1/src/protocol/uri.c
--- 0.12~pre2.dfsg0-1/src/protocol/uri.c	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/src/protocol/uri.c	2009-05-31 09:48:47.000000000 +0100
@@ -67,13 +67,13 @@ is_in_domain(unsigned char *domain, unsi
 		return 0;
 
 	if (domain_len == server_len)
-		return !strncasecmp(domain, server, server_len);
+		return !c_strncasecmp(domain, server, server_len);
 
 	len = server_len - domain_len;
 	if (server[len - 1] != '.')
 		return 0;
 
-	return !strncasecmp(domain, server + len, domain_len);
+	return !c_strncasecmp(domain, server + len, domain_len);
 }
 
 int
@@ -131,7 +131,7 @@ end_with_known_tld(const unsigned char *
 		int tldlen = strlen(tld[i]);
 		int pos = slen - tldlen;
 
-		if (pos >= 0 && !strncasecmp(&s[pos], tld[i], tldlen))
+		if (pos >= 0 && !c_strncasecmp(&s[pos], tld[i], tldlen))
 			return pos;
 	}
 
@@ -274,7 +274,7 @@ parse_uri(struct uri *uri, unsigned char
 
 		/* A bit of a special case, but using the "normal" host
 		 * parsing seems a bit scary at this point. (see bug 107). */
-		if (datalen > 9 && !strncasecmp(prefix_end, "localhost/", 10)) {
+		if (datalen > 9 && !c_strncasecmp(prefix_end, "localhost/", 10)) {
 			prefix_end += 9;
 			datalen -= 9;
 		}
@@ -711,8 +711,8 @@ normalize_uri(struct uri *uri, unsigned 
 		 * get_translated_uri() through translate_url() calls this
 		 * function and then it already works on and modifies an
 		 * allocated copy. */
-		convert_to_lowercase(uri->string, uri->protocollen);
-		if (uri->hostlen) convert_to_lowercase(uri->host, uri->hostlen);
+		convert_to_lowercase_locale_indep(uri->string, uri->protocollen);
+		if (uri->hostlen) convert_to_lowercase_locale_indep(uri->host, uri->hostlen);
 
 		parse = 1;
 		parse_string = uri->data;
@@ -1023,7 +1023,7 @@ find_uri_protocol(unsigned char *newurl)
 	ch = newurl + strcspn(newurl, ".:/@");
 	if (*ch == '@'
 	    || (*ch == ':' && *newurl != '[' && strchr(newurl, '@'))
-	    || !strncasecmp(newurl, "ftp.", 4)) {
+	    || !c_strncasecmp(newurl, "ftp.", 4)) {
 		/* Contains user/password/ftp-hostname */
 		return PROTOCOL_FTP;
 
@@ -1521,11 +1521,11 @@ check_uri_sanity(struct uri *uri)
 	int pos;
 
 	for (pos = 0; pos < uri->protocollen; pos++)
-		if (isupper(uri->string[pos])) goto error;
+		if (c_isupper(uri->string[pos])) goto error;
 
 	if (uri->hostlen)
 		for (pos = 0; pos < uri->hostlen; pos++)
-			if (isupper(uri->host[pos])) goto error;
+			if (c_isupper(uri->host[pos])) goto error;
 	return;
 error:
 	INTERNAL("Uppercase letters detected in protocol or host part (%s).", struri(uri));
diff -pruN 0.12~pre2.dfsg0-1/src/protocol/user.c 0.12~pre4-1/src/protocol/user.c
--- 0.12~pre2.dfsg0-1/src/protocol/user.c	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/src/protocol/user.c	2009-05-31 09:48:47.000000000 +0100
@@ -33,8 +33,8 @@
 static struct option_info user_protocol_options[] = {
 	INIT_OPT_TREE("protocol", N_("User protocols"),
 		"user", OPT_AUTOCREATE,
-		N_("User protocols. Options in this tree specify external\n"
-		"handlers for the appropriate protocols. Ie.\n"
+		N_("User protocols. Options in this tree specify external "
+		"handlers for the appropriate protocols. Ie. "
 		"protocol.user.mailto.unix.")),
 
 	/* FIXME: Poorly designed options structure. Ought to be able to specify
@@ -44,8 +44,9 @@ static struct option_info user_protocol_
 
 	INIT_OPT_TREE("protocol.user", NULL,
 		"_template_", OPT_AUTOCREATE,
-		N_("Handler (external program) for this protocol. Name the\n"
-		"options in this tree after your system (ie. unix, unix-xwin).")),
+		N_("Handler (external program) for this protocol. Name the "
+		"options in this tree after your system (ie. unix, "
+		"unix-xwin).")),
 
 	INIT_OPT_STRING("protocol.user._template_", NULL,
 		"_template_", 0, "",
@@ -104,7 +105,7 @@ get_user_program(struct terminal *term, 
 
 	/* Now add lowercased progid part. Delicious. */
 	add_bytes_to_string(&name, progid, progidlen);
-	convert_to_lowercase(&name.source[sizeof("protocol.user.") - 1], progidlen);
+	convert_to_lowercase_locale_indep(&name.source[sizeof("protocol.user.") - 1], progidlen);
 
 	add_char_to_string(&name, '.');
 	add_to_string(&name, get_system_str(xwin));
diff -pruN 0.12~pre2.dfsg0-1/src/scripting/perl/core.c 0.12~pre4-1/src/scripting/perl/core.c
--- 0.12~pre2.dfsg0-1/src/scripting/perl/core.c	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/src/scripting/perl/core.c	2009-05-31 09:48:47.000000000 +0100
@@ -15,6 +15,12 @@
 #include "scripting/perl/core.h"
 #include "util/file.h"
 
+/* The configure script runs "perl -MExtUtils::Embed -e ccopts -e ldopts",
+ * which should output the location of the DynaLoader.a where this function
+ * is defined.  This prototype does not appear to be in any public header
+ * file of Perl.  */
+EXTERN_C void boot_DynaLoader (pTHX_ CV* cv);
+
 #define PERL_HOOKS_FILENAME	"hooks.pl"
 
 
@@ -65,6 +71,16 @@ cleanup_perl(struct module *module)
 #endif
 }
 
+/** Tell Perl about XSUBs that were linked into ELinks.  */
+static void
+xs_init(pTHX)
+{
+	/* DynaLoader is the only Perl module whose library is
+	 * statically linked into ELinks.  DynaLoader::bootstrap will
+	 * then load other libraries and register their XSUBs as
+	 * needed.  */
+	newXS("DynaLoader::boot_DynaLoader", boot_DynaLoader, __FILE__);
+}
 
 void
 init_perl(struct module *module)
@@ -97,9 +113,9 @@ init_perl(struct module *module)
 
 		perl_construct(my_perl);
 		if (hook_local)
-			err = perl_parse(my_perl, NULL, 2, local_argv, NULL);
+			err = perl_parse(my_perl, xs_init, 2, local_argv, NULL);
 		else if (hook_global)
-			err = perl_parse(my_perl, NULL, 2, global_argv, NULL);
+			err = perl_parse(my_perl, xs_init, 2, global_argv, NULL);
 #ifdef PERL_EXIT_DESTRUCT_END
 		PL_exit_flags |= PERL_EXIT_DESTRUCT_END;
 #endif
diff -pruN 0.12~pre2.dfsg0-1/src/scripting/smjs/bookmarks.c 0.12~pre4-1/src/scripting/smjs/bookmarks.c
--- 0.12~pre2.dfsg0-1/src/scripting/smjs/bookmarks.c	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/src/scripting/smjs/bookmarks.c	2009-05-31 09:48:47.000000000 +0100
@@ -8,6 +8,7 @@
 
 #include "bookmarks/bookmarks.h"
 #include "ecmascript/spidermonkey-shared.h"
+#include "intl/charsets.h"
 #include "main/event.h"
 #include "scripting/smjs/core.h"
 #include "scripting/smjs/elinks_object.h"
@@ -78,6 +79,60 @@ static const JSPropertySpec bookmark_pro
 
 static JSObject *smjs_get_bookmark_folder_object(struct bookmark *bookmark);
 
+/** Convert a string retrieved from struct bookmark to a jsval.
+ *
+ * @return JS_TRUE if successful.  On error, report the error and
+ * return JS_FALSE.  */
+static JSBool
+bookmark_string_to_jsval(JSContext *ctx, const unsigned char *str, jsval *vp)
+{
+	JSString *jsstr = utf8_to_jsstring(ctx, str, -1);
+
+	if (jsstr == NULL)
+		return JS_FALSE;
+	*vp = STRING_TO_JSVAL(jsstr);
+	return JS_TRUE;
+}
+
+/** Convert a jsval to a string and store it in struct bookmark.
+ *
+ * @param ctx
+ *   Context for memory allocations and error reports.
+ * @param val
+ *   The @c jsval that should be converted.
+ * @param[in,out] result
+ *   A string allocated with mem_alloc().
+ *   On success, this function frees the original string, if any.
+ *
+ * @return JS_TRUE if successful.  On error, report the error to
+ * SpiderMonkey and return JS_FALSE.  */
+static JSBool
+jsval_to_bookmark_string(JSContext *ctx, jsval val, unsigned char **result)
+{
+	JSString *jsstr = NULL;
+	unsigned char *str;
+
+	/* jsstring_to_utf8() might GC; protect the string to come.  */
+	if (!JS_AddNamedRoot(ctx, &jsstr, "jsval_to_bookmark_string"))
+		return JS_FALSE;
+
+	jsstr = JS_ValueToString(ctx, val);
+	if (jsstr == NULL) {
+		JS_RemoveRoot(ctx, &jsstr);
+		return JS_FALSE;
+	}
+
+	str = jsstring_to_utf8(ctx, jsstr, NULL);
+	if (str == NULL) {
+		JS_RemoveRoot(ctx, &jsstr);
+		return JS_FALSE;
+	}
+
+	JS_RemoveRoot(ctx, &jsstr);
+	mem_free_set(result, str);
+	return JS_TRUE;
+}
+
 /* @bookmark_class.getProperty */
 static JSBool
 bookmark_get_property(JSContext *ctx, JSObject *obj, jsval id, jsval *vp)
@@ -102,15 +157,9 @@ bookmark_get_property(JSContext *ctx, JS
 
 	switch (JSVAL_TO_INT(id)) {
 	case BOOKMARK_TITLE:
-		*vp = STRING_TO_JSVAL(JS_NewStringCopyZ(smjs_ctx,
-	                                                bookmark->title));
-
-		return JS_TRUE;
+		return bookmark_string_to_jsval(ctx, bookmark->title, vp);
 	case BOOKMARK_URL:
-		*vp = STRING_TO_JSVAL(JS_NewStringCopyZ(smjs_ctx,
-	                                                bookmark->url));
-
-		return JS_TRUE;
+		return bookmark_string_to_jsval(ctx, bookmark->url, vp);
 	case BOOKMARK_CHILDREN:
 		*vp = OBJECT_TO_JSVAL(smjs_get_bookmark_folder_object(bookmark));
 
@@ -131,6 +180,9 @@ static JSBool
 bookmark_set_property(JSContext *ctx, JSObject *obj, jsval id, jsval *vp)
 {
 	struct bookmark *bookmark;
+	unsigned char *title = NULL;
+	unsigned char *url = NULL;
+	int ok;
 
 	/* This can be called if @obj if not itself an instance of the
 	 * appropriate class but has one in its prototype chain.  Fail
@@ -147,22 +199,14 @@ bookmark_set_property(JSContext *ctx, JS
 		return JS_FALSE;
 
 	switch (JSVAL_TO_INT(id)) {
-	case BOOKMARK_TITLE: {
-		JSString *jsstr = JS_ValueToString(smjs_ctx, *vp);
-		unsigned char *str = JS_GetStringBytes(jsstr);
-
-		mem_free_set(&bookmark->title, stracpy(str));
-
-		return JS_TRUE;
-	}
-	case BOOKMARK_URL: {
-		JSString *jsstr = JS_ValueToString(smjs_ctx, *vp);
-		unsigned char *str = JS_GetStringBytes(jsstr);
-
-		mem_free_set(&bookmark->url, stracpy(str));
-
-		return JS_TRUE;
-	}
+	case BOOKMARK_TITLE:
+		if (!jsval_to_bookmark_string(ctx, *vp, &title))
+			return JS_FALSE;
+		break;
+	case BOOKMARK_URL:
+		if (!jsval_to_bookmark_string(ctx, *vp, &url))
+			return JS_FALSE;
+		break;
 	default:
 		/* Unrecognized integer property ID; someone is using
 		 * the object as an array.  SMJS builtin classes (e.g.
@@ -170,6 +214,11 @@ bookmark_set_property(JSContext *ctx, JS
 		 * Do the same here.  */
 		return JS_TRUE;
 	}
+
+	ok = update_bookmark(bookmark, get_cp_index("UTF-8"), title, url);
+	mem_free_if(title);
+	mem_free_if(url);
+	return ok ? JS_TRUE : JS_FALSE;
 }
 
 static const JSClass bookmark_class = {
@@ -205,7 +254,7 @@ bookmark_folder_get_property(JSContext *
 {
 	struct bookmark *bookmark;
 	struct bookmark *folder;
-	unsigned char *title;
+	unsigned char *title = NULL;
 
 	/* This can be called if @obj if not itself an instance of the
 	 * appropriate class but has one in its prototype chain.  Fail
@@ -218,14 +267,15 @@ bookmark_folder_get_property(JSContext *
 
 	*vp = JSVAL_NULL;
 
-	title = JS_GetStringBytes(JS_ValueToString(ctx, id));
-	if (!title) return JS_TRUE;
+	if (!jsval_to_bookmark_string(ctx, id, &title))
+		return JS_FALSE;
 
 	bookmark = get_bookmark_by_name(folder, title);
 	if (bookmark) {
 		*vp = OBJECT_TO_JSVAL(smjs_get_bookmark_object(bookmark));
 	}
 
+	mem_free(title);
 	return JS_TRUE;
 }
 
diff -pruN 0.12~pre2.dfsg0-1/src/scripting/smjs/core.c 0.12~pre4-1/src/scripting/smjs/core.c
--- 0.12~pre2.dfsg0-1/src/scripting/smjs/core.c	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/src/scripting/smjs/core.c	2009-05-31 09:48:47.000000000 +0100
@@ -4,10 +4,13 @@
 #include "config.h"
 #endif
 
+#include <stdlib.h>
+
 #include "elinks.h"
 
 #include "config/home.h"
 #include "ecmascript/spidermonkey-shared.h"
+#include "intl/charsets.h"
 #include "main/module.h"
 #include "osdep/osdep.h"
 #include "scripting/scripting.h"
@@ -33,8 +36,8 @@ alert_smjs_error(unsigned char *msg)
 	                       smjs_ses, msg);
 }
 
-void
-smjs_error_reporter(JSContext *ctx, const char *message, JSErrorReport *report)
+static void
+error_reporter(JSContext *ctx, const char *message, JSErrorReport *report)
 {
 	unsigned char *strict, *exception, *warning, *error;
 	struct string msg;
@@ -127,15 +130,14 @@ init_smjs(struct module *module)
 {
 	if (!spidermonkey_runtime_addref()) return;
 
-	/* Set smjs_ctx immediately after creating the JSContext, so
-	 * that any error reports from SpiderMonkey are forwarded to
-	 * smjs_error_reporter().  */
 	smjs_ctx = JS_NewContext(spidermonkey_runtime, 8192);
 	if (!smjs_ctx) {
 		spidermonkey_runtime_release();
 		return;
 	}
 
+	JS_SetErrorReporter(smjs_ctx, error_reporter);
+
 	smjs_init_global_object();
 
 	smjs_init_elinks_object();
@@ -163,3 +165,170 @@ cleanup_smjs(struct module *module)
 	JS_DestroyContext(smjs_ctx);
 	spidermonkey_runtime_release();
 }
+
+/** Convert a UTF-8 string to a JSString.
+ *
+ * @param ctx
+ *   Allocate the string in this JSContext.
+ * @param[in] str
+ *   The input string that should be converted.
+ * @param[in] length
+ *   Length of @a str in bytes, or -1 if it is null-terminated.
+ *
+ * @return the new string.  On error, report the error to SpiderMonkey
+ * and return NULL.  */
+JSString *
+utf8_to_jsstring(JSContext *ctx, const unsigned char *str, int length)
+{
+	size_t in_bytes;
+	const unsigned char *in_end;
+	size_t utf16_alloc;
+	jschar *utf16;
+	size_t utf16_used;
+	JSString *jsstr;
+
+	if (length == -1)
+		in_bytes = strlen(str);
+	else
+		in_bytes = length;
+
+	/* Each byte of input can become at most one UTF-16 unit.
+	 * Check whether the multiplication could overflow.  */
+	assert(!needs_utf16_surrogates(UCS_REPLACEMENT_CHARACTER));
+	if (in_bytes > ((size_t) -1) / sizeof(jschar)) {
+#ifdef HAVE_JS_REPORTALLOCATIONOVERFLOW
+		JS_ReportAllocationOverflow(ctx);
+#else
+		JS_ReportOutOfMemory(ctx);
+#endif
+		return NULL;
+	}
+	utf16_alloc = in_bytes;
+	/* Use malloc because SpiderMonkey will handle the memory after
+	 * this routine finishes.  */
+	utf16 = malloc(utf16_alloc * sizeof(jschar));
+	if (utf16 == NULL) {
+		JS_ReportOutOfMemory(ctx);
+		return NULL;
+	}
+
+	in_end = str + in_bytes;
+
+	utf16_used = 0;
+	for (;;) {
+		unicode_val_T unicode;
+
+		unicode = utf8_to_unicode((unsigned char **) &str, in_end);
+		if (unicode == UCS_NO_CHAR)
+			break;
+
+		if (needs_utf16_surrogates(unicode)) {
+			assert(utf16_alloc - utf16_used >= 2);
+			if_assert_failed { free(utf16); return NULL; }
+			utf16[utf16_used++] = get_utf16_high_surrogate(unicode);
+			utf16[utf16_used++] = get_utf16_low_surrogate(unicode);
+		} else {
+			assert(utf16_alloc - utf16_used >= 1);
+			if_assert_failed { free(utf16); return NULL; }
+			utf16[utf16_used++] = unicode;
+		}
+	}
+
+	jsstr = JS_NewUCString(ctx, utf16, utf16_used);
+	/* Do not free if JS_NewUCString was successful because it takes over
+	 * handling of the memory. */
+	if (jsstr == NULL) free(utf16);
+
+	return jsstr;
+}
+
+/** Convert a jschar array to UTF-8 and append it to struct string.
+ * Replace misused surrogate codepoints with UCS_REPLACEMENT_CHARACTER.
+ *
+ * @param[in,out] utf8
+ *   The function appends characters to this UTF-8 string.
+ *
+ * @param[in] utf16
+ *   Pointer to the first element in an array of jschars.
+ *
+ * @param[i] len
+ *   Number of jschars in the @a utf16 array.
+ *
+ * @return @a utf8 if successful, or NULL if not.  */
+static struct string *
+add_jschars_to_utf8_string(struct string *utf8,
+			   const jschar *utf16, size_t len)
+{
+	size_t pos;
+
+	for (pos = 0; pos < len; ) {
+		unicode_val_T unicode = utf16[pos++];
+
+		if (is_utf16_surrogate(unicode)) {
+			if (is_utf16_high_surrogate(unicode)
+			    && pos < len
+			    && is_utf16_low_surrogate(utf16[pos])) {
+				unicode = join_utf16_surrogates(unicode,
+								utf16[pos++]);
+			} else {
+				unicode = UCS_REPLACEMENT_CHARACTER;
+			}
+		}
+
+		if (unicode == 0) {
+			if (!add_char_to_string(utf8, '\0'))
+				return NULL;
+		} else {
+			if (!add_to_string(utf8, encode_utf8(unicode)))
+				return NULL;
+		}
+	}
+
+	return utf8;
+}
+
+/** Convert a JSString to a UTF-8 string.
+ *
+ * @param ctx
+ *   For reporting errors.
+ * @param[in] jsstr
+ *   The input string that should be converted.  Must not be NULL.
+ * @param[out] length
+ *   Optional.  The number of bytes in the returned string,
+ *   not counting the terminating null.
+ *
+ * @return the new string, which the caller must eventually free
+ * with mem_free().  On error, report the error to SpiderMonkey
+ * and return NULL; *@a length is then undefined.  */
+unsigned char *
+jsstring_to_utf8(JSContext *ctx, JSString *jsstr, int *length)
+{
+	size_t utf16_len;
+	const jschar *utf16;
+	struct string utf8;
+
+	utf16_len = JS_GetStringLength(jsstr);
+	utf16 = JS_GetStringChars(jsstr); /* stays owned by jsstr */
+	if (utf16 == NULL) {
+		/* JS_GetStringChars doesn't have a JSContext *
+		 * parameter so it can't report the error
+		 * (and can't collect garbage either).  */
+		JS_ReportOutOfMemory(ctx);
+		return NULL;
+	}
+
+	if (!init_string(&utf8)) {
+		JS_ReportOutOfMemory(ctx);
+		return NULL;
+	}
+
+	if (!add_jschars_to_utf8_string(&utf8, utf16, utf16_len)) {
+		done_string(&utf8);
+		JS_ReportOutOfMemory(ctx);
+		return NULL;
+	}
+
+	if (length)
+		*length = utf8.length;
+	return utf8.source;
+}
diff -pruN 0.12~pre2.dfsg0-1/src/scripting/smjs/core.h 0.12~pre4-1/src/scripting/smjs/core.h
--- 0.12~pre2.dfsg0-1/src/scripting/smjs/core.h	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/src/scripting/smjs/core.h	2009-05-31 09:48:47.000000000 +0100
@@ -10,10 +10,14 @@ struct string;
 extern JSContext *smjs_ctx;
 extern struct session *smjs_ses;
 
-void smjs_error_reporter(JSContext *ctx, const char *message, JSErrorReport *report);
 void alert_smjs_error(unsigned char *msg);
 
 void init_smjs(struct module *module);
 void cleanup_smjs(struct module *module);
 
+JSString *utf8_to_jsstring(JSContext *ctx, const unsigned char *str,
+			   int length);
+unsigned char *jsstring_to_utf8(JSContext *ctx, JSString *jsstr,
+				int *length);
+
 #endif
diff -pruN 0.12~pre2.dfsg0-1/src/session/download.c 0.12~pre4-1/src/session/download.c
--- 0.12~pre2.dfsg0-1/src/session/download.c	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/src/session/download.c	2009-05-31 09:48:47.000000000 +0100
@@ -219,6 +219,29 @@ destroy_downloads(struct session *ses)
 	}
 }
 
+void
+detach_downloads_from_terminal(struct terminal *term)
+{
+	struct file_download *file_download, *next;
+
+	assert(term != NULL);
+	if_assert_failed return;
+
+	foreachsafe (file_download, next, downloads) {
+		if (file_download->term != term)
+			continue;
+
+		if (!file_download->external_handler) {
+			file_download->term = NULL;
+			if (file_download->ses
+			    && file_download->ses->tab->term == term)
+				file_download->ses = NULL;
+			continue;
+		}
+
+		abort_download(file_download);
+	}
+}
 
 static void
 download_error_dialog(struct file_download *file_download, int saved_errno)
@@ -306,6 +329,9 @@ download_data_store(struct download *dow
 {
 	struct terminal *term = file_download->term;
 
+	assert_terminal_ptr_not_dangling(term);
+	if_assert_failed term = file_download->term = NULL;
+
 	if (!term) {
 		/* No term here, so no beep. --Zas */
 		abort_download(file_download);
@@ -1271,7 +1297,7 @@ setup_download_handler(struct session *s
 		goto plaintext_follow;
 
 	for (i = 0; known_types[i].type; i++) {
-		if (strcasecmp(ctype, known_types[i].type))
+		if (c_strcasecmp(ctype, known_types[i].type))
 			continue;
 
 		plaintext = known_types[i].plain;
@@ -1281,7 +1307,7 @@ setup_download_handler(struct session *s
 	xwin = ses->tab->term->environment & ENV_XWIN;
 	handler = get_mime_type_handler(ctype, xwin);
 
-	if (!handler && strlen(ctype) >= 4 && !strncasecmp(ctype, "text", 4))
+	if (!handler && strlen(ctype) >= 4 && !c_strncasecmp(ctype, "text", 4))
 		goto plaintext_follow;
 
 	type_query = init_type_query(ses, loading, cached);
@@ -1290,8 +1316,8 @@ setup_download_handler(struct session *s
 #ifdef CONFIG_BITTORRENT
 		/* A terrible waste of a good MIME handler here, but we want
 		 * to use the type_query this is easier. */
-		if ((!strcasecmp(ctype, "application/x-bittorrent")
-			|| !strcasecmp(ctype, "application/x-torrent"))
+		if ((!c_strcasecmp(ctype, "application/x-bittorrent")
+			|| !c_strcasecmp(ctype, "application/x-torrent"))
 		    && !get_cmd_opt_bool("anonymous"))
 			query_bittorrent_dialog(type_query);
 		else
diff -pruN 0.12~pre2.dfsg0-1/src/session/download.h 0.12~pre4-1/src/session/download.h
--- 0.12~pre2.dfsg0-1/src/session/download.h	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/src/session/download.h	2009-05-31 09:48:47.000000000 +0100
@@ -108,6 +108,7 @@ void create_download_file(struct termina
 
 void abort_all_downloads(void);
 void destroy_downloads(struct session *);
+void detach_downloads_from_terminal(struct terminal *);
 
 int setup_download_handler(struct session *, struct download *, struct cache_entry *, int);
 
diff -pruN 0.12~pre2.dfsg0-1/src/session/session.c 0.12~pre4-1/src/session/session.c
--- 0.12~pre2.dfsg0-1/src/session/session.c	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/src/session/session.c	2009-05-31 09:48:47.000000000 +0100
@@ -22,6 +22,7 @@
 #include "document/html/parser.h"
 #include "document/html/renderer.h"
 #include "document/refresh.h"
+#include "document/renderer.h"
 #include "document/view.h"
 #include "globhist/globhist.h"
 #include "intl/gettext/libintl.h"
@@ -341,7 +342,7 @@ request_frame(struct session *ses, unsig
 	foreach (frame, loc->frames) {
 		struct document_view *doc_view;
 
-		if (strcasecmp(frame->name, name))
+		if (c_strcasecmp(frame->name, name))
 			continue;
 
 		foreach (doc_view, ses->scrn_frames) {
@@ -428,7 +429,7 @@ load_ecmascript_imports(struct session *
 #define load_ecmascript_imports(ses, doc_view)
 #endif
 
-inline void
+NONSTATIC_INLINE void
 load_frames(struct session *ses, struct document_view *doc_view)
 {
 	struct document *document = doc_view->document;
@@ -518,17 +519,23 @@ maybe_pre_format_html(struct cache_entry
 	 * were 0, it could then be freed, and the
 	 * cached->preformatted assignment at the end of this function
 	 * would crash.  Normally, the document has a reference to the
-	 * cache entry, and that suffices.  If the following assertion
-	 * ever fails, object_lock(cached) and object_unlock(cached)
-	 * must be added to this function.  */
-	assert(cached->object.refcount > 0);
-	if_assert_failed return;
+	 * cache entry, and that suffices.  However, if the cache
+	 * entry was loaded to satisfy e.g. USEMAP="imgmap.html#map",
+	 * then cached->object.refcount == 0 here, and must be
+	 * incremented.
+	 * 
+	 * cached->object.refcount == 0 is safe while the cache entry
+	 * is being loaded, because garbage_collection() calls
+	 * is_entry_used(), which checks whether any connection is
+	 * using the cache entry.  But loading has ended before this
+	 * point.  */
+	object_lock(cached);
 
 	fragment = get_cache_fragment(cached);
-	if (!fragment) return;
+	if (!fragment) goto unlock_and_return;
 
 	/* We cannot do anything if the data are fragmented. */
-	if (!list_is_singleton(cached->frag)) return;
+	if (!list_is_singleton(cached->frag)) goto unlock_and_return;
 
 	set_event_id(pre_format_html_event, "pre-format-html");
 	trigger_event(pre_format_html_event, ses, cached);
@@ -536,6 +543,9 @@ maybe_pre_format_html(struct cache_entry
 	/* XXX: Keep this after the trigger_event, because hooks might call
 	 * normalize_cache_entry()! */
 	cached->preformatted = 1;
+
+unlock_and_return:
+	object_unlock(cached);
 }
 #endif
 
@@ -816,10 +826,13 @@ setup_first_session(struct session *ses,
 
 #ifdef CONFIG_BOOKMARKS
 	} else if (!uri && get_opt_bool("ui.sessions.auto_restore")) {
-		unsigned char *folder;
+		unsigned char *folder; /* UTF-8 */
 
-		folder = get_opt_str("ui.sessions.auto_save_foldername");
-		open_bookmark_folder(ses, folder);
+		folder = get_auto_save_bookmark_foldername_utf8();
+		if (folder) {
+			open_bookmark_folder(ses, folder);
+			mem_free(folder);
+		}
 		return 1;
 #endif
 	}
@@ -835,13 +848,16 @@ static void
 setup_session(struct session *ses, struct uri *uri, struct session *base)
 {
 	if (base && have_location(base)) {
-		goto_uri(ses, cur_loc(base)->vs.uri);
+		ses_load(ses, get_uri_reference(cur_loc(base)->vs.uri),
+		         NULL, NULL, CACHE_MODE_ALWAYS, TASK_FORWARD);
 		if (ses->doc_view && ses->doc_view->vs
 		    && base->doc_view && base->doc_view->vs) {
 			struct view_state *vs = ses->doc_view->vs;
 
 			destroy_vs(vs, 1);
 			copy_vs(vs, base->doc_view->vs);
+
+			ses->doc_view->vs = vs;
 		}
 	}
 
@@ -959,8 +975,16 @@ init_remote_session(struct session *ses,
 
 	} else if (remote & SES_REMOTE_ADD_BOOKMARK) {
 #ifdef CONFIG_BOOKMARKS
+		int uri_cp;
+
 		if (!uri) return;
-		add_bookmark(NULL, 1, struri(uri), struri(uri));
+		/** @todo Bug 1066: What is the encoding of struri()?
+		 * This code currently assumes the system charset.
+		 * It might be best to keep URIs in plain ASCII and
+		 * then have a function that reversibly converts them
+		 * to IRIs for display in a given encoding.  */
+		uri_cp = get_cp_index("System");
+		add_bookmark_cp(NULL, 1, uri_cp, struri(uri), struri(uri));
 #endif
 
 	} else if (remote & SES_REMOTE_INFO_BOX) {
@@ -1238,7 +1262,7 @@ ses_find_frame(struct session *ses, unsi
 	if_assert_failed return NULL;
 
 	foreachback (frame, loc->frames)
-		if (!strcasecmp(frame->name, name))
+		if (!c_strcasecmp(frame->name, name))
 			return frame;
 
 	return NULL;
diff -pruN 0.12~pre2.dfsg0-1/src/session/task.c 0.12~pre4-1/src/session/task.c
--- 0.12~pre2.dfsg0-1/src/session/task.c	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/src/session/task.c	2009-05-31 09:48:47.000000000 +0100
@@ -68,7 +68,7 @@ struct task {
 	struct session_task session_task;
 };
 
-static void
+void
 ses_load(struct session *ses, struct uri *uri, unsigned char *target_frame,
 	 struct location *target_location, enum cache_mode cache_mode,
 	 enum task_type task_type)
@@ -388,7 +388,7 @@ ses_imgmap(struct session *ses)
 			  &menu, &ml, ses->loading_uri,
 			  &doc_view->document->options,
 			  ses->task.target.frame,
-			  get_opt_codepage_tree(ses->tab->term->spec, "charset"),
+			  get_terminal_codepage(ses->tab->term),
 			  get_opt_codepage("document.codepage.assume"),
 			  get_opt_bool("document.codepage.force_assumed")))
 		return;
@@ -535,6 +535,7 @@ loading_callback(struct download *downlo
 
 	if (d == DO_MOVE_DISPLAY) {
 		download->callback = (download_callback_T *) doc_loading_callback;
+		download->data = ses;
 		display_timer(ses);
 	}
 
diff -pruN 0.12~pre2.dfsg0-1/src/session/task.h 0.12~pre4-1/src/session/task.h
--- 0.12~pre2.dfsg0-1/src/session/task.h	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/src/session/task.h	2009-05-31 09:48:47.000000000 +0100
@@ -19,6 +19,10 @@ struct link_def {
 
 void abort_preloading(struct session *, int);
 
+void ses_load(struct session *ses, struct uri *uri, unsigned char *target_frame,
+              struct location *target_location, enum cache_mode cache_mode,
+              enum task_type task_type);
+
 void ses_goto(struct session *, struct uri *, unsigned char *,
 	      struct location *, enum cache_mode, enum task_type, int);
 struct view_state *ses_forward(struct session *, int);
diff -pruN 0.12~pre2.dfsg0-1/src/terminal/color.c 0.12~pre4-1/src/terminal/color.c
--- 0.12~pre2.dfsg0-1/src/terminal/color.c	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/src/terminal/color.c	2009-05-31 09:48:47.000000000 +0100
@@ -241,7 +241,7 @@ static const unsigned char fg_color[16][
 #define CMPCODE(c) (((c) << 1 | (c) >> 2) & TERM_COLOR_MASK)
 #define use_inverse(bg, fg) CMPCODE(fg & TERM_COLOR_MASK) < CMPCODE(bg)
 
-inline void
+NONSTATIC_INLINE void
 set_term_color16(struct screen_char *schar, enum color_flags flags,
 		 unsigned char fg, unsigned char bg)
 {
diff -pruN 0.12~pre2.dfsg0-1/src/terminal/color.h 0.12~pre4-1/src/terminal/color.h
--- 0.12~pre2.dfsg0-1/src/terminal/color.h	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/src/terminal/color.h	2009-05-31 09:48:47.000000000 +0100
@@ -63,8 +63,8 @@ enum color_mode {
 	COLOR_MODES = 5, /* XXX: Keep last */
 };
 
-inline void set_term_color16(struct screen_char *schar, enum color_flags flags,
-			     unsigned char fg, unsigned char bg);
+void set_term_color16(struct screen_char *schar, enum color_flags flags,
+		      unsigned char fg, unsigned char bg);
 
 /** Mixes the color pair and attributes to a terminal text color.
  * If @a flags has masked in the ::COLOR_INCREASE_CONTRAST the
diff -pruN 0.12~pre2.dfsg0-1/src/terminal/draw.c 0.12~pre4-1/src/terminal/draw.c
--- 0.12~pre2.dfsg0-1/src/terminal/draw.c	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/src/terminal/draw.c	2009-05-31 09:48:47.000000000 +0100
@@ -33,7 +33,7 @@
 
 
 
-inline struct screen_char *
+NONSTATIC_INLINE struct screen_char *
 get_char(struct terminal *term, int x, int y)
 {
 	assert(term && term->screen && term->screen->image);
diff -pruN 0.12~pre2.dfsg0-1/src/terminal/event.c 0.12~pre4-1/src/terminal/event.c
--- 0.12~pre2.dfsg0-1/src/terminal/event.c	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/src/terminal/event.c	2009-05-31 09:48:47.000000000 +0100
@@ -148,7 +148,7 @@ term_send_ucs(struct terminal *term, uni
 	const unsigned char *recoded;
 
 	set_kbd_term_event(&ev, KBD_UNDEF, modifier);
-	recoded = u2cp_no_nbsp(u, get_opt_codepage_tree(term->spec, "charset"));
+	recoded = u2cp_no_nbsp(u, get_terminal_codepage(term));
 	if (!recoded) recoded = "*";
 	while (*recoded) {
 		ev.info.keyboard.key = *recoded;
@@ -184,8 +184,7 @@ check_terminal_name(struct terminal *ter
 	/* Probably not best place for set this. But now we finally have
 	 * term->spec and term->utf8 should be set before decode session info.
 	 * --Scrool */
-	term->utf8_cp = is_cp_utf8(get_opt_codepage_tree(term->spec,
-							 "charset"));
+	term->utf8_cp = is_cp_utf8(get_terminal_codepage(term));
 	/* Force UTF-8 I/O if the UTF-8 charset is selected.  Various
 	 * places assume that the terminal's charset is unibyte if
 	 * UTF-8 I/O is disabled.  (bug 827) */
@@ -380,9 +379,7 @@ handle_interlink_event(struct terminal *
 				/* Not special and UTF-8 mode is disabled:
 				 * recode from the terminal charset to UCS-4. */
 
-				key = cp2u(get_opt_codepage_tree(term->spec,
-								 "charset"),
-					   key);
+				key = cp2u(get_terminal_codepage(term), key);
 				term_send_ucs(term, key, modifier);
 				break;
 			}
diff -pruN 0.12~pre2.dfsg0-1/src/terminal/itrm.h 0.12~pre4-1/src/terminal/itrm.h
--- 0.12~pre2.dfsg0-1/src/terminal/itrm.h	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/src/terminal/itrm.h	2009-05-31 09:48:47.000000000 +0100
@@ -101,6 +101,7 @@ struct itrm {
 	unsigned char *orig_title;	/**< For restoring window title */
 
 	int verase;			/**< Byte to map to KBD_BS, or -1 */
+	int title_codepage;             /**< Codepage of terminal title */
 	unsigned int blocked:1;		/**< Whether it was blocked */
 	unsigned int altscreen:1;	/**< Whether to use alternate screen */
 	unsigned int touched_title:1;	/**< Whether the term title was changed */
diff -pruN 0.12~pre2.dfsg0-1/src/terminal/kbd.c 0.12~pre4-1/src/terminal/kbd.c
--- 0.12~pre2.dfsg0-1/src/terminal/kbd.c	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/src/terminal/kbd.c	2009-05-31 09:48:47.000000000 +0100
@@ -324,6 +324,11 @@ handle_trm(int std_in, int std_out, int 
 	itrm->timer = TIMER_ID_UNDEF;
 	itrm->remote = !!remote;
 
+	/* If the master does not tell which charset it's using in
+	 * this terminal, assume it's some ISO 8859.  Because that's
+	 * what older versions of ELinks did.  */
+	itrm->title_codepage = get_cp_index("ISO-8859-1");
+
 	/* FIXME: Combination altscreen + xwin does not work as it should,
 	 * mouse clicks are reportedly partially ignored. */
 	if (info.system_env & (ENV_SCREEN | ENV_XWIN))
@@ -415,7 +420,7 @@ free_itrm(struct itrm *itrm)
 
 	if (!itrm->remote) {
 		if (itrm->orig_title && *itrm->orig_title) {
-			set_window_title(itrm->orig_title);
+			set_window_title(itrm->orig_title, itrm->title_codepage);
 
 		} else if (itrm->touched_title) {
 			/* Set the window title to the value of $TERM if X11
@@ -425,7 +430,8 @@ free_itrm(struct itrm *itrm)
 
 			get_terminal_name(title);
 			if (*title)
-				set_window_title(title);
+				set_window_title(title,
+						 get_cp_index("US-ASCII"));
 		}
 
 
@@ -498,7 +504,12 @@ dispatch_special(unsigned char *text)
 					ditrm->orig_title = get_window_title();
 				ditrm->touched_title = 1;
 			}
-			set_window_title(text + 1);
+			/* TODO: Is it really possible to get here with
+			 * ditrm == NULL, and which charset would then
+			 * be most appropriate?  */
+			set_window_title(text + 1,
+					 ditrm ? ditrm->title_codepage
+					 : get_cp_index("US-ASCII"));
 			break;
 		case TERM_FN_RESIZE:
 			if (ditrm && ditrm->remote)
@@ -506,6 +517,18 @@ dispatch_special(unsigned char *text)
 
 			resize_terminal_from_str(text + 1);
 			break;
+		case TERM_FN_TITLE_CODEPAGE:
+			if (ditrm) {
+				int cp = get_cp_index(text + 1);
+
+				/* If the master sends the name of an
+				 * unrecognized charset, assume only
+				 * that it's ASCII compatible.  */
+				if (cp == -1)
+					cp = get_cp_index("US-ASCII");
+				ditrm->title_codepage = cp;
+			}
+			break;
 	}
 }
 
diff -pruN 0.12~pre2.dfsg0-1/src/terminal/tab.c 0.12~pre4-1/src/terminal/tab.c
--- 0.12~pre2.dfsg0-1/src/terminal/tab.c	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/src/terminal/tab.c	2009-05-31 09:48:47.000000000 +0100
@@ -62,7 +62,7 @@ found_pos:
 }
 
 /** Number of tabs at the terminal (in term->windows) */
-inline int
+NONSTATIC_INLINE int
 number_of_tabs(struct terminal *term)
 {
 	int result = 0;
diff -pruN 0.12~pre2.dfsg0-1/src/terminal/terminal.c 0.12~pre4-1/src/terminal/terminal.c
--- 0.12~pre2.dfsg0-1/src/terminal/terminal.c	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/src/terminal/terminal.c	2009-05-31 09:48:47.000000000 +0100
@@ -103,6 +103,24 @@ init_term(int fdin, int fdout)
 	return term;
 }
 
+/** Get the codepage of a terminal.  The UTF-8 I/O option does not
+ * affect this.
+ *
+ * @todo Perhaps cache the value in struct terminal?
+ *
+ * @bug Bug 1064: If the charset has been set as "System", this should
+ * apply the locale environment variables of the slave ELinks process,
+ * not those of the master ELinks process that parsed the configuration
+ * file.  That is why the parameter points to struct terminal and not
+ * merely to its option tree (term->spec).
+ *
+ * @see get_translation_table(), get_cp_mime_name() */
+int
+get_terminal_codepage(const struct terminal *term)
+{
+	return get_opt_codepage_tree(term->spec, "charset");
+}
+
 void
 redraw_all_terminals(void)
 {
@@ -118,6 +136,7 @@ destroy_terminal(struct terminal *term)
 #ifdef CONFIG_BOOKMARKS
 	bookmark_auto_save_tabs(term);
 #endif
+	detach_downloads_from_terminal(term);
 
 	/* delete_window doesn't update term->current_tab, but it
 	   calls redraw_terminal, which requires term->current_tab
@@ -206,6 +225,23 @@ unblock_terminal(struct terminal *term)
 		textarea_edit(1, NULL, NULL, NULL, NULL);
 }
 
+#ifndef CONFIG_FASTMEM
+void
+assert_terminal_ptr_not_dangling(const struct terminal *suspect)
+{
+	struct terminal *term;
+
+	if (suspect == NULL)
+		return;
+
+	foreach (term, terminals) {
+		if (term == suspect)
+			return;
+	}
+
+	assertm(0, "Dangling pointer to struct terminal");
+}
+#endif /* !CONFIG_FASTMEM */
 
 static void
 exec_on_master_terminal(struct terminal *term,
@@ -336,12 +372,44 @@ do_terminal_function(struct terminal *te
 	fmem_free(x_data);
 }
 
-void
+/** @return negative on error; zero or positive on success.  */
+int
 set_terminal_title(struct terminal *term, unsigned char *title)
 {
-	if (term->title && !strcmp(title, term->title)) return;
+	int from_cp;
+	int to_cp;
+	unsigned char *converted = NULL;
+
+	if (term->title && !strcmp(title, term->title)) return 0;
+
+	/* In which codepage was the title parameter given?  */
+	from_cp = get_terminal_codepage(term);
+
+	/* In which codepage does the terminal want the title?  */
+	if (get_opt_bool_tree(term->spec, "latin1_title"))
+		to_cp = get_cp_index("ISO-8859-1");
+	else if (get_opt_bool_tree(term->spec, "utf_8_io"))
+		to_cp = get_cp_index("UTF-8");
+	else
+		to_cp = from_cp;
+
+	if (from_cp != to_cp) {
+		struct conv_table *convert_table;
+
+		convert_table = get_translation_table(from_cp, to_cp);
+		if (!convert_table) return -1;
+		converted = convert_string(convert_table, title, strlen(title),
+					   to_cp, CSM_NONE, NULL, NULL, NULL);
+		if (!converted) return -1;
+	}
+
 	mem_free_set(&term->title, stracpy(title));
-	do_terminal_function(term, TERM_FN_TITLE, title);
+	do_terminal_function(term, TERM_FN_TITLE_CODEPAGE,
+			     get_cp_mime_name(to_cp));
+	do_terminal_function(term, TERM_FN_TITLE,
+			     converted ? converted : title);
+	mem_free_if(converted);
+	return 0;
 }
 
 static int terminal_pipe[2];
diff -pruN 0.12~pre2.dfsg0-1/src/terminal/terminal.h 0.12~pre4-1/src/terminal/terminal.h
--- 0.12~pre2.dfsg0-1/src/terminal/terminal.h	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/src/terminal/terminal.h	2009-05-31 09:48:47.000000000 +0100
@@ -172,18 +172,27 @@ void destroy_terminal(struct terminal *)
 void redraw_terminal(struct terminal *term);
 void redraw_terminal_cls(struct terminal *term);
 void cls_redraw_all_terminals(void);
+int get_terminal_codepage(const struct terminal *);
 
 void redraw_all_terminals(void);
 void destroy_all_terminals(void);
 void exec_thread(unsigned char *, int);
 void close_handle(void *);
 
-/** Operations that can be requested with do_terminal_function().
+#ifdef CONFIG_FASTMEM
+#define assert_terminal_ptr_not_dangling(suspect) ((void) 0)
+#else  /* assert() does something */
+void assert_terminal_ptr_not_dangling(const struct terminal *);
+#endif
+
+/** Operations that can be requested with do_terminal_function() in
+ * the master and then executed with dispatch_special() in a slave.
  * The interlink protocol passes these values as one byte in a
  * null-terminated string, so zero cannot be used.  */
 enum {
-	TERM_FN_TITLE	= 1,
-	TERM_FN_RESIZE	= 2
+	TERM_FN_TITLE	       = 1,
+	TERM_FN_RESIZE         = 2,
+	TERM_FN_TITLE_CODEPAGE = 3
 };
 
 /** How to execute a program in a terminal.  These values are used in
@@ -204,7 +213,7 @@ enum term_exec {
 void exec_on_terminal(struct terminal *, unsigned char *, unsigned char *, enum term_exec);
 void exec_shell(struct terminal *term);
 
-void set_terminal_title(struct terminal *, unsigned char *);
+int set_terminal_title(struct terminal *, unsigned char *);
 void do_terminal_function(struct terminal *, unsigned char, unsigned char *);
 
 int check_terminal_pipes(void);
diff -pruN 0.12~pre2.dfsg0-1/src/util/color.c 0.12~pre4-1/src/util/color.c
--- 0.12~pre2.dfsg0-1/src/util/color.c	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/src/util/color.c	2009-05-31 09:48:47.000000000 +0100
@@ -69,7 +69,7 @@ void
 init_colors_lookup(void)
 {
 #ifdef USE_FASTFIND
-	fastfind_index(&ff_colors_index, FF_COMPRESS);
+	fastfind_index(&ff_colors_index, FF_COMPRESS | FF_LOCALE_INDEP);
 #endif
 }
 
@@ -112,7 +112,7 @@ decode_hex_color:
 
 #ifndef USE_FASTFIND
 		for (cs = color_specs; cs->name; cs++)
-			if (!strlcasecmp(cs->name, -1, str, slen))
+			if (!c_strlcasecmp(cs->name, -1, str, slen))
 				break;
 #else
 		cs = fastfind_search(&ff_colors_index, str, slen);
diff -pruN 0.12~pre2.dfsg0-1/src/util/conv.c 0.12~pre4-1/src/util/conv.c
--- 0.12~pre2.dfsg0-1/src/util/conv.c	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/src/util/conv.c	2009-05-31 09:48:47.000000000 +0100
@@ -50,7 +50,7 @@
  *
  * @returns 0 if OK or width needed for the whole number to fit there,
  * if it had to be truncated. A negative value signs an error. */
-int inline
+NONSTATIC_INLINE int
 elinks_ulongcat(unsigned char *s, unsigned int *slen,
 		unsigned long number, unsigned int width,
 		unsigned char fillchar, unsigned int base,
@@ -108,7 +108,7 @@ elinks_ulongcat(unsigned char *s, unsign
 }
 
 /** Similar to elinks_ulongcat() but for @c long number. */
-int inline
+NONSTATIC_INLINE int
 elinks_longcat(unsigned char *s, unsigned int *slen,
 	       long number, unsigned int width,
 	       unsigned char fillchar, unsigned int base,
@@ -313,21 +313,11 @@ add_cp_html_to_string(struct string *str
 	const unsigned char *const end = src + len;
 	unicode_val_T unicode;
 
-	while (src != end) {
-		if (is_cp_utf8(src_codepage)) {
-#ifdef CONFIG_UTF8
-			unicode = utf8_to_unicode((unsigned char **) &src,
-						  end);
-			if (unicode == UCS_NO_CHAR)
-				break;
-#else  /* !CONFIG_UTF8 */
-			/* Cannot parse UTF-8 without CONFIG_UTF8.
-			 * Pretend the input is ISO-8859-1 instead.  */
-			unicode = *src++;
-#endif /* !CONFIG_UTF8 */
-		} else {
-			unicode = cp2u(src_codepage, *src++);
-		}
+	for (;;) {
+		unicode = cp_to_unicode(src_codepage,
+					(unsigned char **) &src, end);
+		if (unicode == UCS_NO_CHAR)
+			break;
 
 		if (unicode < 0x20 || unicode >= 0x7F
 		    || unicode == '<' || unicode == '>' || unicode == '&'
@@ -411,7 +401,7 @@ strtolx(unsigned char *str, unsigned cha
 	if (errno) return 0;
 	if (!*end) return num;
 
-	postfix = toupper(**end);
+	postfix = c_toupper(**end);
 	if (postfix == 'K') {
 		(*end)++;
 		if (num < -INT_MAX / 1024) return -INT_MAX;
@@ -502,7 +492,10 @@ clr_spaces(unsigned char *str)
 }
 
 /** Replace invalid chars in @a title with ' ' and trim all starting/ending
- * spaces. */
+ * spaces.
+ *
+ * update_bookmark() assumes this function does not switch translation
+ * tables.  */
 void
 sanitize_title(unsigned char *title)
 {
@@ -534,3 +527,99 @@ sanitize_url(unsigned char *url)
 	return 1;
 }
 
+
+int c_tolower(int c) {
+	switch (c)
+	{
+		case 'A': return 'a';
+		case 'B': return 'b';
+		case 'C': return 'c';
+		case 'D': return 'd';
+		case 'E': return 'e';
+		case 'F': return 'f';
+		case 'G': return 'g';
+		case 'H': return 'h';
+		case 'I': return 'i';
+		case 'J': return 'j';
+		case 'K': return 'k';
+		case 'L': return 'l';
+		case 'M': return 'm';
+		case 'N': return 'n';
+		case 'O': return 'o';
+		case 'P': return 'p';
+		case 'Q': return 'q';
+		case 'R': return 'r';
+		case 'S': return 's';
+		case 'T': return 't';
+		case 'U': return 'u';
+		case 'V': return 'v';
+		case 'W': return 'w';
+		case 'X': return 'x';
+		case 'Y': return 'y';
+		case 'Z': return 'z';
+		default: return c;
+	}
+}
+
+int c_toupper(int c) {
+	switch (c) {
+		case 'a': return 'A';
+		case 'b': return 'B';
+		case 'c': return 'C';
+		case 'd': return 'D';
+		case 'e': return 'E';
+		case 'f': return 'F';
+		case 'g': return 'G';
+		case 'h': return 'H';
+		case 'i': return 'I';
+		case 'j': return 'J';
+		case 'k': return 'K';
+		case 'l': return 'L';
+		case 'm': return 'M';
+		case 'n': return 'N';
+		case 'o': return 'O';
+		case 'p': return 'P';
+		case 'q': return 'Q';
+		case 'r': return 'R';
+		case 's': return 'S';
+		case 't': return 'T';
+		case 'u': return 'U';
+		case 'v': return 'V';
+		case 'w': return 'W';
+		case 'x': return 'X';
+		case 'y': return 'Y';
+		case 'z': return 'Z';
+		default: return c;
+	}
+}
+
+int c_isupper (int c)
+{
+	switch (c)
+	{
+		case 'A': case 'B': case 'C': case 'D': case 'E': case 'F':
+		case 'G': case 'H': case 'I': case 'J': case 'K': case 'L':
+		case 'M': case 'N': case 'O': case 'P': case 'Q': case 'R':
+		case 'S': case 'T': case 'U': case 'V': case 'W': case 'X':
+		case 'Y': case 'Z':
+			return 1;
+		default:
+			return 0;
+	}
+}
+
+int c_islower (int c)
+{
+	switch (c)
+	{
+		case 'a': case 'b': case 'c': case 'd': case 'e': case 'f':
+		case 'g': case 'h': case 'i': case 'j': case 'k': case 'l':
+		case 'm': case 'n': case 'o': case 'p': case 'q': case 'r':
+		case 's': case 't': case 'u': case 'v': case 'w': case 'x':
+		case 'y': case 'z':
+			return 1;
+		default:
+			return 0;
+	}
+}
+
diff -pruN 0.12~pre2.dfsg0-1/src/util/conv.h 0.12~pre4-1/src/util/conv.h
--- 0.12~pre2.dfsg0-1/src/util/conv.h	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/src/util/conv.h	2009-05-31 09:48:47.000000000 +0100
@@ -182,6 +182,16 @@ trim_chars(unsigned char *s, unsigned ch
 	return s;
 }
 
+/* Convert a character to {lower|upper}case using the
+ * ASCII character set (as if in the C locale) */
+int c_tolower(int c);
+int c_toupper(int c);
+
+/* Check whether a character is {lower|upper}case using the
+ * the ASCII character set (as if in the C locale) */
+int c_islower(int c);
+int c_isupper(int c);
+
 /** Convert uppercase letters in @a string with the given @a length to
  * lowercase. */
 static inline void
@@ -192,6 +202,16 @@ convert_to_lowercase(unsigned char *stri
 			string[length] = tolower(string[length]);
 }
 
+/* Convert uppercase letters in @string with the given @length to lowercase
+ * using the ASCII character set (as if in the C locale) */
+static inline void
+convert_to_lowercase_locale_indep(unsigned char *string, int length)
+{
+	for (length--; length >= 0; length--)
+		if (c_isupper(string[length]))
+			string[length] = c_tolower(string[length]);
+}
+
 /** This function drops control chars, nbsp char and limit the number
  * of consecutive space chars to one. It modifies its argument. */
 void clr_spaces(unsigned char *str);
diff -pruN 0.12~pre2.dfsg0-1/src/util/fastfind.c 0.12~pre4-1/src/util/fastfind.c
--- 0.12~pre2.dfsg0-1/src/util/fastfind.c	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/src/util/fastfind.c	2009-05-31 09:48:47.000000000 +0100
@@ -169,6 +169,7 @@ struct fastfind_info {
 	int leafsets_count;
 
 	unsigned int case_aware:1;
+	unsigned int locale_indep:1;
 	unsigned int compress:1;
 
 	int idxtab[FF_MAX_CHARS];
@@ -233,6 +234,7 @@ FF_DBG_dump_stats(struct fastfind_info *
 	fprintf(stderr, "------ FastFind Statistics ------\n");
 	fprintf(stderr, "Comment     : %s\n", info->debug.comment);
 	fprintf(stderr, "Case-aware  : %s\n", info->case_aware ? "yes" : "no");
+	fprintf(stderr, "Locale-indep: %s\n", info->locale_indep ? "yes" : "no");
 	fprintf(stderr, "Compress    : %s\n", info->compress ? "yes" : "no");
 	fprintf(stderr, "Uniq_chars  : %s\n", info->uniq_chars);
 	fprintf(stderr, "Uniq_chars #: %d/%d max.\n", info->uniq_chars_count, FF_MAX_CHARS);
@@ -292,6 +294,7 @@ init_fastfind(struct fastfind_index *ind
 
 	info->min_key_len = FF_MAX_KEYLEN;
 	info->case_aware = !!(flags & FF_CASE_AWARE);
+	info->locale_indep = !!(flags & FF_LOCALE_INDEP);
 	info->compress = !!(flags & FF_COMPRESS);
 
 	FF_DBG_mem(info, sizeof(*info) - sizeof(info->debug));
@@ -434,7 +437,7 @@ compress_tree(struct ff_node *leafset, s
 	}
 }
 
-#define ifcase(c) (info->case_aware ? (c) : toupper(c))
+#define ifcase(c) ( info->case_aware ? (c) : (info->locale_indep ? c_toupper(c) : toupper(c)) )
 
 struct fastfind_index *
 fastfind_index(struct fastfind_index *index, enum fastfind_flags flags)
@@ -622,7 +625,10 @@ fastfind_search(struct fastfind_index *i
 	if (info->case_aware)
 		FF_SEARCH(key[i]);
 	else
-		FF_SEARCH(toupper(key[i]));
+		if (info->locale_indep)
+			FF_SEARCH(c_toupper(key[i]));
+		else
+			FF_SEARCH(toupper(key[i]));
 
 	return NULL;
 }
diff -pruN 0.12~pre2.dfsg0-1/src/util/fastfind.h 0.12~pre4-1/src/util/fastfind.h
--- 0.12~pre2.dfsg0-1/src/util/fastfind.h	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/src/util/fastfind.h	2009-05-31 09:48:47.000000000 +0100
@@ -19,6 +19,8 @@ enum fastfind_flags {
 	FF_NONE = 0,
 	FF_CASE_AWARE = 1,	/**< honour case when comparing */
 	FF_COMPRESS = 2,	/**< compress nodes if possible */
+	FF_LOCALE_INDEP = 4	/**< whether the case conversion is
+				 *   locale independent or not */
 };
 
 struct fastfind_index {
diff -pruN 0.12~pre2.dfsg0-1/src/util/scanner.c 0.12~pre4-1/src/util/scanner.c
--- 0.12~pre2.dfsg0-1/src/util/scanner.c	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/src/util/scanner.c	2009-05-31 09:48:47.000000000 +0100
@@ -25,7 +25,7 @@ map_scanner_string(struct scanner *scann
 
 	for (; mappings->name; mappings++) {
 		if (mappings->base_type == base_type
-		    && !strlcasecmp(mappings->name, -1, ident, length))
+		    && !c_strlcasecmp(mappings->name, -1, ident, length))
 			return mappings->type;
 	}
 
diff -pruN 0.12~pre2.dfsg0-1/src/util/scanner.h 0.12~pre4-1/src/util/scanner.h
--- 0.12~pre2.dfsg0-1/src/util/scanner.h	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/src/util/scanner.h	2009-05-31 09:48:47.000000000 +0100
@@ -2,6 +2,7 @@
 #define EL__UTIL_SCANNER_H
 
 #include "util/error.h"
+#include "util/string.h"
 
 /* Define if you want a talking scanner */
 /* #define DEBUG_SCANNER */
@@ -29,7 +30,7 @@ struct scanner_token {
 
 /** Compare the string of @a token with @a str */
 #define scanner_token_strlcasecmp(token, str, len) \
-	((token) && !strlcasecmp((token)->string, (token)->length, str, len))
+	((token) && !c_strlcasecmp((token)->string, (token)->length, str, len))
 
 /** Also compares the token string but using a "static" string */
 #define scanner_token_contains(token, str) \
diff -pruN 0.12~pre2.dfsg0-1/src/util/string.c 0.12~pre4-1/src/util/string.c
--- 0.12~pre2.dfsg0-1/src/util/string.c	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/src/util/string.c	2009-05-31 09:48:47.000000000 +0100
@@ -14,6 +14,7 @@
 #include <stdio.h>
 #include <stdlib.h>
 #include <string.h>
+#include <limits.h>
 
 #include "elinks.h"
 
@@ -233,18 +234,70 @@ elinks_strlcmp(const unsigned char *s1, 
 
 int
 elinks_strlcasecmp(const unsigned char *s1, size_t n1,
-		   const unsigned char *s2, size_t n2)
+		   const unsigned char *s2, size_t n2,
+		   const int locale_indep)
 {
-	strlcmp_device("strlcasecmp", s1, n1, s2, n2, toupper(s1[p]), toupper(s2[p]));
+	if (locale_indep) {
+		strlcmp_device("strlcasecmp", s1, n1, s2, n2, c_toupper(s1[p]), c_toupper(s2[p]));
+	}
+	else {
+		strlcmp_device("strlcasecmp", s1, n1, s2, n2, toupper(s1[p]), toupper(s2[p]));
+	}
+}
+
+int
+c_strcasecmp(const char *s1, const char *s2)
+{
+	for (;; s1++, s2++) {
+		unsigned char c1 = c_tolower(*(const unsigned char *) s1);
+		unsigned char c2 = c_tolower(*(const unsigned char *) s2);
+		
+		if (c1 != c2)
+			return (c1 < c2) ? -1: +1;
+		if (c1 == '\0')
+			return 0;
+	}
 }
 
+int c_strncasecmp(const char *s1, const char *s2, size_t n)
+{
+	for (; n > 0; n--, s1++, s2++) {
+		unsigned char c1 = c_tolower(*(const unsigned char *) s1);
+		unsigned char c2 = c_tolower(*(const unsigned char *) s2);
+		
+		if (c1 != c2)
+			return (c1 < c2) ? -1: +1;
+		if (c1 == '\0')
+			return 0;
+	}
+	return 0;
+}
+
+/* c_strcasestr - adapted from src/osdep/stub.c */
+char * c_strcasestr(const char *haystack, const char *needle)
+{
+	size_t haystack_length = strlen(haystack);
+	size_t needle_length = strlen(needle);
+	int i;
+
+	if (haystack_length < needle_length)
+		return NULL;
+
+	for (i = haystack_length - needle_length + 1; i; i--) {
+		if (!c_strncasecmp(haystack, needle, needle_length))
+			return (char *) haystack;
+		haystack++;
+	}
+
+	return NULL;
+}
 
 /* The new string utilities: */
 
 /* TODO Currently most of the functions use add_bytes_to_string() as a backend
  *	instead we should optimize each function. */
 
-inline struct string *
+NONSTATIC_INLINE struct string *
 #ifdef DEBUG_MEMLEAK
 init_string__(const unsigned char *file, int line, struct string *string)
 #else
@@ -269,7 +322,7 @@ init_string(struct string *string)
 	return string;
 }
 
-inline void
+NONSTATIC_INLINE void
 done_string(struct string *string)
 {
 	assertm(string != NULL, "[done_string]");
@@ -288,7 +341,7 @@ done_string(struct string *string)
 }
 
 /** @relates string */
-inline struct string *
+NONSTATIC_INLINE struct string *
 add_to_string(struct string *string, const unsigned char *source)
 {
 	assertm(string && source, "[add_to_string]");
@@ -302,7 +355,7 @@ add_to_string(struct string *string, con
 }
 
 /** @relates string */
-inline struct string *
+NONSTATIC_INLINE struct string *
 add_crlf_to_string(struct string *string)
 {
 	assertm(string != NULL, "[add_crlf_to_string]");
@@ -321,7 +374,7 @@ add_crlf_to_string(struct string *string
 }
 
 /** @relates string */
-inline struct string *
+NONSTATIC_INLINE struct string *
 add_string_to_string(struct string *string, const struct string *from)
 {
 	assertm(string && from, "[add_string_to_string]");
@@ -398,7 +451,7 @@ string_concat(struct string *string, ...
 }
 
 /** @relates string */
-inline struct string *
+NONSTATIC_INLINE struct string *
 add_char_to_string(struct string *string, unsigned char character)
 {
 	assertm(string && character, "[add_char_to_string]");
@@ -415,7 +468,7 @@ add_char_to_string(struct string *string
 	return string;
 }
 
-inline struct string *
+NONSTATIC_INLINE struct string *
 add_xchar_to_string(struct string *string, unsigned char character, int times)
 {
 	int newlength;
diff -pruN 0.12~pre2.dfsg0-1/src/util/string.h 0.12~pre4-1/src/util/string.h
--- 0.12~pre2.dfsg0-1/src/util/string.h	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/src/util/string.h	2009-05-31 09:48:47.000000000 +0100
@@ -100,9 +100,19 @@ int elinks_strlcmp(const unsigned char *
 		   const unsigned char *s2, size_t n2);
 
 /** Acts identically to strlcmp(), except for being case insensitive. */
-#define strlcasecmp(a,b,c,d) (errfile = __FILE__, errline = __LINE__, elinks_strlcasecmp(a,b,c,d))
+#define strlcasecmp(a,b,c,d) (errfile = __FILE__, errline = __LINE__, elinks_strlcasecmp(a,b,c,d,0))
+#define c_strlcasecmp(a,b,c,d) (errfile = __FILE__, errline = __LINE__, elinks_strlcasecmp(a,b,c,d,1))
 int elinks_strlcasecmp(const unsigned char *s1, size_t n1,
-		       const unsigned char *s2, size_t n2);
+		       const unsigned char *s2, size_t n2,
+		       const int locale_indep);
+
+/* strcasecmp and strncasecmp which work as if they are
+ * in the C locale */
+int c_strcasecmp(const char *s1, const char *s2);
+int c_strncasecmp(const char *s1, const char *s2, size_t n);
+
+/* strcasestr function which works as if it is in the C locale. */
+char * c_strcasestr(const char *haystack, const char *needle);
 
 /** @} */
 
diff -pruN 0.12~pre2.dfsg0-1/src/util/test.h 0.12~pre4-1/src/util/test.h
--- 0.12~pre2.dfsg0-1/src/util/test.h	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/src/util/test.h	2009-05-31 09:48:47.000000000 +0100
@@ -6,6 +6,9 @@
 #include <stdlib.h>
 
 static inline void
+#if (__GNUC__ == 2 && __GNUC_MINOR__ >= 5) || __GNUC__ > 2
+__attribute__((noreturn))
+#endif
 die(const char *msg, ...)
 {
 	va_list args;
diff -pruN 0.12~pre2.dfsg0-1/src/viewer/text/form.c 0.12~pre4-1/src/viewer/text/form.c
--- 0.12~pre2.dfsg0-1/src/viewer/text/form.c	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/src/viewer/text/form.c	2009-05-31 09:48:47.000000000 +0100
@@ -165,7 +165,7 @@ init_form_state(struct document_view *do
 
 	doc_cp = doc_view->document->cp;
 	term = doc_view->session->tab->term;
-	viewer_cp = get_opt_codepage_tree(term->spec, "charset");
+	viewer_cp = get_terminal_codepage(term);
 
 	mem_free_set(&fs->value, NULL);
 
@@ -795,6 +795,30 @@ get_successful_controls(struct document_
 	sort_submitted_values(list);
 }
 
+unsigned char *
+encode_crlf(struct submitted_value *sv)
+{
+	struct string newtext;
+	int i;
+
+	assert(sv && sv->value);
+	if_assert_failed return NULL;
+
+	if (!init_string(&newtext)) return NULL;
+
+	for (i = 0; sv->value[i]; i++) {
+		if (sv->value[i] == '\r') {
+			if (sv->value[i+1] != '\n')
+				add_crlf_to_string(&newtext);
+		} else if (sv->value[i] == '\n')
+			add_crlf_to_string(&newtext);
+		else
+			add_char_to_string(&newtext, sv->value[i]);
+	}
+
+	return newtext.source;
+}
+
 static void
 encode_controls(LIST_OF(struct submitted_value) *l, struct string *data,
 		int cp_from, int cp_to)
@@ -838,6 +862,8 @@ encode_controls(LIST_OF(struct submitted
 
 			p2 = convert_string(convert_table, sv->value,
 					    strlen(sv->value), -1, CSM_FORM, NULL, NULL, NULL);
+		} else if (sv->type == FC_HIDDEN) {
+			p2 = encode_crlf(sv);
 		} else {
 			p2 = stracpy(sv->value);
 		}
@@ -1134,6 +1160,10 @@ encode_text_plain(LIST_OF(struct submitt
 			value = area51 = encode_textarea(sv);
 			if (!area51) break;
 			/* Fall through */
+		case FC_HIDDEN:
+			if (!area51) value = area51 = encode_crlf(sv);
+			if (!area51) break;
+			/* Fall through */
 		case FC_TEXT:
 		case FC_PASSWORD:
 			/* Convert back to original encoding (see
@@ -1218,7 +1248,7 @@ get_form_uri(struct session *ses, struct
 
 	get_successful_controls(doc_view, fc, &submit);
 
-	cp_from = get_opt_codepage_tree(ses->tab->term->spec, "charset");
+	cp_from = get_terminal_codepage(ses->tab->term);
 	cp_to = doc_view->document->cp;
 	switch (form->method) {
 	case FORM_METHOD_GET:
@@ -1816,8 +1846,7 @@ field_op(struct session *ses, struct doc
 #ifdef CONFIG_UTF8
 			/* fs->value is in the charset of the terminal.  */
 			ctext = u2cp_no_nbsp(get_kbd_key(ev),
-					     get_opt_codepage_tree(ses->tab->term->spec,
-								   "charset"));
+					     get_terminal_codepage(ses->tab->term));
 			length = strlen(ctext);
 
 			if (strlen(fs->value) + length > fc->maxlength
diff -pruN 0.12~pre2.dfsg0-1/src/viewer/text/form.h 0.12~pre4-1/src/viewer/text/form.h
--- 0.12~pre2.dfsg0-1/src/viewer/text/form.h	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/src/viewer/text/form.h	2009-05-31 09:48:47.000000000 +0100
@@ -99,6 +99,7 @@ struct submitted_value {
 struct submitted_value *init_submitted_value(unsigned char *name, unsigned char *value, enum form_type type, struct form_control *fc, int position);
 void done_submitted_value(struct submitted_value *sv);
 void done_submitted_value_list(LIST_OF(struct submitted_value) *list);
+unsigned char *encode_crlf(struct submitted_value *sv);
 
 struct uri *get_form_uri(struct session *ses, struct document_view *doc_view, struct form_control *fc);
 
diff -pruN 0.12~pre2.dfsg0-1/src/viewer/text/link.c 0.12~pre4-1/src/viewer/text/link.c
--- 0.12~pre2.dfsg0-1/src/viewer/text/link.c	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/src/viewer/text/link.c	2009-05-31 09:48:47.000000000 +0100
@@ -1216,8 +1216,7 @@ try_document_key(struct session *ses, st
 #ifdef CONFIG_UTF8
 	key = get_kbd_key(ev);
 #else  /* !CONFIG_UTF8 */
-	key = cp2u(get_opt_codepage_tree(ses->tab->term->spec,
-					 "charset"),
+	key = cp2u(get_terminal_codepage(ses->tab->term),
 		   get_kbd_key(ev));
 #endif /* !CONFIG_UTF8 */
 	/* If @key now is 0 (which is used in link.accesskey if there
diff -pruN 0.12~pre2.dfsg0-1/src/viewer/text/Makefile 0.12~pre4-1/src/viewer/text/Makefile
--- 0.12~pre2.dfsg0-1/src/viewer/text/Makefile	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/src/viewer/text/Makefile	2009-05-31 09:48:47.000000000 +0100
@@ -1,6 +1,8 @@
 top_builddir=../../..
 include $(top_builddir)/Makefile.config
 
+INCLUDES += $(TRE_CFLAGS)
+
 OBJS-$(CONFIG_MARKS) += marks.o
 
 OBJS = draw.o form.o link.o search.o textarea.o view.o vs.o
diff -pruN 0.12~pre2.dfsg0-1/src/viewer/text/search.c 0.12~pre4-1/src/viewer/text/search.c
--- 0.12~pre2.dfsg0-1/src/viewer/text/search.c	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/src/viewer/text/search.c	2009-05-31 09:48:47.000000000 +0100
@@ -16,11 +16,11 @@
 #endif
 
 #include <sys/types.h> /* FreeBSD needs this before regex.h */
-#ifdef HAVE_REGEX_H
-#include <regex.h>
-#endif
 #include <stdlib.h>
 #include <string.h>
+#ifdef CONFIG_TRE
+#include <tre/regex.h>
+#endif
 
 #include "elinks.h"
 
@@ -54,10 +54,18 @@ static INIT_INPUT_HISTORY(search_history
 #undef UCHAR
 #ifdef CONFIG_UTF8
 #define UCHAR unicode_val_T
+#define PATTERN const wchar_t
+#define Regcomp regwcomp
+#define Regexec regwexec
 #else
 #define UCHAR unsigned char
+#define PATTERN const char
+#define Regcomp regcomp
+#define Regexec regexec
 #endif
 
+static UCHAR *memacpy_u(unsigned char *text, int textlen, int utf8);
+
 static inline void
 add_srch_chr(struct document *document, UCHAR c, int x, int y, int nn)
 {
@@ -262,21 +270,21 @@ get_range(struct document *document, int
 	return 0;
 }
 
-#ifdef HAVE_REGEX_H
+#ifdef CONFIG_TRE
 /** Returns a string @c doc that is a copy of the text in the search
  * nodes from @a s1 to (@a s1 + @a doclen - 1) with the space at the
  * end of each line converted to a new-line character (LF). */
-static unsigned char *
+static UCHAR *
 get_search_region_from_search_nodes(struct search *s1, struct search *s2,
 				    int pattern_len, int *doclen)
 {
-	unsigned char *doc;
+	UCHAR *doc;
 	int i;
 
 	*doclen = s2 - s1 + pattern_len;
 	if (!*doclen) return NULL;
 
-	doc = mem_alloc(*doclen + 1);
+	doc = mem_alloc((*doclen + 1) * sizeof(UCHAR));
 	if (!doc) {
 		*doclen = -1;
 		return NULL;
@@ -301,11 +309,11 @@ struct regex_match_context {
 	int y1;
 	int y2;
 	int found;
-	unsigned char *pattern;
+	UCHAR *pattern;
 };
 
 static int
-init_regex(regex_t *regex, unsigned char *pattern)
+init_regex(regex_t *regex, UCHAR *pattern)
 {
 	int regex_flags = REG_NEWLINE;
 	int reg_err;
@@ -316,7 +324,7 @@ init_regex(regex_t *regex, unsigned char
 	if (!get_opt_bool("document.browse.search.case"))
 		regex_flags |= REG_ICASE;
 
-	reg_err = regcomp(regex, pattern, regex_flags);
+	reg_err = Regcomp(regex, (PATTERN *)pattern, regex_flags);
 	if (reg_err) {
 		regfree(regex);
 		return 0;
@@ -329,8 +337,8 @@ static void
 search_for_pattern(struct regex_match_context *common_ctx, void *data,
 		   void (*match)(struct regex_match_context *, void *))
 {
-	unsigned char *doc;
-	unsigned char *doctmp;
+	UCHAR *doc;
+	UCHAR *doctmp;
 	int doclen;
 	int regexec_flags = 0;
 	regex_t regex;
@@ -381,7 +389,7 @@ find_next:
 	save_c = doc[pos];
 	doc[pos] = 0;
 
-	while (*doctmp && !regexec(&regex, doctmp, 1, &regmatch, regexec_flags)) {
+	while (*doctmp && !Regexec(&regex, (PATTERN *)doctmp, 1, &regmatch, regexec_flags)) {
 		regexec_flags = REG_NOTBOL;
 		common_ctx->textlen = regmatch.rm_eo - regmatch.rm_so;
 		if (!common_ctx->textlen) { doc[pos] = save_c; common_ctx->found = 1; goto free_stuff; }
@@ -432,10 +440,13 @@ static int
 is_in_range_regex(struct document *document, int y, int height,
 		  unsigned char *text, int textlen,
 		  int *min, int *max,
-		  struct search *s1, struct search *s2)
+		  struct search *s1, struct search *s2, int utf8)
 {
 	struct regex_match_context common_ctx;
 	struct is_in_range_regex_context ctx;
+	UCHAR *txt = memacpy_u(text, textlen, utf8);
+
+	if (!txt) return -1;
 
 	ctx.y = y;
 	ctx.min = min;
@@ -445,15 +456,16 @@ is_in_range_regex(struct document *docum
 	common_ctx.textlen = textlen;
 	common_ctx.y1 = y - 1;
 	common_ctx.y2 = y + height;
-	common_ctx.pattern = text;
+	common_ctx.pattern = txt;
 	common_ctx.s1 = s1;
 	common_ctx.s2 = s2;
 
 	search_for_pattern(&common_ctx, &ctx, is_in_range_regex_match);
+	mem_free(txt);
 
 	return common_ctx.found;
 }
-#endif /* HAVE_REGEX_H */
+#endif /* CONFIG_TRE */
 
 static UCHAR *
 memacpy_u(unsigned char *text, int textlen, int utf8)
@@ -590,10 +602,10 @@ is_in_range(struct document *document, i
 	if (get_range(document, y, height, textlen, &s1, &s2))
 		return 0;
 
-#ifdef HAVE_REGEX_H
+#ifdef CONFIG_TRE
 	if (get_opt_int("document.browse.search.regex"))
 		return is_in_range_regex(document, y, height, text, textlen,
-					 min, max, s1, s2);
+					 min, max, s1, s2, utf8);
 #endif
 	return is_in_range_plain(document, y, height, text, textlen,
 				 min, max, s1, s2, utf8);
@@ -669,7 +681,7 @@ srch_failed:
 	*pl = len;
 }
 
-#ifdef HAVE_REGEX_H
+#ifdef CONFIG_TRE
 struct get_searched_regex_context {
 	int xoffset;
 	int yoffset;
@@ -709,10 +721,13 @@ get_searched_regex_match(struct regex_ma
 
 static void
 get_searched_regex(struct document_view *doc_view, struct point **pt, int *pl,
-		   int textlen, struct search *s1, struct search *s2)
+		   int textlen, struct search *s1, struct search *s2, int utf8)
 {
 	struct regex_match_context common_ctx;
 	struct get_searched_regex_context ctx;
+	UCHAR *txt = memacpy_u(*doc_view->search_word, textlen, utf8);
+
+	if (!txt) return;
 
 	ctx.points = NULL;
 	ctx.len = 0;
@@ -724,16 +739,17 @@ get_searched_regex(struct document_view 
 	common_ctx.textlen = textlen;
 	common_ctx.y1 = doc_view->vs->y - 1;
 	common_ctx.y2 = doc_view->vs->y + ctx.box->height;
-	common_ctx.pattern = *doc_view->search_word;
+	common_ctx.pattern = txt;
 	common_ctx.s1 = s1;
 	common_ctx.s2 = s2;
 
 	search_for_pattern(&common_ctx, &ctx, get_searched_regex_match);
 
+	mem_free(txt);
 	*pt = ctx.points;
 	*pl = ctx.len;
 }
-#endif /* HAVE_REGEX_H */
+#endif /* CONFIG_TRE */
 
 static void
 get_searched(struct document_view *doc_view, struct point **pt, int *pl, int utf8)
@@ -757,9 +773,9 @@ get_searched(struct document_view *doc_v
 		return;
 	}
 
-#ifdef HAVE_REGEX_H
+#ifdef CONFIG_TRE
 	if (get_opt_int("document.browse.search.regex"))
-		get_searched_regex(doc_view, pt, pl, l, s1, s2);
+		get_searched_regex(doc_view, pt, pl, l, s1, s2, utf8);
 	else
 #endif
 		get_searched_plain(doc_view, pt, pl, l, s1, s2, utf8);
@@ -1407,9 +1423,11 @@ text_typeahead_handler(struct input_line
 				get_opt_rec(config_options,
 					    "document.browse.search.regex");
 
-			opt->value.number = (opt->value.number + 1)
-					    % (opt->max + 1);
-			option_changed(ses, opt);
+			if (opt) {
+				opt->value.number = (opt->value.number + 1)
+						    % (opt->max + 1);
+				option_changed(ses, opt);
+			}
 		}
 		/* Fall thru */
 
@@ -1576,7 +1594,7 @@ search_typeahead(struct session *ses, st
  * a nice cleanup target ;-). --pasky */
 
 enum search_option {
-#ifdef HAVE_REGEX_H
+#ifdef CONFIG_TRE
 	SEARCH_OPT_REGEX,
 #endif
 	SEARCH_OPT_CASE,
@@ -1584,7 +1602,7 @@ enum search_option {
 };
 
 static struct option_resolver resolvers[] = {
-#ifdef HAVE_REGEX_H
+#ifdef CONFIG_TRE
 	{ SEARCH_OPT_REGEX,	"regex" },
 #endif
 	{ SEARCH_OPT_CASE,	"case" },
@@ -1651,7 +1669,7 @@ search_dlg_do(struct terminal *term, str
 			       hop->values, SEARCH_OPTIONS);
 	hop->data = data;
 
-#ifdef HAVE_REGEX_H
+#ifdef CONFIG_TRE
 #define SEARCH_WIDGETS_COUNT 8
 #else
 #define SEARCH_WIDGETS_COUNT 5
@@ -1675,7 +1693,7 @@ search_dlg_do(struct terminal *term, str
 	field = get_dialog_offset(dlg, SEARCH_WIDGETS_COUNT);
 	add_dlg_field(dlg, text, 0, 0, NULL, MAX_STR_LEN, field, history);
 
-#ifdef HAVE_REGEX_H
+#ifdef CONFIG_TRE
 	add_dlg_radio(dlg, _("Normal search", term), 1, 0, &hop->values[SEARCH_OPT_REGEX].number);
 	add_dlg_radio(dlg, _("Regexp search", term), 1, 1, &hop->values[SEARCH_OPT_REGEX].number);
 	add_dlg_radio(dlg, _("Extended regexp search", term), 1, 2, &hop->values[SEARCH_OPT_REGEX].number);
diff -pruN 0.12~pre2.dfsg0-1/src/viewer/text/textarea.c 0.12~pre4-1/src/viewer/text/textarea.c
--- 0.12~pre2.dfsg0-1/src/viewer/text/textarea.c	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/src/viewer/text/textarea.c	2009-05-31 09:48:47.000000000 +0100
@@ -490,9 +490,7 @@ unsigned char *
 encode_textarea(struct submitted_value *sv)
 {
 	struct form_control *fc;
-	struct string newtext;
 	void *blabla;
-	int i;
 
 	assert(sv && sv->value);
 	if_assert_failed return NULL;
@@ -505,16 +503,7 @@ encode_textarea(struct submitted_value *
 	blabla = format_text(sv->value, fc->cols, fc->wrap, 1);
 	mem_free_if(blabla);
 
-	if (!init_string(&newtext)) return NULL;
-
-	for (i = 0; sv->value[i]; i++) {
-		if (sv->value[i] != '\n')
-			add_char_to_string(&newtext, sv->value[i]);
-		else
-			add_crlf_to_string(&newtext);
-	}
-
-	return newtext.source;
+	return encode_crlf(sv);
 }
 
 
diff -pruN 0.12~pre2.dfsg0-1/src/viewer/text/view.c 0.12~pre4-1/src/viewer/text/view.c
--- 0.12~pre2.dfsg0-1/src/viewer/text/view.c	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/src/viewer/text/view.c	2009-05-31 09:48:47.000000000 +0100
@@ -1167,6 +1167,7 @@ frame_ev_mouse(struct session *ses, stru
 		enum frame_event_status status = FRAME_EVENT_REFRESH;
 
 		doc_view->vs->current_link = link - doc_view->document->links;
+		ses->navigate_mode = NAVIGATE_LINKWISE;
 
 		if (!link_is_textinput(link)) {
 
diff -pruN 0.12~pre2.dfsg0-1/test/GFDL-1.2 0.12~pre4-1/test/GFDL-1.2
--- 0.12~pre2.dfsg0-1/test/GFDL-1.2	1970-01-01 01:00:00.000000000 +0100
+++ 0.12~pre4-1/test/GFDL-1.2	2009-05-31 09:48:47.000000000 +0100
@@ -0,0 +1,397 @@
+		GNU Free Documentation License
+		  Version 1.2, November 2002
+
+
+ Copyright (C) 2000,2001,2002  Free Software Foundation, Inc.
+     51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
+ Everyone is permitted to copy and distribute verbatim copies
+ of this license document, but changing it is not allowed.
+
+
+0. PREAMBLE
+
+The purpose of this License is to make a manual, textbook, or other
+functional and useful document "free" in the sense of freedom: to
+assure everyone the effective freedom to copy and redistribute it,
+with or without modifying it, either commercially or noncommercially.
+Secondarily, this License preserves for the author and publisher a way
+to get credit for their work, while not being considered responsible
+for modifications made by others.
+
+This License is a kind of "copyleft", which means that derivative
+works of the document must themselves be free in the same sense.  It
+complements the GNU General Public License, which is a copyleft
+license designed for free software.
+
+We have designed this License in order to use it for manuals for free
+software, because free software needs free documentation: a free
+program should come with manuals providing the same freedoms that the
+software does.  But this License is not limited to software manuals;
+it can be used for any textual work, regardless of subject matter or
+whether it is published as a printed book.  We recommend this License
+principally for works whose purpose is instruction or reference.
+
+
+1. APPLICABILITY AND DEFINITIONS
+
+This License applies to any manual or other work, in any medium, that
+contains a notice placed by the copyright holder saying it can be
+distributed under the terms of this License.  Such a notice grants a
+world-wide, royalty-free license, unlimited in duration, to use that
+work under the conditions stated herein.  The "Document", below,
+refers to any such manual or work.  Any member of the public is a
+licensee, and is addressed as "you".  You accept the license if you
+copy, modify or distribute the work in a way requiring permission
+under copyright law.
+
+A "Modified Version" of the Document means any work containing the
+Document or a portion of it, either copied verbatim, or with
+modifications and/or translated into another language.
+
+A "Secondary Section" is a named appendix or a front-matter section of
+the Document that deals exclusively with the relationship of the
+publishers or authors of the Document to the Document's overall subject
+(or to related matters) and contains nothing that could fall directly
+within that overall subject.  (Thus, if the Document is in part a
+textbook of mathematics, a Secondary Section may not explain any
+mathematics.)  The relationship could be a matter of historical
+connection with the subject or with related matters, or of legal,
+commercial, philosophical, ethical or political position regarding
+them.
+
+The "Invariant Sections" are certain Secondary Sections whose titles
+are designated, as being those of Invariant Sections, in the notice
+that says that the Document is released under this License.  If a
+section does not fit the above definition of Secondary then it is not
+allowed to be designated as Invariant.  The Document may contain zero
+Invariant Sections.  If the Document does not identify any Invariant
+Sections then there are none.
+
+The "Cover Texts" are certain short passages of text that are listed,
+as Front-Cover Texts or Back-Cover Texts, in the notice that says that
+the Document is released under this License.  A Front-Cover Text may
+be at most 5 words, and a Back-Cover Text may be at most 25 words.
+
+A "Transparent" copy of the Document means a machine-readable copy,
+represented in a format whose specification is available to the
+general public, that is suitable for revising the document
+straightforwardly with generic text editors or (for images composed of
+pixels) generic paint programs or (for drawings) some widely available
+drawing editor, and that is suitable for input to text formatters or
+for automatic translation to a variety of formats suitable for input
+to text formatters.  A copy made in an otherwise Transparent file
+format whose markup, or absence of markup, has been arranged to thwart
+or discourage subsequent modification by readers is not Transparent.
+An image format is not Transparent if used for any substantial amount
+of text.  A copy that is not "Transparent" is called "Opaque".
+
+Examples of suitable formats for Transparent copies include plain
+ASCII without markup, Texinfo input format, LaTeX input format, SGML
+or XML using a publicly available DTD, and standard-conforming simple
+HTML, PostScript or PDF designed for human modification.  Examples of
+transparent image formats include PNG, XCF and JPG.  Opaque formats
+include proprietary formats that can be read and edited only by
+proprietary word processors, SGML or XML for which the DTD and/or
+processing tools are not generally available, and the
+machine-generated HTML, PostScript or PDF produced by some word
+processors for output purposes only.
+
+The "Title Page" means, for a printed book, the title page itself,
+plus such following pages as are needed to hold, legibly, the material
+this License requires to appear in the title page.  For works in
+formats which do not have any title page as such, "Title Page" means
+the text near the most prominent appearance of the work's title,
+preceding the beginning of the body of the text.
+
+A section "Entitled XYZ" means a named subunit of the Document whose
+title either is precisely XYZ or contains XYZ in parentheses following
+text that translates XYZ in another language.  (Here XYZ stands for a
+specific section name mentioned below, such as "Acknowledgements",
+"Dedications", "Endorsements", or "History".)  To "Preserve the Title"
+of such a section when you modify the Document means that it remains a
+section "Entitled XYZ" according to this definition.
+
+The Document may include Warranty Disclaimers next to the notice which
+states that this License applies to the Document.  These Warranty
+Disclaimers are considered to be included by reference in this
+License, but only as regards disclaiming warranties: any other
+implication that these Warranty Disclaimers may have is void and has
+no effect on the meaning of this License.
+
+
+2. VERBATIM COPYING
+
+You may copy and distribute the Document in any medium, either
+commercially or noncommercially, provided that this License, the
+copyright notices, and the license notice saying this License applies
+to the Document are reproduced in all copies, and that you add no other
+conditions whatsoever to those of this License.  You may not use
+technical measures to obstruct or control the reading or further
+copying of the copies you make or distribute.  However, you may accept
+compensation in exchange for copies.  If you distribute a large enough
+number of copies you must also follow the conditions in section 3.
+
+You may also lend copies, under the same conditions stated above, and
+you may publicly display copies.
+
+
+3. COPYING IN QUANTITY
+
+If you publish printed copies (or copies in media that commonly have
+printed covers) of the Document, numbering more than 100, and the
+Document's license notice requires Cover Texts, you must enclose the
+copies in covers that carry, clearly and legibly, all these Cover
+Texts: Front-Cover Texts on the front cover, and Back-Cover Texts on
+the back cover.  Both covers must also clearly and legibly identify
+you as the publisher of these copies.  The front cover must present
+the full title with all words of the title equally prominent and
+visible.  You may add other material on the covers in addition.
+Copying with changes limited to the covers, as long as they preserve
+the title of the Document and satisfy these conditions, can be treated
+as verbatim copying in other respects.
+
+If the required texts for either cover are too voluminous to fit
+legibly, you should put the first ones listed (as many as fit
+reasonably) on the actual cover, and continue the rest onto adjacent
+pages.
+
+If you publish or distribute Opaque copies of the Document numbering
+more than 100, you must either include a machine-readable Transparent
+copy along with each Opaque copy, or state in or with each Opaque copy
+a computer-network location from which the general network-using
+public has access to download using public-standard network protocols
+a complete Transparent copy of the Document, free of added material.
+If you use the latter option, you must take reasonably prudent steps,
+when you begin distribution of Opaque copies in quantity, to ensure
+that this Transparent copy will remain thus accessible at the stated
+location until at least one year after the last time you distribute an
+Opaque copy (directly or through your agents or retailers) of that
+edition to the public.
+
+It is requested, but not required, that you contact the authors of the
+Document well before redistributing any large number of copies, to give
+them a chance to provide you with an updated version of the Document.
+
+
+4. MODIFICATIONS
+
+You may copy and distribute a Modified Version of the Document under
+the conditions of sections 2 and 3 above, provided that you release
+the Modified Version under precisely this License, with the Modified
+Version filling the role of the Document, thus licensing distribution
+and modification of the Modified Version to whoever possesses a copy
+of it.  In addition, you must do these things in the Modified Version:
+
+A. Use in the Title Page (and on the covers, if any) a title distinct
+   from that of the Document, and from those of previous versions
+   (which should, if there were any, be listed in the History section
+   of the Document).  You may use the same title as a previous version
+   if the original publisher of that version gives permission.
+B. List on the Title Page, as authors, one or more persons or entities
+   responsible for authorship of the modifications in the Modified
+   Version, together with at least five of the principal authors of the
+   Document (all of its principal authors, if it has fewer than five),
+   unless they release you from this requirement.
+C. State on the Title page the name of the publisher of the
+   Modified Version, as the publisher.
+D. Preserve all the copyright notices of the Document.
+E. Add an appropriate copyright notice for your modifications
+   adjacent to the other copyright notices.
+F. Include, immediately after the copyright notices, a license notice
+   giving the public permission to use the Modified Version under the
+   terms of this License, in the form shown in the Addendum below.
+G. Preserve in that license notice the full lists of Invariant Sections
+   and required Cover Texts given in the Document's license notice.
+H. Include an unaltered copy of this License.
+I. Preserve the section Entitled "History", Preserve its Title, and add
+   to it an item stating at least the title, year, new authors, and
+   publisher of the Modified Version as given on the Title Page.  If
+   there is no section Entitled "History" in the Document, create one
+   stating the title, year, authors, and publisher of the Document as
+   given on its Title Page, then add an item describing the Modified
+   Version as stated in the previous sentence.
+J. Preserve the network location, if any, given in the Document for
+   public access to a Transparent copy of the Document, and likewise
+   the network locations given in the Document for previous versions
+   it was based on.  These may be placed in the "History" section.
+   You may omit a network location for a work that was published at
+   least four years before the Document itself, or if the original
+   publisher of the version it refers to gives permission.
+K. For any section Entitled "Acknowledgements" or "Dedications",
+   Preserve the Title of the section, and preserve in the section all
+   the substance and tone of each of the contributor acknowledgements
+   and/or dedications given therein.
+L. Preserve all the Invariant Sections of the Document,
+   unaltered in their text and in their titles.  Section numbers
+   or the equivalent are not considered part of the section titles.
+M. Delete any section Entitled "Endorsements".  Such a section
+   may not be included in the Modified Version.
+N. Do not retitle any existing section to be Entitled "Endorsements"
+   or to conflict in title with any Invariant Section.
+O. Preserve any Warranty Disclaimers.
+
+If the Modified Version includes new front-matter sections or
+appendices that qualify as Secondary Sections and contain no material
+copied from the Document, you may at your option designate some or all
+of these sections as invariant.  To do this, add their titles to the
+list of Invariant Sections in the Modified Version's license notice.
+These titles must be distinct from any other section titles.
+
+You may add a section Entitled "Endorsements", provided it contains
+nothing but endorsements of your Modified Version by various
+parties--for example, statements of peer review or that the text has
+been approved by an organization as the authoritative definition of a
+standard.
+
+You may add a passage of up to five words as a Front-Cover Text, and a
+passage of up to 25 words as a Back-Cover Text, to the end of the list
+of Cover Texts in the Modified Version.  Only one passage of
+Front-Cover Text and one of Back-Cover Text may be added by (or
+through arrangements made by) any one entity.  If the Document already
+includes a cover text for the same cover, previously added by you or
+by arrangement made by the same entity you are acting on behalf of,
+you may not add another; but you may replace the old one, on explicit
+permission from the previous publisher that added the old one.
+
+The author(s) and publisher(s) of the Document do not by this License
+give permission to use their names for publicity for or to assert or
+imply endorsement of any Modified Version.
+
+
+5. COMBINING DOCUMENTS
+
+You may combine the Document with other documents released under this
+License, under the terms defined in section 4 above for modified
+versions, provided that you include in the combination all of the
+Invariant Sections of all of the original documents, unmodified, and
+list them all as Invariant Sections of your combined work in its
+license notice, and that you preserve all their Warranty Disclaimers.
+
+The combined work need only contain one copy of this License, and
+multiple identical Invariant Sections may be replaced with a single
+copy.  If there are multiple Invariant Sections with the same name but
+different contents, make the title of each such section unique by
+adding at the end of it, in parentheses, the name of the original
+author or publisher of that section if known, or else a unique number.
+Make the same adjustment to the section titles in the list of
+Invariant Sections in the license notice of the combined work.
+
+In the combination, you must combine any sections Entitled "History"
+in the various original documents, forming one section Entitled
+"History"; likewise combine any sections Entitled "Acknowledgements",
+and any sections Entitled "Dedications".  You must delete all sections
+Entitled "Endorsements".
+
+
+6. COLLECTIONS OF DOCUMENTS
+
+You may make a collection consisting of the Document and other documents
+released under this License, and replace the individual copies of this
+License in the various documents with a single copy that is included in
+the collection, provided that you follow the rules of this License for
+verbatim copying of each of the documents in all other respects.
+
+You may extract a single document from such a collection, and distribute
+it individually under this License, provided you insert a copy of this
+License into the extracted document, and follow this License in all
+other respects regarding verbatim copying of that document.
+
+
+7. AGGREGATION WITH INDEPENDENT WORKS
+
+A compilation of the Document or its derivatives with other separate
+and independent documents or works, in or on a volume of a storage or
+distribution medium, is called an "aggregate" if the copyright
+resulting from the compilation is not used to limit the legal rights
+of the compilation's users beyond what the individual works permit.
+When the Document is included in an aggregate, this License does not
+apply to the other works in the aggregate which are not themselves
+derivative works of the Document.
+
+If the Cover Text requirement of section 3 is applicable to these
+copies of the Document, then if the Document is less than one half of
+the entire aggregate, the Document's Cover Texts may be placed on
+covers that bracket the Document within the aggregate, or the
+electronic equivalent of covers if the Document is in electronic form.
+Otherwise they must appear on printed covers that bracket the whole
+aggregate.
+
+
+8. TRANSLATION
+
+Translation is considered a kind of modification, so you may
+distribute translations of the Document under the terms of section 4.
+Replacing Invariant Sections with translations requires special
+permission from their copyright holders, but you may include
+translations of some or all Invariant Sections in addition to the
+original versions of these Invariant Sections.  You may include a
+translation of this License, and all the license notices in the
+Document, and any Warranty Disclaimers, provided that you also include
+the original English version of this License and the original versions
+of those notices and disclaimers.  In case of a disagreement between
+the translation and the original version of this License or a notice
+or disclaimer, the original version will prevail.
+
+If a section in the Document is Entitled "Acknowledgements",
+"Dedications", or "History", the requirement (section 4) to Preserve
+its Title (section 1) will typically require changing the actual
+title.
+
+
+9. TERMINATION
+
+You may not copy, modify, sublicense, or distribute the Document except
+as expressly provided for under this License.  Any other attempt to
+copy, modify, sublicense or distribute the Document is void, and will
+automatically terminate your rights under this License.  However,
+parties who have received copies, or rights, from you under this
+License will not have their licenses terminated so long as such
+parties remain in full compliance.
+
+
+10. FUTURE REVISIONS OF THIS LICENSE
+
+The Free Software Foundation may publish new, revised versions
+of the GNU Free Documentation License from time to time.  Such new
+versions will be similar in spirit to the present version, but may
+differ in detail to address new problems or concerns.  See
+http://www.gnu.org/copyleft/.
+
+Each version of the License is given a distinguishing version number.
+If the Document specifies that a particular numbered version of this
+License "or any later version" applies to it, you have the option of
+following the terms and conditions either of that specified version or
+of any later version that has been published (not as a draft) by the
+Free Software Foundation.  If the Document does not specify a version
+number of this License, you may choose any version ever published (not
+as a draft) by the Free Software Foundation.
+
+
+ADDENDUM: How to use this License for your documents
+
+To use this License in a document you have written, include a copy of
+the License in the document and put the following copyright and
+license notices just after the title page:
+
+    Copyright (c)  YEAR  YOUR NAME.
+    Permission is granted to copy, distribute and/or modify this document
+    under the terms of the GNU Free Documentation License, Version 1.2
+    or any later version published by the Free Software Foundation;
+    with no Invariant Sections, no Front-Cover Texts, and no Back-Cover Texts.
+    A copy of the license is included in the section entitled "GNU
+    Free Documentation License".
+
+If you have Invariant Sections, Front-Cover Texts and Back-Cover Texts,
+replace the "with...Texts." line with this:
+
+    with the Invariant Sections being LIST THEIR TITLES, with the
+    Front-Cover Texts being LIST, and with the Back-Cover Texts being LIST.
+
+If you have Invariant Sections without Cover Texts, or some other
+combination of the three, merge those two alternatives to suit the
+situation.
+
+If your document contains nontrivial examples of program code, we
+recommend releasing these examples in parallel under your choice of
+free software license, such as the GNU General Public License,
+to permit their use in free software.
Binary files 0.12~pre2.dfsg0-1/test/image.png and 0.12~pre4-1/test/image.png differ
diff -pruN 0.12~pre2.dfsg0-1/test/imgmap2.html 0.12~pre4-1/test/imgmap2.html
--- 0.12~pre2.dfsg0-1/test/imgmap2.html	1970-01-01 01:00:00.000000000 +0100
+++ 0.12~pre4-1/test/imgmap2.html	2009-05-31 09:48:47.000000000 +0100
@@ -0,0 +1,6 @@
+<TITLE>Crashes in client-side image maps</TITLE>
+<P><IMG src="image.png" usemap="imgmap.html#map" alt="ImageMap"> in another file</P>
+<P><IMG src="image.png" usemap="#at_eof" alt="ImageMap"> at the very end of this file</P>
+<MAP name="at_eof">
+<AREA shape="rect" coords="12,1, 30,18" href="http://elinks.cz/" alt="see this?">
+<!-- no newline at the end of this line --></MAP>
diff -pruN 0.12~pre2.dfsg0-1/test/imgmap.html 0.12~pre4-1/test/imgmap.html
--- 0.12~pre2.dfsg0-1/test/imgmap.html	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/test/imgmap.html	2009-05-31 09:48:47.000000000 +0100
@@ -1,11 +1,11 @@
 <html>
 <body>
-<IMG SRC="image.gif" ALT="ImageMap" USEMAP="#map">
+<IMG SRC="image.png" ALT="ImageMap" USEMAP="#map">
 <map name="map">
-<AREA SHAPE="rect" HREF="align.html" alt="1">
-<AREA SHAPE="rect" HREF="color.html" alt="2">
-<AREA SHAPE="rect" HREF="underline.html" alt="3">
-<AREA SHAPE="rect" HREF="poocs.net.html" name="91" alt="4">
+<AREA SHAPE="poly" COORDS="24,26, 30,30, 22,40, 15,35, 24,26" HREF="href_tests.html" alt="1">
+<AREA SHAPE="poly" COORDS="21,21, 38,10, 34,19, 39,29, 21,21" HREF="color.html" alt="2">
+<AREA SHAPE="rect" COORDS="12,1, 30,18" HREF="underline.html" alt="3">
+<AREA SHAPE="circle" COORDS="9.5,22, 9" HREF="nbsp.html" name="91" alt="4">
 </map>
 </body>
 </html>
diff -pruN 0.12~pre2.dfsg0-1/test/README 0.12~pre4-1/test/README
--- 0.12~pre2.dfsg0-1/test/README	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/test/README	2009-05-31 09:48:47.000000000 +0100
@@ -5,3 +5,7 @@ occuring inside of these documents. No a
 
 Possible meaningful content of the documents is completely irrelevant and you
 should ignore it. Noone takes any responsibility for it :).
+
+optgroup.html originates from <http://iccl.fi/>.  Ari Sovijärvi kindly
+granted us the "GNU free documentation licence" (included in the file
+GFDL-1.2).
diff -pruN 0.12~pre2.dfsg0-1/test/server/crlf.conf 0.12~pre4-1/test/server/crlf.conf
--- 0.12~pre2.dfsg0-1/test/server/crlf.conf	1970-01-01 01:00:00.000000000 +0100
+++ 0.12~pre4-1/test/server/crlf.conf	2009-05-31 09:48:47.000000000 +0100
@@ -0,0 +1,2 @@
+set document.browse.forms.confirm_submit = 0
+set ecmascript.enable = 1
diff -pruN 0.12~pre2.dfsg0-1/test/server/crlf.py 0.12~pre4-1/test/server/crlf.py
--- 0.12~pre2.dfsg0-1/test/server/crlf.py	1970-01-01 01:00:00.000000000 +0100
+++ 0.12~pre4-1/test/server/crlf.py	2009-05-31 09:48:47.000000000 +0100
@@ -0,0 +1,121 @@
+#!/usr/bin/env python
+
+import os
+from BaseHTTPServer import *
+import tempfile
+import signal
+
+r, w = os.pipe()
+
+C_CR = 0
+C_LF = 1
+C_CRLF = 2
+
+E_Raw = 0
+E_Entity = 1
+E_JavaScript = 2
+
+F_Hidden = 0
+F_TextArea = 1
+
+def encode(ch, encoding):
+	if ch == C_CRLF:
+		return encode(C_CR, encoding) + encode(C_LF, encoding)
+	if ch == C_CR:
+		if encoding == E_Raw:
+			return "\r"
+		if encoding == E_JavaScript:
+			return "\\r"
+		if encoding == E_Entity:
+			return "&#013;"
+	if ch == C_LF:
+		if encoding == E_Raw:
+			return "\n"
+		if encoding == E_JavaScript:
+			return "\\n"
+		if encoding == E_Entity:
+			return "&#010;"
+
+def get_form(ch, encoding, field):
+	text = "foo" + encode(ch, encoding) + "bar"
+	if encoding == E_JavaScript:
+		text_initial = ""
+	else:
+		text_initial = text
+
+	s = """<html>
+<head>
+<title>Form Test</title>
+</head>
+<body>
+<form id="form1" name="form1" action="http://127.0.0.1:8090/">
+"""
+	if field == F_Hidden:
+		s += '<input type="hidden" id="field1" name="field1" value="' + text_initial + '">'
+	elif field == F_TextArea:
+		s += '<textarea id="field1" name="field1">' + text_initial + '</textarea>'
+	s += "\n</form>"
+	if encoding == E_JavaScript:
+		s += """
+<script>
+document.form1.field1.value = '%s';
+</script>""" % (text)
+
+	s += "</body></html>"
+	return s
+
+class forwarder(BaseHTTPRequestHandler):
+	def do_GET(self):
+		w.write(self.path + "\n")
+		w.flush()
+		self.send_response(200)
+		self.send_header("Content-Type", "text/plain")
+		self.end_headers()
+		self.wfile.write("Dummy response")
+
+def runtest(r, *args):
+	form = get_form(*args)
+
+	tmpfile, tmpname = tempfile.mkstemp(".html")
+	tmpfile = os.fdopen(tmpfile, 'w')
+	tmpfile.write(form)
+	tmpfile.close()
+
+	linkspid = os.spawnlp(os.P_NOWAIT, 'elinks', 'elinks',
+		'-config-dir', os.getcwd(),
+		'-config-file', 'crlf.conf',
+		'-no-connect', '1',
+		'-auto-submit', '1',
+		tmpname)
+	path = r.readline()
+	os.kill(linkspid, signal.SIGINT)
+	os.waitpid(linkspid, 0)
+
+	os.unlink(tmpname)
+
+	return path
+
+pid = os.fork()
+
+if pid:
+	os.close(w)
+	r = os.fdopen(r)
+
+	paths = []
+
+	for c in [C_CR, C_LF, C_CRLF]:
+		for e in [E_Raw, E_Entity, E_JavaScript]:
+			for f in [F_Hidden, F_TextArea]:
+				paths.append(("%d %d %d " % (c, e, f)) + runtest(r, c, e, f))
+
+	for path in paths:
+		print path,
+
+	os.kill(pid, signal.SIGTERM)
+	os.waitpid(pid, 0)
+else:
+	os.close(r)
+	w = os.fdopen(w, 'w')
+	server_address = ('127.0.0.1', 8090)
+	httpd = HTTPServer(server_address, forwarder)
+	httpd.serve_forever()
diff -pruN 0.12~pre2.dfsg0-1/Unicode/8859_10.cp 0.12~pre4-1/Unicode/8859_10.cp
--- 0.12~pre2.dfsg0-1/Unicode/8859_10.cp	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/Unicode/8859_10.cp	2009-05-31 09:48:47.000000000 +0100
@@ -1,5 +1,17 @@
 ISO 8859-10
 "ISO-8859-10", "8859-10", "ISO_8859-10:1992", "ISO-IR-157", "LATIN6", "L6", "csISOLatin6", "ISO8859-10"
+
+# ----------------------------------------------------------------------
+# The following data was downloaded from
+# http://www.unicode.org/Public/MAPPINGS/ISO8859/DatedVersions/8859-10-1998.TXT
+# on 2008-10-05, so it is a Unicode Data File covered by the Unicode
+# copyright and permission notice in the COPYING file of ELinks,
+# regardless of any terms shown below.
+#
+# This file differs from the original in the following ways:
+# - Added this comment, blank lines around it, and charset names above it.
+# ----------------------------------------------------------------------
+
 #
 #	Name:             ISO/IEC 8859-10:1998 to Unicode
 #	Unicode version:  3.0
diff -pruN 0.12~pre2.dfsg0-1/Unicode/8859_13.cp 0.12~pre4-1/Unicode/8859_13.cp
--- 0.12~pre2.dfsg0-1/Unicode/8859_13.cp	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/Unicode/8859_13.cp	2009-05-31 09:48:47.000000000 +0100
@@ -1,134 +1,313 @@
 ISO 8859-13
 "ISO-8859-13", "iso8859-13", "8859-13", "iso-ir-179", "latin7", "l7", "il7", "ISO_8859-13"
 
-0x20-0x7e       idem
+# ----------------------------------------------------------------------
+# The following data was downloaded from
+# http://www.unicode.org/Public/MAPPINGS/ISO8859/DatedVersions/8859-13-1998.TXT
+# on 2008-10-05, so it is a Unicode Data File covered by the Unicode
+# copyright and permission notice in the COPYING file of ELinks,
+# regardless of any terms shown below.
 #
-0x80	0x0080	#PADDING CHARACTER (PAD)
-0x81	0x0081	#HIGH OCTET PRESET (HOP)
-0x82	0x0082	#BREAK PERMITTED HERE (BPH)
-0x83	0x0083	#NO BREAK HERE (NBH)
-0x84	0x0084	#INDEX (IND)
-0x85	0x0085	#NEXT LINE (NEL)
-0x86	0x0086	#START OF SELECTED AREA (SSA)
-0x87	0x0087	#END OF SELECTED AREA (ESA)
-0x88	0x0088	#CHARACTER TABULATION SET (HTS)
-0x89	0x0089	#CHARACTER TABULATION WITH JUSTIFICATION (HTJ)
-0x8A	0x008A	#LINE TABULATION SET (VTS)
-0x8B	0x008B	#PARTIAL LINE FORWARD (PLD)
-0x8C	0x008C	#PARTIAL LINE BACKWARD (PLU)
-0x8D	0x008D	#REVERSE LINE FEED (RI)
-0x8E	0x008E	#SINGLE-SHIFT TWO (SS2)
-0x8F	0x008F	#SINGLE-SHIFT THREE (SS3)
-0x90	0x0090	#DEVICE CONTROL STRING (DCS)
-0x91	0x0091	#PRIVATE USE ONE (PU1)
-0x92	0x0092	#PRIVATE USE TWO (PU2)
-0x93	0x0093	#SET TRANSMIT STATE (STS)
-0x94	0x0094	#CANCEL CHARACTER (CCH)
-0x95	0x0095	#MESSAGE WAITING (MW)
-0x96	0x0096	#START OF GUARDED AREA (SPA)
-0x97	0x0097	#END OF GUARDED AREA (EPA)
-0x98	0x0098	#START OF STRING (SOS)
-0x99	0x0099	#SINGLE GRAPHIC CHARACTER INTRODUCER (SGCI)
-0x9A	0x009A	#SINGLE CHARACTER INTRODUCER (SCI)
-0x9B	0x009B	#CONTROL SEQUENCE INTRODUCER (CSI)
-0x9C	0x009C	#STRING TERMINATOR (ST)
-0x9D	0x009D	#OPERATING SYSTEM COMMAND (OSC)
-0x9E	0x009E	#PRIVACY MESSAGE (PM)
-0x9F	0x009F	#APPLICATION PROGRAM COMMAND (APC)
-0xA0	0x00A0	#NO-BREAK SPACE
-0xA1	0x201D	#RIGHT DOUBLE QUOTATION MARK
-0xA2	0x00A2	#CENT SIGN
-0xA3	0x00A3	#POUND SIGN
-0xA4	0x00A4	#CURRENCY SIGN
-0xA5	0x201E	#DOUBLE LOW-9 QUOTATION MARK
-0xA6	0x00A6	#BROKEN BAR
-0xA7	0x00A7	#SECTION SIGN
-0xA8	0x00D8	#LATIN CAPITAL LETTER O WITH STROKE
-0xA9	0x00A9	#COPYRIGHT SIGN
-0xAA	0x0156	#LATIN CAPITAL LETTER R WITH CEDILLA
-0xAB	0x00AB	#LEFT-POINTING DOUBLE ANGLE QUOTATION MARK
-0xAC	0x00AC	#NOT SIGN
-0xAD	0x00AD	#SOFT HYPHEN
-0xAE	0x00AE	#REGISTERED SIGN
-0xAF	0x00C6	#LATIN CAPITAL LETTER AE
-0xB0	0x00B0	#DEGREE SIGN
-0xB1	0x00B1	#PLUS-MINUS SIGN
-0xB2	0x00B2	#SUPERSCRIPT TWO
-0xB3	0x00B3	#SUPERSCRIPT THREE
-0xB4	0x201C	#LEFT DOUBLE QUOTATION MARK
-0xB5	0x00B5	#MICRO SIGN
-0xB6	0x00B6	#PILCROW SIGN
-0xB7	0x00B7	#MIDDLE DOT
-0xB8	0x00F8	#LATIN SMALL LETTER O WITH STROKE
-0xB9	0x00B9	#SUPERSCRIPT ONE
-0xBA	0x0157	#LATIN SMALL LETTER R WITH CEDILLA
-0xBB	0x00BB	#RIGHT-POINTING DOUBLE ANGLE QUOTATION MARK
-0xBC	0x00BC	#VULGAR FRACTION ONE QUARTER
-0xBD	0x00BD	#VULGAR FRACTION ONE HALF
-0xBE	0x00BE	#VULGAR FRACTION THREE QUARTERS
-0xBF	0x00E6	#LATIN SMALL LETTER AE
-0xC0	0x0104	#LATIN CAPITAL LETTER A WITH OGONEK
-0xC1	0x012E	#LATIN CAPITAL LETTER I WITH OGONEK
-0xC2	0x0100	#LATIN CAPITAL LETTER A WITH MACRON
-0xC3	0x0106	#LATIN CAPITAL LETTER C WITH ACUTE
-0xC4	0x00C4	#LATIN CAPITAL LETTER A WITH DIAERESIS
-0xC5	0x00C5	#LATIN CAPITAL LETTER A WITH RING ABOVE
-0xC6	0x0118	#LATIN CAPITAL LETTER E WITH OGONEK
-0xC7	0x0112	#LATIN CAPITAL LETTER E WITH MACRON
-0xC8	0x010C	#LATIN CAPITAL LETTER C WITH CARON
-0xC9	0x00C9	#LATIN CAPITAL LETTER E WITH ACUTE
-0xCA	0x0179	#LATIN CAPITAL LETTER Z WITH ACUTE
-0xCB	0x0116	#LATIN CAPITAL LETTER E WITH DOT ABOVE
-0xCC	0x0122	#LATIN CAPITAL LETTER G WITH CEDILLA
-0xCD	0x0136	#LATIN CAPITAL LETTER K WITH CEDILLA
-0xCE	0x012A	#LATIN CAPITAL LETTER I WITH MACRON
-0xCF	0x013B	#LATIN CAPITAL LETTER L WITH CEDILLA
-0xD0	0x0160	#LATIN CAPITAL LETTER S WITH CARON
-0xD1	0x0143	#LATIN CAPITAL LETTER N WITH ACUTE
-0xD2	0x0145	#LATIN CAPITAL LETTER N WITH CEDILLA
-0xD3	0x00D3	#LATIN CAPITAL LETTER O WITH ACUTE
-0xD4	0x014C	#LATIN CAPITAL LETTER O WITH MACRON
-0xD5	0x00D5	#LATIN CAPITAL LETTER O WITH TILDE
-0xD6	0x00D6	#LATIN CAPITAL LETTER O WITH DIAERESIS
-0xD7	0x00D7	#MULTIPLICATION SIGN
-0xD8	0x0172	#LATIN CAPITAL LETTER U WITH OGONEK
-0xD9	0x0141	#LATIN CAPITAL LETTER L WITH STROKE
-0xDA	0x015A	#LATIN CAPITAL LETTER S WITH ACUTE
-0xDB	0x016A	#LATIN CAPITAL LETTER U WITH MACRON
-0xDC	0x00DC	#LATIN CAPITAL LETTER U WITH DIAERESIS
-0xDD	0x017B	#LATIN CAPITAL LETTER Z WITH DOT ABOVE
-0xDE	0x017D	#LATIN CAPITAL LETTER Z WITH CARON
-0xDF	0x00DF	#LATIN SMALL LETTER SHARP S
-0xE0	0x0105	#LATIN SMALL LETTER A WITH OGONEK
-0xE1	0x012F	#LATIN SMALL LETTER I WITH OGONEK
-0xE2	0x0101	#LATIN SMALL LETTER A WITH MACRON
-0xE3	0x0107	#LATIN SMALL LETTER C WITH ACUTE
-0xE4	0x00E4	#LATIN SMALL LETTER A WITH DIAERESIS
-0xE5	0x00E5	#LATIN SMALL LETTER A WITH RING ABOVE
-0xE6	0x0119	#LATIN SMALL LETTER E WITH OGONEK
-0xE7	0x0113	#LATIN SMALL LETTER E WITH MACRON
-0xE8	0x010D	#LATIN SMALL LETTER C WITH CARON
-0xE9	0x00E9	#LATIN SMALL LETTER E WITH ACUTE
-0xEA	0x017A	#LATIN SMALL LETTER Z WITH ACUTE
-0xEB	0x0117	#LATIN SMALL LETTER E WITH DOT ABOVE
-0xEC	0x0123	#LATIN SMALL LETTER G WITH CEDILLA
-0xED	0x0137	#LATIN SMALL LETTER K WITH CEDILLA
-0xEE	0x012B	#LATIN SMALL LETTER I WITH MACRON
-0xEF	0x013C	#LATIN SMALL LETTER L WITH CEDILLA
-0xF0	0x0161	#LATIN SMALL LETTER S WITH CARON
-0xF1	0x0144	#LATIN SMALL LETTER N WITH ACUTE
-0xF2	0x0146	#LATIN SMALL LETTER N WITH CEDILLA
-0xF3	0x00F3	#LATIN SMALL LETTER O WITH ACUTE
-0xF4	0x014D	#LATIN SMALL LETTER O WITH MACRON
-0xF5	0x00F5	#LATIN SMALL LETTER O WITH TILDE
-0xF6	0x00F6	#LATIN SMALL LETTER O WITH DIAERESIS
-0xF7	0x00F7	#DIVISION SIGN
-0xF8	0x0173	#LATIN SMALL LETTER U WITH OGONEK
-0xF9	0x0142	#LATIN SMALL LETTER L WITH STROKE
-0xFA	0x015B	#LATIN SMALL LETTER S WITH ACUTE
-0xFB	0x016B	#LATIN SMALL LETTER U WITH MACRON
-0xFC	0x00FC	#LATIN SMALL LETTER U WITH DIAERESIS
-0xFD	0x017C	#LATIN SMALL LETTER Z WITH DOT ABOVE
-0xFE	0x017E	#LATIN SMALL LETTER Z WITH CARON
-0xFF	0x2019	#RIGHT SINGLE QUOTATION MARK
+# This file differs from the original in the following ways:
+# - Added this comment, blank lines around it, and charset names above it.
+# ----------------------------------------------------------------------
 
+#
+#	Name:             ISO/IEC 8859-13:1998  to Unicode
+#	Unicode version:  3.0
+#	Table version:    1.0
+#	Table format:     Format A
+#	Date:             1999 July 27
+#	Authors:          Ken Whistler <kenw@sybase.com>
+#
+#	Copyright (c) 1998 - 1999 Unicode, Inc.  All Rights reserved.
+#
+#	This file is provided as-is by Unicode, Inc. (The Unicode Consortium).
+#	No claims are made as to fitness for any particular purpose.  No
+#	warranties of any kind are expressed or implied.  The recipient
+#	agrees to determine applicability of information provided.  If this
+#	file has been provided on optical media by Unicode, Inc., the sole
+#	remedy for any claim will be exchange of defective media within 90
+#	days of receipt.
+#
+#	Unicode, Inc. hereby grants the right to freely use the information
+#	supplied in this file in the creation of products supporting the
+#	Unicode Standard, and to make copies of this file in any form for
+#	internal or external distribution as long as this notice remains
+#	attached.
+#
+#	General notes:
+#
+#	This table contains the data the Unicode Consortium has on how
+#       ISO/IEC 8859-13:1998 characters map into Unicode.
+#
+#	Format:  Three tab-separated columns
+#		 Column #1 is the ISO/IEC 8859-13 code (in hex as 0xXX)
+#		 Column #2 is the Unicode (in hex as 0xXXXX)
+#		 Column #3 the Unicode name (follows a comment sign, '#')
+#
+#	The entries are in ISO/IEC 8859-13 order.
+#
+#	Updated versions of this file may be found in:
+#		<ftp://ftp.unicode.org/Public/MAPPINGS/>
+#
+#	Any comments or problems, contact <errata@unicode.org>
+#	Please note that <errata@unicode.org> is an archival address;
+#	notices will be checked, but do not expect an immediate response.
+#
+0x00	0x0000	#	NULL
+0x01	0x0001	#	START OF HEADING
+0x02	0x0002	#	START OF TEXT
+0x03	0x0003	#	END OF TEXT
+0x04	0x0004	#	END OF TRANSMISSION
+0x05	0x0005	#	ENQUIRY
+0x06	0x0006	#	ACKNOWLEDGE
+0x07	0x0007	#	BELL
+0x08	0x0008	#	BACKSPACE
+0x09	0x0009	#	HORIZONTAL TABULATION
+0x0A	0x000A	#	LINE FEED
+0x0B	0x000B	#	VERTICAL TABULATION
+0x0C	0x000C	#	FORM FEED
+0x0D	0x000D	#	CARRIAGE RETURN
+0x0E	0x000E	#	SHIFT OUT
+0x0F	0x000F	#	SHIFT IN
+0x10	0x0010	#	DATA LINK ESCAPE
+0x11	0x0011	#	DEVICE CONTROL ONE
+0x12	0x0012	#	DEVICE CONTROL TWO
+0x13	0x0013	#	DEVICE CONTROL THREE
+0x14	0x0014	#	DEVICE CONTROL FOUR
+0x15	0x0015	#	NEGATIVE ACKNOWLEDGE
+0x16	0x0016	#	SYNCHRONOUS IDLE
+0x17	0x0017	#	END OF TRANSMISSION BLOCK
+0x18	0x0018	#	CANCEL
+0x19	0x0019	#	END OF MEDIUM
+0x1A	0x001A	#	SUBSTITUTE
+0x1B	0x001B	#	ESCAPE
+0x1C	0x001C	#	FILE SEPARATOR
+0x1D	0x001D	#	GROUP SEPARATOR
+0x1E	0x001E	#	RECORD SEPARATOR
+0x1F	0x001F	#	UNIT SEPARATOR
+0x20	0x0020	#	SPACE
+0x21	0x0021	#	EXCLAMATION MARK
+0x22	0x0022	#	QUOTATION MARK
+0x23	0x0023	#	NUMBER SIGN
+0x24	0x0024	#	DOLLAR SIGN
+0x25	0x0025	#	PERCENT SIGN
+0x26	0x0026	#	AMPERSAND
+0x27	0x0027	#	APOSTROPHE
+0x28	0x0028	#	LEFT PARENTHESIS
+0x29	0x0029	#	RIGHT PARENTHESIS
+0x2A	0x002A	#	ASTERISK
+0x2B	0x002B	#	PLUS SIGN
+0x2C	0x002C	#	COMMA
+0x2D	0x002D	#	HYPHEN-MINUS
+0x2E	0x002E	#	FULL STOP
+0x2F	0x002F	#	SOLIDUS
+0x30	0x0030	#	DIGIT ZERO
+0x31	0x0031	#	DIGIT ONE
+0x32	0x0032	#	DIGIT TWO
+0x33	0x0033	#	DIGIT THREE
+0x34	0x0034	#	DIGIT FOUR
+0x35	0x0035	#	DIGIT FIVE
+0x36	0x0036	#	DIGIT SIX
+0x37	0x0037	#	DIGIT SEVEN
+0x38	0x0038	#	DIGIT EIGHT
+0x39	0x0039	#	DIGIT NINE
+0x3A	0x003A	#	COLON
+0x3B	0x003B	#	SEMICOLON
+0x3C	0x003C	#	LESS-THAN SIGN
+0x3D	0x003D	#	EQUALS SIGN
+0x3E	0x003E	#	GREATER-THAN SIGN
+0x3F	0x003F	#	QUESTION MARK
+0x40	0x0040	#	COMMERCIAL AT
+0x41	0x0041	#	LATIN CAPITAL LETTER A
+0x42	0x0042	#	LATIN CAPITAL LETTER B
+0x43	0x0043	#	LATIN CAPITAL LETTER C
+0x44	0x0044	#	LATIN CAPITAL LETTER D
+0x45	0x0045	#	LATIN CAPITAL LETTER E
+0x46	0x0046	#	LATIN CAPITAL LETTER F
+0x47	0x0047	#	LATIN CAPITAL LETTER G
+0x48	0x0048	#	LATIN CAPITAL LETTER H
+0x49	0x0049	#	LATIN CAPITAL LETTER I
+0x4A	0x004A	#	LATIN CAPITAL LETTER J
+0x4B	0x004B	#	LATIN CAPITAL LETTER K
+0x4C	0x004C	#	LATIN CAPITAL LETTER L
+0x4D	0x004D	#	LATIN CAPITAL LETTER M
+0x4E	0x004E	#	LATIN CAPITAL LETTER N
+0x4F	0x004F	#	LATIN CAPITAL LETTER O
+0x50	0x0050	#	LATIN CAPITAL LETTER P
+0x51	0x0051	#	LATIN CAPITAL LETTER Q
+0x52	0x0052	#	LATIN CAPITAL LETTER R
+0x53	0x0053	#	LATIN CAPITAL LETTER S
+0x54	0x0054	#	LATIN CAPITAL LETTER T
+0x55	0x0055	#	LATIN CAPITAL LETTER U
+0x56	0x0056	#	LATIN CAPITAL LETTER V
+0x57	0x0057	#	LATIN CAPITAL LETTER W
+0x58	0x0058	#	LATIN CAPITAL LETTER X
+0x59	0x0059	#	LATIN CAPITAL LETTER Y
+0x5A	0x005A	#	LATIN CAPITAL LETTER Z
+0x5B	0x005B	#	LEFT SQUARE BRACKET
+0x5C	0x005C	#	REVERSE SOLIDUS
+0x5D	0x005D	#	RIGHT SQUARE BRACKET
+0x5E	0x005E	#	CIRCUMFLEX ACCENT
+0x5F	0x005F	#	LOW LINE
+0x60	0x0060	#	GRAVE ACCENT
+0x61	0x0061	#	LATIN SMALL LETTER A
+0x62	0x0062	#	LATIN SMALL LETTER B
+0x63	0x0063	#	LATIN SMALL LETTER C
+0x64	0x0064	#	LATIN SMALL LETTER D
+0x65	0x0065	#	LATIN SMALL LETTER E
+0x66	0x0066	#	LATIN SMALL LETTER F
+0x67	0x0067	#	LATIN SMALL LETTER G
+0x68	0x0068	#	LATIN SMALL LETTER H
+0x69	0x0069	#	LATIN SMALL LETTER I
+0x6A	0x006A	#	LATIN SMALL LETTER J
+0x6B	0x006B	#	LATIN SMALL LETTER K
+0x6C	0x006C	#	LATIN SMALL LETTER L
+0x6D	0x006D	#	LATIN SMALL LETTER M
+0x6E	0x006E	#	LATIN SMALL LETTER N
+0x6F	0x006F	#	LATIN SMALL LETTER O
+0x70	0x0070	#	LATIN SMALL LETTER P
+0x71	0x0071	#	LATIN SMALL LETTER Q
+0x72	0x0072	#	LATIN SMALL LETTER R
+0x73	0x0073	#	LATIN SMALL LETTER S
+0x74	0x0074	#	LATIN SMALL LETTER T
+0x75	0x0075	#	LATIN SMALL LETTER U
+0x76	0x0076	#	LATIN SMALL LETTER V
+0x77	0x0077	#	LATIN SMALL LETTER W
+0x78	0x0078	#	LATIN SMALL LETTER X
+0x79	0x0079	#	LATIN SMALL LETTER Y
+0x7A	0x007A	#	LATIN SMALL LETTER Z
+0x7B	0x007B	#	LEFT CURLY BRACKET
+0x7C	0x007C	#	VERTICAL LINE
+0x7D	0x007D	#	RIGHT CURLY BRACKET
+0x7E	0x007E	#	TILDE
+0x7F	0x007F	#	DELETE
+0x80	0x0080	#	<control>
+0x81	0x0081	#	<control>
+0x82	0x0082	#	<control>
+0x83	0x0083	#	<control>
+0x84	0x0084	#	<control>
+0x85	0x0085	#	<control>
+0x86	0x0086	#	<control>
+0x87	0x0087	#	<control>
+0x88	0x0088	#	<control>
+0x89	0x0089	#	<control>
+0x8A	0x008A	#	<control>
+0x8B	0x008B	#	<control>
+0x8C	0x008C	#	<control>
+0x8D	0x008D	#	<control>
+0x8E	0x008E	#	<control>
+0x8F	0x008F	#	<control>
+0x90	0x0090	#	<control>
+0x91	0x0091	#	<control>
+0x92	0x0092	#	<control>
+0x93	0x0093	#	<control>
+0x94	0x0094	#	<control>
+0x95	0x0095	#	<control>
+0x96	0x0096	#	<control>
+0x97	0x0097	#	<control>
+0x98	0x0098	#	<control>
+0x99	0x0099	#	<control>
+0x9A	0x009A	#	<control>
+0x9B	0x009B	#	<control>
+0x9C	0x009C	#	<control>
+0x9D	0x009D	#	<control>
+0x9E	0x009E	#	<control>
+0x9F	0x009F	#	<control>
+0xA0	0x00A0	#	NO-BREAK SPACE
+0xA1	0x201D	#	RIGHT DOUBLE QUOTATION MARK
+0xA2	0x00A2	#	CENT SIGN
+0xA3	0x00A3	#	POUND SIGN
+0xA4	0x00A4	#	CURRENCY SIGN
+0xA5	0x201E	#	DOUBLE LOW-9 QUOTATION MARK
+0xA6	0x00A6	#	BROKEN BAR
+0xA7	0x00A7	#	SECTION SIGN
+0xA8	0x00D8	#	LATIN CAPITAL LETTER O WITH STROKE
+0xA9	0x00A9	#	COPYRIGHT SIGN
+0xAA	0x0156	#	LATIN CAPITAL LETTER R WITH CEDILLA
+0xAB	0x00AB	#	LEFT-POINTING DOUBLE ANGLE QUOTATION MARK
+0xAC	0x00AC	#	NOT SIGN
+0xAD	0x00AD	#	SOFT HYPHEN
+0xAE	0x00AE	#	REGISTERED SIGN
+0xAF	0x00C6	#	LATIN CAPITAL LETTER AE
+0xB0	0x00B0	#	DEGREE SIGN
+0xB1	0x00B1	#	PLUS-MINUS SIGN
+0xB2	0x00B2	#	SUPERSCRIPT TWO
+0xB3	0x00B3	#	SUPERSCRIPT THREE
+0xB4	0x201C	#	LEFT DOUBLE QUOTATION MARK
+0xB5	0x00B5	#	MICRO SIGN
+0xB6	0x00B6	#	PILCROW SIGN
+0xB7	0x00B7	#	MIDDLE DOT
+0xB8	0x00F8	#	LATIN SMALL LETTER O WITH STROKE
+0xB9	0x00B9	#	SUPERSCRIPT ONE
+0xBA	0x0157	#	LATIN SMALL LETTER R WITH CEDILLA
+0xBB	0x00BB	#	RIGHT-POINTING DOUBLE ANGLE QUOTATION MARK
+0xBC	0x00BC	#	VULGAR FRACTION ONE QUARTER
+0xBD	0x00BD	#	VULGAR FRACTION ONE HALF
+0xBE	0x00BE	#	VULGAR FRACTION THREE QUARTERS
+0xBF	0x00E6	#	LATIN SMALL LETTER AE
+0xC0	0x0104	#	LATIN CAPITAL LETTER A WITH OGONEK
+0xC1	0x012E	#	LATIN CAPITAL LETTER I WITH OGONEK
+0xC2	0x0100	#	LATIN CAPITAL LETTER A WITH MACRON
+0xC3	0x0106	#	LATIN CAPITAL LETTER C WITH ACUTE
+0xC4	0x00C4	#	LATIN CAPITAL LETTER A WITH DIAERESIS
+0xC5	0x00C5	#	LATIN CAPITAL LETTER A WITH RING ABOVE
+0xC6	0x0118	#	LATIN CAPITAL LETTER E WITH OGONEK
+0xC7	0x0112	#	LATIN CAPITAL LETTER E WITH MACRON
+0xC8	0x010C	#	LATIN CAPITAL LETTER C WITH CARON
+0xC9	0x00C9	#	LATIN CAPITAL LETTER E WITH ACUTE
+0xCA	0x0179	#	LATIN CAPITAL LETTER Z WITH ACUTE
+0xCB	0x0116	#	LATIN CAPITAL LETTER E WITH DOT ABOVE
+0xCC	0x0122	#	LATIN CAPITAL LETTER G WITH CEDILLA
+0xCD	0x0136	#	LATIN CAPITAL LETTER K WITH CEDILLA
+0xCE	0x012A	#	LATIN CAPITAL LETTER I WITH MACRON
+0xCF	0x013B	#	LATIN CAPITAL LETTER L WITH CEDILLA
+0xD0	0x0160	#	LATIN CAPITAL LETTER S WITH CARON
+0xD1	0x0143	#	LATIN CAPITAL LETTER N WITH ACUTE
+0xD2	0x0145	#	LATIN CAPITAL LETTER N WITH CEDILLA
+0xD3	0x00D3	#	LATIN CAPITAL LETTER O WITH ACUTE
+0xD4	0x014C	#	LATIN CAPITAL LETTER O WITH MACRON
+0xD5	0x00D5	#	LATIN CAPITAL LETTER O WITH TILDE
+0xD6	0x00D6	#	LATIN CAPITAL LETTER O WITH DIAERESIS
+0xD7	0x00D7	#	MULTIPLICATION SIGN
+0xD8	0x0172	#	LATIN CAPITAL LETTER U WITH OGONEK
+0xD9	0x0141	#	LATIN CAPITAL LETTER L WITH STROKE
+0xDA	0x015A	#	LATIN CAPITAL LETTER S WITH ACUTE
+0xDB	0x016A	#	LATIN CAPITAL LETTER U WITH MACRON
+0xDC	0x00DC	#	LATIN CAPITAL LETTER U WITH DIAERESIS
+0xDD	0x017B	#	LATIN CAPITAL LETTER Z WITH DOT ABOVE
+0xDE	0x017D	#	LATIN CAPITAL LETTER Z WITH CARON
+0xDF	0x00DF	#	LATIN SMALL LETTER SHARP S (German)
+0xE0	0x0105	#	LATIN SMALL LETTER A WITH OGONEK
+0xE1	0x012F	#	LATIN SMALL LETTER I WITH OGONEK
+0xE2	0x0101	#	LATIN SMALL LETTER A WITH MACRON
+0xE3	0x0107	#	LATIN SMALL LETTER C WITH ACUTE
+0xE4	0x00E4	#	LATIN SMALL LETTER A WITH DIAERESIS
+0xE5	0x00E5	#	LATIN SMALL LETTER A WITH RING ABOVE
+0xE6	0x0119	#	LATIN SMALL LETTER E WITH OGONEK
+0xE7	0x0113	#	LATIN SMALL LETTER E WITH MACRON
+0xE8	0x010D	#	LATIN SMALL LETTER C WITH CARON
+0xE9	0x00E9	#	LATIN SMALL LETTER E WITH ACUTE
+0xEA	0x017A	#	LATIN SMALL LETTER Z WITH ACUTE
+0xEB	0x0117	#	LATIN SMALL LETTER E WITH DOT ABOVE
+0xEC	0x0123	#	LATIN SMALL LETTER G WITH CEDILLA
+0xED	0x0137	#	LATIN SMALL LETTER K WITH CEDILLA
+0xEE	0x012B	#	LATIN SMALL LETTER I WITH MACRON
+0xEF	0x013C	#	LATIN SMALL LETTER L WITH CEDILLA
+0xF0	0x0161	#	LATIN SMALL LETTER S WITH CARON
+0xF1	0x0144	#	LATIN SMALL LETTER N WITH ACUTE
+0xF2	0x0146	#	LATIN SMALL LETTER N WITH CEDILLA
+0xF3	0x00F3	#	LATIN SMALL LETTER O WITH ACUTE
+0xF4	0x014D	#	LATIN SMALL LETTER O WITH MACRON
+0xF5	0x00F5	#	LATIN SMALL LETTER O WITH TILDE
+0xF6	0x00F6	#	LATIN SMALL LETTER O WITH DIAERESIS
+0xF7	0x00F7	#	DIVISION SIGN
+0xF8	0x0173	#	LATIN SMALL LETTER U WITH OGONEK
+0xF9	0x0142	#	LATIN SMALL LETTER L WITH STROKE
+0xFA	0x015B	#	LATIN SMALL LETTER S WITH ACUTE
+0xFB	0x016B	#	LATIN SMALL LETTER U WITH MACRON
+0xFC	0x00FC	#	LATIN SMALL LETTER U WITH DIAERESIS
+0xFD	0x017C	#	LATIN SMALL LETTER Z WITH DOT ABOVE
+0xFE	0x017E	#	LATIN SMALL LETTER Z WITH CARON
+0xFF	0x2019	#	RIGHT SINGLE QUOTATION MARK
diff -pruN 0.12~pre2.dfsg0-1/Unicode/8859_14.cp 0.12~pre4-1/Unicode/8859_14.cp
--- 0.12~pre2.dfsg0-1/Unicode/8859_14.cp	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/Unicode/8859_14.cp	2009-05-31 09:48:47.000000000 +0100
@@ -1,12 +1,24 @@
 ISO 8859-14
 "ISO-8859-14", "8859-14", "ISO_8859-14", "ISO_8859-14:1998", "ISO-IR-199", "LATIN8", "L8"
+
+# ----------------------------------------------------------------------
+# The following data was downloaded from
+# http://www.unicode.org/Public/MAPPINGS/ISO8859/DatedVersions/8859-14-1998.TXT
+# on 2008-10-05, so it is a Unicode Data File covered by the Unicode
+# copyright and permission notice in the COPYING file of ELinks,
+# regardless of any terms shown below.
+#
+# This file differs from the original in the following ways:
+# - Added this comment, blank lines around it, and charset names above it.
+# ----------------------------------------------------------------------
+
 #
 #	Name:             ISO/IEC 8859-14:1998 to Unicode
 #	Unicode version:  3.0
 #	Table version:    1.0
 #	Table format:     Format A
 #	Date:             1999 July 27
-#	Authors:          Markus Kuhn <mkuhn@acm.org>
+#	Authors:          Markus Kuhn <http://www.cl.cam.ac.uk/~mgk25/>
 #			  Ken Whistler <kenw@sybase.com>
 #
 #	Copyright (c) 1998 - 1999 Unicode, Inc.  All Rights reserved.
diff -pruN 0.12~pre2.dfsg0-1/Unicode/8859_15.cp 0.12~pre4-1/Unicode/8859_15.cp
--- 0.12~pre2.dfsg0-1/Unicode/8859_15.cp	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/Unicode/8859_15.cp	2009-05-31 09:48:47.000000000 +0100
@@ -1,193 +1,318 @@
 ISO 8859-15
 "ISO-8859-15", "iso8859-15", "8859-15", "latin9", "l9", "il9", "latin0", "l0", "il0", "ISO_8859-15", "ISO_8859-15:1998", "ISO-IR-203"
-0x20	0x0020	#SPACE
-0x21	0x0021	#EXCLAMATION MARK
-0x22	0x0022	#QUOTATION MARK
-0x23	0x0023	#NUMBER SIGN
-0x24	0x0024	#DOLLAR SIGN
-0x25	0x0025	#PERCENT SIGN
-0x26	0x0026	#AMPERSAND
-0x27	0x0027	#APOSTROPHE
-0x28	0x0028	#LEFT PARENTHESIS
-0x29	0x0029	#RIGHT PARENTHESIS
-0x2A	0x002A	#ASTERISK
-0x2B	0x002B	#PLUS SIGN
-0x2C	0x002C	#COMMA
-0x2D	0x002D	#HYPHEN-MINUS
-0x2E	0x002E	#FULL STOP
-0x2F	0x002F	#SOLIDUS
-0x30	0x0030	#DIGIT ZERO
-0x31	0x0031	#DIGIT ONE
-0x32	0x0032	#DIGIT TWO
-0x33	0x0033	#DIGIT THREE
-0x34	0x0034	#DIGIT FOUR
-0x35	0x0035	#DIGIT FIVE
-0x36	0x0036	#DIGIT SIX
-0x37	0x0037	#DIGIT SEVEN
-0x38	0x0038	#DIGIT EIGHT
-0x39	0x0039	#DIGIT NINE
-0x3A	0x003A	#COLON
-0x3B	0x003B	#SEMICOLON
-0x3C	0x003C	#LESS-THAN SIGN
-0x3D	0x003D	#EQUALS SIGN
-0x3E	0x003E	#GREATER-THAN SIGN
-0x3F	0x003F	#QUESTION MARK
-0x40	0x0040	#COMMERCIAL AT
-0x41	0x0041	#LATIN CAPITAL LETTER A
-0x42	0x0042	#LATIN CAPITAL LETTER B
-0x43	0x0043	#LATIN CAPITAL LETTER C
-0x44	0x0044	#LATIN CAPITAL LETTER D
-0x45	0x0045	#LATIN CAPITAL LETTER E
-0x46	0x0046	#LATIN CAPITAL LETTER F
-0x47	0x0047	#LATIN CAPITAL LETTER G
-0x48	0x0048	#LATIN CAPITAL LETTER H
-0x49	0x0049	#LATIN CAPITAL LETTER I
-0x4A	0x004A	#LATIN CAPITAL LETTER J
-0x4B	0x004B	#LATIN CAPITAL LETTER K
-0x4C	0x004C	#LATIN CAPITAL LETTER L
-0x4D	0x004D	#LATIN CAPITAL LETTER M
-0x4E	0x004E	#LATIN CAPITAL LETTER N
-0x4F	0x004F	#LATIN CAPITAL LETTER O
-0x50	0x0050	#LATIN CAPITAL LETTER P
-0x51	0x0051	#LATIN CAPITAL LETTER Q
-0x52	0x0052	#LATIN CAPITAL LETTER R
-0x53	0x0053	#LATIN CAPITAL LETTER S
-0x54	0x0054	#LATIN CAPITAL LETTER T
-0x55	0x0055	#LATIN CAPITAL LETTER U
-0x56	0x0056	#LATIN CAPITAL LETTER V
-0x57	0x0057	#LATIN CAPITAL LETTER W
-0x58	0x0058	#LATIN CAPITAL LETTER X
-0x59	0x0059	#LATIN CAPITAL LETTER Y
-0x5A	0x005A	#LATIN CAPITAL LETTER Z
-0x5B	0x005B	#LEFT SQUARE BRACKET
-0x5C	0x005C	#REVERSE SOLIDUS
-0x5D	0x005D	#RIGHT SQUARE BRACKET
-0x5E	0x005E	#CIRCUMFLEX ACCENT
-0x5F	0x005F	#LOW LINE
-0x60	0x0060	#GRAVE ACCENT
-0x61	0x0061	#LATIN SMALL LETTER A
-0x62	0x0062	#LATIN SMALL LETTER B
-0x63	0x0063	#LATIN SMALL LETTER C
-0x64	0x0064	#LATIN SMALL LETTER D
-0x65	0x0065	#LATIN SMALL LETTER E
-0x66	0x0066	#LATIN SMALL LETTER F
-0x67	0x0067	#LATIN SMALL LETTER G
-0x68	0x0068	#LATIN SMALL LETTER H
-0x69	0x0069	#LATIN SMALL LETTER I
-0x6A	0x006A	#LATIN SMALL LETTER J
-0x6B	0x006B	#LATIN SMALL LETTER K
-0x6C	0x006C	#LATIN SMALL LETTER L
-0x6D	0x006D	#LATIN SMALL LETTER M
-0x6E	0x006E	#LATIN SMALL LETTER N
-0x6F	0x006F	#LATIN SMALL LETTER O
-0x70	0x0070	#LATIN SMALL LETTER P
-0x71	0x0071	#LATIN SMALL LETTER Q
-0x72	0x0072	#LATIN SMALL LETTER R
-0x73	0x0073	#LATIN SMALL LETTER S
-0x74	0x0074	#LATIN SMALL LETTER T
-0x75	0x0075	#LATIN SMALL LETTER U
-0x76	0x0076	#LATIN SMALL LETTER V
-0x77	0x0077	#LATIN SMALL LETTER W
-0x78	0x0078	#LATIN SMALL LETTER X
-0x79	0x0079	#LATIN SMALL LETTER Y
-0x7A	0x007A	#LATIN SMALL LETTER Z
-0x7B	0x007B	#LEFT CURLY BRACKET
-0x7C	0x007C	#VERTICAL LINE
-0x7D	0x007D	#RIGHT CURLY BRACKET
-0x7E	0x007E	#TILDE
-0xA0	0x00A0	#NO-BREAK SPACE
-0xA1	0x00A1	#INVERTED EXCLAMATION MARK
-0xA2	0x00A2	#CENT SIGN
-0xA3	0x00A3	#POUND SIGN
-0xA4	0x20AC	#EURO
-0xA5	0x00A5	#YEN SIGN
-0xA6	0x0160	#LATIN CAPITAL LETTER S WITH CARON
-0xA7	0x00A7	#SECTION SIGN
-0xA8	0x0161	#LATIN SMALL LETTER S WITH CARON
-0xA9	0x00A9	#COPYRIGHT SIGN
-0xAA	0x00AA	#FEMININE ORDINAL INDICATOR
-0xAB	0x00AB	#LEFT-POINTING DOUBLE ANGLE QUOTATION MARK
-0xAC	0x00AC	#NOT SIGN
-0xAD	0x00AD	#SOFT HYPHEN
-0xAE	0x00AE	#REGISTERED SIGN
-0xAF	0x00AF	#MACRON
-0xB0	0x00B0	#DEGREE SIGN
-0xB1	0x00B1	#PLUS-MINUS SIGN
-0xB2	0x00B2	#SUPERSCRIPT TWO
-0xB3	0x00B3	#SUPERSCRIPT THREE
-0xB4	0x017D	#LATIN CAPITAL LETTER Z WITH CARON
-0xB5	0x00B5	#MICRO SIGN
-0xB6	0x00B6	#PILCROW SIGN
-0xB7	0x00B7	#MIDDLE DOT
-0xB8	0x017E	#LATIN SMALL LETTER Z WITH CARON
-0xB9	0x00B9	#SUPERSCRIPT ONE
-0xBA	0x00BA	#MASCULINE ORDINAL INDICATOR
-0xBB	0x00BB	#RIGHT-POINTING DOUBLE ANGLE QUOTATION MARK
-0xBC	0x0152	#LATIN CAPITAL LIGATURE OE
-0xBD	0x0153	#LATIN SMALL LIGATURE OE
-0xBE	0x0178	#LATIN CAPITAL LETTER Y WITH DIAERESIS
-0xBF	0x00BF	#INVERTED QUESTION MARK
-0xC0	0x00C0	#LATIN CAPITAL LETTER A WITH GRAVE
-0xC1	0x00C1	#LATIN CAPITAL LETTER A WITH ACUTE
-0xC2	0x00C2	#LATIN CAPITAL LETTER A WITH CIRCUMFLEX
-0xC3	0x00C3	#LATIN CAPITAL LETTER A WITH TILDE
-0xC4	0x00C4	#LATIN CAPITAL LETTER A WITH DIAERESIS
-0xC5	0x00C5	#LATIN CAPITAL LETTER A WITH RING ABOVE
-0xC6	0x00C6	#LATIN CAPITAL LETTER AE
-0xC7	0x00C7	#LATIN CAPITAL LETTER C WITH CEDILLA
-0xC8	0x00C8	#LATIN CAPITAL LETTER E WITH GRAVE
-0xC9	0x00C9	#LATIN CAPITAL LETTER E WITH ACUTE
-0xCA	0x00CA	#LATIN CAPITAL LETTER E WITH CIRCUMFLEX
-0xCB	0x00CB	#LATIN CAPITAL LETTER E WITH DIAERESIS
-0xCC	0x00CC	#LATIN CAPITAL LETTER I WITH GRAVE
-0xCD	0x00CD	#LATIN CAPITAL LETTER I WITH ACUTE
-0xCE	0x00CE	#LATIN CAPITAL LETTER I WITH CIRCUMFLEX
-0xCF	0x00CF	#LATIN CAPITAL LETTER I WITH DIAERESIS
-0xD0	0x00D0	#LATIN CAPITAL LETTER ETH
-0xD1	0x00D1	#LATIN CAPITAL LETTER N WITH TILDE
-0xD2	0x00D2	#LATIN CAPITAL LETTER O WITH GRAVE
-0xD3	0x00D3	#LATIN CAPITAL LETTER O WITH ACUTE
-0xD4	0x00D4	#LATIN CAPITAL LETTER O WITH CIRCUMFLEX
-0xD5	0x00D5	#LATIN CAPITAL LETTER O WITH TILDE
-0xD6	0x00D6	#LATIN CAPITAL LETTER O WITH DIAERESIS
-0xD7	0x00D7	#MULTIPLICATION SIGN
-0xD8	0x00D8	#LATIN CAPITAL LETTER O WITH STROKE
-0xD9	0x00D9	#LATIN CAPITAL LETTER U WITH GRAVE
-0xDA	0x00DA	#LATIN CAPITAL LETTER U WITH ACUTE
-0xDB	0x00DB	#LATIN CAPITAL LETTER U WITH CIRCUMFLEX
-0xDC	0x00DC	#LATIN CAPITAL LETTER U WITH DIAERESIS
-0xDD	0x00DD	#LATIN CAPITAL LETTER Y WITH ACUTE
-0xDE	0x00DE	#LATIN CAPITAL LETTER THORN
-0xDF	0x00DF	#LATIN SMALL LETTER SHARP S
-0xE0	0x00E0	#LATIN SMALL LETTER A WITH GRAVE
-0xE1	0x00E1	#LATIN SMALL LETTER A WITH ACUTE
-0xE2	0x00E2	#LATIN SMALL LETTER A WITH CIRCUMFLEX
-0xE3	0x00E3	#LATIN SMALL LETTER A WITH TILDE
-0xE4	0x00E4	#LATIN SMALL LETTER A WITH DIAERESIS
-0xE5	0x00E5	#LATIN SMALL LETTER A WITH RING ABOVE
-0xE6	0x00E6	#LATIN SMALL LETTER AE
-0xE7	0x00E7	#LATIN SMALL LETTER C WITH CEDILLA
-0xE8	0x00E8	#LATIN SMALL LETTER E WITH GRAVE
-0xE9	0x00E9	#LATIN SMALL LETTER E WITH ACUTE
-0xEA	0x00EA	#LATIN SMALL LETTER E WITH CIRCUMFLEX
-0xEB	0x00EB	#LATIN SMALL LETTER E WITH DIAERESIS
-0xEC	0x00EC	#LATIN SMALL LETTER I WITH GRAVE
-0xED	0x00ED	#LATIN SMALL LETTER I WITH ACUTE
-0xEE	0x00EE	#LATIN SMALL LETTER I WITH CIRCUMFLEX
-0xEF	0x00EF	#LATIN SMALL LETTER I WITH DIAERESIS
-0xF0	0x00F0	#LATIN SMALL LETTER ETH
-0xF1	0x00F1	#LATIN SMALL LETTER N WITH TILDE
-0xF2	0x00F2	#LATIN SMALL LETTER O WITH GRAVE
-0xF3	0x00F3	#LATIN SMALL LETTER O WITH ACUTE
-0xF4	0x00F4	#LATIN SMALL LETTER O WITH CIRCUMFLEX
-0xF5	0x00F5	#LATIN SMALL LETTER O WITH TILDE
-0xF6	0x00F6	#LATIN SMALL LETTER O WITH DIAERESIS
-0xF7	0x00F7	#DIVISION SIGN
-0xF8	0x00F8	#LATIN SMALL LETTER O WITH STROKE
-0xF9	0x00F9	#LATIN SMALL LETTER U WITH GRAVE
-0xFA	0x00FA	#LATIN SMALL LETTER U WITH ACUTE
-0xFB	0x00FB	#LATIN SMALL LETTER U WITH CIRCUMFLEX
-0xFC	0x00FC	#LATIN SMALL LETTER U WITH DIAERESIS
-0xFD	0x00FD	#LATIN SMALL LETTER Y WITH ACUTE
-0xFE	0x00FE	#LATIN SMALL LETTER THORN
-0xFF	0x00FF	#LATIN SMALL LETTER Y WITH DIAERESIS
+
+# ----------------------------------------------------------------------
+# The following data was downloaded from
+# http://www.unicode.org/Public/MAPPINGS/ISO8859/DatedVersions/8859-15-1999.TXT
+# on 2008-10-05, so it is a Unicode Data File covered by the Unicode
+# copyright and permission notice in the COPYING file of ELinks,
+# regardless of any terms shown below.
+#
+# This file differs from the original in the following ways:
+# - Added this comment, blank lines around it, and charset names above it.
+# - Commented out mappings of bytes 0x80 to 0x9F, until bug 932 is fixed.
+# ----------------------------------------------------------------------
+
+#
+#	Name:             ISO/IEC 8859-15:1999 to Unicode
+#	Unicode version:  3.0
+#	Table version:    1.0
+#	Table format:     Format A
+#	Date:             1999 July 27
+#	Authors:          Markus Kuhn <http://www.cl.cam.ac.uk/~mgk25/>
+#			  Ken Whistler <kenw@sybase.com>
+#
+#	Copyright (c) 1998 - 1999 Unicode, Inc.  All Rights reserved.
+#
+#	This file is provided as-is by Unicode, Inc. (The Unicode Consortium).
+#	No claims are made as to fitness for any particular purpose.  No
+#	warranties of any kind are expressed or implied.  The recipient
+#	agrees to determine applicability of information provided.  If this
+#	file has been provided on optical media by Unicode, Inc., the sole
+#	remedy for any claim will be exchange of defective media within 90
+#	days of receipt.
+#
+#	Unicode, Inc. hereby grants the right to freely use the information
+#	supplied in this file in the creation of products supporting the
+#	Unicode Standard, and to make copies of this file in any form for
+#	internal or external distribution as long as this notice remains
+#	attached.
+#
+#	General notes:
+#
+#	This table contains the data the Unicode Consortium has on how
+#       ISO/IEC 8859-15:1999 characters map into Unicode.
+#
+#	Format:  Three tab-separated columns
+#		 Column #1 is the ISO/IEC 8859-15 code (in hex as 0xXX)
+#		 Column #2 is the Unicode (in hex as 0xXXXX)
+#		 Column #3 the Unicode name (follows a comment sign, '#')
+#
+#	The entries are in ISO/IEC 8859-15 order.
+#
+#	Version history
+#
+#	Updated versions of this file may be found in:
+#		<ftp://ftp.unicode.org/Public/MAPPINGS/>
+#
+#	Any comments or problems, contact <errata@unicode.org>
+#	Please note that <errata@unicode.org> is an archival address;
+#	notices will be checked, but do not expect an immediate response.
+#
+0x00	0x0000	#	NULL
+0x01	0x0001	#	START OF HEADING
+0x02	0x0002	#	START OF TEXT
+0x03	0x0003	#	END OF TEXT
+0x04	0x0004	#	END OF TRANSMISSION
+0x05	0x0005	#	ENQUIRY
+0x06	0x0006	#	ACKNOWLEDGE
+0x07	0x0007	#	BELL
+0x08	0x0008	#	BACKSPACE
+0x09	0x0009	#	HORIZONTAL TABULATION
+0x0A	0x000A	#	LINE FEED
+0x0B	0x000B	#	VERTICAL TABULATION
+0x0C	0x000C	#	FORM FEED
+0x0D	0x000D	#	CARRIAGE RETURN
+0x0E	0x000E	#	SHIFT OUT
+0x0F	0x000F	#	SHIFT IN
+0x10	0x0010	#	DATA LINK ESCAPE
+0x11	0x0011	#	DEVICE CONTROL ONE
+0x12	0x0012	#	DEVICE CONTROL TWO
+0x13	0x0013	#	DEVICE CONTROL THREE
+0x14	0x0014	#	DEVICE CONTROL FOUR
+0x15	0x0015	#	NEGATIVE ACKNOWLEDGE
+0x16	0x0016	#	SYNCHRONOUS IDLE
+0x17	0x0017	#	END OF TRANSMISSION BLOCK
+0x18	0x0018	#	CANCEL
+0x19	0x0019	#	END OF MEDIUM
+0x1A	0x001A	#	SUBSTITUTE
+0x1B	0x001B	#	ESCAPE
+0x1C	0x001C	#	FILE SEPARATOR
+0x1D	0x001D	#	GROUP SEPARATOR
+0x1E	0x001E	#	RECORD SEPARATOR
+0x1F	0x001F	#	UNIT SEPARATOR
+0x20	0x0020	#	SPACE
+0x21	0x0021	#	EXCLAMATION MARK
+0x22	0x0022	#	QUOTATION MARK
+0x23	0x0023	#	NUMBER SIGN
+0x24	0x0024	#	DOLLAR SIGN
+0x25	0x0025	#	PERCENT SIGN
+0x26	0x0026	#	AMPERSAND
+0x27	0x0027	#	APOSTROPHE
+0x28	0x0028	#	LEFT PARENTHESIS
+0x29	0x0029	#	RIGHT PARENTHESIS
+0x2A	0x002A	#	ASTERISK
+0x2B	0x002B	#	PLUS SIGN
+0x2C	0x002C	#	COMMA
+0x2D	0x002D	#	HYPHEN-MINUS
+0x2E	0x002E	#	FULL STOP
+0x2F	0x002F	#	SOLIDUS
+0x30	0x0030	#	DIGIT ZERO
+0x31	0x0031	#	DIGIT ONE
+0x32	0x0032	#	DIGIT TWO
+0x33	0x0033	#	DIGIT THREE
+0x34	0x0034	#	DIGIT FOUR
+0x35	0x0035	#	DIGIT FIVE
+0x36	0x0036	#	DIGIT SIX
+0x37	0x0037	#	DIGIT SEVEN
+0x38	0x0038	#	DIGIT EIGHT
+0x39	0x0039	#	DIGIT NINE
+0x3A	0x003A	#	COLON
+0x3B	0x003B	#	SEMICOLON
+0x3C	0x003C	#	LESS-THAN SIGN
+0x3D	0x003D	#	EQUALS SIGN
+0x3E	0x003E	#	GREATER-THAN SIGN
+0x3F	0x003F	#	QUESTION MARK
+0x40	0x0040	#	COMMERCIAL AT
+0x41	0x0041	#	LATIN CAPITAL LETTER A
+0x42	0x0042	#	LATIN CAPITAL LETTER B
+0x43	0x0043	#	LATIN CAPITAL LETTER C
+0x44	0x0044	#	LATIN CAPITAL LETTER D
+0x45	0x0045	#	LATIN CAPITAL LETTER E
+0x46	0x0046	#	LATIN CAPITAL LETTER F
+0x47	0x0047	#	LATIN CAPITAL LETTER G
+0x48	0x0048	#	LATIN CAPITAL LETTER H
+0x49	0x0049	#	LATIN CAPITAL LETTER I
+0x4A	0x004A	#	LATIN CAPITAL LETTER J
+0x4B	0x004B	#	LATIN CAPITAL LETTER K
+0x4C	0x004C	#	LATIN CAPITAL LETTER L
+0x4D	0x004D	#	LATIN CAPITAL LETTER M
+0x4E	0x004E	#	LATIN CAPITAL LETTER N
+0x4F	0x004F	#	LATIN CAPITAL LETTER O
+0x50	0x0050	#	LATIN CAPITAL LETTER P
+0x51	0x0051	#	LATIN CAPITAL LETTER Q
+0x52	0x0052	#	LATIN CAPITAL LETTER R
+0x53	0x0053	#	LATIN CAPITAL LETTER S
+0x54	0x0054	#	LATIN CAPITAL LETTER T
+0x55	0x0055	#	LATIN CAPITAL LETTER U
+0x56	0x0056	#	LATIN CAPITAL LETTER V
+0x57	0x0057	#	LATIN CAPITAL LETTER W
+0x58	0x0058	#	LATIN CAPITAL LETTER X
+0x59	0x0059	#	LATIN CAPITAL LETTER Y
+0x5A	0x005A	#	LATIN CAPITAL LETTER Z
+0x5B	0x005B	#	LEFT SQUARE BRACKET
+0x5C	0x005C	#	REVERSE SOLIDUS
+0x5D	0x005D	#	RIGHT SQUARE BRACKET
+0x5E	0x005E	#	CIRCUMFLEX ACCENT
+0x5F	0x005F	#	LOW LINE
+0x60	0x0060	#	GRAVE ACCENT
+0x61	0x0061	#	LATIN SMALL LETTER A
+0x62	0x0062	#	LATIN SMALL LETTER B
+0x63	0x0063	#	LATIN SMALL LETTER C
+0x64	0x0064	#	LATIN SMALL LETTER D
+0x65	0x0065	#	LATIN SMALL LETTER E
+0x66	0x0066	#	LATIN SMALL LETTER F
+0x67	0x0067	#	LATIN SMALL LETTER G
+0x68	0x0068	#	LATIN SMALL LETTER H
+0x69	0x0069	#	LATIN SMALL LETTER I
+0x6A	0x006A	#	LATIN SMALL LETTER J
+0x6B	0x006B	#	LATIN SMALL LETTER K
+0x6C	0x006C	#	LATIN SMALL LETTER L
+0x6D	0x006D	#	LATIN SMALL LETTER M
+0x6E	0x006E	#	LATIN SMALL LETTER N
+0x6F	0x006F	#	LATIN SMALL LETTER O
+0x70	0x0070	#	LATIN SMALL LETTER P
+0x71	0x0071	#	LATIN SMALL LETTER Q
+0x72	0x0072	#	LATIN SMALL LETTER R
+0x73	0x0073	#	LATIN SMALL LETTER S
+0x74	0x0074	#	LATIN SMALL LETTER T
+0x75	0x0075	#	LATIN SMALL LETTER U
+0x76	0x0076	#	LATIN SMALL LETTER V
+0x77	0x0077	#	LATIN SMALL LETTER W
+0x78	0x0078	#	LATIN SMALL LETTER X
+0x79	0x0079	#	LATIN SMALL LETTER Y
+0x7A	0x007A	#	LATIN SMALL LETTER Z
+0x7B	0x007B	#	LEFT CURLY BRACKET
+0x7C	0x007C	#	VERTICAL LINE
+0x7D	0x007D	#	RIGHT CURLY BRACKET
+0x7E	0x007E	#	TILDE
+0x7F	0x007F	#	DELETE
+#0x80	0x0080	#	<control>
+#0x81	0x0081	#	<control>
+#0x82	0x0082	#	<control>
+#0x83	0x0083	#	<control>
+#0x84	0x0084	#	<control>
+#0x85	0x0085	#	<control>
+#0x86	0x0086	#	<control>
+#0x87	0x0087	#	<control>
+#0x88	0x0088	#	<control>
+#0x89	0x0089	#	<control>
+#0x8A	0x008A	#	<control>
+#0x8B	0x008B	#	<control>
+#0x8C	0x008C	#	<control>
+#0x8D	0x008D	#	<control>
+#0x8E	0x008E	#	<control>
+#0x8F	0x008F	#	<control>
+#0x90	0x0090	#	<control>
+#0x91	0x0091	#	<control>
+#0x92	0x0092	#	<control>
+#0x93	0x0093	#	<control>
+#0x94	0x0094	#	<control>
+#0x95	0x0095	#	<control>
+#0x96	0x0096	#	<control>
+#0x97	0x0097	#	<control>
+#0x98	0x0098	#	<control>
+#0x99	0x0099	#	<control>
+#0x9A	0x009A	#	<control>
+#0x9B	0x009B	#	<control>
+#0x9C	0x009C	#	<control>
+#0x9D	0x009D	#	<control>
+#0x9E	0x009E	#	<control>
+#0x9F	0x009F	#	<control>
+0xA0	0x00A0	#	NO-BREAK SPACE
+0xA1	0x00A1	#	INVERTED EXCLAMATION MARK
+0xA2	0x00A2	#	CENT SIGN
+0xA3	0x00A3	#	POUND SIGN
+0xA4	0x20AC	#	EURO SIGN
+0xA5	0x00A5	#	YEN SIGN
+0xA6	0x0160	#	LATIN CAPITAL LETTER S WITH CARON
+0xA7	0x00A7	#	SECTION SIGN
+0xA8	0x0161	#	LATIN SMALL LETTER S WITH CARON
+0xA9	0x00A9	#	COPYRIGHT SIGN
+0xAA	0x00AA	#	FEMININE ORDINAL INDICATOR
+0xAB	0x00AB	#	LEFT-POINTING DOUBLE ANGLE QUOTATION MARK
+0xAC	0x00AC	#	NOT SIGN
+0xAD	0x00AD	#	SOFT HYPHEN
+0xAE	0x00AE	#	REGISTERED SIGN
+0xAF	0x00AF	#	MACRON
+0xB0	0x00B0	#	DEGREE SIGN
+0xB1	0x00B1	#	PLUS-MINUS SIGN
+0xB2	0x00B2	#	SUPERSCRIPT TWO
+0xB3	0x00B3	#	SUPERSCRIPT THREE
+0xB4	0x017D	#	LATIN CAPITAL LETTER Z WITH CARON
+0xB5	0x00B5	#	MICRO SIGN
+0xB6	0x00B6	#	PILCROW SIGN
+0xB7	0x00B7	#	MIDDLE DOT
+0xB8	0x017E	#	LATIN SMALL LETTER Z WITH CARON
+0xB9	0x00B9	#	SUPERSCRIPT ONE
+0xBA	0x00BA	#	MASCULINE ORDINAL INDICATOR
+0xBB	0x00BB	#	RIGHT-POINTING DOUBLE ANGLE QUOTATION MARK
+0xBC	0x0152	#	LATIN CAPITAL LIGATURE OE
+0xBD	0x0153	#	LATIN SMALL LIGATURE OE
+0xBE	0x0178	#	LATIN CAPITAL LETTER Y WITH DIAERESIS
+0xBF	0x00BF	#	INVERTED QUESTION MARK
+0xC0	0x00C0	#	LATIN CAPITAL LETTER A WITH GRAVE
+0xC1	0x00C1	#	LATIN CAPITAL LETTER A WITH ACUTE
+0xC2	0x00C2	#	LATIN CAPITAL LETTER A WITH CIRCUMFLEX
+0xC3	0x00C3	#	LATIN CAPITAL LETTER A WITH TILDE
+0xC4	0x00C4	#	LATIN CAPITAL LETTER A WITH DIAERESIS
+0xC5	0x00C5	#	LATIN CAPITAL LETTER A WITH RING ABOVE
+0xC6	0x00C6	#	LATIN CAPITAL LETTER AE
+0xC7	0x00C7	#	LATIN CAPITAL LETTER C WITH CEDILLA
+0xC8	0x00C8	#	LATIN CAPITAL LETTER E WITH GRAVE
+0xC9	0x00C9	#	LATIN CAPITAL LETTER E WITH ACUTE
+0xCA	0x00CA	#	LATIN CAPITAL LETTER E WITH CIRCUMFLEX
+0xCB	0x00CB	#	LATIN CAPITAL LETTER E WITH DIAERESIS
+0xCC	0x00CC	#	LATIN CAPITAL LETTER I WITH GRAVE
+0xCD	0x00CD	#	LATIN CAPITAL LETTER I WITH ACUTE
+0xCE	0x00CE	#	LATIN CAPITAL LETTER I WITH CIRCUMFLEX
+0xCF	0x00CF	#	LATIN CAPITAL LETTER I WITH DIAERESIS
+0xD0	0x00D0	#	LATIN CAPITAL LETTER ETH
+0xD1	0x00D1	#	LATIN CAPITAL LETTER N WITH TILDE
+0xD2	0x00D2	#	LATIN CAPITAL LETTER O WITH GRAVE
+0xD3	0x00D3	#	LATIN CAPITAL LETTER O WITH ACUTE
+0xD4	0x00D4	#	LATIN CAPITAL LETTER O WITH CIRCUMFLEX
+0xD5	0x00D5	#	LATIN CAPITAL LETTER O WITH TILDE
+0xD6	0x00D6	#	LATIN CAPITAL LETTER O WITH DIAERESIS
+0xD7	0x00D7	#	MULTIPLICATION SIGN
+0xD8	0x00D8	#	LATIN CAPITAL LETTER O WITH STROKE
+0xD9	0x00D9	#	LATIN CAPITAL LETTER U WITH GRAVE
+0xDA	0x00DA	#	LATIN CAPITAL LETTER U WITH ACUTE
+0xDB	0x00DB	#	LATIN CAPITAL LETTER U WITH CIRCUMFLEX
+0xDC	0x00DC	#	LATIN CAPITAL LETTER U WITH DIAERESIS
+0xDD	0x00DD	#	LATIN CAPITAL LETTER Y WITH ACUTE
+0xDE	0x00DE	#	LATIN CAPITAL LETTER THORN
+0xDF	0x00DF	#	LATIN SMALL LETTER SHARP S
+0xE0	0x00E0	#	LATIN SMALL LETTER A WITH GRAVE
+0xE1	0x00E1	#	LATIN SMALL LETTER A WITH ACUTE
+0xE2	0x00E2	#	LATIN SMALL LETTER A WITH CIRCUMFLEX
+0xE3	0x00E3	#	LATIN SMALL LETTER A WITH TILDE
+0xE4	0x00E4	#	LATIN SMALL LETTER A WITH DIAERESIS
+0xE5	0x00E5	#	LATIN SMALL LETTER A WITH RING ABOVE
+0xE6	0x00E6	#	LATIN SMALL LETTER AE
+0xE7	0x00E7	#	LATIN SMALL LETTER C WITH CEDILLA
+0xE8	0x00E8	#	LATIN SMALL LETTER E WITH GRAVE
+0xE9	0x00E9	#	LATIN SMALL LETTER E WITH ACUTE
+0xEA	0x00EA	#	LATIN SMALL LETTER E WITH CIRCUMFLEX
+0xEB	0x00EB	#	LATIN SMALL LETTER E WITH DIAERESIS
+0xEC	0x00EC	#	LATIN SMALL LETTER I WITH GRAVE
+0xED	0x00ED	#	LATIN SMALL LETTER I WITH ACUTE
+0xEE	0x00EE	#	LATIN SMALL LETTER I WITH CIRCUMFLEX
+0xEF	0x00EF	#	LATIN SMALL LETTER I WITH DIAERESIS
+0xF0	0x00F0	#	LATIN SMALL LETTER ETH
+0xF1	0x00F1	#	LATIN SMALL LETTER N WITH TILDE
+0xF2	0x00F2	#	LATIN SMALL LETTER O WITH GRAVE
+0xF3	0x00F3	#	LATIN SMALL LETTER O WITH ACUTE
+0xF4	0x00F4	#	LATIN SMALL LETTER O WITH CIRCUMFLEX
+0xF5	0x00F5	#	LATIN SMALL LETTER O WITH TILDE
+0xF6	0x00F6	#	LATIN SMALL LETTER O WITH DIAERESIS
+0xF7	0x00F7	#	DIVISION SIGN
+0xF8	0x00F8	#	LATIN SMALL LETTER O WITH STROKE
+0xF9	0x00F9	#	LATIN SMALL LETTER U WITH GRAVE
+0xFA	0x00FA	#	LATIN SMALL LETTER U WITH ACUTE
+0xFB	0x00FB	#	LATIN SMALL LETTER U WITH CIRCUMFLEX
+0xFC	0x00FC	#	LATIN SMALL LETTER U WITH DIAERESIS
+0xFD	0x00FD	#	LATIN SMALL LETTER Y WITH ACUTE
+0xFE	0x00FE	#	LATIN SMALL LETTER THORN
+0xFF	0x00FF	#	LATIN SMALL LETTER Y WITH DIAERESIS
+
diff -pruN 0.12~pre2.dfsg0-1/Unicode/8859_16.cp 0.12~pre4-1/Unicode/8859_16.cp
--- 0.12~pre2.dfsg0-1/Unicode/8859_16.cp	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/Unicode/8859_16.cp	2009-05-31 09:48:47.000000000 +0100
@@ -1,199 +1,314 @@
 ISO 8859-16
 "ISO-8859-16", "iso8859-16", "8859-16", "latin10", "l10", "il10", "ISO_8859-16", "ISO_8859-16:2000", "ISO-IR-226", "ISO_8859-16:2001"
-#       Name:             ISO 8859-16:2001 to Unicode
-#       Date:             2001 Octomber 10
-#       Authors:          Ionel Mugurel Ciobica <I.M.Ciobica@TUe.nl>
-#
-#       Copyright (c) 1991-2001 Unicode, Inc.  All Rights reserved.
-#
-0x20	0x0020	#SPACE
-0x21	0x0021	#EXCLAMATION MARK
-0x22	0x0022	#QUOTATION MARK
-0x23	0x0023	#NUMBER SIGN
-0x24	0x0024	#DOLLAR SIGN
-0x25	0x0025	#PERCENT SIGN
-0x26	0x0026	#AMPERSAND
-0x27	0x0027	#APOSTROPHE
-0x28	0x0028	#LEFT PARENTHESIS
-0x29	0x0029	#RIGHT PARENTHESIS
-0x2A	0x002A	#ASTERISK
-0x2B	0x002B	#PLUS SIGN
-0x2C	0x002C	#COMMA
-0x2D	0x002D	#HYPHEN-MINUS
-0x2E	0x002E	#FULL STOP
-0x2F	0x002F	#SOLIDUS
-0x30	0x0030	#DIGIT ZERO
-0x31	0x0031	#DIGIT ONE
-0x32	0x0032	#DIGIT TWO
-0x33	0x0033	#DIGIT THREE
-0x34	0x0034	#DIGIT FOUR
-0x35	0x0035	#DIGIT FIVE
-0x36	0x0036	#DIGIT SIX
-0x37	0x0037	#DIGIT SEVEN
-0x38	0x0038	#DIGIT EIGHT
-0x39	0x0039	#DIGIT NINE
-0x3A	0x003A	#COLON
-0x3B	0x003B	#SEMICOLON
-0x3C	0x003C	#LESS-THAN SIGN
-0x3D	0x003D	#EQUALS SIGN
-0x3E	0x003E	#GREATER-THAN SIGN
-0x3F	0x003F	#QUESTION MARK
-0x40	0x0040	#COMMERCIAL AT
-0x41	0x0041	#LATIN CAPITAL LETTER A
-0x42	0x0042	#LATIN CAPITAL LETTER B
-0x43	0x0043	#LATIN CAPITAL LETTER C
-0x44	0x0044	#LATIN CAPITAL LETTER D
-0x45	0x0045	#LATIN CAPITAL LETTER E
-0x46	0x0046	#LATIN CAPITAL LETTER F
-0x47	0x0047	#LATIN CAPITAL LETTER G
-0x48	0x0048	#LATIN CAPITAL LETTER H
-0x49	0x0049	#LATIN CAPITAL LETTER I
-0x4A	0x004A	#LATIN CAPITAL LETTER J
-0x4B	0x004B	#LATIN CAPITAL LETTER K
-0x4C	0x004C	#LATIN CAPITAL LETTER L
-0x4D	0x004D	#LATIN CAPITAL LETTER M
-0x4E	0x004E	#LATIN CAPITAL LETTER N
-0x4F	0x004F	#LATIN CAPITAL LETTER O
-0x50	0x0050	#LATIN CAPITAL LETTER P
-0x51	0x0051	#LATIN CAPITAL LETTER Q
-0x52	0x0052	#LATIN CAPITAL LETTER R
-0x53	0x0053	#LATIN CAPITAL LETTER S
-0x54	0x0054	#LATIN CAPITAL LETTER T
-0x55	0x0055	#LATIN CAPITAL LETTER U
-0x56	0x0056	#LATIN CAPITAL LETTER V
-0x57	0x0057	#LATIN CAPITAL LETTER W
-0x58	0x0058	#LATIN CAPITAL LETTER X
-0x59	0x0059	#LATIN CAPITAL LETTER Y
-0x5A	0x005A	#LATIN CAPITAL LETTER Z
-0x5B	0x005B	#LEFT SQUARE BRACKET
-0x5C	0x005C	#REVERSE SOLIDUS
-0x5D	0x005D	#RIGHT SQUARE BRACKET
-0x5E	0x005E	#CIRCUMFLEX ACCENT
-0x5F	0x005F	#LOW LINE
-0x60	0x0060	#GRAVE ACCENT
-0x61	0x0061	#LATIN SMALL LETTER A
-0x62	0x0062	#LATIN SMALL LETTER B
-0x63	0x0063	#LATIN SMALL LETTER C
-0x64	0x0064	#LATIN SMALL LETTER D
-0x65	0x0065	#LATIN SMALL LETTER E
-0x66	0x0066	#LATIN SMALL LETTER F
-0x67	0x0067	#LATIN SMALL LETTER G
-0x68	0x0068	#LATIN SMALL LETTER H
-0x69	0x0069	#LATIN SMALL LETTER I
-0x6A	0x006A	#LATIN SMALL LETTER J
-0x6B	0x006B	#LATIN SMALL LETTER K
-0x6C	0x006C	#LATIN SMALL LETTER L
-0x6D	0x006D	#LATIN SMALL LETTER M
-0x6E	0x006E	#LATIN SMALL LETTER N
-0x6F	0x006F	#LATIN SMALL LETTER O
-0x70	0x0070	#LATIN SMALL LETTER P
-0x71	0x0071	#LATIN SMALL LETTER Q
-0x72	0x0072	#LATIN SMALL LETTER R
-0x73	0x0073	#LATIN SMALL LETTER S
-0x74	0x0074	#LATIN SMALL LETTER T
-0x75	0x0075	#LATIN SMALL LETTER U
-0x76	0x0076	#LATIN SMALL LETTER V
-0x77	0x0077	#LATIN SMALL LETTER W
-0x78	0x0078	#LATIN SMALL LETTER X
-0x79	0x0079	#LATIN SMALL LETTER Y
-0x7A	0x007A	#LATIN SMALL LETTER Z
-0x7B	0x007B	#LEFT CURLY BRACKET
-0x7C	0x007C	#VERTICAL LINE
-0x7D	0x007D	#RIGHT CURLY BRACKET
-0x7E	0x007E	#TILDE
-0xA0	0x00A0	#NO-BREAK SPACE
-0xA1	0x0104	#LATIN CAPITAL LETTER A WITH OGONEK
-0xA2	0x0105	#LATIN SMALL LETTER A WITH OGONEK
-0xA3	0x0141	#LATIN CAPITAL LETTER L WITH STROKE
-0xA4	0x20AC	#EURO SIGN
-0xA5	0x00AB	#LEFT-POINTING DOUBLE ANGLE QUOTATION MARK
-0xA6	0x0160	#LATIN CAPITAL LETTER S WITH CARON
-0xA7	0x00A7	#SECTION SIGN
-0xA8	0x0161	#LATIN SMALL LETTER S WITH CARON
-0xA9	0x00A9	#COPYRIGHT SIGN
-0xAA	0x0218	#LATIN CAPITAL LETTER S WITH COMMA BELOW
-0xAB	0x201E	#DOUBLE LOW-9 QUOTATION MARK
-0xAC	0x0179	#LATIN CAPITAL LETTER Z WITH ACUTE
-0xAD	0x00AD	#SOFT HYPHEN
-0xAE	0x017A	#LATIN SMALL LETTER Z WITH ACUTE
-0xAF	0x017B	#LATIN CAPITAL LETTER Z WITH DOT ABOVE
-0xB0	0x00B0	#DEGREE SIGN
-0xB1	0x00B1	#PLUS-MINUS SIGN
-0xB2	0x010C	#LATIN CAPITAL LETTER C WITH CARON
-0xB3	0x0142	#LATIN SMALL LETTER L WITH STROKE
-0xB4	0x017D	#LATIN CAPITAL LETTER Z WITH CARON
-0xB5	0x201D	#RIGHT DOUBLE QUOTATION MARK
-0xB6	0x00B6	#PILCROW SIGN
-0xB7	0x00B7	#MIDDLE DOT
-0xB8	0x017E	#LATIN SMALL LETTER Z WITH CARON
-0xB9	0x010D	#LATIN SMALL LETTER C WITH CARON
-0xBA	0x0219	#LATIN SMALL LETTER S WITH COMMA BELOW
-0xBB	0x00BB	#RIGHT-POINTING DOUBLE ANGLE QUOTATION MARK
-0xBC	0x0152	#LATIN CAPITAL LIGATURE OE
-0xBD	0x0153	#LATIN SMALL LIGATURE OE
-0xBE	0x0178	#LATIN CAPITAL LETTER Y WITH DIAERESIS
-0xBF	0x017C	#LATIN SMALL LETTER Z WITH DOT ABOVE
-0xC0	0x00C0	#LATIN CAPITAL LETTER A WITH GRAVE
-0xC1	0x00C1	#LATIN CAPITAL LETTER A WITH ACUTE
-0xC2	0x00C2	#LATIN CAPITAL LETTER A WITH CIRCUMFLEX
-0xC3	0x0102	#LATIN CAPITAL LETTER A WITH BREVE
-0xC4	0x00C4	#LATIN CAPITAL LETTER A WITH DIAERESIS
-0xC5	0x0106	#LATIN CAPITAL LETTER C WITH ACUTE
-0xC6	0x00C6	#LATIN CAPITAL LETTER AE
-0xC7	0x00C7	#LATIN CAPITAL LETTER C WITH CEDILLA
-0xC8	0x00C8	#LATIN CAPITAL LETTER E WITH GRAVE
-0xC9	0x00C9	#LATIN CAPITAL LETTER E WITH ACUTE
-0xCA	0x00CA	#LATIN CAPITAL LETTER E WITH CIRCUMFLEX
-0xCB	0x00CB	#LATIN CAPITAL LETTER E WITH DIAERESIS
-0xCC	0x00CC	#LATIN CAPITAL LETTER I WITH GRAVE
-0xCD	0x00CD	#LATIN CAPITAL LETTER I WITH ACUTE
-0xCE	0x00CE	#LATIN CAPITAL LETTER I WITH CIRCUMFLEX
-0xCF	0x00CF	#LATIN CAPITAL LETTER I WITH DIAERESIS
-0xD0	0x0110	#LATIN CAPITAL LETTER D WITH STROKE
-0xD1	0x0143	#LATIN CAPITAL LETTER N WITH ACUTE
-0xD2	0x00D2	#LATIN CAPITAL LETTER O WITH GRAVE
-0xD3	0x00D3	#LATIN CAPITAL LETTER O WITH ACUTE
-0xD4	0x00D4	#LATIN CAPITAL LETTER O WITH CIRCUMFLEX
-0xD5	0x0150	#LATIN CAPITAL LETTER O WITH DOUBLE ACUTE
-0xD6	0x00D6	#LATIN CAPITAL LETTER O WITH DIAERESIS
-0xD7	0x015A	#LATIN CAPITAL LETTER S WITH ACUTE
-0xD8	0x0170	#LATIN CAPITAL LETTER U WITH DOUBLE ACUTE
-0xD9	0x00D9	#LATIN CAPITAL LETTER U WITH GRAVE
-0xDA	0x00DA	#LATIN CAPITAL LETTER U WITH ACUTE
-0xDB	0x00DB	#LATIN CAPITAL LETTER U WITH CIRCUMFLEX
-0xDC	0x00DC	#LATIN CAPITAL LETTER U WITH DIAERESIS
-0xDD	0x0118	#LATIN CAPITAL LETTER E WITH OGONEK
-0xDE	0x021A	#LATIN CAPITAL LETTER T WITH COMMA BELOW
-0xDF	0x00DF	#LATIN SMALL LETTER SHARP S
-0xE0	0x00E0	#LATIN SMALL LETTER A WITH GRAVE
-0xE1	0x00E1	#LATIN SMALL LETTER A WITH ACUTE
-0xE2	0x00E2	#LATIN SMALL LETTER A WITH CIRCUMFLEX
-0xE3	0x0103	#LATIN SMALL LETTER A WITH BREVE
-0xE4	0x00E4	#LATIN SMALL LETTER A WITH DIAERESIS
-0xE5	0x0107	#LATIN SMALL LETTER C WITH ACUTE
-0xE6	0x00E6	#LATIN SMALL LETTER AE
-0xE7	0x00E7	#LATIN SMALL LETTER C WITH CEDILLA
-0xE8	0x00E8	#LATIN SMALL LETTER E WITH GRAVE
-0xE9	0x00E9	#LATIN SMALL LETTER E WITH ACUTE
-0xEA	0x00EA	#LATIN SMALL LETTER E WITH CIRCUMFLEX
-0xEB	0x00EB	#LATIN SMALL LETTER E WITH DIAERESIS
-0xEC	0x00EC	#LATIN SMALL LETTER I WITH GRAVE
-0xED	0x00ED	#LATIN SMALL LETTER I WITH ACUTE
-0xEE	0x00EE	#LATIN SMALL LETTER I WITH CIRCUMFLEX
-0xEF	0x00EF	#LATIN SMALL LETTER I WITH DIAERESIS
-0xF0	0x0111	#LATIN SMALL LETTER D WITH STROKE
-0xF1	0x0144	#LATIN SMALL LETTER N WITH ACUTE
-0xF2	0x00F2	#LATIN SMALL LETTER O WITH GRAVE
-0xF3	0x00F3	#LATIN SMALL LETTER O WITH ACUTE
-0xF4	0x00F4	#LATIN SMALL LETTER O WITH CIRCUMFLEX
-0xF5	0x0151	#LATIN SMALL LETTER O WITH DOUBLE ACUTE
-0xF6	0x00F6	#LATIN SMALL LETTER O WITH DIAERESIS
-0xF7	0x015B	#LATIN SMALL LETTER S WITH ACUTE
-0xF8	0x0171	#LATIN SMALL LETTER U WITH DOUBLE ACUTE
-0xF9	0x00F9	#LATIN SMALL LETTER U WITH GRAVE
-0xFA	0x00FA	#LATIN SMALL LETTER U WITH ACUTE
-0xFB	0x00FB	#LATIN SMALL LETTER U WITH CIRCUMFLEX
-0xFC	0x00FC	#LATIN SMALL LETTER U WITH DIAERESIS
-0xFD	0x0119	#LATIN SMALL LETTER E WITH OGONEK
-0xFE	0x021B	#LATIN SMALL LETTER T WITH COMMA BELOW
-0xFF	0x00FF	#LATIN SMALL LETTER Y WITH DIAERESIS
+
+# ----------------------------------------------------------------------
+# The following data was downloaded from
+# http://www.unicode.org/Public/MAPPINGS/ISO8859/DatedVersions/8859-16-2001.TXT
+# on 2008-10-05, so it is a Unicode Data File covered by the Unicode
+# copyright and permission notice in the COPYING file of ELinks,
+# regardless of any terms shown below.
+#
+# This file differs from the original in the following ways:
+# - Added this comment, blank lines around it, and charset names above it.
+# - Commented out mappings of bytes 0x80 to 0x9F, until bug 932 is fixed.
+# ----------------------------------------------------------------------
+
+#
+#	Name:             ISO/IEC 8859-16:2001 to Unicode
+#	Unicode version:  3.0
+#	Table version:    1.0
+#	Table format:     Format A
+#	Date:             2001 July 26
+#	Authors:          Markus Kuhn <http://www.cl.cam.ac.uk/~mgk25/>
+#
+#	Copyright (c) 1999-2001 Unicode, Inc.  All Rights reserved.
+#
+#	This file is provided as-is by Unicode, Inc. (The Unicode Consortium).
+#	No claims are made as to fitness for any particular purpose.  No
+#	warranties of any kind are expressed or implied.  The recipient
+#	agrees to determine applicability of information provided.  If this
+#	file has been provided on optical media by Unicode, Inc., the sole
+#	remedy for any claim will be exchange of defective media within 90
+#	days of receipt.
+#
+#	Unicode, Inc. hereby grants the right to freely use the information
+#	supplied in this file in the creation of products supporting the
+#	Unicode Standard, and to make copies of this file in any form for
+#	internal or external distribution as long as this notice remains
+#	attached.
+#
+#	General notes:
+#
+#	This table contains the data the Unicode Consortium has on how
+#       ISO/IEC 8859-16:2001 characters map into Unicode.
+#
+#	Format:  Three tab-separated columns
+#		 Column #1 is the ISO/IEC 8859-16 code (in hex as 0xXX)
+#		 Column #2 is the Unicode (in hex as 0xXXXX)
+#		 Column #3 the Unicode name (follows a comment sign, '#')
+#
+#	The entries are in ISO/IEC 8859-16 order.
+#
+#	Updated versions of this file may be found in:
+#		<ftp://ftp.unicode.org/Public/MAPPINGS/>
+#
+#	Any comments or problems, contact <errata@unicode.org>
+#	Please note that <errata@unicode.org> is an archival address;
+#	notices will be checked, but do not expect an immediate response.
+#
+0x00	0x0000	#	NULL
+0x01	0x0001	#	START OF HEADING
+0x02	0x0002	#	START OF TEXT
+0x03	0x0003	#	END OF TEXT
+0x04	0x0004	#	END OF TRANSMISSION
+0x05	0x0005	#	ENQUIRY
+0x06	0x0006	#	ACKNOWLEDGE
+0x07	0x0007	#	BELL
+0x08	0x0008	#	BACKSPACE
+0x09	0x0009	#	HORIZONTAL TABULATION
+0x0A	0x000A	#	LINE FEED
+0x0B	0x000B	#	VERTICAL TABULATION
+0x0C	0x000C	#	FORM FEED
+0x0D	0x000D	#	CARRIAGE RETURN
+0x0E	0x000E	#	SHIFT OUT
+0x0F	0x000F	#	SHIFT IN
+0x10	0x0010	#	DATA LINK ESCAPE
+0x11	0x0011	#	DEVICE CONTROL ONE
+0x12	0x0012	#	DEVICE CONTROL TWO
+0x13	0x0013	#	DEVICE CONTROL THREE
+0x14	0x0014	#	DEVICE CONTROL FOUR
+0x15	0x0015	#	NEGATIVE ACKNOWLEDGE
+0x16	0x0016	#	SYNCHRONOUS IDLE
+0x17	0x0017	#	END OF TRANSMISSION BLOCK
+0x18	0x0018	#	CANCEL
+0x19	0x0019	#	END OF MEDIUM
+0x1A	0x001A	#	SUBSTITUTE
+0x1B	0x001B	#	ESCAPE
+0x1C	0x001C	#	FILE SEPARATOR
+0x1D	0x001D	#	GROUP SEPARATOR
+0x1E	0x001E	#	RECORD SEPARATOR
+0x1F	0x001F	#	UNIT SEPARATOR
+0x20	0x0020	#	SPACE
+0x21	0x0021	#	EXCLAMATION MARK
+0x22	0x0022	#	QUOTATION MARK
+0x23	0x0023	#	NUMBER SIGN
+0x24	0x0024	#	DOLLAR SIGN
+0x25	0x0025	#	PERCENT SIGN
+0x26	0x0026	#	AMPERSAND
+0x27	0x0027	#	APOSTROPHE
+0x28	0x0028	#	LEFT PARENTHESIS
+0x29	0x0029	#	RIGHT PARENTHESIS
+0x2A	0x002A	#	ASTERISK
+0x2B	0x002B	#	PLUS SIGN
+0x2C	0x002C	#	COMMA
+0x2D	0x002D	#	HYPHEN-MINUS
+0x2E	0x002E	#	FULL STOP
+0x2F	0x002F	#	SOLIDUS
+0x30	0x0030	#	DIGIT ZERO
+0x31	0x0031	#	DIGIT ONE
+0x32	0x0032	#	DIGIT TWO
+0x33	0x0033	#	DIGIT THREE
+0x34	0x0034	#	DIGIT FOUR
+0x35	0x0035	#	DIGIT FIVE
+0x36	0x0036	#	DIGIT SIX
+0x37	0x0037	#	DIGIT SEVEN
+0x38	0x0038	#	DIGIT EIGHT
+0x39	0x0039	#	DIGIT NINE
+0x3A	0x003A	#	COLON
+0x3B	0x003B	#	SEMICOLON
+0x3C	0x003C	#	LESS-THAN SIGN
+0x3D	0x003D	#	EQUALS SIGN
+0x3E	0x003E	#	GREATER-THAN SIGN
+0x3F	0x003F	#	QUESTION MARK
+0x40	0x0040	#	COMMERCIAL AT
+0x41	0x0041	#	LATIN CAPITAL LETTER A
+0x42	0x0042	#	LATIN CAPITAL LETTER B
+0x43	0x0043	#	LATIN CAPITAL LETTER C
+0x44	0x0044	#	LATIN CAPITAL LETTER D
+0x45	0x0045	#	LATIN CAPITAL LETTER E
+0x46	0x0046	#	LATIN CAPITAL LETTER F
+0x47	0x0047	#	LATIN CAPITAL LETTER G
+0x48	0x0048	#	LATIN CAPITAL LETTER H
+0x49	0x0049	#	LATIN CAPITAL LETTER I
+0x4A	0x004A	#	LATIN CAPITAL LETTER J
+0x4B	0x004B	#	LATIN CAPITAL LETTER K
+0x4C	0x004C	#	LATIN CAPITAL LETTER L
+0x4D	0x004D	#	LATIN CAPITAL LETTER M
+0x4E	0x004E	#	LATIN CAPITAL LETTER N
+0x4F	0x004F	#	LATIN CAPITAL LETTER O
+0x50	0x0050	#	LATIN CAPITAL LETTER P
+0x51	0x0051	#	LATIN CAPITAL LETTER Q
+0x52	0x0052	#	LATIN CAPITAL LETTER R
+0x53	0x0053	#	LATIN CAPITAL LETTER S
+0x54	0x0054	#	LATIN CAPITAL LETTER T
+0x55	0x0055	#	LATIN CAPITAL LETTER U
+0x56	0x0056	#	LATIN CAPITAL LETTER V
+0x57	0x0057	#	LATIN CAPITAL LETTER W
+0x58	0x0058	#	LATIN CAPITAL LETTER X
+0x59	0x0059	#	LATIN CAPITAL LETTER Y
+0x5A	0x005A	#	LATIN CAPITAL LETTER Z
+0x5B	0x005B	#	LEFT SQUARE BRACKET
+0x5C	0x005C	#	REVERSE SOLIDUS
+0x5D	0x005D	#	RIGHT SQUARE BRACKET
+0x5E	0x005E	#	CIRCUMFLEX ACCENT
+0x5F	0x005F	#	LOW LINE
+0x60	0x0060	#	GRAVE ACCENT
+0x61	0x0061	#	LATIN SMALL LETTER A
+0x62	0x0062	#	LATIN SMALL LETTER B
+0x63	0x0063	#	LATIN SMALL LETTER C
+0x64	0x0064	#	LATIN SMALL LETTER D
+0x65	0x0065	#	LATIN SMALL LETTER E
+0x66	0x0066	#	LATIN SMALL LETTER F
+0x67	0x0067	#	LATIN SMALL LETTER G
+0x68	0x0068	#	LATIN SMALL LETTER H
+0x69	0x0069	#	LATIN SMALL LETTER I
+0x6A	0x006A	#	LATIN SMALL LETTER J
+0x6B	0x006B	#	LATIN SMALL LETTER K
+0x6C	0x006C	#	LATIN SMALL LETTER L
+0x6D	0x006D	#	LATIN SMALL LETTER M
+0x6E	0x006E	#	LATIN SMALL LETTER N
+0x6F	0x006F	#	LATIN SMALL LETTER O
+0x70	0x0070	#	LATIN SMALL LETTER P
+0x71	0x0071	#	LATIN SMALL LETTER Q
+0x72	0x0072	#	LATIN SMALL LETTER R
+0x73	0x0073	#	LATIN SMALL LETTER S
+0x74	0x0074	#	LATIN SMALL LETTER T
+0x75	0x0075	#	LATIN SMALL LETTER U
+0x76	0x0076	#	LATIN SMALL LETTER V
+0x77	0x0077	#	LATIN SMALL LETTER W
+0x78	0x0078	#	LATIN SMALL LETTER X
+0x79	0x0079	#	LATIN SMALL LETTER Y
+0x7A	0x007A	#	LATIN SMALL LETTER Z
+0x7B	0x007B	#	LEFT CURLY BRACKET
+0x7C	0x007C	#	VERTICAL LINE
+0x7D	0x007D	#	RIGHT CURLY BRACKET
+0x7E	0x007E	#	TILDE
+0x7F	0x007F	#	DELETE
+#0x80	0x0080	#	<control>
+#0x81	0x0081	#	<control>
+#0x82	0x0082	#	<control>
+#0x83	0x0083	#	<control>
+#0x84	0x0084	#	<control>
+#0x85	0x0085	#	<control>
+#0x86	0x0086	#	<control>
+#0x87	0x0087	#	<control>
+#0x88	0x0088	#	<control>
+#0x89	0x0089	#	<control>
+#0x8A	0x008A	#	<control>
+#0x8B	0x008B	#	<control>
+#0x8C	0x008C	#	<control>
+#0x8D	0x008D	#	<control>
+#0x8E	0x008E	#	<control>
+#0x8F	0x008F	#	<control>
+#0x90	0x0090	#	<control>
+#0x91	0x0091	#	<control>
+#0x92	0x0092	#	<control>
+#0x93	0x0093	#	<control>
+#0x94	0x0094	#	<control>
+#0x95	0x0095	#	<control>
+#0x96	0x0096	#	<control>
+#0x97	0x0097	#	<control>
+#0x98	0x0098	#	<control>
+#0x99	0x0099	#	<control>
+#0x9A	0x009A	#	<control>
+#0x9B	0x009B	#	<control>
+#0x9C	0x009C	#	<control>
+#0x9D	0x009D	#	<control>
+#0x9E	0x009E	#	<control>
+#0x9F	0x009F	#	<control>
+0xA0	0x00A0	#	NO-BREAK SPACE
+0xA1	0x0104	#	LATIN CAPITAL LETTER A WITH OGONEK
+0xA2	0x0105	#	LATIN SMALL LETTER A WITH OGONEK
+0xA3	0x0141	#	LATIN CAPITAL LETTER L WITH STROKE
+0xA4	0x20AC	#	EURO SIGN
+0xA5	0x201E	#	DOUBLE LOW-9 QUOTATION MARK
+0xA6	0x0160	#	LATIN CAPITAL LETTER S WITH CARON
+0xA7	0x00A7	#	SECTION SIGN
+0xA8	0x0161	#	LATIN SMALL LETTER S WITH CARON
+0xA9	0x00A9	#	COPYRIGHT SIGN
+0xAA	0x0218	#	LATIN CAPITAL LETTER S WITH COMMA BELOW
+0xAB	0x00AB	#	LEFT-POINTING DOUBLE ANGLE QUOTATION MARK
+0xAC	0x0179	#	LATIN CAPITAL LETTER Z WITH ACUTE
+0xAD	0x00AD	#	SOFT HYPHEN
+0xAE	0x017A	#	LATIN SMALL LETTER Z WITH ACUTE
+0xAF	0x017B	#	LATIN CAPITAL LETTER Z WITH DOT ABOVE
+0xB0	0x00B0	#	DEGREE SIGN
+0xB1	0x00B1	#	PLUS-MINUS SIGN
+0xB2	0x010C	#	LATIN CAPITAL LETTER C WITH CARON
+0xB3	0x0142	#	LATIN SMALL LETTER L WITH STROKE
+0xB4	0x017D	#	LATIN CAPITAL LETTER Z WITH CARON
+0xB5	0x201D	#	RIGHT DOUBLE QUOTATION MARK
+0xB6	0x00B6	#	PILCROW SIGN
+0xB7	0x00B7	#	MIDDLE DOT
+0xB8	0x017E	#	LATIN SMALL LETTER Z WITH CARON
+0xB9	0x010D	#	LATIN SMALL LETTER C WITH CARON
+0xBA	0x0219	#	LATIN SMALL LETTER S WITH COMMA BELOW
+0xBB	0x00BB	#	RIGHT-POINTING DOUBLE ANGLE QUOTATION MARK
+0xBC	0x0152	#	LATIN CAPITAL LIGATURE OE
+0xBD	0x0153	#	LATIN SMALL LIGATURE OE
+0xBE	0x0178	#	LATIN CAPITAL LETTER Y WITH DIAERESIS
+0xBF	0x017C	#	LATIN SMALL LETTER Z WITH DOT ABOVE
+0xC0	0x00C0	#	LATIN CAPITAL LETTER A WITH GRAVE
+0xC1	0x00C1	#	LATIN CAPITAL LETTER A WITH ACUTE
+0xC2	0x00C2	#	LATIN CAPITAL LETTER A WITH CIRCUMFLEX
+0xC3	0x0102	#	LATIN CAPITAL LETTER A WITH BREVE
+0xC4	0x00C4	#	LATIN CAPITAL LETTER A WITH DIAERESIS
+0xC5	0x0106	#	LATIN CAPITAL LETTER C WITH ACUTE
+0xC6	0x00C6	#	LATIN CAPITAL LETTER AE
+0xC7	0x00C7	#	LATIN CAPITAL LETTER C WITH CEDILLA
+0xC8	0x00C8	#	LATIN CAPITAL LETTER E WITH GRAVE
+0xC9	0x00C9	#	LATIN CAPITAL LETTER E WITH ACUTE
+0xCA	0x00CA	#	LATIN CAPITAL LETTER E WITH CIRCUMFLEX
+0xCB	0x00CB	#	LATIN CAPITAL LETTER E WITH DIAERESIS
+0xCC	0x00CC	#	LATIN CAPITAL LETTER I WITH GRAVE
+0xCD	0x00CD	#	LATIN CAPITAL LETTER I WITH ACUTE
+0xCE	0x00CE	#	LATIN CAPITAL LETTER I WITH CIRCUMFLEX
+0xCF	0x00CF	#	LATIN CAPITAL LETTER I WITH DIAERESIS
+0xD0	0x0110	#	LATIN CAPITAL LETTER D WITH STROKE
+0xD1	0x0143	#	LATIN CAPITAL LETTER N WITH ACUTE
+0xD2	0x00D2	#	LATIN CAPITAL LETTER O WITH GRAVE
+0xD3	0x00D3	#	LATIN CAPITAL LETTER O WITH ACUTE
+0xD4	0x00D4	#	LATIN CAPITAL LETTER O WITH CIRCUMFLEX
+0xD5	0x0150	#	LATIN CAPITAL LETTER O WITH DOUBLE ACUTE
+0xD6	0x00D6	#	LATIN CAPITAL LETTER O WITH DIAERESIS
+0xD7	0x015A	#	LATIN CAPITAL LETTER S WITH ACUTE
+0xD8	0x0170	#	LATIN CAPITAL LETTER U WITH DOUBLE ACUTE
+0xD9	0x00D9	#	LATIN CAPITAL LETTER U WITH GRAVE
+0xDA	0x00DA	#	LATIN CAPITAL LETTER U WITH ACUTE
+0xDB	0x00DB	#	LATIN CAPITAL LETTER U WITH CIRCUMFLEX
+0xDC	0x00DC	#	LATIN CAPITAL LETTER U WITH DIAERESIS
+0xDD	0x0118	#	LATIN CAPITAL LETTER E WITH OGONEK
+0xDE	0x021A	#	LATIN CAPITAL LETTER T WITH COMMA BELOW
+0xDF	0x00DF	#	LATIN SMALL LETTER SHARP S
+0xE0	0x00E0	#	LATIN SMALL LETTER A WITH GRAVE
+0xE1	0x00E1	#	LATIN SMALL LETTER A WITH ACUTE
+0xE2	0x00E2	#	LATIN SMALL LETTER A WITH CIRCUMFLEX
+0xE3	0x0103	#	LATIN SMALL LETTER A WITH BREVE
+0xE4	0x00E4	#	LATIN SMALL LETTER A WITH DIAERESIS
+0xE5	0x0107	#	LATIN SMALL LETTER C WITH ACUTE
+0xE6	0x00E6	#	LATIN SMALL LETTER AE
+0xE7	0x00E7	#	LATIN SMALL LETTER C WITH CEDILLA
+0xE8	0x00E8	#	LATIN SMALL LETTER E WITH GRAVE
+0xE9	0x00E9	#	LATIN SMALL LETTER E WITH ACUTE
+0xEA	0x00EA	#	LATIN SMALL LETTER E WITH CIRCUMFLEX
+0xEB	0x00EB	#	LATIN SMALL LETTER E WITH DIAERESIS
+0xEC	0x00EC	#	LATIN SMALL LETTER I WITH GRAVE
+0xED	0x00ED	#	LATIN SMALL LETTER I WITH ACUTE
+0xEE	0x00EE	#	LATIN SMALL LETTER I WITH CIRCUMFLEX
+0xEF	0x00EF	#	LATIN SMALL LETTER I WITH DIAERESIS
+0xF0	0x0111	#	LATIN SMALL LETTER D WITH STROKE
+0xF1	0x0144	#	LATIN SMALL LETTER N WITH ACUTE
+0xF2	0x00F2	#	LATIN SMALL LETTER O WITH GRAVE
+0xF3	0x00F3	#	LATIN SMALL LETTER O WITH ACUTE
+0xF4	0x00F4	#	LATIN SMALL LETTER O WITH CIRCUMFLEX
+0xF5	0x0151	#	LATIN SMALL LETTER O WITH DOUBLE ACUTE
+0xF6	0x00F6	#	LATIN SMALL LETTER O WITH DIAERESIS
+0xF7	0x015B	#	LATIN SMALL LETTER S WITH ACUTE
+0xF8	0x0171	#	LATIN SMALL LETTER U WITH DOUBLE ACUTE
+0xF9	0x00F9	#	LATIN SMALL LETTER U WITH GRAVE
+0xFA	0x00FA	#	LATIN SMALL LETTER U WITH ACUTE
+0xFB	0x00FB	#	LATIN SMALL LETTER U WITH CIRCUMFLEX
+0xFC	0x00FC	#	LATIN SMALL LETTER U WITH DIAERESIS
+0xFD	0x0119	#	LATIN SMALL LETTER E WITH OGONEK
+0xFE	0x021B	#	LATIN SMALL LETTER T WITH COMMA BELOW
+0xFF	0x00FF	#	LATIN SMALL LETTER Y WITH DIAERESIS
diff -pruN 0.12~pre2.dfsg0-1/Unicode/8859_1.cp 0.12~pre4-1/Unicode/8859_1.cp
--- 0.12~pre2.dfsg0-1/Unicode/8859_1.cp	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/Unicode/8859_1.cp	2009-05-31 09:48:47.000000000 +0100
@@ -1,193 +1,318 @@
 ISO 8859-1
 "ISO-8859-1", "iso8859-1", "8859-1", "iso-ir-100", "latin1", "l1", "il1", "819", "cp819", "ISO_8859-1", "IBM819", "csISOLatin1", "ISO_8859-1:1987", "ISO8859_1"
-0x20	0x0020	#SPACE
-0x21	0x0021	#EXCLAMATION MARK
-0x22	0x0022	#QUOTATION MARK
-0x23	0x0023	#NUMBER SIGN
-0x24	0x0024	#DOLLAR SIGN
-0x25	0x0025	#PERCENT SIGN
-0x26	0x0026	#AMPERSAND
-0x27	0x0027	#APOSTROPHE
-0x28	0x0028	#LEFT PARENTHESIS
-0x29	0x0029	#RIGHT PARENTHESIS
-0x2A	0x002A	#ASTERISK
-0x2B	0x002B	#PLUS SIGN
-0x2C	0x002C	#COMMA
-0x2D	0x002D	#HYPHEN-MINUS
-0x2E	0x002E	#FULL STOP
-0x2F	0x002F	#SOLIDUS
-0x30	0x0030	#DIGIT ZERO
-0x31	0x0031	#DIGIT ONE
-0x32	0x0032	#DIGIT TWO
-0x33	0x0033	#DIGIT THREE
-0x34	0x0034	#DIGIT FOUR
-0x35	0x0035	#DIGIT FIVE
-0x36	0x0036	#DIGIT SIX
-0x37	0x0037	#DIGIT SEVEN
-0x38	0x0038	#DIGIT EIGHT
-0x39	0x0039	#DIGIT NINE
-0x3A	0x003A	#COLON
-0x3B	0x003B	#SEMICOLON
-0x3C	0x003C	#LESS-THAN SIGN
-0x3D	0x003D	#EQUALS SIGN
-0x3E	0x003E	#GREATER-THAN SIGN
-0x3F	0x003F	#QUESTION MARK
-0x40	0x0040	#COMMERCIAL AT
-0x41	0x0041	#LATIN CAPITAL LETTER A
-0x42	0x0042	#LATIN CAPITAL LETTER B
-0x43	0x0043	#LATIN CAPITAL LETTER C
-0x44	0x0044	#LATIN CAPITAL LETTER D
-0x45	0x0045	#LATIN CAPITAL LETTER E
-0x46	0x0046	#LATIN CAPITAL LETTER F
-0x47	0x0047	#LATIN CAPITAL LETTER G
-0x48	0x0048	#LATIN CAPITAL LETTER H
-0x49	0x0049	#LATIN CAPITAL LETTER I
-0x4A	0x004A	#LATIN CAPITAL LETTER J
-0x4B	0x004B	#LATIN CAPITAL LETTER K
-0x4C	0x004C	#LATIN CAPITAL LETTER L
-0x4D	0x004D	#LATIN CAPITAL LETTER M
-0x4E	0x004E	#LATIN CAPITAL LETTER N
-0x4F	0x004F	#LATIN CAPITAL LETTER O
-0x50	0x0050	#LATIN CAPITAL LETTER P
-0x51	0x0051	#LATIN CAPITAL LETTER Q
-0x52	0x0052	#LATIN CAPITAL LETTER R
-0x53	0x0053	#LATIN CAPITAL LETTER S
-0x54	0x0054	#LATIN CAPITAL LETTER T
-0x55	0x0055	#LATIN CAPITAL LETTER U
-0x56	0x0056	#LATIN CAPITAL LETTER V
-0x57	0x0057	#LATIN CAPITAL LETTER W
-0x58	0x0058	#LATIN CAPITAL LETTER X
-0x59	0x0059	#LATIN CAPITAL LETTER Y
-0x5A	0x005A	#LATIN CAPITAL LETTER Z
-0x5B	0x005B	#LEFT SQUARE BRACKET
-0x5C	0x005C	#REVERSE SOLIDUS
-0x5D	0x005D	#RIGHT SQUARE BRACKET
-0x5E	0x005E	#CIRCUMFLEX ACCENT
-0x5F	0x005F	#LOW LINE
-0x60	0x0060	#GRAVE ACCENT
-0x61	0x0061	#LATIN SMALL LETTER A
-0x62	0x0062	#LATIN SMALL LETTER B
-0x63	0x0063	#LATIN SMALL LETTER C
-0x64	0x0064	#LATIN SMALL LETTER D
-0x65	0x0065	#LATIN SMALL LETTER E
-0x66	0x0066	#LATIN SMALL LETTER F
-0x67	0x0067	#LATIN SMALL LETTER G
-0x68	0x0068	#LATIN SMALL LETTER H
-0x69	0x0069	#LATIN SMALL LETTER I
-0x6A	0x006A	#LATIN SMALL LETTER J
-0x6B	0x006B	#LATIN SMALL LETTER K
-0x6C	0x006C	#LATIN SMALL LETTER L
-0x6D	0x006D	#LATIN SMALL LETTER M
-0x6E	0x006E	#LATIN SMALL LETTER N
-0x6F	0x006F	#LATIN SMALL LETTER O
-0x70	0x0070	#LATIN SMALL LETTER P
-0x71	0x0071	#LATIN SMALL LETTER Q
-0x72	0x0072	#LATIN SMALL LETTER R
-0x73	0x0073	#LATIN SMALL LETTER S
-0x74	0x0074	#LATIN SMALL LETTER T
-0x75	0x0075	#LATIN SMALL LETTER U
-0x76	0x0076	#LATIN SMALL LETTER V
-0x77	0x0077	#LATIN SMALL LETTER W
-0x78	0x0078	#LATIN SMALL LETTER X
-0x79	0x0079	#LATIN SMALL LETTER Y
-0x7A	0x007A	#LATIN SMALL LETTER Z
-0x7B	0x007B	#LEFT CURLY BRACKET
-0x7C	0x007C	#VERTICAL LINE
-0x7D	0x007D	#RIGHT CURLY BRACKET
-0x7E	0x007E	#TILDE
-0xA0	0x00A0	#NO-BREAK SPACE
-0xA1	0x00A1	#INVERTED EXCLAMATION MARK
-0xA2	0x00A2	#CENT SIGN
-0xA3	0x00A3	#POUND SIGN
-0xA4	0x00A4	#CURRENCY SIGN
-0xA5	0x00A5	#YEN SIGN
-0xA6	0x00A6	#BROKEN BAR
-0xA7	0x00A7	#SECTION SIGN
-0xA8	0x00A8	#DIAERESIS
-0xA9	0x00A9	#COPYRIGHT SIGN
-0xAA	0x00AA	#FEMININE ORDINAL INDICATOR
-0xAB	0x00AB	#LEFT-POINTING DOUBLE ANGLE QUOTATION MARK
-0xAC	0x00AC	#NOT SIGN
-0xAD	0x00AD	#SOFT HYPHEN
-0xAE	0x00AE	#REGISTERED SIGN
-0xAF	0x00AF	#MACRON
-0xB0	0x00B0	#DEGREE SIGN
-0xB1	0x00B1	#PLUS-MINUS SIGN
-0xB2	0x00B2	#SUPERSCRIPT TWO
-0xB3	0x00B3	#SUPERSCRIPT THREE
-0xB4	0x00B4	#ACUTE ACCENT
-0xB5	0x00B5	#MICRO SIGN
-0xB6	0x00B6	#PILCROW SIGN
-0xB7	0x00B7	#MIDDLE DOT
-0xB8	0x00B8	#CEDILLA
-0xB9	0x00B9	#SUPERSCRIPT ONE
-0xBA	0x00BA	#MASCULINE ORDINAL INDICATOR
-0xBB	0x00BB	#RIGHT-POINTING DOUBLE ANGLE QUOTATION MARK
-0xBC	0x00BC	#VULGAR FRACTION ONE QUARTER
-0xBD	0x00BD	#VULGAR FRACTION ONE HALF
-0xBE	0x00BE	#VULGAR FRACTION THREE QUARTERS
-0xBF	0x00BF	#INVERTED QUESTION MARK
-0xC0	0x00C0	#LATIN CAPITAL LETTER A WITH GRAVE
-0xC1	0x00C1	#LATIN CAPITAL LETTER A WITH ACUTE
-0xC2	0x00C2	#LATIN CAPITAL LETTER A WITH CIRCUMFLEX
-0xC3	0x00C3	#LATIN CAPITAL LETTER A WITH TILDE
-0xC4	0x00C4	#LATIN CAPITAL LETTER A WITH DIAERESIS
-0xC5	0x00C5	#LATIN CAPITAL LETTER A WITH RING ABOVE
-0xC6	0x00C6	#LATIN CAPITAL LETTER AE
-0xC7	0x00C7	#LATIN CAPITAL LETTER C WITH CEDILLA
-0xC8	0x00C8	#LATIN CAPITAL LETTER E WITH GRAVE
-0xC9	0x00C9	#LATIN CAPITAL LETTER E WITH ACUTE
-0xCA	0x00CA	#LATIN CAPITAL LETTER E WITH CIRCUMFLEX
-0xCB	0x00CB	#LATIN CAPITAL LETTER E WITH DIAERESIS
-0xCC	0x00CC	#LATIN CAPITAL LETTER I WITH GRAVE
-0xCD	0x00CD	#LATIN CAPITAL LETTER I WITH ACUTE
-0xCE	0x00CE	#LATIN CAPITAL LETTER I WITH CIRCUMFLEX
-0xCF	0x00CF	#LATIN CAPITAL LETTER I WITH DIAERESIS
-0xD0	0x00D0	#LATIN CAPITAL LETTER ETH
-0xD1	0x00D1	#LATIN CAPITAL LETTER N WITH TILDE
-0xD2	0x00D2	#LATIN CAPITAL LETTER O WITH GRAVE
-0xD3	0x00D3	#LATIN CAPITAL LETTER O WITH ACUTE
-0xD4	0x00D4	#LATIN CAPITAL LETTER O WITH CIRCUMFLEX
-0xD5	0x00D5	#LATIN CAPITAL LETTER O WITH TILDE
-0xD6	0x00D6	#LATIN CAPITAL LETTER O WITH DIAERESIS
-0xD7	0x00D7	#MULTIPLICATION SIGN
-0xD8	0x00D8	#LATIN CAPITAL LETTER O WITH STROKE
-0xD9	0x00D9	#LATIN CAPITAL LETTER U WITH GRAVE
-0xDA	0x00DA	#LATIN CAPITAL LETTER U WITH ACUTE
-0xDB	0x00DB	#LATIN CAPITAL LETTER U WITH CIRCUMFLEX
-0xDC	0x00DC	#LATIN CAPITAL LETTER U WITH DIAERESIS
-0xDD	0x00DD	#LATIN CAPITAL LETTER Y WITH ACUTE
-0xDE	0x00DE	#LATIN CAPITAL LETTER THORN
-0xDF	0x00DF	#LATIN SMALL LETTER SHARP S
-0xE0	0x00E0	#LATIN SMALL LETTER A WITH GRAVE
-0xE1	0x00E1	#LATIN SMALL LETTER A WITH ACUTE
-0xE2	0x00E2	#LATIN SMALL LETTER A WITH CIRCUMFLEX
-0xE3	0x00E3	#LATIN SMALL LETTER A WITH TILDE
-0xE4	0x00E4	#LATIN SMALL LETTER A WITH DIAERESIS
-0xE5	0x00E5	#LATIN SMALL LETTER A WITH RING ABOVE
-0xE6	0x00E6	#LATIN SMALL LETTER AE
-0xE7	0x00E7	#LATIN SMALL LETTER C WITH CEDILLA
-0xE8	0x00E8	#LATIN SMALL LETTER E WITH GRAVE
-0xE9	0x00E9	#LATIN SMALL LETTER E WITH ACUTE
-0xEA	0x00EA	#LATIN SMALL LETTER E WITH CIRCUMFLEX
-0xEB	0x00EB	#LATIN SMALL LETTER E WITH DIAERESIS
-0xEC	0x00EC	#LATIN SMALL LETTER I WITH GRAVE
-0xED	0x00ED	#LATIN SMALL LETTER I WITH ACUTE
-0xEE	0x00EE	#LATIN SMALL LETTER I WITH CIRCUMFLEX
-0xEF	0x00EF	#LATIN SMALL LETTER I WITH DIAERESIS
-0xF0	0x00F0	#LATIN SMALL LETTER ETH
-0xF1	0x00F1	#LATIN SMALL LETTER N WITH TILDE
-0xF2	0x00F2	#LATIN SMALL LETTER O WITH GRAVE
-0xF3	0x00F3	#LATIN SMALL LETTER O WITH ACUTE
-0xF4	0x00F4	#LATIN SMALL LETTER O WITH CIRCUMFLEX
-0xF5	0x00F5	#LATIN SMALL LETTER O WITH TILDE
-0xF6	0x00F6	#LATIN SMALL LETTER O WITH DIAERESIS
-0xF7	0x00F7	#DIVISION SIGN
-0xF8	0x00F8	#LATIN SMALL LETTER O WITH STROKE
-0xF9	0x00F9	#LATIN SMALL LETTER U WITH GRAVE
-0xFA	0x00FA	#LATIN SMALL LETTER U WITH ACUTE
-0xFB	0x00FB	#LATIN SMALL LETTER U WITH CIRCUMFLEX
-0xFC	0x00FC	#LATIN SMALL LETTER U WITH DIAERESIS
-0xFD	0x00FD	#LATIN SMALL LETTER Y WITH ACUTE
-0xFE	0x00FE	#LATIN SMALL LETTER THORN
-0xFF	0x00FF	#LATIN SMALL LETTER Y WITH DIAERESIS
+
+# ----------------------------------------------------------------------
+# The following data was downloaded from
+# http://www.unicode.org/Public/MAPPINGS/ISO8859/DatedVersions/8859-1-1998.TXT
+# on 2008-10-05, so it is a Unicode Data File covered by the Unicode
+# copyright and permission notice in the COPYING file of ELinks,
+# regardless of any terms shown below.
+#
+# This file differs from the original in the following ways:
+# - Added this comment, blank lines around it, and charset names above it.
+# - Commented out mappings of bytes 0x80 to 0x9F, until bug 932 is fixed.
+# ----------------------------------------------------------------------
+
+#
+#	Name:             ISO/IEC 8859-1:1998 to Unicode
+#	Unicode version:  3.0
+#	Table version:    1.0
+#	Table format:     Format A
+#	Date:             1999 July 27
+#	Authors:          Ken Whistler <kenw@sybase.com>
+#
+#	Copyright (c) 1991-1999 Unicode, Inc.  All Rights reserved.
+#
+#	This file is provided as-is by Unicode, Inc. (The Unicode Consortium).
+#	No claims are made as to fitness for any particular purpose.  No
+#	warranties of any kind are expressed or implied.  The recipient
+#	agrees to determine applicability of information provided.  If this
+#	file has been provided on optical media by Unicode, Inc., the sole
+#	remedy for any claim will be exchange of defective media within 90
+#	days of receipt.
+#
+#	Unicode, Inc. hereby grants the right to freely use the information
+#	supplied in this file in the creation of products supporting the
+#	Unicode Standard, and to make copies of this file in any form for
+#	internal or external distribution as long as this notice remains
+#	attached.
+#
+#	General notes:
+#
+#	This table contains the data the Unicode Consortium has on how
+#       ISO/IEC 8859-1:1998 characters map into Unicode.
+#
+#	Format:  Three tab-separated columns
+#		 Column #1 is the ISO/IEC 8859-1 code (in hex as 0xXX)
+#		 Column #2 is the Unicode (in hex as 0xXXXX)
+#		 Column #3 the Unicode name (follows a comment sign, '#')
+#
+#	The entries are in ISO/IEC 8859-1 order.
+#
+#	Version history
+#	1.0 version updates 0.1 version by adding mappings for all
+#	control characters.
+#
+#	Updated versions of this file may be found in:
+#		<ftp://ftp.unicode.org/Public/MAPPINGS/>
+#
+#	Any comments or problems, contact <errata@unicode.org>
+#	Please note that <errata@unicode.org> is an archival address;
+#	notices will be checked, but do not expect an immediate response.
+#
+0x00	0x0000	#	NULL
+0x01	0x0001	#	START OF HEADING
+0x02	0x0002	#	START OF TEXT
+0x03	0x0003	#	END OF TEXT
+0x04	0x0004	#	END OF TRANSMISSION
+0x05	0x0005	#	ENQUIRY
+0x06	0x0006	#	ACKNOWLEDGE
+0x07	0x0007	#	BELL
+0x08	0x0008	#	BACKSPACE
+0x09	0x0009	#	HORIZONTAL TABULATION
+0x0A	0x000A	#	LINE FEED
+0x0B	0x000B	#	VERTICAL TABULATION
+0x0C	0x000C	#	FORM FEED
+0x0D	0x000D	#	CARRIAGE RETURN
+0x0E	0x000E	#	SHIFT OUT
+0x0F	0x000F	#	SHIFT IN
+0x10	0x0010	#	DATA LINK ESCAPE
+0x11	0x0011	#	DEVICE CONTROL ONE
+0x12	0x0012	#	DEVICE CONTROL TWO
+0x13	0x0013	#	DEVICE CONTROL THREE
+0x14	0x0014	#	DEVICE CONTROL FOUR
+0x15	0x0015	#	NEGATIVE ACKNOWLEDGE
+0x16	0x0016	#	SYNCHRONOUS IDLE
+0x17	0x0017	#	END OF TRANSMISSION BLOCK
+0x18	0x0018	#	CANCEL
+0x19	0x0019	#	END OF MEDIUM
+0x1A	0x001A	#	SUBSTITUTE
+0x1B	0x001B	#	ESCAPE
+0x1C	0x001C	#	FILE SEPARATOR
+0x1D	0x001D	#	GROUP SEPARATOR
+0x1E	0x001E	#	RECORD SEPARATOR
+0x1F	0x001F	#	UNIT SEPARATOR
+0x20	0x0020	#	SPACE
+0x21	0x0021	#	EXCLAMATION MARK
+0x22	0x0022	#	QUOTATION MARK
+0x23	0x0023	#	NUMBER SIGN
+0x24	0x0024	#	DOLLAR SIGN
+0x25	0x0025	#	PERCENT SIGN
+0x26	0x0026	#	AMPERSAND
+0x27	0x0027	#	APOSTROPHE
+0x28	0x0028	#	LEFT PARENTHESIS
+0x29	0x0029	#	RIGHT PARENTHESIS
+0x2A	0x002A	#	ASTERISK
+0x2B	0x002B	#	PLUS SIGN
+0x2C	0x002C	#	COMMA
+0x2D	0x002D	#	HYPHEN-MINUS
+0x2E	0x002E	#	FULL STOP
+0x2F	0x002F	#	SOLIDUS
+0x30	0x0030	#	DIGIT ZERO
+0x31	0x0031	#	DIGIT ONE
+0x32	0x0032	#	DIGIT TWO
+0x33	0x0033	#	DIGIT THREE
+0x34	0x0034	#	DIGIT FOUR
+0x35	0x0035	#	DIGIT FIVE
+0x36	0x0036	#	DIGIT SIX
+0x37	0x0037	#	DIGIT SEVEN
+0x38	0x0038	#	DIGIT EIGHT
+0x39	0x0039	#	DIGIT NINE
+0x3A	0x003A	#	COLON
+0x3B	0x003B	#	SEMICOLON
+0x3C	0x003C	#	LESS-THAN SIGN
+0x3D	0x003D	#	EQUALS SIGN
+0x3E	0x003E	#	GREATER-THAN SIGN
+0x3F	0x003F	#	QUESTION MARK
+0x40	0x0040	#	COMMERCIAL AT
+0x41	0x0041	#	LATIN CAPITAL LETTER A
+0x42	0x0042	#	LATIN CAPITAL LETTER B
+0x43	0x0043	#	LATIN CAPITAL LETTER C
+0x44	0x0044	#	LATIN CAPITAL LETTER D
+0x45	0x0045	#	LATIN CAPITAL LETTER E
+0x46	0x0046	#	LATIN CAPITAL LETTER F
+0x47	0x0047	#	LATIN CAPITAL LETTER G
+0x48	0x0048	#	LATIN CAPITAL LETTER H
+0x49	0x0049	#	LATIN CAPITAL LETTER I
+0x4A	0x004A	#	LATIN CAPITAL LETTER J
+0x4B	0x004B	#	LATIN CAPITAL LETTER K
+0x4C	0x004C	#	LATIN CAPITAL LETTER L
+0x4D	0x004D	#	LATIN CAPITAL LETTER M
+0x4E	0x004E	#	LATIN CAPITAL LETTER N
+0x4F	0x004F	#	LATIN CAPITAL LETTER O
+0x50	0x0050	#	LATIN CAPITAL LETTER P
+0x51	0x0051	#	LATIN CAPITAL LETTER Q
+0x52	0x0052	#	LATIN CAPITAL LETTER R
+0x53	0x0053	#	LATIN CAPITAL LETTER S
+0x54	0x0054	#	LATIN CAPITAL LETTER T
+0x55	0x0055	#	LATIN CAPITAL LETTER U
+0x56	0x0056	#	LATIN CAPITAL LETTER V
+0x57	0x0057	#	LATIN CAPITAL LETTER W
+0x58	0x0058	#	LATIN CAPITAL LETTER X
+0x59	0x0059	#	LATIN CAPITAL LETTER Y
+0x5A	0x005A	#	LATIN CAPITAL LETTER Z
+0x5B	0x005B	#	LEFT SQUARE BRACKET
+0x5C	0x005C	#	REVERSE SOLIDUS
+0x5D	0x005D	#	RIGHT SQUARE BRACKET
+0x5E	0x005E	#	CIRCUMFLEX ACCENT
+0x5F	0x005F	#	LOW LINE
+0x60	0x0060	#	GRAVE ACCENT
+0x61	0x0061	#	LATIN SMALL LETTER A
+0x62	0x0062	#	LATIN SMALL LETTER B
+0x63	0x0063	#	LATIN SMALL LETTER C
+0x64	0x0064	#	LATIN SMALL LETTER D
+0x65	0x0065	#	LATIN SMALL LETTER E
+0x66	0x0066	#	LATIN SMALL LETTER F
+0x67	0x0067	#	LATIN SMALL LETTER G
+0x68	0x0068	#	LATIN SMALL LETTER H
+0x69	0x0069	#	LATIN SMALL LETTER I
+0x6A	0x006A	#	LATIN SMALL LETTER J
+0x6B	0x006B	#	LATIN SMALL LETTER K
+0x6C	0x006C	#	LATIN SMALL LETTER L
+0x6D	0x006D	#	LATIN SMALL LETTER M
+0x6E	0x006E	#	LATIN SMALL LETTER N
+0x6F	0x006F	#	LATIN SMALL LETTER O
+0x70	0x0070	#	LATIN SMALL LETTER P
+0x71	0x0071	#	LATIN SMALL LETTER Q
+0x72	0x0072	#	LATIN SMALL LETTER R
+0x73	0x0073	#	LATIN SMALL LETTER S
+0x74	0x0074	#	LATIN SMALL LETTER T
+0x75	0x0075	#	LATIN SMALL LETTER U
+0x76	0x0076	#	LATIN SMALL LETTER V
+0x77	0x0077	#	LATIN SMALL LETTER W
+0x78	0x0078	#	LATIN SMALL LETTER X
+0x79	0x0079	#	LATIN SMALL LETTER Y
+0x7A	0x007A	#	LATIN SMALL LETTER Z
+0x7B	0x007B	#	LEFT CURLY BRACKET
+0x7C	0x007C	#	VERTICAL LINE
+0x7D	0x007D	#	RIGHT CURLY BRACKET
+0x7E	0x007E	#	TILDE
+0x7F	0x007F	#	DELETE
+#0x80	0x0080	#	<control>
+#0x81	0x0081	#	<control>
+#0x82	0x0082	#	<control>
+#0x83	0x0083	#	<control>
+#0x84	0x0084	#	<control>
+#0x85	0x0085	#	<control>
+#0x86	0x0086	#	<control>
+#0x87	0x0087	#	<control>
+#0x88	0x0088	#	<control>
+#0x89	0x0089	#	<control>
+#0x8A	0x008A	#	<control>
+#0x8B	0x008B	#	<control>
+#0x8C	0x008C	#	<control>
+#0x8D	0x008D	#	<control>
+#0x8E	0x008E	#	<control>
+#0x8F	0x008F	#	<control>
+#0x90	0x0090	#	<control>
+#0x91	0x0091	#	<control>
+#0x92	0x0092	#	<control>
+#0x93	0x0093	#	<control>
+#0x94	0x0094	#	<control>
+#0x95	0x0095	#	<control>
+#0x96	0x0096	#	<control>
+#0x97	0x0097	#	<control>
+#0x98	0x0098	#	<control>
+#0x99	0x0099	#	<control>
+#0x9A	0x009A	#	<control>
+#0x9B	0x009B	#	<control>
+#0x9C	0x009C	#	<control>
+#0x9D	0x009D	#	<control>
+#0x9E	0x009E	#	<control>
+#0x9F	0x009F	#	<control>
+0xA0	0x00A0	#	NO-BREAK SPACE
+0xA1	0x00A1	#	INVERTED EXCLAMATION MARK
+0xA2	0x00A2	#	CENT SIGN
+0xA3	0x00A3	#	POUND SIGN
+0xA4	0x00A4	#	CURRENCY SIGN
+0xA5	0x00A5	#	YEN SIGN
+0xA6	0x00A6	#	BROKEN BAR
+0xA7	0x00A7	#	SECTION SIGN
+0xA8	0x00A8	#	DIAERESIS
+0xA9	0x00A9	#	COPYRIGHT SIGN
+0xAA	0x00AA	#	FEMININE ORDINAL INDICATOR
+0xAB	0x00AB	#	LEFT-POINTING DOUBLE ANGLE QUOTATION MARK
+0xAC	0x00AC	#	NOT SIGN
+0xAD	0x00AD	#	SOFT HYPHEN
+0xAE	0x00AE	#	REGISTERED SIGN
+0xAF	0x00AF	#	MACRON
+0xB0	0x00B0	#	DEGREE SIGN
+0xB1	0x00B1	#	PLUS-MINUS SIGN
+0xB2	0x00B2	#	SUPERSCRIPT TWO
+0xB3	0x00B3	#	SUPERSCRIPT THREE
+0xB4	0x00B4	#	ACUTE ACCENT
+0xB5	0x00B5	#	MICRO SIGN
+0xB6	0x00B6	#	PILCROW SIGN
+0xB7	0x00B7	#	MIDDLE DOT
+0xB8	0x00B8	#	CEDILLA
+0xB9	0x00B9	#	SUPERSCRIPT ONE
+0xBA	0x00BA	#	MASCULINE ORDINAL INDICATOR
+0xBB	0x00BB	#	RIGHT-POINTING DOUBLE ANGLE QUOTATION MARK
+0xBC	0x00BC	#	VULGAR FRACTION ONE QUARTER
+0xBD	0x00BD	#	VULGAR FRACTION ONE HALF
+0xBE	0x00BE	#	VULGAR FRACTION THREE QUARTERS
+0xBF	0x00BF	#	INVERTED QUESTION MARK
+0xC0	0x00C0	#	LATIN CAPITAL LETTER A WITH GRAVE
+0xC1	0x00C1	#	LATIN CAPITAL LETTER A WITH ACUTE
+0xC2	0x00C2	#	LATIN CAPITAL LETTER A WITH CIRCUMFLEX
+0xC3	0x00C3	#	LATIN CAPITAL LETTER A WITH TILDE
+0xC4	0x00C4	#	LATIN CAPITAL LETTER A WITH DIAERESIS
+0xC5	0x00C5	#	LATIN CAPITAL LETTER A WITH RING ABOVE
+0xC6	0x00C6	#	LATIN CAPITAL LETTER AE
+0xC7	0x00C7	#	LATIN CAPITAL LETTER C WITH CEDILLA
+0xC8	0x00C8	#	LATIN CAPITAL LETTER E WITH GRAVE
+0xC9	0x00C9	#	LATIN CAPITAL LETTER E WITH ACUTE
+0xCA	0x00CA	#	LATIN CAPITAL LETTER E WITH CIRCUMFLEX
+0xCB	0x00CB	#	LATIN CAPITAL LETTER E WITH DIAERESIS
+0xCC	0x00CC	#	LATIN CAPITAL LETTER I WITH GRAVE
+0xCD	0x00CD	#	LATIN CAPITAL LETTER I WITH ACUTE
+0xCE	0x00CE	#	LATIN CAPITAL LETTER I WITH CIRCUMFLEX
+0xCF	0x00CF	#	LATIN CAPITAL LETTER I WITH DIAERESIS
+0xD0	0x00D0	#	LATIN CAPITAL LETTER ETH (Icelandic)
+0xD1	0x00D1	#	LATIN CAPITAL LETTER N WITH TILDE
+0xD2	0x00D2	#	LATIN CAPITAL LETTER O WITH GRAVE
+0xD3	0x00D3	#	LATIN CAPITAL LETTER O WITH ACUTE
+0xD4	0x00D4	#	LATIN CAPITAL LETTER O WITH CIRCUMFLEX
+0xD5	0x00D5	#	LATIN CAPITAL LETTER O WITH TILDE
+0xD6	0x00D6	#	LATIN CAPITAL LETTER O WITH DIAERESIS
+0xD7	0x00D7	#	MULTIPLICATION SIGN
+0xD8	0x00D8	#	LATIN CAPITAL LETTER O WITH STROKE
+0xD9	0x00D9	#	LATIN CAPITAL LETTER U WITH GRAVE
+0xDA	0x00DA	#	LATIN CAPITAL LETTER U WITH ACUTE
+0xDB	0x00DB	#	LATIN CAPITAL LETTER U WITH CIRCUMFLEX
+0xDC	0x00DC	#	LATIN CAPITAL LETTER U WITH DIAERESIS
+0xDD	0x00DD	#	LATIN CAPITAL LETTER Y WITH ACUTE
+0xDE	0x00DE	#	LATIN CAPITAL LETTER THORN (Icelandic)
+0xDF	0x00DF	#	LATIN SMALL LETTER SHARP S (German)
+0xE0	0x00E0	#	LATIN SMALL LETTER A WITH GRAVE
+0xE1	0x00E1	#	LATIN SMALL LETTER A WITH ACUTE
+0xE2	0x00E2	#	LATIN SMALL LETTER A WITH CIRCUMFLEX
+0xE3	0x00E3	#	LATIN SMALL LETTER A WITH TILDE
+0xE4	0x00E4	#	LATIN SMALL LETTER A WITH DIAERESIS
+0xE5	0x00E5	#	LATIN SMALL LETTER A WITH RING ABOVE
+0xE6	0x00E6	#	LATIN SMALL LETTER AE
+0xE7	0x00E7	#	LATIN SMALL LETTER C WITH CEDILLA
+0xE8	0x00E8	#	LATIN SMALL LETTER E WITH GRAVE
+0xE9	0x00E9	#	LATIN SMALL LETTER E WITH ACUTE
+0xEA	0x00EA	#	LATIN SMALL LETTER E WITH CIRCUMFLEX
+0xEB	0x00EB	#	LATIN SMALL LETTER E WITH DIAERESIS
+0xEC	0x00EC	#	LATIN SMALL LETTER I WITH GRAVE
+0xED	0x00ED	#	LATIN SMALL LETTER I WITH ACUTE
+0xEE	0x00EE	#	LATIN SMALL LETTER I WITH CIRCUMFLEX
+0xEF	0x00EF	#	LATIN SMALL LETTER I WITH DIAERESIS
+0xF0	0x00F0	#	LATIN SMALL LETTER ETH (Icelandic)
+0xF1	0x00F1	#	LATIN SMALL LETTER N WITH TILDE
+0xF2	0x00F2	#	LATIN SMALL LETTER O WITH GRAVE
+0xF3	0x00F3	#	LATIN SMALL LETTER O WITH ACUTE
+0xF4	0x00F4	#	LATIN SMALL LETTER O WITH CIRCUMFLEX
+0xF5	0x00F5	#	LATIN SMALL LETTER O WITH TILDE
+0xF6	0x00F6	#	LATIN SMALL LETTER O WITH DIAERESIS
+0xF7	0x00F7	#	DIVISION SIGN
+0xF8	0x00F8	#	LATIN SMALL LETTER O WITH STROKE
+0xF9	0x00F9	#	LATIN SMALL LETTER U WITH GRAVE
+0xFA	0x00FA	#	LATIN SMALL LETTER U WITH ACUTE
+0xFB	0x00FB	#	LATIN SMALL LETTER U WITH CIRCUMFLEX
+0xFC	0x00FC	#	LATIN SMALL LETTER U WITH DIAERESIS
+0xFD	0x00FD	#	LATIN SMALL LETTER Y WITH ACUTE
+0xFE	0x00FE	#	LATIN SMALL LETTER THORN (Icelandic)
+0xFF	0x00FF	#	LATIN SMALL LETTER Y WITH DIAERESIS
diff -pruN 0.12~pre2.dfsg0-1/Unicode/8859_2.cp 0.12~pre4-1/Unicode/8859_2.cp
--- 0.12~pre2.dfsg0-1/Unicode/8859_2.cp	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/Unicode/8859_2.cp	2009-05-31 09:48:47.000000000 +0100
@@ -1,193 +1,318 @@
 ISO 8859-2
 "ISO-8859-2", "iso8859-2", "8859-2", "iso-ir-101", "latin2", "l2", "il2", "ISO_8859-2:1987", "ISO_8859-2", "csISOLatin2", "ISO8859_2"
-0x20	0x0020	#SPACE
-0x21	0x0021	#EXCLAMATION MARK
-0x22	0x0022	#QUOTATION MARK
-0x23	0x0023	#NUMBER SIGN
-0x24	0x0024	#DOLLAR SIGN
-0x25	0x0025	#PERCENT SIGN
-0x26	0x0026	#AMPERSAND
-0x27	0x0027	#APOSTROPHE
-0x28	0x0028	#LEFT PARENTHESIS
-0x29	0x0029	#RIGHT PARENTHESIS
-0x2A	0x002A	#ASTERISK
-0x2B	0x002B	#PLUS SIGN
-0x2C	0x002C	#COMMA
-0x2D	0x002D	#HYPHEN-MINUS
-0x2E	0x002E	#FULL STOP
-0x2F	0x002F	#SOLIDUS
-0x30	0x0030	#DIGIT ZERO
-0x31	0x0031	#DIGIT ONE
-0x32	0x0032	#DIGIT TWO
-0x33	0x0033	#DIGIT THREE
-0x34	0x0034	#DIGIT FOUR
-0x35	0x0035	#DIGIT FIVE
-0x36	0x0036	#DIGIT SIX
-0x37	0x0037	#DIGIT SEVEN
-0x38	0x0038	#DIGIT EIGHT
-0x39	0x0039	#DIGIT NINE
-0x3A	0x003A	#COLON
-0x3B	0x003B	#SEMICOLON
-0x3C	0x003C	#LESS-THAN SIGN
-0x3D	0x003D	#EQUALS SIGN
-0x3E	0x003E	#GREATER-THAN SIGN
-0x3F	0x003F	#QUESTION MARK
-0x40	0x0040	#COMMERCIAL AT
-0x41	0x0041	#LATIN CAPITAL LETTER A
-0x42	0x0042	#LATIN CAPITAL LETTER B
-0x43	0x0043	#LATIN CAPITAL LETTER C
-0x44	0x0044	#LATIN CAPITAL LETTER D
-0x45	0x0045	#LATIN CAPITAL LETTER E
-0x46	0x0046	#LATIN CAPITAL LETTER F
-0x47	0x0047	#LATIN CAPITAL LETTER G
-0x48	0x0048	#LATIN CAPITAL LETTER H
-0x49	0x0049	#LATIN CAPITAL LETTER I
-0x4A	0x004A	#LATIN CAPITAL LETTER J
-0x4B	0x004B	#LATIN CAPITAL LETTER K
-0x4C	0x004C	#LATIN CAPITAL LETTER L
-0x4D	0x004D	#LATIN CAPITAL LETTER M
-0x4E	0x004E	#LATIN CAPITAL LETTER N
-0x4F	0x004F	#LATIN CAPITAL LETTER O
-0x50	0x0050	#LATIN CAPITAL LETTER P
-0x51	0x0051	#LATIN CAPITAL LETTER Q
-0x52	0x0052	#LATIN CAPITAL LETTER R
-0x53	0x0053	#LATIN CAPITAL LETTER S
-0x54	0x0054	#LATIN CAPITAL LETTER T
-0x55	0x0055	#LATIN CAPITAL LETTER U
-0x56	0x0056	#LATIN CAPITAL LETTER V
-0x57	0x0057	#LATIN CAPITAL LETTER W
-0x58	0x0058	#LATIN CAPITAL LETTER X
-0x59	0x0059	#LATIN CAPITAL LETTER Y
-0x5A	0x005A	#LATIN CAPITAL LETTER Z
-0x5B	0x005B	#LEFT SQUARE BRACKET
-0x5C	0x005C	#REVERSE SOLIDUS
-0x5D	0x005D	#RIGHT SQUARE BRACKET
-0x5E	0x005E	#CIRCUMFLEX ACCENT
-0x5F	0x005F	#LOW LINE
-0x60	0x0060	#GRAVE ACCENT
-0x61	0x0061	#LATIN SMALL LETTER A
-0x62	0x0062	#LATIN SMALL LETTER B
-0x63	0x0063	#LATIN SMALL LETTER C
-0x64	0x0064	#LATIN SMALL LETTER D
-0x65	0x0065	#LATIN SMALL LETTER E
-0x66	0x0066	#LATIN SMALL LETTER F
-0x67	0x0067	#LATIN SMALL LETTER G
-0x68	0x0068	#LATIN SMALL LETTER H
-0x69	0x0069	#LATIN SMALL LETTER I
-0x6A	0x006A	#LATIN SMALL LETTER J
-0x6B	0x006B	#LATIN SMALL LETTER K
-0x6C	0x006C	#LATIN SMALL LETTER L
-0x6D	0x006D	#LATIN SMALL LETTER M
-0x6E	0x006E	#LATIN SMALL LETTER N
-0x6F	0x006F	#LATIN SMALL LETTER O
-0x70	0x0070	#LATIN SMALL LETTER P
-0x71	0x0071	#LATIN SMALL LETTER Q
-0x72	0x0072	#LATIN SMALL LETTER R
-0x73	0x0073	#LATIN SMALL LETTER S
-0x74	0x0074	#LATIN SMALL LETTER T
-0x75	0x0075	#LATIN SMALL LETTER U
-0x76	0x0076	#LATIN SMALL LETTER V
-0x77	0x0077	#LATIN SMALL LETTER W
-0x78	0x0078	#LATIN SMALL LETTER X
-0x79	0x0079	#LATIN SMALL LETTER Y
-0x7A	0x007A	#LATIN SMALL LETTER Z
-0x7B	0x007B	#LEFT CURLY BRACKET
-0x7C	0x007C	#VERTICAL LINE
-0x7D	0x007D	#RIGHT CURLY BRACKET
-0x7E	0x007E	#TILDE
-0xA0	0x00A0	#NO-BREAK SPACE
-0xA1	0x0104	#LATIN CAPITAL LETTER A WITH OGONEK
-0xA2	0x02D8	#BREVE
-0xA3	0x0141	#LATIN CAPITAL LETTER L WITH STROKE
-0xA4	0x00A4	#CURRENCY SIGN
-0xA5	0x013D	#LATIN CAPITAL LETTER L WITH CARON
-0xA6	0x015A	#LATIN CAPITAL LETTER S WITH ACUTE
-0xA7	0x00A7	#SECTION SIGN
-0xA8	0x00A8	#DIAERESIS
-0xA9	0x0160	#LATIN CAPITAL LETTER S WITH CARON
-0xAA	0x015E	#LATIN CAPITAL LETTER S WITH CEDILLA
-0xAB	0x0164	#LATIN CAPITAL LETTER T WITH CARON
-0xAC	0x0179	#LATIN CAPITAL LETTER Z WITH ACUTE
-0xAD	0x00AD	#SOFT HYPHEN
-0xAE	0x017D	#LATIN CAPITAL LETTER Z WITH CARON
-0xAF	0x017B	#LATIN CAPITAL LETTER Z WITH DOT ABOVE
-0xB0	0x00B0	#DEGREE SIGN
-0xB1	0x0105	#LATIN SMALL LETTER A WITH OGONEK
-0xB2	0x02DB	#OGONEK
-0xB3	0x0142	#LATIN SMALL LETTER L WITH STROKE
-0xB4	0x00B4	#ACUTE ACCENT
-0xB5	0x013E	#LATIN SMALL LETTER L WITH CARON
-0xB6	0x015B	#LATIN SMALL LETTER S WITH ACUTE
-0xB7	0x02C7	#CARON
-0xB8	0x00B8	#CEDILLA
-0xB9	0x0161	#LATIN SMALL LETTER S WITH CARON
-0xBA	0x015F	#LATIN SMALL LETTER S WITH CEDILLA
-0xBB	0x0165	#LATIN SMALL LETTER T WITH CARON
-0xBC	0x017A	#LATIN SMALL LETTER Z WITH ACUTE
-0xBD	0x02DD	#DOUBLE ACUTE ACCENT
-0xBE	0x017E	#LATIN SMALL LETTER Z WITH CARON
-0xBF	0x017C	#LATIN SMALL LETTER Z WITH DOT ABOVE
-0xC0	0x0154	#LATIN CAPITAL LETTER R WITH ACUTE
-0xC1	0x00C1	#LATIN CAPITAL LETTER A WITH ACUTE
-0xC2	0x00C2	#LATIN CAPITAL LETTER A WITH CIRCUMFLEX
-0xC3	0x0102	#LATIN CAPITAL LETTER A WITH BREVE
-0xC4	0x00C4	#LATIN CAPITAL LETTER A WITH DIAERESIS
-0xC5	0x0139	#LATIN CAPITAL LETTER L WITH ACUTE
-0xC6	0x0106	#LATIN CAPITAL LETTER C WITH ACUTE
-0xC7	0x00C7	#LATIN CAPITAL LETTER C WITH CEDILLA
-0xC8	0x010C	#LATIN CAPITAL LETTER C WITH CARON
-0xC9	0x00C9	#LATIN CAPITAL LETTER E WITH ACUTE
-0xCA	0x0118	#LATIN CAPITAL LETTER E WITH OGONEK
-0xCB	0x00CB	#LATIN CAPITAL LETTER E WITH DIAERESIS
-0xCC	0x011A	#LATIN CAPITAL LETTER E WITH CARON
-0xCD	0x00CD	#LATIN CAPITAL LETTER I WITH ACUTE
-0xCE	0x00CE	#LATIN CAPITAL LETTER I WITH CIRCUMFLEX
-0xCF	0x010E	#LATIN CAPITAL LETTER D WITH CARON
-0xD0	0x0110	#LATIN CAPITAL LETTER D WITH STROKE
-0xD1	0x0143	#LATIN CAPITAL LETTER N WITH ACUTE
-0xD2	0x0147	#LATIN CAPITAL LETTER N WITH CARON
-0xD3	0x00D3	#LATIN CAPITAL LETTER O WITH ACUTE
-0xD4	0x00D4	#LATIN CAPITAL LETTER O WITH CIRCUMFLEX
-0xD5	0x0150	#LATIN CAPITAL LETTER O WITH DOUBLE ACUTE
-0xD6	0x00D6	#LATIN CAPITAL LETTER O WITH DIAERESIS
-0xD7	0x00D7	#MULTIPLICATION SIGN
-0xD8	0x0158	#LATIN CAPITAL LETTER R WITH CARON
-0xD9	0x016E	#LATIN CAPITAL LETTER U WITH RING ABOVE
-0xDA	0x00DA	#LATIN CAPITAL LETTER U WITH ACUTE
-0xDB	0x0170	#LATIN CAPITAL LETTER U WITH DOUBLE ACUTE
-0xDC	0x00DC	#LATIN CAPITAL LETTER U WITH DIAERESIS
-0xDD	0x00DD	#LATIN CAPITAL LETTER Y WITH ACUTE
-0xDE	0x0162	#LATIN CAPITAL LETTER T WITH CEDILLA
-0xDF	0x00DF	#LATIN SMALL LETTER SHARP S
-0xE0	0x0155	#LATIN SMALL LETTER R WITH ACUTE
-0xE1	0x00E1	#LATIN SMALL LETTER A WITH ACUTE
-0xE2	0x00E2	#LATIN SMALL LETTER A WITH CIRCUMFLEX
-0xE3	0x0103	#LATIN SMALL LETTER A WITH BREVE
-0xE4	0x00E4	#LATIN SMALL LETTER A WITH DIAERESIS
-0xE5	0x013A	#LATIN SMALL LETTER L WITH ACUTE
-0xE6	0x0107	#LATIN SMALL LETTER C WITH ACUTE
-0xE7	0x00E7	#LATIN SMALL LETTER C WITH CEDILLA
-0xE8	0x010D	#LATIN SMALL LETTER C WITH CARON
-0xE9	0x00E9	#LATIN SMALL LETTER E WITH ACUTE
-0xEA	0x0119	#LATIN SMALL LETTER E WITH OGONEK
-0xEB	0x00EB	#LATIN SMALL LETTER E WITH DIAERESIS
-0xEC	0x011B	#LATIN SMALL LETTER E WITH CARON
-0xED	0x00ED	#LATIN SMALL LETTER I WITH ACUTE
-0xEE	0x00EE	#LATIN SMALL LETTER I WITH CIRCUMFLEX
-0xEF	0x010F	#LATIN SMALL LETTER D WITH CARON
-0xF0	0x0111	#LATIN SMALL LETTER D WITH STROKE
-0xF1	0x0144	#LATIN SMALL LETTER N WITH ACUTE
-0xF2	0x0148	#LATIN SMALL LETTER N WITH CARON
-0xF3	0x00F3	#LATIN SMALL LETTER O WITH ACUTE
-0xF4	0x00F4	#LATIN SMALL LETTER O WITH CIRCUMFLEX
-0xF5	0x0151	#LATIN SMALL LETTER O WITH DOUBLE ACUTE
-0xF6	0x00F6	#LATIN SMALL LETTER O WITH DIAERESIS
-0xF7	0x00F7	#DIVISION SIGN
-0xF8	0x0159	#LATIN SMALL LETTER R WITH CARON
-0xF9	0x016F	#LATIN SMALL LETTER U WITH RING ABOVE
-0xFA	0x00FA	#LATIN SMALL LETTER U WITH ACUTE
-0xFB	0x0171	#LATIN SMALL LETTER U WITH DOUBLE ACUTE
-0xFC	0x00FC	#LATIN SMALL LETTER U WITH DIAERESIS
-0xFD	0x00FD	#LATIN SMALL LETTER Y WITH ACUTE
-0xFE	0x0163	#LATIN SMALL LETTER T WITH CEDILLA
-0xFF	0x02D9	#DOT ABOVE
+
+# ----------------------------------------------------------------------
+# The following data was downloaded from
+# http://www.unicode.org/Public/MAPPINGS/ISO8859/DatedVersions/8859-2-1999.TXT
+# on 2008-10-05, so it is a Unicode Data File covered by the Unicode
+# copyright and permission notice in the COPYING file of ELinks,
+# regardless of any terms shown below.
+#
+# This file differs from the original in the following ways:
+# - Added this comment, blank lines around it, and charset names above it.
+# - Commented out mappings of bytes 0x80 to 0x9F, until bug 932 is fixed.
+# ----------------------------------------------------------------------
+
+#
+#	Name:             ISO 8859-2:1999 to Unicode
+#	Unicode version:  3.0
+#	Table version:    1.0
+#	Table format:     Format A
+#	Date:             1999 July 27
+#	Authors:          Ken Whistler <kenw@sybase.com>
+#
+#	Copyright (c) 1991-1999 Unicode, Inc.  All Rights reserved.
+#
+#	This file is provided as-is by Unicode, Inc. (The Unicode Consortium).
+#	No claims are made as to fitness for any particular purpose.  No
+#	warranties of any kind are expressed or implied.  The recipient
+#	agrees to determine applicability of information provided.  If this
+#	file has been provided on optical media by Unicode, Inc., the sole
+#	remedy for any claim will be exchange of defective media within 90
+#	days of receipt.
+#
+#	Unicode, Inc. hereby grants the right to freely use the information
+#	supplied in this file in the creation of products supporting the
+#	Unicode Standard, and to make copies of this file in any form for
+#	internal or external distribution as long as this notice remains
+#	attached.
+#
+#	General notes:
+#
+#	This table contains the data the Unicode Consortium has on how
+#       ISO/IEC 8859-2:1999 characters map into Unicode.
+#
+#	Format:  Three tab-separated columns
+#		 Column #1 is the ISO/IEC 8859-2 code (in hex as 0xXX)
+#		 Column #2 is the Unicode (in hex as 0xXXXX)
+#		 Column #3 the Unicode name (follows a comment sign, '#')
+#
+#	The entries are in ISO/IEC 8859-2 order.
+#
+#	Version history
+#	1.0 version updates 0.1 version by adding mappings for all
+#	control characters.
+#
+#	Updated versions of this file may be found in:
+#		<ftp://ftp.unicode.org/Public/MAPPINGS/>
+#
+#	Any comments or problems, contact <errata@unicode.org>
+#	Please note that <errata@unicode.org> is an archival address;
+#	notices will be checked, but do not expect an immediate response.
+#
+0x00	0x0000	#	NULL
+0x01	0x0001	#	START OF HEADING
+0x02	0x0002	#	START OF TEXT
+0x03	0x0003	#	END OF TEXT
+0x04	0x0004	#	END OF TRANSMISSION
+0x05	0x0005	#	ENQUIRY
+0x06	0x0006	#	ACKNOWLEDGE
+0x07	0x0007	#	BELL
+0x08	0x0008	#	BACKSPACE
+0x09	0x0009	#	HORIZONTAL TABULATION
+0x0A	0x000A	#	LINE FEED
+0x0B	0x000B	#	VERTICAL TABULATION
+0x0C	0x000C	#	FORM FEED
+0x0D	0x000D	#	CARRIAGE RETURN
+0x0E	0x000E	#	SHIFT OUT
+0x0F	0x000F	#	SHIFT IN
+0x10	0x0010	#	DATA LINK ESCAPE
+0x11	0x0011	#	DEVICE CONTROL ONE
+0x12	0x0012	#	DEVICE CONTROL TWO
+0x13	0x0013	#	DEVICE CONTROL THREE
+0x14	0x0014	#	DEVICE CONTROL FOUR
+0x15	0x0015	#	NEGATIVE ACKNOWLEDGE
+0x16	0x0016	#	SYNCHRONOUS IDLE
+0x17	0x0017	#	END OF TRANSMISSION BLOCK
+0x18	0x0018	#	CANCEL
+0x19	0x0019	#	END OF MEDIUM
+0x1A	0x001A	#	SUBSTITUTE
+0x1B	0x001B	#	ESCAPE
+0x1C	0x001C	#	FILE SEPARATOR
+0x1D	0x001D	#	GROUP SEPARATOR
+0x1E	0x001E	#	RECORD SEPARATOR
+0x1F	0x001F	#	UNIT SEPARATOR
+0x20	0x0020	#	SPACE
+0x21	0x0021	#	EXCLAMATION MARK
+0x22	0x0022	#	QUOTATION MARK
+0x23	0x0023	#	NUMBER SIGN
+0x24	0x0024	#	DOLLAR SIGN
+0x25	0x0025	#	PERCENT SIGN
+0x26	0x0026	#	AMPERSAND
+0x27	0x0027	#	APOSTROPHE
+0x28	0x0028	#	LEFT PARENTHESIS
+0x29	0x0029	#	RIGHT PARENTHESIS
+0x2A	0x002A	#	ASTERISK
+0x2B	0x002B	#	PLUS SIGN
+0x2C	0x002C	#	COMMA
+0x2D	0x002D	#	HYPHEN-MINUS
+0x2E	0x002E	#	FULL STOP
+0x2F	0x002F	#	SOLIDUS
+0x30	0x0030	#	DIGIT ZERO
+0x31	0x0031	#	DIGIT ONE
+0x32	0x0032	#	DIGIT TWO
+0x33	0x0033	#	DIGIT THREE
+0x34	0x0034	#	DIGIT FOUR
+0x35	0x0035	#	DIGIT FIVE
+0x36	0x0036	#	DIGIT SIX
+0x37	0x0037	#	DIGIT SEVEN
+0x38	0x0038	#	DIGIT EIGHT
+0x39	0x0039	#	DIGIT NINE
+0x3A	0x003A	#	COLON
+0x3B	0x003B	#	SEMICOLON
+0x3C	0x003C	#	LESS-THAN SIGN
+0x3D	0x003D	#	EQUALS SIGN
+0x3E	0x003E	#	GREATER-THAN SIGN
+0x3F	0x003F	#	QUESTION MARK
+0x40	0x0040	#	COMMERCIAL AT
+0x41	0x0041	#	LATIN CAPITAL LETTER A
+0x42	0x0042	#	LATIN CAPITAL LETTER B
+0x43	0x0043	#	LATIN CAPITAL LETTER C
+0x44	0x0044	#	LATIN CAPITAL LETTER D
+0x45	0x0045	#	LATIN CAPITAL LETTER E
+0x46	0x0046	#	LATIN CAPITAL LETTER F
+0x47	0x0047	#	LATIN CAPITAL LETTER G
+0x48	0x0048	#	LATIN CAPITAL LETTER H
+0x49	0x0049	#	LATIN CAPITAL LETTER I
+0x4A	0x004A	#	LATIN CAPITAL LETTER J
+0x4B	0x004B	#	LATIN CAPITAL LETTER K
+0x4C	0x004C	#	LATIN CAPITAL LETTER L
+0x4D	0x004D	#	LATIN CAPITAL LETTER M
+0x4E	0x004E	#	LATIN CAPITAL LETTER N
+0x4F	0x004F	#	LATIN CAPITAL LETTER O
+0x50	0x0050	#	LATIN CAPITAL LETTER P
+0x51	0x0051	#	LATIN CAPITAL LETTER Q
+0x52	0x0052	#	LATIN CAPITAL LETTER R
+0x53	0x0053	#	LATIN CAPITAL LETTER S
+0x54	0x0054	#	LATIN CAPITAL LETTER T
+0x55	0x0055	#	LATIN CAPITAL LETTER U
+0x56	0x0056	#	LATIN CAPITAL LETTER V
+0x57	0x0057	#	LATIN CAPITAL LETTER W
+0x58	0x0058	#	LATIN CAPITAL LETTER X
+0x59	0x0059	#	LATIN CAPITAL LETTER Y
+0x5A	0x005A	#	LATIN CAPITAL LETTER Z
+0x5B	0x005B	#	LEFT SQUARE BRACKET
+0x5C	0x005C	#	REVERSE SOLIDUS
+0x5D	0x005D	#	RIGHT SQUARE BRACKET
+0x5E	0x005E	#	CIRCUMFLEX ACCENT
+0x5F	0x005F	#	LOW LINE
+0x60	0x0060	#	GRAVE ACCENT
+0x61	0x0061	#	LATIN SMALL LETTER A
+0x62	0x0062	#	LATIN SMALL LETTER B
+0x63	0x0063	#	LATIN SMALL LETTER C
+0x64	0x0064	#	LATIN SMALL LETTER D
+0x65	0x0065	#	LATIN SMALL LETTER E
+0x66	0x0066	#	LATIN SMALL LETTER F
+0x67	0x0067	#	LATIN SMALL LETTER G
+0x68	0x0068	#	LATIN SMALL LETTER H
+0x69	0x0069	#	LATIN SMALL LETTER I
+0x6A	0x006A	#	LATIN SMALL LETTER J
+0x6B	0x006B	#	LATIN SMALL LETTER K
+0x6C	0x006C	#	LATIN SMALL LETTER L
+0x6D	0x006D	#	LATIN SMALL LETTER M
+0x6E	0x006E	#	LATIN SMALL LETTER N
+0x6F	0x006F	#	LATIN SMALL LETTER O
+0x70	0x0070	#	LATIN SMALL LETTER P
+0x71	0x0071	#	LATIN SMALL LETTER Q
+0x72	0x0072	#	LATIN SMALL LETTER R
+0x73	0x0073	#	LATIN SMALL LETTER S
+0x74	0x0074	#	LATIN SMALL LETTER T
+0x75	0x0075	#	LATIN SMALL LETTER U
+0x76	0x0076	#	LATIN SMALL LETTER V
+0x77	0x0077	#	LATIN SMALL LETTER W
+0x78	0x0078	#	LATIN SMALL LETTER X
+0x79	0x0079	#	LATIN SMALL LETTER Y
+0x7A	0x007A	#	LATIN SMALL LETTER Z
+0x7B	0x007B	#	LEFT CURLY BRACKET
+0x7C	0x007C	#	VERTICAL LINE
+0x7D	0x007D	#	RIGHT CURLY BRACKET
+0x7E	0x007E	#	TILDE
+0x7F	0x007F	#	DELETE
+#0x80	0x0080	#	<control>
+#0x81	0x0081	#	<control>
+#0x82	0x0082	#	<control>
+#0x83	0x0083	#	<control>
+#0x84	0x0084	#	<control>
+#0x85	0x0085	#	<control>
+#0x86	0x0086	#	<control>
+#0x87	0x0087	#	<control>
+#0x88	0x0088	#	<control>
+#0x89	0x0089	#	<control>
+#0x8A	0x008A	#	<control>
+#0x8B	0x008B	#	<control>
+#0x8C	0x008C	#	<control>
+#0x8D	0x008D	#	<control>
+#0x8E	0x008E	#	<control>
+#0x8F	0x008F	#	<control>
+#0x90	0x0090	#	<control>
+#0x91	0x0091	#	<control>
+#0x92	0x0092	#	<control>
+#0x93	0x0093	#	<control>
+#0x94	0x0094	#	<control>
+#0x95	0x0095	#	<control>
+#0x96	0x0096	#	<control>
+#0x97	0x0097	#	<control>
+#0x98	0x0098	#	<control>
+#0x99	0x0099	#	<control>
+#0x9A	0x009A	#	<control>
+#0x9B	0x009B	#	<control>
+#0x9C	0x009C	#	<control>
+#0x9D	0x009D	#	<control>
+#0x9E	0x009E	#	<control>
+#0x9F	0x009F	#	<control>
+0xA0	0x00A0	#	NO-BREAK SPACE
+0xA1	0x0104	#	LATIN CAPITAL LETTER A WITH OGONEK
+0xA2	0x02D8	#	BREVE
+0xA3	0x0141	#	LATIN CAPITAL LETTER L WITH STROKE
+0xA4	0x00A4	#	CURRENCY SIGN
+0xA5	0x013D	#	LATIN CAPITAL LETTER L WITH CARON
+0xA6	0x015A	#	LATIN CAPITAL LETTER S WITH ACUTE
+0xA7	0x00A7	#	SECTION SIGN
+0xA8	0x00A8	#	DIAERESIS
+0xA9	0x0160	#	LATIN CAPITAL LETTER S WITH CARON
+0xAA	0x015E	#	LATIN CAPITAL LETTER S WITH CEDILLA
+0xAB	0x0164	#	LATIN CAPITAL LETTER T WITH CARON
+0xAC	0x0179	#	LATIN CAPITAL LETTER Z WITH ACUTE
+0xAD	0x00AD	#	SOFT HYPHEN
+0xAE	0x017D	#	LATIN CAPITAL LETTER Z WITH CARON
+0xAF	0x017B	#	LATIN CAPITAL LETTER Z WITH DOT ABOVE
+0xB0	0x00B0	#	DEGREE SIGN
+0xB1	0x0105	#	LATIN SMALL LETTER A WITH OGONEK
+0xB2	0x02DB	#	OGONEK
+0xB3	0x0142	#	LATIN SMALL LETTER L WITH STROKE
+0xB4	0x00B4	#	ACUTE ACCENT
+0xB5	0x013E	#	LATIN SMALL LETTER L WITH CARON
+0xB6	0x015B	#	LATIN SMALL LETTER S WITH ACUTE
+0xB7	0x02C7	#	CARON
+0xB8	0x00B8	#	CEDILLA
+0xB9	0x0161	#	LATIN SMALL LETTER S WITH CARON
+0xBA	0x015F	#	LATIN SMALL LETTER S WITH CEDILLA
+0xBB	0x0165	#	LATIN SMALL LETTER T WITH CARON
+0xBC	0x017A	#	LATIN SMALL LETTER Z WITH ACUTE
+0xBD	0x02DD	#	DOUBLE ACUTE ACCENT
+0xBE	0x017E	#	LATIN SMALL LETTER Z WITH CARON
+0xBF	0x017C	#	LATIN SMALL LETTER Z WITH DOT ABOVE
+0xC0	0x0154	#	LATIN CAPITAL LETTER R WITH ACUTE
+0xC1	0x00C1	#	LATIN CAPITAL LETTER A WITH ACUTE
+0xC2	0x00C2	#	LATIN CAPITAL LETTER A WITH CIRCUMFLEX
+0xC3	0x0102	#	LATIN CAPITAL LETTER A WITH BREVE
+0xC4	0x00C4	#	LATIN CAPITAL LETTER A WITH DIAERESIS
+0xC5	0x0139	#	LATIN CAPITAL LETTER L WITH ACUTE
+0xC6	0x0106	#	LATIN CAPITAL LETTER C WITH ACUTE
+0xC7	0x00C7	#	LATIN CAPITAL LETTER C WITH CEDILLA
+0xC8	0x010C	#	LATIN CAPITAL LETTER C WITH CARON
+0xC9	0x00C9	#	LATIN CAPITAL LETTER E WITH ACUTE
+0xCA	0x0118	#	LATIN CAPITAL LETTER E WITH OGONEK
+0xCB	0x00CB	#	LATIN CAPITAL LETTER E WITH DIAERESIS
+0xCC	0x011A	#	LATIN CAPITAL LETTER E WITH CARON
+0xCD	0x00CD	#	LATIN CAPITAL LETTER I WITH ACUTE
+0xCE	0x00CE	#	LATIN CAPITAL LETTER I WITH CIRCUMFLEX
+0xCF	0x010E	#	LATIN CAPITAL LETTER D WITH CARON
+0xD0	0x0110	#	LATIN CAPITAL LETTER D WITH STROKE
+0xD1	0x0143	#	LATIN CAPITAL LETTER N WITH ACUTE
+0xD2	0x0147	#	LATIN CAPITAL LETTER N WITH CARON
+0xD3	0x00D3	#	LATIN CAPITAL LETTER O WITH ACUTE
+0xD4	0x00D4	#	LATIN CAPITAL LETTER O WITH CIRCUMFLEX
+0xD5	0x0150	#	LATIN CAPITAL LETTER O WITH DOUBLE ACUTE
+0xD6	0x00D6	#	LATIN CAPITAL LETTER O WITH DIAERESIS
+0xD7	0x00D7	#	MULTIPLICATION SIGN
+0xD8	0x0158	#	LATIN CAPITAL LETTER R WITH CARON
+0xD9	0x016E	#	LATIN CAPITAL LETTER U WITH RING ABOVE
+0xDA	0x00DA	#	LATIN CAPITAL LETTER U WITH ACUTE
+0xDB	0x0170	#	LATIN CAPITAL LETTER U WITH DOUBLE ACUTE
+0xDC	0x00DC	#	LATIN CAPITAL LETTER U WITH DIAERESIS
+0xDD	0x00DD	#	LATIN CAPITAL LETTER Y WITH ACUTE
+0xDE	0x0162	#	LATIN CAPITAL LETTER T WITH CEDILLA
+0xDF	0x00DF	#	LATIN SMALL LETTER SHARP S
+0xE0	0x0155	#	LATIN SMALL LETTER R WITH ACUTE
+0xE1	0x00E1	#	LATIN SMALL LETTER A WITH ACUTE
+0xE2	0x00E2	#	LATIN SMALL LETTER A WITH CIRCUMFLEX
+0xE3	0x0103	#	LATIN SMALL LETTER A WITH BREVE
+0xE4	0x00E4	#	LATIN SMALL LETTER A WITH DIAERESIS
+0xE5	0x013A	#	LATIN SMALL LETTER L WITH ACUTE
+0xE6	0x0107	#	LATIN SMALL LETTER C WITH ACUTE
+0xE7	0x00E7	#	LATIN SMALL LETTER C WITH CEDILLA
+0xE8	0x010D	#	LATIN SMALL LETTER C WITH CARON
+0xE9	0x00E9	#	LATIN SMALL LETTER E WITH ACUTE
+0xEA	0x0119	#	LATIN SMALL LETTER E WITH OGONEK
+0xEB	0x00EB	#	LATIN SMALL LETTER E WITH DIAERESIS
+0xEC	0x011B	#	LATIN SMALL LETTER E WITH CARON
+0xED	0x00ED	#	LATIN SMALL LETTER I WITH ACUTE
+0xEE	0x00EE	#	LATIN SMALL LETTER I WITH CIRCUMFLEX
+0xEF	0x010F	#	LATIN SMALL LETTER D WITH CARON
+0xF0	0x0111	#	LATIN SMALL LETTER D WITH STROKE
+0xF1	0x0144	#	LATIN SMALL LETTER N WITH ACUTE
+0xF2	0x0148	#	LATIN SMALL LETTER N WITH CARON
+0xF3	0x00F3	#	LATIN SMALL LETTER O WITH ACUTE
+0xF4	0x00F4	#	LATIN SMALL LETTER O WITH CIRCUMFLEX
+0xF5	0x0151	#	LATIN SMALL LETTER O WITH DOUBLE ACUTE
+0xF6	0x00F6	#	LATIN SMALL LETTER O WITH DIAERESIS
+0xF7	0x00F7	#	DIVISION SIGN
+0xF8	0x0159	#	LATIN SMALL LETTER R WITH CARON
+0xF9	0x016F	#	LATIN SMALL LETTER U WITH RING ABOVE
+0xFA	0x00FA	#	LATIN SMALL LETTER U WITH ACUTE
+0xFB	0x0171	#	LATIN SMALL LETTER U WITH DOUBLE ACUTE
+0xFC	0x00FC	#	LATIN SMALL LETTER U WITH DIAERESIS
+0xFD	0x00FD	#	LATIN SMALL LETTER Y WITH ACUTE
+0xFE	0x0163	#	LATIN SMALL LETTER T WITH CEDILLA
+0xFF	0x02D9	#	DOT ABOVE
diff -pruN 0.12~pre2.dfsg0-1/Unicode/8859_3.cp 0.12~pre4-1/Unicode/8859_3.cp
--- 0.12~pre2.dfsg0-1/Unicode/8859_3.cp	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/Unicode/8859_3.cp	2009-05-31 09:48:47.000000000 +0100
@@ -1,5 +1,17 @@
 ISO 8859-3
 "ISO-8859-3", "8859-3", "ISO_8859-3:1988", "iso-ir-109", "ISO_8859-3", "latin3", "l3", "csISOLatin3", "ISO8859-3", "ISO8859_3"
+
+# ----------------------------------------------------------------------
+# The following data was downloaded from
+# http://www.unicode.org/Public/MAPPINGS/ISO8859/DatedVersions/8859-3-1999.TXT
+# on 2008-10-05, so it is a Unicode Data File covered by the Unicode
+# copyright and permission notice in the COPYING file of ELinks,
+# regardless of any terms shown below.
+#
+# This file differs from the original in the following ways:
+# - Added this comment, blank lines around it, and charset names above it.
+# ----------------------------------------------------------------------
+
 #
 #	Name:             ISO/IEC 8859-3:1999 to Unicode
 #	Unicode version:  3.0
diff -pruN 0.12~pre2.dfsg0-1/Unicode/8859_4.cp 0.12~pre4-1/Unicode/8859_4.cp
--- 0.12~pre2.dfsg0-1/Unicode/8859_4.cp	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/Unicode/8859_4.cp	2009-05-31 09:48:47.000000000 +0100
@@ -1,133 +1,317 @@
 ISO 8859-4
 "ISO-8859-4", "iso8859-4", "8859-4", "iso-ir-110", "latin4", "l4", "il4", "ISO_8859-4:1988", "ISO_8859-4", "csISOLatin4", "ISO8859_4"
 
-0x20-0x7e       idem
+# ----------------------------------------------------------------------
+# The following data was downloaded from
+# http://www.unicode.org/Public/MAPPINGS/ISO8859/DatedVersions/8859-4-1998.TXT
+# on 2008-10-05, so it is a Unicode Data File covered by the Unicode
+# copyright and permission notice in the COPYING file of ELinks,
+# regardless of any terms shown below.
 #
-0x80	0x0080	#PADDING CHARACTER (PAD)
-0x81	0x0081	#HIGH OCTET PRESET (HOP)
-0x82	0x0082	#BREAK PERMITTED HERE (BPH)
-0x83	0x0083	#NO BREAK HERE (NBH)
-0x84	0x0084	#INDEX (IND)
-0x85	0x0085	#NEXT LINE (NEL)
-0x86	0x0086	#START OF SELECTED AREA (SSA)
-0x87	0x0087	#END OF SELECTED AREA (ESA)
-0x88	0x0088	#CHARACTER TABULATION SET (HTS)
-0x89	0x0089	#CHARACTER TABULATION WITH JUSTIFICATION (HTJ)
-0x8A	0x008A	#LINE TABULATION SET (VTS)
-0x8B	0x008B	#PARTIAL LINE FORWARD (PLD)
-0x8C	0x008C	#PARTIAL LINE BACKWARD (PLU)
-0x8D	0x008D	#REVERSE LINE FEED (RI)
-0x8E	0x008E	#SINGLE-SHIFT TWO (SS2)
-0x8F	0x008F	#SINGLE-SHIFT THREE (SS3)
-0x90	0x0090	#DEVICE CONTROL STRING (DCS)
-0x91	0x0091	#PRIVATE USE ONE (PU1)
-0x92	0x0092	#PRIVATE USE TWO (PU2)
-0x93	0x0093	#SET TRANSMIT STATE (STS)
-0x94	0x0094	#CANCEL CHARACTER (CCH)
-0x95	0x0095	#MESSAGE WAITING (MW)
-0x96	0x0096	#START OF GUARDED AREA (SPA)
-0x97	0x0097	#END OF GUARDED AREA (EPA)
-0x98	0x0098	#START OF STRING (SOS)
-0x99	0x0099	#SINGLE GRAPHIC CHARACTER INTRODUCER (SGCI)
-0x9A	0x009A	#SINGLE CHARACTER INTRODUCER (SCI)
-0x9B	0x009B	#CONTROL SEQUENCE INTRODUCER (CSI)
-0x9C	0x009C	#STRING TERMINATOR (ST)
-0x9D	0x009D	#OPERATING SYSTEM COMMAND (OSC)
-0x9E	0x009E	#PRIVACY MESSAGE (PM)
-0x9F	0x009F	#APPLICATION PROGRAM COMMAND (APC)
-0xA0	0x00A0	#NO-BREAK SPACE
-0xA1	0x0104	#LATIN CAPITAL LETTER A WITH OGONEK
-0xA2	0x0138	#LATIN SMALL LETTER KRA (Greenlandic)
-0xA3	0x0156	#LATIN CAPITAL LETTER R WITH CEDILLA
-0xA4	0x00A4	#CURRENCY SIGN
-0xA5	0x0128	#LATIN CAPITAL LETTER I WITH TILDE
-0xA6	0x013B	#LATIN CAPITAL LETTER L WITH CEDILLA
-0xA7	0x00A7	#SECTION SIGN
-0xA8	0x00A8	#DIAERESIS
-0xA9	0x0160	#LATIN CAPITAL LETTER S WITH CARON
-0xAA	0x0112	#LATIN CAPITAL LETTER E WITH MACRON
-0xAB	0x0122	#LATIN CAPITAL LETTER G WITH CEDILLA
-0xAC	0x0166	#LATIN CAPITAL LETTER T WITH STROKE
-0xAD	0x00AD	#SOFT HYPHEN
-0xAE	0x017D	#LATIN CAPITAL LETTER Z WITH CARON
-0xAF	0x00AF	#MACRON
-0xB0	0x00B0	#DEGREE SIGN
-0xB1	0x0105	#LATIN SMALL LETTER A WITH OGONEK
-0xB2	0x02DB	#OGONEK
-0xB3	0x0157	#LATIN SMALL LETTER R WITH CEDILLA
-0xB4	0x00B4	#ACUTE ACCENT
-0xB5	0x0129	#LATIN SMALL LETTER I WITH TILDE
-0xB6	0x013C	#LATIN SMALL LETTER L WITH CEDILLA
-0xB7	0x02C7	#CARON (Mandarin Chinese third tone)
-0xB8	0x00B8	#CEDILLA
-0xB9	0x0161	#LATIN SMALL LETTER S WITH CARON
-0xBA	0x0113	#LATIN SMALL LETTER E WITH MACRON
-0xBB	0x0123	#LATIN SMALL LETTER G WITH CEDILLA
-0xBC	0x0167	#LATIN SMALL LETTER T WITH STROKE
-0xBD	0x014A	#LATIN CAPITAL LETTER ENG (Sami)
-0xBE	0x017E	#LATIN SMALL LETTER Z WITH CARON
-0xBF	0x014B	#LATIN SMALL LETTER ENG (Sami)
-0xC0	0x0100	#LATIN CAPITAL LETTER A WITH MACRON
-0xC1	0x00C1	#LATIN CAPITAL LETTER A WITH ACUTE
-0xC2	0x00C2	#LATIN CAPITAL LETTER A WITH CIRCUMFLEX
-0xC3	0x00C3	#LATIN CAPITAL LETTER A WITH TILDE
-0xC4	0x00C4	#LATIN CAPITAL LETTER A WITH DIAERESIS
-0xC5	0x00C5	#LATIN CAPITAL LETTER A WITH RING ABOVE
-0xC6	0x00C6	#LATIN CAPITAL LETTER AE
-0xC7	0x012E	#LATIN CAPITAL LETTER I WITH OGONEK
-0xC8	0x010C	#LATIN CAPITAL LETTER C WITH CARON
-0xC9	0x00C9	#LATIN CAPITAL LETTER E WITH ACUTE
-0xCA	0x0118	#LATIN CAPITAL LETTER E WITH OGONEK
-0xCB	0x00CB	#LATIN CAPITAL LETTER E WITH DIAERESIS
-0xCC	0x0116	#LATIN CAPITAL LETTER E WITH DOT ABOVE
-0xCD	0x00CD	#LATIN CAPITAL LETTER I WITH ACUTE
-0xCE	0x00CE	#LATIN CAPITAL LETTER I WITH CIRCUMFLEX
-0xCF	0x012A	#LATIN CAPITAL LETTER I WITH MACRON
-0xD0	0x0110	#LATIN CAPITAL LETTER D WITH STROKE
-0xD1	0x0145	#LATIN CAPITAL LETTER N WITH CEDILLA
-0xD2	0x014C	#LATIN CAPITAL LETTER O WITH MACRON
-0xD3	0x0136	#LATIN CAPITAL LETTER K WITH CEDILLA
-0xD4	0x00D4	#LATIN CAPITAL LETTER O WITH CIRCUMFLEX
-0xD5	0x00D5	#LATIN CAPITAL LETTER O WITH TILDE
-0xD6	0x00D6	#LATIN CAPITAL LETTER O WITH DIAERESIS
-0xD7	0x00D7	#MULTIPLICATION SIGN
-0xD8	0x00D8	#LATIN CAPITAL LETTER O WITH STROKE
-0xD9	0x0172	#LATIN CAPITAL LETTER U WITH OGONEK
-0xDA	0x00DA	#LATIN CAPITAL LETTER U WITH ACUTE
-0xDB	0x00DB	#LATIN CAPITAL LETTER U WITH CIRCUMFLEX
-0xDC	0x00DC	#LATIN CAPITAL LETTER U WITH DIAERESIS
-0xDD	0x0168	#LATIN CAPITAL LETTER U WITH TILDE
-0xDE	0x016A	#LATIN CAPITAL LETTER U WITH MACRON
-0xDF	0x00DF	#LATIN SMALL LETTER SHARP S (German)
-0xE0	0x0101	#LATIN SMALL LETTER A WITH MACRON
-0xE1	0x00E1	#LATIN SMALL LETTER A WITH ACUTE
-0xE2	0x00E2	#LATIN SMALL LETTER A WITH CIRCUMFLEX
-0xE3	0x00E3	#LATIN SMALL LETTER A WITH TILDE
-0xE4	0x00E4	#LATIN SMALL LETTER A WITH DIAERESIS
-0xE5	0x00E5	#LATIN SMALL LETTER A WITH RING ABOVE
-0xE6	0x00E6	#LATIN SMALL LETTER AE
-0xE7	0x012F	#LATIN SMALL LETTER I WITH OGONEK
-0xE8	0x010D	#LATIN SMALL LETTER C WITH CARON
-0xE9	0x00E9	#LATIN SMALL LETTER E WITH ACUTE
-0xEA	0x0119	#LATIN SMALL LETTER E WITH OGONEK
-0xEB	0x00EB	#LATIN SMALL LETTER E WITH DIAERESIS
-0xEC	0x0117	#LATIN SMALL LETTER E WITH DOT ABOVE
-0xED	0x00ED	#LATIN SMALL LETTER I WITH ACUTE
-0xEE	0x00EE	#LATIN SMALL LETTER I WITH CIRCUMFLEX
-0xEF	0x012B	#LATIN SMALL LETTER I WITH MACRON
-0xF0	0x0111	#LATIN SMALL LETTER D WITH STROKE
-0xF1	0x0146	#LATIN SMALL LETTER N WITH CEDILLA
-0xF2	0x014D	#LATIN SMALL LETTER O WITH MACRON
-0xF3	0x0137	#LATIN SMALL LETTER K WITH CEDILLA
-0xF4	0x00F4	#LATIN SMALL LETTER O WITH CIRCUMFLEX
-0xF5	0x00F5	#LATIN SMALL LETTER O WITH TILDE
-0xF6	0x00F6	#LATIN SMALL LETTER O WITH DIAERESIS
-0xF7	0x00F7	#DIVISION SIGN
-0xF8	0x00F8	#LATIN SMALL LETTER O WITH STROKE
-0xF9	0x0173	#LATIN SMALL LETTER U WITH OGONEK
-0xFA	0x00FA	#LATIN SMALL LETTER U WITH ACUTE
-0xFB	0x00FB	#LATIN SMALL LETTER U WITH CIRCUMFLEX
-0xFC	0x00FC	#LATIN SMALL LETTER U WITH DIAERESIS
-0xFD	0x0169	#LATIN SMALL LETTER U WITH TILDE
-0xFE	0x016B	#LATIN SMALL LETTER U WITH MACRON
-0xFF	0x02D9	#DOT ABOVE (Mandarin Chinese light tone)
+# This file differs from the original in the following ways:
+# - Added this comment, blank lines around it, and charset names above it.
+# ----------------------------------------------------------------------
+
+#
+#	Name:             ISO/IEC 8859-4:1998 to Unicode
+#	Unicode version:  3.0
+#	Table version:    1.0
+#	Table format:     Format A
+#	Date:             1999 July 27
+#	Authors:          Ken Whistler <kenw@sybase.com>
+#
+#	Copyright (c) 1991-1999 Unicode, Inc.  All Rights reserved.
+#
+#	This file is provided as-is by Unicode, Inc. (The Unicode Consortium).
+#	No claims are made as to fitness for any particular purpose.  No
+#	warranties of any kind are expressed or implied.  The recipient
+#	agrees to determine applicability of information provided.  If this
+#	file has been provided on optical media by Unicode, Inc., the sole
+#	remedy for any claim will be exchange of defective media within 90
+#	days of receipt.
+#
+#	Unicode, Inc. hereby grants the right to freely use the information
+#	supplied in this file in the creation of products supporting the
+#	Unicode Standard, and to make copies of this file in any form for
+#	internal or external distribution as long as this notice remains
+#	attached.
+#
+#	General notes:
+#
+#	This table contains the data the Unicode Consortium has on how
+#       ISO/IEC 8859-4:1998 characters map into Unicode.
+#
+#	Format:  Three tab-separated columns
+#		 Column #1 is the ISO/IEC 8859-4 code (in hex as 0xXX)
+#		 Column #2 is the Unicode (in hex as 0xXXXX)
+#		 Column #3 the Unicode name (follows a comment sign, '#')
+#
+#	The entries are in ISO/IEC 8859-4 order.
+#
+#	Version history
+#	1.0 version updates 0.1 version by adding mappings for all
+#	control characters.
+#
+#	Updated versions of this file may be found in:
+#		<ftp://ftp.unicode.org/Public/MAPPINGS/>
+#
+#	Any comments or problems, contact <errata@unicode.org>
+#	Please note that <errata@unicode.org> is an archival address;
+#	notices will be checked, but do not expect an immediate response.
+#
+0x00	0x0000	#	NULL
+0x01	0x0001	#	START OF HEADING
+0x02	0x0002	#	START OF TEXT
+0x03	0x0003	#	END OF TEXT
+0x04	0x0004	#	END OF TRANSMISSION
+0x05	0x0005	#	ENQUIRY
+0x06	0x0006	#	ACKNOWLEDGE
+0x07	0x0007	#	BELL
+0x08	0x0008	#	BACKSPACE
+0x09	0x0009	#	HORIZONTAL TABULATION
+0x0A	0x000A	#	LINE FEED
+0x0B	0x000B	#	VERTICAL TABULATION
+0x0C	0x000C	#	FORM FEED
+0x0D	0x000D	#	CARRIAGE RETURN
+0x0E	0x000E	#	SHIFT OUT
+0x0F	0x000F	#	SHIFT IN
+0x10	0x0010	#	DATA LINK ESCAPE
+0x11	0x0011	#	DEVICE CONTROL ONE
+0x12	0x0012	#	DEVICE CONTROL TWO
+0x13	0x0013	#	DEVICE CONTROL THREE
+0x14	0x0014	#	DEVICE CONTROL FOUR
+0x15	0x0015	#	NEGATIVE ACKNOWLEDGE
+0x16	0x0016	#	SYNCHRONOUS IDLE
+0x17	0x0017	#	END OF TRANSMISSION BLOCK
+0x18	0x0018	#	CANCEL
+0x19	0x0019	#	END OF MEDIUM
+0x1A	0x001A	#	SUBSTITUTE
+0x1B	0x001B	#	ESCAPE
+0x1C	0x001C	#	FILE SEPARATOR
+0x1D	0x001D	#	GROUP SEPARATOR
+0x1E	0x001E	#	RECORD SEPARATOR
+0x1F	0x001F	#	UNIT SEPARATOR
+0x20	0x0020	#	SPACE
+0x21	0x0021	#	EXCLAMATION MARK
+0x22	0x0022	#	QUOTATION MARK
+0x23	0x0023	#	NUMBER SIGN
+0x24	0x0024	#	DOLLAR SIGN
+0x25	0x0025	#	PERCENT SIGN
+0x26	0x0026	#	AMPERSAND
+0x27	0x0027	#	APOSTROPHE
+0x28	0x0028	#	LEFT PARENTHESIS
+0x29	0x0029	#	RIGHT PARENTHESIS
+0x2A	0x002A	#	ASTERISK
+0x2B	0x002B	#	PLUS SIGN
+0x2C	0x002C	#	COMMA
+0x2D	0x002D	#	HYPHEN-MINUS
+0x2E	0x002E	#	FULL STOP
+0x2F	0x002F	#	SOLIDUS
+0x30	0x0030	#	DIGIT ZERO
+0x31	0x0031	#	DIGIT ONE
+0x32	0x0032	#	DIGIT TWO
+0x33	0x0033	#	DIGIT THREE
+0x34	0x0034	#	DIGIT FOUR
+0x35	0x0035	#	DIGIT FIVE
+0x36	0x0036	#	DIGIT SIX
+0x37	0x0037	#	DIGIT SEVEN
+0x38	0x0038	#	DIGIT EIGHT
+0x39	0x0039	#	DIGIT NINE
+0x3A	0x003A	#	COLON
+0x3B	0x003B	#	SEMICOLON
+0x3C	0x003C	#	LESS-THAN SIGN
+0x3D	0x003D	#	EQUALS SIGN
+0x3E	0x003E	#	GREATER-THAN SIGN
+0x3F	0x003F	#	QUESTION MARK
+0x40	0x0040	#	COMMERCIAL AT
+0x41	0x0041	#	LATIN CAPITAL LETTER A
+0x42	0x0042	#	LATIN CAPITAL LETTER B
+0x43	0x0043	#	LATIN CAPITAL LETTER C
+0x44	0x0044	#	LATIN CAPITAL LETTER D
+0x45	0x0045	#	LATIN CAPITAL LETTER E
+0x46	0x0046	#	LATIN CAPITAL LETTER F
+0x47	0x0047	#	LATIN CAPITAL LETTER G
+0x48	0x0048	#	LATIN CAPITAL LETTER H
+0x49	0x0049	#	LATIN CAPITAL LETTER I
+0x4A	0x004A	#	LATIN CAPITAL LETTER J
+0x4B	0x004B	#	LATIN CAPITAL LETTER K
+0x4C	0x004C	#	LATIN CAPITAL LETTER L
+0x4D	0x004D	#	LATIN CAPITAL LETTER M
+0x4E	0x004E	#	LATIN CAPITAL LETTER N
+0x4F	0x004F	#	LATIN CAPITAL LETTER O
+0x50	0x0050	#	LATIN CAPITAL LETTER P
+0x51	0x0051	#	LATIN CAPITAL LETTER Q
+0x52	0x0052	#	LATIN CAPITAL LETTER R
+0x53	0x0053	#	LATIN CAPITAL LETTER S
+0x54	0x0054	#	LATIN CAPITAL LETTER T
+0x55	0x0055	#	LATIN CAPITAL LETTER U
+0x56	0x0056	#	LATIN CAPITAL LETTER V
+0x57	0x0057	#	LATIN CAPITAL LETTER W
+0x58	0x0058	#	LATIN CAPITAL LETTER X
+0x59	0x0059	#	LATIN CAPITAL LETTER Y
+0x5A	0x005A	#	LATIN CAPITAL LETTER Z
+0x5B	0x005B	#	LEFT SQUARE BRACKET
+0x5C	0x005C	#	REVERSE SOLIDUS
+0x5D	0x005D	#	RIGHT SQUARE BRACKET
+0x5E	0x005E	#	CIRCUMFLEX ACCENT
+0x5F	0x005F	#	LOW LINE
+0x60	0x0060	#	GRAVE ACCENT
+0x61	0x0061	#	LATIN SMALL LETTER A
+0x62	0x0062	#	LATIN SMALL LETTER B
+0x63	0x0063	#	LATIN SMALL LETTER C
+0x64	0x0064	#	LATIN SMALL LETTER D
+0x65	0x0065	#	LATIN SMALL LETTER E
+0x66	0x0066	#	LATIN SMALL LETTER F
+0x67	0x0067	#	LATIN SMALL LETTER G
+0x68	0x0068	#	LATIN SMALL LETTER H
+0x69	0x0069	#	LATIN SMALL LETTER I
+0x6A	0x006A	#	LATIN SMALL LETTER J
+0x6B	0x006B	#	LATIN SMALL LETTER K
+0x6C	0x006C	#	LATIN SMALL LETTER L
+0x6D	0x006D	#	LATIN SMALL LETTER M
+0x6E	0x006E	#	LATIN SMALL LETTER N
+0x6F	0x006F	#	LATIN SMALL LETTER O
+0x70	0x0070	#	LATIN SMALL LETTER P
+0x71	0x0071	#	LATIN SMALL LETTER Q
+0x72	0x0072	#	LATIN SMALL LETTER R
+0x73	0x0073	#	LATIN SMALL LETTER S
+0x74	0x0074	#	LATIN SMALL LETTER T
+0x75	0x0075	#	LATIN SMALL LETTER U
+0x76	0x0076	#	LATIN SMALL LETTER V
+0x77	0x0077	#	LATIN SMALL LETTER W
+0x78	0x0078	#	LATIN SMALL LETTER X
+0x79	0x0079	#	LATIN SMALL LETTER Y
+0x7A	0x007A	#	LATIN SMALL LETTER Z
+0x7B	0x007B	#	LEFT CURLY BRACKET
+0x7C	0x007C	#	VERTICAL LINE
+0x7D	0x007D	#	RIGHT CURLY BRACKET
+0x7E	0x007E	#	TILDE
+0x7F	0x007F	#	DELETE
+0x80	0x0080	#	<control>
+0x81	0x0081	#	<control>
+0x82	0x0082	#	<control>
+0x83	0x0083	#	<control>
+0x84	0x0084	#	<control>
+0x85	0x0085	#	<control>
+0x86	0x0086	#	<control>
+0x87	0x0087	#	<control>
+0x88	0x0088	#	<control>
+0x89	0x0089	#	<control>
+0x8A	0x008A	#	<control>
+0x8B	0x008B	#	<control>
+0x8C	0x008C	#	<control>
+0x8D	0x008D	#	<control>
+0x8E	0x008E	#	<control>
+0x8F	0x008F	#	<control>
+0x90	0x0090	#	<control>
+0x91	0x0091	#	<control>
+0x92	0x0092	#	<control>
+0x93	0x0093	#	<control>
+0x94	0x0094	#	<control>
+0x95	0x0095	#	<control>
+0x96	0x0096	#	<control>
+0x97	0x0097	#	<control>
+0x98	0x0098	#	<control>
+0x99	0x0099	#	<control>
+0x9A	0x009A	#	<control>
+0x9B	0x009B	#	<control>
+0x9C	0x009C	#	<control>
+0x9D	0x009D	#	<control>
+0x9E	0x009E	#	<control>
+0x9F	0x009F	#	<control>
+0xA0	0x00A0	#	NO-BREAK SPACE
+0xA1	0x0104	#	LATIN CAPITAL LETTER A WITH OGONEK
+0xA2	0x0138	#	LATIN SMALL LETTER KRA
+0xA3	0x0156	#	LATIN CAPITAL LETTER R WITH CEDILLA
+0xA4	0x00A4	#	CURRENCY SIGN
+0xA5	0x0128	#	LATIN CAPITAL LETTER I WITH TILDE
+0xA6	0x013B	#	LATIN CAPITAL LETTER L WITH CEDILLA
+0xA7	0x00A7	#	SECTION SIGN
+0xA8	0x00A8	#	DIAERESIS
+0xA9	0x0160	#	LATIN CAPITAL LETTER S WITH CARON
+0xAA	0x0112	#	LATIN CAPITAL LETTER E WITH MACRON
+0xAB	0x0122	#	LATIN CAPITAL LETTER G WITH CEDILLA
+0xAC	0x0166	#	LATIN CAPITAL LETTER T WITH STROKE
+0xAD	0x00AD	#	SOFT HYPHEN
+0xAE	0x017D	#	LATIN CAPITAL LETTER Z WITH CARON
+0xAF	0x00AF	#	MACRON
+0xB0	0x00B0	#	DEGREE SIGN
+0xB1	0x0105	#	LATIN SMALL LETTER A WITH OGONEK
+0xB2	0x02DB	#	OGONEK
+0xB3	0x0157	#	LATIN SMALL LETTER R WITH CEDILLA
+0xB4	0x00B4	#	ACUTE ACCENT
+0xB5	0x0129	#	LATIN SMALL LETTER I WITH TILDE
+0xB6	0x013C	#	LATIN SMALL LETTER L WITH CEDILLA
+0xB7	0x02C7	#	CARON
+0xB8	0x00B8	#	CEDILLA
+0xB9	0x0161	#	LATIN SMALL LETTER S WITH CARON
+0xBA	0x0113	#	LATIN SMALL LETTER E WITH MACRON
+0xBB	0x0123	#	LATIN SMALL LETTER G WITH CEDILLA
+0xBC	0x0167	#	LATIN SMALL LETTER T WITH STROKE
+0xBD	0x014A	#	LATIN CAPITAL LETTER ENG
+0xBE	0x017E	#	LATIN SMALL LETTER Z WITH CARON
+0xBF	0x014B	#	LATIN SMALL LETTER ENG
+0xC0	0x0100	#	LATIN CAPITAL LETTER A WITH MACRON
+0xC1	0x00C1	#	LATIN CAPITAL LETTER A WITH ACUTE
+0xC2	0x00C2	#	LATIN CAPITAL LETTER A WITH CIRCUMFLEX
+0xC3	0x00C3	#	LATIN CAPITAL LETTER A WITH TILDE
+0xC4	0x00C4	#	LATIN CAPITAL LETTER A WITH DIAERESIS
+0xC5	0x00C5	#	LATIN CAPITAL LETTER A WITH RING ABOVE
+0xC6	0x00C6	#	LATIN CAPITAL LETTER AE
+0xC7	0x012E	#	LATIN CAPITAL LETTER I WITH OGONEK
+0xC8	0x010C	#	LATIN CAPITAL LETTER C WITH CARON
+0xC9	0x00C9	#	LATIN CAPITAL LETTER E WITH ACUTE
+0xCA	0x0118	#	LATIN CAPITAL LETTER E WITH OGONEK
+0xCB	0x00CB	#	LATIN CAPITAL LETTER E WITH DIAERESIS
+0xCC	0x0116	#	LATIN CAPITAL LETTER E WITH DOT ABOVE
+0xCD	0x00CD	#	LATIN CAPITAL LETTER I WITH ACUTE
+0xCE	0x00CE	#	LATIN CAPITAL LETTER I WITH CIRCUMFLEX
+0xCF	0x012A	#	LATIN CAPITAL LETTER I WITH MACRON
+0xD0	0x0110	#	LATIN CAPITAL LETTER D WITH STROKE
+0xD1	0x0145	#	LATIN CAPITAL LETTER N WITH CEDILLA
+0xD2	0x014C	#	LATIN CAPITAL LETTER O WITH MACRON
+0xD3	0x0136	#	LATIN CAPITAL LETTER K WITH CEDILLA
+0xD4	0x00D4	#	LATIN CAPITAL LETTER O WITH CIRCUMFLEX
+0xD5	0x00D5	#	LATIN CAPITAL LETTER O WITH TILDE
+0xD6	0x00D6	#	LATIN CAPITAL LETTER O WITH DIAERESIS
+0xD7	0x00D7	#	MULTIPLICATION SIGN
+0xD8	0x00D8	#	LATIN CAPITAL LETTER O WITH STROKE
+0xD9	0x0172	#	LATIN CAPITAL LETTER U WITH OGONEK
+0xDA	0x00DA	#	LATIN CAPITAL LETTER U WITH ACUTE
+0xDB	0x00DB	#	LATIN CAPITAL LETTER U WITH CIRCUMFLEX
+0xDC	0x00DC	#	LATIN CAPITAL LETTER U WITH DIAERESIS
+0xDD	0x0168	#	LATIN CAPITAL LETTER U WITH TILDE
+0xDE	0x016A	#	LATIN CAPITAL LETTER U WITH MACRON
+0xDF	0x00DF	#	LATIN SMALL LETTER SHARP S
+0xE0	0x0101	#	LATIN SMALL LETTER A WITH MACRON
+0xE1	0x00E1	#	LATIN SMALL LETTER A WITH ACUTE
+0xE2	0x00E2	#	LATIN SMALL LETTER A WITH CIRCUMFLEX
+0xE3	0x00E3	#	LATIN SMALL LETTER A WITH TILDE
+0xE4	0x00E4	#	LATIN SMALL LETTER A WITH DIAERESIS
+0xE5	0x00E5	#	LATIN SMALL LETTER A WITH RING ABOVE
+0xE6	0x00E6	#	LATIN SMALL LETTER AE
+0xE7	0x012F	#	LATIN SMALL LETTER I WITH OGONEK
+0xE8	0x010D	#	LATIN SMALL LETTER C WITH CARON
+0xE9	0x00E9	#	LATIN SMALL LETTER E WITH ACUTE
+0xEA	0x0119	#	LATIN SMALL LETTER E WITH OGONEK
+0xEB	0x00EB	#	LATIN SMALL LETTER E WITH DIAERESIS
+0xEC	0x0117	#	LATIN SMALL LETTER E WITH DOT ABOVE
+0xED	0x00ED	#	LATIN SMALL LETTER I WITH ACUTE
+0xEE	0x00EE	#	LATIN SMALL LETTER I WITH CIRCUMFLEX
+0xEF	0x012B	#	LATIN SMALL LETTER I WITH MACRON
+0xF0	0x0111	#	LATIN SMALL LETTER D WITH STROKE
+0xF1	0x0146	#	LATIN SMALL LETTER N WITH CEDILLA
+0xF2	0x014D	#	LATIN SMALL LETTER O WITH MACRON
+0xF3	0x0137	#	LATIN SMALL LETTER K WITH CEDILLA
+0xF4	0x00F4	#	LATIN SMALL LETTER O WITH CIRCUMFLEX
+0xF5	0x00F5	#	LATIN SMALL LETTER O WITH TILDE
+0xF6	0x00F6	#	LATIN SMALL LETTER O WITH DIAERESIS
+0xF7	0x00F7	#	DIVISION SIGN
+0xF8	0x00F8	#	LATIN SMALL LETTER O WITH STROKE
+0xF9	0x0173	#	LATIN SMALL LETTER U WITH OGONEK
+0xFA	0x00FA	#	LATIN SMALL LETTER U WITH ACUTE
+0xFB	0x00FB	#	LATIN SMALL LETTER U WITH CIRCUMFLEX
+0xFC	0x00FC	#	LATIN SMALL LETTER U WITH DIAERESIS
+0xFD	0x0169	#	LATIN SMALL LETTER U WITH TILDE
+0xFE	0x016B	#	LATIN SMALL LETTER U WITH MACRON
+0xFF	0x02D9	#	DOT ABOVE
diff -pruN 0.12~pre2.dfsg0-1/Unicode/8859_5.cp 0.12~pre4-1/Unicode/8859_5.cp
--- 0.12~pre2.dfsg0-1/Unicode/8859_5.cp	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/Unicode/8859_5.cp	2009-05-31 09:48:47.000000000 +0100
@@ -1,5 +1,17 @@
 ISO 8859-5
 "ISO-8859-5", "iso8859-5", "8859-5", "ISO_8859-5:1988", "iso-ir-144", "ISO_8859-5", "cyrillic", "csISOLatinCyrillic", "ISO8859_5"
+
+# ----------------------------------------------------------------------
+# The following data was downloaded from
+# http://www.unicode.org/Public/MAPPINGS/ISO8859/DatedVersions/8859-5-1999.TXT
+# on 2008-10-05, so it is a Unicode Data File covered by the Unicode
+# copyright and permission notice in the COPYING file of ELinks,
+# regardless of any terms shown below.
+#
+# This file differs from the original in the following ways:
+# - Added this comment, blank lines around it, and charset names above it.
+# ----------------------------------------------------------------------
+
 #
 #	Name:             ISO 8859-5:1999 to Unicode
 #	Unicode version:  3.0
diff -pruN 0.12~pre2.dfsg0-1/Unicode/8859_6.cp 0.12~pre4-1/Unicode/8859_6.cp
--- 0.12~pre2.dfsg0-1/Unicode/8859_6.cp	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/Unicode/8859_6.cp	2009-05-31 09:48:47.000000000 +0100
@@ -1,5 +1,17 @@
 ISO 8859-6
 "ISO-8859-6", "8859-6", "ISO_8859-6", "ISO_8859-6:1987", "ISO-IR-127", "ECMA-114", "ASMO-708", "ARABIC", "csISOLatinArabic", "ISO8859-6", "ISO8859_6"
+
+# ----------------------------------------------------------------------
+# The following data was downloaded from
+# http://www.unicode.org/Public/MAPPINGS/ISO8859/DatedVersions/8859-6-1999.TXT
+# on 2008-10-05, so it is a Unicode Data File covered by the Unicode
+# copyright and permission notice in the COPYING file of ELinks,
+# regardless of any terms shown below.
+#
+# This file differs from the original in the following ways:
+# - Added this comment, blank lines around it, and charset names above it.
+# ----------------------------------------------------------------------
+
 #
 #	Name:             ISO 8859-6:1999 to Unicode
 #	Unicode version:  3.0
diff -pruN 0.12~pre2.dfsg0-1/Unicode/8859_7.cp 0.12~pre4-1/Unicode/8859_7.cp
--- 0.12~pre2.dfsg0-1/Unicode/8859_7.cp	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/Unicode/8859_7.cp	2009-05-31 09:48:47.000000000 +0100
@@ -1,14 +1,26 @@
 ISO 8859-7
 "ISO-8859-7", "iso8859-7", "8859-7", "iso-ir-126", "elot-928", "ISO_8859-7:1987", "ECMA-118", "ELOT_928", "GREEK8", "GREEK", "csISOLatinGreek", "ISO8859_7"
-#
-#	Name:             ISO 8859-7:1987 to Unicode
-#	Unicode version:  3.0
-#	Table version:    1.0
+
+# ----------------------------------------------------------------------
+# The following data was downloaded from
+# http://www.unicode.org/Public/MAPPINGS/ISO8859/DatedVersions/8859-7-2003.txt
+# on 2008-10-07, so it is a Unicode Data File covered by the Unicode
+# copyright and permission notice in the COPYING file of ELinks,
+# regardless of any terms shown below.
+#
+# This file differs from the original in the following ways:
+# - Added this comment, blank lines around it, and charset names above it.
+# ----------------------------------------------------------------------
+
+#
+#	Name:             ISO 8859-7:2003 to Unicode
+#	Unicode version:  4.0
+#	Table version:    2.0
 #	Table format:     Format A
-#	Date:             1999 July 27
+#	Date:             2003-Nov-12
 #	Authors:          Ken Whistler <kenw@sybase.com>
 #
-#	Copyright (c) 1991-1999 Unicode, Inc.  All Rights reserved.
+#	Copyright (c) 1991-2003 Unicode, Inc.  All Rights reserved.
 #
 #	This file is provided as-is by Unicode, Inc. (The Unicode Consortium).
 #	No claims are made as to fitness for any particular purpose.  No
@@ -27,10 +39,11 @@ ISO 8859-7
 #	General notes:
 #
 #	This table contains the data the Unicode Consortium has on how
-#       ISO 8859-7:1987 characters map into Unicode.
+#       ISO 8859-7:2003 characters map into Unicode.
 #
 #	ISO 8859-7:1987 is equivalent to ISO-IR-126, ELOT 928,
-#	and ECMA 118.
+#	and ECMA 118. ISO 8859-7:2003 adds two currency signs 
+#	and one other character not in the earlier standard.
 #
 #	Format:  Three tab-separated columns
 #		 Column #1 is the ISO 8859-7 code (in hex as 0xXX)
@@ -45,12 +58,14 @@ ISO 8859-7
 #	Remap 0xA1 to U+2018 (instead of 0x02BD) to match text of 8859-7
 #	Remap 0xA2 to U+2019 (instead of 0x02BC) to match text of 8859-7
 #
+#	2.0 version updates 1.0 version by adding mappings for the
+#	three newly added characters 0xA4, 0xA5, 0xAA.
+#
 #	Updated versions of this file may be found in:
-#		<ftp://ftp.unicode.org/Public/MAPPINGS/>
+#		<http://www.unicode.org/Public/MAPPINGS/>
 #
-#	Any comments or problems, contact <errata@unicode.org>
-#	Please note that <errata@unicode.org> is an archival address;
-#	notices will be checked, but do not expect an immediate response.
+#	Any comments or problems, contact the Unicode Consortium at:
+#	        <http://www.unicode.org/reporting.html>
 #
 0x00	0x0000	#	NULL
 0x01	0x0001	#	START OF HEADING
@@ -216,10 +231,13 @@ ISO 8859-7
 0xA1	0x2018	#	LEFT SINGLE QUOTATION MARK
 0xA2	0x2019	#	RIGHT SINGLE QUOTATION MARK
 0xA3	0x00A3	#	POUND SIGN
+0xA4	0x20AC	#	EURO SIGN
+0xA5	0x20AF	#	DRACHMA SIGN
 0xA6	0x00A6	#	BROKEN BAR
 0xA7	0x00A7	#	SECTION SIGN
 0xA8	0x00A8	#	DIAERESIS
 0xA9	0x00A9	#	COPYRIGHT SIGN
+0xAA	0x037A	#	GREEK YPOGEGRAMMENI
 0xAB	0x00AB	#	LEFT-POINTING DOUBLE ANGLE QUOTATION MARK
 0xAC	0x00AC	#	NOT SIGN
 0xAD	0x00AD	#	SOFT HYPHEN
diff -pruN 0.12~pre2.dfsg0-1/Unicode/8859_8.cp 0.12~pre4-1/Unicode/8859_8.cp
--- 0.12~pre2.dfsg0-1/Unicode/8859_8.cp	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/Unicode/8859_8.cp	2009-05-31 09:48:47.000000000 +0100
@@ -1,5 +1,17 @@
 ISO 8859-8
 "ISO-8859-8", "8859-8", "ISO_8859-8:1988", "ISO-IR-138", "HEBREW", "csISOLatinHebrew", "ISO8859-8", "ISO8859_8"
+
+# ----------------------------------------------------------------------
+# The following data was downloaded from
+# http://www.unicode.org/Public/MAPPINGS/ISO8859/DatedVersions/8859-8-1999.TXT
+# on 2008-10-05, so it is a Unicode Data File covered by the Unicode
+# copyright and permission notice in the COPYING file of ELinks,
+# regardless of any terms shown below.
+#
+# This file differs from the original in the following ways:
+# - Added this comment, blank lines around it, and charset names above it.
+# ----------------------------------------------------------------------
+
 #
 #	Name:             ISO/IEC 8859-8:1999 to Unicode
 #	Unicode version:  3.0
diff -pruN 0.12~pre2.dfsg0-1/Unicode/8859_9.cp 0.12~pre4-1/Unicode/8859_9.cp
--- 0.12~pre2.dfsg0-1/Unicode/8859_9.cp	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/Unicode/8859_9.cp	2009-05-31 09:48:47.000000000 +0100
@@ -1,5 +1,17 @@
 ISO 8859-9
 "ISO-8859-9", "iso8859-9", "8859-9", "ISO_8859-9:1989", "ISO-IR-148", "LATIN5", "L5", "csISOLatin5", "ISO8859_9"
+
+# ----------------------------------------------------------------------
+# The following data was downloaded from
+# http://www.unicode.org/Public/MAPPINGS/ISO8859/DatedVersions/8859-9-1999.TXT
+# on 2008-10-05, so it is a Unicode Data File covered by the Unicode
+# copyright and permission notice in the COPYING file of ELinks,
+# regardless of any terms shown below.
+#
+# This file differs from the original in the following ways:
+# - Added this comment, blank lines around it, and charset names above it.
+# ----------------------------------------------------------------------
+
 #
 #	Name:             ISO/IEC 8859-9:1999 to Unicode
 #	Unicode version:  3.0
diff -pruN 0.12~pre2.dfsg0-1/Unicode/cp1250.cp 0.12~pre4-1/Unicode/cp1250.cp
--- 0.12~pre2.dfsg0-1/Unicode/cp1250.cp	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/Unicode/cp1250.cp	2009-05-31 09:48:47.000000000 +0100
@@ -1,5 +1,17 @@
 Window$ 1250
 "windows-1250", "windows1250", "1250", "cp1250", "MS-EE"
+
+# ----------------------------------------------------------------------
+# The following data was downloaded from
+# http://www.unicode.org/Public/MAPPINGS/VENDORS/MICSFT/WINDOWS/CP1250.TXT
+# on 2008-10-05, so it is a Unicode Data File covered by the Unicode
+# copyright and permission notice in the COPYING file of ELinks,
+# regardless of any terms shown below.
+#
+# This file differs from the original in the following ways:
+# - Added this comment, blank lines around it, and charset names above it.
+# ----------------------------------------------------------------------
+
 #
 #    Name:     cp1250 to Unicode table
 #    Unicode version: 2.0
@@ -7,7 +19,7 @@ Window$ 1250
 #    Table format:  Format A
 #    Date:          04/15/98
 #
-#    Contact:       cpxlate@microsoft.com
+#    Contact:       Shawn.Steele@microsoft.com
 #
 #    General notes: none
 #
diff -pruN 0.12~pre2.dfsg0-1/Unicode/cp1251.cp 0.12~pre4-1/Unicode/cp1251.cp
--- 0.12~pre2.dfsg0-1/Unicode/cp1251.cp	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/Unicode/cp1251.cp	2009-05-31 09:48:47.000000000 +0100
@@ -1,225 +1,288 @@
 Window$ 1251
 "windows-1251", "windows1251", "1251", "cp1251", "MS-CYRL"
 
-0x20	0x0020	# SPACE
-0x21	0x0021	# EXCLAMATION MARK
-0x22	0x0022	# QUOTATION MARK
-0x23	0x0023	# NUMBER SIGN
-0x24	0x0024	# DOLLAR SIGN
-0x25	0x0025	# PERCENT SIGN
-0x26	0x0026	# AMPERSAND
-0x27	0x0027	# APOSTROPHE
-0x28	0x0028	# LEFT PARENTHESIS
-0x29	0x0029	# RIGHT PARENTHESIS
-0x2A	0x002A	# ASTERISK
-0x2B	0x002B	# PLUS SIGN
-0x2C	0x002C	# COMMA
-0x2D	0x002D	# HYPHEN-MINUS
-0x2E	0x002E	# FULL STOP
-0x2F	0x002F	# SOLIDUS
-0x30	0x0030	# DIGIT ZERO
-0x31	0x0031	# DIGIT ONE
-0x32	0x0032	# DIGIT TWO
-0x33	0x0033	# DIGIT THREE
-0x34	0x0034	# DIGIT FOUR
-0x35	0x0035	# DIGIT FIVE
-0x36	0x0036	# DIGIT SIX
-0x37	0x0037	# DIGIT SEVEN
-0x38	0x0038	# DIGIT EIGHT
-0x39	0x0039	# DIGIT NINE
-0x3A	0x003A	# COLON
-0x3B	0x003B	# SEMICOLON
-0x3C	0x003C	# LESS-THAN SIGN
-0x3D	0x003D	# EQUALS SIGN
-0x3E	0x003E	# GREATER-THAN SIGN
-0x3F	0x003F	# QUESTION MARK
-0x40	0x0040	# COMMERCIAL AT
-0x41	0x0041	# LATIN CAPITAL LETTER A
-0x42	0x0042	# LATIN CAPITAL LETTER B
-0x43	0x0043	# LATIN CAPITAL LETTER C
-0x44	0x0044	# LATIN CAPITAL LETTER D
-0x45	0x0045	# LATIN CAPITAL LETTER E
-0x46	0x0046	# LATIN CAPITAL LETTER F
-0x47	0x0047	# LATIN CAPITAL LETTER G
-0x48	0x0048	# LATIN CAPITAL LETTER H
-0x49	0x0049	# LATIN CAPITAL LETTER I
-0x4A	0x004A	# LATIN CAPITAL LETTER J
-0x4B	0x004B	# LATIN CAPITAL LETTER K
-0x4C	0x004C	# LATIN CAPITAL LETTER L
-0x4D	0x004D	# LATIN CAPITAL LETTER M
-0x4E	0x004E	# LATIN CAPITAL LETTER N
-0x4F	0x004F	# LATIN CAPITAL LETTER O
-0x50	0x0050	# LATIN CAPITAL LETTER P
-0x51	0x0051	# LATIN CAPITAL LETTER Q
-0x52	0x0052	# LATIN CAPITAL LETTER R
-0x53	0x0053	# LATIN CAPITAL LETTER S
-0x54	0x0054	# LATIN CAPITAL LETTER T
-0x55	0x0055	# LATIN CAPITAL LETTER U
-0x56	0x0056	# LATIN CAPITAL LETTER V
-0x57	0x0057	# LATIN CAPITAL LETTER W
-0x58	0x0058	# LATIN CAPITAL LETTER X
-0x59	0x0059	# LATIN CAPITAL LETTER Y
-0x5A	0x005A	# LATIN CAPITAL LETTER Z
-0x5B	0x005B	# LEFT SQUARE BRACKET
-0x5C	0x005C	# REVERSE SOLIDUS
-0x5D	0x005D	# RIGHT SQUARE BRACKET
-0x5E	0x005E	# CIRCUMFLEX ACCENT
-0x5F	0x005F	# LOW LINE
-0x60	0x0060	# GRAVE ACCENT
-0x61	0x0061	# LATIN SMALL LETTER A
-0x62	0x0062	# LATIN SMALL LETTER B
-0x63	0x0063	# LATIN SMALL LETTER C
-0x64	0x0064	# LATIN SMALL LETTER D
-0x65	0x0065	# LATIN SMALL LETTER E
-0x66	0x0066	# LATIN SMALL LETTER F
-0x67	0x0067	# LATIN SMALL LETTER G
-0x68	0x0068	# LATIN SMALL LETTER H
-0x69	0x0069	# LATIN SMALL LETTER I
-0x6A	0x006A	# LATIN SMALL LETTER J
-0x6B	0x006B	# LATIN SMALL LETTER K
-0x6C	0x006C	# LATIN SMALL LETTER L
-0x6D	0x006D	# LATIN SMALL LETTER M
-0x6E	0x006E	# LATIN SMALL LETTER N
-0x6F	0x006F	# LATIN SMALL LETTER O
-0x70	0x0070	# LATIN SMALL LETTER P
-0x71	0x0071	# LATIN SMALL LETTER Q
-0x72	0x0072	# LATIN SMALL LETTER R
-0x73	0x0073	# LATIN SMALL LETTER S
-0x74	0x0074	# LATIN SMALL LETTER T
-0x75	0x0075	# LATIN SMALL LETTER U
-0x76	0x0076	# LATIN SMALL LETTER V
-0x77	0x0077	# LATIN SMALL LETTER W
-0x78	0x0078	# LATIN SMALL LETTER X
-0x79	0x0079	# LATIN SMALL LETTER Y
-0x7A	0x007A	# LATIN SMALL LETTER Z
-0x7B	0x007B	# LEFT CURLY BRACKET
-0x7C	0x007C	# VERTICAL LINE
-0x7D	0x007D	# RIGHT CURLY BRACKET
-0x7E	0x007E	# TILDE
-0x80	0x0402	# CYRILLIC CAPITAL LETTER DJE
-0x81	0x0403	# CYRILLIC CAPITAL LETTER GJE
-0x82	0x201A	# SINGLE LOW-9 QUOTATION MARK
-0x83	0x0453	# CYRILLIC SMALL LETTER GJE
-0x84	0x201E	# DOUBLE LOW-9 QUOTATION MARK
-0x85	0x2026	# HORIZONTAL ELLIPSIS
-0x86	0x2020	# DAGGER
-0x87	0x2021	# DOUBLE DAGGER
-0x88	0x20AC	# EURO SIGN
-0x89	0x2030	# PER MILLE SIGN
-0x8A	0x0409	# CYRILLIC CAPITAL LETTER LJE
-0x8B	0x2039	# SINGLE LEFT-POINTING ANGLE QUOTATION MARK
-0x8C	0x040A	# CYRILLIC CAPITAL LETTER NJE
-0x8D	0x040C	# CYRILLIC CAPITAL LETTER KJE
-0x8E	0x040B	# CYRILLIC CAPITAL LETTER TSHE
-0x8F	0x040F	# CYRILLIC CAPITAL LETTER DZHE
-0x90	0x0452	# CYRILLIC SMALL LETTER DJE
-0x91	0x2018	# LEFT SINGLE QUOTATION MARK
-0x92	0x2019	# RIGHT SINGLE QUOTATION MARK
-0x93	0x201C	# LEFT DOUBLE QUOTATION MARK
-0x94	0x201D	# RIGHT DOUBLE QUOTATION MARK
-0x95	0x2022	# BULLET
-0x96	0x2013	# EN DASH
-0x97	0x2014	# EM DASH
-0x99	0x2122	# TRADE MARK SIGN
-0x9A	0x0459	# CYRILLIC SMALL LETTER LJE
-0x9B	0x203A	# SINGLE RIGHT-POINTING ANGLE QUOTATION MARK
-0x9C	0x045A	# CYRILLIC SMALL LETTER NJE
-0x9D	0x045C	# CYRILLIC SMALL LETTER KJE
-0x9E	0x045B	# CYRILLIC SMALL LETTER TSHE
-0x9F	0x045F	# CYRILLIC SMALL LETTER DZHE
-0xA0	0x00A0	# NO-BREAK SPACE
-0xA1	0x040E	# CYRILLIC CAPITAL LETTER SHORT U
-0xA2	0x045E	# CYRILLIC SMALL LETTER SHORT U
-0xA3	0x0408	# CYRILLIC CAPITAL LETTER JE
-0xA4	0x00A4	# CURRENCY SIGN
-0xA5	0x0490	# CYRILLIC CAPITAL LETTER GHE WITH UPTURN
-0xA6	0x00A6	# BROKEN BAR
-0xA7	0x00A7	# SECTION SIGN
-0xA8	0x0401	# CYRILLIC CAPITAL LETTER IO
-0xA9	0x00A9	# COPYRIGHT SIGN
-0xAA	0x0404	# CYRILLIC CAPITAL LETTER UKRAINIAN IE
-0xAB	0x00AB	# LEFT-POINTING DOUBLE ANGLE QUOTATION MARK
-0xAC	0x00AC	# NOT SIGN
-0xAD	0x00AD	# SOFT HYPHEN
-0xAE	0x00AE	# REGISTERED SIGN
-0xAF	0x0407	# CYRILLIC CAPITAL LETTER YI
-0xB0	0x00B0	# DEGREE SIGN
-0xB1	0x00B1	# PLUS-MINUS SIGN
-0xB2	0x0406	# CYRILLIC CAPITAL LETTER BYELORUSSIAN-UKRAINIAN I
-0xB3	0x0456	# CYRILLIC SMALL LETTER BYELORUSSIAN-UKRAINIAN I
-0xB4	0x0491	# CYRILLIC SMALL LETTER GHE WITH UPTURN
-0xB5	0x00B5	# MICRO SIGN
-0xB6	0x00B6	# PILCROW SIGN
-0xB7	0x00B7	# MIDDLE DOT
-0xB8	0x0451	# CYRILLIC SMALL LETTER IO
-0xB9	0x2116	# NUMERO SIGN
-0xBA	0x0454	# CYRILLIC SMALL LETTER UKRAINIAN IE
-0xBB	0x00BB	# RIGHT-POINTING DOUBLE ANGLE QUOTATION MARK
-0xBC	0x0458	# CYRILLIC SMALL LETTER JE
-0xBD	0x0405	# CYRILLIC CAPITAL LETTER DZE
-0xBE	0x0455	# CYRILLIC SMALL LETTER DZE
-0xBF	0x0457	# CYRILLIC SMALL LETTER YI
-0xC0	0x0410	# CYRILLIC CAPITAL LETTER A
-0xC1	0x0411	# CYRILLIC CAPITAL LETTER BE
-0xC2	0x0412	# CYRILLIC CAPITAL LETTER VE
-0xC3	0x0413	# CYRILLIC CAPITAL LETTER GHE
-0xC4	0x0414	# CYRILLIC CAPITAL LETTER DE
-0xC5	0x0415	# CYRILLIC CAPITAL LETTER IE
-0xC6	0x0416	# CYRILLIC CAPITAL LETTER ZHE
-0xC7	0x0417	# CYRILLIC CAPITAL LETTER ZE
-0xC8	0x0418	# CYRILLIC CAPITAL LETTER I
-0xC9	0x0419	# CYRILLIC CAPITAL LETTER SHORT I
-0xCA	0x041A	# CYRILLIC CAPITAL LETTER KA
-0xCB	0x041B	# CYRILLIC CAPITAL LETTER EL
-0xCC	0x041C	# CYRILLIC CAPITAL LETTER EM
-0xCD	0x041D	# CYRILLIC CAPITAL LETTER EN
-0xCE	0x041E	# CYRILLIC CAPITAL LETTER O
-0xCF	0x041F	# CYRILLIC CAPITAL LETTER PE
-0xD0	0x0420	# CYRILLIC CAPITAL LETTER ER
-0xD1	0x0421	# CYRILLIC CAPITAL LETTER ES
-0xD2	0x0422	# CYRILLIC CAPITAL LETTER TE
-0xD3	0x0423	# CYRILLIC CAPITAL LETTER U
-0xD4	0x0424	# CYRILLIC CAPITAL LETTER EF
-0xD5	0x0425	# CYRILLIC CAPITAL LETTER HA
-0xD6	0x0426	# CYRILLIC CAPITAL LETTER TSE
-0xD7	0x0427	# CYRILLIC CAPITAL LETTER CHE
-0xD8	0x0428	# CYRILLIC CAPITAL LETTER SHA
-0xD9	0x0429	# CYRILLIC CAPITAL LETTER SHCHA
-0xDA	0x042A	# CYRILLIC CAPITAL LETTER HARD SIGN
-0xDB	0x042B	# CYRILLIC CAPITAL LETTER YERU
-0xDC	0x042C	# CYRILLIC CAPITAL LETTER SOFT SIGN
-0xDD	0x042D	# CYRILLIC CAPITAL LETTER E
-0xDE	0x042E	# CYRILLIC CAPITAL LETTER YU
-0xDF	0x042F	# CYRILLIC CAPITAL LETTER YA
-0xE0	0x0430	# CYRILLIC SMALL LETTER A
-0xE1	0x0431	# CYRILLIC SMALL LETTER BE
-0xE2	0x0432	# CYRILLIC SMALL LETTER VE
-0xE3	0x0433	# CYRILLIC SMALL LETTER GHE
-0xE4	0x0434	# CYRILLIC SMALL LETTER DE
-0xE5	0x0435	# CYRILLIC SMALL LETTER IE
-0xE6	0x0436	# CYRILLIC SMALL LETTER ZHE
-0xE7	0x0437	# CYRILLIC SMALL LETTER ZE
-0xE8	0x0438	# CYRILLIC SMALL LETTER I
-0xE9	0x0439	# CYRILLIC SMALL LETTER SHORT I
-0xEA	0x043A	# CYRILLIC SMALL LETTER KA
-0xEB	0x043B	# CYRILLIC SMALL LETTER EL
-0xEC	0x043C	# CYRILLIC SMALL LETTER EM
-0xED	0x043D	# CYRILLIC SMALL LETTER EN
-0xEE	0x043E	# CYRILLIC SMALL LETTER O
-0xEF	0x043F	# CYRILLIC SMALL LETTER PE
-0xF0	0x0440	# CYRILLIC SMALL LETTER ER
-0xF1	0x0441	# CYRILLIC SMALL LETTER ES
-0xF2	0x0442	# CYRILLIC SMALL LETTER TE
-0xF3	0x0443	# CYRILLIC SMALL LETTER U
-0xF4	0x0444	# CYRILLIC SMALL LETTER EF
-0xF5	0x0445	# CYRILLIC SMALL LETTER HA
-0xF6	0x0446	# CYRILLIC SMALL LETTER TSE
-0xF7	0x0447	# CYRILLIC SMALL LETTER CHE
-0xF8	0x0448	# CYRILLIC SMALL LETTER SHA
-0xF9	0x0449	# CYRILLIC SMALL LETTER SHCHA
-0xFA	0x044A	# CYRILLIC SMALL LETTER HARD SIGN
-0xFB	0x044B	# CYRILLIC SMALL LETTER YERU
-0xFC	0x044C	# CYRILLIC SMALL LETTER SOFT SIGN
-0xFD	0x044D	# CYRILLIC SMALL LETTER E
-0xFE	0x044E	# CYRILLIC SMALL LETTER YU
-0xFF	0x044F	# CYRILLIC SMALL LETTER YA
+# ----------------------------------------------------------------------
+# The following data was downloaded from
+# http://www.unicode.org/Public/MAPPINGS/VENDORS/MICSFT/WINDOWS/CP1251.TXT
+# on 2008-10-05, so it is a Unicode Data File covered by the Unicode
+# copyright and permission notice in the COPYING file of ELinks,
+# regardless of any terms shown below.
+#
+# This file differs from the original in the following ways:
+# - Added this comment, blank lines around it, and charset names above it.
+# ----------------------------------------------------------------------
+
+#
+#    Name:     cp1251 to Unicode table
+#    Unicode version: 2.0
+#    Table version: 2.01
+#    Table format:  Format A
+#    Date:          04/15/98
+#
+#    Contact:       Shawn.Steele@microsoft.com
+#
+#    General notes: none
+#
+#    Format: Three tab-separated columns
+#        Column #1 is the cp1251 code (in hex)
+#        Column #2 is the Unicode (in hex as 0xXXXX)
+#        Column #3 is the Unicode name (follows a comment sign, '#')
+#
+#    The entries are in cp1251 order
+#
+0x00	0x0000	#NULL
+0x01	0x0001	#START OF HEADING
+0x02	0x0002	#START OF TEXT
+0x03	0x0003	#END OF TEXT
+0x04	0x0004	#END OF TRANSMISSION
+0x05	0x0005	#ENQUIRY
+0x06	0x0006	#ACKNOWLEDGE
+0x07	0x0007	#BELL
+0x08	0x0008	#BACKSPACE
+0x09	0x0009	#HORIZONTAL TABULATION
+0x0A	0x000A	#LINE FEED
+0x0B	0x000B	#VERTICAL TABULATION
+0x0C	0x000C	#FORM FEED
+0x0D	0x000D	#CARRIAGE RETURN
+0x0E	0x000E	#SHIFT OUT
+0x0F	0x000F	#SHIFT IN
+0x10	0x0010	#DATA LINK ESCAPE
+0x11	0x0011	#DEVICE CONTROL ONE
+0x12	0x0012	#DEVICE CONTROL TWO
+0x13	0x0013	#DEVICE CONTROL THREE
+0x14	0x0014	#DEVICE CONTROL FOUR
+0x15	0x0015	#NEGATIVE ACKNOWLEDGE
+0x16	0x0016	#SYNCHRONOUS IDLE
+0x17	0x0017	#END OF TRANSMISSION BLOCK
+0x18	0x0018	#CANCEL
+0x19	0x0019	#END OF MEDIUM
+0x1A	0x001A	#SUBSTITUTE
+0x1B	0x001B	#ESCAPE
+0x1C	0x001C	#FILE SEPARATOR
+0x1D	0x001D	#GROUP SEPARATOR
+0x1E	0x001E	#RECORD SEPARATOR
+0x1F	0x001F	#UNIT SEPARATOR
+0x20	0x0020	#SPACE
+0x21	0x0021	#EXCLAMATION MARK
+0x22	0x0022	#QUOTATION MARK
+0x23	0x0023	#NUMBER SIGN
+0x24	0x0024	#DOLLAR SIGN
+0x25	0x0025	#PERCENT SIGN
+0x26	0x0026	#AMPERSAND
+0x27	0x0027	#APOSTROPHE
+0x28	0x0028	#LEFT PARENTHESIS
+0x29	0x0029	#RIGHT PARENTHESIS
+0x2A	0x002A	#ASTERISK
+0x2B	0x002B	#PLUS SIGN
+0x2C	0x002C	#COMMA
+0x2D	0x002D	#HYPHEN-MINUS
+0x2E	0x002E	#FULL STOP
+0x2F	0x002F	#SOLIDUS
+0x30	0x0030	#DIGIT ZERO
+0x31	0x0031	#DIGIT ONE
+0x32	0x0032	#DIGIT TWO
+0x33	0x0033	#DIGIT THREE
+0x34	0x0034	#DIGIT FOUR
+0x35	0x0035	#DIGIT FIVE
+0x36	0x0036	#DIGIT SIX
+0x37	0x0037	#DIGIT SEVEN
+0x38	0x0038	#DIGIT EIGHT
+0x39	0x0039	#DIGIT NINE
+0x3A	0x003A	#COLON
+0x3B	0x003B	#SEMICOLON
+0x3C	0x003C	#LESS-THAN SIGN
+0x3D	0x003D	#EQUALS SIGN
+0x3E	0x003E	#GREATER-THAN SIGN
+0x3F	0x003F	#QUESTION MARK
+0x40	0x0040	#COMMERCIAL AT
+0x41	0x0041	#LATIN CAPITAL LETTER A
+0x42	0x0042	#LATIN CAPITAL LETTER B
+0x43	0x0043	#LATIN CAPITAL LETTER C
+0x44	0x0044	#LATIN CAPITAL LETTER D
+0x45	0x0045	#LATIN CAPITAL LETTER E
+0x46	0x0046	#LATIN CAPITAL LETTER F
+0x47	0x0047	#LATIN CAPITAL LETTER G
+0x48	0x0048	#LATIN CAPITAL LETTER H
+0x49	0x0049	#LATIN CAPITAL LETTER I
+0x4A	0x004A	#LATIN CAPITAL LETTER J
+0x4B	0x004B	#LATIN CAPITAL LETTER K
+0x4C	0x004C	#LATIN CAPITAL LETTER L
+0x4D	0x004D	#LATIN CAPITAL LETTER M
+0x4E	0x004E	#LATIN CAPITAL LETTER N
+0x4F	0x004F	#LATIN CAPITAL LETTER O
+0x50	0x0050	#LATIN CAPITAL LETTER P
+0x51	0x0051	#LATIN CAPITAL LETTER Q
+0x52	0x0052	#LATIN CAPITAL LETTER R
+0x53	0x0053	#LATIN CAPITAL LETTER S
+0x54	0x0054	#LATIN CAPITAL LETTER T
+0x55	0x0055	#LATIN CAPITAL LETTER U
+0x56	0x0056	#LATIN CAPITAL LETTER V
+0x57	0x0057	#LATIN CAPITAL LETTER W
+0x58	0x0058	#LATIN CAPITAL LETTER X
+0x59	0x0059	#LATIN CAPITAL LETTER Y
+0x5A	0x005A	#LATIN CAPITAL LETTER Z
+0x5B	0x005B	#LEFT SQUARE BRACKET
+0x5C	0x005C	#REVERSE SOLIDUS
+0x5D	0x005D	#RIGHT SQUARE BRACKET
+0x5E	0x005E	#CIRCUMFLEX ACCENT
+0x5F	0x005F	#LOW LINE
+0x60	0x0060	#GRAVE ACCENT
+0x61	0x0061	#LATIN SMALL LETTER A
+0x62	0x0062	#LATIN SMALL LETTER B
+0x63	0x0063	#LATIN SMALL LETTER C
+0x64	0x0064	#LATIN SMALL LETTER D
+0x65	0x0065	#LATIN SMALL LETTER E
+0x66	0x0066	#LATIN SMALL LETTER F
+0x67	0x0067	#LATIN SMALL LETTER G
+0x68	0x0068	#LATIN SMALL LETTER H
+0x69	0x0069	#LATIN SMALL LETTER I
+0x6A	0x006A	#LATIN SMALL LETTER J
+0x6B	0x006B	#LATIN SMALL LETTER K
+0x6C	0x006C	#LATIN SMALL LETTER L
+0x6D	0x006D	#LATIN SMALL LETTER M
+0x6E	0x006E	#LATIN SMALL LETTER N
+0x6F	0x006F	#LATIN SMALL LETTER O
+0x70	0x0070	#LATIN SMALL LETTER P
+0x71	0x0071	#LATIN SMALL LETTER Q
+0x72	0x0072	#LATIN SMALL LETTER R
+0x73	0x0073	#LATIN SMALL LETTER S
+0x74	0x0074	#LATIN SMALL LETTER T
+0x75	0x0075	#LATIN SMALL LETTER U
+0x76	0x0076	#LATIN SMALL LETTER V
+0x77	0x0077	#LATIN SMALL LETTER W
+0x78	0x0078	#LATIN SMALL LETTER X
+0x79	0x0079	#LATIN SMALL LETTER Y
+0x7A	0x007A	#LATIN SMALL LETTER Z
+0x7B	0x007B	#LEFT CURLY BRACKET
+0x7C	0x007C	#VERTICAL LINE
+0x7D	0x007D	#RIGHT CURLY BRACKET
+0x7E	0x007E	#TILDE
+0x7F	0x007F	#DELETE
+0x80	0x0402	#CYRILLIC CAPITAL LETTER DJE
+0x81	0x0403	#CYRILLIC CAPITAL LETTER GJE
+0x82	0x201A	#SINGLE LOW-9 QUOTATION MARK
+0x83	0x0453	#CYRILLIC SMALL LETTER GJE
+0x84	0x201E	#DOUBLE LOW-9 QUOTATION MARK
+0x85	0x2026	#HORIZONTAL ELLIPSIS
+0x86	0x2020	#DAGGER
+0x87	0x2021	#DOUBLE DAGGER
+0x88	0x20AC	#EURO SIGN
+0x89	0x2030	#PER MILLE SIGN
+0x8A	0x0409	#CYRILLIC CAPITAL LETTER LJE
+0x8B	0x2039	#SINGLE LEFT-POINTING ANGLE QUOTATION MARK
+0x8C	0x040A	#CYRILLIC CAPITAL LETTER NJE
+0x8D	0x040C	#CYRILLIC CAPITAL LETTER KJE
+0x8E	0x040B	#CYRILLIC CAPITAL LETTER TSHE
+0x8F	0x040F	#CYRILLIC CAPITAL LETTER DZHE
+0x90	0x0452	#CYRILLIC SMALL LETTER DJE
+0x91	0x2018	#LEFT SINGLE QUOTATION MARK
+0x92	0x2019	#RIGHT SINGLE QUOTATION MARK
+0x93	0x201C	#LEFT DOUBLE QUOTATION MARK
+0x94	0x201D	#RIGHT DOUBLE QUOTATION MARK
+0x95	0x2022	#BULLET
+0x96	0x2013	#EN DASH
+0x97	0x2014	#EM DASH
+0x98	      	#UNDEFINED
+0x99	0x2122	#TRADE MARK SIGN
+0x9A	0x0459	#CYRILLIC SMALL LETTER LJE
+0x9B	0x203A	#SINGLE RIGHT-POINTING ANGLE QUOTATION MARK
+0x9C	0x045A	#CYRILLIC SMALL LETTER NJE
+0x9D	0x045C	#CYRILLIC SMALL LETTER KJE
+0x9E	0x045B	#CYRILLIC SMALL LETTER TSHE
+0x9F	0x045F	#CYRILLIC SMALL LETTER DZHE
+0xA0	0x00A0	#NO-BREAK SPACE
+0xA1	0x040E	#CYRILLIC CAPITAL LETTER SHORT U
+0xA2	0x045E	#CYRILLIC SMALL LETTER SHORT U
+0xA3	0x0408	#CYRILLIC CAPITAL LETTER JE
+0xA4	0x00A4	#CURRENCY SIGN
+0xA5	0x0490	#CYRILLIC CAPITAL LETTER GHE WITH UPTURN
+0xA6	0x00A6	#BROKEN BAR
+0xA7	0x00A7	#SECTION SIGN
+0xA8	0x0401	#CYRILLIC CAPITAL LETTER IO
+0xA9	0x00A9	#COPYRIGHT SIGN
+0xAA	0x0404	#CYRILLIC CAPITAL LETTER UKRAINIAN IE
+0xAB	0x00AB	#LEFT-POINTING DOUBLE ANGLE QUOTATION MARK
+0xAC	0x00AC	#NOT SIGN
+0xAD	0x00AD	#SOFT HYPHEN
+0xAE	0x00AE	#REGISTERED SIGN
+0xAF	0x0407	#CYRILLIC CAPITAL LETTER YI
+0xB0	0x00B0	#DEGREE SIGN
+0xB1	0x00B1	#PLUS-MINUS SIGN
+0xB2	0x0406	#CYRILLIC CAPITAL LETTER BYELORUSSIAN-UKRAINIAN I
+0xB3	0x0456	#CYRILLIC SMALL LETTER BYELORUSSIAN-UKRAINIAN I
+0xB4	0x0491	#CYRILLIC SMALL LETTER GHE WITH UPTURN
+0xB5	0x00B5	#MICRO SIGN
+0xB6	0x00B6	#PILCROW SIGN
+0xB7	0x00B7	#MIDDLE DOT
+0xB8	0x0451	#CYRILLIC SMALL LETTER IO
+0xB9	0x2116	#NUMERO SIGN
+0xBA	0x0454	#CYRILLIC SMALL LETTER UKRAINIAN IE
+0xBB	0x00BB	#RIGHT-POINTING DOUBLE ANGLE QUOTATION MARK
+0xBC	0x0458	#CYRILLIC SMALL LETTER JE
+0xBD	0x0405	#CYRILLIC CAPITAL LETTER DZE
+0xBE	0x0455	#CYRILLIC SMALL LETTER DZE
+0xBF	0x0457	#CYRILLIC SMALL LETTER YI
+0xC0	0x0410	#CYRILLIC CAPITAL LETTER A
+0xC1	0x0411	#CYRILLIC CAPITAL LETTER BE
+0xC2	0x0412	#CYRILLIC CAPITAL LETTER VE
+0xC3	0x0413	#CYRILLIC CAPITAL LETTER GHE
+0xC4	0x0414	#CYRILLIC CAPITAL LETTER DE
+0xC5	0x0415	#CYRILLIC CAPITAL LETTER IE
+0xC6	0x0416	#CYRILLIC CAPITAL LETTER ZHE
+0xC7	0x0417	#CYRILLIC CAPITAL LETTER ZE
+0xC8	0x0418	#CYRILLIC CAPITAL LETTER I
+0xC9	0x0419	#CYRILLIC CAPITAL LETTER SHORT I
+0xCA	0x041A	#CYRILLIC CAPITAL LETTER KA
+0xCB	0x041B	#CYRILLIC CAPITAL LETTER EL
+0xCC	0x041C	#CYRILLIC CAPITAL LETTER EM
+0xCD	0x041D	#CYRILLIC CAPITAL LETTER EN
+0xCE	0x041E	#CYRILLIC CAPITAL LETTER O
+0xCF	0x041F	#CYRILLIC CAPITAL LETTER PE
+0xD0	0x0420	#CYRILLIC CAPITAL LETTER ER
+0xD1	0x0421	#CYRILLIC CAPITAL LETTER ES
+0xD2	0x0422	#CYRILLIC CAPITAL LETTER TE
+0xD3	0x0423	#CYRILLIC CAPITAL LETTER U
+0xD4	0x0424	#CYRILLIC CAPITAL LETTER EF
+0xD5	0x0425	#CYRILLIC CAPITAL LETTER HA
+0xD6	0x0426	#CYRILLIC CAPITAL LETTER TSE
+0xD7	0x0427	#CYRILLIC CAPITAL LETTER CHE
+0xD8	0x0428	#CYRILLIC CAPITAL LETTER SHA
+0xD9	0x0429	#CYRILLIC CAPITAL LETTER SHCHA
+0xDA	0x042A	#CYRILLIC CAPITAL LETTER HARD SIGN
+0xDB	0x042B	#CYRILLIC CAPITAL LETTER YERU
+0xDC	0x042C	#CYRILLIC CAPITAL LETTER SOFT SIGN
+0xDD	0x042D	#CYRILLIC CAPITAL LETTER E
+0xDE	0x042E	#CYRILLIC CAPITAL LETTER YU
+0xDF	0x042F	#CYRILLIC CAPITAL LETTER YA
+0xE0	0x0430	#CYRILLIC SMALL LETTER A
+0xE1	0x0431	#CYRILLIC SMALL LETTER BE
+0xE2	0x0432	#CYRILLIC SMALL LETTER VE
+0xE3	0x0433	#CYRILLIC SMALL LETTER GHE
+0xE4	0x0434	#CYRILLIC SMALL LETTER DE
+0xE5	0x0435	#CYRILLIC SMALL LETTER IE
+0xE6	0x0436	#CYRILLIC SMALL LETTER ZHE
+0xE7	0x0437	#CYRILLIC SMALL LETTER ZE
+0xE8	0x0438	#CYRILLIC SMALL LETTER I
+0xE9	0x0439	#CYRILLIC SMALL LETTER SHORT I
+0xEA	0x043A	#CYRILLIC SMALL LETTER KA
+0xEB	0x043B	#CYRILLIC SMALL LETTER EL
+0xEC	0x043C	#CYRILLIC SMALL LETTER EM
+0xED	0x043D	#CYRILLIC SMALL LETTER EN
+0xEE	0x043E	#CYRILLIC SMALL LETTER O
+0xEF	0x043F	#CYRILLIC SMALL LETTER PE
+0xF0	0x0440	#CYRILLIC SMALL LETTER ER
+0xF1	0x0441	#CYRILLIC SMALL LETTER ES
+0xF2	0x0442	#CYRILLIC SMALL LETTER TE
+0xF3	0x0443	#CYRILLIC SMALL LETTER U
+0xF4	0x0444	#CYRILLIC SMALL LETTER EF
+0xF5	0x0445	#CYRILLIC SMALL LETTER HA
+0xF6	0x0446	#CYRILLIC SMALL LETTER TSE
+0xF7	0x0447	#CYRILLIC SMALL LETTER CHE
+0xF8	0x0448	#CYRILLIC SMALL LETTER SHA
+0xF9	0x0449	#CYRILLIC SMALL LETTER SHCHA
+0xFA	0x044A	#CYRILLIC SMALL LETTER HARD SIGN
+0xFB	0x044B	#CYRILLIC SMALL LETTER YERU
+0xFC	0x044C	#CYRILLIC SMALL LETTER SOFT SIGN
+0xFD	0x044D	#CYRILLIC SMALL LETTER E
+0xFE	0x044E	#CYRILLIC SMALL LETTER YU
+0xFF	0x044F	#CYRILLIC SMALL LETTER YA
diff -pruN 0.12~pre2.dfsg0-1/Unicode/cp1252.cp 0.12~pre4-1/Unicode/cp1252.cp
--- 0.12~pre2.dfsg0-1/Unicode/cp1252.cp	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/Unicode/cp1252.cp	2009-05-31 09:48:47.000000000 +0100
@@ -1,6 +1,35 @@
 Window$ 1252
 "windows-1252", "1252"
 
+# ----------------------------------------------------------------------
+# The following data was downloaded from
+# http://www.unicode.org/Public/MAPPINGS/VENDORS/MICSFT/WINDOWS/CP1252.TXT
+# on 2008-10-05, so it is a Unicode Data File covered by the Unicode
+# copyright and permission notice in the COPYING file of ELinks,
+# regardless of any terms shown below.
+#
+# This file differs from the original in the following ways:
+# - Added this comment, blank lines around it, and charset names above it.
+# ----------------------------------------------------------------------
+
+#
+#    Name:     cp1252 to Unicode table
+#    Unicode version: 2.0
+#    Table version: 2.01
+#    Table format:  Format A
+#    Date:          04/15/98
+#
+#    Contact:       Shawn.Steele@microsoft.com
+#
+#    General notes: none
+#
+#    Format: Three tab-separated columns
+#        Column #1 is the cp1252 code (in hex)
+#        Column #2 is the Unicode (in hex as 0xXXXX)
+#        Column #3 is the Unicode name (follows a comment sign, '#')
+#
+#    The entries are in cp1252 order
+#
 0x00	0x0000	#NULL
 0x01	0x0001	#START OF HEADING
 0x02	0x0002	#START OF TEXT
@@ -130,6 +159,7 @@ Window$ 1252
 0x7E	0x007E	#TILDE
 0x7F	0x007F	#DELETE
 0x80	0x20AC	#EURO SIGN
+0x81	      	#UNDEFINED
 0x82	0x201A	#SINGLE LOW-9 QUOTATION MARK
 0x83	0x0192	#LATIN SMALL LETTER F WITH HOOK
 0x84	0x201E	#DOUBLE LOW-9 QUOTATION MARK
@@ -141,7 +171,10 @@ Window$ 1252
 0x8A	0x0160	#LATIN CAPITAL LETTER S WITH CARON
 0x8B	0x2039	#SINGLE LEFT-POINTING ANGLE QUOTATION MARK
 0x8C	0x0152	#LATIN CAPITAL LIGATURE OE
+0x8D	      	#UNDEFINED
 0x8E	0x017D	#LATIN CAPITAL LETTER Z WITH CARON
+0x8F	      	#UNDEFINED
+0x90	      	#UNDEFINED
 0x91	0x2018	#LEFT SINGLE QUOTATION MARK
 0x92	0x2019	#RIGHT SINGLE QUOTATION MARK
 0x93	0x201C	#LEFT DOUBLE QUOTATION MARK
@@ -154,6 +187,7 @@ Window$ 1252
 0x9A	0x0161	#LATIN SMALL LETTER S WITH CARON
 0x9B	0x203A	#SINGLE RIGHT-POINTING ANGLE QUOTATION MARK
 0x9C	0x0153	#LATIN SMALL LIGATURE OE
+0x9D	      	#UNDEFINED
 0x9E	0x017E	#LATIN SMALL LETTER Z WITH CARON
 0x9F	0x0178	#LATIN CAPITAL LETTER Y WITH DIAERESIS
 0xA0	0x00A0	#NO-BREAK SPACE
@@ -194,7 +228,7 @@ Window$ 1252
 0xC3	0x00C3	#LATIN CAPITAL LETTER A WITH TILDE
 0xC4	0x00C4	#LATIN CAPITAL LETTER A WITH DIAERESIS
 0xC5	0x00C5	#LATIN CAPITAL LETTER A WITH RING ABOVE
-0xC6	0x00C6	#LATIN CAPITAL LIGATURE AE
+0xC6	0x00C6	#LATIN CAPITAL LETTER AE
 0xC7	0x00C7	#LATIN CAPITAL LETTER C WITH CEDILLA
 0xC8	0x00C8	#LATIN CAPITAL LETTER E WITH GRAVE
 0xC9	0x00C9	#LATIN CAPITAL LETTER E WITH ACUTE
@@ -226,7 +260,7 @@ Window$ 1252
 0xE3	0x00E3	#LATIN SMALL LETTER A WITH TILDE
 0xE4	0x00E4	#LATIN SMALL LETTER A WITH DIAERESIS
 0xE5	0x00E5	#LATIN SMALL LETTER A WITH RING ABOVE
-0xE6	0x00E6	#LATIN SMALL LIGATURE AE
+0xE6	0x00E6	#LATIN SMALL LETTER AE
 0xE7	0x00E7	#LATIN SMALL LETTER C WITH CEDILLA
 0xE8	0x00E8	#LATIN SMALL LETTER E WITH GRAVE
 0xE9	0x00E9	#LATIN SMALL LETTER E WITH ACUTE
diff -pruN 0.12~pre2.dfsg0-1/Unicode/cp1256.cp 0.12~pre4-1/Unicode/cp1256.cp
--- 0.12~pre2.dfsg0-1/Unicode/cp1256.cp	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/Unicode/cp1256.cp	2009-05-31 09:48:47.000000000 +0100
@@ -1,5 +1,17 @@
 Window$ 1256
 "windows-1256", "1256", "cp1256", "MS-ARAB"
+
+# ----------------------------------------------------------------------
+# The following data was downloaded from
+# http://www.unicode.org/Public/MAPPINGS/VENDORS/MICSFT/WINDOWS/CP1256.TXT
+# on 2008-10-05, so it is a Unicode Data File covered by the Unicode
+# copyright and permission notice in the COPYING file of ELinks,
+# regardless of any terms shown below.
+#
+# This file differs from the original in the following ways:
+# - Added this comment, blank lines around it, and charset names above it.
+# ----------------------------------------------------------------------
+
 #
 #    Name:     cp1256 to Unicode table
 #    Unicode version: 2.1
@@ -7,7 +19,7 @@ Window$ 1256
 #    Table format:  Format A
 #    Date:          01/5/99
 #
-#    Contact:       cpxlate@microsoft.com
+#    Contact:       Shawn.Steele@microsoft.com
 #
 #    General notes: none
 #
diff -pruN 0.12~pre2.dfsg0-1/Unicode/cp1257.cp 0.12~pre4-1/Unicode/cp1257.cp
--- 0.12~pre2.dfsg0-1/Unicode/cp1257.cp	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/Unicode/cp1257.cp	2009-05-31 09:48:47.000000000 +0100
@@ -1,5 +1,17 @@
 Window$ 1257
 "windows-1257", "windows1257", "1257", "cp1257", "WINBALTRIM"
+
+# ----------------------------------------------------------------------
+# The following data was downloaded from
+# http://www.unicode.org/Public/MAPPINGS/VENDORS/MICSFT/WINDOWS/CP1257.TXT
+# on 2008-10-05, so it is a Unicode Data File covered by the Unicode
+# copyright and permission notice in the COPYING file of ELinks,
+# regardless of any terms shown below.
+#
+# This file differs from the original in the following ways:
+# - Added this comment, blank lines around it, and charset names above it.
+# ----------------------------------------------------------------------
+
 #
 #    Name:     cp1257 to Unicode table
 #    Unicode version: 2.0
@@ -7,7 +19,7 @@ Window$ 1257
 #    Table format:  Format A
 #    Date:          04/15/98
 #
-#    Contact:       cpxlate@microsoft.com
+#    Contact:       Shawn.Steele@microsoft.com
 #
 #    General notes: none
 #
@@ -18,10 +30,134 @@ Window$ 1257
 #
 #    The entries are in cp1257 order
 #
-##################
-
-0x20-0x7e       idem
-#
+0x00	0x0000	#NULL
+0x01	0x0001	#START OF HEADING
+0x02	0x0002	#START OF TEXT
+0x03	0x0003	#END OF TEXT
+0x04	0x0004	#END OF TRANSMISSION
+0x05	0x0005	#ENQUIRY
+0x06	0x0006	#ACKNOWLEDGE
+0x07	0x0007	#BELL
+0x08	0x0008	#BACKSPACE
+0x09	0x0009	#HORIZONTAL TABULATION
+0x0A	0x000A	#LINE FEED
+0x0B	0x000B	#VERTICAL TABULATION
+0x0C	0x000C	#FORM FEED
+0x0D	0x000D	#CARRIAGE RETURN
+0x0E	0x000E	#SHIFT OUT
+0x0F	0x000F	#SHIFT IN
+0x10	0x0010	#DATA LINK ESCAPE
+0x11	0x0011	#DEVICE CONTROL ONE
+0x12	0x0012	#DEVICE CONTROL TWO
+0x13	0x0013	#DEVICE CONTROL THREE
+0x14	0x0014	#DEVICE CONTROL FOUR
+0x15	0x0015	#NEGATIVE ACKNOWLEDGE
+0x16	0x0016	#SYNCHRONOUS IDLE
+0x17	0x0017	#END OF TRANSMISSION BLOCK
+0x18	0x0018	#CANCEL
+0x19	0x0019	#END OF MEDIUM
+0x1A	0x001A	#SUBSTITUTE
+0x1B	0x001B	#ESCAPE
+0x1C	0x001C	#FILE SEPARATOR
+0x1D	0x001D	#GROUP SEPARATOR
+0x1E	0x001E	#RECORD SEPARATOR
+0x1F	0x001F	#UNIT SEPARATOR
+0x20	0x0020	#SPACE
+0x21	0x0021	#EXCLAMATION MARK
+0x22	0x0022	#QUOTATION MARK
+0x23	0x0023	#NUMBER SIGN
+0x24	0x0024	#DOLLAR SIGN
+0x25	0x0025	#PERCENT SIGN
+0x26	0x0026	#AMPERSAND
+0x27	0x0027	#APOSTROPHE
+0x28	0x0028	#LEFT PARENTHESIS
+0x29	0x0029	#RIGHT PARENTHESIS
+0x2A	0x002A	#ASTERISK
+0x2B	0x002B	#PLUS SIGN
+0x2C	0x002C	#COMMA
+0x2D	0x002D	#HYPHEN-MINUS
+0x2E	0x002E	#FULL STOP
+0x2F	0x002F	#SOLIDUS
+0x30	0x0030	#DIGIT ZERO
+0x31	0x0031	#DIGIT ONE
+0x32	0x0032	#DIGIT TWO
+0x33	0x0033	#DIGIT THREE
+0x34	0x0034	#DIGIT FOUR
+0x35	0x0035	#DIGIT FIVE
+0x36	0x0036	#DIGIT SIX
+0x37	0x0037	#DIGIT SEVEN
+0x38	0x0038	#DIGIT EIGHT
+0x39	0x0039	#DIGIT NINE
+0x3A	0x003A	#COLON
+0x3B	0x003B	#SEMICOLON
+0x3C	0x003C	#LESS-THAN SIGN
+0x3D	0x003D	#EQUALS SIGN
+0x3E	0x003E	#GREATER-THAN SIGN
+0x3F	0x003F	#QUESTION MARK
+0x40	0x0040	#COMMERCIAL AT
+0x41	0x0041	#LATIN CAPITAL LETTER A
+0x42	0x0042	#LATIN CAPITAL LETTER B
+0x43	0x0043	#LATIN CAPITAL LETTER C
+0x44	0x0044	#LATIN CAPITAL LETTER D
+0x45	0x0045	#LATIN CAPITAL LETTER E
+0x46	0x0046	#LATIN CAPITAL LETTER F
+0x47	0x0047	#LATIN CAPITAL LETTER G
+0x48	0x0048	#LATIN CAPITAL LETTER H
+0x49	0x0049	#LATIN CAPITAL LETTER I
+0x4A	0x004A	#LATIN CAPITAL LETTER J
+0x4B	0x004B	#LATIN CAPITAL LETTER K
+0x4C	0x004C	#LATIN CAPITAL LETTER L
+0x4D	0x004D	#LATIN CAPITAL LETTER M
+0x4E	0x004E	#LATIN CAPITAL LETTER N
+0x4F	0x004F	#LATIN CAPITAL LETTER O
+0x50	0x0050	#LATIN CAPITAL LETTER P
+0x51	0x0051	#LATIN CAPITAL LETTER Q
+0x52	0x0052	#LATIN CAPITAL LETTER R
+0x53	0x0053	#LATIN CAPITAL LETTER S
+0x54	0x0054	#LATIN CAPITAL LETTER T
+0x55	0x0055	#LATIN CAPITAL LETTER U
+0x56	0x0056	#LATIN CAPITAL LETTER V
+0x57	0x0057	#LATIN CAPITAL LETTER W
+0x58	0x0058	#LATIN CAPITAL LETTER X
+0x59	0x0059	#LATIN CAPITAL LETTER Y
+0x5A	0x005A	#LATIN CAPITAL LETTER Z
+0x5B	0x005B	#LEFT SQUARE BRACKET
+0x5C	0x005C	#REVERSE SOLIDUS
+0x5D	0x005D	#RIGHT SQUARE BRACKET
+0x5E	0x005E	#CIRCUMFLEX ACCENT
+0x5F	0x005F	#LOW LINE
+0x60	0x0060	#GRAVE ACCENT
+0x61	0x0061	#LATIN SMALL LETTER A
+0x62	0x0062	#LATIN SMALL LETTER B
+0x63	0x0063	#LATIN SMALL LETTER C
+0x64	0x0064	#LATIN SMALL LETTER D
+0x65	0x0065	#LATIN SMALL LETTER E
+0x66	0x0066	#LATIN SMALL LETTER F
+0x67	0x0067	#LATIN SMALL LETTER G
+0x68	0x0068	#LATIN SMALL LETTER H
+0x69	0x0069	#LATIN SMALL LETTER I
+0x6A	0x006A	#LATIN SMALL LETTER J
+0x6B	0x006B	#LATIN SMALL LETTER K
+0x6C	0x006C	#LATIN SMALL LETTER L
+0x6D	0x006D	#LATIN SMALL LETTER M
+0x6E	0x006E	#LATIN SMALL LETTER N
+0x6F	0x006F	#LATIN SMALL LETTER O
+0x70	0x0070	#LATIN SMALL LETTER P
+0x71	0x0071	#LATIN SMALL LETTER Q
+0x72	0x0072	#LATIN SMALL LETTER R
+0x73	0x0073	#LATIN SMALL LETTER S
+0x74	0x0074	#LATIN SMALL LETTER T
+0x75	0x0075	#LATIN SMALL LETTER U
+0x76	0x0076	#LATIN SMALL LETTER V
+0x77	0x0077	#LATIN SMALL LETTER W
+0x78	0x0078	#LATIN SMALL LETTER X
+0x79	0x0079	#LATIN SMALL LETTER Y
+0x7A	0x007A	#LATIN SMALL LETTER Z
+0x7B	0x007B	#LEFT CURLY BRACKET
+0x7C	0x007C	#VERTICAL LINE
+0x7D	0x007D	#RIGHT CURLY BRACKET
+0x7E	0x007E	#TILDE
+0x7F	0x007F	#DELETE
 0x80	0x20AC	#EURO SIGN
 0x81	      	#UNDEFINED
 0x82	0x201A	#SINGLE LOW-9 QUOTATION MARK
@@ -150,4 +286,3 @@ Window$ 1257
 0xFD	0x017C	#LATIN SMALL LETTER Z WITH DOT ABOVE
 0xFE	0x017E	#LATIN SMALL LETTER Z WITH CARON
 0xFF	0x02D9	#DOT ABOVE
-
diff -pruN 0.12~pre2.dfsg0-1/Unicode/cp437.cp 0.12~pre4-1/Unicode/cp437.cp
--- 0.12~pre2.dfsg0-1/Unicode/cp437.cp	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/Unicode/cp437.cp	2009-05-31 09:48:47.000000000 +0100
@@ -1,13 +1,25 @@
 CP 437
 "cp437", "437", "IBM437", "csPC8CodePage437"
+
+# ----------------------------------------------------------------------
+# The following data was downloaded from
+# http://www.unicode.org/Public/MAPPINGS/VENDORS/MICSFT/PC/CP437.TXT
+# on 2008-10-05, so it is a Unicode Data File covered by the Unicode
+# copyright and permission notice in the COPYING file of ELinks,
+# regardless of any terms shown below.
+#
+# This file differs from the original in the following ways:
+# - Added this comment, blank lines around it, and charset names above it.
+# ----------------------------------------------------------------------
+
 #
 #    Name:     cp437_DOSLatinUS to Unicode table
 #    Unicode version: 2.0
 #    Table version: 2.00
 #    Table format:  Format A
 #    Date:          04/24/96
-#    Authors:       Lori Brownell <loribr@microsoft.com>
-#                   K.D. Chang    <a-kchang@microsoft.com>
+#    Contact: Shawn.Steele@microsoft.com
+#                   
 #    General notes: none
 #
 #    Format: Three tab-separated columns
@@ -273,3 +285,4 @@ CP 437
 0xfd	0x00b2	#SUPERSCRIPT TWO
 0xfe	0x25a0	#BLACK SQUARE
 0xff	0x00a0	#NO-BREAK SPACE
+
\ No newline at end of file
diff -pruN 0.12~pre2.dfsg0-1/Unicode/cp737.cp 0.12~pre4-1/Unicode/cp737.cp
--- 0.12~pre2.dfsg0-1/Unicode/cp737.cp	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/Unicode/cp737.cp	2009-05-31 09:48:47.000000000 +0100
@@ -1,13 +1,25 @@
 CP 737
 "cp737", "737"
+
+# ----------------------------------------------------------------------
+# The following data was downloaded from
+# http://www.unicode.org/Public/MAPPINGS/VENDORS/MICSFT/PC/CP737.TXT
+# on 2008-10-05, so it is a Unicode Data File covered by the Unicode
+# copyright and permission notice in the COPYING file of ELinks,
+# regardless of any terms shown below.
+#
+# This file differs from the original in the following ways:
+# - Added this comment, blank lines around it, and charset names above it.
+# ----------------------------------------------------------------------
+
 #
 #    Name:     cp737_DOSGreek to Unicode table
 #    Unicode version: 2.0
 #    Table version: 2.00
 #    Table format:  Format A
 #    Date:          04/24/96
-#    Authors:       Lori Brownell <loribr@microsoft.com>
-#                   K.D. Chang    <a-kchang@microsoft.com>
+#    Contact: Shawn.Steele@microsoft.com
+#                   
 #    General notes: none
 #
 #    Format: Three tab-separated columns
@@ -273,3 +285,4 @@ CP 737
 0xfd	0x00b2	#SUPERSCRIPT TWO
 0xfe	0x25a0	#BLACK SQUARE
 0xff	0x00a0	#NO-BREAK SPACE
+
\ No newline at end of file
diff -pruN 0.12~pre2.dfsg0-1/Unicode/cp850.cp 0.12~pre4-1/Unicode/cp850.cp
--- 0.12~pre2.dfsg0-1/Unicode/cp850.cp	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/Unicode/cp850.cp	2009-05-31 09:48:47.000000000 +0100
@@ -1,13 +1,25 @@
 CP 850
 "cp850", "850", "IBM850", "csPC850Multilingual"
+
+# ----------------------------------------------------------------------
+# The following data was downloaded from
+# http://www.unicode.org/Public/MAPPINGS/VENDORS/MICSFT/PC/CP850.TXT
+# on 2008-10-05, so it is a Unicode Data File covered by the Unicode
+# copyright and permission notice in the COPYING file of ELinks,
+# regardless of any terms shown below.
+#
+# This file differs from the original in the following ways:
+# - Added this comment, blank lines around it, and charset names above it.
+# ----------------------------------------------------------------------
+
 #
 #    Name:     cp850_DOSLatin1 to Unicode table
 #    Unicode version: 2.0
 #    Table version: 2.00
 #    Table format:  Format A
 #    Date:          04/24/96
-#    Authors:       Lori Brownell <loribr@microsoft.com>
-#                   K.D. Chang    <a-kchang@microsoft.com>
+#    Contact: Shawn.Steele@microsoft.com
+#                   
 #    General notes: none
 #
 #    Format: Three tab-separated columns
@@ -273,3 +285,4 @@ CP 850
 0xfd	0x00b2	#SUPERSCRIPT TWO
 0xfe	0x25a0	#BLACK SQUARE
 0xff	0x00a0	#NO-BREAK SPACE
+
\ No newline at end of file
diff -pruN 0.12~pre2.dfsg0-1/Unicode/cp852.cp 0.12~pre4-1/Unicode/cp852.cp
--- 0.12~pre2.dfsg0-1/Unicode/cp852.cp	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/Unicode/cp852.cp	2009-05-31 09:48:47.000000000 +0100
@@ -1,13 +1,25 @@
 CP 852
 "cp852", "852", "csPCp852"
+
+# ----------------------------------------------------------------------
+# The following data was downloaded from
+# http://www.unicode.org/Public/MAPPINGS/VENDORS/MICSFT/PC/CP852.TXT
+# on 2008-10-05, so it is a Unicode Data File covered by the Unicode
+# copyright and permission notice in the COPYING file of ELinks,
+# regardless of any terms shown below.
+#
+# This file differs from the original in the following ways:
+# - Added this comment, blank lines around it, and charset names above it.
+# ----------------------------------------------------------------------
+
 #
 #    Name:     cp852_DOSLatin2 to Unicode table
 #    Unicode version: 2.0
 #    Table version: 2.00
 #    Table format:  Format A
 #    Date:          04/24/96
-#    Authors:       Lori Brownell <loribr@microsoft.com>
-#                   K.D. Chang    <a-kchang@microsoft.com>
+#    Contact: Shawn.Steele@microsoft.com
+#                   
 #    General notes: none
 #
 #    Format: Three tab-separated columns
@@ -273,3 +285,4 @@ CP 852
 0xfd	0x0159	#LATIN SMALL LETTER R WITH CARON
 0xfe	0x25a0	#BLACK SQUARE
 0xff	0x00a0	#NO-BREAK SPACE
+
\ No newline at end of file
diff -pruN 0.12~pre2.dfsg0-1/Unicode/cp866.cp 0.12~pre4-1/Unicode/cp866.cp
--- 0.12~pre2.dfsg0-1/Unicode/cp866.cp	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/Unicode/cp866.cp	2009-05-31 09:48:47.000000000 +0100
@@ -1,13 +1,25 @@
 CP 866
 "cp866", "866", "IBM866", "csIBM866"
+
+# ----------------------------------------------------------------------
+# The following data was downloaded from
+# http://www.unicode.org/Public/MAPPINGS/VENDORS/MICSFT/PC/CP866.TXT
+# on 2008-10-05, so it is a Unicode Data File covered by the Unicode
+# copyright and permission notice in the COPYING file of ELinks,
+# regardless of any terms shown below.
+#
+# This file differs from the original in the following ways:
+# - Added this comment, blank lines around it, and charset names above it.
+# ----------------------------------------------------------------------
+
 #
 #    Name:     cp866_DOSCyrillicRussian to Unicode table
 #    Unicode version: 2.0
 #    Table version: 2.00
 #    Table format:  Format A
 #    Date:          04/24/96
-#    Authors:       Lori Brownell <loribr@microsoft.com>
-#                   K.D. Chang    <a-kchang@microsoft.com>
+#    Contact: Shawn.Steele@microsoft.com
+#                   
 #    General notes: none
 #
 #    Format: Three tab-separated columns
@@ -274,3 +286,4 @@ CP 866
 0xfe	0x25a0	#BLACK SQUARE
 0xff	0x00a0	#NO-BREAK SPACE
 
+
\ No newline at end of file
diff -pruN 0.12~pre2.dfsg0-1/Unicode/gen-cp 0.12~pre4-1/Unicode/gen-cp
--- 0.12~pre2.dfsg0-1/Unicode/gen-cp	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/Unicode/gen-cp	2009-05-31 09:48:47.000000000 +0100
@@ -13,6 +13,7 @@ n=0
 
 echo '/* Automatically generated by gen-cp */'
 echo '/* DO NOT EDIT THIS FILE! EDIT Unicode/<whatever> INSTEAD! */'
+echo '/* See the input files for copyrights and licences. */'
 echo
 
 for i in $codepages; do
diff -pruN 0.12~pre2.dfsg0-1/Unicode/koi8_r.cp 0.12~pre4-1/Unicode/koi8_r.cp
--- 0.12~pre2.dfsg0-1/Unicode/koi8_r.cp	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/Unicode/koi8_r.cp	2009-05-31 09:48:47.000000000 +0100
@@ -1,226 +1,316 @@
 KOI8-R
 "koi8-r", "csKOI8R"
 
-0x20	0x0020	# SPACE
-0x21	0x0021	# EXCLAMATION MARK
-0x22	0x0022	# QUOTATION MARK
-0x23	0x0023	# NUMBER SIGN
-0x24	0x0024	# DOLLAR SIGN
-0x25	0x0025	# PERCENT SIGN
-0x26	0x0026	# AMPERSAND
-0x27	0x0027	# APOSTROPHE
-0x28	0x0028	# LEFT PARENTHESIS
-0x29	0x0029	# RIGHT PARENTHESIS
-0x2A	0x002A	# ASTERISK
-0x2B	0x002B	# PLUS SIGN
-0x2C	0x002C	# COMMA
-0x2D	0x002D	# HYPHEN-MINUS
-0x2E	0x002E	# FULL STOP
-0x2F	0x002F	# SOLIDUS
-0x30	0x0030	# DIGIT ZERO
-0x31	0x0031	# DIGIT ONE
-0x32	0x0032	# DIGIT TWO
-0x33	0x0033	# DIGIT THREE
-0x34	0x0034	# DIGIT FOUR
-0x35	0x0035	# DIGIT FIVE
-0x36	0x0036	# DIGIT SIX
-0x37	0x0037	# DIGIT SEVEN
-0x38	0x0038	# DIGIT EIGHT
-0x39	0x0039	# DIGIT NINE
-0x3A	0x003A	# COLON
-0x3B	0x003B	# SEMICOLON
-0x3C	0x003C	# LESS-THAN SIGN
-0x3D	0x003D	# EQUALS SIGN
-0x3E	0x003E	# GREATER-THAN SIGN
-0x3F	0x003F	# QUESTION MARK
-0x40	0x0040	# COMMERCIAL AT
-0x41	0x0041	# LATIN CAPITAL LETTER A
-0x42	0x0042	# LATIN CAPITAL LETTER B
-0x43	0x0043	# LATIN CAPITAL LETTER C
-0x44	0x0044	# LATIN CAPITAL LETTER D
-0x45	0x0045	# LATIN CAPITAL LETTER E
-0x46	0x0046	# LATIN CAPITAL LETTER F
-0x47	0x0047	# LATIN CAPITAL LETTER G
-0x48	0x0048	# LATIN CAPITAL LETTER H
-0x49	0x0049	# LATIN CAPITAL LETTER I
-0x4A	0x004A	# LATIN CAPITAL LETTER J
-0x4B	0x004B	# LATIN CAPITAL LETTER K
-0x4C	0x004C	# LATIN CAPITAL LETTER L
-0x4D	0x004D	# LATIN CAPITAL LETTER M
-0x4E	0x004E	# LATIN CAPITAL LETTER N
-0x4F	0x004F	# LATIN CAPITAL LETTER O
-0x50	0x0050	# LATIN CAPITAL LETTER P
-0x51	0x0051	# LATIN CAPITAL LETTER Q
-0x52	0x0052	# LATIN CAPITAL LETTER R
-0x53	0x0053	# LATIN CAPITAL LETTER S
-0x54	0x0054	# LATIN CAPITAL LETTER T
-0x55	0x0055	# LATIN CAPITAL LETTER U
-0x56	0x0056	# LATIN CAPITAL LETTER V
-0x57	0x0057	# LATIN CAPITAL LETTER W
-0x58	0x0058	# LATIN CAPITAL LETTER X
-0x59	0x0059	# LATIN CAPITAL LETTER Y
-0x5A	0x005A	# LATIN CAPITAL LETTER Z
-0x5B	0x005B	# LEFT SQUARE BRACKET
-0x5C	0x005C	# REVERSE SOLIDUS
-0x5D	0x005D	# RIGHT SQUARE BRACKET
-0x5E	0x005E	# CIRCUMFLEX ACCENT
-0x5F	0x005F	# LOW LINE
-0x60	0x0060	# GRAVE ACCENT
-0x61	0x0061	# LATIN SMALL LETTER A
-0x62	0x0062	# LATIN SMALL LETTER B
-0x63	0x0063	# LATIN SMALL LETTER C
-0x64	0x0064	# LATIN SMALL LETTER D
-0x65	0x0065	# LATIN SMALL LETTER E
-0x66	0x0066	# LATIN SMALL LETTER F
-0x67	0x0067	# LATIN SMALL LETTER G
-0x68	0x0068	# LATIN SMALL LETTER H
-0x69	0x0069	# LATIN SMALL LETTER I
-0x6A	0x006A	# LATIN SMALL LETTER J
-0x6B	0x006B	# LATIN SMALL LETTER K
-0x6C	0x006C	# LATIN SMALL LETTER L
-0x6D	0x006D	# LATIN SMALL LETTER M
-0x6E	0x006E	# LATIN SMALL LETTER N
-0x6F	0x006F	# LATIN SMALL LETTER O
-0x70	0x0070	# LATIN SMALL LETTER P
-0x71	0x0071	# LATIN SMALL LETTER Q
-0x72	0x0072	# LATIN SMALL LETTER R
-0x73	0x0073	# LATIN SMALL LETTER S
-0x74	0x0074	# LATIN SMALL LETTER T
-0x75	0x0075	# LATIN SMALL LETTER U
-0x76	0x0076	# LATIN SMALL LETTER V
-0x77	0x0077	# LATIN SMALL LETTER W
-0x78	0x0078	# LATIN SMALL LETTER X
-0x79	0x0079	# LATIN SMALL LETTER Y
-0x7A	0x007A	# LATIN SMALL LETTER Z
-0x7B	0x007B	# LEFT CURLY BRACKET
-0x7C	0x007C	# VERTICAL LINE
-0x7D	0x007D	# RIGHT CURLY BRACKET
-0x7E	0x007E	# TILDE
-0x80	0x2500	# BOX DRAWINGS LIGHT HORIZONTAL
-0x81	0x2502	# BOX DRAWINGS LIGHT VERTICAL
-0x82	0x250C	# BOX DRAWINGS LIGHT DOWN AND RIGHT
-0x83	0x2510	# BOX DRAWINGS LIGHT DOWN AND LEFT
-0x84	0x2514	# BOX DRAWINGS LIGHT UP AND RIGHT
-0x85	0x2518	# BOX DRAWINGS LIGHT UP AND LEFT
-0x86	0x251C	# BOX DRAWINGS LIGHT VERTICAL AND RIGHT
-0x87	0x2524	# BOX DRAWINGS LIGHT VERTICAL AND LEFT
-0x88	0x252C	# BOX DRAWINGS LIGHT DOWN AND HORIZONTAL
-0x89	0x2534	# BOX DRAWINGS LIGHT UP AND HORIZONTAL
-0x8A	0x253C	# BOX DRAWINGS LIGHT VERTICAL AND HORIZONTAL
-0x8B	0x2580	# UPPER HALF BLOCK
-0x8C	0x2584	# LOWER HALF BLOCK
-0x8D	0x2588	# FULL BLOCK
-0x8E	0x258C	# LEFT HALF BLOCK
-0x8F	0x2590	# RIGHT HALF BLOCK
-0x90	0x2591	# LIGHT SHADE
-0x91	0x2592	# MEDIUM SHADE
-0x92	0x2593	# DARK SHADE
-0x93	0x2320	# TOP HALF INTEGRAL
-0x94	0x25A0	# BLACK SQUARE
-0x95	0x2022	# BULLET
-0x96	0x221A	# SQUARE ROOT
-0x97	0x2248	# ALMOST EQUAL TO
-0x98	0x2264	# LESS-THAN OR EQUAL TO
-0x99	0x2265	# GREATER-THAN OR EQUAL TO
-0x9A	0x00A0	# NO-BREAK SPACE
-0x9B	0x2321	# BOTTOM HALF INTEGRAL
-0x9C	0x00B0	# DEGREE SIGN
-0x9D	0x00B2	# SUPERSCRIPT TWO
-0x9E	0x00B7	# MIDDLE DOT
-0x9F	0x00F7	# DIVISION SIGN
-0xA0	0x2550	# BOX DRAWINGS DOUBLE HORIZONTAL
-0xA1	0x2551	# BOX DRAWINGS DOUBLE VERTICAL
-0xA2	0x2552	# BOX DRAWINGS DOWN SINGLE AND RIGHT DOUBLE
-0xA3	0x0451	# CYRILLIC SMALL LETTER IO
-0xA4	0x2553	# BOX DRAWINGS DOWN DOUBLE AND RIGHT SINGLE
-0xA5	0x2554	# BOX DRAWINGS DOUBLE DOWN AND RIGHT
-0xA6	0x2555	# BOX DRAWINGS DOWN SINGLE AND LEFT DOUBLE
-0xA7	0x2556	# BOX DRAWINGS DOWN DOUBLE AND LEFT SINGLE
-0xA8	0x2557	# BOX DRAWINGS DOUBLE DOWN AND LEFT
-0xA9	0x2558	# BOX DRAWINGS UP SINGLE AND RIGHT DOUBLE
-0xAA	0x2559	# BOX DRAWINGS UP DOUBLE AND RIGHT SINGLE
-0xAB	0x255A	# BOX DRAWINGS DOUBLE UP AND RIGHT
-0xAC	0x255B	# BOX DRAWINGS UP SINGLE AND LEFT DOUBLE
-0xAD	0x255C	# BOX DRAWINGS UP DOUBLE AND LEFT SINGLE
-0xAE	0x255D	# BOX DRAWINGS DOUBLE UP AND LEFT
-0xAF	0x255E	# BOX DRAWINGS VERTICAL SINGLE AND RIGHT DOUBLE
-0xB0	0x255F	# BOX DRAWINGS VERTICAL DOUBLE AND RIGHT SINGLE
-0xB1	0x2560	# BOX DRAWINGS DOUBLE VERTICAL AND RIGHT
-0xB2	0x2561	# BOX DRAWINGS VERTICAL SINGLE AND LEFT DOUBLE
-0xB3	0x0401	# CYRILLIC CAPITAL LETTER IO
-0xB4	0x2562	# BOX DRAWINGS VERTICAL DOUBLE AND LEFT SINGLE
-0xB5	0x2563	# BOX DRAWINGS DOUBLE VERTICAL AND LEFT
-0xB6	0x2564	# BOX DRAWINGS DOWN SINGLE AND HORIZONTAL DOUBLE
-0xB7	0x2565	# BOX DRAWINGS DOWN DOUBLE AND HORIZONTAL SINGLE
-0xB8	0x2566	# BOX DRAWINGS DOUBLE DOWN AND HORIZONTAL
-0xB9	0x2567	# BOX DRAWINGS UP SINGLE AND HORIZONTAL DOUBLE
-0xBA	0x2568	# BOX DRAWINGS UP DOUBLE AND HORIZONTAL SINGLE
-0xBB	0x2569	# BOX DRAWINGS DOUBLE UP AND HORIZONTAL
-0xBC	0x256A	# BOX DRAWINGS VERTICAL SINGLE AND HORIZONTAL DOUBLE
-0xBD	0x256B	# BOX DRAWINGS VERTICAL DOUBLE AND HORIZONTAL SINGLE
-0xBE	0x256C	# BOX DRAWINGS DOUBLE VERTICAL AND HORIZONTAL
-0xBF	0x00A9	# COPYRIGHT SIGN
-0xC0	0x044E	# CYRILLIC SMALL LETTER YU
-0xC1	0x0430	# CYRILLIC SMALL LETTER A
-0xC2	0x0431	# CYRILLIC SMALL LETTER BE
-0xC3	0x0446	# CYRILLIC SMALL LETTER TSE
-0xC4	0x0434	# CYRILLIC SMALL LETTER DE
-0xC5	0x0435	# CYRILLIC SMALL LETTER IE
-0xC6	0x0444	# CYRILLIC SMALL LETTER EF
-0xC7	0x0433	# CYRILLIC SMALL LETTER GHE
-0xC8	0x0445	# CYRILLIC SMALL LETTER HA
-0xC9	0x0438	# CYRILLIC SMALL LETTER I
-0xCA	0x0439	# CYRILLIC SMALL LETTER SHORT I
-0xCB	0x043A	# CYRILLIC SMALL LETTER KA
-0xCC	0x043B	# CYRILLIC SMALL LETTER EL
-0xCD	0x043C	# CYRILLIC SMALL LETTER EM
-0xCE	0x043D	# CYRILLIC SMALL LETTER EN
-0xCF	0x043E	# CYRILLIC SMALL LETTER O
-0xD0	0x043F	# CYRILLIC SMALL LETTER PE
-0xD1	0x044F	# CYRILLIC SMALL LETTER YA
-0xD2	0x0440	# CYRILLIC SMALL LETTER ER
-0xD3	0x0441	# CYRILLIC SMALL LETTER ES
-0xD4	0x0442	# CYRILLIC SMALL LETTER TE
-0xD5	0x0443	# CYRILLIC SMALL LETTER U
-0xD6	0x0436	# CYRILLIC SMALL LETTER ZHE
-0xD7	0x0432	# CYRILLIC SMALL LETTER VE
-0xD8	0x044C	# CYRILLIC SMALL LETTER SOFT SIGN
-0xD9	0x044B	# CYRILLIC SMALL LETTER YERU
-0xDA	0x0437	# CYRILLIC SMALL LETTER ZE
-0xDB	0x0448	# CYRILLIC SMALL LETTER SHA
-0xDC	0x044D	# CYRILLIC SMALL LETTER E
-0xDD	0x0449	# CYRILLIC SMALL LETTER SHCHA
-0xDE	0x0447	# CYRILLIC SMALL LETTER CHE
-0xDF	0x044A	# CYRILLIC SMALL LETTER HARD SIGN
-0xE0	0x042E	# CYRILLIC CAPITAL LETTER YU
-0xE1	0x0410	# CYRILLIC CAPITAL LETTER A
-0xE2	0x0411	# CYRILLIC CAPITAL LETTER BE
-0xE3	0x0426	# CYRILLIC CAPITAL LETTER TSE
-0xE4	0x0414	# CYRILLIC CAPITAL LETTER DE
-0xE5	0x0415	# CYRILLIC CAPITAL LETTER IE
-0xE6	0x0424	# CYRILLIC CAPITAL LETTER EF
-0xE7	0x0413	# CYRILLIC CAPITAL LETTER GHE
-0xE8	0x0425	# CYRILLIC CAPITAL LETTER HA
-0xE9	0x0418	# CYRILLIC CAPITAL LETTER I
-0xEA	0x0419	# CYRILLIC CAPITAL LETTER SHORT I
-0xEB	0x041A	# CYRILLIC CAPITAL LETTER KA
-0xEC	0x041B	# CYRILLIC CAPITAL LETTER EL
-0xED	0x041C	# CYRILLIC CAPITAL LETTER EM
-0xEE	0x041D	# CYRILLIC CAPITAL LETTER EN
-0xEF	0x041E	# CYRILLIC CAPITAL LETTER O
-0xF0	0x041F	# CYRILLIC CAPITAL LETTER PE
-0xF1	0x042F	# CYRILLIC CAPITAL LETTER YA
-0xF2	0x0420	# CYRILLIC CAPITAL LETTER ER
-0xF3	0x0421	# CYRILLIC CAPITAL LETTER ES
-0xF4	0x0422	# CYRILLIC CAPITAL LETTER TE
-0xF5	0x0423	# CYRILLIC CAPITAL LETTER U
-0xF6	0x0416	# CYRILLIC CAPITAL LETTER ZHE
-0xF7	0x0412	# CYRILLIC CAPITAL LETTER VE
-0xF8	0x042C	# CYRILLIC CAPITAL LETTER SOFT SIGN
-0xF9	0x042B	# CYRILLIC CAPITAL LETTER YERU
-0xFA	0x0417	# CYRILLIC CAPITAL LETTER ZE
-0xFB	0x0428	# CYRILLIC CAPITAL LETTER SHA
-0xFC	0x042D	# CYRILLIC CAPITAL LETTER E
-0xFD	0x0429	# CYRILLIC CAPITAL LETTER SHCHA
-0xFE	0x0427	# CYRILLIC CAPITAL LETTER CHE
-0xFF	0x042A	# CYRILLIC CAPITAL LETTER HARD SIGN
+# ----------------------------------------------------------------------
+# The following data was downloaded from
+# http://www.unicode.org/Public/MAPPINGS/VENDORS/MISC/KOI8-R.TXT
+# on 2008-10-05, so it is a Unicode Data File covered by the Unicode
+# copyright and permission notice in the COPYING file of ELinks,
+# regardless of any terms shown below.
+#
+# This file differs from the original in the following ways:
+# - Added this comment, blank lines around it, and charset names above it.
+# ----------------------------------------------------------------------
+
+#
+#	Name:             KOI8-R (RFC1489) to Unicode
+#	Unicode version:  3.0
+#	Table version:    1.0
+#	Table format:     Format A
+#	Date:             18 August 1999
+#	Authors:          Helmut Richter <richter@lrz.de>
+#
+#	Copyright (c) 1991-1999 Unicode, Inc.  All Rights reserved.
+#
+#	This file is provided as-is by Unicode, Inc. (The Unicode Consortium).
+#	No claims are made as to fitness for any particular purpose.  No
+#	warranties of any kind are expressed or implied.  The recipient
+#	agrees to determine applicability of information provided.  If this
+#	file has been provided on optical media by Unicode, Inc., the sole
+#	remedy for any claim will be exchange of defective media within 90
+#	days of receipt.
+#
+#	Unicode, Inc. hereby grants the right to freely use the information
+#	supplied in this file in the creation of products supporting the
+#	Unicode Standard, and to make copies of this file in any form for
+#	internal or external distribution as long as this notice remains
+#	attached.
+#
+#	General notes:
+#
+#	This table contains the data the Unicode Consortium has on how
+#       KOI8-R characters map into Unicode. The underlying document is the
+#	mapping described in RFC 1489. No statements are made as to whether
+#	this mapping is the same as the mapping defined as "Code Page 878"
+#	with some vendors.
+#
+#	Format:  Three tab-separated columns
+#		 Column #1 is the KOI8-R code (in hex as 0xXX)
+#		 Column #2 is the Unicode (in hex as 0xXXXX)
+#		 Column #3 the Unicode name (follows a comment sign, '#')
+#
+#	The entries are in KOI8-R order.
+#
+#	Version history
+#	1.0 version: created.
+#
+#	Any comments or problems, contact <errata@unicode.org>
+#	Please note that <errata@unicode.org> is an archival address;
+#	notices will be checked, but do not expect an immediate response.
+#
+0x00	0x0000	#	NULL
+0x01	0x0001	#	START OF HEADING
+0x02	0x0002	#	START OF TEXT
+0x03	0x0003	#	END OF TEXT
+0x04	0x0004	#	END OF TRANSMISSION
+0x05	0x0005	#	ENQUIRY
+0x06	0x0006	#	ACKNOWLEDGE
+0x07	0x0007	#	BELL
+0x08	0x0008	#	BACKSPACE
+0x09	0x0009	#	HORIZONTAL TABULATION
+0x0A	0x000A	#	LINE FEED
+0x0B	0x000B	#	VERTICAL TABULATION
+0x0C	0x000C	#	FORM FEED
+0x0D	0x000D	#	CARRIAGE RETURN
+0x0E	0x000E	#	SHIFT OUT
+0x0F	0x000F	#	SHIFT IN
+0x10	0x0010	#	DATA LINK ESCAPE
+0x11	0x0011	#	DEVICE CONTROL ONE
+0x12	0x0012	#	DEVICE CONTROL TWO
+0x13	0x0013	#	DEVICE CONTROL THREE
+0x14	0x0014	#	DEVICE CONTROL FOUR
+0x15	0x0015	#	NEGATIVE ACKNOWLEDGE
+0x16	0x0016	#	SYNCHRONOUS IDLE
+0x17	0x0017	#	END OF TRANSMISSION BLOCK
+0x18	0x0018	#	CANCEL
+0x19	0x0019	#	END OF MEDIUM
+0x1A	0x001A	#	SUBSTITUTE
+0x1B	0x001B	#	ESCAPE
+0x1C	0x001C	#	FILE SEPARATOR
+0x1D	0x001D	#	GROUP SEPARATOR
+0x1E	0x001E	#	RECORD SEPARATOR
+0x1F	0x001F	#	UNIT SEPARATOR
+0x20	0x0020	#	SPACE
+0x21	0x0021	#	EXCLAMATION MARK
+0x22	0x0022	#	QUOTATION MARK
+0x23	0x0023	#	NUMBER SIGN
+0x24	0x0024	#	DOLLAR SIGN
+0x25	0x0025	#	PERCENT SIGN
+0x26	0x0026	#	AMPERSAND
+0x27	0x0027	#	APOSTROPHE
+0x28	0x0028	#	LEFT PARENTHESIS
+0x29	0x0029	#	RIGHT PARENTHESIS
+0x2A	0x002A	#	ASTERISK
+0x2B	0x002B	#	PLUS SIGN
+0x2C	0x002C	#	COMMA
+0x2D	0x002D	#	HYPHEN-MINUS
+0x2E	0x002E	#	FULL STOP
+0x2F	0x002F	#	SOLIDUS
+0x30	0x0030	#	DIGIT ZERO
+0x31	0x0031	#	DIGIT ONE
+0x32	0x0032	#	DIGIT TWO
+0x33	0x0033	#	DIGIT THREE
+0x34	0x0034	#	DIGIT FOUR
+0x35	0x0035	#	DIGIT FIVE
+0x36	0x0036	#	DIGIT SIX
+0x37	0x0037	#	DIGIT SEVEN
+0x38	0x0038	#	DIGIT EIGHT
+0x39	0x0039	#	DIGIT NINE
+0x3A	0x003A	#	COLON
+0x3B	0x003B	#	SEMICOLON
+0x3C	0x003C	#	LESS-THAN SIGN
+0x3D	0x003D	#	EQUALS SIGN
+0x3E	0x003E	#	GREATER-THAN SIGN
+0x3F	0x003F	#	QUESTION MARK
+0x40	0x0040	#	COMMERCIAL AT
+0x41	0x0041	#	LATIN CAPITAL LETTER A
+0x42	0x0042	#	LATIN CAPITAL LETTER B
+0x43	0x0043	#	LATIN CAPITAL LETTER C
+0x44	0x0044	#	LATIN CAPITAL LETTER D
+0x45	0x0045	#	LATIN CAPITAL LETTER E
+0x46	0x0046	#	LATIN CAPITAL LETTER F
+0x47	0x0047	#	LATIN CAPITAL LETTER G
+0x48	0x0048	#	LATIN CAPITAL LETTER H
+0x49	0x0049	#	LATIN CAPITAL LETTER I
+0x4A	0x004A	#	LATIN CAPITAL LETTER J
+0x4B	0x004B	#	LATIN CAPITAL LETTER K
+0x4C	0x004C	#	LATIN CAPITAL LETTER L
+0x4D	0x004D	#	LATIN CAPITAL LETTER M
+0x4E	0x004E	#	LATIN CAPITAL LETTER N
+0x4F	0x004F	#	LATIN CAPITAL LETTER O
+0x50	0x0050	#	LATIN CAPITAL LETTER P
+0x51	0x0051	#	LATIN CAPITAL LETTER Q
+0x52	0x0052	#	LATIN CAPITAL LETTER R
+0x53	0x0053	#	LATIN CAPITAL LETTER S
+0x54	0x0054	#	LATIN CAPITAL LETTER T
+0x55	0x0055	#	LATIN CAPITAL LETTER U
+0x56	0x0056	#	LATIN CAPITAL LETTER V
+0x57	0x0057	#	LATIN CAPITAL LETTER W
+0x58	0x0058	#	LATIN CAPITAL LETTER X
+0x59	0x0059	#	LATIN CAPITAL LETTER Y
+0x5A	0x005A	#	LATIN CAPITAL LETTER Z
+0x5B	0x005B	#	LEFT SQUARE BRACKET
+0x5C	0x005C	#	REVERSE SOLIDUS
+0x5D	0x005D	#	RIGHT SQUARE BRACKET
+0x5E	0x005E	#	CIRCUMFLEX ACCENT
+0x5F	0x005F	#	LOW LINE
+0x60	0x0060	#	GRAVE ACCENT
+0x61	0x0061	#	LATIN SMALL LETTER A
+0x62	0x0062	#	LATIN SMALL LETTER B
+0x63	0x0063	#	LATIN SMALL LETTER C
+0x64	0x0064	#	LATIN SMALL LETTER D
+0x65	0x0065	#	LATIN SMALL LETTER E
+0x66	0x0066	#	LATIN SMALL LETTER F
+0x67	0x0067	#	LATIN SMALL LETTER G
+0x68	0x0068	#	LATIN SMALL LETTER H
+0x69	0x0069	#	LATIN SMALL LETTER I
+0x6A	0x006A	#	LATIN SMALL LETTER J
+0x6B	0x006B	#	LATIN SMALL LETTER K
+0x6C	0x006C	#	LATIN SMALL LETTER L
+0x6D	0x006D	#	LATIN SMALL LETTER M
+0x6E	0x006E	#	LATIN SMALL LETTER N
+0x6F	0x006F	#	LATIN SMALL LETTER O
+0x70	0x0070	#	LATIN SMALL LETTER P
+0x71	0x0071	#	LATIN SMALL LETTER Q
+0x72	0x0072	#	LATIN SMALL LETTER R
+0x73	0x0073	#	LATIN SMALL LETTER S
+0x74	0x0074	#	LATIN SMALL LETTER T
+0x75	0x0075	#	LATIN SMALL LETTER U
+0x76	0x0076	#	LATIN SMALL LETTER V
+0x77	0x0077	#	LATIN SMALL LETTER W
+0x78	0x0078	#	LATIN SMALL LETTER X
+0x79	0x0079	#	LATIN SMALL LETTER Y
+0x7A	0x007A	#	LATIN SMALL LETTER Z
+0x7B	0x007B	#	LEFT CURLY BRACKET
+0x7C	0x007C	#	VERTICAL LINE
+0x7D	0x007D	#	RIGHT CURLY BRACKET
+0x7E	0x007E	#	TILDE
+0x7F	0x007F	#	DELETE
+0x80	0x2500	#	BOX DRAWINGS LIGHT HORIZONTAL
+0x81	0x2502	#	BOX DRAWINGS LIGHT VERTICAL
+0x82	0x250C	#	BOX DRAWINGS LIGHT DOWN AND RIGHT
+0x83	0x2510	#	BOX DRAWINGS LIGHT DOWN AND LEFT
+0x84	0x2514	#	BOX DRAWINGS LIGHT UP AND RIGHT
+0x85	0x2518	#	BOX DRAWINGS LIGHT UP AND LEFT
+0x86	0x251C	#	BOX DRAWINGS LIGHT VERTICAL AND RIGHT
+0x87	0x2524	#	BOX DRAWINGS LIGHT VERTICAL AND LEFT
+0x88	0x252C	#	BOX DRAWINGS LIGHT DOWN AND HORIZONTAL
+0x89	0x2534	#	BOX DRAWINGS LIGHT UP AND HORIZONTAL
+0x8A	0x253C	#	BOX DRAWINGS LIGHT VERTICAL AND HORIZONTAL
+0x8B	0x2580	#	UPPER HALF BLOCK
+0x8C	0x2584	#	LOWER HALF BLOCK
+0x8D	0x2588	#	FULL BLOCK
+0x8E	0x258C	#	LEFT HALF BLOCK
+0x8F	0x2590	#	RIGHT HALF BLOCK
+0x90	0x2591	#	LIGHT SHADE
+0x91	0x2592	#	MEDIUM SHADE
+0x92	0x2593	#	DARK SHADE
+0x93	0x2320	#	TOP HALF INTEGRAL
+0x94	0x25A0	#	BLACK SQUARE
+0x95	0x2219	#	BULLET OPERATOR
+0x96	0x221A	#	SQUARE ROOT
+0x97	0x2248	#	ALMOST EQUAL TO
+0x98	0x2264	#	LESS-THAN OR EQUAL TO
+0x99	0x2265	#	GREATER-THAN OR EQUAL TO
+0x9A	0x00A0	#	NO-BREAK SPACE
+0x9B	0x2321	#	BOTTOM HALF INTEGRAL
+0x9C	0x00B0	#	DEGREE SIGN
+0x9D	0x00B2	#	SUPERSCRIPT TWO
+0x9E	0x00B7	#	MIDDLE DOT
+0x9F	0x00F7	#	DIVISION SIGN
+0xA0	0x2550	#	BOX DRAWINGS DOUBLE HORIZONTAL
+0xA1	0x2551	#	BOX DRAWINGS DOUBLE VERTICAL
+0xA2	0x2552	#	BOX DRAWINGS DOWN SINGLE AND RIGHT DOUBLE
+0xA3	0x0451	#	CYRILLIC SMALL LETTER IO
+0xA4	0x2553	#	BOX DRAWINGS DOWN DOUBLE AND RIGHT SINGLE
+0xA5	0x2554	#	BOX DRAWINGS DOUBLE DOWN AND RIGHT
+0xA6	0x2555	#	BOX DRAWINGS DOWN SINGLE AND LEFT DOUBLE
+0xA7	0x2556	#	BOX DRAWINGS DOWN DOUBLE AND LEFT SINGLE
+0xA8	0x2557	#	BOX DRAWINGS DOUBLE DOWN AND LEFT
+0xA9	0x2558	#	BOX DRAWINGS UP SINGLE AND RIGHT DOUBLE
+0xAA	0x2559	#	BOX DRAWINGS UP DOUBLE AND RIGHT SINGLE
+0xAB	0x255A	#	BOX DRAWINGS DOUBLE UP AND RIGHT
+0xAC	0x255B	#	BOX DRAWINGS UP SINGLE AND LEFT DOUBLE
+0xAD	0x255C	#	BOX DRAWINGS UP DOUBLE AND LEFT SINGLE
+0xAE	0x255D	#	BOX DRAWINGS DOUBLE UP AND LEFT
+0xAF	0x255E	#	BOX DRAWINGS VERTICAL SINGLE AND RIGHT DOUBLE
+0xB0	0x255F	#	BOX DRAWINGS VERTICAL DOUBLE AND RIGHT SINGLE
+0xB1	0x2560	#	BOX DRAWINGS DOUBLE VERTICAL AND RIGHT
+0xB2	0x2561	#	BOX DRAWINGS VERTICAL SINGLE AND LEFT DOUBLE
+0xB3	0x0401	#	CYRILLIC CAPITAL LETTER IO
+0xB4	0x2562	#	BOX DRAWINGS VERTICAL DOUBLE AND LEFT SINGLE
+0xB5	0x2563	#	BOX DRAWINGS DOUBLE VERTICAL AND LEFT
+0xB6	0x2564	#	BOX DRAWINGS DOWN SINGLE AND HORIZONTAL DOUBLE
+0xB7	0x2565	#	BOX DRAWINGS DOWN DOUBLE AND HORIZONTAL SINGLE
+0xB8	0x2566	#	BOX DRAWINGS DOUBLE DOWN AND HORIZONTAL
+0xB9	0x2567	#	BOX DRAWINGS UP SINGLE AND HORIZONTAL DOUBLE
+0xBA	0x2568	#	BOX DRAWINGS UP DOUBLE AND HORIZONTAL SINGLE
+0xBB	0x2569	#	BOX DRAWINGS DOUBLE UP AND HORIZONTAL
+0xBC	0x256A	#	BOX DRAWINGS VERTICAL SINGLE AND HORIZONTAL DOUBLE
+0xBD	0x256B	#	BOX DRAWINGS VERTICAL DOUBLE AND HORIZONTAL SINGLE
+0xBE	0x256C	#	BOX DRAWINGS DOUBLE VERTICAL AND HORIZONTAL
+0xBF	0x00A9	#	COPYRIGHT SIGN
+0xC0	0x044E	#	CYRILLIC SMALL LETTER YU
+0xC1	0x0430	#	CYRILLIC SMALL LETTER A
+0xC2	0x0431	#	CYRILLIC SMALL LETTER BE
+0xC3	0x0446	#	CYRILLIC SMALL LETTER TSE
+0xC4	0x0434	#	CYRILLIC SMALL LETTER DE
+0xC5	0x0435	#	CYRILLIC SMALL LETTER IE
+0xC6	0x0444	#	CYRILLIC SMALL LETTER EF
+0xC7	0x0433	#	CYRILLIC SMALL LETTER GHE
+0xC8	0x0445	#	CYRILLIC SMALL LETTER HA
+0xC9	0x0438	#	CYRILLIC SMALL LETTER I
+0xCA	0x0439	#	CYRILLIC SMALL LETTER SHORT I
+0xCB	0x043A	#	CYRILLIC SMALL LETTER KA
+0xCC	0x043B	#	CYRILLIC SMALL LETTER EL
+0xCD	0x043C	#	CYRILLIC SMALL LETTER EM
+0xCE	0x043D	#	CYRILLIC SMALL LETTER EN
+0xCF	0x043E	#	CYRILLIC SMALL LETTER O
+0xD0	0x043F	#	CYRILLIC SMALL LETTER PE
+0xD1	0x044F	#	CYRILLIC SMALL LETTER YA
+0xD2	0x0440	#	CYRILLIC SMALL LETTER ER
+0xD3	0x0441	#	CYRILLIC SMALL LETTER ES
+0xD4	0x0442	#	CYRILLIC SMALL LETTER TE
+0xD5	0x0443	#	CYRILLIC SMALL LETTER U
+0xD6	0x0436	#	CYRILLIC SMALL LETTER ZHE
+0xD7	0x0432	#	CYRILLIC SMALL LETTER VE
+0xD8	0x044C	#	CYRILLIC SMALL LETTER SOFT SIGN
+0xD9	0x044B	#	CYRILLIC SMALL LETTER YERU
+0xDA	0x0437	#	CYRILLIC SMALL LETTER ZE
+0xDB	0x0448	#	CYRILLIC SMALL LETTER SHA
+0xDC	0x044D	#	CYRILLIC SMALL LETTER E
+0xDD	0x0449	#	CYRILLIC SMALL LETTER SHCHA
+0xDE	0x0447	#	CYRILLIC SMALL LETTER CHE
+0xDF	0x044A	#	CYRILLIC SMALL LETTER HARD SIGN
+0xE0	0x042E	#	CYRILLIC CAPITAL LETTER YU
+0xE1	0x0410	#	CYRILLIC CAPITAL LETTER A
+0xE2	0x0411	#	CYRILLIC CAPITAL LETTER BE
+0xE3	0x0426	#	CYRILLIC CAPITAL LETTER TSE
+0xE4	0x0414	#	CYRILLIC CAPITAL LETTER DE
+0xE5	0x0415	#	CYRILLIC CAPITAL LETTER IE
+0xE6	0x0424	#	CYRILLIC CAPITAL LETTER EF
+0xE7	0x0413	#	CYRILLIC CAPITAL LETTER GHE
+0xE8	0x0425	#	CYRILLIC CAPITAL LETTER HA
+0xE9	0x0418	#	CYRILLIC CAPITAL LETTER I
+0xEA	0x0419	#	CYRILLIC CAPITAL LETTER SHORT I
+0xEB	0x041A	#	CYRILLIC CAPITAL LETTER KA
+0xEC	0x041B	#	CYRILLIC CAPITAL LETTER EL
+0xED	0x041C	#	CYRILLIC CAPITAL LETTER EM
+0xEE	0x041D	#	CYRILLIC CAPITAL LETTER EN
+0xEF	0x041E	#	CYRILLIC CAPITAL LETTER O
+0xF0	0x041F	#	CYRILLIC CAPITAL LETTER PE
+0xF1	0x042F	#	CYRILLIC CAPITAL LETTER YA
+0xF2	0x0420	#	CYRILLIC CAPITAL LETTER ER
+0xF3	0x0421	#	CYRILLIC CAPITAL LETTER ES
+0xF4	0x0422	#	CYRILLIC CAPITAL LETTER TE
+0xF5	0x0423	#	CYRILLIC CAPITAL LETTER U
+0xF6	0x0416	#	CYRILLIC CAPITAL LETTER ZHE
+0xF7	0x0412	#	CYRILLIC CAPITAL LETTER VE
+0xF8	0x042C	#	CYRILLIC CAPITAL LETTER SOFT SIGN
+0xF9	0x042B	#	CYRILLIC CAPITAL LETTER YERU
+0xFA	0x0417	#	CYRILLIC CAPITAL LETTER ZE
+0xFB	0x0428	#	CYRILLIC CAPITAL LETTER SHA
+0xFC	0x042D	#	CYRILLIC CAPITAL LETTER E
+0xFD	0x0429	#	CYRILLIC CAPITAL LETTER SHCHA
+0xFE	0x0427	#	CYRILLIC CAPITAL LETTER CHE
+0xFF	0x042A	#	CYRILLIC CAPITAL LETTER HARD SIGN
diff -pruN 0.12~pre2.dfsg0-1/Unicode/mac_lat2.cp 0.12~pre4-1/Unicode/mac_lat2.cp
--- 0.12~pre2.dfsg0-1/Unicode/mac_lat2.cp	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/Unicode/mac_lat2.cp	2009-05-31 09:48:47.000000000 +0100
@@ -1,13 +1,27 @@
 Mac latin 2
 "x-mac-ce", "mac-ce", "maclatin2", "10029", "cp10029"
+
+# ----------------------------------------------------------------------
+# The following data was downloaded from
+# http://www.unicode.org/Public/MAPPINGS/VENDORS/MICSFT/MAC/LATIN2.TXT
+# on 2008-10-05, so it is a Unicode Data File covered by the Unicode
+# copyright and permission notice in the COPYING file of ELinks,
+# regardless of any terms shown below.  (There was a similar mapping at
+# http://www.unicode.org/Public/MAPPINGS/VENDORS/APPLE/CENTEURO.TXT
+# but that one lacked control characters.)
+#
+# This file differs from the original in the following ways:
+# - Added this comment, blank lines around it, and charset names above it.
+# ----------------------------------------------------------------------
+
 #
 #    Name:     cp10029_MacLatin2 to Unicode table
 #    Unicode version: 2.0
 #    Table version: 2.00
 #    Table format:  Format A
 #    Date:          04/24/96
-#    Authors:       Lori Brownell <loribr@microsoft.com>
-#                   K.D. Chang    <a-kchang@microsoft.com>
+#    Contact: Shawn.Steele@microsoft.com
+#                   
 #    General notes: none
 #
 #    Format: Three tab-separated columns
@@ -274,3 +288,4 @@ Mac latin 2
 0xFE	0x0122	#LATIN CAPITAL LETTER G WITH CEDILLA
 0xFF	0x02C7	#CARON
 
+
\ No newline at end of file
diff -pruN 0.12~pre2.dfsg0-1/Unicode/macroman.cp 0.12~pre4-1/Unicode/macroman.cp
--- 0.12~pre2.dfsg0-1/Unicode/macroman.cp	2008-09-21 09:45:22.000000000 +0100
+++ 0.12~pre4-1/Unicode/macroman.cp	2009-05-31 09:48:47.000000000 +0100
@@ -1,258 +1,386 @@
 MacRoman 2000
 "x-mac", "mac", "macroman", "Macintosh", "csMacintosh"
-0x00	0x0000	#NULL
-0x01	0x0001	#START OF HEADING
-0x02	0x0002	#START OF TEXT
-0x03	0x0003	#END OF TEXT
-0x04	0x0004	#END OF TRANSMISSION
-0x05	0x0005	#ENQUIRY
-0x06	0x0006	#ACKNOWLEDGE
-0x07	0x0007	#BELL
-0x08	0x0008	#BACKSPACE
-0x09	0x0009	#HORIZONTAL TABULATION
-0x0A	0x000A	#LINE FEED
-0x0B	0x000B	#VERTICAL TABULATION
-0x0C	0x000C	#FORM FEED
-0x0D	0x000D	#CARRIAGE RETURN
-0x0E	0x000E	#SHIFT OUT
-0x0F	0x000F	#SHIFT IN
-0x10	0x0010	#DATA LINK ESCAPE
-0x11	0x0011	#DEVICE CONTROL ONE
-0x12	0x0012	#DEVICE CONTROL TWO
-0x13	0x0013	#DEVICE CONTROL THREE
-0x14	0x0014	#DEVICE CONTROL FOUR
-0x15	0x0015	#NEGATIVE ACKNOWLEDGE
-0x16	0x0016	#SYNCHRONOUS IDLE
-0x17	0x0017	#END OF TRANSMISSION BLOCK
-0x18	0x0018	#CANCEL
-0x19	0x0019	#END OF MEDIUM
-0x1A	0x001A	#SUBSTITUTE
-0x1B	0x001B	#ESCAPE
-0x1C	0x001C	#FILE SEPARATOR
-0x1D	0x001D	#GROUP SEPARATOR
-0x1E	0x001E	#RECORD SEPARATOR
-0x1F	0x001F	#UNIT SEPARATOR
-0x20	0x0020	#SPACE
-0x21	0x0021	#EXCLAMATION MARK
-0x22	0x0022	#QUOTATION MARK
-0x23	0x0023	#NUMBER SIGN
-0x24	0x0024	#DOLLAR SIGN
-0x25	0x0025	#PERCENT SIGN
-0x26	0x0026	#AMPERSAND
-0x27	0x0027	#APOSTROPHE
-0x28	0x0028	#LEFT PARENTHESIS
-0x29	0x0029	#RIGHT PARENTHESIS
-0x2A	0x002A	#ASTERISK
-0x2B	0x002B	#PLUS SIGN
-0x2C	0x002C	#COMMA
-0x2D	0x002D	#HYPHEN-MINUS
-0x2E	0x002E	#FULL STOP
-0x2F	0x002F	#SOLIDUS
-0x30	0x0030	#DIGIT ZERO
-0x31	0x0031	#DIGIT ONE
-0x32	0x0032	#DIGIT TWO
-0x33	0x0033	#DIGIT THREE
-0x34	0x0034	#DIGIT FOUR
-0x35	0x0035	#DIGIT FIVE
-0x36	0x0036	#DIGIT SIX
-0x37	0x0037	#DIGIT SEVEN
-0x38	0x0038	#DIGIT EIGHT
-0x39	0x0039	#DIGIT NINE
-0x3A	0x003A	#COLON
-0x3B	0x003B	#SEMICOLON
-0x3C	0x003C	#LESS-THAN SIGN
-0x3D	0x003D	#EQUALS SIGN
-0x3E	0x003E	#GREATER-THAN SIGN
-0x3F	0x003F	#QUESTION MARK
-0x40	0x0040	#COMMERCIAL AT
-0x41	0x0041	#LATIN CAPITAL LETTER A
-0x42	0x0042	#LATIN CAPITAL LETTER B
-0x43	0x0043	#LATIN CAPITAL LETTER C
-0x44	0x0044	#LATIN CAPITAL LETTER D
-0x45	0x0045	#LATIN CAPITAL LETTER E
-0x46	0x0046	#LATIN CAPITAL LETTER F
-0x47	0x0047	#LATIN CAPITAL LETTER G
-0x48	0x0048	#LATIN CAPITAL LETTER H
-0x49	0x0049	#LATIN CAPITAL LETTER I
-0x4A	0x004A	#LATIN CAPITAL LETTER J
-0x4B	0x004B	#LATIN CAPITAL LETTER K
-0x4C	0x004C	#LATIN CAPITAL LETTER L
-0x4D	0x004D	#LATIN CAPITAL LETTER M
-0x4E	0x004E	#LATIN CAPITAL LETTER N
-0x4F	0x004F	#LATIN CAPITAL LETTER O
-0x50	0x0050	#LATIN CAPITAL LETTER P
-0x51	0x0051	#LATIN CAPITAL LETTER Q
-0x52	0x0052	#LATIN CAPITAL LETTER R
-0x53	0x0053	#LATIN CAPITAL LETTER S
-0x54	0x0054	#LATIN CAPITAL LETTER T
-0x55	0x0055	#LATIN CAPITAL LETTER U
-0x56	0x0056	#LATIN CAPITAL LETTER V
-0x57	0x0057	#LATIN CAPITAL LETTER W
-0x58	0x0058	#LATIN CAPITAL LETTER X
-0x59	0x0059	#LATIN CAPITAL LETTER Y
-0x5A	0x005A	#LATIN CAPITAL LETTER Z
-0x5B	0x005B	#LEFT SQUARE BRACKET
-0x5C	0x005C	#REVERSE SOLIDUS
-0x5D	0x005D	#RIGHT SQUARE BRACKET
-0x5E	0x005E	#CIRCUMFLEX ACCENT
-0x5F	0x005F	#LOW LINE
-0x60	0x0060	#GRAVE ACCENT
-0x61	0x0061	#LATIN SMALL LETTER A
-0x62	0x0062	#LATIN SMALL LETTER B
-0x63	0x0063	#LATIN SMALL LETTER C
-0x64	0x0064	#LATIN SMALL LETTER D
-0x65	0x0065	#LATIN SMALL LETTER E
-0x66	0x0066	#LATIN SMALL LETTER F
-0x67	0x0067	#LATIN SMALL LETTER G
-0x68	0x0068	#LATIN SMALL LETTER H
-0x69	0x0069	#LATIN SMALL LETTER I
-0x6A	0x006A	#LATIN SMALL LETTER J
-0x6B	0x006B	#LATIN SMALL LETTER K
-0x6C	0x006C	#LATIN SMALL LETTER L
-0x6D	0x006D	#LATIN SMALL LETTER M
-0x6E	0x006E	#LATIN SMALL LETTER N
-0x6F	0x006F	#LATIN SMALL LETTER O
-0x70	0x0070	#LATIN SMALL LETTER P
-0x71	0x0071	#LATIN SMALL LETTER Q
-0x72	0x0072	#LATIN SMALL LETTER R
-0x73	0x0073	#LATIN SMALL LETTER S
-0x74	0x0074	#LATIN SMALL LETTER T
-0x75	0x0075	#LATIN SMALL LETTER U
-0x76	0x0076	#LATIN SMALL LETTER V
-0x77	0x0077	#LATIN SMALL LETTER W
-0x78	0x0078	#LATIN SMALL LETTER X
-0x79	0x0079	#LATIN SMALL LETTER Y
-0x7A	0x007A	#LATIN SMALL LETTER Z
-0x7B	0x007B	#LEFT CURLY BRACKET
-0x7C	0x007C	#VERTICAL LINE
-0x7D	0x007D	#RIGHT CURLY BRACKET
-0x7E	0x007E	#TILDE
-0x7F	0x007F	#DELETE
-0x80	0x00C4	#LATIN CAPITAL LETTER A WITH DIAERESIS
-0x81	0x00C5	#LATIN CAPITAL LETTER A WITH RING ABOVE
-0x82	0x00C7	#LATIN CAPITAL LETTER C WITH CEDILLA
-0x83	0x00C9	#LATIN CAPITAL LETTER E WITH ACUTE
-0x84	0x00D1	#LATIN CAPITAL LETTER N WITH TILDE
-0x85	0x00D6	#LATIN CAPITAL LETTER O WITH DIAERESIS
-0x86	0x00DC	#LATIN CAPITAL LETTER U WITH DIAERESIS
-0x87	0x00E1	#LATIN SMALL LETTER A WITH ACUTE
-0x88	0x00E0	#LATIN SMALL LETTER A WITH GRAVE
-0x89	0x00E2	#LATIN SMALL LETTER A WITH CIRCUMFLEX
-0x8A	0x00E4	#LATIN SMALL LETTER A WITH DIAERESIS
-0x8B	0x00E3	#LATIN SMALL LETTER A WITH TILDE
-0x8C	0x00E5	#LATIN SMALL LETTER A WITH RING ABOVE
-0x8D	0x00E7	#LATIN SMALL LETTER C WITH CEDILLA
-0x8E	0x00E9	#LATIN SMALL LETTER E WITH ACUTE
-0x8F	0x00E8	#LATIN SMALL LETTER E WITH GRAVE
-0x90	0x00EA	#LATIN SMALL LETTER E WITH CIRCUMFLEX
-0x91	0x00EB	#LATIN SMALL LETTER E WITH DIAERESIS
-0x92	0x00ED	#LATIN SMALL LETTER I WITH ACUTE
-0x93	0x00EC	#LATIN SMALL LETTER I WITH GRAVE
-0x94	0x00EE	#LATIN SMALL LETTER I WITH CIRCUMFLEX
-0x95	0x00EF	#LATIN SMALL LETTER I WITH DIAERESIS
-0x96	0x00F1	#LATIN SMALL LETTER N WITH TILDE
-0x97	0x00F3	#LATIN SMALL LETTER O WITH ACUTE
-0x98	0x00F2	#LATIN SMALL LETTER O WITH GRAVE
-0x99	0x00F4	#LATIN SMALL LETTER O WITH CIRCUMFLEX
-0x9A	0x00F6	#LATIN SMALL LETTER O WITH DIAERESIS
-0x9B	0x00F5	#LATIN SMALL LETTER O WITH TILDE
-0x9C	0x00FA	#LATIN SMALL LETTER U WITH ACUTE
-0x9D	0x00F9	#LATIN SMALL LETTER U WITH GRAVE
-0x9E	0x00FB	#LATIN SMALL LETTER U WITH CIRCUMFLEX
-0x9F	0x00FC	#LATIN SMALL LETTER U WITH DIAERESIS
-0xA0	0x2020	#DAGGER
-0xA1	0x00B0	#DEGREE SIGN
-0xA2	0x00A2	#CENT SIGN
-0xA3	0x00A3	#POUND SIGN
-0xA4	0x00A7	#SECTION SIGN
-0xA5	0x2022	#PUCE
-0xA6	0x00B6	#PILCROW SIGN
-0xA7	0x00DF	#LATIN SMALL LETTER SHARP S (GERMAN)
-0xA8	0x00AE	#REGISTERED SIGN
-0xA9	0x00A9	#COPYRIGHT SIGN
-0xAA	0x2122	#TRADE MARK SIGN
-0xAB	0x00B4	#ACUTE ACCENT
-0xAC	0x00A8	#DIAERESIS
-0xAD	0x2260	#NOT EQUAL TO
-0xAE	0x00C6	#LATIN CAPITAL LETTER AE
-0xAF	0x00D8	#LATIN CAPITAL LETTER O WITH STROKE
-0xB0	0x221E	#INFINITY
-0xB1	0x00B1	#PLUS-MINUS SIGN
-0xB2	0x2264	#LESS-THAN OR EQUAL TO
-0xB3	0x2265	#GREATER-THAN OR EQUAL TO
-0xB4	0x00A5	#YEN SIGN
-0xB5	0x00B5	#MICRO SIGN
-0xB6	0x2202	#PARTIAL DIFFERENTIAL
-0xB7	0x2211	#N-ARY SUMMATION
-0xB8	0x220F	#N-ARY PRODUCT
-0xB9	0x03C0	#GREEK SMALL LETTER PI
-0xBA	0x222B	#INTEGRAL
-0xBB	0x00AA	#FEMININE ORDINAL INDICATOR
-0xBC	0x00BA	#MASCULINE ORDINAL INDICATOR
-0xBD	0x03A9	#GREEK CAPITAL LETTER OMEGA
-0xBE	0x00E6	#LATIN SMALL LETTER AE
-0xBF	0x00F8	#LATIN SMALL LETTER O WITH STROKE
-0xC0	0x00BF	#INVERTED QUESTION MARK
-0xC1	0x00A1	#INVERTED EXCLAMATION MARK
-0xC2	0x00AC	#NOT SIGN
-0xC3	0x221A	#SQUARE ROOT
-0xC4	0x0192	#LETTRE MINUSCULE LATINE F HAMEON
-0xC5	0x2248	#ALMOST EQUAL TO
-0xC6	0x0394	#GREEK CAPITAL LETTER DELTA
-0xC7	0x00AB	#LEFT-POINTING DOUBLE ANGLE QUOTATION MARK
-0xC8	0x00BB	#RIGHT-POINTING DOUBLE ANGLE QUOTATION MARK
-0xC9	0x2026	#MIDLINE HORIZONTAL ELLIPSIS
-0xCA	0x00A0	#NO-BREAK SPACE
-0xCB	0x00C0	#LATIN CAPITAL LETTER A WITH GRAVE
-0xCC	0x00C3	#LATIN CAPITAL LETTER A WITH TILDE
-0xCD	0x00D5	#LATIN CAPITAL LETTER O WITH TILDE
-0xCE	0x0152	#LATIN CAPITAL LIGATURE OE
-0xCF	0x0153	#LATIN SMALL LIGATURE OE
-0xD0	0x2013	#EN DASH
-0xD1	0x2014	#EM DASH
-0xD2	0x201C	#LEFT DOUBLE QUOTATION MARK
-0xD3	0x201D	#RIGHT DOUBLE QUOTATION MARK
-0xD4	0x2018	#LEFT SINGLE QUOTATION MARK
-0xD5	0x2019	#RIGHT SINGLE QUOTATION MARK
-0xD6	0x00F7	#DIVISION SIGN
-0xD7	0x25CA	#LOZENGE
-0xD8	0x00FF	#LATIN SMALL LETTER Y WITH DIAERESIS
-0xD9	0x0178	#LATIN CAPITAL LETTER Y WITH DIAERESIS
-0xDA	0x2044	#FRACTION SLASH
-0xDB	0x20AC	#SYMBOLE EURO
-0xDC	0x2039	#SINGLE LEFT-POINTING ANGLE QUOTATION MARK
-0xDD	0x203A	#SINGLE RIGHT-POINTING ANGLE QUOTATION MARK
-0xDE	0xFB01	#LATIN SMALL LIGATURE FI
-0xDF	0xFB02	#LATIN SMALL LIGATURE FL
-0xE0	0x2021	#DOUBLE DAGGER
-0xE1	0x00B7	#MIDDLE DOT
-0xE2	0x201A	#SINGLE LOW-9 QUOTATION MARK
-0xE3	0x201E	#DOUBLE LOW-9 QUOTATION MARK
-0xE4	0x2030	#PER MILLE SIGN
-0xE5	0x00C2	#LATIN CAPITAL LETTER A WITH CIRCUMFLEX
-0xE6	0x00CA	#LATIN CAPITAL LETTER E WITH CIRCUMFLEX
-0xE7	0x00C1	#LATIN CAPITAL LETTER A WITH ACUTE
-0xE8	0x00CB	#LATIN CAPITAL LETTER E WITH DIAERESIS
-0xE9	0x00C8	#LATIN CAPITAL LETTER E WITH GRAVE
-0xEA	0x00CD	#LATIN CAPITAL LETTER I WITH ACUTE
-0xEB	0x00CE	#LATIN CAPITAL LETTER I WITH CIRCUMFLEX
-0xEC	0x00CF	#LATIN CAPITAL LETTER I WITH DIAERESIS
-0xED	0x00CC	#LATIN CAPITAL LETTER I WITH GRAVE
-0xEE	0x00D3	#LATIN CAPITAL LETTER O WITH ACUTE
-0xEF	0x00D4	#LATIN CAPITAL LETTER O WITH CIRCUMFLEX
-0xF0	0xF8FF	#Mac Logo (in Private Use Area)
-0xF1	0x00D2	#LATIN CAPITAL LETTER O WITH GRAVE
-0xF2	0x00DA	#LATIN CAPITAL LETTER U WITH ACUTE
-0xF3	0x00DB	#LATIN CAPITAL LETTER U WITH CIRCUMFLEX
-0xF4	0x00D9	#LATIN CAPITAL LETTER U WITH GRAVE
-0xF5	0x0131	#LATIN SMALL LETTER I DOTLESS
-0xF6	0x02C6	#LETTRE MODIFICATIVE ACCENT CIRCONFLEXE
-0xF7	0x02DC	#PETIT TILDE
-0xF8	0x00AF	#MACRON
-0xF9	0x02D8	#BREVE
-0xFA	0x02D9	#DOT ABOVE
-0xFB	0x02DA	#RING ABOVE
-0xFC	0x00B8	#CEDILLA
-0xFD	0x02DD	#DOUBLE ACUTE ACCENT
-0xFE	0x02DB	#OGONEK
-0xFF	0x02C7	#CARON
+
+# ----------------------------------------------------------------------
+# The following data was downloaded from
+# http://www.unicode.org/Public/MAPPINGS/VENDORS/APPLE/ROMAN.TXT
+# on 2008-10-11, so it is a Unicode Data File covered by the Unicode
+# copyright and permission notice in the COPYING file of ELinks,
+# regardless of any terms shown below.  (There was a similar mapping at
+# http://www.unicode.org/Public/MAPPINGS/VENDORS/MICSFT/MAC/ROMAN.TXT
+# but that one was out of date.)
+#
+# This file differs from the original in the following ways:
+# - Added this comment, blank lines around it, and charset names above it.
+# ----------------------------------------------------------------------
+
+#=======================================================================
+#   File name:  ROMAN.TXT
+#
+#   Contents:   Map (external version) from Mac OS Roman
+#               character set to Unicode 2.1 and later.
+#
+#   Copyright:  (c) 1994-2002, 2005 by Apple Computer, Inc., all rights
+#               reserved.
+#
+#   Contact:    charsets@apple.com
+#
+#   Changes:
+#
+#       c02  2005-Apr-05    Update header comments. Matches internal xml
+#                           <c1.1> and Text Encoding Converter 2.0.
+#      b4,c1 2002-Dec-19    Update URLs, notes. Matches internal
+#                           utom<b5>.
+#       b03  1999-Sep-22    Update contact e-mail address. Matches
+#                           internal utom<b4>, ufrm<b3>, and Text
+#                           Encoding Converter version 1.5.
+#       b02  1998-Aug-18    Encoding changed for Mac OS 8.5; change
+#                           mapping of 0xDB from CURRENCY SIGN to
+#                           EURO SIGN. Matches internal utom<b3>,
+#                           ufrm<b3>.
+#       n08  1998-Feb-05    Minor update to header comments
+#       n06  1997-Dec-14    Add warning about future changes to 0xDB
+#                           from CURRENCY SIGN to EURO SIGN. Clarify
+#                           some header information
+#       n04  1997-Dec-01    Update to match internal utom<n3>, ufrm<n22>:
+#                           Change standard mapping for 0xBD from U+2126
+#                           to its canonical decomposition, U+03A9.
+#       n03  1995-Apr-15    First version (after fixing some typos).
+#                           Matches internal ufrm<n9>.
+#
+# Standard header:
+# ----------------
+#
+#   Apple, the Apple logo, and Macintosh are trademarks of Apple
+#   Computer, Inc., registered in the United States and other countries.
+#   Unicode is a trademark of Unicode Inc. For the sake of brevity,
+#   throughout this document, "Macintosh" can be used to refer to
+#   Macintosh computers and "Unicode" can be used to refer to the
+#   Unicode standard.
+#
+#   Apple Computer, Inc. ("Apple") makes no warranty or representation,
+#   either express or implied, with respect to this document and the
+#   included data, its quality, accuracy, or fitness for a particular
+#   purpose. In no event will Apple be liable for direct, indirect,
+#   special, incidental, or consequential damages resulting from any
+#   defect or inaccuracy in this document or the included data.
+#
+#   These mapping tables and character lists are subject to change.
+#   The latest tables should be available from the following:
+#
+#   <http://www.unicode.org/Public/MAPPINGS/VENDORS/APPLE/>
+#
+#   For general information about Mac OS encodings and these mapping
+#   tables, see the file "README.TXT".
+#
+# Format:
+# -------
+#
+#   Three tab-separated columns;
+#   '#' begins a comment which continues to the end of the line.
+#     Column #1 is the Mac OS Roman code (in hex as 0xNN)
+#     Column #2 is the corresponding Unicode (in hex as 0xNNNN)
+#     Column #3 is a comment containing the Unicode name
+#
+#   The entries are in Mac OS Roman code order.
+#
+#   One of these mappings requires the use of a corporate character.
+#   See the file "CORPCHAR.TXT" and notes below.
+#
+#   Control character mappings are not shown in this table, following
+#   the conventions of the standard UTC mapping tables. However, the
+#   Mac OS Roman character set uses the standard control characters at
+#   0x00-0x1F and 0x7F.
+#
+# Notes on Mac OS Roman:
+# ----------------------
+#
+#   This is a legacy Mac OS encoding; in the Mac OS X Carbon and Cocoa
+#   environments, it is only supported directly in programming
+#   interfaces for QuickDraw Text, the Script Manager, and related
+#   Text Utilities. For other purposes it is supported via transcoding
+#   to and from Unicode.
+#
+#   This character set is used for at least the following Mac OS
+#   localizations: U.S., British, Canadian French, French, Swiss
+#   French, German, Swiss German, Italian, Swiss Italian, Dutch,
+#   Swedish, Norwegian, Danish, Finnish, Spanish, Catalan,
+#   Portuguese, Brazilian, and the default International system.
+#
+#   Variants of Mac OS Roman are used for Croatian, Icelandic,
+#   Turkish, Romanian, and other encodings. Separate mapping tables
+#   are available for these encodings.
+#
+#   Before Mac OS 8.5, code point 0xDB was CURRENCY SIGN, and was
+#   mapped to U+00A4. In Mac OS 8.5 and later versions, code point
+#   0xDB is changed to EURO SIGN and maps to U+20AC; the standard
+#   Apple fonts are updated for Mac OS 8.5 to reflect this. There is
+#   a "currency sign" variant of the Mac OS Roman encoding that still
+#   maps 0xDB to U+00A4; this can be used for older fonts.
+#
+#   Before Mac OS 8.5, the ROM bitmap versions of the fonts Chicago,
+#   New York, Geneva, and Monaco did not implement the full Mac OS
+#   Roman character set; they only supported character codes up to
+#   0xD8. The TrueType versions of these fonts have always implemented
+#   the full character set, as with the bitmap and TrueType versions
+#   of the other standard Roman fonts.
+#
+#   In all Mac OS encodings, fonts such as Chicago which are used
+#   as "system" fonts (for menus, dialogs, etc.) have four glyphs
+#   at code points 0x11-0x14 for transient use by the Menu Manager.
+#   These glyphs are not intended as characters for use in normal
+#   text, and the associated code points are not generally
+#   interpreted as associated with these glyphs; they are usually
+#   interpreted (if at all) as the control codes DC1-DC4.
+#
+# Unicode mapping issues and notes:
+# ---------------------------------
+#
+#   The following corporate zone Unicode character is used in this
+#   mapping:
+#
+#     0xF8FF  Apple logo
+#
+#   NOTE: The graphic image associated with the Apple logo character
+#   is not authorized for use without permission of Apple, and
+#   unauthorized use might constitute trademark infringement.
+#
+# Details of mapping changes in each version:
+# -------------------------------------------
+#
+#   Changes from version n08 to version b02:
+#
+#   - Encoding changed for Mac OS 8.5; change mapping of 0xDB from
+#   CURRENCY SIGN (U+00A4) to EURO SIGN (U+20AC).
+#
+#   Changes from version n03 to version n04:
+#
+#   - Change mapping of 0xBD from U+2126 to its canonical
+#     decomposition, U+03A9.
+#
+##################
+
+0x20	0x0020	# SPACE
+0x21	0x0021	# EXCLAMATION MARK
+0x22	0x0022	# QUOTATION MARK
+0x23	0x0023	# NUMBER SIGN
+0x24	0x0024	# DOLLAR SIGN
+0x25	0x0025	# PERCENT SIGN
+0x26	0x0026	# AMPERSAND
+0x27	0x0027	# APOSTROPHE
+0x28	0x0028	# LEFT PARENTHESIS
+0x29	0x0029	# RIGHT PARENTHESIS
+0x2A	0x002A	# ASTERISK
+0x2B	0x002B	# PLUS SIGN
+0x2C	0x002C	# COMMA
+0x2D	0x002D	# HYPHEN-MINUS
+0x2E	0x002E	# FULL STOP
+0x2F	0x002F	# SOLIDUS
+0x30	0x0030	# DIGIT ZERO
+0x31	0x0031	# DIGIT ONE
+0x32	0x0032	# DIGIT TWO
+0x33	0x0033	# DIGIT THREE
+0x34	0x0034	# DIGIT FOUR
+0x35	0x0035	# DIGIT FIVE
+0x36	0x0036	# DIGIT SIX
+0x37	0x0037	# DIGIT SEVEN
+0x38	0x0038	# DIGIT EIGHT
+0x39	0x0039	# DIGIT NINE
+0x3A	0x003A	# COLON
+0x3B	0x003B	# SEMICOLON
+0x3C	0x003C	# LESS-THAN SIGN
+0x3D	0x003D	# EQUALS SIGN
+0x3E	0x003E	# GREATER-THAN SIGN
+0x3F	0x003F	# QUESTION MARK
+0x40	0x0040	# COMMERCIAL AT
+0x41	0x0041	# LATIN CAPITAL LETTER A
+0x42	0x0042	# LATIN CAPITAL LETTER B
+0x43	0x0043	# LATIN CAPITAL LETTER C
+0x44	0x0044	# LATIN CAPITAL LETTER D
+0x45	0x0045	# LATIN CAPITAL LETTER E
+0x46	0x0046	# LATIN CAPITAL LETTER F
+0x47	0x0047	# LATIN CAPITAL LETTER G
+0x48	0x0048	# LATIN CAPITAL LETTER H
+0x49	0x0049	# LATIN CAPITAL LETTER I
+0x4A	0x004A	# LATIN CAPITAL LETTER J
+0x4B	0x004B	# LATIN CAPITAL LETTER K
+0x4C	0x004C	# LATIN CAPITAL LETTER L
+0x4D	0x004D	# LATIN CAPITAL LETTER M
+0x4E	0x004E	# LATIN CAPITAL LETTER N
+0x4F	0x004F	# LATIN CAPITAL LETTER O
+0x50	0x0050	# LATIN CAPITAL LETTER P
+0x51	0x0051	# LATIN CAPITAL LETTER Q
+0x52	0x0052	# LATIN CAPITAL LETTER R
+0x53	0x0053	# LATIN CAPITAL LETTER S
+0x54	0x0054	# LATIN CAPITAL LETTER T
+0x55	0x0055	# LATIN CAPITAL LETTER U
+0x56	0x0056	# LATIN CAPITAL LETTER V
+0x57	0x0057	# LATIN CAPITAL LETTER W
+0x58	0x0058	# LATIN CAPITAL LETTER X
+0x59	0x0059	# LATIN CAPITAL LETTER Y
+0x5A	0x005A	# LATIN CAPITAL LETTER Z
+0x5B	0x005B	# LEFT SQUARE BRACKET
+0x5C	0x005C	# REVERSE SOLIDUS
+0x5D	0x005D	# RIGHT SQUARE BRACKET
+0x5E	0x005E	# CIRCUMFLEX ACCENT
+0x5F	0x005F	# LOW LINE
+0x60	0x0060	# GRAVE ACCENT
+0x61	0x0061	# LATIN SMALL LETTER A
+0x62	0x0062	# LATIN SMALL LETTER B
+0x63	0x0063	# LATIN SMALL LETTER C
+0x64	0x0064	# LATIN SMALL LETTER D
+0x65	0x0065	# LATIN SMALL LETTER E
+0x66	0x0066	# LATIN SMALL LETTER F
+0x67	0x0067	# LATIN SMALL LETTER G
+0x68	0x0068	# LATIN SMALL LETTER H
+0x69	0x0069	# LATIN SMALL LETTER I
+0x6A	0x006A	# LATIN SMALL LETTER J
+0x6B	0x006B	# LATIN SMALL LETTER K
+0x6C	0x006C	# LATIN SMALL LETTER L
+0x6D	0x006D	# LATIN SMALL LETTER M
+0x6E	0x006E	# LATIN SMALL LETTER N
+0x6F	0x006F	# LATIN SMALL LETTER O
+0x70	0x0070	# LATIN SMALL LETTER P
+0x71	0x0071	# LATIN SMALL LETTER Q
+0x72	0x0072	# LATIN SMALL LETTER R
+0x73	0x0073	# LATIN SMALL LETTER S
+0x74	0x0074	# LATIN SMALL LETTER T
+0x75	0x0075	# LATIN SMALL LETTER U
+0x76	0x0076	# LATIN SMALL LETTER V
+0x77	0x0077	# LATIN SMALL LETTER W
+0x78	0x0078	# LATIN SMALL LETTER X
+0x79	0x0079	# LATIN SMALL LETTER Y
+0x7A	0x007A	# LATIN SMALL LETTER Z
+0x7B	0x007B	# LEFT CURLY BRACKET
+0x7C	0x007C	# VERTICAL LINE
+0x7D	0x007D	# RIGHT CURLY BRACKET
+0x7E	0x007E	# TILDE
+#
+0x80	0x00C4	# LATIN CAPITAL LETTER A WITH DIAERESIS
+0x81	0x00C5	# LATIN CAPITAL LETTER A WITH RING ABOVE
+0x82	0x00C7	# LATIN CAPITAL LETTER C WITH CEDILLA
+0x83	0x00C9	# LATIN CAPITAL LETTER E WITH ACUTE
+0x84	0x00D1	# LATIN CAPITAL LETTER N WITH TILDE
+0x85	0x00D6	# LATIN CAPITAL LETTER O WITH DIAERESIS
+0x86	0x00DC	# LATIN CAPITAL LETTER U WITH DIAERESIS
+0x87	0x00E1	# LATIN SMALL LETTER A WITH ACUTE
+0x88	0x00E0	# LATIN SMALL LETTER A WITH GRAVE
+0x89	0x00E2	# LATIN SMALL LETTER A WITH CIRCUMFLEX
+0x8A	0x00E4	# LATIN SMALL LETTER A WITH DIAERESIS
+0x8B	0x00E3	# LATIN SMALL LETTER A WITH TILDE
+0x8C	0x00E5	# LATIN SMALL LETTER A WITH RING ABOVE
+0x8D	0x00E7	# LATIN SMALL LETTER C WITH CEDILLA
+0x8E	0x00E9	# LATIN SMALL LETTER E WITH ACUTE
+0x8F	0x00E8	# LATIN SMALL LETTER E WITH GRAVE
+0x90	0x00EA	# LATIN SMALL LETTER E WITH CIRCUMFLEX
+0x91	0x00EB	# LATIN SMALL LETTER E WITH DIAERESIS
+0x92	0x00ED	# LATIN SMALL LETTER I WITH ACUTE
+0x93	0x00EC	# LATIN SMALL LETTER I WITH GRAVE
+0x94	0x00EE	# LATIN SMALL LETTER I WITH CIRCUMFLEX
+0x95	0x00EF	# LATIN SMALL LETTER I WITH DIAERESIS
+0x96	0x00F1	# LATIN SMALL LETTER N WITH TILDE
+0x97	0x00F3	# LATIN SMALL LETTER O WITH ACUTE
+0x98	0x00F2	# LATIN SMALL LETTER O WITH GRAVE
+0x99	0x00F4	# LATIN SMALL LETTER O WITH CIRCUMFLEX
+0x9A	0x00F6	# LATIN SMALL LETTER O WITH DIAERESIS
+0x9B	0x00F5	# LATIN SMALL LETTER O WITH TILDE
+0x9C	0x00FA	# LATIN SMALL LETTER U WITH ACUTE
+0x9D	0x00F9	# LATIN SMALL LETTER U WITH GRAVE
+0x9E	0x00FB	# LATIN SMALL LETTER U WITH CIRCUMFLEX
+0x9F	0x00FC	# LATIN SMALL LETTER U WITH DIAERESIS
+0xA0	0x2020	# DAGGER
+0xA1	0x00B0	# DEGREE SIGN
+0xA2	0x00A2	# CENT SIGN
+0xA3	0x00A3	# POUND SIGN
+0xA4	0x00A7	# SECTION SIGN
+0xA5	0x2022	# BULLET
+0xA6	0x00B6	# PILCROW SIGN
+0xA7	0x00DF	# LATIN SMALL LETTER SHARP S
+0xA8	0x00AE	# REGISTERED SIGN
+0xA9	0x00A9	# COPYRIGHT SIGN
+0xAA	0x2122	# TRADE MARK SIGN
+0xAB	0x00B4	# ACUTE ACCENT
+0xAC	0x00A8	# DIAERESIS
+0xAD	0x2260	# NOT EQUAL TO
+0xAE	0x00C6	# LATIN CAPITAL LETTER AE
+0xAF	0x00D8	# LATIN CAPITAL LETTER O WITH STROKE
+0xB0	0x221E	# INFINITY
+0xB1	0x00B1	# PLUS-MINUS SIGN
+0xB2	0x2264	# LESS-THAN OR EQUAL TO
+0xB3	0x2265	# GREATER-THAN OR EQUAL TO
+0xB4	0x00A5	# YEN SIGN
+0xB5	0x00B5	# MICRO SIGN
+0xB6	0x2202	# PARTIAL DIFFERENTIAL
+0xB7	0x2211	# N-ARY SUMMATION
+0xB8	0x220F	# N-ARY PRODUCT
+0xB9	0x03C0	# GREEK SMALL LETTER PI
+0xBA	0x222B	# INTEGRAL
+0xBB	0x00AA	# FEMININE ORDINAL INDICATOR
+0xBC	0x00BA	# MASCULINE ORDINAL INDICATOR
+0xBD	0x03A9	# GREEK CAPITAL LETTER OMEGA
+0xBE	0x00E6	# LATIN SMALL LETTER AE
+0xBF	0x00F8	# LATIN SMALL LETTER O WITH STROKE
+0xC0	0x00BF	# INVERTED QUESTION MARK
+0xC1	0x00A1	# INVERTED EXCLAMATION MARK
+0xC2	0x00AC	# NOT SIGN
+0xC3	0x221A	# SQUARE ROOT
+0xC4	0x0192	# LATIN SMALL LETTER F WITH HOOK
+0xC5	0x2248	# ALMOST EQUAL TO
+0xC6	0x2206	# INCREMENT
+0xC7	0x00AB	# LEFT-POINTING DOUBLE ANGLE QUOTATION MARK
+0xC8	0x00BB	# RIGHT-POINTING DOUBLE ANGLE QUOTATION MARK
+0xC9	0x2026	# HORIZONTAL ELLIPSIS
+0xCA	0x00A0	# NO-BREAK SPACE
+0xCB	0x00C0	# LATIN CAPITAL LETTER A WITH GRAVE
+0xCC	0x00C3	# LATIN CAPITAL LETTER A WITH TILDE
+0xCD	0x00D5	# LATIN CAPITAL LETTER O WITH TILDE
+0xCE	0x0152	# LATIN CAPITAL LIGATURE OE
+0xCF	0x0153	# LATIN SMALL LIGATURE OE
+0xD0	0x2013	# EN DASH
+0xD1	0x2014	# EM DASH
+0xD2	0x201C	# LEFT DOUBLE QUOTATION MARK
+0xD3	0x201D	# RIGHT DOUBLE QUOTATION MARK
+0xD4	0x2018	# LEFT SINGLE QUOTATION MARK
+0xD5	0x2019	# RIGHT SINGLE QUOTATION MARK
+0xD6	0x00F7	# DIVISION SIGN
+0xD7	0x25CA	# LOZENGE
+0xD8	0x00FF	# LATIN SMALL LETTER Y WITH DIAERESIS
+0xD9	0x0178	# LATIN CAPITAL LETTER Y WITH DIAERESIS
+0xDA	0x2044	# FRACTION SLASH
+0xDB	0x20AC	# EURO SIGN
+0xDC	0x2039	# SINGLE LEFT-POINTING ANGLE QUOTATION MARK
+0xDD	0x203A	# SINGLE RIGHT-POINTING ANGLE QUOTATION MARK
+0xDE	0xFB01	# LATIN SMALL LIGATURE FI
+0xDF	0xFB02	# LATIN SMALL LIGATURE FL
+0xE0	0x2021	# DOUBLE DAGGER
+0xE1	0x00B7	# MIDDLE DOT
+0xE2	0x201A	# SINGLE LOW-9 QUOTATION MARK
+0xE3	0x201E	# DOUBLE LOW-9 QUOTATION MARK
+0xE4	0x2030	# PER MILLE SIGN
+0xE5	0x00C2	# LATIN CAPITAL LETTER A WITH CIRCUMFLEX
+0xE6	0x00CA	# LATIN CAPITAL LETTER E WITH CIRCUMFLEX
+0xE7	0x00C1	# LATIN CAPITAL LETTER A WITH ACUTE
+0xE8	0x00CB	# LATIN CAPITAL LETTER E WITH DIAERESIS
+0xE9	0x00C8	# LATIN CAPITAL LETTER E WITH GRAVE
+0xEA	0x00CD	# LATIN CAPITAL LETTER I WITH ACUTE
+0xEB	0x00CE	# LATIN CAPITAL LETTER I WITH CIRCUMFLEX
+0xEC	0x00CF	# LATIN CAPITAL LETTER I WITH DIAERESIS
+0xED	0x00CC	# LATIN CAPITAL LETTER I WITH GRAVE
+0xEE	0x00D3	# LATIN CAPITAL LETTER O WITH ACUTE
+0xEF	0x00D4	# LATIN CAPITAL LETTER O WITH CIRCUMFLEX
+0xF0	0xF8FF	# Apple logo
+0xF1	0x00D2	# LATIN CAPITAL LETTER O WITH GRAVE
+0xF2	0x00DA	# LATIN CAPITAL LETTER U WITH ACUTE
+0xF3	0x00DB	# LATIN CAPITAL LETTER U WITH CIRCUMFLEX
+0xF4	0x00D9	# LATIN CAPITAL LETTER U WITH GRAVE
+0xF5	0x0131	# LATIN SMALL LETTER DOTLESS I
+0xF6	0x02C6	# MODIFIER LETTER CIRCUMFLEX ACCENT
+0xF7	0x02DC	# SMALL TILDE
+0xF8	0x00AF	# MACRON
+0xF9	0x02D8	# BREVE
+0xFA	0x02D9	# DOT ABOVE
+0xFB	0x02DA	# RING ABOVE
+0xFC	0x00B8	# CEDILLA
+0xFD	0x02DD	# DOUBLE ACUTE ACCENT
+0xFE	0x02DB	# OGONEK
+0xFF	0x02C7	# CARON
